Who would you say is more successful: Academy Award nominee Leonardo DiCaprio, or Academy Award nominee Meryl Streep?

In terms of numbers of memorable -- even legendary -- screen roles, it might be difficult to say. And in terms of lasting power, they both have grown in reputation over the years. But in terms of most recent earning for the year 2012-2013, the winner is clear: Leonardo Di Caprio, age 39, earned $39 million in pay while Meryl Streep, age 64, earned only $7 million. (One caveat: Their earnings are also influenced by the box office success of their films.)

Sure, that's just one year and those are just two stars. But if we look across the board, we can't help but come to the same conclusion: There's an unfair pay disparity in Hollywood.

As we look forward to this year's Academy Awards show on Sunday night, it's worth taking a moment to reflect on the movie industry and what it tells us about ourselves.

Research that my colleagues Irene de Pater, Brent Scott and I conducted shows that whereas young Hollywood actors and actresses make about the same in yearly earnings, that parity quickly evaporates as they age. According to our study, for actresses, their pay peaks at age 34 and then drops quickly thereafter. For actors, their pay peaks at a much later age -- 51 -- and just as importantly, does not drop after that nearly as severely as it does for actresses.

We measured leading actors and actresses over many years. At age 27, actresses make an average of $3.9 million, compared to $2.6 million for actors. By the age of 51, actors make an average of $5.3 million, more than five times as much as actresses.

Why is it that age ravages the earnings of actresses compared to actors?

Some might blame Hollywood movie industry -- a field that is overwhelmingly male dominated. Some might argue that female actresses are more likely to take breaks from acting at the potential peak of their careers, as have Natalie Portman, Emily Blunt and Drew Barrymore. While there probably is some merit to these explanations, I think we need to look closer to home. To borrow from Pogo, I've met the enemy, and he is us.

Let's face it, we're an appearance-based society and despite social progress on many issues, I don't see much evidence that our obsession with appearance has faded over time. Indeed, some have argued that the growth in online communication and social media has only exacerbated the problem.

Some may feel that our obsession with beauty is a problem because it's superficial, it's hard to change, or it isn't related to true intrinsic worth (for example, a job or a mate). Yet we know that we value beauty even though it is hard to justify the value we place on it.

It's more insidious than that. Our beauty obsession particularly gets applied to women (who are more likely to be judged by their appearance than men) and against older individuals (people are rated as less physically attractive as they age). We are, therefore, especially biased against older women.

Tell me about it, some of you more mature women may say.

It's important to remember that this isn't simply about male biases. Those exist, but so do female biases. Both men and women judge others by their appearance, and both genders are more likely to be especially biased against less attractive women and older individuals.

Who's really to blame here? Is it Hollywood, or those of us who consume Hollywood culture? There is plenty of blame to go around. Hollywood, like Washington, both leads and follows society.

In commenting on this disparity, Tina Fey said, in her characteristically satirical way, "There are still great parts in Hollywood for Meryl Streeps over 60." Judging by the current list of Best Actor/Actress nominees, including near-octogenarian Judi Dench, Fey is correct. In fact, some might say the Best Actor/Actress nominees are on the aged side, with none in their 20s, three in their 30s (one woman, two men), four in their 40s (two men, two women), and three older (two women, one man).

But the earnings don't follow, and the roles for older females are generally not as available, we found in our study. Even 83-year-old Clint Eastwood recognizes the problem, commenting, "Roles thin out when (actresses) get to a certain age. ... It's a crime."

The first step toward social change is to recognize the problem. We've got a beauty complex that does us little good and much harm. The sooner we own up to that, the sooner we can defeat that enemy within us.

As we enjoy the glamor of Hollywood at this time of year, all those beautiful people dressed to the nines should remind us: There is a lot more to life than looks. Let's confront our own biases that support this culture, and try harder to value the things that really matter.

@highlight

Timothy Judge: Hollywood actors and actresses make about the same until they age

@highlight

Judge: Actresses' pay peaks at about age 34 whereas actors pay peaks around 51

@highlight

He says we can blame Hollywood, but it's also that our society is obsessed with beauty

@highlight

Judge: Both genders are biased against less attractive women and older people