The Ukraine crisis simmered Wednesday, if not with actual fighting, then with fighting words from the key outside players in the conflict: the United States and Russia, whose foreign minister accused Washington of "running the show" in Kiev.

In an interview with state-run RT, Russian Foreign Minister Sergey Lavrov lamented how he felt U.S. officials were quick to blame his nation for everything awry in Ukraine and to insist Moscow can unilaterally solve it all. Lavrov said that while those in Ukraine's east and south who defiantly oppose the Kiev-based government are "not puppets" of the Kremlin, such a characterization would describe the relationship between Ukraine's leadership in Kiev and the United States.

"(Americans) have, I think, overwhelming influence," he said. "They act in a much more open way, without any scruples, compared to the Europeans ... You cannot avoid the impression that they are running the show very much, very much."

As proof, Lavrov pointed to the timing of the Ukrainian government's relaunch of its security operation just after a two-day visit  from U.S. Vice President Joe Biden. He claimed acting President Oleksandr Turchynov has "ordered the army to shoot at ... people if they are engaged in peaceful protests," yet hasn't disarmed extremists and what he called "the right sector."

Some in Ukraine's east are occupying official buildings, defying the Kiev government and openly siding with Russia"after several months of total neglect of their interests," Lavrov said. The minister faulted the new Kiev government  for not doing more, including taking the necessary "first step" to implement an international deal brokered in Geneva, Switzerland.

About a week after being reached, that deal has done little to defuse the crisis. On the contrary, both sides appear to be digging in.

Ukraine's Deputy Prime Minister Vitaliy Yarema said Wednesday that "the active phase of the anti-terrorist operation continues" in the eastern cities of Kramatorsk, Slavyansk, Donetsk and Luhansk, according to state-run news agency Ukrinform.

Militants in those cities have shown no inclination to leave the government buildings they have seized or disarm, as was mandated by the Geneva agreement.

Meanwhile, NATO estimates that Russia has massed 40,000 troops near its border with Ukraine, which has fueled speculation the conflict could only get bigger and more violent, with Russia possibly taking over some, if not all, of Ukraine and possibly neighboring nations.

Lavrov didn't say any military intervention was imminent, but he didn't rule it out, either.

"If our interests, our legitimate interests, the interests of Russians have been attacked directly -- like they were in South Ossetia for example -- I do not see any other way but to respond in accordance with international law," he told RT, referring to Russia's 2008 invasion of Georgia.

"Russian citizens being attacked is an attack against the Russian Federation."

U.S. vows to defend fellow NATO members

The United States isn't standing still militarily, sending personnel to allied nations near Ukraine that have grown increasingly wary of Russia's military intentions.

On Wednesday, a company-size contingent of U.S. Army paratroopers arrived in Swidwin, Poland, for training exercises at Warsaw's request. They'll be there through at least the end of the year, according to Stephen Mull, the U.S. ambassador to Poland.

The contingent is part of "a persistent rotational presence" that Pentagon spokesman Rear Adm. John Kirby has said will involve four Italy-based companies of paratroopers that will go to Poland, Lithuania, Latvia and Estonia over the next few months.

"Poland has been there for the United States," Mull said Wednesday in front U.S. troops standing in formation next to Polish troops. "Today, as the trans-Atlantic community confronts Russia's unacceptable aggression against Poland's neighbor, Ukraine, a sovereign and independent state, we have a solemn obligation in the framework of NATO to reassure Poland of our security guarantee."

The United States and its allies have accused Russia of fomenting unrest in Ukraine since massive demonstrations helped push out President Viktor Yanukovych, who came under fire for moving Ukraine away from the European Union and closer to Russia.

The allegations include Moscow's sending members of its armed forces into the country, providing other support for pro-Russian militants or generally contributing to an atmosphere of distrust and instability.

Whatever the cause or culprit, a part of Ukraine -- Crimea -- has broken off and joined Russia. Some in the West fear that Russia will try to repeat that scenario elsewhere in Ukraine and perhaps in other countries in which ethnic Russians live or where Russia or the former Soviet Union historically has had significant influence.

Some of those countries include the Baltic states and Poland, which, like the United States, are part of NATO. The treaty that defines this alliances states that if any one NATO member "is the victim of an armed attack, each and every other member of the alliance will consider this act of violence as an armed attack against all members and will take the actions it deems necessary to assist the Ally attacked."

As a result, the United States and its NATO allies are publicly stepping up involvement in places like Poland to dissuade Russian President Vladimir Putin from thinking that advancing into these countries is an option, according to Kurt Volker, a former U.S. ambassador to NATO.

"I think that if we did not take the steps that we are taking now, (Putin) would think that maybe it's an option," Volker, who served as ambassador from 2008 and 2009, told CNN's Wolf Blitzer. "... If we did not do that, I think he would wonder: What would be the response of NATO if he did have some ... action there?"

Counterclaims over politician's death

Within Ukraine itself -- particularly the east and south -- government forces and pro-Russian militants continued their unsettling standoff.

The situation seemed largely peaceful, with hints of violence here and there.

A Ukrainian army helicopter, for instance, was targeted Wednesday "by unknown gunmen" in Kramatorsk, which is about 9 miles (15 kilometers) from Slavyansk. On Ukraine's Internal Affairs Ministry website, Deputy Minister Sergiy Yaroviy said the helicopter suffered "minor damage" to its blades but was able to land safely, with no injuries to its crew.

The same couldn't be said about the discovery Saturday of two tortured bodies near Slavyansk. One of them was pro-Kiev politician Vladimir Rybak, who Ukraine's Interior Ministry said Wednesday died as a result of injuries from torture and drowning.

Stanislav Rechinsky, an adviser to the interior minister, blamed pro-Russian militants for having tortured and "kidnapped" him and others.

"We have eyewitnesses who testified about hearing the so-called little green men bragging about the murders," he said Wednesday. "We have another eyewitness who saw these men alive in the torture cells and who was able to escape."

The term "little green men" has become widely used for the unidentified armed men who have appeared in eastern Ukraine in recent days. Russia has denied they are Russian military forces in uniforms that don't bear insignia.

Yet a pro-Russian leader in Slavyansk, de facto Mayor Vyacheslav Ponomaryo, vehemently denies such allegations, instead blaming the deaths on far-right Ukrainian nationalist extremists.

@highlight

Official: Gunmen fire at Ukrainian army helicopter near Slavyansk

@highlight

Militants still hold buildings in east; Ukraine leader restarts "anti-terrorist" operation

@highlight

Russian minister: U.S. has "overwhelming influence" over the new Kiev government

@highlight

He says pro-Russian militants in Ukraine's east are "not puppets" of Moscow