(CNN) -- Little of the Berlin Wall survives today in the German capital.

The onetime barrier between East and West has been torn down, chipped away or auctioned off.

Between 1961 and 1989, the formidable East German fortification stood 156.4 kilometers long, fully encircling what was then West Berlin.

Nowadays, the longest surviving stretch, the East Side Gallery on Berlin's MÃ¼hlenstrasse, extends about 1.3 kilometers and can be seen in its entirety on foot within 20 minutes.

After reunification of the two Germanys, 65 cranes, 175 trucks and 13 bulldozers were deployed to remove the barrier in the inner city by the end of 1990 and in the outer city by 1992, according to the "Berlin Wall Story," a chronicle of the 204,100-ton monument written by Hans-Hermann Hertle.

More than 40,000 segments were crushed to make materials largely for building roads, but some survived intact.

They were auctioned as art objects, purchased or donated to museums and institutions around the world, such as the Imperial War Museum in London and Ronald Reagan Presidential Library in California.

However, a few segments of the Berlin Wall have over time ended up in some unexpected locations.

Main Street Station Casino, Brewery and Hotel, Las Vegas

Perhaps the most surprising Wall location on this list is a men's bathroom at a Las Vegas casino -- the Main Street Station Casino has been home to a portion of Berlin Wall for about 20 years.

Three urinals are mounted onto the graffiti-bearing concrete slab, which stands approximately three meters wide and 1.8 meters tall.

The wall itself is protected by glass.

It's unclear who brought this segment to its dubious location.

According to Boyd Gaming Corporation, which owns Main Street Station, the Wall was already in the bathroom when the company purchased the property in the 1990s from another casino that went bankrupt before opening.

"Berlin Wall is one of the more popular items for sightseers at Main Street Station," says Boyd spokesman David Strow.

He adds that the casino had to renovate the bathroom a few years ago due to "the unusual amount of traffic it gets."

Female visitors can ask a security guard to escort them into the bathroom when it's empty to take a look. At the Wall.

Main Street Station Casino, 200 N. Main St., Las Vegas; +1 800 713 8933

Perfil Group building, Buenos Aires

A row of Berlin Wall segments can be found in the Buenos Aires office lobby of the Argentinian news company Perfil Group.

The Perfil Group bought a total of 20 Berlin Wall segments in 1991.

The company's website says it bought the Wall for its significance as a symbol of freedom.

As such, it is "true to the spirit of a news company who exercises the right of freedom."

253-271 Peru St., Edificio Perfil, Buenos Aires

Schengen, Luxembourg

The village of Schengen in southeast Luxembourg has fewer than 2,000 residents, but a segment of the Wall was put up to herald its place in European history.

The Schengen Agreement (now consisting of 26 European countries) was signed here in 1985 to grant citizens of its member states free travel without border checks.

Together with the opening of the European Museum, the Wall segment was erected to mark the 25th anniversary of the agreement.

The 2.8-meter-high and 1.2-meter-wide remnant stands in front of the European Museum "as a symbol of a border that does not exist anymore," according to Martina Kneip, manager of the European Centre and European Museum in Schengen.

European Museum, Rue Robert Goebbels, Schengen; +352 26 66 58 10

Wilshire Boulevard, Los Angeles

The longest stretch of Berlin Wall in the United States stands in front of the Variety Building on Wilshire Boulevard in Los Angeles.

The 25-ton structure measures 3.7 meters in height and 11.6 meters in width and consists of 10 segments.

Murals on four segments of the Wall are original works from the Berlin Wall-era, including a green bear painted by a street artist known as Bimer.

Others are recent works created by artists such as RETNA from Los Angeles and Herakut from Germany.

The Wende Museum in Los Angeles, a research and education institute that preserves Cold War artifacts and history, brought these segments to Wilshire Boulevard in 2009 with help from the German government and the City of Los Angeles as part of The Wall Project.

The museum sponsored the project to "commemorate the 20th anniversary of the fall of the Berlin Wall and continue the legacy of the Berlin Wall as a concrete canvas for art and political expression," according to the museum's founder and executive director Justinian Jampol.

These segments were discovered near the former border area of Kreuzberg in Berlin, according to Jampol.

Variety Building, 5900 Wilshire Boulevard, Los Angeles

Parque Europa, Madrid

The 233,000-square-meter Parque Europa on the outskirts of Madrid displays 17 scaled-down replicas of iconic landmarks across Europe, including an original piece of the Berlin Wall.

The relic is located in the west end of the park.

The segment was given to the park by the town council of TorrejÃ³n de Ardoz, the region where Parque Europa is located.

A large section of rock near the bottom of the segment is missing, revealing a grid of steel rods.

Behind it stands a small model of Berlin's Brandenburg Gate. For centuries a symbol of the city, the gate was blocked off from West Berlin by the Wall.

Parque Europa, Paseo de los Cipreses, TorrejÃ³n de Ardoz, Madrid

Hilton Anatole, Dallas

Two segments of the Berlin Wall are highlights of the 1,606-room Hilton Anatole in Dallas, which hosts a massive art collection of more than a thousand pieces throughout 27 floors.

The Wall sections were painted by German artist Jurgen Grosse in 1990.

Each is 3.6 meters tall and 1.2 meters wide.

The Wall segments were given to the hotel by a German partner in 1990 and initially placed in the hotel's garden.

In 2011, the pieces were moved into the hotel's Trinity Corridor.

Hilton Anatole, 2201 N. Stemmons Freeway, Dallas; +1 214 748 1200

Cheonggyecheon stream, Seoul

Since 2005, three remnants of the Wall have stood in downtown Seoul near Cheonggyecheon stream.

They're part of Berlin Square, an open-air plaza built in 2005 and financed by the City of Berlin, in the hope that it will be a place where Seoul citizens will pray for or consider the reunification of the Korean Peninsula.

According to the Korea Times, the pieces of the Wall here stand 3.5 meters tall and 3 meters wide, with one side full of graffiti and the other side blank.

The Wall is accompanied by a traditional German-style gas lamp and statue of a blue bear, the symbol of Berlin.

Near Jiangtong Bridge, Cheonggyecheon stream, Seoul

Western Station, Brown Line, Chicago

In Western station on the Chicago Transit Authority's Brown Line in the traditionally German Lincoln Square neighborhood stands a 3.6-meter-tall, 1.2-meter-wide portion of the Berlin Wall.

The segment was erected in the station on January 19, 2008.

It was given to the city of Chicago by the Senate and City of Berlin to be displayed "as a commemorative relic for viewing by the citizens of Chicago and by the public," according to the CTA.

Western station (Brown Line), 4648 N. Western Ave., Chicago

Vatican Gardens, Vatican City

A chunk of the Berlin Wall was transplanted to Vatican City in August 1994.

In the graceful garden where popes have been meditating and relaxing since the 13th century, the Wall is decorated with a painting of St. Michael's Church.

According to ITN Source, former Ferrari motor sport director and team manager of its Formula 1 team, Marco Piccinini, won the portion at an auction in Monte Carlo in 1990 and gave it as a gift it to the Vatican in 1994.

Vatican Gardens, Vatican City

Madison Avenue, New York City

Suit-sporting office workers tend to overlook the five segments of Berlin Wall standing in Paley Park near 520 Madison Avenue in Manhattan.

About six meters long and 3.6 meters high, the stretch was purchased from the German government in 1990 by the park's owner, Tishman Speyer Properties.

Tishman Speyer is also the developer of Sony Center, a large commercial complex in Potsdamer Platz, a former border area in Berlin.

Paley Park, near 520 Madison Ave., New York

@highlight

After reunification, the Berlin Wall was largely demolished by the city government

@highlight

Pieces were auctioned as art objects, purchased or donated to museums around the world

@highlight

A few segments have over time ended up in some unexpected locations

@highlight

Parts of the Wall can now be seen in a men's room in a Vegas casino and a news company office in Argentina