Belfast, Northern Ireland (CNN) -- Deadly bombings in two London parks on July 20, 1982 represented a dark day in the bloody conflict between Irish republicans and the British government -- now their legacy threatens to derail Northern Ireland's hard-fought peace process.

Eleven British soldiers -- some members of Queen Elizabeth II's Household Cavalry regiment, others part of a military band -- died during blasts in Hyde Park and Regent's Park.

One of the men accused of being behind the Hyde Park attack -- believed to have been carried out by the Irish Republican Army (IRA) -- walked free this week after it emerged in court that he had a letter from the British government from 2007 -- the 25th anniversary of the bombings -- assuring him he did not face prosecution for IRA crimes.

Prosecutors argued the letter was sent "in error" to John Anthony Downey, 62, and that authorities at the time had failed to register an outstanding warrant for his arrest in connection with the 1982 attack.

Downey, who denies planting the bomb that killed four of the soldiers, was not the only one to be given immunity. Almost 200 other Irish republican terror suspects were too.

Covert deal

According to British media, 187 so-called "comfort letters" were sent to suspected IRA terrorists such as Downey -- known as "on the runs" -- who sought clarification about their status after a peace settlement in 1998, known as the Good Friday Agreement, which brought the decades-long "troubles" in Northern Ireland to an end. The letters were part of a covert deal struck between the British government and republicans -- who bitterly opposed British rule -- to ease the reconciliation process.

Now the historic power-sharing government in Northern Ireland -- which brought unionists and republicans together -- appears in grave danger of collapsing. The top lawmaker in the administration, First Minister Peter Robinson, said it had been plunged into crisis over the deal allowing suspected terrorists to walk free.

Robinson has threatened to resign, saying he had been kept in the dark over the years about the secret "letters of assurance." He said he only found out after the London court judgment. And he's supposed to be in charge here.

His partner in government, Martin McGuinness -- himself a former IRA commander -- urged him to pull back from the brink of bringing down the government. The nationalist Sinn Fein leader took to social media to say: "My unionist colleagues need to calm down. We've all come a long way. No sensible person will thank anyone for threatening the institutions."

British Secretary of State for Northern Ireland, Theresa Villiers, stressed the British government "does not support amnesties for people wanted by the police in connection with terrorist offenses," and that Downey "was part of an administrative scheme for dealing with 'on-the-runs' set up by the previous government." She added that the government would be working with the police to identify whether there are other cases similar to that of Downey.

Imperfect peace

The tension is a sign of the times in Northern Ireland. There's peace but an imperfect one.

The bombings and sectarian murders have largely stopped, although small groupings of IRA dissidents continue to pose a threat. Pro-British paramilitary groups also remain active.

Emotions continue to run high between the pro-British and pro-Irish communities over issues such as parades and the flying of the British Union flag. The parades are particularly controversial -- groups from both sides of the unionist/nationalist divide would claim they hold marches as a celebration of their culture, while critics would argue they are asserting their rights over communities across Northern Ireland.

American diplomat Richard N. Haass was flown into Belfast to chair all-party talks last year in a bid to find a resolution to outstanding issues -- the talks ended without agreement.

Marching season

Through it all, the power-sharing administration at Stormont -- Northern Ireland's Parliament Buildings -- in Belfast has held. The present-day political and economic challenges were being worked through. But the past has proved more difficult to deal with. And with elections on the horizon, compromise might not be viewed as a policy to win votes.

Another controversial summer marching season looms with the prospect of violent clashes at disputed locations. The trouble tends to be confined to certain neighborhoods, mainly working class districts of Belfast. But the shockwaves can be felt across Northern Ireland. IRA dissidents lurk in the background desperate to launch attacks. Many victims of decades of paramilitary violence believe their voices are being ignored. Of course, there are many economic challenges too, with a sluggish economy and an unemployment rate above the UK average.

It promises to be an interesting year in Northern Ireland. And while the politicians fight, the vast majority of people on both sides of the religious divide are united -- praying for peace.

@highlight

1982 IRA bomb attacks on two London parks killed 11 British soldiers

@highlight

Suspect walks free, one of many terror suspects given immunity as part of peace process

@highlight

Northern Ireland's top lawmaker has threatened to quit over these covert deals

@highlight

Fears this could break up historic power-sharing government and threaten peace