(CNN) -- It was once the polluted hotbed of the Industrial Revolution in London, a large area of land that became badly contaminated with toxic waste after centuries of abuse.

But the hope of the local Olympic organizers is that, what was once a wasteland site in Stratford, will soon bloom with fauna and wildlife as the green heart of the 2012 Games' site.

The Olympic Delivery Authority (ODA) is planning to convert the area into Britain's first new public park in London for over a century once the sporting event is over and -- in order to create the intended environmental legacy -- the work of planting, cultivating and remodeling the new landscape is already underway.

The Olympic Park will not only provide a public space for people to enjoy both during and after the Games, the aim is to generate a variety of habitats for wildlife with 2,000 trees and 350,000 wetland plants.

"There are all kinds of different habitats here and there are target species," John Hopkins, a project sponsor for the parklands and public realm at the authority, told CNN. "We have things like the frog ponds, which hold water and have loggeries in them.

"We also have over 700 wildlife installations. We have wet woodland, which is a very rare habitat that feeds off the river to keep it wet."

Wetland areas have been central to the regeneration of the area, specifically along the banks of the River Thames, which runs from the UK's east coast and through the heart of the British capital.

"This is part of a huge vision for restoring working landscapes in the whole of the Thames gateway, which is great for bio-diversity and great for people," Hopkins said.

"Parks like this create those places where people want to live, work and play."

Turning the former industrial area into a suitable home for plants and animals has not been a straightforward process.

Factories had been located on the site in the 18th and 19th centuries, which left the soil in need of special treatment.

"This site was one of the crucibles of the Industrial Revolution in London," Hopkins said. "Some of the land was heavily contaminated after centuries of abuse.

"We had what we called 'soil hospitals.' They were treating all of the materials to make sure that it was suitable for re-use on the site."

Paul de Zylva, head of international environmental organization Friends of the Earth has been working on the issue of the Games coming to London since 2003, two years prior to the city being awarded the Olympics.

He told CNN he was generally supportive of the work being done by the ODA.

"The plan they have come up with is about trying to create some of the old London habitat that used to exist there," said Da Zylva. "Grasslands, meadows, woodland and waterways as well, and I think that's been done well.

"They are putting in a long-term management plan for the area. There's a 10-year management plan for the park, which is a good start.

"They are trying to manage the land to be of high conservation value, to the point where some parts of it would be on the way to being designated as a site of special scientific interest, which is the highest possible designation in this country. So that's a good ambition."

De Zylva also praised the honesty of London's organizers with regards to making information about the Games available.

"We said to them that we do want you to be open and transparent about what the impact of putting on the Games would be, and they published that.

"We were very pleased they did. We think it's important, if you're going to learn lessons from staging the Games, that you have a baseline of information about what it actually takes to host the Olympics.

"This is the first time it has been done, London has been good in that respect."

London has held the Summer Olympics on two previous occasions, in 1908 and 1948 -- next year's event will begin with the opening ceremony on July 27 and conclude on August 12.

@highlight

London's Olympic Park has been designed to accommodate both people and local wildlife

@highlight

The site in the Stratford area of the city was contaminated and soil had to be treated

@highlight

London officials hoping to regenerate areas of ruined land along banks of the Thames

@highlight

The Games will officially begin with the opening ceremony on July 27, 2012