(CNN) -- What makes a travel destination "hot"?

What makes people around the world all at once start booking tickets to cities they know little about or salivate for restaurants they've only just heard of?

What accounts for places with perfectly respectable histories (Estonia, Laos) suddenly finding their ways "onto the map" of the traveling masses?

A lot of what attracts tourism is economics, sometimes positive (China) sometimes less so (Greece).

Major world events contribute to international buzz -- the Summer Olympics placed London atop many "hottest 2012 destinations" lists.

Savvy marketing makes a difference. The current "It's more fun in the Philippines" campaign has helped attract visitors to that vastly underrated country.

The chance whims of pop culture can unexpectedly thrust a heretofore obscure place into the spotlight. By now you've probably heard of the Seoul district of Gangnam. You couldn't have said that this time last year.

When compiling our list of 2013 hot spots, we took into account all of the above and more while canvassing travel sites, experts and organizations to identify up and coming destinations based on bargains, significant events and important new services, such as added airline routes and major hotel openings.

Our hot seven aren't the only "new" places ready to be discovered in the coming year, but they're a solid start.

Where will you be traveling in 2013? Let us know your "hot destinations" in the comments section below.

1. Scotland, United Kingdom

Scotland has seen fit to dub 2013 the "Year of Natural Scotland," and what better time to do it?

Anyone who saw the 2012 James Bond thriller "Skyfall" walked away wishing they too could race through Scotland's dramatic countryside and hide out in its misty highlands (granted, while not being pursued by a homicidal Javier Bardem).

Of many outdoor events and special deals planned around the Year of Natural Scotland, highlights include: the Dumfries & Galloway Wildlife Festival 2013 (March 29-April 14); Heb Celt 2013 music festival (July 17-20); Scottish Food and Drink Fortnight (September 7-22); and, of course, The Open Championship golf tournament (July 14-21).

More independent-minded trekkers will find 2013 a good year to tackle part of Scotland's Great Trails, a network of long-distance routes across the country.

The entire length of the country -- all 750 kilometers of it -- can be walked via the recently announced Gore-Tex Scottish National Trail. The trail, which runs from the English border to Cape Wrath, travels past pristine lochs and haunting glens as it follows mainly existing routes, such as the West Highland Way and Rob Roy Way.

Should Scotland give the UK the highland fling?

2. Rabat, Morocco

What a difference a little recognition makes.

Travelers have long overlooked Morocco's low-key capital, instead being seduced by the heady sights and sounds of Marrakech or beachside charm of Essaouira.

That'll change in 2013 with the elegant city in the northwest of the country having been designated a UNESCO World Heritage Site in July 2012.

This means word is just starting to get out about what the UNESCO folks call Rabat's "fertile exchange between the Arabo-Muslim past and Western modernism."

Exhibit A: the historic old town featuring the magnificent twelfth-century Hassan Mosque and a picturesque medina overlooking the Atlantic with largely hassle-free shopping.

Exhibit B: Rabat's charming French-built new town with wide boulevards and lovely cafes.

A shiny new tramway links the capital to its sister city Salé, while a new airport terminal means the city has become much more accessible.
Rabat (area population 1.7 million) is hitting the proverbial travel radar, but it's far from overrun -- that makes 2013 the year to be there now.
Link: www.visitmorocco.com

3. Košice, Slovakia

Thanks in part to its medieval old town and vibrant mix of Renaissance, Baroque, and art nouveau architecture, the compact yet captivating eastern Slovakian city of Košice (population 250,000) has been chosen 2013's European Capital of Culture (along with Marseille in France).

To say that city officials are excited is an understatement -- they've planned at least 300 cultural events for 2013.

The ECOC opening ceremony will be held January 19 and 20 and is, according to officials, "conceived as a unique, two-day inspirational event which will enliven the whole city."

Events will be spread across town, from the State Theater to a stage on major Hlavna Street to numerous clubs and restaurants.
Throughout the year, activities will draw on the city's Slovakian and Hungarian heritage and include music festivals, theater, art and street performance.

Just as enjoyable is people watching along a pedestrian-only main drag while taking in the Gothic St. Elisabeth cathedral and sipping a Košice Gold, the city's official cocktail (with a super-secret recipe). Link: www.kosice2013.sk

4. Sub-Saharan Africa

Multi-country African trips usual mean long, bumpy journeys on bad roads or budget-busting charter flights between destinations.

The November 2012 launch of Fastjet, Africa's new European‐style, low-cost airline, promises to revolutionize travel in the region.

Fastjet currently operates a small fleet of Airbus 319s from its Tanzanian base in Dar es Salaam, connecting the capital to the trekking mecca of Kilimanjaro.

It also flies to Mwanza on the southern shore of Lake Victoria, handy for the western Serengeti.

According to flightglobal.com, the airline will establish a second base of operations in Nairobi in early 2013, and add operation centers later in the year in the African capitals of Accra, Ghana and Luanda, Angola.

Other destinations slated for 2013 include Entebbe in Uganda (allowing cheaper access to the country's mountain gorillas) and beach resorts of Zanzibar in Tanzania and Mombasa in Kenya.

With one-way fares as low as US$20 (excluding taxes and surcharges), remote parts of Africa will be a lot easier to get to in 2013.

52 weeks, 52 things to do in 2013

5. Gettysburg, Pennsylvania, United States

With Daniel Day-Lewis likely getting an Oscar Best Actor nomination for his spooky good portrayal of U.S. President Abraham Lincoln (the 85th Academy Awards show will be held February 24) and the 150th anniversary of the real president's famed 272-word Gettysburg Address (given in the wake of the pivotal Battle of Gettysburg, it's perhaps the most famous speech in American political history), U.S. Civil War history will take center stage in 2013.

A year of events and commemorations are scheduled in and around Gettysburg, including a 10-day program of tours, performances and a massive battle re-enactment on July 4 (U.S. Independence Day) at the Gettysburg National Military Park from June 28 through July 7.

6. Amsterdam, the Netherlands

Like birthday celebrations? Amsterdam does, and it's set to host a bunch of them to mark major anniversaries in 2013.

The 160th anniversary of Vincent Van Gogh's birthday will take place on March 30 with special exhibitions and opening hours of the city's Van Gogh Museum.

One of the world's greatest orchestras, the Royal Concertgebouw Orchestra turns 125 years old in 2013. A special "125 Years of the Concertgebouw Orchestra and the Royal Concertgebouw Orchestra" concert will be held on April 10, 2013. "Bach, Mozart, Haydn with Giovanni Antonini" is the highlight of the late February-early March schedule.

More Amsterdam birthdays: the city's canal ring will celebrate its 400th anniversary, the Artis Royal Zoo turns 175 and the Rijksmuseum national museum of Netherlands art and history returns after a 10-year renovation, with a grand opening scheduled for April 13.

"Once the new Rijksmuseum has become a tasteful, daring, imaginative and optimistic museum, it will have fulfilled its mission," says to the museum's website.

That's a lot of ways to celebrate 2013 in a city already known for fun.

What were the most popular travel destinations in 2012?

7. Colombia

Magical Andes mountain scenery, bustling cities quickly getting up to international speed in the wake of a troubling past, high-end hotel openings (Hilton, InterContinental, Marriott) and new direct routes from major air carriers are quickly moving Colombia onto a lot of traveler wish lists -- including ours.

The deal folks Travelzoo agree, naming Colombia a "Wow Deal Destination for 2013" and reporting on a "tourism boom breeding competition and deals in a country where the U.S. dollar already goes far."

Adding a grace note is Bogotá's designation as a 2013 UNESCO City of Music. The organization recognized the city "foremost for its fast growing musical sector and dynamic music scene as a major center of musical creation and activity in Latin America."

To mark the honor, a series of concerts and music festivals will take place in the city throughout the year, from casual performances in public parks to lively club shows and the first Bogotá International Music Festival (March 27-30, link in Spanish only), a four-day, 55-performance concert event that this year will be dedicated entirely to Beethoven.

As we already mentioned, our hot seven aren't the only "new" places to hit in 2013.

Other trending spots include:

Montenegro -- great beaches, rich history, underappreciated cuisine, stunning sites.
New Zealand -- more film-inspired sightseeing mixed with top-rate food and wine.
Miami -- reinventing itself as a hip hangout for arty types.
Japan -- offering better than ever value as the country seeks to reinvigorate travel in wake of 2011 tsunami.
Vietnam -- a wave of new resort openings planned for 2013.

Agree, disagree? What are your 2013 travel plans or wishes?

@highlight

Moroccan capital a new UNESCO Heritage site

@highlight

Budget airlines making travel more affordable and accessible

@highlight

Major anniversaries in Amsterdam, The Netherlands

@highlight

150 year anniversary of U.S. President Lincoln speech