(CNN) -- The people have spoken and President Barack Obama has another four years in office. When it comes to the economy we know what the president wants to do in his second term.

Obama's measures are incremental and nuanced, with the exception of the most talked about, which is raising taxes on higher income earners. This will be done by not renewing the Bush-era tax cuts for those at the top, and by a so-called Buffet-rule, an overarching principle that would set a minimum rate of tax payable by those earning more than a million dollars a year, and prevent them from going below that using deductions.

The tax cuts for the middle class under the Bush-era would be made permanent. Thereafter it is a real hodge podge of tax incentives, advantages, allowances and policies designed to stimulate business and bring jobs back to America.

None of them are eye catching. It is hard to get excited about the Manufacturing Communities Tax Credit or the American Renewable Energy Production Tax Credit, however important they may be.

Obama has also talked of taking a more muscular approach to China when it comes to trade. Having been goaded by Mitt Romney on the campaign trail, the U.S. has indicated that the next four years will have to see China playing on a level playing field. Unfortunately saying and doing are two different things.

The president spent much of his first term just putting out the fires. As The Economist put it in its endorsement, he "dragged America's economy back from the brink of disaster." It could have been a great deal worse. But his supporters say he hasn't had a true chance to effect real change and that will be up for grabs. If, as seems possible, the U.S. economy does continue to grow at around 2% to 3% over the next few years -- not fast enough for a massive reduction in unemployment or new spending -- he might be able to at least advance his non-crisis management policies.

But hang on. I am getting ahead of myself. Before any of this comes to fruition the single most important task the president faces: Stopping the country going over the fiscal cliff.

The cliff comes about because of a rare confluence of events. The expiration of tax cuts, the implementation of mandatory spending cuts, the limitation of certain benefits and so on. If it all happened at once, come January next year, it's estimated it could take a toll of 4% of U.S. GDP. This would comfortably push the economy into recession.

Congress and the president have to find a way to pull back from the cliff. And that will be job number one over the next few months of the lame duck congress and into the new year. Even the threat of the cliff is having a depressing effect on business decisions. If they dilly and dally about sorting it out then the damage that could be caused between now and inauguration could easily outdo any benefit the president may make in the early years of his second term.

There is one other economic issue where the president can't do very much. And that is the European sovereign debt crisis. Bully. Cajole. Berate. Treasury secretary Tim Geithner has tried them all. Fundamentally the U.S. has to sit on the sidelines, watch, wait and pray the Europeans get their act together.

It looks like there will also have to be a new economic team. It is widely expected (although not confirmed) that Geithner won't stay much longer at Treasury. He has done four years and it's believed he wants to move back to New York. If he goes then one of the most important joists in the Obama economic team has gone. The chairman of the Federal Reserve Ben Bernanke -- who has just launched QE3 -- will be there longer. His term doesn't expire until 2014, about a year into Obama's second term. (It's an ultimate irony that Bernanke will be gone -- if not reappointed -- before the 2015 date that the Federal Open Market Committee currently has as its target for keeping interest rates at exceptionally low levels).

What we have seen over the past 12 months in the U.S. economy is likely to be the story of the next 12 months. Incremental, slow improvements as both consumers continue to pay down debt, and repair their household finances. The posh word for this is deleveraging. Business may have lots of cash but with so much uncertainty and worry they are not about to spend it. Hoarding money will continue until there is tangible solid evidence that growth is sustainable (we are seeing some signs -- consumer confidence, house prices, housing starts, durable numbers etc -- but it is still tentative).

The banks have slowly rebuilt their capital base and if the economy continues this gradual progression then we can expect lending to begin....but again....it's expected to be slow.

In that case, unemployment will continue its very gradual decrease. With economic growth around 2% to 3% for the next few years, jobs will be created at a much slower rate than needed to make a serious dent in the overall level of joblessness. Even the Fed doesn't see things getting much better anytime soon on the jobs front.

I have said it before. Today's economies (especially the U.S.) are like a patient who has suffered cancer, leukemia and a brain tumor all at the same time. Surgery has removed much of the damage. Chemotherapy continues to be administered. The patient is going to take time to recover. For Obama, the goal will be to have policies that move from triage to rehabilitation and finally to better times.

Perhaps the big unknown for this president is exactly how he will start the long, painful and politically devastating business of cutting the deficit. Having had pretty much universal agreement from the IMF, World Bank, OECD and others that now was not the time for retrenchment, we are coming to that time when addressing the U.S. budget deficit will be a priority. The second term starts that process. Unfortunately, as we saw during the budget summit last year, that may be almost impossible. There's also the matter of seeing the exact nature of the Congress too.

The U.S. lost its coveted AAA rating under Obama. This was the unthinkable, and it happened. In term two he would be wise to get ahead of this deficit curve.

We know what the president says he wants to do. We know the policies he hopes to introduce. Now he just has to do it.

@highlight

Obama plans to introduce tax hikes on highest earners and keep middle class tax cuts

@highlight

As a candidate, Obama also talked of taking a more muscular approach to China on trade

@highlight

Stopping the U.S. from going over the fiscal cliff, however, looms foremost for Obama

@highlight

Biggest unknown is how Obama will tackle the mounting U.S. deficit