(WIRED) -- The wind blowing through the streets of Manhattan couldn't power the city, but wind machines placed thousands of feet above the city theoretically could.

A prototype of a high-altitude wind turbine made by Magenn Power.

The first rigorous, worldwide study of high-altitude wind power estimates that there is enough wind energy at altitudes of about 1,600 to 40,000 feet to meet global electricity demand a hundred times over.

The very best ground-based wind sites have a wind-power density of less than 1 kilowatt per square meter of area swept. Up near the jet stream above New York, the wind power density can reach 16 kilowatts per square meter. The air up there is a vast potential reservoir of energy, if its intermittency can be overcome.

Even better, the best high-altitude wind-power resources match up with highly populated areas including North America's Eastern Seaboard and China's coastline.

"The resource is really, really phenomenal," said Christine Archer of Cal State University-Chico, who co-authored a paper on the work published in the open-access journal Energies."There is a lot of energy up there, but it's not as steady as we thought. It's not going to be the silver bullet that will solve all of our energy problems, but it will have a role."

For centuries, we've been using high-density fossil fuels, but peaking oil supplies and climate concerns have given new life to green technologies. Unfortunately, renewable energy is generally diffuse, meaning you need to cover a lot of area to get the energy you want. So engineers look for renewable resources that are as dense as possible. On that score, high-altitude wind looks very promising.

Wind's power -- energy which can be used to do work like spinning magnets to generate electricity -- varies with the cube of its speed. So, a small increase in wind speed can lead to a big increase in the amount of mechanical energy you can harvest. High-altitude wind blows fast, is spread nicely across the globe, and is easier to predict than terrestrial wind.

These properties have led inventors and scientists to cast their hopes upward, where strong winds have long been known to blow, as Etzler's dreamy quote shows. During the energy shocks of the 1970s, when new energy ideas of all kinds were bursting forth, engineers and schemers patented several designs for harnessing wind thousands of feet in the air.

The two main design frameworks they came up with are still with us today. The first is essentially a power plant in the sky, generating electricity aloft and sending it down to Earth via a conductive tether. The second is more like a kite, transmitting mechanical energy to the ground, where generators turn it into electricity. Theoretically, both approaches could work, but nothing approaching a rigorous evaluation of the technologies has been conducted.

The Department of Energy had a very small high-altitude wind program, which produced some of the first good data about the qualities of the wind up there, but it got axed as energy prices dropped in the 1980s and Reagan-era DOE officials directed funds elsewhere.

The program hasn't been restarted, despite growing attention to renewables, but that's not because it's considered a bad idea. Rather, it is seen as just a little too far out on the horizon.

"We're very much aimed these days at things that we can fairly quickly commercialize, like in the next 10 years or so," said National Renewable Energy Laboratory spokesperson George Douglas.

Startups like KiteGen, Sky Windpower, Magenn, and Makani (Google's secretive fundee) have come into the space over the last several years, and they seem to be working on much shorter timelines.

"We are not that far from working prototypes," Archer said, though she noted that the companies are all incredibly secretive about the data from their testing.

Magenn CFO Barry Monette said he expects "first revenue" next year when they sell "two to four" working prototypes of their blimpy machine, which will operate at much lower altitudes.

"We do think that we're going to be first [to market], unless something happens," Monette said.

In the long term, trying to power entire cities with machines like this would be difficult, largely because even in the best locations, the wind will fail at least 5 percent of the time.

"This means that you either need backup power, massive amounts of energy storage, or a continental- or even global-scale electricity grid to assure power availability," said co-author Ken Caldeira, an ecologist at Stanford University. "So, while high-altitude wind may ultimately prove to be a major energy source, it requires substantial infrastructure."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

Study: Wind machines placed thousands of feet above New York could power the city

@highlight

Enough wind energy exists at high altitudes to meet global demand 100 times over

@highlight

A kite-like device could transmit energy to generators that turn it into electricity

@highlight

Startups are developing turbines, although they are still in the prototype stage