(CNN) -- I'm proud to be Ukrainian.

Born in America and raised in a bilingual home, pierogies, borscht and pysanky (Ukrainian Easter eggs) were all staples in my life.

So was Ukrainian school -- where I was taught history, culture, literature and grammar every Saturday morning for 13 years -- and Ukrainian scouts and Ukrainian dancing.

It is nearly impossible to separate me from the culture. And I would never want that.

That's what makes it so hard to see the images of escalating violence on TV among the Ukrainian people -- with whom I feel such a connection.

To many of them, the protests are fueled by memories of Soviet control and fears that Russia will use its economic pressure to pull Ukraine back into its orbit. The oppression of the Soviet system is why my father fled the country 75 years ago, when he was only 18. He loved Ukraine but escaped Soviet rule to build a new life in America.

Transplanting that Ukrainian identity into Parma, Ohio, was not always easy. And growing up in the Midwest, when I would tell someone I was Ukrainian, I was often met with a confused look. That was generally followed by, "So you speak Russian?"

I can't blame them for making that assumption. After all, Ukraine was the second biggest country in the USSR. But there was no particular pride in that: Hatred of the Soviets runs deep among many Ukrainians.

For my father, the flight from Ukraine -- with his two brothers, sister, father and mother -- was dangerous and difficult. He made his way to America via Germany during World War II. He survived the bombing of Dresden, and his family got separated. They eventually found each other once they all landed safely in the United States, but for a frightened interval, they had no idea whether the others were alive or dead.

My sister, brother and I grew up riveted by my father's and uncle's stories about dodging the authorities to escape. My father told of avoiding soldiers as he walked among the dead after the bombing in Dresden; they had shoot-to-kill orders for anyone who might be looting. It was like listening to a live thriller or spy novel.

My father may not have spoken English when he arrived in America, but he was determined. He mastered the language and went on to become a chief financial officer of Cardinal Federal Savings & Loan in Cleveland. He dreamed of the day Ukraine would become independent, as did my mother -- a Ukrainian born in America. Both died before they could see it.

But I saw it. And in 1992, I traveled to the country on a Teach English program sponsored by a Ukrainian organization.

It was a time when Ukraine was like the Wild West. The country had just elected a new president and was newly independent -- but many didn't really know what that meant. When I arrived in Kiev, I assumed everyone would speak Ukrainian and that I would fit right in. I was mistaken, as many spoke Russian. More alarming to me was when I realized I didn't know who to ask for help in finding a telephone. In America, it was easy. You just ask a cop. In Ukraine, there were many different uniforms -- not so easy. (Hint: Ask the old lady, or babushka -- works every time.)

One thing was crystal clear: There was a thirst for the West. After years of oppression, my students wanted to learn everything they could from me about America. One young girl even said her dream was to go to Disneyland (whose isn't?)

As a "homeland journey," for me it was at times a surreal experience. I was suddenly seeing all the things I had only learned about in books. (Swimming in the Black Sea was not something you just dreamed about in Ukrainian school!) Even more precious was when my sister and I traveled to Ivano-Frankivsk, the city of my family. My sister and I saw the school where our grandfather taught and the pond where our father and his siblings went skating.

That my father and his family could leave such a place -- leave behind everything they knew -- and make a courageous leap of faith into a new country where they could not even speak the language filled me with admiration. I have never felt more grateful to them for making that trek as when I met some local Ukrainians who said they wished their families had done what mine did. That's when it really hit me that I could leave that country, but their lives were going to be much more difficult.

As I watch the violent and deadly protests from afar, I think now about all these people.

I see in the Ukrainians locked in confrontation the same national pride with which I was raised.

They no longer want to leave. They want to have a strong independent nation.

The opinions expressed in this commentary are solely those of Catherine Tymkiw.

@highlight

Catherine Tymkiw is a proud Ukrainian-American, raised in traditions of parents' homeland

@highlight

Father fled Soviet oppression with family, settled in Midwest, instilled in her Ukrainian pride

@highlight

It's hard for her to see violence in Kiev, where protesters fear growing Russian influence

@highlight

Tymkiw, who visited Ukraine after independence, says nation today just wants to be free