The United States could end up cooperating with Iran to stop militant gains in Iraq, Secretary of State John Kerry suggested Monday in an interview with Yahoo!News.

But a Pentagon spokesman denied Monday that any military coordination with Iran is in the cards.

In his interview with Yahoo!News, Kerry didn't say that cooperation with Iran is under active discussion inside the administration.

"Let's see what Iran might or might not be willing to do before we start making any pronouncements," he said.

But he went on to say that the he "wouldn't rule out anything that would be constructive to providing real stability."

"I think we are open to any constructive process here that could minimize the violence, hold Iraq together -- the integrity of the country -- and eliminate the presence of outside terrorist forces that are ripping it apart," Kerry said.

His comments are the first time such a high-ranking U.S. official has made such a public statement since militants from the Islamic State in Iraq and Syria began an offensive that has seen vast swaths of northern Iraq fall out of government hands.

Two senior U.S. officials said earlier that the Obama administration is exploring possible direct talks with Iran over the deteriorating situation in Iraq.

Deputy Secretary of State William Burns is in Vienna for nuclear talks with Iran and could hold discussions on the side about Iraq with Iranian Foreign Minister Mohammad Javad Zarif, a senior administration official said in a background briefing with reporters Monday.

In fact, the United States and Iran held "very brief discussions" about Iraq and the threat posed by ISIS on the sidelines of those negotiations, State Department spokeswoman Marie Harf told CNN's "The Situation Room with Wolf Blitzer."

"These engagements will not include military coordination or strategic determinations about Iraq's future over the heads of the Iraqi people," a senior State Department official said.

But in a signal the administration hasn't yet reached a conclusion about what to do, two administration officials said the United States wasn't interested in teaming up with Iran because the two share few mutual interests.

And Pentagon spokesman Rear Adm. John Kirby told reporters on Monday that the Defense Department isn't working on a plan to cooperate with Iran in Iraq.

"There are no plans to consult Iran on military actions inside Iraq," he said. "There is no plan to coordinate military activities."

Iran is an ally of Iraq's Shiite-led government, and a senior security official in Baghdad told CNN on Friday that the country had sent about 500 Revolutionary Guard troops to help fight the ISIS militants.

Iranian President Hassan Rouhani denied the report over the weekend, according to Iranian state television, but said he would be open to helping if asked.

Despite their shared interest in stopping the advance of ISIS fighters in Iraq, the United States is wary of furthering Iran's already considerable influence there.

The Shiite Iranian regime is al-Maliki's closest ally in the region. And the Obama administration is concerned that appearing to team up with Iran would both alienate Iraq's Sunni minority and worry Sunni allies of the United States in the region.

But, as the crisis spreads, officials around the globe are scrambling for any way to slow the militant advance.

ISIS, an al Qaeda splinter group, wants to establish a caliphate, or Islamic state, that would stretch from Iraq into northern Syria. The group has had substantial success in Syria battling President Bashar al-Assad's security forces.

Here's the latest:

Iraq's military strikes back; new images emerge

After days of violent ISIS advances, the Iraqi air force destroyed a convoy of 15 vehicles carrying ISIS fighters headed to Baiji from Mosul, Iraqi state TV reported Monday.

Separately, the air force killed more than 200 militants, state TV said. Air raids against ISIS reportedly took place in Saqlawiya, northwest of Falluja.

'Foreign legion' in Iraq and Syria may bring jihad to West

New images emerged Monday purporting to show a militant fighter interrogating and threatening to kill five captives.

And a video appears to show a man in an Iraqi military uniform after he was shot in the face. The fighter boasted on Facebook that he was proud of killing the man and said the video should be passed around to show what could happen to other Shiites.

The new images follow others apparently posted by ISIS to jihadi Internet forums appearing to show the executions of Iraqi security forces and a tweet, on what was claimed to be an ISIS account, saying its members had killed at least 1,700 Shiites.

CNN cannot independently confirm the authenticity of the images or tweets purportedly posted by ISIS.

More militant gains

The militant group racked up several victories across Iraq on Sunday.

The northwestern city of Tal Afar fell to ISIS, according to Iraqi Gen. Mohammed al-Quraishi. Many Tal Afar residents, including ethnic minority Shiite Turkmen, fled the fighting north toward Iraq's Kurdish region.

Also on Sunday, ISIS gained control of two villages in Diyala province, northeast of Baghdad.

And Iraqi security forces and suspected ISIS gunmen clashed near al-Khalis, about 18 miles (29 kilometers) from Diyala's capital of Baquba, al-Khalis police officials told CNN. Three mortar rounds landed near a recruitment center opened recently for volunteers to help the Iraqi army fight ISIS.

ISIS seized Iraq's second-largest city, Mosul, last week and has threatened to march on Baghdad, Iraq's capital and largest city.

ISIS uses social media to wage propaganda war

Intervention debate continues

President Obama met with the National Security Council late Monday to discuss Iraq.

He has not yet made a decision regarding a military strike against ISIS militants, a senior administration official told CNN.

The President will continue to consult with his team "in the days to come," according to a White House statement.

Obama's national security team met through the weekend, discussing the pros and cons of various options.

On Monday, multiple U.S. officials told CNN that the Obama administration is considering several military options such as unarmed surveillance flights, increased intelligence-gathering and airstrikes.

U.S. officials have said sending ground troops to Iraq isn't an option.

According to a senior military official, another option under consideration by the Obama administration is increasing the modest number of U.S. military advisers and trainers stationed at the U.S. Embassy compound in Baghdad.

Expanding training programs inside and outside of Iraq could be another option, a senior administration official said.

The governor of Kirkuk, one of the provinces that has seen heavy fighting, told CNN's Arwa Damon that he would support U.S. airstrikes in Iraq and Syria.

"I don't think anyone is safe from these people," Gov. Najmaldin Karim said.

But a U.S. official said last week that even airstrikes could prove futile given the lack of credible intelligence and lack of obvious targets presented by ISIS.

U.S. Sen. John McCain, who has called for airstrikes against ISIS, says approximately a dozen forward air controllers would be needed on the ground to carry out such attacks.

"You need to have people identify the targets in order to really be effective. Remember we're not talking about bombing in towns and cities. There are long stretches of that desert that they have to travel across in their vehicles with their guns on them," he told reporters Monday on Capitol Hill.

McCain also said he doesn't think Baghdad will fall to ISIS but the group could still wreak havoc in the capital.

"They can't take it. They haven't got enough troops and support.  Remember it's a Shiite city.  But what they can do is orchestrate bombings, assassinations, create turmoil. Shelling in different places. But I'm pretty confident that they can't take Baghdad," the senator said.

U.S. sends Marines

The United States is sending about 275 troops to Iraq to support its embassy in Baghdad, the White House said in a notification to Congress.

They will help the State Department in connection with efforts to temporarily relocate some embassy staffers to consulates in Basra and Erbil as well as to a support group in Jordan. The embassy remains open and a "substantial majority" of its presence in Iraq will remain in place, the White House said.

Some embassy employees have been moved out of Baghdad, but most remain there, State Department spokeswoman Jen Psaki said Sunday.

Over the weekend, teams totaling some 170 U.S. personnel began arriving in Baghdad, according to Pentagon spokesman Rear Adm. John Kirby.

About 100 personnel were moved into the region to provide security, airfield management and logistics support, if needed, he said.

"The safety of personnel serving in diplomatic missions abroad is among our highest priorities. The presence of these additional forces will help enable the State Department to continue their critical diplomatic mission and work with Iraqis on challenges they are facing," Kirby said.

An amphibious assault vehicle with 550 Marines aboard was expected to enter the Persian Gulf on Monday, the Defense Department said. The Marines and their V-22 tilt-rotor aircraft could help evacuate Americans from Iraq if necessary, a U.S. defense official said.

Gas prices rise

Even though the ISIS advance hasn't had a major effect on the country's oil exports, gas prices around the world are rising.

Oil experts say the 4% price spike since June 6 -- which has taken a barrel of crude to $107 for the first time since September 2013 -- is being driven by fear that exports could be hit later this year, just as world demand peaks.

@highlight

President Obama meets with his National Security Council

@highlight

United States, Iran held "very brief discussions," a spokeswoman says

@highlight

275 U.S. troops headed to Iraq

@highlight

U.S. officials: Administration considering unarmed surveillance flights, airstrikes