(CNN) -- On World Mental Health Day, around the globe many of us, perhaps hundreds of thousands or even millions, will be raising awareness of mental health issues to challenge outdated views, and to put an end to life-limiting, and sometimes life-threatening, stigma and discrimination that's still attached to having a mental health problem in so many countries and communities.

As mental health is a global issue so, sadly, is mental health stigma, shame and discrimination.

According to the World Health Organization, approximately 450 million people worldwide have a mental illness. In Britain, the figures show that one in four of us will be affected by mental health problems, yet despite touching the lives of so many, people still come up against negative reactions when they disclose their illness, which makes speaking out and seeking the support they need much harder than it needs to be.

In reality, nine in 10 people tell us at Time to Change that they face stigma and discrimination because of their mental health problem. What's more, over half (58%) say that stigma and discrimination is as bad as or worse than the illness itself.

Managing a mental health problem can be difficult enough, just like managing a long-term physical health problem can, but imagine not feeling able to tell anyone that you've got diabetes or asthma. It's inconceivable.

Talking about mental health can make a big difference and social contact -- which is where people with and without mental health problems come together to have a conversation -- is an extremely powerful approach in breaking down the taboo around the issue.

At Time to Change this is at the core of our ethos and we have followed the lead of other anti-stigma programs across the world, particularly the "Like Minds, Like Mine" program that has been running for 17 years in New Zealand. To ensure that best practice is shared globally we are part of an International Anti-Stigma Alliance along with other anti-stigma campaigns from the United States, Canada, Australia, New Zealand, Denmark, Scotland, Sweden and Spain.

Our latest campaign coincides with World Mental Health Day and aims to reach as many people as possible to transform their attitudes and behavior around mental health. It encourages people to have a conversation and promotes the little things that they can do to make a difference to someone going through a difficult time. As part of the campaign we are also delivering targeted work to reach people from African and Caribbean communities, and young people.

We're seeing a powerful social movement for change with thousands of people taking the lead within their own communities and taking action (online and in person) to tackle stigma. There are also hundreds of employers, schools, service providers and media organizations delivering stigma-busting work.

In England, a national survey showed that public attitudes towards mental illness improved significantly last year with the biggest annual improvement in the last decade and probably since records began 20 years ago. There has also been a marked improvement in intended behavior with people more willing to work with, live with, and continue a relationship with someone with a mental health problem.

Change has finally arrived here in England, but we know that far more work is needed to end life-limiting stigma and discrimination; this is the work of a generation.

Wherever you are on your journey to ending stigma, we hope World Mental Health Day allows you to make more progress towards this vital life-changing goal.

The opinions expressed in this report are solely those of Sue Baker.

@highlight

Mental health continues to carry a stigma says Sue Baker

@highlight

Discrimination can be worse than the illness itself, she says

@highlight

Talking about mental health can make a big difference