(CNN) -- The gruesome civil war in Syria that pits government forces against rebels is now in its 18th month. Here are the latest key developments:

Deputy PM: Al-Assad's resignation not an acceptable condition for dialogue

Any suggestions of President Bashar al-Assad resigning could be discussed only after a dialogue with Syrian rebels begins, Deputy Prime Minister Qadri Jamil said Tuesday, according to Russia's state-run RIA Novosti news agency.

Setting his resignation "as a condition before dialogue means that there will be no dialogue," Jamil said during a visit to Russia, according to the report.

He added that "the entire Syrian people should be asked" about such a possibility. "If this issue is being imposed on us from abroad, it is a very dangerous precedent in international relations," he said, according to RIA Novosti.

Syrian state-run news agency SANA quoted Jamil as saying that Syria "has kept its eyes set on achieving the national reconciliation in Syria."

Jamil and a delegation are now in Moscow. Russia has major trade deals with Syria and, along with China, has blocked repeated efforts in the U.N. Security Council to pass resolutions that many other countries argued could have pressured the Syrian regime to halt its violent crackdown on the opposition.

On the ground: 230 killed

At least 230 people were killed Tuesday, including 104 in Damascus and its suburbs and 42 in Aleppo, the opposition Local Coordination Committees of Syria said.

Syria, on state-run media, said its forces "continued cleaning Aleppo's neighborhoods from the mercenary terrorists."

The Damascus suburb of Modamiyeh sustained a bloody assault by regime forces Tuesday, with troops storming the city from four directions amid heavy gunfire and shelling, the LCC said. Huge explosions and mortar shelling continue to rock the city, where regime fire killed several people Tuesday, the group said.

Syria said its forces battled terrorists in Homs and elsewhere.

A Japanese journalist was killed Monday during a gun battle in Aleppo, Syria's largest city and commercial hub.

Mika Yamamoto, who worked for the independent Japan Press news agency, was reporting on the rebel Free Syrian Army, the Japanese Foreign Ministry said.

"I have seen the news on the television. I really did not want to believe it," her father, Koji Yamamoto, told the Japanese news agency Asahi on Tuesday. "She always thought of children and women under the fire of conflict and kept saying it's her mandate to tell the stories of those people to the world."

At least 20 other journalists have been killed in Syria during the conflict, according to the nonprofit group Committee to Protect Journalists. Seventeen of the 20 are believed to be work-related deaths; in three cases, it is unclear whether the journalist was killed as a result of his or her work, the group says.

On Monday, two other journalists went missing and may have been arrested by the Syrian army. They work for Alhurra TV, a U.S.-based Arabic language station.

"A Japanese female journalist was killed by the regime forces, who also attacked (an) Alhurra TV crew and captured the reporter and his Turkish cameraman," a man identified as Capt. Ahmed Ghazala of the Free Syrian Army said in an amateur video that Alhurra aired.

CNN trip to get into -- and out of -- Aleppo

Alhurra TV said that it has not been able to reach its crew in Aleppo since Monday and that it was trying to verify reports the team was arrested by the Syrian army.

World reaction: New U.N. envoy to meet on Syria

The newly appointed U.N. envoy to Syria, Lakhdar Brahimi, will visit New York to meet with U.N. Secretary-General Ban Ki-moon and senior aides this week, a U.N. spokesman said.

U.S. President Barack Obama, meanwhile, has delivered a stern warning to al-Assad: Use chemical weapons, and risk provoking a military response.

"We have communicated in no uncertain terms with every player in the region that that's a red line for us and that there would be enormous consequences, if we start seeing movement on the chemical weapons front or the use of chemical weapons," he said Monday.

Syria is a juggernaut when it comes to chemical weapons, analysts say.

The regime "probably has the largest and most advanced chemical warfare program in the Arab world," Michael Eisenstadt of the Washington Institute for Near East Policy said last month.

It includes thousands of rocket artillery rounds filled with mustard-type blister agents that can damage skin and lungs, and bombs filled with sarin that attacks the nervous system.

Opinion: Chemical weapons threat demands response

Syria has denied owning chemical or biological weapons. But Foreign Ministry spokesman Jihad Makdissi appeared to reverse that stance last month, issuing a veiled threat:

"No chemical or biological weapons will ever be used ... unless Syria is exposed to external aggression."

Al-Assad has long described the uprising against his rule as a terrorist revolt and a "foreign conspiracy."

The region: Fierce clashes erupt in neighboring Tripoli, Lebanon

Historic tensions between Sunni Muslims in Tripoli's Bab-al-Tibbaneh neighborhood and Alawite Muslims in the Jabal Mohsen neighborhood boiled over into clashes Tuesday.

Children were playing with BB guns, leaving one wounded, said Ali Fedda, a member of the Arab Democratic Party in the neighborhood. Residents then began shooting, and the army intervened in response, Fedda said.

In recent months, the Syrian crisis has aggravated decades-old quarrels between residents of the rival neighborhoods. Dozens of gunmen exchanged gunfire, as the Lebanese troops responded to the violence Tuesday afternoon.

Two people were killed and 36 injured, Lebanese state-run media reported Tuesday.

More: Syria violence fuels kidnapping threats in Lebanon

The strife between Alawites and Sunnis in Tripoli mirrors the conflict in Syria, where al-Assad's regime is dominated by minority Alawites and the opposition is largely made up of Sunnis.

CNN's Arwa Damon in Tripoli, Lebanon; Yousuf Basil, Salma Abdelaziz, Holly Yan and Josh Levs in Atlanta; and Junko Ogura in Tokyo contributed to this report.

@highlight

NEW: 230 people were killed Tuesday, an opposition group says

@highlight

A nonprofit group says at least 20 journalists have died in Syria during the conflict

@highlight

New U.N. envoy to Syria will visit New York for meetings this week, U.N. spokesman says

@highlight

Al-Assad's resignation can't be a condition for talks, Syria's deputy PM says