(CNN) -- The new version of Apple's mobile operating system, iOS 7, was released September 18 to mostly positive reviews.

It was the biggest change to iOS since it was introduced six years ago, overhauled to add a slate of new features and a more streamlined, flat, abstract look.

But nobody's perfect, right?

It's not unusual for new operating systems to have some glitches in their earliest days. Nobody's talking about anything cataclysmic this time, like the Apple Maps fiasco on iOS 6 that led CEO Tim Cook to issue a rare apology -- and which some say led to the ouster of Apple senior vice president Scott Forstall.

But a couple of weeks into its existence, iOS 7 has prompted a handful of complaints from users. Here are five of the most frequently heard, along with tips for how to fix, or at least bypass, them.

iMessage failing

Apple says it's aware of an issue that's causing texts sent through its iMessage app not to go through for some users.

On various Apple-oriented message boards, iOS 7 users were complaining that they'd send a message which appeared to work fine, only to later see the dreaded red exclamation point that means it wasn't actually sent.

"We are aware of an issue that affects a fraction of a percent of our iMessage users, and we will have a fix available in an upcoming software update," Apple said in a statement e-mailed to media outlets. "In the meantime, we encourage any users having problems to reference our troubleshooting documents or contact AppleCare to help resolve their issue. We apologize for any inconvenience this causes impacted users."

The fix? Until the update rolls out, some users say they've been able to get rid of the problem by turning their phone off and back on.

Animation flu

Some folks say they're already sick of iOS 7. Literally.

iPhone and iPad users, or at least a few of them, say they're getting symptoms similar to motion sickness while looking at iOS 7 animations. On the new system, images zoom in and out when users switch between apps.

As TIME explains, the brain gets unsettled when the eyes try to focus on images that don't match up -- for example, when you're on a rocking ship or moving car and trying to read a stationary item, like a book.

The fix? iOS 7 users can go to "Settings," then "General" and then "Accessibility." Click on "Reduce Motion" to make the zooming go away.

Battery drain

This one has been mostly reported by users of older phones like the iPhone 4S. Simply, they say iOS 7 seems to drain their batteries faster than iOS 6 did.

One factor may be that iOS 7 expands the ability to run apps in the background while focusing on another task.

The fix? Again, go to "Settings" and "General," but then choose "Background App Refresh." From there, you can choose which apps you'll allow to run in the background and which you won't.

There are also general battery-saving steps, like dimming your screen and making sure things like GPS and Bluetooth are switched off if you're not using them.

Certain apps log you out

This one might take care of itself over time.

When Apple updates its operating system, apps that rely on parts of it (like Camera) must update as well. Until they do, they sometimes kick users out. On Apple message boards, users were mentioning apps like Snapchat and Mailbox as frequent offenders.

The fix? Some developers may have already tweaked their products, and other fixes are probably on the way. But if you're still having problems, you can go to "Settings," "General" and "Background App Refresh" again. Turn off any apps you're having problems with.

Lock screen bypass

This one has already been addressed in an iOS 7 update from Apple just days after the new operating system rolled out.

For the first few days, iPhones and iPads apparently were vulnerable in one particular instance. If users were running the Camera app and had Control Center activated on their Lock screens, there were a few steps someone could take to unlock their phones.

But the iOS 7.0.2 update, released on September 26, "fixes bugs that could allow someone to bypass the Lock screen passcode," according to Apple.

Are you encountering issues with iOS 7? If so, have you found a way to fix them? Let us know in the comments.

@highlight

iMessage not working for some users of Apple's new mobile system

@highlight

Some also say they get motion sickness from animation on their iPads and iPhones

@highlight

Apple has already fixed a Lock screen bypass

@highlight

Fixes or workarounds exist for most glitches