U.S. Attorney General Eric Holder announced Thursday a Justice Department investigation into the Ferguson, Missouri, police department, which has come under fire for its past practices in the uproar over the shooting of Michael Brown.

Holder spoke about his recent trip to the area and about conversations he had with its residents.

"People consistently expressed concerns stemming from specific alleged incidents, from general policing practices and from the lack of diversity on the Ferguson police force. These anecdotal accounts underscore the history of mistrust of law enforcement in Ferguson that has received a good deal of attention," Holder told reporters.

"Our investigation will assess the police department's use of force, including deadly force. It will analyze stops, searches and arrests. And it will examine the treatment of individuals detained at Ferguson's city jail," he said.

Such probes typically focus on paving the way for systemic reform going forward, rather than punishing misconduct from the past, said CNN senior legal analyst Jeffrey Toobin.

Nonetheless, they can produce significant changes within a department.

"It's very serious," Toobin said of the investigation, before it was formally announced, "because it can lead to a virtual federal takeover of the police, as happened recently in New Orleans."

It is distinct from the Justice Department's previously announced civil rights probe that is specific to the August 9 shooting of Brown, an unarmed African-American teenager, by Ferguson police Officer Darren Wilson, who is white. Proving a civil rights violation would require showing that Wilson was actively hostile to Brown because of his race.

The shooting and the fact authorities didn't immediately, and still haven't, charged Wilson spurred emotional and, at times, violent protests on the streets of Ferguson.

Dozens were arrested over those tense few weeks, which were sometimes marred by looting and clashes between protesters and law enforcement.

Brown's shooting also stirred up locals' gripes about Ferguson police over the years. Some of them said members of the predominantly white police force would routinely and inordinately single out African-Americans, who make up two-thirds of the St. Louis suburb's population.

Residents: Police have 'a power trip problem'

Many African-Americans said that they often found themselves subject to racial profiling -- such as being pulled over for no obvious reason besides, they presumed, "DWB," or driving while black.

Some white residents complained police have acted in a heavy-handed fashion.

Chief Tom Jackson has said the claim that officers are more likely to stop blacks is more perception than reality.

Other cases, though, went well beyond that.

The family of Jason Moore recently filed a lawsuit accusing police of excessive force, saying he died of cardiac arrest on September 17, 2011, after police fired Tasers at him.

The family says that Moore, who they say suffered a psychological disorder, was walking around naked and posed no threat to police.

It's not clear which cases, specifically, the new federal investigation will examine. The probe will not focus on law enforcement's response to Brown-related protests, since that effort involved numerous agencies and Ferguson did not lead this multi-agency effort.

$40 million lawsuit slams police actions during protests

Ferguson is be the latest of many local police and sheriff departments nationwide to be subject to such a federal investigation, which Toobin explains are launched "when there are persistent allegations of misconduct."

This April, for instance, the Justice Department lambasted police in Albuquerque, New Mexico, for what it characterized as a longstanding history of police brutality and unnecessary deadly force, sometimes "in an unconstitutional manner." The report laid out several measures to address the problems, such as changing policies, training procedures and recruitment protocol.

Report: Albuquerque police have 'pattern' of excessive, deadly force

Police departments in Los Angeles, Pittsburgh, Cincinnati and elsewhere have agreed to Justice Department plans to address  controversial policies and patterns of alleged misconduct.

But nowhere has the federal agency come down harder than on the New Orleans police department, which has been plagued for years by allegations of corruption, excessive use of force, illegal searches and widespread racial discrimination.

In July 2012, Holder detailed a consent decree -- which he called the most wide-ranging such agreement in  U.S. history -- that includes more than 100 recommendations dealing with virtually every aspect of the department.

Feds, New Orleans police agree on overhaul

@highlight

Investigation will look at the department's use of force

@highlight

It will also assess stops, searches and arrests

@highlight

Analyst: Probe is "very serious," can lead to "virtual federal takeover" of police

@highlight

It is distinct from another federal probe that's specific to Michael Brown's shooting