Washington (CNN) -- President Barack Obama announced Thursday he is sending up to 300 military advisers to Iraq, and could down the road authorize targeted military action, if necessary.

Advisers will help train and support Iraqi forces, while gathering intelligence on the militant group, the Islamic State of Iraq and Syria, which has taken several cities in the north and west of Iraq.

Obama said such action was necessary to help prevent a civil war in Iraq that could destabilize the region, and also prevent creation of a terrorist safe haven.

One aircraft carrier and five warships are already positioned in the Persian Gulf, U.S. drones are flying intelligence missions over Iraq and military sources tell CNN a list of ISIS targets has been compiled.

Special forces teams will arrive in Iraq soon. They could ultimately assist in calling in airstrikes, if they are authorized.

"Going forward, we will be prepared to take targeted and precise military action if and when we determine that the situation on the ground requires it," Obama said on Thursday.

Without deploying combat troops -- which Obama has ruled out -- how could the United States take further military action?

Airstrikes: Air power is the most talked about option to target ISIS fighters who have seized cities in northwestern Iraq and could advance into Baghdad.

Navy ships in the Persian Gulf, which could facilitate an emergency evacuation of U.S. personnel in Iraq, would also enable missile strikes or bombing.

Striking from the air could hamper the movement of ISIS fighters, said Karl Mueller, associate director of the Strategy, Doctrine, and Resources program at RAND Arroyo Center.

Airstrikes would "help stem the advancing tide of ISIS, mainly by striking their forces advancing toward Baghdad or other cities not already under their control," he said.

Targeted strikes could help shift the momentum from ISIS fighters to Iraqi soldiers and could be highly effective and low risk, Mueller said.

As during the 2011 intervention in Libya, ground forces are unlikely to pose a significant threat to U.S. air power and ISIS's air defenses "would likely be even weaker," Mueller said.

American bombing would not only give Iraqi forces the upper hand against ISIS, but could provide a much-needed "psychological boost" to Iraqi forces after soldiers abandoned their posts in Mosul, which was quickly captured by ISIS.

Another benefit? U.S. airstrikes would be achievable without deploying U.S. military personnel near the ground targets, CNN military analyst retired Gen. James "Spider" Marks said.

While some have raised concerns that an air campaign could result in a high number of civilian casualties, Marks called ISIS a "very conventional force," boasting armored vehicles, artillery and ammo stockpiles.

Precision strikes would be difficult to call in without forces on the ground, but the advisers Obama is now deploying could fulfill that task, CNN military analyst Rick Francona said.

U.S. special forces would be "in a great position to call in any air strikes," Francona said.

Retired Army Gen. Mark Kimmitt called airstrikes "one of the best guarantees" to keep Iraq in one piece, but argued that ISIS is more focused on consolidating their gains and may not be interested in pushing into Baghdad.

"It's highly unlikely that they have either the manpower or the capability -- or quite frankly the desire -- to go well south into the southern, predominantly almost exclusively Shia areas," Kimmitt said.

Drones: What if Obama decides he doesn't want U.S. pilots flying over Iraq at all?

Drones have already been at the forefront of the U.S.'s fight against terrorism in the Middle East and perhaps the most recognizable weapon of the Obama administration's policy in countries like Yemen and Pakistan.

But drones are best used to strike small, specific targets like vehicles and individual suspected terrorists and several military officials have told CNN that drone strikes would have a limited impact on a force like ISIS.

Drones would help U.S. military officials fill the intelligence gap they need to seal in order to strike ISIS precisely, effectively and with limited civilian casualties.

Experts and critics have cited the lack of updated military intelligence in ISIS-controlled areas as a hindrance to identifying specific targets.

And the Pentagon has ramped up drone surveillance over northern and western Iraq since ISIS took several cities.

But some say that is not enough.

On the ground, intelligence-gathering: Obama has ruled out sending troops "back into combat."

Plans for advisers are similar to those that retired Marine Gen. Anthony Zinni, the former head of Central Command, called for Monday on CNN.

"They can provide some of that ground intelligence ... that we're lacking," he said. "They also can control airstrikes if necessary. They can function as advisers."

Zinni suggested the elite forces could work with Iraqi forces as well as with Kurdish fighters who recently seized control of the northern, oil-rich city of Kirkuk and are also battling the Islamist militants.

Gen. Mark Hertling also called intelligence-gathering essential to distinguish between ISIS fighters and civilians.

"Intelligence is the driver. You can't drop bombs or hit targets without intelligence," Hertling said. "In order to get intel, especially in a nation that's like Iraq, you have to have people seeking that intel on the ground. It just can't come from satellite photos, or an airplane moving at 200 knots above a target and say: 'Hey, that's good enough, let's drop a bomb.'"

To those urging Obama to take swift military action to strike ISIS, Hertling has a message: easier said than done.

He urged caution, warning that without more intelligence, U.S. strikes could hit civilians.

"And as soon as the first bomb or the first strafing run hits a school bus or a car full of civilians, then the Americans are to blame for that," he said.

But sending advisers could just be a first step to a larger U.S. mission in Iraq, experts warned.

"This is the first step. This is how you get drawn into these situations," Francona, a CNN military analyst, said.

Cooperating with Iran: Obama also said that Iran can play a constructive role in Iraq if it is not "coming in solely as an armed force on behalf of the Shia."

Iran deployed about 500 Revolutionary Guard troops to help the Iraqi government.

But Iran's growing influence in Iraq continues to worry experts and U.S. officials as Iran's involvement risks further inflaming sectarian tensions already at a boiling point in the region.

As Iranian planes fly through Iraq to arm the Syrian regime and as the war in Syria swells into neighboring countries, experts are warning of a possible regional war between Sunnis and Shiites.

To keep Iraq from breaking into pieces, Secretary of State John Kerry said the United States would consider communicating with Iran to kill the advance of ISIS militants.

Kerry is heading to Iraq for consultations on the situation there.

"We're open to discussions if there's something constructive that can be contributed by Iran," he said in an interview with Yahoo News, responding to a question about cooperating with the Iranian military. "I think we need to go step by step and see what, in fact, might be a reality."

Kerry clarified Thursday that the United States is only "interested in communicating with Iran" and sharing information to prevent mistakes.

But the powder-keg situation in Iraq has convinced even one of the most conservative members of the U.S. Senate to consider working with Iran.

"The Iranians can provide some assets to make sure Baghdad doesn't fall," Sen. Lindsey Graham of South Carolina said.

Meghan O'Sullivan, a former deputy national security adviser, agreed that a coordinated effort in Iraq between the U.S. and Iran might benefit both sides.

Defense Secretary Chuck Hagel told Congress coordination with Iran would not be a first as the United States had previously "worked with the Iranians on that western border in Afghanistan."

Others worried that a collaboration with Iran could further alienate Sunni Iraqis who are already weary of the Iraqi government or Iran's regional rivals.

House Speaker John Boehner said the U.S. should rule out any partnership with Iran.

"I can just imagine what our friends in the region, our allies will be thinking by reaching out to Iran at a time when they continue to pay for terrorists and foster terrorism not only in Syria, in Lebanon but in Israel as well," Boehner said.

Obama announces military advisers going to Iraq

Transcript: Obama's remarks on U.S. response to Iraq crisis

Obama: Military advisers will go to Iraq, but U.S. not returning to combat

CNN's Shirley Henry, Barbara Starr and Tom Cohen contributed to this report.

@highlight

On airstrikes: the U.S. may have trouble recognizing militants from civilians.

@highlight

Drones are effective for precision strikes, but may be most helpful with other missions

@highlight

Experts say filling the intelligence gap is the No. 1 priority

@highlight

The U.S. could also collaborate with Iran, which has already sent 500 troops to help