(CNN) -- Children in Asian countries are on average better problem solvers than their European and American peers, according to a new study by the Organization for Economic Cooperation and Development.

In 2012 the organization tested more than 85,000 15-year-olds in 44 countries and economies on their problem solving skills, testing their ability to explore limitations or obstacles and to understand information given to them.

While Singapore, Japan, China and Korea were among the top-performing economies, the United States scored just above the average and Russia and Israel lagged behind with lower-than-average scores.

The OECD says ability to crack complex problems is key to the economic success in the future.

"Today's 15-year-olds with poor problem-solving skills will become tomorrow's adults struggling to find or keep a good job," said Andreas Schleicher, acting director of education and skills at the OECD.

The problems in the test were designed to be similar to those faced by many workers in every day situations -- such as using an unfamiliar mobile phone or a ticket-vending machine.

The report says one in 10 workers faces such hurdles every day. But the skills become even more important in the sectors that drive developed economies -- highly skilled managerial and technical occupations.

The pupils were also asked to consider situations involving a number of alternatives and constraints to make a decision -- for example choosing the right pain killer given sufficient details about the patient, their complaints and the available pain killers.

In another parts, students had to solve scheduling problems for projects such as building a house or generating a flight schedule for an airline.

One question asked the children to plan a seating plan for a birthday party according to the wishes of the individual party guests.

Try to solve it here:

(See the answers here.)

The results suggested that one in five students in the OECD countries is only able to solve "very straightforward problems -- if any -- provided they refer to familiar situations, such as choosing from a catalog of furniture, showing different brands and prices, the cheapest models to furnish a room."

But the same students failed when put in new situations and asked to solve unfamiliar problems.

The report says this is a consequence of education focused on various sets of rules, such as the rules of algebra. While algebra is important, the reports points out that in real world, applying the rules of mathematics is only the second part of finding a solution to a problem.

"The first step -- the step computers can't do -- involves examining the messy set of facts in a real-world problem to determine which set of algebraic rules to apply," it says.

To avoid turning pupils into robots governed by a strict set of rules, teachers should encourage their students to think about skills they learned in one class -- such as reading and mathematics, and apply them when trying to solve a problem in biology or history.

Read more: Shanghai teens top international education ranking
Opinion: What Asian schools can teach the rest of the world

@highlight

Singaporean pupils are the top-performing problem solvers, American students rank just above average

@highlight

OECD tested 85,000 15-year-olds in 44 countries and economies on their problem solving skills