London, England (CNN) -- The British election has ended in a hung parliament, as official returns show it is impossible for any one party to get a majority of seats.

The leader of the largest party traditionally gets the first chance to form the government and become prime minister. But if no party has a majority, the sitting prime minister -- currently Gordon Brown -- has the right to stay in office and try to win a confidence motion in parliament.

Hung parliaments are unusual in Britain. The last time it happened, in 1974, voters were back at the polls within months.

CNN's Political Contributor Robin Oakley, a veteran of 12 UK elections, answers questions about a hung parliament.

What exactly is a "hung parliament?"

To enjoy a governing majority in the parliament, a party -- realistically either the Conservatives, led by David Cameron, or the ruling Labour Party, led by Prime Minister Gordon Brown -- needed to win a minimum of 326 seats. That's more than half the total of 650 being contested.

A "hung parliament" is one in which no single party reaches that minimum number. Without a majority in parliament, a government becomes dependent on MPs -- or lawmakers -- from other parties to get its program voted through the House of Commons, the chamber which passes laws and legislation.

Labour ended the parliament dissolved on April 12 with an effective working majority of 56. But the party only had to lose 24 seats to forfeit its majority due to some lawmakers not taking their places in the chamber (such as those from Northern Ireland's Sinn Fein), some lawmakers not having a vote (such as the speaker) and some seats being vacant.

So didn't the Conservatives get the most votes?

So they did. But the electoral arithmetic makes things more complicated.

England, Scotland and Wales do not have proportional representation. Instead the British use the first-past-the-post voting system where winner takes all.

The general election is not just a national contest but in effect a mini-election in every one of those 650 parliamentary constituencies. And because of a bias currently built into the British system, the Conservatives in practice need a lead of more than 10 points in their share of the vote to be sure of winning even a single-seat majority.

The boundaries of parliamentary seats are periodically revised to keep them close to a notional average size. But the officials charged with the task, and the lengthy appeals process over their decisions, ensure that parliamentary seat sizes don't keep pace with population changes.

Currently the distribution favors Labour, which tends to spread its vote more evenly across the country and to win a large number of seats by small majorities, particularly amid the shrinking populations of inner cities. The Conservatives, by contrast, rack up huge majorities of "surplus" votes in some safe rural and suburban seats.

One way to appreciate the inequity of the system is to note that in the 2005 election it took Labour on average 26,872 votes to win a Parliamentary seat. The Conservatives averaged 44,531 votes per seat and the Liberal Democrats 96,485.

Labour's share of the national vote last time was just 36 per cent. But thanks to the way the system worked, that gave them 57 per cent of the seats in parliament.

The Conservatives needed to gain an extra 116 seats to have the barest majority of their own -- and they needed around a 10-point margin for that.

When did Britain last have a hung parliament. How likely is it this time?

The last time a hung parliament happened in Britain was in 1974. But election experts say that the prospects of a repeat have been increasing. Back in the 1960s, the two major parties, Labour and Conservatives used to take around 95 per cent of the vote between them. At the last general election in 2005 they aggregated less than 70 per cent.

Not only have the Liberal Democrats advanced (they took 62 seats last time with 23 per cent of the vote) but so have other smaller parties. In Scotland and Wales in 2005 the Scottish National Party and Plaid Cymru (Welsh Nationalists) won 10 seats between them. And in local government contests and European Parliament elections, fringe parties like the Greens, the British National Party and the United Kingdom Independence Party have shown their ability to collect significant voting support.

Winning a national majority is getting harder and the expenses scandals of the last parliament may boost support for minority parties that are apparently less tainted by them.

What happened in the last hung parliament? Why are financiers and business people seemingly so jumpy about the possibility of another?

Edward Heath, the then Conservative Prime Minister, called an election in February 1974 on the theme of "Who runs the country?" after battles with the trades unions. He failed to win a majority but took a bigger share of the national vote than Labour, which had four more seats than his Tories (301 to 297).

Heath tried to stay in power, seeking to persuade the Liberals to back him. They would not and so his opponent, Harold Wilson, formed a minority Labour government. Wilson called a second election that year, in October, and that time won an overall majority of three seats.

Part of the agitation in some financial circles about the possibility of a hung parliament on May 6 derives from sheer novelty. The first-past-the-post system has so often produced a definite election result that City and currency speculators are suggesting that a minority government -- or a coalition of two or more parties -- would not be strong enough to take tough decisions at a time when the parlous state of the British economy needs decision and consistency at the top.

But many European countries where proportional voting systems regularly produce minority or coalition governments seem to manage their economies perfectly adequately. And some calmer Westminster and City voices have pointed out that Britain managed to run its affairs during World War II with a coalition government.

So what is likely to happen this time?

That is the hardest question. Nick Clegg, the Liberal Democrat leader whose party could hold the balance of power, says that he won't play kingmaker. That, he says, is a task for voters. He adds: "Whichever party has the strongest mandate from the British people it seems to me they have the first right to try and govern."

All fine and dandy, except that he didn't say whether that "mandate" should be determined by which party had the most seats or which had the biggest share of the national vote -- which wouldn't necessarily be the same thing.

Clegg would not be keen to earn the ire of the British people by putting Gordon Brown back in 10 Downing Street, when British voters had refused to renew Labour's majority. But nor would his party stomach him working with the Euroskeptic Conservatives.

The money therefore goes on a minority government rather than a coalition.

@highlight

A "hung parliament" is when no party has the minimum number of seats to enjoy a governing majority

@highlight

The UK last saw a hung parliament in 1974, which saw two elections in the same year

@highlight

Many European countries regularly produce minority or coalition governments

@highlight

There has been agitation in some financial circles about the possibility of a hung parliament