(CNN) -- When Facebook's 27-year-old CEO, Mark Zuckerberg, wore a hoodie at a presentation to investors during the lead-up to Facebook's initial public offering, a financial analyst publicly accused Zuckerberg of immaturity. By dressing casually at such an important event, he alleged, Zuckerberg was telling potential shareholders they didn't matter.

The blogosphere's response was swift: Business and tech commentators across the nation rushed to the billionaire's defense, explaining that the hooded sweatshirt was a symbol of his independent-mindedness, his youth, his authenticity, his loyalty to the culture of Silicon Valley. They argued his business acumen is reflected in Facebook's numbers, not in his fashion choices.

Now that the firestorm has cooled, it's worth taking a moment to consider the complex significance of the hoodie for someone like Zuckerberg.

Life on Planet Facebook

In one respect, both the anti-hoodie and pro-hoodie factions are correct. When Zuckerberg wears a hoodie at a high-profile meeting, he's saying: I am an artist, not a salesman. Salesmen wear suits because their job is to persuade, seduce, cajole; appearance is all-important. And the salesman's first priority is profit, which, if you're a Facebook shareholder, is the ethos you might wish to see in the CEO of the company you're investing in.

But Zuckerberg has said explicitly he is devoted above all to his beautiful creation: Facebook. This, presumably, is why he turned down Yahoo's offer of $1 billion for the company back in its early years and chose to keep running the company himself. He's first and foremost an inventor, a tinkerer in a workshop, a monk in hooded robes. Sales, the bottom line, these are not the things that define me, the hoodie says.

To a tech geek, indifference to dress is a badge of pride because any creative endeavor, whether it's coding software or writing novels, goes better if you can forget about yourself entirely, forget about how you look, what you're wearing, how people perceive you. Your must immerse yourself in your art. It must become the only thing on your mind.

Timeline: Mark Zuckerberg's rise from child prodigy to Facebook billionaire

The nerd's spastic movements, childlike laugh, checked-out eyes as she codes or writes or thinks are the symptoms of a person obsessed with work, a person unconscious of herself and the impression she's making. That's why Bill Gates used to dress like a homeless guy, and Steve Jobs wore a black turtleneck, why Zuckerberg wears the hoodie. It's about taking pride in being an artist.

Hoodie's evolution from fashion mainstay to symbol of injustice

So the analyst who said the hoodie shows I-don't-give-a-damn attitude was right in one sense, but he was wrong to suggest Zuckerberg's hoodie was bad news for Facebook investors. Because showing the world that you're an artist instead of a salesman can be a great sales tactic.

As a cub reporter, I had the privilege of watching Steve Jobs pitch the Pixar movie "Monsters, Inc." to a handful of journalists in a small room. It was the best sales presentation I've ever seen. While it was happening, I wanted to do anything Jobs asked, because he was able to seem like he didn't care what we thought of him. He was unshaven, wearing his cat-burglar ensemble. He never tried to kiss up to any of us, like movie people often did. There were no visual aids, no refreshments. He just fulminated about what a good movie it was, how major its advances in animation technology, almost as if we weren't there.

Are you living without Facebook?

He was a brilliant salesman because he didn't act much like a salesman. You believed him because he didn't seem like he cared that much whether you believed him or not. He was a good-looking, confident person, but his conduct in many respects was that of somebody so passionate about his work that it made him just a little socially unacceptable. This guy is a nerd, you thought -- the real thing, so he must know what he's talking about.

Zuckerberg has learned much, I suspect, from Jobs. He knows the impression he makes is important, so, like Jobs, he acts like he doesn't think it's important. The hoodie is both who he really is -- a big nerd -- and a thoughtful executive's performance of who he really is.

He isn't being immature or youthful at all. He's striving to earn the confidence of investors by presenting himself as a scruffy genius who doesn't care about earning their confidence. And that's good business.

The opinions expressed in this commentary are solely those of Benjamin Nugent.

@highlight

Facebook CEO Mark Zuckerberg was criticized for wearing a hoodie in meeting

@highlight

Benjamin Nugent: Zuckerberg's hoodie signals that he is an artist, not a salesman

@highlight

He says that for tech geeks, indifference to dress is a badge of pride

@highlight

Nugent: Zuckerberg isn't immature; wearing a hoodie is a great sales tactic