Los Angeles, California (CNN) -- Rick Norsigian kept two boxes he bought at a garage sale under his pool table for four years before realizing they may be too valuable to store at home.

The Fresno, California, commercial painter learned this week that what was in those boxes he paid $45 dollars for a decade ago could be worth more than $200 million.

"When I heard that $200 million, I got a little weak," Norsigian said at a Beverly Hills art gallery Tuesday.

Art, forensic, handwriting and weather experts teamed up to conclude the 65 glass plates in the boxes were photographic negatives created more than 80 years ago by Ansel Adams, the iconic American photographer whose images of the West inspired the country.

Arnold Peter, the lawyer who led the effort to authenticate that the negatives were made by the man known as the father of American photography, said their approach was "to put these negatives on trial."

Experts, including a former FBI agent and a U.S. attorney, "came to the conclusion that, based on the evidence which was overwhelming, that no reasonable person would have any doubt that these, in fact, were the long-lost images of Ansel Adams," Arnold said.

The photographs were from the early career of the famed nature photographer, a period that is not well documented since a 1937 darkroom fire destroyed 5,000 of his plates, Arnold said.

"It truly is a missing link of Ansel Adams and history and his career," said Beverly Hills appraiser and art dealer David W. Streets.

The photographs were taken between 1919 and the early 1930s at locations familiar to Adams, mostly around Yosemite, California, Streets said.

"This is going to show the world the evolution of his eye, of his talent, of his skill, his gift, but also his legacy," Streets said.

"And it's a portion that we thought had been destroyed in the studio fire."

Norsigian, who scours garage sales for antiques, was looking for a barber chair when he spotted to two deteriorated boxes in the spring of 2000.

"When I pulled on of those glass negatives out, I seen Yosemite," he said. "As a young man, I worked at Yosemite quite a bit. So, right away I recognized it as Yosemite."

He bickered with the seller, finally negotiating down from $70 to $45 for the boxes. The owner said he bought them in the 1940s at a warehouse salvage in Los Angeles. He bickered the price down from $70 to $45.

It would be two years before he realized they photos may be from Adams, he said. After four years, he had done enough research to realize the plates could be valuable. He moved them from under his pool table and placed them in a bank vault.

How these 6.5 x 8.5 inch glass plate negatives of famous Yosemite landscapes and San Francisco landmarks -- some of them with fire damage -- made their way from Adams collection 70 years ago to a Southern California garage sale in 2000 can only be guessed.

Photography expert Patrick Alt, who helped confirm the authenticity of the negatives, suspects Adams carried them to use in a photography class he was teaching in Pasadena, California, in the early 1940s.

"It is my belief that he brought these negatives with him for teaching purposes and to show students how to not let their negatives be engulfed in a fire," Alt said. "I think this clearly explains the range of work in these negatives, from very early pictorialist boat pictures, to images not as successful, to images of the highest level of his work during this time period."

Alt said it is impossible to know why Adams would store them in Pasadena and never reclaim them.

The plates were individually wrapped in newspaper inside deteriorating manila envelopes. Notations on each envelope appeared to have been made by Virginia Adams, the photographer's wife, according to handwriting experts Michael Nattenberg and Marcel Matley. They compared them to samples provided by the Adams' grandson.

While most of the negatives appear never to have been printed, several are nearly identical to well-known Adams prints, the experts said.

Meteorologist George Wright studied clouds and snow cover in a Norsigian negative to conclude that it was taken at about the same time as a known Adams photo of a Yosemite tree.

In addition to Yosemite -- the California wilderness that Adams helped conserve -- the negatives depict California's Carmel Mission, views of a rocky point in Carmel, San Francisco's Fisherman's Wharf, a sailing yacht at sea and an image of sand dunes.

"The fact that these locations were well-known to Adams, and visited by him, further supports the proposition that all of the images in the collection were most probably created by Adams," said art expert Robert Moeller.

Moeller said that after six months of study, he concluded "with a high degree of probability, that the images under consideration were produced by Ansel Adams.

Silver tarnishing on the negatives also helped date the plates to around the 1920s, Alt said.

"I have sent people to prison for the rest of their lives for far less evidence than I have seen in this case," said evidence and burden of proof expert Manny Medrano, who was hired by Norsigian to help authenticate them. "In my view, those photographs were done by Ansel Adams."

Arnold, the lawyer, said they presented their evidence to descendants of Adams, but they've not heard back.

Norsigian, who is 64, still works for the Fresno school system, but he may retire this year.

It could be a while before he sees the profits from the sale of prints from the negatives, but Streets estimates over the next 25 years it could mean over $200 million for Norsigian.

For now, the photos will go on a tour of universities and museums, starting in October at Fresno State University, Norsigian said,

"I just hope everybody enjoys them," he said.

He's not spoken with the man who sold him the two boxes a decade ago.

"If he's still around, I'm afraid he may come looking for me," he said.

@highlight

NEW: Negatives were stored under a pool table for years

@highlight

Man paid $45 at a California garage sale for 65 glass plates

@highlight

Experts concluded negatives were lost Ansel Adams photos

@highlight

Photos are a "missing link" in Adam's career