(CNN) -- A new report from the American Lung Association lists the cities that have the worst air pollution in the U.S.

Places in Southern California and the Central Valley, including Los Angeles, Fresno, Visalia and Modesto, top the list. But Las Vegas, Salt Lake City and even Fairbanks are also offenders.

Part of the problem stems from policy failures in Washington. Of course, local governments are at fault as well.

In California, cars and trucks contribute heavily to the problem, as is also true in cities like Dallas. LA pioneered urban sprawl and the car culture and is now paying the price. But it's not alone: Atlanta, Charlotte, and others are also sprawled across the countryside.

American cities have not done enough to get people out of cars and onto mass transit. LA exemplifies the problems. As detailed in "Railtown," a recent book by Ethan Elkind, LA focused too much on subways and not enough on trolleys and dedicated bus lanes. To make matters worse, the routes were often in the wrong places due to political interference from the city council through the state capital to Congress.

It's not realistic to expect that something as major as transportation infrastructure will be immune from politics, but rational planning needs to play a bigger role than it has in the past. LA's specific problems were its own, but mass transit is in need of more support and better implementation across the nation. All too often, support for mass transit is portrayed as a wasteful subsidy because its benefits to the public are misunderstood.

The federal government has sometimes failed to do enough to fight air pollution. Under the Bush administration, especially, industry succeeded in using federal laws as a shield against state regulation. For instance, cities have been blocked from addressing pollution from older, dirtier trucks.

When one port authority tried to prohibit dirtier trucks from using its facilities, the Supreme Court held this effort violated a federal law deregulating prices and routes in the trucking industry. It was probably a surprise to Congress that the effort to allow markets to control this industry gave the industry special immunity from the kinds of pollution regulations that apply to every other industry. Obviously, other cities also have their own high-polluting trucks, and they are similarly stymied.

Lawsuits have also prevented cities from modernizing fleet vehicles such as cabs. When one West Coast air quality district tried to make fleet vehicles such as cab companies buy only the cleaner vehicles on the market. Although this would have been a significant step toward improving air quality in a heavily polluted area, the Supreme Court ruled that the air district was violating federal law. This ruling has had ripple effects elsewhere in the country, like New York City, where federal courts have blocked efforts to upgrade its cab fleet.

Some say electric cars are the future. But when electric cars were first introduced, the Bush administration took the very unusual step of getting involved and siding with industry. It wasn't until Bush left office that California was able to make a bigger push for electric cars. The delayed introduction of electric vehicles is bad for the U.S.

State regulators, even with the best intentions, can't go it alone. They need local governments to help combat sprawl and support mass transit.

The Environmental Protection Agency has an obvious role to play in addressing pollution, and it needs to be more effective. New federal regulations on pollution from electric power plants are a long-overdue step in the right direction. Hopefully, EPA will also tighten ozone standards during its next review. But at the same time that the federal government is trying to do more, it is ironic to see federal law used to block state pollution controls.

Air pollution these days is a deceptive problem. People know that some days are hazy and leave their eyes irritated. What they don't realize is that these problems are only the tip of the iceberg. Air pollution results in more respiratory illness, more trips to the ER, and more deaths. According to EPA estimates, its program to reduce cross-state pollution (which the Supreme Court upheld recently) will save 14,000-34,000 lives per year. We've made real progress should not become complacent over this major public health issue. We need to redouble our efforts.

@highlight

A new report lists the cities that have the worst air quality in the U.S.

@highlight

Dan Farber: Part of the problem stems from policy failures in Washington

@highlight

He says we need to implement mass transit more on a national level

@highlight

Farber: Air pollution from cars and trucks pose a real public health hazard