Jerusalem (CNN) -- At least 17 children and 14 women had been killed as of midafternoon July 20, in the 24 hours since Israeli forces had launched ground operations in the al-Sheja'iya neighborhood of Gaza City, the United Nations reported. Those numbers will rise: Many bodies are still in the rubble. Ambulances came under attack and couldn't reach the wounded, witnesses said, and survivors fleeing tank shells and airstrikes didn't know how many of their relatives had been killed.

At around that time, George Stephanopoulos of ABC's "This Week" asked U.S. Secretary of State John Kerry for his response to Palestinian statements accusing Israel of committing "a massacre and a war crime" in Sheja'iya. "That's rhetoric that we've heard many, many times," he answered. "What they need to do is stop rocketing Israel and accept a cease-fire."

Hamas and other Palestinian armed groups do indeed need to stop rocketing Israeli population centers. Rockets killed an Israeli Bedouin man and wounded his wife and children on July 19, and badly injured two girls last week. Such strikes using inherently indiscriminate rockets violate the laws of war.

But the "they" Kerry referred to are the warring parties, not the civilians.

The message Israel needs to hear from its most important ally is not that "War is ugly, and bad things are going to happen," as Kerry put it.  A more meaningful assessment is the one Kerry shared, with apparent irony, with an aide when he mistakenly thought he was off-mic on Fox News: "It's a hell of a pinpoint operation."

The 17 chronically ill, elderly and paralyzed patients in the Wafa Rehabilitation Center, in Sheja'iya, can tell you it's no pinpoint operation, if that is supposed to mean that civilian structures are being spared. Israeli forces hit the hospital at least three times from July 11 to 17, with missiles and tank rounds. Amid these attacks, the Israeli military warned hospital staff to evacuate. But, the hospital director said, "There is no other hospital in Gaza equipped for our patients."

They finally evacuated under fire on the night of July 17. The electricity was cut off, patients lost their oxygen supply, attacks started a fire on the upper floors, and nurses, coughing in the smoke, carried patients -- none of them mobile -- downstairs and into ambulances.

The Israeli military has variously claimed that rockets were stored or launched from areas near the hospital, but not that the hospital was used for enemy military operations harmful to its own forces. The fact that Israel, using accurate guided missiles and direct tank fire, struck the hospital over several days, suggests intentional or reckless attacks on the hospital, which are war crimes.

Palestinian fighters are among the dead in Gaza. And not all civilian casualties are the product of violations of the laws of war. Palestinian armed groups also unnecessarily put civilians at risk by deploying near crowded apartments or, as in two known incidents, storing rockets in empty schools.

But under the laws of war, civilians who do not join in the fight are always to be protected. It's good that Israeli forces often give warnings, but that doesn't give Israel legal license to attack civilians left behind or to proceed with little concern for their welfare. Nor can it assume that anyone left in a "warned" area is a fighter, because there are many reasons, from infirmity to fear to having no place to go, why civilians don't heed warnings to flee.

One crucial element in any lawful attack is that it is directed at a reasonably certain military target. But in a number of airstrikes before the ground invasion that Human Rights Watch investigated, we found no evidence of a lawful military objective.

There was none evident at the Fun Time Beach cafÃ©, where an Israeli attack on July 11 killed nine civilians, including two boys, who had gathered to watch the World Cup.

The four boys killed and three wounded by Israeli strikes near the Deira Hotel, on the Gaza City beachfront, were not lawful military targets.

The military said it was targeting a terrorist in the beach cafÃ©, but didn't supply a name or other information to back the claim, or explain why it had to kill that unidentified person when he was surrounded by civilians.

And it said it had mistaken the boys wounded in the latter attack for "fleeing fighters," even though anyone would flee a building being attacked. These are not tragic accidents. They fit an apparent pattern of shooting first, determining whether there was a lawful target later.

The policy of the United States in response is inadequate. On July 21, Kerry announced that the United States is "providing $47 million to address the humanitarian situation in Gaza." These funds are desperately needed.

But nothing has been said about curbing the killing of civilians, addressing the years of impunity for such grave violations of the laws of war, much less suspending transfers of military materiel that Israel has been using to commit what we find to be illegal acts.

Dismal as Israel's record is in prosecuting war crimes, Hamas has prosecuted no one. West Bank Palestinian leaders have intimated they may seek access to the International Criminal Court, which would then have jurisdiction over indiscriminate rocket attacks from Gaza as well as unlawful Israeli airstrikes, insofar as Israeli and Palestinian authorities refused to prosecute their own.

Closing the accountability gap could help deter attacks on civilians, but the United States, which has long blocked international accountability for Israeli violations, steadfastly opposes the Palestinian move. It is long past time to reverse that position.

What is Israel's endgame in Gaza?

@highlight

Human Rights Watch says some Israeli airstrikes had no lawful military objective

@highlight

Bill van Isveld: Hamas also needs to stop rocketing Israeli population centers

@highlight

He says warnings don't give Israel license to kill civilians left behind or ignore their welfare

@highlight

International Criminal Court would have jurisdiction over rocket attacks, airstrikes