(CNN) -- As the protests in Cairo enter a second week, CNN takes a look at some of the key questions surrounding them.

What are the protests about?

The protesters are calling for democratization -- for a government that they feel represents them. They want President Hosni Mubarak, 82, to step down after 30 years holding onto power, and an end to what they complain is a corrupt regime. Some have called for the government to face a trial.

The anger is driven largely by economic frustrations. Egypt has seen a dramatic rise in the cost of living in recent years. While the government has offered food subsidies to help people handle rising prices, many are struggling.

Egypt's economy was stagnant for decades, but in the past 10 years started to grow, creating bigger differences between rich and poor, said Juan Cole, a Middle East historian at the University of Michigan.

"And I think some of the protest is over the ways in which the labor movements have gotten left behind and haven't shared in the economic growth," he said.

Why now? What sparked the protests?

A wave of protests in nearby Tunisia which overthrew the government helped inspire people in other nearby countries, facing similar frustrations, that it was time for an uprising.

But the spark, in many ways, was one young man. Mohamed Bouazizi, a 26-year-old college graduate in Tunisia, was unable to find work, so he set up a fruit cart. Police confiscated it, saying he had no permit. According to the Federation of Human Rights Leagues, police also beat him. Bouazizi set himself on fire in protest, and later died.

His self-immolation triggered the huge protests in Tunisia, which in turn helped inspire people in other nearby countries, including Algeria and Yemen, to take to the streets as well. There have also been protests in Jordan and Sudan. A Facebook page calls for similar demonstrations in Syria.

A popular Facebook page that helped organize the Cairo protests beginning January 25 was dedicated to Bouazizi.

Who are the protesters?

Many are young men. The majority of Egypt's population is under 30, and the vast majority of its unemployed are as well. While the protesters include people from different socio-economic levels and different parts of the country, there is a "high proportion of the educated middle class," said Cole.

There's "a feeling amongst that middle class that they're not being given the opportunities in life that their degrees warrant -- what historians would call a 'blocked elite,'" Cole said.

Have the protests been violent?

The protesters have generally been peaceful, chanting slogans and holding signs. Last week, police clashed violently with some demonstrators, leaving some dead and others wounded. Once the government sent in the military to take the place of police, the clashes came to a halt. The two sides have generally gotten along well. Some protesters have even posed for pictures with members of the military on their tanks. At times, the protests have even taken on the feeling of a music festival, with people wandering around, chatting, and celebrating.

"This is the start of the rest of my life," one jubilant young man who appeared to be in his 20s told CNN. "As cheesy as it sounds, that's exactly how I feel right now."

How did chaos begin in some areas?

Police disappeared from the streets in parts of Cairo and some other areas, and some police stations were ransacked. Over the weekend, looters attacked stores and homes and torched some cars, and some prisoners escaped.

Men gathered in neighborhoods to create vigilante groups protecting their property. In some places, people handed out knives, sticks, clubs, and baseball bats to men and teenage boys, encouraging them to fight any looters who came along.

Some Egyptians said they worry the chaos could be part of Mubarak's strategy, getting citizens angry at the protesters for creating havoc and excited for government security forces to come along and bring order. But the crime has also built more frustration against the government among many Egyptians.

How many have died?

While it's difficult to ascertain a solid death toll, Human Rights Watch staffers have confirmed more than 120 deaths in Cairo, Alexandria, and Suez, according to a researcher for the group in Cairo.

How is the food supply?

Many families are fast running out of staples, and they are either unable or unwilling to shop for groceries. "I have three children, and I only have enough to feed them for maybe two more days. After that I do not know what we will do," school administrator Gamalat Gadalla said.

Grocers have closed up shop or are running out of supplies themselves.

"With the curfew, there are no restaurants, food or gas. Basic goods will soon be in shortage," Sandmonkey, an Egyptian blogger said via Twitter.

Egyptian state-run Nile TV has set up a hotline for citizens to call in and report bread shortages. There has been no other indication of what the Egyptian government is doing to address the crisis.

CNN's Ben Wedeman, Nic Robertson, Ivan Watson, Frederik Pleitgen, and Salma Abdelaziz contributed to this report.

@highlight

Protesters seek representative government, economic opportunity

@highlight

A young man in Tunisia sparked waves of protests in several countries

@highlight

Many protesters are young, unemployed, middle-class

@highlight

A Human Rights Watch researcher says more than 120 have died