(CNN) -- We tend to think of the 2008 financial crisis as the atom bomb that smashed the American economy, and from which we have yet to recover.

But what if our economic woes started far earlier than that? The recession officially began in December 2007, and some scholars, including Jeremy Nalewaik of the Federal Reserve, argue that if we measure gross domestic product by looking at incomes rather than expenditures, it actually started in the last three months of 2006.

That is, we started digging the hole even earlier than is commonly understood. And now a number of scholars are suggesting that our troubles really began in the early 2000s, yet they were masked by an unsustainable housing boom.

The recovery has been extremely uneven, with college-educated workers faring better than non-college-educated workers. This has led a number of economic thinkers to suggest that the persistence of high unemployment flows in no small part from a structural dynamic.

Just as the transition from an agricultural to an industrial economy created tremendous dislocation in the Depression era, and the transition from an industrial to a service-oriented economy devastated America's Rust Belt in the sharp recession of the early 1980s, one possibility is that we are living through another painful transition, only we don't have a good sense of what the United States will look like on the other side.

This is the view embraced by thinkers on the left, like Joseph Stiglitz of Columbia University, and in the center, like Raghuram Rajan of the University of Chicago's Booth School of Business, as well as many conservatives and libertarians who advocate structural reform. Though these thinkers acknowledge that weak consumer demand plays a role, they vary considerably in what they consider the appropriate formula for jump-starting growth and they are convinced that fixing the demand problem alone isn't enough.

Others maintain that our current economic stagnation is almost entirely about weak consumer demand that flows from the damage the housing bust did to household balance sheets, and that some combination of fiscal and monetary stimulus should be our highest priority. This view is most commonly associated with liberals such as New York Times columnist and Princeton economist Paul Krugman.

CNNMoney.com: Wall Street faces barrage of data

A related view, which attributes dismal growth to a monetary policy that is far too tight, has been championed by the libertarian Bentley University economist Scott Sumner and a growing number of right-leaning thinkers. These thinkers tend to maintain that the "structuralists" are missing the point. Even if there is a big economic transition is going on, its importance is swamped by the more straightforward shortfall in consumer demand.

A number of economists, many of them based at the University of Chicago, have been devising new ways to test these theories to determine what has really happened to cause high unemployment. Last year, Atif Mian of the University of California, Berkeley; and Amir Sufi of the University of Chicago's Booth School of Business released a paper arguing that the central driver of the decline in employment levels between 2007 and 2009 -- the massive economic blow from which we have yet to recover -- was a drop in demand caused by shocks to household balance sheets.

Mian and Sufi tested this proposition by comparing employment declines in high-leverage counties, in which households had higher ratios of debt to disposable income, and in low leverage counties, in which households had lower ratios. They found that high leverage counties saw a steeper drop in "non-tradable employment" than low leverage counties, which led them to conclude that consumer demand shocks were indeed key.

The non-tradable part matters because employment in tradable industries such as manufacturing depends on the health of the national and global marketplace while non-tradable employment (think restaurant waiters or physical therapists) depends on the health of the local marketplace. Of the 6.2 million jobs lost between 2007 and 2009, Mian and Sufi attributed 4 million to this hit to consumer demand.

Though Mian and Sufi don't make explicit policy recommendations, one implication of their findings is that the best way to restore economic growth might be to address household balance sheet weakness directly, whether through debt forgiveness or an increase in inflation. Debt forgiveness would allow households to reduce mortgage payments, thus giving them more to spend, and inflation would erode the value of accumulated debt, thus making it more manageable.

Just this month, Kerwin Kofi Charles of the University of Chicago's Harris School of Public Policy and Erik Hurst and Matthew Notowidigo, both of the Booth School, offered a somewhat different take. Rather than focus exclusively on the period since 2007, Charles, Hurst, and Notowidigo analyze shifts in the composition of employment from 2000 to 2007. Specifically, they focus on how declines in manufacturing employment interacted with housing booms in different cities across the United States.

Essentially, the authors find that while a negative shock to manufacturing employment had a big negative impact on employment for non-college-educated men, a positive shock to housing prices more than made up for it. Until, that is, the housing bust wiped out these gains. And so Charles, Hurst, and Notowidigo conclude that in the absence of the housing boom, the unemployment crisis facing non-college-educated men would have arrived much sooner.

In other words, the 37% rise in housing prices between 2000 and 2007 functioned as a kind of invisible stimulus that shielded non-college-educated men from most of the fallout from the collapse in manufacturing jobs, 3.5 million of which evaporated over that same period. By way of comparison, there are 12 million manufacturing jobs in the United States today.

One irony of the housing boom is that it convinced millions of American men that there was no need to retrain for a new economic landscape, a decision that many might now regret.

The views of Mian and Sufi and Charles, Hurst, and Notowidigo are not necessarily at odds. Charles, Hurst, and Notowidigo are very open to the possibility that household balance sheet weakness has played a significant role in the persistence of high unemployment. Yet there are interesting tensions between these views.

By offering a compelling structural explanation for the steep employment decline among non-college-educated men in the wake of the housing bust, Charles, Hurst, and Notowidigo reinforce the view advanced by, among others, Booth's Raghuram Rajan. In his well-regarded book "Fault Lines," Rajan argued that one of the reasons the federal government subsidized mortgages and pushed for low interest rates is that politicians saw it as a cheap and easy way to boost the economic prospects of low- and middle-income households in a deindustrializing economy.

If Charles, Hurst, and Notowidigo are correct, tackling household balance sheet weakness might not be enough to address the economic challenges facing these men. Rather, men who were well-suited for either manufacturing or residential construction work will have to be retrained for jobs in very different fields. A darker possibility is that many of these men will drop out of the formal labor force entirely, and will find themselves living on the margins of society.

This is the kernel of truth in the debate over outsourcing. Though the offshoring of production has greatly benefited the American economy in many important respects -- by lowering the cost of goods and services, by increasing the demand for skilled labor, and by facilitating innovation, among other things -- it has contributed to the deterioration of the labor market position of non-college-educated men.

Automation has played a far larger role in declining manufacturing employment than offshoring, and indeed offshoring can be seen as nothing more than a transitional step as increasingly sophisticated machines start displacing less-skilled foreign labor. But it is offshoring that sparks the most anxiety in American workers. By documenting the scale of U.S. manufacturing's decline, Charles, Hurst, and Notowidigo have done a great deal to shed light on why.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

Reihan Salam: We think of the 2008 crash as the bomb that caused today's economic woes

@highlight

He says evidence is building that U.S. economy was troubled years before that

@highlight

Experts say the housing boom hid the dire effects of manufacturing layoffs, he says

@highlight

Salam: The power of the outsourcing issue flows from sharp decline in manufacturing