(CNN) -- The deadline for enrolling in the Obamacare insurance exchanges for those who want coverage that starts on January 1 is about to pass.

Late last week, I became one of the 189,000 New Yorkers to sign up on New York state's partner exchange, NY State of Health. New York is one of 14 states that elected to set up its own exchange rather than rely on the federal government to do so. It is also one of the states that have accepted the Medicaid expansion.

In other words, New York, led by a popular Democratic governor, Andrew Cuomo, is all-in on Obamacare, and I decided to go along for the ride. I did this despite being opposed to Obamacare, and I am increasingly convinced that it will eventually have to be either drastically reformed or replaced outright.

Hardly anyone denies that Obamacare is in trouble. Though enrollment in the new exchanges has increased in recent weeks, it has still fallen far short of expectations. Many households that had purchased individual insurance policies in the past have had their policies canceled, and it is widely expected that many small business will receive cancellation notices in the year to come.

Last year, the Obama administration argued before the Supreme Court that the individual mandate was so essential to the success of the Affordable Care Act that it was inseverable. Yet last week the Department of Health and Human Services announced that it would not enforce the mandate against the not inconsiderable number of Americans who've had their policies canceled.

The Medicaid expansion has succeeded in providing more low-income Americans with insurance coverage, though not in the more than 20 states that have so far refused to take part in it. President Barack Obama and his allies had expected that as Obamacare implementation demonstrated the benefits of the new health law, the public would come to embrace it.

A new CNN/ORC International survey instead finds that 62% oppose the law, an increase of 4 percentage points since November. So far, at least, it seems as though the more familiar people become with Obamacare and its consequences, the less they like it.

Like most Americans, I am an Obamacare critic, and I've been making the case against the President's approach to coverage expansion since it started to take shape. This isn't because I oppose government's role in helping people secure insurance coverage.

I'm convinced that we would be far better off as a country if all Americans had enough health insurance to protect themselves from financial disaster, and that government can and should provide a health safety net.

But Obamacare does both more and less than that. It limits innovation by insurers and providers that can help contain costs. It leaves many of the most dysfunctional aspects of America's health system, such as the monopoly power of big medical providers, largely untouched.

It treats different households with the same income levels very differently, depending on how they happen to buy insurance. Its sliding-scale subsidies provide at least some families on the exchanges with a strong disincentive against earning more income. And by raising the bar for what counts as acceptable private insurance, there's a real risk that it will lead to a net decrease in the number of people who have private insurance.

When I envision an ideal health system, I don't doubt that it would involve insurance marketplaces where consumers can compare different policies to make informed decisions. That is what the insurance exchanges are at their best. The big problem with the Obamacare exchanges is that they don't give insurers the option of offering consumers a wide range of products suited to their needs, and they don't offer enough flexibility on pricing.

Obamacare's defenders often claim that conservatives are hypocritical to oppose the law because it relies on the kind of insurance marketplaces that conservatives favor. What these critics miss is that the problem isn't having insurance marketplaces per se. Rather, Obamacare is narrowly constraining the kind of products available on the marketplaces, and in doing it is pricing a fair number of cost-conscious consumers out of the market, even after factoring in subsidies.

I should also note that I don't think Republicans have great solutions for America's health care woes either.

During the 2008 presidential campaign, Sen. John McCain introduced a controversial plan for coverage expansion that I greatly admired and which the Democrats fiercely attacked. Ever since then, Republicans have been extremely gun-shy about offering ambitious health reform proposals of their own.

I was sympathetic to the Massachusetts coverage expansion law that passed in 2006 under then-Gov. Mitt Romney, which struck me as a reasonable solution for an affluent state with a small uninsured population. (The Massachusetts experiment hasn't turned out as well as I had hoped, but that's a story for another day.)

And I've advocated a number of reforms designed to expand coverage, such as more federal funding for high-risk pools, federal and state reinsurance programs designed to make insurance more affordable and tax reforms designed to limit the health insurance tax subsidies that flow to high-income households while increasing those that flow to low- and middle-income households. None of these reforms is cheap, which is why they are opposed by the many of the same Republican lawmakers who oppose Obamacare.

Eventually, the GOP is going to have to recognize that any durable health care fix is going to cost money -- less than Obamacare, perhaps, but not nothing. For now, however, millions of Americans like me who don't believe that Obamacare is the right way forward for the country will have to learn to live with it.

For all my concerns about the Obamacare exchanges, I will say that as a healthy (knock on wood) New York City resident who is not eligible for subsidies, my experience with NY State of Health has been a good one. The reason is that New York state had already made a mess of its individual insurance market before Obamacare, and Obamacare might actually make it better, at least temporarily.

New York is one of relatively few states in which average premiums will be substantially lower in Obamacare's first year then they have been in the recent past, as Avik Roy of the Manhattan Institute observed in November. Roy estimates that average premiums in New York will decline by 40% under Obamacare, the biggest decline in the country. They will increase by 179 percent in Nevada, the state with the biggest increase.

So why are premiums going down in New York?

New York -- like Maine, New Jersey, Vermont, Washington and Massachusetts -- already has regulations on the books that impose community-rating and guaranteed issue on all insurers. That is, insurers have to accept all comers, regardless of health status, and they are strictly limited in the extent to which they can charge different consumers different amounts for insurance. But these states, with the exception of Massachusetts since its 2006 health law went into effect, don't impose a mandate.

The result has been that sick people have flocked to the individual insurance market while healthy people have avoided it at all cost, and this in turn has led to higher premiums.

By pushing healthy people to buy coverage, the individual mandate allowed insurers to lower premiums in the individual market in Massachusetts, and insurers are betting that it will do the same in New York. Indeed, some researchers have called New York state a "poster child" for the individual mandate.

The question for insurers and New Yorkers buying coverage on the exchanges is whether the relatively low premiums on the New York state exchange are sustainable.

If the individual mandate is never enforced (a very real possibility), insurers could find themselves losing enormous sums of money as the problems that plagued New York's individual insurance market in the past reassert themselves. (There are, to be sure, more attractive alternatives to the individual mandate that state governments might embrace, like default insurance.)

People often accuse conservatives of rooting for Obamacare to fail. I'm personally rooting for an outcome in which all Americans can have access to affordable health coverage. I'm just deeply skeptical that Obamacare is the best way to achieve that goal.

But if I'm wrong, if Obamacare and the new health insurance exchanges turn out to be a great success, I will be among the beneficiaries.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

Reihan Salam: I oppose Obamacare but I decided to sign up for the New York exchange

@highlight

He says New York premiums falling dramatically because of individual mandate

@highlight

Salam says Obamacare likely will have to be revised or scrapped due to low enrollment

@highlight

He says conservatives need an alternative to Obamacare and it will cost money