London (CNN) -- Britain has some of the best journalism in the world. A number of institutions with noble traditions -- the London Times, the BBC, the Guardian and others -- foster reporting that challenges vested interests and informs citizens in exactly the way that journalism is supposed to do.

But the British press also has deep problems, as the phone-hacking affair and the year-long Leveson inquiry into press ethics and practices have revealed. In recent decades editors and proprietors have made themselves virtually unaccountable for what they do, enabling a culture to develop in which the people who are the subjects of stories may be bullied, lied about or intruded upon at will.

It is only a minority of journalists who have done this, but the attitude was cynical and ugly, summed up by a News of the World news editor who remarked to a colleague: "That is what we do. We go out and destroy other people's lives." The result was a stream of scandals of which phone hacking was only the latest and the worst, and, though journalists hate to admit it, the whole trade is contaminated.

News: Brooks, Coulson charged over alleged payments to officials

The report of the Leveson Inquiry, due later this week, is a historic opportunity to clean things up. In an ideal world journalists would not need the kind of regulation he will recommend, but if trust is to be rebuilt it is essential. It is essential, too, because citizens have to be protected against the kinds of violations that have become common, and that have spread misery and distress.

What will it change? The first thing we have to acknowledge is that Leveson can only recommend; it is up to the government, parliament and the industry to implement what he suggests. And the British press has been through crises like this before and usually managed to wriggle off the hook.

But this time is probably worse than ever before and the newspapers are less in control of the debate than ever before, so change is indeed possible.

The challenge to Lord Justice Leveson was to come up with an effective system of regulation that does not undermine the freedom of journalists to do their work in the public interest. And that surely means calling time on the industry's "self-regulation," now acknowledged as a mere fig-leaf.

So there will probably be a new body, in all likelihood backed by statute, with the job of ensuring that newspapers and their websites meet basic standards of accuracy and fairness. Hacked Off, the campaign group of which I am director, hopes that it will be very clearly independent of both political influence and of the editors and proprietors.

This is not such a great novelty for Britain, first because for years the press has insisted that its own self-regulation regime existed to uphold standards and provide redress (though it did so only selectively) and second because broadcast journalism is regulated in this way (and broadcast journalism happens to be the country's most trusted).

To some, however, it will sound ugly, even offensive. We like to think of journalism as unfettered and rambunctious, and British journalists are apt to quote from John Stuart Mill, or to cite the troublemaking examples of William Cobbett and W. T. Stead, to justify their independence from any kind of vetting or control.

Opinion: Why media fights back so hard

But change is now vital because journalism has been inflicting too much damage. Too many innocent, ordinary people -- victims of crime, people bereaved in disasters, innocent acquaintances and relatives of the famous -- have been lied about, intruded upon or had their rights trampled on by newspapers. So Britain has a choice: sacrifice the rights of vulnerable people into the future or try to get the press to observe basic standards. It's not really a choice at all.

And the new regulation will not be censorship. Lord Justice Leveson is obliged by his terms of reference to make recommendations that support press freedom and in any case he pledged many times that he was not remotely interested in gagging the newspapers.

Instead newspapers will be made accountable, after publication, for their errors and failures. They will have to acknowledge them and give redress to those injured. They will be required to abide by a code of practice and face scrutiny, censure and possibly fines for repeated or grievous breaches. And they will have to do something they have never liked to do: learn from their mistakes.

For a journalist -- and I am one -- it is in many ways shaming. But we journalists are the first to demand this kind of remedy in any other walk of life where ethics have broken down, be it banking or policing or medical practice. We must be ready to take the medicine we dish out to others, not least because it can and should make us better.

The opinions expressed in this commentary are solely those of Brian Cathcart.

@highlight

Phone-hacking revelations revealed problems into UK press, says Brian Cathcart

@highlight

Cathcart argues Leveson inquiry is historic opportunity to clean things up

@highlight

He wants scrutiny independent of politicians instead of industry's "self-regulation"

@highlight

Newspapers must be more accountable for errors and failures, Cathcart says