A potent little painkiller is causing a big stir.

A coalition of more than 40 health care, consumer and addiction treatment groups is urging the Food and Drug Administration to revoke approval of the prescription drug Zohydro.

The hydrocodone-based drug is the latest in a long line of painkillers called opioid analgesics. The FDA approved the medication last fall to treat chronic pain, and it is set to become available to patients in March.

"In the midst of a severe drug epidemic fueled by overprescribing of opioids, the very last thing the country needs is a new, dangerous, high-dose opioid," the coalition wrote in a letter to FDA Commissioner Dr. Margaret Hamburg.

"Too many people have already become addicted to similar opioid medications, and too many lives have been lost."

One addiction expert who signed the letter was more forthright.

"It's a whopping dose of hydrocodone packed in an easy-to-crush capsule," said Dr. Andrew Kolodny, president of the advocacy group Physicians for Responsible Opioid Prescribing. "It will kill people as soon as it's released."

The letter is the latest in a series of entreaties to the FDA related to Zohydro.

In December, 29 state attorneys general sent a similar letter to the FDA. The month before, members of Congress asked the agency to review its decision to approve the drug.

The concerns echoed by all groups are broadly about the drug's potency and abuse potential. They say they fear that Zohydro -- especially at higher doses -- will amplify already-rising overdose numbers.

"This could be the next OxyContin," says a petition on Change.org asking the FDA to reconsider.

Report: States failing to curb prescription abuse

According to the Centers for Disease Control and Prevention, prescription opioid deaths more than quadrupled since 1999 -- there were 4,030 deaths involving the drugs in 1999, compared with 16,651 in 2010.

"You're talking about a drug that's somewhere in the neighborhood of five times more potent than what we're dealing with now," said Dr. Stephen Anderson, a Washington emergency room physician who is not part of the most recent petition to the FDA about the drug. "I'm five times more concerned, solely based on potency."

Both Zohydro's maker, Zogenix, and the FDA assert the drug's benefits outweigh its risks.

"We do not expect the introduction of Zohydro ER (extended release) to increase the overall use of opioids," said Dr. Brad Galer, executive vice president and chief medical officer at Zogenix, in an e-mail. "In fact, prescription data from the last five years shows that total use of ER opioids is constant and independent of new entrants to the market."

Galer said the company will focus its commercial efforts on a small group of doctors with good experience prescribing opioids, so that only appropriate chronic pain patients would receive the drug.

Advocates for pain patients say that concerns about abuse, while valid for some, are not necessarily an issue for those patients.

"We know that a person with pain is not a person who abuses medications," said Paul Gileno, founder and president of the U.S. Pain Foundation, a group that receives some funding in unrestricted grants from the pharmaceutical industry.  "A person with pain is a person suffering to get pain relief in order to live a fulfilling life."

Opinion: How safe are your prescription drugs?

In their petition to the FDA for approval, Zogenix representatives cited examples of patients who might benefit from Zohydro: a 46-year-old male with chronic back and leg pain who had two failed back surgeries; a 52-year-old female with metastatic breast cancer experiencing diffuse pain; a 32-year-old woman with multiple orthopedic fractures.

If Zohydro follows in the footsteps of its opioid-containing predecessors, such a narrow, focused patient group may expand -- to patients with low back pain, fibromyalgia, arthritis or countless other chronic conditions.

"The problem is, it costs a lot of money bringing a drug through clinical trials and then bringing it to market," said Anderson, past president of the Washington chapter of the American College of Emergency Physicians. "You have to anticipate (the drug company) being able to market and get its money back.

"I see this as a marketing ploy where eventually it's 'I've got bigger, I've got stronger, why don't you prescribe this,' and I'm terrified of that."

Dr. Sanjay Gupta: Let's end the prescription drug death epidemic

Bigger, stronger opioids -- especially those containing hydrocodone -- are a concern. Hydrocodone (Zohydro's sole ingredient) is one of the most frequently prescribed -- and abused -- opioids.

For that reason, in October, the FDA said it intended to shift hydrocodone-containing drugs from Schedule III to Schedule II. That rescheduling (still pending approval by the Drug Enforcement Administration) would mean much stricter dispensing and prescribing rules for hydrocodone-containing products.

At the time of that recommendation, the FDA posted a statement on its website that it "... has become increasingly concerned about the abuse and misuse of opioid products, which have sadly reached epidemic proportions in certain parts of the United States."

A day after announcing the proposed drug schedule change for hydrocodone, the FDA announced Zohydro's approval. It was a confusing juxtaposition, some say.

"Shocking, outrageous and genuinely frightening," said Kolodny of the Physicians for Responsible Opioid Prescribing.

FDA spokeswoman Morgan Liscinsky said that Zohydro's approval was separate and distinct from the agency's recommendation about rescheduling hydrocodone-containing products.

"I find great difficulty (with) the wisdom of the FDA's approval in terms of protecting the public's health," said Dr. Alex Cahana, professor of pain medicine at the University of Washington in Seattle, who was not among those who signed the letter to the FDA. "Risk-benefit thinking suggests that not everything we can do, we should do."

Zohydro will enter the market already classified as a Schedule II -- one reason both the FDA and the drug's maker are confident it will not contribute to the broader overdose problem.

Zohydro's labeling will feature warnings about abuse, addiction and misuse, and Galer said Zogenix is working on an abuse-deterrent version of Zohydro that should become available in three years.

None of those precautions has assuaged concerns. Anderson said that while a small subset of patients may benefit from Zohydro, unleashing such a potent drug in the current environment is unsafe.

"Put more of this kind of drug out on the street and, I'll see more overdoses related to this, no question," Anderson said.

Prescription drugs 'orphan' children in eastern Kentucky

@highlight

Coalition of health, consumer groups express concern about painkiller Zohydro

@highlight

The hydrocodone-based drug is set to be available in March

@highlight

One expert says FDA-approved drug is five times more potent than current medications

@highlight

"It will kill people as soon as it's released," one doctor says.