Leicester, England (CNN)Richard III, the King found beneath a car parking lot, has been reburied in a solemn but celebratory service, 530 years after his death in battle.

The remains of the medieval monarch were sensationally rediscovered beneath a blanket of tarmac in the center of Leicester in August 2012.

They have been pored over by scientists at the city's university ever since, but after more than two years of legal wranglings, the bones were finally laid to rest Thursday in a coffin built by Richard III's distant relative, Michael Ibsen, whose DNA helped prove their identity.

It was standing room-only at Leicester Cathedral -- which had been partially rebuilt for the occasion -- as Archbishop of Canterbury Justin Welby led prayers for the long-dead King, swinging incense and sprinkling holy water over the casket, before scattering it with earth from key locations marking his birth, life and death.

Oscar-nominated actor Benedict Cumberbatch, a distant cousin of England's last Plantagenet King, read a poem dedicated to Richard III, written by Poet Laureate Carol Ann Duffy.

"My bones, scripted in light, upon cold soil, a human braille. My skull, scarred by a crown, emptied of history. Describe my soul as incense, votive, vanishing; your ownthe same. Grant me the carving of my name."

Queen Elizabeth, represented at the ceremony by the Countess of Wessex, sent a special message to mark the reinterment, which she hailed as "an event of great  national and international significance."

"Today we recognize a King who lived through turbulent times and whose Christan faith sustained him in life and death," it read.

But though it bore many of the hallmarks of grief -- polished coffin, empty tomb, relatives clad in gloomy, pitch-dark suits -- this was not, the organizers insisted, a sad occasion.

"This is not a funeral at which we mourn," said Professor Gordon Campbell, of the University of Leicester, welcoming the congregation to the cathedral, just yards from that famous parking lot.

Instead, the aim of the service was to offer Richard III a fitting farewell, and a lasting memorial -- neither of which he was granted following his death at Bosworth in 1485.

Back then, his body was slung over a horse and carried back to Leicester -- legend has it that his head struck Bow Bridge on the way -- before being put on display for three days, to prove to friends and foes alike that he really was dead, before being slung into a hastily-dug grave at the Church of the Grey Friars.

Now Richard's bones, accompanied by a specially-crafted rosary, recognizing his Catholic faith, rest in a lead-lined coffin of English oak, his grave marked by a 2.3 ton block of pale Swaledale fossil limestone resting on a plinth of black Kilkenny marble carved with his name, dates, coat of arms, and his symbol: a white boar.

Speaking before the commemorations, Philippa Langley, founder of the "Looking for Richard" project, said she did not expect to feel upset at the reinterment: "Richard died over 500 years ago, so I don't think there will be a sense of sadness there at all. I hope there's perhaps some joy, that something has been done well and right and that we've made peace with the past."

But Ibsen admitted he found Sunday's service at which the remains were carried in to the cathedral surprisingly moving: "there was a slight dampening of the eyeballs, which caught me completely unawares," he said phlegmatically.

"Leicester born and bred" sisters Susan Foster and Sharon Stirling were among the crowds waiting outside the cathedral to listen in on the service and catch a glimpse of the guests arriving.

"This is history, isn't it, it's never going to happen again," said Foster. "We grew up with all the stories of Richard III. We lived close to Bow Bridge, so we know all the legends about him."

Stirling said she thought the Richard III story would be a big bonus for the city: "I think it will boost the economy and bring visitors in -- he's got quite a fan club, after all."

Leicester has always been proud of its links to Richard III; the city boasts pubs and schools named in his honor, there's a walking tour and a brand new visitor center built over his original grave.

But in recent days, interest has risen to fever pitch: shop windows are full of Richard-themed displays offering everything from wooden toy castles to chain mail jewelery.

The florist around the corner from the cathedral is doing a roaring trade in white roses, which people have been leaving at Richard III's statue, and his face is emblazoned on all manner of souvenirs, from paperweights and pens to mugs and bars of chocolate. There's even a "Return of the King" beer -- locally brewed and promising "a distinctive regal flavor."

Some 35,000 people lined the bunting-and-flag-draped streets of Leicester and its surrounding villages on Sunday to watch as the King's coffin was carried in a procession out to the scene of his death and back again. Another 20,000 lined up for hours to file past the casket and pay their respects as it lay "in repose" at the cathedral in the days since, watched over by an honor guard of veterans.

Among them was Jane Gregory, who traveled two hours by bus from her home in South Derbyshire twice in a week to be there.

"It was just something I had to see and experience -- it's part of history," she told CNN outside the reburial service on Thursday. "I came on Monday too, to view the coffin -- it was a great experience. I queued for two and a half hours and it was worth every minute."

History enthusiast Paul Eames stood in the drizzle and watched the service on his iPad after missing out on a ticket -- to his wife Karen: "I applied for tickets for both of us; I could have cried when I saw the envelope with her name on it."

"I didn't originally want to go," Karen admitted, smiling. "But he told me 'you'll be part of history, you don't realize!' The service was amazing, really lovely."

Not everyone was there just to celebrate Richard III, though. Leicester student Sherry Xie said she was "proud" of her university's role in the discovery of his bones, but she and her classmate Wendy Jiang admitted they'd come along with an ulterior motive: "to see Benedict!"

In his sermon, the Bishop of Leicester, Tim Stevens said those who had joined the commemorations "(came) not to judge, condemn or praise, but to stand in silent, humble and reverent attentiveness at the meeting place of time and eternity."

Stevens said the search for Richard III had "broken open not just a car park, but a nation's story."

It also provoked bitter quarrels between rival factions over where and how he should be buried, and how much scientific testing he should be subjected to.

But Campbell insisted that the service was held in a "spirit of reconciliation," a thought echoed by Stevens: "Whether we bear a white or a red rose, whether for Richard or Henry ... whether for Leicester or York, we recognize at the graveside that all our journeys lead us to this place, where reputation counts for nothing and all human striving turns to dust."

Langley, the driving force behind the search for the King, said Thursday's service would mark the end of one chapter in the long-running saga; but she said work to re-examine Richard's life and legacy would go on.

"It's the conclusion to his story in that he's been found ... and we're laying his physical remains to rest. But in terms of Richard's story, that is only just beginning."

@highlight

Remains of Richard III were sensationally rediscovered 530 years after death

@highlight

Actor Benedict Cumberbatch, a distant cousin of king, reads poem at celebratory service

@highlight

Historian Phillippa Langley said discovery had prompted researchers to rethink the king