(CNN) -- Two NASA rovers are about 5,200 miles apart on the surface of Mars and will likely never meet.

But though they roam alone, Curiosity and Opportunity continue to reveal details about the Red Planet's former habitable conditions. New studies in the journal Science describe insights from each of those rovers about ancient environments where microorganisms could have once lived.

"These results demonstrate that early Mars was habitable, but this does not mean that Mars was inhabited," writes John Grotzinger, lead scientist on the Curiosity mission, in an introduction to the studies in the journal Science.

We've been hearing a lot about how the two-ton, car-sized Curiosity rover has been finding evidence that Mars may have hosted life at some point. Last year NASA came out and said that yes, Mars was once habitable.

The new research reinforces that statement from Curiosity's vantage point, and adds the perspective of the Opportunity rover, which has found a different ancient habitable environment on another part of the planet.

Opportunity is smaller -- weighing 384 pounds, and about 5 feet in both length and height -- and older, having landed January 25, 2004, at a place called Meridiani Planum. It has driven just under 25 miles in a decade, and is currently situated in a place called Endeavour Crater.

What Opportunity has found

Opportunity does not have the tools required to detect carbon or nitrogen -- chemicals required for life -- directly. But it has been able to find smectite clay minerals -- which form in the presence of water -- in rocks on the rim of Endeavour Crater, with supporting evidence from the Mars Reconnaissance Orbiter orbiting above.

Mystery rock spotted on Mars

Scientists directed Opportunity to a place on the crater rim where the orbiter suggested these clays could be found. There, Opportunity uncovered evidence of rocks that preexisted the formation of the crater. Scientists believe the crater's rim formed more than 3.7 billion years ago.

"These are rocks that were happy on the surface, and along comes the asteroid or the comet that formed Endeavour, and the rocks were uplifted on the rim, and then the ejecta was plopped right on top of them," said Raymond Arvidson, lead study author and planetary scientist with the rover missions.

The ancient rocks are called the Matijevic formation. They are fine-grained, layered rocks with dark veneers that are carrying iron clays that suggest water with a neutral to only slightly acidic pH was once in the area.

Opportunity showed scientists fractures across these ancient rocks they wanted to explore. The rover's rock-abrasion tool allowed scientists to uncover an aluminous clay that could be formed in only mildly acidic, and non-oxidizing waters.

"Whether or not life got started and evolved in that particular niche, in this groundwater percolating through the fractures, remains to be seen," Arvidson said.

But in a younger rock formation called the Burns formation, which largely filled in the crater, the rover found evidence of a more acidic and very oxidizing environment. This suggests that the environment was less hospitable after the formation of Endeavour Crater.

Curious findings

Curiosity, on the other hand, landed in Gale Crater, and helped scientists determine that an area called Yellowknife Bay was habitable in ancient times. Here, from the rim of the crater came stream waters that formed "a lake-stream-groundwater system that might have existed for millions of years," Grotzinger wrote.

His other car is on Mars

Smectite clay minerals there indicate there was a moderate to neutral pH, and the lack of sulfate minerals suggest also that there was not an acidic environment, Grotzinger wrote.

This ancient habitable environment seems completely different from what Opportunity found at the Matijevic formation on Endeavour Crater, Arvidson said. Yellowknife Bay is probably younger, and definitely a sedimentary environment.

All this suggests three distinct periods in Martian history, Arvidson said.

In the first, in the early days, lots of water flowed on the surface, with lakes and groundwater flowing through, as represented by the Matijevic formation that Opportunity found and the mudstone in Yellowknife Bay that Curiosity found. One theory is that these warm, wet surface conditions took place in early times, when the planet's iron-nickel core was still at least partially molten, Arvidson said. The molten core provided a magnetic field around it that shielded the atmosphere, scientists believe.

The Burns formation, as examined by Opportunity, represents a later period -- likely, a drying out of Mars -- with more acidic, oxidizing waters. Volcanic activity was probably dying down, and the magnetic field waning. Lake beds were turned into sand dunes.

"Then the whole system shut off," Arvidson said. The planet became what we see today: Cold and dry.

Curiosity is equipped to find organic molecules, but finding them may be difficult. Assuming such molecules were enriched, and not destroyed when sediment turned into rock, they would have also needed to survive ionizing radiation. Another new study in Science describes the radiation environment on Mars, and suggests that, in theory, organics could have been preserved from millions of years ago -- but the indication of them might be much weaker now.

What's next for the rovers

The Curiosity rover, representing a $2.5 billion mission, is now on its way to Mount Sharp, a sedimentary formation that will allow the rover to explore Mars' history by driving up the peak's slope and exploring rock chemical composition layer by layer.

NASA is planning to launch another Curiosity-sized rover in 2020, which could collect samples that later missions might return to Earth.

Opportunity will continue exploring Endeavour Crater, moving southward to see if there are more of these ancient rocks from a more livable time.

But Opportunity's twin, Spirit, isn't going anywhere.

Spirit also landed in January 2004, on the opposite side of the planet, and got stuck in the soft soil of a place called Troy.

That location turned out to be a scientific gold mine. Spirit showed evidence that water, possibly in the form of snow melt, had trickled into the subsurface relatively recently, and continuously.

Spirit has been defunct since it stopped communicating in 2010. The other rovers are too far away from it to pay their respects.

Objective of 2020 mission to Mars: Signs of life, NASA says

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

The twin Spirit and Opportunity rovers landed on Mars in January 2004

@highlight

Spirit lost communication with Earth in 2010, but Opportunity is still sending data

@highlight

Studies describe insights about past life-supporting environments

@highlight

The Curiosity rover followed in August 2012