Editor's note: Nafees A. Syed, a junior at Harvard University majoring in government, is an editorial editor at The Harvard Crimson as well as a senior editor and columnist for the Harvard-MIT journal on Islam and society, Ascent. She is chairwoman of the Harvard Institute of Politics Policy Group on Racial Profiling.

Nafees Syed says President Obama's early words and actions send a powerful, positive signal to Muslims.

CAMBRIDGE, Massachusetts (CNN) -- President Obama has given the Muslim community around the world the message we have been waiting for.

He reassured Muslims in America that "We are a nation of Christians and Muslims, Jews and Hindus -- and nonbelievers." For those like me who were critical of his standoffish attitude toward Islam during his campaign, this signaled a welcome change.

Even more important was his subsequent statement: "To the Muslim world, we seek a new way forward, based on mutual interest and mutual respect."

In traveling throughout Western Europe in the past two years, I heard several anti-American comments; these Europeans were challenging me, a Muslim, about American foreign policy in Palestine, Iraq and Afghanistan.

In Muslim countries, I've heard admiring comments about how great it must be to live in a rich country like America, followed by accusations that, "your President Bush doesn't like us Muslims."

As a Muslim-American, I have found myself in a difficult position. In America, I've had to explain Islam to other Americans, and abroad, I've had to explain America to those in the Muslim world.

Obama has done all Americans a favor by extending a hand of friendship to the Muslim world. For me personally, it has alleviated the pain of witnessing the country I love engage in a foreign policy that I could not approve of as a Muslim and as an American -- a foreign policy that created mutual distrust between Americans and Muslims. And Obama has followed up on his statements with actions.

In his first steps as president, Obama has initiated the closure of the Guantanamo Bay prison, called for the withdrawal of U.S. troops in Iraq and appointed former Senate Majority Leader George Mitchell, well-respected for his role in the Northern Ireland peace process, as special envoy for the Middle East.

For the past few weeks, I've heard overwhelming praise from Muslims for Obama's recent actions.

Obama has recognized a key fact that former President George W. Bush did not: Muslims in America and elsewhere are strongly affected by the situation of other Muslims in the world.

There is a popular saying of the Prophet Mohammed's that the Muslim community is like one body: If one part hurts, the entire body feels the pain. Muslims are very aware of this message and, in the last 20 years, three conflicts have continuously dominated the Muslim consciousness: Chechnya, Kashmir and, most notably, Palestine.

Obama recognized this when he chose his first interview as president to be with a reporter from Al-Arabiya, indicating he would actively engage Arab media. The Palestinian-Israeli issue dominated the interview, with Obama promising to work toward a solution involving both sides of the conflict.

To understand the challenge Obama faces in changing America's role in the conflict, one must realize the situation he walked into as president. Muslims around the world were watching the suffering of innocent Palestinian civilians in a Gaza military campaign conducted with a green light from the Bush administration. Obama is essentially trying to rebuild a relationship that has been destroyed.

However, Obama's tone of respect and not condescension, a clear break with the past, improves the chances that such a relationship could arise.

His interview with Al-Arabiya was filled with reassuring statements that America is "ready to initiate a new partnership based on mutual respect and mutual interest," that "the language we use has to be a language of respect." After years of hearing rhetoric of "a crusade" and "Islamofascism" from the U.S. government, Obama's policy of listening, not dictating, has generated optimism in the Muslim world.

I am sure that the Muslim world will respond with goodwill as well. Already, Obama is very well-respected there for his intelligence, eloquence and experience living in the largest Muslim country, Indonesia.

Muslims abroad are just as willing as those in America to taste his message of hope and change. To win over the skeptics abroad, Obama will just have to do what he is doing in America: reach out to all sides for solutions and follow up his words with concrete action.

In the meantime, the next few weeks will see Muslims around the world taking the hand America is extending after a long hiatus.

The opinions expressed in this commentary are solely those of Nafees Syed.

@highlight

Nafees Syed: Obama is reaching out to Muslim world with words, actions

@highlight

She says Muslims worldwide have a shared concern about key issues

@highlight

Syed: Obama's interview with Al-Arabiya talked of respect and partnership

@highlight

She says Bush administration used harsh language of crusade, Islamofascism