(CNN) -- New champions, multiple first-time finalists, big names battling to regain glories -- this has been arguably the most unpredictable tennis season in over 15 years.

And there could be more surprises to come. The four grand slams are done and dusted, but places at the year-end championships are still up for grabs for both the men and women.

But before we move on to the final leg of the season, it's time to look back at the sport's biggest tournaments and draw some conclusions.

Here are five of them.

Maria is becoming a clay-court specialist

Let's clarify that. Maria Sharapova is still able to go deep at hard-court events, but of the Russian's 10 titles since the end of 2010, only two -- Indian Wells last year and Cincinnati in 2011 -- have come on surfaces other than clay.

At the grand slams, Sharapova has won the French Open twice and been a runner-up in her three most recent visits to Paris, while reaching the semis in 2011, but the last time she appeared in a final at the other three majors was at the 2012 Australian Open.

This year's trip to Roland Garros bailed Sharapova out -- the 27-year-old didn't get to the quarterfinals in Melbourne, London and New York.

Perhaps in the years ahead, Sharapova might tweak her clay-court schedule to make it less taxing. Her prospects at Wimbledon next year should be better with an extra week between the French Open and the grass-court event.

The men's 'Big Four' are more vulnerable

When Marin Cilic defeated Kei Nishikori at the U.S. Open in early September, it meant that for the first time in a season since 2003, two players not named Roger Federer, Rafael Nadal, Novak Djokovic or Andy Murray won a men's grand slam singles title. Stan Wawrinka, you'll recall, opened the season by claiming the Australian Open.

It was also the first time since the 2005 Australian Open that none of the "Big Four" showed up in a grand slam final.

But is this the end of grand slam dominance by the acclaimed quartet -- who have bagged a combined 40 majors? Maybe not.

While Wawrinka has always owned the game to overpower opponents, his victory over Nadal in January's Australian Open final had much to do with the Spaniard's back injury.

Remember that Nadal possessed a 12-0 record against Wawrinka, without dropping a set, entering the finale.

If Nadal had won the title in Melbourne, Cilic's triumph in New York would be regarded as a blip instead of potentially the lessening of the established stars' grip.

If we're looking for the main reason why the Big Four's rivals gained ground this year, injuries to Nadal -- who didn't play at Flushing Meadows due to a wrist problem -- and Murray physically struggling to recover from back surgery in 2013, should be right up there.

Even Cilic admitted the chasing pack got "lucky."

"I think the guys from the second line were a bit lucky because Andy Murray was also having trouble with his back; Wawrinka was up and down with his tennis after Australia," he told reporters in New York. "A few other players were not playing the best all the time.

"And Rafa is not here. So that opened a little bit the gate for everybody else."

Now, if two players outside the Big Four win majors in 2015 ...

Federer is back as a grand slam contender

Speaking of injuries ... Federer's back problems contributed to a poor summer in 2013, which included a second-round exit at Wimbledon and fourth-round loss at the U.S. Open.

But the Swiss' health recovery and larger racket led to a return to the later rounds at grand slams in 2014. He reached at least the semifinals in three majors -- with Ernests Gulbis accounting for Federer in the fourth round at Roland Garros -- and was a set away from winning his 18th major at Wimbledon.

Gulbis began the year strong, so the outspoken Latvian's win was hardly as surprising as those of Sergiy Stakhovsky and Tommy Robredo against Federer in London and New York last year.

Federer's increased forays to the net shorten points and thus figure to add to his longevity, but his net points won in his four losses at grand slams this year -- 59.9% -- shows you how difficult it is to enjoy success with such tactics against the best opposition.

Although Federer didn't win a grand slam in 2014, a big title could be on the way. Switzerland is favored to win the Davis Cup after reaching the final last weekend, and if that happens, the only thing missing from Federer's overflowing trophy cabinet will be an Olympic singles gold.

French Open warmup tournaments didn't mean much for Nadal

If buildup tournaments were anything to go by, Nadal wasn't supposed to win the French Open.

By his standards, the man who is regularly called the King of Clay slumped in Monte Carlo and Barcelona, and lost to Djokovic in the Rome final. His lone title during the European clay-court swing came in Madrid, and even then his camp said he was fortunate because Nishikori was injured.

The Japanese player bossed proceedings until, feeling the effects of a back injury, he was forced to retire at 3-0 in the third set.

But once Nadal entered the grounds at Roland Garros, that was all irrelevant. He progressed to the final in 712 minutes -- his quickest route to the final in nine visits -- and rallied to overcome Djokovic to preserve his unblemished record in those finals.

As for Djokovic, he -- not for the first time -- wilted in the heat.

Having won his second Wimbledon title in July, and then got married, he stumbled in stifling conditions at the U.S. Open. As his coach Boris Becker put it, "the sun hit Novak first" in his semifinal loss to Nishikori.

There was plenty of variety

How rare was it to have eight different singles winners at the grand slams? Very.

Only twice since the Open Era began in 1968 had it previously happened: 1990 (Steffi Graf, Monica Seles, Martina Navratilova, Gabriela Sabatini; Ivan Lendl, Andres Gomez, Stefan Edberg, Pete Sampras) and 1998 (Martina Hingis, Arantxa Sanchez-Vicario, Jana Novotna, Lindsay Davenport; Petr Korda, Carlos Moya, Pete Sampras, Patrick Rafter).

The way Serena Williams cruised in New York for her 18th major, she has to be the favorite to pick up multiple grand slams in 2015. However, Williams won't be a shoe-in given how the Australian Open, French Open and Wimbledon unfolded this year.

The top-ranked American failed to reach the quarterfinals in all of the other majors -- an almost unthinkable situation given her dominance at the end of last season.

It opened the way for three first-time women's finalists -- Dominika Cibulkova, Simona Halep and Eugenie Bouchard -- while Caroline Wozniacki played a grand slam title match for the first time since 2009.

Williams and Djokovic won the respective season-ending championships in 2014, but who will triumph at the WTA Finals in Singapore next month and the ATP's London showpiece in November very much remains to be seen.

@highlight

Tennis' grand slams came to an end this year when Marin Cilic won the U.S. Open

@highlight

First time in a season since 2003 two players outside men's "Big Four" won a major

@highlight

But injuries may have played a part, especially for Spain's Rafael Nadal

@highlight

Maria Sharapova prospered on the clay in Paris but struggled elsewhere at majors