Gay couples can now legally marry in 18 countries -- a statistic that increasingly raises an important question: Where's the best spot for a same-sex honeymoon?

More and more destinations are now catering to lesbian, gay, bisexual and transgender (LGBT) travelers.

John Tanzella, chief executive of the International Gay and Lesbian Travel Association, says it's an encouraging trend, but he worries there's a risk of gay vacationers being targeted as a "niche."

"When you're planning that dream trip it's still important to work with travel professionals who understand the needs of gay travelers as individuals," he adds.

Among travel organizations that seem to be getting the message is the Association of British Travel Agents, which is the latest to  compile a list of destinations offering same-sex honeymooners a friendly atmosphere and catering to a broad range of tastes.

Here's its 10.

Cape Town, South Africa

The dramatic backdrop of Table Mountain rises above this gorgeous city bathed in almost year-round sunshine.

It's a great place to relax for a couple of days, then travel out to the numerous wineries in the lush green countryside close to the city.

Where else can you see penguins sunning themselves on a beach?

Cape Town is considered the most gay-friendly city in Africa and attracts LGBT people from across the continent, adding to an interesting local cultural mix.

The gay village, with its range of clubs, bars, bathhouses, cafes and guesthouses is in De Waterkant.

Honeymoon hotspot: The lively Cafe Manhattan (74 Waterkant St., Cape Town; +27 21 421 6666).

Lesbos and Mykonos, Greece

We get the word "lesbian" from the island that was home to Sappho, who wrote erotic poetry to other women in the 6th century B.C.

It's now a popular destination for modern-day Sapphists.

The island's main town, Mytilini is charming old world Greek, with winding streets and quiet churches.

Mykonos has a vibrant gay scene for men and women, with lots of clubs and hotels.

Honeymoon hotspot: Many gay travelers hang out on Super Paradise and Elia beaches, which can get noisy at night -- and somewhat naked during the day.

Miami and the Florida Keys

Miami's Caribbean climate sets it apart from the rest of the United States.

The city also has some of America's most interesting architecture, plus world-class art galleries and classical music performances.

A day in Little Havana, the center of the not-so-little Cuban community, can feel like a visit to another country.

Couples can time their trip to coincide with one of three of the planet's biggest gay events.

There's the White Party in November, the Winter Party in March and Aqua Girl Weekend in May.

In April, the Gay and Lesbian Film Festival is a huge draw.

Honeymoon hotspot: The gay section at Haulover Beach (10800 Collins Ave., Bal Harbour, Florida; +1 305 947 3525) is a popular post-party place to unwind.

Tel Aviv, Israel

The city's annual gay pride, which is sponsored by the government, draws gay men and women from all over the world.

In 2012, travel guide Gaycities.com named Tel Aviv the gayest city on the planet -- at least 100,000 gay men are expected to visit this year.

Tel Aviv calls itself a 24-hour city because you can spend all night clubbing then snooze all day on one of its beaches.

If you've time to spare, you can squeeze ancient and Biblical sites such as the Dead Sea, Masada and Jerusalem into one- or two-day trips.

Honeymoon hotspot: Tel Aviv doesn't have a gay village because the whole city considers itself gay-friendly, but Rothschild Avenue is a particular focus, where as many same-sex couples walk hand in hand as straight couples.

Brighton, England

Brighton is, without doubt, Britain's gayest town and has an anything-goes reputation not just for romance, but also for art, clubbing and all kinds of culture.

The beach may be rainy outside of summer, but even in winter there's a certain beauty to the place, and it's only an hour by train from London.

Brighton town also sports some exotic-looking buildings, such as the Royal Pavilion, an 18th-century regent's folly built in a classical Indian style.

Honeymoon hotspot: Club Revenge (32-34 Old Steine St., Brighton; +44 1273 606 064) has been a fixture of gay Brighton's nightlife for two decades.

Phuket, Thailand

Thailand's raunchiest island is a nonstop merry-go-round of bars and nightlife catering to the traveler who wants it all and wants it cheap.

The Thai islands are great for those who want luxury but have blown the budget on the wedding.

Phuket and other nearby Andaman Sea islands are also a paradise for scuba divers and offer plenty of peaceful alternatives away from the clubs.

Honeymoon hotspot: The Paradise Complex (Rat-U-Thit Road, Patong, Kathu, Phuket; +66 76 341 804) in the town of Patong hosts outdoor drag shows at places such as the Kiss Bar.

Puerto Vallarta, Mexico

There are more than a dozen gay-friendly hotels in Puerto Vallerta, the town on Mexico's Pacific coast that's home to the country's biggest gay scene.

The place has more history than many Mexican resorts and there are hideaways in the surrounding jungle for those who need to unwind after the wedding.

Honeymoon hotspot: The gay village centers on the Blue Chairs (Malecón y Almendro No. 4, Puerto Vallarta, Jalisco;  +52 322 222 5040) resort section of the beach, where there's raucous entertainment at night.

Sydney

Sydney's gay pride march is the biggest and brashest in the world.

The city is famously LGBT-friendly, nowhere more so than the center of gay Sydney: Taylor Square on Oxford Street.

The city's bars and restaurants are some of the best in the world, so it's a great place for foodie couples -- particularly the pricey venues in the Rock's area.

Honeymoon hotspot: As a harbor city, Sydney offers opportunities to polish surfing skills on some of the local beaches, such as the world-famous Bondi -- which claims to be the location of the first ever gay surfers' group surf.

Let's Go Surfing, 128 Ramsgate Ave., North Bondi; +61 9365 1800

Sitges, Spain

The center for Spain's gay scene is 20 miles (32 kilometers) along the coast from the stunning architecture and cultural life of Barcelona.

Once just a fishing village, in the 20th century it became a haven for artists including Picasso, and now welcomes an international gay community.

The town has a calendar of annual events including the town carnival, a film festival, a classic car rally and the full range of traditional Spanish village religious festivals.

Honeymoon hotspot: Parrots (Carrer de Joan Tarrida, 16, Sitges, Barcelona; +34 938 94 13 50) one of the city's best-known gay hotels, also has its own popular gay cafe.

@highlight

Association of British Travel Agents has named its top 10 destinations for same-sex honeymoons

@highlight

An increasing number of destinations are catering to lesbian, gay, bisexual and transgender travelers

@highlight

Top same-sex honeymoon spots include Cape Town, Sydney and Tel Aviv

@highlight

Miami hosts three of the world's biggest LGBT events, among them the Winter Party Festival