(CNN) -- Many are speculating whether an all-woman jury is a benefit or detriment to George Zimmerman, who stands accused in a Florida court for murdering Trayvon Martin.

Women jurors are a recent phenomenon in U.S. history. In the 1960s, numerous states still prohibited women jurors. The thinking was that women's place was in the home, not in the jury box. Women's jury service wasn't placed on equal footing with men's until a 1975 U.S. Supreme Court decision (Taylor v. Louisiana).

An earlier Florida case vividly illustrates this history. In the late 1950s, Gwendolyn Hoyt stood trial for murdering her husband with a baseball bat. Hoyt's guilt was determined by an all-male jury because at the time women in Florida had to volunteer for jury duty, while men were required to serve. Few questioned whether a female defendant tried by a jury of men confronted a "jury of her peers."

Hoyt and her attorneys, however, did pose the question and appealed the guilty verdict all the way to the U.S. Supreme Court on the grounds that the all-male jury denied her due process. One of Hoyt's attorneys noted that when she asked her male acquaintances whether a man tried by an all-female jury would receive a fair trial, they answered with a resounding "no!"

The 1961 Supreme Court ruling in the Hoyt case upheld a state's right to define women's jury service differently than men's. The court ruled that "woman is still regarded as the center of home and family" and for this reason a woman can "be relieved from the civic duty of jury service."

Times certainly do change. The 1975 Taylor decision overturned Hoyt, and women were able to participate equally in the democratic act of deciding community justice. In 1994, the Supreme Court ruled that peremptory challenges could no longer be based on a prospective juror's sex. That is, lawyers could no longer dismiss women (or men) from a jury panel because of their sex. Women have clearly broken the glass ceiling in the courtroom.

But the public's attention to the all-female jury in the George Zimmerman case shows that we are not yet gender blind when it comes to the justice system. Many people ask right away -- how will these women weigh the evidence, deliberate and affect the outcome of the trial?

The answer is likely to be that the all-female jury will have little or no effect on the ultimate decision in this case. Research shows that no one juror trait, including gender, is an accurate indicator of how a juror will vote. Rather -- and savvy trial lawyers know this -- the best predictor of whether a juror will side with the prosecution or defense is a mix of gender, race, ethnicity, religion, political ideology, personality, attitudes, and so on.

Jury selection experts understand as well how the complex mix is closely tied to the specific issues at stake in a particular trial. Jury composition alone rarely shapes the verdict in a trial. For example, a 2007 review of the scholarship on jury selection reported that the backgrounds and attitudes of jurors predict less than 15% of verdicts.

Women are now full citizens when it comes to jury service. If a man is being tried by an all-woman jury, he is likely being tried by a jury of his peers. The gender makeup of the jury is not likely to be pivotal in determining the verdict in the Zimmerman trial. The evidence is what matters in the outcome. But our public attention to the fact of an all-female jury shows that we are still conditioned to think in gendered ways.

The opinions expressed in this commentary are solely those of Holly McCammon.

@highlight

An all-female jury will hear the George Zimmerman case in Florida

@highlight

Holly McCammon: The gender composition of a jury will not affect the outcome

@highlight

She says research shows that no one juror trait, including gender, can determine the vote

@highlight

McCammon: Public attention to an all-female jury indicates we still think in gendered ways