(CNN) -- Whether a monochromatic yellow or featuring every color in the Crayola box, these cites are guaranteed to brighten your day.

The word "pretty" isn't often associated with the shantytowns of Rio de Janeiro. But gazing across the hills toward the notorious Santa Maria favela, you might be pleasantly surprised by the burst of colors, the result of a recent social art project launched by Dutch design duo Haas&Hahn.

Pockets of rainbow-bright residences and streets pop up in cities across the globe; some are contrived, like Haas&Hahn's favela project and the commissioning of a blue-painted town in southern Spain by Sony Pictures to promote the Smurfs 3D movie (no, really). Others, like the eclectic homes and murals of ValparaÃ­so, Chile, are more organic, inspired by the creative spirits of the residents that inhabit them.

From a monochromatic Indian city painted pink for a visiting English prince to the candy-colored waterfront of Miami's South Beach, these landscapes bring a new level of vibrancy to austere deserts, mountains, slums and already sparkling aqua waters.

Travel + Leisure: World's most beautiful canal cities

Jaipur, India

Now this is a royal welcome: Maharaja Sawai Ram Singh had the whole city daubed in pink for the arrival of Edward, the Prince of Wales, during a diplomatic visit in 1853. The Rajasthani capital retains its signature rose-tinted hue across broad boulevards and historic buildings like the Hawa Mahal (Palace of the Winds).

Chefchaouen, Morocco

A four-hour drive from the bustling city of Fez brings you to this village high in the Rif Mountains, known for its labyrinthine medina bathed entirely in shades of blue. The area was once a refuge for Spanish Jews who, fleeing the Inquisition in the 1500s, found a harmonious haven in Chefchaouen. Though most have now migrated to Israel, the warren of turquoise alleys remains as their legacy.

Travel + Leisure: World's strangest towns

Izamal, Mexico

Mexico's tourism secretary designated Izamal, in the Yucatan region, a pueblo magico (magical city), and it's easy to see why. The colonial buildings are awash in a vivid yellow that gives the monochromatic town a sunny look whatever the weather. Take a horse-and-buggy ride around the cobblestone streets past marigold churches, government buildings and the city's centerpiece: the historic 16th-century Basilica of San Antonio de Padua.

Bo-Kaap, Cape Town

No, that's not a rainbow at the foot of Signal Hill. The pops of color making their way up the slopes are typical of Cape Town's historic Muslim quarter, where the mosques and homes make up a splashy kaleidoscope of aquamarine, fuchsia and lime. Its Cape Malay community is descended from slaves brought over by the Dutch from Southeast Asia in the 1600s, and residents began painting their homes to celebrate the end of apartheid.

Travel + Leisure: World's strangest bridges

Balat, Istanbul

Once Istanbul's old Jewish quarter, Balat has attracted a more diverse range of residents over time. Yet the architecture takes you back to a lost era; it's easy to spend a few hours wandering, preferably with camera in hand, to capture the dilapidated yellow and pink buildings adorned by billowing red or green curtains, all sparkling against the cerulean sky.

Juzcar, Spain

Among the iconic White Towns of Andalusia, Juzcar looks so comically out of place that you'd be forgiven for wondering if it's out of a cartoon -- in fact, you'd be correct. Until recently, it, too, was a whitewashed village; in 2011, Hollywood executives inquired whether the residents would paint their homes blue for a promotional blitz surrounding a Smurfs movie. Afterward, Sony offered to paint the town back, but aware of the skyrocketing tourist numbers that resulted from the gimmick, the 220 citizens voted to keep it blue.

South Beach, Miami

Neon lights, frothy facades, quirky patterned lifeguard stands, art deco buildings -- driving along Ocean Drive in Miami is a retro trip back to an era when Technicolor was just bursting onto screens. Flamingo pinks and tropical greens flank the white sand on one side, with azure waters on the other.

Rio de Janeiro

In 2010, Dutch artists Haas&Hahn schemed to turn a favela in Rio de Janeiro into a giant canvas for their third project in that city's slums (favelapainting.com). Enlisting the help of local youths, they converted the homes of Favela Santa Maria into a rainbow of staggering proportions, composed of rays in myriad shades radiating across the facades.

Willemstad, Curacao

Legend has it that in the 1800s, when the Dutch ruled Curacao, the then-governor attributed the migraines that afflicted him to the powerful Caribbean sun reflecting off the colony's stark walls. The result? An official decree that commanded residents to paint the structures anything but white. Today, this World Heritage site owes its distinctive pastel shades to one man's maladies.

Vernazza, Italy

These postcard-perfect pastel pink, lemon yellow and sea green facades were hit by devastating floods in 2011. While the damage to Vernazza and the four other scenic waterfront villages that make up Cinque Terre was severe, efforts are under way to restore, rebuild -- and repaint.

See more colorful cities on Travel + Leisure.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

An Indian town was painted pink in 1853 to celebrate a visiting prince, and it kept the color

@highlight

A South African community celebrated the end of apartheid with color

@highlight

In a Smurfs movie promotional stunt, a Spanish town was painted blue, and it stayed blue