(CNN) -- Weather, airfare and upcoming local events are criteria that typically factor into travel decisions.

This week, however, far greater concerns are on the minds of potential visitors to Istanbul.

Ongoing local protests, government retaliation and related unrest in the city have many wondering if they should pull the plug on upcoming trips or make any new plans at all.

The British government has warned its citizens to avoid demonstrations in Istanbul and Ankara, and the US state department urges travelers to be "alert to the potential for violence".

What began as a small, peaceful protest against a planned shopping mall in the city's Gezi Park has quickly turned into what some protesters now call a "war zone," with police using brute force to quell demonstrations.

A worldwide audience has watched as police fired water cannons and tear gas at defiant protesters in Taksim Square.

Tourism crucial to Istanbul

According to the 2012 MasterCard Global Destinations Cities Index, Istanbul is among the fastest growing tourism markets in the world, receiving 11.6 million international visitors and earning $10.6 billion in travel revenue in 2012.

The Turkish Statistics Institute reports the country's total tourism revenue for 2012 was $29.4 billion. According to an April report by TradeArabia, Turkey expects to receive 33 million international visitors in 2013.

HÃ¼nkar Akipek, a young professional who has taken part in the protests, tells CNN that protestors are aware of the possibility that recent events will harm Istanbul's reputation abroad.

"Sure we are worried," says Akipek. "I got so many emails, calls from my Turkish and non-Turkish friends abroad.

"I am careful to answer their question of 'What is going on there?' to not make any harm to Istanbul's reputation. This is where we live and where we want to go on living and raise our children. We do not want to damage our home."

"Istanbul, a city that has always been known as Turkey's cultural heart, is turning into a war zone," says Royce Yakuppur, a local who has been to Gezi Park several times in recent days. "Although the feeling of solidarity (among locals) should be applauded as a virtue, it is not enough to overcome the fears of tourists."

Unsurprisingly, local travel agencies report that some travelers have recently canceled trips to Istanbul or are having second thoughts about coming in the next few weeks. Yet "many" are still going ahead with their plans.

No statistics on cancellations are available.

Traveler's tales from a week of unrest

By and large, for visitors and locals alike, Istanbul feels safe.

Travelers across the city tell CNN that while they've had to modify some plans, they've felt neither threatened nor endangered.

Colombian tourist Juanita Pardo arrived in Istanbul on June 10. She says she didn't change her travel plans after learning of the protests, despite being warned by family members to avoid the area around Taksim Square.

"There was a lot of traffic, a lot of police, and (some) roads were closed so we chose to walk and couldn't go everywhere we wanted to," she says of touring the city in the midst of the protests. "We had to cancel some plans, like having dinner at Mikla, which is located in Taksim, where we didn't want to go.

"We couldn't see Istiklal Street, which we had heard a lot about."

Kevin Patnode, a 23-year-old New Yorker who has been spent the past four summers in Istanbul as a coordinator for an English language program, arrived in Istanbul on June 4.

"The protests made me want to come even more," Patnode tells CNN.

"Besides Taksim Square, the surrounding areas are untouched by the current situation," he says. "I even visited Gezi Park three times and never felt unsafe. Even though I speak no Turkish, I never felt out of place or that I was unsafe.

"The only change that has occurred has been my social life. Istanbul is a party city and Turks know how to have a good time.

"But after the protests, a lot of people find it inappropriate to be out and going to the bars and clubs surrounding Taksim. It is certainly not frowned upon for foreigners to go out and enjoy themselves, and I've been encouraged to go out and continue to enjoy Istanbul -- however I cannot expect my Turkish friends to come along and join me."

Most of Istanbul's top attractions, such as the Blue Mosque, Hagia Sophia and TopkapÄ± Palace, are located in Sultanahmet, far from Taksim Square.

Referred to as the "new Berlin" by some, Istanbul boasts a growing art scene, with contemporary galleries and museums, such as Salt Galata, Arter and the Istanbul Museum of Modern Art leading the field.

Contemporary Turkish cuisine also draws tourists to Istanbul.

The city's historic peninsula, funky cafes and bohemian neighborhoods feel as exciting -- and welcoming -- as always.

"Istanbul is as appealing as ever," insists one local. "Much like a beautiful woman, but with smudged mascara."

@highlight

Demonstrations have many wondering if they should pull the plug on upcoming trips

@highlight

US and British governments urge travelers to avoid large gatherings

@highlight

Tourists report feeling neither threatened nor endangered

@highlight

Istanbul is among fastest growing tourism markets in world, receiving 11.6 million international visitors in 2012