(CNN) -- It was supposed to have been over in a few days. World powers would go in with fighter jets and the world's most sophisticated precision-guided weapons to render Libyan leader Moammar Gadhafi powerless.

But that's not the way things happened.

As NATO's airstrikes crossed the 100-day mark, analysts blamed a host of faulty assumptions, including success based solely on surgical airstrikes, for a protracted war that some fear could drag on for more months.

"It's absolutely wrong to think that an air campaign can win this," said Andrew McGregor of the Jamestown Foundation and director of Aberfoyle International Security, a Toronto-based agency specializing in security issues related to the Islamic world.

The basic problem, McGregor said, stemmed from presuppositions about the fortitude of the Libyan opposition.

Buoyed by the successful uprisings to the east in Egypt and to the west in Tunisia, Libyan rebels believed they had the mettle to bring down Gadhafi. Western powers believed that with a little help, Libya could be freed from totalitarian rule.

But rebels launched an armed insurrection against a man who had spent four long decades preparing his state for unforeseen challenges. This wasn't a peaceful revolution of the masses against a government that had no public support.

"This revolt never really had the strength to succeed," McGregor said. "There was this feeling among the rebels that all we have to do is show up. But you should take a couple of years to get it organized first. If you're just going to run out on the streets, the results will be predictable."

Four months on, the rebels are not capable of supporting themselves, McGregor said. They are out of fuel, oil production has shut down, and they have few available resources. They will soon face even shortages of food and water, McGregor said.

President Barack Obama faces pressure at home to withdraw U.S. forces. There is debate, too, in Europe over the expensive air campaign.

The war may have been morally right, but NATO, said McGregor, is facing a conundrum.

Part of that failure was a lack of consideration of the makeup of the Libyan population, said University of Texas political scientist Alan J. Kuperman, author of "The Limits of Humanitarian Intervention."

"The fundamental error by the White House and NATO was to imagine that the Libyan people were united in opposition to Gadhafi," he said.

"In reality, Libya is divided along lines of clan and tribe, some of whom benefit greatly from Gadhafi, and therefore defend him fiercely," he said. "Any expert on ethnic conflict and intervention could have told the White House that ahead of time."

In that respect, said Thomas Donnelly, director of the Center for Defense Studies, the Libyan war has the potential for fallout that is worse than what happened after President George W. Bush declared "mission accomplished" weeks after Saddam Hussein's 2003 ouster in the Iraq war.

"To imagine that Libyans are going to come together -- is a hope, but not a plan," Donnelly said. "It was a mistake to get involved in such a feckless way."

Behind the rhetorical rallying cry of protecting civilians, Donnelly said, has always been the real aim of NATO -- to kill Gadhafi.

"If you made me bet my mortgage at gunpoint, I'd say we probably will get Gadhafi," he said.

But the question is when. And if it doesn't happen in a timely fashion, then NATO risks the erosion of public support for its campaign, Donnelly said.

"In some sense, 100 days is a short period of time," he said. "But when your political support is so tenuous and thin, and when your operations have heretofore been ineffective in achieving campaign goals, then taking ground forces off the table has not made the war any shorter or any less bloody."

The Libyan regime has also proven itself to be more robust and resilient than anyone imagined. It would be a mistake, said Donnelly, to assume that killing Gadhafi would mean a collapse of the entire system.

The Libya conflict has sometimes been compared to NATO's air war in the Balkans in the 1990s. Many people thought the Serbs would go down instantly once NATO began bombing. They didn't. And eventually, it was the threat of a ground invasion that led to the capitulation of then-Yugoslav President Slobodan Milosevic.

Gadhafi, however, faces no such threat. And some believe the arrest warrant issued by the International Criminal Court this week will only help strengthen his resolve to stay in power.

"If Barack Obama had thought a hundred days ago that he would be where he is now, you have to wonder whether he would have made the same decision," Donnelly said. "How can you tell the American people we're going to start jumping over the fence and we have no idea where we are going to come down?"

But not everyone is pessimistic about prospects in Libya.

Ali Ahmida, for one, stands by his belief that the Libyan opposition can defeat Gadhafi.

The rebels, he said, have made noticeable gains with the support of NATO air power. He cited recent rebel takeovers of western towns in the Nafusa Mountains and said Gadhafi is more isolated now than ever before.

"The Libyan people are capable of fighting this fight," said Ahmida, an analyst at the University of New England. "The consequences of this, even though it is more painful and brutal, will have a positive outcome in the end."

It has not been easy for Ahmida to watch the conflict unfold in Libya. But he is a strong proponent for self-determination who feels strongly that the Libyan people, not outside forces, must determine their fate.

"I warned against this from the start, that Libyan public opinion would not like it," he said, referring to the possibility of foreign boots on the ground. And Ahmida still questions the motivation of Western powers and the agendas of exiles who he fears may want to exploit oil-rich Libya.

"I'm optimistic but guarded," he said.

Ahmida said the bad news is that NATO lacked clarity in its mission and also in a negotiated exit for Gadhafi, which he said is more difficult now because of the arrest warrant for alleged crimes against humanity.

Still, Gadhafi's regime will fall, he said. Then the real battle for the future of Libya will just be starting.

@highlight

An air war alone is not enough, say some analysts

@highlight

But without ground troops, what is the end game?

@highlight

Some fear a protracted war that could go on for months

@highlight

A Libyan analyst says self-determination is key