London (CNN) -- New figures show that tough trading conditions across Europe are forcing many firms to making even tougher financial decisions -- particularly when it comes to their travel budgets.

Paul Tilstone, the managing director of the Global Business Travel Association (GBTA) in Europe, says it's not surprising that companies are slashing spending on business trips.

"What we're seeing are companies putting in place critical-only travel plans and that has a knock on effect," he added.

"It's not about growth now for a lot of companies -- it's about survival. Unless something is considered critical to the running of the business, then it won't be authorized."

With travel expenditure often one of the biggest expenses within a business it becomes fundamental to reduce budgets. So where are the cuts being made?

Hotels that were once perceived as cheap are now viewed as adequate and comfortable. The days of expensive flights are also long gone.

"The standard now, is people travel in economy rather than business class," said Tilstone. "When trips are authorized, companies want more out of them. They want more bang for their buck."

Latest figures from the GBTA show varying levels of growth and decline across five critical markets in Western Europe in 2012: Germany, UK, France, Italy and Spain.

Together they make up nearly 70% of business travel across the continent -- but Germany is the only nation where an increase has been reported. Spending there will have grown by 1.6% by the end of the year.

Elsewhere, the picture isn't as rosy. In the UK spending has flat-lined, while in France it will have dropped by 2.2%. The situation in the south of Europe is worse still, with spending on business travel in Spain and Italy dramatically decreasing.

Overall it means a reduction in spending of 2.2% across Western Europe -- and paints an even bleaker picture than the projections issued by the GBTA during the spring.

"The spring 2012 outlook was formulated in May and since that time conditions in Italy, Spain, Greece, and France, among others, have worsened," said Tilstone.

"The debt crisis may have been moved to the media's and stock market's back burner at the moment, but the crisis is still problematic and has caused economic conditions to worsen."

For some companies, it's obvious that cutbacks are a necessary evil. But what kind of effect do they have on productivity?

"I take dozens of trips a year, and around 30 to 35 of those are international," added Tilstone. "If I had to travel in economy all the time it would take its toll on my well being. It's about finding a balance. You don't want your employees becoming less productive individuals."

Stewart Harvey says he's not surprised by downgrading of the figures by the GBTA. As the commercial director of British corporate services provider HRG he specializes in ensuring companies make the most of their travel arrangements. He says a growing number of firms are exercising caution around their travel budgets.

"Businesses are not out to stop traveling," he said. "But there's a lack of confidence and they're putting controls on what they are spending.

"They want to record the purpose of the trip. Why are their employees going and who are they going to see? Is it external or internal? Are they going after a customer or extracting more business?

"People are being conservative and cautious because they are thinking about their whole business and they don't know what's ahead."

Although the GBTA's projections for 2012 are bleak, particularly for southern European countries, its outlook for next year makes for slightly more pleasant reading.

The association predicts a 1.4% bounce back in 2013, which it links to job growth and any likely increase in GDP.

Is this a barometer for the region's wider economy?

"There is coloration," said Tilstone. "There are suggestions that there's a one quarter time lag between growth in business travel and growth in economies.

"But with lingering debt challenges and continued austerity measures, the European economy is likely to continue to be challenged for years to come. The GBTA's fall report therefore remains cautious."

But Harvey isn't convinced the projections for growth next year will come to fruition.

"How on earth would we know that? We don't have a crystal ball with that assurance," he said.

"In our experience, most companies aren't looking that far ahead. Planning for the long term is now viewed as three to four months in advance."

@highlight

European businesses are putting "critical-only" travel plans in place

@highlight

Report: France, Italy and Spain have cut business travel spending in 2012

@highlight

Some fear employee productivity could suffer

@highlight

Growth projections for 2013 remain cautious