(CNN) -- I strongly believe being mayor is the public post in which you have the greatest opportunity to change peoples' lives for the better.

People live in cities, not states or nations. As a mayor, you are connected directly to citizens. And cities are increasingly the preferred place for most people to live. Today, half of the world's population is settled in urban areas. By 2050, seven out of 10 people will live in cities, according to United Nations projections.

I like to say I have the best job in the world. Rio is an incredible place, a vibrant place, full of energy, culture and virtues. In the recent past, the city and its people seemed to be be headed down -- after 1960, Rio was was no longer the capital of Brazil and it faced economic difficulties and bad public management, which helped aggravate urban problems such as poverty and violence.

Watch Eduardo Paes' TED Talk

But those days are over, and that's symbolized by the fact that Rio will host the fist Olympic Games in South America in 2016. It was not easy to get there. Our Olympic bid had to be selected over strong candidates such as Madrid, Tokyo and Chicago. But the International Olympic Commitee found our proposal was the one that would leave the greatest legacy. With dedication, inspiration and professionalism we have shown that things can be done.

TED.com: Jaime Lerner sings of the city

Running a city is a great challenge. But it turns out that you don't have to be powerful or rich to be innovative and find good forms of urban development. I believe there are four basic commandments that serve as pillars for building a better city:

Commandment 1 -- A city of the future has to be environmentally friendly

Rio is an energetic, vibrant place, full of beauty and nature. But we face the kinds of problems any developing metropolis does -- with pollution, traffic congestion, poverty. Distribution of green areas, for example, is not uniform. Madureira, the heart of the suburb in Rio, is a concrete jungle. You have to find open spaces and make it so people can get to them. We are building the third-largest park in the city in Madureira, the temperature will drop 2 to 3 degrees centigrade. Every time you think of a city you have to think green, green, green.

Commandment 2 -- A city of the future has to deal with mobility and integration

Cities are packed with people. How can you move people around effectively? High-capacity transportation usually requires a lot of money. A solution we found was Bus Rapid Transit (BRT), presented by a former mayor of Curitiba, Jaime Lerner. You transform a bus so that it functions virtually as a train car, with dedicated lanes and the same comfort and features as a subway station. A kilometer of BRT costs 10 times less than a subway and it gets built much faster. We will see the proportion of Rio's population served by high capacity transportation rise from 18% today to 63% by 2015.

TED.com: Why the world needs charter cities

Commandment 3 -- A city of the future has to be socially integrated

In Rio, 1.4 million of the 6.3 million people live in favelas, or slums. They are all over the city but favelas are not always a problem -- sometimes they can be a solution, if you have the right public policies. What you need is to change from a vicious circle to a virtuous circle: Bring basic services inside the favelas with the same high quality you have in richer areas. The second aspect is to create open space in the favelas and develop infrastructure. By 2020, Rio aims to have all its favelas completely urbanized.

Commandment 4 -- A city of the future has to use technology

We use technology to be flexible. In Rio we built a Center of Operations, a situation room that gathers information from municipal departments and allows us to manage and help decision-making. I can check the weather, the traffic and the location of city's waste collection trucks. Each of 4,000 buses in the city has a camera connected to the situation room. That help us manage emergencies and extreme situations.

At the end of the day, when we talk about a city we are talking about a gathering of people. We cannot see that as a problem. The city of the future is a place that cares about its citizens and brings them together.

@highlight

Eduardo Paes: More than half the world's people now live in cities

@highlight

Paes: Cities must be environmentally friendly, must find answers to congestion, pollution

@highlight

Rio is using "bus rapid transit" as an alternative to building costly subway lines, he says

@highlight

He says cities must be integrated socially, must take advantage of technology