When Carole Kang woke up each morning, she grabbed her iPhone, pressed a few buttons and saw her son, Spencer, in a hospital a few miles away.

Spencer, who weighed 2 pounds, 2 ounces when he was born prematurely, was in the neonatal intensive care unit at St. Jude Medical Center in Fullerton, California, for more than 11 weeks.

Kang and her husband, Stephen, visited their son as often as possible while juggling responsibilities at work and home. But even when they couldn't be with Spencer, they could see him around the clock -- as long as they had an Internet connection.

A camera mounted above Spencer's incubator provided the couple access to a live video stream that they could watch from their phones, laptops or computers.

"There were times in the middle of the night that I would have to see him," said Kang, who has logged on at 2 a.m. "It would give me such a sense of relief."

St. Jude Medical Center is one of the first hospitals in the country to implement a webcam system called NICVIEW, which gives parents a virtual window to their newborns. Most of the babies in St. Jude's neonatal intensive care unit, which has 14 incubators, are born prematurely and are released within four or five days. Some, however, stay for months.

The password-protected webcam system is also being used at a handful of hospitals across the country, including UMass Memorial Medical Center in Worcester, Massachusetts, and Deaconess Women's Hospital in Newburgh, Indiana. Parkview Community Hospital Medical Center in Riverside, California, expects to introduce the system in the next few weeks.

Numerous other facilities are exploring the idea or looking for funding. Cameras run about $1,000 each in addition to an annual service fee that covers technical support and other costs.

Those who have used the system said it is well worth the investment.

"The family feels that they are really connected to their infant, which is important for bonding. In the past, the bonding process had to be instituted every few days," said Dr. David Hicks, medical director of the neonatal intensive care unit at St. Jude Medical Center. "The family dynamics are improved."

While the St. Jude unit has an open visitation policy, only adults are allowed in so as to protect the babies' immature and susceptible immune systems. In most cases, babies get well under intensive care.

Individual cameras above each baby's incubator provide a continuous stream of live video. Hicks said he often waves to the camera to reassure family members. At St. Jude, one camera is designated per baby and is turned off only during medical treatments, rounds or at a doctor or nurse's discretion.

"The NICU is a special example of a time when parents need that bonding experience," said Blake Rutherford, one of the four partners/founders of NICVIEW, based in Kentucky. Parents have the option of sharing the password with relatives or friends who live far away, he said.

About half of the sessions originate from Web-enabled devices such as iPads, iPhones, Droids and Blackberries, said Bill Nold, one of Rutherford's partners.

"We can tell that people are using these while they are sitting in a car," Nold said.

Kang remembers how vital that access was for her family. When her husband returned to work, he hooked up another screen to his computer so he could see Spencer.

"When he had to be at one place to support his family, it gave him such closeness," said Kang, recalling the anguish the couple felt about having to leave their son at the hospital. "He could have a connection with him every minute of the day. It's a priceless feeling. It's just an absolutely amazing tool."

Tracey Van Dell, governance manager for the American Association of Critical-Care Nurses, can see only one potential downfall to the system: the possibility that a parent witnesses an emergency situation before the camera can be turned off.

Van Dell gave birth to premature twin sons, one of whom died in the neonatal intensive care unit. The other was released after six months. She said the advantages of the camera system far outweigh any possible downsides.

"I think it would help encourage parents to take care of themselves because it's an emotionally and physically draining experience," she said.

Rutherford and his team, which includes developer Dominic Foster, came up with the idea for the camera system after visiting Deaconess, which was using cameras at infants' bedsides. Rutherford and his partners enhanced that basic camera system so that it would be compatible with any Web-enabled device and designed it so that it would not affect the performance of the hospital's network.

Parents who had problems seeing their babies when the hospital was using its own system called the unit. Now those calls go straight to NICVIEW, freeing up the nurses to do their jobs, said Mary Stephens, nurse manager of the neonatal intensive care unit at the Women's Hospital.

"It really connects the families with their baby," Stephens said. "It helps that separation. While that mom is at work, she can have access to seeing her baby and she doesn't feel like she missed that much."

Stephens said she sees other applications for the technology and said it could be used on older patients with dementia or other illnesses.

Maureen Guzzi, nurse manager of the neonatal intensive care unit at UMass, agreed and said she sees an application for oncology. Using the cameras in the neonatal intensive care unit is particularly important, given the strain on a family that goes along with having a sick child, she said. Some babies can be there for six to eight months, she said.

"It's a very emotional time because (the parents) want to be here, but they have to go back to work," she said.

UMass has six cameras that are mounted on IV poles. Guzzi said she hopes the hospital can buy enough to have one camera per infant and allow families access around the clock.

Several staff members already have been trained on the system, learning where to place the cameras, how to turn them off and how to explain the process to parents. There have been some minor technical challenges, she said, but overall the hospital is thrilled with the system.

The webcams recently were installed at Parkview Community Hospital Medical Center in Southern California. Staff members are being trained on the system, and the hospital is scheduled to begin using NICVIEW by Christmas, said Marlene Burnett, vice president of business development.

Many babies who are brought to the neonatal intensive care unit at Parkview are transported from other hospitals. The system will make it easier for parents who live 30 minutes or more away to see their babies, she said.

"It's more important for them to have that Internet access to their babies," Burnett said.

Betty Rowzee, clinical manager of the neonatal intensive care unit, said babies at Parkview typically stay for seven to 14 days. While most are premature, others are full-term babies with infections or feeding or blood sugar problems.

Noelani Dauphinee, who delivered at St. Jude, said the system was a blessing for her and her family. Her son, Jonathan, lived for only a week.

Relatives in Hawaii, Arizona and on the East Coast saw him on the webcam and talked about how much that meant at the baby's funeral, she said.

"You just never know how precious those moments will end up being," she said. "In our case it went from being OK to a lot worse in a matter of hours, and it made such a huge difference to be able to know that we had that access."

@highlight

California's St. Jude Medical Center is one of the first hospitals to use webcam system

@highlight

NICVIEW gives parents a virtual window to newborns in neonatal intensive care unit

@highlight

Family feels connected to their infant, which is important for bonding, doctor says

@highlight

Cameras run hospitals about $1,000 each in addition to an annual service fee