Puerto Vallarta, Mexico (CNN) -- A lifelong nature lover, Oscar Aranda studied biology in college and knew he wanted to work somehow with animals at sea.

But he didn't find his calling until years later, when he was summoned to a beach and saw a gruesome scene that would change his life.

"I found a turtle chopped in pieces in a bucket, and its heart was still pounding," Aranda said. "[The police] needed my help to decide what to do.

"When you see how the people kill [sea turtles] and how they are just using them for their meat and eggs -- it's sad."

There was nothing Aranda could do to save the turtle that summer night 10 years ago. But ever since then, he has patrolled Puerto Vallarta's beaches as an unofficial keeper of the sea turtle maternity ward.

Aranda's conservation group, La Sociedad Ecológica del Occidente, is dedicated to protecting turtles that nest along Mexico's northwest Pacific beaches. From June through December -- prime nesting season -- Aranda and his unpaid volunteers watch over the shorelines where the turtles lay their eggs.

"The turtles are not safe," Aranda said. "[A pregnant turtle] comes out in the dark, and a poacher can be hiding.

"We are not the police, but we just want to take care of [the turtle] and be there when she comes out to lay eggs."

There are seven sea turtle species worldwide, and six of them return to Mexico's shores each year to lay eggs. According to the World Wildlife Fund, all six species are "currently in danger of extinction." For Aranda, this reality is daunting.

"The sea turtles have been here since the dinosaurs," he said. "Turtles are basically the link between the land and the ocean, and that movement is very important for many animals. Some species keep the reefs healthy, and there are many animals that depend on [sea] turtles to survive. They continue the life cycle."

iReport: Sea turtles struggle for comeback

Aranda's group, which is also known as Vallarta Rescue, is nonprofit and relies entirely on private donations. To earn a living, Aranda works during the day as an ecotourism boat driver. At sunset, he heads out to what he calls the perfect job in the perfect place.

"We go out to the beach and we wait for the turtles to come," he said. "Sometimes we may see one, sometimes there are 13. It all depends. We might miss a turtle, and then we dig for the nest she left behind. We have to be there all night."

Twenty years ago, the Mexican government outlawed commercial fishing of sea turtles. It started fining people up to $16,000 for killing turtles or trafficking turtle eggs, turtle meat or products manufactured with turtle hides. But Mexico still has one of the highest rates of turtle poaching in the world.

"Very few poachers are caught or arrested each year," says marine biologist Wallace J. Nichols, who has been tracking sea turtles' behavioral patterns throughout Latin America, Asia and the United States. "Poaching remains a big problem in Mexico partly because the people who buy sea turtles are often powerful, and partly because it's not a high priority" for law enforcement.

Aranda believes the poaching business is sustained by cultural curiosity and tradition, not financial profit. A single turtle egg sells for about 50 cents.

"I think it's how the people feel eating something forbidden," he said. "They want to try what is illegal, but [they also] believe the eggs are aphrodisiacs and they want to feel more strong. They have seen their parents and their grandparents eating them, and it's a way of thinking that is very hard to change."

Changing the locals' perspective is part of what drives Aranda to stay awake during his night patrols in Puerto Vallarta. A good night, he says, is any night when a single turtle is spotted and protected from poachers.

"We clear the path for her to dig the hole, [we] wipe her clean of dirt and sand, and after that the babies are left alone and she returns to the ocean."

The team digs for the eggs, collects them and re-plants them in a protected hatchery on the CasaMagna Marriott Resort. The hotel has donated Aranda hatchery space in exchange for offering their guests turtle conservation lessons and participation in a sunset turtle release ceremony.

"As soon as the eggs hatch, we want the people to see them and learn," Aranda said. "To give them an opportunity to be part of releasing a baby turtle [is] something that they will never forget."

Since 2004, when he started his conservation group, Aranda has facilitated the rescue and release of more than half a million baby turtles. The turtles' determination to keep nesting despite natural and manmade threats inspires him to continue -- all night, every night.

"They are endangered because of us," Aranda said. "Against all odds, they continue coming. If I'm healthy, I'll be here. I can't see myself doing anything else."

Want to get involved? Check out the Vallarta Rescue website at www.vallartanature.org and see how to help.

@highlight

Oscar Aranda has been patrolling Puerto Vallarta's beaches for the past 10 years

@highlight

He's determined to save sea turtles from poachers, who are after the turtles' eggs and meat

@highlight

In 2004, Aranda started the nonprofit group Vallarta Rescue to help his cause

@highlight

The sea turtles that nest on Mexican beaches are in danger of extinction