Oakland, California (CNN) -- Several decades ago, Stan Brock nearly died when a horse kicked him in the head.

He was in the middle of the Amazon rain forest, not exactly the easiest spot to find a doctor.

"There was no medical care there, (and) I was 350 miles from the nearest doctor," said Brock, who was working for a cattle ranch on an open range that spanned Brazil and what is now Guyana.

Fortunately, he was able to recover on his own after more than a month. But many other people in the region weren't as lucky.

"When you got things like measles, influenza and malaria," Brock said, "it was just absolutely devastating. ... Millions of people disappeared."

Brock saw this devastation firsthand while he lived among indigenous tribes. After his near-fatal injury, he realized that something had to be done.

"It kind of jarred my thinking into, 'Hey, let's bring these doctors a little bit closer than 26 days on foot,' " he said.

Brock took the initiative, getting his pilot's license and a small plane to bring medical care to the people that he worked with -- and even the animals for which he cared.

"Instead of taking weeks and weeks to get into that place, the airplane could get there in just a few hours," he said. "(If) somebody was badly hurt or injured, we could put them in the back of the airplane and take them somewhere" for care.

In 1985, decades after he first started flying, Brock went the extra step and started a nonprofit, Remote Area Medical. Since then, the all-volunteer group has held more than 660 medical clinics worldwide, providing free health care to half a million people.

"(These) are not the people that can afford to go down the road and pay $300, $400, $500 for an eye exam and a pair of glasses, or sometimes thousands of dollars to get their teeth fixed," said Brock, 75. "The patients ... are so grateful for what we're able to do for them."

From dropout to 'Wild Kingdom'

Brock's life reads something like a movie script. When he dropped out of school at 16, he followed his parents from England to what was then British Guiana, where he got a job herding cattle. There, he learned the local language and sometimes went days without food and water.

Brock's forte was the lasso, and he was eventually discovered and brought on as a co-host of Mutual of Omaha's "Wild Kingdom," an educational television series that aired in the 1960s, '70s and '80s. (See him challenge a buffalo on YouTube)

Today, Brock said, people still come up to him and say "I grew up watching you on 'Wild Kingdom' " or "I became a wildlife biologist or a marine biologist because of watching you on 'Wild Kingdom.' "

But even though his new job made him well-known and allowed him to travel all over the world, he never forgot where he came from.

"I understand what it's like to be penniless, homeless and uninsured," Brock said, referring to his cowboy roots.

His nonprofit started as a strictly overseas venture, helping the needy in hard-to-reach places. Volunteers would fly into remote regions, sometimes parachuting in, to aid people who didn't have access to medical care.

Brock says it wasn't long, however, before he started to get requests for aid in the United States. The first request came in 1992 from Hancock County, a small, rural area in Tennessee. The local hospital had closed, and its only dentist had just left.

"We went up to Hancock County, and there were 100 to 150 people wanting their teeth fixed," said Brock. "We took care of them, (and) it wasn't more than another week before I got the same request from the next county over."

Soon, Brock said, they were so busy in the United States that the group had to cut back on overseas commitments to meet obligations at home.

Professionals filling a need -- on their own dime

More than 70,000 people have donated their time and expertise to Brock's cause over the years. Many are full-time doctors and nurses who work at their own practices or hospitals during the week and then volunteer on the weekend. Remote Area Medical, or RAM, runs about 25 clinics a year, serving hundreds of patients at a time.

"It always has been a very much volunteer effort, not only in terms of physical contributions, but in their financial contributions," Brock said. "All these people, they're buying their own hotel and paying their own travel expenses to get here."

Medical supplies for the clinics are often donated, while RAM has purchased much of its larger equipment over the years.

Last month, Brock piloted a single-engine, turbo-prop airplane to California, carrying 20 dental chairs and other supplies for RAM's 663rd mission.

The clinic, held in Oakland, offered free eye exams along with glaucoma testing. Patients could receive prescription glasses that were made on site. Dental extractions, cleanings and fillings were also available, and medical services included pap smears, breast exams, acupuncture and testing for diabetes and HIV.

A day before the clinic opened, lines began forming outside the city's coliseum.

Pamela Gomez, 45, arrived the night before, sleeping in a tent along with three other people. She had recently found four lumps in her breasts, and without a job or health insurance, she didn't know where else to go.

A nurse and doctor conducted two breast exams on Gomez and found the lumps to be benign cysts.

"I felt so relieved," she said. "I'm not living in fear anymore. It was a big monkey off my back."

The medical services offered at each clinic vary and are based on the specialties of the doctors volunteering. But Brock said most people -- as many as 85% of the people on a clinic's first day -- are there to see a dentist or an eye doctor. That's usually because some insurance plans do not cover dental or vision care, and many patients can not afford to purchase new eyeglasses.

Brock said there are plans to expand U.S. operations for his group, and he also wants to add a permanent clinic in Guyana and start up a program in Africa.

"This is a 365-day-a-year operation," Brock said.

He sleeps at RAM headquarters, a ramshackle schoolhouse in rural Tennessee, and he takes no income for his work. He doesn't drive a car and -- other than a bicycle and some odds and ends -- he has no assets.

"I guess I'm your basic indigent CEO," he laughs.

He is also humble, quick to deflect praise to the volunteers who have helped him through the years.

"It's those people that are making all of these patients either pain-free or more functional and better," he said. "They're the heroes. All I do is show up and carry some of the luggage."

Want to get involved? Check out the Remote Area Medical website at ramusa.org and see how to help.

@highlight

Stan Brock made a name for himself lassoing animals on 'Wild Kingdom'

@highlight

Today, he runs a nonprofit that provides free health care to people all over the world

@highlight

Brock: The volunteers are the heroes; all I do is carry some of the luggage

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes