(CNN) -- Hillary Clinton had a good week.

She seemed to be energized on a surprise appearance on Barbara Walters' final episode of "The View." "Why don't you take my place on the show?" Walters joked.

She gave a spirited speech at the annual conference of the New America Foundation, insisting on the need to diminish economic inequality and to revive the American dream that hard work should produce economic mobility. "It's at the heart of what I believe is the basic bargain of America: No matter who you are or where you come from if you work hard and play by the rules, you will have the opportunity to build a good life for yourself and your family."

Although the former secretary of state has not yet thrown her name into the 2016 presidential campaign, a series of seemingly negative stories that unfolded recently have the potential to actually strengthen her case for running to become president of the United States.

On the surface, the good news was not obvious. Many observers logically saw the news in a different light. "As she takes clear steps toward her political future," wrote Maggie Haberman of Politico, "the echoes of the old days are making the most noise right now."

The hearings on Benghazi have excited Republicans who are seeking to investigate what mistakes or wrongdoing she might have committed while serving as secretary. Her critics have also been asking why the State Department didn't designate Boko Haram, the group responsible for the kidnapping of nearly 300 Nigerian schoolgirls, as a terrorist organization.

Sen. Marco Rubio, one of the top Republican prospects, put on his teacher's cap and said Clinton deserved an "F" for her leadership at the State Department. The hearings and the questions about foreign policy will serve as a reminder to Americans of the kind of tough political attacks Clinton should expect if she runs.

The piece in Vanity Fair written by Monica Lewinsky has also brought up memories of the nastier side of the late 1990s, when the scandal involving her relationship to the President almost brought down the Clinton administration. The ongoing release of documents from President Clinton's archive is also triggering more stories about Clinton in the 1990s.

6 major takeaways from Lewinsky's Vanity Fair essay

Just to make matters more difficult, Karl Rove's statements suggesting that Clinton had suffered brain damage from a fall will trigger more discussions about whether she is physically up for the job. Rove stood by his statements this Sunday on the talk shows.

And Massachusetts Gov. Deval Patrick, who some think could be a possible candidate in 2016, said on CNN that he was worried so many people speak of Clinton as inevitable. "I think it's off-putting to the average . .. voter," he said.

Castellanos: Rove's attack on Clinton was clumsy but shrewd

But all of this news, while certainly problematic, can work to her advantage. One of Hillary Clinton's greatest assets is her resilience and ability to take on the toughest of political fights. By bringing back memories of the 1990s, many of these stories will also bring back discussions of how much Hillary Clinton was able to endure .

At a time when many Democrats are frustrated with how congressional Republicans have been able to stymie this administration, the personal and professional record of Hillary Clinton -- both as first lady and in her subsequent roles as senator and secretary of state -- could look extremely good and offer an attractive model as Democrats select a leader to guide their party through the partisan wars that are surely going to continue in the coming years.

The stories about Monica Lewinsky and Clinton's health will also help to humanize her in a way that few other events can do. After all, one of Hillary Clinton's ongoing obstacles, including when she ran in 2008, was her difficulty in conveying some of her personality and character to a public that often saw her almost as cold machine. The ways in which she endured the trials of her marriage and assaults on her personal character in the 1990s are sure to bring some sympathy from many Americans and, at a minimum, to give voters a better sense of who she is as a person.

Given how long Americans have been forced to suffer through the fierce partisan attacks of recent years they might have greater sympathy for what she endured several decades ago. As Chelsea looks forward to giving birth to her first child, Hillary Clinton has talked more about the joys of parenthood and excitement of becoming a grandparent, also experiences that will make her more human to American voters.

The turbulence over her record that takes place in the weeks ahead can help shake some of the sense of inevitability that surrounds her candidacy, which would not necessarily be a bad thing. After all the media, and to a large extent voters, tend to like someone who has to struggle to achieve victory.

In 2008, Barack Obama's supporters seized on the fact that Clinton was said to be the inevitable nominee and used that against her. Obama's supporters presented her as the candidacy of the status quo, while depicting him as the fighter and as the person struggling toward victory in an exciting contest.

Bill Clinton responds to Rove, says Hillary 'strong'

The attack on Clinton and the questions that emerge about her candidacy in the coming weeks can remind voters that her journey is anything but an easy path to success and show her to be very much a fighter and survivor in this campaign.

The Benghazi hearings in particular, when combined with others like those on the IRS, will further the perception that the Republicans are an investigative party, obsessed with scandal and constantly seeking to find evidence against our leaders. The hearings can further tarnish the already badly damaged image of the GOP.

And there is nobody better able to play up this angle and take advantage of these party weaknesses than Hillary Clinton, who was part of the White House team that turned this image against the GOP in the late 1990s.

Clintons' relationship with media still testy after all these years

Finally, it is good to get all of this out of the way so early, before she has even announced her candidacy.

If there is one truism in American politics, it is that everything bad will get out eventually. It is always good to get bad news out of the way long before the game really gets going. It's still the preseason in the presidential campaign of 2016. Given the short attention span of many Americans, it is much better for all this to circulate now when most voters are not really paying attention and before any serious contest has even begun.

Taken together, this is why the bad news can actually be good for Hillary Clinton if she is preparing to run. The onslaught of attacks and challenges might just be the reminder that Democrats need -- that Hillary Clinton is the person best qualified to handle this job.

@highlight

Hillary Clinton continues to attract big attention even though she hasn't become a candidate

@highlight

Julian Zelizer says comments from Rove and an article by Lewinsky may help Clinton

@highlight

He says these incidents remind people of Hillary Clinton's resilience during the 1990s

@highlight

Zelizer: GOP comes across as the investigative party, and empathy goes to Clinton's benefit