As it continues to ramp up its efforts for the 2012 election cycle, a national umbrella organization for the tea party movement readily admits its grassroots organizing strategy is borrowed from the left's political playbook.

"Whether they win or lose a campaign, an election, a fight of some kind -- did they come out stronger than they went in?" is how Brendan Steinhauser, FreedomWorks' director of state and federal campaigns, described the grassroots approach utilized by liberals.

Matt Kibbe, FreedomWorks president and CEO, pointed to a strategy that was "very consistent with all of the left's literature on community organizing." He attributed a specific phrase that the tea party group has adopted -- "winning by building and building by winning" -- to the Sierra Club in the 1990s. "I stole it from them," he said.

The strategy was a recurring theme at a recent gathering of roughly 100 conservative activists who came to Washington for a weekend of training hosted by FreedomWorks.

Tea party 2.0: Upgraded for 2012

The event opened up a window into the metamorphosis of the tea party movement -- from mass protests in 2009 into an increasingly sophisticated and coordinated political movement focused on November's elections and beyond. To that end, FreedomWorks shared its "triple dip" strategy of focusing on states that will be critical in winning the White House, increasing the Republican majority in the House and flipping control of the Senate into GOP hands.

Although the conservative grassroots movement has had some electoral successes, it is not without its critics.

Calling them "wacky," Sen. Mark Warner, D-Virginia, recently faulted the uncompromising views of Richard Mourdock, the tea party-backed Republican Senate nominee in Indiana who ousted longtime GOP Sen. Richard Lugar.

CNN Contributor David Frum was cautious about the ability of the tea party movement to swing control of the Senate to the GOP.

Frum pointed out that the Senate doesn't have highly ideological districts like the House and, therefore, a GOP Senate candidate must balance appeasing conservatives during the GOP primary against the risk of losing the whole state in the general election.

Frum called the tea party's decision to back Mourdock and unseat Lugar "a very high-risk decision" because it opens up the possibility that Democrat Joe Donnelly could win the Indiana Senate race in November.

Kate Zernike, New York Times political reporter and author of "Boiling Mad: Behind the Lines in Tea Party America," observed that while the tea party movement might not have wielded much influence in selecting Mitt Romney as the GOP's presumptive presidential nominee, the conservative grassroots movement has been influential in some Senate races during this election cycle.

Tea party groups target Senate after presidential 'disappointments'

Specifically, Zernike noted the tea party movement's successful effort to oust Lugar, who many conservatives in Indiana felt was too moderate, and a similarly motivated effort against longtime Utah GOP Sen. Orrin Hatch, who is facing a primary challenge from a tea-party backed candidate.

"If you look at the Indiana Senate race," said Zernike, "they got rid of [Sen.] Richard Lugar and in Texas they've kept the candidacy of Ted Cruz alive ...  and, of course, Orrin Hatch [is] having his fight in Utah."

Texas GOP Senate primary heads to runoff

Zernike says the shift toward more targeted grassroots political activism is a natural outgrowth of the tea party movement's success in the 2010 midterms when dozens of fiscally conservative House members were elected.

Kibbe said that when armed with the right tools, the grassroots activists have the power to change the political landscape in the short- and the long-term.

"It's all about this community of people and how connected they are and how many new people they can bring into the system," Kibbe told CNN, "And so every fight we fight -- and it could be a policy fight, it could be building a protest, it could be a book club, it could be a policy seminar, or it could be get-out-the-vote -- all of those things serve two purposes.  One is to accomplish whatever the task is, but the other is to build organization.  And we think that is the key to everything."

Kibbe added that he believes the tea party movement continues, in his view, to exceed expectations because "you can't see the building of a community.  You can't measure it until it does something."

Kibbe explained how a connected community of activists can get established and then engage in get-out-the-vote efforts.

"You literally just have to feed the machine -- give them yard signs, give them walking maps [to help in knocking on voters' doors], give them whatever it is that they want to do and that trumps all sorts of advantages that the establishment has."

Ohio tea party activist Ed Bell echoed Kibbe.

"Everybody's fully engaged behind the scenes," Bell said of the tea party movement's efforts in this key battleground state, "and the only way you're going to see us is by the fruits of our work."

John B. McAvoy, another Ohio tea party activist, said the movement has gotten away from the big rallies that got so much national media attention. "Holding up that sign [at a rally] doesn't do a damn bit of good," said McAvoy.

Instead, McAvoy pulled out his smartphone and declared that "the weapon of choice for patriots nowadays is this thing."

While Zernike observed that the tea party movement has been smart strategically in focusing on building an organization and targeting races where they can have the most effect and achieve their desired outcome, she also sounded a cautionary note about the movement's future.

Zernike pointed out that some establishment Republicans have begun to push back against the influence the grassroots movement is wielding within the GOP; that public favorability ratings for the movement have fallen; and that recent skirmishes over the debt ceiling have put a premium on achieving political compromise in Washington, a practice that is antithetical to the tea party movement.

Mourdock was blunt about his dislike for traditional notions of bipartisan compromise.

"What I've said about compromise and bipartisanship is I hope to build a conservative majority so bipartisanship becomes Democrats joining Republicans to roll back the size of government, reduce the bureaucracy and get America moving again," Mourdock said last month on CNN.

Jeb Bush: Reagan wouldn't fit in today's GOP

Zernike also said that since its genesis in 2009 and successes in the 2010 midterms, the tea party movement is maturing into an established special interest group within the GOP -- into a kind of "MoveOn.org of the right" that works to move the GOP in a more conservative direction.

Frum suggested a demographic motivation for the conservative grassroots movement -- that rather than being driven by partisanship or ideology, the tea party movement, with its older demographic, is actually acting to protect its interest in federal entitlement programs such as Social Security.

As they look toward and beyond this November, the group of activists returned again and again to a model for how the grassroots conservative movement can coordinate to achieve a desired result.

Longest-serving GOP senator loses primary fight

After detailing the 18-month campaign to unseat Lugar that was waged by a coalition of dozens of Indiana tea party groups, Greg Fettig of Indiana had a simple message for his fellow activists: "You unite, you'll change the world."

@highlight

FreedomWorks pursuing grassroots strategy that aims to build long-term organization

@highlight

Author: Tea party movement becoming a permanent special interest group within the GOP

@highlight

FreedomWorks CEO: Once activists become connected, you just have to "feed the machine"

@highlight

Indiana tea party activist: "You unite, you'll change the world"