(CNN) -- Jana Pittman was the woman to beat in track and field's 400-meter hurdles for nearly a decade, only to suffer crushing disappointment as a string of injuries wrecked her chances of Olympic gold.

It must have been tempting to step out of the sporting limelight -- but Pittman did exactly the opposite.

Instead she took up the white knuckle sport of bobsleigh, and is making Olympic history in Sochi by becoming the first Australian woman to compete in both the Summer and now Winter Games.

Less than 18 months after her first "terrifying" run on an ice course, Pittman says she is "extraordinarily lucky" to be part of a team in the two-woman event with experienced driver Astrid Radjenovic.

Despite being hampered by a lack of funding, and having to replicate the all-important start in bobsleigh by pushing a converted supermarket trolley around her local running track, Pittman is relishing the new challenge after the end of her athletics career.

"I wasn't quite sure what sport, so I pretty much tried everything," she tells CNN's Human to Hero series.

"I tried rowing, I tried boxing and then I got a wonderful call from Astrid to say would I be interested in trying to do bobsled, and pretty much it went from there."

A world champion on the track in 2003 and 2007, Pittman carried the hopes of all Australia going into the Athens and Beijing Olympics the following years -- only for her dreams to be shattered.

The final blow came during 2012 when injury again scuppered her chances of competing in the London Olympics.

The 31-year-old went into this month's Sochi Winter Games with a realistic view of her chances, free from the previous pressure of expectation.

"I think I want to stop and smell the roses. To actually feel what the spirit of the Games is like," she says.

"Other times it sped past with huge expectations on results. This time I got to share it with my friend Astrid and to be part of a small but successful Australian team.

"It has been wonderful. Better than expected, I think this time around I get to really take it in and appreciate the moment."

Not that the competitive fire which spurred on Pittman as she dominated her discipline on the track was ever extinguished.

She put herself through a rigorous training regime and bulked up, adding over 10 kg in weight from her hurdling days.

"In an ideal world in bobsled, you want two massive women. This is the sport where everybody gets happy if you've put on a kilo, rather than "Oooh I've lost a bit of weight!" she explains.

"It's all about power and speed. You have to run 15 meters, 20, sometimes 30 meters, jump in the sled, and the start really sets you up for the whole run down to the bottom.

"So coming from a track and field background meant I'd lifted weights since I was 15 and I had a very natural running technique behind the sled."

But despite her physical advantages, Pittman also had to adapt her mindset to cope with the fear factor of racing down a icy course at over 140 kph (85 mph), tucked in as brakeman behind her driver Radjenovic.

"You might be a great athlete, you might be able to do this, but you never know if you're actually going to be able to overcome that fear and terror at the top of the hill," she admits.

"Really, it just feels like a giant washing machine. It's incredibly fast. I started at one of the hardest tracks in the world so it was pretty much the rollercoaster ride of your life."

That initial training run at Altenburg in Germany was a case of being thrown in at the deep end, but she quickly adapted.

"Astrid was very clever in the fact that she made sure I had to do three runs on my first day because I got out of the first sled and was like, 'I'm going home! This is horrible!' but by the time I went down on the third go, I was absolutely hooked."

The pair had immediate success and took seventh place in a World Cup event on the same track, the best on record by an Australian team. They were 14th after Tuesday's opening heats in Sochi, and maintained that placing in Wednesday's final two.

Radjenovic has been to the Turin, Vancouver and now Sochi Games, competing in the sport for 11 years, but coming from nation like Australia, with little history in bobsleigh, the lack of funding has been a challenge.

"Bobsleigh is like Formula One and it costs a lot of money to have fast equipment," Radjenovic, also 31, tells CNN.

"So like a Formula One team, if you don't have a lot of money to invest in it, it is hard to do well, which has made it hard for us."

The addition of Pittman has helped raise funds, reaching a target of $A20,000 ($18,000) to help buy a new sled.

Sponsors were invited to support the "Icebirds" -- which is the nickname the team adopted for branding and publicity purposes.

"Astrid advertised on our Facebook page," Pittman says. "A little competition on names and then people voted. It gave us an identity a team name, so certainly helped with our support."

Pittman said they had also resorted to some unusual training methods in the quest for success.

"We push shopping trolleys in our backyard, we train at a normal athletics track because we don't have snow and we don't have ice, so for Australians to make the Olympics in bobsled is pretty much a 'Cool Runnings' all over again," she says.

That Hollywood film about the Jamaican bobsleigh team in the 1988 Winter Games in Calgary may well act as an inspiration, but during her storied career in track and field, Pittman was rarely the underdog.

Already a world youth champion, she went to her first Olympics on home soil in Sydney in 2000 and won Commonwealth Games gold two years later in Manchester.

Then came world championship success in Paris but in the buildup to Athens she picked up a knee injury that required surgery just before the Games.

Despite the disadvantage, she still managed a creditable fifth place in the final, although that was little consolation at the time.

Further Commonwealth Games success in Melbourne in 2006 was tempered during the course of the year by a very public row with 4x400m relay teammate Tamsyn Lewis, which led to adverse publicity for both athletes.

Pittman was reportedly ready to leave Australia and by then she was married to Britain's former champion hurdler Chris Rawlinson, giving birth to their son Cornelis Levi later that year.

Relenting on the threat -- "I've always been a very proud Australian" -- and coached by Rawlinson, Pittman dominated the 400m hurdles in 2007 and won her second world title in Osaka.

However, injuries again took their toll on her Olympic hopes, and her relationship with Rawlinson also soured. After a brief reconciliation they have separated again, leaving Pittman to face life as a working mother.

"I'm studying medicine full-time and I have a little boy who is seven, but for me, having him in my life is so grounding and I feel like I have a very full, loved life so I will certainly not go to my grave with any fears or regrets," she says.

That also extends to her track and field career, despite missing out on her ultimate goals.

"I've been very lucky that I've been to two Olympic Games and won two senior world titles, so it's certainly been a wonderful career and I'm very grateful for the opportunity."

Pittman also has no intention of fading quietly into retirement post-Sochi, and wants to maintain her partnership with Radjenovic on the World Cup bobsleigh circuit.

"I know that Astrid wants to retire but I'm still trying to get her to go another year," she says.

"I've really found something that I love in bobsleigh. It is a great sport, the people in this sport, even from other countries, are really together, they really help you on every possible angle and I think I'd love to stay in this sport if possible."

Failing that, Pittman has also hinted at a return to track and field -- although she would have to shed the extra muscle that is such an asset in bobsleigh to be competitive in running events.

That would appear not to offer much of an obstacle for a young woman who is renowned for being singleminded with athletic excellence in mind.

In 2010 she caused a stir by revealing that she had undergone surgery to remove breast implants, feeling they were affecting her performance on the track.

"Every time I raced I panicked about whether I was letting my country down, all for my own vanity," she was quoted as saying at the time.

"I don't want to short-change Australia either."

After her heroic efforts to reach the Olympics in an entirely new sport, that's certainly not something Pittman could ever be accused of.

"It was lovely to have the support of the public, they helped get us our new sled and really got behind us all year," she says with pride.

@highlight

Jana Pittman is former two-time world 400m hurdles champion

@highlight

Competed in two Olympic Games in track and field

@highlight

Turned to bobsledding to partner Astrid Radjenovic

@highlight

First Australian woman to compete in Summer and Winter Games