(CNN) -- The current Ebola outbreak is "running much faster" than the international response to it, the co-discoverer of the virus said Thursday.

"This is the first Ebola epidemic where entire nations are involved, where big cities are affected," Peter Piot, a microbiologist and a former undersecretary general of the United Nations, told Global Public Square host Fareed Zakaria. "And I continue to be worried that the response to the epidemic is really running behind the virus."

According to the World Health Organization's latest update, there have been almost 9,000 confirmed and suspected cases, with almost 4,500 deaths. However, the WHO warned there could be as many as 10,000 new cases per week in Guinea, Liberia and Sierra Leone by the end of this year.

Piot, a member of the team that discovered the virus in 1976 in what is now the Democratic Republic of Congo, made headlines earlier this month when he told The Guardian newspaper he feared an "unimaginable catastrophe" if the virus became lodged in a mega-city such as Lagos.

"The three countries that are affected are being totally destabilized, not only in terms of people who are killed by Ebola -- their families, the orphans that now are coming up because the parents died -- but the economy has come to a standstill," Piot said Thursday, speaking from Oxford.

"People are massively dying from other diseases that are normally treatable, like malaria, or women die while giving birth because hospitals are abandoned or are full with Ebola patients. So that's a very, very destabilizing factor," he said, adding that the impact of its spread is "beyond Ebola."

Watch the full interview on "Fareed Zakaria GPS," this Sunday at 10 a.m. and 1 p.m. ET on CNN

Piot said that it is impossible to predict the number of cases. Asked about the WHO projections, he said: "10,000 per week, or 1,000, we don't really know."

"At the moment, there are about 1,000," he said. "It's still expanding, that's for sure. And it probably will continue to grow until all the measures have been put in place in a more efficient way."

Piot's comments came on the same day as Daniel Varga, the chief clinical officer for Texas Health Services, apologized over mistakes he says were made in the care of Thomas Duncan, a Liberian national who became the first person in the United States to die from the virus. Duncan was sent home despite saying he had a fever and that he had visited West Africa.

"Unfortunately, in our initial treatment of Mr. Duncan, despite our best intentions and a highly skilled medical team, we made mistakes," Varga testified to Congress. "We did not correctly diagnose his symptoms as those of Ebola. We are deeply sorry."

Writing for CNN earlier this month, Centers for Disease Control and Prevention chief Tom Frieden said one way for the United States to prevent the disease spreading in the United States is to tackle it at the source, in West Africa.

"After all is said and done here, that is the only way to truly and completely protect the health security of America -- and the world," Frieden wrote.

This view was echoed by Piot, who added that there were some encouraging signs from two of the countries in the region that have been worst affected.

"As long as there is a major epidemic in West Africa, the rest of the world is also at risk. That is an additional reason for providing assistance to stop the epidemic. And because there will be people who will show up -- be it in Europe, in the U.S. or in China," he said.

Watch the full interview on "Fareed Zakaria GPS," this Sunday at 10 a.m. and 1 p.m. ET on CNN

"The good news is that both Nigeria and Senegal have been able to contain a number of important cases," Piot said. "In Senegal, there was never even any secondary case. In Nigeria, there were a number of people who were infected and died, but it has not given rise to an outbreak in Lagos, after all, a city of more than 20 million people."

"That shows that if you act decisively and early enough ... it can be controlled."

Asked by Zakaria what steps he would like to see taken to try to halt the spread of the virus, Piot suggested that it is particularly important to focus on protecting health workers.

"Something that we've learned through Doctors Without Borders is how to treat patients, to care for them and isolate them so that they don't infect others. But also to reduce, more or less, mortality," he said. "We need to protect health care workers. We've seen it in the U.S. We've seen it in Europe. But above all, in Africa, where over 200 nurses and doctors and lab workers have died from Ebola. And that can be done by protective care."

But he added that the biggest challenge in slowing the spread of Ebola is changing the kinds of behaviors that allow it to spread.

"Stopping the transmission in the community around funerals -- that is still going on. And so we have to change people's behaviors and beliefs and also what to do with all the patients who are still at home, who can infect people while they're being transported to hospital units."

"So that's going to be a massive undertaking of behavior change. And it will have to come from within, where their beliefs are influenced and where safe behaviors have to be introduced. And that can come from traditional chiefs, from the opinion leaders in each community."

Asked whether he believed the United States was overreacting to the potential spread of Ebola, Piot said he hoped the extensive media coverage of the virus would ensure that people are more aware of how to protect themselves. But he said he also believed it was possible to get the current outbreak under control.

"I'm not worried about an epidemic in the larger population," he said. "There will be cases. I think we should not be naive about that. But I think it can be contained."

@highlight

WHO warns 10,000 Ebola cases per week possible in West Africa by end of year

@highlight

Peter Piot co-discovered Ebola virus in 1976, concerned about outbreak response

@highlight

Piot has warned of 'unimaginable catastrophe' if the virus becomes lodged in a mega-city