(CNN) -- Every morning Lorna Sculley wakes up unsure whether she will be able to feed her children.

In her cupboard, nothing but tins of meat and beans. She questions whether her sons, who sleep on mattresses on the floor, will get the right nutrition.

A 33-year-old single mother of three boys aged 12, eight and 17 months, Lorna says the constant fear that she cannot guarantee them food and shelter is "heart-breaking."

She is one of more than a hundred thousand Britons fighting for food on a daily basis; using food banks and other charities to ward off hunger and homelessness in the UK-- Europe's third-largest economy-- as austerity bites.

Yet from her kitchen window in east London she can see the big names of a multi-billion dollar financial powerhouse; HSBC, Barclays, Citigroup.

And though her life and those of the financiers that populate the sterile walkways of Canary Wharf are only separated by the rail lines at Poplar station, for Lorna, they are worlds apart.

"If only I could have their lives for just one day," she tells CNN "and not have to worry about where dinner will come from."

From April 2011 to April 2012, the Trussell Trust - a charity that works with local communities on food banks - provided emergency aid to 128,697 people in the UK; it predicts that number could almost double this year.

Read more: Moody's downgrades United Kingdom from AAA

"Sometimes it just feels like fighting a losing battle," Lorna says. "If [the] food bank wasn't here I'd be on the street."

Living in the community of Tower Hamlets, one of London's poorest districts, Lorna is reliant on welfare benefits to put food on the table.

Lorna says while she would like to work full time, she has three children to look after so depends on the state subsidies to supplement her low-paying, part-time job in the borough's school kitchens.

But as in many European countries, austerity is top of the agenda for the UK government.

It aims to rein in spending-- and that includes welfare benefits-- to tackle a high national debt and low economic growth.

Read more: Britain risks new recession

In April, the government will implement a system that would replace the main means-tested benefits-- such as income and housing support -- with a single payment. The stated overall goal is to give people incentives to work.

Critics say it means more people like Lorna may need to turn to food banks for help because there's a chance her benefits may be reduced under the new system.

Read more: British pound takes pounding

But the government says the change is needed. John Stevenson, a spokesman for the Department for Work and Pensions told CNN the government already provides "safety net" essentials like food and housing through the benefits system.

He added: "Our welfare reforms will improve the lives of some of the poorest families in our communities; with the Universal Credit simplifying the complex myriad of benefits and making 3 million people better off."

The welfare reforms come at a time when many workers in Britain are feeling the squeeze of a global economic downturn and recession-hit Europe.

Britain's workforce has taken the biggest pay cuts in the developed world according to a study published by the Trades Union Congress. It says real wages in the UK dropped by 4.5% between 2007 -- when the financial crisis exploded -- and 2011.

Lorna is afraid that this combination of welfare changes, low pay and rising costs will make it difficult for her to survive as a working mother after April.

She is a victim of the system, says Denise Bentley, who runs the Tower Hamlets food bank, and like many Britons, she is now struggling to cope with "food and fuel poverty.

"She has done nothing wrong and that irks me," says Bentley. "The cost of living has gone up but her wages have remained the same."

Lorna's story is not unique, as demand for food banks in the UK increases greatly. In the last 12 months, the Trussell Trust has set up 140 food depositories nationwide.

The scheme relies on donations from individuals and private companies as well as volunteers to run the banks themselves.

Chris Mould, executive chairman of the Trussell Trust, told CNN that the government's austerity measures meant people using food banks -- which are intended for emergency support -- needed help more often, placing strain on resources.

Stagnating economic growth and a sovereign debt of 68% of the UK economic output at the end of 2012 is fuelling the government's austerity drive.

But Mould believes the decisions of lawmakers in recent years have weighed too heavily on the country's poor.

"The budget is going to make things significantly worse for people who are already stretched," Mould says.

Last year, the UK government ignored calls from the International Monetary Fund to relax its austerity program and allow for an economic recovery. Prime Minister David Cameron says Britain must stay the course.

Lorna is offering an invitation to David Cameron to spend a week in her home to see how tough life can be when juggling a low-paying job, three children and ever-decreasing benefits.

"He would see how hard it is on a day-to-day basis," Lorna says, "then there would be some changes to these reforms."

@highlight

Trussell Trust - a local communities charity on food banks - provided food aid to 128,697 Britons

@highlight

Government aims to rein in spending-- and that includes welfare benefits-- to tackle a national debt

@highlight

Britain's workforce has taken the biggest pay cuts in the developed world according to TUC