(CNN) -- Global emissions of carbon dioxide hit a record high in 2011, scientists from the Global Carbon Project reported last week.

Another record is expected in 2012.

The earth continues to warm, and to warm fast, with serious consequences for human life and welfare. 2012 saw the worst drought in the United States in half a century. Russia suffered its second bad drought in three years. Climatic shocks to these two countries are raising food prices worldwide, posing an especially acute threat to the world's poorest. Major storm events strike harder and more often, because warming oceans create conditions for fiercer hurricanes.

The New York Times reported Friday:

"Emissions continue to grow so rapidly that an international goal of limiting the ultimate warming of the planet to 3.6 degrees, established three years ago, is on the verge of becoming unattainable."

This ominous news arrives as delegates gather in Doha, Qatar, for the latest annual round of climate talks sponsored by the United Nations. Few expect the Doha talks to produce much decision.

Yet there is good news on the environmental front, important news.

Carbon emissions in the United States have declined since 2009 -- not emissions per person (those have been declining for decades), but emissions in absolute terms. The weak economy explains part of the decline, but the real hero of the story is the natural gas fracking revolution.

A decade ago, half of all the electricity generated in the United States was generated by burning coal, the most carbon-dense fuel of them all. Today, coal's share of the electricity mix has plunged to one-third, as utilities substitute cheap natural gas. Gas production has become much cheaper with the growth of fracking -- forcing open rocks by injecting fluid into cracks. Gas emits about half as much carbon per unit of energy as coal.

Environmentalists have responded warily to the advent of gas. They prefer zero-emissions power sources like wind and solar -- sources made more uncompetitive than ever by ultracheap natural gas. (Today's price: about $3.50 per thousand cubic feet, down about 70% from the prices of the mid-2000s.)

Moreover, natural gas does little (as yet) to address emissions from automobile tailpipes.

But maybe there's a way to cheer environmentalists up. Take three worrying long-term challenges: climate change, the weak economic recovery, and America's chronic budget deficits. Combine them into one. And suddenly three tough problems become one attractive solution.

Tax carbon. A tax of $20 a ton, rising at a rate of 4% per year, would over the next decade raise $1.5 trillion, according to an important new study from the Massachusetts Institute of Technology. That $1.5 trillion is almost twice as much as would be recouped to the Treasury by allowing the expiration of all Bush-era tax cuts for upper-income taxpayers.

The revenues from a carbon tax could be used to reduce the deficit while also extending new forms of payroll tax relief to middle-class families, thus supporting middle-class family incomes.

Meanwhile, the shock of slowly but steadily rising prices for fuel and electricity would drive economic changes that would accelerate U.S. economic growth.

The average age of U.S. cars and trucks has reached nearly 11 years, a record.

Millions of Americans want new cars. They are waiting for market signals as to what car to buy. They want to know that if they choose a fuel-efficient vehicle, they won't feel silly three years from now when their neighbor roars past them in a monster truck because gas has plunged back to $2 a gallon.

After five years of depression, the housing market is also ready for renewal. Again, Americans are waiting for market signals: Should they buy smaller houses nearer to work? High and rising fuel prices will encourage developers to build more mixed-use complexes that allow more people to live car-free: walking to work, entertainment, and shopping. The surest way to reduce fuel costs is to drive less.

The return to more urban living is a trend big enough to sustain America's next great economic boom. To the extent researchers can measure, the daily commute appears to be the single worst recurring source of unhappiness in American life.

If changes in city shape can offer more Americans the opportunity to walk to work through an attractive shopping mall, rather than waste 50 minutes in a car in a traffic jam, those changes will advance human happiness, spur new construction work, and incidentally save the planet.

A carbon tax will also enable the United States and Europe to press China and India to reduce their carbon emissions. A properly designed tax would apply not only to domestic goods and services, but to imports as well.

China and India would discover that their products no longer seem so cheap when a carbon tax at the border adds back the environmental costs of dirty manufacturing. To export to the world's richest consumers, China and India will have to clean up their act -- an incentive more persuasive than a hundred Doha conferences.

More jobs and growth; reduced deficits without raising income taxes; lower taxes for middle-class families; a kick in the pants to Chinese polluters; and more happiness for American commuters -- one policy instrument can do it all. What's not to love about a carbon tax?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Carbon dioxide emissions worldwide are at record levels

@highlight

To strike a blow against climate change, U.S. should enact a carbon tax, Frum says

@highlight

He says it would provide revenue, allow for middle-class tax relief, spark economy