New York (CNN) -- Eric Garner's mother Saturday urged the thousands of demonstrators who have taken to streets throughout nation in protest of her son's death to "keep on doing it, but do it in peace."

Gwen Carr, who appeared at a Harlem rally with the family lawyer of slain Florida teenager Trayvon Martin, said a demonstration the other day left her stuck in traffic on the West Side Highway in Manhattan. A protester recognized her and hugged her and "everybody else followed," she said.

"My heart is overflowing with joy," she said.

Esaw Garner Snipes, Garner's widow, told the crowd that watching thousands of demonstrators from the window of her Staten Island, New York, home brought tears to her eyes. She said she told her son, "Look at all the love your father is getting."

They spoke at a weekly rally held by the activist Rev. Al Sharpton, who will lead a march down Pennsylvania Avenue to the White House next Saturday in an attempt to take the issue of racially uneven justice in America from "moment to movement."

After the rally, Garner's family and others gathered for a wreath-laying ceremony on the Staten Island street where he died.

"The spirit of God is moving upon the masses to make a change," Kevin Buford, who was Garner's friend, said at the site of the ceremony. "I think there is going to be a change coming. Too many young men have died without no accountability."

Garner's sister, Ellisha Flagg, spoke under a cold, steady rain of the importance of police officers knowing the communities they serve.

"I never believed we would be here like this," she said, standing near the spot where her brother died.

Saturday was the fourth day of marches, sit-ins and die-ins over a grand jury decision not to indict the police officer who put the 43-year-old Garner in a chokehold during the fatal July 17 incident.

Many people around the country have been as shocked by the decision not to indict Officer Daniel Pantaleo, who put Garner in a chokehold, as they were when the cell phone video of it went viral.

The outrage has weighed especially heavy after the police shooting of 18-year-old Michael Brown in Ferguson, Missouri. When the grand jury in St. Louis County announced it would not indict Officer Darren Wilson in Brown's death, protests dotted the American map. Likewise in the Garner case.

On Saturday, dozens of protesters staged "die ins" -- laying down on the ground in memory of Garner -- at Grand Central Station in Manhattan and Union Station in Washington. Protesters also planned to gather at Union Square in Manhattan on Saturday evening.

"Our country really needs to begin to evaluate, particularly ... white people, the assumptions we make about what is happening in the black community," Judi Flournoy, a Los Angeles resident participating in the New York protest. "What's happening in these cities in these last several days is incredibly important to show we have a unified voice."

In Oakland, California, red taillights snaked for hundreds of yards down an interstate Friday, as motorists stopped for protesters blocking traffic for a few minutes.

A coast away, in New York City, protesters attempted to block traffic on FDR Drive -- a six-lane thoroughfare that hugs eastern Manhattan -- and on the iron-trellised Manhattan Bridge, which connects the island to Brooklyn.

But at the end of a long, cold, wet Friday, police had had enough and pulled up in detention buses. The sight of them alone was a deterrent to most protesters.

After a handful were arrested, the remaining group called it a night.

New York multitudes

Nowhere in the country have streets overflowed with as many outraged people as in New York City.

Friday's crowds appeared to be smaller than on previous nights, as cold rain trickled down jackets and hats. But marchers were still passionate about being heard. Some passed out a list of demands to the media regarding Garner's death.

All officers involved should be fired, they demanded, and a special prosecutor should investigate complaints of excessive force. The state legislature should make chokeholds punishable.

Earlier, Eric Garner's daughter, Erica, told CNN's "The Lead with Jake Tapper" that she wanted to see people punished for her father's killing.

"Justice to me is basically doing what's right," she said. "I wouldn't be happy with (Pantaleo) just losing his job or being suspended or still getting paid. I wouldn't want that. I would want him to face time in jail."

She said that anyone who contributed to her father's death should go to prison.

Christmas tree die-ins

At Herald Square, where Broadway cuts an elegantly slanted path through streets and avenues to create a picturesque gathering place, protesters flooded Macy's century-old flagship store -- a national historic landmark.

Store management allowed them to stage a die-in under the eyes of holiday shoppers and ceilings decked with Christmas cheer.

They marched up a few blocks to Times Square and blocked traffic for 10 minutes, then turned down 42nd Street chanting, "This is what democracy looks like."

They stopped again in Bryant Park and encircled some shops. Many of the workers in those stores came out and, in support, raised their hands in the air.

The crowd set off up Sixth Avenue, traversing against the flow of yellow cabs and other cars. A cacophony of horns greeted them, and cab drivers held their hands out of their windows in approval.

Chuck Helms, 67 and white, clad in a union-issue hard hat and satin Occupy Wall Street jacket, wore a sign around his neck.

"Remembering my brothers. BLACK LIVES MATTER," it read. The faces of Eric Garner, Trayvon Martin, Tamir Rice and Akai Gurley -- all black men whose controversial deaths made headlines -- looked out from photos.

Helms said, "It's a shame that people have to die for us to become focused."

All over America

Protests dotted the American map, and crowds were diverse.

Signs floated over the heads of crowds reading "Black lives matter" in North Carolina, Ohio, California and Louisiana.

On Saturday, police in Durham, North Carolina, reported the discovery of an undetonated explosive device -- described as a "bottle with a wick and an apparent petroleum-based liquid" -- near a protest area. The night before, 31 people were arrested after about 100 protesters shut down several streets in downtown Durham, police said.

It was personal for a young black man in Washington who held a sign reading, "I could be next."

Students lay down on campus walkways for dozens of yards in a die-in at Emory University in Atlanta on Friday.

Protesters lay on the streets of Washington in the darkness for 4Â½ minutes, symbolizing the 4Â½ hours the body of Michael Brown lay on a Ferguson street.

"I'm not an angry black man. I'm an outraged, hurt black man," one protest organizer there said.

Marchers in Massachusetts, Memphis

Near Boston -- site of one of the largest demonstrations of the night -- several dozen people blocked an intersection by lying on the road.

About 1,000 people marched Friday evening from Tufts University in Somerville, Massachusetts, to Harvard Square, according to a police estimate.

"People who don't already realize what is happening, maybe they will open their minds a little bit, or people that do realize and don't care will realize that people are angry and it's not OK," a protesting woman told CNN affiliate WHDH.

In Chicago, Elizabeth Huston, a paralegal, joined in for the first time.

"So many people realize this is a problem. This is disproportionally affecting black men and women," she said.

Cleveland cop who shot 12-year-old slammed for 'immaturity' in past job

In Cleveland, marchers protested the death of Tamir Rice, 12, who police say had a lifelike air gun and didn't comply with an officer's commands.

"CPD what do you say? How many kids have you killed today," they yelled.

The boy's family on Friday filed a wrongful death suit against police, according to the Cleveland Plain Dealer.

At a historic spot in the history of American civil rights, at the Martin Luther King, Jr. Center in Memphis, Tennessee, a dozen or more people sprawled out on a walkway.

Feet away was the second-floor motel balcony, where an assassin's bullet stuck down King, the quintessential figure of the American civil rights movement, in 1968.

Brooklyn DA: Grand jury to investigate shooting of unarmed man

Reported improvements

Meanwhile, New York officials said complaints against police officers had fallen significantly in the second half of the year, compared with July to November 2013.

A report that tallied complaints said 1,813 were made so far since July 1 of this year, 26% fewer than the number of complaints filed with the Civilian Complaint Review Board in the same period of the prior year. Excessive force allegations fell by 29%.

The dip followed a slight rise in the first six months of the year, the report said, but, overall, allegations have declined in 2014.

CNN's Ray Sanchez reported from New York, Athena Jones reported from Washington and Steve Almasy reported and wrote in Atlanta. Michael Pearson, Bill Kirkos, Dave Alsup, Ben Brumfield, Jason Carroll, Ralph Ellis, Dan Merica, Dana Ford and Greg Botelho and Melanie Whitney contributed to this report.

@highlight

NEW: Eric Garner's mother urges protesters to "keep on doing it, but do it in peace"

@highlight

Demonstrators marching in New York hand out list of demands that starts with police firings

@highlight

About 1,000 people in one protest in Boston area, police estimate

@highlight

Protests came after jury opted not to indict officer who put Garner in a chokehold