(CNN) -- Political consensus was hard to find at last month's Rio +20 Earth Summit but there was at least one group speaking with unity on the planet's environmental and economic future.

Hundreds of activists gathered on the city's Copacabana Beach to make a simple demand of their elected leaders and representatives: Commit to ending fossil fuel subsidies, now.

More than a million people around the world -- including actor Robert Redford and comedian Stephen Fry - were quick to lend their support by backing #endfossilfuelsubsidies, an affiliated online campaign.

But as the summit came to a close it became clear that no new enforceable commitments on the issue were to be included in the final version of the Rio agreement text.

For those behind the protest however, the widespread exposure and support afforded the oft ignored subject ensured their efforts still represented a success.

See also: Was Rio +20 a failure of political leadership?

"This all falls into changing our energy usage patterns, which I believe is the pre-eminent challenge of the 21st century," says Steve Kretzmann, founder of Oil Change International, an environmental advocacy group that backs the #endfossilfuelsubsidies campaign.

"The first place to start is to stop putting public money towards fossil fuels," he adds.

"This is not because anybody has it in for the fossil fuel industry. What we're talking about is what the public's money actually should support."

Estimates as to how much this support equates to vary from study to study, as do methods and standards for calculation.

The International Energy Agency (IEA) reported that internationally $409 billion worth of government money flowed into the coffers of the fossil fuel industry in consumption subsidies (designed to make fuel more affordable and accessible to the consumer) in 2010.

A separate study from the U.S. Natural Resources Defense Council estimates that global fossil fuel subsidies will reach $775 billion this year when producer subsidies (designed to facilitate greater fuel production) are added on.

However Kretzmann believes these figures may only be the tip of the iceberg and could actually top $1 trillion every year.

He says there is often a lack of transparency in how some governments report the incentives, with many transferred as hard-to-calculate tax credits.

Kretzmann similarly laments the comparatively sparse investment in renewable energy subsidies (which stood at $66 billion in 2010 according to the IEA) as a wasted opportunity to create less polluting energy sources whilst encouraging growth in the green economy.

"At the end of the day, not only is this bad policy but its also bad economics," he says.

"Long term, renewables are a better option for the environment and the economy. There are multiple studies that show how much more labor intensive renewables are and how they create more jobs per unit of energy created."

See also: Who's funding green energy

However others are more cautious about the consequences that an about-turn in energy policy could create.

"In certain countries and situations, subsidies are essential to peoples way of life," says Dan Kish the deputy vice-president of policy at the Institute for Energy Research, a Washington D.C. based organization that advocates free market energy policies.

Any alteration to this arrangement could cause prices to balloon, weakening development and in the worst case scenario leading to social unrest, he adds.

Kish points out that a large proportion of subsidies are in fact designed to keep fuel prices artificially low, enabling consumers in some of the world's poorest regions access to basic energy products.

"At the G20 they are calling for the end of fossil fuels subsidies but what they are really talking about is the developing world," he says.

"If you want a pejorative to describe the situation ... what we've got is a bunch of rich countries whose people have used energy to become rich assigning blame for subsidies on those countries that are poorer."

See also: The problem with fossil fuel subsidies

Kish also believes that renewables still can't compete with traditional energy sources in terms of their cost effectiveness, accessibility and energy output.

"The only fair way to look at subsidies is to analyze the subsidy per unit of energy produced. On that score the numbers are incredibly slanted against renewables," he says.

"Just because you can make energy from something doesn't mean that it makes sense competitively or economically."

Effective and efficient energy policy in the long term, Kish explains, would see individual countries pursue the sources of energy that are most accessible and affordable to them, be they renewable or fossil fuel.

"The best energy policy is that which makes energy as cheap, reliable and abundant as possible for the most people so that economies can grow," he says.

@highlight

Activists called for an end to fossil fuel subsidies at last month's Rio +20 Earth Summit

@highlight

Subsidies for the fossil fuel sector total $1 trillion annually, according to Oil Change International

@highlight

OCI says public money should not be going to industries that contribute to climate change

@highlight

Others believe cutting fossil fuel subsidies could hit the people in the developing world hardest