Sochi, Russia (CNN) -- "The tunnels were the most difficult part, especially because the Caucasus range [is made up of] immature mountains," Andrey Panenkov, the acting chief engineer of the Adler-to-Krasnaya Polyana road, tells CNN.

"This is not dense rock such as granite, this breed is young with soft ground, so they are liable to move."

Panenkov is a bear of a man. He stands around 6'6" and has the steely, no-nonsense eyes of an engineer hardened by previous victorious battles with many-a-stubborn environment (see bottom of page).

If his spade-like hands could not carve a passage through mountains he likens to an irritating teenager, you fear there would be no others that could.

"[Their movement] is impossible to measure ... but voids and faults occur due to water in the rock, it loosens the joints and seams.

"But we had some special methods to achieve a positive result," Panenkov says of the Herculean task he helped to deliver.

Special methods that would have come in very handy when you're faced with boring 30 km of tunnel through big lumps of adolescent rock which are prone to jostling.

To be more precise this entailed: six complex boring machines and 14 "harvesters", which transport the rubble and soil away from the mountain face, along with various drilling and blasting methods.

The 25-mile highway that joins the coastal Winter Games site in Sochi with the alpine venues nearly 2000 feet above sea level in Krasnaya Polyana, entailed many such challenges for the team of designers, engineers and builders assigned to the project.

Erected in just five years the motorway, that ascends the foothills by soaring over the path of a river valley, is something of a technical marvel.

By working with consultants from Italy, Spain and Switzerland a 37 km flyover has been constructed, across all impediments, to deliver travelers from one end to the other in around 30 minutes when free of traffic.

The tunnels are many, the steel bridges are myriad and concrete support structures, which hold the transport arteries in the air, creep up the snow-capped slopes like a giant, monolithic ivy.

A new railway line, which also traverses the same physical obstacles, runs parallel to the road too.

But it's the cost, which totaled an eye-watering $9 billion according to the Wall Street Journal, that led to the road making headlines.

Many in the media touted the freeway, that Panenkov's 150-man team played a role in building, as the "world's most expensive road", with stories abounding of how it would have been cheaper to lay its surface with caviar than the tarmac used.

The narrative played into a wider questioning of the $50 billion spent on the Sochi project by the administration of Russian President Vladimir Putin.

A fear that former deputy prime minister Boris Nemtsov alluded to in a report titled "Winter Olympics in the Sub-Tropics: Corruption and Abuse in Sochi," published last year, where he stated that $20-30 billion had been spent on "embezzlement and kickbacks."

But it's an accusation that Oleg Toni -- vice president of Russian Railways, the company that delivered the road and rail infrastructure for the Games and sponsor of CNN's Olympic coverage -- totally rejects.

"In this era of the Internet it's impossible to do something closed and dishonest. Russian Railways is a global company and we are looked at carefully.

"We've had over 1,500 thousand inspections, in such conditions it is impossible to hide something. Excuses are pointless because everyone can come and see the tenders [we submitted].

"In politics it's always easy to criticize others. [Nemtsov] was not responsible for anything, and if he knows where the money went then please show us! In our country there are organizations that verify this."

Despite the initial ambition of the task giving him sleepless nights, Toni now speaks of his pride in the construction achieved.

He would not confirm the overall cost, but he told CNN the reporting of the investment had sometimes missed the point, in his view.

"Conditions were given to us: we have to carry a certain number of passengers by train and by car in this location.

"Yes, you can compare some figures and individual indicators to suggest something ... but it's pointless to compare this with a road that runs from Paris to Lyon [because it's a different environment]," Toni told CNN.

"We've built four new train stations and these will serve the population for several generations.

"Down the road in Adler there is a tunnel built 120 years ago ... but the decision to build it was right because it has been used so much. All infrastructure pays off in this way."

There were 10 parts to the Russian Railways construction project in Sochi: two cargo terminals, updating the old Adler -Tuapse railway line, building four new stations and then the linking road transport networks, updating Sochi airport and building a freight and train-servicing plant.

Some say much of the building came at an environmental cost. After all, Sochi sits in close proximity to one of the largest natural parks in Europe, a fact that had Alexander Valov, chief editor of Blog Sochi, concerned from the start.

"I think that in any city, roads and social infrastructure should be built regardless of the Olympic Games but some of the money should be spent on ecology because the nature of this area was damaged greatly," Valov told CNN.

But Toni attests great attention was paid to the environment with "special technical solutions" used to keep damage to the national park to a minimum.

As a Moscovite, Toni ultimately sees the Sochi project and his road as a good news story: "I am glad ... that people will recognize that in our country there is something positive. The more that people know, the more tourists will come, and therefore, our infrastructure will be in demand [for a long time in the future]."

Whatever the amount that was invested, the true value -- like that of the 120-year-old tunnel -- will take a time period greater than the Winter Olympics to judge.

@highlight

A highway built for the 2014 Sochi Games has been dubbed the world's most expensive road

@highlight

The road links the coastal Winter Games site in Sochi with the alpine venues

@highlight

Consultants from Italy, Spain and Switzerland created a 37-km flyover along with 30 kilometers of tunnels

@highlight

"Our infrastructure will be in demand [for a long time]," Oleg Toni, Russian Railways vice president told CNN