(CNN) -- For years after his NFL career ended, Ted Johnson could barely muster the energy to leave his house.

In healthy brain tissue, virtually no protein tangles, which show up as brown spots, are visible.

"I'd [leave to] go see my kids for maybe 15 minutes," said Johnson. "Then I would go back home and close the curtains, turn the lights off and I'd stay in bed. That was my routine for two years.

"Those were bad days."

These days, the former linebacker is less likely to recount the hundreds of tackles, scores of quarterback sacks or the three Super Bowl rings he earned as a linebacker for the New England Patriots. He is more likely to talk about suffering more than 100 concussions.

"I can definitely point to 2002 when I got back-to-back concussions. That's where the problems started," said Johnson, who retired after those two concussions. "The depression, the sleep disorders and the mental fatigue."

Until recently, the best medical definition for concussion was a jarring blow to the head that temporarily stunned the senses, occasionally leading to unconsciousness. It has been considered an invisible injury, impossible to test -- no MRI, no CT scan can detect it.  Watch more on what goes on in athlete's brains »

But today, using tissue from retired NFL athletes culled posthumously, the Center for the Study of Traumatic Encephalopathy (CSTE), at the Boston University School of Medicine, is shedding light on what concussions look like in the brain. The findings are stunning. Far from innocuous, invisible injuries, concussions confer tremendous brain damage. That damage has a name: chronic traumatic encephalopathy (CTE).

On Tuesday afternoon, researchers at the CSTE released a study about the sixth documented case of CTE in former NFL player Tom McHale, who died in 2008 at the age of 45, and the youngest case to date, an 18-year-old multi-sport athlete who suffered multiple concussions.

While CTE in an ex-NFL player's brain may have been expected, the beginnings of brain damage in an 18-year-old brain was a "shocking" finding, according to Dr. Ann McKee, a neuropathologist at the Veterans Administration Hospital in Bedford, Massachusetts, and co-director of the CSTE.

"We think this is how chronic traumatic encephalopathy starts," said McKee. "This is speculation, but I think we can assume that this would have continued to expand."

CTE has thus far been found in the brains of six out of six former NFL players.

"What's been surprising is that it's so extensive," said McKee. "It's throughout the brain, not just on the superficial aspects of the brain, but it's deep inside."

CSTE studies reveal brown tangles flecked throughout the brain tissue of former NFL players who died young -- some as early as their 30s or 40s.

McKee, who also studies Alzheimer's disease, says the tangles closely resemble what might be found in the brain of an 80-year-old with dementia.

"I knew what traumatic brain disease looked like in the very end stages, in the most severe cases," said McKee. "To see the kind of changes we're seeing in 45-year-olds is basically unheard of."

The damage affects the parts of the brain that control emotion, rage, hypersexuality, even breathing, and recent studies find that CTE is a progressive disease that eventually kills brain cells.

Chris Nowinski knows well the impact of concussions. He was a football star at Harvard before wrestling professionally with World Wrestling Entertainment.

In one moment, his dreams of a long career wrestling were dashed by a kick to his chin. That kick, which caused Nowinski to black out and effectively ended his career, capped a career riddled with concussions.

"My world changed," said Nowinski. "I had depression. I had memory problems. My head hurt for five years."

Nowinski began searching for studies, and what he found startled him.

"I realized when I was visiting a lot of doctors, they weren't giving me very good answers about what was wrong with my head," said Nowinski. "I read [every study I could find] and I realized there was a ton of evidence showing concussions lead to depression, and multiple concussion can lead to Alzheimer's."

Nowinski decided further study was needed, so he founded the Sports Legacy Institute along with Dr. Robert Cantu, a neurosurgeon and the co-director of the CSTE. The project solicits for study the brains of ex-athletes who suffered multiple concussions.

Once a family agrees to donate the brain, it is delivered to scientists at the CSTE to look for signs of damage.

So far, the evidence of CTE is compelling.

The Center for the Study of Traumatic Encephalopathy, along with other research institutions, has now identified traumatic encephalopathy in the brains of late NFL football players John Grimsley, Mike Webster, Andre Waters, Justin Strzelczyk and Terry Long, in addition to McHale.

Grimsley died of an accidental gunshot wound to the chest. Webster, Long and Strzelczyk all died after long bouts of depression, while Waters committed suicide in 2006 at age 44. McHale was found dead last year of an apparent drug overdose.

"Guys were dying," said Nowinski. "The fact of the matter was guys were dying because they played sports 10 or 20 years before."

So far, around 100 athletes have consented to have their brains studied after they die.

Ted Johnson was one of the first to sign up. He said he believes that concussions he suffered while playing football explain the anger, depression and throbbing headaches that occasionally still plague him.

Johnson said he played through concussions because he, like many other NFL athletes, did not understand the consequences. He has publicly criticized the NFL for not protecting players like him.

"They don't want you to know," said Johnson. "It's not like when you get into the NFL there's a handout that says 'These are the effects of multiple concussions so beware.' "

In a statement, the NFL indicated that their staffs take a cautious, conservative approach to managing concussions.

While they support research into the impact of concussions, they maintain that, "Hundreds of thousands of people have played football and other sports without experiencing any problem of this type and there continues to be considerable debate within the medical community on the precise long-term effects of concussions and how they relate to other risk factors."

The NFL is planning its own independent medical study of retired NFL players on the long-term effects of concussion.

"Really my main reason even for talking about this is to help the guys who are already retired," said Johnson. "[They] are getting divorced, going bankrupt, can't work, are depressed, and don't know what's wrong with them. [It is] to give them a name for it so they can go get help."

"The idea that you can whack your head hundreds of times in your life and knock yourself out and get up and be fine is gone," said Nowinski. "We know we can't do that anymore. This causes long-term damage."

@highlight

NEW: Researchers find start of brain damage in 18-year old athlete who died

@highlight

NEW: Same type of brain damage found in sixth dead NFL player

@highlight

Damage from repeated concussions is called chronic traumatic encephalopathy

@highlight

Symptoms can include depression, sleep disorders, headaches