The Somali pirates roaming the waters off the Horn of Africa push global trade costs up by billions of dollars per year and severely affect the economic activities of neighboring countries, a new World Bank report has found.

Although hijackings in the region have dropped significantly since last year, piracy could still cost the global economy an estimated $18 billion annually, according to the "Pirates of Somalia: Ending the Threat, Rebuilding a Nation" report, launched Thursday in the Somali capital of Mogadishu.

Read this: Peace concert rocks Mogadishu

The increased costs come as shippers are forced to change trading routes, sending fuel bills soaring, as well as pay higher insurance premiums and security bills for guards on board.

But apart from making international trade more expensive, the threat of piracy in one of the world's most important trade gateways is also an economic blow for neighboring East African countries, particularly in the pillar sectors of tourism and fishing, said the report.

Since 2006, tourism spending in East African coastal countries has risen 25% more slowly than other sub-Saharan African nations, mainly because of fewer arrivals from high-income citizens of OECD countries. Piracy in the region is thought to have tarnished its image as a stable holiday destination, with visits to impacted East African coastal nations down by nearly 6.5% relative to visits to other countries.

According to the World Bank, exports of fish products from piracy-hit countries have also suffered, declining by  23.8% since 2006, the year the report takes as the starting point of piracy.

The World Bank defines piracy-affected countries as Comoros, Djibouti, Kenya, Mozambique, Madagascar, Mauritius, the Seychelles, Somalia, Tanzania, as well as Yemen, Pakistan and the countries of the Persian Gulf.

Read this: 'New hope for Somalia'

The economy of war-torn Somalia, which last September moved closer to stability after electing its first president on home soil in decades, is also severely hit; piracy-related trade costs increase by up to $6 million annually, without considering that potential sea-based economic activities are constrained by piracy.

The authors of the report said the solution to ending piracy will only come with the recreation of a functional Somali state and urged the international community to focus on helping the East African county build a viable political system.

"Piracy is a symptom of the breakdown of Somalia's political system," said economist and lead author of the report Quy-Toan Do. "Go after the system, not just the pirates."

According to the report, 1,068 attacks have been carried out by Somali pirates since January 2005. Of these, 218 resulted in successful hijackings, with an estimated $53 million average annual ransom paid. Between 82 and 97 casualties are believed to have occurred as a result of these attacks.

Attacks peaked in 2011, but have declined sharply since, largely because of increased mobilization of international naval forces and tighter security adopted by the shipping industry.

A report earlier this week by advocacy group Oceans Beyond Piracy said that maritime piracy cost the global economy between $5.7 and $6.1 billion in 2012, much lower than the World Bank figures.

@highlight

Piracy off the Horn of Africa costs the world economy $18 billion a year, according to a new report

@highlight

World Bank study says pirate attacks also hurt the economies of Somalia and neighboring countries

@highlight

In particular, the strategic sectors of tourism and fishing are hit