(WIRED) -- Gadget fans may be focused on the CES trade show this week, but there's something else notable going on today: It's the iPhone's fifth birthday.

Five years ago today, Apple unveiled the original iPhone to the world. It wasn't a tightly kept secret, shrouded in mystery and speculation like more recent Apple announcements, but it was arguably the world's most anticipated gadget launch.

Although its form factor -- a capacitive touchscreen candy bar -- hasn't dramatically changed over the years, each iteration of the iPhone has yielded important improvements. Let's take a look back at how the iPhone revolutionized what we thought a phone could be.

The iPhone Is Revealed

"An iPod, a phone, an internet mobile communicator," Jobs said when preparing to introduce the iPhone in January 2007. "An iPod, a phone, an internet mobile communicator.... These are not three separate devices!"

The original iPhone launched on AT&T with a handful of Apple-created apps. It had a 320Ã—480 resolution, 3.5-inch capacitive touchscreen and 2-megapixel camera, and ran iOS 1.0. Inside, it featured a 412MHz ARM 11 processor, a proximity sensor, and an accelerometer.

Priced at $499 and $599 for 4GB and 8GB models, the iPhone didn't actually go on sale to eager hordes of consumers (hundreds of whom waited outside Apple Stores) until June 29.

"As a device, it's a genre-bender," former Gadget Lab editor Dylan Tweney said in his review of the landmark device. "Never before have American consumers had access to a phone that is simultaneously so powerful, so elegant, and that performs so many functions."

iPhone 3G, the App Store and iOS 2.0

Apple's second generation iPhone debuted in the summer of 2008. Internally, it was largely identical to its predecessor: same processor, same type of display, same 2.0 megapixel camera, same amount of memory. But the iPhone 3G, as the name implied, now supported 3G network operability, as well as GPS.

More importantly, though, the launch of the 3G was accompanied by iOS version 2.0, which included an industry-altering addition: the App Store. The App Store finally let independent, third-party developers legally create apps for the device with a 70/30 revenue split weighted toward Apple.

The App Store has been an incredible success story for Apple and developers alike. It houses more than half-a-million apps, and there's been more than 18 billion downloads to date. Pretty much every mobile platform has its own app market now, and most are modeled similarly to Apple's.

iPhone 3GS Takes Photography Seriously

The iPhone 3GS was primarily an incremental improvement over the 3G, but it included some notable hardware improvements that would continue through later iterations of the phone.

First, the 3GS included a camera upgrade: a 3-megapixel, autofocusing camera that shot decent video that could be edited and easily sent to YouTube or other destinations. Photography would become an increasingly important feature for iPhone users. The processor was upgraded to a 600MHz Samsung chip, and the display was upped to 480Ã—320 pixels. The 3GS also added a compass, a tool that would prove incredibly useful in apps like Google Maps.

On the software side, the 3GS also added Voice Control, and iOS, now at version 3.0, finally added a cut/copy/paste functionality to the system.

iPhone 4: Prototype Leak, 'Antennagate' and Verizon

The iPhone 4 stunned the world with its radically redesigned look, which Gizmodo revealed early after getting its hands on a prototype.

A 3.5-inch Retina Display put pretty much every other smartphone display to shame: At 960Ã—640 and bearing a 326ppi pixel density, it offered pixels smaller than the human eye could detect. The iPhone 4 was also encased front and back by slim slabs of glass, and ringed by an aluminum rim. The visual conceit was slick, and Apple received kudos for its smart industrial design refresh.

Unfortunately, that aluminum rim became the source of a debacle known as "Antennagate": Because of the external antenna design of the phone, if users held it a particular way, they would experience a drop in signal strength.

The iPhone 4 debuted in June 2010, still on AT&T like its predecessors, but in January 2011, Apple expanded availability to Verizon.

iPhone 4S Delivers Siri

Expecting an entirely differently designed iPhone 5, some Apple fans were disappointed by the announcement of merely an "iPhone 4S." However, pre-sale numbers and opening weekend sales numbers proved the 4S to be the most successful iPhone launch in Apple's history.

A major reason for the success of the 4S was its new voice-controlled virtual assistant, Siri. Hackers attempting to port Siri to other iOS devices have almost succeeded, but the solution just isn't available for the masses. Others though, are more interested in hacking Siri to control other gadgets in their lives like thermostats or a rotary dial phone.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

The original iPhone launched on AT&T with a handful of Apple-created apps

@highlight

Apple's second generation iPhone debuted in the summer of 2008

@highlight

The iPhone 3GS was primarily an incremental improvement over the 3G