Artists tend to occupy the front lines against repression. So it comes as no surprise that the occupation of Egypt's Ministry of Culture protesting the "Brotherhoodization" of the ministry under the leadership of Alaa Abdel-Aziz has helped drive the planned massive demonstrations against Mohamed Morsy on Sunday.

Once again, the U.S. government appears to be on the fence in Egypt, with Ambassador Anne Patterson expressing skepticism about "street action" that could result in violent protests.

"People realize that this is about the identity of Egypt," said Hazem Azmy, a scholar active in the Culture of Ministry occupation.

With Ultras (militant soccer fans) standing by to protect the growing crowds, nightly performances are held outside the ministry, ranging from ballet to an impromptu concert by pop star Ahmed Saad that even had the police dancing.

Artists of Cairo's famed Opera House -- on strike since Abdel-Aziz fired its head, Enas Abdel-Dayem -- have been performing, too. Their repertoire? Excerpts from "Zorba the Greek," including scenes of defiance.

Expressing a sentiment increasingly heard in taxis and on the streets of Cairo, the actress Moataza said, "Our protest at the Ministry of Culture is just part and parcel of the struggle of the Egyptians against the colonization of the Muslim Brotherhood." The Brotherhood is as an international organization with loyalty to its members, not to Egypt. She speaks for many, including people who voted for Morsy in the last election.

However, Patterson, the U.S. ambassador, recently equated protests with "violence on the streets" and urged Egyptians to "get organized ... to join or start a political party that reflects your values and aspirations."

What revolution has ever succeeded in the short term (and 2½ years is a short term) without taking to the streets? Yes, Egyptians need to become better organized politically, but at this early tumultuous stage, that is a long-term goal.

Patterson's condescending comments ignore history, as well as the specific situation in Egypt. For example, recently a court sentenced employees of nongovernmental organizations to jail, effectively curtailed activities of these groups that provide advice and support for the kind of political activities for which the ambassador advocated.

Patterson's dismissal of "street action" as likely only to "add new names to the lists of martyrs" not only insults the millions of Egyptians who have marched in the streets to change their country for the better, but it also stands at odds with President Barack Obama's words of praise for the Egyptian revolution of 2011: "We stand for universal values, including the rights of the Egyptian people to freedom of assembly, freedom of speech. ..."

What was the Egyptian revolution if not "street action"?

It was left to another U.S. "ambassador" to lend support to Egyptians. On June 21, Jon Stewart appeared on Egyptian satirist Bassem Youssef's popular show, "Al Bernameg," and told the audience: "Bassem is showing that satire ... can carve out a space in a country for people to express themselves. Because that is all democracy is ... the ability to express yourself and be heard."

Ironically, in targeting cultural leaders, including Youssef, the Brotherhood has helped unify its opposition.

For the artists are the canaries in the coal mine, who lead the way in questioning authority and in holding up a mirror to society.

As fate would have it, the sit-ins at the Ministry of Culture and the nightly performances of dance, music and street theater coincided with the growth of the grass-roots Tamarrod movement, which says it has collected more than 15 million signatures in order to force Morsy to call for early elections.

Just as with the 2011 revolution, this "second revolution" began with youth activists, many of them artists, and now has spread like wildfire through the population. Stories abound of traffic stopping in Cairo to accommodate Tamarrod volunteers weaving through cars to gather signatures, often to spontaneous applause.

Reflecting the mood of revolution in the air, Youssef recently hosted an Arabic version of "Les Miserables" on his show. As the studio audience joined the singing group Fabrika in a rousing finale of "Do You Hear the People Sing?" to inspire Egyptians with "the music of the people who will not be slaves again," artists and activists outside continued their vigil for freedom of expression at the Ministry of Culture.

No one knows what will happen Sunday. Feelings of excitement mix with anxiety about the potential for violence, which the recent thug attack on protesters in Alexandria forebodes. But the energy of the young activists behind Tamarrod, the passion of the artists inside and outside the Ministry of Culture, and the unified opposition to Morsy's rule show that the Egyptian revolution is far from over.

"Street action" is the kernel of revolution.

@highlight

Cynthia Schneider: Egyptians plan Sunday protest against President Mohamed Morsy

@highlight

Schneider: U.S. ambassador to Egypt ignores history by being skeptical about "street action"

@highlight

Schneider asks: What revolution has succeeded in the short term without taking to the streets?

@highlight

The opposition to Morsy shows that the Egyptian revolution is not over, she says