(CNN) -- Google rolled out a new Nexus 7 tablet on Wednesday. But a much smaller, much cheaper new gadget may be the one that makes a seismic impact in the consumer technology world.

Chromecast is a glorified thumb drive that enables Web streaming to television. At $35, it's also practically free, considering that it comes packed with three free months of Netflix.

Streaming media onto the (relatively) big screen is nothing new. Set-top boxes like Roku and Boxee have provided the service, at least in part, for years. More recently, Google's now-defunct Nexus Q has battled Apple TV for the hearts and minds of consumers who have grown used to on-demand video on their laptops, tablets and even phones.

With Chromecast, though, Google appears to have stripped down Web streaming to its purest elements.

"It looks like they have learned from their mistakes, and radically simplified the experience," Janko Roettgers wrote for tech blog GigaOM. "Gone are the attempts to integrate existing pay-TV offerings, recruit app developers for yet another medium and ship devices with hideous, complicated remote controls.

"Instead, Chromecast is pure simplicity: Search and discovery of video content is happening on the mobile device or laptop, and all Chromecast does is stream media from the cloud."

Google and Apple have both tried and, at least so far, largely failed to make inroads into the living room with streaming TV products. Google TV struggled to get some major content providers to play ball. And Apple CEO Tim Cook has acknowledged that Apple TV has languished as more of a novelty for diehard fans than a mass-market success.

(A full-on Apple TV set, which has been the tech world's most-anticipated piece of rumored vaporware for the past couple of years, could of course change that).

Those products, along with Roku, Boxee and the like, have been, in a way, similar to traditional TV. Approved "channels," chiefly Netflix, Amazon and other Web video services, are available. But Chromecast takes streaming to a whole new level -- offering a quick, simple version of what tech-inclined folks have been able to accomplish by rigging up their laptops or desktops with their TVs.

Essentially, if you can watch it on a computer, tablet or phone screen, you'll be able to watch it on your TV.

That's the logical end goal of Web streaming, and many analysts are saying Google struck a huge blow by being the first to offer it up in a way that the typical consumer can understand and use.

"By coming out early at an extremely affordable price, Google may wind up dominating the TV delivery industry," consumer tech analyst Larry Magid wrote for Forbes. "It's hard to imagine that Hulu, Major League Baseball, HBO Go and every other content provider isn't beating a path to their door. I imagine that the TV networks, too, are anxious to get their content on the device."

Early interest in the 2-inch gadget appears to be high. Thursday afternoon, Chromecast was listed as out of stock on Amazon and Best Buy's website. The Google Play store was accepting orders, saying the device would be shipped in 3-4 weeks.

While deals with the TV networks seem inevitable, Chromecast also could allow Google to make deals directly with content providers, in much the way Netflix has with original programs like Emmy-nominated "House of Cards" and a revived "Arrested Development."

Web TV services like Hulu have thus far tried to limit their basic service to computer screens, offering the ability to stream to television for extra money. Now, Hulu says it's working with Google to offer an "optimized" version on Chromecast.

How Chromecast will impact Google's battle with Apple remains to be seen.

The existing Apple TV product, with its Airplay feature that streams from the Web, has its devotees. But it only works with Apple products, naturally. Chromecast is designed to work on any platform that can run its Chrome browser. So a user could, for example, stream a YouTube video from an iPad, then watch a Netflix movie from a PC -- all streamed on a TV set through a Google device.

"On paper at least, it's the best device Google has ever announced ...," Mat Honan wrote for WIRED, a CNN.com content partner. "Did Google just win the living room? No. But it definitely just cozied up on a lot of couches and got comfortable."

@highlight

Google's Chromecast could be a TV game changer, analysts say

@highlight

The Web streaming device costs $35 and plugs into TVs

@highlight

Its simplicity is the key, some say

@highlight

How Chromecast will affect the TV battle with Apple remains to be seen