(CNN) -- Hope smells like eucalyptus and lemongrass for the farmers of Ikirezi. The Rwandan co-operative is a producer of essential oils, with ambitious plans to reconstruct communities still scarred by genocide.

This month will see the launch of Ikirezi's designer scent "Patchouli of Rwanda" in upscale Selfridges of London, as well as many of the world's leading department stores, making its debut alongside the offerings of Chanel and Estee Lauder.

This dream comes true courtesy of Canadian entrepreneur Barbara Stegemann, for whom it is all in a day's work. She is the founder of "7 virtues," an enterprise with the rare mission of producing exotic, luxury fragrances of uncompromising quality, and also building successful businesses in the most devastated regions of the world.

"We are up against giants and we shouldn't really exist," Stegemann admits happily. "But you just have to follow your gut and hope that people will connect with what you're doing."

Personal journey

The mission has been deeply personal from the outset for the ex-journalist, which began after a near-fatal ax attack on a serviceman friend in Afghanistan that made her determined to find a way of supporting development in the country.

She found it in Abdullah Arsala, a Jallalabad supplier of oils, on the verge of quitting under pressure from the Taliban. Stegemann extended her credit card to its limit to buy a single cup of orange blossom for $2,000, and via a Canadian perfumer released the first bottles in a few local stores.

An appearance on entrepreneurial reality TV show Dragon's Den secured her publicity, investment and a long-term business mentor in philanthropist W. Brett Wilson, enabling her to scale up production.

Four years later, 7 Virtues has produced fragrances from Afghanistan, Haiti, Iran and Israel, and now Rwanda. Stegemann's line is carried in the boutique stores of Europe and North America, and airlines such as Virgin Atlantic. She has been named one of Canada's most powerful women and her reputation has grown to the point that Bill Clinton invited her on a development trip to Haiti.

Giving back to local economies

The business has also delivered for her suppliers, with an estimated $250,000 reaching these local economies. Arsala's distillery in Jallalabad has found new buyers and now employs several thousands in harvest season, with knock-on improvements in local infrastructure and education. Government funding has boosted the business further, as perfume oils are recognized as viable alternative crops to the poppy.

"Barb has become our ambassador," says Dr. Nicholas Hitimana, founder of the Ikirezi group. "I have already received a request for oil because of the story of Patchouli of Rwanda."

Key to Stegemann's approach is the insistence this is business not charity. "It's not even philanthropy," she says. "I need my suppliers and they need me, so we are equal. That's what separates us from other companies that will donate a dollar for a cause...I was raised in poverty and I know enterprise is the solution, not charity."

Surprisingly, operating from some of the most dangerous parts of the world has not negatively affected the business. "People say it's a risky supply chain, and I always buy a little extra to be sure, but we have never had a problem. DHL run the most dangerous routes in the world. I have more problems with our local shipping networks."

Stegemann credits persistence and belief for the company's success -- "forgetting the people that say no." She has been happy to sacrifice, forgoing a salary to constantly reinvest in order to compete in the elite fragrance world, supplementing her income through a bestselling book about her experiences. She works long hours researching potential supply sources, and is prepared to fly across the world for a meeting.

She has also been forced to confront constant risk and rejection, and even the possibility of oblivion, in a cut-throat industry in which most new companies don't survive the first year.

The ethical choice

But the 7 Virtues have unique selling points, informed by the production process, that enable them to position their fragrances as the transparent, ethical choice, with more than a trace of feminism.

"We don't use skinny models, movie stars or expensive imagery, just the farmers' stories and their oils with no added chemicals," says Stegemann. "People who can't wear most fragrances can wear ours because of the composition."

"I have never been comfortable going to a beauty counter because I never felt airbrushed or thin enough - that's scarier for me than Haiti or Rwanda. So I'm happy to be sharing something that doesn't impose upon women or make them feel they need to be externally beautiful in the way that airbrushed imagery tells us to be. We want to change the model at home too, to make the beauty counter a place women that can feel empowered."

The entrepreneur is aware that the finest of ethical credentials would fall flat without an elite product, so she does not compromise on quality and the fragrances' growing popularity suggests they compete on their own terms.

Stegemann still has grand plans. Syria and Palestine are among the targets for future scents, and she hopes to deepen her involvement in international development efforts with leading organizations and public figures, to lend her insight to making support for local economies count.

But her primary ambition now is about taking business to the next level and making it pay.

"We have gone from thriving to surviving and now I want to prove this business model works. Each year we make more money, and its time to ramp it up now and show people that social enterprise can pay dividends."

@highlight

Entrepreneur creates luxury fragrance brand with ingredients from war and disaster zones

@highlight

The '7 Virtues' brand has tapped Afghanistan, Haiti and now Rwanda

@highlight

Some of the world's leading department stores such as Selfridges will sell the perfumes

@highlight

This could be the model for profitable social enterprise