LONDON, England (CNN) -- The U.S. trade embargo on Cuba is endangering the health of millions by limiting Cubans' access to medicines and medical technology, human rights group Amnesty International alleged Wednesday.

Amnesty International says the U.S. trade embargo is limiting Cubans' access to medical technology.

An Amnesty report examines the effects of the sanctions, which have been in place since 1962. Amnesty International Secretary-General Irene Khan called the U.S. embargo immoral and said it should be lifted.

"It's preventing millions of Cubans from benefiting from vital medicines and medical equipment essential for their health," Khan said.

The embargo restricts the export of medicines and medical equipment from the U.S. and from any U.S.-owned company abroad.

Amnesty also called on President Obama to not renew the Trading with the Enemy Act, which is due for renewal on September 14. The Act has been reviewed by U.S. presidents on an annual basis since 1978. Amnesty said that while not renewing the Act would not in itself end the embargo against Cuba, it would send a clear message that the U.S. is adopting a new policy toward Cuba.

In April this year President Obama lifted restrictions that had prevented U.S. citizens from visiting relatives in Cuba, and sending them remittances.

A U.S. State Department spokeswoman would not comment on the report because she hadn't read it. However, she said, "The president believes it makes strategic sense to hold on to some inducements we can use in dealing with a Cuban government if it shows any signs of seeking a normalized relationship with us and begins to respect basic human rights."

The Amnesty report also cites United Nations data that says Cuba's inability to import nutritional products for schools, hospitals and day care centers is contributing to a high prevalence of iron deficiency anemia. In 2007, the condition affected 37.5 percent of Cuba's children under three years old, according to UNICEF.   Watch a report on Cuba's health care system »

Cuba can import these products from other countries, but there are major shipping costs and logistical challenges to contend with.

Gail Reed is international director of MEDICC (Medical Education Cooperation with Cuba), a non-profit organization that encourages cooperation among U.S., Cuban and global health communities.

She told CNN, "In general, the embargo has a sweeping effect on Cuban healthcare. Over the past decades, I would say the people most affected have been cancer and HIV-AIDS patients."

She also said the embargo affects the way doctors think about the future. "Doctors in Cuba always worry that an international supplier will be bought out by a U.S. company, leaving medical equipment without replacement parts and patients without continuity of medications," Reed said.

Gerardo Ducos, an Amnesty researcher for the Caribbean region, told CNN that although medicines and medical supplies can be licensed for export to Cuba, the conditions governing the process make their export virtually impossible.

According to the report, the U.S. exported $710 million of food and agricultural products to Cuba in 2008, but only $1.2 million of medical equipment and products.

Reed said the embargo does not permit the sale of active ingredients or raw materials to the Cuban pharmaceutical industry.

She gave the example of methotrexate, used to treat breast cancer, telling CNN that an export license was denied to a firm wanting to sell the U.S.-produced active ingredient to Cuba, to be used in domestic production of the drug on the island.

"Four times as many women may be treated with methotrexate if the drug could be produced domestically, so that Cuban importers were not forced to purchase the finished product on the international pharmaceutical market," she said.

The report says that products patented in the U.S. are covered by the embargo. Ducos told CNN that this particularly affects HIV/AIDS treatments. "The latest medicines are usually covered by U.S. patents, which means Cuba must wait several years for the patent to run out before they can buy generic products," he said.

In the statement, Khan added, "Although responsibility for providing adequate health care lies primarily with the Cuban authorities, governments imposing sanctions such as embargoes need to pay special attention to the impact they can have on the targeted country's population."

@highlight

Amnesty report says Cuba embargo limits Cubans' access to medicine

@highlight

HIV/AIDS patients are particularly affected, according to Amnesty

@highlight

Embargo has a "sweeping effect" on Cuban health care, says MEDICC