(CNN) -- Women must make their voices heard in climate negotiations. The role of women as agents of change in their homes, places of work and communities is often underplayed. Yet their role is critical: Women understand the inter-generational aspects of climate change and sustainable development. We women think in time horizons that span the lives of our children and grandchildren. We need to use this understanding to influence the political process and to inject a much needed sense of urgency into the climate change negotiations.

Time is not on our side; report after report has shown this. This is not a trade discussion and we cannot wait until the next meeting or the meeting after that to take action. Time is running out for the planet. 2020 is too late to put a legally binding agreement in place. A legal framework with clear and common rules to which all countries are committed is critically important. It is the only assurance we have that action will be taken to protect the most vulnerable. This COP (U.N. Climate Change Conference in Durban) must agree to initiate negotiations towards this end -- with a view to concluding a new legal instrument by 2015 at the latest.

Climate change is a matter of justice. The richest countries caused the problem, but it is the world's poorest who are already suffering from its effects. The international community must commit to righting that wrong.

More: In austere times, world needs a climate change 'Plan B'

For me, a high point of the Durban Conference was that it demonstrated once again the value of women's leadership in global efforts to deal with climate change. The outgoing COP President who did an excellent job in Cancun last year is a woman, Minister Patricia Espinosa. The COP President at Durban is a woman, Minister Maite Nkoana-Mashabane from South Africa and the Executive Secretary of the Convention is also a woman, Ms Christiana Figueres. Collectively these and other women leaders are playing a vital role in highlighting the gender dimensions of climate change.

Awareness of the differential impacts of climate change on men and women is increasing. We know that in continents like Africa, where women are responsible for 60-80% of food production, unpredictable growing seasons and increased incidence of droughts and floods place women, their families and their livelihoods at risk. All over the world women are adapting to these changes, showing incredible resilience in the face of crop failures, water shortages and increases in environment-related diseases such as malaria. They are growing different crops, planting trees, harvesting rainwater and growing fodder for livestock to minimize the impacts of climate change. We need to continue to support women to be innovative, creative and resilient in a climate-constrained world as we strive to ensure equitable solutions to the climate problem. Investing in climate smart agriculture and capacity building for vulnerable rural communities will not be sustainable without the inclusion of women in the decision-making process.

But we also need to see the value of women as drivers of economic growth -- as educators, carers, farmers, entrepreneurs and above all, as leaders. A recent World Bank report found that "women now represent 40% of the global labor force, 43% of the world's agricultural labor force, and more than half the world's university students. Productivity will be raised if their skills and talents are used more fully." The report also found that eliminating the barriers that discriminate against women could increase labor productivity by as much as 25% in some countries.

Clearly we need to harness the contribution of women if we want to find our way out of the current economic recession and if we want to embrace inclusive, sustainable green growth. Last month, in remarks made at the International Forum on Women and Sustainable Development in Beijing, Sha Zuhang, Secretary General of the 2012 U.N. Commission on Sustainable Development, said "in many countries women are the champions of the green economy, practicing sustainable agriculture, nurturing our natural resources, and promoting renewable energy."

More: Carbon footprint of the world's biggest cities

Around the world women are showing leadership and championing change, often due to more progressive policies and a greater social inclusion. Their voice and leadership on climate change can result in a low-carbon revolution for the 21st century that is sustainable and equitable.

We can have a future where economic growth is not proportional to greenhouse gas emissions and where, for example, off-grid energy solutions could enable the 1.3 billion people without access to electricity to reach their full potential by providing access to affordable and sustainable energy technologies. At present burning kerosene for light and cooking over open fires damages women's health and limits their ability to engage in other work or education because they spend hours collecting wood.

It also costs them a lot of money -- up to 20% of their weekly expenditure. Solar panels, improved cooking stoves and LED lights can transform lives, create jobs and contribute to our collective low-carbon future and are clear examples how intelligent climate change policies do not lead to a gray and dull existence but the opposite: They lead to a brighter future.

I encourage all leaders to highlight the importance of gender throughout COP17 and at Rio+20 next year. We need to secure stronger references to the gender dimensions of climate change in the texts, institutions and mechanisms agreed by Parties to the Convention. Leaders informed by the experiences of grassroots women from around the world can and must make a difference.

I call on women to speak out and lead the way. We cannot wait, we have to act. Our children's and grandchildren's future is at stake.

The opinions expressed in this commentary are solely those of Mary Robinson.

@highlight

Mary Robinson served as President of Ireland from 1990-1997

@highlight

Robinson: Durban conference showed women's leadership in global efforts against climate change

@highlight

Recent World Bank report found that women now represent 40% of the global labor force

@highlight

Robinson: We need to harness the contribution of women to embrace green growth