'More than a Club.'

That's the long-standing motto and image that Barcelona football club has wished upon the world for many years.

It is an image the club has carefully cultivated over decades, but could the deal that brought Brazilian star Neymar to the club in June 2013 result in the Spanish giants being known for more than just their football - and not in a good way?

For the mood drifting out of Camp Nou, a stadium that has long been revered as a temple of the global game, is one of disarray.

Barca, as if anyone needs reminding, is one of world football's most successful clubs on the pitch.

Over the last few years it has patented a brand of football that has swept all before it, winning admirers around the world.

Off the pitch, the club prides itself on its all-round approach to life, keen to portray its 'open, integrating and caring' side and having refused sponsorship on its shirts for many years because taking money for it sullied the spirit of the game.

Perhaps more significantly, Barca has long stood as an emblem for the region of Catalonia - "a way to show what Catalonia is in the world," as Gerard Pique recently told CNN - with Barca widely portrayed as a political spearhead in the bid to fulfill the ideal of independence from Spain.

But now Barca finds itself in the dock.

Last month, a Spanish judge ordered an inquiry into the Neymar deal after a member of the fan-owned club, Jordi Cases, alleged a misappropriation of funds during the transfer.

Cases' primary complaint was that the amount paid to bring Neymar from Brazilian club Santos was more than the reported fee of 57.1 million Euros. In fact, as the club has since admitted, Barca paid 86.2 million Euros for Neymar.

One day after the judge agreed to hear the case, Barcelona President Sandro Rosell -- against whom the case was opened -- relinquished his prestigious position despite denying any wrongdoing.

He was swiftly replaced by Vice-President Josep Maria Bartomeu, but therein lay another problem. The new man could also become embroiled in a judicial inquiry if Cases chooses to take action against him.

"We brought the case against Rosell but when we saw the contracts, we saw that they had also been signed by Bartomeu," Felipe Izquierdo, Cases' lawyer, told CNN World Sport.

Izqueirdo says the new president's name is on all but two of the many contracts Barcelona signed to lure Neymar. He added that Vice-President Javier Faus signed the other two, meaning he too could face legal action.

Faus had also been in the spotlight for another reason. He was a rare public victim of Lionel Messi's ire when the Barca superstar took umbrage to Faus' comments in December that the club had no obligation to review the Argentine's contract (set to expire in 2018).

"Barcelona is the best club in the world and should be represented by the best board members too," the normally mild-mannered Messi exploded. "Snr Faus is someone who knows nothing about football."

Criticism of Barcelona tends to come from the direction of the Spanish capital, where great rivals Real Madrid are based, and certainly not from within - a warning that all was not well at the home of the four-time European champions.

'No Damage to Brand'

More embarrassment came a day after Rosell's resignation as new President Bartomeu held a press conference which outlined that there had, indeed, been a lack of clarity over the total fee paid to bring in Neymar.

Nearly 30 million Euros was added to the original figure, including a signing fee for the player, an agreement with Brazilian club Santos concerning academy footballers and a commission to Neymar's father and agent, Neymar Senior, among other measures.

With his name on the contract, Bartomeu clearly knew the details but Barcelona say the new man will not be stepping down since he does not believe he has done anything wrong.

Faus is insistent that Barca's famous brand has not been dented by the furore.

"Not at all," he rallied in a statement to CNN.

"Barcelona is a very lively and democratic club -- owned by its fans -- this is part of the beauty of our institution and we have to respect it. We have not noticed during these weeks any damage to our brand - to the contrary in fact."

"All our main sponsors have endorsed us and we are advancing with new and exciting deals that we will announce shortly."

Yet Faus' viewpoint directly contradicts the club's own spokesperson, Toni Freixa, when he was trying to get Cases to withdraw his lawsuit against Rosell.

"(Barcelona) regrets not having the information requested (by Snr Cases) earlier, which could have avoided the damage that this affair has caused to the image of the club," read a statement by Freixa on the eve of the judge's decision to order an inquiry.

It's a sentiment with which blogger Jose Luis Perez wholeheartedly agrees.

"It is clear that this whole incident can greatly damage the image of Barcelona," Perez, who has extensively examined the transfer, told CNN.

"Based on previous public cases, I think the judge will pull on a loose thread - meaning that he has received a complaint about one misdemeanor but may end up unraveling more."

"Lots of things might come out in the coming months."

There is certainly a lot to grapple with.

Convoluted Contracts

For a start, the judge has to make sense of all the business personnel connected with Neymar.

These include Brazil's richest man, Eike Batista (whose IMX Talent group controls the player's image rights), and one of the country's most famous footballers, Ronaldo, who was on Brazil's victorious 2002 World Cup squad. Ronaldo now has a sports marketing firm, 9ine, which took control of Neymar's commercial rights in 2011 from Wagner Ribeiro, one of Neymar's two agents.

The player's other agent, his father, has set up several companies dealing with Neymar's affairs but it's the one he founded in October 2011 - N&N - that is likely to most interest the judge investigating Cases' claims.

Having signed an initial agreement with Barcelona in late 2011 over Neymar's potential transfer, N&N received a massive 40 million Euros when the deal went through last year.

The total dwarfs the 17.1m Barca paid to Santos for the transfer, so it's no surprise it's come under intense scrutiny.

And it's not just the judge poring over the details.

Neymar's former club Santos is also unhappy with the revelation and is putting a legal case together to try to obtain full details.

The Brazilian club held 55% of Neymar's economic rights but two other companies - DIS (40%) and Teisa (5%) - also believe they have missed out on the windfall.

Angered by receiving 40% of just 17.1m Euros rather than 57.1m or even 86.2m Euros, DIS is reported to be considering taking its legal action further - as it ponders a lawsuit against Barcelona, Santos, Neymar Sr and Ribeiro.

So is it any surprise, when you consider the complexity of the transfer, that FIFA is so opposed to third-party ownership - where a player is not just owned by a club, but also other parties, in a practice that has become routine in South America?

In fact, the game's governing body has the power to investigate the transfer -- with a spokesperson telling CNN this would happen if "in accordance with the FIFA Disciplinary Code, the Chairman of the FIFA Disciplinary Committee decides ex officio to open investigation."

This remains a mere technical possibility but should it come to pass, such a move could cast another shadow over Barca's reputation.

'Less of a Club'?

There are other troubling issues.

When Rosell stepped down, he revealed a sinister element as he said his family had suffered threats, with media reports in Spain detailing how his home had been shot at over the Christmas holidays. No one was home at the time.

In a different move, the Barca board - once so resistant to bearing a sponsor's name on the team's jerseys - is now considering attaching a sponsor's name to the iconic Camp Nou to fund a proposed 600m Euro redevelopment of the stadium and other facilities.

"We will present a commercial name for the stadium to the Assembly. It will always just be a surname because we will not lose the name Camp Nou," Vice-President Faus said on the club's website earlier this month.

Barca say stadium title rights could generate 150m Euros for a club that is well over 300m Euros in debt, so one can understand the board's thinking, but it's a controversial move nonetheless.

Balancing financial gain with prized ethics can be a challenge, especially when under investigation by a Spanish judge over alleged transfer irregularities. Can it be said that Barcelona is beginning to become 'Less of a Club'?

@highlight

Barcelona say impending inquiry into Neymar transfer has not damaged club

@highlight

Current president and vice president could also face legal action

@highlight

Former president Sandro Rosell quit because of row last month while revealing threats

@highlight

Transfer could potentially be investigated by FIFA