(CNN)Call it a false memory. A trick of the mind. Or a "misremembrance."

Television anchor Brian Williams isn't the first person to be embarrassed by claiming a remembrance that, well, never really happened.

Recent history shows how several famous figures suffered what one expert labels a false "flashbulb" memory.

Astrophysicist and television host Neil deGrasse Tyson, a protege of the late Carl Sagan, claimed he heard President George W. Bush make a remark intended to highlight divisions between Judeo-Christian Americans and fundamentalist Muslims.

Tyson's assertion is still published on the webpage of the Hayden Planetarium, which he runs.

"After the 9/11 attacks, when President George W. Bush, in a speech aimed at distinguishing the U.S. from the Muslim fundamentalists, said, 'Our God is the God who named the stars.' The problem is two-thirds of all the stars that have names, have Arabic names. I don't think he knew this. This would confound the point that he was making," Tyson said in a 2008 speech.

Fact checkers found Tyson's recollection to be wrong, and The New York Times even published an opinion piece in December 2014 by two psychology professors about the Tyson incident and "Why Our Memory Fails Us."

"In his post-9/11 speech, Mr. Bush actually said, 'The enemy of America is not our many Muslim friends,' and he said nothing about the stars," wrote professors Christopher Chabris and Daniel Simons.

"Mr. Bush had indeed once said something like what Dr. Tyson remembered; in 2003 Mr. Bush said, in tribute to the astronauts lost in the Columbia space shuttle explosion, that 'the same creator who names the stars also knows the names of the seven souls we mourn today.' ''

Tyson later published an explanation and an apology on his Facebook page. He noted how "blogosphere headlines" carried "accusations of me being a compulsive liar and a fabricator."

"And I here publicly apologize to the President for casting his quote in the context of contrasting religions rather than as a poetic reference to the lost souls of Columbia. I have no excuse for this, other than both events -- so close to one another -- upset me greatly.  In retrospect, I'm surprised I remembered any details from either of them," Tyson wrote in September 2014.

There's a twist on the Tyson tale, the two professors noted in The New York Times.

Even President Bush suffered a false memory of what he saw on television the day of the September 11, 2001, attacks.

Bush recalled more than once how he saw the first plane hit the north of the World Trade Center before he entered a classroom in Florida, where his reaction to the devastating attacks was forever captured on television cameras.

"In reality, he had been told that a plane had hit the building, but had not seen it -- there was no live footage of the plane hitting the tower," the two professors wrote.

Bush's misremembrance was even the subject of a scholarly essay in 2004 by then graduate student Daniel Greenberg of Duke University, now a human memory expert who's a professor at the College of Charleston in South Carolina.

Greenberg analyzed three recollections made by Bush of the event in a paper entitled, "President Bush's False 'Flashbulb' Memory of 9/11/01."

Greenberg found two of Bush's recollections to be impossible because footage of the first plane strike wasn't available at that moment in time.

"How can we explain these inconsistencies?" Greenberg wrote. "Over the past century, numerous studies have shown that people frequently suffer from false memories -- fictitious 'memories' for events that did not really happen."

Noting how the President had access to aides to jog his memory, Greenberg concluded: "We might expect that he would be better off than the average university undergraduate -- however, like so many others, he appears to be suffering from a near-textbook case of false recall."

When campaigning for president in the automobile mecca of Michigan in 2012, Mitt Romney claimed he witnessed as a child a famous event in Detroit: the golden jubilee of the car on June 1, 1946.

In fact, Romney said, his father was the master of ceremonies.

"I think my dad had a job, like, being the grandmaster or whatever of the 50th celebration of the automobile in Detroit,'' Romney told a tea party rally in Milford, according to the Boston Globe.

"They painted Woodward Avenue with gold paint. My memory's a little foggy here, so, uh, but -- yeah I was probably 4 or something like that. But they had the cars go down Woodward Avenue.''

Problem was, Romney wasn't even born yet.

The event occurred nine months before his birth.

The Toronto Star exposed the misremembrance.

"The timelines suggest Romney could well have been conceived that day. But it is inconceivable he was actually there," the paper reported.

A Romney aide told the Boston Globe that the Republican candidate was merely telling a story about a family member.

"Mitt doesn't say he was there. In fact, he says his memory was foggy,'' the aide said. "He was simply telling the story about his dad.''

In her own campaign for the U.S. presidency in 2008, Hillary Clinton stated she evaded sniper fire when visiting Bosnia as first lady in 1996.

While seeking votes, she provided a dramatic recollection of the event, which occurred on March 25, 1996.

"I remember landing under sniper fire. There was supposed to be some kind of a greeting ceremony at the airport, but instead we just ran with our heads down to get into the vehicles to get to our base," said Clinton, a Democrat.

But her account was eventually challenged, first by the comedian Sinbad who traveled with her, and then by media outlets, The New York Times reported.

The Philadelphia Daily News' editorial board confronted her with video footage showing Clinton's arrival at Tuzla, calmly walking from the rear ramp of a U.S. Air Force plane with her daughter, Chelsea, then 16, at her side. Both Clintons held their heads up and did not appear rushed.

The video also showed Clinton spending several minutes talking with the group, including an 8-year-old Bosnian girl who presented her with a poem, and later greeting U.S. troops.

Clinton told the editorial board that she "misspoke" and the falsehood was a "minor blip."

"I say a lot of things -- millions of words a day -- so if I misspoke, that was just a misstatement," she said.

In a subsequent radio interview, Clinton wasn't worried about the incident hurting her credibility.

"I have been in the public eye for many, many years, and this is something that I think happens to anybody," she told radio station KDKA in Pittsburgh, Pennsylvania.

His memoir seemed as good as gold.

It was, after all, endorsed by Oprah Winfrey for her influential book club.

James Frey's "A Million Little Pieces" touched the nation and its endless compassion when he recounted a purported dramatic experience with substance abuse and recovery. The book sold millions of copies and became a best-seller.

But the investigative website The Smoking Gun found Frey's life wasn't as exciting as he portrayed it.

Frey eventually admitted he embellished events about himself and other characters in the book.

"I made a mistake," he later confessed to Oprah Winfrey in 2006. "I made a lot of mistakes in writing the book and promoting the book."

Pressed if he lied or made a mistake, Frey elaborated on what happened.

"I think probably both," he said.

He admitted to embellishing several facts: he was jailed for only a few hours, not 87 days; and each character in the book wasn't wholly represented.

But he asserted his book remained a memoir.

He told CNN's Larry King that no one objected to about 200 pages of re-created conversations in the book, because it's understood that those are subjective memories.

"In every case, I did the best I could to recreate my life according to my memory of it," Frey told King. "When I had supporting documents, I used them."

Winfrey retracted her support of the author, saying she felt "conned" by him.

@highlight

TV host Neil deGrasse Tyson apologized for a false memory of a President Bush comment

@highlight

George W. Bush misremembered seeing the first plane strike the World Trade Center

@highlight

Hillary Clinton falsely recalled she came under sniper fire as first lady