(CNN) -- Running at full speed since the summer, a lab with the Centers for Disease Control and Prevention, testing blood samples collected by American hospitals on patients they suspected of having Ebola, has returned a negative result in every case. Until Tuesday.

Some public health officials are explaining the first confirmed case of the Ebola virus in the United States, found in a man in Dallas, as a predictable event. But at least for this case, there are many questions surrounding that assertion. Were crucial procedures that might have prevented the victim--who Liberian officials have identified as Thomas Eric Duncan, according to an article in the New York Times--from arriving in the United States not in place?

Have errors and missed opportunities put a handful of Dallas residents at risk of an infection, with a roughly 50% fatality rate?

As the facts roll out about Duncan, who is fighting for his life in Presbyterian Hospital Dallas' critical care unit, we should scrutinize the travel screening procedures in use in the United States and the apparently myriad ways Ebola patients can slip through the cracks, even in one of the world's most advanced medical systems.

We know that airport screening efforts, such as they are, failed. Duncan, traveling from the Ebola-ravaged city of Monrovia, boarded a plane bound for Dallas on September 19 after passing a screening that would have consisted of a few questions about symptoms and measurement of his body temperature. The effectiveness of the answers to screening questions depends entirely on the good faith we hold in the traveler's truthfulness.

As evidenced by numerous flights of returning aid workers and journalists, recent Ebola contacts do not bar re-entry. Reports now indicate Duncan had such a contact. Since infected Ebola victims will remain asymptomatic for up to 21 days, does the screening procedure match up with the science?

In Tuesday's CDC briefing, Dr. Thomas Frieden, the Centers' director, disclosed that Duncan left Liberia to visit family members living in the United States. We deserve more detail, because this choice is another possible point of intervention. Are hops from this stricken region to destinations across the Atlantic for vacation and family get-togethers reasonable at this moment? Should travelers be required to describe a compelling reason to visit the United States, when their choice to do so potentially affects others?

Your questions answered

I feel greatly for the quarantined Dallas ambulance drivers and other community contacts whose lives are now upended as they wait in quarantine away from work life, income, and all other activities for three weeks.

But it goes beyond lax screening: There is no effort to follow-up with potentially infected travelers after they arrive and begin circulating in America. If checking in with a nurse via telephone every few days for three weeks sounds too expensive, why not charge an entry fee to cover that cost? Ebola is a novel threat. It's time we think outside the box.

Beyond these screening and surveillance problems, critical medical errors have compelled the CDC to dispatch a team of epidemiologists and crisis control specialists to augment Texas public health resources. The mistakes that brought us to this point reveal the fragility of our much-vaunted American health care system when it comes to anything out of the ordinary.

As a physician I can empathize with the emergency room providers at Presbyterian who discharged their patient after an exam on September 26 with a course of antibiotics that are useless for his actual diagnosis.

And it appears a nurse did inquire about recent travel, and Duncan volunteered that he was from Liberia. But in a story all too common where medical errors are concerned, Presbyterian hospital admitted on Wednesday that this information was "not fully communicated" to all the emergency room practitioners caring for him.

Containing Ebola depends on such truthfulness and cooperation. CDC epidemiologists performing the painstaking "contact tracing" of the patient's movements for the four days he was symptomatic in the Dallas community will depend on such openness from everyone they interview.

(To that end, as bioethicist Art Caplan points out, some of the rationale for patient privacy may need to be rethought, given the importance of identifying contacts. The Dallas victim's identity was a closely guarded secret by Presbyterian hospital, due to long-established norms for controlling private health information. Do those rules apply to a situation where contacts need to be identified urgently, and where the victim is at no risk of long-term stigma associated with a fast-moving disease process from which he will either survive and be noncontagious, or not?

Liberian officials released Duncan's name Wednesday, irrespective of the hospital's deference to privacy. This makes sense if public health is the priority. )

But there was another error that had followed Duncan's initial release from the ER. On September 28, when he returned to Presbyterian, this time deathly ill in an ambulance, the ER staff immediately suspected Ebola, Presbyterian told reporters, and called in the infectious disease team. How then did the ambulance drivers and the ambulance itself continue in circulation, unquarantined, for the next 48 hours.

Hopefully no further errors will occur. To date, the four precedent-setting Ebola patients brought to American soil for treatmentâ€”at Emory University and Omaha's Nebraska Medical Center -- have received their successful care in CDC-partnered units designed for just such a threat.

Now brave Dallas health care workers will use the level of isolation seen at most "tertiary" care hospitals in the United States, adequate even for airborne pathogens, which Ebola is not, but not the ideal setting to provide a high level of isolation. To be effective in preventing contamination, workers will have to be more meticulous than usual, 100% of the time, given the gravity of the infection.

After Atlanta's CDC-affiliated unit at Emory successfully treated and discharged the first two Americans to receive care here for Ebola, we learned about a disturbing lack of preparedness for handling the patient's waste.

Federal agencies didn't take the lead in coordinating those hospitalizations, and that left logistical and regulatory hurdles, causing Emory Healthcare workers to pile the waste in rubber barrels they rushed to purchase at Home Depot before ultimately sending them down the street to the CDC for proper disposal.

The Dallas hospital doesn't have a CDC center down the street. Let's hope it gets the logistical support it needs from the get-go.

@highlight

Ford Vox: Some say discovery of Ebola in U.S. predictable; it didn't have to be

@highlight

He says screening procedures out of affected nations and into U.S. too lax

@highlight

Vox: Why not several weeks of health surveillance of travelers from those nations?

@highlight

Vox: Truthfulness of travelers crucial, but hospitals also must be better prepared