Hours after a lone gunman murdered 20 school children in Newtown, Connecticut, last December, President Barack Obama took a vow.

"We're going to have to come together and take meaningful action to prevent more tragedies like this, regardless of the politics," he said.

In the year since the Sandy Hook Elementary School massacre, gun control advocates have seen their primary legislative objective fall short in Congress. They have, instead, turned to states in an effort that has yielded some success.

Officials in Connecticut released a report on Monday summarizing the investigation of the Newtown shooting, but whether it will advance the gun-control agenda is unclear.

The school tragedy has faded further from the national conversation, especially in Washington where Obama has lost political clout following his reelection and everything going forward will be seen through the prism of next November's congressional midterms.

Following the shooting, the debate in Washington centered on expanding background checks, which failed in the Senate.

Related: Sandy Hook report looks at shooting

The Obama administration then announced limited executive reforms in place of tougher laws.

And a number of states, such as New York, California and Connecticut, put in place new background check limits as well as other measures restricting magazine capacity and types of firearms legally available.

But other states, mostly controlled by Republican legislatures, took the  opposite approach.

For example, Alaska pursued a so-called "nullification" law that would, in theory, make it illegal to enforce any federal firearms regulations in that state.

Looking for momentum

Both sides in the gun control debate remain energized and have vowed to continue to fight for their own priorities and to vociferously oppose the other.

Proponents of stricter gun laws still back Obama's calls for a new national status quo.

Related: Haunted by the Newtown massacre, police officer faces firing over PTSD

Advocates for tougher gun laws look to build on last April's Senate vote on a bipartisan proposal to expand background checks. It won majority support, but failed to gain the 60 votes necessary to break a Republican filibuster.

"Our job is to continue to apply persuasion and pressure," said Mark Glaze, executive director of Mayors Against Illegal Guns, a group backed by outgoing New York City Mayor Michael Bloomberg, who has spent millions backing gun-control candidates.

For the nation's most established group advocating stricter gun laws, expanding background checks from sellers with a federal firearms license to all purchases -- including private sales at gun shows -- is the one and only priority.

Brian Malte, senior national policy director for the Brady Campaign to Prevent Gun Violence, noted that several states have passed background check bills, including Nevada.

Key to expanding the field of states enacting tougher gun regulations, Glaze said, is highlighting that most gun murders in the United States -- more than 11,000 in 2010 -- are not national events but killings that never make news.

Among those trying to create a grassroots effort to force change is Moms Demand Action for Gun Sense in America.

Established one day after the Newtown shooting, founder Shannon Watts said  her group is the only one with an established grassroots network, one pushing for background check bills in states like Washington, Minnesota and Oregon.

"There are a lot of states to look at in this next legislative session," Watts said.

Second Amendment defense

But to those who frame the argument around the Second Amendment, Obama symbolizes an anti-gun liberal focused on taking away their constitutional right to self-defense.

Erich Pratt, an official with Gun Owners of America, criticized the President as the single biggest threat to the Second Amendment, but added that gun owners are more motivated because of Obama's vow for new restrictions.

The response of the National Rifle Association, the most visible gun rights advocacy group, to efforts to expand background checks is firmly rooted.

"We will fight them every step of the way," said NRA spokesman Andrew Arulanandam.

When it comes to gun-control advocacy, "none of their proposals will make us safer," Arulanandam said.

The NRA argues that existing laws should be enforced and that the United States should improve mental health treatment rather than seek to restrict constitutionally protected rights.

Gun rights activists postulate that something like background checks would not have stopped many of the high profile mass shootings in recent memory where weapons were obtained legally, with a background check.

Groups advocating for stricter laws counter that hundreds of thousands of firearms sales have been stopped at the point of purchase because of a failed background check.

One of the most common solutions to gun violence offered by Second Amendment supporters is the phrase championed by NRA Executive Vice President Wayne LaPierre.

"The only thing that stops a bad guy with a gun is a good guy with a gun," he has said.

For schools, that means proposals for armed guards in every facility as well as other security measures.

Also key to preventing mass shootings and a priority in the near future, said Pratt of GOA, is eliminating so-called "gun free zones," places like schools where firearms are not allowed.

They believe if teachers at Sandy Hook or office personnel at the Washington Navy Yard -- where a dozen people were killed in a mass shooting in September -- were armed, then they would never have been targeted in the first place because gunmen go after "soft" targets.

"The first responders are the ones that have a gun pointed at them," Pratt said.

For Pratt, hand in hand with allowing more guns in more places is preventing federal intrusion -- especially through nullification laws that seek to stop federal interference in state gun rights.

Moreover, Pratt said the group is working to help convince the Senate not to approve the United Nations arms treaty signed in September by Secretary of State John Kerry.

"We think we have the votes to stop it," Pratt said.

Gun rights advocates worry that the treaty's recommendation to track gun sales would lead to a national database of firearms owners, what they fear to be a slippery slope away from gun confiscation, the ultimate Second Amendment rallying cry.

Political calculation

The biggest chilling factor politically appears to be the successful recall elections of two Colorado Democrats earlier this year after they helped pass legislation enacting tougher gun measures.

Both were in Democratic-leaning districts, which gun control activists illustrate as proof positive that the Second Amendment is not a partisan issue.

Advocates for stricter gun measures point out that despite the recalls, the Colorado law still stands.

Regardless of the setback in the Senate last spring, Malte said history is on the side of advocates of stricter gun measures, noting that it took years and multiple votes to finally pass the first background check bill.

He noted that most public opinion polls show an overwhelming majority of Americans favor expanded background checks.

"We don't have to convince the country. We have to convince the lawmakers," said Pia Carusone, executive director of Americans for Responsible Solutions, the group founded by former Rep. Gabrielle Giffords, who was severely wounded in an Arizona shooting.

Just as they lament one loss in recent months, advocates of stricter gun laws are also celebrating a victory, hailing the campaign win of Terry McAuliffe as the next governor of Virginia.

"He actually won on it," Malte said of McAuliffe's platform that included gun control.

The prospects for McAuliffe to pass any gun control bills in the state remains in doubt, however, in a state that is largely rural and steeped in gun culture.

@highlight

Newtown shooting killed 20 elementary students, jolted the nation

@highlight

Obama pursued tougher gun control measure, which stalled in the Senate

@highlight

Focus has shifted to states; both sides in the debate are energized

@highlight

Recall of legislators in Colorado, midterm elections color issue in 2014