(CNN)On Tuesday President Barack Obama will visit Saudi Arabia to pay his respects to the family of the now-deceased King Abdullah and to his successor, King Salman.

This is a smart move by Obama and his foreign policy team. After all, the world's most absolute monarchy and the world's most powerful democracy have long been allies because they are bound together not, of course, by common values, but by common interests: The ready flow of reasonably priced oil and, more recently, the need to fight jihadist terrorist groups.

However, a number of significant tensions have arisen in the U.S.-Saudi relationship, which a presidential visit likely will help to smooth over.

The U.S.-Saudi marriage of convenience was first initiated on February 14, 1945, on a U.S. warship as it cruised in the Suez Canal. It was on the deck of the USS Quincy where President Franklin Delano Roosevelt first met with Saudi King Abdul Aziz to discuss areas of common interest. In the seven decades since that meeting, the relationship has largely worked well for both countries.

During most of that time, Saudi Arabia provided economic support by ensuring a steady supply of oil and political backing for such American moves as the effort to repel Saddam Hussein's invasion of Kuwait and to seek a two-state solution to the Israeli-Palestinian conflict.

The relationship took a nosedive after the revelation that 15 of the 19 hijackers on 9/11 were Saudis. But oil has a wonderful way of soothing even the most troubled waters.

Even though the United States is not as dependent on Saudi oil as many countries are, the Saudis can choose to raise or lower their oil production and those decisions have substantial effects on global oil prices. That's because Saudi Arabia is the world's largest oil producer and it has around a fifth of the world's proven oil reserves.

Today, as oil prices are tumbling to prices we haven't seen since the Great Recession of 2009, the Saudis have not lowered their production of oil, which is a great boon to the U.S. economy, even as the Saudis take a real hit resulting from their lower oil revenues. Many suspect that an equally important motive for the Saudi move is to weaken its arch-nemesis Iran, also a major oil producer.

Despite Saudi oil policies that benefit American economic interests, the Saudi-American alliance--which was more like a melding of minds under the George W. Bush administration--has in recent years frayed.

The Saudis remain irritated that Obama didn't follow through on his "red line" threat to take action against the Syrian regime of Bashar al Assad regime after it used chemical weapons on its population. Syria is an ally of Iran.

The Saudis are also watching the continuing Iranian-American dialogue over Iran's nuclear program with great concern. They believe that the United States will get played by the Iranians and will allow them to retain some kind of nuclear capacity suitable for making a nuclear weapon.

The Saudis are also still angry that the Egyptian dictator Hosni Mubarak was abandoned by the Obama administration during the "Arab Spring" of 2011. How would Washington react if the Saudi monarchy faced its own serious internal opposition: Would it too be thrown overboard?

The Saudis have also long resented the largely uncritical embrace of Israel by both Republican and Democrat presidents.

A common interest that overrides many of these differences is Syria, where both Washington and Riyadh are threatened by the rise of ISIS and also of al Qaeda's affiliate there, the Nusra ("Victory") Front.

As of early 2014 some 1,200 Saudis had traveled to Syria, of whom 220 had returned to the kingdom, according to a senior Saudi official. As a result, there was great concern in the kingdom about the potential "blowback" problem posed by these militants with battlefield experience acquired in Syria.

That's why Saudi Arabia made it a crime in early 2014 for its citizens to travel to fight in overseas conflicts such as the Syrian war.

That move coincided with the appointment of Prince Mohammed bin Nayef to head the powerful Saudi Ministry of the Interior. Nayef, who al Qaeda's Yemeni affiliate tried to assassinate in 2009, has been an implacable foe of jihadist groups in the Arabian Peninsula, which has made him a vital ally of the United States.

In many ways the real news about King Abdullah's death, which was long expected--as was the appointment of King Salman and his brother Muqrin as crown prince--was the appointment of the 55-year-old Nayef as deputy crown prince. This passes the torch of Saudi succession beyond the gerontocracy of King Abdullah's brothers to a new generation.

It also strongly signals that the Saudi royal family values the firm stand on jihadist terrorist groups that is favored by Nayef and by Washington.

That's why Saudi planes are now taking part in the U.S.-led coalition to bomb ISIS positions in Iraq and Syria.

Saudi Arabia and the United States also have a strong interest in stabilizing the situation in Yemen. Houthi rebels have seized the Yemeni capital, Sanaa, and the largely pro-American government of President Hadi stepped down last week.

Both the Saudis and the Americans regard the al Qaeda affiliate in Yemen as a real threat and they also are both watching with alarm as Houthi Shia rebels -- whom the Saudis view as stooges of Iran -- have taken over the Yemeni ministries that have played a key role in fighting al Qaeda.

There will be much to discuss when the American President and his foreign policy team meet with the Saudi King and his advisers on Tuesday.

@highlight

Obama to visit Riyadh to meet with King Salman, the new Saudi monarch

@highlight

Peter Bergen: It's an opportune time for U.S. to repair frayed relations