(CNN) -- In a sea of uncertainty, two bits of good news emerged Wednesday.

The Australian ship Ocean Shield picked up fresh signals that officials hope are locator beacons from the data recorders of the missing Malaysia Airlines Flight 370.

The ship had first picked up the underwater pulses Saturday. But then, for the next three days, nothing.

On Tuesday, the ship once again reacquired the signals. That's four signals in the same broad area: two on Saturday; two on Tuesday.

"I believe we are searching in the right area but we need to visually identify wreckage before we can confirm with certainty that this is the final resting place of MH370," Houston said.

The second piece of good news? Authorities analyzed the signals picked up Saturday and determined they were not of

natural origin and was likely sourced from specific electronic equipment.

"They believe the signals to be consistent with the specification and description of a flight data recorder," Houston said.

Signals getting weaker

Wednesday is Day 33 in the search for Malaysia Airlines Flight 370, which went missing March 8. It was carrying 239 people.

Authorities haven't given up trying. Instead, they are pinning their hopes on the so-pings.

But time is not on their side.

The batteries powering the flight recorders' locator beacons are certified to be working for 30 days. Stored in a plane's tail, they are designed to begin sending off distinct, high-pitched signals as soon as they come in contact with water.

"The signals are getting weaker. Which means we're either moving away from the search area or the pinger batteries are dying," Houston said.

The first signal, at 4:45 p.m. Perth Time on Saturday, lasted 2 hours 20 minutes.

The second, at 9:27 p.m. Saturday, lasted 13 minutes.

The third signal was picked up Tuesday at 4:27 p.m. That lasted 5 minutes 32 seconds.

The fourth, at 10:17 p.m. Tuesday, was 7 minutes long.

"It's certainly encouraging that more signals have been detected," Pentagon spokesman Adm. John Kirby told CNN.

"There is still much work to do, however."

Four reasons to believe; six reasons to doubt

Discovery of possible 'locator beacon' pulses gives hope

Wednesday's search includes up to 11 military planes, four civilian aircraft as well as 14 ships -- three of which, Australia's Ocean Shield further north and the British HMS Echo and Chinese Haixun 01 to the south -- will be focusing underwater.

All told, everyone involved will be scouring a 29,000-square-mile zone centered about 1,400 miles northwest of Perth, according to Australia's Joint Agency Coordination Centre. That's large and challenging, but still pales in comparison to the once nearly 3 million miles, at sea and on land, the searchers were scouring for signs of the lost aircraft a few weeks ago.

Kevin McEvoy, a New Zealand air force commodore involved in the effort, noted that authorities once "didn't even know which haystack" to look in for the aircraft.

"I think we have got a much clearer picture around the areas that we need to concentrate on," McEvoy told CNN's Erin Burnett from Auckland.

Authorities greatly shrank that area after analyzing satellite data to determine Flight 370 had set off from Kuala Lumpur toward Beijing, turned around to go back over the Malay Peninsula, then ended up in the southern Indian Ocean.

Why? No one really knows.

The best chance to answer that question may rest wherever the plane -- and its so-called black boxes, with their trove of information about the plane and its movements -- now resides.

Search planes dispatched day after day looking for evidence of the missing airliner -- a floating wing, a seat cushion, anything -- thus far have come up empty.

The latest, greatest hopes have come from crews listening underwater for signs of Flight 370.

The first such possible breakthrough came last Friday and Saturday, when a Chinese ship detected pulses that may have been from the plane. No more have been heard since.

According to McEvoy, "the main focus" centers around the site of Saturday's discovery from Australia's Ocean Shield. It used more advanced detection gear than that aboard the Chinese vessel and was found some 375 miles away, leading Houston to believe they are separate signals.

The first signal, detected by a towed pinger locator, persisted for more than two hours; a second went on for about 13 minutes.

Tuesday afternoon, it lasted about 5 minutes and 32 seconds. Tuesday night, about seven minutes.

Beyond the dwindling battery life, there's all the ocean to contend with: The Ocean Shield signals were in water about 2.6 miles deep, meaning a number of things could literally get in the way of or otherwise disrupt the pulses.

Searchers' intent not to roil the waters any further is why air and seaborne traffic in that find area is being limited, and why there is no rush to put in underwater drones to take photos.

"The better the Ocean Shield can define the area the easier it will be for the Autonomous Underwater Vehicle to subsequently search for aircraft wreckage," Houston said.

Bear in mind with the Air France disaster, it took the underwater vehicle 20 days to get to the wreckage."

What happens after the Malaysian plane's pingers die?

And it's not as if, if more pulses are detected, they'll lead down in a straight line to the flight recorders. As is, the pings that were heard could have emanated from anywhere within a 5-mile radius, said Mary Schiavo, a former inspector general for the U.S. Department of Transportation.

Finding more signals could narrow the search area. Without them, authorities could then start the painstaking process of using side-scanning sonar to try to find the aircraft on the ocean's bottom.

Meanwhile, the air search continues. As McEvoy explained, this area is "slightly different" than that being probed for pings because it is focused on surface debris, which would have shifted over the past few weeks -- thanks in part to a cyclone packing winds in excess of 160 mph that pushed through two weeks ago.

So far, none of the aircraft that have been sent out has found anything. And even if it is narrowed, Wednesday's air search area is still roughly the size of South Carolina.

As Wing Cmdr. Andy Scott of New Zealand stated: "It's a large task that's still ahead of us."

Next steps in underwater search

Pings without wreckage 'befuddling'

The absence of wreckage near these detected signals leaves some skeptical, worried that the Chinese and Australian ship's finds could be yet another false lead in an investigation that's been full of them.

Acknowledging "a very high-speed vertical impact" could explain the lack of aircraft remnants, CNN aviation analyst Miles O'Brien said there's reason to be cautious.

"It's either the most extraordinary event, or those pings weren't real," O'Brien said. "It's somewhat befuddling."

Sarah Bajc, the partner of American passenger Philip Wood, isn't convinced about anything. She told CNN's Erin Burnett she thinks the plane was hijacked. Whether that proves true, one thing she won't believe are the Malaysian officials heading the investigation.

"All of us pretty well agree that until there's the bulk of the plane, the bulk of the bodies discovered, and a black box intact, we won't believe that it's final evidence," Bajc said early Wednesday from Beijing. "... I don't think the authorities have given us much confidence of their investigative skills so far."

The lack of clarity makes it hard to "grieve properly and ... move on," -- something that she's not yet willing to do.

"I want to fight to find him, in whatever form that ends up being," said Bajc, who is coordinating with other passengers' kin to press for answers. "And I think most of the families feel the same way."

Until they get answers, women and men like Steve Wang -- whose mother was on the Malaysia Airlines plane -- are clinging to hope while trying to hold themselves together.

"We're just going through so many kinds of emotion," said Wang. "... Desperate, sad and helpless -- something like that. Everything."

Timeline: Leads in the hunt for Flight 370 weave drama

Lucrative China-Malaysia relations not derailed by search for MH370

Wife of passenger: 'I needed to know they were looking for Pauly'

CNN's Richard Quest, Catherine Shoichet, Jethro Mullen, Matthew Chance, David Molko, Will Ripley, Judy Kwon, Ed Payne and Mitra Mobasherat and journalist Ivy Sam also contributed to this report.

@highlight

U.S. official: "We need to maintain respectful optimism and be responsible"

@highlight

Expert says refined search area manageable for underwater vessels

@highlight

Possible discovery of plane's pingers energizes search, but for how much longer?

@highlight

Agency: Up to 15 planes, 14 ships could take part in Wednesday's search