(CNN) -- Over the last two years, AMC's "The Walking Dead" has become one of the most popular dramatic series on television due in large part to complex story lines involving morality, survival and human relationships in a post-apocalyptic world.

It's also popular because of the fantastic-looking zombies that terrorize the characters each week, thrusting the decision-making process into a very primal, fight-or-flight mentality.

Longtime special effects guru/director Greg Nicotero is the man behind the zombies and has worked on the series since Day One, where he's now a co-executive producer. He got his start in the horror business in the mid-'80s on George Romero's "Day of the Dead" and has since branched out into many other film genres.

But a television series such as "The Walking Dead" is a bit different than film work and presents a new set of challenges. "I have 25 years' experience in the genre, so I know what's been done before," he says. "A lot of the gags we come up with (on 'The Walking Dead') are gags that are developed because I've seen every zombie movie ever made."

CNN spoke with Nicotero from the set of "The Walking Dead" in Senoia, Georgia, about the show's popularity, the changing nature of zombie aesthetics and emotional attachment to the undead. (The third season of "The Walking Dead" premieres at 9 p.m. ET Sunday on AMC.)

Post-apocalyptic TV is everywhere

CNN: As someone with such an extensive resume in horror films, what about "The Walking Dead" makes it so popular?

Greg Nicotero: There (are) three really key aspects of the show. I've done a lot of zombie shows and it's really a delicate balance to have great monsters, great characters and great story. (If) it's too much of one and not enough of the other, it sort of explodes in your face. We really make a concerted effort to make sure everything is balanced, everything is grounded.

CNN: What does it take to make one "Walking Dead" zombie?

Nicotero: I have a team of four permanent makeup artists. We've gotten to a point where we're averaging about an hour and a half per character. The extras come into the trailers; we don't know who is coming in, and it's sort of like having a new canvas every single time. They all have contact lenses; they all have custom dentures; some people we like to make more rotted than others. It all depends on the character and what we want to do on that particular day.

Some days, where we only have six or seven walkers, we're able to take a little bit more time with them, make them particularly decomposed-looking. Days that we have 60 or 70, we break it down where we have "hero" makeups, which are features, and "midground" makeups, which are paint jobs, where we paint highlights and shadows on their faces to make them look dead, but they're not intended to get too close to the camera. And we have "deep background."

At the beginning of each season, we have what we call "Zombie School," and what that does is give me an opportunity to audition anywhere from 150 to 200 extras. I grade them on two criteria: Look and performance. We have a visual aesthetic that is really important to the show and the zombies, that they look thin and gaunt and emaciated. We tend to go with thinner people who have a specific kind of bone structure, so when we put prosthetic on them, because makeup is an additive process, it doesn't look like we're building out their face too much. The second part of it is performance. The actor has to bring it to life. It's very important that our walkers are genuine and authentic.

CNN: Has the zombie aesthetic evolved over the course of three seasons? Do you play around with that stuff?

Nicotero: Oh yeah, all the time. When we did season one, when it was over, I sat down and made a list of what I thought worked successfully in season one and what I thought we could refine. Season two came up, and we had refined the look of the zombies, the design of the contact lenses, design of the dentures.

It's the same with season three. This season, we've used a lot of animatronic puppets, we've used practical gags to accent the zombie kills. Every time I watch an episode, I'm always thinking about how we can refine it, how it can be better.

CNN: There's a scene in season two where the young girl Sophia emerges as a zombie from the barn. What are some of the conversations (you) had when crafting a zombie character that has such an emotional attachment to the group?

Nicotero: It's challenging, from an emotional standpoint and a story content point. ... She needed to be recognizable; she needed to be empathetic-looking. That's one of the things we've been able to impart on our zombies that hasn't really been done in any other show. You look at some of these zombies and you feel an emotion for them; you feel compassion or sadness. They're not just flesh-eating monsters; (they) are a symbol of "what we once were."

With (Sophia), it was critical that she wasn't horribly disfigured. We had done a face cast of her and done a bunch of test makeups on her. We really wanted to be able to "keep her."

CNN: How much does technology factor into your work these days?

Nicotero: If you look at the original "Dawn of the Dead," those gags were all done practical; there were no CGI (computer-generated imagery) effects back then. That movie was the benchmark for years for zombie effects. ... Things like shooting zombies in the head, in the old days, that would have been done practical with squibs.

Nowadays, if you have Rick Grimes (played by Andrew Lincoln) running down the street, and he has to shoot six zombies, it's not practical to do a head hit on all six of those zombies and do it in a big wide shot. So digital technology allows us in the edit, once the shot is cut together, to determine which zombies we want to accentuate with a head hit on them. For me, what's important is to constantly keep the audience guessing. The minute the audience thinks they know how you did it, then you got to switch it up.

What's next for 'Walking Dead'?

@highlight

"The Walking Dead" has become popular in part because of its zombie aesthetic

@highlight

Greg Nicotero is the man behind the zombies and has worked on the show since Day One

@highlight

One character's makeup takes on average about an hour and a half to do

@highlight

Extras have to go to "Zombie School" before being cast on the show