(CNN) -- Myanmar opposition leader Aung San Suu Kyi will stand trial Monday for an incident in which an American allegedly swam across a lake and stayed for two days in her closely guarded residence, where she is under house arrest.

Officials in Myanmar say this self-portrait was found on John Yettaw's digital camera.

The southeast Asian country's military junta rarely allows visitors to see Suu Kyi, and foreigners are not allowed overnight stays in local households.

The government said the presence of the American, John William Yettaw, in the lakeside home violated the conditions of Suu Kyi's house arrest.

Yettaw, was charged Thursday on two criminal counts -- entering the country illegally and staying at a resident's home without government permission, according to a spokesman for Suu Kyi's political party.

Both charges carry a maximum sentence of five years in prison.

Suu Kyi on Thursday was taken to a prison compound near Yangon , where authorities set up a special room for her until the trial, said Nyan Win, spokesman for her National League for Democracy party.

The government detained her at the Insean Prison compound under Section 22 of the country's legal code, a law against subversion of government, Nyan Win said.

If convicted, Suu Kyi could face three to five years in prison.

U.S. Secretary of State Hillary Clinton called for the immediate release of Suu Kyi on Thursday.

"I am deeply troubled by the Burmese government's decision to charge Aung San Suu Kyi for a baseless crime," Clinton said at the State Department in Washington, referring to Myanmar by its former name of Burma.  Watch former U.S. president Jimmy Carter talk about Aung San Suu Kyi »

"We oppose the regime's efforts to use this incident as a pretext to place further unjustified restrictions on her. We call on the Burmese authorities to release her immediately and unconditionally, along with her doctor and the more than 2,100 political prisoners currently being held."

The junta changed the nation's name, and changed the capitol's name from Rangoon to Yangon, when it seized control of the country. Political dissidents and nations including the United States have refused to acknowledge those changes and still use the old names.

Clinton was speaking at a question-and-answer session with the visiting foreign minister of Malaysia, and Clinton said she was raising the issue of Suu Kyi's arrest with Malaysia and the other members of the Association of Southeast Asian Countries. She said the United States also will raise the issue with countries like China.

The timing of her detention raised suspicion among Suu Kyi's supporters, who said the government's action Thursday is an excuse to extend her house arrest, set to expire this month.

"This is the cunning plan of the regime to put Daw Aung San Suu Kyi in continuous detention beyond the six years allowed by the law they used to justify the detention of her," said the U.S. Campaign for Burma, a pro-democracy group fighting for her release. "Daw" is an honorific.

Rights group Amnesty International said the junta was reacting to a decision last year by the United Nations' Working Group on Arbitrary Detention that ruled her house arrest illegal both domestically and internationally.

Suu Kyi's lawyer, U Kyi Win, blamed the Nobel Peace Prize laureate's prison detention on Yettaw.

Some initial reports out of Myanmar spelled his name differently: Yeattaw.

Local media said the 53-year-old former military serviceman from Falcon, Missouri, swam almost 2 miles across Inya Lake on May 3 and sneaked into Suu Kyi's home. Police maintain a round-the-clock presence outside the house, and swimming in the lake is forbidden.

A neighbor of Yettaw's in Falcon, Mike Assell, described him as someone who was friendly but did not actively participate in community activities.  Watch Yettaw's neighbor describe him »

"I think he wasn't really afraid to talk to folks, but he really was not outgoing and went out of his way to stop and talk too much," Assell said. "He has his own -- I don't know if agenda's the right word -- he has his priorities and he is working toward those."

Public records yielded little about Yettaw, a father of seven. At one point, he owned a construction company. And he lost a 17-year-old son to a motorcycle wreck in Lebanon, Missouri, in 2007.

Yettaw appeared in court Thursday along with Suu Kyi and two of her assistants, party spokesman Nyan Win said.

A U.S. Embassy official met with Yettaw on Wednesday for three minutes, the first since his arrest. He appeared to be doing well, the embassy said.

On Thursday, Myanmar officials were expected to charge Yettaw with immigration violations. But the charges had not been announced.

Yettaw entered Suu Kyi's house once before, in 2008, the U.S. Campaign for Burma said. She refused to meet with him, and this time, she spoke to him only long enough to tell him to leave, it said.

Reports from news outlets affiliated with the military junta said Yettaw confessed to the 2008 visit and said he had stayed for a longer period then.

This time, the reports said, Yettaw met Suu Kyi's two housekeepers, a mother and daughter who are her only permitted companions.

Yettaw, a diabetic, apparently told the women he was tired and hungry after his swim. They offered him food, the newspapers said.

The housekeepers also were charged under Section 22 on Thursday.

Yettaw was arrested while swimming away from the house. Authorities said he told officials he was visiting Yangon on a tourist visa and was staying at a hotel when he swam across the lake with a 5-liter water bottle, presumably to use as a float.

Authorities found a U.S. passport, a backpack, a flashlight, a pair of folding pliers, a camera and money on him, local reports said.

The Myanmar-language Web site tharkinwe.com published two photos that officials said they found on Yettaw's digital camera.

One showed a middle-aged man posing in front of a mirror for a self-portrait. The other was a picture of a pair of feet with flippers on them.

Assell, the neighbor, said the man in the picture was Yettaw.

Suu Kyi's party said Yettaw's appearance at the house confirms security concerns the leader has voiced to the government.

"This is a political issue, not a criminal issue," said Nyan Win, the spokesman. "She has done nothing wrong."

Suu Kyi, 63, rose to global prominence during protests in the country in 1988.

She was first detained in 1989 and has been under house arrest for 13 of the past 19 years.

In 1990, her party won the general elections, which the ruling military junta did not recognize. The following year, she won the Nobel Peace Prize.

Myanmar's government has scheduled elections for next year that it says will lead the nation toward democracy. Human-rights organizations have said the vote will merely extend military rule in the nation.

CNN's Katherine Wojtechi, Kocha Olarn, Saeed Ahmed and Geraldine McBride contributed to this report.

@highlight

NEW: U.S. secretary of state calls for Aung San Suu Kyi's release

@highlight

Suu Kyi's lawyer blames charges on American who allegedly stayed in her house

@highlight

She is said to have let John Yettaw stay, in violation of her house-arrest terms

@highlight

Supporters say action is an excuse to extend restrictions on her movement