Trion, Georgia (CNN) -- Christopher Wolfe has a Tough As Nails, I Love America attitude. His pride swells along with his tattooed biceps. He's a dying breed, a blue-collar American working on a product as American as apple pie.

Blue jeans.

"This is our lifeline," Wolfe says.

Those jeans you squeezed into this morning? It's likely they began right here at Mount Vernon Mills, one of the last functioning cotton mills in America and the nation's No. 1 producer of denim.

In a tiny enclave of northwest Georgia, Wolfe and 1,200 of his colleagues churn out enough denim per week for 800,000 pairs of blue jeans.

Most U.S. mills shut down years ago, unable to compete with cheap overseas labor. And in another sign of the global economy, the fabric woven here is rarely sent to American plants to be turned into jeans. Instead, the fabric is shipped mostly to factories in Mexico. The jeans then carry labels that read "Made in Mexico of U.S. fabric."

Blame NAFTA. Blame outsourcing. Blame corporate greed for the selling out of America's manufacturing soul.

"I'd rather see people over here work, instead of struggling -- instead of giving somebody in another country a chance to make money that [Americans] should be making," says Wolfe, 31.

He's got a scar across his forehead, a shaved head and goatee. Like a pair of well-worn blue jeans, he's rough and tough.

Some workers here are second- and third-generation employees, following in the footsteps of their fathers, mothers and grandparents. Wolfe's dad and brother work at the mill.

You can see the pride in their faces: Made in U.S.A., baby. "We contribute a lot to America," Wolfe says with a smile.

He's a father of four young daughters. He makes about $9 an hour. He toils for them, for his little girls, so they can have a better a life.

"This mill here," he says, "it feeds my family."

It has been in existence since 1845, when slaves handpicked cotton in the South. Back then, mill workers spun the cotton into fabric and shipped it to factories in the North.

It's said Gen. William Tecumseh Sherman came through Trion, Georgia, during the Civil War and decided not to burn the factory down. The reason remains town lore. Some speculate the Union general might've been treated to the charms of Southern hospitality at the local hotel (wink, wink).

What's a good Southern tale without -- dare we say it? -- some yarnspinning.

"Boss Man" who fights for workers

Inside, you can't help but marvel at the scene around you. Hundreds of spools of thread churn all at once, with computer-like precision. There's a million-square-feet of manufacturing space, much of it Canadian rock maple hardwood floors. It's clean with a brilliant shine. Thread shoots every which way, as if Spider-Man came through.

Go from cotton field to denim

The sweet, distinct smell of cotton permeates the mill -- like that of nature in a hardwood forest, with the faint hint of a wet Labrador retriever.

When you walk through with general manager Don Henderson, the workers pause. They glance at "Boss Man". Many stroll over to shake his hand. How you doing? Everything, OK?

Henderson is one reason this place is still in business, on American soil. He has an aww-shucks attitude. He'll tell you it's those men and women out there on the floor that keep it going. He's got pride in the plant, in his workers and in his family.

His father worked for 39 years in the spinning department. His brother retired from the plant after 42 years, having started when he was 16 and eventually making his way into management.

"If I had the ultimate say-so, we would be right here for the next 100 years," says Henderson, 64, who has worked in the plant for 40 years.

While the nation's manufacturing base has shrunk, Mount Vernon Mills is a rare exception. The tiny town of Trion -- pronounced Try-On, as in "our residents always 'try on,'" 78-year-old Mayor Benny Perry says -- has a staggeringly large annual budget for such a small town. Its $12 million, mostly from taxes the mill pays, provides a state-of-the-art public school, park space and athletic fields.

If the mill shuttered, "it would destroy the town," Perry says.

In its heydey, the mill had 5,000 workers in the 1940s and 1950s. The company owned everything in town back then, from the tiny mill houses that surround the plant to the town hospital where Henderson and many of his co-workers were born.

As a result, Trion doesn't have a quaint town square. The mill is the centerpiece.

About two years ago, when the nation's recession hit hard, the plant had to layoff about 200 workers. "It was awful," Henderson says.

To save as many jobs as possible and to maximize efficiency, the plant switched to two, 12-hour shifts. That's down from three shifts, five days a week.

The denim for jeans goes to companies as wide-ranging as Wal-Mart to JCPenney to Dickies to Polo and other high-priced brands. Henderson's most proud of the mill's ties to cowboys.

"We make the Wrangler rodeo cowboy jeans that all the rodeo guys still wear," he says. "We make the fabric right here and have been for -- gosh -- 30 years."

Henderson holds up one roll of distressed fabric that's nearly ready to be shipped. It's denim that once was used for lower-end clothing. But yuppies like the look. Henderson chuckles and shakes his head.

Martha Teague is 63 and has worked in the mill for the past 35 years. She says other company towns had bosses that sold them out, that cared more about the dollar than its people.

"It just gives me a good feeling to be a part of that family of Mount Vernon Mills," says Teague, who has a son working at the plant.

"It has educated my children and gives us a house and everything we have really."

Wolfe wheels 13,000 yards of yarn into the dimly lit "ballroom." It's placed among a heap of others. "We're lucky to have what we got. Other small towns, they don't have that."

He turns and walks away in the orange glow of the ballroom.

You want to know a secret? A $12 pair of jeans often comes from the same roll of denim as a $150 designer pair.

@highlight

Cotton mill in northwest Georgia is America's No. 1 producer of denim

@highlight

Mill has been operating since 1845

@highlight

Most U.S. cotton mills shut in last decade, unable to compete with China

@highlight

"This mill here it feeds my family," says Christopher Wolfe, 31