On a road jammed with traffic in Kabul is a hospital behind very high walls. There's a security checkpoint at the gate and once inside, the guards search all belongings -- checking every bag, opening every zipper and looking through the lens of our TV camera to make sure it's not a bomb.

Inside the compound are single storey buildings clad in white paint. Cement pathways connect the low-rise structures that pave their way through a mini oasis. Trees and garden beds surround the complex. Brightly colored flowers sprout from the earth -- a stark contrast from the dry, dusty, arid landscape outside these four high walls. Vines grow up a patio awning where patients sit taking respite -- recovering from their injuries, all sustained through war.

This is the Emergency Hospital -- an Italian-run facility funded by private donors. It treats only victims of the war in Afghanistan -- civilians and the Taliban alike. The hospital had its busiest month in August 2012 with casualties reaching the highest levels since this war began almost 12 years ago.

Read more: NATO releases details of brazen attack on base

Recovering in one of the wards is 17-year-old Naweed Tanha. He was badly injured on September 8 when a teenage suicide bomber blew himself up outside ISAF Headquarters in Kabul. It was the 55th suicide bombing in Afghanistan this year. "We were all selling bracelets in that place," explains Naweed, quietly sitting on a bench outside, happy to get out of the crammed hospital ward. His right hand is thickly bandaged after the explosion tore a chunk off his palm. His legs and back were also badly injured after being flung ten meters  by the force of the blast.

"I was with my friends -- we're all poor, innocent people. I was a few meters away getting some water from the nearby water hand pump and as I was returning the bang happened," Naweed says.

"By the time I opened my eyes I saw myself injured and saw bodies of my other friends laying on the ground. I started crying and running towards them when police stopped me. They put me in a car and brought me here to the hospital. "

Four were killed in the blast, including 14-year-old Khorshid Hawa and her 10-year-old sister Parwana. "I am so upset for losing my friends," says Naweed, his eyes dark, his pupils bloodshot from crying. But he has no more tears to shed -- just hurt and anger oozes from his body. "What kind of people would do this? Why are they continuing to do this? It is ruining our country and our future."

Most of the kids were members of Skateistan -- a charity that teaches street kids how to skateboard while providing them with an education. They'd sell their wares in the morning, hustling bracelets, chewing gum and water to foreigners entering the heavily fortified ISAF compound. They'd then go off to school in the afternoon in an attempt to break this cycle of poverty.

Read more: Karzai's choice for Afghan intelligence chief suspected of torture, trafficking

James Herzog, an American music teacher at the Afghanistan National Institute of Music, used to hang out with Khorshid and her gang of skateboarding friends on the weekend. "She was strong and witty and full of edgy comebacks," he says with a sad smile on his face.

"She could stand up to any of the other street kid bullies and was always protecting the younger girls on the street. I loved spending my weekend afternoons with her and despite seeing her position in this life, I always left feeling extremely positive about this world."

James lived just around the corner from the blast -- he arrived on the scene shortly after witnessing the carnage. The bodies of his young friends had been taken away but pools of blood covered the footpath next to one of Khorshid's chalk drawings on the pavement.

"She never ever asked me for money and rarely tried to sell me any trinkets. She usually wanted to practice English, and I often quizzed her little sister with multiplication questions. I loved the moments when I could convince Khorshid to sing a folk song for me as an unofficial audition for the music school. At the end of every 'hang,' we would share an apple or Pepsi while she would draw little designs on the street or walls."

Paying tribute to his young Afghani friend, Herzog says she's left a huge imprint on his life. "Khorshid was one of those kids who sent life lessons back to the rest of the world through the foreigners who were lucky enough to know her. Her setting may have been a dusty street corner with occasional packs of aggressive dogs, nervous foreign soldiers, unforgiving barbed wire and concrete walls, but her beauty and positivity transcended all of it."

Back at the hospital, 15-year-old Mohammad Ilyas sits in a wheel chair -- both of legs are bandaged up. His mother has tied a piece of brightly colored material around his wrist as a good luck charm.

"We were close to the blast. I was very close to it -- almost two meters away. I didn't see the suicide bomber myself, but other people were saying that he was around 13 years old and he had a school bag too. After the explosion took place, I thought somebody had shot me in the leg but after I opened my eyes and saw my friends on the ground, I realized that it was an explosion.

"I saw their bodies. I saw the body flesh of the suicide bomber, which was spread every where -- only his legs were left lying on the ground."

Mohammad is about to undergo surgery on his legs. Doctors are telling him that he may never get full movement back, but the news doesn't seem to register. "I am very upset about losing my friends. I only remember them and I only think about them -- I don't care about my wounds."

"I was going to school for half a day and was spending half a day with them everyday. Whoever carried out the attack was a stupid person. They killed five of my friends who were the future of Afghanistan."

Skateboard school ramps up Afghan dreams

@highlight

Four children were killed in a teen suicide bombing on September 8

@highlight

They included Khorshid Hawa, 14 and her sister Parwana who was just ten

@highlight

Naweed Tanha, 17, tells of the moment the bomber attacked

@highlight

Most of the children were members of Skateistan, a charity for street kids