An ocean at least as large as Lake Superior lies below a thick layer of ice on a moon of Saturn, new data from NASA's Cassini spacecraft suggests.

The results, published in the journal Science, support earlier signs that this small moon has liquid water. That means Saturn's sixth-largest moon could have been -- or could now be -- hospitable to life.

This discovery puts Enceladus in an exclusive club of extraterrestrial worlds in the solar system that appear to have a subsurface water ocean. The others are Titan, another moon of Saturn, and Europa, a moon of Jupiter. Callisto and Ganymede, also moons of Jupiter, may also have oceans under ice.

"As far as whether one should go first to Europa or Enceladus, I look at this as a kind of a cornucopia of habitable environments in the outer solar system," study co-author Jonathan Lunine of Cornell University said in a press conference Wednesday.

What we think is there

The north pole of Enceladus has a thickness of ice around 30 miles, with solid rock beneath it. But at the south pole, there may be only 18 to 24 miles of ice covering a subsurface ocean that itself is 5 to 10 miles deep.

This ocean appears to be a "lens-shaped reservoir" that's deepest at the south pole and thinner further afield. The ocean appears to sit on top of a rocky core and "may extend halfway or more towards the equator in every direction," said study co-author David Stevenson, professor of planetary science at California Institute of Technology, in a press conference.

Also noteworthy is that the north pole is heavily cratered, while the ice on the south pole is smoother, meaning it has been resurfaced and softened.

Measurements from the new study and previous Cassini data suggest the moon's south pole has an ice layer on top of water on top of silicate rock. If that's true, water circulating through the rock would pick up elements such as phosphorous, sulfur, potassium and sodium into the liquid. These elements are essential for making molecules that life needs, Lunine said.

With respect to the ocean being on top of rock, the gravity data from Enceladus "makes the base of the ocean very much like the base of our own ocean on the Earth," Lunine said at the press conference.

Enceladus is a small moon, with a diameter of only about 310 miles. In 2005, Cassini found that fractures called "tiger stripes" in the south polar region emit water vapor jets rich in salt, lead author Luciano Iess of Sapienza Università di Roma in Rome, Italy, said in a press conference Wednesday.

Cassini has also detected organic molecules, which can come from biological or nonbiological sources, near the tiger stripes and in dust grains in the region.

A moon of Saturn may have 'tropical' lakes

How do we know?

No one has actually gone to Enceladus and seen this ocean under the thick ice layer. But scientists have strong evidence that it is there, based on gravity measurements made with Cassini.

When the spacecraft flies by Enceladus, the gravity of the moon changes the probe's speed. Scientists can measure those changes back on Earth by detecting fluctuations in the frequency of the signal that Cassini sends back. If the spacecraft's speed doesn't change, the frequency would remain the same.

But depending on where Cassini flies, the frequency of the signal changes in particular ways. This allows scientists to learn more about the moon's subsurface features.

Scientists had already known about the presence of a depression or "dimple" at the south pole of Enceladus, "as if there is some amount of, effectively, missing material," Lunine said. But in this new study, the change in gravity associated with the depression was not as dramatic as expected.

"There must be some higher density layer that's underneath the ice, and that has to be a liquid water ocean, because there's really nothing else plausible that can explain that offset to what we would expect for the gravity signature of this depression," he said.

It is possible that this ocean has been sending out the plumes that Cassini first observed in 2005, but this has not been verified.

How can we look for signs of life there?

Sending a probe to Enceladus with a drill wouldn't be entirely practical because the liquid water is so far under the ice that it would be hard to access, Lunine said.

Instead, a spacecraft with instruments more sophisticated than Cassini could fly through the plumes of material being ejected from fractures in the ice. Cassini has already detected the water vapor and organic molecules in these plumes, using a device called a mass spectrometer.

But a more advanced, more sensitive version of the same instrument could better test for the "menu of molecules" associated with an advanced biological system, Lunine said.

Detecting these molecules could be "the smoking gun for whether in fact there is life down there or not," he said.

@highlight

Enceladus is a small moon of Saturn

@highlight

New data suggest a subsurface ocean under its south pole

@highlight

Gravity experiment inferred that there must be liquid water there

@highlight

Miles of ice likely cover a subsurface ocean that itself is 5 to 10 miles deep