(CNN)The Golden State could soon refer to the hue of California's lawns.

Gov. Jerry Brown on Wednesday imposed mandatory water restrictions for the first time on residents, businesses and farms, ordering cities and towns in the drought-ravaged state to reduce usage by 25%.

"We're in a new era," Brown said. "The idea of your nice little green grass getting lots of water every day, that's going to be a thing of the past."

The 25% cut in usage amounts to roughly 1.5 million acre-feet of water (an acre foot of water equals about 325,000 gallons) over the next nine months, state officials said.

"This historic drought demands unprecedented action," Brown said, standing on a patch of dry, brown grass in the Sierra Nevada mountains that is usually blanketed by up to 5 feet of snow.

The reduction in water use does not apply to the agriculture industry, except for the requirement that it report more information on its groundwater use. The exclusion prompted some criticism, as agriculture uses about 80% of California's developed water supply.

Farms in the state have taken a hit, with reduced water allocations and thousands of farmworkers laid off. But climate writer Eric Holthaus of Slate wrote that "wasteful agriculture is literally sucking California dry."

The action comes as the Sierra Nevada snowpack, which Californians rely on heavily during the summer for their water needs, is near a record low.

One famed golf course group said it should be able to keep its fairways and greens green.

David Stivers, an executive vice president of the Pebble Beach company, said his company is studying the restrictions to see what effect it will have on business.

"It will not affect our golf course irrigation because we use recycled waste water (for golf course irrigation) from a plant we built in 1994," he said. The company operates Pebble Beach Golf Links, Spyglass Hill Golf Course and The Links at Spanish Bay as well as three hotels.

He said the drought has yet to hurt revenue.

"People up here are also very conscious about water usage and the expense of water in this area," he said.

Pepperdine University in Malibu, known for its beautiful campus, said it would be challenging to meet the restrictions given the water-saving practices already in effect.  The school already uses recycled and reclaimed water for campus irrigation and now it has turned off all fountains on campus, according to Rhiannon Bailard, director of the university's Center for Sustainability. The university was also encouraging students to further reduce water usage.

In addition, Brown's executive order will:

• Impose significant cuts in water use on campuses, golf courses, cemeteries and other large landscapes.

• Replace 50 million square feet of lawns throughout the state with "drought-tolerant landscaping."

• Create a temporary, statewide consumer rebate program to replace old appliances with water efficient models.

• Prohibit new homes and developments from irrigating with potable water unless water-efficient drip irrigation systems are used.

• Ban watering of ornamental grass on public street medians.

• Require agricultural water users to report more water use information to state regulators, increasing the state's ability to enforce against illegal diversions and waste.

"It's a different world," Brown said Wednesday. "We have to act differently."

A staggering 11 trillion gallons are needed for California to recover from the emergency.

The estimate is based on NASA satellite data analysis of how much water the state's reserves lack. That's more than 14,000 times the amount of water it would take to fill the Dallas Cowboys stadium, according to CNN calculations. It's the amount of water that flows over Niagara Falls in about 170 days' time.

The entire state faces at least a moderate drought, and more than half of the state faces the worst category of dryness, called an exceptional drought, according to the U.S. Drought Monitor.

California isn't the only state feeling an absence of rain. As of late September, 30% of the Lower 48 faced at least a moderate drought, particularly in the Southwest states neighboring California and in Texas, the Drought Monitor says.

But none of those states is facing the extremes of California, where the drought has been a slowly building natural disaster since 2012.

In fact, Brown last year declared a state emergency, saying his constituents are facing "perhaps the worst drought that California has ever seen since records (began) about 100 years ago."

Opinion: The end of the LA lawn

On September 16, Brown signed "historic legislation" that created "a framework for sustainable, local groundwater management for the first time in California history," the governor's office said. Before the new legislation, California was the only Western state that didn't manage its groundwater, officials said.

Last month, Brown unveiled an emergency $1 billion spending plan to tackle the state's historic drought.

According to the State Water Resources Control Board, the package will specifically accelerate $128 million from the governor's budget to provide direct assistance to workers and affected communities.

Proposition 1 funding, which enacted the Water Quality, Supply, and Infrastructure Improvement Act of 2014, will funnel $272 million into safe drinking water efforts and maintenance of water recycling infrastructure. Some $660 million from Prop 1 will also be accelerated for flood protection in urban and rural areas.

As part of the changes, Brown said additional measures will crack down on water inefficiency as California enters the fourth year of a worsening water crisis.

The March snowpack measurement came in at 0.9 inches of water content in the snow, just 5% of the March 3 historical average for the measurement site.

The overall water content for the Northern Sierra snowpack came in at 4.4 inches, just 16% of average for the date. Central and southern Sierra readings were 5.5 inches (20% of average) and 5 inches (22% of average) respectively.

Only in 1991 has the water content of the snow been lower.

CNN's Tony Marco, Amanda Watts, Ben Brumfield, Michael Martinez, Sara Sidner, Alexandra Meeks and Traci Tamura contributed to this report.

@highlight

Pepperdine University seeks ways to meet new usage allowances, turns off fountains

@highlight

Drought-stricken California for the first time imposes water restrictions

@highlight

Executive order demands that cities and towns reduce water usage by 25%