Tampa (CNN) -- On the night vice presidential candidate Paul Ryan made his debut on the national stage, the GOP turned its attention to America's influence abroad and what the party sees as President Barack Obama's failed economic policies. The roster of speakers at the Republican National Convention boasted two of the party's foreign policy heavy hitters and rhetoric designed to appeal to voters who are still undecided. Here are five things we learned from the convention's second night:

1. Romney's enforcer comes to play

On Tuesday, the GOP convention was about love (Ann Romney) and respect (Chris Christie).

But to the chagrin of head-scratching Republicans eager to take the fight to President Barack Obama, there wasn't much talk in the Tampa Bay Times Forum about the current administration in Washington.

Paul Ryan put those anxieties to rest on Wednesday with a lengthy, aggressive and systematic attack on Obama's record in office, with one question as the thesis: "Without a change in leadership, why would the next four years be any different from the last four years?"

Ryan, criticized by Democrats as the architect of a budget plan that would gut Medicare, went on offense on the issue in the heart of retiree-heavy Florida.

"The greatest threat to Medicare is Obamacare, and we are going to stop it," he said.

There were also flashes of biography as the Wisconsin congressman tried to introduce himself to a country still learning about Mitt Romney's running mate.

But it was clear from his sharpened rhetoric that the Romney campaign sent Ryan onstage to make the case against Obama.

He described Obamacare as a cold "power play," condemned Solyndra as "cronyism at its worst" and said the president is "forever shifting blame."

Then there was this line, sure to be remembered for its trenchant appeal to younger voters who had hoped for more from Obama: "College graduates should not have to live out their 20's in their childhood bedrooms, staring up at fading Obama posters and wondering when they can move out and get going with life."

Responding in a statement, Obama spokeswoman Stephanie Cutter said Ryan "offered Americans 40 minutes of vitriol and a half-dozen previously debunked attacks, but not one tangible idea to move this country forward."

Ryan: White House leadership missing

2. On weak spots, let surrogates shine

Republicans' nearly singular focus on the economy took a back seat Wednesday when Sen. John McCain and former Secretary of State Condoleezza Rice took the stage to talk foreign policy, a topic Mitt Romney makes little mention of on the stump and that has been largely absent from the national political debate.

Romney faces a solid foreign policy record from the current president, who voters consistently say in polls would better handle America's relationships with other countries if re-elected. In the latest CNN/ORC International survey released earlier this week, President Barack Obama had a 51%-44% advantage over Romney on foreign policy.

Facing those facts, the Romney campaign chose Wednesday to use conservatives with well-established foreign policy credentials to make the case that Obama has failed a test of leadership in key international hot spots, including in Syria and Iran.

"Unfortunately, for four years, we've drifted away from our proudest traditions of global leadership, traditions that are truly bipartisan," McCain said. "We've let the challenges we face, both at home and abroad, become harder to solve. We can't afford to stay on that course any longer."

Rice echoed many of the same themes. The former secretary of state said Romney and Ryan "know that our friends and allies must again be able to trust us," what she said was Obama's weakness on the international stage.

Yet even Rice turned back to the economy, saying when the world looks at the United States, "they see an American government that cannot live within its means."

Rice and McCain's remarks were a brief side track to a convention overwhelmingly focused on blaming Obama for the weak economy and how Romney plans to fix it. As Republican strategist and CNN contributor Alex Castellanos noted, neither campaign thinks foreign policy will make a big difference to voters struggling with high unemployment and stagnant wages.

"It's not going to matter at the end," Castellanos said. "Both campaigns, I think, but especially the [Romney] campaign, wants to move on to the economy. And Barack Obama now has the experience, four years as commander-in-chief. So I put that is a plus for the Democrats in the fall."

McCain: Can't have security threatened

3. Faith does matter

Four years ago, as they were battling for the 2008 Republican presidential nomination, Mike Huckabee questioned Romney's Mormon faith.

Four years later, as he addressed the Republican convention in prime time, the former Arkansas governor had a very different message.

"I care far less as to where Mitt Romney takes his family to church than I do about where he takes this country," said Huckabee, who still wields influence among social conservatives. Some in that key component of the Republican base still harbor suspicions of Romney 's faith.

While this convention is supposed to focus mostly on the economy, and while Huckabee did attack Obama over his handling of the issue, he did made the case for why social conservatives need to rally around their party's presidential nominee.

"Let me clear the air about whether guys like me would only support an evangelical. Of the four people on the two tickets, the only self-professed evangelical is Barack Obama, and he supports changing the definition of marriage, believes that human life is disposable and expendable at any time in the womb or even beyond the womb, and tells people of faith that they must bow their knees to the god of government and violate their faith and conscience in order to comply with what he calls health care," he said.

Republican strategist John Branbender said that social conservatives are extremely committed to beating Obama. "The important thing Mitt Romney needs to do is moving them from being voters in November to being activists."

"And the difference is showing and voting and making phone calls, putting bumper stickers on their cars, and frankly that's where a Mike Huckabee, a Rick Santorum, and others, make it so vital, because they're out there on the front lines with social conservatives saying 'the war is now. This is the most important election in our lifetime. We have to win and we have to get active behind Mitt Romney.'"

How faith will matter at the RNC

4. Condi Rice: A star Is born

Romney advisers gave Condoleezza Rice rave reviews earlier this summer after she addressed a room of Republican donors and GOP officials at a closed-door campaign confab in Park City, Utah.

On Wednesday, the country got a glimpse of the political skills and stage presence that may have prompted Romneyland to float Rice as a potential running mate in a buzzed-about leak to the Drudge Report in July.

The former secretary of state under George W. Bush and current Stanford professor showed off her foreign policy acumen with a fluent (if somewhat predictable) defense of America's role in the world.

"My fellow Americans, we do not have a choice," she said. "We cannot be reluctant to lead, and one cannot lead from behind.

But it was Rice's tribute the American dream, the second half of her speech was laced with nods to her personal story and difficult upbringing in segregated Alabama, that had the convention crowd and political watchers mesmerized.

"America has a way of making the impossible seem inevitable in retrospect," she said. "But of course it has never been inevitable. It has taken leadership, courage and an unwavering faith in our values."

Her speech set Twitter alight.

"Lump in throat," said Florida GOP operative Ryan Duffy.

"The birth of a candidate," tweeted Roll Call editor David Drucker.

"A memorable speech," political analyst Stuart Rothenberg wrote. "Wow."

Rice: America can't lead from behind

5. Romney and Ryan don't see iPod to iPod

If you thought that Romney and his running mate are always on the same page, they're not. Ryan highlighted where the GOP ticket splits: on their playlists.

The first member of Generation X on a presidential ticket pointed out one of the biggest differences in his vice presidential acceptance speech.

"We're a full generation apart, Gov. Romney and I," Ryan said. "And, in some ways, we're a little different. There are the songs on his iPod, which I've heard on the campaign bus. And on many hotel elevators. He actually urged me to play some of these songs at campaign rallies. I said, I hope it's not a deal-breaker, Mitt, but my playlist starts with AC/DC and ends with Zeppelin," said Ryan.

Ryan was obviously having some fun, but there's a serious side to his comments. By highlighting their differences over music, Ryan also emphasized his youth. It was accentuated by the 42-year-old congressman's wife and young children joining him on the stage following his speech. And that infusion of youth on a ticket headed by someone in his mid-60s could help.

Ryan spoke the word "generation" a number of times in his address, at one point saying "I accept the calling of my generation to give our children the America that was given to us, with opportunity for the young and security for the old, and I know that we are ready."

With national and state polling indicating that Obama holds a large advantage among younger voters over Romney, Ryan can only help.

"We've got our first rock 'n' roll Republican on a national ticket. And that's something Mitt Romney lacked," Castellanos said. "Mitt Romney hadn't made the case yet about taking this campaign into the future. Obama's saying that Mitt Romney wants to go back. Paul Ryan is evidence that this party wants to move forward."

'Gen Xer' Paul Ryan takes up GOP torch, makes case to young voters

@highlight

McCain and Rice took to stage to underscore GOP foreign policy

@highlight

Mike Huckabee, who once questioned Romney's Mormon faith, sang his praises

@highlight

Condoleezza Rice's speech won raves both in the forum and on Twitter