(CNN) -- This week, Barack Obama will embark on his first trip to Israel as president. The visit will enable him to engage, experience and touch Israelis in ways that move and bolster us.

In seemingly small gestures that are nevertheless immensely meaningful to Israelis, and in declarations designed to be heard throughout the region, Obama will reinforce Israel's legitimacy and reassure a nation facing monumental challenges. Israelis will know -- justly, incontestably -- that we are not alone.

That realization will contrast with earlier reports of Israeli skepticism about Obama and his commitment to the Jewish state. Israel is situated in a region rife with turmoil, anti-Semitism, and terror, and its survival is threatened daily. Though the Israel Defense Forces are formidable, Israelis need to feel that the leader of our greatest ally, America, always stands beside us.

Obama sought to allay these concerns, telling the U.N. General Assembly in September 2011 that "the Jewish people have forged a successful state in their historic homeland." He repeatedly upheld the unbreakable bonds between the U.S. and Israel, and his total dedication to Israel's security.

Now the president has chosen Israel as the first foreign destination of his second term. Immediately after landing, he will visit a battery of the anti-missile system, Iron Dome. Designed by Israel and funded by the president and the Congress, this particular battery was deployed at the height of November's fighting with Hamas and within an hour intercepted a terrorist rocket heading for Tel Aviv.

The only anti-missile system in history to succeed in combat, Iron Dome saved lives and avoided war, affording the Israeli government the precious time needed to negotiate a cease-fire. While speaking with the young soldiers who man Iron Dome, Obama will remind the Middle East of America's pledge to enable Israel to defend itself by itself against all enemies.

Less dramatic, perhaps, but no less significant will be the president's tour of the Israel Museum's treasure, the Shrine of the Book. A white-tiled structure recalling the ancient jars in which they were hidden, the Shrine houses the Dead Sea Scrolls, the world's oldest Jewish manuscripts. By surveying Hebrew texts composed in or around Jerusalem thousands of years ago, Obama will signal the unbroken link between the Jewish people and their ancient land.

That message will be reiterated at Obama's last stop. Ascending the mount that serves as Israel's equivalent to Arlington National Cemetery, the president will lay a wreath at the grave of Benjamin Ze'ev (Theodor) Herzl. Fifty years before the Holocaust, Herzl envisioned the creation of a Jewish state in the land of Israel and fathered the Zionist movement.

In 2010, former Brazilian President Luiz Inacio Lula da Silva, an outspoken friend of Iran, refused to pay similar homage to Herzl. Doing so, he knew, meant acknowledging the Jewish people's unassailable right to self-determination in their forebears' land. But Obama will do just that, while the Middle East watches.

There will be other highlights in the president's visit. He will tour Yad Vashem, Israel's national Holocaust memorial, not to associate Israel's creation with the Nazis' Final Solution, but rather to reaffirm Israel's right to defend itself from genocidal threats, such as those made by Iran.

The president will also address an audience of hundreds of students from leading Israeli universities, who will be eager to hear his vision for Israel and the Middle East and his appreciation of Israel's many accomplishments in the technological and scientific fields.

Beyond the public events, though, Obama will be meeting at length with Prime Minister Benjamin Netanyahu. Contrary to press reports, their relationship has been open and friendly. This will mark their 10th meeting and, indeed, Obama says that he has spoken to the prime minister more frequently than any foreign leader.

The two leaders will discuss issues of critical importance to the security of both nations --restarting unconditional peace talks between Israel and the Palestinians to create a solution based on two states for two peoples, monitoring Syria's chemical weapons arsenal and preventing Iran from acquiring nuclear weapons capability. Presumably, these issues will also be raised in the president's meetings in the West Bank and Jordan.

The message, however, will be the same: America remains committed to security and peace in the Middle East and dedicated to a safe and recognized Jewish state of Israel. Israel will show its appreciation for that resolve when President Shimon Peres bestows on our visitor Israel's highest civilian medal, the Presidential Medal of Distinction. By the time Air Force One takes off from Ben Gurion Airport, it will undoubtedly leave behind an Israeli people profoundly affected and reassured.

The opinions expressed in this commentary are solely those of Michael Oren.

@highlight

Israeli ambassador: Barack Obama making first trip to Israel as president

@highlight

Michael Oren says trip will reinforce Israel's legitimacy and reassure the nation

@highlight

Obama will inspect anti-missile battery and visit grave of father of Zionism, he says

@highlight

Oren: Israel will demonstrate its appreciation for U.S. support for Mideast peace and security