(CNN) -- Larry, one of the employees you supervise, hasn't been performing his job up to expectations. But you've been reluctant to take him aside and speak with him candidly: Like most senior people in the company, you are white. What if Larry, who is black, takes your criticism the wrong way or, worse, thinks you are racist?

The last thing you want is for others to think your actions were influenced by race. So you've held off talking to him about performance issues that you'd likely have raised with your non-minority employees. You're relieved that a potentially thorny situation was averted, even pleased with your capacity to be so racially sensitive.

But in fact, recent research suggests, you have not done your company, your employee, or yourself much good. However well-intentioned, striving to create the appearance of colorblindness by sidestepping the specter of race can be more of an obstacle than an asset to good management practice.

Read more: Is your boss a psychopath?

It's easy to understand the appeal of colorblindness: it seems to offer a relatively easy way to handle complicated and often divisive issues of race in business and broader society: after all, if we don't notice race, we can't act in a biased manner on that basis, right? Yet social psychological research shows that far from being a panacea, turning a blind eye to the realities and complexities of race can create more problems than it solves. It can even stand in the way of creating constructive and equitable race-related policies.

You can pretend that race doesn't matter or that you don't "see" race, but quite often neither claim is accurate. In fact, research in social neuroscience suggests that people perceive others' race almost instantly (typically in less than one-seventh of a second).

Rather than feeling reassured or comforted by your ability to avoid the race issue, consider that, according to research, minority employees like Larry are actually more (not less) distrustful of people who fail to acknowledge the elephant in the roomâ€”raceâ€”than they are of individuals who openly talk about it.

Avoiding race can not only undermine minorities' impression of you, but also can make it harder for them to get better at their jobs. Managers who are petrified by the looming issue of race and the potential of appearing prejudiced can make the mistake of not giving the type of critical feedback to minority team members that they readily offer to white team members.

I've seen this dynamic play out in a class activity I conduct in which students work in teams and then offer feedback to help one another strengthen their skills. It became clear to me that white students were not giving the same level of critical feedback to minorities as they were to white team members.

Other studies have identified similar experiences among teachers and students: Teachers were not as likely to give critical feedback when grading a paper to black students because they did not want to be seen as insensitive. How do you expect those students -- and Larry -- to improve if no one's willing to give them the critical feedback that challenges them to do so?

Read more: find your superpower

I'm not suggesting that as a manager, you walk into the office and point out a co-worker's background. But being more authentic and transparent about race can make people more relaxed in the workplace.

Sometimes race clearly is relevant, and not talking about it can actually make things more awkward. Skilled managers need to be able to create a cohesive, trusting team climate in which people are able to acknowledge that John is black, Mary is older, and Steve is gay. It doesn't mean that such factors need to or should be in the forefront of discussion, but they shape who we are as people; allowing them to fester without acknowledgement can impede the effectiveness and openness of group discussions and teamwork.

The fact of the matter is that women and minorities often experience organizational life differently. Perceptive managers understand that keeping their team happy and productive means recognizing this.

The argument isn't that race should be overvalued, but rather that it should be a topic that is OK to acknowledge and discuss. Ironically, attempts to demonstrate how colorblind we are or how inconsequential race is in the workplace only illustrate how significant these issues really are. We're just not able to admit as much.

The opinions expressed in this commentary are solely those of Evan P. Apfelbaum.

@highlight

Trying to ignore race in the workplace can do more harm than good, says Evan Apfelbaum

@highlight

He says research suggests that people perceive others' race almost instantly

@highlight

Minority employees are more distrustful of people who don't acknowledge race, he says

@highlight

It should be OK to acknowledge and discuss race, says Apfelbaum