Around this time each year, as I prepare for Mobile World Congress, I anticipate the flood of new and exciting innovations that will be announced, the inspiring people I'll be meeting and the general buzz around mobile on a global scale. I also hope that I will see more women in attendance at the show.

It's no secret that the technology sector currently has a dearth of women in the workforce.

There has already been considerable discussion and research about the fact that girls are not choosing to study STEM (science, technology, engineering and mathematics) subjects, how a divide exists between men and women with access to the Internet, how much GDP could increase if the number of digital jobs held by women was on a par with men...the list goes on.

Clearly we need more women working in the mobile and ICT industry, and more women getting connected by mobile.

In other words, we are calling for more mobile women -- empowered by mobile and upwardly mobile as a result. Making women aware of the many opportunities enabled by mobile -- and holding challenging and well-remunerated positions -- is a passion of mine.

I always knew I wanted to work in an exciting and innovative industry. I recognized that computer science and telecoms were burgeoning sectors, and I pursued them knowing that this unchartered territory would be rife with opportunities.

Even at the start of my career, I had a desire to make a difference in an environment that was constantly evolving and pioneering.

Two decades later, the industry is still just as exciting. However, while new generations of women are increasingly embracing technology in their everyday lives, they may not realize just how dynamic it is to work in mobile and ICT.

I will dispel the myth now: hardly anyone I know who works in technology is a "geek" who sits glued to their computer screen for 20 hours a day. Of course there are enormous opportunities for people with deep technological skills, but there are just as many for people who want to support the full potential of mobile, whether it's creating connected cars, advancing mobile commerce, or even designing the master plan for a smart city.

There are opportunities to do almost anything.

In fact, women in the ICT industry earn almost 9% more than those in other parts of the economy. Yet they constitute only 30% of the ICT workforce in Europe, and also often leave the industry early, missing out on the chance to get to the top.

We need to make women in mobile and ICT the norm rather than the exception -- and also encourage those that are on the path not to abandon it.

So how do we attract and retain more mobile women?

Motivating women to work in the mobile industry needs to start from the ground up, ensuring they are given the opportunities and guidance to pursue STEM subjects in the first place, provided with practical experience like internships in the field, and also inspired by the potential of mobile to change people's lives.

Many women in developing nations become mobile through ownership of their first mobile phone. The positive impact that mobile has on everyday life is perhaps felt most strongly in these markets, where mobile services provide critical connectivity, life-enhancing access to education and healthcare, and empowerment through entrepreneurship.

The transformative power of mobile for women was clearly demonstrated when Iraqi operator Asiacell launched a line of products and services to target the needs of women, who at the time comprised only 20% of their subscribers.

The result? Less than three years later, Asiacell has increased its female customer base to 40%, enriching the lives of nearly two million Iraqi women who are now connected and empowered with more social and financial independence.

We know that regardless of their locality or social strata, the positive effect of more mobile women around the world can transcend the industry and have much wider socioeconomic benefits.

So as we collectively strive to connect the next one billion users and stimulate the positive change that the mobile Internet brings, we must ensure that women will be included in this upsurge.

To do this, we need to address the entire mobile ecosystem. It starts with mobilizing the stakeholders involved -- policymakers and educators, mobile operators, manufacturers, and suppliers -- and extends to women themselves recognizing the myriad opportunities for their talents in the mobile and ICT industry.

As I look back on many industry events where I addressed and interacted with a large number of male colleagues, I look forward to many more where I'll be just one of many involved, dynamic, mobile women.

Read more: 10 most powerful women in tech Read more: Google's quest to get more women in tech

@highlight

The technology sector has a dearth of women in the workforce, Anne Bouverot writes

@highlight

Women in the ICT industry earn almost 9% more than those in other parts of the economy

@highlight

"We need to make women in mobile and ICT the norm rather than the exception," she says