(CNN) -- Doctor James Braude leads a group medical practice in an elegant Atlanta, Georgia, office decorated with designer furnishings. It doesn't look like a charity asking for handouts. But it is asking.

Obama, pictured July 1 in Virginia, has been touring the states to promote his plan to voters.

"On some days we've counted up to 30 patients a day who've lost their jobs and their health insurance," Braude said.

So Braude and his colleagues offer as much free care as they can afford. The doctors have also begun discreetly inviting paying patients to contribute to a fund, helping more people get care they haven't got the money for.

"We're doctors. We're addicted to helping people. And when we can't, we go through withdrawal."

Millions of Americans have always gone without the kind of routine medical care that is seen as a basic right in many countries. The U.S. economic downturn -- meaning people lose health insurance when they lose their job -- and the election of President Barack Obama have coincided to increase both the need and the opportunity to address the plight of uninsured America.

Obama's ambition is to provide insurance for the estimated 50 million Americans without coverage.  Watch why many in rural U.S. have concerns »

The insurance is expected to cover doctors, hospital care and prescription drugs. But just about every detail is still being negotiated so it's not certain who would be covered, what they would be covered for or whether people who don't want insurance would be forced to have it and pay for it.

The plans that emerge could become the Obama administration's most ambitious domestic program and potentially a big, early test of his presidency.

American medical care needs attention

Even though nearly 50 million of its roughly 300 million people have no routine health care, the United States spends more going to the doctor than any other industrialized nation in the world. Fully one-sixth of the economy is devoted to it.

Under the current hybrid system, the U.S. Government pays for health care for ex-military, the extremely poor and the elderly.

But the vast majority of Americans have to pay for their own health care and most do it where they work; many employers arrange health insurance and partly subsidize the premiums.

The rapidly rising cost is crushing all kinds of businesses, from car companies to family farms. At the same time, hospitals and doctors say they are falling behind because the payments they receive from insurance companies aren't keeping up with their costs.

"Within a decade we will be spending one out of every five dollars we earn on health care," Obama said recently. "In 30 years, it will be one out of every three. That is untenable, that is unacceptable, and I will not allow it as president of the United States."

The politics: Deep disagreement

There is a lot of disagreement about what to do. Congress has the job of actually turning the push for change into a functioning government program. Democratic lawmakers don't all support the president's plan or agree on how to pay for it.

Republicans are split in a different way. Some lawmakers are trying to influence the Democrats' plans and others are proposing entirely different alternatives.

"If you look at their plan, it really is a big government-run plan that will take control of the delivery of health care in America," said Republican congressional leader John Boehner. His suggestion: "Improve the current system so it works better."

The most profound disagreement centers on whether Washington should create its own new health-insurance concern to compete with the private companies that provide insurance now. Obama and many Democrats favor it; Republicans are dead set against it.

Part of the problem is that insurance companies fear the government will put them out of business, by favoring or subsidizing its own scheme.

The other part of the problem is more basic and ideological. The U.S. government already runs enormous health-insurance programs for the poor, the elderly and military veterans -- but many Americans see potentially mandatory government health-insurance as the foreign-born offspring of socialist states.

The economics: More debt

Political opposition notwithstanding, the economics are going to be a problem too. Health care is a $2 trillion-dollar-a-year industry that would have to expand to cover millions of people who are now uninsured.

The president has some ideas for new efficiencies but most estimates suggest the total cost of caring for Americans would rise dramatically. Washington is already carrying record debt and would have to find a way to pay for it.

One assessment by the Congressional Budget Office of the Senate Democrat plan estimated it would cost more than $1 trillion over 10 years and only provide coverage for about 16 million Americans.

There's also the possibility that the impact of reform on many employers and virtually every wage-earner across the country will have a spillover effect on the economy as a whole, still lodged in recession.

The health care industry: Undecided

Then there is the place where the politics and the economy overlap: the health care industry.

Doctors alone have spent roughly two-thirds of a billion dollars lobbying lawmakers in the last 10 years, according to the independent Center for Responsive Politics. Add pharmaceutical companies and hospitals, nurses and other health care professionals and you get one of the most influential forces in U.S. politics.

They successfully organized to defeat health care reform when the Clinton administration tried it 15 years ago.

The industry benefits from one crucial thing: Americans like their doctors.

A CNN/Opinion Research Corp. survey released July 1 found 54 percent of people worry that their health care costs would go up if the administration's proposals get passed and only one in five thinks that his or her families would be better off under the Obama plan.

With all that in mind, Atlanta's Dr. Braude says he's optimistic the reform can succeed. If not, he says, "we go back to the same system and we have 50 million people without insurance, which means you are one brain tumor away from bankruptcy."

@highlight

About 50 million Americans are without any health insurance

@highlight

People losing jobs in the recession also lose health insurance

@highlight

Government health provision care largely confined to veterans, elderly and poor

@highlight

Extending government role is health care is politically hot potato