Records of dead veterans were changed or physically altered, some even in recent weeks, to hide how many people died while waiting for care at the Phoenix VA hospital, a whistle-blower told CNN in stunning revelations that point to a new coverup in the ongoing VA scandal.

"Deceased" notes on files were removed to make statistics look better, so veterans would not be counted as having died while waiting for care, Pauline DeWenter said.

DeWenter should know. DeWenter is the actual scheduling clerk at the Phoenix VA who said for the better part of a year she was ordered by supervisors to manage and handle the so-called "secret waiting list," where veterans' names of those seeking medical care were often placed, sometimes left for months with no care at all.

For these reasons, DeWenter is among the most important and central people to the Phoenix VA scandal over a secret wait list, veterans' wait times and deaths. Despite being in the center of the storm, DeWenter has never spoken publicly about any of it -- the secret list, the altering of records, the dozens of veterans she believes have died waiting for care -- until now.

Records changed

It was one of DeWenter's roles to call veterans when appointments became available to schedule them to get a consultation. Sometimes when she made those calls, she'd find that the veteran had died, so she would enter that on their records.

But at least seven times since last October, records that showed that veterans died while waiting for care -- records which DeWenter personally handled and had entered in details of veterans' deaths  -- were physically altered, or written over, by someone else, DeWenter said in an exclusive interview with CNN. The changes, or re-writes, listed the veterans as living, not deceased, essentially hiding their deaths.

The alterations had even occurred in recent weeks, she said, in a deliberate attempt to try to hide just how many veterans died while waiting for care, by trying to pretend dead veterans remain alive.

"Because by doing that, that placed (the veterans) back on the wait list," said DeWenter, explaining she believes that the purpose of "bringing them back to life" in the paperwork and putting the veterans back on the electronic waiting list was to hide the fact that veterans died waiting for care.

"I would say (it was done to) hide the fact. Because it is marked a death.  And that death needs to be reported.  So if you change that to, 'entered in error' or, my personal favorite, 'no longer necessary,' that makes the death go away.  So the death would never be reported then."

'Into a desk drawer'

Beginning early last year, DeWenter said she was also instructed to hide the crisis at the Phoenix VA medical center by concealing new requests for treatment. This was at a time when the VA was paying bonuses to senior staff whose facilities met the goals of providing care in a timely manner for veterans, typically within 14 days.

New requests by veterans wanting treatment were actually stuffed into a drawer, to make the books look better, according to DeWenter.

Asked what happened to the new requests for appointments, DeWenter said: "They went into a desk drawer.... That would be the secret list."

There was "no doubt" it was, in fact, a secret list, she said.

DeWenter's claims support those of Dr. Sam Foote, now retired from the VA, who spoke to CNN in March and raised the lid on the Phoenix crisis and allegations that up to 40 veterans died while waiting for care.

Since November 2013 CNN has been investigating and publishing reports of wait lists and deaths of veterans across VA hospitals around the country.

Massive investigation

The concerns over delays in care and deaths of veterans across the country created a national furor during the last six weeks that prompted Senate hearings and ultimately led to the resignation of President Obama's VA Secretary, Eric Shinseki.

Investigators from the VA's Inspector General's office have been in Phoenix looking into the charges by DeWenter, Foote and other VA whistle-blowers. The teams include criminal investigators. The VA's Office of Inspector General also has investigators in 69 other locations, looking into charges of other data manipulation, delays and deaths, and allegations of whistle-blower retaliation.

Report: Veterans neglected for years in VA facility

DeWenter said she has "submitted evidence" to criminal investigators about the altering of records and also the secret list and how it worked.

Officials at the U.S. Department of Veterans Affairs did not respond specifically to any of DeWenter's allegations. Instead a spokesman sent CNN a generic statement stating:

"As Acting Secretary Gibson has said at VA facilities around the country, we must work together to fix the unacceptable, systemic problems in accessing VA healthcare.  We know that in many communities, including Phoenix, veterans wait too long for the care they've earned and deserve.  That's why VA is taking action to accelerate access to care and reaching out to veterans to get them off wait lists and into clinics.  "

The statement added: "We respect the independent review and recommendations of the Office of Inspector General (OIG) regarding systemic issues with patient scheduling and access, and we await the OIG's final review."

'Beyond horrible'

It has been an horrific year for DeWenter. In early 2013, the waiting list at the Phoenix VA was so long that 1,700 veterans were on it, and many vets could not get an appointment for as much as nine months, or longer, DeWenter said. On average there were requests from 40 new patients a day, she said.

DeWenter says the hospital administration knew it, but was so focused on meeting an immediate goal, the patients didn't matter.

"It's beyond horrible," she said, tearing up at times during the interview.

DeWenter said in addition to keeping the secret list and keeping quiet when she learned veterans on the list died, she was also pushed to clear up the backlog on the electronic waiting list, which put pressure on follow-up care as well.

There simply were not enough doctors -- and not enough appointments -- to handle new patients, backlogged patients and even very sick patients.

DeWenter, a scheduling clerk, was suddenly making life and death decisions. Doctors, nurses and emergency room providers were calling her trying to get appointments for individual patients who couldn't wait.

"And that really overtook even the wait list," DeWenter said. "Because now I have a consult where veterans are very sick.  So I have to ease up on the wait list.  It sounds so wrong to say, but I tried to work these scheduled appointments so at least I felt the sickest of the sick were being treated."

Congressional action on VA: Too little, too late

The stress, DeWenter said, was unbearable. Then came the call she had to make in early December. She finally had an appointment available for a Navy veteran who had come to the VA months earlier urinating blood.

"I called the family.  And that's when I found out that he was dead," she said.

Turning point

DeWenter would not tell CNN the patient's name. But CNN interviewed Sally and Teddy Barnes-Breen earlier this year, and the stories match. Thomas Breen, Teddy's father and a Navy veteran, died in November 2013 after being repeatedly denied care at the Phoenix VA.

DeWenter called the home and reached Sally Barnes-Breen, telling her the VA finally had a primary appointment for her father-in-law.

Barnes-Breen told CNN she was incensed, as Breen had just passed away.  "I said, 'Really, you're a little too late, sweetheart,'" she told CNN previously.

DeWenter said that conversation was a turning point -- hearing the anger from the family and details on how the veteran died screaming that veterans did not deserve such treatment.

"And I promised her that I would do everything in my power to never have this happen to another veteran again," she said.

Going public

DeWenter said that's when she and Foote began seriously talking about what could be done.

In December of last year DeWenter and Foote told everything to the VA's Office of the Inspector General.

"I thought that was a saving grace," DeWenter said. "I thought, 'Okay, this is it.  This is gonna be all over,' you know?  Then it wasn't.  And we were waiting, and waiting, and waiting, and waiting.  And nothing ever happened... Nothing.  We didn't hear anything.  The leadership (in Phoenix) was telling us, 'Oh, we passed everything.  We're not doing anything wrong.'  And I'm like, 'We're not doing anything wrong? But people are still dying?'"

DeWenter said they were giving up hope and decided for Foote to contact the media.

DeWenter said until now she was simply too scared to come forward. And she is still scared.

"My life will change after this comes out. I will have people at work who are not going to like me because of what I've done. And I'll have other people at work who will say thank you for doing what you've done."

DeWenter believes her information on what she says is an ongoing coverup at the Phoenix VA is in the hands of the FBI.

Performance reviews at troubled VA showed no bad senior managers

Phoenix VA officials still on payroll during termination process

FBI launches criminal probe of VA

@highlight

New whistle-blower alleges more wrongdoing at Phoenix VA hospital

@highlight

Scheduling clerk: Records changed, new requests for treatment stuffed in a drawer

@highlight

"It's beyond horrible," says Pauline DeWenter of the way veterans were handled

@highlight

It's the latest revelation since CNN began investigating long VA wait lists and deaths