(CNN) -- A political clash over the legitimacy of Venezuelan President Hugo Chavez's next term loomed as the announcement came that he will be unable to attend his inauguration.

With Chavez unable to be sworn in, a number of constitutional questions have become central: Can the president be sworn in on another day? And who should be in charge in the meantime?

The disagreement hangs a cloud of uncertainty over Venezuela, as political forces disagree on whether Chavez will be a legitimate president or whether someone else should assume power and call for new elections.

Officials on Tuesday confirmed that medical treatment in Cuba will keep Chavez from being sworn in for his new term this week.

At the same time, supporters and opponents of Chavez are bracing for a legal battle over whether the inauguration can be postponed.

Chavez: Survivor and Venezuela's long-serving president

A statement from Venezuela's vice president read before lawmakers Tuesday said that the constitution authorizes "at a later date, the swearing-in before the Supreme Court."

"The process of post-surgical recuperation must continue past January 10 of this year, so he will not be able to appear on that date before the National Assembly," the statement said.

The 58-year-old Venezuelan president has been treated for cancer in Cuba for the past month, most recently battling respiratory complications.

Read more: Venezuela: As Chavez battles cancer, Maduro waits in the wings

A fierce debate

Tuesday's formal announcement sparked a fierce debate in the assembly, intensifying a political battle that has been playing out for weeks in news conferences, on the country's airwaves and in social media posts.

The constitution says Chavez can be sworn in before the Supreme Court, but the wording is not clear about whether that swearing-in must occur Thursday or who should run Venezuela in the meantime.

The president of Venezuela's Supreme Court is scheduled to speak to reporters Wednesday.

Supporters and critics of Chavez both point to the country's constitution but offer wildly different interpretations of what it says.

Opposition lawmakers said in Tuesday's debate that Chavez should be declared temporarily absent from his presidential post to avoid a power vacuum.

They argued that Diosdado Cabello, the head of the National Assembly, should temporarily assume the presidency while Chavez recovers.

But Cabello, a close Chavez ally and member of the United Socialist Party of Venezuela, said that would be unconstitutional.

"There is no way to interpret (the constitution). It is extremely clear," he said. "Everything else is a wish."

Julio Borges, an opposition lawmaker, said Chavez's supporters were fighting among themselves and putting the country's future in jeopardy.

"You are denying the application of the constitution ... and what is unjust is that the Venezuelan people are paying the price of your internal fight while the (country's) problems are still alive and kicking," he said.

Tuesday's debate became so heated that one member of the opposition accused Chavez's supporters of hurling a copy of the constitution at him.

Supporters of Chavez pumped their fists in the air and gave a standing ovation after passing a resolution affirming that Chavez could remain president and be away from the country for as long as necessary to deal with his illness. The resolution backed the interpretation of the constitution held by Chavez's supporters.

Opposition leader calls for action

Henrique Capriles, the man Chavez defeated at the polls in October, said earlier Tuesday that the Supreme Court must clarify the confusion.

Read more: With Chavez ill, uncertainty reigns in Venezuela

"There is a conflict here," Capriles said. "What is the Supreme Court waiting on?"

As far as the opposition is concerned, Capriles said, the constitution is clear that the president's term ends on January 10 and a new period begins.

If Chavez is unable to be sworn in, it creates a leadership vacuum that must be filled by the National Assembly president, and the possibility of new elections arises, Capriles said.

Cabello has said that he has no intention of assuming power if Chavez is not sworn in.

"When (the opposition) talks about a power vacuum, they are proposing a coup," Cabello said, the state-run AVN news agency reported.

Maduro: 'The popular will is what prevails'

The government says that Chavez's new term begins automatically because he was re-elected and that the inauguration could be held later.

In remarks broadcast on national television Tuesday night, Vice President Nicolas Maduro said the inauguration date "is a formality."

Speaking to Venezuela's military leaders, he said that declaring Chavez temporarily absent from his post "would be crazy because the popular will is what prevails."

Voters have re-elected Chavez, he said, calling on the military to help continue Chavez's revolution.

There is no such automatic continuity of power, Capriles said, arguing that "the only thing that has continuity are the country's problems."

"If the constitution is not followed, or there is a conflict of interpretation, the Supreme Court has to take a position," he said.

Capriles expressed concern about unrest or political crisis in the absence of a decision by the high court.

Chavez has not been seen in public and officials have not released any photographs of him since he arrived in Havana for his fourth cancer operation in early December, fueling speculation that his health is worse than the government is letting on.

Last week, a government spokesman said Chavez was battling a severe lung infection that has caused respiratory failure. Ernesto Villegas said the president was following a strict treatment regimen for "respiratory insufficiency" caused by the infection.

His condition remained unchanged Monday, the government said in a statement.

"Treatment has been administered permanently and rigorously, and the patient is supporting it," the statement said.

CNN's Paula Newton and Esprit Smith contributed to this report.

@highlight

Officials say Hugo Chavez will not be in Venezuela for inauguration day

@highlight

Government, opposition differ on what happens next; lawmakers debating issue

@highlight

Chavez's term automatically renews, the government says

@highlight

The constitution makes it clear that this is not the case, opponents say