The National Football League Players Association is negotiating a deal with the league to award $100 million to Harvard University over 10 years to study and treat players' injuries and illnesses, according to a proposal obtained by CNN.

In the last few years, the perception of a typical NFL player has undergone a subtle shift: from lithe titans performing formidable feats on the field to men who may end their careers broken down, their brains addled by a mysterious concussion-related brain disease.

But the real picture of the typical NFL player is much more complex, and the health problems run much deeper than concussion.

According to the proposal, the funding would be used to "diagnose, treat and prevent" players' injuries and illnesses.

"No one has ever studied these players before," said Dr. Lee Nadler, dean for clinical and translational research at Harvard Medical School and co-director of the proposed study.  "There have been postmortem studies looking at the brains of previous players but not the players today."

Nadler said that what distinguishes this study is that it will look at the "whole player across his whole life, not just the brain."

The NFL said it looked forward to learning more about the study and hopes "it will play an important role in advancing medical science."

"We have no higher priority than player health and safety at all levels of the game," it said in a statement.

Seau had neurodegenerative brain disease, NIH finds

It is not just the brain that may be damaged after a long career on the playing field.  By the end of their careers, NFL players may emerge with all sorts of injuries -- chronic pain, arthritis, joints needing replacement, depression, diabetes, heart problems and concussion-related dementia, among others -- so many they have become a cohort ripe for study.

"Every player understands the risks associated with playing football," said Jason Witten, a tight end with the Dallas Cowboys, in a statement.  "What we're trying to do as players through this research is to find ways to lead healthier lives. It's the most important thing we can do off the field."

The proposed research project will be announced at the NFLPA annual Super Bowl press conference on Thursday in New Orleans.  Members of the NFLPA say the proposed research is unprecedented in both scope and resources, at least as it relates to NFL player health.

If the NFLPA successfully forges this agreement with the NFL, the funding would dwarf a $30 million donation made to the National Institutes of Health by the NFL last year. That study has a more specific focus on brain injury.

"We have seen the condition of our players five, 10, 15, 20 years after they play," said George Atallah, a spokesman for the NFLPA.  "Given the scope of health issues that NFL players are subject to, we are committed to making sure that enough money is allocated to get answers."

Atallah added, "If this was strictly a concussion research program, the right number might not have been $100 million. It would have been much less."

Scan may detect signs of NFL players' brain disease

The Harvard proposal focuses on studying a core group of 100 unhealthy players -- both current and retired -- and 100 healthy players.

Those two groups will be drawn from an initial larger study group of 1,000 current and former players from across the United States.  They will have played diverse positions and will have experienced diverse health problems. The initial group of 1,000 will participate in a series of baseline studies including cardiac function, testing for joint abnormalities and psychosocial tests.

The players will also submit exhaustive playing and injury histories, spanning their entire football careers.

From those preliminary data will emerge the 100 healthiest and least healthy players, who will then continue testing at Harvard over several years.  Nadler said the focus will be on cross-institutional collaboration, with hundreds of scientists at Harvard potentially playing roles in the study.

"When you're talking about NFL players, you're talking about people in the 99.99% of unusual," said Nadler.  "These are superathletes who have skills that very few people have, and when you put them in extremely emotional and physical situations, those psychosocial stresses and physical stresses integrate."

Questions linger about long-term impact of subtle hits to head

How those stresses coalesce and take shape over the course of long careers playing football is what Harvard researchers, and partners from other institutions, will be trying to pinpoint.

"Typically, when we do a test or medical study, we're taking a snapshot," said Dr. Herman Taylor, principal investigator of the Jackson Heart Study at the University of Mississippi Medical Center and one of the scientists enlisted from outside Harvard.  "What we want to do is see the full-length movie of what happens to a player over time.

"How is it that two men that play the same position for the same number of years have vastly different lives after playing? Not everyone suffers from the same types of problems, and not everything can be explained by simple repetitive traumas."

Ideas floated for study include using advanced scanning techniques and genetics to fuel knowledge about who is most at risk for head injury, finding ways to regrow knee ligaments in a lab, identifying injury prevention strategies such as new drugs or new helmets, and addressing ethical issues surrounding player injuries.

"One of the broader aims of the research is conflicts of interest when you have a patient who will do anything to get back on the field and a doctor who works for and is paid by a club," said Sean Sansiveri, NFLPA staff counsel.

The holistic focus of the research does not obviate the importance of concussion, said Sansiveri.  Work on concussion will be a major focus, "but there are a lot of unique issues that our guys face within a unique context ... other ailments and diagnoses that are prevalent in the football population."

Funding for the study will come from the players' portion of league revenues, currently being negotiated between the NFL and the Players Association. The exact figure to be allocated for the study is still to be determined, according to Atallah, and most likely will not be finalized until after the Super Bowl.

The absence of a finalized plan has not stopped the NFLPA from imagining what a successful study could mean, not just for NFL players but for athletes in other sports.

"If this $100 million of research would have caused a groundbreaking discovery in one critical area of a player's life or health, then we would have succeeded," said Atallah.  "Whether it's an ACL issue or a mental health issue or a concussion issue, if we find one solution to any of those things we're studying, it would have been a success."

Ex-NFL stars after concussion: Lives unraveled

@highlight

Players union negotiating with NFL to fund the study

@highlight

It will look at variety of health issues faced by pro football players

@highlight

Proposal is to study long-term health of 200 players