(CNN) -- Americans are forgoing medical attention in the face of high health-care costs, a new consumer health survey has found.

The high cost of medical care and treatment has some sick people opting out of treatment, a survey finds.

Specifically, 24 percent of people polled in the 2009 Deloitte Survey of Health Care Consumers decided not to seek medical care when they were sick or injured.

The largest subgroups were those who were uninsured (36 percent), and those between ages 28 and 44, referred to as "Gen Y" respondents in the survey (37 percent).

Two-fifths of the people who didn't see a doctor when they needed one did so because of the high cost of care.

They either didn't have medical insurance coverage or they perceived the cost of such care to be excessive, according to the survey, which was released early Tuesday to CNN by the Deloitte Center for Health Solutions, a nonpartisan, independent research center.

"Costs are impacting the system, and it's changing how we respond to our health care," said Paul Keckley, executive director of the center.

In addition to data about how many Americans fail to seek necessary medical care because of high costs, another theme that emerged in the survey focused on consumers' dissatisfaction with the nation's health-care system:

• 94 percent of respondents said they believe health-care costs threaten their own financial security.

• More than half said they think 50 percent or more of the money spent by Americans on health care is a waste.

• Only 6 percent indicated their own family is totally prepared to shoulder the financial burden they expect to face.

Not only are Americans putting off health care and facing increasing dissatisfaction, they are also shopping around for better deals on doctors' fees, prescription medication prices or health insurance plans to cut costs, according to the survey.

There has been a lot of perceived loyalty and commitment in health care, Keckley said, and many providers think patients will stay with them.

"This study suggests that people really don't [stay]," Keckley added. "And that's surprising."

Despite the desire to shop around and gather more information to make improved decisions about their health-care choices, the abundance of options also can be baffling, says Kathleen Stoll, deputy director of Families USA. The group is a nonprofit, nonpartisan health care advocacy organization that regularly advises consumers on choosing insurance coverage plans.

"People weigh the costs of deductibles versus premiums, and these options can be confusing. They are asking themselves, 'What is it that I can afford in the family budget?' I sense a lot of people feeling unnerved by having to choose less [insurance] coverage because that's all they can afford," Stoll told CNN.

The survey also underscored Americans' receptiveness to innovations that potentially lower costs and offer greater convenience, pointing toward growing preferences for options such as retail walk-in primary care clinics in drug stores, medical tourism (high-quality, relatively inexpensive medical procedures obtained abroad) and Web-based medical services (often referred to as e-visits).

Sampling a nationally representative group of more than 4,000 adults using a Web-based questionnaire, the survey was funded by the center's parent company, Deloitte LLP, which has a wide range of clients in the health care industry. The center released its first version of the annual survey results in 2008.

Last month, the nonprofit Kaiser Family Foundation released its own health-care survey findings, with even greater numbers reflecting cutbacks in spending on medical services and treatments.

According to the report, more than half of American households scaled back health-care spending in the previous 12 months before the survey, which was conducted in early February.

Families relied on home remedies and over-the-counter medications instead of going to the doctor about 35 percent of the time, and they skipped visits to the dentist 34 percent of the time.

@highlight

Survey finds 24% of respondents skip medical care when they're sick or injured

@highlight

Largest groups affected by high prices: uninsured and people between 28 and 44

@highlight

Deloitte Survey also finds people shopping around for best prices

@highlight

Other trends: walk-in clinics in drug stores and medical tourism in cheaper nations