(CNN) -- A year ago, the U.S. Supreme Court struck down a key section of the Defense of Marriage Act or DOMA, a 1996 law that recognized legal marriage as being between a man and a woman. The June 26, 2013, ruling in Windsor v. United States afforded equal federal rights and protections to married same-sex couples.

The ruling made a huge difference for binational gay couples. With DOMA gone, U.S. citizens and permanent residents could sponsor their same-sex spouses for residency in the United States. Before, many same-sex couples had to make an agonizing choice between love and country when a temporary visa for one of the partners expired.

CNN spoke with four such couples before and after the historic ruling. Read how they are doing a year later:

Love wins in gay couple's 40-year immigration fight

D-Day

Early last June, Satyam Barakoti, 37, and Tonja Holder, 47, were pondering their options: Start a new life in Barakoti's native Nepal. Or maybe Thailand or closer to home in Canada. But they couldn't stay in Atlanta and raise their child as a legally married couple.

They counted down to February 20, 2014, the day Barakoti's U.S. visa was set to expire and she'd have to leave the country. The date hung like a thundercloud over their heads.

"It was D-Day for us," Barakoti says.

But a year ago on June 26, things brightened.

Not long after the Supreme Court ruling, Barakoti and Holder got married in Washington, D.C. They immediately filed a petition with U.S. Citizenship and Immigration Services for permanent residency or a green card for Barakoti.

Barakoti gave birth to a daughter in November and no longer fears being separated from Holder.

"There's no reason it should not go through," Holder says of their petition. "I've changed enough dirty diapers to know how real a family we are."

The couple runs a small business that helps nonprofits with fundraising and grant writing. After the DOMA ruling, they breathed a sigh of relief and were able to devote more time and energy to building their company and raising their daughter.

"It pretty much changed everything for us," Holder says.

Barakoti no longer looks at a calendar with dread, and February 20 came and went without fanfare. In fact, they didn't even notice.

Coming home

Brandon Perlberg, 36, abandoned his law career in New York and moved to London to be with his fiance, Benn Storey, so they could remain together. Storey, 32, is British and his temporary U.S. work visa had expired.

Perlberg grew angry that he had to leave his own country to be with the one he loved. He says he was forced into exile because he is gay.

"As an American I felt torn," he says. "On the one hand I love my country dearly, but on the other I deeply resented that we were pushed out rather than afforded the dignity we deserve."

The Supreme Court ruling came more than two years after they left New York.

Perlberg and Storey are getting married in October. After that, they can think about moving back to America.

"For the first time in almost 10 years of us being together, we're finally in control of our own destiny," Perlberg says.

They are planning a trip to New York in July and will test how it feels to be back in America together. Then, they will have to decide where they want to live out their lives.

"Making those decisions won't be easy," he says. "But we're grateful that for once, the decisions most meaningful to us get to be ours to make."

'Persons non-grata' no more

Like Perlberg, Melanie Servetas, 48, left home to be with her love.

She once worked as an executive for Wells Fargo, drove a Jaguar and lived in a three-bedroom house in sunny southern California. She gave it all up so that she could live with her wife, Claudia Amaral, 46. The two were married in Amaral's native Brazil.

It took them almost a year, but the two moved back to America in late May.

At the Dallas airport, they faced an immigration officer they'd encountered on a previous occasion, when they'd taken off their rings and walked through not as a family, but as individuals. They had always been afraid that because Amaral only had a temporary tourist visa, immigration authorities might suspect her as someone who might overstay her visa to be with her American partner.

But this time, they proudly wore their weddings rings and presented their passports as a married couple.

"Thank God for Ms. Windsor," Servetas says of Edie Windsor, the plaintiff in the DOMA case the Supreme Court heard.

"The ruling validated us as people, which is ridiculous because who needs to be validated by anybody?" Servetas says. "Until that day last year, we were second-class citizens. We were persons non-grata. Now we have the same rights as anyone else."

Servetas and Amaral have been staying with relatives in Arizona, but they plan to return to Rancho Cucamonga, California, and pick up the life Servetas so loved.

The Supreme Court also invalidated California's 2008 voter-approved constitutional ban on gay marriage, otherwise known as Proposition 8. So Servetas and Amaral will be recognized as legally married by the state as well.

Last week, the couple found out that the tenant in Servetas' house is leaving sooner than anticipated.

Servetas and Amaral got married last year on June 26, the day of the DOMA ruling. They hope to move back into their house on Thursday -- exactly a year later -- when they will be celebrating a double anniversary.

Married but single

The week after the DOMA ruling, Ryan Wilson and Shehan Welihindha left for their honeymoon. They chose California.

Wilson, 30, and Welihindha, 31, live in Columbia, South Carolina. But they were among the first seven couples to get married in Wilson's native Maryland after the state voted to allow same-sex marriage in late 2012.

On their honeymoon, they visited San Francisco and witnessed the first same-sex marriages taking place after Proposition 8 was no more. Then they went on to Napa Valley and Monterey. A hotel where they stayed had champagne waiting for them.

That's something most straight newlyweds expect, but for Wilson and Welihindha, it was a new gesture.

Back in South Carolina, their marriage is not recognized. At tax time, they found themselves in a dilemma.

"By state standards we are single. By federal standards we are married," Wilson says.

The returns became complicated. Beyond the headache came the issue of the signature on the state return. How could they say that all the information they had listed was accurate when they felt they were lying about their marital status?

"I signed it as a single," Wilson says. "But that's not true. So for me, it was a difficult ethical question. I did lie on the form because the state required me to."

On the upside, like all other binational same-sex couples, Wilson and Welihindha no longer have to consider Canada as an option after Welihindha's student visa expires. He is Sri Lankan, and after he gains permanent residency as a spouse, he will be able to obtain a job here.

The best thing, they say, is they can live like any other couple. Not yet in South Carolina, but somewhere in the 19 states that now recognize same-sex marriages.

Follow CNN's Moni Basu on Twitter

@highlight

A year ago, the Supreme Court struck down the Defense of Marriage Act

@highlight

That opened doors for binational same-sex couples to say in the United States

@highlight

Some dreaded visa expiry dates; others were forced to leave America to stay together

@highlight

With DOMA gone, they no longer have to make difficult choices