(CNN) -- Seeing the first set of images from the typhoon zone in the Philippines is like experiencing a dreadful sense of dÃ©jÃ  vu: Flooded roads, fallen huts, small buildings with the rooftops ripped off, and dead animals littering the streets. If this devastation appears eerily familiar, it is because we also saw the same horrific spectacle last year when Typhoon Haiyan struck. Sadly, both the Philippines and the rest of the world are proving slow in learning the most important lessons of these disasters.

Hagupit, which means "smash" or "lash" in Filipino, is a fitting name for the strongest typhoon to hit the Philippines this year (it is actually known as Ruby by locals). When it was first spotted by satellites several days ago, it was immediately likened to Haiyan, the super typhoon that killed more than 6,000 people last year. And while Hagupit didn't create a more-than-20-foot storm surge like Haiyan did, it has still left a trail of destruction in a region that was still recovering from the latest of what seems like an unending series of calamities.

This time around, the country was a little better prepared. Haiyan was a huge embarrassment to the Philippine government, with many survivors complaining about the slow delivery of relief and medical assistance in the aftermath of the disaster. Indeed, one of the positive things to come emerge of the Haiyan catastrophe is that disaster preparation has become much more of a focus for the bureaucracy. This was evident over the past week as agencies and local authorities worked diligently to prepare for Hagupit's onslaught -- more than 650,000 Filipinos were already sheltered in evacuation centers as the storm hit, and relief goods were in place for quick distribution.

Meanwhile, government offices were used as disaster monitoring centers as politicians worked with disaster experts, news stations acted as weather channels, churches and other civic institutions readied relief operations, businesses offered discounts, and even communist rebels vowed to assist the victims. All this meant that the Philippines was already on a disaster footing when the storm arrived, as disaster preparation became the catchphrase not just of good governance, but also citizen responsibility.

For better or worse, this preparation and post-impact operations also became more militarized as civilian officials took a leaf out of the military handbook in implementing their plans. But while this certainly made agencies more efficient in coordinating their efforts, some residents have complained about the intense militarization in their communities created by what they see as the unnecessary troop deployments.

Unfortunately, while the additional manpower might have been welcome in some areas, in others, certain state agencies used the deployments to impose stricter control of communities. For example, some residents said they felt insulted about the reported military presence at the large shopping malls in Tacloban, apparently to prevent a repeat of the supposed looting that took place in the city last year, when desperate Haiyan survivors clamored for emergency supplies at supermarkets. The protection for big business contrasted with orders issued by local officials to clear the stalls of small vendors.

But while a state understandably must be decisive when disaster is imminent, the focus on the immediate danger should not be allowed to distract from some of the underlying issues. For example, in the lead-up to Hagupit hitting, there was little mention of the fact that it took the President 11 months to approve the comprehensive rehabilitation plan for Haiyan-hit provinces, or that Filipino governments for years have allowed large-scale logging operations.

Officials respond that it is a distraction to quibble over these issues when lives are at stake. Now is not the time, they argue. In fact, quite the opposite is true -- now is exactly the time to discuss these issues, while Philippine and international attention is focused on them. After all, the point of noting these issues is not to criticize the government for the sake of doing so, but to try to encourage debate on how to address the roots of the extreme weather disturbances that are wreaking havoc in developing countries like the Philippines.

But this debate on the impact of storms like Haiyan and Hagupit should be taking place not just in the Philippines, but overseas.

While Filipinos have been preparing for some of the worst effects of our changing climate, global climate talks have been continuing in Peru. And yet even though a year has passed since yet another disaster has claimed thousands of lives, global leaders appear to be making little concrete progress towards a deal that will require them to make greater commitment -- and invest more resources -- toward tackling climate change.

As Hagupit crawled toward the Philippines, the World Meteorological Organization announced that 2014 is "on track to be one of the hottest, if not the hottest" years on record.

"The provisional information for 2014 means that 14 of the 15 warmest years on record have all occurred in the 21st century," WMO Secretary General Michel Jarraud said last week. "There is no standstill in global warming."

Such realities should be all the reason the international community needs to push forward towards a substantive climate pact.

Too many governments -- in the Philippines and beyond -- act as if disaster preparation only involves a few days of monitoring typhoons and deploying troops to disaster zones. It is this sort of narrow thinking that will leave more and more nations, developing and developed alike, to face the lashing of the next Hagupit.

@highlight

Typhoon Hagupit is the strongest storm to hit Philippines this year

@highlight

Mong Palatino: Scenes of destruction are reminiscent of last year's typhoon

@highlight

Palatino: Philippines is better prepared this year