(CNN) -- When Raffi Darrow brought in her two daughters, Wendy and Alice, for their annual back-to-school checkups this week, for the first time in her career as a mom, Darrow decided to be a rebel.

Raffi Darrow decided not to get the HPV vaccine for daughters Wendy, left, 11, and  Alice, 12.

Even though every federal health authority says her girls, ages 11 and 12, should get Gardasil, the vaccine that helps protect against cervical cancer and genital warts caused by the human papillomavirus, Darrow instructed the pediatrician not to give it to them.

"Up until now my children have had every vaccine doctors have recommended," says Darrow, a graphic designer in St. Petersburg, Florida. "But most friends, like me, fear the safety of something new."

Even though Gardasil is on the Centers for Disease Control and Prevention's vaccine schedule for 11- and 12-year-old girls, and is recommended by the American Academy of Pediatrics, many parents interviewed by CNN say they're not getting it right now for their daughters out of concern for side effects.

"I'm not saying I'll never do it. I just don't want to do it when they're 11 or 12," says Darrow, who debated for a year about whether to get the shots for her daughters.

Liz Schlegel, on the other hand, didn't hesitate to get Gardasil for her 15-year-old daughter. "My older sister was diagnosed with (and beat!) cervical cancer two years ago, and her doctors traced it to HPV," says the manager of a small design firm from Waterbury, Vermont. "I would hate to think that normal sexual experimentation -- the kind that my sister and I and many of our friends and peers "tried on" in college -- could result in a life-threatening illness 30 years later."

A survey of 1,122 physicians in Texas showed that about half don't always recommend Gardasil to parents of 11- and 12-year-old girls, even though the CDC recommends it. The survey was published earlier this month in Cancer Epidemiology Biomarkers & Prevention, a journal of the American Association for Cancer Research.

In an unscientific QuickVote poll, respondents were split on whether they'd get the vaccine for their daughters, with 43 percent saying absolutely they would, 40 percent saying no way, and the rest saying they weren't sure. As of Wednesday, more than 5,000 people participated in the informal survey. To cast your vote go to CNNhealth.com.

Unlike most other vaccinations, Gardasil is not required for a child to attend school. As of 2007, the latest year for which statistics are available, 25 percent of 13- to 17-year-olds had received a dose of Gardasil, according to the CDC.  Read what parents and pediatricians have to say about Gardasil »

"Although the numbers are low, we are optimistic this percentage will increase over time," says Arleen Porcell-Pharr, a spokeswoman for the federal agency. "We would like to see 100 percent adherence to the CDC schedule, [but] from previous experience, we know that it takes years for a new vaccine to gain acceptance into the market."

Darrow and other parents say they're worried about neurological problems, blood clots and deaths that have been reported to the CDC after a woman or girl has been vaccinated with Gardasil. The vaccine is given in a series of three injections. Read a discussion on TwitterMoms about Gardasil

According to the Vaccine Adverse Event Reporting System run by the CDC and the Food and Drug Administration, as of May 1, there were 13,758 reports of adverse events occurring after women and girls received Gardasil, out of the more than 24 million doses that had been given to girls and women up until that time. On its Web site, the CDC notes that these events "may or may not have been caused by the vaccine."

Most of the problems -- 93 percent -- were considered to be mild, such as headache, nausea and fever. But 7 percent involved a hospitalization, permanent disability, life-threatening illness or death.

In the data, 39 deaths were reported after vaccination with Gardasil, with 26 confirmed by the agency, six under investigation, and seven unconfirmed. "There was no unusual pattern or clustering to the deaths that would suggest that they were caused by the vaccine," according to the CDC's Web site.

Gardasil, which prevents four types of human papillomavirus that cause 70 percent of all cervical cancers and more than 90 percent of genital warts, was heralded as a breakthrough when it was introduced more than three years ago by the pharmaceutical company Merck.

Since the reports, Merck has added several adverse reactions to the labeling, stating that some people after receiving Gardasil have developed autoimmune diseases, musculoskeletal disorders, paralysis and seizures.

"It's not possible to reliably estimate the frequency [of these adverse events] or to establish a causal relationship to vaccine exposure," the label states.

Dr. Rick Haupt, the pediatrician who leads Merck's research on Gardasil, says the vaccine is safe and effective for 11- and 12-year-old girls. "We have good evidence that the vaccine is appropriate to use at this age," he says.

He added that many countries, including the United States, recommend the shot at age 11 or 12 in hopes of getting girls vaccinated before they become sexually active, because HPV is transmitted sexually. Also, he says it's beneficial to vaccinate children this age because their "immune response is very robust."

Doctors and Gardasil

When her children were younger, Darrow's pediatrician urged her to get all the vaccines on the CDC schedule. She noticed, however, that when she told the pediatrician she didn't want Gardasil for Wendy and Alice, the doctor didn't push her to reconsider.

"There was no argument, no trying to persuade me, no 'Here's a pamphlet about Gardasil,' nothing," Darrow says.

Several pediatricians interviewed by CNN said they don't push the HPV vaccine if parents don't want it.

"I consider this to be an optional vaccine," says Dr. Arthur Lavin, associate clinical professor of pediatrics at Case Western Reserve University School of Medicine. "I tell parents it's fine with me if you wait, and it's also fine with me if you want that extra added level of protection and we proceed today."

He said about 15 percent of his patients are getting Gardasil for their 11- and 12-year-old girls.

Parents researching on the Internet

Before her daughters' checkups this week, Darrow spent several hours doing research on the Internet in order to make her decision about Gardasil.

She said what tipped the scales for her were statements made in the media by Dr. Diane Harper, an obstetrician and gynecologist at the University of Missouri who helped Merck do clinical trials on Gardasil, at one point serving on the company's advisory board for the vaccine.

Harper told CNN she has concerns about the safety of the HPV vaccine for pre-adolescents, noting that a small number of girls have died or suffered neurological damage after receiving the shot.

"Gardasil is not without risks. It's not a freebie," Harper says.

Harper says she worries that not enough young girls were included in Merck's clinical trials to warrant giving the shot to all young girls.

Merck has given the vaccine to 1,121 girls between 9 and 15 years old in clinical trials without serious side effects, according to Haupt, the Merck pediatrician. He says the company will try to continue to follow these girls for 10 years.

In addition to safety concerns, Harper said she wonders whether the vaccine will still be effective for an 11- or 12-year-old after she's become sexually active.

Gardasil is "100 percent" effective against HPV five years after vaccination, according to Haupt, and Merck is studying whether its efficacy lasts longer than that.

Darrow says this is one reason she decided not to get the shots for Wendy and Alice. "Even if the shot lasts for 10 years, it would run out just when they're at their riskiest time," she says. "If I give it to my 11 year old right now, she'd need a booster at age 21."

She added that she hasn't rejected the idea of getting Gardasil for her daughters, considering that it would give them some protection against cervical cancer.

"I'm going to revisit this again when they're 14 or 15," she said.

CNN's Sabriya Rice and Jennifer Pifer Bixler contributed to this report.

@highlight

Many parents are debating whether to vaccinate their daughters against HPV

@highlight

Some are concerned about side effects, the vaccine's long-term effectiveness

@highlight

Others parents think not vaccinating is a missed opportunity to protect the child

@highlight

The CDC has Gardasil listed on its vaccination schedule