LONDON, England (CNN) -- Resourceful African filmmakers are using cell phones to tell their stories in spite of political censorship.

Art school student Kiripi Katembo Siku listens during a mobile phone filmmaking workshop at the Académie des Beaux Arts in Kinshasa.

Kiripi Katembo Siku, an art school student from the Democratic Republic of Congo is one such director who shot his first film using only a mobile phone.

The ingeniously devised "Voiture en Carton" ("Cardboard Car") provides a rare glimpse of street-life in Kinshasa, the country's capital, while highlighting the lengths filmmakers must go to in circumventing the eye of the law.

While the country's name implies freedom of speech, filmmakers in the country's capital are restricted by government censorship.

To get around these problems, Siku came up with a novel plan.

He attached his mobile phone to a toy car, set it to film, and gave it to a young girl to pull behind her on a piece of string as she walked through the streets of Kinshasa.

The film runs for seven minutes, during which time the toy car stops and starts (it also upends a number of times and has to be righted by Siku's young camerawoman) giving viewers a clandestine look at life in the capital -- the dancing feet of children, some teenagers gambling, and at one point a United Nations jeep passing by.

Siku is one of a number of filmmakers in DR Congo who say using a mobile phone allows them to film in ways that were previously impossible.

"Camera phones are affordable, small and easy to maneuver," Siku told CNN. "They allowed me to work more discreetly and get closer to my subjects."

Government officials try to keep reports of poverty and corruption quiet, which means filming permits have become virtually impossible for Congolese working in Kinshasa to obtain, according to filmmakers working there.

Salim Amin, Chairman of Kenya-based African news organization, Africa 24 Media, which has operated in DRC, agrees that it can be very difficult for filmmakers to work in the country.

"[They] try and stop stories of corruption from coming out by refusing accreditation to locals from the Ministry of Information. That's the way they weed out people who will be critical to government," Amin told CNN.

Those brave enough to defy the authorities and shoot without permission, whether or not they have an anti-government agenda, risk hefty fines, arrest, or worse.

A spokesperson from the DRC government was not available for comment.

Siku only started making films last year, when he participated in a mobile phone filmmaking workshop held by French filmmaker, Marie-Dominique Dhelsing in February 2008.

The young Congolese says it gave him the inspiration he needed to carry on making films. "After her course here in Kinshasa I fell in love with directing, editing and working in a team," Siku told CNN. Watch Siku's "Voiture en Carton" here.

Dhelsing organizes mobile filmmaking master classes in deprived regions of the world to give young people in developing countries an opportunity to tell their stories.

Although her Congolese workshop was officially organized for students at the Académie des Beaux Arts, Kinshasa's only arts school, Dhelsing also encouraged less privileged youths from nearby slums to attend her tutorials.

"The pupils who were most interested were coming from the roughest townships in Kinshasa," the 49-year-old told CNN.

"They would spend two and a half hours traveling to the school by foot because they didn't have money for a bus.

"For me it was very important that they could participate," she said.

During the two weeks she spent in Kinshasa in 2008, Dhelsing and her trainees produced a total of eight short films -- an impressive tally given the logistical problems they faced.

"I wanted them to edit what they had shot, but there was little access to computers," she told CNN.

"We also had a lot of electricity problems," she continued. "In Kinshasa, you have a period of at least two or three hours a day where you have no electricity."

Siku's film has been entered into the international section of mobile phone film festival, 5th Pocket Films Festival, which is being held in Paris in June.

The festival organizers supported Dhelsing's mobile workshops by equipping her with camera phones.

Laurence Herszberg, founder of Pocket Films, says the relative cheapness of mobile movies can serve as a stepping stone for emerging cineastes in poorer regions.

"Young filmmakers, knowing that it's very cheap, often decide to make their first feature film by shooting it on mobile, using it as an advertisement to show what they're capable of," Herszberg told CNN.

Siku's mobile film allowed the young Congolese to successfully showcase his talents and opened the vital first door to a future in filmmaking. He is now working as an assistant director on a documentary about the economy of DR Congo's mining region, Katanga.

Siku also continues to shoot on mobile phones and has, with a number of his workshop colleagues, founded YEBELA, a collective of video artists who show their films in the streets of Kinshasa.

Dhelsing is pleased that her classes have taken on a momentum of their own.

"For the artists in the collective, it's a very important way to express themselves," she said.

"We've been in touch all year by e-mail and I support them, but they're doing their own thing now."

Now, she's seeking a new challenge. Having just returned from her second workshop in Johannesburg, Dhelsing is currently planning a third in the slums of São Paulo this September.

"Sometimes I think I must be crazy doing what I do," she told CNN. "But if it wasn't for the workshops I would never get to see these places and meet these interesting people."

Mairi Mackay and Metsa Rahimi contributed to this article.

@highlight

French Filmmaker organises mobile movie workshops in developing nations

@highlight

Faced with technical and political problems whilst teaching in Kinshasa

@highlight

Congolese pupil's film nominated at Pocket Films Festival in Paris

@highlight

Workshops have taken on momentum of their own