Hong Kong (CNN) -- The health of several of the world's biggest banks has been called into question following the decision by Moody's to downgrade their credit ratings.

In all, 15 institutions were downgraded after Wall Street closed Thursday, including Bank of America, Goldman Sachs, JPMorgan, Morgan Stanley, Citigroup, Royal Bank of Scotland, Barclays, HSBC, Credit Suisse, UBS, BNP Paribas, Credit Agricole, Societe Generale, Deutsche Bank and Royal Bank of Canada.

"All of the banks affected by today's actions have significant exposure to the volatility and risk of outsized losses inherent to capital markets activities," Moody's Global Banking Managing Director Greg Bauer said in a statement.

How the major banks are affected

The banks were unimpressed with the move, with many questioning how the ratings agencies make their decisions. Citi called its two-notch downgrade "arbitrary and completely unwarranted," according to CNNMoney.

So how did the global economy become so dependent on the opinions of three companies?

Who are the credit rating agencies?

The "big three" are Standard & Poor's, Moody's Investor Services and Fitch Ratings. All originated in the United States, although Fitch has dual headquarters in New York and London.

What do they do?

Before you can get a credit card, banks run a credit check on you. Similarly, the ratings agencies run credit checks on companies, countries and financial products -- and banks themselves.

The agencies assess their the ability to pay off loans or investments and then rate them on a sliding scale, ranging from AAA to D. In the case of government bonds, anything that slips to BB+, as was the case with crisis-hit Greece, is considered a "highly speculative" investment: or "junk bonds" in the parlance of the markets.

Stocks plunge on downgrade fears

In the context of Thursday's announcement, Moody's grouped the 15 banks into three categories based on their credit worthiness. JPMorgan, HSBC and the Royal Bank of Canada made up the top group, which Moody's said had solid capital buffers and "contained" exposure to the European crisis.

The second group included Goldman Sachs, Societe Generale, Barclays, Credit Agricole, BNP Paribas, Credit Suisse, Deutsche Bank and UBS. Moody's said these firms had varying risk factors, from high dependence on capital markets operations to limited liquidity and exposure to Europe.

Bank of America, Citigroup, Morgan Stanley, and Royal Bank of Scotland (RBS) made up the bottom -- and weakest -- group of banks. Moody's said these companies experienced problems with volatility and risk management, while their financial "shock absorbers" are in some cases thinner or less reliable than their peers.

Credit Suisse took the biggest hit from the Moody's announcement, suffering a three-notch downgrade, just days after Switzerland's central bank warned it to bolster its capital.

What does a debt rating downgrade mean?

Banks could see their costs rise as it becomes more expensive for them to borrow money. Officially they are now a riskier proposition for lenders because of their exposure to events such as the European debt crisis. These additional costs -- potentially billions of dollars -- could eventually be passed to the banks' customers through higher interest rates on loans and mortgages.

Why do the agencies wield such power?

Investors across the world look to credit ratings agencies to judge where to place their bets in the market. For governments, the ratings agencies have a lot of power over the popularity of bonds: cash given to governments like Greece by investors that, over time, will pay a return on the original investment -- unless the government defaults. The downgrade of Greece signaled Standard & Poor's belief that Greece has a higher likelihood to default on investments. It caused investors to lose their appetite to invest in bonds from Greece, which imperils the nation's ability to pay down its deficit.

How are ratings agencies paid?

Historically, they were created to give investors an unbiased assessment of investments and investors paid for access to the ratings. In the 1970s, however, credit rating agencies started charging the issuers of new investments fees for ratings. In 1975, U.S. legislators -- fearing a proliferation of unscrupulous ratings agencies -- designated Standard & Poor's, Moody's and Fitch as the only ratings organizations banks and brokers could use to evaluate the credit worthiness of their products.

What are the complaints against the firms?

Critics complain the agencies have lost their ability to independently judge the risk on certain investments -- especially in light of AAA ratings given to mortgage-backed securities that imploded when defaults on U.S. home loans shot up, triggering the 2008 financial crisis. Critics also note that the agencies are paid by the very entities they rate, raising questions about their trustworthiness.

Lawmakers in the United States, the European Union and other countries around the world are now reviewing regulations on the credit ratings agencies. Credit ratings agencies, too, have revamped their procedures and have argued their ratings are merely opinions -- it's up to the markets to decide.

@highlight

"Big Three" are Standard & Poor's, Moody's Investor Services and Fitch Ratings

@highlight

Critics say the agencies have lost their ability to independently judge risk on certain investments

@highlight

Agencies say they only give opinions on credit; choices ultimately up to investors

@highlight

15 of the world's biggest banks downgraded due to exposure to global financial crisis