(CNN) -- Are you reading this article on your cell phone or tablet? These days, that makes you pretty normal, especially if you're American, according to a recent report from comScore.

According to comScore, which tracks these sort of things, 55% of the 234 million cell phone subscribers in the U.S. are getting at least some of their media diet via mobile devices.

Only Japan and the UK had higher levels of mobile media usage.

People in the United States increasingly purchase more than one device to help them consume all this mobile content. According to comScore, 14% of U.S. cell phone subscribers also own a tablet -- the highest percentage in any of the countries comScore examined.

In contrast, fewer than 5% of Japanese mobile subscribers also own a tablet.

"In less than two years, nearly 40 million tablets were in use among mobile subscribers in the U.S., outpacing smartphones -- which took seven years to achieve the same level of adoption," comScore noted.

Driving this sharp growth was the expanded array of Android tablet options, especially Amazon's Kindle Fire, released in late 2011. Also, the iPad 2 release yielded another spike in tablet ownership.

Does this mean people are shifting their media experience away from computers and smartphones -- or broadcast and print media -- to tablets?

Not necessarily.

Here's what comScore has to say on the matter: "As tablets gain popularity among users, they are not replacing mobile phones or computers. Rather, it would seem that tablets are supplementing a multi-device diet that is increasingly becoming the norm among consumers. ... While smartphones may have provided consumers with a first taste of mobile Internet connectivity, tablets have furthered the rise of the 'digital omnivore' -- consumers who now go about their days engaging seamlessly through multiple online touchpoints."

Seamlessly? Well, sort of.

A "seamless" cross-device media experience implies that you can easily pick up where you left off when switching devices. This is the case when reading Kindle e-books, whether via the Kindle smartphone or tablet app, on a Kindle e-reader or Kindle Fire tablet, or on a computer.

Similarly, when you stream a Netflix movie to your TV or computer, and pause it, you can resume watching it from the same point via the Netflix app for mobile devices.

But not all services work this well. If I'm watching a short film on the new Vimeo app for Android phones, pause it, put down my phone and turn on my TV, bring up my Vimeo account (I use AppleTV for streaming media), and select the movie I'd paused... it takes me back to the start of the movie. It doesn't remember where I stopped watching.

Gamers often experience similar frustration when they try to continue a game in progress on a different device. How well you can sync a game -- if at all -- depends on the game and the devices involved. Sometimes that experience is seamless. Sometimes not so much.

And all those long-form articles you want to read? Features like "Reading List" in Apple's Safari browser for computers and mobile devices -- or third-party services such as Instapaper -- allow you to sync a list of articles to read across devices. But they don't let you just pick up where you left off in the midst of a 8,000-word Harper's feature story. And they may not support offline reading.

Syncing your content across multiple devices is a major technical challenge which will take time to solve. But so far, that kind of syncing isn't a big concern for most consumers.

More commonly, people tend to use different devices to access content at different times of day or in different settings. For instance, comScore's analysis of traffic to news websites found that from about 8 a.m. to 5 p.m. on a typical weekday, computers are the leading source of site traffic. Tablet traffic to news sites peaks in the evening. On weekends, however, tablet traffic to news sites peaks in the morning.

Simultaneous use of multiple devices has already become major part of how we experience media. Last October, Nielsen found that 40% of people who own a smartphone or tablet use those mobile devices while watching TV.

What do people do on their smartphones and tablets while watching TV?

According to Nielsen, "e-mail was the top activity for both men and women during television programming and commercial breaks. In addition, women reported engaging in social networking more than men, while men checked sports scores more often."

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

More than half of cell phone owners get some of their media on mobile devices

@highlight

comScore finds 47% of all U.S. cell phone owners currently use apps

@highlight

14% of U.S. cell phone subscribers also own a tablet, highest in any country