(CNN)As relatives and friends mourn the loss of their loved ones aboard Germanwings Flight 9525, the world community is stunned by the sequence of events that led to co-pilot Andreas Lubitz purposely crashing the plane into the French Alps, killing all 150 people on board.

I happen to have several personal connections to this tragedy: a recent graduate of Drexel University -- where I teach -- and her mother were on the ill-fated flight, I lived in Germany for 18 years and I am a psychologist who has researched the psychology of terrorism and developed psychiatric tests that are used to determine pilot flight fitness.

While the engineering of the Airbus aircraft is fascinating and the world of air traffic control absorbing, what is even more complex and challenging to understand is the human mind of the co-pilot investigators say is responsible for the crash -- the machine that flies the machine. When complex engineering systems interact with human factors, it is most often the human that causes the anomaly. Humans are far less reliable than machines.

The average aviator has superior intellectual and cognitive abilities, and is psychologically stable and reliable. While it is not surprising that when it comes to aviation accidents, the first line of inquiry is into what went wrong with the plane.

However, very often, as apparently is the case here, something went wrong with the human flying the plane.

Pilots are typically tested for emotional stability and screened for the presence of mental illness when they are selected. The U.S. Navy has strict testing programs related to fitness for duty protocols for their pilots during the length of their careers.

But we have learned that the German company Lufthansa and its budget airline affiliate Germanwings do not use psychological testing once the pilots have made it through the selection process.

Psychological assessment and screening is not held in as high esteem in Germany as it is in the United States. Perhaps it should be. A fitness-for-duty evaluation asks this important question: Can the pilot safely and effectively perform his job from a mental health and cognitive standpoint?

The deliberate destruction of Flight 9525 by a single person, most likely related to some grievance or other unknown intrinsic motivation that he took to the grave, can also be considered an act of terrorism. The action constitutes the unlawful use of violence against the passengers on the flight to further some yet unknown objective.

Research on the perpetrators of terrorism has revealed that a single person is capable of executing odd, unexplainable violent actions. Their behaviors may be related to a political or social framework, or it may be associated with something deeply personal.

Examples include Richard Reid, the failed shoe bomber; Eric Rudolph, the Olympic bomber; or Theodore Kaczynski, the Unabomber. In 2009, Maj. Nidal Malik Hasan, a U.S. Army officer and psychiatrist, went on a shooting spree at Fort Hood, Texas, killing 13 and wounding 32. And in 2012, Staff Sgt. Robert Bales, a 38-year-old father of two, opened fire and killed 16 innocent Afghan civilians.

When examining Germanwings Flight 9525 from the "cockpit of the human mind," one must ask this question: How can we ever predict or prevent tragedies like these when we can never truly know what lurks in the mind of another human being?

As a psychologist, I would, of course, advocate for more rigorous psychological screening and regular testing for pilots, as well as instituting additional security measures to prevent future incidents like this. Just as aircraft are inspected and maintained, it is important to regularly evaluate one of the more fragile components of modern aviation -- the pilots operating the plane.

But, just as the overwhelming majority of automobile accidents are caused by driver error, with a human mind at the helm of an aircraft, there will always be an element of unpredictability present. And, unless we had a "flight recorder" for the human brain, we will never really know what took place inside the mind of co-pilot Andreas Lubitz.

One thing is for sure: the tragic events of Flight 9525 will surely renew conversation about what happened to Flight MH370 -- the biggest aviation mystery since Amelia Earhart vanished in 1937 -- and the role that human factors may have played in its disappearance.

@highlight

Eric Zillmer: It's hard to predict or prevent tragedies like the Germanwings crash

@highlight

He says German airlines should consider more rigorous psychological screening and testing for pilots