(CNN) -- Why are Iraqi politicians dragging their feet while ISIS militants fortify their foothold across the country?

Iraq's lawmakers are simply not going to "let a war get in the way of their political disputes," as one expert succinctly put it last week. And while the country burns, her politicians remain deadlocked on who to appoint to key government posts following April's national elections.

Iraq's new parliament convened for the first time on July 1 to elect a new speaker, but the session quickly descended into bickering between members of different parties and had to be rescheduled for July 8.

But little changed in the ensuing week -- and with all sides failing to reach agreement on who to appoint to the key posts of speaker, president and prime minister, the session was delayed again, until this weekend.

Iraq's political paralysis, even in the face of a threat as grave as ISIS' sweep across huge swathes of the country, is a sign of just how difficult an agreement will be to reach.

At the heart of the political problem lies incumbent Prime Minister Nuri al-Maliki. His coalition secured a plurality of votes in the general elections, winning almost three times as many seats as the closest rival. But a third term for al-Maliki, a Shia Muslim, is a red line for Sunni, Kurdish and even rival Shia parties.

MORE OPINION: Is Iran the only hope for peace?

If al-Maliki's support is melting away, as it appears to be, why won't he just step down? Al-Maliki's intransigence may reflect a desire to ensure that his choice to succeed him -- his former chief of staff, who many believe is the most viable alternative candidate -- will be nominated without much resistance from the other political parties.

"Show him death and he will accept a fever" is an Iraqi proverb that helps explain al-Maliki's insistence on remaining in power. Al-Maliki wants to exert enough pressure to ensure that the next government is formed on his terms even if he's not at the head of it. This may include a seat on the Presidency council as a Deputy, but it will certainly include a guarantee that he will not be prosecuted if he steps down.

Al-Maliki's Shia rivals can't dictate the terms of the next government formation process because they face an uncomfortable reality: the Shias may have a majority in the new parliament, but the Maliki contingent has the vast majority of seats within that bloc. He may be excluded from heading the next government but his bloc cannot be ignored.

READ MORE: Signs of war in an Iraqi market

This political paralysis is of course benefiting the various armed groups who do not believe in the political process and want to overthrow the post-2003 order. Iraq's Sunni politicians may have been directly elected by the people, but the masked men of ISIS -- many of whom are foreigners -- are the ones who now hold sway in much of western and northwestern Iraq.

Many Sunnis are flirting with the revolutionaries that want a complete overthrow of the current order because that order -- built on an ethno-sectarian model -- handicaps Sunnis, given their minority status. But changing the status quo is a red line for the Shia because it has brought them to the helm of power for the first time in Iraq's modern history. The collapse of the political order is as much a red line for the Shia as it is for neighboring Iran, which enjoys close ties with their Shia allies in Baghdad.

What to do in the face of this deadlock? The best-case scenario now would be a speedy government formation that leads to a greater decentralization of power whilst maintaining the territorial integrity of Iraq.

After 2010's general election it took nine months of horse-trading to get the various Sunni, Kurdish and Shia parties to agree on how best to divide the spoils of state amongst themselves. Now, there is recognition that Iraq does not have the luxury of dithering.

ISIS insurgents will continue wreaking havoc in Iraq because they do not believe in the democratic process. But if the Sunni political parties can buy in to the new government, it will take the air out of the insurgency and prove to the militants that politics can indeed work to secure more rights and privileges.

The worst-case scenario would be the de facto splitting up of Iraq. There is a "vital" Iraq that Iran and the Shia will fight to protect. This includes Baghdad, the city of Samarra to the north, the province of Diyala to the east and all nine Shia-dominated provinces in the south. Iranian-backed Shia militias have already mobilized to confront the insurgents and they will likely lead the efforts to secure this vital Iraq.

If the political process fails yet again, the Shia would likely be willing to cede vast amounts of Sunni-dominated territory and the Kurdish-controlled province of Kirkuk in exchange for unrivaled supremacy in Baghdad and the strategic oil-producing province of Basra in the south.

Iraq is on the brink of abyss again. Its leaders must act quickly.

The opinions expressed in this commentary are solely those of the author.

@highlight

Iraqi lawmakers have been unable to appoint key posts despite security crisis in north, west of country

@highlight

Sunni terror group ISIS has seized large swathes of Iraqi and Syrian territory in recent months

@highlight

Nuri al-Maliki, Iraq's embattled Prime Minister, refuses to step down despite growing opposition

@highlight

Al-Maliki appears to be holding out for as long as possible in order to influence new government