(CNN) -- Twitter turns 7 on Thursday, and in some ways, it's like a lot of 7-year-olds.

The social-media platform can be bratty and combative. Its idea of a good conversation sometimes devolves into short bursts of shouting. It can have the attention span of a gnat, loving a shiny new plaything one day (ooh, Bronx Zoo's Cobra!) and then forsaking it for another without a second thought.

But it can also make you smile with the things it says. It can keep you more aware, and alert, than you've ever been before. And it can make you look at the world around you in a different way.

It's easy to take shots at the microblogging site, which debuted March 21, 2006, when founder Jack Dorsey typed the words "just setting up my twttr." (Creators had considered that abbreviated style for the company's name before settling on the full word.)

Anything with more than 200 million users who send out 400 million posts every day is going to have highs and lows. There are the silly trending hashtags, the badly spelled diatribes and, yes, as the cliched insult goes, even a few people who really do tweet about what they had for breakfast.

Twitter founder wants to be NYC mayor

But Twitter has also been a crucial tool for revolutionaries in Iran, Egypt and elsewhere. It's been used to mobilize relief efforts and raise millions for charitable causes. It's become a national water cooler for chatter about big televised events such as the Oscars and the Super Bowl.

And while Twitter sometimes reveals the stupid side of celebrity culture, it's also brought fans closer to their favorite actors, musicians, writers and athletes than was ever possible before.

Twitter has, in fact, changed lives.

So, in honor of its 7th birthday, we look at both the upside and the downside of Twitter use through seven people whose lives were changed by the site.

Gilbert Gottfried

If you don't know that Gilbert Gottfried sometimes tells inappropriate jokes, then you probably haven't heard of Gilbert Gottfried.

After all, this is the guy who once performed the nearly impossible task of offending the crowd at a Friar's Club roast with a joke soon after 9/11.

So, when a tsunami hit Japan in 2011, Gottfried did what he does: make jokes about it. This time on Twitter.

"I was talking to my Japanese real estate agent. I said 'is there a school in this area?' She said 'not now, but just wait,' " went one.

About an hour later, the comedian had lost his high-profile job as the grating voice of the Aflac duck.

In an opinion piece for CNN last year (about another comedy controversy, no less), Gottfried wrote that it's a comedian's job to push boundaries and that Aflac shouldn't have been surprised at the tweets.

"I've been telling jokes like this for a very long time, so the reaction surprised me," he wrote. "It's like eating Corn Flakes every day for years, and then one day you eat Corn Flakes and all hell breaks loose."

Kelly Oxford

Oxford was a suburban mom from Alberta, Canada, who took to Twitter as an outlet for her wry observations on life.

More than 450,000 followers later, she can add author and screenwriter to her credits.

Her sardonic humor, with topics ranging from family life ("How do you get a red wine stain off a baby?") to random observations ("That ninja guy in the Black Eyed Peas has probably killed 64 people, right?"), gained her a following that includes Hollywood stars and other notables like talk-show host Jimmy Kimmel (now a friend) and film critic Roger Ebert.

Now she's sold her first screenplay, "Son of a Bitch," to Warner Bros.; her book of essays, "Everything's Perfect When You're a Liar," is set to be released next month; and she's been hired to write a TV pilot.

Justin Halpern

His dad says funny stuff. Or, more accurately, funny sh*t. (Sorry, that's as close as we can get).

So he created the Twitter account "Sh*t My Dad Says" in 2009 to share it with the world.

Two months later, he had millions of followers (the count now sits at 3.1 million) and a book deal with HarperCollins. That book hit No. 1 on the New York Times bestseller list and led to a short-lived CBS sitcom, "$#*! My Dad Says," starring William Shatner.

Halpern still tweets out his dad's best moments. His second book, "I Suck at Girls," was published last May.

Sohaib Athar

Athar was a 33-year-old "IT consultant taking a break from the rat race by hiding in the mountains with his laptops," according to his Twitter profile. That spot in the mountains was in Abbottabad, Pakistan, and on May 2, 2011, he tweeted about a curiosity.

"Helicopter hovering over Abbottabad at 1AM (is rare event)," he wrote.

Little did he know that, over the course of the next few hours, he'd become possibly the world's first person to unknowingly report on the death of terrorist Osama bin Laden at the hands of a U.S. Navy SEAL team.

All of a sudden, news outlets from around the world were scrambling for interviews with him. His modest 750 Twitter followers ballooned to more than 105,000 (they've since settled back to about 64,000).

He continues to tweet from Abbottabad but has traveled extensively, including accepting an invitation to tell his story at last year's South by Southwest Interactive festival in Austin, Texas.

Anthony Weiner

He claimed that he was hacked, and at first, some of us believed him. After all, could a U.S. congressman be so clueless?

Turns out ...

In June 2011, then-New York Rep. Weiner resigned after someone used his Twitter account to send suggestive photos to some of his female followers. At first, he lied, saying he'd been hacked. But after a couple of frantic days, Weiner fessed up that he had been having inappropriate online relationships with women he met through social networking sites.

How early Twitter decisions led to Weiner's downfall

He, perhaps wisely, also quit Twitter for a while. His first post since the scandal was in November, when he tweeted about Hurricane Sandy. The potential New York mayoral candidate's most recent tweet, from February, suggests that he still may not have gotten the hang of the whole Twitter thing.

"Llp@," it reads.

Paraskevi Papachristou

A Greek triple jumper, Papachristou was hours away from realizing her dream of becoming an Olympian. Then, on her way to last year's London Games, she tweeted a joke:

"With so many Africans in Greece, the mosquitoes from the West Nile will at least be eating some homemade food."

Maybe it was supposed to be some kind of play on words. But it was quickly denounced as racially insensitive, or downright racist, by Twitter users.

Greece's Olympic committee condemned the tweet and ruled that she would not be allowed to participate in the games.

For what it's worth, Papachristou's last tweet, from July 25, expressed "heartfelt apologies" for the joke, saying she "could never believe in discrimination between human beings and races."

Ashton Kutcher

Sure, Kutcher was already a TV and movie star when Twitter started up. But he became the first Twitter celebrity after joining in January 2009, when the site was getting ready to make the leap from tech-savvy coffeehouse to household name.

He got tons of publicity for becoming the site's first user with 1 million followers -- a distinction he won after winning a race to seven figures with some news network called CNN. He also became a savvy investor in tech startups.

But perhaps more importantly than sheer numbers -- he's now 23rd on the site's popularity list, with almost 14 million followers -- Kutcher seemed to be the first celebrity who understood the benefits of using Twitter to interact with fans.

@highlight

On Twitter's seventh anniversary, a look at seven lives changed by the site

@highlight

Everyday users have gotten book deals and TV shows due to their tweets

@highlight

But politicians, entertainers and athletes have fallen after bad Twitter decisions

@highlight

Twitter started on March 21, 2006, with a test post from founder Jack Dorsey