There has never been any doubt that President Obama fully accepts the Supreme Court's authority to render a definitive ruling on the constitutionality of the Affordable Care Act.

Chief executives during our history, including President Andrew Jackson in the 1830s and President Harry Truman in the 1940s, have in fact challenged or threatened to challenge the court's right to command obedience to its understanding of the Constitution, but Obama certainly is not among them.

As a brilliant constitutional lawyer deeply devoted to the rule of law, he has nothing but respect for the critical function that judicial review performs in preserving the American system of constitutional government.  Efforts to divine a contrary theory in his remarks were strained at the outset and have grown only more untenable.

The "unprecedented, extraordinary" step he noted the justices would be taking if they were to overturn the Affordable Care Act was, of course, not the step of exercising judicial review, as the court has done ever since Marbury v. Madison in 1803, but the step of second-guessing congressional judgments about how best to regulate a vast segment of the national economy. No one in the world -- certainly none of the justices -- can have been surprised to learn that Obama believes his signature domestic achievement fully complies with the Constitution and ought to be upheld -- or that the Supreme Court has a decades-old tradition of treading lightly when major regulations of interstate commerce come before it.

After the president made that entirely clear Tuesday, some suggested that it would be best for presidents not to comment on cases pending before the Supreme Court even while the rest of the nation continues to debate the underlying constitutional issues.

I was among those who took that view while others suggested that, as the entire nation continues to discuss the constitutionality of a vital economic measure, artificially muzzling the nation's chief executive ill serves the purposes of open public debate on important issues.

That's something about which people can reasonably differ. But there's no reasonable basis for seeing in the president's comments either a challenge to the court's authority as an independent branch of government or a clumsy attempt to pressure it politically or to influence its deliberations.

This president knows as well as anyone how utterly implausible it would be to think that the justices might be swayed in their constitutional views by his brief remarks, which did little more than reiterate a core theme of the government's legal briefs (namely, the critical importance of strong judicial deference to the elected branches on complex matters of economic regulation like national health care policy).  This theme has received a full airing in media commentary, congressional hearings, legal scholarship and lower court judicial opinions.  Nobody could really believe that the president's candid expression of a view that everyone already attributed to him would move the judicial calculus even a micrometer.

The justices have spent months steeped in more than a hundred legal briefs, presided over one of the most dramatic oral arguments of the past century and are currently engaged in robust internal deliberations.  They also live in a world awash with op-eds, heated commentary and all the markers of fiercely divided public opinion.  These are men and women accustomed to dealing with politics.  They ordinarily approach their duties with the utmost seriousness and, we must hope, are exercising their very highest faculties of judgecraft and constitutional commitment in this case.

There was no disrespect in the president's entirely correct observation that precedent and historical practice alike would lead a suitably cautious court to uphold rather than overturn his signature first-term achievement in providing health insurance to millions of Americans. The fact that health care reform has represented a pressing issue for the nation over the course of a century would indeed make a decision to strike down the law all the more jarring. But the notion that the president's recognition of that fact somehow crossed the Rubicon in our separation of powers by seeking to diminish the court's independence is patently absurd.

That said, we have recently witnessed a shocking misuse of power in relation to these events.  But it came from the judiciary rather than the president.  Judge Jerry Smith of the 5th Circuit responded to the president's comments by ordering the Department of Justice to submit a three-page, single-spaced memo stating the administration's position on judicial authority to invalidate unconstitutional laws.  Attorney General Eric Holder filed that memo Thursday, reiterating the plain import of the president's remarks and stating that "the power of the courts to review the constitutionality of legislation is beyond dispute."

Smith's gratuitous order is little more than a thinly concealed insult to the president, the Justice Department and the administration.  It constitutes a shocking departure from norms of judicial behavior.  While such partisan bickering might be expected from the minority leader of the Senate or from commentators like Rush Limbaugh, who drew upon Obama's remarks in yet another entry in their relentless attacks on the president, it is hardly to be expected of a federal judge.

As constitutional challenges to the Affordable Care Act have journeyed through the courts since the statute's 2010 passage, the country has engaged in a profound national conversation about the Constitution's import and meaning.  Although I remain unpersuaded by constitutional objections to the statute, I respect the efforts of many Americans to give voice to their convictions in constitutional terms.  This week's distortion and exaggeration only tarnish the earnestness of such efforts and threaten to undermine the genuine opportunities for constitutional dialogue and disagreement that sustain us as a nation.

@highlight

Obama's remarks about "judicial activism" have received a wide range of reactions

@highlight

Laurence Tribe: No doubt that president has utmost respect for judicial authority

@highlight

He says 5th Circuit judge misused power by ordering agency to explain remarks

@highlight

Tribe: Distortion of Obama's words undermines open debate about vital issues