(CNN) -- "Can I have a Blackhawk magazine vest?" the young man, in his mid twenties sporting a scruffy beard and cargo pants, asked.

"With four magazine pouches, or six?" the shopkeeper responded.

A six-pouch vest was sold for $27.

In this market in the center of Kabul with over 50 shops, you can find anything from used U.S. army fatigues to Campbell's New England clam chowder and Uncle Ben's classic cornbread stuffing mix.

Some of it is gear thrown away from the largest U.S. military base in Bagram, just a 45-minute drive north of Kabul, and some of it is stolen goods from the massive convoys supplying U.S. soldiers around the country. In recent years, the market has also been corrupted -- like many other things in Afghanistan -- and flooded with Chinese bootlegged goods.

But one thing about this market has stayed the same -- nearly four years after the 43rd U.S. president left office, it's still named after him: the Bush Market.

As American voters prepare to choose between Barack Obama and Republican rival Mitt Romney, Afghans fear that the silence over this war during the campaign means it has been relegated further down in U.S. foreign policy priorities.

Postcard: Athenians fear what follows U.S. election

"We had high hopes that this war, as the U.S.'s most pressing foreign policy issue, would stir a debate among the candidates," said Fawzia Koofi, a member of the Afghan parliament.

"But the war is no longer acceptable to most of the Americans -- and the candidates have skillfully skirted around the issue, talking about it based on U.S. realities and not realities on the ground in Afghanistan."

But for Afghanistan, a change at the White House in shaky times during this 11-year-old war would have clear consequences, just as the war's evolution since the Bush administration shows.

More: Is latest Afghan attack a troubling first?

Ordinary Afghans, says Gran Hewad of the Afghan Analyst Network, are watching two issues in the candidates' agendas.

"Afghans are mostly concerned with the candidates' stance on Pakistan, and their plans and promises for post-2014 (U.S. troop withdrawal)," says Hewad. The Afghan and American governments have repeatedly cited Pakistan as the sanctuary for the Taliban leadership, from where they lead their increasingly adaptive insurgency inside Afghanistan.

A public debate about how each of the candidates plans to proceed in Afghanistan after U.S. drawdown by 2014 is crucial because so much of the country's immediate fate, particularly economically, is tied to the U.S. presence.

Postcard: Should U.S. raise fist to Cuba?

"What has the U.S. done for my life in the past decade that I can afford to watch the news?" responded a Kabul taxi driver when asked whether he is aware of the U.S. election. "I make $400 a month in my day job and drive taxi at night -- when do I have time to know who is better, Obama or the other one."

For years, the vast number of U.S. military vehicles on Kabul streets was a daily reminder of the country's dependency on America. Today, Afghan forces have largely replaced them.

But every time a young Afghan loses his or her job because a Western company tied to America's presence here is packing up, the dependency is felt in a more profound way.

More: Green-on-blue attacks mean no easy way out

In the past decade, Afghanistan has seen the development of a younger professional class, much thanks to the opportunities of higher education offered by newly opened affordable private universities. This professional class answers the dire lack of capacity and speaks to a much-needed generational shift that is necessary in Afghanistan.

The growth of the young professional class has happened in a very predatory economic environment. The pouring in of U.S. dollars has inflated the market, creating an unprecedented culture of corruption -- as well as a new elite who believe money can get them everything.

Two former commanders in the north were locked in a heated rivalry over a seat in the parliament during the 2010 election, as a commonly told story in Afghanistan goes. One of them offered to settle the issue through a peculiar challenge: "Let's start a fire of dollar bills under two separate pots and cook a meal. Whoever's cooked first would be the winner of the seat."

The story illustrates the new money-fuelled political reality in today's Afghanistan.

A campaign debate over the future of America's role in Afghanistan would make it clear whether Washington has the patience to see through the generational shift in Afghanistan, leaving it in a more sustainable state, or whether it will leave it cold in its current political quagmire.

Postcard: Why India longs for U.S. election

Major campaign developments such as Mitt Romney's tax releases and the first presidential debate found slots in the Afghan evening news. ToloNews, the country's largest private channel, picked up Paul Ryan's criticism on a radio channel of Obama's policy in Afghanistan -- a manifestation of how curious the Afghan audience is about their agendas, pouncing on any hint they give. Ryan said Obama's decision to withdraw 33,000 troops out of Afghanistan had been a political one that put the lives of remaining soldiers at risk.

"We would never put politics ahead of what our commanders say is necessary to do the job and keep our soldiers as safe as possible when they're prosecuting this war," Ryan said.

But the print press largely seems disappointed in the lack of debate on the war here.

"The developments in the Arab world and the crisis in the West's relations with Iran over the nuclear program has resulted in Afghanistan being relegated into a secondary issue for the U.S. and the West," read one editorial in 8-Subh, the country's largest private newspaper, last month.

"Experience has shown that forgetting Afghanistan is a strategic mistake," the editorial concluded.

In Afghanistan, where power has been progressively centralized in president Hamid Karzai, it is more important to gauge what he might be looking for in the U.S. elections.

The next U.S. president, whoever he is, will have to deal with Karzai. And regardless of which of the many scenarios materialize after Karzai's current (and final) presidential term ends, one thing is clear: he will remain a major power broker in Afghanistan.

More: Leon Panetta refutes Karzai criticism

Over the past decade Karzai has undoubtedly had a much warmer relationship with the Republicans. He enjoyed great access to George Bush until the end of his term. A sign of the consistency in their relationship, Karzai and Bush talked via videoconference once a month.

"The president would have his son, Mirwais, on his lap. Laura would be sitting next to Bush. It was quite a warm relationship," one Karzai aide recalled.

When president Obama took office, he put an end to the monthly conferences, taking a harsher stance against Karzai -- one that has clearly backfired.

Karzai has increasingly felt the Democrats have tried to undermine him, particularly when he ran for his final reelection.

"The president believed they weren't trying to defeat him, but to wound him," a Karzai confidant said. A wounded Karzai, with his local legitimacy undermined, would be more obliging of White House orders.

The messy election went to the second round. Karzai remained in office, but a very changed man in his views towards America and the democrats.

GPS: Five ways to help fix Afghanistan

While Karzai might be favoring a return of the Republicans, Afghan lawmaker Koofi believes he won't enjoy as warm a relationship even if Romney wins.

"Karzai's performance in recent years -- his inability to improve governance that is seriously putting the U.S. project at risk of failure -- means he will be a liability for the Republicans to have a warm relationship with," said Koofi.

A Republican return to the White House, Koofi says, might return the focus to the war against terrorism at a time when a much hyped "peace process" is not bringing results.

The Republicans have maintained a much clearer definition of the Taliban, while under the Democrats the definition has been blurred during efforts to reach a negotiated settlement to the war. But others believe it's not the Republican party of four years ago that would push for continuing this war. They want out of Afghanistan as much as Obama does.

No matter who wins the November vote in the U.S, one thing is clear: the Bush Market in Kabul is likely to retain its name after the Republican who began this war.

"During the time of the Russians, there was a market named after Brezhnev," said Haji Khan Agha, a retired army officer who owns a shop at Bush Market. "Many years after Gorbachev had come to power, the market was still called the Brezhnev Market."

@highlight

Many in Kabul fear the Afghanistan war is no longer a U.S. priority

@highlight

Afghans are concerned with Romney and Obama's stance on Pakistan

@highlight

Mashal: Hamid Karzai feels the Obama administration has tried to undermine him