(CNN) -- After three days of horrifying images from Kiev, February 21 brought tentative good news from the Ukrainian capital. President Viktor Yanukovych and opposition leaders Vitali Klitschko, Oleh Tyahnybok and Arseniy Yatsenyuk concluded an agreement on a political settlement. If it holds, it offers Ukrainians a peaceful path out of the crisis that has gripped their country for the past three months.

But the agreement is fragile. It will encounter opposition from within Ukraine. Indeed, protestors on the Maidan are already calling for Yanukovych's immediate removal. The Russians may try to undermine it. But the United States and European Union must work to make it succeed; it is the best bet that Ukraine now has.

It comes at a moment when the crisis had reached the brink of chaos. There had been three days of violent clashes between demonstrators and police, the threat by Security Services of a nationwide "anti-terrorist operation," and images, splashed across the media, of Berkut riot police firing on demonstrators. At least 75 died and hundreds were injured in the capital.

The Polish, German and French foreign ministers arrived on February 20. Their mission was bolstered by reports that the European Union later that day would impose visa and financial sanctions against Ukrainian officials responsible for the use of force (this came a day after Washington announced that it was banning visas for 20 regime officials).

The EU foreign ministers met with the opposition leaders, then with Yanukovych. All came together for discussions that ran through the night. They were joined by Vladimir Lukin, the former Russian human rights ombudsman, hastily dispatched to Kiev by Russian President Vladimir Putin.

Yanukovych and the opposition leaders reached and initialed a tentative agreement the morning of February 21. After the opposition leaders consulted with a council representing the protesters, the agreement was signed. Among the key points:

-- Adoption of a law to restore the 2004 constitution, which will provide for more of a balance of power between the Rada (Ukraine's parliament) and prime minister on the one hand, and the president on the other. The current constitution favors the president.

-- Formation of a national unity government within 10 days.

-- Further constitutional reform to be completed by September.

-- Early presidential elections, to be held once the constitutional reform is completed, but no later than December.

The agreement provides a road map for Ukraine to move forward to normalize the country's political life. The result would be a greater balance in power between the legislative and executive branches of government, and between the prime minister -- who presumably will come from the opposition ranks or will be someone acceptable to the opposition -- and the president.

It likely means that Yanukovych will be a one-term president. His poll numbers already were severely sagging last year. The events of the past three months will make it all but impossible for him to win reelection in a free and fair process.

The settlement also may mean that Ukraine will move to sign an association agreement with the European Union. It was Yanukovych's decision in November not to sign that triggered the initial protests; they morphed into an expression of broader public discontent with the government corruption and authoritarian trends that have characterized Yanukovych's four years as President.

The Rada wasted little time in acting on the settlement. Members cast 386 votes in favor of a proposal to return to the 2004 constitution (a constitutional majority requires only 300).

But the deal remains vulnerable. Some in Yanukovych's inner circle will see it as a threat to their personal political and economic interests; they may seek to undo it. Many demonstrators will question why Yanukovych, whom they hold responsible for those killed, should remain in office another day, let alone perhaps until the end of the year.

And a particularly ominous note came from Russia. Lukin joined the Polish, German and French foreign ministers in initialing the draft agreement as a witness. However, after reportedly consulting with Russian Foreign Minister Sergey Lavrov, he did not attend the signing ceremony and did not sign the final agreement. What that says about Moscow's view of the agreement remains to be seen, but it is hardly a positive sign.

Should the agreement put Kiev back on course to deepen its relationship with the European Union, expect the Kremlin to look for ways to undermine it.

The European Union, whose engagement on Ukraine has often appeared frustratingly cautious, deserves considerable credit for its role. Having foreign ministers from three major EU member states in Kiev -- backed by a threat of EU sanctions -- undoubtedly helped bring the Ukrainian sides to agreement.

The European Union and Washington must now do all they can to bolster the agreement and to work with Ukrainians to pursue its implementation. The alternative -- a return to the violence of earlier this week -- in unthinkable.

The opinions expressed in this commentary are solely those of Steven Pifer.

@highlight

Ukraine's president and opposition have reached a deal to end violence

@highlight

It's fragile, says Steven Pifer, but it is the best deal available to Ukraine right now

@highlight

The deal restores the 2004 constitution and calls for a new unity government

@highlight

Pifer: Russia may undermine the deal, but the U.S. and EU must work to bolster it