Jerusalem (CNN) -- President Barack Obama and Israeli Prime Minister Benjamin Netanyahu offered a "good cop-bad cop" approach to Iran's nuclear ambitions on Wednesday, with Obama calling for more diplomacy while endorsing Israel's right to defend itself as it sees fit.

The two leaders met for more than two hours on Obama's first visit to Israel as president, part of a Middle East swing that he said was intended to assess the seemingly intractable impasse between the Israelis and Palestinians over how to live next to each other.

Other issues discussed on Obama's first foreign trip of his second term included the civil war in neighboring Syria. There have been unconfirmed reports of chemical weapons being used in the conflict, which Obama labeled a "game-changer," if true, regarding limited U.S. involvement so far.

With the visit, Obama sought to assure Netanyahu and Israelis of his commitment to their security and strengthen what has been a strained personal and working relationship with the prime minister. The two are each beginning new terms in power.

5 things to know about Obama's first presidential visit to Israel

In what Netanyahu called a key development, the leaders announced new talks on extending U.S. military assistance to Israel for another 10 years past the current agreement that expires in 2017.

They also sounded united on other major issues.

Both countries have accused Iran of secretly working toward building a nuclear weapon, and Netanyahu made clear Wednesday after his talks with Obama that he believes the president is equally committed to preventing a nuclear-armed Iran.

Obama pushed at a joint news conference for continued diplomatic efforts, including negotiations and sanctions, intended to get Iran to comply with international safeguards against nuclear arms.

"The question is whether the Iranian leadership will seize that opportunity," Obama said before playing off a memorable Cold War line by Ronald Reagan about the Soviet Union: "We can't even trust yet, much less verify."

At the same time, he insisted that "all options" remain open -- code for a military strike to disable the Iranian program.

Obama also made clear that Israel has the right to defend itself as it sees fit, which amounted to a diplomatic signal that Washington would not stop a unilateral Israeli strike at some future point if no progress occurred.

Opinion: Obama's Israel trip is about legacy

Netanyahu responded with thanks, saying Obama spoke of "the great transformation that has occurred in the life of the Jewish people with a rebirth of the Jewish state" that has grown from a once powerless population into a nation that has "both the right and the capability" to defend itself.

"I know that you appreciate that Israel can never cede the right to defend ourselves to others, even to the greatest of our friends, and Israel has no better friend than the United States of America," Netanyahu added.

Both leaders also said they had a "common assessment" on how much time remained before Iran could build a nuclear weapon. Though Netanyahu indicated his "red line" for action might be sooner, referring to what he called a "point of immunity" when Tehran completed enriching enough uranium for a weapon.

Iran has rebuffed calls to halt its production of enriched uranium, saying it has a right to produce peaceful nuclear energy. But the International Atomic Energy Agency, the U.N. nuclear watchdog, has said it can no longer verify any peaceful nature of Iran's nuclear program.

Poll: Most Americans say Israel is a friend

Most Americans consider Israel an ally or at least friendly to the United States, according to a new CNN/ORC International poll released Tuesday. However, respondents split -- 49%-49% -- on whether the United States should support Israel if it unilaterally attacks Iranian nuclear facilities to prevent Tehran from developing nuclear weapons, the survey showed.

On Obama's first day in Israel, Palestinian activists erected a tent city outside Jerusalem in the West Bank to protest his visit and continued Israeli construction of settlements in what they consider an occupied territory. Meanwhile, demonstrators in Gaza protesting Israeli and U.S. policies toward Palestinians burned flags of both nations as well as a picture of Obama.

Israeli president: No doubt Obama has Israel's back

The topic of settlements, a sticking point in the stalled Middle East peace process, never came up at the news conference by the leaders, showing the sensitivity of the issue.

"I purposely did not want to come here with some big announcement" that might not match up with reality on the ground, Obama told reporters.

The Israeli-Palestinian dispute

Both leaders said they discussed the Israel-Palestinian stalemate and Syria, further complicated by accusations that chemical weapons were used this week.

Israeli Justice Minister Tzipi Livni told CNN on Wednesday that "it is clear for us here in Israel" that chemical weapons have been used in Syria. When pressed during an interview, Livni wouldn't say whether there was evidence that the regime of Syrian President Bashar al-Assad directed their use.

She said the development poses a direct threat to Israel because "the appearance is that it's not going to be only in Syria, but that Hezbollah can reach all these chemical weapons and use them against Israel in the future."

Israelis have long been concerned that Hezbollah, Israel's foe in neighboring Lebanon, could gain possession of Syrian chemical weapons if the al-Assad regime is further destabilized.

Obama repeated U.S. warnings to the Syrian government to keep chemical weapons off the battlefield or out of the hands of groups such as Hezbollah.

He said he has ordered an investigation into whether the Syrian government used chemical weapons against its own people, adding he was "deeply skeptical" of any claim the opposition had done it.

"Once we have established the facts, I have made clear that the use of chemical weapons is a game-changer," Obama declared, stopping short of saying what he would do if Syria had crossed his "red line" for stronger action.

CNN Poll: Most say Israel a friend

Critics, including Republican opponents, say Obama has failed to show necessary global leadership by providing military aid to the Syrian opposition or offering help like establishing a "no-fly" zone over Syria similar to NATO steps taken in Libya during the Arab Spring uprising.

Earlier, Netanyahu and Israeli President Shimon Peres greeted Obama at an arrival ceremony in Tel Aviv, where Obama said his visit was " an opportunity to reaffirm the unbreakable bond between our nations, to restate America's unwavering commitment to Israel's security, and to speak directly to Israel and to your neighbors."

In a quip to Netanyahu, Obama said, "It is nice to get away from Congress," reflecting the chronic political infighting in Washington.

Obama's first stop Wednesday was at an Iron Dome missile defense launcher in Tel Aviv.

Designed by Israel and funded by the United States, the battery was deployed at the height of November's fighting between Israel and Hamas. It intercepted a rocket headed for Tel Aviv, Israeli ambassador to the United States Michael Oren said.

Afterward, the president went to Jerusalem to meet separately with Peres and Netanyahu.

A shaky relationship

Obama's relationship with Netanyahu has never been warm, and the Israeli prime minister supported Republican challenger Mitt Romney -- a former business colleague -- in last year's presidential election.

In his first term, Obama got off to a rocky start with Netanyahu by pushing for a freeze on Israeli settlements, but his vocal support for the Israeli prime minister through the November crisis with Hamas and U.S. financial support for the Iron Dome anti-missile program could pave the road for greater trust in the relationship.

White House officials said Obama was not bringing a new peace initiative and lacked optimism that enough solid ground existed to try to revive direct negotiations between Israel and the Palestinians over the declared goal of both sides for separate, neighboring states.

Israeli minister says she hopes U.S. helps restart peace talks

Most of all, the president's aides said, Obama wanted to assess how prepared -- if at all -- Netanyahu and Palestinian leader Mahmoud Abbas were to return to negotiations.

Palestinians want Obama to prove there were consequences for Israel's continued construction of new settlements in what they consider to be disputed areas.

Their grievances are evident in more personal ways: Posters on Ramallah streets sarcastically advise Obama not to bring his smartphone because Israel does not allow 3G or better service in the Palestinian territories.

Before meeting Peres on Wednesday, Obama and the Israeli president planted a magnolia tree descended from those at the White House to symbolize the deep roots of the relationship between their nations, the White House said.

The two leaders also were serenaded with the song "Tomorrow" by three young Israelis who dedicated it "from all the children who dream of peace."

The U.S. and Israel and the art of relationship maintenance

CNN's John King and Jessica Yellin reported from Israel, and CNN's Paul Steinhauser and Ashley Killough also contributed to this report. It was written by Tom Cohen in Washington.

@highlight

NEW: President Obama, Israel's prime minister have a "common assessment" on Iran

@highlight

NEW: The two leaders will open talks on extending U.S. military aid to Israel beyond 2017

@highlight

Palestinians protest Obama's visit, as well as U.S. and Israeli policies

@highlight

Obama will also visit the West Bank and Jordan during his Middle East trip