(CNN) -- Whether or not we reform our nation's immigration laws may all come down to cantaloupes versus cojones.

Last year, Iowa Republican Congressman Steve King attacked undocumented immigrant children in America, saying, "for every one who is a valedictorian, there's another 100 out there that weigh 130 pounds and they have calves the size of cantaloupes because they're hauling 75 pounds of marijuana across the desert."

Colorful though it might have been, that characterization is not only insulting but completely incorrect. Still, it reflects the underlying sentiment of many Americans who oppose immigration reform not just on rational grounds, but based on a deeper, emotional bias.

Then you have everyone else — in fact, the strong majority of Americans — who support comprehensive immigration reform, including a workable path to citizenship. This crowd certainly includes President Obama and Democrats, who have reiterated that passing immigration reform is one of their key legislative priorities. And it presumably includes leaders in the Republican Party, who want to curry favor with business interests and Latino voters who support fixing our nation's broken immigration system. So the question is: Do Republicans have the cojones to ignore the "cantaloupe caucus" and do the right thing?

As a refresher, here's where things stood before the election: In 2013, the Democratic-controlled Senate passed bipartisan legislation that would create a workable path to citizenship for America's undocumented immigrants while at the same time ensuring our immigration system and borders works as they're supposed to for the future. Although Republicans controlled the House of Representatives, the measure reportedly had enough support from individual Republicans, as well as Democrats, to pass. But House Speaker John Boehner wouldn't allow the measure to come up for a vote. And so it stalled.

In the wake of Republicans failing to take leadership, President Obama said he would consider executive action to do what he could on his own, under his constitutional authority, to provide relief to millions of undocumented immigrants. The President held off such action before the election. Now, if Republicans again fail to act, executive action is back on the table.

At a press conference following this year's midterm elections, President Obama said: "I feel obliged to do everything I can lawfully with my executive authority to make sure that we don't keep on making the system worse, but that whatever executive actions that I take will be replaced and supplanted by action by Congress. You send me a bill that I can sign, and those executive actions go away."

If Congress won't show leadership, the President will. In other words, the ball is in Republicans' court.

We should take a moment to remember that in 2005, it was Republicans who championed immigration reform. Republican Sens. John McCain and Lindsey Graham were instrumental in co-sponsoring and advocating for immigration reform and such efforts were enthusiastically backed by President George W. Bush.

By the same token, in 2013, four Senate Republicans — John McCain, Lindsey Graham, Jeff Flake and Marco Rubio — joined four Senate Democrats to craft and pass the currently immigration reform bill.

Rubio eventually explicitly opposed his own bill — and last week, Rubio, McCain and Graham sent a letter to President Obama implicitly criticizing the bill suggesting there should be no path to citizenship until border security demands are met (whereas the pending legislation addresses both simultaneously). Meanwhile, Republicans have used border security as a constantly-retreating goalpost to stall meaningful immigration reform.

If President Obama uses his constitutional authority to take limited action on immigration relief, it will not be without legal or political precedent. In 2012, President Obama directed his administration to focus his immigration enforcement away from so-called Dreamers brought to the United States as children.

But Presidents Ronald Reagan and George H. W. Bush also used executive action to protect the spouses and children of immigrants who were granted legal status under 986 immigration reform — arguably using their executive authority to extend the law beyond Congressional action.

The Republican base may now retroactively condemn their hero Ronald Reagan for "amnesty," but they don't condemn him as a domineering tyrant. Yet while President Obama has issued fewer executive orders than his predecessors, Republicans regularly smear Obama for acting like a "king" — repeated just this week by Sen. Rand Paul.

Speaker John Boehner has said if President Obama acts on his own to give relief to our nation's 11 million undocumented immigrants, he will in effect "poison the well" for any compromise legislation. And yet it is Boehner who already poisoned the political landscape, failing to wrangle a Republican caucus that has continually proven itself ungovernable and yet now has the full responsibility to govern.

It doesn't seem to matter what principles or ideals Republicans embraced in the past. Their essential ideology right now is anti-Obama. Remember, these are the same "leaders" who shut down our federal government, at an economic cost of $24 billion, basically out of spite.

President Obama has shown plenty of good faith effort to compromise with Republicans in general and around immigration reform in particular. As the President said in his post-midterms press briefing:

"The Senate on a bipartisan basis passed a good bill. It wasn't perfect, it wasn't exactly what I wanted, but it was a sound, smart piece of legislation that really would greatly improve not just our immigration system but our economy and would improve business conditions here in the United States and make sure that American-born workers aren't undercut by workers who are undocumented and aren't always paid a fair wage and as a consequence, employers who are breaking the rules are able to undercut folks who are doing the right thing."

That's what governing looks like — working together on compromise legislation for the good of the country, not political posturing. Indeed, Republicans have the most to gain from supporting immigration reform.

After the 2012 elections, GOP Chairman Reince Priebus led an "autopsy" arguing that, among other moves, Republicans must show leadership on immigration reform or risk permanently alienating the growing percentage of Latino voters. But now, after the midterms? Priebus tried to blame Obama for inaction on immigration reform. For added measure, Priebus all but called the President of the United States of America a liar: "I don't believe a thing he says," Priebus told CNN.

Leadership is more than name-calling. Leadership is more than flip flopping on principles. Leadership is more than being against whatever the other side is for. Leadership is working together to solve problems.

It's time Republicans finally step up, grow some cojones and lead on immigration reform. And if they fail to do so — again — then President Obama will be right to take action on his own and show leadership. After all, someone has to.

@highlight

Sally Kohn says Republicans are now on the spot about immigration

@highlight

While some leaders have favored reform, GOP activists have fought a deal

@highlight

Senate passed a major overhaul of immigration but House wouldn't bring it to vote

@highlight

She says current climate tests whether GOP is serious about governing