(CNN)  -- Imagine stepping onto a cold, windy platform at 2 in the morning and waiting just a few seconds for the transit car to show up.

Imagine getting in the car and zipping right by stations as you go directly to your destination.

Imagine always having a seat on the train.

Believe it or not, you're imagining a concept that's more than 50 years old, but still very rare in the real world.

It's called personal rapid transit. The cars -- designed to seat four to six people -- would move along a guideway, with their positions aided by embedded magnets or lasers. Other PRT systems have wheels running along sidewalls that help steer each pod car.

See images of PRTs

They would merge into traffic and often closely follow the car in front of them. But there would be no traffic lights -- and no drivers.

"It's like an automated taxi that runs on its own roadway and doesn't have to stop," said Peter Muller, president of PRT Consulting, a Colorado-based company that works with cities and agencies to study personal rapid transit feasibility. "It does tend to make sense in more congested areas (like big metropolitan areas), but we have also developed concepts for car-free cities."

There is no PRT system operating in the United States. There is a new one at Heathrow Airport in London and one in the Masdar City district of Abu Dhabi in the United Arab Emirates.

Watch PRT in action in Masdar City

There is a people mover at West Virginia University, but the cars on the 8.2 mile-line have room for 20 and during peak periods stop at all five stations.

Advocates like Jacob Roberts of Connect Ithaca in New York say that one of the big plusses for PRT would be job creation. While his group entered into the investigation of this form of transit from an environmental standpoint and looking to ease urban sprawl, they soon realized there are just a handful of companies in the business that build the cars and tracks. Three of the major players -- 2getthere, ULTra and Vectus -- are foreign-owned and hope to build plants in the United States.

"You're really talking about a brand new industry," he said.

Roberts said the region he lives in, upstate New York, really needs an economic boost that manufacturing could help. There are many factories in his area that sit unused, he said.

"There's been a lot of discussion over the past few years (with regional stakeholders) about turning the corner into the new green economy, and using green technology and retooling," he said.

Several cities in the United States are looking into PRT as a possible way to complement their current transportation system. Connect Ithaca's study, given to the state of New York in September, proposed a 9-mile track connecting the city core and two universities with 350 cars and 26 stations. The estimated cost was between $150 million and $168 million, not including design fees.

"When you throw a number like that out there the average person says, 'We can't afford that,' " Roberts said. "But look at a city like San Francisco that is spending hundreds of millions a mile on (its train system). So this is fraction of the cost of light- or heavy-rail and it provides a solution that those kinds of systems don't deliver."

Unlike most transit systems, operating costs can be recouped at the fare box, Muller added. Vukan R. Vuchic, a professor at the University of Pennsylvania, disputed that, saying not enough people use transit because it is still cheaper for most to drive a car.

And autos have a role in getting people around.

"Modern transportation is designed as intermodal," said Vuchic, who has written a trilogy of books on public transportation. "It combines use of private car and bus and light-rail and rapid transit and does not forget pedestrians."

There is no single answer to the issues of our daily travels, he said.

"People like to think there will be some vehicle that will come and that will solve everything," he said. "It's a naive concept."

Vuchic said there won't be enough people to use PRT in the suburbs to make it profitable and in the packed downtown areas, there will be a need for bigger vehicles that could seat "30, 40 or even 80 people" whereas PRT would be difficult to use.

Those systems already exist and are in use, he said.

San Jose, California, is another U.S. city seriously studying PRT as part of its transportation future. Originally the city was considering an automated people mover to run on a track between the airport and a proposed train station. But that was $600 million. Then a company approached city officials saying they wanted to use San Jose as a test market for group rapid transit.

But that company backed out of its offer to build it for free, so San Jose went looking at other modes of transit and discovered PRT.

"We came to the conclusion that this could be very promising, but it is very new technology," said Laura Stuchinsky, sustainability officer for the San Jose Department of Transportation. "We need an evaluation that is really robust, that evaluates the readiness of the technology and the ability of the companies to deliver and really do what we need to have done."

Studies done in other cities have assumed the technology works, and the primary discussion points have been cost and where to locate, she said.

San Jose is taking a close look at whether it is worth the risk for a short first track that can be expanded later.

"We think in the end we'll end up with some good information and help the industry move forward in the United States," she said.

She pointed out that when a city orders a bus or puts in light-rail, it can look at data from other systems to know what it is getting. With PRT, there's nothing but dreams and a few test tracks.

Still, like advocates Roberts and Muller, Stuchinsky can foresee a role for the pod car.

"I think what PRT can be is the glue that makes existing transit systems work more effectively," she said.  She cited an example where a bus line was cut because it didn't make sense with only a handful of passengers on each bus.

"Here's where PRT could fit in," she said.

Vuchic, on the other hand, said the problem with the nation's transportation woes is not need for new technology, rather the need for better planning and policy.

Policymakers need to consider PRT, said Roberts. It's a question of which U.S. city is going to be first.

"Who is going to have the political will to say I want this done on my watch," he said. "There aren't a lot of communities racing to be the one to take the biggest risk. So there are a lot of cities that are willing to be No. 2.

"No. 1? It's a tough sell."

@highlight

Personal rapid transit cars seat four to six people and go directly to their destinations

@highlight

Advocates say they could ease congestion, tame urban sprawl, get people out of their cars

@highlight

Critic says PRT is a naive concept, other modes of transportation are better

@highlight

San Jose is one of the U.S. cities seriously considering PRT