(CNN) -- When President Xi Jinping arrives in Seoul this week, the Chinese leader will have passed over North Korea in favor of its arch rival.

Although Beijing remains North Korea's strongest ally, Xi is breaking with tradition by visiting South Korea first, rather than Pyongyang.

"It's clearly a rebuff to Kim Jong Un," said David Kang, professor of international relations and business at the University of Southern California, referring to North Korea's leader.

Xi is expected to be in South Korea for two days to discuss trade and regional security issues, including North Korea. Trade between the two countries surpassed $270 billion in 2013. And China remains South Korea's main trading partner.

Since Xi and President Park took office in their respective countries last year, the two nations have solidified a steady relationship, with several political and economic shared interests. The two have expressed similar concerns about North Korea's nuclear ambitions in particular.

Nuclear priority

Both China and South Korea pledged their commitment to denuclearize the Korean peninsula when the two heads of state met at a nuclear summit in the Netherlands in March.

But this increasingly cozy relationship could be a concern for Pyongyang.

On Wednesday morning, North Korea launched two short-range rockets off its east coast, according to South Korea. The secretive regime also fired "projectiles" into waters off its coast on Sunday and on June 26, prompting speculation about whether North Korea was expressing displeasure with the upcoming meeting between Xi and Park.

A Chinese foreign ministry spokesman said he didn't see any connection with the launches and Xi's upcoming visit, according to Yonhap, South Korea's semi-official news agency.

With closer ties between South Korea and China, "North Korea is worried it can be isolated in northeast Asia," said Kim Hankwon, director of the Center for Regional Studies at the Asan Institute for Policy Studies in Seoul.

North Korea has begun talks with Japan and struck economic deals with Russia which could indicate that Kim Jong Un is trying to "reduce dependency on China," he added.

Pyongyang's nuclear ambitions have tested China's patience at times.

"Most North Korean provocations hurt China's military and security interests," said Kim. "The U.S. has increased its military and security influence over northeast Asia -- their rationale was North Korea's nuclear threats."

This has brought more U.S. involvement in east Asia, much to China's chagrin.

Despite Beijing's disagreements with North Korea, there may not be much change in their decades-long alliance, Kim added.

"China is angry at North Korea's military provocation. That does not mean that China has changed its strategy towards North Korea."

Beijing tries to strike a balanced relationship with the Koreas, talking to the South about economic issues and the North about political topics," Kim said.

Common ground

Apart from the issue of North Korea, China and South Korea have bonded through their distrust of Japan.

"China and South Korea share a number of issues concerning Japan including the comfort women, and the announcement of [Japan's Prime Minister] Abe reinterpreting the constitution," said Kang, director of Korean Studies Institute at USC.

On Tuesday, Japan's Prime Minister Shinzo Abe confirmed the "reinterpretation" of the country's pacifist postwar constitution, which will allow the Japanese military to assist in conflicts overseas. Both China and South Korea issued predictably chilly responses to the announcement.

The two countries bitterly disagree with the way Japan has addressed its military past, especially over the issue of so-called comfort women, who were forced into sexual slavery by Japan's imperial forces before and during World War II.

Both countries are also involved in territorial disputes with Japan over the Diaoyu/Senkaku islands and Dokdo/Takeshima islands.

North Korea fires two short-range rockets into sea

North Korea proposes end to hostilities with South -- with conditions

Family of woman abducted by North Korea hopes talks will bring closure

@highlight

China's president Xi Jinping to meet with South Korean President Park Geun-hye

@highlight

Visit breaks tradition of Chinese leaders meeting first with North Korea

@highlight

China and South Korea enjoy closer relationship