(CNN) -- At some 7 billion people, the world can sometimes seem like a crowded place. But if the latest estimates are to be believed, then in less than a century it is going to feel even more so -- about 50% more crowded, in fact. Such dizzying numbers understandably raise an important question, one that we have been wrestling with at least since Thomas Malthus famously predicted that rising populations would create a food crunch: Can the world's supply of food continue to meet demand?

World Food Day, being marked Thursday, seems as good a time as any to wrestle with this question. And for once, it looks like there is actually some good news in the fight against global hunger.

But any attempt to fully understand the magnitude of the challenge -- and to formulate ways we can meet it -- should begin with five key numbers:

805 million: The number of people who suffer from chronic hunger. While this number is down about 11% over the last decade, it still represents an unacceptable proportion of the world's population.

10.95 billion: How many people the United Nations thinks the world is going to have to support by the year 2100. This represents a significant upward revision from previous estimates that had pegged the human population as leveling off around 2050 at about 9.5 billion. Much of this new growth is occurring in sub-Saharan Africa, where family size remains high and mortality from HIV is down.

33: The percentage of the world's food that is wasted before it is consumed by a human being. In the Global South, this waste occurs thanks to inefficient processing and storage facilities. In the Global North, consumers and retailers are to blame. The United Nations estimates that global food waste costs $2.6 trillion annually.

2.512 billion: How many tons of food the United Nations' Food and Agriculture Organization expects the world's farmers to harvest this year. If this projection comes true, we will be within .50% of the world's most bountiful year on record.

2,868: The number of dietary calories available on our planet per person per day in 2011, the last year for which data is available. This number has actually been growing, suggesting that the amount of food produced per person has been steadily rising (in 1990 there were 2,619 dietary calories per person per day). This growth in productivity is especially remarkable considering that the Earth's population grew by about 2 billion people over this time. Most importantly, the number of calories per person per day tells us that there is enough food on the planet for us all.

Of course, the first two numbers paint a sobering picture of the potential food security and sustainability challenges the world faces. And when we add in the uncertainties over climate change, then the task of planning and effectively implementing systems and policies that will ensure everyone in the future receives an adequate diet seems a daunting one.

But the other figures tell a different story, and allow room for some optimism.

Why? Because fundamentally, the data show us that we have enough food. We are not up against some irrefutable Malthusian monster. What's more, these numbers prove that hunger is a matter of public policy and everyday behavior and suggest that social collapse, widespread famine and destitution should never be seen as inevitable in a world that wastes one-third of its food.

Ultimately, these five numbers tell us that hunger is a solvable problem. Yes, famines, droughts and food riots will be an increasing feature of the headlines in the decades ahead. But this should not distract from the underlying: The world can have a well-fed future, one where everyone has enough to eat.

@highlight

World's population set to grow to almost 11 billion by 2100, United Nations estimates

@highlight

About one-third of the world's food is wasted

@highlight

There is room for optimism over whether world can feed growing population, says Evan Fraser