(CNN) -- Recently, the venerable Mark O'Mara wrote an op-ed on CNN.com calling for a law against bullying. I find myself in an unenviable position, that of respectfully dissenting with a leading legal mind whom I greatly admire. O'Mara writes compellingly in support of anti-bullying legislation.

I am anti-anti-bullying legislation.

Let me explain. While legislation designed to stamp out bullying may make us feel better inside, such laws by definition encroach upon fundamental freedoms of speech and constitutional requirements that laws not be vague or overly broad. What's more, they may seek to outlaw that which may be beyond the purview of the crimes code: It may be the case that human law is simply no match for the law of nature.

Don't get me wrong, O'Mara is right in calling attention to the scourge of bullying. Bullying was bad enough in 1985 when a juvenile delinquent named Duffy was administering atomic noogies from the back of my school bus. Now, with advent of the Internet, bullies can do things that go viral, greatly magnifying the impact of their damage.

Dr. Dan Olweus, a leading researcher of bullying, defines bullying as:

1. Aggressive behavior that involves unwanted, negative actions

2. A pattern of behavior repeated over time

3. An imbalance of power or strength

That definition casts a wide net. Similarly, the strictest state anti-bullying statutes incorporate broad definitions of bullying. They also dragoon school personnel into anti-bullying policing and training roles, on top of their regular duties. It's inevitable that heightened "awareness" of bullying will result in more incidents being classified as "bullying."

And when teachers are encouraged to err on the side of safety and report a borderline case of bullying, while facing discipline for failing to report, the effect of the incentive is clear. Overall, we're going to see a broad new swath of behavior falling within the definition of bullying. Simply put: We create more bullies by broadening the definition of bullying.

As schools and legislators continue to target bullying by increasingly including speech within the definition, the forces of anti-bullying legislation collide with the legal equivalent of the immovable object: the Constitution -- specifically, the First Amendment.

Freedom of speech protects the public expression of ideas, free from governmental interference. A statute is unconstitutionally broad if it chills a substantial amount of protected speech, even pursuant to a law with a legitimate purpose. Vagueness will also invalidate a law. A law is impermissibly vague if the rest of us cannot understand, from the language of the law, what exactly is prohibited speech or behavior.

A law is vague if it doesn't lay out specific standards so that administrators who enforce the laws against the rest of us are prevented from doing so in an arbitrary or discriminatory way. Anti-bullying legislation seeks to outlaw people from saying mean things. Meanwhile, a law that criminalized saying "mean things" would almost certainly be unconstitutionally vague.

Mostâ€”but not allâ€”bullying cases typically involve children and some school nexus. It is true that the Supreme Court has warned that the constitutional rights of students are not automatically coextensive with the rights of adults. So schools probably have more authority to regulate student speech than the government would have to regulate adult speech.

At the same time, the Supreme Court has also made clear that students do not shed their constitutional freedoms of speech or expression when they set foot on campus.

Public schools may regulate student speech that threatens a concrete and "substantial disruption," but even the Supreme Court cases on the subject do not provide much guidance on what exactly constitutes a substantial disruption.

The bottom line is that as anti-bullying statutes continue to evolve and attempt to broaden their reach, there is a greater likelihood that they will suppress constitutional though likely cruel student speech. These laws will likely invite costly litigation and give undeserving children the blemish of a juvenile record, only to ultimately be struck down.

Anti-bullying legislation certainly has its heart in the right place. However, so, too, would an attempt to outlaw anxiety or meanness. It may be the case that some things are outside the jurisdiction and purview of mankind's puny laws.

After all, the very definition of bullying offered by the experts incorporates the concept of an imbalance of power. Yet, imbalance of power is at the core of almost every natural relationship. It's why we eat lobsters and they don't eat us. It's why we have bosses and employees. Power difference fuels capitalism, life ambition and survival itself.

That's not to say bullying should be tolerated. It shouldn't. But outlawing bullying is not the answer. It stretches already thinly stretched school resources, and imposes unreasonable duties on school administrators. More importantly, it is constitutionally suspect and victim oriented. Subjective approaches to outlawing speech are likely vague and overly broad.

Bullying in some form has been a part of the human experience since time immemorial. That doesn't mean it is socially acceptableâ€”on the contrary, bullies should be shunned. But laws are not always the cure for our every social ill, no matter how good they make us feel inside.

@highlight

Danny Cevallos: I respectfully dissent with Mark O'Mara on issue of bullying laws

@highlight

Cevallos: Anti-bullying legislation encroaches upon freedom of speech

@highlight

He says such laws invite costly litigation and give kids blemished juvenile records

@highlight

Cevallos: Laws are not the cure for every social ill, no matter how good they seem