It's the second most common cancer for men worldwide, but prostate cancer remains difficult to diagnose, with standard blood tests criticized for delivering a high rate of false positives.

But in a study presented in May this year, trained detection dogs were able to identify prostate cancer from a few sniffs of a urine sample with a staggering 98% accuracy, with few false positives. Although the study is by no means conclusive, it joins a growing body of research suggesting dogs could be able to smell out cancers.

However, there are numerous practical problems in using dogs to detect cancers in a medical setting (not least training, consistency and identifying exactly which chemicals the dogs are detecting), which is why scientists are seeking to harness the potential detection ability of man's best friend through the development of an "electronic nose" capable of making a diagnosis.

'Easily sniffed'

Finnish researchers are using a device that conducts molecular analysis of the atmosphere in the "headspace" above urine samples, and tests it for the volatile organic compounds associated with prostate cancer. In a study published earlier this year, the method had a detection rate of 78%, and a specificity (the probability of the test being negative when cancer is absent) of 67%.

"We see molecules at the stages when the tumor is very small," said lead investigator Dr. Niku Oksala, of the University of Tampere. "We can also find whether it is aggressive or benign to know what action is needed."

Oksala's team is continuing to refine the method, such as through removing impurities for cleaner sample analysis, but he believes the principle is reliable and can be applied to many other cancers.

"We have found there are over 30 molecule compounds in a tumor that are very smelly and easily sniffed. Eventually this can be used as a test for every cancer in the Western world," he added.

Around the world, similar approaches are being applied to offer simple diagnosis for the world's greatest killers. In 2011, the Gates Foundation announced funding for a battery-operated electronic nose prototype in India that functions as a breathalyzer test for tuberculosis.

The "NaNose" is being developed by the Israeli Technion Institute, claiming 90% accuracy in detecting lung cancer from a breath test, and providing enough information to distinguish between subtypes of the disease.

New generation

Electronic noses are not a new concept. Medical sensors first emerged in the 1980s, but were unable to deliver reliable diagnoses. But in this new generation of devices, experts believe the field has matured.

"The idea been around for over 20 years with many companies making e-noses they thought would be useful for diagnosing diseases, but they were way oversold and that destroyed the idea for a time," says Dr. Gary Beauchamp, director of the Monell Chemical Senses Center in Pennsylvania. "While the devices today don't come close to mimicking the nose of a dog, I'm confident that they will help to recognize diseases based on body odors."

Cancerous material can be found easily enough, says Beauchamp, but decoding the mass of combinations that form smells remains a difficulty. "Odors are a mixture of compounds and that requires pattern recognition. A dog recognizes an individual person through thousands of odors at one time, so you need a device that gives you the same information, and that is the challenge for the next generation."

In the short-term, Beauchamp believes that odor recognition could be used in conjunction with other tests, particularly as a means of non-invasive, early detection that could be followed up if necessary. "They could become part of a routine examination in much the same way as blood tests ... that seems to me a likely scenario."

There are fears that making diagnosis too widely available could take serious decisions out of the hands of experts, and that unreliable tools could proliferate. But similar techniques are already established outside of medicine, for a range of applications from testing for dangerous chemicals to quality control in food manufacturing.

Companies are already moving toward consumer healthcare applications for the electronic nose. British start-up Owlstone is working on a mobile breath-testing system that would give users instant analysis of their breath, offering early detection of conditions such as diabetes, TB or cancers. NASA technology is also being researched as a mobile sensor for lung cancer.

As molecular analysis becomes cheaper and more reliable the applications are rapidly expanding.

@highlight

Scientists developing "electronic noses" to detect diseases

@highlight

Finnish researchers report success in detecting prostate cancer

@highlight

Others are trying to detect TB and lung cancer by analyzing smell