(CNN) -- Clouds of black smoke from burning plastic hang over the sites of Nigeria's vast dumps, as tiny figures pick their way through slicks of oily water, past cracked PC monitors and television screens.

Toxins from dumped electronics in developing countries has been seen as a growing problem.

But it isn't just a cut from broken glass these mainly young scavengers are risking. Much of the discarded electronic kit contains tiny -- but valuable -- quantities of aluminum, copper, cadmium and other minerals, all of which can be sold on, if they can be recovered.

However they also contain highly toxic materials, which have been linked to reproductive problems and cancers.

"People living and working on and around the dump sites, many of whom are children, are exposed to a cocktail of dangerous chemicals that can cause severe damage to health, including cancer, damage to the nervous system and to brain development in children," Kim Schoppink, Toxics Campaigner at Greenpeace, told CNN.

"The open burning creates even more hazardous chemicals among which are cancerous dioxins."

No studies have been done on the extent of the chemical pollution of such sites in Nigeria, but in 2008 a Greenpeace report on similar dumps in nearby Ghana confirmed that high levels of lead, phthalates and dioxins were present in soils and the water of a nearby lagoon.

A Chinese academic report published in "Environmental Health Perspectives" in 2007 confirmed that children living in the same area had higher levels of toxic metals in their blood than other children living nearby.

There is increasing evidence that this new health and environment problem is arriving in shipping containers from Western countries. Nigeria is one of the principal global destinations for "e-waste" -- the catch-all term for discarded consumer electronics.

Some of this may have been legitimately handed in to be recycled in an EU or U.S. city, but lax enforcement, vague legislation and a lack of political will has meant that it instead passes through a network of traders keen to profit from developing countries' hunger for hi-tech and a burgeoning second hand market.

According to the United Nations Environment Program around 20 to 50 million tons of e-waste are generated worldwide each year.

In 2008 a Greenpeace study, "Not in My Backyard", found that in Europe only 25 percent of the e-waste was recycled safely. In the U.S. it is only 20 percent and in developing countries it is less than one percent.

Extrapolating out from these figures the report concluded that a massive 80 percent of e-waste generated worldwide is not properly recycled. Some is burnt in Western incinerators or buried in landfill sites.

But much is exported to developing countries including India, China, Pakistan, Nigeria and Ghana. When it arrives, a further percentage may be repaired and sold on to populations desperate for affordable technology. But anything beyond the skills of local traders will end up dumped.

It's a profitable business, and is already attracting the attention of organized crime. A report issued by the United Nations in July said that the criminal gangs behind much of the drug trade in West Africa were becoming involved with e-waste trading.

The volume of material on the move is staggering. In 2005, more than 500 containers full of e-waste entered Nigerian ports every month, according to the Basel Action Network, a U.S. NGO campaigning on issues surrounding toxic waste.

Each one contains 10 to 15 tons of e-waste, totaling 60,000 to 90,000 tons per year. These figures are likely to have increased in recent years.

There seems little doubt that much of this waste is finding its way to Africa from Western countries. The Basel Action Network and Dutch NGO Danwatch have traced equipment from Europe to Nigerian dumps and earlier this year Greenpeace placed a radio tracking device in a broken TV handed in for safe recycling in the UK, but followed it to a Nigerian market.

"Greenpeace is disappointed especially by U.S. and EU authorities," said Schoppink.

"It is toxic waste from the U.S. and EU countries that is causing serious environmental and health problems in Nigeria, a country without the means to deal with this problem.

"The U.S. and EU must play the biggest role in stopping the spread of e-waste; they are most responsible for the problem and have the resources to tackle it. The export of e-waste from the EU is illegal under the Basel Convention and the Waste Shipment Directive, but the laws are not being sufficiently implemented. In the U.S., there is no such law banning this practice.

"In Nigeria the government is talking about stopping imports, but there has been no progress on this to date."

Signs of progress

There are calls from environmental groups likes Greenpeace for electronics producers to do more to phase out their use of hazardous substances, and there are some signs of progress.

Several electronics companies already make products using fewer hazardous substances, and others, including Nokia, Philips and Samsung are setting up voluntary collection and recycling systems in countries where they are not legally obliged to. Apple claims its products are now almost entirely free of the worst toxic chemicals.

"If producers continue to use hazardous chemicals in their electronics and to fail to take responsibility for the safe disposal of their products, e-waste will continue to be dumped in developing countries," said Schoppink.

"The pollution and related health problems in countries where e-waste is dumped will increase massively as the amount of electronics used worldwide is growing exponentially and the number of countries used as dump sites will grow."

But while the developing world needs the U.S. and EU to take responsibility for their waste, it also needs their discarded computers to train and build a 21st century workforce.

"Nobody is arguing that Africa should be denied access to computers," said Tony Roberts, Founder and Chief Executive Officer of Computer Aid International, a charity licensed by the UK Environment Agency, which provides recycled computers to developing countries to improve education and healthcare.

"Technical colleges and universities are always short of resources. It is, of course, essential to developing economies escaping poverty to have access to affordable modern technology."

Computer Aid works to close the digital divide between the north and southern hemispheres and offers corporations, including Coca Cola, as well as individuals, a positive way of disposing of electronics. They also believe learning about responsibility for that technology is a crucial part of the exchange.

"Computer Aid argues that, in addition to the PCs, it is essential to also build the skills, knowledge and operating capacity in every country to manage responsible re-use programs and environmentally sound end-of-life recycling."

In the end, this is about everyone involved -- particularly the developed nations -- taking responsibility for their waste.

"It is clear that companies have a moral obligation to treat Africa in exactly the same way that they do, say, Germany," said Roberts. Until then, toxic black smoke will continue to cast a shadow over lives across the developing world.

@highlight

Export of electronic products for recycling creating health and environment problems

@highlight

Developed nations that export e-waste criticized by many for lack of responsibility

@highlight

Study from Greenpeace suggest only around 20 percent recycled safely

@highlight

Organized crime involved in e-waste trading according to UN report in July