(CNN) -- If you access Facebook via the Web browser on a "feature phone" -- a simpler, less powerful cousin to the smartphone -- your experience might improve significantly over the next few weeks.

On Friday, Facebook announced an upgrade to its "lean" mobile site m.facebook.com. This upgrade integrates the full range of features found in Facebook's mobile site for smartphones and other phones with touchscreen browsers: touch.facebook.com.

This update is being rolled out gradually to Facebook users. Facebook product designer Lee Byron explained: "With the new m.facebook.com, users with high-end touch devices will see a rich touch-friendly interface; for users with feature phones, the site will look and work great. ...There will no longer be a difference between m.facebook.com and touch.facebook.com, we'll automatically serve you the best version of the site for your device."

Here's why this is a smart move -- one that I wish more online sites and services would emulate.

Too often, as popular sites and services upgrade their mobile offerings, they cater primarily to smartphone users -- which means they end up leaving the vast majority of mobile users further behind. According to new numbers from ComScore, currently only 29% of handsets in use in the U.S. are smartphones.

A brief definition: While the lines between the two types of devices are becoming blurred, smartphones are defined as having operating systems capable of running "native" apps with a wide range of sophisticated functions, and fully featured web browsers (usually based on the Webkit browser). Feature phones tend to be cheaper, simpler, and more limited. Often feature phones lack touchscreens, and they usually run simple apps based on Java.

While smartphones are getting more popular, and many feature phones are getting smarter -- well, at least getting better Web browsers -- most mobile users aren't yet willing to handle the costs and complexity associated with smartphones. Consequently, feature phones will likely continue to be a huge part of the mobile market for at least a few more years.

MSNBC reports that Facebook currently has about 600 million users worldwide, and about 250 million of them already access Facebook from their cell phones.

With an enhanced experience for simpler cell phones, I'd expect that Facebook might quickly grow its mobile user base -- and probably also pick up a lot of new website users.

That's the point: Facebook's business model hinges on getting as many people as possible engaged as much as possible. This means finding a way to efficiently serve the mobile devices they're using today -- not just targeting the mobile devices they might be using a few years from now.

The move to upgrade and unify Facebook's mobile Web experience also will streamline Web development for Facebook. As if it isn't complicated enough to maintain native apps for each major smartphone operating system (iOS, Android, BlackBerry, etc.), maintaining multiple mobile website versions consumes considerable time and resources.

"Every time we launched a new feature, we had to build it multiple times across different code bases," wrote Byron. "Once for facebook.com, then again for m.facebook.com, touch.facebook.com, and in native applications as well. Honestly, we weren't very good at doing this, so certain features were missing on different devices."

Coupled with Facebook's recent acquisition of Snaptu -- a popular platform for Java-based apps that runs on most feature phones -- this consolidation of the company's mobile Web efforts indicates an unusually inclusive mobile strategy.

Facebook is clearly taking a hard look at the mobile market that actually exists, rather than the one that most developers and wireless carriers seem to believe, or wish, exists.

If Facebook can move fast to serve feature phone users well, while other social media services -- except Twitter, of course -- tend to treat feature phones as an afterthought, it's more likely to maintain loyal users for the long term.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Facebook announced an upgrade to its "lean" mobile site m.facebook.com

@highlight

This upgrade integrates the full range of features found for smartphones

@highlight

MSNBC reports that about 250 million users access Facebook from their mobile phones