Kiev, Ukraine (CNN) -- It's a staggering figure, two weeks after Malaysia Airlines Flight 17 was shot out of the sky.

As many as 80 bodies could still be lying in the fields of eastern Ukraine where the passenger jet crashed, Australia's foreign minister told CNN on Thursday.

"But we won't know until our investigative teams are on the site and combing the crash site for remains," Foreign Minister Julie Bishop said. "And that's the grisly and sobering task that they must undertake from now on."

And getting to the crash site isn't as simple as it sounds.

Investigation at the site as been delayed for days by dangerous fighting in the area.

Monitors from the Organization for Security and Co-operation in Europe reached the crash site on Thursday, accompanied by two Dutch and two Australian experts. The monitors used a new route to access the site.

Many coffins holding remains -- collected in the first week after the disaster -- already have been flown to the Netherlands, where the flight originated July 17. But monitors who've gained sporadic access to the site have said bodies and victims' belongings still lie scattered across huge debris fields.

Experts marked locations where they spotted human remains on Thursday, OSCE spokesman Michael Bociurkiw said. They hope to continue investigating Friday, he said, and may use cadaver dogs and aerial surveillance to search the scene.

"This all goes back to time is of the essence," he told CNN's Anderson Cooper. "Everyone realizes that time is no longer on our side, that this investigation has to kick-start into high gear right away."

The team at the site observed a moment's silence to mark two weeks to the day since the plane -- en route from Amsterdam to Malaysia -- plummeted to Earth near the Russian border in rural eastern Ukraine, killing all 298 people aboard.

U.S. and Ukrainian officials have alleged that a Russian-made missile system downed the plane from rebel-held territory; Russia and the rebel fighters deny involvement.

The team's arrival came as Ukraine's military announced a one-day cease-fire Thursday to allow international experts full access.

A statement issued by the Ukrainian Counter-Terrorist Operation's press center said the military would not take offensive action but will "respond to direct attacks."

The statement also accused the rebels of continued violence, including firing Grad rocket systems Thursday morning. "This demonstrates their attitude towards Ukraine and the international community," it said.

'Bittersweet' progress

Bociurkiw said the team of eight OSCE personnel and four "very senior experts" had reached the site after six hours of travel -- a journey three times longer than usual.

The trip, which involved crossing and recrossing Ukrainian and rebel front lines, was possible only after high-level political agreements were negotiated with both sides, he said.

"Although we are very, very relieved to be back at the site, it is bittersweet in the sense that we do realize that it's two weeks almost to the hour since that plane went down," he said.

The four experts are combing the debris field for a rapid assessment, Bociurkiw said. If the truce holds, more international experts will be brought in Friday from where they are waiting, about two hours to the west.

The temperature is nearing 90 degrees Fahrenheit, and the scene is difficult to describe, he said. "We've been here multiple times, and yet it hasn't gotten any easier. There are still human remains in front of me, we can tell by the smell, and there's so many areas that haven't been properly gone over, scoured."

Among those areas is a chicken farm not currently in operation where a fair amount of debris has been spotted. Human remains may be there, too.

Although the observers saw evidence of tampering with the wreckage in the first few days, there are no obvious signs of change over the past week from what he's seen, Bociurkiw said.

What we found at MH17 crash site

'Long walk towards justice'

Dutch Prime Minister Mark Rutte and Malaysian Prime Minister Najib Razak met in the Netherlands to discuss the international response to the crash.

Rutte said the Netherlands and Malaysia share three priorities in dealing with the crash: the repatriation of the victims and their personal belongings, "obtaining clarity" on the cause of the accident and making sure the perpetrators are brought to justice. He said that repatriation of the victims was the highest priority.

Najib also called for a cessation of hostilities by both sides around the crash site and "full and unfettered" access to the area.

With such access, authorities will be able "to find out what happened to MH17" and will be able "to achieve justice for the victims and their families," he said.

"We ask that all sides respect the lives lost, and the integrity of the site, so that the investigation may proceed. The long walk towards justice begins with this step."

Netherlands, whose citizens made up about two-thirds of those killed in the crash, is leading the international investigation.

Rutte said 68 police officers from Malaysia had arrived in Kiev, Ukraine, and would try to reach the crash site area. In addition, 24 Malaysian experts are aiding in efforts to identify victims' remains in the Netherlands, he said.

After their statements, Najib signed a book of condolences for the Dutch victims. Malaysia suffered the loss of 43 nationals in the crash, including 15 crew and two infants.

Lawmakers vote

The Ukrainian Parliament ratified agreements with the Netherlands and Australia on Thursday that will allow both countries to send teams -- including police, civilian and armed personnel -- to eastern Ukraine to carry out the investigation.

Other countries that had citizens on board MH17, such as Malaysia, can also send teams, but there can be no more than 700 armed personnel in total, the agreements stipulate. Only 250 of those who are armed can come from Australia.

According to the Cabinet Office, the missions are free to travel within Ukraine to relevant locations and "have a right to search and gather the remnants as well as investigate the catastrophe."

Australia, which lost 38 citizens and permanent residents, has sent nearly 200 police officers to Europe to help with investigation and recovery efforts.

A Russian delegation, comprising three experts, is also in Ukraine and hopes to access the MH17 crash site on Thursday alongside international investigators, according to a spokesman for the Russian Civil Aviation Authority, Sergey Izvolsky.

They will also provide material requested by the investigators, including radar data from the Russian Defense Ministry showing a Ukrainian fighter jet flying close to MH17, according to Izvolsky.

The United States and others say Russia has provided arms to rebels in eastern Ukraine, including heavy weapons such as a missile system like the one the United States says was used to down the Malaysian airliner.

Ukraine tensions prompt Cold War fears

CNN's Ivan Watson reported from Kiev and Laura Smith-Spark wrote in London. CNN's Nick Paton Walsh contributed from Donetsk and Alla Eshchenko from Moscow. CNN's Mick Krever, Carol Jordan, Raja Razek, Elizabeth Joseph and Catherine E. Shoichet also contributed, as did journalist Victoria Butenko.

@highlight

NEW: "Time is no longer on our side," OSCE spokesman says

@highlight

Australian foreign minister: Monitors face "grisly and sobering task" at crash site

@highlight

As many as 80 bodies could still be lying in the fields of eastern Ukraine, she says

@highlight

Ukraine Parliament agrees nations with citizens on MH17 can send armed personnel