Chhukha, Bhutan (CNN) -- Bhutan is the last of the Himalayan kingdoms. The small country is situated in the nooks and crannies of the highest mountain range on earth.

It's a special place that didn't have paved roads until the 1960s, was off-limits to foreign tourists until the 1970's, and didn't have television until 1999, the last country in the world to get service.

The altitude and scenery are enough to take your breath away.

In this country the environment is cherished. The kingdom lists environmental protection as one of the four pillars of happiness, a state of mind the country takes so seriously that "gross national happiness" is considered more important than gross domestic product.

Still, Bhutan is modernizing and looking at how to use its resources responsibly. Water is one of its most abundant resources.

"Some people tell me that it's the 'moving gold,' " Sherup Tenzing, the executive engineer for Druk Green Power Corporation in Chhukha, said. "Since the river patterns in Bhutan are naturally designed in such a way that it can produce huge amount of energy -- that is also clean energy."

Bhutan is tapping into that clean energy on a massive scale. Hydropower is the sole source of electricity in the country and experts say the country is only using about 5 percent of its potential right now.

"After 2020 we have a target of accomplishing 15 additional power plants and 3 are already under construction and they have achieved good progress," Tenzin said.

Bhutan's very first hydropower plant was set up in Chhukha, about a two-hour drive from the capital Thimphu.

The dam that harnesses the water is a spectacle in and of itself. It is beautifully painted with Buddhist deities, including the water goddess. Even in the belly of the plant, the most utilitarian space has a wall covered with a colorfully painted mural depicting the life of Buddha. The mural adds beauty to what would normally be quite drab and dank.

In Bhutan hydroelectricity has become big business; actually, the biggest business.

The clean energy created in this small country (it's about the size of Switzerland with a population less than that of San Francisco) is being sold to one of Bhutan's power-starved and highly populated neighbors: India.

"More than 60 percent of our GDP comes from hydro-power," Bhutan's Prime Minister Jigme Thinley told CNN. He says the clean energy business is a perfect fit for the country.

"Bhutan is ecologically a very fragile region, being located in the vulnerable Himalayas. And in fact, even with respect to hydropower, we are engaging in its realization only because it is ecologically friendly, these are all run-of-the river schemes with minimum or no damage to the ecology," the prime minister said.

Not everyone is convinced. Government adviser Dasho Paljor J. Dorji worries too many dams may harm the creatures that live in the water.

"It's a shame that so much of our rivers are being tapped. The aim is good. [But] it happens so quickly. I thought that, perhaps, we might be able to leave some of our rivers, still pristine with its natural beauty instead of damming them all," Dorji said.

Still, Dorji is well aware of all the benefits from an energy source that doesn't pollute the air.

Eighty percent of the country now has electricity and the goal is to have the entire nation electrified by 2013, all of it provided by hydropower.

The clean energy has changed many lives in Bhutan.

Farmer Zangmo, who uses only one name that is typical in the country, got electricity for the first time in 2000.

"Earlier, when electricity wasn't there, we faced a lot of problems. We had to depend on firewood for everything. Everything was dark, back then," Zangmo said.

Electricity has helped increase the family income too. Earlier, after backbreaking work harvesting rice in the fields, the family would have to spend their days beating the husks off the rice.

Now Zangmo flicks a switch and the electrical machine does the de-husking, making work more efficient and faster.

She says she doesn't know how the electricity is made but she is thankful for it.

In fact, many of the people benefiting from hydropower have no idea that the pristine water in their rivers is generating the lights in their homes and businesses.

When we told Zangmo that running water was helping create the electricity in her home her eye opened wide and she said: "We didn't know that water could produce electricity. It is unbelievable."

@highlight

Hydropower is the sole source of electricity in Bhutan

@highlight

The kingdom lists environmental protection as one of the four pillars of happiness

@highlight

"More than 60 percent of our GDP comes from hydro-power," said Bhutan's PM

@highlight

Experts say the country is only using about 5 percent of its potential right now