(CNN) -- There are no good or easy solutions for U.S. policy toward Egypt, and short-sighted arguments about military aid miss the broader issues entirely. America is relearning the lesson of the 1950s post-colonial period: Democracy depends on stable and experienced political parties and leaders, a willingness to compromise rather than conspire and to share or give up power until the next election.

Nations without that experience might hold elections, but such hollow exercises in democracy too often become little more than preludes to bitter power struggles and existential matters of survival for the factions involved.

The Obama administration did what it could in spite of these realities. It's becoming public that top U.S. officials did try to broker a settlement and avoid this. The White House worked with the European Union, the United Nations and key Arab states like Saudi Arabia, Qatar and the UAE. It soon found, however, that Egypt's military chief Gen. Abdul Fattah al-Sisi and ousted President Mohamed Morsy were on a collision course, and no real democratic center, no mix of leaders and experience, was at the ready to make democracy work.

The Egyptian military has shown in blood that it believes it cannot co-exist with the Muslim Brotherhood. Gen. al-Sisi may or may not emerge as the formal leader of Egypt, but there is no way for him and the Egyptian military to compromise with Morsy and the Muslim Brotherhood.

The military also has no need to compromise with Egypt's divided liberal factions and political leaders like Mohamed ElBaradei. Egypt's more liberal and secular voices may soon learn they cannot be independent in an era of military rule.

As the U.S. learned when it occupied Iraq from 2003 to 2011, it has little leverage to force any side to change its behavior.

Opinion: Mend, don't end, U.S. aid to Egypt

The debate over calling the Egyptian power a struggle a "coup" has been nothing more than a sideshow. The Egyptian military has more than enough U.S.- supplied weapons -- F-16s and M-1 tanks -- to wait out any cut or suspension in U.S. aid. Egypt also has no meaningful conventional military threat to its existing forces. The Camp David peace accords have secured a cold peace for Egypt as well as Israel.

President Obama canceled the American military's participation in next month's Operation Bright Star in Egypt -- but this was inevitable for other reasons. The Egyptian military is fighting a low-level civil war against Arab opponents in the Sinai -- a key location for the exercise -- and Egypt's military could scarcely carry out a massive military exercise and seize control of the country at the same time, any more than the U.S. could deploy troops into the middle of an ongoing power struggle.

Losing an annual $1.3 billion in U.S. aid or facing a delay in the delivery of F-16s is far less significant to Egypt's military than controlling the country and ensuring its own survival. Besides, the Egyptian military learned well over a month ago that it had other sources of decisive support.

Egyptian protester: Why we are willing to die

As the Muslim Brotherhood largely stood on the sidelines, the military removed Morsy from power on July 3 with the support of many of the same protesters who had originally brought down Mubarak. By July 9, key powers like Saudi Arabia and the UAE determined the threat of the Muslim Brotherhood controlling Egypt, or of Egypt descending into political turmoil, was worth an offer of $8 billion in aid to avoid.

At this point, some officials in the U.S. might be momentarily satisfied by formally calling the actions of Egypt's military a "coup," but it would be little more than an exercise in hollow symbolism. It also potentially deprives the U.S. of much of the little leverage it has.

The Egyptian military knows the U.S. needs Egypt as much as Egypt needs the U.S. Egypt plays a key role in dealing with threats like Iran, securing Israel and key Arab allies, supporting missions like the Afghan conflict, countering terrorism, and securing the flow of world oil exports and the global economy.

What the U.S. must do is to show strategic patience: It must accept the real world character of large-scale revolutions in states with no history of democracy or political base to make it work.

The U.S. needs to accept that Egypt is undergoing a power struggle that will take years to play out before real and stable democracy is possible.

It needs to send in an experienced ambassador like Robert Ford and reinforce a country team of diplomats and U.S. military.

It needs its senior officials and top military officers to do everything possible to persuade the Egyptian military to halt the killing and limit its future repression.

More broadly, the U.S. needs to make a lasting commitment to patiently working with every possible ally both inside and outside Egypt to create the kind of political forces, financial incentives, and compromises that can limit future upheavals and violence and lay the groundwork for lasting political change.

The U.S. cannot create instant democracy from the outside by constant diplomatic pressure, but it may be able to help, over time, move Egypt toward political reform from within.

Refocusing U.S. aid to slowly push Egypt's military toward compromise and restraint, building up Egypt's more secular and liberal forces, and making it clear that the U.S. supports the role of Egypt's moderate Islamists, offers no guarantees, but they are the best real world options available.

The opinions expressed in this commentary are solely those of Anthony Cordesman.

@highlight

Anthony Cordesman: Democracy needs experienced political parties and leaders

@highlight

Cordesman: Egypt had no real democratic center at the ready to make democracy work

@highlight

Cutting off U.S. aid to Egypt won't be that significant to the military, Cordesman writes

@highlight

He says the U.S. needs to help develop democracy that comes from within Egypt