Republican conservatives should be worried. Evangelical churches that frequently support conservative candidates are finally admitting something the rest of us have known for some time: Their young adult members are abandoning church in significant numbers and taking their voting power with them.

David Kinnaman, the 38-year-old president of the Barna Group, an evangelical research firm, is the latest to sound the alarm. In his new book, "You Lost Me: Why Young Christians Are Leaving Church and Rethinking Faith," he says that 18- to 29-year-olds have fallen down a "black hole" of church attendance. There is a 43% drop in Christian church attendance between the teen and early adult years, he says.

I'm not surprised. These young dropouts value the sense of community their churches provide but are tired of being told how they should live their lives. They don't appreciate being condemned for living with a partner, straight or gay, outside of marriage or opting for abortion to terminate an unplanned pregnancy.

This doesn't mean that they necessarily will vote for President Obama in 2012. Jobs and higher wages are their priority just as they are for everyone else; the nominee who convinces the millennials that they'll be better off financially will get their vote. But if neither party is persuasive, the former evangelicals may vote Democratic because of that party's more moderate stance on social issues. Or they could simply sit out the election.

Brittany, a 24-year-old veterinary technician, is an example of the newly disaffected. In high school, she attended a conservative Episcopal church in northern Virginia. She enrolled in college thinking of herself as a conservative and not wanting to have sex until she was married. Her views changed when she met her boyfriend. She began to question the theology of her home church on a number of social issues.

"I know I'm a Christian and believe in God, but the church hasn't helped me in my struggles," she says. "It really doesn't affect anything in life right now."

The result? "I don't go to any church." And how does she feel about next year's election? "There are many times I think I'd rather not vote at all."

In lifestyle and beliefs, she is far from an outlier. Consider the following facts about millennials in general:

•  Seven in 10 millennials say sex between an unmarried man and woman is morally acceptable (PDF). (According to Kinnaman, young Christians are as sexually active as non-Christians.)

•  Most women in their early 20s who give birth are unmarried.

•  More than six in 10 millennials (including 49% of Republican millennials) support same-sex marriages.

•  Six in 10 millennials say abortion should be legal (PDF), a higher proportion than found in the general population. A higher percentage say abortion services should be available in local communities.

Millennials also part ways with conservative orthodoxy on wealth distribution and caring for the environment. According to a report in The Christian Science Monitor, three out of four say that wealthy corporations and financiers have too much power and that taxes should be raised on the very wealthy, and two out of three say financial institutions should be regulated more closely. In addition, most say that creationists' view on evolution is outdated.

Sounds a lot like Democratic ideology to me.

Of course, every generation rethinks its beliefs and values during young adulthood. Even the most liberal tend to moderate their views once they marry, have children and start paying a mortgage. Some of them return to church, if only for the structured support of a congregation and the moral instruction their sons and daughters can receive.

But here's the thing: This particular generation is marrying later than prior generations, if they marry at all. They're having children -- and assuming a mortgage -- later. The longer they stay away from church, the less likely they are to come back.

"What used to be two or three years of dropping out is a decade or more," author Kinnaman said.

In 2008, then-presidential contender Obama received a healthy 33% of the young white evangelical vote. If he and his team offer millennials concrete ideas for improving their dismal job situation, he could repeat or even improve upon that in 2012.

So far, however, Obama and mainstream Democrats have done little to reach out to younger voters other than ease the burden of paying off college loans, a not-insignificant move. Perhaps they hold to the theory that presidential elections are the domain of the 40-plus crowd, an assumption increasingly outdated by the speed and breadth with which millennials communicate over the Internet.

In a very tight race, votes cast by this generation -- which has grown in number by 4 million since the last election -- might make the difference. Their votes will be significant for sure by the end of this decade because by then, millennials will make up a third of the U.S. adult population.

And that's a good thing. As the most diverse generation ever, they've shown themselves to be better than their elders at seeking areas of common ground and making compromises. They're also more optimistic: Despite the economic instability of their generation, more than two-thirds believe they can achieve success regardless of race, ethnicity or social class. All of us, whether we're churched or unchurched, could use that kind of faith.

@highlight

Many young evangelicals are abandoning their churches, says Laura Sessions Stepp

@highlight

These young dropouts are tired of being told how they should live their lives, Stepp says

@highlight

Because of social issues, former evangelicals may very well vote Democratic, she says

@highlight

Stepp: In a very tight presidential race, millennials' votes might make the difference