(CNN) -- If the trajectory of American daily life keeps heading in its current direction, the country may end up with only two dominant occupations:

-- Carrying stuff in boxes to people's houses.

-- And keeping a watchful eye on those same people so they don't hurt each other or steal things when they do leave their homes.

For all the talk about how e-commerce is outpacing the performance of traditional retail sales in brick-and-mortar stores, the men and women who could gain the most from the boom in online merchandising are not Web designers or those who come up with clever new shopping apps, but workers who perform one of the oldest jobs in the world:

Lugging packages from the curb to someone's front door.

It's one task that can't be accomplished in cyberspace. During the 2013 holiday season, according to the Wall Street Journal, retail stores drew only about half of the foot traffic that they did three years earlier. And during the peak holiday shopping period, online sales increased by more than double the rate of sales at traditional stores.

For every shopper who doesn't leave a store carrying a bag full of merchandise, but instead places orders online, there's someone who has to bring those items to the residence. And in the long run, the major beneficiaries of this shift in habits could very well turn out to be the people who undertake a decidedly low-technology endeavor: grabbing a box from the back of a truck and walking with it to a house.

You can already see the effects of this in statistics kept by the United States Postal Service. It's no secret that, in our era of e-mails and texts, the number of first-class letters delivered by the post office has plummeted. As recently as 2008, the Postal Service reported that it was delivering 90.7 billion letters annually. By last year, that number was down to 65.8 billion.

But the Postal Service's numbers for delivering packages, as opposed to letters, have actually gone up. In 2008, it delivered 3.3. billion packages; that had grown to 3.7 billion packages by last year. United Parcel Service says it delivers 16.3 million packages and documents worldwide every day -- 4.1 billion a year.

Some time-honored, pre-digital-era manufacturing firms have figured out a way to make the lug-the-package-to-the-house business model work for them, too. International Paper Co., according to the Journal, "is among the companies profiting from new digital habits. It bought several makers of corrugated cardboard boxes, which now fill with goods shipped by online retailers like Amazon. The Memphis-based paper company said it has a 35 percent market share."

But if carrying boxes is one line of work that has legs, another -- just as old-line -- may become even more in demand as the years go by. We can tell ourselves that our worlds are full of social media friends and amiable followers, yet the growth in industries devoted to protecting us from each other, both on the streets and in the electronic ether, betrays a certain distrust in the purportedly benign intentions of our fellow citizens.

It's not just the checkpoints at airports, and surveillance cameras on street corners, and cybercrime-fighting software offered by manufacturers; Samuel Bowles and Arjun Jayadev, writing in the New York Times, noted, "another dubious first for America: We now employ as many private security guards as high school teachers -- over one million of them, or nearly double their number in 1980. ... What is happening in America today is both unprecedented in our history, and virtually unique among Western democratic nations. The share of our labor force devoted to guard labor has risen fivefold since 1890."

This caution on the part of both citizens and industry may be warranted, but Bowles and Jayadev, reflecting on the melancholy underlying message of this, point out what philosopher John Stuart Mill wrote in 1848: "It is lamentable to think how a great proportion of all efforts and talents in the world are employed in merely neutralizing one another."

Neutralizing one another or, more cheerily, showing up bearing boxes. The Postal Service reports that its letter carriers and package-deliverers drive 4 million miles every day. UPS operates a delivery fleet consisting of 96,028 cars, vans, tractors and motorcycles, as well as 237 aircraft. As the inexorable shift to e-commerce becomes the standard way of shopping, those numbers can only be expected to increase.

And the private-security industry? That other growth field? There is an outside chance that it could eventually dwindle: if we should someday decide to put our faith in the sweet intentions and endless goodwill of our fellow citizens, both the ones we can see and the ones who invisibly make their way into our computers.

Until then, though, there is a multitude of home-security and break-in-alarm products for sale online.

And a multitude of men and women hired to carry them to the double-locked front door.

@highlight

Bob Greene: America may end up with only two dominant occupations

@highlight

Greene: One is carrying stuff to people's homes, the other is protecting them

@highlight

He says with the rise of online shopping, more people need delivery services

@highlight

Greene: The other growth field is private security; we employ more guards now