(CNN) -- Iceland will close two airports on Friday for the first time, a week after ash from an Icelandic volcano forced the shutdown of airspace over much of Europe and stranded thousands of passengers around the world, the Icelandic aviation authority announced Thursday.

The Keflavik International Airport and Reykjavík International Airport will be closed beginning early Friday morning, the aviation authority said, according to a statement on the Keflavik airport's website.

Though the ash cloud originated in Iceland, the country's airports have been spared from closure until now. Strong northwest winds had been blowing ash from the volcano, in the south of Iceland, out to sea and over Europe.

"Now the winds have died down, and the cloud is lingering around Iceland," said Chris Almond, a forecaster with Britain's Met Office, the nation's national weather service.

Two other Icelandic international airports, in Akureyri and Egilsstadir, will stay open to all air traffic, the aviation authority said. The ash cloud is not expected to reach those cities, which are in the north and east of the island nation.

Icelandair announced Thursday that trans-Atlantic passengers from the U.S. and Europe who would have stopped in Keflavik will be rerouted Friday via Glasgow, Scotland.

Icelandair said that passengers traveling to and from Iceland will have the option of being re-routed through the Akureyri airport, a four-hour drive from Reykjavík. The airline is arranging bus travel between Akureyri airport and the Reykjavík Bus Terminal.

Elsewhere in Europe, most airports appeared to be open on Thursday and are expected to be open Friday.

But the cloud still caused flight disruptions Thursday. The British Ministry of Defence temporarily suspended non-essential flying Thursday after volcanic ash was found on some of its Typhoon fast jets.

The closure of so much European airspace for nearly a week left untold numbers of travelers stranded, and it's not clear how long it will take to get everyone home.

Many airlines added or rearranged flights to try to clear the backlog.

At its peak, the crisis affected 1.2 million passengers a day and 29 percent of all global aviation, according to the International Air Transport Association.

It was the worst disruption of air traffic since the September 11 terrorist attacks in the United States in 2001. Following those attacks, the United States closed its air space for three days, forcing Europe to postpone all transatlantic flights.

The International Air Transport Association estimated earlier this week that the Icelandic volcano crisis cost airlines more than $1.7 billion in lost revenue through Tuesday.

The crisis began after the volcano beneath the Eyjafjallajokull glacier erupted April 14 and sent a cloud of ash into the atmosphere. By the next day that cloud had reached Europe, where authorities quickly closed the airspace over safety fears.

By Tuesday, however, airlines had started to complain that the measures were too restrictive. Ash levels in most parts of Europe, they said, were low enough to allow the safe operation of flights.

Scientists in Iceland said Wednesday the volcano has decreased its ash output by 80 percent compared to the first day of eruption.

Armann Hoskuldsson, a volcanologist at the University of Iceland, told a briefing that the volcano's output is now "insignificant," though it will continue to be active for a while.

That reduction in volcanic activity appeared to be the main reason that flights resumed operating in Europe on Wednesday, along with European countries relaxing their restrictions on flight, according to a spokeswoman for Eurocontrol, an intergovernmental body that manages European air travel.

In Britain, the Civil Aviation Authority (CAA) issued revised guidance on flying through volcano ash clouds, allowing airlines to conduct their own risk assessments and requiring them to report any ash damage to the authorities.

The 27 countries of the European Union also agreed with Eurocontrol to split the airspace into zones based on their ash content and to allow flights in the unaffected areas, said Spanish Minister of Public Works Jose Blanco.

"Airspace was being closed based on theoretical models, not on facts," said Giovanni Bisignani, director general and CEO of International Air Transport Association. "Test flights by our members showed that the models were wrong."

@highlight

Keflavik International Airport, Reykjavík International Airport will be closed Friday

@highlight

Change in winds means ash cloud is now lingering over Iceland, leading to closures

@highlight

Airports in Akureyri, Egilsstadir will stay open, as ash hasn't reached that part of Iceland

@highlight

Most European airports were open Thursday and should be open on Friday