Venice, Louisiana (CNN) -- Gulf coast residents braced Saturday for the arrival of a massive oil slick creeping toward shore as nearly a million feet of boom were deployed in an effort to protect precious estuaries and wildlife -- even as thousands of barrels of crude continued gushing into the water.

Landfall along the Mississippi River Delta and other Gulf areas was expected as early as Saturday.

"I'm pretty much on pause right now ... it's just a big waiting game," said David Boola, a fisherman who leads boat trips for tourists out of Venice, Louisiana.

But even as officials and residents wait for the oil to reach land, the slick has already taken a dramatic toll on life all along the Gulf Coast, bringing fishing and tourism to a halt in many places and threatening to cripple those industries for weeks to come.

"I'm extremely worried because I have customers that [have] already canceled trips," Boola told CNN Saturday. "I should be out taking people fishing today and I'm not. I'm not making money today. Or tomorrow. I'm worried about the now factor, you know?"

Government leaders echoed those fears.

"The oil that is leaking offshore, the oil that is coming onto our coast threatens more than just our wildlife, our fisheries, our coast," Louisiana Gov. Bobby Jindal said at a Saturday press conference. "This oil literally threatens our way of life."

The oil company BP -- which operated the rig whose sinking caused the underwater oil gusher -- partnered with government officials to hold town hall meetings throughout the region Saturday to respond to concern about the spill's consequences.

But frustration was growing Saturday in Louisiana, Mississippi, Alabama and Florida. At a town hall meeting in Bayou La Batre, Alabama, Mayor Stan Wright warned fishermen in the audience that outbursts would be met with arrest. The fishermen were told that they were not allowed to ask questions.

Jindal suggested the response to the oil slick has so far been inadequate, saying "we continue to be concerned with BP's ability to respond to this incident."

Jindal said he has been working with local officials to develop cleanup contingency plans, but needs funding approval from BP and authorization from the U.S. Coast Guard's incident commander to move forward.

"We need to empower our locals on the ground," he said.

"Now they're saying we are seeing sheens," hitting the coast, Jindal said Saturday, citing the National Oceanic and Atmospheric Administration. "But they expect the heavier oil to be coming by tomorrow and Monday."

U.S. Coast Guard Commandant Admiral Thad Allen -- who the Obama administration designated Saturday to lead response to the oil slick -- said that oil is likely to reach shorelines in Louisiana, Mississippi and Alabama.

"The real question is when," he said.

Allen said Saturday that the government and BP's top priority is trying to stop the oil leak, but offered no timetable for when that goal might be achieved.

"We don't know how many days the discharge will continue to occur," he said.

Such reports darkened forecasts about the spill's environmental impact.

"This has the potential of being truly devastating," Tom McKenzie, of the U.S. Fish and Wildlife Service, told CNN.

Environmentalist Richard Charter of the Defenders of Wildlife organization said the magnitude of the oil leak could cause damage that would last decades.

"This event is a self-feeding fire," Charter told CNN. "It is so big and expanding so fast that it's pretty much beyond human response that can be effective. ... You're looking at a long-term poisoning of the area. Ultimately, this will have a multi-decade impact."

President Obama announced he will visit the oil spill area Sunday morning.

The oil spill started April 20, after an explosion on the BP-operated Deepwater Horizon drilling platform in the Gulf of Mexico. Eleven oil rig workers remain missing and are presumed dead.

The rig sank April 22 about 50 miles (80 km) off the southeast coast of Louisiana, and the untapped wellhead is gushing about 5,000 barrels of oil a day into the Gulf of Mexico, according to BP and government estimates. Some environmentalists say the amount could be much larger.

About 1.6 million gallons of oil have spilled since the explosion, the Coast Guard said.

BP said two Louisiana communities -- Venice and Port Fourchon -- will be the first places likely hit by the oil slick.

Nearly 2,000 personnel have joined the response effort, which includes 68 vessels, among them skimmers, tugs, barges and oil-recovery ships, officials said.

Crews worked through Friday night to dispense 3,000 gallons of sub-surface dispersant, officials said. The Coast Guard's Allen said that an initial test of dispersant released near the wellhead suggested the method could "significantly mitigate the amount [of oil] that makes it to the surface."

Such tests have never been done before, BP spokeswoman Marti Powers said. She said that the dispersants attach themselves to underwater concentrations of oil, causing the oil to sink to the bottom and dissipate.

While the dispersants can help dissipate oil slicks and help birds and other land-based or water-surface wildlife, the chemicals can hurt fish and other underwater species, environmentalist Charter said.

"The scale of the event and the likely duration of the event ... really leaves responders with no good options," Charter said. "While [dispersants] can protect terrestial wildlife ... out in the ocean they make toxic biocomponents available to the marine food chain."

Rapid response teams are staged to deploy to shorelines affected by the oil, federal officials said Saturday. The teams will evaluate and determine an appropriate clean-up effort to minimize impact on the environment.

In addition, Secretary of Defense Robert Gates has approved Jindal's request to mobilize 6,000 National Guard troops.

Meanwhile, the Minerals Management Service has been in contact with all oil and gas operators in the oil spill area, officials said. Two platforms have stopped production and one has been evacuated as a safety measure, federal officials said in a release Saturday morning.

Federal officials have urged BP to beef up its response.

"We'll continue to urge BP to leverage additional assets," Secretary of Homeland Security Janet Napolitano said Friday as she toured the area. "It is time for BP to supplement their current mobilization as the slick of oil moves toward shore."

Doug Suttles, chief operating officer of BP, said the company has had three priorities: stop the flow of oil, minimize its impact and keep the public informed.

"We've so far mounted the largest response effort ever done in the world," Suttles said. "We've utilized every technology available, we've applied every resource request. ... We welcome every new idea and every offer of support."

BP said it has been trying to stop the flow by using remote-controlled submarines to activate a valve atop the well. But the valve is not working, the energy company said.

As concerns about the spill's toll mount -- particularly in the commercial fishing industry, a critical $2.4 billion economic engine for the region -- Obama promised steps to prevent a similar disaster in the future.

The president asked Interior Secretary Ken Salazar "to conduct a thorough review of this incident and report back to me in 30 days on what, if any, additional precautions and technologies should be required to prevent accidents like this from happening again."

Federal officials, including the president, emphasized that BP is legally responsible for paying the costs of the response to and cleanup of the spill.

The cause of the blast on the Deepwater Horizon remains unknown.

Seventeen of the 126 people on the rig were injured in the blast, three of them critically. One person remained hospitalized Saturday, federal officials said.

The House Energy and Commerce Committee is investigating.

CNN's Arthur Brice and Brian Todd contributed to this report.

@highlight

NEW: Fishing and tourism grind to a halt in many places

@highlight

U.S. wildlife official warns of "multi-decade impact" from spill

@highlight

Dispersants to be applied near spill site Saturday, BP says

@highlight

President Obama announces he will visit the spill area on Sunday