(CNN) -- Imagine sitting at your desk at work and overhearing a co-worker sharing the good news about his or her latest raise, bumping his or her salary to $50,000. You have worked at the company five years longer, in the same position and your salary is $5,000 lower.

On top of that, your sales have always been higher than those of your co-worker. Given the questionable history of some of the company's practices, you suspect that discrimination may be at the root of the pay discrepancy. You get together with your closest friends at the company, all share their salaries and decide that a pattern of pay discrimination based on gender may indeed be evident.

The next week, you are fired because your boss found out that you were discussing your pay with your co-workers.

Think your employer can't lawfully do that? You're wrong. This prohibition of talking about pay keeps discrimination secret and is an effective way to keep women and minorities from discovering they are being paid less than white male colleagues who work the same jobs.

That will change if the U.S. Senate passes the Paycheck Fairness Act, expected to come to a procedural cloture vote on Tuesday. The Paycheck Fairness Act would prohibit employers from retaliating against employees who discuss their pay with co-workers. It would also close loopholes in the existing Equal Pay Act that deny victims of sex discrimination the same legal remedies as victims of discrimination based on race or ethnicity.

To illustrate, returning to the scenario above, you later learn that two of your former co-workers still at the company are going to sue the company for pay discrimination. Although the company engaged in pay discrimination based on gender and race, your female co-workers cannot sue to recover the more lucrative compensatory and punitive damages, like people who sue over discrimination based on race or ethnic basis can.

The Paycheck Fairness Act would ensure that victims of sex discrimination have the same legal remedies available to them as victims of racial or ethnic discrimination.

Think we don't need the Paycheck Fairness Act because sex discrimination is a thing of the past? Just tell that to the women at Walmart who have been fighting the retail giant for more than a decade, with evidence of widespread sex discrimination in pay and promotion.

The Paycheck Fairness Act would help prevent employers from paying women less for no other reason than because they are women. The pay gap is especially detrimental to low-income families and families of color who are more likely to rely on women's earnings to make ends meet or as the sole source of income.

Women make on average 77 cents for every dollar men make. The wage gap is even greater for women of color. Black women earn 69.5 cents and Hispanic women 60.5 cents for every dollar earned by their white male counterparts.

The average 77-cent pay gap results in a difference of almost $11,000 per year. This extra money could almost cover the average housing costs in 2010, such as rent or mortgage and property tax, of $11,223, or could completely pay for the average annual combined cost of utilities, food, transportation and broadband Internet access of $10,360. What family wouldn't benefit from this additional money each year?

Over a lifetime, the lost income is staggering, estimated at between $400,000 to $2 million per woman.

The Senate failed to pass this bill last year, coming two votes short. Don't let this happen again. It's time to put an end to loopholes that make it easy for employers to engage in discrimination that hurts women and families.

The opinions in this commentary are solely those of Mariko Chang.

@highlight

Paycheck Fairness Act would keep employers from firing employees for discussing pay

@highlight

Mariko Chang: Secrecy keeps people from discovering they are paid less than others

@highlight

Act would prevent employers from paying women less just based on gender, she says

@highlight

Chang: The act would close loopholes that make it easy for employers to discriminate