It breaks my heart to read about the death of James Boyd, a homeless man shot and killed by Albuquerque police in March. Boyd was apparently mentally ill.

His death recalls the January shooting of Keith Vidal, the North Carolina teenager who, his family says, suffered from schizophrenia and who was shot and killed after police arrived to help with a crisis.

Many details of that case are still unclear, and it's hard to know who or what is responsible.

Tragically, incidents such as this appear over and over again in the news. The scenario goes something like this: Police are called to assist with a person who is experiencing a mental health crisis. There is an escalation in tensions, perhaps the introduction of a real or imagined threat, and this leads to someone getting hurt or, worse, killed. And it's not always the person in crisis; sometimes, it is the police officer.

Another all-too-common outcome is that the person in crisis ends up not at the hospital but at the jail. Police officers, families and certainly people with mental health conditions don't want this to happen.  And it doesn't have to.

There is a time-tested, well-researched way to lessen the likelihood that calling the police for assistance will end badly. In 1988, an approach was developed in Memphis that has been slowly -- too slowly -- making its way throughout the country. It's called Crisis Intervention Team Training, usually just referred to as CIT.

Here's how CIT works:  A team of police officers (or other first responders) from one department or jurisdiction, or from a coalition of neighboring departments, undergoes a comprehensive week-long (40-hour) training program that does several things. It teaches some basics about mental illnesses, substance abuse disorders and developmental disabilities, and it explains how to recognize and interact with someone with these conditions who is in crisis.

News reports indicate that the detective who was put on administrative leave after the Keith Vidal shooting had not completed the CIT program, though others in the Southport Police Department, where he served, had.  If true, we can't know whether this would have changed the outcome, but it most certainly could have helped.

A cadre of community experts provides the training. They include fellow police officers, mental health professionals, family members and people who live with mental health conditions. In addition to clinical information and learning about community resources (and how to link to them), trainees hear personal stories, acquire de-escalation skills and put knowledge into practice through role play.

Officers and people who have had their own crises act out a number of no-holds-barred, real-life scenarios. They also get a sense of what it's like to experience extreme mental health symptoms, such as hearing voices.  It's not always pretty to watch or listen to, but the outcomes of the CIT training show great promise.

Research shows that when CIT trained officers respond to a call, there are myriad benefits. The use of physical restraints goes way down, as do injuries to people in crisis and to officers. People are less likely to be arrested and taken to jail. And because officers know how to connect people to community services, the need to use the most expensive emergency services can sometimes be avoided. Equally valuable is the goodwill that CIT engenders. Officers report greater satisfaction in knowing how to help people, and citizens report greater trust in their police.

If cities as large as Philadelphia and Houston and rural communities such as New River Valley in Virginia and Cambria County, Pennsylvania, can institute CIT, why aren't there teams in every community? Of course, it costs money to pull officers off the street, to train police dispatchers, to pay for materials and for costs associated with using community buildings. Grants from government entities and foundations can at times help to offset these costs.  And much of the training is done by volunteers.

While the basics of the training program remain the same, it must be tailored to each locality. Therefore, more than anything else instituting a CIT program takes commitment and coordination. This usually begins with a person, or small group of people, building a coalition of community stakeholders.  How many fewer tragedies might there be if more people stepped forward to become CIT champions?

'My brother just needed help, and now he is dead'

@highlight

Debbie Plotnick: James Boyd was homeless man, mentally disturbed, shot by cops

@highlight

Program that trains cops to deal with mentally ill might have helped, she says

@highlight

She says such education improves outcomes, reduces injuries, death, jail time

@highlight

Plotnick: Why isn't every police force across the country offering the program?