(CNN) -- There are many reasons why Roz Savage is an extraordinary woman -- she has rowed single-handed across the Atlantic and is now tackling the Pacific, after all.

Life changer: From successful career to ocean rower, Savage has been an inspiration for many.

But her response to everyday commuter ennui is perhaps of the most remarkable things about her. Back in 2000 a 33-year-old Roz was facing another dreary journey by train to the office.

She had a great job as a management consultant, money and a husband; but deep down she knew something was missing. So, instead of just burying her feelings, she wrote two obituaries of herself. In one she kept going with life as it was. In the other she took a jump into the unknown and did the things she'd always wanted to. From that moment on her life has never been the same.

"One-by-one, I shed the trappings of my old life," she writes on her web site.

"The job, the husband, the home, the little red sports car. I moved house with increasing regularity, wherever I could find cheap or preferably free accommodation.

"Little by little I began to realign my life, to put myself on track for the obituary I really wanted."

Eventually she settled on the challenge that would in many ways define her: rowing the Atlantic single handed.

It was, of course, incredibly hard, both physically and mentally. She had done some rowing while at the University of Oxford -- but the open ocean was a different challenge altogether. But she emerged a tougher, happier person on the other side, and is now deep into her new attempt to row the Pacific, a journey she hopes to use to raise awareness of environmental issues.

The courage she has found, both to take on the might of the open ocean and give up safe, conventional notions of success to pursue her dreams has made Roz a hero to many people that hope to find inspiration in her life -- including a large number of CNN.com readers who have nominated her as a "Green Inspiration".

"I feel a little embarrassed about it -- that must be the British in me!" she told CNN from the middle of the Pacific Ocean.

"I certainly don't see myself as any kind of hero, just a human being trying to be the best human she can be. But at the same time I want to reach out to as many people as I can, because I wish I'd had more positive role models to show me how good life can be, and if I can inspire just a few people to change their lives for the better, I'll feel I've lived a very blessed life."

Rowing across the Pacific Ocean

On her journey she keeps the many people following her up to date with regular blog posts on her website.

Posts range from the personal to the global, the reality of life on the open waves to plastic pollution, the North Pacific Garbage Patch, and how people could reduce the amount of waste they generate.

"I try to offer my life as an example of what can be done when a very ordinary person decides to do something out of the ordinary," she said.

"I love my life, and want to show people how much fun it can be when you get out there and grab life by the horns. It would be very selfish of me to keep this fantastic discovery to myself!

"Every time I get a comment on my blog from someone who says they have changed their life as a result of reading about me and my adventures -- anything from composting their kitchen scraps to quitting their job to start out on an adventure of their own -- it gives me a huge warm glow of accomplishment. And it makes me feel even better when they tell me how much fun they are having doing it. Because that is what life is all about."

But adventure doesn't have to involve months alone in a rowing boat, with only sea birds, the sun and the wind for company.

"Everybody is different, and will find their own way," she said. "For me, at the time when I decided to row oceans, I felt the need for a dramatic contrast to the very conventional life I'd had before, and ocean rowing seemed to fit the bill. I do think that you learn things about yourself in extreme situations that you wouldn't learn in less testing circumstances.

"But the situation doesn't have to be physically extreme. Parenthood, starting a new business, moving to a new town or a new country -- these are all ways to put yourself in a challenging new environment where you have to throw away your old preconceptions about what is or is not possible, and try out new approaches."

Ever action has an effect

Roz's advice for anyone stuck in a rut is don't be afraid to fail. If you know what you want to do, then don't be intimidated. Write a list of what you can do to achieve your goals. If there seems to be things on it you can't do yet, then Roz says it isn't detailed enough -- any task can be broken down into achievable steps.

"Everything is a learning experience if you allow it to be. I keep a journal -- on land and at sea -- and this really helps me to learn from my experiences," she said.

At the core of her mission in the Pacific is a belief that we can not only transform our own lives through our actions, but our relationship to the natural world around us as well.

"There has been so much bad news about environmental issues that I think some people feel overwhelmed," she said.

"But there is something we can all do to make a difference -- and it all adds up.

"It's about more than just using a re-usable bag, or picking up a piece of trash from a beach. It's about an attitude and a way of thinking.

"Every action has effects beyond the action itself -- other people will see what you are doing and follow your example. It's the ripple effect. And if we all pull together, we can make a world of difference."

Fundamentally, her message is that life is for living and we learn as much from failure as success if we are open-minded and positive.

"My life now is so much more fulfilling and fun, and I'm incredibly glad I took that leap of faith. There is nothing special about me that made me able to do it. If I can do it, anybody can -- if they want to.

"Get out there, live life large, make the world a better place -- and have fun!"

Send us an email and tell us who you think deserves to be recognized as a Green Inspiration

@highlight

British woman swapped career for adventurous life and raising eco awareness

@highlight

Rowed solo across Atlantic; now attempting same feat across the Pacific Ocean

@highlight

Her positive message has been inspirational to many across the world

@highlight

"I don't see myself as a hero, just a human being trying to be the best she can be"