(CNN) -- Fifteen years ago, representatives from every nation came together to voice one common goal: to advance the global status of women in the spirit of equality.

We were there in Beijing, China, when women broke their silence and a resounding message burst forth from the walls of the U.N. Fourth World Conference on Women: No longer would it be acceptable to separate women's rights from human rights.

Today, we are seeing a powerful momentum materialize as women in diverse regions raise their voices to claim their rights and inspire change while leading neighborhoods, villages, parliaments and nations forward.

As the world navigates through an unprecedented financial crisis, economists and leaders are increasingly turning their attention to the greatest untapped reserve of innovation and resilience -- women.

Progress on women's equality is reaching different regions at different paces, but we can see improvement in girls' education, workforce participation and political representation. The global net rate of primary school enrollment for girls is up to 89 percent; the number of women holding nonagricultural, paid jobs continues to increase worldwide; and women's global share of parliamentary seats is rising, now at 18.4 percent.

Something much harder to measure, but maybe the most significant of all indicators, is a widespread shift over the past 15 years in the global conversation about women.

Our campaign for equality has come out from the darkness of the periphery. We are moving into an age that enables progress and an environment that sustains it.

For Rebecca Lolosoli, the light of change is an unsteady flicker. In her home in rural Samburu, Kenya, women who are abused or raped are cast out of their homes; the concept of women's rights is as novel as it is dangerous. She was beaten for raising her voice in dissent, kicked to the ground for promoting a woman's right to live free of violence.

Out of injustice that sought to tear her down, she emerged as a courageous voice of change. Rebecca formed Umoja Uaso Women's Village, a cooperative where once-forsaken survivors of violence find healing and independence as artisans who produce vibrant jewelry.

Hers is one voice among the millions threatened by a global increase in violence against women -- one in three women will experience violence in her lifetime. We are confronted with a pandemic of violence, and must address it with commensurate force and urgency.

Rebecca carries the weight of unrealized human rights on her shoulders. It is our duty to help lessen her load.

We must support women like her as equal partners in economic, social and political development, and recognize their ability to practice collaborative leadership and carry their communities forward with each step they take. Recently we honored Rebecca at the 2010 Vital Voices Global Leadership Awards, recognizing her strength and vision as she empowers women and shapes a future free of violence against women.

If we want to promote peace and prosperity, we must begin with women. We have seen that in societies where women's rights are respected, economies are stronger, civil societies thrive and political institutions are more open and free.

Our progress in the past 15 years is tenuous if it's not shared, reinforced and expanded in all spheres. We must recommit ourselves to women's equality worldwide. Now is the time to build on the momentum and advance positive change.

The opinions expressed in this commentary are solely those of Sally Field and Alyse Nelson.

@highlight

Sally Field, Alyse Nelson say it's been 15 years since U.N. highlighted rights of women

@highlight

They say women have made progress in education, employment and politics

@highlight

Story of a woman in Kenya shows how victims of  violence can strive for change, they say

@highlight

Field, Nelson: "If we want to promote peace and prosperity, we must begin with women."