(CNN) -- Forget shoot-em-up addicts -- video games are reaching out to the rest of us.

The greatest symbol of this is the Wii console from Nintendo. Its innovative wireless control -- the Wiimote -- has even non-gamers excited as they swing it through the air to control, say, a tennis racket on the screen.

Wii's Wiimote may play a pivotal role in bringing the visually impaired into the electronic gaming fold.

But not quite everyone has been reached. One group is still largely ignored by video game makers: the blind.

With that in mind, a team of researchers at the Singapore-MIT GAMBIT Game Lab in Massachusetts set out this summer to make a music-based video game that's designed for mainstream players and also accessible to the blind.

Appropriately, perhaps, they incorporated the Wiimote into the game-play, though it's optional.

The resulting DJ game, designed for the PC, is called AudiOdyssey. In it, players try to lay down different tracks in a song by swinging and waving the Wiimote in time with the beats. Or they can just use keyboard controls.

The game reminded this writer of my lack of any rhythm whatsoever. I used the keyboard version, where you're instructed to follow the beat by hitting an arrow key. Miss a beat and you get an ugly sound. Things sounded pretty ugly. But I did start to get a little better after 15 minutes and was awarded occasionally by crowd cheers. It's a fun game. And I got a kick out of it.

So did 41-year-old Alicia Verlager. For her, though, the fun is a bit more significant. She's visually impaired.

"Play is one of the ways in which people build relationships," she notes. "It's fun to take on the challenge of a game and take turns encouraging and laughing at each other's sillier mistakes. That's the experience I am really craving in a game -- the social aspects."

AudiOdyssey is presently single-player only, and there's no scoring system. But a multiplayer online version will be released in a few months. Intriguingly, players in this version won't necessarily know whether their opponent is blind -- and it won't make a difference in the game.

"Ideally, they shouldn't even know that it is designed with the visually impaired in mind, since we want to make a 'mainstream' game," says Eitan Glinert, a 25-year-old grad student at GAMBIT and the lead researcher on AudiOdyssey, which is his thesis.

That said, "after they find out that the game is designed to be accessible, it increases awareness," he adds.

Though using the Wiimote isn't necessary, Glinert believes it's a more fun and expressive option. From a development standpoint, getting the Wiimote to work with a PC game (it's meant to be used only with Nintendo's Wii) was a considerable engineering challenge.

And players who want to use the device will have to do a little extra work, as well, including linking a Wiimote to a PC wirelessly via Bluetooth signal (instructions on how to do this are included with the game).

Verlager believes AudiOdyssey's use of the Wiimote makes it unique among accessible games. It's also, as far as she knows, the first accessible music game for blind players. A startup called All inPlay offers online games, including poker, designed to allow play between blind and sighted users.

For Verlager, it's important that games be mainstream and inclusive -- rather than "special" and for blind players.

"I really get frustrated with the way blind people are portrayed as if they live in isolation from the rest of the world and have no sighted family or friends," she says.

Media, which includes video games, "is something people share and participate in together, a way of building relationships and exploring feelings and attitudes about real life," she says.

For now, AudiOdyssey is an "early concept prototype," says Glinert. But "ultimately, we'd love to bring the game to consoles," he adds. "If we get the chance we'll definitely move quickly on that."

The current version of AudiOdyssey is available for free at the GAMBIT Game Lab Web site. E-mail to a friend

@highlight

New interactive music video game developed for visually impaired

@highlight

Nintendo Wii's Wiimote controller or keyboard used to play

@highlight

Developers hope game will also be played online by mainstream players