(CNN) -- The taxi rocked to the pounding sounds of French rap music.

My wife turned to our hostess. "Can you ask him to turn it down?"

The hostess waved her hands nervously. "No, it will only offend him." She explained: The massive Paris taxi shortage had transformed the city's cab drivers into so many motorized Soup Nazis: "My cab, my music; if you don't like it -- walk."

Back in 1937, Paris capped the number of taxi permits at 14,000. Now, 75 years later, a bigger and vastly richer Paris receives some 27 million tourist visits per year -- and the number of cabs has edged up less than 14%, to 15,900. Result: In wind and rain and baking sun, Parisians must stand in long lines at taxi stands for cabs that never come.

In 2007, the new government of Nicolas Sarkozy proposed to supplement the existing fleet. It would license 6,500 new cars in Paris, 23,500 in the rest of France. The proposal triggered a strike that shut down the city for a day -- and frightened Sarkozy into surrender.

Five years later, it's as difficult to find a cab in Paris as ever. (Paris has about 2,000 more cab licenses than New York, which has a much bigger population, but New York has a vast fleet of cars for hire to supplement medallion cabs -- and except for the luxury market, car services are illegal in Paris.)

On the list of world problems, the difficulties of Paris taxi riders may seem to rank low.

Think again.

Almost 3 million French people are now out of work, the severest unemployment in 12 years. Millions more have quit the workforce altogether, subsisting on disability pensions or other social benefits.

Prolonged mass unemployment in Europe has triggered a global debate about the euro currency, and rightly so. Yet it's also true that every day, people in Europe are denied work by dumb laws that prevent willing customers from hiring them.

Adding 30,000 new taxi licenses in France would mean more than 90,000 daily taxi shifts: In other words, upwards of 90,000 new jobs.

And it's not just taxis. France's Raffarin law strictly regulates the creation of new retail premises. Anyone who wishes to create a new store in France of more than 300 square meters must first gain permission from a government commission that includes -- wait for it! -- other existing retailers. In Germany likewise, the federal government until recently forbade stores to stay open past 10 p.m. (In 2011, the federal government transferred authority over hours to the states, some of which have chosen to allow longer openings.)

In almost every European country, restrictions on firing workers have made employers very reluctant about hiring in the first place. That hesitation -- plus heavy payroll taxes that raise hiring costs -- explain why so many European restaurants, cafes, and shops seem so lightly staffed compared to their American counterparts.

These are not macroeconomic issues. They don't involve central banks or currency policy. These are anti-competitive rules that prevent hiring that employers would want to do even in bad economic times.

Fixing these rules requires some political courage, which is never in super-abundant supply. But courage is not the only thing needed. Imagination and ingenuity are even more important.

Go back to our Parisian taxi drivers. Why are they so opposed to adding to the taxi fleet? Interestingly, they're not concerned about competition for fares: They know as well as anybody that the cab shortage is leaving money quite literally standing on the sidewalk.

What concerns them, rather, is the value of their licenses. Paris drivers have paid nearly 200,000 euros for their licenses -- money they have usually borrowed and must work frantically to repay. Drivers regard their licenses as precious capital assets, which they hope to resell in turn.

If the fleet increases, the value of those licenses would presumably drop. Sarkozy's 2007 reform proposals called for giving away the 30,000 additional licenses for free. It said nothing about compensating the existing licensees. If drivers had been reassured on that point, they might have been mollified -- and if they still protested, overriding such protests would have been easier.

France's new president, Francois Hollande, has yet to take a stance on this.

It's not enough for Europe's would-be reformers to summon their courage. They must also be shrewd -- and that's no easy task in a crisis terrifying enough to cause almost anyone to lose his or her head.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Paris is suffering from a world-famous taxi shortage, says David Frum

@highlight

Despite attempts at reform, the number of taxis has increased only 14% since 1937, he says

@highlight

Europe's economic crisis is embodied in France's failure to fix this problem, Frum says

@highlight

Frum: Europe's anti-competitive rules that prevent hiring are an economic burden