San Jose, California (CNN) -- After three weeks, the closely watched Apple versus Samsung patent trial wound down Tuesday with four hours of closing arguments.

Apple is accusing Samsung of copying the design of the iPhone and iPad, suing Samsung for $2.5 billion. Samsung denies any wrongdoing and is counter suing Apple for $519 million, also for patent infringement.

Tuesday's closing arguments capped off weeks of testimony that included highs -- colorful stories from Apple executives about the iPhone's origin -- and lows -- jurors nodding off during drier discussions of software patents. The final battle for the jury's favor had a little bit of both.

Judge Lucy Koh urged the two sides to try one last time to reach a settlement Friday. Apple chief executive Tim Cook spoke Monday to former Samsung CEO Choi Gee-Sung but they couldn't reach an agreement.

Now the decision rests with the jury, which must determine exactly what devices violated which patents, as well as how much money, if any, is owed in damages. While its decision could go either way, what's certain is that the outcome will have a far-reaching impact on the technology industry.

Closing arguments

Throughout the trial, the two sides presented their cases with distinctly different styles, which were represented in the closing statements. Apple generally went more for emotional impact by keeping its narrative simple and engaging, showing the jury easy-to-understand images of devices. Samsung argued that Apple's approach didn't go deep enough to prove that individual devices infringed on patents, and dove into more technical detail.

Apple urged jurors to judge based on "historical documents" and to look at the evidence in chronological order. "That's where you'll find the truth," said Apple counsel Harold McElhinny. Samsung put the emphasis on chunks of transcribed text of testimony from the trial that it said supported its case.

Both sides injected a mix of anger, passion and hyperbole into their closing arguments.

"Apple took five years to bring this revolution to U.S; Samsung took three months to copy it. That's the truth and that's simple, clear, and not disputed." said McElhinny, referring to the the three months Samsung spent developing the Galaxy S smartphone.

Samsung didn't spend much time denying the similarities between the product lines, but rather claiming that form followed function. "It's not against the law to be inspired by your competition," said Samsung counsel Charles Verhoeven, going on to argue that Apple can't patent "a rectangle with rounded corners." He compared current smartphone design to TVs, which changed across brands from thick heavy boxes to black, flat rectangles.

Samsung claimed that Apple was being anti-competitive, and "seeking a competitive edge through the courtroom." Any decision in Apple's favor, Samsung warned, would lead to a country made up of "giant conglomerates, armed with patent arsenals, that block competition."

Apple also painted its side as best for America, saying a decision for Apple would be reaffirming the American patent system, allowing companies to continue hiring people and investing in technology companies. Just finding for Apple wouldn't be enough, it claimed, as a slap on the wrist wouldn't stop Samsung from doing the same thing again.

A main point of contention throughout the trial was customer confusion -- if a casual shopper could confuse a similar-looking Samsung product for an iPhone or iPad. Apple insisted that the jury did not need to believe people had actually been fooled into buying the wrong product, just that the overall visual resemblance between Samsung and Apple products is deceptive.

Samsung said no analysis was presented on whether or not any customers were confused at the point of sale, and contended that there was no deception or confusion.

"Customers make choices, not mistakes," said Verhoeven.

What's ahead for the jury

The jury has to reach a unanimous verdict, a task complicated by the amount of variables in the decision. Jurors must fill out a daunting 20-page verdict form, marking on worksheets exactly which Samsung products infringe on Apple patents and vice versa.

Judge Koh has expressed concern in recent days that members of the jury could be "seriously confused." There are 84 jury instructions totaling 102 pages, including recaps of accusations, key terminology, and directions on how to operate the smartphones and tablets.

"I need everyone to stay conscious during the reading of instructions, including myself" said Koh, who read the entire document to the jury on Tuesday morning, being sure to throw in periodic standing breaks to keep the jury alert.

The thick document will serve as a guide for jurors when they begin deliberations at 9 a.m. Wednesday. They'll also have access to the full line of contested smartphones and tablets so they can examine the hardware and software up close.

Larger implications

Apple is asking for $2.5 billion in damages. The amount, if awarded in full, would be almost three times the amount of the largest patent verdict ever, according to Mark Lemley, a law professor at Stanford University. But the amount isn't what would have the biggest impact on the smartphone industry.

"Even more important than the money is the risk of an injunction," said Lemley. Samsung could be forced to pull its products from the market and redesign them, a costly and time-consuming process that would give Apple an advantage in the smartphone and tablet market, especially if consumers prefer to stick with Apple's familiar designs.

The ramifications wouldn't stop with Samsung. A verdict for Apple would serve as a warning to all Android handset manufacturers.

"Apple's real target in this suit is the Android ecosystem, not just Samsung," said Lemley. There's some debate over whether forcing these companies back to the drawing board would have long term benefits. Lemley says it could promote more diversity, but not necessarily innovation.

A new report from investment research firm UBS says that in the long run, forcing competitors to experiment with new designs could result in new products that are an even greater risk to Apple.

"It could hurt Apple because the real threat is not a competitor beating Apple at its own game but instead changing the game," the report says.

If Samsung wins, it's possible Android smartphone and tablet makers would continue to make products similar to Apple's, leading to more unified design across the industry and a dearth of innovative new products.

A split decision is also a possibility. Peter Lee, a law professor at UC Davis School of Law, says a decision that finds both companies liable for patent infringement would confirm the importance of smartphone and tablet patents.

"It may also accelerate the trend of companies amassing enormous patent portfolios to protect their freedom to operate and provide 'insurance" if they are sued for patent infringement,' said Lee.

One thing everyone can agree on is that a jury decision isn't likely to end the Apple versus Samsung drama.

"One can expect appeals and perhaps, ultimately, a settlement." said Lee.

@highlight

The Apple versus Samsung patent trial had its closing arguments Tuesday

@highlight

Jurors will now decide if any Samsung products copied the iPad and iPhone

@highlight

A finding for Apple could have far-reaching implications for Android device makers