The submarine's body may be constructed from drainage pipes and the hatch from a recycled skylight, but according to its 18-year-old inventor, this single-person U-boat can plunge to a depth of 30 feet and has already completed three successful dives.

The Nautilus took high school inventor Justin Beckerman just six months and $2,000 to put together -- all while keeping on top of his homework.

"He has been building things since he was two years old," says his mother, Jess Beckerman.  "If we tried to help him we would just get in the way and mess things up."

The submarine has ballast tanks to maintain its depth and equilibrium; air vents that bring oxygen down from the surface; a functioning PA and a range of emergency systems including back-up batteries, a siren, strobe lights, a breathing apparatus and a pump to fight leaks. The vessel can remain submerged for up to two hours and travels beneath the waves at one and a half miles per hour.

Beckerman says he is going to use it to "explore the lake, see fish and hopefully find a bit of history, like the cannons from my neighbors' historic house" that, he says, were dumped in the lake during renovations in the 1960s.

When he was younger, Beckerman began by making things out of balloons and string, but as the years went by his inventions grew in scale and complexity. At the age of 12, instead of complaining about having to help with the housework, he developed a remote-controlled car that could mop and vacuum.

Beckerman's website is a testament to his enormous productivity. It is a menagerie of home-constructed machines including boats, planes, architectural constructions, and prize-winning robots.

The materials he uses in his creations are often technological cast-offs from family and friends, or garbage scavenged from electronics recycling facilities. The Nautilus has regulators and pressure gauges from an old restaurant soda fountain that Beckerman found behind a shopping center. The two main batteries are from a child's ride-on toy, and its PA speakers are made from an old car stereo.

Beckerman says he decided to build the submarine because "I wanted to see if I could do it. It combined so many different aspects of things that I had worked on in the past." The Nautilus has the most ambitious wiring system Beckerman has installed since he constructed his tree fort -- a veritable forest castle that puts all other tree forts to shame.

Armed with more modern conveniences than many proper homes, the fort has a TV, wall-mounted speakers, desktop computer, air conditioning, shelving, and fluorescent lights. "It has everything a house should have," says Beckerman, "except a refrigerator and a bathroom."

The Nautilus is not Beckerman's first submarine. In fact, it is his fourth. The previous iteration could dive to five feet, but had a less sturdy frame constructed from plastic containers and duct tape. It was propelled by two motor scooter engines, connected to metal blades and two 12v batteries.

The new design improves on previous models in almost every way.

"I had an idea of how I wanted to sit. I realized that lying down would make the sub more streamlined -- so the drainage pipes seemed a natural fit," he said. But sacrifices to the original design had to be made along the way.

"The ballast tanks were originally going to be air tanks, but they were just too expensive. If I could have learned how to weld I would have made the whole thing out of metal. But that might be for the next one."

Asked if there are any particular challenges which are specific to being a young inventor, Beckerman responds plainly: "No. Other than the budget issues and all of my schoolwork and other obligations that get in the way."

If he had more time and money Beckerman says he would like to continue to add to the submarine. "I would love to add a robotic claw to the front. I would like to make the sub into a more useful thing with a basket the claw could put stuff into to pick up garbage and clean the bottom of the lake."

@highlight

Mendham High School student Justin Beckerman builds one-man submarine

@highlight

The Submarine can dive to 30 feet and travels at one and a half miles per hour

@highlight

Inventive teen has also built airplanes, boats, robots, and architectural constructions