(CNN) -- For desperately ill patients with serious, life-threatening antibiotic-resistant infections, access to new antibiotics is a matter of life and death.

All across America, people are dying from bacterial infections that we used to be able to cure with antibiotics.

Just this March, the Centers for Disease Control and Prevention warned the public about a four-fold increase in one group of "nightmare bacteria," carbapenem-resistant Enterobacteriaceae, which kills up to 50% of the people infected, and is on the rise. The annual impact of antibiotic resistant infections on the U.S. health care system is estimated to be $21 billion to $34 billion in excess health care costs and more than 8 million additional hospital days. At the same time, we are not making new antibiotics fast enough to prevent these deaths.

Without new antibiotics, things we all take for granted, including surgery, chemotherapy, organ transplantation and premature infant care, will be in jeopardy. A streamlined but targeted approach that speeds regulatory approval of new antibiotics -- and limits their use to the sickest of the sick -- is an appropriate way to balance the safety risks of these new drugs with the lifesaving benefits they can offer patients who have no other treatment options.

As a practicing infectious disease physician, my colleagues and I are seeing firsthand the devastating effects that resistant infections have on patients.

Consider Addie Rerecich, who was a healthy, athletic 11-year-old in 2011 before she spent five months in an Arizona hospital battling several serious drug-resistant infections that her doctors did not have antibiotics powerful enough to treat. Addie ultimately needed a double lung transplant to save her life. The health care costs from her hospital stay alone totaled $6 million, and she will need medical attention and therapy for the rest of her life.

As resistant infections like those that nearly took Addie's life continue to increase, the antibiotic pipeline is nearly dry, with few drugs in development that will work against the most alarming pathogens our patients face.

A proposal from the Infectious Diseases Society of America aims to address a key part of the problem by reducing the obstacles to regulatory approval of new antibiotics for use in a distinct, narrow group of people: Patients with serious resistant infections that have no effective treatment options left.

How will this make a difference?

The current regulatory environment in the U.S. discourages drug companies from antibiotic research and development, and few firms are active in this area today. Antibiotics also aren't as profitable as other drugs, such as those for chronic conditions like heart disease or diabetes, which patients often take for years. A more direct path for regulatory approval can encourage more companies to get involved in antibiotic development again.

IDSA's approach -- the Limited Population Antibacterial Drug -- would speed patients' access to new, lifesaving antibiotics by allowing the Food and Drug Administration to approve them for narrow use based on smaller clinical trials than required for more widely used antibiotics. Under LPAD, drug companies will still have to show that a drug's benefits outweigh the risks in patients with serious infections. It's an idea modeled after the successful Orphan Drug Program, which encourages the development of drugs for rare diseases.

Promoting the appropriate use of these new antibiotics is critical, because we know antibiotic misuse and overuse are significant drivers of drug resistance.

Special labeling will ensure narrow marketing of these drugs. Educational efforts should be put in place to send a strong signal to health care providers, facilities and insurers that these drugs are only for patients who need them most. These drugs will also likely be priced higher, commensurate with their value as life-saving medicines, than traditionally approved antibiotics, another factor that will help limit their wider use.

Antibiotic stewardship programs, which encourage appropriate antibiotic use by providers and health facilities, will play a key role. These programs provide much needed support and guidance to clinicians and ensure that our precious resource of antibiotics will be used wisely.

Professional medical groups -- including the American Medical Association -- public health organizations, patient groups and pharmaceutical manufacturers have voiced their support for IDSA's proposal. FDA and several members of Congress are also interested in the concept and in moving it forward.

To be sure, developing new antibiotics and speeding their approval process to treat seriously ill patients is just one way to grapple with this complex public health crisis.

IDSA also promotes enhanced public health efforts, including better data collection and surveillance of drug resistance and the use of antibiotics, improved infection prevention, antimicrobial stewardship, and stronger efforts to encourage the appropriate use of antibiotics in humans and on the farm. Increased research funding to explore how antibiotic resistance develops and spreads is just as vital, along with additional economic incentives and regulatory clarity to boost antibiotic development.

Patients like Addie need our help. We must take action now.

The opinions expressed in this commentary are solely those of Helen Boucher.

@highlight

Obama administration is considering streamlining the approval process for antibiotics

@highlight

Helen Boucher: For patients with life-threatening infections, access to new antibiotics is vital

@highlight

She says by limiting their use to the sickest of the sick, we can minimize risks of new drugs

@highlight

Boucher: We need to encourage more companies to do antibiotic research and development