A tiger swims in a pond to cool off on a hot Saturday morning. School children stroll under a canopy of trees and watch Kalimantan gibbons playfully swing on the branches.

All seems fine at the Surabaya Zoo, Indonesia's oldest zoo and once its most impressive. But a closer look reveals the sad state it has fallen into.

Out of the public's sight, tigers are kept in small, dark cages. There is little room outside for all of its 15 tigers to roam, so only one is let out at a time.

A Sumatran tiger "Betina" is so sick she cannot keep any food down. A few cages away is another emaciated white tiger "Santi."

"See, these tigers never go out their whole life, they're very skinny tigers," said experienced zookeeper Tony Sumampau.

Sumampau was brought in by the Indonesian government to lead a temporary team to improve conditions when it took over the privately run zoo in 2010.

He now spends two days a week trying to teach zoo staff how to care for animals kept in cramped and unsanitary living conditions for far too long.

Before Sumampau arrived, about 25 of the zoo's 4,000 animals died each month, many of them prematurely, from disease and neglect. Among them was a cheetah, a gift from South Africa's President, whose leg was bitten off by a tiger and later died.

Sumampau says trained zookeepers would never put cheetahs and tigers together. "I think this is the only zoo I heard where a cheetah fights with the tigers, in this zoo, because they never meet in the wild," he explained.

There has been some progress since his temporary team came in. Now, an average of 15 of the zoo's animals dies each month.

In March, the zoo's last remaining giraffe was one of them.

An autopsy revealed that the adult male had eaten a staggering amount of plastic; around 18 kilograms or 40 pounds was found in its abdomen, mostly food wrappers.

According to Sumampau, it is not the only animals to have ingested trash that ends up in the enclosures.

Poor sanitation and uncontrolled breeding also remain serious challenges for the zoo.

A pelican nurses her chick in a pen it shares with about 160 other pelicans. There is so little room, the birds can barely stand and unfurl their wings.

Several primates and birds are kept side by side in what was once the zoo's quarantine area.

A brightly-coloured macaw no longer has any feathers on its breast. It has become so stressed by living in captivity that it has plucked them all out, Samampau says.

Lutvi Achmad, the head of the East Java Natural Resources Conservation Center, who works with Sumampau, told CNN, "This overpopulation has been going on for so long, there's inbreeding and for sure this won't be a good thing for the Surabaya Zoo."

The biggest problem Sumampau says is the lack of understanding of animal welfare and conservation. He is slowly training the zoo's 70 keepers but faces resistance from some who have worked in the zoo for years, even decades.

A baby elephant pulls against the chains secured around its legs as it moves around a cramped, concrete cell. One of the keepers tells Sumampau the chains are used to train the young elephant to walk.

Frequent changes in management and infighting are to be blamed for the zoo's appalling state, according to the team.

Sumampau appointed one of the zoo's staff, Sri Pentawati, as the new curator. She says she was reluctant to take on the position but is heartened by the changes.  "Our zoo is old", she said. "It will take time to modernize it, however, some of visitors notice the changes because some of the cages are getting fixed already."

Enclosures for the Komodo dragons, endangered and found only in Indonesia, have been renovated and the younger lizards are now kept separate from the adults who can prey on them.

The barriers are low and properly installed for visitors to safely watch the Komodo dragons sunbathe.

"If you can set up exhibits showing the animals' normal behavior so people will see and know about tiger behavior, elephant behavior and things like that, the zoo in fact is education for the visitor," Sumampau said.

Rebuilding the zoo will require expertise and money. However, with tickets priced at less than $2 each, revenues are just enough to feed the animals and keep the zoo running.

Sumampau and his team have proposed plans to modernize the zoo, but stakeholders, including Surabaya's local government and the Indonesian Forestry Ministry, have yet to agree on a scheme and appoint a management team.

The Forestry Ministry wants the Surabaya local government to appoint a third-party team of professionals to run the zoo. The Surabaya administration prefers a body owned by municipality to take over.

"We will support whoever, professionals, chosen by the local government to run the zoo," Achmad said. "Our duty here is temporary and it is to save the animals, rescue them and prepare for the eventual transfer to the next management."

"We need everyone to have the same vision to fulfill animal welfare of the zoo animals, that's the most important thing", stressed Sumampau. "The surplus animals have to be out, or euthanized, whichever is better, or some can be released to the wild. This has to be done and then we need funding to rebuild the zoo completely."

@highlight

Years of neglect are evident in mortality rates at Indonesia's Surabaya Zoo

@highlight

Until the government stepped in two years ago, 25 animals were dying each month

@highlight

Conditions have improved but overcrowding, poor sanitation and inbreeding remain problems

@highlight

Zookeeper Tony Samampau is trying to change attitudes, improve animal welfare