Washington (CNN) -- The Supreme Court will hear arguments this week in two same-sex marriage cases. Whatever the justices do, the outcome seems foreordained. When 80% of Americans under 30 agree about something, that something will happen -- it's only a matter of time.

But while straight young Americans support marriage for gays, increasingly they opt against marriage for themselves. Nearly half of American children, 48%, are now born to unmarried women. Among women without college degrees, and of all races, unwed motherhood has become the norm.

This is the crisis of the American family. Whether same-sex marriage proceeds fast or slow, whether it extends to all 50 states or stops with the current nine plus the District of Columbia, the crisis will be the same.

Marriage and the Supreme Court: Five things to watch

Children born to single parents face much longer odds in life than children born to married parents. (A new study by ThirdWay.org suggests that the harms are especially intense for boys, less so for girls.) "Odds" are not rules, of course. There are always exceptions.

On average, however, children born to married mothers and fathers are more likely to finish college, more likely to avoid prison and more likely to form marriages themselves than children born to single parents. And precisely because the harms of single parenthood tend to be self-replicating, the breakdown of marriage threatens to harden into a caste divide, with some families launched into cycles of downward mobility because of the unstable relationships of parents or grandparents or great-grandparents.

For 20 years, Americans have fiercely debated whether gays -- who constitute maybe 3% of the population -- should be allowed to marry each other. Meanwhile, Americans have given short shrift to what is happening to the 97% of the population that is allowed to marry, but increasingly opts not to do so.

Chief Justice Roberts' lesbian cousin to attend same-sex marriage hearings

One reason we've given the single-parenthood problem short shrift is that we lack good ideas about how to address it. The core of the problem seems to be the decline of male wages relative to female wages. The New York Times this week quoted an MIT economist, Michael Greenstone:

"I think the greatest, most astonishing fact that I am aware of in social science right now is that women have been able to hear the labor market screaming out 'You need more education' and have been able to respond to that, and men have not. And it's very, very scary for economists because people should be responding to price signals. And men are not. It's a fact in need of an explanation."

As men (on average) finish less education, as male wages (on average) decline, men become less attractive as marital partners. As Harvard's Christopher Jencks -- a left-leaning academic, it should be stressed -- said in that same New York Times piece: "Single-parent families tend to emerge in places where the men already are a mess."

Sutter: The county where no one's gay

But how do we make men without a college education less of a mess? This is the master problem of American society, and not only American society. Everywhere in the developed world, the decline of mass-production industries has put pressure on the roles and incomes of working-class and middle-class men. The expansion of government and service industries has opened new opportunities for women, of which working-class and middle-class men seem less able to avail themselves.

It's important to note that men in full-time work continue to earn more than women in full-time work.

But that bottom-line number conceals a widening divergence between the family patterns of the college-educated top one-third, where family life is increasingly stable, and those of the non-college-educated bottom two-thirds, where family life is increasingly disrupted.

It's the family life of the bottom two-thirds that is the family policy challenge of the 21st century. The debate over same-sex marriage is yesteryear's issue. It's settled, whether the Supreme Court knows it or not. But how to ensure that the next generation of American children enjoys the more equal chance and the wider opportunities from a more universal commitment to marriage -- that debate needs to begin.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Young people overwhelmingly support same-sex marriage

@highlight

He says a bigger question is the future of marriage in general

@highlight

Younger Americans are increasingly choosing not to get married

@highlight

Frum: Children born to single parents face much longer odds in life