(CNN)It's a well driven path for the motoring male: as middle age approaches, thoughts turn to acquiring a shiny sports car as wives, female friends and relatives shake their heads with despair.

Anyone who's ever been lured by the siren call of a powerful engine can take comfort in the fact that, though they may be consumed by automotive obsession, they have nothing on the Schlumpf brothers.

Fritz and Hans Schlumpf made a fortune in textiles during the last century.

When it came to spending it, Fritz's thoughts naturally turned to the sumptuous style and classic panache of the Bugatti sports car.

Not just one Bugatti, not even two, but 122 of them, amassed in secret alongside hundreds of other rare and expensive cars in their textile mill warehouses between 1957 and 1976.

The secret didn't last and the collection is now housed in what could well be the world's most fascinating car museum.

The museum lies in the French provincial town of Mulhouse, a three-hour ride from Paris by France's fast TGV trains -- or, if it was possible to drive the full 480 kilometers at the car's top speed, just over an hour in a Bugatti Veyron 16.4 Super Sport.

Known as the Cite de l'Automobile, or the French National Automobile Museumâ€”Schlumpf Collection, it's certainly the biggest Bugatti collection in the world.

Among the vehicles is the absolute must-see of the Mulhouse collection: Bugatti founder Ettore Bugatti's personal car, the fabulous 1929 Type 41 Royale Coupe Napoleon.

This imposing 6.4-meter, 3-ton black and blue chauffeur coupe has a massive 14.7-liter engine that produced 300 horsepower and could propel the car to 200 kilometers an hour (124 mph).

It has an equally imposing value -- somewhere north of $15 million, based on past sales of other Bugatti Royales.

Bugatti's challenge to Mercedes-Benz and Rolls-Royce

Ettore's son, Jean, who was killed in 1939 at the age of 30 while testing a Bugatti race car, designed the Napoleon, while the silver elephant mascot that graces its long bonnet was sculpted by Ettore's younger brother Rembrandt.

Italian-born Ettore conceived the Royale as a vehicle that would supplant Rolls-Royce and Mercedes-Benz as the choice of European royalty.

His dream foundered when the Great Depression killed the market for super-expensive luxury limousines.

In the end only six Royales were built by Bugatti between 1929 and 1933 -- hence their astronomical value today.

The museum has two examples, the Coupe Napoleon and the Limousine Park Ward, plus a 1990 replica known as the Royale Esders.

Of the other four Royales, one is with the Volkswagen group -- which now owns the Bugatti brand, a couple are with U.S. museums and one is in private hands.

A 1988 replica of the Coupe Napoleon sits in the Sinsheim Auto Museum in Germany.

While Cite de l'Automobile is known as a Bugatti heaven, it caters to other interests.

The current collection of 430-plus vehicles includes early French examples of the horseless carriage (Panhard-Levassor and De Dion-Bouton) through to early high-end limousines such as Isotta-Fraschini and Hispano-Suiza and classic prewar sports coupes such as the Alfa Romeo 8C 2900A Pinin Farina Berlinetta.

An oddity is the 1942 Paul Arzens-designed aluminum and Plexiglass bubble car known as "The Egg."

The postwar sports car lineup includes Ferrari, Maserati, Porsche, Gordini and an exceptional 1955 gullwing Mercedes-Benz 300 SL that was one of Fritz Schlumpf's drive cars.

A section of the Mulhouse collection is devoted to a full grid of F1 racing cars, including the rear-engine Bugatti 251 racer that made its debut at the 1956 French Grand Prix.

Naturally, there's also a modern Bugatti Veyron, housed in its own room.

Secret treasure trove

Still, pride of place goes to the Royale Coupe Napoleon, which Ettore Bugatti used as his personal car until the family's financial difficulties forced his daughter L'Ebe to sell it in 1963.

The ultimate buyers were the Schlumpf brothers.

Just how the Schlumpfs acquired their massive collection of Bugattis and other cars is a story of obsession, deception and loss that puts ordinary midlife crises to shame.

Using money from their textile business, former Bugatti racer Fritz snapped up every model of the car that came on the market, including in 1963 a 30-car collection from the U.S. auto enthusiast John Shakespeare that included a second Royale.

By the late 1960s, Fritz decided he would put his secret treasure trove on public display.

Over the next decade he began restoring and preparing the vehicles for showing.

Then economic circumstances turned against the Schlumpfs as the European textile business began to decline in the face of cheaper Asian products.

Having spent so much of their revenues on motoring masterpieces, their business began to falter.

Encumbered by debt, the Schlumpf brothers sought exile in Switzerland, where they remained until they died -- Hans in 1989, followed by Fritz in 1992.

The Schlumpfs' workers put the vehicles on show between 1977-79, until the French government made the collection a listed monument, ensuring it wouldn't be broken up or taken abroad.

A consortium that included the local municipal authority was created to run the collection and in 1982 the museum officially opened.

By court order, the words "Schlumpf Collection" were added to its name in 1989, in honor of the men whose hunger for horsepower may never be surpassed.

Cite de l'Automobile (French National Car Museumâ€”Schlumpf Collection), 192 Avenue de Colmar, Mulhouse; +33 3 89 33 23 23. Open daily from 10 a.m.-5 p.m. (10 a.m.-6 p.m. April-October). Admission 14.50 euros for adults, 11 euros for children/concession. Price includes on-track show.

Getting there: From Paris, it's about three hours by high-speed TGV service to Mulhouse main station. About 25 minutes by train from Basel SBB in Switzerland.

From the tram terminus near Mulhouse station, take Tram Line 1 to the "Musee de l'Auto" stop, about two kilometers.

Accommodation: Hotel brands in Mulhouse include Holiday Inn (34 Rue Paul Cezanne, +33 3 89 60 44 44), Best Western (Bourse Hotel, 14 Rue de la Bourse; +33 3 8956 1844) Mercure (4 Place du General de Gaulle; +33 3 8936 2939) and Ibis (53 Rue de Bale; +33 3 8946 4141).

Among the best-ranked independent hotels are The Bristol (8 Avenue de Colmar; +33 3 8942 1231) and Hotel du Parc (26 Rue de la Sinne; +33 3 89 66 12 22).

ResidHotel Mulhouse Centre (49 Rue de la Sinne; +33 3 8945 2114) has three-star studio apartments from 65 euros ($83).

Freelance journalist and classic car enthusiast Geoff Hiscock is a former Asia business editor for CNN.com. He writes about food, water and energy issues. His latest book is "Earth Wars: The Battle for Global Resources."

@highlight

Cite de l'Automobile in Mulhouse, France, is home to the world's biggest Bugatti collection

@highlight

Most of the luxury performance cars were collected by brothers Fritz and Hans Schlumpf

@highlight

The collection includes the fabulous 1929 Type 41 Royale Coupe Napoleon, Ettore Bugatti's personal car