(CNN) -- As tensions escalate on the eastern border of Ukraine, President Barack Obama has called on Russian President Vladimir Putin and his government "to cease all efforts to undermine and destabilize" the sovereign nation after the movement of Russian troops into Ukraine and its annexing of Crimea.

Meanwhile, our European allies continue round-the-clock conversations as the political leadership in Kiev is seemingly helpless to stave off the next potential military land grab.

This is the backdrop to a legislative endeavor in Kiev that, although widely unreported in the West, will fundamentally reshape the world community's dialogue on the Ukrainian crisis.

Two of Ukraine's leading political parties, "Fatherland" and "Strike," have jointly introduced a bill in Parliament that calls for the rejection of the country's 1994 accession to the 1968 Nuclear Nonproliferation Treaty.

Russia's disregard of international law, its apparent successful theft of Crimea and Ukraine's desperate attempt at self-preservation may result in the end of one of the last century's most important diplomatic milestones, the Treaty on the Non-Proliferation of Nuclear Weapons, and with it, the efforts of a generation to walk back the spread of nuclear weapons.

Infographic: A divided Ukraine

A new global nuclear arms race may soon begin, and the world will have Putin to thank.

In 1994, Ukraine, the Russian Federation, the United States and the United Kingdom entered into an agreement to remove former Soviet nuclear weapons from Ukraine, later known as the Budapest Memorandum. Ukraine agreed to sign the Non-Proliferation Treaty.

In the history of nuclear weapons, only four states have ever walked away from nuclear capabilities: three post-Soviet states (Ukraine, Belarus and Kazakhstan) and South Africa, which had covertly developed a nuclear weapons arsenal.

Ukraine's actions were not without significant commitments, however, by the other signatories. Russia, the U.S. and the UK pledged in part "to respect the independence and sovereignty and the existing borders of Ukraine" and "reaffirm their obligation to refrain from the threat or use of force against the territorial integrity or political independence of Ukraine."

Today, Russia's policies and actions toward Ukraine's Crimea region demonstrate complete disregard for this critically important memorandum and international law.

As a response, some within the Ukrainian government are looking beyond an immediate call for Western help to a more proactive means of guaranteeing their national security, i.e. regaining nuclear weapons status.

Opinion: Goodbye, good luck to Ukraine?

The recently introduced legislation is the latest expression of the growing sentiment that a nuclear Ukraine is a protected Ukraine.

Mustafa Dzhemilev, a member of the Ukrainian Parliament since 1998, recently said he had spoken directly with Putin and told him that because of Russia's breaking of the Budapest Memorandum, "such arrangements will not be trusted by anyone anymore, and that each country that has financial capacity to acquire its own nuclear weapons will be aspired to go down that path, and Ukraine is no exception."

In addition, former Minister of Foreign Affairs Vladimir Ogryzko recently said, "Ukraine needs to announce that it is walking away from the NPT and immediately restart the full nuclear cycle and manufacturing of all the components of the weapons."

Ironically, the notion of reacquiring nuclear weapons as a security guarantee is a position publicly advocated by Putin himself: "If you cannot count on international law, then you must find other ways to ensure your security. ... This is logical: If you have the bomb, no one will touch you."

These words were written by Putin to the American people in the context of U.S. policy toward Syria in a New York Times opinion piece from September 11.

Opinion: U.S. giving Putin green light in Ukraine?

Today, less than six months later, Putin's decision to disregard a critical agreement in violation of international law -- and in disregard of his own logic -- has set in motion a discussion that could have dire security implications on the Korean peninsula, in Tehran, in South Asia and anywhere nations are weighing the nuclear option for their security posture.

The actions of Russia and Ukraine over the next few weeks have the potential to alter the global nuclear weapons dynamic in a profound and extremely dangerous way.

One probable and immediate consequence of a Ukrainian choice to "go nuclear" would be that Belarus, a Ukrainian neighbor and close Kremlin ally, would also choose to return to its pre-treaty nuclear weapons status through the development of indigenous weapons or, even more likely, invite the placement of Russian nuclear weapons within its borders.

Given Belarus' borders with EU member states Poland, Lithuania and Latvia, this would probably lead to EU and NATO reactions and a reversal of European nuclear stability trends not seen since the Non-Proliferation Treaty entered into force in March 1970.

Putin has sent a clear message to the more than 25 non-nuclear states possessing the technical capabilities to join the nuclear weapons club that the stick of nuclear arms and not the carrot of international law is what guarantees national security.

In the New York Times, he wrote, "Preserving law and order in today's complex and turbulent world is one of the few ways to keep international relations from sliding into chaos. The law is still the law, and we must follow it whether we like it or not."

It should be the hope of every nation that the crisis in Ukraine is quickly and peacefully resolved and that Putin takes his own words to heart, reversing a course that leads to a world where the phrase "nuclear arms race" is not relegated only to the past.

@highlight

Three scholars fear that Russian actions in Ukraine may force new nuclear dynamic

@highlight

A new global arms race may begin, and world will have Putin to thank, they argue

@highlight

Authors: Disregard of law may end one of last century's most important diplomatic agreements