(CNN) -- Earth never stops surprising us. Every corner of the planet offers some sort of natural peculiarity with an explanation that makes us wish we'd studied harder in junior high Earth science class.

Some of these sites are challenging to get to; others are busy tourist destinations. They keep natural scientists searching for answers and the rest of us astounded by the secrets and mysteries the world continues to reveal.

Blood Falls, Antarctica

Most people won't see Blood Falls in person, but even in photographs, the sight is arresting: a blood-red waterfall staining the snow-white face of Taylor Glacier. The place was documented in 1911 by geographer/geologist Thomas Griffith Taylor, a member of Robert Falcon Scott's ill-fated expedition to the Antarctic. (Scott named the glacier for Taylor.)

8 very old sites in the New World

Since then, glaciologists and microbiologists have sought to determine what causes the mysterious red flow. They've concluded that the source is a subterranean lake rich in the iron that gives the water its red hue. Stranger still, recent research has revealed microorganisms living 1,300 feet beneath the ice, sustained by the iron and sulfur in the water.

Magnetic Hill, Moncton, New Brunswick

What could possibly cause an automobile to roll backward uphill without power? A magnetic force from within the Earth? Something even more fantastic? Since the 1930s, when the phenomenon of Magnetic Hill was discovered (and almost immediately promoted as a tourist attraction), people have been trying to figure out its riddle.

Even though it's been demonstrated that the "magnetic force" is an optical illusion and the uphill slope is actually a downhill slope, that hasn't stopped carloads of travelers from visiting Magnetic Hill and testing it for themselves.

Digging deep: 15 ancient ruins you might not know

Surtsey, Iceland

When people try to convince you there's nothing new under the sun, direct them to the Icelandic island of Surtsey. Before 1963, it didn't exist. Then, an underwater volcano in the Westman Islands (Vestmannaeyjar) erupted, and when the activity settled down in 1967, what remained was an island where no island had been before.

At its largest, Surtsey measured about 1 square mile, but wind and water have eroded the volcanic matter to a little more than half that size. Presented with this unsullied environment, the Icelandic government determined that the best thing to do was preserve it. Thus, although you can sail past it on a Westman Islands day cruise, Surtsey remains off-limits to just about everyone except marine biologists, geologists, botanists and other scientists conducting research there.

8 elegant U.S. mansion hotels

Moeraki Boulders, New Zealand

Large spherical boulders -- some measuring 12 feet in circumference -- are scattered on Koekohe Beach on the east coast of New Zealand's South Island. They formed millions of years ago on the ancient sea floor, collecting and hardening sediment and minerals around a core such as a fossil or a shell similar to the way oysters form pearls.

They're not the world's only examples of what geologists call septarian concretions. You can also visit the Koutu Boulders near Hokianga Harbour on the northwestern coast of New Zealand's North Island, for example. Yet the Moeraki Boulders are some of the world's largest. The particulars of their origin and what caused the distinctive cracks inside them are still being studied.

Midnight sun, Spitsbergen, Norway

From April 20 to August 23, the sun never sets over Svalbard, a Norwegian archipelago that lies north of Greenland in the Arctic Sea. The phenomenon plays havoc with everyone's body clocks. Is it noon? Is it midnight? After a day or two, it's hard to tell.

Among the northernmost yet still-accessible places to experience the midnight sun is Spitsbergen, the largest island in the group. The island is well-suited and accommodating to travelers, who tend to keep strange hours in summer and who soon understand why their hotel rooms have been fitted with darkening curtains.

Pamukkale, Turkey

What appears to be a Doctor Zhivago-style snowy landscape in southwestern Turkey is actually the result of calcium carbonate deposits from 17 natural hot springs accumulating over thousands of years. Beginning in the late second century B.C., this area near present-day Denizli was a destination for those who sought the therapeutic benefits of the mineral-rich water whose temperature reaches upward of 100 degrees Fahrenheit.

Today, you can see remnants of the baths at the ancient holy city of Hierapolis, but it's the stunning terraces, cliffs and petrified white waterfalls of Pamukkale -- Turkish for "Cotton Palace" -- that give it remarkable natural beauty.

Racetrack Playa, Death Valley, California

How ordinary stones manage to "sail" over the surface of Racetrack Playa in Death Valley National Park is a mystery people have tried to solve since 1915, when a prospector and his wife noticed tracks that seemed to indicate that the stones had somehow traveled across the dry earth. Short of cosmic intervention, the stones required terrestrial forces to move them.

But what forces? The current prevailing theory about the "sailing stones" of Racetrack Playa, presented by a team of physicists in 2011, involves ice that forms around the stones, causing them to move and to leave a trail in their wake. Many visitors still hope for a more mystical explanation.

Eternal Flame Falls, Orchard Park, New York

Behind the cascade of a small waterfall in the Shale Creek Preserve section of Chestnut Ridge Park in suburban Buffalo, New York, you might see what appears to be an optical illusion: a flickering golden flame. Actually, you'll smell it before you see it, and amazingly, it's real, fueled by what geologists call a macroseep of natural gas from the Earth below.

A geological fault in the shale allows about 1 kilogram of methane gas per day to escape to the surface, where, at some point, possibly the early 20th century, a visitor had the idea to set it alight. The water occasionally extinguishes the flame, but there's always another hiker with a lighter to reignite it.

Old Faithful, Yellowstone National Park, Wyoming

Yellowstone National Park claims the highest concentration of geysers of any place on Earth. Geysers are hot springs with plumbing challenges that result in eruptions. More than 300 can be found throughout the park's 3,472 square miles, and none is more famous than Old Faithful. In fact, Old Faithful is the reason Yellowstone was designated a National Park -- the first in the United States -- in 1872.

Its name comes from the perceived regularity of its eruptions, which occur every 55 to 120 minutes and last for two to five minutes. The spectacular eruptions remain a source of fascination for the more than 3.5 million people who visit Yellowstone each year. The fact that the eruptions aren't quite as regular as they might seem -- and that the mean eruption interval seems to be lengthening -- keeps geologists fascinated, too.

Relampago de Catatumbo, Ologa, Venezuela

Thanks to its humidity, its elevation and the clash of winds from the mountains and the sea, the southwestern corner of Lake Maracaibo in Venezuela has the world's highest frequency of lightning activity (250 flashes per square kilometer per year).

More than 200 nights per year, with peaks in May and October, lightning flashes fill the sky -- sometimes 25 or more flashes per minute. To put that in perspective: The National Weather Service classifies anything over 12 strikes per minute as "excessive." Named for the Catatumbo River, which flows from Colombia in to Lake Maracaibo, the Relampago de Catatumbo, or Catatumbo Lighting, has become a highlight for travelers who spend their nights wide awake and wide-eyed watching the spectacle.

@highlight

Magnetic Hill in New Brunswick is an optical illusion that has fascinated tourists for decades

@highlight

The Moeraki Boulders in New Zealand are what geologists call septarian concretions

@highlight

Lightning and the Midnight Sun also wow visitors -- and keep them awake at night