(CNN) -- Most of those killed on the helicopter that crashed in eastern Afghanistan overnight were a part of the fighting force known as the Navy SEALs, two U.S. government officials said.

The men who died were not the ones who killed Osama bin Laden in May, but they belonged to the same unit, a military official said.

The group has its origins in World War II, when the United States realized that to invade Japan, it needed savvy, quick-thinking fighters who could perform reconnaissance at sea.

Beyond tactical expertise, the SEALs -- short for Sea, Air and Land teams -- needed to have extraordinary physical strength.

According to the SEAL web site, they became known as jack-of-all-trade troops, able to survey China's Yangtze River disguised as Chinese nationals in 1945 or conduct demolition raids on railroad tunnels and bridges along the Korean coast during the Korean War.

It was the SEALs who were sent to kill bin Laden in Pakistan, ending a decade-long manhunt.

The SEALs did not get their name until after President Kennedy spoke about his admiration for special forces troops and his hope that the U.S. military would better enhance its capacity for unconventional warfare, counter guerrilla and clandestine operations.

There was a new and pressing need for more advanced military techniques during the time. Among other missions, the SEALs were deployed to act as advisers and train South Vietnamese commandos.

Vietnam was the first American war to be broadcast widely on television and media, and woven into popular culture for mainstream consumption. It solidified the image of the SEALs as the ultimate tough guy, a reputation burnished by reports of SEALs' ability to do face-to-face combat with Vietcong and stories of their work with the CIA.

The relationship between America's spy agency and its elite troops was crucial to gaining real-time intelligence for missions sometimes carried out at the last minute -- perhaps an asset more important now than ever, experts have said. The war against al Qaeda is just as much about obtaining reliable intelligence as it is winning on the battlefield.

SEALs victories have been many. During Vietnam, they performed a covert operation called the Phoenix Program which captured Vietcong sympathizers.

In the Iran-Iraq war, SEAL teams conducted missions to counter Iranian mine-laying boats. The first military flag officer to set foot in Afghanistan after September 11, 2001, was a SEAL in charge of all special operations for Central Command, according to the SEALs history page on its web site.

The site says SEALs commanded Task Force K-BAR which oversaw the Navy, Air Force and Coalition Special Operation Forces at the beginning of Operation Enduring Freedom which carried out more than 75 special reconnaissance and direct action missions, destroyed more than 500,000 pounds of explosives and weapons, identified enemy personnel and conducted operations that searched for terrorists trying to flee the country by sea.

The largest deployment of SEALs in the group's history came during the Iraq War, with SEALs directing missions that included securing all of the southern oil infrastructures of the Al-Faw peninsula and the off-shore gas and oil terminals, clearing critical waterways so that aid could flow into the country. Several high-value terrorist targets were captured by the SEALs, including Ahmed Hashim Abed, the alleged mastermind of the murder and mutilation of four Blackwater guards in Fallujah, Iraq, in 2004.

Another recent high-profile mission came in 2009 when a SEAL team rescued the American captain of the cargo ship Maersk Alabama, which had been hijacked by Somali pirates off Somalia's coast. SEAL snipers were on the deck of a ship and fired simultaneously three times, hitting three pirates who were holding the captain.

Ultimate test

SEAL training is "the ultimate test for a guy," said Chris Heben, a former SEAL with 10 years of experience carrying out missions in Africa, the Middle East and Afghanistan.

It's social, physical and psychological and tests how well the man can work with others given intense pressure and pain.

SEALs train between 18 and 24 months, with the pinnacle of training coming during Hell Week, five days in which trainees are constantly cold, hungry, sleep deprived and wet.

During Hell week, instructors deprive the participants of sleep, then let them hit the rack just long enough for REM to begin, said Brandon Tyler Webb, a former SEAL who ran the sniper program at the Navy Special Warfare Command and was part of combat missions in Iraq and Afghanistan.

Instructors are constantly yelling, "Go ahead, quit if you like!"

Many do. The attrition rate for SEAL training is about 90 percent, Heben and Webb said.

Most recruits drop out long before Hell Week because they can't take the training, which involves running 15 miles, topped with a 2-mile open water swim and other intense physical conditioning, Webb said.

"Every day is like climbing Mount Everest," Heben said. "You just keep doing what's in front of you. You don't look up."

Training instructors make you feel like "you're part of an Indian tribe," Heben said.

"There's a lot of back patting and verbal reinforcement. You feel like you're part of something and you're doing great things. But they definitely let you know when you're not doing something right."

The discipline from SEAL training was intensely satisfying to Heben in his early 20s. He had gone to college, and though he was very bright, he was spending more time working out than on his class work. He was restless.

Four walls and books just weren't his thing. Despite unimpressive grades, at 23 he got a job working in home mortgages making $63,000 a year.

Then one day he read an article about the SEALs in Popular Mechanics.

"I enlisted in the Navy immediately," Heben said. "I asked the recruiter, 'What is the fastest track to becoming a SEAL? I'll take that.'"

Though he won't discuss specific areas of countries where he's carried out missions, he said that he normally trained for missions on exact mock-ups of a targeted location.

@highlight

Most of those killed in Afghanistan helicopter crash were Navy Seals, officials say

@highlight

Men killed were not bin Laden's killers but belonged to same unit

@highlight

SEALs are not Rambo wannabes, said a former member

@highlight

Keeping quiet is a SEAL code; they don't brag about their missions