(CNN) -- In just over a day, rebels seized the Central African Republic's capital, forced the president out of the country and declared the nation had "opened a new page in its history."

But no one knows what the next page will say.

Michel Djotodia, the leader of the rebel alliance, the Seleka, declared himself the new president, and the rebel group says their takeover opens a path for peace and democracy.

Yet questions abound over the future of impoverished, landlocked country -- and what this uprising means for its 5.1 million residents.

Where is the Central African Republic?

The Central African Republic is a landlocked nation in the center of the continent, slightly smaller than Texas. It is bordered by Cameroon, Chad, Sudan, South Sudan, the Republic of Congo and the Democratic Republic of Congo.

A former French colony, it gained independence in August 1960.

Its 5.1 million residents include various ethnic groups who speak several languages. Even though French is the official language, Sango is the primary one.

What has been its form of government?

For the first 30 years, the country was ruled mostly by military governments. Civilian rule was established in 1993 but lasted only 10 years, according to the CIA World Factbook.

In March 2003, then-president Ange-Felix Patasse was deposed in a coup led by Gen. Francois Bozize.

Bozize is now in Cameroon, from which he is seeking to move to another country, the Cameroon government said in a communique dated Monday. The statement said that despite his presence, the country shall adhere to a policy of non-intervention.

How long was Bozize in power?

Two years after he took over in a coup, Bozize called elections in 2005 -- which he won.

In 2011, he was re-elected, but activists said the polling was marred by fraud.

When did the rebellion start?

From the beginning, Bozize did not have full control of the nation. Rebel groups operated, particularly in rural areas.

In December 2012, several of the rebel groups banded together, calling themselves the Seleka, or "coalition" in the Sango language. They accused Bozize of reneging on a peace deal and demanded that he step down.

Slowly, the rebels began taking over parts of the country.

Didn't the two sides strike a new peace deal?

Yes, Bozize and the Seleka brokered a peace deal in January, agreeing to form a unity government led by Bozize.

But that deal also fell apart.

What do the rebels want?

Some say the Seleka want a greater opposition presence in the country's government after Bozize's presidential election wins were met with fraud allegations.

But others say greed is a factor.

Only 3.1% of the land is arable, but the country has an array of natural resources, including diamonds, gold and timber.

"Government officials from Bangui have accused Seleka of harboring 'foreign provocateurs' greedy for the country's vast mineral wealth, and there are suspicions that nationals from Chad, Nigeria, and Sudan also make up Seleka's ranks," African studies doctoral candidate Jason Warner wrote in a piece for CNN.

How did the rebels take over the capital?

For weeks, the Seleka rebel coalition pushed its way from its base in the north toward the capital city of Bangui, seizing towns along the way.

Their efforts took a pivotal turn on March 24, when they infiltrated the capital.

Witnesses reported hours of fierce gunfire in the city, and a government official said seven civilians were killed.

Before he ended up in Cameroon, Bozize had crossed into the Democratic Republic of Congo by the end of the day, said Jules Gautier Ngbapo, a government spokesman.

And the rebels issued a bold message:

"The Central African Republic has just opened a new page in its history," said a written statement from Justin Kombo Moustapha, secretary general of the Seleka rebels.

The statement described Bozize as the country's former president and urged residents to remain calm and prepare themselves to welcome rebel forces.

Why were South African soldiers in the country?

South Africa sent 200 troops to the country in January to work with the military there to quash the rebellion.

During the rebel advance, 13 South African soldiers were killed and 27 wounded, the South African president's office said. One soldier was unaccounted for.

What is likely to happen next?

That's what world leaders are scrambling to figure out.

U.N. Secretary-General Ban Ki-moon condemned the "unconstitutional seizure of power," echoing the African Union's dismay over the rebels' offensive.

Ban's office said the United Nations will continue working with the African Union and the Economic Community of Central African States to find a solution.

Rebel leader Djotodia declared himself the new president, and the rebel alliance said democratic elections will take place after three years.

"A new page is opening for peace and democracy in the CAR," Francois Nelson N'Djadder, a rebel spokesman, wrote.

"Bozize being gone, the Central Africans must gather around the table to talk and find a common path which will ... lead to the organization of democratic elections."

What other challenges does the Central African Republic face?

Despite its richness of natural resources, the country is stymied by a landlocked position, a poor transportation system, a largely unskilled work force and a legacy of misdirected macroeconomic policies, the CIA's World Factbook said.

Its per-capita GDP -- the country's economic output divided by the population -- is just $800, putting the country in 222nd place out of 228 countries.

And more than one in 25 adults are afflicted with HIV or AIDS.

READ MORE: Central African Republic president flees capital amid violence, official says

CNN's Elwyn Lopez, Nana Karikari-apau and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Bozize is now in Cameroon, that government confirms

@highlight

Rebel leader Michel Djotodia declares himself new president

@highlight

One rebel says democratic elections are on the horizon

@highlight

Rebels tell civilians to remain calm and prepare to welcome rebel forces