(CNN) -- As you can imagine, college life can be very eventful. Balancing classes, internships, and a life away from home is enough to keep anyone busy. As a 20-year-old living with a chronic illness, I have skillfully learned the balancing act of college life. My name is Marquita Gaines, and I have sickle cell disease.

I was first diagnosed at birth. The doctors performed a newborn screening test and when I was 10 days old they called to inform my mom. Because she and my father both have the sickle cell trait, she was aware that I may have the disease. At the age of 8 months I began having fevers over 101 consistently for a year.

When I was 5 years old, I was riding the new bike I had just gotten for Christmas when I fell off and the handle bars hit me in the ribcage. That night I began having difficulty breathing. I was rushed to the local hospital and within hours I had stopped breathing. I was moved to intensive care, revived, and placed on a respirator. The critical care doctors and the hematologist worked day and night to figure out what was happening to me.

My health continued to decline, and my parents were told to go pray because if I continued to not receive enough oxygen I would only have two hours to live. Around the seventh day, my condition stabilized and it was learned that I was suffering from an acute chest syndrome, a condition common among sickle cell patients.

Shooting survivor says blood donations saved her life

Sickle cell disease is a genetic blood disorder affecting the red blood cells. It causes the cells to lose oxygen very easily, turning them from round shapes to crescent shapes that cause painful episodes known as pain crises.

At first glance, no one would know that I am a patient living with sickle cell disease. On any given day I can feel great, but I never know when the pain will come or how long it will last.

A pain crisis can cause severe pain in my joints, my bones and my muscles. Sometimes it lasts for hours or even for days. At my worst it is difficult to walk and I have to use a wheelchair. To help reduce the number and severity of these episodes, I take daily medications and, with the help of the American Red Cross, I receive red blood cell transfusions every six weeks.

The first time I received donor blood from the American Red Cross, I was in the 11th grade. I arrived on an outpatient basis, and a trained nurse from the American Red Cross came to administer the procedure. I was nervous, but the possibility of having little to no pain was exciting.

First, my blood was typed and cross-matched with donor blood. Then, with my family by my side, the transfusion began. A machine filtered out my sickled red blood cells in exchange for roughly 10 pints of normal red blood cells. The American Red Cross nurse administering the transfusion was very knowledgeable and friendly, which helped me remain calm.

Everything was a success, and within a week and a half I felt like a brand new person! My bones no longer ached and I was able to stop taking the heavy pain medication. Once my senior year began, I was able to attend school more often. I also was able to run the mile in eight minutes with the rest of the gym class -- and I wasn't the last person to finish!

Cancer survivor's challenge: Give the gift of life this season

Now in my junior year at Howard University, I am still managing school work and my illness. I am involved in campus life as a member of student government and other organizations. I am young and full of life, with many goals and aspirations. The American Red Cross provides the opportunity for me to feel better more often. Transfusions allow me to have an easier, pain-free life.

During this holiday season, my hope is that everyone will realize the importance of being a blood donor. For people like me who need regular transfusions, blood is often best matched among people of the same ethnic group, so donations from anyone who is a minority or has a rare blood type such as U- or Fy(a-b-) are especially important. You could help someone like me live a healthier, happier, pain-free life. I am a testament to the importance of blood donation and the services that the American Red Cross provides on a daily basis. Without both I wouldn't be able to be a happy and successful young lady.

I realize that sickle cell disease is a part of me, but it will never define who I am. With treatments like this and a strong support system, which I have from my family and the American Red Cross, there is no excuse not to succeed with this disease.

To learn more about becoming a blood donor or to make a donation appointment with the American Red Cross, visit RedCrossBlood.org.

@highlight

Marquita Gaines is a 20-year-old college student with sickle cell disease

@highlight

Sickle cell disease is a genetic blood disorder that can cause severe pain

@highlight

Gaines receives a red blood cell exchange transfusion every six weeks

@highlight

Each exchange transfusion requires 10 units of red blood cells