(CNN) -- The federal government's oil spill response director says testing has revealed that there is a "detected seep a distance from the well" and has ordered BP to quickly notify the government if other leaks are found.

"When seeps are detected, you are directed to marshal resources, quickly investigate, and report findings to the government in no more than four hours," retired Adm. Thad Allen said in a letter to BP Chief Managing Director Bob Dudley. "I direct you to provide me a written procedure for opening the choke valve as quickly as possible without damaging the well should hydrocarbon seepage near the well head be confirmed."

BP spokesman Mark Salt said Sunday night that he had no information about the leak mentioned in Allen's letter. The letter does not provide further details about where the leak was spotted or how big it is.

It was unclear from Allen's letter, released Sunday evening, whether testing on the well had been extended. It was scheduled to last at least until 4 p.m. Sunday. Earlier in the day Allen said officials could decide to extend it in 24-hour increments.

"We've not been told it's stopping," Salt said.

In his letter Sunday, Allen asked BP to provide its "latest containment plan and schedule in the event that the Well Integrity Test is suspended" within 24 hours and said the company should be prepared to discuss its efforts to detect leaks during a regular conference call between BP and government scientists that was scheduled for 9 p.m. ET.

Earlier Sunday BP Chief Operating Officer Doug Suttles said a variety of tests showed oil and gas were not escaping from the well, noting that the recently recapped oil well in the Gulf of Mexico could remain closed until the relief well is drilled if tests remained favorable.

"No one associated with this whole activity wants to see any more oil flow into the Gulf of Mexico," Suttles told reporters Sunday morning. "We will continue integrity tests all the way until we get the well killed. There is no target to return the well to flow."

Allen said earlier Sunday that testing would determine whether keeping the well capped was the right solution. Pressure testing results in the well have been lower than expected, he said, which means oil could be leaking out from below.

"While we are pleased that no oil is currently being released into the Gulf of Mexico and want to take all appropriate action to keep it that way, it is important that all decisions are driven by the science," he said. "Ultimately, we must insure no irreversible damage is done which could cause uncontrolled leakage from numerous points on the sea floor."

Rep. Ed Markey, who has been a vocal critic of BP's response to the gusher, said Sunday that the company could have another motivation for wanting to keep the well capped.

"If the well remains fully shut in until the relief well is completed, we may never have a fully accurate determination of the flow rate from this well. If so, BP -- which has consistently underestimated the flow rate -- might evade billions of dollars of fines," Markey said in a letter to Allen released Sunday.

Using ships on the surface to collect 100 percent of the gushing oil would allow scientists to calculate the flow rate -- a figure that the government would use to determine how much to fine BP, Markey said.

On Saturday, Allen said that once testing is eventually stopped "we will immediately return to containment, using the new, tighter sealing cap with both the [vessels] Helix Producer and the Q4000."

BP is conducting regular seismic runs, monitoring sonar, visual and acoustic activity and the data has been "encouraging," showing no problems.

However if tests show problems, BP officials said they are prepared to remove the tightly fitting containment cap and reassess.

"We're just taking this day by day," Suttles said Sunday. "Nobody wants to see any more oil go into the gulf, but clearly we have to make sure we don't make the situation worse."

No oil has gushed out since Thursday when BP closed all the valves in a new custom-made cap that was lowered into place earlier in the week. The undersea video images of a quiet ocean inspired cautious optimism in the hearts of Gulf

Coast residents devastated by three months of disaster.

Meanwhile, BP has restarted work on drilling two relief wells. Wells said that the first relief well is now about five feet away from the ruptured Macondo well and an intersection could occur by the end of July. BP then plans to pump mud and cement down to kill the ruptured well.

Leaving the well capped Sunday past the 24 hours of testing is a new development. On Saturday, it was expected the testing would extend only into Sunday afternoon.

Engineers and scientists have intensified monitoring of the well, pouring over images and data collected by robots, sonar scans and seismic and acoustic examinations. A government ship is in the area, fitted with equipment for detecting methane gas, which would be an indication of a leak.

The well integrity test began Thursday after two days of delays, first as government scientists scrutinized testing procedures and then as BP replaced a leaking piece of equipment known as a choke line.

Since there's less oil on the surface, BP officials said Sunday that the nearly 50 skimmers deployed at the well site collected nearly half the amount they had the day before. They only conducted one controlled burn, and Suttles said there have been numerous days in a row with no new shoreline impacts.

In the coming weeks, BP also plans to bring in two more oil collection ships in addition to the two already in the Gulf, bringing containment capacity to 80,000 barrels (about 3.4 million gallons) of oil a day, more than high-end estimates of how much oil had been leaking.

@highlight

NEW: Allen says a leak was detected "a distance from the well"

@highlight

NEW: Letter orders BP to provide update on plans

@highlight

BP says the recapped well is holding steady

@highlight

If tests continue to be favorable, BP says the cap could stay on until relief well is drilled