(CNN) -- Simply put, Margaret Moth made an impression.

Given her jet-black hair, thick black eyeliner, black clothes and combat boots (which she often slept in while on assignment), people didn't always know what to think upon meeting her. She was quirky, the sort who excused herself from a social gathering by saying she had to wash her socks. And she was fearless, the kind of woman who not only kept the camera rolling while under fire, but zoomed in on a soldier who was shooting at her.

Colleagues learned quickly to appreciate all that this CNN camerawoman was. Beyond her rich personality, which included deep optimism and kindness, she brought to her profession top-notch technical abilities, unmatched dedication and an approach to work that inspired others to push themselves.

CNN colleagues honor Moth

Moth sought out, even demanded, assignments in conflict zones. She barely survived being shot in the face in Sarajevo in 1992, only to go back as soon as she was physically able. The multiple reconstructive surgeries that followed, as well as the hepatitis C she contracted from a consequent blood transfusion, were mere obstacles she moved around.

But more than three years after being diagnosed with colon cancer, her tremendous life journey has come to an end.

Moth, known for her gutsiness, striking appearance, distinctive humor and sense of fun, died early Sunday in Rochester, Minnesota.  She was 59.

"Dying of cancer, I would have liked to think I'd have gone out with a bit more flair," she said with a laugh last spring during an interview with a CNN documentary crew that had traveled to Texas, where she was visiting friends.

"The important thing is to know that you've lived your life to the fullest," she said then, before tubing down a river in Austin, Texas; taking jaunts to Cape Cod and the Canadian Rockies; and piloting a houseboat up the Mississippi River -- replete with beer and Cuban cigars. "I don't know anyone who's enjoyed life more."

Born Margaret Wilson in Gisborne, New Zealand, to a homemaker and a man who made swimming pools, she got her first camera at age 8. She later changed her name to Margaret Gipsy Moth, a nod to the airplane, which was appropriate for a woman who had a penchant for jumping out of planes, barefoot.

She said she never aspired to be a photojournalist. Rather her path, she explained, was mostly driven by a love of history and her desire to see it unfold firsthand.

Whether she was amid rioters after Indira Gandhi's assassination or covering a long menu of wars spanning continents, Moth felt she and her colleagues were the lucky ones.

"You could be a billionaire, and you couldn't pay to do the things we've done," said Moth, who had most recently called Istanbul, Turkey, home.

Reported to be New Zealand's first camerawoman, she came to the U.S. and worked for KHOU in Houston, Texas, for about seven years before moving to CNN in 1990.

When other photojournalists dived behind cars as militiamen opened fire on protesters in Tbilisi, Georgia, she stood her ground and kept her camera running. As a band of medical professionals defied Israeli tanks and armored vehicles, marching into then-Palestinian Authority President Yasser Arafat's compound in the West Bank, she got in the middle of the group, joined them and helped nab an exclusive interview. When many around her slept in Sarajevo, she set to work in a destroyed hotel room, filming with a night scope through holes blown out by artillery fire, hiding herself and camera from the eyes of snipers.

The Serbian sniper bullet that did hit Moth while she was traveling along "sniper alley" in Sarajevo shattered her jaw, blew out her teeth and destroyed a portion of her tongue -- which left her forever sounding like she was drunk, she said.

Others got angry, as the van she traveled in was clearly marked as a press vehicle, but she refused to go there.

" 'We came into their war. Fair's fair,' " former CNN correspondent Stefano Kotsonis, who was with her when she was shot, remembered her saying. " 'I don't blame anyone for firing at me. They're in a war, and I stepped into it.' "

Her attitude made other colleagues, many of whom were interviewed for the documentary "Fearless: The Margaret Moth Story," strive to be better at what they did. Sound techs and correspondents would often follow her lead, whether they felt ready or not. She was known to outrun her own security. Photojournalists viewed her as a bar-setter.

Another of CNN's international camerawomen remembers Moth

Christiane Amanpour, CNN's chief international correspondent, who'd been away from Sarajevo when her friend was shot, was sitting at Moth's hospital bedside when an assignment editor from the international desk called. He wanted to know if Amanpour was ready to return to the conflict zone, she recalled for the documentary about Moth.

"I said I'd go back, and I know to this day that if I hadn't said yes then, I probably never would have gone back, and I never would have done this career. But I said yes because I couldn't say no," Amanpour remembered, fighting back tears. "We did the work for her. We did it because she was our champion, and we wanted to be her champion."

Sure enough, as soon as Moth could carry a camera again, six months later, she went straight back to Sarajevo to join her CNN colleagues. She joked that she was there to find her teeth.

Moth maintained her humor amid madness and helped others smile and unwind when the surroundings could make levity seem impossible.

She enlisted a producer to go rollerblading with her on the marble floors of a Baghdad, Iraq, hotel lobby. She forced colleagues to tell her who they'd rather sleep with, while giving them horrifying choices. She liked to kick back with fine cigars and could drink others under the table.

Despite her tough exterior, there was insecurity, a vanity to her. No matter where she was, Moth rose early to do her eye makeup and hair. Forever worried about her weight, she picked at a block of cheese in Bosnia for about six weeks and got by on mango juice during a stretch in the West Bank.

She admitted that after being shot, she was more afraid of what she'd look like than she was of dying. Enveloped in bandages, she slipped her dear friend Joe Duran a note asking him if she looked like a monster.

But she often worried about others more than herself.

Moth enjoyed working with seasoned correspondents but also looked out for those who were new. In Pakistan, she taught Patty Sabga to sleep behind couches and talked her through everything she was shooting to help Sabga build her stories. And in Afghanistan, she carefully led the former CNN correspondent through rubble that probably hid land mines.

"She took such incredible care of me and taught me so much," Sabga said. "I can honestly say that the work I did with Margaret Moth is still the very best work of my career."

Moth repeatedly visited the doctor who saved her life. And she boosted the spirits and changed the attitude of another CNN photojournalist, David Allbritton, when he was seriously injured by a bomb in Sarajevo in 1995.

"She made me realize that I was going to get through this," he said. "She set an example by overcoming everything that's happened to her. ... I took that example, and I'm shooting today. I'm not sure that I would be doing what I'm doing today if it had not been for Margaret Moth."

Her chosen lifestyle didn't leave room for children of her own, but she bonded with them across the globe. And her love of animals was so deep that she refused to ride in a horse-pulled wagon, preferring to run with heavy equipment in the desert heat while on assignment in Petra, Jordan.

In fact, when it became clear that the advanced cancer would end her life, the concern that drove her to tears was her cats -- the more than 25 strays she looked after in Istanbul.

"She was more upset about them than she was about dying," said Duran, who rushed to her side after she'd been medevaced out of Sarajevo. But when Duran, also a CNN cameraman, moved into her home in Turkey with the promise that he'd care for the cats, he said Moth told him, " 'Now I can die happy.' "

Duran was by Moth's side when she died. He said he will be taking her ashes back to Istanbul, where he will place them in her garden, beside a photograph of her. There, as she wanted, she'll be able to hang out with her cats.

There were a few things Moth wished she had done. She would have liked to have seen the Krak des Chevaliers, a medieval fortress in Syria, and the Burundi drummers. But regrets? She had none.

She "led the complete life," Amanpour said. "I don't think Margaret could ever look back and say, 'What if?' She did it to the max, and she did it brilliantly. And she did it on her terms."

CNN colleagues and friends of Margaret Moth contributed to this report.

@highlight

Her guts, skill and humor made Margaret Moth one to remember

@highlight

The longtime CNN photojournalist dies of cancer at 59, after surviving wars

@highlight

Shot in Sarajevo, she lived and went back to conflict zone as soon as she could

@highlight

Christiane Amanpour and others remember her for life she lived "to the max"