(CNN) -- In return for food aid from the United States, North Korea has agreed to stop nuclear activity at its main facility in Yongbyon, both countries said Wednesday.

North Korea has also agreed to a moratorium on long-range missile launches.

"Today's announcement represents a modest first step in the right direction," U.S. Secretary of State Hillary Clinton said. "We, of course, will be watching closely and judging North Korea's new leaders by their actions."

Wednesday's news might be the most encouraging since 2008, when six-party talks last broke down over North Korea's nuclear program. Since then, there has been tension and uncertainty, including a nuclear test in 2009 and the death of longtime leader Kim Jong Il in 2011.

How did we get to this point? Here's a refresher course on North Korea's nuclear program:

1993: First accusations
The International Atomic Energy Agency accuses North Korea of violating the Nuclear Non-Proliferation Treaty, an agreement that has been signed by most of the world's countries to prevent the spread of nuclear weapons.

The IAEA demands that inspectors are given access to two nuclear waste storage sites. North Korea threatens to quit the NPT, which it ratified in 1985. But it ultimately agrees to inspections.

1994: First agreement
North Korea and the U.S. sign an agreement for North Korea to stop and eventually dismantle its nuclear weapons program. In return, North Korea will get aid to build two power-producing nuclear reactors.

1998: Provocation
North Korea fires a rocket that flies over Japan and lands in the Pacific Ocean, proving it has the ability to strike its neighbor.

Later in the year, North Korea and the U.S. start holding talks over the suspected construction of an underground nuclear facility. The U.S. demands inspections.

1999: U.S. eases sanctions
North Korea allows U.S. inspections in return for help on its potato yields. Inspectors find no evidence of nuclear activity during its visit.

Later in the year, President Bill Clinton agrees to ease economic sanctions against the country. A U.S.-led international consortium also agrees to sign a $4.6 billion contract to build two nuclear reactors in North Korea.

2001: North Korea threats
Unhappy with the progress on its promised power plants, North Korea threatens to restart its nuclear weapons program. It says it will start testing missiles again unless normalized relations are resumed with the U.S.

2002: 'Axis of evil'
In his State of the Union address, President George W. Bush says North Korea, Iran and Iraq are an "axis of evil" seeking weapons of mass destruction. Later in the year, the Bush administration says North Korea has admitted having a secret program that violates the NPT.

2003: North Korea says it's a nuclear power
North Korea withdraws from the NPT, reactivates its nuclear power facilities and begins test-firing missiles.

On April 23, it declares that it has nuclear weapons.

2004: Six-party talks begin
Negotiations begin at a summit of six nations: North Korea, South Korea, the U.S., China, Japan and Russia.

North Korea offers to freeze its program in exchange for aid, eased sanctions and removal from the U.S. list of terrorist sponsors. The U.S. wants North Korea to disclose all of its nuclear activities and allow inspections.

These six-party talks would be off and on for the next two years with no long-term agreement.

2006: First nuclear test
North Korea claims to have successfully tested a nuclear weapon at an underground facility in Hwaderi. Days later, the test would be confirmed by the outside world.

Responding to the test, the U.N. Security Council approves a resolution to impose sanctions against North Korea and require an end to nuclear and ballistic missile tests.

2007: Progress?
North Korea agrees to close its main reactor for $400 million in aid. A couple of months later, the U.S. releases about $25 million of frozen North Korea funds from a bank in Macao.

North Korea also agrees to disable its nuclear program by the end of year. Days later, South Korean president Roh Moo-hyun becomes the first South Korean to walk across the Demilitarized Zone separating the two Koreas. He meets with North Korean leader Kim Jong Il for a three-day summit.

2008: Talks break down again
North Korea misses its deadline to disable by the end of 2007, although the destruction of a water-cooling tower in June 2008 shows promise.

In October, the U.S. announces that North Korea is taken off the list of states that sponsor terrorism. But when six-party talks resume in December, North Korea refuses to allow unfettered access to inspectors at suspected nuclear sites.

2009: Second nuclear test
North Korea announces that it has begun reprocessing spent fuel rods. One month later, it announces its second nuclear test, and the U.S. Geological Survey confirms a seismic disturbance at the same underground site used for the first test in 2006.

North Korea reports that the reprocessing of 8,000 spent nuclear fuel rods has given it enough weapons-grade plutonium for one to two nuclear bombs.

2011: U.S., North Korea meet
U.S. officials meet with a North Korean delegation to talk about resuming the six-party talks that ended in 2008.

Late in the year, the two countries meet again to discuss possible food assistance in exchange for a moratorium on nuclear activity. Kim Jong Il passes away two days later, to be replaced by son Kim Jong Un.

2012: Moratorium announced
The U.S. and North Korea both report that an agreement has been reached to halt nuclear activity.

@highlight

North Korea has reached an agreement to curb its nuclear program

@highlight

It's the most encouraging news on the issue since 2008, when six-party talks broke down

@highlight

Tensions over North Korea's nuclear program began in 1993

@highlight

Negotiations have been off and on since then, with limited success