LONDON, England (CNN) -- When it comes to making movies, Australia would appear to have it all.

Baz Luhrmann's latest film "Australia" starring Nicole Kidman and Hugh Jackman is the first identifiably Australian blockbuster.

A huge landmass with a location for every movie eventuality, from the post-apocalyptic desert seen in "Mad Max" to sophisticated central Sydney through John Woo's lens in "Mission: Impossible II."

Compared with, say, the United States, it's a relatively cheap place to film. By filming sci-fi blockbuster "The Matrix" in Sydney, the Wachowski Brothers were able to keep their budget down to $60 million. Making the same film in the United States would have cost three times as much, they say.

And then there's the talent. Directors like Philip Noyce ("The Quiet American," "Rabbit Proof Fence") and Baz Luhrmann ("Strictly Ballroom," "Moulin Rouge!") and stars including Cate Blanchett and Nicole Kidman all hail from Down Under.

Over the years, the Australian film industry has produced groundbreaking and remarkable movies like "Shine," "Muriel's Wedding" and more recently "Lantana" that have burst out of the domestic movie market and made a splash internationally.

But breakout successes like these are few and far between.

Despite the industry producing quality films since the 70s, it has failed to build its accomplishments into a sustainable domestic film market.

Some of the problem is down to size. Australia may be big but its population is tiny, coming in at a little over 21 million -- just twice the number of people living in the city of Sao Paolo, Brazil alone.

This has meant limited government funding for the film industry and over the last five years, an average of just $20 million (AUS) ($19 million) has been raised each year from private investors.

So for domestic flicks there just isn't much money to go around -- average budgets are between $4-8 million (AUS) ($3.8-7.6 million).

Although there are exceptions, low budgets mean Aussie filmmakers have struggled to come up with the kind of slick productions that make it to international distribution.

"Boutique" is the euphemistic phrase bandied around to describe the country's industry, but Brian Rosen, CEO of Film Finance Corporation Australia (FFC), the government-backed film funding body, is more frank:

"I would term [it] a cottage industry in that it is very hand to mouth for most filmmakers. We are limited with the kind of stories we can tell," he told CNN over the phone from Sydney.

For big budget money, Australia relies on attracting Hollywood movies by competing with the United States on price.

In the early 2000s, huge productions like "The Matrix" trilogy (the first film to be shot at the Fox Studios complex outside Sydney) and the "Star Wars" prequels were filmed over a number of years.

While this was positive for the industry in terms of creating work, it hasn't succeed in putting identifiably Australian movies with bigger budgets onto the world stage.

More recently, big Hollywood bucks have dried up as the drop in value of the dollar has created incentives to stay at home.

But in the last two years, there have been some fundamental changes in the backing for films that give cause for hope in the industry.

One of Australia's most famous film exports, director Baz Luhrmann's latest film, "Australia" is at the heart of the changes.

Starring two of Australia's best-known Hollywood diaspora -- Nicole Kidman and Hugh Jackman -- it is billed as a sweeping Outback action-adventure romance.

It is the story of an English rose who inherits a cattle station and then has to enter into a pact with a stockman to prevent her property from being taken over.

With an estimated budget of $130 million, it is the most expensive film in the country's history. And it is the first Australian epic.

"The importance of that film is enormous. It's the first blockbuster that's identifiably Australian," Ian Robertson, head of the media division of Sydney-based lawyers Holding Redlich told Variety.

It's not just the size of the film or its subject matter. While preparing to shoot, the kitsch-loving filmmaker was instrumental in lobbying the Australian government to introduce a new incentive scheme that gives filmmakers a 40 percent rebate on the budget of their film.

This effectively allows Fox, the Hollywood studio behind "Australia," to take back over a third of the film's total budget.

The government and film officials hope that this new offset could be the catalyst for a turnaround in the industry's fortunes, increasing the production value of Aussie films from around $600 million (AUS) ($576 million) a year to $1 billion (AUS) ($960 million) over the next few years.

"We've made 'Crocodile Dundee' and 'Mad Max' and in the 90s we did 'Muriel's Wedding' and 'Strictly Ballroom' ... we need to be doing more of that, so what we're hoping with the offset is that we can move back up to doing 30 or 40 films a year. When you're only making 20 films a year it's hard to have any success," Rosen explained to CNN.

Foreign investment into Australian companies is being encouraged by testing productions for "Australian-ness."

To be eligible for the full 40 percent rebate, productions must pass a check that covers the film's subject matter, where it was made and the nationalities of the producer and director amongst others.

This way, the government hopes to start building the sustainable industry that has eluded them so far.

Aussie digital production company Animal Logic, the brains behind the 2007 hit "Happy Feet," is producing the latest film to benefit from the new rebate.

Animated feature "Guardians of Ga'Hoole," which is projected to come out in 2010, is based on the American series of children's books by Kathryn Lasky set in the imaginary "Forest of Tyto."

The film's makers say the forest is being designed to look like Tasmania and the majority of the cast is expected to be made up of Australian actors.

Despite the apparent Aussie credentials, this latest offset award is causing some controversy.

Critics say the film shouldn't be eligible because it has been in production by U.S. studio Warner Bros. since 2005.

Some Aussie filmmakers are wary of the rebate being abused by foreign filmmakers. If it becomes too popular it could attract negative attention from the new money-conscious government.

Nevertheless, exporting Australian culture is important to many in the country's film industry. Australian actor Kick Gurry, who recently starred in the Wachowski Brothers' latest film, "Speed Racer" told CNN: "If Australian [movies] can go well internationally and support artists at home it's really important to the cultural identity of a place."

The powers that be in Australian cinema certainly seem to be doing as much as they can to raise the industry's international profile and attract foreign filmmakers.

This year, the annual Sydney Film Festival launched a brand new official film competition.

New South Wales Minister Linda Burney was at Cannes Film Festival to make the announcement and told CNN: "Part of the reason for this announcement is to make it more attractive for international producers, international films ... to say to the international film community, 'We want your business.' We are saying to the rest of the world, 'Come to Sydney, come to our state, make films and we will look after you.'"

Brian Rosen hopes that more money will mean films with broader international appeal.

"We need to be making more ambitious films. I think we will be doing films with broader audience appeal which will have a much bigger success. So I see more "Happy Feet" happening," he said.

Aussiewood could be awakening from its slumber.

@highlight

Australia has great locations, talent and is a relatively cheap place to make films

@highlight

Despite movies like "Shine" the domestic industry remains small and hand to mouth

@highlight

Recent changes in the backing for films could be the catalyst for a resurgence