Americans in two dozen states from the Midwest to the Southeast and Northeast are shivering this week courtesy of a distorted polar vortex. The rush of cold air it's  sending southward is the biggest visitor from the North Pole since Santa Claus. The gifts it brings, however, are chilling and generally unwelcome. Much of the United States has plunged into a deep freeze from record low temperatures.

CNN International senior meteorologist Brandon Miller answers a few pressing questions about this phenomenon.

What is a polar vortex? What distinguishes it?

The polar vortex, as it sounds, is circulation of strong, upper-level winds that normally surround the northern pole in a counterclockwise direction -- a polar low-pressure system.  These winds tend to keep the bitter cold air locked in the Arctic regions of the Northern Hemisphere. It is not a single storm. On occasion, this vortex can become distorted and dip much farther south than you would normally find it, allowing cold air to spill southward. 

How frequently does this polar vortex distortion occur?

The upper-level winds that make up the polar vortex change in intensity from time to time. When those winds decrease significantly, it can allow the vortex to become distorted, and the result is a jet stream that plunges deep into southern latitudes, bringing the cold, dense Arctic air spilling down with it. This oscillation is known as the Arctic Oscillation and it can switch from a positive phase to negative phase a few times per year. This oscillation -- namely the negative phase where the polar winds are weaker -- tends to lead to major cold air outbreaks in one or more regions of the planet.

Where on Earth can this happen?

The polar vortex can lead to major cold air outbreaks in any portion of the Northern Hemisphere -- North America, Europe and Asia. This will lead to cold snaps in multiple locations, though not always.

How dangerous is a polar vortex distortion as compared to a tornado or hurricane?

Completely different type of systems. A cold air outbreak caused by the polar vortex is much more widespread and lasts longer than a single storm. With the widespread drop in temperature, however, you can see significant winter storms develop, especially when the cold air is initially advancing into a previously warm region -- much like the nor'easter this past week.

When was the last big one to hit a densely populated area?

Serious cold snaps happen several times a year, though in different regions of the world and with different severities. Last March saw a significant decrease in temperature as a result of the polar vortex pushing into much of Europe. Many locations experienced an Easter holiday that was much colder than their Christmas holiday. The United Kingdom, for instance, had its coldest March in 50 years. 

If you get caught up in one, what should you do?

Again, it's not a "storm" that you get caught in. But when faced with significant cold temperatures, you should stay inside whenever possible, layer clothing if you must be outside, winterize your home and car, etc.

Is it a side effect of global warming and should we expect more events like this?

This is a hotly researched topic. In short, yes, it could be. It seems counterintuitive that global warming could cause significant cold snaps like this one, but some research shows that it could. We know that different types of extreme weather can result from the overall warming of the planet, melting of the Arctic Sea ice, etc.  This includes extreme distortions of the jet stream, which can cause heat waves in summer and cold snaps in winter. 

Parts of Western Europe have been battered by the worst storms for two decades during the past week -- are they related to the weather system in the United States?

They are related in a sense, but I wouldn't say "caused by." The storms in Europe are the result of a persistent pattern that has seen the jet stream parked near the United Kingdom and Ireland, which has brought a train of storm systems over the British Isles. This is the same jet stream, of course, that has plunged deep into the southern portions of the United States.  So, the jet stream has been "stuck" in a position that is allowing cold Arctic air to spill into much of the United States and Canada. But it is in a position that is bringing warmer, moist air from the Atlantic over Northwest Europe, resulting in the stormy conditions. 

@highlight

Polar vortex is circulation of strong, upper-level winds that normally surround the North Pole

@highlight

The distortion can lead to major cold air outbreaks in North America, Europe and Asia

@highlight

A cold air outbreak caused by the polar vortex is much more widespread  than a single storm

@highlight

Research suggests the distortion could be a side effect of global warming