(CNN) -- In the age of short attention spans and mass media hopping from one story to the next, it is fairly remarkable that the shooting death of Trayvon Martin one year ago Tuesday continues to resonate among the consciousness of many Americans.

Most of this is because a dedicated group of activists, bloggers, social media afficionadios and members of the media -- mostly the black press -- have been diligent in ensuring that what took place on a cool, rainy night in Sanford, Florida, deserves to be brought out into the open and not to become a drive-by media story.

And no doubt the vigilance of Trayvon's parents -- Sybrina Fulton and Tracy Martin -- has made it hard for people to forget. Since Trayvon was shot and killed after an altercation with George Zimmerman, a one-man neighborhood watch guy, Fulton and Martin have attended many high-profile events like the Congressional Black Caucus Legislative Weekend and the NAACP Image Awards, walking red carpets and telling anyone who would listen that their son should not have died and there was no justice.

News: Parents ready to let jury decide fate of son's killer

They have been shepherded through this process by their attorney, Ben Crump, who has transformed his law practice into a 2013 version of what Johnnie Cochran -- famed criminal defense attorney -- was when he was the go-to guy for national social justice legal cases. Crump has become the guy that black parents call when their children, mostly young men, have been shot and killed.

Even though the trial of Zimmerman won't take place until June -- almost 16 months after the fatal shooting of Trayvon -- a lot of things have changed and are in the process of being debated.

First, while everyone continues to focus on Zimmerman and whether he will invoke a Stand Your Ground law defense, efforts are under way in the Florida Legislature and other states to get rid of such laws, or change them.

Florida Democratic State Rep. Alan Williams has introduced a bill in the legislature that would do away with the Stand Your Ground defense, which law enforcement personnel and district attorneys have said makes their job harder in prosecuting shootings. Many believe the Florida legislature won't overturn the law, but changes have been bandied about by the Republican majority, which is a good thing.

The death of Trayvon exposed the American Legislative Exchange Council (ALEC), a shadowy, corporate-funded group that has been one of the leading forces behind stand-your-ground laws. Once the light hit them, their involvement in other issues, such as voter ID laws, was made public.

The ALEC is one of those nondescript groups that were formed to assist corporations to fight tax policies and to advance an economic agenda. But then they use their war chest to expand into other controversial areas, like stand your ground laws.

It wasn't until Change.org led petition drives for major corporations to pull out of ALEC that the group disbanded some of their other efforts. Had the consciousness not been raised after Trayvon's death, ALEC would probably still be going about their business writing and pushing for laws that are unjust to many Americans.

Trayvon's death also awakened the inner fighting spirit of many young people, as well as African-Americans in sports and entertainment. When the Miami Heat donned black hoodies to show their solidarity with those who protested Trayvon's death, that represented one of the biggest examples of today's sports stars standing up for a social cause.

Black history is replete with individuals who made it clear that life wasn't all about sports. Jim Brown, Bill Russell, Kareem Abul-Jabbar, Muhammad Ali and Jackie Robinson were athletes who refused to hide away in the locker room. They used their platforms to speak about societal ills, and bridged the gap between activism and entertainment.

Opinion: What we can learn from Trayvon Martin shooting

The likes of Jamie Foxx, Cedric the Entertainer and so many others in Hollywood have answered the call of activist-entertainer Harry Belafonte to use their celebrity for more than just the next project. They have gone down to Florida to stand in solidarity with Trayvon's parents and bring attention to the issues surrounding his death.

But what is most needed -- more than just keeping the focus on Trayvon -- is for his death to spark an uprising of awareness and consciousness, maybe similar to what Emmett Till's death did in 1955. Till's lynching death in Mississippi helped spark the Civil Rights Movement, which radically altered the course of this nation.

It's time for America to move beyond the mind-set of me, myself and I, and understand that this is about we, us and our. For every Trayvon Martin, there are thousands of others who don't get the media attention, but they deserve justice, too. This isn't about black or white; it's about what's right and wrong; fair and unfair.

No matter what happens in the trial of George Zimmerman, those who marched, protested, tweeted, Facebooked, lit candles and wore hoodies know that without all of that collective action, Zimmerman would be walking around free and would have never seen the inside of a courtroom. Stand-your-ground laws would exist with nary a peep of opposition; and we would all be living our lives as if all is good.

One young man ended up dead in Sanford, Florida, on the night of the NBA All-Star Game, but a heckuva whole lot has changed for the better as a result.

Trayvon Martin did not die in vain.

The opinions expressed in this commentary are solely those of Roland S. Martin.

@highlight

Roland Martin: Trayvon Martin's death still resonates among many a year after his death

@highlight

Martin: Florida and other states have been prompted to revisit Stand Your Ground laws

@highlight

He says Trayvon's death also awakened the inner fighting spirit of young people and blacks

@highlight

Martin: Collective protests for Trayvon have made a difference and raised awareness