(CNN) -- First, there was "Flying While Muslim." This expression summed up the extra challenges of being an American Muslim when flying on commercial airlines.

This situation has become almost accepted as part of the American Muslim experience. In fact, I have even comically offered advice to people in my community on how to avoid extra problems when they fly: "Dress white, make your flight. Dress brown, never leave town."

But now there is something new: "Studying While Muslim." And there is nothing funny about it.

Documents obtained by The Associated Press reveal that for the past few years, the New York Police Department has been engaged in the weekly surveillance of American Muslim college groups at 16 schools across the Northeast, including New York University, Yale, Rutgers and the University of Pennsylvania. (The NYPD has neither commented on the number of years that this surveillance was conducted nor if it's still happening.)

As part of this secret program, the NYPD generated weekly reports about the Muslim student groups at these schools. They even set up an undercover "safe house" near the campus of Rutgers University to spy on students. Ironically, that operation ended when the building superintendent became suspicious and called the police thinking the NYPD officers were part of a terrorist cell.

The NYPD also sent an undercover officer on a whitewater rafting trip organized by Muslim students at the City College of New York. The NYPD report indicates the students prayed four times a day and talked a lot about the nature of Islam. No mention if Muslims were good at whitewater rafting.

On a personal note, in the past years, I have performed standup comedy at shows organized by the Muslim student groups at many of the colleges that were under surveillance. Is my name now in the counter-terrorism files of the NYPD?

So why did the NYPD spend our tax dollars to engage in the weekly undercover surveillance of students at 16 colleges? Did the NYPD have evidence that students at each of the schools were a threat to America? Had the FBI warned the NYPD to be on the lookout for terrorists disguised as college students? Did the NYPD's research reveal that al Qaeda operatives love to go whitewater rafting?

Nope. It was simply because these students were Muslim. Apparently, to the NYPD, being Muslim equals probable cause.

No one should be surprised by this new revelation concerning the NYPD. After all, in late 2011, the AP also discovered that the NYPD had been engaged in secret programs -- created with assistance from the CIA -- to monitor American Muslims living in New York City at the places where they eat, shop and worship.

Let's be brutally honest: If the NYPD were engaged in this type of widespread spying on any other religious, ethnic or racial group, the criticism would be deafening. However, because the case involves Muslims, the silence is deafening. There is simply no public outcry and little media coverage.

If specific evidence indicated that an American Muslim -- or a person of any faith, for that matter -- were engaged in criminal activity, the police should vigilantly investigate that person. American Muslims are not asking for special rights, just the same rights as all other Americans.

Freedom of religion is not just the freedom to pray. It also is the freedom to avoid being harassed or being treated less than American simply because of your faith. That is a bedrock principle of our nation.

Authorizing the weekly surveillance of American Muslim students solely predicated on the fact that they are Muslim is wrong. It is profiling at its worst.

But the issue of NYPD profiling appears to go beyond Muslims. As the New York Civil Liberties Union recently reported, in 2011 the NYPD detained 684,330 New Yorkers for questioning. Of those stopped, 59% were black, 26% were Latino and 9% were white.

To put this in perspective, whites comprise 44% of New York City residents, but they make up only 9% of those stopped by the NYPD. But blacks -- who comprise 25% of New Yorkers --- represent 59% of those stopped and questioned by the NYPD.

It appears that the use of skin color, ethnicity and religion as the basis for investigations is standard NYPD policy. That is both unconstitutional and morally wrong.

NYPD Commissioner Raymond Kelly needs to make it clear that illegal profiling has no place in his department. If he does not, New York City Mayor Michael Bloomberg needs to replace him with someone who will respect the rights of all New Yorkers regardless of their race, ethnicity or religion.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions in this commentary are solely those of Dean Obeidallah.

@highlight

Reports found NYPD spied on American Muslim college groups at 16 Northeast colleges

@highlight

Dean Obeidallah: If NYPD had spied on any other group or faith, people would be outraged

@highlight

Freedom of religion also means freedom from harassment for your faith, he writes

@highlight

Obeidallah: Commissioner Raymond Kelly must stop NYPD's illegal profiling