(CNN) -- A top U.S. diplomat known for her expertise in genocide arrived in the violence-wracked Central African Republic on Thursday to gauge the growing sectarian unrest there between Christians and Muslims.

Samantha Power, the U.S. ambassador to the United Nations, is leading a delegation to Africa, first visiting the Central African Republic, and then off to Nigeria and Chad.

She will be inquiring into whether crimes against humanity have been committed, she told CNN's Christiane Amanpour from the capital, Bangui.

"I don't think we even yet ... know the full scale of what has happened here in recent days, weeks and months," she said. "But I certainly agree that what appear to be crimes against humanity have been committed."

Power cited how both sides of the conflict are responsible for the violence: the Muslim Seleka militias that overthrew the president earlier this year and the rival Christian groups that sprung up in retaliation.

"We met with one 20-year-old woman today who watched her husband get stabbed to death right in front of her," she said. He was "then covered with kerosene and then lit on fire -- literally burned to a crisp before her very eyes."

That happened, she said, just last Thursday.

Though the situation has calmed somewhat, Power still senses "palpable fear on the ground and palpable mistrust," she said.

An expert on the issue of U.S. politics and genocide, Power is well-positioned to understand and respond to the outbreak in violence. She authored " 'A Problem from Hell,' America and the Age of Genocide." That 2002 book examines the U.S. reactions to genocides.

The Central African Republic has seen violence and chaos since the Muslim-backed Seleka militia and other rebel groups from the marginalized northeast seized the capital, Bangui, in March. President Francios Bozize fled to Cameroon, and Michel Djotodia, who had been one of the Seleka leaders, made himself President.

The U.S. mission at the United Nations said Power is meeting with government, U.N., French and other officials "to assess and support recent efforts of African Union and French forces to protect civilians, stabilize the country and restore humanitarian access."

In Nigeria and Chad, she'll be meeting with officials "to discuss cooperation on a range of issues from promoting human rights and good governance to coordinating on regional security." Nigeria and Chad are joining the U.N. Security Council as nonpermanent members in 2014.

Power's delegation includes Assistant Secretary of State for African Affairs Linda Thomas-Greenfield.

France has sent 1,600 troops under a U.N. mandate into Central African Republic to assist African troops.

The United States, though not contributing troops, is using its airplanes to ferry in troops from across Africa.

Former French Foreign Minister Bernard Kouchner offered an impassioned plea for intervention.

"Were we supposed to let them die? We were facing an eventual or the beginning of a bloodbath," he told CNN on Tuesday.

"I agree," Power said. "It really could have descended very, very quickly into a bloodbath."

"One of the reasons that the president asked me to take the trip here is to assess the situation up front, to try to look ahead and see what will be needed," Power said.

It is important, Power added, that "we walk and chew gum at the same time."

In other words, "deal with the crisis at hand" but also make sure that if "it was deemed necessary to bring in a peacekeeping mission, that we be in a position to do that more quickly than otherwise," she said.

A group of independent U.N. human rights experts urged all parties "to pull back from the brink of all-out war with the terrible consequences that this entails and to establish an immediate truce to enable dialogue and peace talks to begin," they said in a statement.

"The current shocking violence in the Central African Republic threatens to descend into a full-scale sectarian conflict between Christian and Muslim communities, but it can and must be halted now," said the special rapporteurs, which are honorary, unpaid positions appointed by the U.N. Human Rights Council.

The surge of sectarian violence has been well-documented, and rights activists are urging quick and tough action to stop the violence.

War crimes reported

Amnesty International said former rebels in the Central African Republic killed almost 1,000 people in a two-day rampage this month.

War crimes and crimes against humanity are being committed in the country, Amnesty International said.

"Crimes that have been committed include extrajudicial executions, mutilation of bodies, intentional destruction of religious buildings such as mosques, and the forced displacement of massive numbers of people," said Christian Mukosa, Amnesty International's Central Africa expert.

Djotodia later officially disbanded the Seleka, but as many as 15,000 kept their arms and instead continued to wreak havoc in Bangui and elsewhere. They mainly targeted Christian communities, which in turn formed their own vigilante group, the anti-balaka (literally "anti-machete").

Anti-balaka forces staged an early morning attack in the capital on December 5, going door to door in some neighborhoods and killing approximately 60 Muslim men, Amnesty International said.

De facto government forces, known as ex-Seleka, retaliated against Christians, killing nearly 1,000 men over a two-day period, according to the rights group. A small number of women and children also were killed.

In a statement, Amnesty International called for the deployment of a "robust" U.N. peacekeeping force, with a mandate to protect civilians, and enough resources to do so effectively.

"The continuing violence, the extensive destruction of property, and the forced displacement of the population in Bangui are feeding enormous anger, hostility and mistrust," said Mukosa.

"There can be no prospect of ending the cycle of violence until the militias are disarmed and there is proper and effective protection for the thousands of civilians at risk in the country. Residential neighborhoods must be made safe as an urgent priority in order to allow people to go back to their homes and resume their normal lives."

Violence in Bossangoa

In a separate report, Human Rights Watch cited a surge in violence around the northern town of Bossangoa since September, adding that concerned countries should immediately bolster the African Union peacekeeping force in the country and support efforts by France to protect civilians.

In the report, Human Rights Watch said Christian militias attacked Muslim communities, cutting the throats of children while forcing parents to watch.

Muslim groups retaliated, setting fire to Christian homes and killing their occupants with the apparent approval of commanders present, Human Rights Watch said.

The recent violence has created a humanitarian crisis.

Both sides have burned down large swaths of villages in the northern Ouham province, the rights group said, adding that relief workers have found it difficult to provide help, particularly emergency medical aid, as aid workers have also been the targets of attacks.

"The brutal killings in the Central African Republic are creating a cycle of murder and reprisal that threatens to spin out of control," said Peter Bouckaert, emergencies director at Human Rights Watch and author of the report.

"The UN Security Council needs to act quickly to bring this evolving catastrophe to a halt."

The Central African Republic is about the size of France and is rich in resources, including diamonds, gold, timber and ivory. The former French colony has rarely seen political stability or economic growth in the 53 years since it gained independence.

CNN's Susanna Capelouto, Dana Ford, Nana Karikari-apau and Michael Martinez contributed to this report.

@highlight

"I don't think we even yet ... know the full scale" of violence, Power says

@highlight

Former French minister urges an international intervention

@highlight

Human rights experts urges parties "to pull back from the brink of all-out war"

@highlight

Samantha Power authored a book about the U.S. response to genocides