(CNN) -- The Syrian Foreign Ministry said Monday the country has chemical or biological weapons, but would never use them against its citizens -- only against foreign attackers.

"Any stocks of (weapons of mass destruction) or any unconventional weapon that the Syrian Arab Republic possesses would never be used against civilians or against the Syrian people during this crisis at any circumstance, no matter how the crisis would evolve," ministry spokesman Jihad Makdissi told reporters.

"All the stocks of these weapons that the Syrian Arab Republic possesses are monitored and guarded by the Syrian army. These weapons are meant to be used only and strictly in the event of external aggression against the Syrian Arab Republic," he said Monday.

The United States called for Syria to never use the weapons and keep them safely stored.

"I think we've been absolutely clear where we stand on this issue, which is that any possible use of these kinds of weapons will be completely unacceptable," State Department spokeswoman Victoria Nuland said. "Any talk about any use of any kind of a weapon like that in this situation is horrific and chilling. The Syrian regime has a responsibility to the world, has a responsibility first and foremost to its own citizens to protect and safeguard those weapons."

Makdissi's remarks come after months of international chatter about whether foreign countries should intervene militarily to try to end more than a year of bloodshed in Syria. Another 175 people were killed around the country Monday, 90 of them in and around Damascus, opposition groups reported.

The dead included 25 people whose bodies were found in the Damascus neighborhood of al-Berzeh, the scene of heavy fighting between rebel forces and government troops, according to the Local Coordination Committees of Syria, a network of opposition activists. Another 24 bodies were found in the suburbs of the capital, the group said.

The LCCC and the Syrian Observatory for Human Rights also said several inmates were killed at a prison in Aleppo as guards tried to put down a days-old protest there. The LCC said nine prisoners were killed, while the London-based Syrian Observatory said 7 were killed and 16 wounded.

CNN cannot independently confirm reports of violence because the government restricts access by foreign journalists.

Meanwhile, the Arab League will offer Syrian President Bashar al-Assad "a safe exit" if he resigns quickly and leaves the country, a senior Arab League official said, marking the latest attempt to get Syria's longtime ruler to step down.

The official provided no further details because the source is not authorized to speak to the media.

Qatari Foreign Minister Sheikh Hamad bin Khalifa Al-Thani did not discuss an exit plan when speaking with reporters after the Sunday meeting, but confirmed "there is an agreement on the need for the swift resignation" of al-Assad.

"We call on the opposition and the Free Syrian Army to form a government of national unity," Sheikh Hamad said.

Despite the Arab League's proposal, the brutal violence has not let up. At least 30 people were killed Monday, the opposition Local Coordination Committees of Syria said.

See images of the showdown in Syria

The Arab League would not be the first to offer an outlet for al-Assad.

Tunisia -- the cradle of the Arab Spring uprisings and the first country last year to oust its longtime ruler -- offered asylum to the Syrian president in February in an attempt to spare further bloodshed.

And the daughter of Qatar's emir has suggested exile in Doha, according to a cache of e-mails leaked to CNN earlier this year.

If al-Assad were to leave, he would follow a series of longtime rulers in the region who have succumbed to popular revolts since last year, including former Egyptian President Hosni Mubarak, deposed Libyan dictator Moammar Gadhafi and former Yemeni President Ali Abdullah Saleh, who stepped down in a transfer-of-power deal.

Rime Allaf, an associate fellow at the Chatham House in London, said she thinks Syrians opposed to al-Assad are split on the notion of a "safe exit" for the president.

"Some may want a way to save as many lives as possible, so if he leaves without prosecution, then so be it, as they think the matter of most urgency now is saving the Syrian people," said Allaf, a Syrian national.

"Others say it is impossible to let him leave. Not only would it let him get away with thousands of murders and the destruction of the country, but it also would give him a green light to keep on doing what's he's doing, knowing that when he decides to leave, he can leave."

Read more on preparing for al-Assad's exit

But Allaf said she thinks there is "absolutely zero" chance that the president will take up the Arab League's offer.

"I think Assad does not plan on ever accepting any possible plans for escaping or leaving," she said. "I think he will keep on fighting, hoping the revolution will stop."

The Syrian government has long maintained that "armed terrorist groups" are fueling violence in the country.

Responding to a question about clashes in Damascus, Makdissi said, "We are in a state of self-defense."

But he later added, "This is an exceptional matter. It will last a couple of days, and matters will return to normal."

On Monday, chaos ensued in cities across the country, opposition activists said.

In Homs, two people were killed "due to intense shelling by helicopters and rocket launchers, accompanied by intense clashes between the (rebel) Free Syrian Army and the regime army," the LCC said.

The LCC reported fierce clashes for a second day in Aleppo, Syria's largest city and commercial hub. In a video posted online Sunday, the head of the rebel Free Syrian Army in Aleppo announced an operation "to liberate the city of Aleppo from the rule of the Assad thugs, whose hands were blood-stained by heinous crimes against our people."

Brig. Gen. Abdel Jabbar Al-Obeidi also vowed to secure Aleppo and protect all minorities and sects, including the members of Alawite sect that the president belongs to.

If rebels eventually gain control of Aleppo, it would mark a pivotal point in the Syrian crisis and deal a heavy blow to al-Assad's financial ties.

The Syrian crisis started in March 2011, when a fierce government crackdown against protesters morphed into a nationwide uprising against the regime.

Video: How does Assad survive in Syria?

The United Nations estimates more than 10,000 people have been killed since the crisis began more than 16 months ago. But Rupert Colville, a spokesman for the office of the U.N. high commissioner for human rights, said the United Nations has not been giving out overall death toll numbers since December "because it became impossible to verify the numbers in any meaningful way."

Opposition groups tracking deaths have issued higher tolls. The LCC, for example, estimates more than 16,000 people -- mostly civilians -- have died.

In addition to the deaths, thousands of refugees have fled Syria into neighboring countries to escape the turmoil.

The three border crossings between Iraq and Syria were opened Monday to Syrian refugees, an Iraqi government spokesman said.

"The border guards, police and border provinces were guided to provide all the needed support to the Syrian refugees," Ali al-Dabbagh said in a written statement.

The United States will give Jordan $100 million in special economic aid to help ease the burden of hosting Syrian refugees, the U.S. Embassy in Jordan said Monday.

Read More: Why Syria could get even uglier

CNN's Mohamed Fadel Fahmy, Salma Abdelaziz, Schams Elwazer, Raja Razek and Mohammed Tawfeeq contributed to this report.

@highlight

NEW: The opposition says at least 175 people had been killed across Syria on Monday

@highlight

The U.S. calls the potential use of chemical weapons "completely unacceptable"

@highlight

Iraq opens border crossings to Syrian refugees

@highlight

Arab League offers Syria's president "a safe exit" if he quickly resigns, leaves country