(CNN) -- Recently, Tom Wheeler, chairman of the Federal Communications Commission, came under fire for reportedly proposing exceedingly weak "open Internet rules." If the reports are correct, the FCC will allow broadband providers like Comcast to make special deals that give some companies preferential treatment, as long as those deals are "commercially reasonable."

In other words, rather then requiring broadband providers to treat all Internet traffic more or less equally, the FCC will permit them to create an Internet "fast lane" and shake down content providers like Netflix, Google and Amazon for the right to travel in it.

Guess who will really end up paying for the fast lane? Yep -- you, the customers.

The price will be higher than you think. Not only will you have to pay more for the services you already use, but you will also lose out on emerging services that will be crushed by the new costs.

YouTube and Netflix may be able to "pay to play." But innovative competitors -- the next Facebook, Twitter or YouTube being dreamed up in someone's garage right now -- may not.

The proposed rules aren't all bad. The FCC will also require ISPs to be more transparent about the deals they make so customers will know what they are getting. The FCC will also caution ISPs against making deals that favor their own affiliated businesses (we're looking at you, Comcast -- no special favors for your friends at NBC Universal).

Unfortunately, even "transparency" is tougher to enforce than many might think, because so much of our connectivity depends on secret agreements between various kinds of Internet service providers.

The devil is in the details. The good news is that we will have a chance to look at those details in a few weeks and tell the FCC what we think. The FCC will be voting on the new rules at its May 15 meeting. If it votes to adopt them, it must publish the proposed rules in advance and respond to public concerns about them. The problem is that most people don't know how this process works, and so they don't participate. (The Electronic Frontier Foundation is building a tool that will make that easier; visit our site next month at www.eff.org)

The Internet is too important to leave to bureaucrats who seem more beholden to the ISPs than the public. We need to let the FCC know we will not tolerate rules that let ISPs pick and choose how well Internet users can connect to one another.

If we really want to stop net discrimination, we need to foster a genuinely competitive market for Internet access. Right now, subscribers have few ISP options in many markets. If subscribers and customers had adequate information about their options and could vote with their feet -- i.e., switch providers -- ISPs would have strong incentives to treat all network traffic fairly.

Moreover, they would also have an incentive to improve our Internet speeds. Most Americans don't realize it, but the United States is falling behind when it comes to high-speed Internet. We pay much more for much less than subscribers in other developed countries like Sweden, South Korea and Japan.

Subscribers in those countries are getting Internet service that is 100 times faster than the fastest connection in the United States -- for a fraction of the average U.S. cable bill. That's appalling. We can do better, but only if we start demanding more from ISPs.

Already, our lagging Internet speeds are likely to have serious consequences. "What's at stake is whether the new jobs, new ideas, new services of the 21st century will come from the United States or they'll come from Stockholm, Seoul, Beijing, where kids are already playing in the virtual sandboxes of these very high capacity networks," noted Susan Crawford, a legal scholar who has served on President Obama's science and tech team.

Our ISPs have no incentive to invest in building powerful, competitive, networks. Why should they? It's not like their customers are going anywhere.

Fortunately, efforts are under way to address this. For example, all around the country, cities are investing in their own broadband networks, some successfully. Fostering strong alternatives in high-speed Internet access won't be easy, and community broadband alone won't be the panacea. But it's a start, and a movement the FCC should support.

We'll need more experiments like these if we want the Internet to continue to be an extraordinary platform for free expression, innovation and commerce. So let's make sure the FCC hears us loud and clear: Reject "pay to play" and resist monopolies so that everyone benefits, not just the powerful Internet service providers.

@highlight

The FCC might allow Internet service providers to charge more for a "fast lane"

@highlight

Corynne McSherry: High costs will go to customers; Internet competition will be stifled

@highlight

She says other advanced countries pay far less and get faster service than Americans

@highlight

McSherry: On May 15, the public can weigh in on FCC's decision and voice concerns