WASHINGTON (CNN) -- The Department of Veterans Affairs is still struggling with an enormous backlog in claims for medical and educational benefits that are piling up despite efforts to diminish the paperwork, the secretary of the department admitted Wednesday.

VA Secretary Eric Shinseki says the backlog for processing claims by veterans is too long.

The VA has implemented an electronic records system, but faces a flood of medical claims each month. In July alone, the VA processed 92,000 claims, but another 91,200 came in. The department has 400,000 claims in the works, with more than a quarter of them left unprocessed for more than 125 days.

"Regardless of how we parse the numbers, there is a backlog. It is too big and veterans are waiting too long for decisions," said Eric Shinseki, secretary of veterans affairs, in his opening statement to the House Veterans Affairs Committee hearing Wednesday.

Shinseki was pressed on the backlog by Rep. Debbie Halvorson, D-Illinois, who asked about the problem of many claims having to be resubmitted. The secretary said it was a problem of trust between veterans and the department that he was trying to change, making every employee an "advocate" for veterans.

"What I mean by advocacy is that when Shinseki walks in and says 'I want to put a claim in,' my intent is to put together the very best claim the first time with a very high probability of success," Shinseki responded. "Whatever is there right now is what we are addressing. It is a change in culture. It is a change in attitude."

The department became a victim of the success of its new education program for veterans who have served since September 2001. The claims became so backlogged that the VA was forced to issue more than $70 million in emergency funds to veterans who were still waiting for money for supplies and living needs, weeks into the school year.

"Uncertainty and great stress caused by these delays were addressed through these emergency procedures, which remain in effect," Shinseki assured the Veterans Affairs Committee. Despite the department's efforts to build a computerized system to process the new program claims, the system was not up and running in time.

Problems facing veterans are even more acute for female service members, who have more difficulty accessing veterans programs, according to the advocacy group Iraq and Afghanistan Veterans Association. The IAVA released a study on Wednesday highlighting the concerns women veterans have.

More than 212,000 women have served in the wars in Afghanistan and Iraq, according to the IAVA, but they face a system that is designed more for the care of their male counterparts. Department of Veterans Affairs statistics show that women make up almost 10 percent of the veteran population, but their numbers are growing.

One area of concern underscored by the report is access to female-specific medical care at VA facilities.

"For most women, this translates into having a primary care physician handle general health care while a second clinician may handle gender-specific needs, and in some cases, a third provider may address mental health issues," the study said. In some cases, female veterans may be forced to travel more than two hours for routine gynecological care, according to a VA study cited by the IAVA report.

At the House hearing, Shinseki was asked by Chairman Bob Filner, D-California, about women veterans being refused care at VA facilities because there was nobody to watch their children while they were being examined.

Shinseki assured Filner that the issue was being addressed and that no veterans should be turned away for that reason.

The VA got some good news, however, on its budget. On Wednesday the House and Senate finalized a bill to provide the department with funding for medical programs one year in advance. The move, which still has to be signed by President Obama, will assure the department more stability in projecting its ability to provide properly funded services.

@highlight

Backlog of claims keeps growing despite efforts to streamline, VA head says

@highlight

Backlog "is too big and veterans are waiting too long," says Eric Shinseki

@highlight

VA secretary tells Congress he wants every VA employee to be an advocate for vets

@highlight

Women veterans face even worse problems than men, advocacy group says