(CNN) -- Are the days of Latinos in entertainment changing their given names to appeal to a broader audience long gone?

That's what it looks like now that former "Two and a Half Men" star Charlie Sheen has dropped his stage name for birth name Carlos Estevez for Robert Rodriguez's Latino-centric new action film "Machete Kills."

The film is second in a series after the 2010 film "Machete" starring Danny Trejo, Jessica Alba and Michelle Rodriguez. In "Machete Kills," Trejo returns as ex-Federal agent Machete, recruited by the president of the United States, played by Charlie Sheen, asked to go on a mission to take down a madman revolutionary and eccentric billionaire arms dealer, played by Mel Gibson, who has come up with a plan to spread war across the world.

This second installment will star Sofía Vergara, Demián Bichir, Antonio Banderas, Zoe Saldaña, Edward James Olmos, Vanessa Hudgens, Cuba Gooding Jr., Alexa Vega, and Lady Gaga.

Watch the trailer for 'Machete Kills'

According to Sheen's representative, it was his idea to use his birth name for the film. However, there's no confirmation on what spurred the decision or whether Sheen will stick to Estevez from now on.

Some call the change ironic in light of comments last year by Sheen about his heritage. "I don't wake up feeling Latino. I'm a white guy in America, I was born in New York and grew up in Malibu," he said in a 2012 interview with Univision.

"People are either going to see Charlie Sheen's move as pandering or as a smart career move considering the film's audience. I see it as him integrating himself into Latino culture," said Gabriel Reyes, president of Reyes Entertainment, a public relations and marketing agency.

"I'm sure he meant what he said in his interview with Univision, but that doesn't mean hce's not Hispanic, so if he wants to acknowledge it now, I applaud that."

The film's Twitter page has also re-tweeted articles about Sheen changing his name to Estevez for the movie.

The movie's Facebook page posted a promotional photo of Sheen as Carlos Estevez with a caption that reads, "Call him Carlos. Charlie Sheen is going FULL Latino in Machete Kills. SHARE this to introduce Carlos Estevez to your friends."

On Facebook, Jessica Chrisman posted: "I love that he is using his real name," while Sasha Estella Videz disagreed, posting, "So, he's finally getting in touch with his Latin roots... Sorry, 'Carlos' you should've stuck with your brother Emilio who didn't deny his roots to get more work."

Michelle Herrera Mulligan, editor-in-chief of Cosmopolitan for Latinas, said: "Hispanics might feel that his move might be a bit opportunistic on his part because he had many chances to embrace his Latino identity in the past. Especially since Sheen's brother, Emilio Estevez, has embraced his Hispanic identity from the very beginning."

The Sheen/Estevez family has been at odds over their identity over the years.

In a 2003 "Inside the Actors Studio" interview, Martin Sheen talked about why he dropped his birth name, Ramon Antonio Gerard Estevez, but how he was always proud of his Hispanic heritage. He said he felt a "hesitation whenever he would give his name over the phone for a job or apartment" and by the time he would get there in person, "it was always gone" so he made up the name Martin Sheen.

"It's still Estevez officially. I never changed it. I never will. It's on my driver's license and passport and everything," Martin Sheen said to James Lipton. "In fact, one of my great regrets is that I didn't keep my name as it was given to me."

Sheen passed on "Estevez" to his four children: Emilio, Ramón, Renée and Carlos (Charlie Sheen).

Sheen wrote a memoir with his son Emilio called "Along the Way," which covers the family's roots in Spain and their relationship as father and son.

"I chose to stay with my family name because, first of all, Emilio Sheen looks stupid. Right? And it's just not who I am, man," Emilio Estevez said in an interview with Latina magazine. "The Latino community has always been very supportive of that choice and very proud of me that I chose to go with that -- and honor my Latino roots."

But he said he faced pressure from executives to change his name. He said his father's best advice was to not make the same mistake he made, because he would regret it for the rest of his life.

"The gringos and the suits in Hollywood gave me some pressure to change it because it made their jobs more difficult to try and sell me, but I'm so proud that I didn't. And, now of course it's very fashionable to be Latino. I guess it was a good choice back then!"

Martin Sheen wasn't the only actor in Hollywood to change his name.

Once upon a time, Rita Hayworth was Rita Cansino. The "Gilda" star not only changed her hair color -- from natural dark brown to dark red -- but also her name to help her land a broader range of roles. Perhaps Jo Raquel Tejada, known by Hollywood as Raquel Welch, would have never made the big screen had she kept her original name.

Vanna White of "Wheel of Fortune" adopted her stepfather's name, Herbert Stackley White Jr. If she'd kept her father's name, she would be Vanna Rosich after her Puerto Rican father, Miguel Angel Rosich. Let's not forget family comedy classic "Growing Pains," starring TV mom Joanna Kerns, whose birth name was Joanna Crussie DeVarona.

Anthony Quinn, born Antonio Rodolfo Quinn-Oaxaca, is a two-time Academy Award-winning Mexican-American actor and writer best known for his roles in "Viva Zapata!" in 1952 and "Lust for Life" in 1956.

In the 1950s, upon getting a record deal, Richie Valens was asked to change his name, then Ricardo Valenzuela, by his manager because of fear that mainstream America wouldn't be receptive to the Mexican-American rock star.

"I can understand why Martin Sheen would have pressure to change his name because he went into Hollywood at a different time," said Cosmo editor Herrera Mulligan.

"It would be easier to see why Martin Sheen had to change versus Charlie Sheen's situation. It's 2013, Latinos have been hot about 10 times."

About 10 years ago, Herrera Mulligan worked at Latina magazine when "everybody wanted to be Latino." She recalls getting constant calls from PR agencies pitching their clients who weren't Latino but wanted to be in the magazine because they wanted to be affiliated with the audience.

"His name change attests to a greater trend. Hollywood is starting to see that Latinos in the U.S. are not just foreigners who don't speak English, but a viable audience full of influencers that are a part of American culture," she said.

Latinos are the fastest growing and largest minority group in the country, 50 million strong, according to the Pew Hispanic Center. And, according to the U.S. Census Bureau, that number is only going to grow -- a projected 133 million by 2050.

Plus, Hispanics have $1.2 trillion in purchasing power, which is growing at a faster rate than every other minority's buying power, according to Nielsen.

To top it off, Latinos love going to the movies, in fact more than any other demographic group. In 2012, the number of Hispanic moviegoers increased by 12%, according to Nielsen National Research Group, and they accounted for 25% of all movies seen even while they are 18% of the moviegoing population.

"I can't help but wonder if Robert Rodriguez is trying to give Charlie a chance to re-embrace his identity. I just hope Charlie's not just trying to use his culture to get all eyes on him since Latinos are such a hot commodity right now," said Herrera Mulligan.

"Latinos take their heritage and their celebrities very seriously."

Reyes thinks America has embraced a culture where it is easy to be outraged and offended. Charlie Sheen's name change should focus on one thing, he said: American culture is changing and becoming more Latinized.

"There are bigger things to worry about like undocumented families being torn apart, poverty among Latino families, etc. Now that's something to be offended about," said Reyes,

"It seems like Robert is using this film to turn convention on its head. It's kitschy, funny and innovative. We should go with it."

@highlight

Charlie Sheen has dropped his stage name to birth name, Carlos Estevez, for upcoming flick

@highlight

"People are going to see Charlie Sheen's move as pandering or as a smart career move"

@highlight

Are the days of Latinos changing their names to appeal to a broader audience over?

@highlight

"If you say 'I am Latino,' celebs have to think about what kind of message that sends back"