New Orleans (CNN) -- Suddenly, after years of the National Football League advancing toward the end zone of equality in its hiring practices, diversity has been smacked for a sack and a fumble.

Let's get the brutal numbers out of the way, and then I'll move to the contradiction to everything I just said, which is the brilliant career of Ozzie Newsome. I mean, among the recent vacancies in the NFL, where 70% of the players are black, there were eight openings for head coaches and seven for general managers.

None were filled by minorities. Zero. Zilch.

How strange, because this is a 93-year-old league whose most impressive guy at running a franchise these days is darker than Vince Lombardi of the past and Bill Belichick of the present.

Photos: Super Bowl by the numbers

I'm referring to Newsome, 56, who harkens of the future, because he has a tendency to stay a few paces ahead of his NFL peers.

They call Newsome "The Wizard" for his ability to keep the Baltimore Ravens vibrant throughout his decade as the NFL's first black general manager. In fact, this Pro Football Hall of Fame tight end-turned expert talent evaluator has replaced the Gatorade bath after huge victories as the rage around the league.

"It's part of the dream, that dream," Newsome told reporters at the Ravens' headquarters last week when describing his NFL success. "I don't know if I'll have to pinch myself to see if I'm still dreaming."

No, Newsome's NFL legacy is real, alright.

Just ask Lionel Vital, who joins Newsome among the league's highest-ranking black executives as the director of player personnel for the Atlanta Falcons. Vital began scouting with Newsome in the Browns organization in the early 1990s, when Belichick was running the show before his prolific stint with the New England Patriots.

Later, Newsome was Vital's boss in Baltimore from 2005 to 2007.

5 story lines to follow at the Super Bowl

"Ozzie understands people maybe better than anybody I've ever met," Vital said. "Those draft picks he makes (through the annual NFL draft) are people, and he just knows how to deal with them. Those guys play for him, because those guys can be themselves around him.

"Whether you're a player or a scout or anybody else in the Baltimore organization, Ozzie wants you to be you, and he lets you be you."

It works. Under Newsome, the Ravens have reached the playoffs seven times (including the last five seasons), and they've made three trips to the American Football Conference title game.

More impressive, despite a defense with more aches and pains than anybody in the league, the Ravens used several of Newsome's shrewd picks through the years to reach the Super Bowl on Sunday at the Mercedes-Benz Superdome against the San Francisco 49ers.

The Ravens operate with Newsome's fingerprints wrapped around everything they do.

The coaching: Newsome hired John Harbaugh five years ago, and this was despite Harbaugh lacking head coaching experience by serving mostly as an NFL special teams and secondary coach. The result? Harbaugh has won 67% of his games with the Ravens.

The quarterback: Newsome ignored the fact that Joe Flacco was considered an inaccurate gunslinger for the obscure Fightin' Blue Hens of the University of Delaware. He made Flacco the 18th pick overall of the 2008 draft. Since then, Flacco has an 8-4 record in the playoffs, including an NFL-record six postseason victories on the road.

Join our Super Bowl hangout

The others: Newsome is noted for seeing things that nobody else does when studying players in the draft or free agency. His picks regularly are enlightened (see the Ravens' multiple trips to the playoffs).

Most recently, there was Newsome taking a chance on 400-something pounds of Terrence Cody, who was considered a bust by many. He was gifted but unmotivated. The Dr. Phil of general managers spent his interview time with Cody at the 2010 NFL scouting combine calling the nose tackle everything shy of a fat slob.

Cody now is so slim (well, relatively speaking at 350 pounds) that he is considered a future star for the Ravens.

Then there is outside linebacker Paul Kruger, the Ravens' late second-round pick out of Utah in the 2009 NFL draft. He played little during his first three seasons. Then along came those Baltimore injuries on defense, and Kruger showcased all of that hidden depth acquired by Newsome when he finished this season with nine sacks and 42 tackles.

No wonder Newsome is revered so much by Martin Mayhew of the Detroit Lions, Jerry Reese of the New York Giants, Rick Smith of the Houston Texans and Reggie McKenzie of the Oakland Raiders.

That quartet represents the only other black general managers among the NFL's 32 teams.

Game day predictions

"I tell those guys -- along with others -- to call Ozzie to walk you through the drill over how things should be done," said John Wooten, 76, a respected black NFL player personnel director of yore for the Dallas Cowboys, Philadelphia Eagles and Ravens before he became the long-time chairman of the Fritz Pollard Alliance.

Among other things, Wooten's group worked in conjunction with NFL officials in 2003 to form the Rooney Rule, which is named after Pittsburgh Steelers chairman Dan Rooney. According to the rule, all NFL teams must interview at least one minority candidate before hiring a head coach or a general manager.

The idea is to increase the number of minority head coaches and general managers around the league.

Oh, well.

"These are the lowest head coach diversity numbers the league has seen since 2003, when the Rooney Rule was just implemented," wrote Harry Carson, the Fritz Pollard Alliance's executive director, in a letter to NFL officials regarding the drop from six to four black head coaches in the league after this past regular season. "Similarly, no minority front office candidate was selected for any of the vacant GM positions."

So the Fritz Pollard Alliance want the Rooney Rule expanded to include openings for offensive and defensive coordinators. Many of the NFL's future team leaders come from those positions.

There currently are six black defensive coordinators in the league and just two black offensive coordinators.

The non-fan's guide to Super Bowl parties

The NFL knows there are issues along these lines. Last month, league executive vice president of human resources Robert Gulliver said, "While there has been full compliance with the interview requirements of the Rooney Rule and we wish the new head coaches and general managers much success, the hiring results this year have been unexpected and reflect a disappointing lack of diversity.

Newsome weighed in this week telling the Baltimore Sun "Is the opportunity there (for minorities)? Yes, it is. You can look at the fact that I am the third of the GMs that have been there (Super Bowl). (Cardinals general manager) Rod Graves had a chance to go with Arizona. (Giants general manager) Jerry Reese has been to two.

"We've had African-American coaches have the opportunity. I've had conversations among the diversity working group committee myself. Are we going to work to get better? Yes, but all we can do is to put people in front of people."

Beyond the quotes, Newsome speaks loudest through his actions as the epitome of what could be for an NFL franchise looking for success. That is, if other blacks are given a chance in team decision-making roles.

"I think Ozzie is an incredible role model for anybody within an organization with the desire to be a general manager, and, honestly, that's true whether you're talking about an African-American or a Caucasian," said Thomas Dimitroff, the Falcons' general manager.

Dimitroff's late father, Thomas Sr., was a prominent scout for the Browns down the stretch of Newsome's Cleveland playing career that ended after the 1990 season. The older Dimitroff also was around for Newsome's opening five years in the Browns' scouting department.

That was before Newsome continued as an NFL boss in 1996 when that particular Browns' franchise (there is another one now) moved to Baltimore to become the Ravens.

Said Dimitroff, "My dad -- as an older school, tough football guy -- was very complimentary of how Ozzie handled that transition from player to team executive. He handled it with tact and with respect to the other football people who were there before him. He didn't just thump his chest to say he had arrived, because he was such a great player."

Newsome still doesn't thump his chest -- you know, even though he is a great general manager.

The opinions expressed in this commentary are solely those of Terence Moore.

@highlight

70% of NFL players are black but no recent head coach or GM spots were filled by minorities

@highlight

Baltimore Ravens GM Ozzie Newsome is the NFL's first black general manager

@highlight

Newsome has been the Ravens' general manager since 2002

@highlight

Under Newsome, the Ravens have reached the playoffs seven times