Washington (CNN) -- Just hours after taking office, the new House of Representatives reinstated a team of ethics investigators that had faced what seemed like a certain death due to lawmakers' inaction.

Overshadowed by the recent fiscal cliff hubbub, lawmakers from the last session had neglected to decide whether or not to renew the Office of Congressional Ethics. Last week, CNN reported on the concerns among public interests groups that lawmakers were purposely trying to kill the OCE through their inaction to avoid future ethics investigations.

The House on Thursday night voted in new rules to reauthorize the OCE, and also added language that would allow members -- whose terms were set to expire -- to continue on the board.

The OCE is considered to be one of the most important watchdogs in Washington. It's the only quasi-independent government body that's sole mandate is to formally investigate members of Congress.

It was formed just four years ago when then-Speaker Nancy Pelosi and others declared they wanted to "drain the swamp" of scandals and corruption in Washington. Among the biggest scandals that prompted action was that of Jack Abramoff, a former lobbyist, who admitted in 2006 to illegally showering gifts on officials in exchange for favors.

The probe into those allegations led to convictions or guilty pleas for 20 lobbyists and public officials -- including a member of the House and several aides to congressmen.

Other scandals included those tied to former Reps. Tom DeLay, Mark Foley, William Jefferson and Duke Cunningham.

Since its creation in 2008, the OCE has launched more than 100 investigations of lawmakers, raising serious questions about possible congressional misdeeds.

In about one third of its investigations, the OCE found that House ethics, and sometimes federal laws, were likely violated. Those 37 cases were referred to the House Ethics Committee for further review.

House Speaker John Boehner and House Democratic leader Pelosi had previously said they would reauthorize the OCE and appoint new members. But the issue was recently overshadowed by the down-to-the-wire fiscal cliff negotiations.

In many of its hard-hitting investigations, the OCE has confronted legislators about their actions, raising sensitive questions about possible conflicts of interest, financial reports, missing financial information, and even questions about the legality of some lawmakers' actions.

There are other watchdogs for ethics within the Congress -- the House Ethics Committee, and the Senate Select Committee on Ethics. But these internal committees are often criticized for doing almost nothing because they are in the awkward position of investigating their own members and close colleagues.

By contrast, the OCE is an outside body, widely seen as being objective. It is made up of experts, including some former members of Congress, who are nominated and approved by Boehner and Pelosi.

However, the OCE cannot take disciplinary action against the lawmakers it finds are likely to have violated ethics or federal law -- so it has to refer its most serious investigations to the House Ethics Committee.

Out of the 37 cases it received from the OCE, the House Ethics Committee meted out formal punishment only on two occasions.

Supporters of the OCE say it has helped put a spotlight on lawmakers' conduct.

"The OCE has forced members of Congress to take ethics more seriously," said Melanie Sloan, a former federal prosecutor who now directs Citizens for Responsibility and Ethics in Washington (CREW). "It has forced the (House) Ethics Committee to act and has let all members of Congress know that they're not going to be able to skate by like they have for so many years, with unethical conduct just going on."

But critics say it sometimes casts too wide of a net in its investigations.

"They accept anonymous complaints made by anonymous individuals and then have the resources to conduct an investigation which can become a fishing expedition," said Rep. Hank Johnson, D-Georgia.

Rep. Brad Miller, D-North Carolina said he believes there should be a way for the American public to raise issues about the conduct of their representatives in Washington.

But, he added, "Some of what the OCE has sent to the Ethics Committee was actually really flimsy. I mean, conduct that if you have any idea what the real world is like, you would know was not ethically questionable or if it is, everything that happens in politics is ethically questionable."

And if the accusation is referred to the Ethics Committee, Miller said that's "like torture" for lawmakers.

"It's like being charged with a crime," he said.

CNN's Joe Johns and Rahel Solomon contributed to this report

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Newly sworn-in House approved independent ethics board on Thursday night

@highlight

Office of Congressional Ethics was created in 2008 amid a wave of scandals

@highlight

It's investigated 100 instances of possible misconduct by members of Congress