Beijing (CNN) -- Cui Jian burst onto the music scene in China 26 years ago with his signature number, "Nothing To My Name."

He was one of the first Chinese musicians to bring rock 'n roll to China during the 1980s as the country began to open up to western influences.

He is still making waves today with his fusion of western and Chinese styles.

"The essence of rock n' roll is energy and personality," he told his fans who gathered in Beijing this week to commemorate his breakout performance.

"The burst of energy in the artistic creation comes from the suppression of personality."

The invited guests had just watched a special screening of "Transcendance," a 3-D video of Cui's recent concert with the Beijing Philharmonic Orchestra, which will be released later this summer.

Organizers gave each guest a piece of red cloth. Some tied it on their arms, others on their foreheads -- a nod to the red blindfold Cui often wore when he sang his politically-charged love song, "A Piece of Red Cloth."

His supporters were left heady with nostalgia.

"That time, we really had nothing," recalled Bai Qiang, producer of the 70-minute video. "We had no fridge, no camera, no cell phone, nothing. But we were full of spirit. Today, we are much better off but we feel have lost something. Something is still missing."

Sometimes amusing, sometimes plaintive but often overtly political, Cui's songs challenged conventional Chinese ideas and attitudes. Some commentators interpret his songs as allegorical reminders of authoritarian control.

The mournful "Yiwu Suoyou," or "Nothing To My Name," captured the frustrations and idealism of the 1980s generation, as Deng Xiaoping's policies of economic and cultural liberalization resulted in some foreign culture seeping into China.

The character in the love song beseeches his girlfriend to accept him, even though he has nothing to his name.

The song struck a chord with many.

Yue Zhang was 16 when she first heard Cui's songs.

"I was in high school, when boys were forbidden to wear long hair or bell bottom pants and girls were forbidden to wear colorful clothes," she said.

"Nobody heard of Michael Jackson or hard rock. Everybody went crazy when we first heard Cui Jian's songs. It was a break from tradition."

Over the years, I've watched Cui Jian -- "CJ" or "Lao Cui" (Old Cui) to friends -- perform in concerts, big and small, often belting out songs with a symbolic red band tied over his eyes.

I also remember seeing British duo Wham! in 1985, one of the the first gigs by a major rock n' roll group in China. During the performance at Beijing's Worker's Stadium, most of the 10,000 people in the audience sat riveted in their chairs, watching with shock and awe as the long-haired rockers pranced on stage singing "Wake Me Up Before You Go-Go."

Such music, like Cui's, would have been unthinkable during the Cultural Revolution (1966-76), when foreign culture was branded as "spiritual pollution."

"Rock n' roll music was not considered serious," Cui recalled. "It was for people who drink, meet girls, take drugs and don't want to work on a schedule."

In his teens, Cui was not destined to become a rock singer. His father was a professional trumpet player and his mother a member of a Korean minority dance troupe. He himself started learning trumpet at age 14, playing mostly classical pieces.

In the early 1980s, however, he began listening to western rock n' roll on cassette tapes he bought or borrowed from foreign friends.

Inspired by Bob Dylan, he learned the guitar, formed a band and started performing in public.

During the Tiananmen protests in 1989, students on hunger strike on the square adopted Yiwu Suoyou (Nothing to my Name) as their anthem.

At the height of the protests, Cui even gave an impromptu performance in the square.

Two decades later, his loyal fans are still inspired by him.

"We are still yiwu suoyou in our mind," said Yue Zhang, a white collar worker in Beijing. "We have money, a house, a car but in terms of spirit we are yiwu suoyou."

Cui is known today as the grandfather of Chinese rock n' roll. However, many Chinese are not aware of who he is.

Observers say this is in part because he has fundamentally refused to compromise his art for commercial or political gain.

"He is a pioneer," said Charles Xue, a prominent Chinese blogger. "He has an ideal and he sticks to it. He's the least corrupted star I know. Everyone else will sell their soul for a few pennies in a hurry."

But Cui, now 51, has mellowed too, willing to make small compromises.

"In this 3-D film, some lines had to be taken off and some songs were disallowed," he told his supporters, referring to the hand of the Chinese authorities. "We have had to remove them to save the whole work. Such compromise is made so we can deliver the other messages. We hope everyone can understand that."

Still, he bats for artistic freedom.

"If by simply telling the truth of people's sufferings, an act is considered as anti-stability or anti-system, then it's absolutely wrong. Change is inevitable, so why not make it happen as soon as possible?"

"It took us almost two years to finish the 3-D film," said producer Bai Qiang.

"I feel this is what China needs now. I want this film to deliver this message, whether we have changed the world or whether the changed world has changed us."

Christie Wang contributed to this story.

@highlight

Cui Jian one of the first Chinese musicians to bring rock 'n roll to China during the 1980s

@highlight

Cui's songs challenged conventional Chinese ideas and attitudes

@highlight

Inspired by western acts such as Bob Dylan on tapes he bought from foreign friends

@highlight

Students adopted song "Nothing to my Name" as their anthem during Tiananmen protests