Washington (CNN) -- Think this current climate of political polarization is bad?

Things could get even uglier in 2013.

With a third of the Senate and every seat in the House up for election this year, each side is already bragging about how likely it is they will win back or take over the next Congress.

But if the past three years are any indicator, no matter if the Republicans or Democrats control the House or Senate -- or both -- gridlock, brinkmanship and stalemate could continue to plague the next president and frustrate the American electorate.

The ongoing back and forth Friday between the White House and Republican leadership over exactly who is at fault for the weak economy offers a glimpse into what's in store.

"One of the things that people get so frustrated about is that instead of actually talking about what would help, we get wrapped up in these political games. That's what we need to put an end to," President Barack Obama said on Friday, a day when politicos on both sides of the aisle played the blame game over the country's fiscal troubles.

Voters have been clear in expressing their displeasure with Congress, whose approval ratings -- currently only 15% of Americans polled think Congress is doing a good job -- have been in the basement for much of the past few years. And it doesn't stop there.

Just look at, for instance, Congress' work habits.

The Republican-controlled House's frequent election-year recesses do little to clear the mountain of legislative work off their plates and have rankled such Democratic colleagues as House Minority Leader Nancy Pelosi, D-California.

"Instead of recessing yet again, the House should remain at work and pass critical legislation that will create jobs for the middle class that will actually be signed into law. Republicans must not run out the clock on the economy," Pelosi wrote in a letter to House Speaker John Boehner, R-Ohio, this week, adding that the upcoming recess is the ninth weeklong break this year.

Whether President Obama or Republican Mitt Romney occupies the Oval Office next year, both men are facing an indigestion-inducing plate full of domestic problems.

Either one could, for instance, have to preside over a dramatic overhaul of the health care reform law if the Supreme Court strikes down the individual coverage mandate as unconstitutional this month. The original law passed in 2010 without a single Republican vote in the House or the Senate.

The backlog of bills that have passed in one chamber but are in limbo in another include the hotly debated transportation bill. Many House Republicans want any deal on the transportation construction measure to include approval of the Keystone XL oil pipeline.

In the Senate, both parties are at loggerheads on the best way to address mushrooming student loan rates.

If the balance of power in the Senate shifts to the Republicans, as some political analysts expect, or Democrats and Republican end up with a near equal number of seats, partisan gridlock could become even worse.

Both the Cook Political Report and the Rothenberg Political Report  suggest that at least two to four Senate seats are in play, including open seats in the battleground states of Virginia and Wisconsin. Seats in Massachusetts, Nevada, New Mexico and Maine are also competitive.

"You can expect these bitter times to continue," said Thomas Mann, a senior fellow at the Brookings Institution and co-author of the book "It's Even Worse Than It Looks: How the American Constitutional System Collided With the New Politics of Extremism."

It's little wonder why.

A new Pew Research Center study found that the nation is more politically polarized than it has been in the past 25 years and "the values gap between Republicans and Democrats is now greater than gender, age, race or class divides."

So, there's little chance of compromise on solutions for shoring up the ailing economy and stanching job losses as the country braces for the impact of more than $1 trillion in mandatory budget cuts set to kick in next year.

Should Obama win re-election, he'll be a second-term president facing a narrow window to accomplish policy goals before he enters the lame duck phase of his office.

"If president Obama is re-elected he will have to work with a Republican Senate to define his legacy," said Nathan Gonzales, deputy editor of The Rothenberg Political Report. Obama's "big opportunity will be 2013."

That's the same year sequestration, massive mandatory across the board budget cuts, are triggered as part of a congressional deal that allowed Obama to raise the debt ceiling. The large defense budget, which many Republican lawmakers defend as necessary to maintain, will face substantial cuts.

Ironically, Obama may have to take a harder, more partisan line in order to get his agenda passed, Mann said.

"It's his second term. The country is facing serious problems," Mann said. "If the Republicans are playing an opposition game I can't imagine he can peacefully engage in constructive negotiations with (Republicans). He would find the same problem he faces today."

Things aren't likely to go much easier for Romney.

If Romney should win the general election and his party maintains control of the House and ekes out a Senate majority, the newly minted president may still face some political headaches. Candidates down ballot may get a boost from a Romney win, but it is unlikely his party will net the 60 seats needed for a filibuster-proof Senate majority.

He'll also face intense pressure from his party to keep his campaign promises and steer clear of compromise.

"If Romney is elected he'll have a brief honeymoon period," said Larry Sabato, director of the University of Virginia's Center for Politics. "In this polarized era I see no reason for optimism there.

@highlight

Partisan bickering likely to continue after elections

@highlight

Health care, economy remain wedge issues

@highlight

Senate power shift could happen after 2012 election