LONDON, England (CNN) -- Prince Harry led tributes to Diana, Princess of Wales on the 10th anniversary of her death, describing her as "the best mother in the world" in a speech at a memorial service.

Here is his speech in full:

William and I can separate life into two parts. There were those years when we were blessed with the physical presence beside us of both our mother and father.

Princes Harry and William greet guests at a thanksgiving service in memory of their mother.

And then there are the 10 years since our mother's death. When she was alive, we completely took for granted her unrivaled love of life, laughter, fun and folly. She was our guardian, friend and protector.

She never once allowed her unfaltering love for us to go unspoken or undemonstrated.

She will always be remembered for her amazing public work. But behind the media glare, to us, just two loving children, she was quite simply the best mother in the world.

We would say that, wouldn't we.

But we miss her. She kissed us last thing at night. Her beaming smile greeted us from school. She laughed hysterically and uncontrollably when sharing something silly she might have said or done that day. She encouraged us when we were nervous or unsure.

She -- like our father -- was determined to provide us with a stable and secure childhood.

To lose a parent so suddenly at such a young age, as others have experienced, is indescribably shocking and sad. It was an event which changed our lives forever, as it must have done for everyone who lost someone that night.

But what is far more important to us now, and into the future, is that we remember our mother as she would have wished to be remembered as she was: fun-loving, generous, down-to-earth, entirely genuine.

We both think of her every day.

We speak about her and laugh together at all the memories.

Put simply, she made us, and so many other people, happy. May this be the way that she is remembered.

Prince William's reading from St Paul's letter to the Ephesians:

I bow my knees before the Father, from whom every family in heaven and on earth takes its name.

I pray that, according to the riches of His glory, He may grant that you may be strengthened in your inner being with power through His Spirit, and that Christ may dwell in your hearts through faith, as you are being rooted and grounded in love.

I pray that you may have the power to comprehend, with all the saints, what is the breadth and length and height and depth, and to know the love of Christ that surpasses knowledge, so that you may be filled with all the fullness of God.

Now to Him who by the power at work within us is able to accomplish abundantly far more than all we can ask or imagine, to Him be glory in the church and in Christ Jesus to all generations, for ever and ever. Amen.

Thanks be to God.

The Bishop of London's speech:

"Who's cheating?" The scene is an old people's home. Two residents are playing Beggar My Neighbor. Enter the Princess. The question from the royal visitor is unexpected but everyone laughs. Afterwards they comment on her large eyes and what life she brought into the room.

One tiny incident, characteristic of countless other occasions in the Princess's public life in which she found the right word or the right gesture to bring cheer and comfort.

Everyone here will have their own memories.

I remember meeting Princess Diana for the very first time early in 1981 to discuss details of the wedding service in St Paul's. Even Archbishop's Chaplains have their share of proper diffidence and I was nervous entering the presence.

It must have been a bewildering time for the Princess as well, but even then, at the age of 20, her capacity for empathy and her very strong intuitive power ensured that any tension soon evaporated.

Prince Harry has spoken movingly and justly, as few others have the right to do, about the Princess as a mother. I want to dwell for a moment on her public work, its cost and its meaning.

After her marriage, the Princess joined her natural gifts of beauty, empathy and powerful intuition with that extraordinary charge which association with the Royal Family generates.

Led by our Queen and other members of the Royal Family, our constitution has developed in response to the challenges of the past century.

There is a properly political sphere in which the monarch may counsel but doesn't intrude, but there is another sphere, vital to any sense of national unity and creativity, a sphere in which communities must be celebrated, common values articulated and the transcendent source of those values honored.

We tend to be suspicious of public figures who wrap themselves in divinity and claim that their will is God's will, but if no-one can articulate in an un-ignorable way in the public realm the creative energy of the love that we see in Christ, the human face of God, then we shall find ourselves inhabiting a maimed and diminished society.

And at a time when people are suspicious of rhetoric, the monarchy communicates by symbol and by simple speech, and the Princess brought her own gifts to this work.

She was still only 26 in 1987 when she shook the hand of a patient at the opening of the Middlesex Hospital's Aids ward. It was the first in the UK and it is very hard now to credit the degree of fear and prejudice which surrounded Aids in the '80s.

Those familiar with the field have no doubt that the Princess played a significant part in overcoming a harmful and even a cruel taboo in a gesture which was not choreographed but sprung from a deep identification with those who were vulnerable and on the margin.

And she had a similar impact in the USA. An editorial in the New York Times in 1989 admitted ruefully that it had taken a foreign, and even a royal, dignitary to draw attention to a major public health concern in the US.

Her work in the very last year of her life for the victims of landmines also caught the popular imagination internationally and certainly accelerated the adoption of the Ottawa Convention, banning the use of a weapon which disproportionately kills and maims women and children.

She proved the eloquence of embrace and of touch which, of course, have been used by royal healers throughout the centuries.

And as she said, in her words, "the biggest disease today is not leprosy or TB but the feeling of being unwanted". She sought out places of suffering, because they are so very often places of truth where the masks have been removed, and she was not afraid to be with the dying and to comfort them in an unsentimental way.

Bill Deedes accompanied her on some of her visits. His response to the cynics was typically robust.

He said: "She was one who sought above all to help vulnerable people in society and who did it so well. She was good at this because she herself was vulnerable. She knew the feeling. She didn't set out to be a saint."

The role brought great power but, like any member of the Royal Family, she also experienced the weight of expectation and the intensity of the scrutiny.

Honoring but managing the role and not allowing it to take over one's personal humanity is a desperately difficult task. As we have heard from Prince Harry, his mother Diana did all that she could to prepare her sons for the work which lies ahead.

She confessed to receiving a very great deal from some of those whose lives she touched. She said of John, a young Greek suffering from cystic fibrosis: "He showed no sign of anger, no trace of bitterness but touched us all with an aura of optimism and hope for the future such that I have never before encountered."

The love of Christ described in the lesson read by Prince William contains the essence of the spiritual life. Princess Diana recognized this quality of life in many of those, like John, whose lives she touched.

It was a mystery which resonated deeply with her and for which she reached out.

And the mystery is this - the more you go beyond yourself, the more you will become your true self; the more you lose yourself in loving and serving others, the more you will find yourself; the more you keep company with those who suffer, the more you will be healed.

This is the knowledge which passes all understanding. This is certain and has been proved experimentally in the life of all the saints.

It's easy to lose the real person in the image, to insist that all is darkness or all is light. Still, 10 years after her tragic death, there are regular reports of "fury" at this or that incident, and the Princess's memory is used for scoring points.

Let it end here.

Let this service mark the point at which we let her rest in peace and dwell on her memory with thanksgiving and compassion.

Let us also, echoing the words of Prince Harry, look to the future and pray, in the words of St Paul, for all those who serve our country as members of the Royal Family and most especially for the sons who were so precious to her:

"I pray that you being rooted and established in love may have power with all the saints to grasp what is the breadth and length and depth and height of the love of Christ and to know this love which surpasses knowledge that you might be filled with the fullness of God." Amen. E-mail to a friend

@highlight

Prince Harry describes Princess Diana as "the best mother in the world"

@highlight

He asks for her to be remembered as "fun-loving, generous, down-to-earth, entirely genuine"

@highlight

Bishop of London praises her humanitarian work

@highlight

He says that disputes about her death should "end here"