Films such as "Django Unchained" carry with them an uncommonly high concentration of influence and opportunity. Due to the scarcity of diverse and inspiring representations on screen, Quentin Tarantino's latest movie casts a longer shadow than many are willing to acknowledge.

In a recent interview with UK Channel 4, Tarantino stated his goals and interpretation of the Oscar-nominated film's impact: "I've always wanted to explore slavery ... to give black American males a hero ... and revenge. ... I am responsible for people talking about slavery in America in a way they have not in 30 years."

He went on, "Violence on slaves hasn't been dealt with to the extent that I've dealt with it."

My personal biracial experience growing up on both sides of segregated hoods, suburbs and backcountry taught me a lot about the coded language and arithmetic of racism. I was often invisible when topics of race arose, the racial adoptee that you spoke honestly in front of.

I grew up hearing the candid dirt from both sides, and I studied it. The conversation was almost always influenced by something people read or saw on a screen. Media portrayals greatly affect, if not entirely construct, how we interpret "otherness." People see what they are shown, and little else.

It's why my dad forced me to study and value history from an absurdly young age -- to build a foundation solid enough to withstand cultural omissions from the curriculum and distortions from the media. It's what led me to become a teacher of American and African history out of college. There is a glaring difference in outlook between those who have mined the rich, empowering truth about how we've come to be, and those who just accept that there's only one or two people of African descent deemed worthy of entire history books.

If, like Tarantino, you show up with a megaphone and claim to be creating a real solution to a specific problem, I only ask that you not instead, construct something unnecessarily fake and then act like you've done us a favor.

Vote for your Oscar favorites

"Django Unchained" is being projected on screens around the world, out of context: A slim percentage of consumers have any real understanding of what took place during slavery, one of history's most prolonged, barbaric and celebrated human rights violations. Sadly, for many Americans, this film is the beginning and the end of that history lesson.

This film follows a brave, cunning and fearless lead character whose name starts with a "D." Viewers of the film's trailer would think that character is Django, played by Jamie Foxx. In fact, his name is Dr. King Schultz, a German portrayed by Christoph Waltz, (spoiler alert) who sacrifices his life in the pursuit of freedom and justice for the black man. It is the white Dr. King, who after sharing a motivational tale about a man reaching a mountaintop, nobly gives his life for "black justice."

Tarantino rightly claims that the abundant use of "nigger" in the film was authentic and of the time. Of course it was. So was chattel slavery and the back-breaking manual labor that kept these massive plantations thriving.

Tarantino's plantations are nearly empty farms with well-dressed Negresses in flowing gowns, frolicking on swings and enjoying leisurely strolls through the grounds, as if the setting is Versailles, mixed in with occasional acts of barbarism against slaves.

It's the opposite of the exploration of the real phenomenon of slavery about which he boasts.

Sometimes we sacrifice accuracy for story, but these inaccuracies are completely unnecessary. How does depicting slave plantations like circus campgrounds, fit with delirious, babbling overseers wielding bull whips and overdressed rabble wandering aimlessly, further Django's truth?

The film's antagonist, Calvin Candie, played by Leonardo DiCaprio, supposedly runs one of the very worst plantations in all of Mississippi. Yet on the road he dines with his slaves, and at home, his fields are mostly empty and he only seems to have slaves in his house. Is this one of those rare slave plantations that primarily trades in polished silverware and gossip? That authenticity card that Tarantino uses to buy all those "niggers" has an awfully selective memory.

In the film's opening sequence, shackled blacks literally hold the key to their shackles and don't use them, choosing instead to trudge forward, hindered by biting chains, to kill a white man. In the third act, after seeing Django kill the Australians, the blacks sitting in an open cage neither communicate with each other or consider stepping outside of the cage.

Review: 'Django Unchained'

In fact, in this entire, nearly three-hour film, there are no scenes with black people interacting, or even looking at each other, in a respectful or productive way.

If only one black person (Django) displays the vaguest interest in gaining freedom, while the rest consistently demonstrate that they wouldn't do anything with that freedom, were they to obtain it, then we're not able to become invested in them or their pursuits: We can't relate to shiftless characters. Being illiterate, and/or brown, does not remove the ability to think, or observe or yearn or plan or develop meaningful relationships.

Despite the repeated suggestions that they are similar narratives, "Django Unchained" has little in common with  "Inglourious Basterds," Tarantino's 2009 fantasy involving a band of American soldiers taking revenge against the Nazis.  The latter's title characters choose to form a band of men who risk their lives for a generous and creative endeavor to stop the Holocaust completely, saving all of their people, not just one.

"Django" is just a random guy, who, to no credit of his own, was plucked from slavery by an impressive white man and led on a journey to save his wife.

"Inglourious" did not walk us through provocative scenes of concentration camp torture, gas chambers and ethnically stereotyped victims. Nor were Jewish characters subjected to the indignities of being torn apart by dogs. And while we have our trusty authenticity card out, did the Jewish people not suffer the repeated verbal onslaught of "kike," "rats" and other grotesque terms?

Were such words used in "Inglourious Basterds" more than 100 times? How about 70? OK 30? 10? Thankfully, Tarantino knew that he was perfectly able to tell a story without such gimmicks. (He also knew the community he claimed to be avenging wouldn't stand for it.)

Hey, remember when Tarantino was selling those emaciated Jewish prisoner action figures with the concentration camp tattoos? So funny and ironic and harmless, right? No. That would have been cheap and disgusting.

Yet the filmmakers agreed to the release of action-figure slave and slaver dolls to help promote "Django." It was an especially offensive decision because selling slave figurines falls directly in line with the centuries-old American tradition of desensitizing us to the horrors of slavery with cute, palatable commodities. Tarantino didn't invent this tacky strategy; he just dug it back up.

Opinion: Why 'Django' stirs race debate

Think for a moment of the lengths that Tarantino went, to create a heroic triumph for his "Inglourious Basterds." He created an imaginary  scenario wherein his characters could outwit and ultimately incinerate Hitler and his top advisers in a movie theater. It was choose-your-own-adventure heroism to create figures that took complete agency in the acquisition of their freedom. A very cool idea.

A big reason slavery is avoided in American storytelling is guilt. Unlike the Holocaust, when it comes to slavery, our people were the bad guys. But we're not German, so we can rail on Hitler and the Nazis all day without thinking critically about our legacy.

For descendants of slaves, and all Americans, our ovens -- the slave plantations -- are tourist destinations and wedding venues, home to preservation societies and guided tours. The "good ole days," when faceless black folks with zero potential were merely quiet, collateral damage.

America's minimal comprehension of slavery combined with the kind of trivialization "Django" offers renders us ill-equipped to empathize with its victims. This is a chicken or the egg manipulation: "Do I know nothing about the complexity of slavery because it's not that big a deal, or must it not be that big a deal because I'm only vaguely informed?"

None of my criticisms would be different had the person in the director's chair been a different color (though all widely released American films heavily involving slavery in the United States have been directed by white men). My concerns are limited to the onscreen material, its advertised aims and the consequences.

We try so hard to distance ourselves from the generations that made a business out of systematically crippling a people and the public's vision of their abilities and intentions. We're so different now, aren't we? We are civilized.

By popular measure, so were they.

And we deserve better, than this lazy, oversimplified reduction of our history.

(Note: Want to read more about Django? Click here for a detailed breakdown of the specific scenes that I found problematic.)

@highlight

Director Quentin Tarantino says he "wanted to explore slavery" in his film

@highlight

Jesse Williams says Tarantino's version of slavery is wildly unreal

@highlight

He says few films have dealt with slavery, making it important to handle subject with respect

@highlight

Williams: '"Django" subordinates black characters, fails to illuminate slavery