(CNN) -- There is good reason to hope that Israel has been paying attention to Central America in the past year. In the event that it has not, it might fall on the U.S. to give Israel a crash course.

Israel is not the only small, open country whose recent actions have alienated much of the world. Last June, the Honduran military expelled Honduran President Manuel Zelaya at gunpoint, unleashing a tragic series of events including human rights abuses, economic contraction and international isolation.

Late last month, Israeli commandos killed nine activists seeking to breach the Gaza maritime blockade with a humanitarian aid shipment, and the international community reacted with horror.

After both events, officials in power in Israel and Honduras resorted to similar narratives: The world misunderstood them and underestimated the threats they faced. These government accounts expanded the distance between each country and the world, demonstrating that real change will not come while the leaders promoting these narratives remain in power.

In Honduras, the coup prompted an unprecedented international rejection; in Israel, international reproach has mounted over time, with the flotilla attack providing the most recent justification for anti-Israel rhetoric.

In both countries, the sitting governments explained that the world did not fully grasp the perilous, external threat they face -- in Honduras, chavismo (the left-wing ideology associated with Venezuelan President Hugo Chavez's government); in Israel, the existential threat of Hamas and Iran.

Both countries, despite increasing international criticism, remain heavily dependent on U.S. recognition and support. Rejection from other countries hurts, but they can withstand it so long as they have backing from the United States.

After last year's coup, the Honduran political establishment closed ranks, widely supporting Zelaya's illegal expulsion as a defense of the rule of law and the defeat of chavismo. Then-de facto President Roberto Micheletti bristled at the international community's condemnation, at one point declaring the secretary general of the Organization of American States unwelcome in Honduras as anything but a tourist and feeding pro-Micheletti demonstrators anti-OAS chants.

To rally his supporters, Micheletti consistently painted Honduras as the victim and refused to cede ground. The first signs of a similar reaction after the flotilla raid appeared quickly in Israeli political discourse.

The Israeli government's media office circulated a spoof video of flotilla activists singing "We Con the World," for which they later apologized. Now, Israel has rejected calls for an international inquiry into the raid, instead unilaterally appointing a panel that could focus attention on the activists' bellicosity rather than Israeli soldiers' use of lethal force.

But the actions of Benjamin Netanyahu's government can hardly be described as gaffes or mere blindness to world opinion. Rather, they reflect a deliberate effort to drum up domestic support. Such propaganda plays to the Israeli suspicion that the entire world is, more or less secretly, anti-Semitic, making it impossible for the Jewish state to receive a fair hearing.

By playing to these primal fears, rooted at the core of Zionist historical consciousness, Netanyahu is able to rally much of the nation behind him, while making himself virtually impervious to domestic criticism.

Micheletti has not paid the price for his misdeeds, and neither will Netanyahu, but Honduras has and Israel will. While Micheletti received amnesty and a lifetime congressional salary, even a new election and the creation of a truth commission has not enabled Micheletti's successor, Porfirio Lobo, to re-establish ties with most of Latin America. As Lobo's recent exclusion from international summits in Madrid and Lima illustrates, Honduras continues to suffer the economic and political effects of isolation.

Similarly, in Israel, the flotilla incident may have heralded the demise of Israel's only healthy relationship in the Middle East. Reacting only hours after the incident, Turkey's prime minister, Recep Tayyip Erdogan, said that Israel's actions were "totally contrary to the principles of international law," branding them as "state terrorism." Ankara also immediately rejected Israel's commission, threatening to review its Israel policy if Israel does not accept an international investigation.

Like Micheletti, Netanyahu can likely withstand the current crisis by turning his back on the storm of international criticism and celebrating Israel's avowed defense of its sovereignty against Islamist extremists.

Netanyahu knows that Israel's backers in the U.S. are much stronger than those of a country like Honduras, where Obama's administration could be more assertive without provoking as much domestic backlash. Right before a midterm U.S. election, Netanyahu is banking on the Obama administration not reacting strongly against Israel.

In fact, the United States predictably shielded Israel from harsher United Nations Security Council condemnation and has expressed preliminary support for Israel's internal inquiry. The United States ultimately played a similarly unhelpful role in Honduras, removing pressure at a critical moment for Zelaya's reinstatement as a condition for recognizing the November elections. This act paved the way for the Honduran Congress's landslide rejection of Zelaya's restitution.

Much as last year's crisis in Honduras could not end with Micheletti in the presidential palace, it is hard to imagine peace coming to Israel with Netanyahu in power. But the more important lesson for Israel that Netanyahu should learn from the Honduran crisis may be that unjustified state violence, and government defenses of these actions, prevents even a renewal in leadership from compensating for these errors.

In short, Israel will pay a longer-term price for its government's deplorable reaction to the flotilla attack. But, even if Netanyahu fails to take note of the lessons issuing from Central America, President Obama should not. The United States should change its tack, reject Israel's recent actions and remind it that a special relationship with the U.S. is not carte blanche for human rights violations.

The opinions expressed in this commentary are solely those of Daniel Altschuler and Fredrik Meiton.

@highlight

Daniel Altschuler, Fredrik Meiton see similarities in Honduran coup, Israeli flotilla attack

@highlight

After each, they say, both governments said world didn't appreciate threats they faced

@highlight

Such defenses expanded distance between each country and the world, pair says

@highlight

They say Israel will pay price for its flotilla attack reaction, U.S. should reject recent actions