(CNN) -- At the 1964 New York World's Fair, people stood in line for hours to look at a strange sight.

If only the future looked like "Star Trek," with its nifty gadgets that seem to solve every problem.

They wanted to see the "Futurama," a miniaturized replica of a typical 21st century American city that featured moving sidewalks, computer-guided cars zipping along congestion-free highways and resort hotels beneath the sea.

Forty years later, we're still waiting for those congestion-free highways -- along with the jet pack, the paperless office and all those "Star Trek"-like gadgets that were supposed to make 21st-century life so easy.

Daniel Wilson has been waiting as well. He's looked at the future we imagined for ourselves in pulp comic books, old science magazines and cheesy sci-fi movies from the 1950s, and came up with one question.

Why isn't the future what it used to be?

"I feel entitled to have all this technology that's been promised at a certain time," says Wilson, author of "Where's My Jetpack?" "I look up and say, 'Where's all this stuff?' ''

Some of that futuristic stuff, it turns out, is already here.

Visionaries actually invented objects like flying cars, but they could never work out the real world applications, Wilson says. Other inventions had the same problem. Ordinary people didn't want to have anything to do with them.

These futuristic follies include everything from "Smell-O-Vision," an invention that helped moviegoers smell as well as see movies; Sanyo's "ultrasonic ultra-squeaky clean human washing machine" (it was dubbed the "human washing machine," but wouldn't fit in an ordinary bathroom) and, of course, the jet pack.

"Scientists are OK at predicting what technology is going to happen in the future," Wilson says. "They're really bad at predicting how it's going to affect us."

What happened to my jet pack?

The jet pack is a perfect example of predicting the future, Wilson says. He says the jet pack first appeared in 1928 in an Amazing Stories comic book, which featured the hero Buck Rogers zooming though the sky in a jet pack.

The jet pack was actually developed by 1961, Wilson says. An inventor mounted a rocket onto a backpack and called it a rocket belt. A variation of the rocket belt even appeared in the 1965 James Bond movie, "Thunderball."

Today, the jet pack continues to grab inventors' imaginations.

A daredevil wearing a jet pack flew across a 1,500-foot-wide canyon in Colorado in November. A Swiss pilot, dubbed "Fusion Man," flew across the English Channel last year using a single jet-propelled wing. And a New Zealand inventor recently invented a jet pack, which weighs about 250 pounds, that reportedly can run for 30 minutes.

The jet pack, though, has never really taken off, Wilson says. The problem is its practical application. While a rocket belt could propel a screaming human to 60 mph in seconds, its fuel lasted for only about half a minute, "which led to more screaming," Wilson says.

The military couldn't find a useful application for it either. A soldier with a jet pack might look cool, but he's an easy target. Nor could a jet pack be of use to ordinary people who wanted to avoid rush-hour traffic, Wilson says. Jet-packing hordes could transform the skies into an aerial demolition derby, with air rage and drunk drivers turned into wobbly human torpedoes.

Yet other bold visions of the future have come true. Remember Rosey the Robot? That was the name of the robotic maid that waited on the Jetsons, the popular cartoon family from the future.

Rosey has become "Wakamaru." That's the name of a 3-foot-tall robot with a goofy grin that the Mitsubishi conglomerate in Japan invented to assist elderly people at home by doing everything from reminding them to take their medicine to looking out for burglars. Wakamaru can recognize faces and up to 10,000 words, Wilson says.

"Beam me Up Scotty," is a tagline from another television show, "Star Trek". But teleportation has been invented, Wilson says. He says a group of international scientists successfully transported a photon -- a bundle of electromagnetic energy -- from one side of a room to another in 1993. Physicists routinely conduct teleportation experiments today, Wilson says.

"Teleporting anything, even elementary particles, is mind-blowing," Wilson says. "Why is it that most people don't know it exists? It hasn't been put into practice yet. In real life, it's always about, 'What can you do for me?' "

A darker view of technology's future

People's fascination with technology's imprint on the future didn't start, however, in the mid-20th century with shows like "The Jetsons" or "Star Trek."

Joseph Corn, co-author of "Yesterday's Tomorrows: Past Visions of the American Future," found an inflated optimism about technology's impact on the future as far back as the 19th century, when writers like Jules Verne ("Twenty Thousand Leagues Under the Sea") were creating wondrous versions of the future.

Even then, people had a misplaced faith in the power of inventions to make life easier, Corn says.

For example, the typical 19th-century American city was crowded and smelly. The problem was horses. They created traffic jams, filled the streets with their droppings and, when they died, their carcasses.

But around the turn of the 20th century, Americans were predicting that another miraculous invention would deliver them from the burden of the horse and hurried urban life -- the automobile, Corn says.

"There were a lot of predictions associated with early automobiles," Corn says. "They would help eliminate congestion in the city and the messy, unsanitary streets of the city."

Corn says Americans' faith in the power of technology to reshape the future is due in part to their history. Americans have never accepted a radical political transformation that would change their future. They prefer technology, not radical politics, to propel social change.

"Technology has been seen by many Americans as a way to get a better tomorrow without having to deal with revolutionary change," Corn says.

Today, however, a more sober view of technology has sneaked into the nation's popular culture. In dystopian sci-fi films like "Blade Runner," and "Terminator," technology creates more problems than it solves.

"Battlestar Galactica,'' the recent television series, is a prime example. It depicts a world where human beings have created amazing technology that has brought them to the precipice of extinction. There's no Buck Rogers zooming blissfully through the sky.

The show follows the journey of a group of humans who created a race of robots called Cylons. The Cylons rebel, virtually wipe out humanity with nuclear weapons, and pursue the survivors through space.

Mark Verheiden, a Battlestar writer, says the show's writers pay attention to current events when plotting their story lines. The contemporary world is filled with the unintended consequences of technology, he says.

"There are so many things you can't anticipate when you create a new technology," he says. "Who would have predicted that the Internet would be taking down shopping malls and wiping out newspapers?''

In Battlestar's finale, human beings abandon their faith in technology's ability to improve the future. They destroy their fancy machines and start again as simple hunter-gatherers.

"At some point, you can't expect a miracle to come in the form of technology to save us," Verheiden says. "At some point, the miracle has to come from a change in attitude and a new outlook."

That doesn't mean, however, that Verheiden isn't a fan of imagining future technology. He says he grew up watching "Star Trek" and immersing himself in Futurama-like exhibits.

The elevated cities and the "Star Trek" voyages of yesteryear may now seem corny, but at least they show humanity has a future, he says.

" 'Star Trek' was saying [that] a thousand years from now, people [will] figure out how to get along," Verheiden says. "In some ways, sci-fi says that the future is still optimistic, because no matter how bleak things are, it suggests that we're still here."

@highlight

Visionaries have long predicted how inventions will alter the future

@highlight

Some miracle inventions never had impact desired by creators

@highlight

Why "Beam me up Scotty" is closer than people realize

@highlight

"Battlestar Galactica" writer: "The miracle" has to come from us, not machines