What if this is it?

After 13 days of searching amid fears that Malaysia Airlines Flight 370 may never be found, investigators said Thursday that satellites have beamed down a ray of hope -- images of a debris field floating in the southern Indian Ocean that may show wreckage of the jet.

It was not immediately clear just how long it would take before investigators could track down just what those images are.

Still, "It is probably the best lead we have right now," said John Young, a spokesman for the Australian Maritime Safety Authority.

Australian authorities poring over images that were shot Sunday spotted the debris floating in one of the world's most remote places -- the southern Indian Ocean more than 1,500 miles off the southwest coast of Australia.

The images were brought to the authority's attention Thursday morning, it said.

The find warranted attention from the Australian Prime Minister. "Two possible objects related to the search have been identified," Tony Abbott told parliament.

But satellites have been wrong about Flight 370 before. And Australian authorities warn that the pictures, too, could end in a goose chase and disappointment.

If the photographs do show wreckage of the Boeing 777-200ER that departed Kuala Lumpur on March 8 and never arrived in Beijing, what would be next?

Locate

The first mission is to find the "blob," as Young called it. One piece of the debris is 24 meters (79 feet) long.

"The size and fact that there are a number located in the same area really makes it worth looking at," he said.

He urged caution. "Our experience is that there is debris out there -- from ships, for example, falling overboard," he said. "I don't want to speculate about what they are until we get there and we see them."

One expert said that might happen soon.

"I would say a day -- guessing," said Capt. Timothy Taylor, president of Tiburon Subsea Services and an ocean search expert.

Time is critical, given that the batteries powering the pings emanating from the plane's voice and data recorders go dead after about 30 days.

"There's a clock ticking," Taylor said. "Maybe 18 days left."

Overcome complications

Complicating the search -- which the Australian Maritime Safety Authority suspended Thursday night and will resume Friday morning -- is the fact that the debris field is probably far away from where it was when it was spotted in satellite images shot four days ago. "It could have drifted a thousand miles," he said.

And he noted, too, that the debris may be unrelated. "It could be just a false lead," Taylor told CNN's "New Day."

John Blaxland, senior fellow at Australian National University and an expert on Australian radar, agreed. "I'm a little bit pessimistic," he told "New Day."

He said the debris might be one of the ubiquitous cargo containers carried by ships around the world.

"It's not at all inconceivable that that's exactly what it is," he said, adding that other satellites have been steered to the area to get a better view.

"The problem now is we don't know exactly where" it is, he said. And poor visibility has not helped. "It's still really hard, in this kind of environment, to pick out these little semi-submerged blips," he said. "You're looking for something that is potentially not even there anymore."

Search

Four planes were involved in Thursday's search, which covered 8,880 square miles (23,000 square kilometers) about 1,600 miles (2,500 kilometers) southwest of Perth, according to the Australian Maritime Safety Authority.

An Australian plane has flown over the area, and more planes were on their way, including at least one from the United States and one from New Zealand.

But the planes burn much of their fuel just to get to the remote spot, leaving them little time to search.

"We are in the most isolated part of the world," Australian Defense Minister David Johnston told Sky News.

If pilots do find the field, they would drop a buoy to mark the spot and to transmit data to help ships find it, aviation expert Bill Waldock said.

But the area is known for high winds, and white-capped waves could obscure any debris, he added.

And on top of that, a storm in the area may have foiled one flyover.

The crew of a Royal Australian Air Force P-3 Orion was unable to find the objects, the Australian Maritime Safety Authority said in a tweet.

Clouds and rain made things hard to see.

Eyeball

"What we're looking for is a confirmation that it does belong to the aircraft, or it does not," Young said.

If a ship reaches the suspected wreckage, it would take some of it back to land for inspection, he said.

But the expanse of ocean contains a mass of floating garbage from around the world, which could mingle with any plane parts.

Recover

In a stroke of luck for investigators, a Norwegian merchant cargo vessel carrying 19 sailors and a cargo of cars reached the suspected debris location and is pitching in on the search.

"All men are on deck to continue the search," said Erik Gierchsky, a spokesman for the Norwegian Shipowners Association, in a telephone interview with CNN, adding that they were planning to work through the night in shifts, using lights and binoculars.

"It's OK weather, with some fog," he said.

The 755-foot (230-meter) Hoegh St. Petersburg is owned by Hoegh Autoliners. It had been headed to Melbourne, Australia, from South Africa when it diverted to help in the search, he said.

Its presence opens great possibilities, said former CIA counterterrorism expert Jeff Beatty.

It could serve as a base for the salvage teams, especially if it is equipped for helicopter landings, which Gierchsky said might be possible, given that the ship has a flat deck.

If refueled in the air, the choppers could carry divers to the ship, and they could search for any debris.

Asked how long it would remain on site, Gierchsky said, "It will be there as long as required ... at least all of tomorrow."

Another merchant ship arrived in the area Thursday evening, the maritime authority said. In all, six merchant ships have aided in the search since an appeal was issued Monday night.

And the Royal Australian Navy ship HMAS Success was en route to the search area on Thursday.

The issue of the remaining lifetime of the batteries powering the cockpit recorder and flight data recorder looms. They were stored inside the tail of the jetliner. If the tail is found, it may have to be disassembled.

French rescuers have underscored to Malaysia's leaders the importance of finding the recorders quickly, said Hishammuddin Hussein, Malaysia's acting transportation minister. After Air France Flight 447 went down in the Atlantic in 2009, it took two years and a special submarine for investigators to find them.

Malaysia does not have that submarine technology, which makes finding the data recorders before the signals fail all the more important, he added.

Analyze

The recorders could be invaluable to investigators trying to find out what happened to the flight.

The flight data recorder holds about 17,000 pieces of information, said David Soucie, author of "Why Planes Crash: An Accident Investigator Fights for Safe Skies."

And then there is the cockpit recording. Though it keeps only two hours of recordings, it too could prove key. "The last two hours of what happened before this aircraft impacted could be really important to determine whether or not there was foul play," he said.

Keep an open mind

The searchers have not put all of their resources into hunting for the tantalizing debris. On Thursday, four aircraft continued to search along the northern corridor, and 25 aircraft and 18 ships were searching along the southern corridor, Hishammuddin said.

"Until we are certain that we have located MH370, search and rescue operations will continue in both corridors," he said.

China was using 21 satellites to search within its borders, the airline said.

LIVE: Updates on the missing Malaysia Airlines jetliner

@highlight

"It's OK weather, with some fog," Shipowners Association spokesman says

@highlight

Australian satellites have spotted a field of debris floating in the Indian Ocean

@highlight

First, searchers must find the debris and mark the spot

@highlight

Second, they must see the debris to determine if it is from Flight 370