(CNN) -- David Thompson's Bangkok restaurant nahm is now officially Asia's best restaurant, but the understated Australian-born chef says he's cross.

"I've lost money. I bet against myself," says Thompson.

"I had several bets and it's ranged from two bottles of sauce of Sriracha, a bottle of fish sauce, to quite a few hundred dollars. Damn," he says.

With dishes ranging from smoked fish, peanut and tapioca dumplings, to salted threadfin perch with ginger, chili and green mango on betel leaves, nahm's fiery menu is hailed as a shining example of fine Thai cuisine.

Moving up from third place at last year's inaugural S. Pellegrino & Acqua Panna Asia's 50 Best Restaurants Awards, Thompson says he hopes the honor awarded at last night's glittering ceremony at Capella on Singapore's Sentosa Island, will provide a positive boost during what has been a troubled few months in Thailand.

"Bangkok, as you know, is going through a little bit of a fractious time," he says.

"Hopefully this will help to sustain us, but also show that Thai culture still continues on despite the political disturbances that are occurring at the moment."

Celebrating excellent food and the top chefs of the region, the list of Asia's 50 Best Restaurants is an off-shoot of the prestigious World's 50 Best Restaurant Awards, one of the highest accolades in the industry.

"That might sound obvious because we're in Asia, but there's been a lot of Western influence especially at the fine dining end of the market, a lot of European influence," says William Drew, awards organizer and editor of the UK's Restaurant magazine.

"But I think that perhaps is waning and Asian cuisine is forging a stronger identity in international terms."

Back to our roots

Drew says the best chefs are embracing their unique histories and using them as a basis for creating contemporary, innovative dishes.

One example is the recipient of The Diners Club Lifetime Achievement Award which went to Ivan Li, executive chef and co-owner of Family Li Imperial Cuisine, in Beijing's Shunyi district.

Following in the footsteps of his great grandfather who oversaw the imperial kitchen in the Forbidden City during the Qing dynasty, Li delicately reproduces the recipes passed down through his family for four generations over an oven fire.

"Asian food is very unique," says Li.

"But we have also lost a lot of the traditions of the food culture. Now we're trying to rediscover and recreate some of the traditions."

More than 900 global food experts including chefs, restaurateurs, food writers, food critics and other well traveled gourmands have judged the awards, each choosing their top seven restaurants.

"We don't give them any criteria. It's entirely up to them," says Drew.

"So one judge might be looking for the perfect plate of food, another judge might be more influenced by the atmosphere and the vibe and the whole experience.

"We don't say it has to be about anything except the overall enjoyment of the restaurant," he says.

This year Japan leads Asia's 50 Best Restaurants with 10 of its dining establishments making it onto the list.

Singapore and Hong Kong both have eight restaurants in the top 50 and Mainland China has seven, including Robuchon au Dome in Macau.

Taiwan is represented on the list for the first time with Taichung City's Le Moût taking spot 24, and chef Lanshu Chen named Veuve Clicquot Asia's Best Female Chef.

Lanshu blends the local influences and ingredients she grew up with, with the French culinary traditions she later studied abroad.

Korea is also represented for the first time on the list, with Jungsik in Seoul named No.20.

Top 10 restaurants in Asia 2014

1. nahm, Bangkok

David Thompson's fiery and feisty menu is based on the century old cookbooks of Thai matriarchs.

nahm, Ground floor, Metropolitan Hotel, 27 South Sathorn Road, Bangkok; +66 2 625 3388

2. Narisawa, Tokyo

Named last year's top Asian restaurant, Yoshihiro Narisawa treats diners to dishes inspired by seasonal ingredients. One dish served in late autumn consists of burdock root sautéed with the soil still clinging to it, pureed with spring water.

Narisawa, Minami Aoyma 2-6-15, Minato-ku, Tokyo; +81 3 5785 0799

3. Gaggan, Bangkok

Indian food redefined with modernist techniques -- experimental, adventurous and fun. Gaggan Anand's inventively named dishes include "Green with Envy," in which green peppercorn chicken kebabs are combined with coriander foam.

Gaggan, 68/1 Soi Langsuan, Ploenchit Road, Lumpini, Bangkok; +66 2 652 1700

4. Amber, Hong Kong

Modern, imaginative and fundamentally French food. Sea urchin in lobster jelly, with cauliflower, caviar and crispy seafood waffle is one of executive chef Richard Ekkebus' signature dishes.

Amber, The Landmark Mandarin Oriental Hotel, 15 Queen's Road, Central, Hong Kong; +852 2132 0066

5. Nihonryori RyuGin, Tokyo

Chef Seiji Yamamoto combines indigenous ingredients with the precise techniques Japanese chefs have honed over centuries. The menu at this fabled Roppongi destination changes daily.

Nihonryori RyuGin, 1st Floor, 7-17-24 Roppongi, Minato, Tokyo; +81 3 3423 8006

6. Restaurant André, Singapore

Chef André Chiang is guided by art and philosophy when conceiving his dishes. He was also voted the winner of this year's Chefs' Choice Award by his peers.

Restaurant André, 41 Bukit Pasoh Road, Singapore; +65 6534 8880

7. Waku Ghin, Singapore

Tetsuya Wakuda's plush Marina Bay Sands restaurant is private, personal and offers delights including whole abalone with aonori (seaweed) and fillet of Tasmanian grass-fed beef with wasabi mustard

Waku Ghin, Atrium 2, Level 2, Marina Bay Sands, 10 Bayfront Avenue, Singapore; +65 6688 8507

8. Ultraviolet by Paul Pairet, Shanghai

In an old Shanghai neighborhood, Ultraviolet is billed as the first restaurant of its kind attempting to unite food with multi-sensory technologies. Just 10 diners a night graze from a 20-course menu including dishes as unusual as a savory chocolate foie gras tartine.

Ultraviolet by Paul Pairet, c/o Bund 18, 6/F, 18 Zhongshan Dong Yi Lu, Shanghai; +86 021 6323 9898

9. Lung King Heen, Hong Kong

Hong Kong's most revered Cantonese restaurant is helmed by Chan Yan Tak, the first Chinese chef to earn three Michelin stars, and renowned for valuing texture as much as flavour.

Lung King Heen, Four Seasons Hotel, 8 Finance Street, Central, Hong Kong; +852 3196 8880

10. 8½ Otto E Mezzo Bombana, Hong Kong

Haute dining experience specializing in homemade pasta and other Italian dishes. Starters include lobster salad and oscietra caviar with celery jelly.

8½ Otto E Mezzo Bombana, Shop 202, Landmark Alexandra, 18 Chater Road, Central, Hong Kong; +852 2537 8859

Full list of Asia's top 50 Best Restaurants here

The other 40

11. Mr and Mrs Bund, Shanghai

12. Iggy's, Singapore

13. Caprice, Hong Kong

14. Les Amis, Singapore

15. Bo Innovation, Hong Kong

16. Ishikawa, Tokyo

17. Jaan, Singapore

18. L'atelier De Joel Robuchon, Hong Kong

19. Fook Lam Moon, Hong Kong

20. Jungsik, Seoul, Korea

21. Sra Bua By Kiin Kiin, Bangkok, Thailand

22. Quintessence, Tokyo

23. Tippling Club, Singapore

24. Le Moût Restaurant, Taichung, Taiwan

25. L'Effervescence, Tokyo

26. Fu1015, Shanghai, China

27. Bukhara, New Delhi

28. Bo.Lan, Bangkok

29. Indian Accent, New Delhi

30. Dum Pukht, New Delhi

31. Issaya Siamese Club, Bangkok, Thailand

32. Varq, New Delhi

33. 28 Hubin Road, Hangzhou, China

34. Takazawa, Tokyo

35. Shinji By Kanesaka, Singapore

36. Wasabi, Mumbai, India

37. Eat Me, Bangkok, Thailand

38. Sukiyabashi Jiro, Tokyo

39. Robuchon Au Dôme, Macau, China

40. Imperial Treasure Super Peking Duck, Singapore

41. Sawada, Tokyo

42. Hajime, Osaka, Japan

43. Sushi Saito, Tokyo

44. Nihonbashi, Colombo, Sri Lanka

45. Yardbird, Hong Kong

46. Family Li Imperial Cuisine, Shanghai, China

47. Sarong, Bali, Indonesia

48. Franck Bistro, Shanghai, China

49. Karavalli, Bangalore, India

50. Tenku Ryugin, Hong Kong

@highlight

Bangkok's nahm restaurant wins second edition of Asia's 50 Best Restaurants Awards

@highlight

Bangkok, Japan and Singapore all have two entries in top 10, Hong Kong has three

@highlight

Korea's first entry on the list comes in at no 20 -- Jungsik in Seoul