(CNN) -- Tania Julin remembers the deep gut pain she felt when she found out nearly three years ago that Chiquita Brands International had paid hundreds of thousands of dollars to a Marxist rebel group in Colombia that had abducted and killed her missionary husband.

The pain remains, but Julin felt some relief last week when a federal judge rejected Chiquita's motion to dismiss a damage suit she and four other widows brought against the Ohio-based company.

"My stomach still turns today at the thought of fellow Americans paying terrorists," Julin said. "It just makes my stomach sick."

Chiquita, which has admitted making payments to the rebels and was fined $25 million by the U.S. Justice Department, says it was victimized.

"Chiquita acquiesced to extortion payments to protect the lives of its employees," company spokesman Ed Loyd said.

To some analysts, the issue highlights the difficulties of conducting business in war-torn areas. Marxist guerrillas who call themselves the Armed Revolutionary Forces of Colombia, commonly known as FARC, declared war on the government in 1964. Chiquita had more than 200 banana farms in Colombia before selling them in 2004.

"It's really tough doing business in an environment that is lawless and the state is largely absent," said Bruce Bagley, professor of international studies at the University of Miami.

For Julin, though, the issue is deeply personal. She had been married to Mark Rich for 3½ years when FARC rebels burst into their home in Pucuro, Panama, across the border from Colombia, on January 31, 1993. The rebels abducted Rich while his wife and two daughters -- ages 11 months and 2½ years -- watched in horror.

The FARC abducted two other members of the New Tribes Mission around the same time and demanded a $5 million ransom for the three men about a week later.

One year later, the rebels abducted two other missionaries belonging to the same Christian group. A $3 million ransom was demanded for their release.

No ransom was paid for any of them.

The families did not know anything about their loved ones for years. It was a tough time for Julin's daughters.

"They went through all of their growing-up years that they can remember asking where their daddy was and if he could come home for their birthdays," Julin said.

She and the wives of the other men abducted in 1993 found out the truth in December 2000, when New Tribes Mission officials told them the FARC had killed the three captives in 1996. The Colombian government confirmed the deaths in February 2007.

The two men who were abducted in 1994 were killed during a firefight between the FARC and the Colombian military in June 1995. Evidence and eyewitness reports obtained by the Colombian National Prosecutor's Office and the U.S. Justice Department confirmed that the FARC executed the missionaries.

The U.S. State Department designated the FARC a foreign terrorist organization on October 8, 1997.

The five widows found out another hurtful truth in March 2007, when Chiquita pleaded guilty to violating U.S. antiterrorism laws by providing payments to another Colombian terrorist organization, the paramilitary right-wing United Self-Defense Forces of Colombia, known as the AUC. Chiquita made more than 100 payments to the AUC totaling at least $1.7 million, the Justice Department said.

As part of those proceedings, Chiquita acknowledged that it had also made payments to the FARC from 1989 to at least 1997. That period included the span during which the five missionaries were abducted and killed.

That knowledge still pains Julin.

"I just can hardly stand to think about it too much," she said. "They're like a household name. You feel like you can trust them.

"It's just horrible to think about."

Chiquita's Loyd said the company's sole motivation was to protect the lives of its employees. He cited a 1995 incident in which a bus transporting Chiquita employees was attacked and 25 people aboard it died. In total, he said, more than 50 Chiquita employees were killed in Colombia in the 1990s.

"We're sympathetic to the families," he said, "but Chiquita was being extorted by right-wing groups and left-wing groups. There was a very real fear, a very real threat to U.S. citizens."

That argument does not wash with Gary M. Osen, an attorney for the families.

"There's no law that says you have to operate in areas where you have to pay terrorists," Osen said. "That's something they chose to do."

Julin, a 40-year-old kindergarten teacher at a church school near Orlando, Florida, filed suit in March 2008. Civil provisions of the U.S. Anti-Terrorism Act of 1991 allow American citizens, their heirs and their estates to be paid compensation for injuries suffered as a result of international terrorism.

The families "allege that Chiquita, knowing that FARC was a terrorist organization, intentionally agreed to provide money, weapons and services to it as part of a common scheme to subvert local trade unions, protect Chiquita's farms and shipments, harm Chiquita's competitors, [and] strengthen FARC's military capabilities, and that [the families] were injured by overt acts done in furtherance of the common scheme," U.S. District Judge Kenneth A. Marra wrote in his 34-page ruling allowing the suit to go forward.

Court records show that Chiquita initially made monthly cash payments to the FARC ranging from $20,000 to $100,000. Eventually, Chiquita's payments were fixed to a percentage of the company's gross revenues from its Colombia banana business. Ultimately, up to 10 percent of those revenues were diverted to the FARC.

The company also supplied weapons, ammunition and other supplies to the rebels, the victims' families allege.

The families also said "Chiquita went to great lengths to hide its relationship with FARC," Marra noted in the February 4 ruling.

"The payments were often delivered by a former American military pilot known as 'Kaiser,' who held a management position with Chiquita in Colombia," the judge said the families allege.

According to the families, Marra said, Chiquita placed false names and nonexistent employees on its payroll, providing the money on local paydays to regional FARC commanders. The company also helped the FARC create front organizations to which Chiquita could channel money, the victims' families said.

In addition, the judge said, the families accuse Chiquita of working with FARC-controlled labor unions as another way to channel payments to the guerrillas.

Chiquita spokesman Loyd and one of the company's attorneys, Jonathan M. Sperling, declined to discuss Friday whether the families' allegations noted by Marra are factual.

The judge's ruling means the case can go to the discovery phase, in which each party can obtain documents and evidence from the other side.

"We needed to pass this hurdle in order to go forward," said Steven M. Steingard, another attorney for the families.

Loyd expressed confidence that the company will be exonerated.

"It makes no sense to make Chiquita or Chiquita employees liable for the horrible crimes that those groups committed," Loyd said.

Said Osen, the attorney for the other side, "Chiquita is intent on defending what we consider the indefensible."

No amount for monetary damages has been asked, Osen and Steingard said.

Julin, who has remarried, says she has a reason beyond dollars and cents.

"All those years of not knowing if he was alive or dead," she said. "There never has been any closure."

@highlight

Judge dismisses company's attempt to dismiss widows' damage suit

@highlight

Chiquita admitted making payments to Colombian rebels

@highlight

"They're like a household name. ... It's just horrible to think about," widow says