Space travelers, get ready for a new ride.

The Dragon V2 got its grand reveal Thursday night by SpaceX founder Elon Musk, who showed off his company's new spacecraft in a live webcast.

While the California-based company has already made its mark on its industry in its 12 years in business, Dragon V2 marks a major milestone as SpaceX's first spacecraft capable of bringing humans to the International Space Station then taking them back to Earth.

"It's all around I think a big leap forward in technology," Musk said. "It really takes things to the next level."

The storied entrepreneur -- who also founded the Tesla car company and whose personality is thought by some to be the inspiration for Robert Downey Jr.'s take on Tony Stark, or "Iron Man," in recent movies -- said that "Dragon Version 2," as he called it, can transport as many as seven astronauts for several days.

One big upgrade from earlier models is that Dragon V2 will be reusable, which will cut down on costs and open up opportunities for humans to explore. Thanks to propulsion and other technology to slow its re-entry into Earth's orbit and control its descent, Musk said the spacecraft should be able to land most anywhere much like a helicopter.

"As long as we continue to throw away rockets and spacecraft, we will never have true access to space," Musk explained. "It will always be incredibly expensive."

There are a series of back-up systems as well. That includes the recently unveiled Superdraco engine, two of which will be in each Dragon V2. With 16,000 pounds of thrust, these engines will help allow the capsule to safely land. If one stops working, the other can take over; if both stop, a parachute can be deployed to allow astronauts to float safely back down to Earth.

As evidenced by the fact it is "Version 2," the new spacecraft builds off existing technology developed by SpaceX.

Already, SpaceX has embarked on three of its 12 scheduled missions to the International Space Station as part of its $1.6 billion contract with NASA. That includes the first ever connection between that orbiter and a private spacecraft in 2012.

But all its trips so far -- including back to Earth, when the SpaceX craft parachuted into the Pacific Ocean -- involved only cargo and were unmanned.

Dragon V2 aims to change that.

Thursday's event included a dramatic unveiling of the new spacecraft, which stood about 15 feet tall, with a rounded, cone-shaped top. At one point, Musk even went inside and sat in one of its four reclined seats.

While such an undertaking likely has been in the works for some time, it comes at a pivotal, uncertain time for the International Space Station and space travel, generally.

NASA's agreement with SpaceX -- plus its $1.9 billion deal with Virginia-based Orbital Sciences Corporation for eight missions -- takes on increased importance given Russian Deputy Prime Minister Dmitry Rogozin's announcement earlier this month that his country does not plan to use the manned orbiter beyond 2020.

That announcement as well as ratcheted-up tensions between Russia and the West has raised concerns about the space station's future, especially since Russian Soyuz aircraft have become the only way astronauts have been able to get to-and-fro since the end of the U.S. space shuttle program.

This comes after President Barack Obama, in 2010, pushed for the expansion of private-sector and commercial space industries as part of his reimagining of the U.S. space program.

"We will actually reach space faster and more often under this plan," Obama said, adding this approach would send more astronauts into space over the next decade than previously planned.

"By the mid-2030s, I believe we can send people to orbit Mars and bring them safely back to Earth,"

Group aims to send 2 humans near Mars

Yet SpaceX isn't alone in its ambition to ferry people into space.

In addition to various efforts to take people to Mars -- including one from the Paragon Space Development and the Inspiration Mars Foundation, which has vowed to launch a spacecraft in 2018 with two humans heading toward the Red Planet -- SpaceX has competition in its efforts to go to the International Space Station as well.

It is one of three private companies -- along with Boeing and Sierra Nevada Corporation Space Systems -- who have completed the first step of NASA's certification process to haul astronauts to the space station, the space agency announced Friday. NASA noted that it awarded $30 million contracts to all three companies along these lines in December 2012.

"We're making great strides toward returning human spaceflight launch capability to U.S. soil," NASA official Phil McAlister said in a press release Friday. "This certification is important to ensuring our crew members have reliable transportation to and from the space station where they are conducting research essential to advancing human exploration farther into the solar system."

Project: More than 100,000 want to go to Mars

@highlight

NASA: SpaceX is one of 3 private firms to pass first step in NASA program

@highlight

SpaceX founder Elon Musk unveils the Dragon V2, his company's latest spacecraft

@highlight

SpaceX has flown several unmanned missions so far to the International Space Station

@highlight

The Dragon V2 is capable of carrying up to 7 people into space and then back to Earth