(CNN) -- President Barack Obama is having a tough time.

The defeat of the gun control legislation was devastating. Despite strong public support for tighter regulations and the backing of a bipartisan coalition, a furious blitz from gun lobby groups persuaded enough senators to kill the legislation. The bill's sponsors could not find the 60 senators needed to stop a filibuster.

One would think that the horrific tragedy of Newtown, Connecticut, where 20 children and six adults were shot and killed at the Sandy Hook Elementary School, would be enough to move lawmakers to impose some regulations, such as tougher background checks. But it wasn't enough.

Now the president faces another challenge with immigration reform. A bipartisan group in the Senate, led by Charles Schumer and Marco Rubio, has put together an immigration bill that includes a path to legalization for the 11 million unauthorized immigrants in this country and tighter border control. It appears that the bill has a chance to pass the Senate.

But will House Republicans subvert the deal?

Opinion: Did we learn nothing from Newtown?

Immediately after Congress killed the gun control legislation, critics started pointing to the president's hesitation to twist arms and lean on members of Congress. In what has become a familiar refrain, Obama was no Lyndon Johnson.

Yet Obama's trouble has much more to do with the way government works than his skill, or lack thereof, at working Capitol Hill.

Too much emphasis is placed on the small picture of what he does or does not do in his personal interactions with Congress, or his "messaging." Actually, it's not so much him as the government.

Obama understood this when he ran for president in 2008. He spoke constantly about the need to reform the government and the way in which our political processes hamper the ability of Congress and the president to take action.

Yet once he was president, Obama put the issue of reform on the back burner. He decided to focus on the policy challenges ahead, generally dismissing the idea that there was much chance for him to make government work better. In certain cases, such as with the use of private money and political action committees, he decided to join the game and make sure it worked to his advantage.

The decision has come at a cost.

Opinion: Gun control fight just beginning

Throughout his presidency, Obama has struggled as private interest groups have continued to exert enormous power over the legislative process. When Obama pushed his health care law through Congress, he felt the need to abandon hugely important measures that would have imposed tough cost controls. He did so to placate powerful interest groups in the medical industry who were dead set against these measures.

The financial regulations imposed by the Dodd-Frank Act, passed in response to the financial crisis of 2008, have struggled as interest groups continually undercut their effectiveness by persuading legislators to avoid any kind of tough implementation.

This time around, gun rights organizations -- from giants such as the National Rifle Association to smaller operations -- conducted a massive and unyielding blitz on legislators. Even bipartisan support, a rarity in Washington, was not enough for the bill to succeed.

Other issues, such as tax reform to close loopholes, have simply been abandoned because they seem so impossible given the power of lobbyists and campaign contributors who lurk on K Street. The power of money makes it extremely difficult for politicians to go out on a limb.

The filibuster has also remained the chronic obstacle for Obama. With the constant threat of the filibuster against almost any piece of legislation, almost every bill requires a 60-vote super majority in the Senate. This makes it hard to build a coalition behind legislation and in most cases allows small factions within a party to subvert presidential proposals. Presidents usually need bipartisan support to get 60 votes, and bipartisanship is almost impossible nowadays.

Opinion: One way to fight guns

This was certainly a challenge for gun rights, and could make immigration reform vulnerable in the final stages of debate. As with money and politics, the filibuster has also made other issues altogether impossible to consider even.

When the immigration bill reaches the House of Representatives, the trouble will begin. House members in gerrymandered districts care about the party activists who tend to be the loudest voices. The situation to avoid is one where the Republican caucus drifts further to the right even while counterparts in the Senate and public opinion support immigration reform.

The truth is we will never know what was possible in that transformative moment that followed Obama's historic election or after his re-election in 2012. But without reforming our government, the path to gridlock is not going to disappear.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: The defeat of the gun control bill was devastating for the Obama administration

@highlight

Zelizer: Now the president faces another tough challenge with immigration reform

@highlight

Obama's trouble has more to do with how government works rather than his skills, he says

@highlight

Zelizer: Without reforming government, the path to gridlock is not going to disappear