(CNN) -- The rapid expansion of social media means people can share pretty much everything online shortly after it happens, even video of a real dismemberment.

This is the strange and frightening digital world we have descended into after a horrific video clip of a dismemberment found its way on to the Internet last week and was rapidly shared via social media, attracting more than 300,000 hits in four hours.

Such offensive material is normally hidden in the deep Web, a dark place no search engine can access, where users trade everything from conspiracy theories to bootlegged software. Other shock videos of disgusting acts and workplace fatalities are often shared there, too.

But what this video has done is expose this underbelly of the Internet and pushed it into wide circulation, finding an audience among the morbidly curious who have spread mass interest in graphic torture franchises like the movies "The Human Centipede" and "Saw."

Our fascination with the macabre has always been there, but are we becoming desensitized to such violence when it transforms from fiction into the real thing? With every click of this video, it's as if we've gone from wanting to be a fly on the wall of a crime scene to being a fly on the corpse. Responsible journalists, who aim to find balance and sensitivity when reporting on serious crimes by adding context, holding back or blurring the most offensive parts, have been pushed aside by this crowd of gross-out seekers.

The 10-minute online video shows the stabbing and dismemberment of a Chinese student who had been studying in Montreal. The video has been copied and shared so many times that authorities will never be able to delete what is essentially the key evidence in a criminal prosecution. One website that copied the original footage has attracted more than 445,000 views and crashed.

"If I wasn't completely ruined by the Internet I would be more shocked, but I've seen some stuff kinda like that," said one young person in response to watching the snuff video. "If you've seen the 'Saw' movies you should be fine. You could probably stomach that better than most people."

The problem is that those who are watching don't realize how they have moved from being passive viewers in a true crime story to becoming participants. The video was obviously put out there to be seen by the widest possible audience, and the video's maker must be thrilled to know his handiwork has been promoted globally and seen by more than a million people.

But almost nothing can be done to fix this. Even if laws were changed or strengthened to charge webmasters for hosting obscene material, it could never be properly policed. And as the music industry learned, the only way to significantly reduce piracy is to provide the content itself at a cost. Clearly law enforcement agencies aren't about to start accepting cash from the public to download graphic videos they have obtained during their investigations. In essence, it's too late to go back and we're stuck with this awful content being a part of our culture.

The man police suspect made the video, Montreal resident Luka Rocco Magnotta, 29, was captured in Berlin on Monday after an extensive international manhunt. He is believed to have fled to France on May 26, and then headed for Berlin.

During the manhunt, Magnotta is believed to have even been commenting online on the police case against him, and reading articles about himself moments before the dragnet closed in. All the while his social media presence increased -- tripling his Twitter profile following and boosting the number of "fans" on Facebook.

It's clear in this case how social media has been changing all aspects of crime: how it is conducted, how it is reported and how the public becomes involved. The often disturbing places where only killers, hardened detectives and well-prepared jurors had been given unfiltered access are now becoming available to everyone, anyone, instantly. All you need is Google and the desire to seek it out. We are all interconnected, from killers to children, grandmothers to corporate executives.

This case is even a big progression from the first generation of social media killers who only a few years ago were more teasing about their exploits than being this overt.

In 2008, filmmaker Mark Twitchell amassed a large online following when Edmonton, Canada, police discovered his murder movie script had been re-enacted in real-life. The young father had been obsessed with "Dexter," his favorite television series, and modeled his goal of becoming a serial killer on the fictional character.

Twitchell used social media in the planning, execution and covering up of his brutal crimes. Friends of his victim received many Facebook messages from him saying he was on a Caribbean holiday with a new girlfriend, explaining away his sudden disappearance. It wasn't until later when police realized who was actually behind those suspicious messages. The cover of the Internet only worked for so long.

Some who have viewed the recent video in this new disturbing twist in social media crime may regret it. You can't unsee a video of a dismemberment, and I fear they could end up like some homicide detectives, haunted in retirement by what they have seen.

But maybe that is the hope and comfort in this terrible story -- that many people are not so desensitized by violence that they laugh or shrug a shoulder upon watching a real man's horrific end put online. Maybe they can be a new wave online that warns others not to buy into it -- to deprive the killer of his audience might send this kind of material back into the sick underbelly from where it came.

One teenage girl who saw it posted a video of herself shaking and in tears, begging people not to watch it. Another man, who watched the video, also clearly regrets it. He recorded his reaction on YouTube and is nearly cowering in fear by the end of it, at times even screaming in near hysteria, panting and covering his face with his hands.

"This is the most gruesome, disgusting video I've ever watched," he wrote under the posting as a warning to others.

"Please don't watch the video."

The opinions expressed in this commentary are solely those of Steve Lillebuen.

@highlight

Steve Lillebuen: People share anything online, even video of a dismemberment

@highlight

Death video exposed underbelly of the Internet and pushed it into wide circulation, he says

@highlight

Social media has been changing how crime is conducted and reported, he writes

@highlight

Lillebuen: We are desensitized to violence when it transforms from fantasy into the real thing