(CNN) -- In a case that has captured international attention, two of Saudi Arabia's most prominent human rights activists were each sentenced on Saturday to at least 10 years in prison, Saudi activists report.

They had been found guilty earlier Saturday of providing inaccurate information to foreign media, founding and operating an unlicensed human rights organization, as well as other offenses.

Mohammed Al-Qahtani and Abdullah Al-Hamid, co-founders of the Saudi Civil and Political Rights Association, had been on trial since last year. The high-profile case has garnered widespread criticism from international rights groups that have said the charges against the men were politically motivated.

Saudi activists say kingdom trying to silence them

Al-Qahtani was sentenced to 10 years in prison, as well as given a 10-year travel ban, Saudi activists said. He was ordered arrested after the verdict was issued.

Al-Hamid was sentenced to five years in prison as well as being ordered to serve an additional six years from a previous prison sentence of which he had been pardoned by Saudi King Abdullah in 2006. Al-Hamid was given an additional five-year travel ban and also ordered arrested after the verdict was issued.

Abdulaziz Al-Shubaily is a member of the Saudi Civil and Political Rights Association, and he said he attended Saturday's session at criminal court in Riyadh, the capital. He told CNN the courtroom was packed, "full of journalists, activists, as well as a heavy security presence."

Al-Qahtani, a 46-year-old economics professor, faced nine charges, including breaking allegiance to the Saudi king, describing Saudi Arabia as a police state and turning people and international bodies against the kingdom.

Al-Hamid faced similar charges, including spreading chaos, questioning the authority of official clerics and undermining public order.

In an interview with CNN in January, Al-Qahtani called the accusations against him and Al-Hamid nonsense, saying he knows why he and Al-Hamid were really put on trial -- that they had stoked the ire of the kingdom for running an activist group that is trying to expose human rights violations there.

"We have a number of cases where people are thrown in prison arbitrarily, torture, forced disappearances. ... Whatever rights abuses (you could think of), you could find in Saudi Arabia," Al-Qahtani said.

According to rights groups, Saudi authorities have been increasingly targeting activists through the courts and travel bans.

Tamara Al-Rifai, spokeswoman for Human Rights Watch's Middle East and North Africa Division, told CNN in January, "This has been a systematic approach by the authorities in Saudi Arabia -- namely, the targeting and harassing of activists across the country."

Al-Rifai explained that accusations against activists generally include "instigating chaos, gathering illegally, harming the reputation, talking to foreigners, talking to the media, etc."

She said there is no clear criminal law in Saudi Arabia and that people "are being arbitrarily arrested and detained for exercising rights that are stipulated by all international human rights laws, but also the Arab Charter of Human Rights, to which Saudi Arabia has adhered."

In June, Amnesty International issued a statement calling Al-Qahtani's trial "just one of a troubling string of court cases aimed at silencing the kingdom's human rights activists."

Despite repeated attempts, CNN was unable to reach Saudi Arabia's Interior Ministry for comment.

When asked in January about the case and about accusations that Saudi Arabia is cracking down on dissent, Maj. Gen. Mansour Al-Turki, spokesman for the Saudi Interior Ministry, told CNN, "At the Interior Ministry, our area of responsibility is security."

"My understanding is that these cases are being looked at by the courts now," Added Al-Turki. "Nobody will comment on cases being looked at by the courts."

Also known by the acronym ACRPA, the Saudi Civil and Political Rights Association, founded in 2009, reported on human rights violations and attempts to help relatives of political prisoners free their loved ones through lawsuits against the government. Despite repeated attempts to obtain an operating license, the Saudi government did not give them one.

In December 2010, ACPRA called for all Saudis to participate in a public sit-in to demand political reform. The sit-in was canceled, as the ministry of interior told the organizers their request was refused.

In January 2012, ACPRA crossed one of the country's ultimate red lines by being openly critical of Saudi Arabia's Interior Ministry and demanding the interior minister be prosecuted for human rights violations. They've also circulated petitions for the release of Saudis they believe are political prisoners.

"After the verdicts were issued, we're worried," said Al-Shubaily on Saturday. "As activists, we were worried before, now we're much more worried."

Al-Shubaily went on to explain that while ACPRA has now been ordered disbanded, human rights activists in the kingdom will continue to try to do their work.

@highlight

Saudi activists who attended Saturday court hearing report sentence

@highlight

Mohammed Al-Qahtani and Abdullah Al-Hamid accused of criticizing Saudi kingdom

@highlight

Rights groups say Saudi authorities have been increasingly targeting activists