(CNN) -- Authorities on Monday discovered a package in a mailroom at the University of Colorado - Anschutz Medical Campus apparently sent by the alleged gunman responsible for the theater shooting that left 12 people dead and scores injured, a law enforcement official briefed on the investigation said Wednesday.

It was sent to the school's campus in Aurora, where the suspect, James Holmes, had recently dropped out of a Ph.D. program in neuroscience.

CBS News reported that the package was addressed to a psychologist at the university.

"Sources say the letter was from a pent-up Holmes to one of his professors," the news organization reported. "In it, he talked about shooting people and even included crude drawings of a gunman and his victims."

Warning signs of violence: What to do

School officials said in a statement that a package discovered at the Facilities Services building on Monday had been delivered to the campus by the U.S. Postal Service that same day and was turned over to authorities within hours of delivery.

"This package prompted the building's evacuation at 12:26 p.m. and employees were allowed to return by 3:06 p.m.," the statement said.

School administrators said that Holmes had taken his preliminary examinations at the school on June 7.

A source familiar with Holmes' academic status said the 24-year-old suspect did "poorly" on the oral exam.

Three days later, Holmes initiated his withdrawal from the program.

"It's very unusual, very unusual for a student to withdraw from our program," Dean Barry Shur told reporters on Monday.

Holmes did not divulge his reason for leaving the elite program. "That area of the form was left blank," Shur said.

Meanwhile, a composite image began to emerge of Holmes as a child; his classmates at Castroville Elementary School in northern California, where he grew up, referred to him as "Jimmy."

But that picture revealed no immediate answers as to possible motive. "He was top of the class," Adam Martinez said. "He was ahead of every student academically."

Martinez added, "He got along well with everybody."

Holmes' fifth-grade teacher there said the matter has led to introspection. "It's really disturbing to be so close to something like that -- bothers you to your essence," Paul Karrer said. "And particularly, as a teacher, you're thinking, this is one of my kids. And then you also think: Could I have done anything? Or did I see anything? Did I miss anything? You know, could I have done anything to have prevented this? Did I do anything to cause this? The answer is no, but that's what you think and that's how you feel."

Opinion: Looking into the minds of killers

As of Wednesday evening, five area hospitals were still caring for 17 patients, six of whom were in critical condition.

Several of the hospitals said they would pay for the medical care of uninsured victims out of charity funds.

Holmes made his first court appearance Monday.

The man who identified himself to police as "the Joker" will continue to be held without bond. He is to be formally charged July 30.

Meanwhile, families grappling with Friday's carnage were beginning to bury the dead.

On Wednesday, a memorial service was to take place for 51-year-old Gordon Cowden, who took his two teenage children to see the midnight premiere of the Batman movie "The Dark Knight Rises." Cowden's children survived the shooting inside the Aurora theater.

Nine miles away, visitation was to take place for Micayla Medek, a 23-year-old woman who had been working toward her college degree.

Those who were wounded still face the specter of permanent injury and long recovery periods.

In Aurora, actor Christian Bale, star of "The Dark Knight Rises," visited a memorial for the dead and met Tuesday with survivors, CNN affiliate KDVR reported.

Stories of survival: Newborn a 'silver lining'

One of the victims, Carey Rottman, posted a picture of Bale visiting him in his hospital room on Facebook.

"Wow! Thank you so much for the visit Christian! What a great guy! Still in shock!" Rottman wrote, KDVR reported.

Petra Anderson suffered four shotgun wounds, including one to her head. But thanks, in part, to a brain abnormality, she survived, her pastor said.

"The doctor explains that Petra's brain has had from birth a small 'defect' in it," Brad Strait of Cherry Creek Presbyterian Church in Englewood, Colorado, wrote on his blog. "It is a tiny channel of fluid running through her skull, like a tiny vein through marble, or a small hole in an oak board, winding from front to rear."

"Like a marble through a small tube, the defect channels the bullet from Petra's nose through her brain. It turns slightly several times, and comes to rest at the rear of her brain. And in the process, the bullet misses all the vital areas of the brain. In many ways, it almost misses the brain itself," he said.

Anderson has started physical and speech therapy and can walk, talk and laugh, said Andrew Roblyer, a family friend.

Brain condition saves victim

Shooting victim Caleb Medley's wife, Katie, gave birth to their son, Hugo Jackson Medley, Tuesday morning. Both the mother and baby were doing well, the University of Colorado Hospital said.

But Caleb Medley, who was shot in the head, lost an eye and suffered brain damage.

"The surgeon came and talked to us and said he'd be in ICU at least a week," said Medley's friend, Michael West, who set up a website to help take care of medical bills and the needs of Medley's family. By Wednesday afternoon, it was more than halfway toward its goal of $500,000.

"I knew it was going to rack up in the hundreds of thousands, if not millions," West said of his friend's expected medical expenses.

Medley, who had been doing standup comedy routines in Denver and was working full-time at Target, had no health insurance, his brother Seth said.

Chloe Anderson has set up a similar fund for her sister, Petra Anderson, an aspiring musician who was also shot in the head. In a video posted Sunday asking for funds, Chloe Anderson notes that her mother was preparing to undergo cancer treatment later this month when Friday's shooting occurred. "My sister's hospital bills on top of that are making the financial reality look pretty daunting," she says. "So that's why we are reaching out to you -- the people who have already asked us what they can do to help."

By Wednesday evening, the fund had received more than $184,000 with a goal of $250,000.

Money is also streaming in to GivingFirst.org, which is accepting donations for the shooting victims and their relatives. By Tuesday, the amount had reached almost $2 million, Gov. John Hickenlooper said.

"The needs will be great and we look forward to seeing the fund grow exponentially," he said. "This money will help those impacted by this tragedy begin to recover and rebuild their lives."

Hickenlooper said donors include Warner Bros. and Legendary Pictures, co-producers of "The Dark Knight Rises."

Victims remembered through poignant stories

Sources at Warner Bros. studios told CNN the company made a "substantial" donation. Warner Bros., a subsidiary of CNN's parent company Time Warner, would not divulge how much money it was giving out of respect for the victims, the sources said.

Shooting suspect Holmes booby-trapped his Aurora apartment with more than 30 homemade grenades and 10 gallons of gasoline, a law enforcement official who viewed video showing the apartment's interior has told CNN.

The sophisticated setup inside the sparsely furnished third-floor, one-bedroom apartment was meant to harm, or possibly kill, anyone who entered -- and tested the skills of bomb squad members charged with clearing it, the official said.

Tenants of the three-story, brick apartment building were allowed to return Wednesday night to sleep in their apartments for the first time since early Friday, when police went door-to-door and rousted them.

The Holmes family issued a statement Friday saying, "Our hearts go out to those who were involved in this tragedy and to the families and friends of those involved." It added, "We are still trying to process this information."

Focusing on the victims, not the shooter

Opinion: Aurora heroes -- Three who gave their lives

Gun background checks in Colorado spike after shooting

CNN's Tom Watkins, Holly Yan, Drew Griffin, Kathleen Johnston, Scott Zamost, Elwyn Lopez, Carol Cratty, Poppy Harlow, Dana Ford, Breeanna Hare, Alta Spells, Ed Lavandera, Nick Valencia and Jessica Jordan contributed to this report.

@highlight

"He got along well with everybody," a former grade-school classmate says

@highlight

Letter inside package "talked about shooting people," CBS News reports, citing sources

@highlight

School officials say the package was turned over to authorities within hours of delivery

@highlight

A woman shot in the head survives, thanks in part to a brain abnormality