(CNN) -- Around 200 new species of frogs have been found in Madagascar, one of the world's biodiversity hotspots.

A study has found nearly 200 new species of frogs in Madagascar.

A study identified between 129 and 221 new species of frogs on the island. The Spanish Scientific Research Council (CSIC), who carried out the study, believe the find could practically double the number of amphibians known in the world if the results are extrapolated at a global scale.

The study, published in the journal "Proceedings of the National Academy of Sciences of the USA," suggests that the number of amphibian species in Madagascar has been significantly underestimated.

"The diversity of species in Madagascar is far from being known and there is still a lot of scientific research to be done. Our data suggest that the number of new species of amphibians not only has been underestimated but it is spatially widespread, even in well studied areas," said Professor David R. Vieites, CSIC researcher to the press at the Spanish National Natural Sciences Museum in Madrid.

"For example, two of the most visited and studied national parks, Ranomafana and Mantadía/Analamazaotra, harbor 31 and 10 new species respectively."

Dr. Frank Glaw, curator of herpetology at the Zoologische Staatssammlung from Munich was part of the research team: "During the past 15 years, we discovered and described over 100 new frog species from Madagascar, which led us to believe that our species inventory is almost complete. But as our new surveys show, there are many more species than we suspected," he said in a press statement.

The paper suggests that the total biodiversity on the island could be much higher in other species as well, so the actual destruction of natural habitats may be affecting more animals than previously thought.

This has important consequences for conservation planning, as the rate of destruction of rainforests in Madagascar has been one of the highest in the planet, with more than 80 percent of the historic surface of rainforest already lost, according to the study's authors.

Almost a quarter of the new species discovered have not been found yet in protected areas, but the unstable political situation in Madagascar has also been cited as hampering conservation efforts.

"Although a lot of reserves and national parks have been created in Madagascar during the last decade, the actual situation of politic instability is allowing the cut of the forest within national parks, generating a lot of uncertainty about the future of the planned network of protected areas", said Vieites.

Madagascar is the fourth largest island in the world and one of the most biodiverse areas globally, with a high degree of endemic species. "To get an idea of its biodiversity --while in the Iberian Peninsula [there] are about 30 species of amphibians and in Germany about 20, in a single locality in Madagascar we can find around 100 species of frogs," said Vieites.

Dr. Miguel Vences, professor at the Technical University of Braunschweig, Germany, who was also part of the study team, and believes that a century of new species discovery is just beginning: "People think that we know which plant and animal species live on this planet. But the majority of life forms on Earth is still awaiting scientific recognition."

@highlight

Nearly 200 new species of amphibians found on biodiversity hotspot of Madagascar

@highlight

Study found many outside of the island's conservation areas

@highlight

Political instability in the country makes conservation efforts extra difficult