(CNN) -- From fighting cancer and sparking revolutions to digitally transferring cash and bringing people together, mobile phones are increasingly being used in pioneering ways across Africa, helping to save lives and transform the continent.

And the omnipresent devices are also on the front line in the fight against sexual harassment. In Egypt, where verbal harassment, groping, stalking and indecent exposure are a common problem for women, an innovative tool has emerged to empower victims.

Called HarassMap, the volunteer-based initiative is aiming to stop the social acceptability of sexual harassment in the North African country. It uses online and offline technology to invite women to speak out and also mobilize communities to stand up to harassers.

How it works

HarassMap uses a simple SMS-based system to enable victims and witnesses to anonymously report sexual harassment incidents as soon as they happen. "You dial 6069 and then you type what happened and where," explains Rebecca Chiao, who co-founded HarassMap at the end of 2010. "Then you send and then in a minute or so you should get an auto-response."

Read: Innovation to save lives in Africa

The group then verifies the incoming reports and places them on a Google map of Egypt, creating a web-based documentation of the extent of the problem. When sexual harassment hotspots are identified, HarrassMap volunteers visit these areas as part of a community outreach program aimed at raising awareness and ending tolerance of these kinds of incidents.

"We are trying to change the social attitude and make it completely unacceptable," says Chiao, an American who moved to Egypt in 2004 to work for an NGO.

She adds: "We have teams of volunteers that go out once per month in their own neighborhoods and talk to their own neighbors in groups.

"They ask people who have a presence in the street -- shop owners, police, the guys that park the car, the doormen, the people who are hanging out in the street all the time -- and ask them to be watchful guardians of their neighborhoods.

"They ask them to watch out for sexual harassment and not ignore it and to speak against the harassers when they see it happen."

Chiao says the community outreach program has already had a big impact. "About eight out of every 10 people they talk to in the street agree by the end of the conversation," she explains. "At the beginning everyone disagrees but by the time the conversation is over most people are not just agreeing but they are enthusiastic and want to take action."

'Do you like sex with me?'

On the HarrassMap website, victims' reports give a disturbing insight into sexual harassment on the streets of Egypt.

"On friday this week i went to a burger stand on sharia mansouriya near al aded street in Darassa and was asked where i was from. after i said i was from canada he said "canada helwa" and grabbed my hand towards his and said 'do you like sex with me'? this was at 12pm," reads one report posted on December 7.

Another one, from November 29, says: "I was getting off the train from Cairo to Alexandria in Sidi Gaber train station. The train porter groped me three times while I was trying to get off the train with my suitcase. I challenged him the first time, and he pretended it was an accident, and then he did it two more times."

The issue of sexual harassment in Egypt grabbed international headlines in 2011 when CBS reporter Lara Logan was attacked in Cairo's Tahrir Square after former president Hosni Mubarak stepped down. Other women reported incidents ranging from mild harassment to violent attacks.

According to a 2008 survey of 1,010 women conducted by the Egyptian Center for Women's Rights, 98% of foreign women in the country and 83% of Egyptian women said they had been sexually harassed.

Chiao, however, says that more studies are needed to get a better insight into the problem.

"We can't say today how bad the problem really is and that's one of the things that we're trying to do with HarassMap," she says.

The power of mobile

In Egypt, total mobile subscriptions have jumped from nearly 13 million in 2005 to over 80 million last year, according to a recent World Bank study. In the whole of Africa, there were nearly 650 million mobile subscriptions in early 2012, more than in the United States or the European Union, making the continent the second fastest growing region in the world, after South Asia.

It is this explosive growth in mobile usage that initiatives like HarassMap are tapping into in order to change behaviors. Chiao, who set up the group after experiencing sexual harassment herself in Egypt, says that HarassMap is also using mobile technology to provide victims with details of how to access free support services.

"A lot of the women's NGOs in Egypt offer services like free legal help, how to make a police report, psychological counseling, self-defense classes," explains Chiao. "So we took this opportunity to send an outgoing message to everyone who sends a report, telling them how to access these services."

@highlight

HarassMap aims to end the social acceptability of sexual harassment in Egypt

@highlight

Women use its SMS-based system to to report incidents anonymously

@highlight

Community outreach teams visit the sexual harassment hotspots to raise awareness

@highlight

The group also uses mobile phones to provide victims with details of how to access services