(CNN) -- More than 20% of patients who received an implantable cardioverter-defibrillator -- a high-tech device that produces electrical impulses to regulate heartbeats and prevent life-threatening arrhythmias -- in recent years were not good candidates to receive the device, a new study suggests.

Researchers at Duke University looked at more than 111,000 patients who received ICD implants between 2006 and 2009. More than 25,000 of those patients did not meet evidence-based criteria for receiving the device, according to the study.

The risk of dying in the hospital was significantly higher for patients who received the ICD but did not meet the criteria, and 1 out of 121 patients in this category experienced complications following the implant, the study found.

According to Dr. Sana Al-Khatib, lead researcher of the study published Tuesday in the Journal of the American Medical Association, ICDs often are recommended as a primary prevention tactic for patients who are at high risk for a cardiac arrest or life-threatening arrhythmia, but who have not yet suffered from these symptoms.

However, the Centers for Medicare and Medicaid Services (CMS), an agency of the U.S. Department of Health and Human Services, has issued a "decision memo" stating that only people having certain serious heart conditions or cardiac histories are suitable candidates for ICDs. The memo further states that patients must meet numerous other qualifications relating to clinical trials and not have certain serious diseases or conditions that would lower the implant's efficacy or the patient's likelihood of long-term survival.

Dr. Ralph Brindis, president of the American College of Cardiology, said in a statement that the Duke University findings will have "major implications."

"The study indicates that there are substantial variations among hospital ICD implantation strategies," Brindis said. "This variation clearly demonstrates an opportunity for improvement in care."

Dr. Robert Michler, chairman of Cardiovascular and Thoracic Surgery at Montefiore-Einstein Heart Center, said the data should act as a "wake-up call" for physicians, surgeons and patients.

"Doctors are well-intentioned, but not all doctors should be determining the use of what is a very sophisticated therapy," Michler says. He says that in this case electophysiologists should be making the final determination if the patient needs the device.

Even with the current guidelines, Al-Khatib said, some patients may fall into a gray zone and that each physician needs to use clinical judgment to make recommendations.

"Deviating from the guideline are acceptable in various circumstances," she said. "But 20% is a significant amount of deviation."

Al-Khatib found that many patients who were being implanted with the ICDs had recently experienced arrhythmias or cardiac arrests. She said the time factor might explain the study's finding of an increase in deaths among implant patients who did not meet CMS criteria.

"These patients were sicker to begin with. They were in a period where they were more prone to complications," Al-Khatib said. "The physicians haven't had the time to optimize the patients' medical therapy before subjecting them to this surgery."

Another possible explanation for the higher incidence of death might have been be whether the cardiologists who performed the implant were electrophysiologists. These specialists have additional training in the diagnosis and treatment of abnormal heart rhythms and were less likely to implant an ICD in a patient who did not meet evidence-based criteria, the study found.

@highlight

A federal health agency has a set of guidelines for evaluating implant candidates

@highlight

Duke University study: More than 20% of implant recipients weren't good candidates

@highlight

Among those patients, the risk of dying in the hospital was significantly higher

@highlight

Findings will have "major implications," the president of a cardiologists' group says