(CNN) -- When Charity Agbameva went into labor last year there were complications. Realizing she needed medical attention, she traveled from Nigeria, where she was living, to a hospital in Keta, in the Volta Region of her native Ghana.

Despite being one of just two hospitals serving the entire municipality, the hospital had only two doctors, each serving 29,000 people, and one nurse for every 1,500 patients. It had no special facilities for women and children.

When Charity reached the hospital, medics realized she needed a blood transfusion, but the hospital had no blood bank, and no ventilator to give her oxygen. Charity died in hospital.

Last month, her story was broadcast on GTV and TV3, Ghana's leading TV station, to an estimated 8 - 10 million people across the country. It provoked strong reactions in Keta and prompted a major debate on four radio stations lasting several days --- bringing attention to Ghana's staggering incidence of maternal deaths

Ghana has a reputation as a beacon of democracy in Africa. That reputation has been boosted by a rapidly growing economy, and the discovery of oil on our western coastline. So strong are the economic indicators that analysts at the World Bank have conferred upon us that most cherished of things -- Middle Income status.

Read more: What Ghana can teach the rest of Africa about democracy

But within government and civil society we know that positive headlines don't tell the full story.

One of the biggest challenges -- a real litmus test for Ghana -- is whether we can significantly reduce maternal deaths across the country. In Ghana, 4,000 women die every year and over 200,000 are disabled due to pregnancy related complications. These figures are among the highest in the world. If pregnancy is not a disease or death sentence, why are so many women dying or maimed in the process of giving birth?

So how can a country that basks in so much international acclaim be failing its expectant mothers and their children so badly, and what can we do to improve the situation?

For a start we have to better understand the social and cultural dimensions of maternal healthcare in Ghana and similarly under-developed countries. And we must respond to them.

To make a real difference our awareness campaigns must be aimed at changing the mindsets of our people, especially those living in the rural areas. While doing my research I noticed that previous campaigns were predominantly urban centered and driven by "professional" imperatives. They failed to include the voices of women and the poor, marginalized communities -- those that actually bear the brunt of the maternal tragedy.

As a result key concerns have not been addressed. For example, most pregnant women in rural communities rely on traditional birth attendants to deliver their babies. However, following a WHO directive, the Ghana Health Service discouraged this, urging pregnant mothers to give birth in the hospitals instead. But instead of getting skilled care these women have experienced overcrowded hospitals, poor facilities and an acute shortage of qualified staff.

Read more: Too many mothers still dying

There is also the issue of infrastructure. Bad roads and poor transport links, exacerbated by the lack of ambulances also mean that pregnant women in emergencies cannot get to the hospital on time. Many are carried by motor bikes and local taxis over considerable distances and die en route.

In 2009, I directed "The Lights Have Gone out Again," a documentary that contributed powerful new testimonies to Ghana's maternal health debate. I was so moved by what I saw in the remote, isolated villages that I was determined to "humanize" the maternal death statistics and highlight concerns that are so often excluded from the regular health debate.

The documentary was televised and screened across the country, receiving critical applause. It enabled us to start a fresh dialogue on maternal health and triggered our determination to find an inclusive way of mobilizing Ghanaians around the need to reduce maternal deaths and improve maternal healthcare, more generally.

We decided to use television for this new campaign because of its widespread popularity as a news and entertainment medium in both urban and rural areas of Ghana. Many families and whole households usually gather round the box for most of the evening. We decided to complement television with a radio series in Ghanaian languages to further extend the educational reach of the project and to maximize its impact.

Read more: The American secretary who became a Ghanaian king

With funding from the Embassy of the Netherlands, a long standing supporter of the Ghana health sector and advice from the Ghana Health Service, UNICEF, Marie Stopes International, Ghana Coalition of NGO's in Health and others, the Maternal Health Channel Television and Radio Series was born at an impressive launch in Accra in February 2013.

The first two shows, telling the story of Charity Agbameva, provoked a huge response from viewers. Significantly, we also heard contributions from health leaders at the hospital where she died.

When the phone lines were opened, callers broadly agreed that a new partnership was needed between government, the hospitals, and the community, and that it was important to complement behavioral change with new policies. Critically, the hospitals urgently need more skilled personnel and improved facilities.

The media response has generally also been impressive with great coverage in the newspapers, on radio and television.

These are exciting times for the Maternal Health Channel but it's still early days as more people join the renewed debate about lifting Ghana's maternal health burden.

So, although we may miss the Millennium Development Goals to reduce the maternal mortality ratio by 75% by 2015, I firmly believe that by being more innovative in our campaigning we can start to turn the corner on this and so many other critical healthcare issues in the years ahead.

The opinions expressed in this commentary are solely those of Dr. Kwesi Owusu.

@highlight

Every year in Ghana 4,000 women die and over 200,000 are disabled during pregnancy

@highlight

Dr. Kwesi Owusu launched a television and radio campaign to highlight the issue

@highlight

Maternal Health Channel radio show broadcasts in a range of Ghanaian languages