(CNN) -- Fifty years ago, President John F. Kennedy came to Houston and told the world that the United States would go to the moon before the end of the 1960s.

On Friday, Houston's MD Anderson Cancer Center is announcing its own "Moon Shots Program," aimed at significantly reducing the number of deaths from a handful of cancers by the end of this decade.

Inspired by Kennedy's words, Dr. Ronald DePinho, president of the large cancer treatment and research center, is launching this project in two parallel tracks: "One is to apply the existing knowledge, to make a near-term impact in this decade," he said. "The second is to also say, 'We do not know everything we need to know to ultimately cure the disease.'"

The cancer center calls the program "an unprecedented effort to dramatically accelerate the pace of converting scientific discoveries into clinical advances that reduce cancer deaths."

"The Moon Shots Program signals our confidence that the path to curing cancer is in clearer sight than at any other time in history," DePinho says.

Doctors at MD Anderson believe that dying from cancer can eventually be as rare as dying from pneumonia. And DePinho believes this can happen sooner rather later for patients suffering from the following five types of cancer:

-- lung cancer

-- melanoma

-- triple negative breast cancer and ovarian cancer (which are very similar on the molecular level)

-- prostate cancer

-- acute myeloid leukemia/myelodysplastic syndrome & chronic lymphocytic leukemia (blood cancers)

These types of cancers were chosen by a panel of 25 experts from within and outside MD Anderson based on what's known about prevention, treatment and survivorship as well as the likelihood of reducing the number of deaths.

Lung cancer is the No. 1 cancer killer worldwide, in part because the cancer is usually found when it's already spread. A good way to screen for this cancer is still elusive.

That's why good screening tools are so crucial.

"If you catch stage 1 lung cancer, you're dealing with about a 20%, mortality as opposed to advanced-stage cancers where you're dealing with about 10% survival," DePinho tells CNN. One of MD Anderson's experts has developed a blood test in mice that can more accurately determine who should have a CT screening. Part of this "moon shot" will include making this test useful in humans.

Skin cancer, meanwhile, is the most common form of cancer, but it's usually not fatal, except for the 5% who are diagnosed with the deadliest form: melanoma.

Cancer now No. 1 killer of U.S. Hispanics

DePinho says he's leveraging the knowledge gained from treating more than 100,000 patients each year with the skills of the thousands of doctors and researchers to significantly improve the detection, treatment and survival rates of cancer, as well as preventing the disease in the first place.

Forty years after President Richard Nixon declared war on cancer, MD Anderson plans to move the battle to a new level by taking advantage of the many technological advances.

For example, doctors can now analyze the DNA of a patient or a tumor in a matter of hours and for only hundreds of dollars, something that took 10 years and cost billions when the first genome was sequenced.

Knowing specifics about a patient's genetics can help doctors determine who will benefit from an existing drug and who will not, so patients aren't wasting time and money on a very expensive drug that will not help their cancer.

The cancer center is backing this project with a $3 billion investment over the next decade.

"Those funds will come from institutional earnings, philanthropy, competitive research grants and commercialization of new discoveries," he says.

The project is scheduled to launch in February 2013.

Stress, depression may affect cancer survival

CNN's Caleb Hellerman contributed to this report.

@highlight

"Moon Shots Program" will accelerate research focusing on five types of cancer

@highlight

Program signals confidence a cure is in clearer sight than ever, official says

@highlight

It will be funded by a $3 billion investment over the next decade