Hong Kong (CNN) -- The wave of anti-Japanese protests currently sweeping across China has its roots in history but more recently can be traced back to April, when the firebrand governor of Tokyo announced plans to buy a group of islands claimed by Japan, China and Taiwan.

He did so without the apparent knowledge or approval of the Japanese government.

Spying an opportunity to assert Japanese control over the Senkaku islands, or Diaoyu as they're known in China, Governor Shintaro Ishihara launched an online appeal fund to buy them from their private owners.

Donations poured in, prompting a sharp rebuke from China and forcing the Japanese government to wade into the dispute with its own offer for the contested land.

Who is Shintaro Ishihara?

Ishihara has a long history of making inflammatory comments about China, so much so that in 1999, when he was appointed Tokyo governor, Japan's then chief cabinet secretary, Hiromu Nonaka, sought to reassure China that relations would remain "friendly."

Before taking office, Ishihara was a well-known author whose name became famous in his early twenties after writing "A Season of the Sun," which won Japan's most prestigious literary prize.

He's an outspoken nationalist who in the past has cast doubt on historians' account of the 1937 Rape of Nanking, in which hundreds of thousands of Chinese were killed by Japanese troops.

After launching the fund, Ishihara likened China's claim to the islands as like "a burglar in Japan's house."

What was China's reaction?

Back in June, Chinese Foreign Ministry spokesman Liu Weimin dismissed Ishihara's attempt to buy the islands as "irresponsible," and repeated China's ownership claim.

"The Diaoyu Islands are China's territory since ancient times," he said. "The willful talk and action of some Japanese politicians is irresponsible and tarnish and smears Japan's reputation."

When did the Japanese government step in?

Faced with the prospect of the islands falling under the jurisdiction of the Tokyo metropolitan government, the Japanese government stepped in with its own bid for the disputed islands.

On September 11, Japan's Chief Cabinet Secretary Osamu Fujimura confirmed that the government had approved the islands' purchase from private owners for 2.05 billion yen (US$26.2 million).

In an interview with CNN, Japanese Prime Minister Yoshihiko Noda claimed there was no territorial dispute within China and the only question of ownership emanated from within Japan.

"The Senkaku Islands are an inherent part of Japanese territory, historically as well as under international law, so there's no territorial claim issue between the two countries," he said.

"Right now, it is the ownership issue -- whether the individual owns these islands, or the Tokyo metropolitan government or the state. And I think we have to clearly and solidly explain these stances to the Chinese side."

China responded by dispatching six patrol ships to the surrounding waters, ignoring a warning from the Japanese coastguard not to approach. They entered the disputed waters for a short time before leaving, Japan's coast guard reported.

At a press conference, Ishihara said of the Chinese patrols: "We'd better shoo off those who walked into someone's home in dirty shoes, we should shoo them away."

"I think China has gone crazy. We can't put up with their attitude like Mine is mine, but yours is mine too," he added, in quotes that appeared on the Tokyo Metropolitan government website.

Citing a government statement, state-run news agency Xinhua said the patrols were "aimed to demonstrate China's jurisdiction over the Diaoyu Islands," while the Japanese prime minister said the government would "take all possible measures to ensure security" around the islands.

How a war of words turned into protests

While the verbal sparring between the Chinese and Japanese governments has played out in a series of statements, protesters from both sides have been taking direct action to assert their countries' control over the islands.

In late August, Japan deported 14 Chinese protesters who were arrested after five swam ashore the Diaoyu/Senkaku islands and waved the flags of China and Taiwan. Nine others aboard the waiting vessel were also detained.

Days later after the Chinese landing, Japanese activists also made the journey to the remote islets to raise the Japanese flag, prompting China to lodge "solemn representations to the Japanese ambassador," according to Xinhua.

The Japanese landing sparked protests by thousands of people in a number of Chinese cities, including Guangzhou, Shenzhen, Shenyang, Hangzhou, Harbin and Qingdao, according to Xinhua.

That was on August 19, almost one month before violent anti-Japanese protests erupted across dozens of Chinese cities, forcing the temporary closure of operations at three plants belonging to Japanese electronics company Panasonic.

Background to the dispute

China says its claim extends back hundreds of years. Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

Analysts say China's policy on the islands has been maintaining the status quo.

According to Xinhua, "both sides agreed in 1978 to put the issue aside and solve it in the future, using a guideline described as 'laying aside disputes and engaging in joint exploitation' to solve territorial issues with neighboring countries."

"China's proposal is that we should maintain status quo, neither side should take action to escalate the differences. Regrettably the Japanese government has disrespected the Chinese proposal," said Shen Dingli, the Executive Dean of the Institute of International Studies at Fudan University in Shanghai, in an interview with the Australian Broadcasting Corporation.

Why are the islands considered valuable?

Aside from a strong sense of nationalism, a 1969 United Nations report provided added incentive for countries to claim ownership of the islands.

The report, by the U.N. Economic Commission for Asia and the Far East (ECAFE), indicated the possibility of large oil reserves in the vicinity, according to Globalsecurity.org.

The islands are close to strategically important shipping lanes and their legal owners would also have the right to fish surrounding waters.

What happens now?

The Chinese government has been calling for restraint and "rational patriotism" when it comes to public protests. The United States has also weighed in on the issue with U.S. Defense Secretary Leon Panetta urging "calm and restraint on all sides."

As Panetta spoke, Noda was telling senior government officials to stay on their guard in dealing with mass anti-Japanese protests, according to Japanese news agency Kyodo.

Meanwhile, the prospect of economic sanctions has been raised in a strongly worded opinion piece in the state-controlled China Daily newspaper.

Jin Baisong wrote that World Trade Organization rules could be used to limit export of "important materials" to Japan.

"The global financial crisis increased Japan's reliance on China for its economic well-being. So it's clear that China can deal a heavy blow to the Japanese economy without hurting itself too much by resorting to sanctions," said Jin, deputy director of the department of Chinese trade studies at the Chinese Academy of International Trade and Economic Cooperation, which is affiliated to the Ministry of Commerce.

@highlight

Latest dispute sparked by Governor of Tokyo's attempts to raise public funds for purchase

@highlight

Japanese government stepped in with its own offer to effectively "nationalize" the islands

@highlight

The move sparked anti-Japanese protests across dozens of Chinese cities

@highlight

China calls for "rational patriotism," Japan's PM briefs senior government officials