LONDON, England (CNN)  -- A veteran of over 20 years of mountain climbing, Dave Bunting has been in some pretty tight scrapes.

Soldier mountaineer Dave Bunting on Mount Everest. His team tried to summit via the mountain's notorious West Ridge in 2006.

He and his climbing partner once watched in terror as a huge avalanche careered down a Himalayan mountainside straight for them. They were miraculously spared when the wall of snow parted on either side of the promontory where they were standing at a distance of just 50 meters.

On another occasion he spent an agonizing night hanging precariously over a 3,000-foot (900 meter) drop during an electrical storm in the Alps. He estimates he was electrocuted "half a dozen times" during the course of the night.

Faced with the fearsome power of nature mountaineers like Bunting rely on one indispensable ally -- other mountaineers.

Teamwork is essential in climbing. The first successful ascent of Everest was as much about the bond of trust that existed between modest New Zealander Sir Edmund Hillary and his diminutive Sherpa, Tenzing Norgay, as their individual talents.

To illustrate this point, when Bunting -- a warrant officer in the British Army -- was compiling a team of soldiers to attempt an ascent of Everest's notorious West Ridge the first quality he and the rest of the selection panel looked for was not climbing expertise, but compatibility.

"A lot of people think that when you go and do something like that, you immediately look for all the best climbers in the army," he says. "But what we based our selection process on, compatibility was first."

Of course, all team sports rely upon a strong dynamic between the individual members. But there can be few disciplines in which the stakes are as high as in mountain climbing, where your life often literally rests in someone else's hands.

Bunting, 40, led the expedition of 21 army mountaineers to Everest's West Ridge two years ago.

It was a daunting undertaking. Of over 2,200 climbers who have made it to the top of the world's tallest peak since it was first conquered, only 19 have done so via this route.

The ridge is rarely attempted because of its steepness and because its position leaves it exposed to high winds and the risk of avalanche.

The army's summit attempt took three and half years in the planning and preparation and was the subject of a documentary, 'Everest: Man v Mountain.'

Much of this build-up involved establishing strong bonds between team members.

Practice climbs, social events and corporate-style teambuilding days were all employed to try to instil an atmosphere of mutual trust within the group. An essential factor on a mountain as significant as Everest, Bunting says.

"You are massively wrapped up in emotions there because you've spent three and a half years preparing for it," says Bunting, who now runs his own outdoor events company in the Bavarian Alps.

The prestige of getting to the top of Everest can sometimes blur a climber's moral judgement, leading to acts of single-mindedness that border on the downright callous.

During the same season as Bunting's army expedition, David Sharp, a 34-year-old British climber died of cold, exhaustion and lack of oxygen on his descent from the summit.

As details of Sharp's death became public it emerged that 40 climbers had passed him, making no attempt to save the stricken climber as he lay stranded in the scant shelter of a rock alcove on the mountain's northeast ridge.

The incident drew much soul-searching in the mountaineering world, with Sir Edmund Hillary complaining to New Zealand's Otago Daily Times of the "horrifying" attitudes it revealed.

"(On Everest) a lot of people are out for themselves completely," says Bunting.

He says this selfish streak is exacerbated by the fast turnover of commercial climbing expeditions, which often meet for the first time just a couple of weeks before a summit attempt, meaning there is little opportunity to build team morale.

By contrast, among Bunting's army mountaineers the needs of the group were always put before personal ambition. He gives an example:

"As we went for the summit there were a number of support teams, one of whose job it was to break trail from base camp right the way up to 7,500 metres, clambering through two foot of snow.

"Each step you take at those altitudes is absolutely horrendous. There's a clip in the documentary of one of the lads breaking trail, every step up to his knees in snow, and you hear him say: 'Well, this is our job so we've got to get on with it.'

"A brilliant demonstration of teamwork."

The biggest test of this togetherness came when Bunting was left the unenviable task of telling his team of ambitious young soldiers he was abandoning the summit attempt because of a high risk of avalanches.

"Two or three of the guys were pretty pissed off, to be honest.

"Instead of getting wrapped up in emotions -- because Everest is a very emotional place -- I looked at it in very black and white terms. I couldn't risk sending my team up the mountain with that kind of real and present danger involved."

This clear-headed thinking meant his team braved one of the most dangerous climbs in the world and made it back down again, together.

@highlight

Army officer Dave Bunting recruited a team of 21 soldiers to summit Everest

@highlight

The 2006 attempt was via the mountain's notoriously dangerous West Ridge

@highlight

They spent over three years preparing by building cameraderie and team spirit

@highlight

Bunting says personal ambition can sometimes get the better of climbers on Everest