Before his family urged him to flee the fighting in Syria, 17-year old Firas saw a bullet strike his sister in the head while they were in a car together. Maher, 16, has not seen his father for nearly two years, ever since he was detained and tortured alongside him before being released.

These young boys, separated from loved ones, are among the many thousands of children who've escaped the shelling in their native Syria.  But they now face the daily hardships of refugee life in neighboring Lebanon and Jordan.

Starting a new life away from the old comforts of home, many are growing up in fractured families and are often the household's main breadwinners, according to a report released Friday by the United Nations' refugee agency, UNHCR.

Scarred by the horrors of war, they suffer from psychological distress, live alone or separated from their parents, receive no education or are thrown into illegal child labor, the agency said.

"Our lives are destroyed," the report quoted 14-year-old Nadia, a newly arrived refugee in Jordan.

"We are not being educated, and without education there is nothing. We're heading towards destruction."

Syria's ongoing conflict has torn countless families apart. Entire communities have been uprooted, scattering large populations within Syria and driving more than 2.2 million people into surrounding countries.

Children have been particularly affected.

In its first in-depth survey of Syrian refugee children since the conflict began in March 2011, UNHCR spoke to those now living in  Lebanon and Jordan.  But there are many others who fled to other countries such as Turkey and Iraq.

The report found that more than 70,000 Syrian refugee families live without fathers and over 3,700 refugee children are either unaccompanied by or separated from both parents.

In many cases, not only are their fathers absent, but many children have no idea where they are.

"If we do not act quickly, a generation of innocents will become lasting casualties of an appalling war," U.N. high commissioner for refugees Antonio Guterres said in a statement.

Isolated and insecure

The report, entitled "The Future of Syria -- Refugee Children in Crisis," paints the picture of a painful life -- one of isolation, exclusion and insecurity for many refugee children.  Scars are both emotional and physical.

In Jordan's Za'atri camp, more than 1,000 children have been treated for war-related injuries over the past year. Anger and other emotional responses were also common, UNHCR said, adding that some refugee boys had expressed a desire to return to Syria to fight.

Researchers also heard a report of boys being trained to fight in preparation for return to Syria, UNHCR said.

Of the refugee children researchers interviewed, 29% said that they left their home once a week or less -- home is often a crammed apartment, a makeshift shelter or a tent.

In many cases, refugee families lacking a financial income send their children to work, to survive.

Abdallah, 13, said he wakes up every morning at 7 a.m. to buy dry bread from other refugees living in the Za'atri camp to help sustain his family. They then sell the bread to a Jordanian man who uses it to feed his animals.

"If people didn't work, how would they survive?" the young boy said in a video released by UNHCR. "I feel like a man because I am working. I put food on the table for my family."

In such tough conditions, there are more Syrian child refugees out of school than in. More than half of those in Jordan are not in school. In Lebanon, it is estimated that some 200,000 school-aged Syrian refugee children could remain out of school at the end of the year, UNHCR said.

Many babies are also born in exile without birth certificates -- an essential document in the battle against statelessness.

UNHCR says there are more than 1.1 million Syrian refugee children, most living in neighboring countries.

"The world must act to save a generation of traumatized, isolated and suffering syrian children from catastrophe," Angelina Jolie, UNHCR special envoy, who has worked to shine the spotlight on Syria's refugee crisis, said in a statement.

Syria's conflict began after government forces cracked down on peaceful protesters during the Arab Spring movement.  It has now become a full-blown civil war. The United Nations estimates that more than 100,000 people have died in the fighting.

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

More than 1 million Syrian children are refugees, authorities say

@highlight

That's half the Syrian refugee population

@highlight

As many as 100,000 people have been killed in the Syrian conflict