(CNN) Russia plans to send long-range bombers to the Gulf of Mexico in what appears to be Moscow's latest provocative maneuver in its increasingly frosty relations with the West.

Defense Minister Sergey Shoigu said Wednesday that "we have to maintain (Russia's) military presence in the western Atlantic and eastern Pacific, as well as the Caribbean and the Gulf of Mexico" -- including sending bombers "as part of the drills."

It's an argument U.S. officials don't seem to be buying.

"We do not see the security environment as warranting such provocative and potentially destabilizing activity," a senior Obama administration official said Thursday.

U.S. State Department spokeswoman Jen Psaki offered a similar response.

"We don't think there is a current situation in the western Atlantic and eastern Pacific or the Caribbean and the Gulf of Mexico that warrants additional flights in out-of-area territory," she told reporters.

That's not all.

Shoigu said that Russia will also boost its security in Crimea, the region it annexed from Ukraine earlier this year.

"In many respects, this is connected with the situation in Ukraine, with fomentation of anti-Russian moods on the part of NATO and reinforcement of foreign military presence next to our border," he said.

The ceasefire in volatile eastern Ukraine is crumbling, with U.S. and allied officials accusing Moscow of sending fresh troops, tanks and other military equipment across the border in recent days -- something that Russian officials have strongly denied.

But what does that have to do with the Gulf of Mexico, some 6,000 miles away?

The Russians are clearly trying to make a point with their plan to send bombers toward the Gulf of Mexico, said Jeffrey Mankoff, a fellow at the Center for Strategic and International Studies. The message, he said, is "connected to the tensions over Ukraine that have also affected the broader relationship."

"It's kind of a reciprocity," Mankoff told CNN. "They see us trying to muscle in on what they see as their sphere of influence. (Russia is likely thinking), 'If they can do it to us, we can do it them.'"

Shoigu also said Russia will expand its presence in the Arctic region, which could affect Alaska and northern Canada.

This includes full radar coverage of that region by year's end, leaving Russia ready "to meet unwanted guests" both from the north and east by 2015, Shoigu said, according to a state-run TASS news agency report.

That means Russia's new drills will fly near most of America's coastline, said Barry Pavel, an international security expert at the Washington-based Atlantic Council think tank.

"We're talking about ringing the United States, with the exception of the Canadian border, where the Russian bombers don't need to go," Pavel said.

It's not as though the United States doesn't have its own warplanes in places like Japan and Turkey, not to mention NATO air operations assisting Albania, Slovenia and Baltic nations. And Mankoff, who previously served as a U.S. State Department adviser on U.S.-Russia relations, notes that the U.S. military also sometimes flies not far from Russia -- also to send a message, as well as to test things like response times.

"It's not necessarily anything to be overly alarmed about as long as the patrols stay in international airspace," he said.

And, as recently as June, U.S. fighter jets have intercepted Russian long-range bombers off Alaska and California.

Those four Russian planes flew within an area 200 miles from the North American coast. Two peeled off and headed west, while the other two flew south and were intercepted by U.S. F-15s within 50 miles of the California coast.

Capt. Jeff Davis, a spokesman for the North American Aerospace Defense Command (NORAD), said at the time that this was the first time U.S. jets intercepted Russian military aircraft off California in about two years. But such incidents generally are not uncommon, with Davis estimating that Russian flights fly into the so-called air defense zone -- the area 200 miles from the U.S. coast but not within the 13.8 miles that international law would define as U.S. territory -- 10 times a year.

Yet there are signs that Russia has stepped up its military provocations as of late, some of which the European Leadership Network documented earlier this week.

Russian provocations on the rise: Is it a new Cold War?

Last month, the Swedish military searched for a mystery underwater vessel after intercepting an emergency radio call in Russian and getting reports about a foreign vessel being spotted in the waters near Stockholm. Though no vessel was found, it was the largest submarine hunt in Swedish waters since the end of the Cold War.

In September, the United States intercepted six Russian planes, including fighter jets and tankers, in airspace near Alaska, officials said.

The same month, an Estonian official was abducted from a border post, taken to Moscow and accused of espionage, sparking dueling claims between the two nations.

The uptick in incidents have raised concerns about safety -- and about military and geopolitical issues, Pavel said.

"Russia (is) flexing its military muscle, identifying the United States and NATO as the enemy. That feeling is not reciprocated, but we have a Russia that is starting to throw its military weight around, and in some ways, looking for provocations," he said. "I think this could be very dangerous, and create a crisis, where one didn't need to exist."

And not only have the encounters escalated, so have the risks.

In March, a covert Russian military plane nearly collided with a Swedish passenger aircraft carrying 132 people.

The "real danger" of new Russian flights near the American coast is that an accident actually happens or things "get a little bit out of hand."

Russian bombers fly near California

"If there's a collision or if somebody overreacted," Mankoff said, that could inflame U.S.-Russia tensions even further.

He recalled a 2001 incident, in which a U.S. spy plane collided with a Chinese fighter jet before making an emergency landing inside China. That episode shook up relations between Beijing and Washington.

During the Cold War, Soviet warplanes were more frequent in areas around the United States. But Mankoff noted that changed with the fall of the Soviet Union, in part because of cost.

Things slowly changed as Russia took shape, long before Ukraine became an issue. And there's also interest in Moscow in having close ties with its allies in the Americas, such as Venezuela.

"When I was in government four or five years ago, when there was definitely concern that this was becoming more frequent even then," Mankoff said of about Russian military provocations. "This isn't happening out of the blue."

Still, there's no doubt that the Ukraine crisis is the driving wedge in U.S.-Russia relations at this point.

A ceasefire deal reached in September has seemingly crumbled, with intensified fighting of late between Ukrainian forces and pro-Russian rebels.

Those rebels have been joined by Russian troops, tanks, artillery and air defense systems that have recently crossed the border, according to U.S. Gen. Phillip Breedlove, NATO's commander for Europe.

'Unusual' Russian flights concern NATO

On Thursday, Ukrainian defense spokesman Andriy Lysenko said there's been "constant movement of Russian military equipment with (separatist) marks to the dividing line."

Yet Russia, as it's done time and again, is knocking down any claims that it has troops inside Ukrainian territory.

"I am telling you very frankly and officially as well: There are no military forces or any military movement across the border, and moreover there is no presence of our troops in the territory of (southeast) Ukraine," foreign ministry spokesman Alexander Lukhashevich said.

CNN's Richard Allen Greene, Jennifer Rizzo, Kevin Liptak, Brian Todd, Dugald McConnell and Catherine E. Shoichet contributed to this report.

@highlight

U.S. official: Plan is "provocative and potentially destabilizing"

@highlight

Russia: Patrols could include the Caribbean and the Gulf of Mexico

@highlight

That would bring the flights close to U.S. territorial waters

@highlight

Russia sending a message over U.S. actions in Ukraine, analyst says