Beijing (CNN) -- College student Wang Zixu was among the 1.1 million hopefuls who packed out school and universities across China on Sunday to sit the country's civil service exams.

It's a tradition that dates back more than 1,300 years when exams were first held to select the best applicants for ancient imperial bureaucracy. Today's young job seekers are vying for government posts in record numbers.

Like many of the candidates, Wang, who will graduate next year, says the prospect of a stable salary and good benefits make it more appealing than the private sector that attracts many of the most ambitious minds in the U.S. and Europe.

"I think the exam wasn't too hard. I answered all the questions," Wang told CNN after taking the three-hour exam outside the China Institute of Political Science and Law.

"The pay is not very high but it has good bonus and social security," he added.

Central government jobs are often described as a "golden rice bowl" for their stable income and generous benefits. Officialdom can also lead to membership of the Chinese Communist Party -- a status symbol in China.

But with only 19,000 jobs available, Wang's chances of a civil service career are slim. The exam attracted record numbers of applicants, with 1.52 million completing the online registration process up from 30,000 in 2001.

About 7,200 people competed for the most popular position as a researcher with the State Ethnic Affairs Commission, according to The China Daily.

The annual exam includes an aptitude test and a policy essay, and those who pass make it to an interview round.

When China's economy first opened up 30 years ago, going into private business or commerce was seen as the best way to get ahead. But the civil service first began attracting huge numbers of applicants a decade ago, said Zhang Juwei, a researcher at the Chinese Academy of Social Sciences' Institute of Population and Labor Economics.

"The private sector in China is not very well structured or developed like the U.S.," he said.

"Most of the people in private companies in China, unless their positions are high, they usually don't pay well or have a clear career ladder to move up."

Many of the candidates are university graduates and the increase in the numbers applying for government jobs reflects a surge in the number of university graduates entering a fiercely competitive job market. This year a record seven million graduated, up from around two million a decade ago, according to Chinese magazine Caijing.

Xu Ru and her friend Liu Jiashuang were among the class of 2013 trying their luck. While some prepare by taking crash courses offered by cram schools, Xu said she had not studied for the exam.

"Everyone is taking it today, so I just feel like I should give it a try, and if I got it, it would be simply great," she said.

None of the half a dozen candidates CNN spoke to said they were concerned by the government's anti-corruption drive that has targeted both high and low-ranking officials. "I think I would not do that -- I have my own principles," said a man called Wang, who said he didn't do well in the exam this time around and would consider taking it again next year.

The exam is also seen as being relatively transparent and fair in a society where connections can often count for more than ability. Parents also think it's a suitable career in today's uncertain economy.

"I mean for a girl, being a civil servant can be ideal. I know people who worked in the private sector here, they jump from place to place, it's a lot of pressure," said Fu Wenxia, the mother of an exam taker.

Feng Ke reported from Beijing, Katie Hunt wrote from Hong Kong

@highlight

More than one million took China's national civil service exam on Sunday

@highlight

It's a tradition that dates back 1,300 years to China's imperial bureaucracy

@highlight

Competition is fierce, with only 19,000 jobs available

@highlight

Central government jobs are often described as a "golden rice bowl" for their stable income and benefits