Abby Rodgers walked out to her date's car and found roses, a teddy bear and a card sitting in the passenger's seat.

Inside the card was the million-dollar question: Will you go to prom with me?

The 17-year-old high school senior was touched. Everyone at her all-girls private school in suburban Philadelphia was hoping for some sort of "promposal," the act of inviting someone to prom in an elaborate fashion, often involving props, dancing flash mobs or maybe even police or actor Bryan Cranston.

In the moment, Rodgers said yes, "because it was such a nice gesture and he was so sweet and brave to go through with it." Later that evening, when she had a chance to process what had happened, she realized she didn't actually want to go with him.

"I realized that prom is more of a couples atmosphere," she said. "I didn't want to be there with someone I was not in a close relationship with."

While prom is a great excuse to dress up, party with friends and mark the passage of another school year, the annual rite of passage also carries a lot of pressure -- to look perfect, arrive in style and have the ideal date on your arm. Promposals can add to the pressure, becoming almost as important as prom itself and raising expectations for young men and women, especially when they get posted on social media for all to see.

Sure, some promposals can be thoughtful, charming or downright heartwarming. They can teach teens to take healthy risks and nurture their romantic side in the hookup-culture era. But, as with anything, it's all about intention.

"As promposals have become more elaborate and public, so, too, does the potential for increased humiliation and social pressure," said Jarrod Chin, director of training and curriculum of Northeastern University Sport in Society, a nationwide youth mentoring program that focuses on violence prevention and healthy relationships.

"As promposal clips go viral, more and more young people think that you need to create these elaborate schemes to ask someone to prom and the reality is that it should be just a fun event for young people to dance and celebrate."

Going all out and all in

What used to be a potentially awkward phone call or hallway conversation is becoming an extremely public ceremony with high stakes. For some girls (and, even some boys), not getting a promposal is their worst nightmare. And yet, being approached with flowers in the hallway can be a letdown, especially if a friend was serenaded in a flash mob.

For others, these grandiose public gestures put invitees on the spot, forcing them to accept even if they don't want to for fear of being perceived as mean or stuck up.

Opinion: The damaging message of proms

Boys also face pressure to be creative and do whatever it takes to get a yes. That's the whole point, after all. Sometimes, the effort comes from a genuine desire to make the invitee happy and have fun doing it. Other times, the point really is to force a yes.

Massachusetts high school senior Sam Casey has seen it go both ways. Friends in relationships have staged promposals for the fun of it. He's also seen classmates do them in front of invitees' families to get a yes where they probably would not have received one otherwise.

"It takes a lot for a guy to put himself out there for a girl, and they want to do everything they can to make sure they're not humiliated," he said. "By doing it in a special way, or publicly showing that he really wants to go with that person, 99% of the time the girl will say yes."

Either way, it can be a source of stress for both sides, Casey said.

"I think it's gotten to the point that if you don't do it, you'll have a hard time finding a date," he said.

If the answer is no, the emotional fallout can be damaging, Chin said. Programs such as Sport in Society's Mentors in Violence Prevention work with teens nationwide on how to have mature conversations with potential love interests and how to deal with a breakup or rejection.

"If their identity could potentially be challenged by a 'no' to prom, we need to provide young men with the skills and ability to handle what could be a really embarrassing and traumatic public refusal," Chin said.

That's where parents and adults come in, he said, to talk about realistic expectations around prom dating in general.

"As adults, we shouldn't minimize promposals or teen relationships as puppy love or harmless crushes," he said. "Instead, we should view (them) as the first steps in developing intimate relationships, and how they handle them sets the stage for more complicated situations, like long-term dating, breakups, marriage and divorce."

Testing the waters

Not all promposals are bad or ill-intentioned. To avoid potential embarrassment or hurt feelings, teens often put out feelers among friends to see if their potential date is interested.

In best-case scenarios, the person knows what's coming; it's just a matter of how and when, said University of Pennsylvania freshman Ria Desai.

"I didn't feel any pressure to say yes because I already knew he was going to ask me," said Desai, who accepted a promposal in 2012 from a close friend during dance class. "In that way it was fun because I didn't know how he was going to ask me; it was a surprise."

Promposals get iffy when the other person has no clue as to what's coming, she said. In those situations, some girls say yes in the moment but then later turn down the guy in private. The alternative of public rejection can be worse for the girl, Desai wrote in a 2012 blog post for SPARK Summit, a girl-fueled activist movement that challenges media portrayals of women.

"Turning him down marks her as a 'huge bitch,' a label she doesn't deserve in any way. Yes, rejecting him will hurt his feelings, but doesn't every girl deserve the chance to make the decision that she wants to make?" she wrote.

Further raising the stakes, though, is the "necessity" of capturing the event as a picture or video so it can be shared on social media, said Ohio State University freshman Melinda Vercollone, whose 2013 promposal came in the form of a "prom" sign underneath the hood of a friend's car.

Her twin sister got asked when a boy showed up at their home shirtless on a moped with roses in his mouth while his friends filmed the whole thing.

"The filming was important; it's sort of a necessity to put something on Facebook or Instagram so everyone will know who asked who and when and how. It's also critical that everyone watches the video so the next boy doesn't accidentally copy a proposal that has already been done," Vercollone said.

"I remember being so happy that I was asked to prom, but also so disappointed that no one had been there to see it or to take a cute picture of us and post it on Facebook."

The pressure to couple up

Rodgers, the suburban Philadelphia teen, has nothing against promposals, especially among friends and couples. They have great potential to be sweet or thoughtful when done the right way.

That's what caught her off guard about her date's promposal. They knew each other through mutual friends, but she knew in her heart that she did not want to bring someone she was not serious about to prom. She discovered this at her junior prom, when she brought a guy she didn't know well because she didn't want to be the only person without a date.

They didn't really hit it off. "I realized I would rather go alone or with my friends," she said.

This year, Rodgers faced pressure from various corners to bring someone. Even her grandparents offered to attempt to set her up with a busboy from their favorite restaurant.

"It's almost taboo at my school to go alone."

Inspired by a friend who decided not to bring a date, Rodgers texted her date two weeks after his promposal and told him she changed her mind. He took it well, she said, and he found another date for his prom. Rodgers ended up going to hers without a date last week. She had a great time dancing and posing for pictures with her friends, including others who went alone.

"It was amazing. I have no regrets," she said.

"To girls who get promposed to and don't know what to do, I would just say you only have one prom. Think about what's going to make you happy and remain true to who you are."

@highlight

"Promposals" are becoming almost as important as prom itself

@highlight

Sometimes, they work; other times, they can be awkward

@highlight

Promposals can create pressure for boys to outdo peers

@highlight

Sometimes, promposals put invitees on spot to say yes