(CNN) -- Track star Oscar Pistorius was a "deceitful" witness who cannot escape a murder conviction for his actions, prosecutor Gerrie Nel said Thursday, presenting his closing arguments in the athlete's trial.

On Valentine's Day last year, Pistorius shot dead his girlfriend, model and law graduate Reeva Steenkamp. This week, both prosecutors and defenders in Pretoria, South Africa, get their last chance to argue his culpability or innocence, after a trial lasting months that has gripped observers around the world.

The state contends that Pistorius, 27, not only murdered Steenkamp, 29, but that it was premeditated.

It's now up to Pistorius' defense team to argue for the last time before the judge that the athlete mistook Steenkamp for an intruder when he fired four shots through the locked toilet door, killing her.

Making his final arguments, prosecutor Nel told Judge Thokozile Masipa that lawyers for Pistorius had tried to present more than one defense -- and that they did not jibe.

Pistorius is arguing that he didn't act, but if he did, he did so intentionally with a reason, the prosecutor said. "Those two defenses cannot be argued," Nel charged.

The prosecutor, renowned for his bulldog tenacity in questioning, also argued that Pistorius was a dishonest witness whose testimony was, in essence, "devoid of any truth."

Using a metaphor reflecting Pistorius' career on the track, Nel said the athlete had "dropped the baton of truth," and that "without the baton of truth, you cannot complete the race."

Pistorius, who Nel said had always refused to take any responsibility, had "tangled himself into a web" when he tailored his evidence in chief to match his bail affidavit, the prosecutor claimed.

And, Nel said, the evidence presented during the trial shows that Pistorius, who also faces three gun-related charges, "displayed a blatant disregard for the law and the lives of others."

The prosecutor said that in Pistorius' own version of events, the athlete said he went to the toilet door and fired with the intention to kill or hit, believing there was someone behind it.

At the point before he fired, he was armed with a high-powered weapon and was "in charge" of the situation, Nel said.

This means, the prosecutor said, that Pistorius "cannot escape" a murder conviction, whether the court believes he thought there was an intruder behind the door or not.

"Our argument is that he should be convicted on all the counts," Nel said in conclusion.

Defense: Errors in state case

Defense attorney Barry Roux began his closing arguments by pointing out what he called "material mistakes" made by the state.

For example, he cited multiple instances of Nel calling Pistorius a liar. Nel told the court he had only found one example.

Roux also presented evidence indicating that the crime scene was disturbed by officers, in support of the defense case. Nel had argued that the defense never proved Pistorius' claim of evidence tampering at the scene.

And Roux reminded the court that Pistorius, who uses prostheses to walk after his lower legs were amputated as a child, suffers from anxiety.

Roux pointed out that the onus is on the state to show burden of proof, and accused the state of avoiding certain important facts and ignoring other reasonable scenarios.

Nel: Evidence suggests Pistorius aimed gun

Presenting the state's case, Nel argued that the defense failed to call any witnesses to corroborate Pistorius' story, and that there were failings in the tests carried out and inconsistencies in the defense evidence presented.

For example, he said, it was telling that the defense never called a witness to back up its argument that when Pistorius screams, it sounds like a woman. Witnesses called to court testified they heard what they thought was a woman screaming on the night Steenkamp was killed.

Nel said that nowhere in the defense's executive summary of its closing arguments was it said that the court should accept Pistorius' version of events. In fact, Nel said, the defense actually says Pistorius' ability to testify was compromised.

Calling the Olympic sprinter an "appalling" witness, Nel said Pistorius was vague, argumentative and mendacious on the stand.

Recapping the state case, Nel said the evidence from the bullet holes in the toilet door suggests Pistorius had time to think and looked down the sights of the gun as he fired -- meaning that he aimed the weapon.

Nel said that Pistorius acted so unreasonably that his version could never be accepted as reasonably, possibly true.

'Snowball effect'

Going though the evidence, he said Pistorius' claim that he reacted to a sound which retrospectively he believed to be a magazine rack moving inside the toilet room was a figment of his imagination. The sound never happened, Nel said.

He said the marks of the four gunshots on the door, in a "good grouping," show a shooter who was in control. And, he said, one could infer from their position relative to where Steenkamp was standing behind the door that Pistorius knew where he was aiming -- because he had spoken to her.

He maintained that Pistorius got emotional before the shooting not because he was shouting at intruders, but because he was shouting at Steenkamp.

Nel also argued the police could not have tampered with the scene in the way claimed by the accused, outlining what he said were a dozen inconsistencies in what Pistorius told the court.

"It was so many lies, in such a short period, that the snowball effect became so evident," he said of the athlete's version of events.

Nel presented the pieces of evidence as a mosaic, arguing that each time Pistorius tried to move a piece to suit his version of events, other pieces had to move too.

And in likely anticipation of the defense attacking the credibility of the state's witnesses, he argued that any inconsistencies in the timeline of events or what they recalled were a sign that they had not colluded and just wanted to tell the truth.

Moving on to the couple's relationship, Nel said that even though only a small number of text and WhatsApp messages presented in court show the couple fighting, they are significant because they were sent in the weeks before Steenkamp was shot.

He recalled one, sent by Steenkamp on January 27, 2013 that said: "I am scared of you sometimes and how you snap at me and how you will react to me... "

Pistorius, wearing glasses, looked serious but composed as Nel made his case.

Judge's decision

The closing arguments lower the curtain on a courtroom drama that, since March, has seen the Olympic sprinter break down in heaving sobs and vomiting in the courtroom as disturbing evidence was presented.

Proceedings were delayed while Pistorius underwent a court-ordered month-long psychiatric evaluation.

He was depressed, suffering from post-traumatic stress disorder, and is a suicide risk, the doctors concluded, but he did not appear to have a history of abnormal aggression or psychopathic tendencies linked to "rage-type murders in intimate relations."

Nicknamed "Blade Runner" for the blade-like lower-leg prostheses he wears on the track, Pistorius has always admitted that he killed Steenkamp. The key question in his trial is that of intent.

Masipa will decide his fate at a later date, which she will announce on Friday.

There are no jury trials in South Africa. Masipa is assisted by two educated lay advisers -- called assessors -- in her decision.

The judge's options on verdict and sentencing range from acquittal and freedom to conviction of premeditated murder and life in prison.

It could take weeks for Masipa and the assessors to consider the evidence and testimony presented in court, which may cover up to 4,000 pages of court transcripts.

If the judge believes beyond a reasonable doubt that Pistorius knew he was firing upon Steenkamp, then she will find him guilty of murder. If she rules it was premeditated, Pistorius would face a life sentence. In South Africa, he'd be required to serve at least 25 years. If it is not premeditated, he'd serve a minimum of 15 years.

If Masipa sees any reasonable doubt that Pistorius knew Steenkamp was behind the bathroom door, she will not convict him of murder.

Still, if she determines that Pistorius was unreasonable in his actions that led to Steenkamp's killing, she would find him guilty of culpable homicide. In that case, she would have to decide upon a sentence herself.

If she believes there is a reasonable chance that Pistorius made a mistake and responded in a reasonable fashion, she will find him not guilty, which means the athlete could go free.

CNN's Ben Brumfield, Richard Allen Greene and Robyn Curnow contributed to this report.

@highlight

NEW: Defense attorney Barry Roux cites errors by the state as he starts his closing arguments

@highlight

Prosecutor argues Pistorius "cannot escape" a murder conviction as he wraps up state case

@highlight

Gerrie Nel labels Pistorius an "appalling" witness, says he was vague and argumentative

@highlight

The athlete's defense will make its closing arguments on Friday