Geneva, Switzerland (CNN) -- Iran appears keen to progress swiftly toward a deal reining back its nuclear program in return for relief from international sanctions that have crippled its economy, a senior U.S. administration official said Wednesday.

She was speaking on the eve of a fresh round of talks scheduled for Thursday and Friday in Geneva between the five permanent -- and nuclear-armed -- members of the U.N. Security Council, along with Germany and Iran.

"For the first time, we believe Iran is ready to move this process forward quickly. For the first time, we're not seeing them just use this as a way of buying time," the senior U.S. administration official told journalists in a background briefing.

"I do see a potential for the outline of a first step. It can be written on a piece of paper or probably more than one. I hope this can be sooner rather than later," she added, declining to answer questions whether that outline deal may be reached before the weekend.

Opinion: Do we want a deal or a war?

Iran has consistently said its nuclear program is strictly for peaceful, civilian use and power generation.

The United States accuses Iran of covertly developing a nuclear bomb. In its latest quarterly report published in August, the U.N.'s International Atomic Energy Agency suggested Iran's nuclear program had "possible military dimensions."

The United States and its negotiating partners -- Britain, France, Russia, China and Germany -- are looking to work out a two-phase deal with Iran, according to the official. So far, negotiators from all parties have declined to spell out specifics of any potential deal.

However, the senior U.S. administration official spelled out that Iran would be required to take action regarding its nuclear program first in exchange for some initial relief from the international sanctions that have targeted Iran's key oil sector and banking operations.

Once that was in place, all sides would continue talking about what she termed a "final deal."

"We're looking for a first step that stops Iran's nuclear program moving forward for the first time in decades and that rolls parts of it back," the senior U.S. administration official said.

"We're prepared to offer limited, targeted and reversible sanctions relief. We're not talking about changing the architecture of sanctions in this first step," she explained.

Sanctions have hit oil output hard

In just the past two years, oil experts estimate international sanctions have forced Iran to cut its crude oil output from around 2.2 million barrels per day in 2011 to less than 900,000 barrels a day last year.

Sanctions imposed on its banking sector and foreign currency exchange have also made it tough for Iran to pump earnings from its oil sales back into its economy at home, sparking a currency devaluation, inflation, unemployment and recession, economic analysts say.

The senior U.S. administration official speaking in Geneva attributed Iran's new willingness to compromise on its nuclear aspirations -- seen since this summer's election of President Hassan Rouhani -- to the severity of those sanctions.

"We support sanctions. Sanctions have been instrumental on Iran coming to the table, to change the strategic calculus of Iran," she said.

Such comments, however, seem likely to irritate Iran's negotiating team. Despite coming to the talks table, Teheran maintains its right to a peaceful, civilian nuclear program, including uranium enrichment.

In comments published via Twitter in late September before previous talks, one of Iran's lead negotiators, Foreign Minister Javad Zarif, wrote: "Pres. Obama's presumption that Iran is negotiating because of his illegal threats and sanctions is disrespectful of a nation, macho and wrong."

The U.S. Senate is due to debate a bill proposing stiffer new sanctions on Iran, including measures that could cut its oil output further. But the senior U.S. administration official said the government had asked Congress to hold off on a vote for now.

"We have asked Congress to pause (in its consideration of wider sanctions), not indefinitely and not a long pause. Our diplomatic strategy must be in synch with Congress," she said.

What the negotiators want from Iran

The parties involved have steadfastly refused to detail their negotiating stances publicly.

But political analysts say some of the key demands from the P5+1 revolve around Iran temporary halting all uranium enrichment activities and shipping stockpiles of more highly enriched uranium abroad for safekeeping.

The United States and its international partners also want to impose a comprehensive inspections regime on all Iran's nuclear-related facilities. Especially concerning are an underground enrichment plant at Fordo, near the holy city of Qom, that they believe could be a military facility, and a heavy water reactor at Arak, which weapons experts warn could be used to process weapons-grade plutonium.

For its part, Iran wants an end to the economic and political sanctions imposed by the United Nations, the United States and the European Union.

In comments reported by Iran's state-run Press TV this week, Deputy Foreign Minister Abbas Araqchi, also scheduled to play a lead role in this week's talks, sounded caution on prospects for a deal.

"We have a tough road ahead. In Geneva, we will get into the details of the steps, and we hope to bring closer the views of both sides, which are [currently] far apart," Araqchi said.

Iran's supreme leader 'not optimistic' about nuclear talks

The senior U.S. administration official acknowledged differences between the sides but sounded more optimistic.

"There are gaps between the two sides, which remain quite real. We're coming to understand each other and to understand what the equation looks like," she said.

Enough processed uranium for a nuclear bomb?

In parallel with its talks with the P5+1 group, Iranian officials have been meeting separately with IAEA representatives to try and allay their fears about Iran's nuclear program.

According to the IAEA's August report, since declaring its nuclear facilities, Iran has enriched just less than 10 metric tonnes of uranium to 5% purity, the grade used for energy generation.

The IAEA estimates Iran has enriched around 370 kilograms to 20% purity, further processing part of that for medical and research purposes and stockpiling about 185 kilograms.

Some weapons experts suggest Iran could enrich enough uranium -- at 90% purity -- for a single nuclear bomb within months. Others argue it could take more than a year.

All appear to agree that so far, Iran has not shown signs of developing a weapons system to deliver such a warhead. Iran says it has no desire to build a bomb.

Five of the nations negotiating in Geneva have nuclear weapons. According to the Washington-based Arms Control Association, the United States has around 5,000 nuclear warheads, Russia has around 4,500, the United Kingdom an estimated 225, China around 240 and France around 300 warheads.

Israel, which is neither a signatory to the Nuclear Non-Proliferation Treaty nor has declared its own nuclear program, is estimated to have as many as 200 warheads, according to the ACA.

Iran to relax visa requirements amid tourism boom

@highlight

Senior U.S. official: "We believe Iran is ready to move this process forward quickly"

@highlight

Talks set for Thursday and Friday in Geneva with Security Council, Germany and Iran

@highlight

Tough international sanctions have hobbled Iran's oil-driven economy

@highlight

United States accuses Iran of covertly developing a nuclear bomb; Iran denies this