Ariel Sharon, whose half century as a military and political leader in Israel was marked with victories and controversies, died Saturday after eight years in a coma, Israeli Army Radio reported.  Sharon was 85.

Sharon died at Sheba Medical Center in the Tel Aviv suburb of Tel Hashomer.

The Israeli statesman was a national war hero to many Israelis for his leadership, both in uniform or as a civilian, during every Israeli war.

Israelis mourn loss of former leader

Many in the Arab world called Sharon "the Butcher of Beirut" after he oversaw Israel's 1982 invasion of Lebanon while serving as defense minister.

He was a major figure in many defining events in the Middle East for decades, including his decision to turn over Gaza and parts of the West Bank to Palestinian control.

Throughout, he was called "The Bulldozer," a fearless leader who got things done.

Ariel Sharon: Five things to know

The reaction in his own right-wing Likud Party to his order to the military to drag some Israeli settlers from their homes in Gaza led Sharon in November 2005 to form the political party Kadima, Hebrew for "Forward."

He was in his fifth year as prime minister when he suffered a massive stroke in January 2006, which left him comatose.

Ehud Olmert, who became interim prime minister after Sharon's stroke, assumed the role of prime minister after leading the Kadima Party to an election victory in March 2006.

Sharon's career was closely tied to Israel's relationship with Lebanon.

A life on front lines of war and politics

During the Lebanon war in 1982, Sharon, a former army general then serving as Israeli defense minister, was held indirectly responsible by an Israeli inquiry in 1983 for the massacre of hundreds of Palestinians at the Sabra and Shatila refugee camps. He was forced to resign.

Sharon, who lived on a ranch in the Negev Desert, became prime minister on March 7, 2001.

He was the man who encouraged Israelis to establish settlements on occupied Palestinian land, but he also was the leader who pushed for Israel's historic 2005 withdrawal from 25 settlements in the West Bank and Gaza, which was turned over to Palestinian rule for the first time in 38 years.

Ariel Sharon: Fast Facts

Sharon formed the centrist Kadima in an effort to build political support for his controversial plan to turn over Gaza and parts of the West Bank to Palestinian control.

In grappling with the decades-long conflict between Israelis and Palestinians, Sharon said in 2001, "I can talk and look in the eyes of the citizens of Israel and convince them to make painful compromises."

As waves of suicide bombings by militants rocked Israel, Sharon sent tanks and troops into Palestinian towns, ordering assassinations of Palestinian militant leaders.

Sharon ordered construction of the barrier through the West Bank and confined then-Palestinian Leader Yasser Arafat, whom he called "a terrorist," to his compound in Ramallah, accusing him of encouraging attacks on Israel.

This veteran of all of Israel's wars was a national hero to many.

In 1953, after a wave of terrorist attacks from Jordan, Sharon the military leader led the infamous Unit 101 on a raid into the border town of Kibya, blowing up 45 houses and killing 69 Arab villagers. Sharon said he thought the houses were empty.

In June 1967, as a general, Sharon led his tank battalion to a crushing victory over the Egyptians in the Sinai during the Six Day War.

But what he considered his greatest military success came in 1973 during the Yom Kippur War. He surrounded Egypt's Third Army and, defying orders, led 200 tanks and 5,000 men over the Suez Canal, a turning point in the war.

As defense minister, Sharon was the architect of Israel's invasion of Lebanon, an occupation meant to stop the Palestine Liberation Organization from using Lebanon as a base for attacks on Israel. The attack was disastrous.

After the Sabra and Shatila massacre, he allowed Israeli families to settle in occupied Palestinian land, the same land Palestinians claimed as a future state.

As a result of the inquiry, however, Sharon was forced to stand down and was banned from ever being defense minister again.

"He felt betrayed by his government," said his adviser, Ranaan Gissin.

Sharon made a political comeback in the 1990s, eventually becoming leader of his party in 2000.

That year, he faced more trouble when he visited the holiest site for Jews, the Temple Mount in Jerusalem -- known to Muslims as Haram al Sharif, "The Noble Sanctuary." The stop sparked violent protests. The incident prompted the second Intifada -- the Palestinian uprising against Israeli rule -- that began in September of that year.

Throughout his career, both in the military and in politics, Sharon was the man Israelis turned to when they thought they had no other choice. Either leading from the front or calling the shots as an elected leader, he was always the soldier. Even in his later years out of uniform, his military demeanor was just below the surface. He never delivered on his promise of peace and security.

Sharon was born on a farm outside Tel Aviv. The son of Russian immigrants, he always remembered a lesson from his father as he ascended to the highest office in Israel.

"When my father saw that I was tired, he would stop for a minute and say, 'Look how much we have done already,'" he once explained.

@highlight

Ariel Sharon was 85

@highlight

He had been in a coma for eight years

@highlight

His leadership was marked with victories and controversies