Washington (CNN) -- Vice President Joe Biden has "condemned." Secretary of State Hillary Clinton scolded -- and then leaked the scolding. On background, U.S. aides fret that the Israeli announcement of new settlement construction may thwart resumption of the peace process.

Let me advance an unorthodox opinion: The most dangerous cause of instability in the Middle East is the so-called peace process itself.

I know this is an unusual point of view. Please hear me out.

By my count, there have been at least 10 major outbursts of violence between Jews and Arabs in the Middle East since 1936.

Every one of these conflicts ended in a similar way. Either outside powers imposed a ceasefire -- or else Israel halted military operations just before a ceasefire could be imposed.

Every one of these conflicts began in a similar way, too: with a renewed attack by the Arab side, or else (as in 1956 or 1967) by Arab violations of the terms of the previous armistice or ceasefire.

Think for a minute how unusual this is. Wars usually end when one side or the other decides it cannot continue fighting. The losing side accepts terms it had formerly deemed unacceptable because the alternative -- continued fighting -- seems even worse.

I doubt many Hungarians are delighted to have lost more than half their territory to neighbors in Romania and the former Yugoslavia. Bolivians still remember the loss of their Pacific coast to Chile in 1884. Some in Indonesia continue to regard East Timor as rightfully theirs.

Yet for the most part, these nations have reconciled themselves to these unwelcome outcomes.

Exactly the opposite has occurred in the Arab-Israeli dispute.

Egypt lost the Sinai Peninsula in 1956, but got it back. It lost the Sinai again in 1967, and again recovered it (although this time the right way, after signing a formal peace).

Syria lost the Golan in 1967, attacked Israel in 1973, lost again -- and still demands the return of the territory.

Palestinians rejected the 1947 partition, resorted to war, lost, and to this day demand compensation for their losses.

It's like a game of roulette where the management stops the game whenever you begin losing too badly, with promises to refund your money as soon as it conveniently can. What gambler could resist returning to the tables?

I understand why Western governments have acted as they have. They have feared that unless they somehow smooth the situation, the world oil market will be upset and radical ideologies will spread through the Islamic world.

What they don't see is that their efforts to contain the problem have in fact aggravated it.

Imagine this alternative history:

Suppose that the Western world had not intervened in 1949. Suppose the Israeli war of independence had been fought to the bitter end: Arab armies breaking apart and fleeing, commanders laying down their arms, columns of refugees crossing the Jordan River.

The 1949 war would have ended not with an armistice, but with a surrender. Palestinian refugees would have had to settle in new homes, just as the hundreds of thousands of Jews expelled from their former homes in the Arab lands resettled in Israel.

The outcome would have squelched any hope that more fighting would have yielded a different result -- and the more decisive result might have dissuaded Arab governments from any further attempts to resort to force.

Now imagine another scenario.

In the 1990s, the former Yugoslavia erupted into war. New states with new borders were carved out of the old country. Thousands of people were displaced. Horrific atrocities were committed. Happily, the conflict did end. The displaced adjusted to life in their new homes. Former enemies may still mistrust each other, but violence has faded and seems unlikely to return.

Suppose instead the world had agreed that one of the combatant ethnic groups -- the Serbs, say, but it really does not matter -- retained a permanent inextinguishable right to reclaim its former homes. Suppose the world agreed to pay displaced persons from that group billions in foreign aid on condition that they never permanently resettled in the territory to which the ethnic group had moved. Suppose the world tolerated Serbian terrorist attacks on Croatia, Bosnia and Kosovo as understandable reactions to injustice.

Would there be peace in the former Yugoslavia today?

The Middle East peacemakers for the most part act with the highest of intentions and the most exquisite patience. But instead of extinguishing the conflict, they have prolonged it. A peace process intended to insulate the Arab world from the pain of defeat has condemned the Arab world -- and the Palestinian people above all -- to unending war.

Every war must end -- and end badly for at least one of the belligerents. It's time for this war to end too, and at last.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says the Middle East peace process unintentionally prolongs conflict

@highlight

He says other wars have ended with the parties adjusting to new reality

@highlight

In Palestinians' case, he says, much of the world feeds the dispute rather than resolving it