(CNN) -- In the outlying slums of Cairo, people "drown in oceans of garbage" and are forced to live with the stench of polluted air, says Mahmoud Gamal, 26, a marketing executive living in Cairo, Egypt's capital.

Gamal's comments were made through CNN iReport, which has an assignment on life in Egypt under President Mohamed Morsy.

The iReporters describe a life in which many people in the North African nation are facing a daily battle against poverty, spiraling inflation and high unemployment. Morsy, meanwhile, is in negotiations for the country to get an economic rescue package from the International Monetary Fund.

Sectarian violence and protests over rising prices and poor wages following the Arab Spring are decimating foreign investment. The country also remains divided over Islamist leader Morsy, who came to power as Egypt's first popularly elected president after Hosni Mubarak was toppled in February 2011.

Morsy's office did not respond to a request for comment about the economic situation in his country when contacted by CNN. But, in an exclusive interview with CNN in January, Morsy said: "To start real stability and development, we may take six months or a year but to reach what we want may take five to 10 years... I'm talking economically."

"Egyptians don't trust the president and the government," Maged Eskander, a 38-year-old architect from the Egyptian capital told CNN iReport. "They simply don't have the vision, the ability or will to lead the country."

Read more: Why Egypt's transition from its Arab Spring is so painful

When Egyptians descended on Tahrir Square in early 2011, rising against Mubarak's near three decade rule, they did not expect he would be replaced by a "carbon copy," Gamal said. Morsy is making the country's dire economic situation "worse," he added.

Egypt -- the Arab world's most populous nation -- is seeking a rescue loan of $4.8 billion from the Washington-based IMF to buoy its ailing economy and a weak currency that is driving up consumer prices.

Read more: ElBaradei: Pillars of Egypt's progress

In return, the IMF wants Egypt to overhaul its finances, cut energy subsidies, raise taxes and reduce its budget deficit before offering support.

In March, U.S. Secretary of State John Kerry released $250 million in economic aid to Egypt, calling it a "good faith effort" and urging Morsy to pledge economic and political reforms.

Read more: Egypt president's tricky game of power

But Gamal told CNN ordinary Egyptians are already struggling to pay for water and electricity while mothers queue up in bread lines. "[They] would be lucky if they come back with anything," he added.

The cost of fuel, particularly diesel, is also on the increase as transport in large parts of the country is paralyzed by shortages of subsidized diesel.

Soaring unemployment

Egypt -- one of Africa's largest economies -- is also grappling with a high unemployment rate of 13% and a young workforce that is becoming increasingly frustrated by a lack of skilled jobs.

Ahmed Raafat, a 23-year-old unemployed graduate engineer, said Egypt suffered hugely under the iron fist of Mubarak but now "things are getting even worse." Raafat believes the policies of Morsy's government are "crushing" the country's poor and middle earners.

"It's hard to find a job in Egypt," Raafat said. "Many of my friends are facing the same problems."

According to Gamal: "University graduates that should be working as journalists, engineers and accountants now work as waiters and taxi drivers."

One major contributor to Egypt's unemployment woes is its tourism-dependent economy, which went into a tail-spin following the revolution.

Security concerns in Cairo and the country's top resorts are making would-be holidaymakers look to alternative destinations and forcing employers to scale back.

Rafaat said: "My family works in the tourism industry which many describe as the life blood of Egypt. It has almost dried up due to the lack of security."

But Egypt's tourism minister Hisham Zazou has recently told CNN the industry had cause for optimism. He said Egypt had been enjoying an uptick in tourism and that it was a mistake to think the entire country was dangerous.

Since the revolution in 2011, sectarian violence between Coptic Christians and Muslims has marred Egypt's image as a safe country for visitors. This month one person was killed and more than 80 injured in fighting outside the Coptic Othodox Cathedral in central Cairo, where a funeral for four Egyptian Christians, killed in fighting, took place.

Hardline Islamists -- repressed under the autocratic rule of Mubarak -- have been given more freedom under the governance of Morsy and the Muslim Brotherhood, leading to large-scale religious clashes in Muslim-dominated Egypt.

Ninety percent of Egypt's 82 million population is Muslim, while about 9% is made up of Christians.

Eskander said the streets of Cairo are "condensed with anger and frustration" and the security situation remains "bad." He blames police for failing to control the fighting.

@highlight

Egypt -- the Arab world's most populous nation -- is seeking a rescue loan of $4.8 billion

@highlight

Egypt is grappling with a high unemployment rate of 13% and a young workforce

@highlight

International Monetary Fund projects inflation in Egypt to rise to 10.7 in 2013