Lalibela, Ethiopia (CNN) -- It's 4 o'clock on a Sunday morning when a trail of figures dressed in white emerges from the deep darkness. Quietly, the summoned crowd makes its way down a cluster of ancient structures as the slow beat from traditional skin drums beckons.

It's a common scene here in Lalibela, a small town in northern Ethiopia that's home to 11 spectacular churches carved both inside and out from a single rock some 900 years ago. The chiseled creations have turned this mountain town into a place of pride and pilgrimage for worshipers of the Ethiopian Orthodox Church, attracting 80,000 to 100,000 visitors every year.

"It is one of the very important places for the Ethiopian Orthodox Church people," says local guide Fikru Woldegiorgis, who's lived here most of his life. "There is a belief that Lalibela pilgrims share the same blessing as pilgrims to Jerusalem," he explains. "They have to come at least once in a lifetime."

And they come from all over.

Even though Lalibela sits in a remote region of Ethiopia, the faithful will walk for days, even weeks, to get here, many of them traversing the rugged mountains barefoot. Amongst them, blind men and women and people with disabilities also join the pilgrimage, making their way along Lalibela's winding, hilly roads to reach the sacred site.

"What makes the Lalibela churches important is that they are still in use," says Woldegiorgis. "It's not a museum; it's a living heritage. Every day, every morning, there is a service in all the churches."

Brimming with spirituality

Ethiopia is home to one of the oldest Christian churches in the world, dating back to the early fourth century. The Ethiopian Orthodox Church used to be a part of Egypt's Coptic Church, but established its own patriarch in 1959. Today, nearly two thirds of the East African country's population is Christian, with most belonging to the Orthodox Church.

Read this: Will African coins rewrite Australian history?

Nowhere does the spirituality of the church's followers echo louder than in Lalibela. The town is brimming with devotion; throughout the churches' compound, you'll find worshipers leaning against the structures, kissing the age-old rock walls, praying quietly or reading religious texts.

"They come early to get the blessing -- because it's such a big deal, every inch of the place is packed," says Aba Gebreyesus, the priest who presides over all the churches in Lalibela. "People are so happy with the blessings they get here, they come here without any prompting and spend their nights and days at the church."

Distinctive monuments

The medieval structures were commissioned by King Lalibela, of the Zagwe Dynasty, which ruled much of the country back in the 12th century.

There are several stories surrounding the creation of the churches, one of which says that humans worked during the day and angels would speed up the building overnight. Some historians say construction was completed at a remarkable pace, taking about 23 years.

Watch this: Why do Rastafarians love Ethiopia?

Carved out of volcanic tuff rock, the famous churches have been built in a variety of styles. Some of them were chiseled into the face of the rock, where others stand as isolated blocks, like the iconic church of Saint George, constructed in the shape of the cross. A complex and extensive system of drainage ditches, tunnels and subterranean passageways connects the underground structures.

Alebachev Retta, an 86-year-old church scholar who has studied in some of Ethiopia's holiest cities, explains what makes these churches so distinctive. "They are different because they were built from the top down," he says. "Everywhere in the world, structures are built from the ground up," he adds. "There is nothing comparable in the world."

Living legacy

Thanks to their impressive architecture and rich influence on Ethiopian Christianity, the churches have been a UNESCO World Heritage Site since 1978. Five years ago, UNESCO decided to erect protective coverings to shield four of the churches from the elements. The shelters may be unsightly, but experts say they are critical to preserving the integrity of the churches.

In recent years, a conscious effort to develop Lalibela's infrastructure has also brought further attention to this remote place, leading to the arrival of even more pilgrims and tourists.

Retta says he's seen positive changes in Lalibela over the years. He says he's especially content with how it's become a worldwide tourist destination.

"One, because the country's culture should be shown, and secondly, many poor people in the area are being helped," he says. "Everyone is making a living through the tourism business. It's great; without the tourists, there is no salary for anyone. If the tourists stopped, everything will stop."

But that doesn't seem likely, as visitors keep on coming to Lalibela's churches. And although the sacred sites provide a solid foundation for the faithful, it's the followers themselves that ultimately breathe life into these ancient rock walls.

@highlight

Small town of Lalibela is a religious and pilgrimage center in Ethiopia

@highlight

Lalibela is famous for its 11 rock-hewn churches built 900 years ago

@highlight

It attracts tens of thousands of visitors every year

@highlight

Lalibela has been a UNESCO World Heritage Site since 1978