(CNN Student News) -- The following resource contains answers to some of the most frequently asked questions about the Electoral College.

Who actually elects the president of the United States?

When voters go to the polls on Election Day, they do not vote directly for a presidential candidate. Instead, they cast their votes for a slate of electors who have been given the authority by the United States Constitution to elect the president and vice president. The electors are known collectively as the Electoral College. At the Constitutional Convention of 1787, delegates debated the manner in which the president of the United States was to be elected. Some argued that the Congress should select the president, while other proposals recommended election by the people, the governors of the states or state legislatures. A compromise was reached in what became known as the Electoral College. Technically, it is these electors, and not the American voters, who elect the president.

Why the Electoral College instead of direct vote by the people?

The Constitution's framers established the Electoral College as a way to avoid the direct popular election of the president. Some of the Constitution's authors did not trust the ability of the common voter to make the "right" decision, so they devised the Electoral College as one way of lessening the power of the popular vote.

How does the Electoral College work?

The Electoral College, as established by the U.S. Constitution, currently includes 538 members: one for each U.S. senator and representative and three for the District of Columbia (under the 23rd Amendment of 1961). Each state is allocated a number of electors equal to the number of its U.S. senators (always 2) plus the number of its members in the U.S. House of Representatives (based on population, this is subject to change with the Census every ten years). So, the breakdown of electors is as follows:

100 Senate seats + 435 House of Representative seats + 3 Washington, D.C. = 538 total electors

Since the number of electors per state varies by population, California holds the most electors with 55. Several states have only three electors, which is the smallest number a state can have based on the formula described above. For any presidential candidate to win, he or she must gain a majority of the 538 votes, or the magic number of 270. If no one candidate reaches 270 electoral votes, the election is thrown into the House of Representatives to be decided (under the 12th Amendment of 1804). This has happened twice in U.S. history, both in the 19th century, but the scenario could conceivably become reality in modern times with a popular third-party candidate gathering some of the electoral votes and siphoning them away from the other two candidates.

How are presidential electors selected?

Article II, section 1 of the Constitution provides that, "No Senator or Representative, or person holding an office of trust or profit under the United States shall be appointed an elector." Aside from this disqualification, any person is qualified to be an elector for president and vice president.

The Constitution does not specify procedures for nominating candidates for presidential electors. Thirty-six states nominate their elector candidates by state party convention, and ten of the states nominate their electors by state party committee. Generally, elector candidates tend to be prominent state and local officeholders, party activists and other citizens associated with the party for which they are nominated.

The Constitution left the method of selecting electors and of awarding electoral votes to the States. In the early years of the Republic, many states provided for selection of electors by the state legislatures. Since 1864, all states have provided for popular election of electors for president and vice president.

In 48 states and the District of Columbia, the presidential candidate who gets the most votes wins all the electoral votes in that state. This is known as the "general ticket" or "winner take all" system. Currently, Maine and Nebraska provide the only exception to the "winner take all" method, awarding one electoral vote to the ticket gaining the most votes in each of the states' congressional districts, and awarding the remaining two (representing their senatorial allotment) to the winners of the most votes statewide. This variation, called the "direct system," was more widely used in the 19th century.

Can a candidate win the popular vote but lose the election?

Under the "winner take all" system, it is possible for a candidate to win several large states and some smaller ones and get the magic number of 270, but have fewer popular votes nationwide than his or her opponent. Popular vote winners have failed to win the presidency on four occasions since the adoption of the 12th Amendment: in 1824, 1876, 1888 and 2000. In 1824, the electoral vote was split among four candidates, necessitating election by the House of Representatives, which chose the popular vote runner-up. In 1876, due to contested returns from four states, Congress set up an electoral commission which awarded the disputed votes to the apparent popular vote runner-up, resulting in a one-vote margin in the Electoral College. In 1888, the apparent popular vote runner-up won a comfortable Electoral College majority. In 2000, the popular vote winner lost in the Electoral College after the outcome of a contested vote in Florida.

When does all of this take place?

On the Tuesday following the first Monday of November, in years divisible by four. According to the U.S. Constitution, voters in each state cast their ballots for the party slate of electors who represent their choice for president and vice president. Whichever party wins that state's popular vote for president receives the elector votes for that state.

On the Monday following the second Wednesday of December, by federal law, each state's electors meet in their respective capitals and cast their votes, one for president and one for vice president. These electoral votes are sealed and transmitted from each state to the president of the Senate, who, on the following January 6, opens and reads them before both houses of Congress. The candidate for president who has attained the majority of electoral votes (270) is then declared the president.

The new president and vice president are sworn in at noon on January 20.

What are some arguments for and against the Electoral College?

For:

Against:

(Sources: The National Archives and the CRS Report for Congress)

@highlight

Use this information to learn about the Electoral College