Money was no object when the time came for Joan Lunden to find a senior care facility for her 88-year-old mother.

For years, the former host of "Good Morning America" had been a long-distance caregiver to her mother and brother in California, providing them with emotional and financial support from New York. After her brother's death in 2006 from complications from type II diabetes, Lunden needed to find a new home for her mother, who was suffering from the onset of dementia.

Trying to create the best possible quality of life for an aging relative is "the new normal" for 43.5 million Americans caring for someone older than 50, according to the Family Caregiver Alliance.

It's not just their parents: With about 10,000 baby boomers hitting age 65 each day, they're becoming caregivers and also those needing care. With people living longer than ever, this is the first generation that might care for its parents as long as it cared for its children, experts said.

"Now that more baby boomers are aging, the issue of family caregiving is becoming much more commonplace. We call it the 'new normal,'" said Lynn Feinberg, senior policy adviser for AARP.

Building relationships amid memory loss

Lunden flew from New York to Sacramento and drove around in search of a new home for her mom. She settled on an apartment in one of the fanciest senior communities in town, where her mother, Gladyce, would have the option of entertaining guests in her home or meeting other residents in a ballroom-style dining space.

It didn't take long for Lunden to realize that she'd chosen a place for the mother she knew 15 years ago, not the one who had been depending on her brother for the last decade. Her mother didn't want to spend time with other residents, nor was she capable of living on her own.

"On paper, it was spectacular, but it didn't serve her needs at all," Lunden said. "She was completely stressed out and her emotional situation was deteriorating because she didn't feel safe... she couldn't operate on her own on a daily basis."

It took several falls, a few broken bones and three more moves to find the right place. She now shares a ranch-style home with four others in a small residential care facility. There's a health care aide on site at all times to help her get dressed or take care of daily needs.

"She needed more hands-on, day-to-day care," Lunden said. "I didn't understand that because I wasn't living with her."

Caregiving responsibilities vary with each family. It could mean driving an aunt to physician appointments, managing medication for a spouse or keeping tabs on mom from afar using the latest technology.

The average caregiver in 2009 was a 49-year-old woman who had a job outside the home and spent nearly 20 hours per week providing unpaid care to her mother, according to a 2011 AARP Public Policy Institute study.

The report estimated the overall economic value of family caregiving at $450 billion, based on 42.1 million caregivers 18 or older providing an average of 18.4 hours of care per week.

Many don't see themselves as caregivers but simply spouses, children or siblings doing what's expected. For that reason, they often fail to use resources that might help their relative or themselves, Lunden said.

The first step is acknowledging the need and seeking help, ideally, before entering crisis mode, she and other experts said.

"This is the nation's next big health crisis," Lunden said. "We have to get focused and tuned in because if we're clueless, we're going to get hit upside the head when it happens in the middle of a family emergency."

Caregiving is also much more complicated than it was in previous generations because of fragmentation within the health care system, with several doctors often required to treat one person, said AARP's Feinberg. Cutbacks in long-term and community-based services have also put a strain on families to do more individually.

"There is a greater awareness about these issues and the joys and struggles of family caregivers," Feinberg said. "But we have a long way to go to develop policy solutions to make life better for families."

Lunden's experience inspired her to share the trials, tribulations and rewards of family caregiving. She wrote a "Chicken Soup for Soul" on caregiving and tours the country giving talks on the topic.

It starts with a conversation, ideally, before a health crisis occurs, to get everyone on the same page, she said.

"Nobody wants to talk about their mortality or think about themselves getting old," Lunden said. "There's the thought that you go straight to the nursing home to die and that's not the case."

There are questions everyone should ask, she said.

Does your loved one have advanced health care insurance? How much does it cover and how long does it last? What about an advanced health care directive or a will? Where's the mortgage, the title to the car, stocks and bonds? Who in the family should have power of attorney, legal and medical, to keep track of end of life wishes and ensure they're carried out?

AARP's 35 questions for an aging parent

Lunden didn't have the answers when she found herself urgently searching for a new residence for her mother. She realized later she spent time digging through piles of books and magazines looking for her mother's license when she should have been talking to her about what she wanted in a new home.

The situation took a turn for the better when she connected with a senior advocate. They talked about her mother's medical condition, level of independence, behavioral tics, nutritional needs and hobbies. They also talked about location and financial resources to narrow the options.

"It's a process and you need to become educated about what the options are [because] the first step is not likely to be the last step," said Carol Kalmanoff, an adviser with the referral service, "A Place for Mom," which helps families find the best senior living options for their needs and budget.

Options range from independent living communities to personal care homes to facilities for memory and dementia care, she said. The facility Lunden chose for her mother is an affiliate of "A Place for Mom," and Lunden is a spokeswoman for the company.

Many people only make the call during a medical emergency, and often, they don't know the extent of what they're dealing with.

"We talk about need to be persistent because the whole thought of change and moving is very scary and stressful for family members, too," she said. "We try to help them approach it one step at a time and keep a sense of humor. It's important to be able to do that."

And, with people living longer, healthier lives, retirement takes many forms, she said.

"What today's seniors associate a nursing home with is what they saw parents growing up with," she said. "But in reality, it could mean so many things."

When moving is not necessary or financially feasible, a variety of home-based options exist, said Lisa Winstel with the National Family Caregivers Association. Simple home modifications, like grab guards in the bathroom, can make a big contribution toward independent living. Virtual monitoring systems can also be used to transmit information such as blood pressure to caregivers living in other states or health care providers.

"People are living active lives longer and engaging in society," she said. "Family caregivers can make that possible even from a distance."

The National Family Caregivers Association is one of several groups designed to help caregivers find resources for loved ones and themselves. It also provides tips on how to communicate effectively with health care professionals and doctors, the best starting point for determining if assisted living might be necessary, she said.

Other resources, such as AARP and Local Area Agencies on Aging, part of the National Association of Area Agencies on Aging, also provide community-based services and advice, she said.

Finding the right place not only improved her mother's quality of life, but Lunden's also. Symptoms associated with her mother's dementia have abated and she seems happy, Lunden said.

"When it's a parent or husband or wife, you just want to know they're going to go to sleep at night and feel safe," she said. "I know that every moment of the day and night she's safeguarded... it's the best gift a parent can give a caregiver."

@highlight

Experts: Boomers might spend as many years caring for parents as they did their children

@highlight

Caregivers need to talk to loved ones and develop plans before crisis hits, Joan Lunden says

@highlight

Referral services, senior advocates, Web-based resources can help families

@highlight

AARP: Average caregiver in 2009 spent 20 hours a week caring for mom