Eighty years -- that's about how long it took the state of Alabama to posthumously pardon the last three of nine men who were falsely accused and wrongly convicted of raping two white women on a train. They infamously were called the Scottsboro Boys, because the nine black men were just 12- to 19-years-old when they were arrested in 1931.

It turned out that the women, Ruby Bates and Victoria Price, had lied to police about the rapes. At one of the trials, Bates recanted her testimony, saying she had made it all up. Still, the all-white jury convicted the boys, one after another.

Forty-three years later, a similar story: This time it was Delbert Tibbs, who died recently of cancer. Tibbs spent nearly three years in prison in Florida after he was convicted in 1974 of a rape and murder that he had nothing to do with, according to the Florida Supreme Court.

Ancient history, you say? We've moved past those shameful days of unequal justice, you insist. Think again.

In 2012, according to the FBI, nearly 87,000 "forcible rapes" were reported. That's down 7% from the number of rapes reported in 2008. Law enforcement agencies estimate that the number of false rape accusations ranges from 2% to 8% annually, or between 2,000 and 7,000 cases each year.

Exact numbers are difficult to track because of the lack of in-depth research on false rape cases and because of the varying definitions of what constitutes an "unfounded" rape claim. It can mean the alleged victim did not try to fight off the suspect or suffer injuries, was not threatened with a weapon or the victim and perpetrator had a previous relationship.

Law enforcement experts agree that rapes are widely underreported, and no one is suggesting that violence against women isn't a serious problem. But experts do not dispute that false rape accusations can and do happen. Many of those innocent men end up in prison or with lives shattered.

One of the unfortunate statistics

In 2002, Brian Banks was one of those unfortunate statistics. He was just 17 when a classmate, Wanetta Gibson, 15, falsely accused him of raping her at school. Banks, then a top football talent, spent more than five years in prison and five years on probation for rape and kidnapping.

He was exonerated after he got his accuser to admit on tape that she lied about the rape. Banks later explained that his attorney had advised him to take a plea bargain and avoid a jury trial because "... I was a big black teenager, and no jury would believe anything I said."

The Long Beach Unified School District sued his accuser, and she has been ordered to repay the $750,000 she was awarded in a lawsuit against the district.

It seems more men who insist they have been falsely accused of rape are trying a new tactic: suing their accusers in civil court, mostly for defamation. They are seeking to repair their ruined lives, save their careers and clear their names. Make no mistake, I could never defend men who rape and believe even harsher penalties are needed for rapists. But I can understand why some men are opting to fight back. And I even agree with this strategy in some cases.

TechCrunch founder Michael Arrington is fighting back. Arrington is suing his ex-girlfriend, Jennifer Allen, after she accused him in 2012 on Facebook and Twitter posts of  physically abusing her and raping one of her friends (who later denied this). The case is pending.

Recently, it sounded as if Heisman Trophy winner and Florida State quarterback Jameis Winston, who was accused of raping a fellow student, and his legal team were also considering this strategy. His attorney, Tim Jansen, said that they have not ruled out a civil suit of their own.

"His reputation is important to him," Jansen said after his client was cleared when the state attorney said no charges would be filed. "His career is important to him."

The accuser's attorney has requested a review of the case by the Florida attorney general's office and argues that the Tallahassee Police Department tried to stymie the rape investigation of the star athlete.

Throughout the investigation, Winston insisted that the sex was consensual. And his unidentified accuser equally insisted she was raped but was heavily intoxicated and had a "broken memory" of events. However, toxicology reports found no drugs in her system and very low alcohol levels. Complicating the case further, Winston's DNA was found on the woman's underwear and a second DNA sample, reportedly from her boyfriend, was found on her shorts.

No simple solution to clearing your name

Admittedly, my initial reaction to hearing no charges would be filed was relief. For me, the case was troubling on both sides. And though I'm no lawyer, I thought: "Winston should sue his accuser. If he's really innocent, he should prove it and clear his name."

But it may not be that simple. Xavier Donaldson, a defense attorney and former assistant district attorney in New York, warns that while initiating these lawsuits against accusers may seem like a good way for men who are wrongly accused to get justice, he'd be hard-pressed to advise any of his clients to pursue this strategy.

"It's a very sensitive issue, and these suits should be extremely case specific, extremely rare. ... You can't win these cases, too much backlash," Donaldson said.

His advice to Winston: "Move on with your life, remain above the scandal, and focus on school and following your dream to play in the NFL."

I asked Donaldson what about the thousands of men who are wrongly accused -- just ignore them?

"Look, I tell my clients innocent before proven guilty is not reality. It's more of a marketing slogan to promote faith in our justice system; without that premise, the system would fall apart," he said. He also said it could  "discourage too many from reporting real rapes."

It sounds to me like ancient history repeating itself. It sounds to me like we  have a very long way to go before there's justice for all.

@highlight

Roxanne Jones:  2% to 8% of rape accusations are "unfounded"

@highlight

Jones: Some men who insist they've been falsely accused are suing accusers in civil court

@highlight

Jones asks if Jameis Winston is innocent, shouldn't he sue his accuser to prove it?

@highlight

It's more complicated than that, she says. You can't win, it could end in a backlash