(CNN) -- The White House may be the official residence of the U.S. president, but it's only a temporary address. The former homes and libraries of presidents offer an inside look into the lives of the select few who served as the nation's leader.

Nearly 80 million visitors have toured Mount Vernon, George Washington's home in Virginia.

From simple log cabins to expansive estates, hundreds of presidential homes and historical sites are open to the public. Visitors can read the love letters between Harry Truman and his wife, Bess, examine hand-drawn maps by Herbert Hoover or eye the tintype photograph of young wife Lucy that Rutherford B. Hayes carried with him daily on Civil War battlefields and later in the White House.

As we witness a new leader take office and celebrate past commanders-in-chief on President's Day this month, CNN asked William Clotworthy, author of "Homes and Libraries of the Presidents," to recommend five places for travelers to see a very human side of history's presidents.

Lincoln's birthplace

There's more than split rails at the Abraham Lincoln Birthplace National Historic Site in Hodgenville, Kentucky. The site, run by the National Park Service, offers exhibits and walking tours so the visitor can experience a little of the frontier life that shaped the nation's 16th president.

The centerpiece is the large marble and granite Lincoln Memorial Building, which houses a small and humble log cabin. The cabin is not actually Lincoln's birth cabin -- that has been lost to history -- but it does try to replicate as closely as possible the tiny and primitive surroundings that sheltered the future commander in chief.

"There's something about the Lincoln log cabin," Clotworthy said. "I think it's an inspiration that a man born in a log cabin ... grew up to become president of the United States. I know it's corny, but that's what I find inspiring." iReport.com: See Lincoln's childhood home after an ice storm

This February 12, the bicentennial of Lincoln's birth, events are planned around the park and the Hodgenville area, including a ceremony presenting new Lincoln pennies for circulation and the dedication of a second replica log cabin.

Reagan library

Ronald Reagan's final resting place can also be an excellent starting point for those curious about his life. The Ronald Reagan Presidential Library and Museum in Simi Valley, California, not only houses all Reagan's official presidential papers and records, but also includes such personal objects as his college letter sweater, movie memorabilia from his film career and even a glass jelly bean jar.

From his presidential life, highlights include a section of the Berlin Wall presented by the people of Germany and a walk inside Air Force One -- one of Clotworthy's favorite experiences.

"They have built a glass-enclosed pavilion" for the Boeing 707 used by Reagan, he said "and you stand there and you get the impression you're flying. It's fabulous." Visitors are able to peek inside the president and first lady's cabins, the galleys and cockpit. On the lower level, an entire pub from Ireland that Reagan visited was shipped over in 2004 and is now a snack shop.

Mount Vernon

Home to George Washington for most of his adult life, Mount Vernon in Virginia has been open to a curious public since 1860. Nearly 80 million visitors have toured the first president's home since then, making it the most popular historic home in the United States. On Presidents' Day, admission is free.

Today, visitors can tour the meticulously restored mansion, tour the four gardens, hike the nature trail or explore personal artifacts such as the first president's shoes or his favorite swivel chair in a vast state-of-the-art museum on the grounds.

Also in the museum are new life-size models of Washington, so visitors can get a glimpse of what the future Founding Father was like as a teenager.

"There are no real pictures or ideas of what Washington looked like before he was 45 years old, so [anthropologists] made a study of existing pictures, his teeth, his hair and they've now built these incredible figures of Washington as a younger man," Clotworthy said.

Jackson's Hermitage

Inspired by the success of the women's organization that opened Mount Vernon to the public, a similar group in Nashville, Tennessee, saved Andrew Jackson's home from ruin in 1889.

Today, Hermitage visitors can tour the mansion, stroll the formal gardens, examine slave cabins and see the original log cabin where the Jacksons lived for a time. A robust visitor's center tells the life story of Jackson, or "Old Hickory," from hell-raising youth to feisty frontier battler of the British to powerful president.

Besides tours and exhibits, summer visitors can also watch excavations as Hermitage archaeologists uncover some of the estimated 100 buildings on the grounds. A standout of the Hermitage is its many educational programs for the public, including a "hands-on-history" class for kids.

FDR's home

When it comes to touring presidential lives, the Franklin D. Roosevelt  complex of sites in Hyde Park, New York, offers travelers one-stop shopping -- the lifelong home of a president, a museum and official presidential library all within walking distance of each other.

Roosevelt was born and spent most of his life at Springwood Mansion, which offers visitors a look at the personal side of the only four-term president, including wheelchair ramps installed after Roosevelt contracted polio in 1921.

On the same grounds is the FDR Presidential Library and Museum, the first presidential library and one Roosevelt designed himself. Among the museum highlights are a 1936 roadster fitted with hand controls so the president could drive himself, his White House desk as he left it (including a pack of Camel cigarettes and Roget's thesaurus) and even objects from his childhood (the future author of the New Deal had quite the snazzy rocking horse).

Also part of the complex are a cottage designed by FDR as a retreat in 1939, expansive gardens and grounds by the Hudson River, and a visitor center that plays an orientation film, "A Rendezvous with History" -- which is what travelers can plan on when visiting the nation's presidential sites.

@highlight

The Lincoln birthplace features a replica of the log cabin where Lincoln was born

@highlight

At the Reagan library, visitors can peek in the Boeing 707 used by the 40th president

@highlight

Springwood Mansion shows visitors a personal side of the only four-term president