Less than an hour after he fired off an angry letter to Catholic Church leaders about their handling of Argentina's same-sex marriage debate, Marcelo Marquez says his phone rang.

He was surprised to hear the voice on the other end of the line. It was Jorge Mario Bergoglio, then the archbishop of Buenos Aires, and now the pope.

What Bergoglio said to him at a meeting soon afterward that year, 2010, was even more surprising, Marquez said.

For months, church officials had made sharp, public criticisms of the push to legalize same-sex marriage in the South American country. But privately, Bergoglio seemed to be more open to discussion, according to Marquez.

5 things to know about Pope Francis

"He told me. ... 'I'm in favor of gay rights and in any case, I also favor civil unions for homosexuals, but I believe that Argentina is not yet ready for a gay marriage law,'" said Marquez, a gay rights activist, a self-described devout Catholic and a former theology professor at a Catholic seminary.

The pope's reported willingness behind-the-scenes to accept civil unions as a compromise may offer new insight into how he will lead the world's 1.2 billion Catholics.

A public battle

As archbishop of Buenos Aires, Bergoglio was one of the leaders of the Catholic Church's public charge against legalizing same-sex marriage in Argentina. He engaged in a notorious war of words with the government of President Cristina Fernandez de Kirchner, who supported the measure.

Bergoglio put himself in the middle of the fight, calling the proposed legislation "a destructive attack on God's plan."

With a front-page counterpunch, the president said the church possessed "attitudes reminiscent of medieval times and the Inquisition."

Some point to the public battle as evidence of Bergoglio's traditionalist views.

But behind closed doors, Marquez said, the man who would become pope appeared to be more open to discussion of the issue.

In another meeting, Bergoglio told him he had always treated gay people with respect and dignity.

World reacts to new pope

"I have accompanied many homosexual people during my career to tend to their spiritual needs," Bergoglio said at the time, according to Marquez.

Pope was 'very open, very frank'

Bergoglio, who chose the name Pope Francis after he was elected pontiff last week, may have voiced his support for civil unions in other circles.

Andres Albertsen, a former pastor of the Danish Church in Buenos Aires, said Bergoglio made similar comments about civil unions to him in a private meeting.

"In this conversation that we had, he showed himself to be very open, very frank with me," Albertsen told CNN en Español on Wednesday. "He told me that he would have accepted a civil union."

According to a story published by The New York Times on Wednesday, Bergoglio also told bishops at a 2010 meeting that the church should support civil unions for gay couples.

CNN could not independently confirm the details of the Argentine bishops' meeting, which was also described in a July 2010 article published by Argentina's Clarin newspaper.

"Bergoglio -- faithful to his moderate position -- proposed continuing measured actions. ... He would suggest, also, that the church discreetly accept the intermediate alternative of the civil union -- authorizing a series of rights (inheritance, social work) -- that would not equate to marriage nor permit adoption," wrote journalist Sergio Rubin -- now Bergoglio's biographer.

But that proposal was rejected by bishops, who voted instead to begin a high-profile, public battle against same-sex marriage, Rubin wrote.

Pushing for dialogue

A senior Vatican official said he could neither confirm nor deny The New York Times report at this point, adding that while Pope Francis might have expressed such a view while he was a cardinal, he should be given time to develop his policy position as pontiff.

Alejandro Russo, the rector of the Metropolitan Cathedral in Buenos Aires, said it was unlikely the pope had ever expressed such a view, even in private.

In 2007, Bergoglio publicly criticized Buenos Aires' government for allowing civil unions, Russo said. His relationship with the mayor of Buenos Aires soured over the matter.

Gay rights advocates in Argentina later argued that civil unions, allowed in a several states, were a positive step that conferred some benefits to same-sex couples, but didn't go far enough. The same-sex marriage measure, they said, would treat homosexual and heterosexual relationships equally before the law. It would permit gay couples to adopt, and also allow the inheritance of property.

Argentina approved a law legalizing same-sex marriage nationwide in July 2010.

Even though Bergoglio was one of the law's most well known opponents, Marquez said on Wednesday that he hopes the pontiff will remain open to discussion, just as he appeared to be several years ago in Buenos Aires.

"We are going to try to have a dialogue with the pope," said Marquez, who works for Argentina's National Institute Against Discrimination. "It's frightening, but I think it must be done."

'He's really moderate on this issue'

Word of the pope's reported support for civil unions in Argentina sparked debate, with some praising his stance and saying it was a hopeful sign of possible reforms.

"He wanted to respect human rights. That's the real surprise here, that people say, well he's anti-gay. You can be anti-gay marriage and not be anti-gay, and I think there's a distinction here," said the Rev. Edward Beck, a CNN contributor and host of "The Sunday Mass" on ABC Family. "He's really moderate on this issue, it seems."

Others, though, were more skeptical.

One Argentine journalist said Wednesday that he wasn't quite ready to celebrate.

In an article titled, "Francis, the pope that declares war on us and later calls us on the phone," journalist Bruno Bimbi said it wasn't clear how the pope will handle the issue of same-sex unions.

"Maybe the lion has become a lamb. Maybe, as a priest told me the day his election was announced, maybe he is worried about his biography and wants to go down in history. I do not know," Bimbi wrote. "Whatever he does, this time he won't be able to blame others for the pressures. Now he's in charge."

Catholics: 5 ways for Francis to move forward

@highlight

An activist and a pastor say the pope told them he supported civil unions in Argentina

@highlight

Reports say the pope also pushed bishops to support the idea at a 2010 meeting

@highlight

As archbishop of Buenos Aires, the pope was a vocal opponent to same-sex marriage

@highlight

The pope once called same-sex marriage "a destructive attack on God's plan"