(CNN) -- As the Iranian people get ready to cast their votes for one of the six remaining presidential candidates, as vetted by the country's Supreme Leader and the Guardian Council, a free election is under way in the virtual world -- where technology and the Internet are creating an alternative platform for Iranians to raise their voices.

With just days until the June 14 election, a cyber-voting space is running a "virtual election." This campaign -- free from the Islamic regime's constraints -- is helping to provide a virtual space for voters inside Iran to "freely" choose their preferred candidate.

Russian chess legend Garry Kasparov is leading this effort, known as the "We Choose" campaign. He is joined by other internationally recognized former government officials, human rights advocates and technology experts.

"Democracy is both a political right and a human right," said Kasparov, chairman of the We Choose global committee.

"The Universal Declaration of Human Rights, which Iran has also signed, declares that the will of the people shall be expressed in periodic and genuine elections -- which are not the case in the current system of Iran, so if we want to understand the real opinion of the Iranian people, we need to give them an alternative platform to vote and to express their preferences," he said.

After the 2009 election many Iranians protested against Ahmadinejad's re-election alleging severe voting fraud. Soon after, the opposition was systematically crushed by regime forces, which left the massive movement for change in Iran shattered.

Read more: Repressed voices speak out in Iran

"Such 'parallel institutions' as We Choose give people space to express their will and grievances freely -- it's also what we called a 'low risk tactic' of dispersion as opposed to 'high risk tactic' of concentration, such as mass rallies and protests," said Srdja Popovic, a Serbian lawyer and political activist whose creative opposition tactics helped topple the government of Slobodan Milosevic in 2000.

He adds that such tactics are suitable for societies with high levels of oppression and fear, "and Khamenei's Iran is unfortunately exactly like that."

Popovic is the founder of the Center for Applied Non-Violent Action and Strategies (CANVAS). According to the Atlantic, the young Iranians protesting against Mahmoud Ahmadinejad's re-election in 2009 downloaded 17,000 copies of Popovic's guide to nonviolent action.

"People are not satisfied with the Iranian election inside Iran because of the election process, there is no independent monitoring, and there is no international supervision, so the election is not free and fair." said Reza Ghazinouri, a young Iranian who fled Iran after expressing opposition toward the regime in the 2009 election aftermath.

Like many of his friends inside Iran, Reza believes people are disappointed with this upcoming election, where they feel their voices cannot be heard.

Aspiring to help raise the Iranian people's voices, We Choose claims to provide a secure space, where aside from the official nominees, there are 12 other candidates that represent a wide range of socio-political perspectives.

Former reformists and Green Movement representatives Mir Hossein Mousavi and Mehdi Karroubi, who the Iranian regime currently has under house arrest, are among the 12 "virtual candidates."

Representing views from outside Iran, Reza Pahlavi, Iran's heir to the Pahlavi monarchy is another candidate, as well controversial figures like Mariam Rajavi, President of the National Council of Resistance of Iran or Mojahedin-e Khalq (MEK). The U.S. removed Rajavi's organization from its list of Foreign Terrorist Organizations last year.

Read more: Iranian exile group removed from U.S. terror list

"While there are an enormous number of possible candidates, our list of 20 candidates is representative of the broad political spectrum and not just chosen from a single political ideology." Kasparov told CNN, suggesting "this process can be a step forward towards building a healthy and strong civil society in Iran, which promotes democracy and freedom."

We Choose also listed Nasrin Sotoudeh, an Iranian human rights lawyer currently jailed in Tehran's Evin prison among its candidates. Former president Ali Akbar Hashemi-Rafsanjani and Ahmadinejad's protege Esfandiar Rahim Mashaei - both disqualified from this year's race by the Guardian Council - are also among the 20 candidates.

A similar virtual voting platform was applied in Russia during the October 2012 elections, which was also headed by Kasparov and Leonid Volkov -- the architect of the design team behind the virtual election platform. The Russian cyber election voicing opposition to Vladimir Putin resulted in 82,000 participant voters.

As the Iranian government tightens cyberspace access and begins monitoring of Internet activities, satellite space, and mobile communication ahead of the election, these virtual campaigners say they have created a cyber security system that cannot be monitored or hacked by the regime.

Read more: Iran tightens grip on cyberspace

"The system we have created for the Iranian election is arguably the most secure and sophisticated platform of its kind ever developed," said Volkov. "The Iranian people will be able to cast their 'virtual' votes without worrying about a knock on the door in the night."

This technology is exclusive to Iranians inside Iran who can use their mobile phones to cast their votes by SMS. Phil Zimmermann's cyber-security firm Silent Circle helped to ensure anonymity for voters and the "one vote for one person" process.

Kasparov also told CNN the biggest challenge for the virtual platform was "finding the right balance between maximum security for the voters, and thereby ensuring safety through anonymity, and protecting the reliability of the results by preventing mass manipulation."

While many still speculate about the success of this campaign and challenges to internet access and cell-phone use in Iran, Nazie Eftekhari one of the Iranian-American community's leading voices and co-founder of The Foundation for the Children of Iran, believes history belongs to those who show up and support creative ways that support democracy and reform.

"If you look at Tunisia and Egypt, it all started as a Twitter and Facebook campaign. Back in the days, wars and change began with shots and gunfire around the world, but nowadays it could be one SMS that could be heard around the world and create change."

Eftekhari is also a board member of the We Choose global committee, as are NASA scientist Firouz Naderi, renowned historian Francis Fukiyama and six other internationally recognized figures.

Only one day into the start of this virtual election on June 7, almost 500 people voted inside Iran. An Iranian voter who asked to remain anonymous created a blog post to show other Iranians the process through which he cast his SMS vote.

The blogger also publicized how voting cannot go through some mobile-service providers in Tehran. We Choose technicians said that his post helped their cyber security team trouble shoot the technical glitch and continue to improve voting.

Inside Iran, Osoolgara, a website close to the Supreme Leader has condemned this campaign and called it a "CIA operation against the Islamic Republic of Iran, that is led by one of its agents Garry Kasparov." Other Iranian-government news agencies including Fars News and Mashregh are calling this effort a CIA operation that is aiming to hurt the Islamic Regime.

Today, virtual elections and characters have created new rallying fields that compete with the Islamic regime.

This virtual election continues until June 13, where the "virtual winner" will be announced on the morning of the actual Iranian presidential election on June 14.

"I want to send a message of hope to the people of Iran and to show them that the whole world is watching what happens there," Kasparov told CNN, a message he hopes can potentially model an opportunity to "operationalize democracy in nations where people are not able to express their true political views."

Read more: Iran presidential candidates 'cry for overhaul of foreign policy'

@highlight

Iranians will vote for a new president -- one of six approved candidates -- on June 14

@highlight

Alongside the real election, a cyber-voting space is running a "virtual election"

@highlight

"We Choose" includes extra candidates and aims to avoid interference by Iran's regime

@highlight

"Democracy is both a political right and a human right," says founder Garry Kasparov