How to react to Iran's new smiley-faced president, Hassan Rouhani?

Smile back, but don't stop squeezing Iran with sanctions.

Rouhani has offered a series of positive gestures since taking office in early August. He has released some political prisoners. He sent New Year's greetings to Jews in Iran and around the world. He took a phone call from the president of the United States.

Does any of this portend real change in Iran?

The case for skepticism is strong. None of the regime has changed in any way. Iran continues to make mischief through the region, most horrifically by supporting the brutal actions of the Bashar al-Assad regime in Syria. As far as anyone can tell, Iran pursues nuclear weapons as determinedly as ever.

Rouhani himself is no liberal and no Democrat. An early supporter of the Ayatollah Khomeini, Rouhani held senior positions in the Iranian state during the regime's most vicious period of international terrorism, the early 1990s - the years in which Iranian-backed terrorists carried out assassinations in Berlin and Paris and carried out two terrible bombings of Jewish targets in Buenos Aires, killing 114 people and wounding nearly a thousand more.

As Iran's chief nuclear negotiator in the 2000s, Rouhani nimbly evaded international efforts to achieve a peaceful end to the country's drive for weapons of mass death.

More fundamentally, the president of Iran does not govern the country's national security system. The military and the secret police answer to the supreme leader, the Ayatollah Khameini, who has very emphatic geopolitical ideas of his own. Compared with all that, a cheerful tweet and a few words of condemnation of Nazi crimes don't seem much of an offset.

So, caution.

But there is an "on the other hand."

On the other hand, sanctions have been biting Iran hard the past year. The currency has plunged in value, inflation rages, goods have become scarce in the shops. Iran's leaders have seen other authoritarian rulers swept from power in Egypt, Tunisia and Libya - and pushed to the very brink in Syria. Has Iran's leadership become frightened that it could fall victim to similar grievances? If anything, Iran's economic situation has deteriorated further and faster than that of any of the countries in which leaders were toppled.

Iranian elections are neither free nor fair. But Iranian elections do permit some controlled airing of public grievances. Rouhani has been quoted as saying that he does not approve of Iran's centrifuges spinning while the economy remains stagnant. As so often the case with him, these are very ambiguous words. Perhaps he means that he'd like to accelerate the spinning of both the centrifuges and the economy. Perhaps he is expressing a purely personal and ineffectual opinion.

But it's worth the effort to explore whether he and his colleagues might mean something more.

Western diplomats often succumb to the Iranian demand that we accept total responsibility for the Iran-West relationship while assigning Iran none. Last week, the New Yorker magazine indulged yet another example of this tendency when it quoted Ryan Crocker, former ambassador to Afghanistan and Iraq, as suggesting that we might have reached a deal with Iran in 2002 if only President George W.  Bush had not bruised the mullah's feelings with his "axis of evil" speech, in whose drafting I played a role.

The hope that some magic incantation might change Iran springs eternal, but states are more thick-skinned than that. They act for deep reasons of interest. Iran's policy toward the West originates inside the regime, and so will any changes of that policy.

If those changes have begun, the United States should be ready to recognize and welcome them. But there should be no mistaking why those changes have begun: economic pressure from Western-imposed sanctions and fear of American-backed military action. End the pressure and the fear prematurely, and the changes will end.

Iran's nuclear program must be closed down for good. Iran's long record of evasion and deceit requires more than mere promises - we must see decisive and irrevocable proof. Until Iran changes policy, we don't change policy. But if Iran changes its tone, we can change tone, too. A smile is a helpful start, so long as we all understand that it's only a start.

@highlight

David Frum: In face of Rouhani's moves, U.S. should smile back, keep up sanctions

@highlight

He says there's reason for skepticism; Rouhani has history in terrorism-backing regime

@highlight

He says Khameini holds the real power; still, there's hope some change may begin

@highlight

Frum: Iran has long record of deceit; for progress, nuke program must be shut down