(CNN) -- The U.S. Forest Service is urging hunters and fishermen to keep their eyes open for marijuana growing operations in Wisconsin's Chequamegon-Nicolet National Forest.

Since 2008, nine marijuana growing operations have been discovered on public land within the state. Most recently, in late August, a fisherman visiting the forest happened upon a marijuana field that netted more than 8,000 plants worth $8 million.

"The fisherman was walking along the banks of the Oconto River and noticed these patches that had been cleared and disturbed. Trees were down, things didn't look right, and he reported that to authorities, and a surveillance operation was established," said Jane Cliff, a spokeswoman for the U.S. Forest Service eastern region.

Marijuana legalization: Worth pursuing?

Approximately 150 federal, state, tribal and local law enforcement agents were involved in the sting that followed, leading to the arrest of seven people. All of the suspects pleaded guilty and are in prison awaiting trial. The suspects each face anywhere from 10 years to life in prison, a maximum fine of $10 million and five years to life of supervised release.

The Department of Justice could not comment on details of the investigation because the case is still working its way through the judicial system.

But this isn't the first time this has happened, the Forest Service says. It's actually the third big bust in three years at the forest, resulting in the eradication of more than 80,000 marijuana plants that were cultivated by large drug trafficking organizations. That's why authorities say they are reaching out to hunters in their regulation books and offering them training programs, warning them to be careful and asking them to note the GPS location of any suspicious areas and call the authorities as soon as they can.

"Chequamegon-Nicolet National Forest is large, secluded and heavily roaded, so our personnel cannot by themselves keep an eye on every acre," Cliff said. "That's why we are relying on forest users to share information with us."

By using covert digital cameras, GPS devices and ground and aerial surveillance, law enforcement officials do what they can to apprehend illegal marijuana growers who frequently switch up their patterns to avoid detection.

"We conduct aerial surveillance, and we have seen a change in the growers' tactics. A number of years ago, there would be large multithousand plant fields concentrated in one area, and now they have a couple of hundred plants in one location and then another couple hundred plants a couple hundred yards away which makes aerial detection more difficult," said David Spakowicz, the director of field operations for the Wisconsin Department of Justice's criminal investigation division.

Wisconsin Attorney General J.B. Van Hollen said he and special agents at the Wisconsin Department of Justice are "not only aggressively investigating and eradicating these grows, but also working with our local and federal partners to hold accountable the individuals responsible for operating such grow operations."

Highs and lows of using marijuana

"That kind of aggressive eradication and enforcement ought to send a message to those who think they can profit from growing illegal drugs on Wisconsin's public lands, threatening our natural resources and potentially the people who enjoy them," he said in a statement to CNN.

Spakowicz says that every occupied marijuana growing operation that led to arrests has also resulted in the seizure of firearms, and they've also found ammunition left behind by other growers.

The concern is that a person walking through the forest will come across not only an illegal grow operation, but also heavily armed growers.

"If they are protecting $10 million of marijuana plants, that's a lot of money, and there have been gun battles with law enforcement in other states such as California," Spakowicz said. "We worry that they will bring the same level of violence with them."

Because the concern for public safety is so great, the state attorney general's office works in conjunction with the Department of Justice to strongly prosecute marijuana growers.

"We believe we need to arrest people in order to send a message to these marijuana growers that they are not welcome in Wisconsin and that their activities will be not be accepted," Spakowicz said.

Wisconsin is targeting illegal marijuana growers because it has millions of acres of remote public land. According to the state Department of Justice, 32 people have been arrested for illegally growing marijuana since 2008, and most were non-U.S. citizens in the country illegally. All of the suspects are expected to serve their sentences before they are deported, the department says.

Several suspects interviewed by law enforcement said they were recruited from California to come to Wisconsin. In some cases they were told openly that they are to work in a marijuana growing operation, while in other cases they came believing they were to work in a restaurant. Some suspects also said they didn't even know what state they were in.

Suzanne Flory, public affairs officer for the Chequamegon-Nicolet National Forest, said that these growers operate on a large scale.

"They are large, drug trafficking organizations; they are not mom and pop operations," she said. "These are people doing this to make a lot of money."

The operations also cause serious damage to the forest. The growers chop down trees to let sunlight filter through to their plants, divert water away from trout streams and filter harmful chemicals back into the water.

"It causes a lot of environmental damage from soil erosion and it increases sedimentation in rivers and streams which affects the fish. There is possibility of chemical runoff from poisons and other wastes," Flory said. "They destroy the vegetation and leave their garbage behind.

"It leaves a scar on the landscape," she said.

@highlight

80,000 marijuana plants eradicated in Wisconsin forest

@highlight

Many of those arrested in busts are in the country illegally

@highlight

U.S. Forest Service wants hunters, fisherman to flag any suspicious areas