(CNN) -- We watched in horror this week at the execution of an Afghan woman who was shot nine times while a crowd of roaring men who call themselves Muslim cheered and screamed. We were reminded of a similar tragedy that took place in 1999 in which a mother of five, clad in a blue burqa, was shot dead in a soccer stadium in Kabul. Both of these women were wrongfully accused of adultery, as there was no proof, evidence, fair trial, due process or justice.

The similarities between the two slayings signaled to us that not much has changed in Afghanistan in the decade since the United States first became involved there. When we Americans ask why we have failed in Afghanistan, we blame the Afghans' antiquated tribal practices and their hate of America's freedom, and most of all, we blame their religion: Islam.

Though we have said it over and over again, let us reiterate once more: The actions of these men were in absolute and supreme violation of God's laws, and Islam does not condone unmitigated violence of any kind. Period.

Manhunt under way for Taliban who shot woman in public execution

Though the U.S. declared the promotion of women's rights, human rights and democracy as its policy goals before invading Afghanistan, it would appear that all three were lost in our efforts to establish a "secular" democracy in an Islamic Republic.

When our government deployed our troops intending to eliminate al Qaeda and the Taliban and establish a new government in Afghanistan, we took responsibility for the future of its people. Is it not tragic, after all the bloodshed and the billions of taxpayers' dollars spent, that there could be a resurgence of the Taliban and this kind of unimaginable violence? When the U.S. leaves Afghanistan permanently, Afghan women will undoubtedly suffer.

Throughout the past decade, our policymakers have failed to take into account the important role that religion held (and still holds) in the structure of Afghan society. If we want to affect the way that Afghans conceptualize important notions such as justice, we must understand the forces in their lives that guide their decisions.

Poll: Religion is not the biggest enemy for Arab women

After 30 years of constant warfare, unstable political, civil and governmental systems and a dismal education system, many Afghans look to religious authorities to guide their actions. The solution to fighting extremism and affecting change in Afghanistan lies within the religious system; secular ideologies that are imposed on Afghans are alien to them.

Having said this, Americans do not have to sacrifice our goals of spreading democracy and peace to the Afghan people.

Just as our Founding Fathers established "life, liberty and the pursuit of happiness" as basic rights for all Americans, so too does Islam establish the protection and preservation of life, religion, family, intellect, property and dignity for all. We must look for ways in which such rights can be realized, and ways in which we can work with Afghans to address these injustices.

In 2006, Daisy founded the Women's Islamic Initiative on Spirituality and Equality (WISE), a social justice movement that works to reclaim women's rights in Islam. Its Global Muslim Women's Shura Council of scholars and activists were so compelled by the level of violence against women that they published "Jihad Against Violence," (PDF) a report that condemns both violent extremism and domestic violence.

The response to this report, along with WISE's Imam Training Program to End Violence against Women in Afghanistan, was overwhelming. Many Afghan imams confided in us that the scriptural evidence that we provided helped them to realize that they were propagating distorted and incorrect interpretations of the Quran, unintentionally.

Egypt's Islamists: Much to prove on women's rights

The value of these religious literacy trainings were so transformative that we were told, "The U.S. government should not have spent billions (on the war); they should have spent millions and involved the imams (with regards to women's rights), and everything would have been different today." Similarly, an Afghan woman told us, "imams are our only shield against the Taliban."

The Arab Spring has forced U.S. policymakers to acknowledge the fundamental importance of engaging with religious-political movements in the Middle East, and efforts to include these movements are gradually making their way into our foreign policy.

As Muslims, we know that it is only in the religious sphere that we can achieve our vision of peace, democracy, prosperity and the realization of human and women's rights in Afghanistan, and prevent atrocities like public executions from ever happening again.

Opinion: Why world must react to Taliban execution

Saving Face: The struggle and survival of Afghan women

The opinions expressed in this commentary are solely those of Imam Feisal Abdul Rauf and Daisy Khan.

@highlight

Opinion: U.S. underestimates importance of Islam in making Afghanistan a better place

@highlight

Authors say Islam establishes protection and preservation of life, and dignity for all

@highlight

They say the U.S. should work with imams to improve lives in Afghanistan