(CNN) -- A debate is raging over the tragic case of Justin Ross Harris, who left his 22-month-old boy, Cooper, in a car all day. Cooper perished, and now his father has been charged with murder and child cruelty. Some people call this a tragedy, and some call it a crime. Who is right?

Harris will appear in court Thursday to face a probable cause hearing in which the prosecution will try to convince a judge that it was indeed a crime. The defense will likely try to show that Harris' act was simple negligence. Either way, the focus will be on why Cooper was left in the car -- and although this seems counterintuitive -- for the purposes of the criminal proceedings, the tragic death will not be material for determining guilt.

To make the case that Harris committed premeditated first-degree murder by intentionally leaving his child in a car to die, the justice system will need to look at his prior history, both criminal and psychological, and consider any other acts that show a complete disregard -- or worse -- for the child. We should see some previous behavior consistent with his ability to act as one of the worst that we identify in our society: people capable of killing their own children. This behavior could include anger at the child or the child's mother, pending divorce litigation, frustration at an illness the child suffers, financial distress or other stressful situations.

The defense and the prosecution and law enforcement have to examine these considerations quickly. If they decide that Harris is not the worst among us -- if he is not someone guilty of filicide -- then the alternative is one of negligence. In this case, the cause of "just forgetting his child in a car" needs to be analyzed.

We as humans often want to reassess our decisions based upon the outcome. Deciding to stay late at work and then being involved in a major accident on the way home puts focus on whether or not you should have stayed late. Splurging for dessert after dinner and getting hit by a car while crossing the street suggests the dessert was significant. The reality is when that decision is made, it is almost always inconsequential.

Nobody would have considered it significant if Harris had walked 10 paces away from his car toward his work and then remembered Cooper. The fact that a simply negligent mistake had devastating consequences does not, logically or rationally, make the act grossly negligent or criminal in and of itself.

CNN legal analyst Sunny Hostin bravely confessed in an opinion piece that she once left her child in the car, something she realized in horror a few moments later. Her baby was fine. It was simple negligence.

If Harris' mistake was one of simple negligence, that he truly just forgot to drop Cooper off at day care, then the question is: Should we make a simply negligent act that has significant consequences a criminal act because of those consequences?

That is an extraordinarily dangerous precedent to set. Thousands of cars get in accidents every day, most caused by simple negligence. Some are fender benders, some cause significant property damage, some cause simple injuries, some cause significant injuries and some end up with people dying. Our law is well settled in that context -- it is the negligent act that we focus on and not primarily the result.

One concept that we use in all of our jurisprudence is the reasonable man theory. That is, most people are presumed to act in a reasonable way, with the term reasonable determined by our societal norms. We judge each other in many circumstances based upon whether or not we've acted reasonably.

The reasonable man concept appears in other aspects of criminal law. In self-defense cases, we seek to find if a person had reasonable fear of great bodily harm or death. In civil cases, such as in personal injury law, the difference between simple negligence and gross negligence has huge implications on a plaintiff's chances to be awarded damages -- no matter how severely he or she suffered.

To change a well-settled principle of law -- that we are to be judged on whether we acted reasonably or negligently independently from the consequences -- would be a dangerous alteration in the way we interact, not only in the court system, but as a society.

Harris probably acted with simple negligence. If he did, he will deal with having been the cause of his son's death for the rest of his life, but he should not be held criminally liable.

There is one other possibility to consider. If Harris showed a reckless disregard for the consequences of his actions or a blatant indifference to his legal duties, then he may be guilty of gross negligence. If it is determined that Harris acted in a grossly negligent way, then he should be held criminally responsible.

If the facts came forward that he left his son in the car because he was drunk, or because he wanted to go out and party, then a criminal negligence standard would be easy to reach. If I drive my car in a school zone five miles over the speed limit, and run over and kill a child, I am probably only acting in a simply negligent way. If I do so at 70 mph, I would be acting grossly negligently, and should be held criminally liable.

We've all been quick to judge Harris, and we're going to have to wait for all the facts to come out before we can make an informed opinion. In this case, making an informed opinion means making a reasoned assessment regarding whether Harris acted on purpose, or whether it was negligence. We just have to be careful not to allow the tragic consequences of the act to influence how we judge the act itself.

@highlight

Justin Ross Harris has been charged with murder, child cruelty after son died in hot car

@highlight

Mark O'Mara: We need to look at any prior behavior that shows complete disregard for son

@highlight

O'Mara: If there's none, we look at negligence; "forgetting child" needs to be analyzed

@highlight

He says it's wrong to judge a negligent act by consequences, no matter how bad