When you first hear his pitch, it defies logic: Mitch McConnell, a 30-year veteran of the Senate, campaigning for re-election as an agent of change.

"If you want change, if you're unhappy with the direction of this country, the candidate of change is the guy you're looking at," McConnell told an audience at a Chamber of Commerce lunch here.

72-year-old McConnell -- the top Senate Republican -- is running against a 35-year-old Democrat who has never had an elected job in D.C.

But he's the change candidate?

Well, if you're a voter with an unfavorable view of President Barack Obama -- and according to a new CNN/Opinion Research International Poll, that's about two-thirds of Kentucky voters -- McConnell's argument has appeal once he explains it. He says the only real option for altering the balance of power in Washington is a GOP Senate takeover on Election Day -- and putting him in charge.

"The only thing they can do in 2014 to begin to change the direction of the country is to change the makeup of the Senate," McConnell told CNN.

"In this country, the way you change things is at the ballot box. And so there's only one thing that can be done this year to begin to lead America in a different direction and it begins right here in Kentucky," he tells voters on the stump.

McConnell wants to be Senate Majority Leader so badly he can taste it, especially after two straight election cycles of seeing the role within his reach, but snatched away largely because of bruising intra-GOP fights and Republican candidate missteps.

Kentucky U.S. Senate race is one the key ones this year

I reminded McConnell of the old joke about senators, that most of them look in the mirror and see the next president.

"I never had that problem. I never had that affliction," McConnell chuckled.

"You have always wanted to be the majority leader of the Senate, is that fair to say?" I asked.

"I would like to have the chance to be the majority leader of the Senate, yes," he replied.

Toughest challenge in years

But to lead the Senate, he has to win re-election first, and McConnell is facing his toughest challenge in years in Alison Lundergan Grimes.

Grimes would be Kentucky's first female senator.  Currently Kentucky's secretary of state, she has a well-financed campaign, thanks to the national implications and importance of her race. She's gotten high-profile help from former President Bill Clinton, a family friend.

In many ways she is running a textbook campaign for a challenger trying to unseat an entrenched incumbent, especially a Democrat versus Republican. She paints McConnell as out of touch with the folks back home, and the personification of Washington dysfunction.

"I don't know whether to call Sen. McConnell Sen. No-Show, Sen. Gridlock or Sen. Shutdown," Grimes says to a crowd gathered for a political picnic in Owensboro.

"What I do know is that he's not working for Kentucky. Kentucky is all ready for someone whose vocabulary goes beyond the word 'no.' When it comes to increasing the minimum wage and giving hardworking Kentuckians a fighting chance, Mitch McConnell says no. Kentucky is ready for a senator who says it's not just a minimum wage, it's a living wage. When it comes to the women of this state being treated equally, Mitch McConnell says no," Grimes says.

McConnell: 'Remember me? I am the guy that gets us out of shutdowns'

That appears to be resonating with some voters here, even one who has supported McConnell over the years.

"We're just tired of McConnell. His only objective is to -- anything Obama's done, he's against it," Owensboro voter Margaret Willett said.

But others in the crowd disagreed, especially voters like Keith Herm who dislike the President.

"I believe the seniority he will hold in the Senate will be monumental," Herm said about McConnell. "There are some issues with Obama I would like to see changed, and hopefully he can do that."

Grimes' biggest challenge is unshackling herself from  Obama, who won only four of Kentucky's 120 counties in 2012. It's not easy, when McConnell's working so hard to link Grimes to the President.

"Mitch McConnell, well, he wants to make this race about anyone but me, trying to tie me to every national figure that's out there that disagrees with Kentucky's interests. Barack Obama isn't on the ballot; I am," Grimes told voters.

Democrats have been banking on the fact that the President may be unpopular here, but so is McConnell -- he is well known, and not well liked.

The trouble for Grimes is that as she becomes better known, and put through the grind of this intense campaign, her favorable ratings are dipping, too.

A strikingly stark contrast in styles

Like any candidate, McConnell and Grimes each have pluses and minuses, but these two have a strikingly stark contrast in style.

McConnell is the ultimate political tactician and old school, bring-home-the-bacon senator.

When it was his turn to speak at the Owensboro picnic, McConnell made a point of reminding residents here he secured $50 million to renovate the riverfront, which transformed the town. It's the kind of earmark the tea party hates. He never would have spoken about it during his GOP primary fight, but it is front and center in the general election campaign against a Democrat.

"I'm proud I did it for you. It's changed this community and we'll do it again," said McConnell, not mentioning that the kind of earmarks that rebuilt the riverfront are now banned in the Senate.

But McConnell's aides are the first to admit he is not a natural campaigner. He doesn't connect in the grip and grin settings many politicians love. It's not his thing.

Grimes, on the other hand, appears energized by pressing the flesh with voters.  She moved around the Owensboro picnic introducing herself and talking to voters with ease.

And on the stump she can project and deliver lines powerfully.

But in interviews, she often appears stilted and scripted.

Case in point: When I asked Grimes point blank for some "Kentucky candor" about how much of a drag the President is on her campaign, she replied with a generic talking point.

"I think that Kentuckians are seeing this race for what it is, a chance to actually move Kentucky forward in the right direction," Grimes said.

Bound to get very ugly

This is expected to be the most expensive Senate race in history, north of $100 million.

And the mud is already flying.

McConnell's campaign manager Jesse Benton abruptly resigned late last week because of a bribery scandal surrounding Ron Paul's 2008 presidential campaign. Grimes' campaign is already pushing a Web ad highlighting Benton's departure.

But that may be because McConnell's campaign released an ad of its own whacking Grimes, accusing her of getting a sweetheart deal for her campaign bus -- brokered by her father, a prominent businessman and former state party chair.

"They're baseless, unfounded, bullying accusations from Mitch McConnell," Grimes said of the allegations.

And then there's a secret audio recording that surfaced of McConnell speaking at a Koch brothers donor meeting, vowing not to allow votes on Democratic initiatives.

It was released right before our interview, and Grimes was eager to jump on it as McConnell's "47% Mitt Romney moment."

"I think it shows the extent and the lengths he will go to pander to his party millionaires and billionaires at the expense of hurting Kentuckians," Grimes said of the McConnell audio.

As for McConnell, he brushed it off, because he has made it no secret he intends to block the President's agenda.

"I didn't say anything in the private meeting I haven't said publicly." McConnell told me.

McConnell, the Democrats and the limits of a secret tape

That may be, but a muffled recording of a secret meeting with fat cat GOP donors is less than ideal for McConnell.

These are end-of-summer stumbles for both candidates, in the marquee race of the year, bound to get very ugly.

@highlight

McConnell could become majority leader if he wins his Senate election

@highlight

Opponent Grimes has a well-financed campaign aided by Democratic stars

@highlight

The candidates are a study in different styles