Washington (CNN) -- With 30-plus governments since independence (average length less than two years), Israeli politics rarely surprises. But Monday's agreement between Benjamin Netanyahu and Kadima leader Shaul Mofaz did precisely that.

In a pre-emptive strike -- against his critics, a cynical Israeli press, and, last but not least, an American administration that keeps hoping he's a short-timer -- Netanyahu bought himself another 16 months of challenge-free politics, co-opted his main opponent for the price of a deputy premiership, and broadened and legitimized his government for the turbulent period ahead.

While Mofaz looks unprincipled (two weeks ago he said he'd never join a Netanyahu-led coalition), Bibi Netanyahu looks like a veritable statesman and political genius who, for the sake of the country's unity and stability, did the right thing. With U.S. President Barack Obama facing an uncertain political future, Netanyahu has secured his -- at least over the short term.

What difference will the new coalition of 94 Knesset members -- a virtually unassailable majority -- have on the core issues facing Israel?

Peace process: Already comatose, the Israeli-Palestinian issue may be revived slightly as a result of the new politics. Mofaz has made resolution of the Palestinian issue a key theme; but the result will be motion without real movement.

Since Mofaz is committed to pursuing the existing government's policies until the end of 2013, it's unlikely there will be major changes. Netanyahu didn't invite Kadima into the coalition only to go to new elections over a deal with the Palestinians that could split his own Likud party. But the change in tone will relieve the pressure of being saddled with a right-wing government that many claimed had no constituent group which was at all interested in negotiations.

Iran: Some analysts argue that early elections would have reduced the chances for an Israeli strike against Iranian nuclear sites, and that the unity government has now increased them.

That's what Netanyahu would like to make the world believe. But Netanyahu's decision-making on striking Iran has always been shaped by three factors; the unity government changes none of them. In fact, given Mofaz's caution on Iran, the odds of a strike before the American elections may actually be reduced.

First, there's Netanyahu's read of Iran's intentions. That hasn't changed. Netanyahu believes the mullahs want the capacity to produce a nuclear weapon and ultimately to possess the weapon itself. The P5+1 international talks on Iran, in Istanbul last month and later this month in Baghdad, haven't persuaded him otherwise; but they do make an attack much less likely while the process is in train.

Second, there's the degree of difficulty of the operation. Israel would like to avoid a unilateral strike and make Iran America's problem. Without firing a shot in the past year or so, the Israelis are well on their way to success here. And Mofaz will reinforce this approach now that his bloc of 28 Kadima Knesset members is part of the coalition.

Finally, what America thinks is critical to Israeli calculations. Should the Israelis strike, the United States needs to be in their corner to deal with the mess afterward. And Obama has made it as clear as any American president can that Israel acting now, with negotiations ongoing, is a bad idea. Clearly, Obama doesn't want an Israeli strike or an American strike before the elections and probably not this year.

And the new unity government reinforces the obvious: no war with Iran in 2012 and likely no deal on the nuclear issue either. This new government in Israel isn't about upsetting the status quo and getting ready for war; on the contrary, it's about preserving the status quo -- at least for now.

Netanyahu thinks of himself in historic and potentially transformative terms -- leading Israel at a moment of great challenge, particularly freeing the Israelis from the shadow of the Iranian bomb.

We're constantly underestimating him. Obama thinks he's a con man, or at best a speed bump confronting a peace process he'd like to see move forward. The Europeans would like him gone -- yesterday. The Palestinians and the Arabs can't stand him.

But the fact is, for now Netanyahu is the only Israeli political leader that can do and have it all -- maintain close ties with Washington; settle the West Bank; avoid negotiations with the Palestinians; use the threat of an Israeli attack to keep the international community pressing Iran; and now, dominate Israeli politics.

He's the king of Israel, and we may just have to get used to it.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Benjamin Netanyahu expanded his coalition with addition of Kadima party

@highlight

Aaron David Miller says the move strengthens Netanyahu's hand politically

@highlight

He say it likely signals Israel will not attack Iran's nuclear facilities for now

@highlight

Miller: The government may talk more about peace but a deal isn't likely