(CNN) -- Hours after talking at length with U.S. and Russian authorities, the father of the two suspects in last week's deadly Boston Marathon attack is set to fly to the United States -- and cooperate with authorities -- an activist working with the family told CNN.

Anzor Tsarnaev told Russia's state-run RIA Novosti that he and his wife, Zubeidat, will leave the semi-autonomous southern Russian republic of Dagestan on Thursday. Authorities from various U.S. government agencies did not immediately confirm the Tsarnaevs' travel plans.

According to the official Russian news report, a police source said Wednesday that the suspects' parents consented to their U.S. trip and "will be involved in the U.S. investigation."

After that report came out, human rights activist Kheda Saratova told CNN that only the father, Anzor, would travel to the United States as early as Friday.

The news of the impending travel comes nine days after three people died and scores were wounded when two bombs exploded at the marathon's finish line.

Tamerlan Tsarnaev, 26, died days later following an early morning shootout with police. His body remained unclaimed Wednesday, according to Terrel Harris, a spokesman for Massachusetts' chief medical examiner's office. The exact cause of his death has not been determined.

His brother Dzhokhar was captured the next night after being found hidden inside a boat in the backyard of a Watertown, Massachusetts, home. Characterized in fair condition at a Boston hospital, the 19-year-old suspect has been communicating with authorities.

So, too, have his parents.

On Wednesday, FBI agents were in Makhachkala, Dagestan -- a city that Tamerlan called home for several months in 2012 -- to talk with the suspects' parents. The "conversation" -- which included members of Russia's Federal Security Service -- ended Wednesday evening, the men's mother told Saratova.

Both Anzor Tsarnaev and his wife have publicly insisted they believe their children are innocent.

Zubeidat Tsarnaev has said she's convinced her boys were framed "just because they were Muslim."

When asked whether she thinks her younger son will get a fair trial, she replied, "Only Allah will know."

Suspects' mother describes her last conversation with her sons

Russia asked U.S. twice to probe one suspect

It's not clear if Zubeidat Tsarnaev might not return to the United States because she's in legal trouble there.

She faces three felony charges for alleged shoplifting and property damage in Massachusetts in 2012, according to Natick District Court. She jumped bail, and there has been an arrest warrant for her since October, the court's clerk magistrate Brian Kearney said.

Zubeidat Tsarnaev and her husband moved to Dagestan from the United States. The family is originally from the embattled Russian republic of Chechnya but fled from the brutal wars there in the 1990s. The two brothers were born in Kyrgyzstan and moved at different times to the United States.

The family's adopted republic has become a focus for investigators, especially given that Tamerlan Tsarnaev went there during a six-month trip to Russia last year.

Officials have been looking into what he may have done there during that time, though Tamerlan's father has said his son was with him throughout the trip. The young man is believed to have posted videos online tied to militant jihadists in the region.

On two occasions before that -- in March and late September 2011 -- Russian authorities asked U.S authorities to investigate Tamerlan Tsarnaev.

They provided "basically the same information" both times, a U.S. government official said. A senior U.S. official with direct knowledge of the information said that the case from Russia "was extremely thin," adding that the European country wanted Tamerlan Tsarnaev questioned to see if he and others had become "radicalized."

Suspects' mother describes her last conversation with her sons

Police: Suspects may have planned NYC 'party'

What did the Tsarnaev brothers want to do days after inflicting pain and carnage in the Massachusetts capital?

According to New York Police Commissioner Ray Kelly, the brothers' destination may have been New York City and their plan may have been to "party."

Kelly said information collected from the surviving suspect included "something about a party or having a party."

"It may have been words to the effect of coming 'to party' in New York," Kelly said.

The man who was carjacked and held hostage -- allegedly by the Tsarnaev brothers -- just outside Boston last week said he thought he heard the two men say "Manhattan" in their conversation, the commissioner said. The one-time hostage has told investigators the suspects spoke in another language, which may have been Chechen or Russian, while he drove with them.

Dzhokhar Tsarnaev was in New York in late 2012, likely in November, Kelly said.

The brothers used a remote control device similar those used to control toy cars to detonate the two bombs in Boston, Rep. Dutch Ruppersberger, a Maryland Democrat and member of the House Select Committee on Intelligence, said Wednesday.

The surviving suspect, Dzhokhar, has indicated that his older brother Tamerlan masterminded the attack and described he and his brother as self-radicalized jihadists, according to a U.S. government source.

The teenager cited the U.S. wars in Afghanistan and Iraq as motivating factors behind the attack, a U.S. government official said.

Dzhokhar told authorities that neither he nor his brother had had any contact with terrorist groups overseas, the U.S. government official said. But the official cautioned that the interviews were preliminary and that Tsarnaev's account needs to be checked out.

Dzhokhar Tsarnaev has been charged with using and conspiring to use a weapon of mass destruction resulting in death and one count of malicious destruction of property by means of an explosive device resulting in death.

The suspects' uncle said a friend of Tamerlan's "brainwashed" him. And the suspects' former brother-in-law said Tamerlan seemed to be influenced in Islam by a friend named Misha, but that he did not see Misha try to radicalize him.

Investigators had no immediate comment on reports of someone named "Misha."

Investigators are looking into the possibility Tamerlan Tsarnaev -- who was married with a young daughter, whom he frequently cared for while his wife worked as a home health aide -- may have helped finance the bomb plot through drug sales, according to a source familiar with the investigation.

Dead Boston bomb suspect posted video of jihadist, analysis show

Boylston Street reopens as slain officer is mourned

For more than a week, a stretch of Bolyston Street -- traditionally one of the busiest parts of Boston -- has been a crime scene in the aftermath of the blasts that left three dead.

Tragedy in Boston: How to help

Traffic has been barred from the thoroughfare and businesses have been closed.

Until now.

On Wednesday, workers replaced missing bricks and patched up concrete on the street just before opening it to pedestrian traffic. Crews were repairing damage caused by the two bombs, which were placed near the marathon's finish line.

"I think that Boston is a tough city and it will be rejuvenated and ready to go," said David Sapers, owner of Sugar Heaven on Boylston Street.

Those wounded in the explosions, meanwhile, continued to recover as well.

Photos: Galleries from the attack and aftermath

Of the more than 260 people who were hurt, 33 remain hospitalized Wednesday night, according to a CNN tally. One person is in critical condition at Boston Medical Center.

In Cambridge, mourners gathered at the Massachusetts Institute of Technology campus to honor Campus Officer Sean Collier, the fourth person killed last week. Authorities believe the Tsarnaev brothers shot Collier as he sat in his patrol car Thursday night.

Biden: 'Knock-off jihadis' can't break American spirit

Suspect's widow is assisting investigation, lawyer says

Official: U.S. wars in Afghanistan, Iraq motivated bombings

CNN's MIchael Pearson, Jake Tapper, Pam Benson, Julia Talanova, Carol Cratty, Brian Vitagliano, Laura Ly, Deborah Feyerick, Nick Paton Walsh, Julian Cummings, Barbara Starr, Susan Candiotti, Jessica Yellin and Joe Johns contributed to this report.

@highlight

NEW: Hospitals: 33 of over 260 wounded are still hospitalized, 1 of them is in critical condition

@highlight

Suspects' father will go to U.S., an activist says; state media said 2 parents would go

@highlight

Russia twice asked the U.S. to investigate one of their sons, Tamerlan Tsarnaev

@highlight

Police say he and his brother may have planned to go to NYC to "party"