WASHINGTON (CNN) -- While a government-run public health care option irks conservatives, and even some fiscally minded Democrats, the idea of health care cooperatives has emerged as an option in the reform debate.

Democratic Sen. Kent Conrad, of North Dakota, says a public option plan might not make it through Congress.

Small health care cooperatives have worked in a couple of markets. But whether the idea can be applied on a national scale is debatable.

Sen. Kent Conrad, chairman of the Senate Budget Committee, is pushing the co-op idea as an alternative to a government-sponsored insurance program that would compete with private insurers. He doesn't think a government option will pass in the Senate.

Conrad, a North Dakota Democrat, told CNN's "American Morning" on Tuesday that his model could attract 12 million members and "be the third-largest insurer in the country and be a very effective competitor [with private insurance companies]."

"If you believe competition helps drive down costs, then they would certainly contribute to holding down costs," Conrad said.

But Tim Jost, a professor at Washington and Lee University, said that Conrad is not offering concrete statistics on how the plan will help reform health care.

"I have not seen anything, other than Sen. Conrad's statements to the press, explaining how this is going to work," he said. "He put out a couple of one-pagers early on, but he is talking about this actuarial data. Let's make it public, let's find out who the actuaries are."

Co-ops are nonprofit organizations that aim to provide better coverage at a lower cost for their members. They put profits back into the system, so any money that is earned is used on patients and other costs. In addition, patients elect a governing board.

Cooperatives are already established in cities such as Minneapolis, Minnesota, and Seattle, Washington.

In order for a co-op to have reduced costs, analysts say, it needs to have tens of thousands of members. That could be a hard slog for the nonprofits because start-up costs would probably be in the millions. That may be where the federal government steps in -- by adding seed money for the program.

That government infusion of money probably would put Democrats at odds with Republicans, who are worried about the rising federal deficit and an expanded role of government in health care.  Watch two members of the House discuss reform »

And the costs of a cooperative might not allow enough people to sign up, meaning that some of the nearly 46 million uninsured Americans wouldn't be able to buy into the program. Other health reform alternatives, such as the public option, cost less for participants.

"Let's see how they [Conrad and others] explain that they are going to get to 10 to 12 million members. ... I can't see how that's going to happen," Jost said.

Probably the biggest barrier, Jost said, is entering a new market and trying to establish a network.

"You have to go out there, you have to contract with hospitals, doctors, other providers of care. Well, the private insurers have their networks in place, and they often have what they call 'most favored nations' clauses, which provide that a provider cannot [offer] a lower rate than it does to the dominant insurer."

The idea of co-ops appears to have received some support from the Obama administration.

A top White House aide told Bloomberg Television's "Conversations with Judy Woodruff" that President Obama may accept nonprofit health insurance cooperatives in place of a new government-run plan.

"We would be interested in that" if certain conditions are met, said Nancy-Ann DeParle, director of the White House Office of Health Reform.

And the idea has gotten support from a key Republican senator.

Sen. Richard Shelby, R-Alabama, said on "Fox News Sunday" that co-ops are "a step in the right direction."

"I don't know if it will do everything people want, but we ought to look at it. I think it's a far cry from the original proposals."

But not everyone is so sure that co-ops will work to reduce health care costs across the board.

CNN Medical Correspondent Elizabeth Cohen, who spoke with top officials at both co-ops, said this type of model would not solve the problem of uninsured Americans.

"Will co-ops solve that? No. That is according to two folks who run co-ops [one in Seattle and one in Minneapolis]. ... They said 'we are not charities. You have to spend money and pay premiums to join our co-ops. And we don't take everyone. We sometimes say no to people with pre-existing conditions,' " she said.

Co-ops also may not have the industry clout of the big insurance companies.  Watch Obama discuss his plan for health care reform »

"They [co-ops] would have some cost advantages over private plans -- they wouldn't have to make a profit -- but they are going to be running on a very small scale, at least initially, and therefore they are going to have very high administrative costs proportionate to claims," Jost said.

"But again, the big problem is how are they going to get providers to give them a better deal than the providers give the private insurers. They may not even be able to legally do that under their contracts with the commercial insurers," he added.

CNN's Dana Bash, Lesa Jansen and Chris Welch contributed to this report.

@highlight

Democratic Sen. Kent Conrad favors health care cooperatives

@highlight

Co-ops are run by nonprofits, and patients elect members to their boards

@highlight

One key Republican senator seems to be on board with the idea

@highlight

Skeptics question start-up costs, whether all the uninsured would be covered