Uruguayan senators voted overwhelmingly in favor of a same-sex marriage measure Tuesday -- a key step that puts the South American nation on the path to becoming the 12th country to approve such a law.

Senators approved the marriage equality bill 23-8. Next week, lawmakers in the lower house, which approved a different version of the legislation late last year, are expected to vote on the senate's version.

If approved and signed by President Jose Mujica, who has indicated he supports the measure, the proposal would make Uruguay the second country in Latin America to legalize same-sex marriage. Neighboring Argentina legalized such marriages in 2010.

It's an issue that's sparked debate and impassioned demonstrations from supporters and opponents in many countries.

Legislators in France and the United Kingdom are among lawmakers worldwide weighing proposals to legalize same-sex marriage. In the United States, the question of same-sex marriage went before the Supreme Court last week, and justices are now deliberating over the matter.

The first same-sex couples walked down the aisle in the Netherlands in 2001. Since then, almost a dozen countries have passed laws allowing same-sex marriages and domestic partnerships, including Canada, South Africa, Belgium and Spain.

In Argentina, the push to legalize same-sex marriage met with fierce opposition from the Roman Catholic Church, with Cardinal Jorge Mario Bergoglio -- then the archbishop of Buenos Aires and now the pope -- engaging in a notorious war of words with the government over the issue.

In Uruguay, the church has taken a similar tack, with officials describing the measure as a harsh blow to the institutions of marriage and the family.

"Why make relative or devalue an institution that is already so injured, like the family, introducing deep modifications that are going to confuse more than clarify?" the Rev. Pablo Galimberti, bishop of Salto, wrote in a recent post on the website of the Uruguayan Bishops Council.

Uruguay's Broad Front, a coalition of left-wing political parties, backs the measure. On Tuesday, the group's president stressed that the proposed law change a civil institution and has nothing to do with the church.

"Here we are speaking about RIGHTS, with capital letters. Rights that were denied and repressed for a long time, and which a society that is trying to be modern and inclusive necessarily must recognize, to advance in equality," wrote Sen. Monica Xavier. "Rights that are inherent to people, that are not a legislative creation, but something that the law must recognize."

For years, it was rare to see gay rights issues gaining traction in Latin American countries.

Not anymore, Javier Corrales, a professor of political science at Amherst College in Massachusetts, told CNN in 2010.

"Latin America currently has some of the most gay-friendly cities in the developing world," said Corrales, who ranked cities' gay-friendliness in a book he co-edited, "The Politics of Sexuality in Latin America."

In 2009, Uruguay was the first Latin American country to allow same-sex couples to adopt children. It was also one the first Latin American countries to allow same-sex civil unions.

The measure approved by Uruguayan senators Tuesday removes the words "man" and "woman" from the country's civil code and replaces them with the word "spouse," CNN affiliate Teledoce reported.

@highlight

Measure must be voted on by the lower house, signed by Uruguay's president

@highlight

Catholic Church has fiercely opposed the proposal

@highlight

Left-wing lawmakers say it's a matter of recognizing inherent human rights

@highlight

If approved, Uruguay will become the second Latin American country to legalize same-sex marriage