(CNN)To any parents who are anti-vaccine -- or perhaps better described as vaccine-hesitant -- let me say first that I can relate.

When I had my first daughter nearly nine years ago, like probably a good number of new moms, I was irrationally worried about my child's safety (yes, I checked to make sure she was breathing every night!).

I closely followed online discussions about most parenting decisions, so I was well aware of that now infamous report, which claimed to find a link between autism and what we call the MMR vaccine (it stands for measles, mumps and rubella).

Dr. Sanjay Gupta: Vaccines are a matter of fact

Eight years ago, when it was time for my daughter to get her first MMR shot, I kind of freaked. I expressed my fears to my pediatrician, who is a big believer in homeopathic remedies, to give you a sense of how liberal she can be when it comes to modern medicine.

What is your message to those who don't vaccinate?

"It is totally safe. The science is sound," she assured me. I remember her saying words to that effect, but my mom gut wasn't totally convinced. To placate me, she said we could do the shots separately. Instead of one vaccine, my daughter braved three different shots for measles, mumps and rubella. (She will have my head when she reads this!)

A few years later, that report was officially discredited, debunked, you name it. When my younger daughter was scheduled for her first MMR shot, my worries were dramatically reduced -- so much so that I didn't insist that we separate the vaccine into three different shots. I had the doctor give her the whole shebang.

While I struggled years earlier with the decision, I never truly considered not vaccinating my daughter. With a measles outbreak that is now getting national attention, I am convinced I made the right call.

The unvaccinated, by the numbers

But I'm not an expert, just another parent looking to do what's best for my child. So I reached out to a number of infectious disease experts, people who have no financial or political stake in the debate other than to ensure the safety of our children, to ask them one simple question: Why should parents vaccinate their kids?

The diseases are still around

Tara Smith, associate professor of epidemiology at Kent State University, points out how the diseases we vaccinate against such as measles, while rare, still exist in the United States.

"The diseases are much worse than any potential side effect from the vaccines, so for me it's a risk-benefit," said Smith, who has vaccinated her three children, ages 15 years old, 12 years old and 13 months.

Vaccines work, but some parents choose not to use them

"I would much rather have my children get the vaccine than the disease itself."

People might not realize that measles is not just fever and rash, said Dr. Celine Gounder, an infectious diseases and public health specialist.

"Measles is also pneumonia, brain infection, it's the leading cause of childhood blindness in the world," said Gounder, who added that some parents who don't want to vaccinate want to avoid anything that's not natural for their kids.

"If you want to do something natural, vaccination is far more natural than if your child ends up on a ventilator or needing antibiotics or if they end up with a brain infection so if you are trying to balance what's the most natural way to take care of your child, I would say measles vaccine is pretty high up there."

Dr. Paul Offit, director of the Vaccine Education Center at the Children's Hospital of Philadelphia, told the story of a boy whose parents claimed their religion prohibited them from getting vaccines.

At age 1, the boy developed pneumonia and meningitis caused by a type of streptococcal bacteria that the vaccine protects against, so had he been vaccinated, he would not likely have gotten ill, according to Offit.

Measles outbreak: Different states, different rules on vaccinations

The boy is currently alive but will never see, speak, walk or hear again, he said.

"He will live in a vegetative state probably for five years until he dies from something else. Basically, we snuffed out potentially a 75-year-old perfectly normal life because of a false concern that vaccines would do harm, or in their misguided notion that somehow religion teaches us anything other than we should care for our children," said Offit, author of "Bad Medicine: When Religious Beliefs Undermine Modern Medicine," set to be released next month.

Other children are at risk

A mother who is vaccine-anxious, though still vaccinating her children -- albeit on a very spread out time line -- told me she should have the right to do what she wants regarding her children. Theoretically, if my children are vaccinated, then what she does or does not do with her kids should have no impact whatsoever on my child.

But that's totally incorrect, the experts say.

When people don't vaccinate their children, they increase the risk for people in the population who can't be vaccinated, such as infants under age 1, children and adults with weak immune systems and people with cancer.

"Right now, what we're seeing a resurgence of, besides measles, is whooping cough, which is especially deadly in infants who are too young to be vaccinated. So, you are not only putting your own children at risk but potentially putting others in the community at risk from that," said Smith, who also leads an emerging infections laboratory at Kent State.

Smith also says people who have been vaccinated are slightly at risk.

"Like anything in the world, there's no 100% guarantee," said Smith. For example, she said the measles vaccine is 99% effective, which means one in 100 who receives two doses of the vaccine could still get the disease.

Measles puts Congress on the spot

Offit, who is also professor of pediatrics in the division of infectious diseases at the Children's Hospital of Philadelphia, says while we haven't had a case of polio in the United States since the 1970s, it still exists around the world.

"So is it possible that people who are asymptomatically shedding polio virus walk into this country? I think it happens all the time," he said. "And if enough people choose not to vaccinate, then these diseases come back and that's what we're seeing."

Gounder also cites the financial costs to the community if diseases like measles continue to spread.

"We're also all taxpayers and the amount of resources that are now being used in California per se as a result of the Disneyland outbreak, there's a tremendous amount of resources to track down everybody who's been in contact with those cases," she said.

"If you end up on a ventilator in intensive care because you have measles, if you have a brain infection that causes lifelong brain damage, that's a burden on all of us."

Saying 'you should vaccinate' doesn't work

But the message that parents should vaccinate their children, a message that has been growing louder and louder in recent weeks, doesn't necessarily seem to be working, all of the experts I spoke with said.

Telling parents what they should do may just have them dig their heels in deeper in their anti-vaccine approach to their children.

What's needed, said Offit, is more conversation parent to parent. It's not doctors versus parents, he said, Doctors are parents too.

Paul, Christie show support for voluntary vaccines

"What I do is basically say, 'When you love your child, you bring your child to us to care for your child. By saying you don't want to get vaccines, you are asking me to practice substandard care,'" said Offit. '"'You are asking me to send your child out into a world that is becoming progressively more dangerous. It's an unloving thing to do. It's a dangerous thing to do. Please don't put me in that position.'"

Smith says she tries to tell her story as a scientist and as a parent.

"I have three children, and they are all fully vaccinated, including a 13-month-old at home (who) just recently got his MMR and his chicken pox vaccine," she said. "I acknowledge as parents we all just want to do what's best for our kids, there's no doubting that, but what I feel is best is to follow the science. And I feel very secure in that science as a scientist."

More disease = more vaccinations

Sadly, what may get more people to get on board and start vaccinating their children is more disease itself.

Offit recalled how his parents didn't need to be convinced to be vaccinated because when they were young, teens died of diptheria, whooping cough killed 8,000 people a year and people got paralysis from polio.

"But for my children, who are 22 and 20, they not only don't see these (diseases), they didn't grow up with these diseases," said Offit. "For all the talking we do, nothing talks louder than the virus itself or the disease."

"And that's what you are seeing now," said Offit. People who have been on the fence about getting the measles vaccine themselves or getting the vaccine for their children are starting to get vaccinated because now they fear the disease, he said.

"It's too bad it has to come to that because it's always the children who suffer our ignorance and that's certainly the truth here."

Do you think children should be vaccinated? Share your thoughts with Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

CNN's Kelly Wallace once worried about having her daughter get the measles vaccine

@highlight

Wallace asked medical experts why parents should vaccinate their children

@highlight

The experts cite the safety of each family's children and the community at large