(CNN) -- A deadly bus crash in Thailand has raised further concerns about travel safety in a country increasingly known for not just its beautiful beaches but also the high volume of road-related deaths that occur every year.

At least 19 people died Tuesday morning at about 4 a.m. when a Bangkok-bound chartered bus collided with a truck and burst into flames.

According to police, the truck driver was on his way to a factory when he dozed off at the wheel and lost control of the vehicle.

The crash comes a day after reports that a tour bus making its way to Bangkok from Phang-nga province crashed in the southern province of Prachuap Khiri Khan, injuring 22.

For people who live in Thailand, news headlines highlighting passenger bus and mini-van accidents have become an almost weekly occurrence.

The country has one of the world's worst road-safety records, according to figures from the World Health Organization (WHO).

Government concern

With Thailand welcoming more than 22 million visitors in 2012, according to Tourism Authority figures released in January, the country's safety record is an ever-present issue for foreign governments looking to stop their citizens from being included in Thailand's deathly road statistics.

Several countries, including Australia, the United Kingdom and United States, have issued warnings to tourists and expats against the bad road conditions and lax enforcement of safety measures in the country.

Last week, the British Foreign & Commonwealth Office (FCO) released its annual "British Behavior Abroadâ€³ report, which analyzes assistance provided by consular staff from April 1, 2012 to March 31, 2013. In it, Thailand is singled out as a destination where many British citizens require help.

"Thailand has seen a significant increase in hospitalizations and deaths, despite fewer cases worldwide," says the FCO report. While acknowledging that an aging population attributed to the increase, "road traffic accidents, many involving young people on mopeds" are also a factor.

'Poor safety standards'

The FCO's official advisory on Thailand also points to "serious accidents involving other vehicles including cars, coaches and mini-buses" as being a risk to its citizens.

"Many accidents are due to poor vehicle and driver safety standards," reads the advice.

"Motorcycles or scooters for hire in beach resorts are often unregistered and can't be used legally on a public road," it adds.

Earlier this year, the FCO launched a website aimed at keeping British nationals safe while driving in foreign countries.

Part of a new road safety campaign, the site was developed in response to reports of a high number of road traffic incidents affecting British tourists and expats in popular destinations, such as Thailand, Australia and Spain.

"In Thailand, a country with 50,000 British residents and over 870,000 British visitors per year, there were 68,582 road traffic incidents resulting in 9,205 deaths involving both Thai residents and tourists in 2011," says the U.K. government post announcing the new campaign.

"In contrast 1,901 people were killed in road accidents in the UK in 2011."

'Laws disobeyed'

The U.S. Department of State has a similar warning on its Thailand travel advisory page, updated in March 2013.

"Speeding, reckless passing, and failure to obey traffic laws are common in all regions of Thailand," warns the advisory.

"Commercial drivers commonly consume alcohol and amphetamines. Bus crashes occur frequently, especially on overnight trips, and sometimes result in fatalities. Congested roads and a scarcity of ambulances can make it difficult for accident victims to receive timely medical attention."

According to the WHO's most recent report on global road safety statistics, in 2010 Thailand had an estimated 38 road traffic deaths per 100,000 people, making it one of the world's deadliest places to be on the road.

The report says 74% of Thailand's road traffic deaths were attributed to motorcycle accidents.

"Helmet-wearing campaigns," would help to reduce the carnage on the country's roads, said Avi Silverman, from the Make Roads Safe campaign, along with "better road infrastructure -- safe crossing points and more pavements -- properly enforced speeding legislation, better post-crash care and better coordination among regional countries all suffering the same problem."

CNN's Meng Meng contributed to this report.

@highlight

19 people killed in Tuesday morning crash in Thailand

@highlight

U.S. State Department warns commercial drivers in Thailand "commonly consume alcohol, amphetamines"

@highlight

Of Thailand's 2010 road deaths, 74% were due to motorcycle accidents

@highlight

Thailand attracted more than 22 million visitors in 2012