(CNN) -- Until 2011, we were in a Rip Van Winkle-world. Events unfolded so fast that every morning, we seemed to wake up in circumstances unrecognizably transformed from those of the previous night. Yet this year has broken the mold. Nothing happened: certainly, nothing worthy of record by an historian like me.

You can imagine the almanac-writers' dilemma as they prepare copy for New Year's Eve, struggling to make the year seem memorable. They'll headline Osama bin Laden's death, but he was a has-been who had ceased to influence history and whose death can make no difference to our world except by adding one more item to anti-Americans' already tedious list of grievances.

Newspapers will parade pictures of the Arab Spring, which dethroned Tweedle-dum in favor of Tweedle-dee. Recycled photo montages will revive the embarrassment of an expensive wedding in London, in which a prince of feeble attainments played a bit part in a show dominated by trash celebrities. The death of Kim Jong Il will get little coverage -- partly because few good pictures will be available, partly because it really doesn't matter. The Durban talks on climate change hardly merit a mention: They confirmed not only that environmental change is now out of human control but also that no one is prepared to make real, urgent effort to try to do anything about it.

The U.S. "drawdown" from Iraq may get some deserved applause, but it has come too late to make much difference to the long-term misfortunes of a war that was worse than a crime, because it was also a mistake. Pundits will reissue dire pronouncements about the European debt crisis, but it already looks as if I was right, when the crisis broke, to predict in British and Spanish media that the euro will emerge barely scathed, with the EU, if anything, marginally strengthened.

Politicians have supplied some real-life comic opera to enliven the generally cheerless, pointless record. Silvio Berlusconi added "bumpa-bumpa" to the world's lexicon. Nicolas Sarkozy entertained us with his impersonation of the gait and patience of a Gallic cockerel. Jacques Chirac devised amusing excuses to escape jail.

Politicians' posturings reached new heights of self-ridicule when Hugo ChÃ¡vez, a noisy mountebank, whose gestures always seem to have the impact of a feebly flung custard pie, called President Obama a clown. The U.S. congressional impasse did only modest harm to America but made the country a world-wide laughing-stock.

The inane antics of Republican presidential candidates brought smiles to the faces of U.S. recession victims. Rick Perry couldn't remember which departments he wanted to abolish. Herman Cain revealed unexpected depths in the sex life of a pizza guy. Even Ron Paul and Newt Gingrich became funny in a desperate sort of way when Republican voters turned to the unelectable twins in revulsion from all the other options. But the candidates' parade seemed mainly to show the poverty of democracy and the shallowness of voters' morals. Members of the debate audiences bayed for the blood of death-row inmates and uninsured hospital patients. State legislatures courted the votes of the hateful and resentful by victimizing poor immigrants and their innocent children.

2011 ought to have been a great year. Legislation could have unlocked the bank vaults and reversed recession. But nothing much happened. Punishment could have made an example of the guilty men of the global economic crisis, but the fat cats have gone on gorging.

Action could have gutted corruption out of the U.S. political system -- but the 2012 election will be like all the others, bought by millions of dollars, abandoned by millions of voters. Iran could have rejoined civilization, but, instead, the irrational alienation of Iranians has continued. Imaginative initiatives could have helped to reverse the clash of civilizations, but inter-communal violence has gone on accumulating. I relish unmemorable years: They make it easier for me to update my textbook on the history of the world. They absolve me from further work. But, on the scale of those of 2011, missed opportunities are bad for all of us.

The year's non-events have, at least, taught us two truths. First, the global political system is sclerotic. The inertia of the U.S. government, with decision-making deadlocked and almost every program frozen -- the promising and menacing alike -- seems representative of a world baffled into pusillanimity by the scale of its problems, while the feebleness of the EU's response to the financial crisis has shown the same sort of freeze-framing, in a system too clogged with complexity to function.

Second, 2011, like other unremarkable years, has confirmed the already dominant features of the history of our day: intractable economic stagnation, moral and intellectual torpor, tacky culture, environmental degradation. We can congratulate ourselves, as we head into 2012, only on escaping the infamous old Chinese curse: We do not live in interesting times.

The opinions expressed in this commentary are solely those of Felipe Fernandez-Armesto.

@highlight

Felipe Fernandez-Armesto: For all its sound, fury, 2011 was a year in which little changed

@highlight

He says bin Laden was a has-been who had ceased to influence history

@highlight

No real progress on reform of economy or global political system, he says

@highlight

Author: Opportunities were missed to make 2011 a pivotal year