New York (CNN) -- Beyond the unhealthy influence that our demand for factory-farmed meat has in the area of food-borne illness and communicable diseases, we could cite many other influences on public health, most obviously the now-widely recognized relationship between the nation's major killers -- heart disease, No. 1; cancer, No. 2; and stroke, No. 3 -- and meat consumption.

Or, much less obviously, the distorting influence of the meat industry on the information about nutrition we receive from the government and medical professionals.

In 1917, while World War I devastated Europe and just before the Spanish flu devastated the world, a group of women, in part motivated to make maximal use of America's food resources during wartime, founded what is now the nation's premier group of food and nutrition professionals, the American Dietetic Association.

Since the 1990s, the group has issued what has become the standard we-definitely-know-this-much summary of the healthfulness of a vegetarian diet. The association takes a conservative stand, leaving out many well-documented health benefits attributable to reducing the consumption of animal products. Here are the three key sentences from the summary of the relevant scientific literature.

One: Well-planned vegetarian diets are appropriate for all individuals during all stages of the life cycle, including pregnancy, lactation, infancy, childhood and adolescence, and for athletes.

Two: Vegetarian diets tend to be lower in saturated fat and cholesterol, and have higher levels of dietary fiber, magnesium and potassium, vitamins C and E, folate, carotenoids, flavonoids and other phytochemicals.

Three: Vegetarians and vegans, including those who are athletes, "meet and exceed requirements" for protein, the paper notes elsewhere.

And, to render the whole we-should-worry-about-getting-enough-protein-and-therefore-eat-meat idea even more useless, other data suggest that excess animal protein intake is linked with osteoporosis, kidney disease, calcium stones in the urinary tract and some cancers. Despite some persistent confusion, it is clear that vegetarians and vegans tend to have more optimal protein consumption than omnivores.

Finally, we have the really important news, based not on speculation, however well-grounded in basic science such speculation might be, but on the definitive gold standard of nutritional research: studies on actual human populations.

"Vegetarian diets are often associated with a number of health advantages, including lower blood cholesterol levels, lower risk of heart disease" (which alone accounts for more than 25 percent of all annual deaths in the nation), "lower blood pressure levels, and lower risk of hypertension and type 2 diabetes. Vegetarians tend to have a lower body mass index" (that is, they are not as fat) "and lower overall cancer rates" (cancers account for nearly another 25 percent of all annual deaths in the nation).

If it's sometimes hard to believe that eschewing animal products will make it easier to eat healthfully, there is a reason: We are constantly lied to about nutrition.

Let me be precise. When I say we are being lied to, I'm not impugning the scientific literature but relying upon it. What the public learns of the scientific data on nutrition and health, especially from the government's nutritional guidelines, comes to us by way of many hands. From the start, those who produce meat have made sure that they are among those who influence how nutritional data will be presented to the likes of you and me.

Consider, for example, the National Dairy Council, a marketing arm of Dairy Management Inc., an industry body whose sole purpose, according to its Web site, is to "drive increased sales of and demand for U.S. dairy products."

The council promotes dairy consumption without regard for negative public-health consequences and even markets dairy to communities incapable of digesting the stuff. As it is a trade group, the dairy council's behavior is at least understandable.

What is hard to comprehend is why educators and government have, since the 1950s, allowed the dairy council to become arguably the largest and most important supplier of nutritional-education materials in the nation. Worse, our present federal "nutritional" guidelines come to us from the U.S. Department of Agriculture, the very same government department that has worked so hard to make factory farming the norm in America.

The USDA has a monopoly on the most important advertising space in the nation, those little nutritional boxes we find on virtually everything we eat. Founded the same year that the American Dietetic Association opened its offices, the USDA was charged with providing nutritional information to the nation and ultimately with creating guidelines that would serve public health. At the same time, though, the USDA was charged with promoting industry.

The conflict of interest is not subtle: Our nation gets its federally endorsed nutritional information from an agency that must support the food industry, which today means supporting factory farms. The details of misinformation that dribble into our lives (like fears about "enough protein") follow naturally from this fact and have been reflected upon in detail by writers like Marion Nestle.

As a public-health expert, Nestle has worked extensively with government -- on "The Surgeon General's Report on Nutrition and Health," for one -- and has had decades of interaction with the food industry. In many ways, her conclusions confirm what we already expected, but the insider's perspective she brings has lent a new clarity to the picture of just how much influence the food industry, especially animal agriculture, has on national nutrition policy.

She argues that food companies, like cigarette companies, will say and do whatever works to sell products. They will "lobby Congress to eliminate regulations perceived as unfavorable; they press federal regulatory agencies not to enforce such regulations; and when they don't like regulatory decisions, they file lawsuits. Like cigarette companies, food companies co-opt food and nutrition experts by supporting professional organizations and research, and they expand sales by marketing directly to children."

Regarding U.S. government recommendations that tend to encourage dairy consumption in the name of preventing osteoporosis, Nestle notes that in parts of the world where milk is not a staple of the diet, people often have less osteoporosis and fewer bone fractures than Americans do. The highest rates of osteoporosis are seen in countries where people consume the most dairy foods.

In a striking example of food industry influence, Nestle argues that the USDA has an informal policy to avoid saying that we should "eat less" of any food, no matter how damaging its health impact may be. Thus, instead of saying "eat less meat," which might be helpful, it advises us to "keep fat intake to less than 30 percent of total calories," which is obscure to say the least.

The institution we have put in charge of telling us when foods are dangerous has a policy of not (directly) telling us when foods, especially if they are animal products, are dangerous.

We have let the food industry craft our national nutrition policy, which influences everything from what foods are stocked in the health-food aisle at the local grocery store to what our children eat at school.

In the National School Lunch Program, for example, more than half a billion of our tax dollars are given to the dairy, beef, egg and poultry industries to provide animal products to children, despite the fact that nutritional data would suggest we should reduce these foods in our diets.

Meanwhile, a modest $161 million is offered to buy fruits and vegetables that even the USDA admits we should eat more of. Wouldn't it make more sense and be more ethical for the National Institutes of Health, an organization specializing in human health and having nothing to gain beyond it, to have this responsibility?

The global implications of the growth of the factory farm, especially given the problems of food-borne illness, antimicrobial resistance and potential pandemics, are genuinely terrifying.

India's and China's poultry industries have grown somewhere between 5 and 13 percent annually since the 1980s. If India and China started to eat poultry in the same quantities as Americans -- 27 to 28 birds annually -- they alone would consume as many chickens as the entire world does today.

If the world followed America's lead, it would consume more than 165 billion chickens annually, even without an increase in population. And then what? Two hundred billion? Five hundred? Will the cages stack higher or grow smaller or both? On what date will we accept the loss of antibiotics as a tool to prevent human suffering? How many days of the week will our grandchildren be ill? Where does it end?

The opinions expressed in this commentary are solely those of Jonathan Safran Foer.

@highlight

Safran Foer:  Food industry influences what stores stock, what schoolchildren eat

@highlight

USDA charged with creating nutritional guidelines and promoting industry

@highlight

Expert: Food industry, like cigarette industry, says anything to sell products

@highlight

Nation's premier group of nutrition experts supports vegetarianism, he says