New York (CNN) -- In Manhattan's protest hub, the big decisions are made by consensus.

Each day in the privately owned Zuccotti Park, where Wall Street protesters have encamped for more than a month, demonstrators engage in a slow, seemingly cumbersome process of making their voices heard.

The group, which calls itself Occupy Wall Street, arranges in a half-circle inside the city's financial district for what demonstrators say is their General Assembly, listening to the concerns of those who decide to participate before voting on issues thought to affect them all.

Police prevent the use of loudspeakers. So the group, undeterred, instead echoes the voice of whomever is speaking, rendering their comments much more audible to the hundreds that gather each day.

And their topics range: From the practical (such as where to march and when) to the mundane (like concerns about trash collection), nothing reaches a conclusion until almost the entire group agrees.

Wall Street demonstrations start second month

The meetings, meanwhile, have cropped up in other cities, while similar demonstrations have taken hold in dozens of cities nationwide and around the world.

The protesters in Zuccotti Park commonly say it's democracy in action, and it works.

"The idea of a General Assembly -- a place where people can air their grievances against the government -- that does not happen anymore in America," said Lorenzo Serna, a protester and camp volunteer.

"We have created that space here, so I already think we are a success."

But the process can be messy.

At a recent General Assembly meeting in New York, a demonstrator -- unhappy with the agreed-to rules banning drugs and alcohol -- decided he would be disruptive, even announcing his intention to the group.

The group, however, permitted his comments, apparently not wanting to alienate anyone.

Earlier this month, Rep. John Lewis, D-Georgia, showed up at an Occupy Wall Street demonstration in Atlanta and asked if he could address the crowd. The distinguished civil rights leader wanted to speak to the people in his district, and at first, it looked like he had the support of the group.

But then, one man, while acknowledging Lewis' contributions to society, said the Occupy Wall Street movement is a Democratic process, "in which no singular human being is inherently more valuable than any other human being." That led to a 10-minute group discussion before it was decided by consensus that Lewis should not be allowed to speak.

Blog: 'Occupy' movement goes global

Consensus-building through a group process clearly has its shortcomings. But some experts on the democratic process see it as an effective means to an end.

"Setting an effective group process, we think, is really the only way to move things forward," said Maya Lampson, director of the Leadership New York program at the Coro New York Leadership Center. Coro is a nonpartisan, nonprofit organization that trains people to be effective, ethical leaders in a Democratic system.

"Having a consensus decision-making process allows for inclusivity and also more of a sense of buy-in and ownership," Lampson said, "so when decisions do get made, things can move forward a little more rapidly."

She has high hopes that the Occupy Wall Street movement will effect change in some way. Marty Linsky does not.

"Because they are committed to this process, what they agree on is becoming more and more abstract," the co-founder of Cambridge Leadership Associates said. His company is often called to help organizations turn a bunch of good ideas and recommendations into action with a positive outcome. He doesn't see that happening with Occupy Wall Street.

"I think that's the danger of this kind of process," Linsky said. "If we say we're going to operate by consensus, which is everybody has to agree, well, the only way you can get everybody to agree when people have different agendas is to agree on something that is so ethereal as to be meaningless."

Linsky warns that this addiction to a process in which everybody has a voice could spell the demise for Occupy Wall Street. His advice to people taking part in the demonstrations is to run for office, work for a campaign and learn from the tea party.

"Tea party folks understood that if they were actually going to create change as opposed to just complain ... they had to figure out a way to influence directly the decisions that people made."

One thing Linsky thinks the Occupy Wall Street movement has working in its favor is that it's constantly growing. "These folks -- like the tea party people -- have numbers," he said, "and numbers in a Democratic setting are an incredibly important resource and a powerful counterweight to dollars."

In order for that to be an effective tool in achieving whatever it is the Occupy Wall Street movement eventually decides to do, Linsky said someone is going to have to assume leadership.

"If someone were to actually try to shape and form that movement into something that actually might effect change, that person is going to annoy a lot of those people in Zuccotti Park."

Linsky said anyone in a leadership role within the movement will automatically make enemies because he or she will have to put some people's agendas on hold.

The leadership role is starting to be filled, not by one person but two dozen people. They call themselves the Demands Committee. They're meeting regularly in New York to discuss possible actionable demands: a list they can present to the entire movement.

This being a group process, they say the eventual list will be adopted only if it is approved by more than two-thirds of the Occupy Wall Street demonstrators.

@highlight

Occupy Wall Street has lasted more than a month

@highlight

Protesters get organized with daily meetings called their General Assembly

@highlight

Protesters say this is democracy in action, but the movement's future remains unclear

@highlight

Decision-making process, use of inclusivity can be slow and messy, but movement is growing