(CNN) -- Feeding India's hungry school children is an undertaking unparalleled anywhere -- the $22 billion-a-year scheme provides a hot meal to an estimated 120 million students every school day.

Reetika Khera, an economist at the Indian Institute of Technology Delhi who has studied the scheme, credits the "very ambitious, very large and very popular" program with having a huge impact on student enrollment and attendance in a country in which, according to official government figures, nearly half of all children are malnourished.

But the tragic deaths of at least 22 children and hospitalization of 24 more after eating a school meal in India's northeastern Bihar state highlight the failings of the program to provide healthy -- or even safe -- meals, in some parts of the country where governance, accountability and poverty remain entrenched issues.

Read more: Principal on the run, children recover

The students became ill immediately after eating the meal of rice and potatoes in the village of Dahrmasati Gandawan on Tuesday. The circumstances leading up to the contamination, which has provoked violent protests in the region, remain murky, with the school's principal and her husband having absconded and currently being sought by authorities, area police chief Sujit Kumar told CNN.

But Bihar state Education Minister P.K. Shahi has said the children were poisoned by an insecticide that was in the food. Officials believe the substance involved was organophosphorus, a chemical that the U.S. Center for Disease Control and Prevention says is commonly used in agriculture.

Khera said the national school meal program had its origins in a landmark decision by India's Supreme Court in 2001 that decreed all government schools were required to provide free meals to students below the age of 13.

Until that point, the schools had been discharging their commitments to child nutrition "by giving children 3kg of wheat or rice every month in lieu of giving them meals," she said. "The court said 'This will not do.'"

Within a year, most states had implemented systems to offer daily meals to their students, but in Bihar -- one of India's poorest states she said, with a track record of poor governance and social welfare -- it took two years to start providing the service.

"Bihar is always a little bit behind everything," she said. "Around 2004-5, they started rubbing their eyes and waking up and saying, 'Okay, we've got to get on this thing.'"

Read more: Feeding school children in Bangalore

On the whole, the program -- aimed at achieving educational and nutritional goals in one swoop -- has been hailed as a success, with studies showing significant increases in enrollment and attendance, particularly among disadvantaged groups, such as girls, dalits and adivasis, said Khera. "By and large, it is a very important program and it has had a very good effect."

But the quality of the service has varied greatly across the country. Some states, such as Rajasthan and Tamil Nadu, developed sophisticated programs to deliver a quality service. By contrast, a 2010 study by India's Planning Commission reported that more than 70% of children in schools surveyed in Bihar were unhappy with the quality of their meals, three-quarters of the schools reported they lacked proper utensils, and many schools in Bihar complained of receiving their food supplies on a haphazard basis, resulting in hygiene issues.

"Problems still remain, especially in states like Bihar, Jharkand, Uttar Pradesh, West Bengal," she said. "There is a very serious problem of administrative capacity and law. The implementation is poor, the money they put into the program is very little and so the quality of the food that is provided in this region is a general concern. They're still struggling with issues that a place like Rajasthan was dealing with 10 years ago."

The fact that there were no answers days after the tragedy was "a reflection of the lackadaisical attitude of the Bihar government," she said. "Bihar needs to put mechanisms in place that will allow it to monitor these meals more effectively."

Further complicating the picture, she said, was the role of private contractors in the food supply chain, motivated by the promise of profiting from the government-funded programs. "When you bring in contractors to supply meals, these people only come in it for the money. And when they come in for the money, they're going to skimp any way they can -- by cutting corners," she said.

CNN-IBN, CNN's sister network, reported Bihar's education minister P.K. Sahi as claiming the school principal's husband was the supplier of the food for the school meals. CNN has been unable to verify his claims with the principal or her husband, who authorities say have "absconded."

Khera said that while contaminated school meals were not unheard of across the country, an incident on this scale would hopefully serve as a wake-up call to authorities to improve the service where it was required.

"But it's hard to see that happening, because there's a general problem of a lack of accountability, particularly in this state," she said.

@highlight

India provides a free hot meal a day to every student below the age of 13

@highlight

It is the largest program of its kind, feeding 120 million children every school day

@highlight

The scheme is designed to tackle education and nutrition in one swoop

@highlight

But the quality of the food varies wildly, with some states providing substandard meals