"Neil Armstrong is going to walk on the moon on Monday, July 21st."

I couldn't have envisaged that 45 years after writing that sentence during an infant school exercise I would still be writing about human exploration of the moon -- or lack of it.

Throughout the 1970s, children's magazines showed artists' conceptions of the moon bases that would be built.

But following the global excitement of Armstrong's step off the Eagle spacecraft's ladder in July 1969 only 11 more astronauts have walked on the lunar surface and people have not been back since 1972.

The moon bases have not materialized and supersonic flights for commercial passengers, that looked like they would become commonplace after test flights during the Apollo era, came and then stopped.

In the 1960s it was possible to see 3D movies just as it is today. In 1969 the Beatles were still together -- just about, "Midnight Cowboy" won an Oscar for best picture, and Mario Puzo's "The Godfather" was published. They are all still firm favorites.

So have our advances been with such small steps in the intervening years or have we made giant leaps elsewhere? The 1960s might seem familiar but the world was actually very different.

There was no World Wide Web, no cell phones -- at least not the kind that fit in your pocket -- crude oil was a fraction of today's price and the Soviet Union still existed.

The technology of today would have seemed like science fiction to a child of the 1960s.

The Apollo spacecraft that took Neil Armstrong, Buzz Aldrin and Michael Collins to the moon was equipped with a navigation computer that is puny in comparison to today's devices.

NASA says the Apollo computers had a permanent memory of about 36,000 words and an erasable memory of about 2,000 words. Your smartphone likely has a 32 gigabyte storage facility -- theoretically capable of storing about six billion words and it is a lot more versatile than the hardware on the moon capsules.

You can make a video call to a person on the other side of the world, find out your exact position on the Earth to an accuracy of a few meters thanks to satellite navigation, shoot video and share it almost instantaneously, and all from a device that fits in the palm of your hand.

Over the last few decades scientists have become more successful in treating cancers, identified individual genes that cause disease and created bionic limbs for disabled patients.

So why haven't we been back to the moon?

NASA points out that the moon has not been ignored.

"In the 45 years since the Apollo program, NASA has continued scientific study of the moon through robotic explorers," said a NASA spokesman.

"Contemporary missions like NASA's GRAIL, LADEE, and the Lunar Reconnaissance Orbiter have helped us explore the upper atmosphere, surface, and interior of our nearest neighbor in the solar system.

"At the same time, NASA's fleet of robotic explorers are extending our senses throughout the solar system, as we seek answers to fundamental questions like 'are we alone? How did life begin on Earth? Can we live on other worlds?'" he said.

Perhaps then, a better question should be: does it really matter that we haven't returned to the moon in person?

Major advances

Amazing discoveries have also been made in space since the 1960s.

Hundreds of new worlds have been found outside our solar system since the existence of the first exoplanet was confirmed in the 1990s. This year, NASA announced for the first time that an Earth-sized planet that could be habitable had been found 490 light years from us.

Astronomers estimate there are tens of billions of similar, possibly habitable planets in our own galaxy.

Closer to home, a fleet of NASA rovers has explored the surface of Mars sending back amazing panoramas and drilling into the rocks to test their composition. And it's not just NASA. India's first Mars orbiter is on its way to the Red Planet and private companies are also proposing adventures there.

Probes have been sent on a grand tour of the solar system since the Apollo program -- Voyager 1 launched in 1977 is now in interstellar space -- and other spacecraft have studied Venus, Jupiter, Saturn and Titan.

We may not have a moon base yet but nations have come together since Apollo to build the International Space Station. Covering an area the size of a football field, it has been in continuous occupation since 2000 and carries cameras that give high definition video pictures of our home planet.

Our view of the universe has also changed considerably since 1969, partly due to the wealth of images captured by the Hubble space telescope that was launched in 1990. Last year it was announced that Hubble had discovered an exoplanet with a deep blue color and where it possibly rains liquid glass.

The European Space Agency (ESA) this year launched the billion pixel Gaia space telescope with the task of building a 3D map of the Milky Way. A successor to Hubble -- the James Webb Space Telescope -- is currently being built and scheduled for launch in 2018.

Exciting missions are also under way. The Rosetta spacecraft is due to orbit a comet beginning in August 2014 and then land a probe on its surface as it races around the Sun.

Other nations are planning to reach out to the moon, Mars and Jupiter while entrepreneurs are aiming to launch commercial space flights. Virgin Galactic, Blue Origin and SpaceX are all competing to enable access to space.

Where next?

So is it all over for moon exploration? NASA says not though its focus is on sending astronauts to Mars in the 2030s.

"As international partners and the growing U.S. commercial space industry venture beyond low-Earth orbit as well, there may be some opportunities to return humans and robots to the lunar surface. Our roadmap for exploration includes the possibility of assisting partners with that kind of exploration, but our investments in human spaceflight are focused on enabling the path to Mars," a NASA spokesman told CNN.

"We'll soon return humans to the vicinity of the moon ... [a] proving ground we need to test these key capabilities and help us advance on the human path to Mars," he said.

Looking up at mesmerizing stars

INTERACTIVE: Explore Mars

@highlight

Children's magazines of the 1970s imagined moon bases that were expected to be built

@highlight

Only 12 people have walked on the lunar surface and none since 1972

@highlight

NASA says it is focused on sending humans to Mars in the 2030s

@highlight

There have been huge technological leaps and space discoveries in the last 40 years