Minot, North Dakota (CNN) -- The bloated Souris River has crested at an historic high in Minot, North Dakota, but floodwaters likely will remain at or near their current level for several days, authorities said Sunday.

"At this point, the river has had its crest so far in Minot, but a number of locations downstream still have some high water yet to come," said Richard Kinney, a forecaster with the National Weather Service in Bismarck. North Dakota.

A crest is defined as the high point of the water during a flood before it begins to recede.

A boil-water order, issued as a precaution on Saturday, remains in effect. And experts caution that although the water rose quickly -- flooding up to 4,000 homes to some degree -- it will be slow to recede.

"We did have a couple of close calls at the temporary dikes last night," Minot Mayor Curt Zimbelman told reporters Sunday. "Both those areas have been repaired."

He reminded residents not to enter the evacuation zone.

The river at Minot crested at 1,561.72 feet above sea level Sunday morning, said Kinney -- below earlier predictions but still almost 4 feet above an 1881 record. Water levels had fallen to 1,561.48 feet by Sunday night, Kinney said.

Many residents of Minot, who evacuated ahead of the rising water, approached the water's edge on Sunday, hoping to catch a glimpse of their homes, said CNN's Jim Spellman. Most often, they are disappointed at the devastation they see, he said.

Spellman said when he toured the hardest-hit area by boat, several residents gave him their addresses and asked him to check on their homes. Everyone was hoping their home might be the one that was spared, he said, but he had to bring back bad news.

"It's a somber feeling, sitting here," said resident Steve Knab. He recalled "listening to the sirens go off, and they evacuated us, and coming back the next day and seeing this ... it's disheartening."

But, he said, "we'll get there. We're healthy."

These personal struggles come as local, state and federal authorities rush to minimize the damage to property and maximize security and safety of residents.

Three recovery centers will open on Monday -- two in Minot and one in Bismarck, Gov. Jack Dalrymple told reporters. Residents can visit the location to find out about assistance programs and "meet with someone who is able to answer your questions directly," he said. But, he noted, it is not necessary for residents to visit the centers to register for disaster assistance, which can be done by telephone or online.

He said he had toured the area, and it was "sobering, to say the least." A task force is being set up to immediately begin working on returning children to schools, whether those schools are restored or relocated.

Evacuee Robin Taylor said residents have been helping one another. When her family had to evacuate in a hurry, neighbors on both sides pitched in, she said.

Jim Sarroll has lived in Minot his entire life. He has sandbagged his home, located just outside the evacuation zone, with the help of neighbors, and said Sunday it is dry for now.

He is, however, very concerned about the water. "I flushed my toilet this morning, and the water was red," he said.

Still, he said he is able to see the positives when neighbors, relatives and friends bond to get through a disaster the best they can.

The Souris flows through the center of Minot, a city of about 36,000. About a third of the city's population is under evacuation orders.

About 900 National Guard soldiers and about 100 airmen from Minot Air Force Base are assisting in the Minot area, authorities said.

Minot officials told residents Saturday that tap water should be boiled for at least a minute before consuming in order to kill any dangerous organisms.

The focal point in Minot continues to be the Broadway Bridge, a critical north-south route through town. Officials have been working round-the-clock to prevent the river from inundating nearby routes, all part of larger efforts aimed at preventing Minot from effectively being split in half by the flooding.

"It's really important that (Broadway) bridge stays open," said Cecily Fong, spokeswoman for the North Dakota Department of Emergency Services.

Republican Rep. Rick Berg said he had been in touch with officials in Washington -- which has authorized FEMA to grant assistance -- and expressed optimism that the government will work well with residents to overcome the challenges.

"You're seeing people at the highest levels working together, putting politics behind them," said North Dakota's lone congressman.

Berg, though, cautioned that the "marathon" was far from over. For instance, water levels near the Broadway Bridge were still expected to remain around 1,561 feet through Tuesday -- with a slow drop over the coming week.

And the worst is yet to come for other North Dakota cities and towns.

In Sawyer, "we'll be approaching peak levels over next 24 hours," meteorologist Patrick Ayd of the National Weather Service in Bismarck said early Sunday morning. Water levels in Velva are expected to peak Monday or Tuesday.

The situation prompted the evacuation Saturday of Sawyer's 350 residents as water from the Souris River began to slosh up a main street through town, according to the U.S. Corps of Engineers.

Ken and Janelle Herslip's house -- less than a mile from the Souris -- was one of those flooded on Sunday.

Even though a crew of more than three dozen friends and family helped them evacuate on Monday -- scouring the house for everything that wasn't attached to the walls -- Ken Herslip said Saturday his wife was still devastated.

"We've had many homes over our life, and she finally got the house of her dreams," he said. "She is absolutely devastated, bawling all the time."

Herslip, who built the house, isn't so busted up. No one was hurt, and they can build again, he said.

Still, he said, "it will never be the same."

CNN's Alexandra Steele, Mike Pearson, Holly Yan, Phil Gast and Sara Weisfeldt contributed to this report.

@highlight

NEW: River levels at Minot begin their slow retreat, a NWS forecaster says

@highlight

"It's disheartening," says resident Steve Knab

@highlight

3,000 to 4,000 homes have been affected by floodwater in Minot

@highlight

The Souris River has topped its record crest from 1881