(CNN) -- The death toll from the destructive typhoon that savaged the southern Philippines last week has climbed above 700, authorities said Tuesday, warning that the final number may be much higher.

Nearly 900 people are still unaccounted for in the aftermath of Typhoon Bopha, the strongest and deadliest storm to hit the Philippines this year, according to the country's emergency management agency.

The numbers of dead and missing have risen drastically during the past several days as government officials have gathered information from isolated areas where the scale of the devastation was previously unknown.

Both of the grim totals are likely to increase further this week, said Benito Ramos, head of the National Disaster Risk Reduction and Management Council, the emergency agency. Search and rescue efforts are continuing, he said, despite the declining chances of finding people alive.

"We are still hoping against hope that there are still survivors," he said by telephone, adding that some of the hundreds of fishermen reported missing after the storm could yet be found sheltering on small islands out at sea.

If only a few of those missing are found alive, Bopha could eventually prove more deadly than Tropical Storm Washi, which killed 1,268 people a year ago. But its toll would still remain far below that of Tropical Storm Thelma, the country's most lethal storm on record that left more than 5,000 people dead in 1991.

The worst of the death and destruction from Bopha took place on the southern island of Mindanao, where the storm hit first and hardest with gusts as strong as 220 kph (138 mph). In the provinces of Compostela Valley and Davao Oriental, the heavy rain set off flash floods and landslides that engulfed whole neighborhoods, and the winds ripped apart fragile houses.

Many residents were unprepared or unaware of the typhoon's threat to the region, which rarely experiences tropical cyclones of such magnitude. Bopha, known locally as Pablo, was the most powerful typhoon to hit Mindanao in decades.

Compostela Valley and Davao Oriental account for the vast majority of the 714 people killed and for most of the 890 still missing nationwide. A week after the typhoon struck, survivors there are facing many obstacles to rebuilding their lives.

Hundreds of thousands of people are living in evacuation centers or relying on the government for other kinds of assistance, according to the national emergency agency.

And hundreds more, who have not been able to find refuge in the centers, line the roads of Compostela Valley, said Arlo Ramos, a relief worker in the region for World Vision, a humanitarian group.

"During the daytime, they stand along the side of the road, they ask for food," he said. At night, they sleep in small, makeshift shelters cobbled together out of bits of wood and canvas scavenged from the debris, he added.

In New Bataan, the town at the heart of the devastation, dead bodies are still being found and lined up in an open space in front of an evacuation center, according to Arlo Ramos.

When aid workers or government officials arrive in the town, he said, residents crowd around them, hoping to get the food or water they desperately need, he said.

The region's prospects for longer term recovery are also bleak, since the storm laid waste to a great deal of the agricultural land on which many residents rely for their livelihood.

"Farming communities have been the worst hit and it could take many years for them to fully recover," said Paul del Rosario, the humanitarian program coordinator for the charity Oxfam.

The United Nations has announced a global appeal to try to raise $65 million to help those affected by the storm. And Philippine President Benigno Aquino III, who visited New Bataan and other severely affected areas last week, has declared a state of national calamity, which releases emergency funds and puts price controls on basic goods.

Finger pointing has also begun among officials over the reasons why so many people lost their lives. Local authorities have been criticized for not anticipating the scale of the destruction.

And a member of Aquino's government, Environment Secretary Ramon Paje, has said illegal logging and mining contributed to the landslides and flash floods on Mindanao.

Paje has implemented measures aimed at clamping down on logging in Philippine forests.

"Several quarters are criticizing the declaration of a total log ban but look at what happened," he said last week, referring to the devastation on Mindanao, according to CNN affiliate ABS-CBN. "It is now proving that we really must stop timber harvesting, especially in our natural forests."

@highlight

The numbers of dead and missing are likely to rise further, an official warns

@highlight

Typhoon Bopha has so far killed 714 people in the Philippines

@highlight

Another 890 people are missing, including hundreds of fishermen

@highlight

Hundreds of thousands of survivors have been severely affected by the destruction