HONG KONG, China (CNN) -- In the 6-1/2 years Htein Lin spent in Myanmar prisons between 1998 and 2004, he produced an estimated 250 paintings. He credits prison guards with helping to save most of his work.

Htein Lin stands beside "Red September Memory," which alludes to last year's Myanmar protests and Buddhism.

They became his audience during his time in prison.

In what Htein Lin called "the smuggling painting project," he said eight to 10 guards provided him with house paint, acrylics, or colored powder from the prison factory where inmates made items. They were too scared to provide a brush, however; so, Htein Lin improvised by resorting to his fingers, hands, soap, sometimes his face. His canvases were his dinner plate and white cotton prison uniforms.

It was while working on the cotton uniforms, the absorbency of which made controlling lines difficult, that Htein Lin discovered monoprinting as a useful technique. He would take his dinner plate, apply glue and color to its backside, use his finger as a brush, and then press the finished image against the cotton.

Htein Lin would show the prison guards his paintings, explain their meaning and solicit their opinions: "How do you feel?" he'd ask. "One year later, they appreciate my art," he said. The more paints they brought, the more he painted, and this was how he was able to prove he was an artist, not a politician, Htein Lin said.

Eventually, the guards would want to share the secret with their friends, other guards. And this is how the "network" grew, Htein Lin said. These men took a big risk, facing demotion or possible imprisonment themselves, but their jobs were for a living, not for any particular belief, Htein Lin explained. Moreover, there was some relish for the secrecy of "the game."

Today, most of those cloth paintings are housed in Amsterdam, Netherlands, at the International Institute of Social History, a repository for documents concerning the Myanmar opposition movements.

In the past year, Htein Lin, now 41, has rendered those same images onto canvas, a dozen of which have been the focus of an exhibition at the Karin Weber Gallery in Hong Kong, China. His work next heads to exhibition at the Quest Gallery in Bath, England, from mid-May to early July.

His "The Cell" series shows the use of plate bottoms, his hands and blocks -- the same tools he used while in prison. In "The Cell 6," a single white line is used to trace the body of the prisoner as well as the walls of his prison, while smaller blocks of prisoners surround it. Further inscribed is a window with bars.

The original cloth "prison paintings" are not for sale, however.

Htein Lin was imprisoned for a month in Rangoon, two years at Mandalay Prison, and 4-1/2 years at Myaungmya Prison in the south. He was sentenced after being charged on the basis of a letter by a "former comrade" listing him as a potential recruit for Burmese opposition events in 1998, the 10-year anniversary of landmark democracy protests, according to Htein Lin. Although he was involved in the 1988 democracy protests as a young law student, his arrest occurred when he was not involved in politics, he said in a follow-up e-mail.

"I was making a living as an artist and an actor."

"You are very nice. Why are you in prison?" he recalled the prisoner guards as asking. They tended to be uneducated and had little knowledge of politics much less art, Htein Lin said.

Some prison guards would ask, "Could you write a very lovely poem to my girlfriend?" or "Can you do a design for my tattoo?" Htein Lin said. "So I draw for them."

Htein Lin, who performed in the streets in Yangon before his arrest, would also keep an eye out for prisoners about to be released; he wanted their prison uniforms.

Many uniforms were used for portraits of other political prisoners, of Aung San Suu Kyi, and of Htein Lin's father, who died while the son was still in prison.

Eventually, Htein Lin had to get rid of the paintings he was accumulating to avoid attracting attention from the prison superiors. The most he had in his cell were 10. As he befriended his guards, beseeching them to safeguard his paintings until his release, they would haul away the works in bags that carried prisoners' scraps for the pets at home, Htein Lin said. The cloth would be folded so as not to be dirtied.

In one instance, however, a sergeant who'd agreed to smuggle paintings out of prison got very confused while looking at them and thought they included a map of a prison, Htein Lin said. "He destroyed 20 of my paintings."

In 2005, a year after Htein Lin's release from Myaungmya, one guard came to Htein Lin's solo exhibition in Yangon featuring the cotton paintings he did during his prison years. The guard felt pride, Htein Lin said. The exhibition was called "00235," the prisoner number Htein Lin was assigned by the International Committee of the Red Cross during its visits.

Just weeks ago, Htein Lin painted "Twenty Years On," which unites the history of the 1988 pro-democracy movement and the pro-democracy protests in August and September of last year. Rimming three borders of the paintings are feathers of the "fighting peacock," the longtime symbol for Burmese students later adopted for the flag of the National League for Democracy, the party of Aung San Suu Kyi. The painting took him a couple days.

Gallery owner Karin Weber said she offered him a solo exhibition right after hearing him give a talk last year. "Clearly, his art is formed by his prison experience. But what I like about him is his realization that he needs to move away from this ... in order to develop as an artist," she said.

Since moving to London, where he lives with his wife, former British Ambassador to Myanmar Vicky Bowman, he's painted a series of three "How do you find London" paintings in response to questions about his new city.

The series "How do you find Venice" was painted for the Venice Biennial in which he participated last year. Other cities he's traveled to and roads he's traveled on since he left Myanmar have been rendered in paint, an activity he enjoys while his wife is driving, Htein Lin said.

@highlight

Eight to 10 guards provided paints to Htein Lin, smuggled his paintings out of prison

@highlight

Htein Lin said he was able to use art to demonstrate he is an artist, not a politician

@highlight

Original cloth paintings not for sale; were rendered onto canvas now on exhibition

@highlight

One guard destroyed 20 paintings, thinking one showed a prison map, Htein Lin said