(CNN) -- One reader called me in tears. Dozens sent e-mails. The overwhelming message: What can we do to help low-income people in East Carroll Parish, Louisiana, which has the highest income inequality of any county or parish in the country?

CNN featured East Carroll Parish and Lake Providence, the parish's largest town, as part of the Change the List project. It's a place where about 40% live in poverty and 16% are unemployed. There's wealth there, too, but it's far from evenly distributed.

Much of the response was incredibly heartwarming and generous. It reminded me that this country does have the empathy and caring it needs to mend our economic divisions.

"I just read portions of your story on Delores Gilmore," a prison guard who lives on the poorer side of Lake Providence, "and I am moved to tears," one reader said in an e-mail. "Although I know that structural change is the only way to truly help people like her, is there a way for me to make a donation to her and her family?"

Another wrote, "Thank you for the enlightening story. I hope I can help some way."

And here's an excerpt of what I think was the most powerful response, which I received by e-mail: "I watched this video and read the article this morning sitting in my 1,400-square-foot house, on my iPad. By the end I was bawling. My family is middle-class and we want for nothing. My husband and I are both college graduates, have great benefits, and our two young children have everything they need or want. ... I have been one of those that bemoaned government assistance and had that 'bootstrap' mentality. However, as your article suggests, how can that happen when there are places where there are no opportunities to be had?"

Because so many of you asked how to help, I've compiled a list of a few nonprofit organizations that are helping people find jobs, paying people's electric bills and strengthening neighborhoods in the area. You can find that list below. There's information, too, on how to contact Gilmore, the woman featured in the op-ed "The most unequal place in America" and the digital documentary "Across Lake Providence."

I'd also ask you to participate in CNN iReport's "Cross the Gap" project. Part of fixing America's income inequality problems is first acknowledging how wide the rich-poor gap has become.

If you have any further questions or would like more information, please send me an e-mail or a message on Twitter.

NOVA Workforce Institute of Northeast Louisiana

NOVA, based in nearby Monroe, Louisiana, provides jobs training programs in Lake Providence and surrounding communities. While I was in town, I met a woman who started her own restaurant in part because she was working with the group, and another man who was getting help with resumes and applying for work in the area.

NOVA takes donations through its website.

Together for Hope

A project of the Cooperative Baptist Fellowship, Together for Hope tries to reduce poverty in some of the poorest communities in the United States. The group employs a missionary, Jenny Hodge, in Lake Providence. She has organized backpack drives and collected school supplies for all public school students in Lake Providence. Overall, the group focuses on neighborhood development, education and training and economic development. Hodge told me that while the group has a religious affiliation, "our mission is not to start churches, evangelize or proselytize any specific denomination or faith group." It's trying to help everyone in the community.

Together for Hope takes donations online. There's a field where you can designate funds for Lake Providence, specifically, if you choose.

Catholic Charities

A satellite office of Catholic Charities is open in Lake Providence a couple days a week. The group primarily pays utility bills and rent for low-income residents in emergency situations, said Sister Bernadette Barrett, who works with the group locally.

Donations can be made online through the Catholic Charities office in Shreveport, Louisiana. Note you want your money to be used in Lake Providence.

Contacting Delores Gilmore

Many of the messages I received were from people who were touched by the story of Gilmore, an overnight prison guard in Lake Providence who raised several children and hasn't always had enough money to buy underwear and cleaning supplies.

For those wanting to contact Gilmore directly, it's best to go through CNN's viewer communications department. Its number is 404-827-1500. E-mail: storyidea@cnn.com. Thank you for the outpouring of interest and concern.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

CNN features a town in Louisiana with the nation's highest income inequality

@highlight

John Sutter: Many readers are asking how they can help people in the area

@highlight

A group provides job training programs in Lake Providence and surrounding towns

@highlight

Catholic Charities helps low-income residents pay bills in emergency situations