Washington, Illinois (CNN) -- Steve Bucher knew something was ominous about the weather.

"The sky was just rumbling for 20 minutes," Bucher said on CNN's "New Day," on Monday, the day after a devastating tornado outbreak destroyed his Washington, Illinois, home and dozens of others in several Midwestern states. "I told my wife I've just never heard anything like this in my life."

Soon, she was begging him to go downstairs into their basement.

"Within 30 seconds, the house was literally vibrating from the direct hit of this funnel cloud," Bucher said.

"Next thing we know, things are cracking, and glass breaking and furniture came around the corner, missed us even though it came down the hallway where we were," he said.

"I think my attitude was in the next minute and a half, we're either going to be in heaven, we're going to be in the hospital or we're going to walk out of here. Completely in the Lord's hands which one of those three things was going to happen," he said.

How to help

The storm took most of his house down to the decking over his walk-out basement, but neither he nor his wife was hurt.

"Everything else is rebuildable," Bucher said. "I couldn't replace her."

The storm that destroyed Bucher's home was part of a multi-state outbreak of tornadoes and powerful winds Sunday that caused damage in several states, including Missouri, Indiana, Michigan and Wisconsin.

Six people died in Illinois and two men were killed in Michigan, according to authorities. As many as 200 people were injured through Illinois, officials said. Some 120 of those injuries came in Washington, said Jon Monken, director of the Illinois Emergency Management Agency. Seven of those injuries were "traumatic," Monken said.

The storm destroyed or seriously damaged as many as 400 homes in Washington alone, Gov. Pat Quinn told reporters Monday.

Damage was also reported in the adjacent northern Illinois towns of Diamond and Coal City, in Champaign County in central Illinois, in southern Illinois' Washington County and in Massac County -- in the extreme southern tip of the state.

Incredible footage of the tornado in Washington, Illinois

Quinn declared seven counties a state disaster area, including Tazewell County, just east of Peoria in central Illinois, where a tornado left parts of Washington in ruins and one person dead.

"Devastation. Sadness. People that lost everything," is how Washington Mayor Gary Manier described the scene to CNN's Chris Cuomo on "New Day."

Another tornado in Washington County, Illinois, east of St. Louis, left a path of debris that stretched more than three miles, according to a preliminary survey by the National Weather Service.

While the bulk of the storm system had moved offshore into the Atlantic Ocean and the threat of severe weather Monday was small, damaging wind gusts of up to 40 mph were still possible in parts of the Northeast, CNN meteorologist Indra Petersons said Monday morning. In the Great Lakes region, 50 mph gusts were possible, she said.

Hundreds of thousands of people remained without power.

CNN affiliate WTVG: Storm leaves trail of damage

'Complete destruction'

The storm struck the town of Washington around 11 a.m. Sunday, when many of its 10,000 residents were at church.

That's where Curt Zehr was when cell phones started chirping out storm alerts and the congregation headed to the basement. His wife and son, Mike, were at home. Zehr's wife texted to say they'd seen the tornado hit Washington, about a mile to the south.

"Then, about five minutes later, she texted me and said the house is gone," Zehr told CNN. "I said, 'Whose house?' " She said, 'Our house.' "

Mike Zehr said it wasn't long after they saw the storm hit Washington that they realized it was headed straight for them.

They took to the basement and within a few minutes, Mike Zehr said, the house exploded with the loudest sound he's ever heard.

"The next thing we know, it's completely quiet and the sun's just shining through the stairs in the basement," he said.

And their house was gone.

Dozens of others had similar experiences.

"It was complete destruction," resident CNN iReporter Anthony Khoury, who filmed the tornado tearing through his neighborhood, said Sunday. "There are people in the streets crying."

Resident Michelle Crumrine said the winds swept her home and everything in it clean away.

"A lot of people have a pile of rubble still, and I don't have anything," she said. "It's gone. I don't know where it went."

On Monday, a National Weather Service survey team confirmed the storm had winds of 170 mph to 190 mph, producing EF-4 damage, the agency said. Earlier, the weather service had said such a confirmation would make the tornado the most powerful November twister in the state since at least 1950.

CNN affiliate KTVI: 2 killed in New Minden, Illinois

Damage elsewhere

In Washington County, the county coroner's office identified two dead there as 80-year-old Joseph Hoy and his 78-year-old sister, Frances. They died when a tornado obliterated their family farm in New Minden, the office said.

A 51-year-old man was killed in the town of Washington. Steve Neubauer was found near his home, Tazewell County officials said.

Three other deaths happened in Massac County, across the Ohio River from Paducah, Kentucky. Authorities identified the storm victims as Kathy George, 58, Robert Harmon, 56, and Scholitta Burrus, 63.

In Perry, Michigan, a 59-year-old man was found dead, tangled in live power lines. Phillip Smith's wife reported him missing after he didn't return after going out after the storm passed. Officials said a 21-year-old man was killed Sunday in Jackson County, but didn't release his name.

Brutal winds also flipped over at least six trucks on highways about 80 miles west of Chicago, the Ogle County Sheriff's Office said.

Officials in Missouri and Indiana were also dealing with storm damage.

In Missouri, state emergency officials said a tornado may have hit Scott County, where heavy winds overturned three rail cars and blew over four mobile homes.

And the mayor of Kokomo, Indiana, declared a state of emergency and closed schools Monday. While the state of emergency was set to be lifted at 6 a.m., "unnecessary travel in the affected areas is still prohibited," city officials tweeted.

There, the roof of a building sat in the middle of a road. A car rested on the mountain of rubble from a leveled home.

At least 600,000 customers in Illinois, Indiana and Michigan were without power as of Monday afternoon, officials said. Some outages in southwest Michigan may not be fixed until the weekend.

Indiana Gov. Mike Pence is scheduled to tour the storm damage Monday.

Soldier Field, O'Hare affected

Officials delayed the NFL game between the Chicago Bears and Baltimore Ravens for almost two hours as storms approached Chicago, warning spectators to leave the stands at Soldier Field and head for covered areas.

"The rain started coming, the skies got black, the wind was insane, and they evacuated us to underneath the concrete concourse," said Jim Arnold, who was at the game with his 11-year-old daughter.

"We've been through 15-degree-below weather and winds, but never anything like this," Arnold said. "The winds gusted at 70 mph, and the winds and the rain were horizontal and everybody was running. It was just crazy."

After the storm passed, fans returned to their seats and the game resumed

Thousands of travelers scheduled to fly through Chicago's O'Hare International Airport also had to grapple with the storm. More than 270 flights were canceled Sunday, and delays overnight stretched for an hour or more.

Unusual outbreak

Sunday's storms accounted for more than half of the tornado warnings issued in Illinois since 1986, the National Weather Service said Monday.

CNN meteorologist Karen Maginnis said the storms came later in the year than some might have expected.

"The primary time for tornadoes, as we well know, is springtime. Then we see a second high that comes in the fall," she said. "Is this late? It is rather late, because the temperatures have been very warm."

"On the backside of that, temperatures are dramatically cooler. So that cold air is filtering in behind it, warm air out ahead of it," she said. "And ... we get some twisting motion in the atmosphere. And that's why we see this tornadic activity."

CNN affiliate WGN: City takes direct hit from tornado

CNN's Ted Rowlands reported from Washington, Illinois. CNN's Holly Yan and Michael Pearson reported from Atlanta. CNN's Chuck Johnston, Catherine E. Shoichet, Shawn Nottingham, Joe Sutton, George Howell, Steve Almasy, Sean Morris, Dave Alsup, Jareen Imam, David Ruff, Taylor Ward, Janet DiGiacomo, Todd Borek and Rick Martin contributed to this report.

@highlight

NEW: Officials say a 21-year-old man was killed in Michigan, bringing the death toll to 8

@highlight

Washington, Illinois, storm rated as EF-4, with winds of up to 190mph

@highlight

Illinois governor makes disaster declaration for seven counties

@highlight

"A lot of people have a pile of rubble still, and I don't have anything," survivor says