(CNN) -- About 160 people were arrested by Saudi security forces early Friday morning in Buraida for unlawfully protesting outside that city's Bureau of Investigation and Prosecution, according to the Saudi Press Agency.

The spokesman for Qassim police said that 15 women and 6 children were among the 161 people taken in, and that the protesters had been arrested after officers at the scene had failed to convince them to end their demonstration.

Buraida, the provincial capital of Qassim Province, is considered part of the ultraconservative heartland of Saudi Arabia. It has been the scene of several small-scale protests the past few months.

Demonstrators have repeatedly gathered to demand the release of jailed relatives they say have been held for years without having been charged, tried or given access to lawyers.

According to Saudi human rights activists, this latest demonstration was the result of growing anger over the arrest of dozens of female protesters in Buraida earlier in the week. Activists say that about 28 women, many who brought their children, gathered in Buraida on Monday to demand the release of detained family members.

A statement issued Friday by Amnesty International criticized the arrests.

"According to reports," read a release from the rights group, "those arrested this morning have been transferred to a prison in Tarfiyah, east of Buraida, while those detained since 27 February continue to be held at the central prison in Buraida. No one has had access to the outside world."

"This cat and mouse game authorities in Saudi Arabia are playing is, simply, outrageous," said Philip Luther, Amnesty International's Middle East and North Africa program director. "Instead of persecuting peaceful protesters, what the Saudi Authorities should do is listen to their demands and release all those held solely for exercising their human rights."

One protester on the scene Monday told CNN by phone that while she and the other protesters had been surrounded by police and were afraid of arrest, they would not leave the scene voluntarily until their demands were met.

"We are calling for the release of our family members, like my husband, who've been in jail for years unlawfully," said the woman, who requested anonymity for fear for her safety. "And we're demanding the ouster of Interior Minister Mohammed Bin Nayef."

After spending the night on the scene, Saudi human rights activists say the women and their children were arrested late Tuesday evening after putting up three tents and vowing to continue their sit in.

Amateur videos posted online purported to show women holding up signs demanding the release of imprisoned loved ones, displaying placards saying they were not afraid of the country's interior minister and chanting slogans, such as, "The people call for the liberation of the prisons."

In at least one video, female protesters burned a picture of Prince Mohammed, the country's recently appointed interior minister, a particularly brazen act in such an absolute monarchy.

Prince Mohammed is one of the most powerful Saudi government officials, controlling the police, counterterrorism forces, several special forces units, the religious police and more.

Demonstrations are prohibited in Saudi Arabia, a deeply conservative country that never experienced the kind of large protests that took root in the region as a result of the Arab Spring.

Frederic Wehrey, a senior associate in the Middle East Program at the Carnegie Endowment for International Peace, says that while burning a picture of the country's interior minister is a big deal in such a conservative part of Saudi Arabia, "we are still very far from an organized, coordinated groundswell that could in any way challenge the ruling family."

Lately, however, the number of dissenting voices in the kingdom has been growing. Rights activists say the Saudi Arabian government has detained thousands of citizens in connection with the country's counterterrorism efforts and that anger there is rising as a result.

In his statement on Friday, Qassim's police spokesman said that those arrested Thursday "will be referred to the competent authorities to complete the legal procedures against them."

He said that the gathering in Buraida on Thursday had been "an attempt to turn public opinion by taking advantage of those who have been accused and convicted of activities of the deviant groups." The term "deviant groups" is the language typically used by the Saudi government when referring to terrorist groups.

Many relatives of detainees say their loved ones have no connection to terrorism and have been detained for long periods of time without being tried and with no access to lawyers. As a result, say activists, in the past two year an increasing number of sit ins and demonstrations have been held.

Abdulaziz Al-Shubaily, an activist and member of the Saudi Civil and Political Rights Association, said "many prisoners have been in jail for years without having been charged."

"There's no reason for that," added Al-Shubaily. "If you're not going to charge someone, you should release them."

According to activists, women protesters and several children were arrested in early January and February after also calling for the release of jailed loved ones. Those arrests sparked outrage and inspired more small-scale demonstrations in other cities.

When asked in late January about demonstrators' claims that their relatives are political prisoners who should be released, Interior Ministry Spokesman Major Gen. Mansour Al-Turki told CNN that Saudi government officials would not comment on cases currently being "looked at by the courts."

In the country's Eastern Province, larger-scale protests by members of Saudi Arabia's Shiite minority population have at time turned deadly. Demonstrators there haven't just called for the release of political prisoners, they've also been demanding equal rights.

Wehrey calls the prisoner issue "the most explosive grievance in the kingdom right now."

"That said, I think it will remain contained," he explained. "The ruling family still has enormous co-optive and repressive resources at its disposal. It is still able to present itself as the glue that binds the country together, an indispensable arbiter over a fractious and dangerously conservative population."

@highlight

NEW: Amnesty International calls arrests persecution

@highlight

Dozens protest in city

@highlight

Demonstrators have been upset over pace of judicial system

@highlight

Saudi official makes reference to "deviant groups"