Hong Kong (CNN) -- Nestled among the granite peaks of eastern Hong Kong a new, man-made mountain is emerging.

It's the Tseung Kwan O landfill, a growing hillside of garbage that stretches over 50 hectares and will be up to 100 meters high when the site is full.

Like Hong Kong's three other main landfills, it is filling up fast. The city of seven million people is set to run out of space for its trash by 2018, with the Tseung Kwan O site set to be topped up by 2015.

While plans to expand some sites are being proposed and a controversial mega-incinerator project remains a possibility, focus in the city is turning to how to reduce the amount of waste it produces.

Infographic: From farm to fork to landfill

One of the largest sources of trash in the city is food waste. According to Friends of the Earth, up to 40% of food in the city goes uneaten, creating around 3,500 tons of unwanted food each day, most of which ends up as landfill.

The local government has created a task-force to address the issue of food waste and set a 10% reduction target by 2016. Globally, only around 3% of food waste is recycled.

A "Save Food" campaign run by local NGO Greeners Action and partnering with local Hong Kong restaurants has been running since 2009, but more practical ways to recycle unwanted food are also being explored.

One is using biotechnology to turn binned food into useful products. Carol Lin is an assistant professor at City University of Hong Kong who is developing a process that turns bread products into succinic acid, a compound that can be used to create bioplastics and eco-friendly detergents.

Read more: Entrepreneurs see opportunity in trash cans

Partnering with a local Starbucks and an environmental group -- and with government backing until August -- she hopes to secure funding for a scaled-up working pilot operation that can process up to a ton of food waste.

"We do have food waste collection companies in Hong Kong that are really interested to try and upscale this process. I think this is an innovative solution for trying to use biorefinery to tackle food waste in Hong Kong to produce value added products," she said.

For local designer C.L. Lam, turning food waste into desirable products is already a viable business.

From bags to brushes, his company Green & Associates make over 60 household items using up to 50% of food waste, like apple pulp, coffee grounds and milk, together with conventional materials.

Read more: Making the most from food waste

Unfortunately for Hong Kong's mountains of trash, Lam has based his factory across the border in mainland China, citing cheaper manufacturing and transport costs, re-using its food waste, rather than his home city's.

Ultimately both Lam and Lin are honest when it comes to addressing the real problem: reducing food waste in the first place.

"Hong Kong people like to eat different types of food, but at the same time they generate serious issues that haven't been solved properly," said Lin.

"Really, reducing the amount of food that we try to buy that would be another good solution to solve this food waste issue."

@highlight

Around 3,500 tons of food waste is produced each day in Hong Kong

@highlight

The city's existing landfills are set to be full by 2018

@highlight

High-tech and business ideas could help recycle waste, experts say