For the fourth year in a row, House Republicans have passed a balanced budget.

Each time, we've put forward a plan that stops spending money we don't have, creates jobs with pro-growth reforms, strengthens the safety net, and expands opportunity for all. And each time we've learned a little bit more about where the two parties stand.

If you look at President Barack Obama's budget -- Senate Democrats refused to write one this year -- it's clear where he and his party place their trust: Washington.

He wants to raise taxes by $1.8 trillion -- on top of the $1.7 trillion he's already raised. He wants to increase spending by $791 billion. And he never balances the budget -- ever.

Time and again, the President and his party put government in the driver's seat. They want to take more from families to spend more in Washington. Whether it's health care, energy, or taxes, Democrats want the federal government to play a bigger role in the lives of Americans and our economy.

And that's great for Washington; it thrives on more power. But the American people will lose out. They'll face less opportunity, more debt, and fewer jobs.

By contrast, House Republicans have put forward a plan that puts our trust in the people. Our plan balances the budget in just 10 years. We cut $5.1 trillion in spending over the next decade by eliminating waste and making much-needed reforms.

The nonpartisan Congressional Budget Office says the deficit reduction in our budget will grow the economy. Under our plan, in 2024, economic output will be 1.8% greater than it otherwise would be. That works out to about $1,100 per person.

A quick reality check for the critics and big spenders in Washington: On the current path, the federal government will spend roughly $48 trillion over the next 10 years. By contrast, this budget will spend nearly $43 trillion. On the current path, spending will grow, on average, by 5.2% a year. Under our budget, spending will grow, on average, by 3.5% a year. Nearly $43 trillion is enough. Increasing spending by 3.5% instead of 5.2% is hardly draconian.

Responsible spending restraint is just one part of our plan. We also call for pro-growth tax reform and greater energy production. We repeal Obamacare and clear the way for patient-centered reforms. We protect and strengthen Medicare. We repair the safety net so it's there for those who need it, and we give states the flexibility they need to help people move up the ladder of life.

Our budget will root out cronyism, because we believe the American people deserve a level playing field. In fact, we eliminate $7 billion of corporate welfare within the Department of Commerce alone. We want the best and brightest to lead the way. Businesses shouldn't succeed because of the connections they have in Washington. They should succeed based on the value they generate and the jobs they create. We can expand opportunity by empowering people, not bureaucrats.

All of these solutions would help create jobs. Instead of sending more money to Washington -- instead of funding more Solyndras and racking up more debt -- we return power to the people by cutting tax rates and wasteful spending. Under our plan, people will spend less time navigating the maze that is Washington and more time developing the new ideas that will power our economy.

So this debate boils down to a question of trust. Do we trust Washington to know what's best for our health care, our economy, or our families? Or do we trust the people of this country to make an honest assessment about what's best for their lives?

Republicans have made our choice. We've put forward a budget that harnesses the power of economic freedom and respects the dignity of every person. We trust the American people to lead our country forward.

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Paul Ryan says the GOP budget places its trust in the people, not Washington

@highlight

The GOP budget cuts $5.1 trillion in spending over the next decade, says Ryan

@highlight

House approved Ryan's budget Thursday, but Senate is not expected to take up the measure