(CNN) -- A Syrian military pilot flew to Jordan and was granted asylum Thursday, a day after the United States warned members of the Syrian military they could face international criminal prosecution for attacks on civilians.

The defection came as the opposition Local Coordination Committees of Syria reported at least 128 people, including at least 15 children, killed across the country Thursday.

Some of the deaths came in "massacres" in two cities, the group said.

The Syrian government reported 20 "army, law enforcement and civilian martyrs" buried Thursday.

A ship carrying military helicopters to Syria is returning to Russia but will ultimately deliver the shipment to Syria, Russia announced.

Part of an international row over Russia arming Syria, the ship was forced to turn back after a British company withdrew its insurance coverage due to the nature of the cargo.

Russia announced that it was carrying "Syrian attack helicopters," state-run news agency Ria Novosti reported.

"The ship was carrying air defense systems which can only be used to repel foreign aggression," Foreign Minister Sergey Lavrov said, according to Russia's Interfax news agency.

It carried three repaired Syrian helicopters that will still be sent to Syria, the reports said. The ship has been flying a Curacao flag, but it will be switched to a Russian flag "in order to avoid a possible detention of the ship," the state-run Itar-Tass news agency reported.

Many world leaders have slammed Russia for arming Syria, but Russian officials insist they want an end to the conflict.

The dead in Thursday's violence included 19 killed in a "massacre" in the town of Inkhel and 15 in a massacre in Douma in the Damascus suburbs, the Local Coordination Committees of Syria said.

There were reports that many more bodies could be buried under rubble of destroyed buildings in Inkhel, the opposition Syrian Observatory for Human Rights said.

Two other groups -- the Syrian Network for Human Rights, based in London, and the Damascus Center for Human Rights Studies in Syria -- issued a report saying the Syrian military shelled Inkhel for three hours and then raided homes, carrying out "extrajudicial executions" against three people "while four others were slaughtered with knives" and snipers killed two more people.

By mid-morning, when the raids were over, the military killed three mourners headed to the cemetery, the groups said.

The Syrian Revolution General Commission, another opposition group, added that at least 15 homes were damaged or destroyed in the regime's bombardment of the town. The raids were carried out by the pro-government Shabiha militias, the group said.

In addition to those killed in Inkhel, 60 other civilians were wounded, the commission said.

"The humanitarian condition in the city of Inkhel is extremely miserable," the group said, adding that there is no hospital and the wounded have nowhere to go. "Mass exodus is being reported; families are fleeing their houses."

The Syrian state-run news agency SANA described authorities storming a number of terrorists' hideouts in and around Douma. It said authorities clashed with the terrorists, killing a few of them and wounding others.

Syrian President Bashar al-Assad's regime often blames armed terrorist groups for the violence in the country.

SANA made no mention of violence in Inkhel.

Since the uprising began in March 2011, violence has killed more than 15,000 people in Syria, including 10,480 civilians, 3,715 soldiers and 830 defectors, according to the Syrian Observatory for Human Rights.

The United Nations has said that at least 10,000 people have been killed in the conflict.

In Hama on Thursday, regime forces launched a campaign of arrests, taking 150 people to an Air Force intelligence office, where they were being subjected to severe torture, the Local Coordination Committees said.

CNN cannot confirm specific reports of violence in Syria because the government has restricted access to the country by international journalists.

The International Committee of the Red Cross said one of its teams tried to enter the old city of Homs, but gunfire in the area forced the team to turn back.

Elsewhere Thursday, Irina Bokova, the director-general of UNESCO, the U.N. Educational, Scientific and Cultural Organization, called on Syria to probe the recent deaths of five citizen journalists killed in shelling in Syria.

"I condemn the deaths of Ammar Mohamed Zado, Ahmed Adnan al-Ashlaq, Lawrence Fahmy al-Naimi, Bassel al-Shahade and Ahmed al-Assam, citizen journalists who lost their lives while trying to inform the Syrian people of the tragic events taking place in their country," she said in a written statement.

The defecting military pilot who landed in his jet in Jordan had requested political asylum, the Jordanian government said.

Syria identified him as Col. Hassan Mirei al-Hamadeh and said he was on a training flight. Jordan did not immediately give his name.

The pilot is "considered a fugitive from the service, a traitor to his country and to his military honor," the Syrian Defense Ministry said in a banner shown on Syrian state TV. Punishment actions "will be taken against him according to the laws and regulations," the banner said.

On state-run SANA, the defense ministry said discussions were under way with Jordan for the return of the aircraft.

Both Syria and Jordan said the plane was a Russian-made MiG-21.

Tommy Vietor, spokesman for the White House National Security Council, said, "We welcome this pilot's decision to do the right thing. We have long called for the military and members of the Syrian regime to defect and abandon their positions rather than be complicit in the regime's atrocities.

"This is just one of countless instances where Syrians, including members of the security forces, have rejected the horrific actions of the Assad regime, and it certainly will not be the last."

Throughout the 15-month conflict in Syria, numerous members of the military have defected, some of them joining the rebel Free Syrian Army.

Thousands of civilians also have fled to neighboring nations, including Jordan.

U.S. Ambassador to Syria Robert Ford said Wednesday that members of the Syrian military face international criminal prosecution if they continue to support the regime's "barbaric actions" against the Syrian people. He said the United States and others will work with the Syrian people to find members of the military responsible for attacks and to hold them accountable.

In neighboring countries, there is widespread condemnation for al-Assad, the Pew Research Center reported Thursday. A survey by its Global Attitudes Project found the vast majority of respondents in Jordan, Egypt, Tunisia, and Turkey want him to step down.

In Lebanon, the population was more split, with just a slight majority wanting him to step down.

The survey was taken between March and April, well before a massacre in the town of Houla that drew international fury against the regime.

CNN's Josh Levs, Caroline Faraj, Joe Sterling and Adele Ghssoub contributed to this report.

@highlight

NEW: An opposition group reports at least 128 people were killed Thursday

@highlight

A ship carrying repaired attack helicopters for Syria is returning to Russia

@highlight

The U.S. ambassador to Syria threatens international prosecution of military members

@highlight

Most in neighboring countries want al-Assad gone, Pew Research finds