(CNN) -- The future of Europe may rest on whether NATO can recover its roots.

With Russian President Vladimir Putin "land grabbing" and violating international law, the alliance is finding itself "brought back to its core," says Jaap de Hoop Scheffer, NATO's former secretary general. But it isn't prepared.

When NATO was founded in 1949, its central task was to protect its members against military aggression and work to promote democracy -- which, in the years following, often meant standing against the Soviet empire.

The alliance declares success in achieving that goal peacefully, saying on its website that "throughout the entire period of the Cold War, NATO forces were not involved in a single military engagement."

But things changed after the Cold War. The focus was no longer on Russia. NATO says "new threats" emerged. The alliance got involved militarily in Bosnia and Herzegovina in the 1990s, and later in Macedonia. It established a military force in Afghanistan, and has forces in Somalia and some other parts of Africa.

Now, Russia is increasing its reach, and getting close to NATO terrain. It annexed Ukraine's Crimean Peninsula in March and is accused of sending its troops into eastern Ukraine in support of pro-Russian rebels, a claim that Moscow denies. So, 55 years into its existence, NATO finds itself, as the Financial Times put it, going "back to the future."

Just how to do that is a central question as the alliance convenes its summit in Wales.

"The problem NATO has is it's not fully ready to be able to protect its own members," Robin Niblett, director of the think tank Chatham House, told CNN. NATO's military preparedness is "paltry compared to the kinds of steps the Russians are taking."

NATO wants each of its 28 member nations to spend 2% of their gross domestic product on defense. While the United States and Britain meet the target, 24 member nations don't. There has been a "sort of cozy mentality that the Cold War has gone and we can focus just on domestic investment," Niblett says.

Obama, Cameron: Spend more on military

U.S. President Barack Obama and British Prime Minister David Cameron said they "believe that NATO can adapt to meet the new challenges."

In a joint Op-Ed in the Times of London Thursday, the two men wrote, "The changes we need are clear. With Russia trying to force a sovereign state to abandon its right to democracy at the barrel of a gun, we should support Ukraine's right to determine its own democratic future and continue our efforts to enhance Ukrainian capabilities." The military should "ensure a persistent presence in eastern Europe," they said.

The two leaders also called for a "multinational rapid response force, composed of land, air, maritime and special forces, that could deploy anywhere in the world at very short notice." In addition, they urged all NATO nations to meet the 2% target for defense spending.

But some countries, including Germany, are resistant to do so -- "not only because of the weak European economy but also not to aggravate the crisis with Russia over Ukraine any further," the Soufan Group, which tracks security threats, said in a briefing Thursday.

Still, Ukraine has sought NATO's help in the crisis. And while the country is not a member of the alliance, "its new leaders seek eventual membership" -- a move that angers Putin, the briefing noted.

Analyst: It's the West's fault

John Mearsheimer, political science professor with the University of Chicago, argues that it's actually NATO's expansion that set Russia off.

"The United States and its European allies share most of the responsibility for the crisis. The taproot of the trouble is NATO enlargement, the central element of a larger strategy to move Ukraine out of Russia's orbit and integrate it into the West," he wrote in Foreign Affairs. "At the same time, the EU's expansion eastward and the West's backing of the pro-democracy movement in Ukraine... were critical elements, too."

Obama and Cameron disagree. "Russia has ripped up the rulebook with its illegal, self-declared annexation of Crimea and its troops on Ukrainian soil threatening a sovereign nation state," they wrote in their Op-Ed.

'Pivotal moment'

As the summit convenes in Wales, "the United States, NATO, and free nations around the world confront a pivotal moment of truth," says Sen. Kelly Ayotte, R-New Hampshire.

"By now, it should be clear to all objective observers that Russian President Vladimir Putin is not impressed by starkly worded statements and declarations, and if that is the only outcome in Wales, it could represent a historic failure of the alliance at a time when NATO's foundational purpose has renewed relevance," Ayotte wrote in a column for CNN.com.

The changes NATO needs to make are possible, says James Stavridis, a former Navy admiral who now serves as dean of The Fletcher School at Tufts University. "The capacity is there. It's a matter of re-gearing and doing... rotational deployments into bases in the east."

"We'll have to exercise much more frequently," the former NATO secretary general, Scheffer, says of the alliance's troops. "We'll have to bring forces on the ground in Poland and in the Baltic region to show Vladimir Putin that NATO means serious business."

As NATO holds its summit in Wales, talk of an action plan is front and center. Part of that means a focus on money.

"More important than the amount spent is where it's spent," says Niblett. "Not enough is being spent on new equipment, modernized capabilities -- new capability surveillance, precision munitions, aircraft defenses."

Still, even if NATO undergoes a makeover to confront Russia, experts agree: Wresting all of Ukraine back from Putin's grip is a very long shot.

Leaders hold pivotal NATO summit as threats of ISIS, Russian aggression loom

NATO: What should we expect?

@highlight

After NATO's founding, it stood against Russia

@highlight

Now, the money and military aren't ready to do so

@highlight

Obama, Cameron and others say NATO can do it

@highlight

Analyst blames NATO, not Russia, for the crisis