Matt de la Peña wasn't a reader, until the words finally spoke directly to him.

It wasn't until college that de la Peña read an entire novel, "The Color Purple."

At first, he didn't like it. But by the time he finished, he was on the verge of tears. That story, and others, became his gateway to literature, while spoken-word poetry was his gateway to writing.

"'Drown' by Junot Diaz was the first book that made me think I might be able to make writing my livelihood," de la Peña said. "And I thought, 'Wait, people publish the kind of stories I write?' That novel made me feel like publishing was a possibility. And then I started digging in on the hard work."

Finding himself on the page -- and characters he could relate to -- made him who he is today. He's now a creative writing teacher and award-winning author of "Ball Don't Lie," "Mexican White Boy" And "The Living." He writes his experiences, usually with stories starring Mexican-American characters.

"Where's the African-American Harry Potter or the Mexican Katniss?" de la Peña asked. "That would change the game."

According to the Cooperative Children's Book Center, fewer children's books were written by Latinos or African-Americans in 2013 than in previous years. Numbers increased slightly for American Indians and Asian-Americans.

There were also more books written about Latinos and American Indians, but fewer about African-Americans and Asian-Americans.

This concerns some in the industry, as American youth become more diverse. Young people from ages 10 to 18 represent 13.6% of the U.S. population, according to the 2012 Census. More than 16% are African-American, 12.2% are Asian-American and 17.7% are Hispanic.

Teens "are hungry for good literature and it hurts me because we're not offering them enough of what they need," said Sharon Draper, author of award-winning books like "November Blues" and "Copper Sun."

In 2014, the movement to publish more authors of color and write multicultural main characters remains slow and incremental.

This is not a new discussion: There has long been criticism about the lack of diversity in young adult literature, books written for readers ages 12 to 18. Experts and authors like Walter Dean Myers point back as early as 1965, when educator Nancy Larrick stirred the conversation with an article entitled "The All-White World of Children's Books."

Myers recently wrote about the topic in The New York Times:

"As I discovered who I was, a black teenager in a white-dominated world, I saw that these characters, these lives, were not mine," he wrote. "What I wanted, needed really, was to become an integral and valued part of the mosaic that I saw around me."

Even though young adult literature is enjoying a golden age and authors are working to diversify their stories, lead characters of color or characters who are lesbian, gay, bisexual or transgender are still slow to appear in popular mainstream young adult fiction.

Without these characters, the landscape of young adult literature isn't reflective of our society, author Sherman Alexie said. He's one of many authors, teachers, librarians, publishers and editors have ideas of how to transform this persistent negative with positive changes.

Reaching more readers

Cindy Pon and Malinda Lo discovered each other when they published their Chinese young adult fantasy stories.

What began as a book tour grew into a website, Diversity in YA, where they emphasize that books featuring diverse characters are for everyone -- not just people who relate directly to the characters.

"Readers look at our books and if they aren't into Asian culture, they think it's not for them," author Cindy Pon said, "Our books are for everyone. It's not just about identity."

After realizing his other books spoke strongly to the Mexican-American identity angle, de la Peña decided to write a story with more mass appeal, "The Living." He's currently writing a sequel.

"There is an evolution within our own work," he said. "When you are writing with race as one of the elements of the story, early on, you write about race. As you do more work, the race becomes part of the story and not the story. I think that will be the biggest boost for multicultural literature.

"But on the flip side, I get worried about people who just make the character black on the outside, but not on the inside."

Facing down challenges

Sherman Alexie's book "The Absolutely True Diary of a Part-Time Indian" is a National Book Award winner that was hailed as one of the best reads for young people in 2007. It's also one of the books most often challenged or banned in schools and libraries.

With young adult fiction, "you can make real significant social change," Alexie said. "There is a political, social meaning and everything I believe about the way the world should be has been reflected in the way that my book has been treated, appealed to and offended people."

Currently, there are more than 500 federally recognized tribes of Native Americans in America, according to the National Congress of American Indians.

But in young adult fiction, they are often misrepresented as romanticized "mystical Indians" and they don't reflect the experience of Native kids growing up on the reservation, said Debbie Reese, founder of American Indians in Children's Literature.

Authors such as Alexie, Eric Gansworth, Cynthia Leitich Smith and Debby Dahl Edwardson are working to fight stereotypes that American Indians can only be present in "buckskin and beads" by writing the real experience the Native American teens have on the reservation.

"I'm not this tragic figure from the past," said Gansworth, author of "If I Ever Get Out of Here."

Sites such as Diversity in YA encourage all writers to diversify their book characters; after all, not every book including multicultural characters comes from an author of color. But for any writer deviating from his or her own experience, it requires extensive research and cultural immersion to avoid stereotypes or misconceptions.

Still, some authors feel that the publishing industry is reluctant to take risks by marketing books that don't mimic previous successes.

Cheryl Klein, executive editor of Arthur A. Levine Books, said publishers don't see "enormous numbers" of books from writers of color, and publishers turn down 97% of manuscripts they receive, regardless of the topic.

Klein, co-founder of the Children's Book Council Diversity Committee -- a group of editors passionate about publishing books that reach and reflect the demographics of their readers -- said there's room for improvement.

"We want to keep hearing more and more voices," she said. "It's important to have advocates at every stage, from editing to marketing, from librarians to authors, so it's an industry-wide effort."

Changing the publishers

Authors like Alexie and Walter Dean Myers see the growth of small press publishers of color as one way to expand multicultural representation in young adult fiction.

"We see it time and time again: Innovation comes from the small press world," Alexie said.

At the National Council of Teachers of English convention in late 2013, Myers spoke about his dream of subsidizing publishers. His vision? Teaming up with a university press to host a yearly contest for people of color who write young adult fiction.

A brief history of young adult literature

The exposure to editors and publishers would benefit talented writers who otherwise have a difficult time being seen.

"Hypothetically, here are five finalists who would be exposed to all aspects of the publishing community whose voices might never be heard otherwise," Myers said.

It could be the beginning of real change in young adult fiction.

"Looking at these kids when I'm speaking, I think, 'This is the generation,' " de la Peña said. "They are going to write what they want and feature themselves."

What young adult books did you relate to as a teen? Share your thoughts in the comments, on Twitter @CNNLiving or on CNN Living's Facebook page!

@highlight

Different cultural backgrounds aren't well represented in young adult literature, authors say

@highlight

Author: "Where's the African-American Harry Potter or the Mexican Katniss?"

@highlight

Writers, educators, publishers and editors have ideas of how to transform YA literature