(CNN) -- About 1,000 National Guard soldiers will report for duty Saturday in Puerto Rico, activated by the governor this week to help fight a drug-fueled crime tsunami that has flooded the Caribbean island.

The military personnel will repair police cruisers and join local authorities on patrols in the most crime-ridden areas of Puerto Rico, mainly in poor parts of the commonwealth's largest cities. One soldier will accompany a police officer on each patrol, said the National Guard chief, Maj. Gen. Antonio Vicens.

"The problem that exists now is that the police are short of personnel," Vicens said. "What we are going to do solely is to help them. First, we are going to help them with mechanics, provide them with more than 100 mechanics so that their fleet of patrol cars can go out on the street. Once we have that, we are going to have joint preventive patrols.

"You won't see military vehicles on the street. What you'll see are police patrols on the street."

The soldiers will be deployed in San Juan, the territory's capital, and the cities of Carolina, Bayamon and Ponce.

Gov. Luis Fortuno announced the call-up in his annual state of Puerto Rico speech Monday night, saying the help is needed until more officers can be trained. He did not set a timetable.

In a separate development, Fortuno announced Tuesday that U.S. Attorney Rosa Emilia Rodriguez Velez had reached an agreement with the commonwealth's Justice Department and Puerto Rico Police Department for federal prosecutors to have jurisdiction over a series of major crimes. Puerto Rico is an unincorporated territory of the United States and more stringent federal U.S. laws can apply.

"To those who commit carjackings," Fortuno said, "to those who provoke shootouts on our roads ... to sexual offenders who rob our children of our innocence, our message is clear: We're going to impose on them the full weight of the federal law. We're going to look for them, and we're going to bring them to justice."

Rodriguez said the agreement will streamline the prosecution of cases and allow federal agents immediate access to some crime scenes.

"We feel very strongly about fighting crime," she said Thursday. "It's much better to fight crime together. This is an additional crime-fighting measure."

By all measures, there's much crime to fight.

A 2010 threat assessment by a 15-agency task force notes there were 68,738 violent crimes reported in 2008, a 9.3 percent increase over the previous year. Of the 13 major police areas in Puerto Rico, the municipality of Bayamon was the worst, with 16,590 violent crimes.

Homicides also showed a significant increase, with 807 killings reported in 2008, the latest year for which statistics were available. That was a 10.5 percent increase over the previous year. Homicides had already increased by 9.2 percent in 2007.

San Juan had the highest homicide rate in 2008, with 177 slayings. Bayamon was second-highest, with 154 killings.

As in many other parts of the world, authorities tie the crime jump to drugs.

"It's strong. It's very strong," Rodriguez told CNN.

A recent Puerto Rico Police Department report documented that more than 60 percent of the slayings on the island were directly related to drug trafficking.

"Drug-related violence is endemic in Puerto Rico," said a 2009 analysis by the Justice Department's National Drug Intelligence Center. "Homicide rates typically rank among the highest in the United States, and law enforcement officials report that most of these homicides are related to drug trafficking. [Drug-trafficking organizations] and gangs frequently use intimidation, violence and murder to gain and retain control of retail drug markets in the region."

The largest gangs predominantly operate in public housing projects scattered throughout San Juan, Aguadilla, Fajardo and Ponce, the 15-agency threat assessment said. Drug gangs also operate in lower-income neighborhoods where they feel less vulnerable to law enforcement.

Cocaine, crack-cocaine, marijuana, heroin and Ecstasy are the drugs most widely trafficked, officials say.

Puerto Rico is particularly vulnerable because of its location.

"The Caribbean region remains a major transshipment area for cocaine and heroin shipments originating from Colombia, transiting through Venezuela and destined to the United States, Europe and Canada," the multiagency report said.

The criminals are well-financed and well-armed.

"Large-caliber assault type rifles such as AK-47s, M-16s and various types of military carbines are the weapons of choice," the report said. "In some instances, rifles recovered in the streets have been converted to fire in the fully automatic mode. The handguns of choice are Glocks and Smith & Wesson pistols converted to fire in the fully automatic mode, thus providing added fire power."

The National Drug Intelligence Center also notes that Puerto Rico "is a major money-laundering center for drug traffickers operating in the region."

Although Puerto Rican officials did not mention it this week, there's another reason for the National Guard deployment.

"Public confidence in the [Puerto Rico Police Department's] ability to protect the citizenry remains low because of continued corruption within the department," the National Drug Intelligence Center analysis said. "This situation has resulted in decreased cooperation between the public and the police department and has made it more difficult for police officers to deter crime and enforce the law.

"Consequently, it is likely that the crime rate in Puerto Rico will remain high and the drug situation will worsen in the next year as traffickers take advantage of a perceived law enforcement weakness."

Vicens, the National Guard general in charge, believes the military can help change that.

"We are the beneficiaries of a [good] reputation and confidence on the part of the public," he said in a published interview this week. "When we act, we act professionally. That will help us accomplish our objectives."

Some Puerto Ricans wonder whether the military can solve the problem.

"It might help," said Tony Santiago, owner of Rent the Bike in Old San Juan.

He questioned whether some of the Guard members are up to the task.

"What do they do for a living," he asked. "Maybe they don't have the knowledge to handle the situation like a policeman would."

No one seems to question that there's a problem and that something needs to be done about it.

Gwenn Bentz and her husband own Coqui's Hideaway, a vacation rental cottage 45 minutes east of San Juan.

"It doesn't affect us personally because we live up in the mountains," she said. "It's mostly in the cities."

Nonetheless, she and some neighbors are starting a crime-watch group.

"Is there crime? Yes, sure. That's gone up," Bentz said.

And the governor feels he has to act, she said.

"I think Fortuno realizes that something has to get done about the violent crime, drug problems, and the police don't seem to be able to get the problem under control," said Bentz, a New Jersey native who has lived in Puerto Rico for six years. "So if the National Guard can help, I am happy he is trying something."

A few minutes later, she was not so sure.

"I don't think the National Guard troops activation is the answer to the problem, but I guess it can't hurt," she said

U.S. Attorney Rodriguez, a 32-year veteran of the justice system, believes her office's new powers will make a difference.

"I have much hope," she said.

And if anything can make the situation better, she said, it's intervention by federal authorities.

"I am rich in satisfaction," the prosecutor said. "The United States has always taken care of Puerto Rico. It's a good father."

@highlight

Violent crimes, homicides on the rise in Puerto Rico

@highlight

Military will repair police cruisers, join local authorities on patrols in crime-ridden areas

@highlight

Soldiers will be deployed in San Juan, Carolina, Bayamon, Ponce

@highlight

Confidence in local law enforcement is low because of corruption, report says