Chinese relatives of missing Malaysia Airlines Flight 370 passengers wept, begged and cursed a Malaysian diplomat in Beijing on Monday.

They went to a meeting at a hotel there, expecting a long-awaited briefing from Malaysian technical experts, but erupted in anger when the diplomat announced a change in plans.

There would be no briefing.

"We don't know at this point whether they are alive or dead. And you haven't given us any direct proof of where they actually are. We want our loved ones back," a father of a missing passenger cried.

He's not the only one waiting for answers.

In Kuala Lumpur, Nur Laila Ngah smiles, but it's a brave face she's putting on.

Her husband Wan Swaid Ismail was a member of the cabin crew on the flight that disappeared more than six weeks ago.

"Emotionally, it's up and down. You know? Sometimes, I'm OK. Sometimes, so-so. Sometimes -- always -- very sad," she said.

The couple had been planning to celebrate their 13th anniversary this year. They have three children, ages 12, 10 and 8.

Recalling a conversation she had with her husband before he left, Laila said: "I was asking him, 'Are we going to have the next 13 years together?' Of course."

Their children, she said: "They have faith that their father will be coming back."

Nothing new

But 46 days into the search, that possibility seems less and less likely.

The underwater drone scanning the ocean for Malaysia Airlines Flight 370 was wrapping up its ninth mission Tuesday with "no contacts of interest" in its last eight, the Australia's Joint Agency Coordination Centre said.

The Bluefin-21 has scanned about two thirds of the intended territory without finding any sign of the missing plane.

These efforts may be a main focus of the search, but they aren't the only part.

The coordination center announced Tuesday morning that up to 10 military aircraft and 10 ships would participate in the day's search for the Boeing 777 and the 239 passengers and crew on board.

Later, it said that planned air activities had been suspended because of poor weather conditions triggered by Tropical Cyclone Jack.

"It has been determined that the current weather conditions are resulting in heavy seas and poor visibility, and would make any air search activities ineffective and potentially hazardous," the coordination center said in a statement.

According to U.S. Navy spokesman Chris Johnson, there is "currently a broad discussion among all stakeholders" about how the search operation should proceed in the long run.

The discussions are "in the early stages" still, he said, but authorities are looking ahead for planning as far out as July.

Few answers

For families of the missing passengers, the wait is agonizing -- and infuriating.

Malaysia's Foreign Ministry says it understands their need for answers, but doesn't have many to offer.

That is perhaps the most frustrating thing for Mohamad Shaari, whose cousin and his new wife were on the flight. They were on their way to Beijing for their honeymoon.

He believes they're still alive.

"The sea cannot just swallow a plane," Shaari said Sunday.  "I believe the plane has been hijacked."

It's a common belief.

"I believe the government didn't try to hide ... any information from us," said Hamid Ramlan.  "They are telling the truth, but then mostly members of ... the families -- they do not want to believe."  That includes his wife.

"My wife cannot accept that.  She still believes that the plane was hijacked and she believes that my daughter is still alive."

His daughter and new son-in-law were another honeymoon couple on the flight.

The families' list

It was early on March 8 when Flight 370 set off from the Malaysian capital of Kuala Lumpur, destined for Beijing.

What happened next  has been a confounding mystery, with the frustration of passengers' family members compounded by a scarcity of details from authorities.

New bits of information that have come out six weeks later may help round out the picture but don't answer the main question: Why did the plane go off course, and where is it now?

These recent developments include a senior Malaysian aviation source's assertion that the jetliner deviated from its flight path while inside Vietnamese airspace.

It turned left, then climbed to 39,000 feet -- below its maximum safe limit of 43,100 feet -- and maintained that altitude for about 20 minutes over the Malay Peninsula before beginning to descend, the source said.

Malaysia Airlines has declined to answer CNN's questions on various matters -- including the fact that, according to the source, the missing jet was equipped with four emergency locator transmitters. When triggered by a crash, ELTs are designed to transmit their location to a satellite.

Relatives of people aboard the jetliner have drawn up 26 questions -- many of them technical issues -- that they want addressed by Malaysian officials.

Among them: What's in the flight's log book? Can they review the jet's maintenance records? Can they listen to recordings of the Boeing 777 pilot's conversations with air traffic controllers just before contact was lost?

There's no word on when families will get the answers they're looking for.

Their wait continues.

Oceanic salvage manager: How we search for Flight 370

@highlight

Underwater drone wrapping up 9th mission, still no trace of missing plane

@highlight

Planned air search activities are suspended because of poor weather

@highlight

"We want our loved ones back," says father of missing passenger

@highlight

Flight 370 went missing 45 days ago; the search area has "narrowed," official says