(CNN) -- People have always known that inequality is divisive and socially corrosive. What is surprising, now that we have the data to compare societies, is how clear the effects of inequality are.

A wide range of social problems are worse in societies with bigger income differences between rich and poor. These include physical and mental illness, violence, low math and literacy scores among young people, lower levels of trust and weaker community life, poorer child well-being, more drug abuse, lower social mobility and higher rates of imprisonment and teenage births.

The differences in performance of more and less equal societies is often enormous: Most of these problems are between twice and ten times as common in countries like the United States, Britain and Portugal, which have large income differences compared to countries with smaller income differences like the Nordic countries or Japan. For example, taking high, medium and low inequality countries, the homicide rate in the United States in 2009 was 50 per million population compared with 18 in Canada and 5 in Japan.

The police, prisons and public services needed to defend ourselves against these problems are expensive and often not very effective. But the underlying causal processes are fairly clear. The problems that get worse when there is more inequality are all problems that become more common lower down the social ladder within each society.

TED.com: What explains trust and morality

Greater income inequality seems to amplify and intensify the effects of social status differentiation -- bigger material differences creating bigger social distances. So the most common trigger to violence seems to be people feeling disrespected and looked down on. Although social class imprints its effects on us from earliest childhood onward, greater inequality makes these effects more marked.

But inequality does not harm the poor alone. The effects are so large because almost everyone is affected. The benefits of greater inequality are biggest at the bottom of society, but a number of studies suggest that a large majority -- perhaps 90% or 95% -- of the population benefits from greater equality.

We cannot say what happens to the superrich because they are a fraction of 1% of the population and we do not have separate data on their health, violence or drug use.

Because position in the hierarchy has always been important to well-being, we have an inherited sensitivity to social status that works rather like ranking systems among some monkeys. However, human beings have lived in every kind of society from the most egalitarian (such as the hunting and gathering societies of human prehistory) to the most tyrannical dictatorships.

Where there is more equality we use more cooperative social strategies, but where there is more inequality, people feel they have to fend for themselves and competition for status becomes more important.

TED.com: How we read each other's minds

Crucially important is the quality of social relationships. Because members of the same species have the same needs, they can, all too easily, be each other's worst rivals -- fighting for food, nesting sites, territories, sexual partners and so on. But human beings, as well as having the potential to be each other's most feared rivals and competitors, also have the opposite potential: We can be each other's best sources of cooperation, assistance, help, learning and love. Depending on our social relationships, other people can be the best -- or the worst.

Of paramount importance in our social development was to avoid conflict and competition for basic necessities. That is why we eat together. It is also what the religious symbolism of communion is about. Whether society has great inequality and a strong status hierarchy, whether there is a strong sense of superiority and inferiority, tells us whether we are in the same boat together and depend on cooperation and reciprocity, or whether we have to fend for ourselves in a dog-eat-dog society.

What matters is not simply adults' recognition of inequality and social status; it is also a matter of how the parental experience of adversity is passed on to children to affect their early development.

The sensitive period in early childhood that shapes development exists in many different species. Its function is to enable the young to adapt to the kind of environment they will have to deal with. Among human beings, that is primarily a matter of adapting to the social environment:

Are you growing up in a world where you will have to fight for what you can get, watch your back and learn not to trust others because we are all rivals, or are you growing up in a world where you will depend on cooperation, reciprocity and mutuality?

* * *

If you want a fuller picture of how we are affected by inequality or would like to use our slides or read answers to various "frequently asked questions," please go to www.equalitytrust.org.uk . A more detailed but readable presentation of the evidence can be found in our book, "The Spirit Level," which I wrote with Kate Pickett, who is, like me, an epidemiologist. (Note: in England a "spirit level" is simply the tool used by carpenters and builders that most American's call a "level.")

The opinions expressed in this commentary are solely those of Richard Wilkinson.

@highlight

Richard Wilkinson: Evidence confirms that inequality causes social problems

@highlight

Social ills in U.S., U.K. can be up to 10 times greater than in more equal countries

@highlight

When there's more inequality, people become desperate for higher social status, he says

@highlight

Wilkinson: Children trained either for world of constant struggle or for cooperation