(CNN) -- A herd of hulking American bison huddles to keep warm during a prairie blizzard in Theodore Roosevelt National Park. It's an image that's as vintage Americana as a Norman Rockwell painting.

The bison, often referred to as buffalo, teetered on the brink of extinction in the 19th century.

But the bison's destiny changed in 1883 when a young Theodore Roosevelt first came to North Dakota's Badlands for the sole purpose of hunting one.

Though Teddy eventually got one for his trophy case, the lessons from that trip became his inspiration to ignite a conservationist movement that would help save the bison and pave the way for the national park system to evolve into an important American institution.

8 amazing outdoor music venues

Today, Theodore Roosevelt National Park serves as a monument to a president who had the foresight to preserve and protect this country's pristine wilderness. It's also a testament to his ability to make such places accessible to all.

Park stats: The park was established in 1947 as Theodore Roosevelt National Memorial Park, but it was not officially designated as a national park until 1978. Its two busiest years were 1972, when it was about 1,100 guests short of 1 million for the year, and 1976 during the Bicentennial, when it again flirted with 1 million visitors. The park has averaged slightly less than 600,000 visitors per year since 2008.

The location: Theodore Roosevelt consists of more than 70,000 acres in the North Dakota Badlands, which are not to be confused with the Badlands National Park in South Dakota. The difference, according to park ranger Valerie Naylor, is North Dakota's Badlands are older, look different and have heavier vegetation.

There are a number of ways to access the park, which is divided in three parts: North Unit, South Unit and Elkhorn Ranch Unit. Medora is the entrance to the South Unit and is about a two-hour drive from the state capital, Bismarck. The North Unit entrance is about 14 miles south of Watford City and is about three hours from Bismarck. The two Badlands are not contiguous, she says.

Throwback lodging: 5 historic stays

The Elkhorn Ranch Unit is 35 miles north of Medora, but the only road access is on gravel roads. The park service recommends speaking with a ranger and getting a map before driving out to Elkhorn Ranch. If you are feeling more adventurous, you can access the ranch from the east by fording the Little Missouri River.

If you go: Entrance fees are $10 for private noncommercial vehicles. Individual passes (hikers, cyclists and people on horseback) are $5. The park offers a variety of events, places to visit and outdoor activities.

The park is open every day except Thanksgiving Day, Christmas Day and New Year's Day. Parts of the South Unit Scenic Loop Drive and North Unit Scenic Road close during winter.

There are three visitor centers: North Unit, South Unit and Painted Canyon. South Unit and Painted Canyon are open seven days a week. However, the North Unit visitor center is only open on weekends from September 2 to May 31.

Meet our ranger: Valerie Naylor, 55, was born in Portland, Oregon, and says she knew in high school that she wanted to be a naturalist.

In 1973, she passed through Theodore Roosevelt on one of many vacations she took with her parents. But her mother didn't share Naylor's immediate interest in the park and they quickly moved on.

"I was enthralled with the landscape in this park," she says. "But I thought, 'That's OK, I'll come back here someday.' "

She returned in 1979 as a volunteer for a student conservation association. She then worked as a seasonal park employee for two years and later used the park as a research laboratory for a master's degree in biology at the University of North Dakota.

Naylor became a full-time National Park Service employee in 1985 and returned to her "home park" in 2003 as superintendent.

"The Little Missouri River, the prairie and the wildlife make it exceptional," she says. "It also has the history of Theodore Roosevelt, who was a great conservation president."

Naylor has also worked at Colorado National Monument, Organ Pipe Cactus National Monument, Badlands National Park, Petrified Forest National Park, Big Bend National Park and Scotts Bluff National Monument.

For a day trip, don't miss: Hiking the Caprock Coulee in the North Unit. The park website lists the 4-mile trail as moderate to strenuous. Less experienced hikers can take the Caprock Coulee Nature Trail, a 1.5-mile shortened version. Be sure to go in the early morning or late evening to maximize the chance to see wildlife, says Naylor.

Favorite less-traveled spot: The Elkhorn Ranch Unit. Naylor says the 218 acres are the most historically significant part of the park because it's where Roosevelt built his second ranch.

Roosevelt's first ranch was centered around the Maltese Cross Cabin, which has been moved from its original site and is now a museum. He made a second trek to North Dakota's Badlands in 1884 after his wife and mother died on Valentine's Day. With one cattle ranch already established in North Dakota, he chose a trek of land next to the Little Missouri River for the Elkhorn Ranch.

"It's a beautiful unspoiled place along the Little Missouri that is much like it was when Roosevelt first found it in 1884," she says. "And we're trying very hard to keep it that way."

Favorite spot to view wildlife: Prairie dog town in the South Unit. In addition to prairie dogs, the park is home to a several species of deer, a variety of birds, coyotes, bobcats, beavers, badgers, rattlesnakes, elk, wild horses and bison.

"Prairie dogs provide food and shelter for so many animals that they are a great place to see other wildlife," says Naylor.

Naylor says prairie dog holes are used by snakes, amphibians, burrowing owls and insect. The holes also cause vegetation changes, which provide grazing for bison.

Most magical moment in the park: In the summer of 1979, when Naylor spent her first year as a volunteer working in the visitor center conducting programs and sharing park history with guests.

"I did not intend to make it a career," she says. "But after spending the summer working at a national park, I had no other aspirations. And it was this park that did it for me."

Funniest moment at the park: Seeing a bison calf become confused about his mother's identity.

"I once watched a bison calf run across the prairie to mom -- fast as he could go," she says. "When he got about 15 feet, he stopped, turned 90 degrees and ran to another one. That was one of the most amazing things I have seen. It was both interesting and funny."

A ranger's request: The park is home to a variety of wildlife. Understand that the bison are the most dangerous animals in the park, even though they look docile and calm.

"They can run faster than a horse and turn on a dime," she says. "Generally, if an animal reacts to your presence, you are too close. They (bison) do charge humans."

Another park she'd like to visit: Lava Beds National Monument in Siskiyou, California. Located in the high desert of Northern California, it is known for Native American cave art and as one of North America's most continuously occupied geographic areas.

Naylor says her goal is to visit every national park and estimates she's been to more than half of them.

"I like large, wide-open landscapes, and it sounds like a fascinating place," she says. "I like to go anywhere I haven't been before."

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

President Theodore Roosevelt helped save the American bison from extinction

@highlight

North Dakota's Badlands differ from those in South Dakota in age and appearance

@highlight

Early morning and late evening are the best times to view wildlife

@highlight

Bison are the most dangerous animals in the park