(CNN) -- On Monday, New York Mayor Bill de Blasio announced changes in the way police will deal with people caught with small amounts of marijuana. Now police officers will no longer arrest anyone caught with less than 25 grams of pot. Instead, they will issue a summons to appear in court. De Blasio hopes this policy will spare young people the burden of a criminal conviction. "A summons will not affect their future. An arrest could," de Blasio said at a news conference.

De Blasio's plan sounds like a significant step away from New York's controversial "stop and frisk" policies, the kind of policing de Blasio campaigned against when he ran as a progressive candidate for mayor.

But upon closer examination, de Blasio's policy doesn't seem so progressive. At best, it is a well-meaning baby step toward more effective law enforcement. At worst, it is a policy that ignores the racial disparities in marijuana arrests -- and one that might have unintended consequences for the people it is trying to help.

One troubling aspect of de Blasio's new policy is that it does not address the issue of who will be stopped for minor marijuana possession.  According to the Drug Policy Alliance, an advocacy group aimed at easing drug laws, in the first eight months of this year, 86% of those arrested for possessing small amounts of pot in New York were African-American and Latino (by comparison, the 2010 Census shows that slightly over half of the city's population is African-American and Latino).

So while young people of color may avoid being taken to jail for pot possession, it is still overwhelmingly likely that it will be young people of color who find themselves with a summons for possession.

De Blasio's plan also holds worrisome implications for due process. Previously, after a person was arrested, the prosecutor's office would review the case and decide whether to pursue it. Under the new policy, this crucial step is circumvented. A person who is given a ticket for minor pot possession must appear in a courtroom, even if their arrest was legally questionable.

Brooklyn District Attorney Kenneth Thompson told The New York Times that allowing police to write tickets without oversight raised "a serious concern that many summonses will be issued without safeguards currently in place." And if people miss their court dates, they could still face warrants for their arrest.

What's more, NYPD officers will retain wide discretion under de Blasio's new policy. Police officers will be allowed to make a judgment call on whether to issue a summons or arrest a person. That seems awfully trusting of a police department that has not only been cited for unconstitutional racial profiling, but one that also has aggressively ramped up marijuana enforcement efforts. Consider that marijuana-related arrests under de Blasio are on par with those of his predecessor, Michael Bloomberg.

De Blasio cannot remake the law on marijuana; that is up to the New York state legislature. Yet what if he were to take a bold stance in favor of marijuana decriminalization? This could spark the same types of discussions that ultimately led voters in Colorado and Washington to legalize pot.

With the Pew Center reporting that public support for marijuana legalization is at an all-time high, the mayor of New York should be out in front of this debate. At the very least, de Blasio should make clear to his police commissioner that he expects the NYPD to move away from law enforcement techniques that led the New York City Civil Liberties Union to declare New York "the nation's marijuana arrest capital."

De Blasio's new marijuana policy should be seen only as a down payment on long overdue NYPD reforms. As a national figure representing a new generation of progressive leadership, he owes all New Yorkers his full commitment to equal outcomes under the law.

@highlight

Raul Reyes: NY Mayor de Blasio says cops won't arrest someone with small amount of pot

@highlight

They'll get summons instead. It's good step, but doesn't address racial aspects of stops, he says

@highlight

Reyes: New rule requires court appearance. Miss it, and there'll be arrest warrant. This a flaw

@highlight

Reyes: De Blasio, show your progressivism. Take bold stance in favor of pot decriminalization