President Barack Obama is ordering the most sweeping overhaul of the immigration system in decades, despite Republican claims he is acting illegally by moving unilaterally to shield five million undocumented immigrants.

Obama rejected accusations by conservatives that he is offering a free pass to undocumented immigrants and warned in a prime-time address that he would bolster border security and make it harder for unauthorized outsiders to get into the country.

"Today our immigration system is broken and everybody knows it," Obama said. "It's been this way for decades and for decades we haven't done much about it."

Obama is pressing ahead and making broad changes to the immigration system without the consent of Congress, which has failed to pass a comprehensive reform bill.  The announcement prompted an angry response from House Speaker John Boehner.

"By ignoring the will of the American people, President Obama has cemented his legacy of lawlessness and squandered what little credibility he had left," Boehner said. "Republicans are left with the serious responsibility of upholding our oath of office."

A key element of Obama's plan is to instruct immigration authorities to target those undocumented immigrants who are dangerous rather than law-abiding undocumented parents of U.S. citizens and residents and others.

He said they will go after "felons, not families.  Criminals, not children.  Gang members, not a Mom who's working hard to provide for her kids."

"We'll prioritize, just like law enforcement does every day," he said.

The changes will offer those who qualify the chance to stay temporarily in the country for three years, as long as they pass background checks and pay back taxes. But they will not be offered a path to eventual citizenship or be eligible for federal benefits or health care programs. And, in theory, the measures could be reversed by a future president.

"If you meet the criteria, you can come out of the shadows and get right with the law. If you're a criminal, you'll be deported. If you plan to enter the U.S. illegally, your chances of getting caught and sent back just went up," Obama said.

The President argued that ordering a mass amnesty would be unfair but mass deportation would "be both impossible and contrary to our character."

Republicans are slamming Obama's use of executive authority as a mammoth presidential power grab. But Obama said he was acting in a manner consistent with action taken by Republican and Democratic presidents.

"To those members of Congress who question my authority to make our immigration system work better, or question the wisdom of me acting where Congress has failed, I have one answer:  Pass a bill."

Officials insist that Obama's moves are deeply grounded in law and constitutional precedent, despite claims by Republicans that they represent an unlawful overreach of his authority as president and his oath of office.

"The actions you see here reasonably sit within his powers," one senior administration official said. "I think that they are bold and they are aggressive but they are in keeping with precedent."

Congressional Republicans are weighing their response, juggling ideas that range from a government shutdown to holding up Obama's nominees in the Senate.

And in the states, some Republican officials had already raised the possibility of lawsuits against the president.

The most far-reaching changes in Obama's order will offer papers and work authorization to up to four million people who are undocumented parents of U.S. citizens or legal permanent residents, as long as they have lived in the U.S. for five years or longer.

Obama will also remove the upper age limit of 30 years old from a program known as Deferred Action for Childhood Arrivals (DACA) or Dreamers that allows those brought illegally to the country as children to stay, offering relief to thousands more people.

The program will cover anyone who arrived in the country before 2010 and will extend a previous two-year guarantee of relief to three years.

But White House lawyers concluded the president did not have the power to offer parents of those covered under DACA permits to stay in the country and work, a move that will disappoint some immigration reform lobby groups.

In one concession however, parents of the so-called "Dreamers" will be removed from priority lists for deportation.

Officials said that the broad sweep of the immigration measures were within Obama's powers because he was directing authorities to prioritize which groups of the 11.4 million undocumented immigrants in the country should be deported.

"Deferred action is not a pathway to citizenship. It is not legal status. It simply says that for three years, you are not a law enforcement priority and are not going to go after you," said one senior official. "It is temporary and it is revocable."

Officials said law enforcement officials made similar decisions each day about which categories of offenders to target with prosecution and the president was simply charting a new way to apply existing immigration laws.

The new approach, which will begin to be phased in next spring, will include a more robust effort to target gang members, suspected terrorists, and felons.

It will also focus more sharply on undocumented immigrants who have recently crossed U.S. borders. This is a bid to slow the flow of illegal immigration, the officials said. New resources are also expected to be announced to secure borders, following claims that enforcement is lax and contributed to the flow of thousands of undocumented child migrants into the U.S. earlier this year, which sparked a hot political controversy.

In moves likely be applauded by the business community, the administration will also reform immigration rules to make it easier for science and technology students to study in the U.S. There will also be a new program to attract entrepreneurs to come to the U.S. if they can show they have sufficient investors.

But the president got mixed reviews among leaders in border states.

"In the face of Washington gridlock, the president stepped up for hard-working families across America. This is the right thing to do, and it's time for Congress to finish the job," said California Gov. Edmund G. Brown Jr., a Democrat.

But Arizona Gov. Jan Brewer said Obama should have sought a bipartisan solution.

"He is once again taking brazen, unilateral action that will only further exacerbate the border problem," the Republican said.

Texas Gov. Rick Perry said the president's action will lead to more illegal immigration.

"It is time for the president and Congress to secure our border, followed by meaningful reforms. There is no more time for political grandstanding," he said.

The changes that Obama announced, however, fall far short of the reforms that could be enacted were Congress to pass a comprehensive immigration bill.

The president has no power to put undocumented immigrants on the long road to citizenship. He cannot grant permanent residence permits known as Green Cards, and all of his changes could be struck down by a future president.

Officials insisted that Obama's moves were consistent with immigration actions ordered by presidents, including Ronald Reagan and George H.W. Bush, for decades. The magnitude of the numbers involved here, however, surpass anything any president had done before.

@highlight

Speaker Boehner slams Obama for "legacy of lawlessness"

@highlight

Obama to shift deportation priority from families to felons

@highlight

Moves will shield up to 5 million undocumented immigrants