Los Angeles (CNN) -- Southern California faces another water-logged day Wednesday with renewed threats of flash flooding, especially in San Diego county.

The National Weather Service is forecasting rainfall rates of up to 2 inches per hour, which could prompt flooding in the San Bernardino, Santa Ana and Palomar Mountains, and along the Orange County coastal plains.

On Tuesday, storm-weary Californians slogged through another day of record-breaking snow, rain and flooding from a series of storms that prompted an emergency declaration from the state's governor.

Gov. Arnold Schwarzenegger's proclamation covers Kern, Orange, Riverside, San Bernardino, San Luis Obispo and Tulare counties in southern California. The declaration warns that the forecast calls for "extraordinary and continuing rainfall" that is likely to cause more flooding and landslides in the region and authorizes state assistance to local authorities.

The five-day rain total has topped 10 inches in many areas, with much heavier amounts in some locales.  More than 21 inches has fallen on Twin Peaks in San Bernardino county, with Twin Creek receiving nearly 20 inches.

In Orange County, authorities were on the scene after a mudslide affecting homes in the Silverado Canyon area, the county's Fire Authority said on Twitter. Rescues were needed, and evacuations were underway, according to the Fire Authority.

In Los Angeles County, meanwhile, authorities ordered the evacuation of more than 230 homes in two neighborhoods out of fear of debris flows. Of the 232 homes ordered evacuated in the La Canada Flintridge and La Crescenta areas, however, only one family evacuated, said Nicole Nishida, spokeswoman for the Los Angeles County Sheriff's Department.

The area is a concern because it is below an area burned in the 2009 Station fire. Fires burn vegetation holding the soil in place, leaving the soil more likely to dislodge after heavy rains.

One resident wary of the potential for mudslides was  Donna McLaughlin of La Canada Flintridge who lost her home last year when a 10-foot wall of mud came barreling down a hillside. She just moved back in October.

"Here we go again," she told CNN affiliate KABC.

But this time, the city has bolted down protective concrete barriers and attached them to each other in the area in an effort to guard against mudslides. McLaughlin said the barriers were not bolted down or attached last year. "Had they done that, our house would have at least been saved," she told KABC.

Streets in downtown Laguna Beach were closed Wednesday because of extensive flooding, KABC reported.

In southwestern Utah, a dam that authorities had feared was in imminent danger of giving way to floodwaters was found to be in stronger condition than previously believed, said Marc Mortensen, a spokesman for Washington County.

The roughly 800 residents of the towns of Virgin and Rockville were allowed to return to their homes Tuesday night, Mortensen said. Engineers will monitor the dam, located on the Virgin River, and conduct more tests Wednesday, when high water flows are expected again, he said.

Utah Gov. Gary Herbert said he was prepared to declare a state of emergency in the south, where floodwaters also washed out at least one bridge. But as of Tuesday afternoon, Utah officials said the required benchmarks for an emergency declaration had not been reached, and Herbert hadn't received a request from local authorities to issue one.

"We are closely monitoring the activity in southern Utah, and praying for the safety of all of the area's residents," Herbert said in a statement from his office.

Flash flood warnings were also in effect for western Arizona.

In Southern California, where the car is king, a record number of motorists called their local auto club to report dead batteries, a need for emergency tows and crashed vehicles, said spokesman Jeffrey Spring of the Automobile Club of Southern California.

More than 25,000 distraught motorists made calls for help on Monday, the largest number ever in a 24-hour period for the AAA's largest U.S. affiliate, Spring said.

"We're in Southern California, and we don't have a lot of experience driving in the rain, and some people drive through high puddles not realizing what kind of effect it can have on a car," Spring said. "If the engine gets splashed and gets wet, it can stop the car right there."

Spring said AAA was "able to serve the majority of members in 30 minutes," although he added, "I'm sure there were a number of people who had to wait longer than that."

Monday's call volume surpassed the prior record of about 22,000 on October 9, 2008, when a heat wave and the scorching Santa Ana winds disabled many automobiles, Spring said. Monday's weather -- torrential rains -- had opposite conditions, he said.

"Batteries are fickle things if they're not at full strength," Spring said. "Hot weather can affect them and weather like this."

In the southern Sierra Nevada, Sequoia and Kings Canyon National Parks were effectively shut down Monday and Tuesday because flooding, mudslides and rockslides closed the two roads into the parks, said Brandy Frederich, assistant general manager of Wuksachi Lodge in Sequoia National Park.

In fact, the 102-room lodge was vacant Tuesday after the last couple of guests departed Monday, Frederich said.

"Well, we're all up here," Frederich said of the hotel staff. "We would be open if the road is open. It's gorgeous right now. Up here, it finally turned to snow."

But the rain at lower elevations washed out the two roads, she said.

Deborah Craigo, 39, who lives in the Mojave Desert community of Hesperia, California, said monsoon conditions have inundated the arid landscape.

Fire stations are even offering sandbags to residents who want to shore up defenses to their homes, said Craigo, who is also a CNN iReporter.

"It's been raining from two days ago and it just has not stopped. They closed a lot of the roads down," said Craigo, a mother and college student. "It's pretty bad now. We have a riverbed in back of our house, and two days ago it was completely bone dry. And then within two days the riverbed is completely full."

In Orange County, California, four hikers whose truck was stranded by floodwater between two canyon roads were airlifted out Tuesday morning and were reported to be doing well, CNN affiliate KTLA reported. The four had been stranded overnight. Five other people were rescued in the same area Monday evening, the station said. A bulldozer was used to help get them to safety, it said.

Elsewhere, 40 horses were rescued from Riverside County as water rose to heights of about 4 feet, affiliate KCAL reported.

The storm is actually a series of storms originating in the Pacific, known as the "Pineapple Express" because of their origin near the Hawaiian Islands. They have brought heavy snow to the higher elevations, with torrential rainfall in lower spots, and high winds. Total rainfall has approached 10 inches in some areas.

Numerous roads were closed because of mudslides or flooding. And as much as 13 feet of snow had fallen in the Sierra Nevada as of Tuesday, according to CNN Meteorologist Rob Marciano.

"We get a lot of snow here, but not usually this much in a 24-hour period," said CNN iReporter Sarah Butner, who is visiting family in Mammoth Lakes, California. The area has received about 9 feet of snow, she said Monday.

"The decks have a good 5 feet of snow on them," she said. One area of the neighborhood was also flooded, she said.

In Arvin, California, near Lamont, Caliente Creek  washed away land near one home. Hugo Figueroa, who lives there, said he and his family were told to evacuate, CNN affiliate KBAK reported. Flooding washed out several roads near Lamont and Arvin, the station reported.

High winds also whipped much of the state, particularly at high elevations. Peak wind gusts reached 152 mph in Alpine Meadows summit in northern California, the weather service reported.

Mudslides forced officials to close a portion of State Route 1, also known as the Pacific Coast Highway, in Ventura County from just north of the Los Angeles County line to Oxnard, according to the California Department of Transportation. The Pacific Coast Highway was also closed north of Santa Barbara due to flooding.

A mudslide also closed a portion of State Route 41 in San Luis Obispo County. A stretch of State Route 34 in the Oxnard area was closed because of flooding.

The danger of mudslides will probably intensify, CNN meteorologist Ivan Cabrera said.

"A serious situation will develop now with the mudslide danger that will continue over the next several days," Cabrera said Monday.

Another danger: Falling trees. Erik Budzinski of Orange told KABC he is heartsick after his vintage 1970 Ford F-150 truck was crushed by a large tree Monday night. "It was my baby," he said.

Budzinski said he was inside his home and heard the wood cracking and popping as the tree fell. "I just knew it," he said.

Still, many southern Californians were not deterred from holiday shopping by the rain, although the rain-slicked roads had led to thousands of accidents.

"It's a little scary to be driving with this much rain, but I'm going to deal with it," Adriena Young told KABC. "It's better than a drought."

CNN's Jeremy Ryan, Sara Pratley, Nick Valencia, Michael Martinez, Ed Payne, Sara Weisfeldt and Daphne Sashin contributed to this report.

@highlight

NEW: Reported mudslide affects homes in Orange County

@highlight

Of 232 homes evacuated, only 1 family leaves, officials say

@highlight

Rockville, Utah, residents allowed to return

@highlight

Roads into two national parks are shut down, a park lodge manager says