Kathmandu, Nepal (CNN) -- To set foot on Mount Everest is to risk death. Mountaineering tourists and their native Nepali guides both have this on their minds, as they straddle cavernous ravines in the ice.

But nothing could have prepared American climber Jon Reiter for last week's avalanche, the deadliest accident in the history of the world's highest peak.

"We've all seen death on the mountains," he told CNN's Chris Cuomo on "New Day" Wednesday. But to see so many limp bodies hanging from cables as helicopters brought them down the mountain shocked him.

Reiter was one of the fortunate ones. His Sherpa guide, Dawa, shoved him behind an ice block when the icy avalanche thundered down, killing 13 Sherpa guides Friday.

Three more Sherpas are missing and feared dead. Buddhist clergy commended all 16 souls Monday in a religious ceremony.

The search for those still missing has been suspended, and it is doubtful it will resume, Nepalese officials said.

'Get down!'

"Get down! Get down!" Reiter heard Dawa Sherpa yell before the ice rushed past him.

The moment was like a flash, but Reiter remembers it in detail.

"You're already in the icefall, which is a pretty sketchy place," he said.

The possibility of danger in the shifting and changing ice masses riddled with fissures had his instincts on alert.

"You're crossing ladders and crevasses, and you're pretty aware of your surroundings," he said. Climbers are used to looking out to avoid getting hit by falling ice blocks, he said.

But when the ice avalanche broke loose from the Khumbu Icefall, it sent his mind racing.

"You could see it. I heard it, and I looked up, and I saw it break off the side of a shoulder, and you heard it crash down."

Seconds later, the valley was full of ice boulders; the path up the mountain obscured.

His Sherpa had saved his life.

Then Reiter asked himself: Is anyone under the ice?

Selfless Sherpas

Nearly a third of the group of 50 that had set out up the icefall was missing.

Radios began squawking, and Reiter heard terror in the Sherpas' voices as they spoke.

Dawa Sherpa was still standing.

"He did not dive himself," Reiter said.

Dawa tended to Reiter first. Then, the guide with 24 years of experience embarked on the grimmest task of his career.

"He spent his whole day that day digging his friends out of the snow and hooking them up to cables and flying them down the mountain," Reiter said.

At the end of a 16-hour day, Dawa Sherpa came by Reiter's tent before heading to bed to see if he was all right.

"These are such selfless people," Reiter said.

Emotional rubble

The mountaineering group milled around base camp Wednesday with a lot on their minds -- especially the families of the Sherpas who died.

"All those kids, whose dads aren't coming home," he said.

Many Sherpas left the camp to attend funerals and bury their dead friends. Most did not return, but Dawa came back to talk to Reiter.

He told the American climber that he wanted to stand by his side but that he could not continue. "Jon, I just can't go back up that hill" were his words, Reiter said.

Death has climbers taking inner inventory, Reiter said. "Thinking, reassessing life, reassessing our values."

Lifeblood

But as the mountain can be deadly for the ethnic group indigenous to the cold peaks of the Himalayas, it is also the Sherpas' lifeblood.

Leading expeditions is how they feed their families. For many, the guides are the only breadwinners.

Ngima Sherpa, 26, for example, supported his three younger siblings and mother from the money he made taking foreign nationals around the mountain.

He was among the 13 dead whose bodies were taken around Kathmandu in a funeral procession Monday.

Ultimately, the guides may decide to forge ahead, but they may be out of business already. "The major expeditions pulled the plug," Reiter said. He predicted Everest would close to climbers this year.

At least six companies that lead Everest expeditions have called off their 2014 climbs.

Emily Turner, a spokeswoman for Alpine Glow in California told CNN: "This is completely unique. Nothing like this (number of cancellations) has ever happened."

And peak season is just beginning. Between May 15 and 30 is usually the best window for reaching the peak.

Foreign climbers spend between $40,000 and $90,000 each in their attempt to scale the mountain.

Nepal's government rakes in about $3 million from Everest climbers during the high season.

Sherpas make up to $6,000 per season. They also usually get a summit bonus if their clients reach the top of the 8,848-meter (29,029-foot) mountain.

Now they want to be paid in full even if the climbs are abandoned.

Discovery calls off coverage of Everest wingsuit jump

Mounting deaths

The mountain guides are not looking to quit their work, but they feel more is due to them for the risk they take.

They want to know that they're covered if something like this happens to them. They want higher life insurance payouts.

"It's overdue," Reiter said. Climbers want to see the Sherpas' demands met.

Until the late 1970s, only a handful of climbers reached the top each year. The number topped 100 for the first time in 1993. By 2004, it was more than 300. In 2012, the number was more than 500.

The deadliest year on Everest was 1996, when 15 people died. Another 12 climbers were killed in 2006.

Reiter doesn't think any of the climbers at the base camp would be able to reach the top of Everest this year.

The focus it takes to survive, he said, is gone.

Climbers, widow recount deadly traffic jam on Everest

On top of the world in 1963

Everest by the numbers

CNN's Manesh Shrestha reported from Kathmandu and Jessica King from Atlanta. CNN's Ben Brumfield wrote from Atlanta, and Sugam Pokharel and Dave Alsup also contributed to this report.

@highlight

NEW: Six companies have canceled planned expeditions for 2014

@highlight

The ice came crashing down in a flash, American climber says

@highlight

His Sherpa guide shoved him behind an ice block but did not duck himself

@highlight

Selfless Sherpas spent hours taking down bodies on helicopters and cables