Las Vegas, Nevada (CNN) -- More than 37 million people visit Las Vegas each year for its glitz, glamour and lure of hitting a jackpot. Yet few tourists ever see the dingy world beneath the bright lights: tunnel dwellings that have become home to those down on their luck.

Steve Dommer and his girlfriend, Kathryn, live in the depths below the Vegas Strip. They created an elaborate 400-square-foot space, complete with a living room, bedroom, kitchen and workshop to fix bicycles. Everything is elevated off the floor with wooden pallets or milk crates because of potential flooding.

Their prized possession is a queen-sized bed, found in a Dumpster near the Palms Casino Resort. "I like to be able to come back and sleep as comfortably as possible," Dommer said, patting his bed.

By day, he scrounges for change above ground. He's been living down below for two years. He lost his construction job because of an addiction to speed and heroin.

The couple is not alone in the city's tunnels. "Hundreds of people live in these tunnels," says journalist Matthew O'Brien.

O'Brien has become an expert on the more than 300 miles of underground flood channels and its tunnel dwellers. O'Brien brought the homeless to light, first in articles for the alternative weekly newspaper, Las Vegas CityLife, and then in a book titled "Beneath the Neon: Life and Death in the Tunnels of Las Vegas."

O'Brien noted the irony of one tunnel entrance near the famous "Welcome to Fabulous Las Vegas" neon sign.

"I just think the history of Vegas PR is to ignore the bad issues," he said. "The instinct of the city -- and the county -- is to ignore stuff that can be construed as negative press and kind of highlight other things about the city."

The number of those living in the storm drains varies by the season, O'Brien said. The tunnels become damp and cold in the winter, but hundreds flock into them during the summer to escape the 100-degree desert temperatures.

"It's much cooler than outside, about 20-25 degrees cooler, and that's one reason why someone would live or hang out in these tunnels," O'Brien said.

Armed with a black metal flashlight, O'Brien took CNN on a tour of four tunnels. Each tunnel was different; their heights ranged from 4 to 12 feet. Some intersected underground; others had small openings to access parallel tunnels.

It was pitch black much of the time.

"After you've done it a few hundred times like I have, you can walk down here without any light at all," said tunnel dweller Steve Dommer.

O'Brien said he's always "a little bit on edge" when he climbs into the underground world. "You never know what to expect or what you're going to find down here," he said.

If legend is to be believed, a troll armed with a crowbar combs the tunnels. Even if it's not true, O'Brien said, it still haunts him.

"A lot of the people ... have their own ghost stories about a friend who was murdered in the tunnels or someone who drowned and they hear their voices late at night," O'Brien said. "It is true that you do hear some weird noises down here because of the acoustics."

Some of the channel floors are covered with dust, others mud, and, in one section, a foot of stagnant water. There are sleeping bags and mattresses, some with makeshift canopies, but they seemed outnumbered by the trash, scraps of food, cockroaches and graffiti.

Upon hearing our footsteps, some vagrants scattered from their makeshift shelters, not knowing if we were marauders or the police who sometimes come through to chase the homeless out.

O'Brien introduced us to a man known in these parts as "Iron," who has lived in the flood channel system for six years. Iron had sun-baked skin and wore a cap reading "Jackpot!"

The recovering alcoholic said he makes ends meet receiving tips for pumping gas or cleaning windshields at a nearby service station. He lives near the entrance of a tunnel across the highway from the Excalibur and Luxor hotel-casinos.

"You'd be surprised at night the view you have right here," Iron said. "People pay a lot of money in the suites to have views of the Strip. I get it every night for free."

He sleeps about 10 feet from the entrance of a four-foot high tunnel. It doesn't rain often. But when it does, the floodwaters carry away anything in its path. "I live pretty simple now after replacing things for six years."

Over in another Vegas flood channel, a homeless man named Michael sat with his bags packed ready to leave his tunnel dwelling, about 200 feet from the entrance. The 52-year-old said police came through two days earlier encouraging people to leave.

He sat on a mattress wearing khaki pants and a short-sleeve collared shirt. He said crack cocaine abuse led him on a dark path into the storm drains. He's hoping to leave soon.

"After 30 years of wasting time and money, 30 years of drug use, I want my life back," he said. "I want to get up and lead a productive life again."

To that end, O'Brien is helping. That was one of his goals when he began his journey -- to find a way to help the tunnel dwellers. He became partners with the charitable outreach organization HELP of Southern Nevada to form the "Shine A Light" foundation.

O'Brien escorts social workers into the storm drains twice a month to offer assistance to the homeless. They provide blankets, food, water and counseling.

According to O'Brien, more than a dozen people who were living within the tunnels received housing in the past six months thanks to the partnership. But O'Brien said he thinks Sin City could do much more to help.

"I've always thought more should be done," he said.

Iron, the homeless man with a city view, believes the city tolerates the tunnel dwellers because "we're not hurting anybody."

"The only thing getting hurt down here is ourselves and nobody else."

CNN's Sara Weisfeldt contributed to this report.

@highlight

Homeless population of Las Vegas turn to storm drains for shelter

@highlight

"I just think the history of Vegas PR is to ignore the bad issues," Matthew O'Brien says

@highlight

One man nicknamed "Iron" says the best thing is his view of Vegas Strip at night