Port-au-Prince, Haiti (CNN) -- We found him on a Sunday morning, as an outdoor service came to a close at what was once the Notre Dame cathedral. When the hymns faded, we picked through the carcass of the building, and there he was among the collapsed walls, his slender body framed by piles of rubble and blue sky attempting to peek through after a hard rain.

In his arms, he cradled a child, not more than a year old. Her name, he said, is Christella. Christ is here.

She was born, he told us, on January 12, 2010, just hours before Haiti's massive earthquake.

His story was stunning, even in a place where everyone has a tale of survival. We immediately thought of it as symbolic of Haiti's struggle this past year -- to go on living despite extreme hardship. But it would not take long for doubt to creep in.

It's difficult to believe people in the new world that is Port-au-Prince, where desperation prompts people to say anything if they think that it will bring them attention, and maybe help.

Not that trust was ever in abundance here during decades of dictators and despots. But now people have very little documentation left of their lives, and journalists have little choice but to place some faith in what the subjects of their stories tell them.

Many people we interviewed wanted payment, simply for answering our questions. It was not an agreement we could make. But we could understand the request, coming as it did in a place where meals are not routine, where grinding poverty has changed the rules of life.

The grim anniversary of the earthquake has long passed. This week, the spotlight fell on Haiti for a different reason -- Michel Martelly was declared the winner of a troubled presidential election. But for the most part, international journalists, like us, have packed their bags and gone elsewhere. Some are in Japan, covering that nation's earthquake tragedy.

But the story of the man in the rubble of the cathedral  still haunts.

It is worth telling because it does epitomize something about Haiti: a new wave of misery in which truth, and deception, are both tools for survival.

A tale of desperation, resilience

This much is known to be true: The man asked nothing of me or my CNN colleague Jim Spellman when we happened upon him. Only when we remarked on his situation did he say he wished he had a tent to shield his baby from the rain and milk to fill her aching belly.

And this is the story he told.

Christella was born on January 12, at 9 a.m., almost eight hours before the ground shook for 35 seconds and dismantled much of Port-au-Prince.

His wife of five years, Carla Fleurival, gave birth in a small shelter they called home in the shadows of the cathedral. In all his 23 years, he has known nothing but poverty of the most extreme kind.

When he was 3, his mother brought him with her from Leogane to beg in the big city. He grew to manhood while living on the streets of Port-au-Prince. He had hoped for a different life for his own 3-year-old son, Christopher, and now, Christella.

Clinton returns to help in ongoing recovery

Then the Cathédrale Notre-Dame de L'Assomption came tumbling down. Dust billowed everywhere as enormous chunks of plaster and concrete roared like an avalanche, flattening everything in its path.

Instantly, Carla was crushed to death. She was buried with about 30 others behind the cathedral.

The man's friend, Marie Batiste, was cooking rice and beans on a small wooden stove. It toppled over and the hot water scalded Christella. The father scooped her up and ran with her to the general hospital.

As he talked, he showed us the scars on the baby's right leg.

These days, he enters the broken cathedral to shelter his baby from the searing sun, to seek refuge in the very building that wrought death in his family. Sometimes, he peddles for change from the foreigners who visit. He depends on the charity of others, he said.

He began believing that everything that befell him was God's will.

He has no money. When he finds food, he said, he feels guilty that he gives most of it to his infant daughter. His son goes without -- for two, maybe three days.

"I don't even know how to take care of her," he said. "I bathe her but I don't know how to braid her hair."

Single fatherhood is hard anywhere. Imagine the enormity of the task for a poor man in post-earthquake Haiti.

He wiped tears away with his dust-caked hands. It was difficult not to be moved by his story.

We photographed him, interviewed him further. But when we returned two days later, we were led to see him in a different light. Others cast doubt on his story.

"He is not telling you the truth," two men told us, indirectly, through our interpreter. "He has a wife. He wants your money."

If that was his ultimate goal, he put up an elaborate ruse, hoping we would find him amid the rubble and pity him. And he'd never asked us for money.

We made our way through the tents and plastic tarpaulins on the street near the cathedral, asking others who lived there about him. A blind man known for his guitar riffs and his willingness to talk to foreigners told us the story was true. So did Marie Batiste, the friend who was cooking that day and said she saw the quake throw water on the baby.

Spellman and I believed the man's story. So did other journalists. The Miami Herald's Carl Juste photographed Christella and her father four months ago for the anniversary of the earthquake. "I can only go by what he told me. I believe him," Juste told me. "If someone is lying to you, you would sense it. No one told me he is lying."

So why would some try to discredit him?

The man insisted he had not embellished his story.

He said others accused him of lying because they were jealous. "They all hate me because most often people who come to the cathedral give me money or food so that I can take care of the baby."

It is a sad fact that there is so much competition for attention in Haiti. That one man's need can be seen as another's threat.

In an odd way, it matters little whether the man's story is true. The fact of his existence is real, as are the dire circumstances in which he lives. He is not just a metaphor for Haiti. He is a man.

And I feel certain that if we return to the small city of tents and tarps that hug the cast-iron gates of the cathedral, we will find him there.

He says his name is Fritz Robert Pierre-Saint. I believe this to be true.

@highlight

Many people we interviewed wanted payment, simply for answering our questions

@highlight

People have little documentation left of their lives, and journalists have to have faith in subjects

@highlight

The man told us his daughter was born just hours before Haiti's massive earthquake