(CNN) -- Egypt's major archaeological sites, monuments and museums were under the protection of the country's army on Monday, according to the nation's Supreme Council of Antiquities.

However, unease persisted among Egyptologists and archaeologists, who fear some of the nation's priceless treasures may fall victim to looters or vandals, amid unrest and uprisings fueled by what protesters see as a lack of economic opportunity, widespread poverty and pervasive corruption.

Egypt is "the greatest open-air museum in the world," said Peter Der Manuelian, the Philip J. King professor of Egyptology at Harvard University. He said he and his colleagues are "trying to stay on top of (the situation) as best we can," given spotty internet service in Egypt.

Friday night, a group of "criminals" entered the Cairo Museum using a fire department staircase, Zahi Hawass, secretary-general of the Supreme Council of Antiquities, told CNN early Sunday.

Once inside the museum, they went to the Late Period gallery, Hawass wrote. "When they found no gold, they broke 13 vitrines (glass showcases) and threw the antiquities on the floor."

The intruders then went back to the gallery housing artifacts from King Tutankhamun's tomb, where they opened one showcase, broke a statue of King Tut on a panther and threw it to the ground, he wrote.

A group also entered the museum gift shop and stole jewelry, Hawass wrote in a blog post Sunday.

A group of "tourist police officers" had stayed at the museum overnight, as they were unable to leave after the curfew took effect. "These officers, and many young Egyptians who were also there, helped to stop more people from entering the museum" during the protests, Hawass wrote in the blog post -- which he faxed to Italy so colleagues there could post it on his website in the absence of internet in Egypt.

Hawass told CNN early Sunday there were nine suspects, but in the blog post he said there were 10. One of them asked the people guarding the museum for water, he said, but "they took his hands and tied him to the door that led to the gift shop so he could not escape," according to the post.

Hawass told CNN that when the suspects were apprehended, authorities found the remains of two mummies and some small artifacts with them.  However, he said Sunday, everything that had been damaged can be restored.

It may be that Egyptian citizens' national pride in their heritage works to the advantage of its treasures, experts said. A picture was posted on Twitter of a "human chain" surrounding the Cairo Museum, although it was unclear when the chain was formed.

In many ways, Der Manuelian said, that national pride is a tribute to Hawass' efforts in raising awareness and restoring pride in Egyptian culture. "You may be seeing the direct result" of his efforts, he said.

"The Egyptian people are absolutely wonderful," said Jan Summers Duffy, an Egyptologist at the College of Idaho and curator at the Orma J. Smith Museum of Natural History. She said she believes they can be counted on to defend museums and archaeological sites.

"With 80 million people in a country that suffers from poverty and rising food prices ... you have to expect that some people are going to be desperate and look for any means necessary to try to improve their lot," said Kara Cooney, assistant professor of Egyptian art and architecture at the University of California, Los Angeles, and host of the Discovery Channel's "Out of Egypt."

But, she said, for every one of those, there are a thousand Egyptians who will defend ancient treasures. "The people who are best able to protect these monuments are already there on the ground," she said. "... I just have to hope and trust that they're able to do what they can."

Cooney said she had heard, but hadn't been able to confirm, that authorities used a mosque's loudspeaker to successfully urge citizens to come to the aid of the temple complex at Karnak and defend it from looters.

On Monday, Hawass said all sites in northern Egypt, including Alexandria, were under the control of the army. Museums, he said, are also safe, along with major tourist sites in Giza and Saqqara near Cairo, and Luxor and Aswan farther south. So far, "only small things" have occurred, he said -- for instance, a storage magazine was entered in the Sinai area and some objects were taken.

In that incident, Hawass wrote, a "large group, armed with guns and a truck" entered a site where antiquities from the Port Said Museum are stored and took some objects.

"Other groups attempted to enter the Coptic Museum, Royal Jewelry Museum, National Museum of Alexandria, and El Manial Museum," he wrote.

"My heart is broken and my blood is boiling," he wrote in the Sunday post. "I feel that everything I have done in the last nine years has been destroyed in one day, but all the inspectors, young archaeologists and administrators are calling me from museums all over Egypt to tell me that they will give their life to protect our antiquities. Many young Egyptians are in the streets trying to stop the criminals."

Despite Hawass' assurances, Egyptologists said they are concerned both about damage that has not yet been discovered and about what the future might hold for Egypt's artifacts. Der Manuelian said he had heard that when Egyptian police disappeared from streets over the weekend, some sites were left unguarded.

There are hundreds of storage magazines around the country, which had previously been under the protection of Egyptian police, Cooney said. Now, it is unclear who -- if anyone -- is protecting them.

Reports of the incident at the Cairo Museum were "heartbreaking," said Summers Duffy, who spent the summer working on a project in Luxor involving the uncovering of tombs.

She said she had heard "it was basically quiet" in Luxor, "but that's for now. We expect things may change." The Valley of the Kings and other important archaeological sites are located there, she said.

Summers Duffy said she is "on Facebook all the time" trying to make contact with Egyptologists and archaeologists she knows, to see if they remain at certain sites. Some have fled the unrest, she said.

"This has been my life's work," she said. "... We don't know what the future will hold. I hope at least some things can be preserved."

Facebook, Cooney said, is "invaluable" as Egyptologists try to share information.

Der Manuelian said most of his work is done at Giza, and he expects the site there will be well protected. There is a "high-security wall" surrounding it, he said, and its proximity to Cairo may result in better protection.

He said he is more worried about the outlying sites. "Some of these monuments are big, so it's easy (for a criminal) to duck behind something."

He recalled incidents of artifacts and monuments being destroyed in Iraq, saying his heart went out to colleagues who made those artifacts their field of study -- and wondered then how it might feel if it were Egypt's artifacts in danger. He had hoped he would never find out.

Worries are compounded, Cooney said, by the lack of reliable information -- experts have no way of knowing whether information is solid or if they are hearing a rumor. "Some things have turned out not to be true," she said.

Der Manuelian said he had heard that sites in Abusir and Saqqara had been broken into. Abusir is a pyramid field on the left bank of the Nile, north of Saqqara, where many 5th Dynasty pharaohs chose to site their burial monuments. Saqqara, one of Egypt's oldest burial sites, has several royal pyramids.

However, Hawass said Monday that while padlocks for tombs at Saqqara were opened, nothing had been taken, damaged or disturbed.

Work at some sites is continuing despite the unrest, Cooney said, but colleagues at other sites have been asked to leave by Egyptian police.

Hawass said he has faith in both the Egyptian people and troops.

He told CNN that when he left the Cairo Museum -- after rushing there Saturday morning following the curfew being lifted -- "all the people in the streets were asking me, 'Is the Cairo Museum safe? We need to protect the museum.'"

"A very small number of people tried to break, steal and rob," he wrote in his blog post "Sadly, one criminal voice is louder than one hundred voices of peace. The Egyptian people are calling for freedom, not destruction."

@highlight

Egyptian official: The army is protecting sites and museums

@highlight

Experts believe Egyptians' national pride will help protect valuable artifacts

@highlight

But Egyptologists don't know what the future will hold

@highlight

Citizens helped apprehend looters at the Cairo Museum