(CNN) -- The always-on-the-road business traveler knows what it's like to bounce from no-fuss airport hotels to bland corporate housing setups along the highway.

Extended-stay options tend to offer the bare minimum in spaces that lack personality (and sometimes amenities). But there are plenty of executive luxuries to aspire to when the purse strings loosen on your expense account.

Upscale properties exist that will not only live up to travel fantasies of butlers and chefs who cater to all your needs, but surpass them with the kinds of services and features that can make you (almost) look forward to business travel.

Yes, these properties come with high price tags and these places aren't anything like home, but in many ways, they're better.

Rise of the two-in-one hotel

The Pierre
New York

This luxury hotel in Manhattan's Midtown neighborhood has always welcomed high-profile, long-term guests. But an official private residential stay program (which requires a 30-night minimum starting at $9,450) for travelers who need a local pied-a-terre was only launched in January 2014.

Guests with reservations for 30 consecutive days (in any of the hotel's 198 rooms and suites) will have access to a dedicated manager, who handles The Pierre's residential service, the Jaguar house car, private in-room spa treatments, twice-daily housekeeping and exclusive appointments with the area's most acclaimed boutiques.

Plus, for guests who need foreign language assistance (for that important meeting with a CEO from Brazil, perhaps), the hotel can partner them with some of the city's top-notch specialists. www.tajhotels.com

The makings of a modern business hotel

AKA Beverly Hills
Beverly Hills, California

AKA is renowned for its upscale extended-stay properties all over the United States (plus one in London), where modern, chic accommodations with plenty of on-site offerings have really elevated the home-away-from-home model.

Its Beverly Hill location (rates from $345 a night with a week-long minimum), which opened in November 2012, is no different. In fact, it might be one of the most luxurious in the portfolio, where you can pick from one-bedroom, two-bedroom and penthouse units as well as private-access townhouses.

Rooms and suites come with gourmet kitchens, living room fireplaces and Bulgari bath amenities. Some even have private terraces. Guests also get preferred access to neighbor Wolfgang Puck's acclaimed local restaurant Spago, which can provide in-room meals, too.

Plus, AKA Beverly Hills recently unveiled a.cinema, a private, resident-only theater. www.stayaka.com

Rosewood Sand Hill
Menlo Park, California

Long-term travelers to the Bay Area's business-heavy Silicon Valley will be itching to stay at Rosewood Sand Hill, which has five stunning villas (starting with 2,300-square-foot, one-bedrooms) for extended-stay guests of 30 days or more (rates from $1,500 a night).

In addition to a stylish decor, you'll have a high-tech kitchen (which can be stocked with all of your favorite treats and drinks prior to arrival), walk-in closets in every bedroom, a small but private backyard, in-room dining from the hotel's Michelin-starred restaurant Madera, and car access within five miles of the property.

If you need to keep up with fitness and sport for your stay, there are also golf privileges at Stanford University Golf Course plus group fitness classes at the spa included in the rate. www.rosewoodhotels.com

The Surrey
New York

New York City's only Relais & Chateaux property, located on the Upper East Side, has designed some of the coziest suites in town, with contemporary furnishings (Duxiana beds, for instance) and artwork from around the world.

The personal touches in the extended-stay suites (starting at $11,000 per month) in The Surrey will make you feel like you're just staying in your very own stylish Manhattan pad.

For everything else just ring down to the 24-hour concierge who can run any errand, or ask to have your meals come from Daniel Boulud's Michelin-starred kitchen at Café Boulud, The Surrey's on-site restaurant. www.thesurrey.com

Milestone Hotel
London

Located in London's chi-chi Kensington neighborhood (right by Hyde Park), the Milestone is a high-design hotel dating back to the 1920s.

It boasts that kind of look-at-me décor (think floral area rugs, studded leather chairs, crystal chandeliers and shaggy duvets all in one room) that might not be to everyone's liking, but most will be pleased with plenty of amenities and services.

Long-term guests of at least seven days (who should spring for one of the beautiful apartments on the property), can get their first or last night comped (as long as it's not during the months of June to August), a one-way airport transfer and an afternoon tea service. Rates start at $1,017 with a minimum of seven days.

Last year the hotel launched bespoke wellness itineraries prepared by local health and fitness expert Andy Elliott, who will start the process with a phone consultation before you even leave your home town. There's no reason to let go of healthy living just because you're traveling. www.milestonehotel.com

La Reserve 
Paris

In impossibly chic Place du Trocadéro, these luxury apartments offer very impressive views of the Eiffel Tower. But what's happening inside is just as nice.

The 10 units here (starting with a one-bedroom apartment for $1,988 per night all the way up to a triplex) are all super spacious (the smallest comes in at 1,615 square feet) and decorated with interior designer Remi Tessier's exquisite taste for subtle luxury.

Everything is sleek and chic, from the whitewash spiral staircases to the rich chocolate-brown wood furniture to the sculptural mixed-media lighting fixtures.

Services are all about giving you a personalized but homey experience, like the 24-hour security, in-house chefs to prepare meals and grocery delivery from nearby Bon Marché's La Grande Epicerie. www.lareserve-paris.com

Grosvenor House Apartments
London

Overlooking Hyde Park in London's Mayfair neighborhood, the 130 contemporary residences here -- which range from $403-a-night studios to five-bedroom penthouse suites, all with full kitchens -- offer the ultimate in long-term accommodations.

The guest-only (and, of course, guests of guests) restaurant in the super-high atrium, for example, is the perfect spot for a power breakfast with high-profile clients. And when you need to unwind, the 24-hour concierge can arrange all sorts of things, from private dinners to in-room spa treatments.

The apartments, run by Jumeirah Living, also host exclusive events to introduce London to Grosvenor House residents. This might include evenings with locals, classes with captains of industry and cultural gatherings such as previews of an upcoming art exhibit. www.jumeirah.com

Note: Hotel rates are current as of publication and subject to fluctuate seasonally.

@highlight

These hotels fuel unlimited expense-account fantasies

@highlight

The Pierre in New York has recently added an extended-stay program

@highlight

In Paris, La Reserve offers deluxe apartments starting at a cool $1,988 per night