(CNN)The world is watching for what could turn out to be either a historic achievement for international diplomacy -- or, just as easily, a disappointing failure -- as negotiators sit down this week in the tranquil lakeside city of Lausanne, Switzerland, to hammer out a framework nuclear deal with Iran before March 31.

Here are some of the key things you need to know as the next major deadline approaches in the Iran nuclear talks:

1. The road to Lausanne has been a long one.

This latest round of talks are part of a process that has been going on for two years, through both public and private diplomatic channels.

In 2013, tensions between the world powers and Iran began to thaw a bit after the election of reformist Iranian President Hassan Rouhani, who pledged to end the crippling weight of international sanctions on Iran's economy.

In November of that year, officials from the five permanent member nations of the U.N. Security Council -- the United States, United Kingdom, France, Russia and China -- along with Germany, began nuclear negotiations with Iranian officials in Switzerland and signed what came to be known as the Geneva Agreement or Joint Plan of Action, offering limited sanctions relief for Iran in return for that country rolling back aspects of its nuclear program.

The deal was heralded as an interim step toward a larger, more comprehensive agreement, which would further lessen the economic pressure on Iran and give the six world powers -- referred to collectively as the P5+1 -- certain assurances that Iran's nuclear program is peaceful in nature, as it claims.

Several rounds of talks have taken place since the Joint Plan of Action was reached in an effort to bring about that comprehensive agreement. But this interim agreement has been extended twice over a failure of the parties to meet previous deadlines for a final deal.

2. There's no guarantee they'll reach a deal.

While both sides stand to gain from a potential agreement, they also have certain "red lines" they aren't willing to cross -- key issues that could sink the prospects of a deal even if everything else is agreed to.

For Iran, a major sticking point is the pace of sanctions relief. They want the international community to lift all U.N. sanctions at the beginning of the agreement, whereas the P5+1 powers would rather see those sanctions phased out as Iran demonstrates its commitment to the deal.

Iran also wants a high cap on the number of centrifuges and other nuclear hardware it can continue to operate, and for the restrictions imposed on it in the deal to last only a short period of time.

This platform is diametrically opposed to the P5+1 position: that Iran should maintain a relatively small nuclear infrastructure and that the moratorium on Iran's nuclear activities should last at least a decade.

And of critical importance, particularly to the United States, is the insistence that Iran be held to a minimum one-year "breakout time" -- a technical terms reflecting the amount of time it would take for Iran to produce enough fissile material for a nuclear weapon if it decides to walk away from the agreement.

So even as negotiators express some optimism about the progression of talks, it's clear that there are major gaps to bridge, which may be why some U.S. officials have put the odds of reaching a deal at 50% or less.

3. Even if there's a deal, it's not the deal.

While the focus this week is on the March 31 deadline, it's important to note it isn't the final deadline.

The parties are seeking to reach what's being called a framework agreement -- essentially a political understanding of the main principles of the final deal.

But if they're able to come together on the big issues, they still have until the end of June when the Joint Plan of Action expires to iron out the details. So that means the talks won't be finished this month.

Officials have been vague about the format this framework deal might take as well as how much of it will be made known to the public and international stakeholders. The United States would prefer a written accord, but Iran has balked at putting anything in writing until a comprehensive deal is reached.

4. There are a lot of stakeholders.

There are seven countries at the negotiating table, but far more following along from the outside.

Israel, for instance, as one of Iran's primary geopolitical foes in the Middle East, is watching the talks keenly. Israeli officials are regularly consulting with their P5+1 allies on a regular basis and are trying to influence the outcome of the deal.

Israeli Prime Minister Benjamin Netanyahu has been one of the most vocal critics of the negotiation process, publicly butting heads with the Obama administration in an effort to derail the talks.

Saudi Arabia's government is equally concerned about the prospects of a deal, fearing it could give Iran greater leverage in the region.

And there are those who fear that a nuclear agreement will spur other countries in the region to develop nuclear programs -- a means of deterring Iran if it decides to restart the military dimensions of its newly legitimized nuclear program.

But there are also stakeholders in the international community that would welcome the opportunity to trade freely with Iran once sanctions are eased, giving them access to vast Iranian markets.

5. Domestic politics matter.

Aside from Netanyahu, many of Iran's most ardent detractors are in the U.S. Congress and in Iran, and they will continue to make their views known.

The chairman of the influential Senate Foreign Relations Committee, Sen. Bob Corker, R-Tennessee, is introducing legislation that would compel the administration to put any deal it reaches to a vote in Congress, something that the administration adamantly opposes.

Administration officials say Congress has already been consulted throughout the negotiating process, and that, at the end of any final agreement (potentially a decade from now), will play a role in repealing U.S. unilateral sanctions.

But Congress is not satisfied to take a back seat in these talks -- a fact that was demonstrated this month when 47 Republican senators signed a letter to the Supreme Leader of Iran, suggesting a future president can easily retract any agreement the Obama administration signs.

In Iran, Supreme leader Ayatollah Khamenei has the final say on any nuclear agreement Iran would reach with world powers. And he is mindful of hard-line clerics in Iran who are opposed to a deal with the West that imposes restrictions on what they see as Iran's right to a nuclear program.

Khamenei has sent mixed messages about the negotiations. He has voiced support for the efforts of Rouhani and Foreign Minister Javad Zarif, the lead negotiator. But he has continually voiced distrust for the United States and has dismissed the idea that a nuclear deal would lead to cooperation in other areas.

The internal struggle between power centers in both the United States and Iran is a key variable that could derail the already complicated negotiation process.

@highlight

Interim deal from 2013 between six world powers and Iran has been extended twice

@highlight

Parties are seeking a framework agreement -- or main principles of final deal -- by next week

@highlight

Seven countries are at negotiating table, but others such as Israel follow from the outside