Moderate exercise can help patients with failing hearts feel better -- and it's safe, according to the largest-ever study of exercise in people with chronic heart failure, published as two articles in the Journal of the American Medical Association.

Patients in the exercise group were given exercise training and either a treadmill or an exercise bike.

The study's results may not have been groundbreaking: Fewer than half of patients were fully following the recommended exercise regimen (the equivalent of brisk walking or stationary cycling for about two to three hours a week) by the end of the study, and the effect of exercise on mortality and hospitalization risk was small. But these benefits shouldn't be dismissed, given the poor quality of life many chronic heart failure patients have, says Clyde Yancy, M.D., medical director of the Baylor Heart and Vascular Institute in Houston, Texas.

"Having any strategy that's reasonable, that has the potential to help even a little bit, is pretty important," says Yancy, who was not involved in the research. "The real gain might be in helping our patients feel better."

About 5 million people in the United States have chronic heart failure, in which the heart becomes too weak to pump blood through the body effectively. Not too long ago, bed rest was the standard treatment for these patients, who suffer from fatigue, difficulty breathing, and swelling of the legs, among other symptoms.

But for the past 20 or 30 years, evidence has been trickling in to show that these patients can actually benefit from being active, says Kathryn E. Flynn, Ph.D., of Duke University School of Medicine in Durham, North Carolina.

To get a clearer sense of the benefits (and potential risks) of exercise for heart failure patients, Flynn -- along with Christopher M. O'Connor, M.D., director of the Heart Center at Duke, as well as colleagues from several centers across the country -- randomly assigned 2,331 men and women with heart failure to one of two groups: standard medical care plus aerobic exercise training or standard care only.

People in the exercise group started out with 36 supervised-exercise sessions, then were sent home with a treadmill or exercise bike and instructed to get 120 to 200 minutes of exercise a week. Within three months, Flynn and her team found, the exercisers said they felt better.

"The average difference was modest, but it happened early," Flynn says. "And it persisted over time: 54 percent of the men and women in this group reported clinically meaningful improvements in their health status three months into the study, compared with 29 percent of people in the control group."

After two and a-half years, the people in the exercise group were slightly less likely to be hospitalized for any cause or for heart failure. They were also at modestly reduced risk of death from any cause, as well as death from heart failure. Unsurprisingly, exercisers also were somewhat more fit than they were at the study's outset. Health.com: What puts you at risk for high cholesterol?

"I think this study really helps to show that when you look across a lot of different people, exercise is a good thing," Flynn says, noting that past studies have included far fewer women and older people.

Given that fewer than half of the patients in the exercise group were actually following recommendations for physical activity by the end of the study -- par for the course with behavioral-intervention trials requiring lifestyle changes -- O'Connor says he wasn't disappointed that the benefits were small. "Really, it's quite remarkable in my opinion that we found these modest improvements," he adds. Health.com: Good fats vs. bad fats: Which fats are good for your heart?

When O'Connor and his colleagues broke down the results based on how well people were sticking to the exercise recommendations, an analysis not published in the JAMA paper, more striking differences emerged. "The more you did with greater intensity, the greater benefit," O'Connor says.

It's also important, he adds, that the research was able to confirm that exercise does not carry risks for people with stable heart failure. "It was not known that it was safe with this degree of certainty," O'Connor says.

The question now, Yancy says, is whether insurers will decide to pay to help chronic heart failure patients exercise, given the modesty of the benefits. "We really can't deploy this in a broad way without getting support from payers," he adds. "I can't forecast which way that will go." Health.com: How I survived a heart attack at 43

But O'Connor is willing to hazard a guess. Because his analysis suggests that patients with the most severe heart failure benefit the most from exercise, he says, it's likely that insurers will pay for exercise training for these patients who will offer them the "biggest bang for the buck."

Try a FREE TRIAL issue of Health - CLICK HERE!

Copyright Health Magazine 2009

@highlight

Study: Exercise in heart-failure patients is safe, helps well-being, reduces mortality

@highlight

About 5 million people in the United States have chronic heart failure

@highlight

In heart failure, the heart is too weak to pump blood through the body effectively