(CNN) -- Fears of an imminent terrorist attack in Yemen caused the United States to order some Americans to leave the country on Tuesday, while Britain pulled out its embassy staff amid continuing strife.

A pair of suspected U.S. drone strikes killed four al Qaeda militants, and a bomb tossed into a mosque west of the capital, Sanaa, killed one person and injured 12, police told the state news agency SABA.

The U.S. security posture throughout the Middle East, and especially in Yemen, was heightened this week after officials intercepted a message from al Qaeda leader Ayman al-Zawahiri to a top ally in Yemen telling him to "do something."

According to sources, the message was sent to Nasir al-Wuhayshi, the leader of al Qaeda in the Arabian Peninsula, who U.S. intelligence believes was recently appointed the overall terror organization's No. 2 leader.

A convergence of developments -- the intercept and increased intelligence "chatter" indicating final planning for an attack; a series of prison breaks linked to al Qaeda that freed hundreds of convicted or suspected terrorists in Iraq, Libya and Pakistan; and the end of the Muslim holy month of Ramadan -- caused U.S. officials to issue a worldwide travel alert and close embassies and consulates this week across Africa and the Middle East.

Tuesday's withdrawal of non-emergency government personnel further escalated the security precautions.

"In response to a request from the U.S. State Department, early this morning the U.S. Air Force transported personnel out of Sanaa, Yemen," Pentagon spokesman George Little said in a statement.

CNN's Barbara Starr was told that two military planes carrying as many as 90 Americans from Yemen were enroute to Ramstein Air Base in Germany.

At the State Department, spokesperson Jen Psaki said Tuesday that ordering out non-emergency personnel was in response to a "specific, immediate" threat that also caused other precautionary steps such as the extended closing of diplomatic facilities announced Sunday.

The British Foreign Office also announced Tuesday that "all staff in the British Embassy" in Yemen had been "temporarily withdrawn and the embassy will remain closed until staff are able to return." It cited "increased security concerns" for the move.

In Washington, the Yemeni Embassy issued a statement criticizing the foreign withdrawals.

"Yemen has taken all necessary precautions to ensure the safety and security of foreign missions in the capital," said the statement by Yemen's foreign affairs ministry. "While the government of Yemen appreciates foreign governments' concern for the safety of their citizens, the evacuation of embassy staff serves the interests of the extremists and undermines the exceptional cooperation between Yemen and the international alliance against terrorism."

Psaki, however, said the decision to pull out non-emergency personnel "doesn't have an impact" on the broader U.S. relationship with the Yemeni government, noting that Secretary of State John Kerry spoke Monday night with Yemen's president "to thank him for his efforts around this announcement."

Security sources who told CNN about the latest drone strikes provided no additional details. A Yemeni official said four drone strikes have been carried out in the past 10 days.

None of those killed in the two strikes on Tuesday were among the 25 names on the country's most-wanted list, security officials said.

Separately, American special forces units overseas have been on alert for the past several days awaiting a mission to attack potential al Qaeda targets if those behind the most recent terror threats against U.S. interests can be identified, a senior Obama administration official told CNN.

The official declined to identify the units or their locations because of the sensitive nature of the information. Defense Secretary Chuck Hagel put the units on alert last week, the official said.

According to the White House and State Department, the substantial security steps reflect an "abundance of caution" over intelligence information that indicated final planning by al Qaeda in Yemen for possible terrorist attacks on Western targets to coincide with the end of Ramadan.

On Monday, White House spokesman Jay Carney told reporters that U.S. anti-terrorism efforts had decimated al Qaeda's global leadership and greatly diminished its core in Afghanistan and Pakistan, saying the threat had "shifted to some of these affiliates, in particular AQAP."

'Do something'

The intercepted message among senior al Qaeda operatives over the past several days further intensified concerns already heightened by increased terrorist chatter detected by intelligence agencies, as well as the prison breaks.

U.S. and Yemeni officials had already spent weeks watching a rising stream of intelligence about the possibility of a major terrorist attack in Yemen, so the message from al-Zawahiri to the AQAP leader caused them to fear imminent terrorist action.

Along with the intercepted message, U.S. officials cautioned there may be multiple sources of intelligence, including intercepts of electronic information from phone calls and web postings and the interrogation of couriers or other operatives.

Opinion: What's behind timing of terror threat

Asked Monday about the prison breaks, State Department spokeswoman Marie Harf called them "a concern for the international community" that is "separate and apart" from the U.S. concern about the latest specific terrorist threat.

CNN National Security Analyst Peter Bergen, however, noted that al Qaeda "actually announced a year ago that they were going to do this campaign of releasing prisoners from prison and they conducted something like seven prison assaults -- a couple of which have been quite successful."

Prison breaks

A senior official with Iraq's interior ministry told CNN on condition of not being identified that top officials of al Qaeda in Iraq, including Adnan Ismail Najim Abdullah al-Dulaimi, escaped from Abu Ghraib prison during the jailbreak there last month and remains at large.

Bergen noted that a 2006 prison break in Sanaa led to the creation of al Qaeda in the Arabian Peninsula, one of the terrorist organization's most virulent affiliates.

Although the prison breaks are not the main reason for the raised terror threat, said CNN Terrorism Analyst Paul Cruickshank, "it is part of the background music." Prison breaks can often strengthen terrorist groups because "some of these guys are likely to be seasoned operatives," he added.

To CNN National Security Contributor Frances Fragos Townsend, the timing of the prison breaks and increased intelligence chatter building up to the end of Ramadan signaled heightened al Qaeda activity that required precautionary steps in response.

She noted that in the run-up to the September 11, 2001, terrorist attacks, "the government failed to connect dots."

"These seem like dots that ought to be connected," said Townsend, a former homeland security and anti-terrorism adviser to the Bush administration. "You can figure out later whether or not you were right."

Is rash of brazen prison breaks related? Interpol wants to know

Another dot she cited was that al-Zawahiri recently appointed Wuhayshi to be the new general manager of the global al Qaeda network.

A high-profile attack orchestrated by Wuhayshi would cement the Yemeni's new position in the al Qaeda hierarchy, Townsend said.

According to a U.S. official with access to the latest intelligence, Wuhayshi's appointment as a top global al Qaeda figure would almost certainly have required back-and-forth communication between AQAP and al Qaeda central.

Over the weekend, Interpol warned that al Qaeda has been tied to the prison breaks on July 23 in Iraq, on July 26 in Libya and four days later in Pakistan.

End of Ramadan

Another factor prompting the embassy and consulate closures is the end of Ramadan. Depending on when a new crescent moon is seen, the Muslim holy month could end Wednesday or Thursday.

Ramadan's end is celebrated with the Eid al-Fitr festivities -- a three-day holiday in most Muslim countries.

The State Department, in announcing its embassy and consulate closures, said "a number of our embassies and consulates were going to be closed in accordance with local custom and practice for the bulk of the week for the Eid celebration at the end of Ramadan."

Strategic reason

Townsend said there could be a strategic reason for shutting down the diplomatic offices.

"Once you take targets away, it buys you additional time to try and disrupt, to identify the cell, the operators in country and the region, and work with your partners in the region to try and ... get them in custody or disrupt the plot," she said. "So, some of this operationally is about buying time."

List of closures

A total of 19 U.S. embassies and consulates will be closed Monday through Saturday.

The following 15 were part of the original list of 20 diplomatic facilities closed Sunday:

U.S. Embassy Abu Dhabi, United Arab Emirates

U.S. Embassy Amman, Jordan

U.S. Embassy Cairo, Egypt

U.S. Consulate Dhahran, Saudi Arabia

U.S. Embassy Djibouti, Djibouti

U.S. Embassy Doha, Qatar

U.S. Consulate Dubai, United Arab Emirates

U.S. Consulate Jeddah, Saudi Arabia

U.S. Embassy Khartoum, Sudan

U.S. Embassy Kuwait City, Kuwait

U.S. Embassy Manama, Bahrain

U.S. Embassy Muscat, Oman

U.S. Embassy Riyadh, Saudi Arabia

U.S. Embassy Sanaa, Yemen

U.S. Embassy Tripoli, Libya

The following four embassies have been added:

U.S. Embassy Antananarivo, Madagascar

U.S. Embassy Bujumbura, Burundi

U.S. Embassy Kigali, Rwanda

U.S. Embassy Port Louis, Mauritius

CNN's Barbara Starr, Elise Labott, Jill Dougherty, Dana Bash, Hamdi Alkhshali, Chris Lawrence, Evan Perez, Gloria Borger, Jim Acosta, Mohammed Jamjoom, NuNu Japaridze, Bharati Naik, Karen Smith and Hakim Almasmari contributed to this report, which was written by Tom Cohen in Washington.

@highlight

NEW: The State Department says withdrawal of personnel is in response to a specific threat

@highlight

Security steps increase in Yemen due to intercepted al Qaeda message, other threats

@highlight

A pair of suspected U.S. drone strikes kills four al Qaeda militants

@highlight

"Do something," ordered a message from al Qaeda's leader to his Yemeni deputy