(CNN) -- Emergency rooms around the United States are preparing for the people who may have Ebola and for the people who just think they have Ebola.

"I have seen several people who had acute illnesses worried that they may have Ebola," said Dr. Mark Reiter.

He works as an emergency room doctor in Tennessee. He's also president of the American Academy of Emergency Medicine.

Reiter says these patients are unlikely candidates, not having been to West Africa, nor having had any contact with a symptomatic Ebola patient.

"But it has gotten a tremendous amount of media coverage and some people are especially concerned about it, even if it is highly unlikely," Reiter said.

Emergency rooms typically see a small uptick in traffic after a disease has been in the news a lot.

A 2010 study that looked at emergency room traffic when swine flu was in the news saw a 7% increase in emergency room visits.

Parents must also have been worried about their children catching it as pediatric visits increased 19.7%.

A recent Pew study showed 21% of respondents are somewhat worried about Ebola and their personal health.

Dr. Abdul Memon, the chief medical officer for disaster and emergency preparedness at Jackson Health System in Miami, said officials have not seen a significant patient increase with the Ebola scare. They do, however, get cases from time to time where people think they may have it. The hospital is careful, he said to rule it out.

"Our health department and the media does a really reasonable job of educating the community about how people get it," Memon said. "I think people are listening and we have not seen this rush of people."

"If someone has had contact with someone who has Ebola symptoms or they have been in one of these countries, we want them to come in if they feel sick, and we are ready for it. We will pay close attention" Memon said.

The number of deaths attributed to the current Ebola outbreak has topped 4,000, the World Health Organization reported Friday.

The latest count brings the total number of confirmed, probable, or suspected cases to 8,399 and the total deaths to 4,033.

The numbers were reported from Guinea, Liberia, Nigeria, Senegal, Sierra Leone, Spain and the United States.

Complete coverage on Ebola

But along with news of the rising death toll, some suspected Ebola cases around the world -- as fears spread across four continents -- have turned out to be false.

Concerns about protective measures, especially for those caring for the infected, remain high.

A total of 416 health care workers are among those believed to have contracted Ebola. Of those, 233 of have died, the WHO says.

'We just don't really know'

An American aid worker who contracted Ebola in Liberia and overcame the virus was said to have become infected while treating Ebola patients there, but she told CNN on Friday that there is no way to be sure.

Nancy Writebol was working with Samaritan's Purse in Liberia, caring for Ebola patients, when she became ill and was eventually transferred to an Atlanta hospital, where she recovered.

The belief has been that she contracted Ebola while working in a clinic with infected patients, but the survivor said that isn't necessarily the point of infection.

"Well, it's very possible that I contracted Ebola outside of the (medical) unit, not within," Writebol said. "Of course, I came in contact with people outside of our hospital, and I remember knowing and being with a gentleman one time that later died of Ebola. And it's possible that there was, you know, some contact there. We just don't really know."

Writebol was released from Emory University Hospital on August 19, once doctors determined she posed "no public health threat."

Her recovery has been gradual, Writebol said, but she is gaining strength each day.

How the Ebola virus spreads

The lack of clarity about where she became infected is significant as questions are raised worldwide about safety precautions at hospitals and communities as the outbreak stokes fears.

The sole person to be diagnosed with the virus on American soil, Thomas Eric Duncan, died this week, as new details of his hospitalization were revealed. He had traveled from Liberia last month.

Duncan first went to the hospital on September 25, but the hospital said he only had a "low grade fever and abdominal pain," and was released with some antibiotics and a pain reliever.

On Friday, Duncan's nephew Josephus Weeks told CNN that Duncan in fact had a 103-degree fever when he left the hospital, according to the discharge papers.

Talking to CNN's Erin Burnett on Friday night, Weeks alleged that the fact Duncan was black, poor and didn't have insurance affected his care.

"Had that been another or another color, he probably would be living today, he would have survived it," Weeks said. "And that's what's hurting me the most: ... They treated him the way they did because of the color of his skin... You stand a chance if you're white, but you don't if you're back."

While it hasn't responded to these latest allegations, Dallas' Texas Health Presbyterian Hospital did issue a statement Thursday explaining and defending its treatment of Duncan.

Why wasn't he immediately given an experimental drug? Because one wasn't available, the hospital explained.

Why didn't he get a blood transfusion, like other Ebola patients in the United States? Because "his blood type was not compatible with the serum donors."

And as to whether Duncan got inferior treatment because of his nationality or wealth, Texas Health Presbyterian said more than 50 people cared for him and a 24-bed intensive care unit was devoted to his care.

"Our care team provided Mr. Duncan with the same high level of attention and are that would be given any patient, regardless of nationality or ability to pay for care," the hospital said. "... We have a long history of treating a multicultural community in this area."

Suspected case comes back negative

On Thursday, a test to see whether a Dallas sheriff's deputy had Ebola came back negative, state health officials said.

Word of the test result was welcome news a day after the death of Duncan.

The deputy had reported being inside the Dallas apartment where Duncan had been staying and having "some contact" with Duncan's family members, Frisco Fire Chief Mark Piland told reporters.

Ebola spreads through infected bodily fluids.

The deputy, Michael Monnig, on Friday spoke about awaking after having been on duty at Duncan's apartment "feeling like a truck had hit me."

He identified them as flu-like symptoms, but following the guidance of the county doctor, he went to the clinic, and explained that he had been in the apartment.

"At that point, I knew all the bells and whistles would start up, but at that point, it was out of my control because I had answered yes to the question," he said.

He broke down crying when he learned he didn't have Ebola, Monnig said.

CDC director on Ebola: 'Only thing like this has been AIDS'

Spain creates a committee

In Spain, where a nurse's assistant was confirmed to have Ebola, authorities are taking measures to tackle the crisis.

The Spanish government will create a special committee to examine the issue, Deputy Prime Minister Soraya Saenz de Santamaria told reporters in Madrid.

The committee, which will include representatives from government and health care, will coordinate national efforts to control the virus and establish protocols to deal with it, she said.

The nurse's assistant, Teresa Romero, is the first person to contract Ebola outside of West Africa.

A nurses' union spokesman told CNN that "some nurses and other workers from the Carlos III Hospital (where Romero is being treated) are taking leave for psychological reasons."

To cover those jobs, the Spanish health service is "making short term contracts hiring nurses that might be unemployed."

Prime Minister Mariano Rajoy visited Carlos III Hospital.

"The situation isn't a normal situation," he said. "It is difficult, but I'm absolutely convinced that everything necessary will be done, especially from the professionals, to overcome this in the future."

CNN's Al Goodman, Elwyn Lopez, Jason Hanna, Catherine E. Shoichet, Greg Botelho and Ashley Fantz contributed to this report.

@highlight

NEW: Nephew: Hospital gave Duncan inferior treatment because he was black

@highlight

Emergency rooms in the United States are preparing for possible cases

@highlight

Doctor: Some people are already coming into hospitals worrying they have Ebola

@highlight

Spain's government sets up committee to probe the Ebola crisis there