Pyongyang, North Korea (CNN) -- The Korean Peninsula is a tinderbox. One miscalculation can quickly lead to all-out war and hundreds of thousands of military and civilian casualties on both sides. Millions of North and South Koreans live very close to the DMZ.

The North also has a million heavily armed troops on their side of the DMZ; the South nearly has many. There are also nearly 30,000 U.S. troops along the frontier with thousands of artillery pieces and missile launchers facing each other. The North is widely believed to be building a nuclear arsenal.

I believe this is the most dangerous spot on Earth right now.

We certainly packed a lot into six days here.

After receiving our visas at the North Korean Embassy in Beijing, we arrived on Thursday, December 16, on a regularly scheduled North Korean commercial flight from Beijing on Air Koryo flight 252.

It was a newish Russian-made Tupolev 204-300 aircraft and a very smooth 90-minute flight accompanied with patriotic music and a video showing the heroic struggle of the North Korean people. The attractive flight attendants wore red suit jackets and white gloves.

We flew back to Beijing on Tuesday, December 22, a day after our original plan because of an incredibly thick fog. The flight back was on Air China flight 122, a Boeing 737. The flight attendants did not wear white gloves.

Pyongyang airport is very small. It has only two or three flights a day to only a handful of destinations. This is not a very busy airport.

See more of CNN.com's Koreas coverage

CNN Beijing-based photographer Miguel Castro and I were covering the visit here of New Mexico Gov. Bill Richardson, a former U.S. ambassador to the United Nations experienced in Korean diplomacy. Sharon LaFraniere, a Beijing-based correspondent for The New York Times, was the only other journalist invited by Richardson and approved by North Korea to cover this trip.

Richardson was joined by his senior adviser, Tony Namkung, who's been to North Korea 40 times going back to 1990. He is very impressive with a wealth of knowledge about both Koreas, China and Japan. Also joining Richardson was Gilbert Gallegos, his deputy chief of staff; Gay Dillingham, chair of the New Mexico Environmental Improvement Board; and State Police officer Mo Arteaga.

The North Koreans took our passports, return flight tickets and cell phones upon arrival at the airport. They returned everything when we were about to board our flight back to Beijing.

I think it's fair to say we all had an eye-opening experience. It was a roller coaster of emotions -- ranging from real fear of war on the Korean Peninsula to relief that the North had stepped back from the brink and even accepted some of Richardson's proposals.

Maybe Richardson had played a positive role in calming down his hosts, including the chief nuclear negotiator, First Vice Foreign Minister Kim Kye Gwan; the new Vice Minister for Foreign Affairs, Ri Yong Ho; the military officer in charge of the armistice and Demilitarized Zone, Major Gen. Pak Rim Su; and the country's Vice President, Kim Yong Dae.

We arrived convinced the Korean Peninsula was on the verge of a war, the worst crisis since the 1953 armistice that ended the Korean War.

This was my first visit to North Korea, though I had been to South Korea, the DMZ and China. When Richardson called me and asked me if I wanted to go with him, I immediately accepted and am glad I did. I have known him for 20 years going back to his days in Congress -- long before he became U.N. ambassador and energy secretary during the Clinton administration.

I was apprehensive going in, worried about whether I would actually get out. I was concerned that they would shut the airport if war erupted, and I would be stuck inside North Korea. I even began wondering about the prospects of driving across the North Korea-China border if necessary. Was that even doable?

Every time I heard some martial music on North Korean television and radio, I wondered whether the regime was preparing the country for war.

I've covered wars and other dangerous situations over the years and usually go through a before, during and after cycle -- nervous before I leave about all the worst case scenarios; not all that worried while on assignment because my adrenaline is pumping and I'm in the midst of a big story; but wondering after the trip whether I should do it again.

Covering this story brought back memories of my early overseas assignments in the Middle East in the '70s and '80s: no internet, no cell phone, no Blackberry.

I had a hard-line phone in my Pyongyang hotel room and could make outgoing calls to the United States at about $10 a minute. (No credit cards accepted; only cash and only crisp bills.) I could not receive incoming calls from the United States.

They would not let us broadcast live via satellite but we took hundreds of still pictures and shot about eight hours of video which we are now going through. Get ready to see the best on CNN and cnn.com.

I did get CNN International in my hotel room -- Zain Verjee, Anjali Rao and Richard Quest never looked better -- but no newspapers.

Still, six days isolated without e-mail or a cell phone; it was quite a transition for me, but I sort of got used to it and even liked it. I had 983 e-mails waiting for me when I eventually got back to Beijing.

The hotel and elite restaurant food was very good, especially if you like Korean food. I stuck with scrambled eggs and toast for breakfast; chicken soup and white rice and steamed veggies for lunch; and usually some grilled Korean chicken or fish for dinner.

We had North Korean officials with us all the time -- and I mean all the time. They spoke English well and were very intelligent, polite and even nice. I never felt threatened. They had a job to do, and we understood. Let's not forget this is a communist, totalitarian regime.

We were restricted as to where we could go, what we could film and to whom we could talk. They want to showcase the best and keep us way from the worst. We constantly pressed for more access and they sometimes relented. Sharon from The New York Times was especially persistent and her efforts occasionally paid off.

Still, we saw a lot of the North Korean capital and even managed to get into the countryside to see a huge apple and fruit-tree orchard where thousands of farmers work what the orchard director said were some 2.2 million trees. That number seemed exaggerated but whatever it was, it was impressive.

Once you get outside Pyongyang, you see very few cars on the roads. People are walking along the sides of the roads; some are riding bikes. It's eerie being in the only car on the road. This is a very poor country.

Even as we feared there could be a war, we were taken to a silk thread factory where 2,000 women work diligently. We rode the jam-packed subway system from Prosperity Station to Glory Station. We went shopping -- again cash only and only crisp U.S. dollar bills. They really don't like the old, wrinkled bills.

We spent one afternoon with well-dressed students at Kim Il Sung University and later at a foreign language high school where very bright 16-year-olds were learning English complete with American slang. I heard one student say: "That's very cool." He wasn't referring to the weather. We saw the computers at their national library. They were decent but not state of the art.

There's a huge music room at the library where people can simply listen to CDs of great artists. When I was there, they played a Kenny Rogers song for me. He apparently is very popular here.

They also took us sightseeing. We saw their Arc de Triumphe (supposedly bigger than the one in Paris); their huge stone tower (apparently taller than the Washington Monument); and their sports complex complete with indoor and outdoor stadiums and ice skating rink.

I saw the North Korean girls' ice hockey team jogging one afternoon and briefly caught up with them. They laughed as I ran with them -- probably thinking who is this crazy foreign person carrying a little hand-held camera.

Later, when it looked like the North Koreans would retaliate for South Korea's live-fire military exercise, I thought of these girls and all the young people I had seen in North Korea. They seemed so vulnerable, and I worried about their fate if there were a war. I'm not embarrassed to say I got sentimental and emotional worrying about them and their counterparts in South Korea.

Huge pictures of the late Great Leader, Kim Il Sung, and his son, the Dear Leader, Kim Jong Il, were all over the place. I didn't see pictures of the next generation's expected leader, Kim Jong Un.

Electricity is a huge problem in North Korea. It was bitter cold outside. Indoor heat is at a premium. The students were in the classrooms wearing their warm overcoats. The rooms were not well-lit.

There were no lights in the tunnels on the roads outside the North Korean capital.

Outsiders have been predicting its demise for 60 years, but I didn't get the impression this country was on the verge of crumbling.

We were not taken to the Yongbyon nuclear facility or their side of the DMZ even though we and Richardson repeatedly asked. The North Koreans pointed out this was an especially tense time. They said I could come back on another occasion and perhaps visit these places.

By the way, 2012 is going to be a huge year for North Korea. That's the 100th anniversary of the birth of Kim Il Sung. The North Koreans are preparing major events. Since they invited me back, I might go back then; maybe even sooner though I hope it won't be to cover a war.

Did I mention that I'm worried about the children?

Watch The Situation Room with Wolf Blitzer weekdays at 4pm to 6pm ET and Saturdays at 6pm ET. For the latest from The Situation Room click here.

@highlight

CNN's Wolf Blitzer traveled with Gov. Bill Richardson to communist North Korea

@highlight

Blitzer was worried war would break out while he was there and would be trapped

@highlight

Blitzer says he was constantly watched, but his overseers were intelligent, polite

@highlight

No impression North Korea on the verge of crumbling, Blitzer said