On his sixth birthday, at the height of World War II, Albie Sachs received a congratulatory postcard from his father with a rather unusual wish inscribed on it: "May you grow up to be a soldier in the fight for liberation," read the card.

"Looking back, it was a little bit heavy," remarks Sachs, now aged 78.

But as burdensome as his father's message might have been, it instilled the young South African with a strong conviction about the value of justice, a belief Sachs has fervently advocated and fought for throughout his life.

Sachs became one of South Africa's most eminent political activists and judges, famous for being amongst the leading legal minds behind the creation of the country's groundbreaking constitution after the first democratic elections in 1994.

"Getting the constitution, when everybody predicted a bloody racial war, was a triumph in itself," says Sachs proudly. "And we did it ourselves; It wasn't forced on us -- we looked into each other's eyes, people who'd been trying to kill each other."

And Sachs, one of the most prominent white South African freedom fighters, knew all too well about the cruelty of years gone by.

As a young lawyer defending victims of apartheid's repressive laws, he often faced the wrath of security police and was put in solitary confinement for nearly six months without trial.

Read this: Apartheid photographer 'sick of taking pictures of dead'

In April 1988, while living in exile in Mozambique, Sachs lost his right arm and the sight in one eye to a car bomb. After a long and painful recovery, he returned to South Africa, a country he had last seen 24 years earlier.

Shortly thereafter, Nelson Mandela was released after more than 27 years in prison, and work began on the birth of a new South Africa, ending the horrors of the old regime and creating a new rule of law.

Sachs was appointed to serve as one of 11 judges in the newly established Constitutional Court, where he helped write one of the most world's most progressive constitutions in 1996.

"How can we live together in one country? What can the basic rules be, the basic values that respect the dignity of everybody?" says Sachs as he explains the thinking behind the constitution.

"Whoever you are, whoever your parents or grandparents happened to be, wherever you came from, whether you are exalted, whether you are humble, you're a person, you're a human being," he says.

"The constitution doesn't build houses, the constitution doesn't provide food, electricity, water, school text books, but it provides a framework in which people can claim these things, resolve their disputes and that's what we lacked before in South Africa. So if it hadn't been for the constitution, it would've been just total chaos, and most opportunistic grabs from power."

As someone who'd paid a big physical and psychological price for his fight for freedom, Sachs says the establishment of a just rule of law served to help a deeply wounded population put its troubled past behind it.

"It wasn't simply a healing of a fragmented, fractured, divided nation filled with enmities and fears and arrogance," he says. "It was a healing for me, personally," he adds. "The healing comes about through the achievement of the ideals for which we were fighting."

Read this: Why mixed-race comic was 'born a crime'

But Sachs was not only one of the architects behind South Africa's post-apartheid constitution; he also helped design the Constitutional Court in Johannesburg, an impressive building created to visually represent the ideas expressed so clearly in the country's new rule of law.

"We decided we wanted a building -- a brand new court, a brand new constitution," says Sachs. "Not one parachuted in from outer space, one that grew up from our history."

As a result, the Constitutional Court was chosen to be constructed right next to Johannesburg's Old Fort Prison, a notorious building whose walls had served to confine two of the best know civil rights figures of the previous century.

"We say with a dubious pride, we South Africans have the only prison in the world where both Mandela and [Mahatma] Gandhi were locked up -- nobody else can make that claim," says Sachs.

"And we wanted to show the transformation from negativity to positivity, why we have a constitution," he adds. "Moving forward without forgetting the past and taking the terrible energy of hatred, division, pain of the past and using that force of that energy to create something positive and hopeful for the future."

A passionate art collector, Sachs has also donated several of his fine pieces to the Court. He is immensely proud of the building, where he spent five of the 15 years he was a Constitutional Court Judge, and never tires of visiting it.

Now retired, Sachs lives in Clifton, Cape Town, with his family -- wife Vanessa and young son Oliver, aged six.

Sachs says he would never be able to give Oliver the same burden his father placed on him when he was six. He even admits he can't speak to Oliver about the horrors of apartheid.

"I don't want to," he sighs. "He'll find out. I can tell him that there were cruel people, put a bomb in my car, blew me up, wonderful doctor saved my life. I can tell him all that, that he can understand.

"I don't want to tell him that his mommy and his daddy, they wouldn't have been allowed to live together, to love, and to conceive him. I don't want to. It's like putting a burden on him, that we had to shoulder and deal with, and in a sense what we were fighting for was to be free of that lived reality and even the memory -- I'm happy to move on."

@highlight

Albie Sachs is one of the creators of South Africa's post-apartheid constitution

@highlight

A prominent judge and activist, Sachs spent a lifetime ensuring justice for all

@highlight

In 1988, while exiled in Mozambique, he lost his right arm and the sight in one eye to a car bomb