(CNN) -- Both the Syrian government and opposition forces are violating a cease-fire, and the regime continues to deploy heavy weapons in cities, the chief U.N. peacekeeper said Tuesday.

But the presence of the tiny but growing U.N. observer team is having a "dampening effect" on what has been an atmosphere of "appalling" violence, said U.N. Under-Secretary-General for Peacekeeping Operations Herve Ladsous, who spoke as deaths mounted across the country.

Regime forces killed at least 46 people Tuesday, including at least 18 people in towns in the northern province of Idlib, said the Local Coordination Committees of Syria, a network of opposition activists.

Clashes between regime forces and military defectors Tuesday left 12 Syrian soldiers dead, the opposition Syrian Observatory for Human Rights said. The casualties occurred in a military offensive in the Buseira area of the eastern province of Deir Ezzor. The clashes also led to the death of one civilian, the group said.

Syria has been engulfed in violence since March 2011, when government forces started cracking down on demonstrators who were peacefully protesting President Bashar al-Assad's regime. The president's family has ruled Syria for 42 years. Some opposition members, including a number of military defectors, have since taken up arms against the regime forces.

The United Nations estimates that at least 9,000 people have died in the conflict, while opposition groups put the death toll at more than 11,000.

The violence has outraged the world. The U.N. Security Council entered the fray with a peace initiative in recent weeks.

It has authorized up to 300 monitors in Syria to monitor a cease-fire and the six-point peace plan of U.N. and Arab League envoy Kofi Annan.

Annan's peace plan calls for establishing a cease-fire between al-Assad's government and the opposition, allowing humanitarian groups access to the population, releasing detainees and starting a political dialogue. It also calls for government forces to withdraw from city centers.

Ladsous detailed the beginnings of the U.N. monitoring mission and emphasized that "this is certainly no easy task."

"All the parties need to take further steps to ensure a cessation of violence in all its forms," he said, adding that "the people of Syria have suffered too much."

Describing violations of the peace agreement, he said observers have seen armored personnel carriers and howitzers in cities. He said Syria has said the armored personnel carriers have been disarmed.

"I think the violations come from both sides," he said but wouldn't cite a ratio.

At present, Ladsous said, there are 24 unarmed military observers, but he said the monitoring initiative is in its early days. He expects "this number to increase in the next few weeks." The observers are now in Homs, Hama, Daraa, Idlib and Damascus.

He said there are 150 "solid commitments" for the observers, but more are needed. He said Syria has refused visas for three.

Communications gear and equipment for personal protection have been provided. But he said the Syrian government has not accepted requests to send air assets and that is still under review.

As for freedom of movement, the observers are moving around, but "more often than not followed by Syrian army and police elements."

"But that does not prevent them at all from engaging with the local citizens, some that are the opposition, but this is a process," he said.

The observers "have had an effective impact on the ground," and "their presence helps to change the political dynamic," Ladsous asserted.

The fighting has also raised concern from another United Nations official: Special Representative of the Secretary-General for Children and Armed Conflict Radhika Coomaraswamy.

She said children have suffered in the conflict, citing reports of two children killed in a mortar attack, a child slain during protests and the body of a girl found in the rubble of a Hama house.

"I urge all parties in Syria to refrain from indiscriminate tactics resulting in the killing and wounding of children," Coomaraswamy said in a statement. "It is the responsibility and humanitarian imperative of all parties to protect and prevent unnecessary suffering of girls and boys."

Another incident points to the apparent violation of the Annan plan, which also calls for ensuring freedom of movement for journalists.

Sky News, a British broadcaster, said Syrian officials confiscated a television camera after a crew filmed an impromptu protest in Damascus, the capital, on Tuesday.

"A uniformed officer with a machine gun approached us and violently ripped the camera away from us," said Sky News Foreign Affairs Editor Tim Marshall.

CNN's Saad Abedine, Salma Abdelaziz, Holly Yan, Yousuf Basil and Joe Sterling contributed to this report.

@highlight

NEW: Local Coordination Committees says security forces killed 46 on Tuesday

@highlight

There are two dozen observers on the ground

@highlight

The U.N. expects a rapid increase in observers

@highlight

12 Syrian soldiers are killed in Deir Ezzor province, an opposition group says.