Tucson, Arizona (CNN) -- It's the week before finals at the University of Arizona in Tucson, and all over campus, students are hunched over books and laptops under the shelter of immense palm trees and sprawled out on the cement benches lining the campus' long, grassy mall, the anticipation palpable.

Elsewhere, in the Cesar Chavez Building, graduate student Francisco Baires sits in a windowless office that could have been a closet in a previous life, immersed in a different kind of work: He is sending a statement condemning Arizona's new anti-illegal immigration law to the media and other opponents of Senate Bill 1070.

"As students, we have a responsibility to fight this law through action and to raise our voices so those in power hear us," he said. "The time has come for us to stop talking about it and be about it."

Baires is one of many student activists in Arizona and across the country leading the charge to kill SB 1070 before it takes effect this summer.

The law requires immigrants to carry their alien registration documents at all times and requires police to question people if there is reason to suspect they're in the United States illegally. It also targets those who hire illegal immigrant day laborers or knowingly transport them.

Tea Partiers to illegal immigrants: 'Sign guestbook'

The letter, which Baires and his cohorts are circulating as a petition, sums up the sentiments of many students.

The 12 students of various ethnicities who spoke with CNN said they did not support the bill, citing concerns that the law would promote racial profiling and foster an environment of fear and paranoia among Hispanics, whether they are in the country legally or not.

"We believe that it is a law based in fear and racism. The law targets not only immigrants, but all Latinos (even those who are U.S. citizens) as well as any U.S. citizen who may associate with members of either group," the letter states. "We want to halt the prejudicial momentum of Arizona's legislators and keep the campus of the University of Arizona a free, safe place for persons of all races, backgrounds and ethnicities."

The students' views are also a microcosm of the broader opposition nationwide to the bill, which Gov. Jan Brewer signed into law Friday, citing concerns over crime and the failure of the federal government to regulate immigration. Dozens of protests have been staged nationwide, including in Tucson, where hundreds gathered outside the state capitol as the bill was being signed.

What will Arizona immigration law do?

"It was incredible to see that the vast majority of those assembled were young people, some as young as high school," professor Roberto Rodriguez said. "To many of them, who may have parents who are illegal or have relatives that live in Mexico, this is more than just a law; this is personal. This is a threat to their families. This could tear them apart."

Students have been at the forefront of the major social movements of the past century, but the advent of social networking tools such as Facebook and Twitter allows them to organize at a faster and more efficient rate.

"The Internet really helps us reach a wide audience with the most up-to-date information," said student coordinator Jessica Mejia, one of many who helped organize the protest at the capitol. "Now that the bill has passed, this is just the beginning."

iReport: Share your thoughts on immigration policy

Some critics of the bill are threatening legal action; others are pledging to boycott travel and business in Arizona unless they overturn the legislation. At the University of Arizona this week, resistance took the form of Immigration Awareness Week, a series of programs and information sessions organized by Mejia and others that included meetings on how the law works and an open forum for students to share their struggles with immigration.

"In my community, everyone has a sense of persecution. We're living in a constant state of fear," said Hector Gonzalez, 21, a Mexican-born U.S. citizen whose family lives in Phoenix. "The law is instilling fear and limiting people from going out and doing chores, which will eventually have a direct economic impact on the community, too."

Even students who support immigration reform called the law ill-conceived.

"I can see how something needs to be done about illegal immigration, but this is taking it too far," said Nick Lunn, a 21-year-old film major. "They say there won't be racial profiling, but I don't see how you can look past it."

Supporters of the bill point to language stating that officers cannot stop someone solely based on race, ethnicity and country of origin.

Read the full text of Senate Bill 1070 (PDF)

But student body representative Tyler Quillin said the word "solely" leaves the door open for race to be among the reasons that influences an officer's decision to detain someone.

"I see a definite separation, a disjoint between Latinos and law enforcement," Quillin said. "Like they said on 'Saturday Night Live,' there's nothing more Nazi than 'Can I see your papers?' "

People also worry that the law will further marginalize undocumented immigrants by discouraging them from reporting crimes, accidents or injuries.

"It really worries me that this will increase public health issues and make them worse for women and children who might too scared of being deported to go to the hospital or to police if something happens to them," said Grecia Ramirez, a public health major. "It really scares me to think about the long-term implications of this bill."

Ramirez and other students said they planned to continue attending protests such as the one Baires and his collaborators are setting up Wednesday, when they plan to present their petition to the school's president to sign.

"We want him to publicly state his support for our position in a show of solidarity," he said. "We need to come together to fight this. There's strength in numbers."

@highlight

University of Arizona students crafting petition against Senate Bill 1070

@highlight

Dozens of protests have been held nationwide since bill was signed

@highlight

Even students in favor of immigration reform call measure ill-conceived