(CNN) -- The Standard & Poor's rating agency announced Friday that it has downgraded the U.S. credit rating to AA+ from its top rank of AAA.

"The downgrade reflects our opinion that the fiscal consolidation plan that Congress and the administration recently agreed to falls short of what, in our view, would be necessary to stabilize the government's medium-term debt dynamics," the agency said about the move, which was announced after the markets had closed.

Rating agencies -- S&P, Moody's and Fitch -- analyze risk and give debt a grade that is supposed to reflect the borrower's ability to repay its loans.

The safest bets are stamped AAA. That's where U.S. debt has stood for years. Moody's first assigned the United States a AAA rating in 1917.

Fitch and Moody's, the other two main credit ratings agencies, maintained the AAA rating for the United States after this week's debt deal, though Moody's lowered its outlook on U.S. debt to "negative."

A negative outlook indicates the possibility that Moody's could downgrade the country's sovereign credit rating within a year or two.

John Chambers, the head of sovereign ratings at S&P, told CNN that the political brinkmanship over the debt ceiling proved to be a key issue, with "the U.S. government getting to the last day before they had cash-management problems."

Few governments separate the budget process from the debt-authorization process as the United States does, he noted.

And, though the budget deal that finally was reached will deliver at least $2.1 trillion in savings over the next decade, that will not suffice, he said. "It's going to be difficult to get beyond that -- at least in the near term -- and you do need to get beyond that to get to a point where the debt-to-GDP ratio is going to stabilize."

Asked who was to blame, Chambers said, "This is a problem that's been a long time in the making -- well over this administration, the prior administration."

Congress should shoulder some of the blame, he said. "The first thing it could have done is to have raised the debt celining in a timely manner so that much of this debate had been avoided to begin with, as it had done 60 or 70 times since 1960 without that much debate."

Chambers added that his agency's decision is likely to have a long-term impact. "Once you lose your AAA, it doesn't usually bounce back," he said.

He pointed to the decision by Congress about whether to extend the 2001 and 2003 tax cuts as one crucial area. "If you let them lapse for the high-income earners, that could give you another $950 billion," he said.

U.S. Treasury officials received S&P's analysis Friday afternoon and alerted the agency to an error that inflated U.S. deficits by $2 trillion, said an administration official, who was not authorized to speak for attribution.

The agency acknowledged the mistake, but said it was sticking with its decision. The administration official called it "a facts-be-damned decision ... Their analysis was way off, but they wouldn't budge."

But Chambers defended his agency's move. "It doesn't make a material difference," he said. "It doesn't change the fact that your debt-to-GDP ratio, under most plausible assumptions, will continue to rise over the next decade."

Rumors of a possible downgrade surfaced shortly after Italian Prime Minister Silvio Berlusconi announced in Rome that finance ministers of the Group of Seven industrialized nations may meet "in a few days" to discuss the sagging world economy.

The G7 members are Britain, Canada, France, Germany, Italy, Japan and the United States.

The announcement came on a day when financial anxiety gripped the globe. Stock markets worldwide saw intense volatility amid worries of a widening debt crisis in Europe and a stalled economic recovery in the United States.

Stock market values fell across Asia and Europe on Friday. American markets were dramatically up and down a day after having their worst day since the 2008 financial crisis.

Concerns about debt issues in Europe appeared to battle with optimism that a positive U.S. jobs report indicated the American economy is not headed into a new recession -- the dreaded "double-dip."

"The crisis in Europe is quickly becoming on par with the financial crisis of 2008," David Levy, portfolio manager at Kenjol Capital Management, told CNN Money. "The jobs report shows that things aren't getting much worse in the U.S., but the focus is clearly on Europe at this point."

The Dow Jones index spiked 170 points in early trading on a better-than-expected jobs report, but then dropped by 200 points in mid-morning trading. It closed Friday up 60.93 points (0.54%). The Nasdaq closed down 23.98 points (0.94%).

In London, the FTSE 100 closed off 146 points, or 2.7%, to close the week down nearly 10%. Germany's DAX fell 2.78% to finish the week down nearly 13%. And the French CAC 40 declined 1.26% to finish the week off 10.73%.

"We are going to get through this," Obama said prior to the downgrade at the Washington Navy Yard, where he announced a jobs program for veterans. "Things will get better. And we're going to get there together."

Obama, who spoke Friday afternoon with France's Sarkozy and German Chancellor Angela Merkel about the crisis, noted that July marked the 17th consecutive month of private-sector job growth in the U.S., but said much more work needs to be done.

CNN's Ben Brumfield, Laura Smith-Spark, Mariano Castillo, Mike Pearson and Kendra Petersen contributed to this report.

@highlight

NEW: U.S. credit rating is downgraded to AA+

@highlight

G7 finance ministers may meet "in a few days," Berlusconi says

@highlight

Obama talks with German, French leaders