SAN FERNANDO, Philippines (CNN) -- In skeletal form, they look like gargantuan honeycombs, rising 20 feet into the air.

They are the largest incarnations of the Philippines' parol, an eye-dazzling electric Christmas lantern that symbolizes the Star of Bethlehem.

In action they're truly a sight to behold. Each giant parol features a series of thousands of spinning lights synchronized by seven large steel drums -- the rotors.

When the parol spins, the rotor hits a row of hairpins, electrifying the bulbs.

Though smaller parols for household use have more latitude in covering, with choices like capiz shells and fiberglass, the giant lanterns usually stick to polyvinyl plastic.

Only 10 or so of the giant parols are produced a year to compete in San Fernando's Ligligan Parul, or Giant Lantern Festival. It has been held every December for the last 80 years in Pampanga province, about 75 kilometers outside of Manila.

It's this yuletide fervor for the nationally loved electric star that has lent credence to San Fernando's cachet as the "Christmas Capital of the Philippines." And likely even Asia.

More: 12 of the world's most spectacular Christmas trees

Five generations of parol makers

When visiting the San Fernando barangay (village) of Santa Lucia, the "home of giant lanterns," it's not unusual to behold a parol behemoth under construction right on the curb no matter what time of year.

The legend behind some of the biggest and best parols to come out of Santa Lucia in recent times is Ernesto 'Erning' David Quiwa, 66. Quiwa is the great grandson of the first known maker of the famed parol -- Francisco Estanislao.

On a recent visit to Quiwa's workshop, the parol master was busy overseeing the production of two giant lanterns. A worker was scaling the scaffolding to configure the 16-footer's 5,250 light bulbs.

Quiwa learned the craft from his uncles, one of whom in 1957 introduced the first parol rotor.

All five of Quiwa's children have ventured into the parol business.

"I never really taught my children," Quiwa says. "They learned on their own. Maybe it's in the blood."

More: World's best Christmas store windows

A cost prohibitive hobby

One giant parol costs around 500,000 to 700,000 Philippine pesos ($11,300-15,820) to build. The city government subsidizes each barangay that builds one for the competition with 150,000 pesos ($3,390).

Some barangays defray the remaining expenses relatively quickly with the help of affluent residents and local businesses.

Others need to haggle with lantern makers. Quiwa, for one, obliges barangay leaders he considers kindred -- the caveat being he's allowed to rent out their entries after the Giant Lantern Festival to offset his loss.

Mounting the festival is an expense in itself. The San Fernando government seeks 3 million pesos ($67,760) in sponsorships from the private sector. The figure does not include expenses at the grassroots level, let alone the work of volunteers, some of whom lead sizable companies or drive in from Manila, an hour away.

To these people, the sight of a completed giant parol is a reward in itself -- although winning first place, or a prize of 120,000 pesos ($2,720), is always welcome.

At this year's Giant Lantern Festival, held on December 14, Quiwa's team came in second place.

A colorful history

In a country with dozens of festivals celebrating this or that native product, San Fernando breaks a mold, says Maria Lourdes Pangilinan-Gonzales, tourism and investment promotion officer with the San Fernando city government.

"Here there was a festival before there was an industry," she says.

"Nobody else makes Christmas lanterns the way we do."

San Fernando's lantern-making tradition dates back to the late 18th century, when Spanish colonists in Bacolor -- San Fernando's mother town and the country's one-time capital -- encouraged people to hold lantern processions to honor Our Lady of La Naval -- the blessed virgin Mary.

These are believed to be the precursors to the Lubenas -- nightly parol parades held in the provinces of Pampanga and Tarlac provinces before Christmas Day.

Out of this came the first parol festival in 1930, around the time electricity dawned on San Fernando. Early on, the festival showcased the ability of the parols' nascent bulbs to last the night without going out, hence the name Ligligan Parul or "lantern showdown."

In the late 1950s, parols in San Fernando began transcending the classic five-pointed, stellate design of bamboo and papel de Japon (Japanese rice paper) favored by inmates and students today for their Christmas projects.

San Fernando parols, in comparison, now recall psychedelic kaleidoscopes, brilliant stained glass windows, prismatic pinwheels, oversized snowflakes or batik textiles. They are also distinguished by name: parul sampernandu.

Parul sampernandus vaulted to cottage-industry status in the 1960s. In 1964, Quiwa began selling them in gasoline stations, delicacy centers and restaurants around Manila.

Mass-produced parul sampernandus, found in homes all over the country to mark the Christmas holiday, currently retail for 800 to 4,000 pesos ($20-90) and range from 20 inches to 4 feet in diameter.

Arnel Cayanan, 30, says he earns around 15,000 pesos ($340) a night from selling parols by the road in San Fernando. Once, he says, a Swedish client splurged 20,000 pesos ($450) on his products.

"Even Muslims here buy parols -- probably secretly," says Cayanan.

These handicrafts remain commercially viable after Christmas, used in events as diverse as Earth Hour and the Santacruzan.

Parols are also bestsellers for artisan Quiwa during Holy Week, when San Fernando gives tourists a lesson in extreme Catholic guilt tripping: live crucifixions. Hospitality businesses also fuel demand for lanterns all year.

More: 10 most Christmassy places on the planet

The plight of Paskuhan

Though pretty much every Filipino associates San Fernando with Christmas decorations, not every yuletide venture in the city has fared so well.

Case-in-Point: Paskuhan Village, built in 1990. Envisioned as a life-size tropical Christmas park, Paskuhan hosted the Ligligan Parul for nearly a decade thereafter. The place itself was even designed to look like a parol from the air.

Nowadays the 9.3-hectare complex stands a rundown ghost of Christmas past, wanting of visitors. Monthly subsidies by the Tourism Infrastructure and Enterprise Zone Authority (TIEZA) largely sustain operations.

Marketing officer Hiyasmin Viray, who has worked in the park since opening, feels the pang of bygone time.

"I love, love the place," she says through tears. "Sometimes I feel like I'm the only one who cares."

There is hope of a revival.

Pangilinan-Gonzales reveals that local business leaders may use Paskuhan -- now also referred to as Hilaga Park -- as part of a plan that would see San Fernando host an international lantern festival during the 2015 APEC summit.

Decking the global halls with parols

It won't be the first time the Philippines parol shines on the global stage.

In 1993, an island-shaped float featuring a 10-foot parol by master artisan Quiwa won the Hollywood Christmas Parade.

A year before, at the World Expo in Spain, the Philippines vaunted four giant parols, pleasing crowds that included former Philippine president Corazon Aquino.

"She told me: 'If I didn't come to Spain, I would never have seen the lavish parols of Pampanga,'" says Quiwa.

Parul sampernandus have decked the Philippines' embassies and consulates in, among others, Canada, China, Malaysia, Poland, Russia, Thailand and the United States.

They've also bedizened such Austrian landmarks as the Rathausplatz and Ethnology Museum in Vienna as well as the Stadtturm in Innsbruck.

The beacons have also twinkled at the Lord Mayor's House in Dublin and the Good Shepherd Cathedral in Singapore.

For Filipinos at home, the parol's electromagnetic message of triumph over adversity sparkles brightest. In 1995, Typhoon Sybil (Mameng) brought mudslides from Mount Pinatubo down on San Fernando.

Nevertheless, the Ligligan Parul pushed on that year.

Star crossed by typhoons and volcanoes, Filipinos know where to look for a scintilla of hope when the stars go out.

More: Homesickness: A holiday primer

@highlight

San Fernando dubbed "Christmas Capital of the Philippines" for its Giant Lantern Festival

@highlight

A giant parol -- Christmas lantern -- costs around US$11,300-15,820 to build

@highlight

Smaller, mass-produced 'parul sampernandus' can be found hanging outside homes all over the Philippines