(CNN) -- Ten years ago, "No Child Left Behind" became the law of the land.

Enacted under President George W. Bush's administration with the promise to focus on individual student achievement and overall school performance, No Child Left Behind was heralded as groundbreaking. And in some ways, it was.

The expanded use of data helped superintendents, principals and teachers pay more attention to the students with the greatest need. Parents now have more access to important information about the quality of teachers and schools, and some student achievement gaps have narrowed.

Hindsight is 20/20, and after a decade of No Child Left Behind, we can clearly identify the law's weaknesses.

As it turns out, the "Adequate Yearly Progress" measurement, which requires all schools to meet targets for student proficiency or face the same federal interventions, is unrealistic and restricts states' and school districts' ability to effectively gauge student learning and tailor curriculum accordingly. The law's "Highly Qualified Teacher" requirements value tenure and credentials over an educator's ability to motivate students in the classroom. Strict mandates and funding restrictions stunt the development of innovative local education programs.

Our children deserve better. Across the country, reform-minded individuals are challenging the status quo in exciting ways, and students are benefiting from their efforts. In Florida, for example, former Gov. Jeb Bush enacted far-reaching school reforms that improved the academic achievement of the state's Hispanic and black students. State legislators in Tennessee and Indiana are overhauling teacher evaluations to ensure student performance is a significant factor in measuring an educator's effectiveness.

We must revamp K-12 education law to ensure Washington does not stand in the way of meaningful reforms. After months of hearings and bipartisan discussions, the House Education and the Workforce Committee will soon consider legislation that will enhance accountability, improve flexibility and support more effective teachers in the classroom.

Enhanced accountability: No Child Left Behind taught us that parents, teachers and state and local leaders are more suited to address students' needs than a one-size-fits-all accountability system developed by Washington bureaucrats.

During one of the first committee hearings of the 112th Congress, Indiana Superintendent Tony Bennett said, "As a former teacher, principal and school superintendent, I am a strong believer in local control. Indiana's school leaders are in a better position to know what's best for the students in their communities... They understand the cultural and economic factors unique to their districts, and they are in the best position to drive innovation."

He's right. It's time to put control back in the hands of those who interact daily with our children.

Our legislation will call on each state to implement its own accountability system that considers the challenges and opportunities facing local schools and more accurately evaluates student achievement. We propose eliminating federally mandated interventions for under-performing schools and allowing states themselves to determine the best way to raise the bar.

Improved flexibility: The Department of Education operates about 80 programs tied to K-12 classrooms, each with its own set of burdensome rules and reporting requirements. According to Virginia's Loudoun County Public Schools Superintendent Edgar Hatrick, navigating this complicated system often results in "resources being diverted from the mission of teaching and learning."

Worse, the strict regulations for some federal education funds can prevent eligible schools from applying the money to the initiatives that best serve their students. As Oklahoma State Superintendent of Public Instruction Janet Barresi told our committee last April, "We would very much welcome the opportunity to decide for ourselves how these dollar bills are spent... It would allow us to focus on the individual child instead of focusing on funding the program or funding the school."

By combining most of these programs into one flexible grant, our legislation will cut through red tape and enable states to dedicate federal funds to a range of local education priorities, from acquiring new technology to supporting additional literacy programs.

School districts will have the freedom to distribute federal funds based on the needs of their own student populations. Superintendents and principals will be able to use federal funding for groups such as English learners, migrant students and Native Americans to support a better classroom experience for all children.

More effective teachers: The best teachers are those who keep students motivated, challenged and flourishing. Instead of placing excessive emphasis on credentials and tenure, our proposal will provide incentives for school districts to develop and implement their own teacher evaluations based on student learning. It will also support approaches such as performance pay and alternative paths to certification, which will help recruit and keep the most effective educators in our schools.

Every child deserves to be inspired by a great teacher, just as every student deserves access to a quality education. House Education and the Workforce Committee Republicans are leading the way toward a better education system in which parents, teachers and state and local leaders are empowered to build superior schools and improve student achievement. With thousands of American schools labeled as "failing" under No Child Left Behind, the urgency to reform the law has never been greater.

The opinions expressed in this commentary are solely those of John Kline.

@highlight

John Kline: No Child Left Behind's "one size fits all" approach doesn't work

@highlight

New law would leave decisions on teacher accountability to states, he says

@highlight

Kline: States will decide how to use "one lump" federal grants

@highlight

Kline: People who work with kids daily should be in control of education