(CNN) -- The International Atomic Energy Agency will accept Iran's invitation to send inspectors to visit its Arak heavy-water production plant on December 8, IAEA Director General Yukiya Amano said Thursday.

"We have not yet answered, but it is for sure that we'll do this activity," he told reporters in Vienna, Austria. "We will visit the site, we will do our necessary activities and we will report the facts to the Board of Governors," he said.

But, he added, "I'm not in a position to share the details of the activities -- this is a part of the safeguard activities, verification activities."

Over the weekend, Iran and six world powers, including the United States, reached an interim deal under which Iran agreed to limit its nuclear program in exchange for an easing of economic sanctions.

As part of the six-month deal, Iran is required to dilute its stockpile of uranium enriched to 20%, halt all enrichment above 5% and dismantle the technical equipment required to do that enrichment.

It also agreed to freeze essential work on the heavy-water reactor under construction at Arak, southwest of Tehran.

But Amano noted that the invitation applies only to the heavy-water production plant, not the heavy-water reactor.

Though the IAEA does not have inspectors stationed permanently in Iran, it has at minimum a team of two inspectors at any given time, and usually has two teams of two inspectors, he said.

He added that his agency would probably need help to complete its task. "I don't think we can cover everything by our own budget," he said.

The heavy-water reactor has been of concern to international powers because that facility could be used as a source of plutonium -- a second pathway to a potential nuclear bomb.

Questions about the Arak reactor's fate had been a sticking point in earlier negotiations.

Asked about the agreement that Iran will provide daily access to inspectors from the IAEA, Amano said, "We would like to understand the objective and we would like to make it meaningful and useful."

The inspectors will be expected to visit centrifuge assembly and storage facilities and uranium mills, as well as the Arak site.

Iran insists it's enriching uranium and building nuclear reactors only for peaceful civilian energy needs.

'Welcome step'

The IAEA has been following a parallel but separate track to the six world powers in negotiations with Iran.

This month, the nuclear watchdog and Tehran agreed on a framework for further cooperation, and the IAEA said then that its inspectors would carry out a technical visit to the Arak plant "in the near future."

Iran has previously allowed IAEA inspectors access to the heavy-water reactor at Arak, said Shashank Joshi, a research fellow at the London-based Royal United Services Institute think tank, so the latest visit is a "welcome step" in terms of increased transparency but may not reveal much that's new.

The big question isn't about inspection of the heavy-water reactor, which is not yet operational, but rather what might happen to it in the longer term, Joshi said.

What concerns many in the international community is that the reactor is a type that some other countries have used to make nuclear weapons, he said. For that to happen, the spent fuel must be reprocessed to extract the plutonium.

Iran's agreement to freeze work at the Arak plant is more significant than it allowing the inspectors in, Joshi said. Tehran has said the plant could be operational next year, although most analysts believe its activation would be a lot further off, he said.

The United States and other world powers do not want to see it ever switched on and would prefer Iran to turn it into a safer, light-water reactor, which produces less plutonium, he said. For its part, Iran has said it won't build a reprocessing plant next to the reactor.

The inspectors' work in visiting the centrifuges used to enrich uranium may ultimately prove more important than monitoring the Arak plant, Joshi said.

"The issue at the end of the day is going to be whether Iran allows the IAEA more transparency in exploring alleged military aspects, its alleged nuclear weapons program," he said.

CNN's Mitra Mobasherat contributed to this report.

@highlight

Inspectors will visit Iran's Arak heavy-water production plant next month, IAEA says

@highlight

Iran has agreed to freeze work at the Arak site under an interim deal with world powers

@highlight

The heavy-water reactor could be used as a source of plutonium

@highlight

Iran agreed on a framework for increased cooperation with the IAEA this month