(CNN) -- The sports world was shaken this past year by violence at the Boston Marathon, reminding us of the fragility of peace no matter the place and time. However, marathons in the United States, and the world for that matter, rallied -- bouncing back as they defied fear through running.

The drive to keep moving forward is at the very heart of marathon running, and nothing is better than large-scale sports events when it comes to helping people to overcome insecurities and fears together.

Peace is an emotionally charged word. It is something that everyone wants, and it is so elusive to so many. I come from Lebanon, a country that has seen more than its share of conflict and war, but it is also a country that embraces life and peace.

Many underestimate the power of sports to create real change in society. But in Lebanon, we have seen how sports, and especially running, can have a positive impact on individuals and ultimately on communities and countries.

I founded the Beirut Marathon Association 11 years ago and had a firsthand look at how people can unite if given the right platform and a safe, inclusive environment where every individual feels that he or she is a true partner -- a stakeholder -- in the event.

TED.com: The art of bow-making

I used to be a marathon runner; running to me came naturally and helped me stay balanced and focused mentally and physically. That all ended on a day in 2001 when I was training with my husband and some friends in Lebanon to participate in the Dubai Marathon. As our run took us to a street filled with traffic, I was hit by a truck and pinned to the pavement. The accident left me hanging between life and death for a while: I was in coma, and came out of it only to spend two years in the hospital. After 36 surgeries, I was able to walk again, but running was no longer possible.

As I convalesced in the hospital, the only thought that kept me excited and hopeful was the idea of creating an international running event for Lebanon. If I was not to run again, I wanted others in my country to know the rush of being part of a large-scale running event, to share all the inspiration and positive feelings that result from such an experience.

TED.com: Why privacy matters

This was my big dream -- to bring my country together, to concentrate on something much bigger than myself and my pain. The Beirut Marathon Association was created while I was still in the hospital, with the help of supportive family and friends, and the first international Beirut Marathon was held in 2003. That year over 6,000 runners took to the streets of the city and its surrounding area. It was the first time that Lebanon witnessed such a large-scale running event. People took notice.

That first race showed that everyone was looking for a way to participate in a national event that did not fall under any specific political affiliation. People were willing to leave their differences behind and to come run together through the culturally diverse neighborhoods of the city and its vicinity.

My vision and that of the Beirut Marathon team grew, and we resolved to continue, no matter what the circumstances, because we were excited. We also realized that we were setting an example. This kind of harmony created through sport could extend even further, to other places and to other times.

TED.com: An ode to envy

Organizing such an unprecedented running event in Lebanon was not easy. We confronted political and cultural obstacles, among others. We had to build trust and interest little by little. We had to coordinate closely with parties all over the country; we worked with the Ministry of Youth and Sports, with the Lebanese Internal Security Forces, with the Lebanese army, and with all political parties, many private organizations, like municipalities, the Lebanese Red Cross, and others. Through it all, we got a surprising amount of support from public and private institutions and individuals.

Many troubles have plagued Lebanon over the past 11 years of our work, but on Marathon day we always managed to bring people together in spite of their differences. We ran for peace after the former prime minister of the country was assassinated. We ran for peace through a government shutdown, protesters' barricades in the city, an Israeli offensive on the country, and internal armed conflicts.

Of course organizing our events during those times of conflict required a lot of flexibility and contingency planning. In one instance, we turned protesters who were sitting in protest tents in the heart of the city into spectators who cheered the runners on and who offered them refreshments and water. We were only able to do it because we had earned the trust of all parties in the country and had the support of all the Lebanese. The lesson we learned from all of this is that peace is possible!

This year the slogan of our Banque du Liban Beirut Marathon, which will take place on November 10, is "Run for Lebanon." It is an affirmation of the power of sport to create a better country, one where differences are tossed aside and similarities are embraced for a more prosperous future. This has been as challenging a year as any other, with the whole region around us going through war and turmoil and with internal political conflicts unresolved.

In times of such uncertainty, it is more important than ever to remind people of what is good, and what is important: healthy competition, unity, prosperity, growth, joy, and most of all peace.

As in previous years, people responded, and our registration for this year's races has reached more than 36,600 participants from all over Lebanon and the world.

Peacemaking is not a sprint, it is more of a marathon. We cannot expect any major change to happen overnight. Strength, stamina and resolve are needed to finish long runs, but the human spirit is capable of great things. I have seen the elusive peace, and I believe that it can become evident to all, one steady step at a time.

The opinions expressed in this commentary are solely those of May El-Khalil.

@highlight

May El-Khalil: Boston Marathon reminded us of fragility of peace, but marathons bounced back

@highlight

A former runner, she organized Beirut Marathon while recovering from an accident

@highlight

That first Marathon in 2003 drew 6,000; for years they've run through conflict, she says

@highlight

El-Khalil: Sport, especially running, has power to bring people together