China's State Council recently handed down an "authoritative White Paper" on the "one country, two systems" model as applied to Hong Kong. Deng Xiaoping, a reformist leader and the man who launched China toward becoming the world's largest economy, invented the idea originally for Taiwan, but events transpired to make Hong Kong the test bed.

That tiny test bed is currently turning into a big headache for China's leaders as 787,767 Hong Kongers voted last week in an unauthorized referendum for what they consider acceptable models of democratically nominating and electing their chief executive -- the city's top politician -- in 2017. At present, Hong Kong's chief executive -- currently Leung Chun-ying -- is selected by a 1,200-member election committee with the approval of Beijing.

Many are voting more against the White Paper, which maintained China's "comprehensive jurisdiction" over the city, than for one of the models. They, and nearly the entire legal profession in Hong Kong, object to the paper calling judges "administrators" who must take orders from Beijing.

Hong Kong follows the British-derived common law system. The rule of law, insured by judges independent of the administration is, according to nearly everyone, the key distinguisher between the legal system in Hong Kong and that holding sway on the mainland.

Autonomy unchallenged until now

At the core of "one country, two systems" is just how autonomous the smaller system can be against the larger, dominant one.  And one thing most dependent on that "high degree of autonomy" Deng promised is the rule of law.

This autonomy has been largely unchallenged since 1997, when Britain handed over the city to China. But today the issue of just how democratic Beijing will permit the election of the next chief executive to be has brought the whole concept of genuine autonomy into doubt.

Deng and his successors have repeatedly told Taiwan -- which China considers to be a renegade province -- under this concept that it could keep its army, currency and separate political system, just as long as it stuck to there being "one China." But the White Paper on the Hong Kong Special Administrative Region spells out a very different version of autonomy, one that's closer in terms of central control to the iron fist actually practiced in the Tibet Special Administrative Region rather than the velvety promises being given to Taiwan.

Hong Kongers are up in arms over this -- so far -- typographic crackdown on autonomy.  But the Taiwanese are also not amused.

And here's why this drama matters outside China.

China has shown first with Japan over the Diaoyu/Senkaku Islands and now with Vietnam, that it takes its claims to the whole South China Sea (which includes Taiwan) seriously. China is very sensitive about any hint of separatist or secessionist activity. Beijing may not see the difference between their concerns for state security and unification, and the local actions in Hong Kong that actually have nothing to do with secession from China.

There are a lot of missiles, ships, submarines, fighters and troops faced off across the strait between Taiwan and the mainland. "One country, two systems" is supposedly the peaceful alternative to war for reunification with Taiwan.

If Hong Kong shows "one country, two systems" was a promise given by Beijing with no intent to keep its treaty-given word, Taiwan is very unlikely to agree to reunify with mainland China under those terms. Even an international treaty supposedly protecting Taiwan's "high degree of autonomy" would little persuade if there's a Hong Kong crackdown with no international reaction. Nobody knows what the replacement for "one country, two systems" should be.

China is increasingly throwing its weight around, facing off with Vietnam, the Philippines and the United States. Hong Kong is part of this larger context of China becoming aggressive and assertive -- and if it's willing to take on all these nations at the same time, it's not going to let a few hundred thousand people intimidate it.

Beijing promises

Another reason it matters becomes clear in the paper's timing, just before last week's "people's referendum" on political reform. In 2007, Beijing promised Hong Kong could elect its chief executive by universal suffrage in 2017. Since it already directly elects over half its legislature, Hong Kong is well ahead of the rest of China in political reform.

Hong Kong has long led the way to both economic and political change in China. The village election system Deng started in 1982 was directly modeled on Hong Kong village elections, and recent elections of District Boards in a number of mainland cities drew once more on Hong Kong's own invention of District Boards in 1982. If China is going to start making a transition from authoritarian dictatorship to something closer to democracy, the Hong Kong test bed is the place to start.

Stopping reform in Hong Kong very likely means killing it in the rest of China.

This matters to the rest of world because democracies have dominated the globe economically and politically for over a century.  But now, with China soon taking the top spot economically, will democratic habits of discussion, voting and compromise collide with an elite more accustomed to giving orders that are obeyed?

That's what makes the White Paper on Hong Kong so important, and so worrying.  Not only does it take a rather imperious tone; it was issued in seven languages, so much as stating to the rest of world: "pay attention, what we do in Hong Kong is our business and no one else's, whatever an international treaty like the 1984 Sino-British Joint Declaration might say."

Japan, with treaty claims to the Diaoyu/Senkkaku Islands; Vietnam, already in dispute with China; and the United States, which claims the South China Sea is international waters, according to treaty, take note.

@highlight

"One country, two systems" promises Hong Kong a high degree of autonomy under Chinese rule

@highlight

Beijing's recent White Paper on Hong Kong challenges just how autonomous the city can be

@highlight

"One country, two systems" originally invented for Taiwan

@highlight

DeGolyer: Success of Hong Kong's reform will determine future relations between China, other Asian nations