(CNN) -- In rural Boulder County, Colorado, Loretta Ford felt as if she were an epidemiologist, a sanitation department and a health inspector -- but in title, she was a nurse. She and colleagues carried everything, including the baby scales, as they set up temporary clinics in churches, schools and wherever else they could.

In the 1940s and '50s, there was no one else taking care of these basic community needs except Ford and her fellow public health nurses. As she gained experience, Ford realized that more nurses should be able to have specialized training so they could make basic decisions on their own about the health status of patients.

Ford, 90, the co-founder of the nurse practitioner movement, is being inducted into the National Women's Hall of Fame on Saturday in Seneca Falls, New York. Thanks in large part to her efforts, there are more than 140,000 nurse practitioners working in the United States today. Many can prescribe and diagnose as doctors can, but their nursing background emphasizes health promotion and patient empowerment.

"I'm pretty proud of them. I get a lot of credit for 140,000 nurses and I don't deserve it," Ford said in September. "They're the ones who fought the good fight. They took the heat and they stood it and they've done beautifully."

Who are the nurse practitioners?

Nurse practitioners are allowed to have independent practices in 16 states and the District of Columbia, and that number is growing -- two joined the list in 2011. In all states, they can prescribe most medications, although in some states they must collaborate with a physician for prescriptions (The Center to Champion Nursing in America has this map showing restrictions).

There are 6 million visits to nurse practitioners every year, according to the American Academy of Nurse Practitioners. They are in high demand, because there is a shortage of primary care doctors in the United States, where a huge chunk of the population is approaching old age and high obesity rates are aggravating diabetes and heart disease levels.

Although the training is different from medical school, nurse practitioners do invest a great deal of time in education: usually a bachelor's degree in nursing and then two to four more years getting a graduate-level degree, sometimes in a specialty area such as family practice. About 93% of nurse practitioners have graduate degrees, and there is currently a proposal by the American Association of Colleges of Nursing to require a doctorate-level degree to become a nurse practitioner by the year 2015.

The nurse practitioner philosophy is a holistic approach to the health of the patient, Ford said. Nurse practitioners focus on health, functionality and daily living, and giving the patient feedback.

"The end result, of course, is to empower the patient or the family or the person to advance to self-care and to be responsible for that," Ford said.

Ford had wanted to be a teacher, but because of cost concerns she went to nursing school instead. During World War II, she worked as a nurse at various U.S. Army and Air Force bases. When the war ended, she attended the University of Colorado School of Nursing and earned bachelor's and master's degrees.

Ford's journey

The 1960s were a time of social and political upheaval, and Ford saw that chaos as an opportunity to start something new. She collaborated with pediatrician Dr. Henry Silver to start the nation's first pediatric nurse practitioner program in 1965 at the University of Colorado's Schools of Medicine and Nursing. They were interested in expanding public health nurses' roles, emphasizing prevention and health promotion.

"Here she is practicing in rural Colorado, she sees a need for a new profession, a better way of doing things, something that could really enhance health care and bring health care to more people, and so she created the whole profession," said Penny Kaye Jensen, president of the American Academy of Nurse Practitioners. "That's just an inspiration to all of us."

Her colleagues were concerned that she was working so closely with a doctor in this program, Ford remembers. They feared the model would become more about nurses being supervised by physicians rather than serving as colleagues and partners. There were also a lot of questions about whether state laws would permit what they were teaching: Could nurses use devices like stethoscopes? Could they make decisions about the health status of children?

"There was great concern, I think, that the kind of direction that we were taking was much more medical than nursing," Ford said. "It's not easy when you have to buck some of the old prejudices and some of the demands of faculty that's set in its ways, so to speak."

At the same time, professional organizations were calling for nurses to be specialists in clinical areas and more independent in making decisions, but also interdependent in a team relationship with doctors.

"These are all things the profession was saying, but the rhetoric and reaction were quite different," Ford said. "It took a while before there was more acceptance of it in schools of nursing."

Ford always thought nurse practitioners would be able to practice independently; it's only recently that autonomy has been legalized in several states, but there has always been a clear need, she said.

"A lot of them were doing it anyway. Now this has legitimized it," Ford said. "We were the 'Lone Rangers.' We had to make decisions."

Ford at Rochester

After the success of her program in Colorado, Ford became the founding dean of the University of Rochester School of Nursing in 1972.

By the 1980s, nurse practitioner programs had started cropping up all over the country. Kathy Rideout said that when she joined the nursing school faculty at Rochester in 1985, a nurse practitioner practicing independently was still unheard of, and there was no national certification. Rideout had done her education at the University of Pittsburgh, but the Pittsburgh area didn't have many nurse practitioners. Rochester, on the other hand, was full of them, thanks in part to Ford.

Rideout, now interim dean of the school of nursing, remembers Ford taking the time to interview her when she came to the school. The younger woman was anxious, but Ford immediately calmed her. Ford wanted to know what her dreams and passions were.

"She has a quiet leadership style. She is a listener, she is a great thinker and she has the ability to really put you at ease," Rideout said. "That's really at the heart of who she is."

Ford retired about a year later, but has remained involved with the University of Rochester School of Nursing through financial support, mentorship, fundraising and other activities.

The school now has nine specialty nurse practitioner programs, including child psychiatry, which helps fill a need for mental health services in rural upstate New York, Rideout said. But the field seems to be getting broader, so nurse practitioners are trained in more general areas first with the option to specialize, she said.

Nurse practitioners today

The four components of Ford's vision for nurse practitioners -- the ability to assess, diagnose, treat and evaluate -- have not changed since the early days, but the extent to which they do those things has evolved, and so has their independence, Rideout said.

One of those nurse practitioners who operates with that relatively recent independence is Angie Golden, who has had her own primary care family practice near Flagstaff, Arizona, for eight years. What she does is similar to a family practice physician, but her nursing background has given her an emphasis on "the caring and the curing of health care," she said.

About two years after Golden became a nurse practitioner, a patient came into her office who confirmed all the reasons she had wanted to go into the field. The patient had been struggling with chronic back pain and had seen various health care providers, but couldn't find the right combination of therapies that would allow her to resume her work as a jewelry sculptor.

Golden worked with the patient to attack the problem from many angles: pain medicine, physical therapy, acupuncture and meditation. The alternative approaches helped the patient feel more in control of her pain, and she did go back to work.

"When you get to work with a patient to help them find the therapies that are going to let them have the quality of life that they want, I just don't think it gets any better than that," said Golden, who is also the president-elect of the American Academy of Nurse Practitioners.

Julie Willardson, 36, who received her nurse practitioner doctorate degree in May, came into the field because she was frustrated that, as a home care nurse, she'd have to wait several days -- sometimes even a week -- to get a doctor's order to request laboratory work or other relatively simple procedures.

Having practiced in multiple nursing specialties and attained this advanced education, Willardson doesn't regret having chosen nursing rather than medical school.

"I've had patients tell me things they've never told anyone in their life. It's really been an honor," Willardson said. "I'm sure doctors love being a doctor, too, but I don't know if they get the full human side of medicine."

In fact, a 2010 Gallup Poll found that Americans view nurses as the most honest and ethical professionals, rating them higher than medical doctors and police officers.

As for Ford, who had wanted to go into public school teaching, she's glad her life took her the way of nursing before giving her teaching opportunities in higher education that have left behind a lasting legacy. Nursing, she said, has enhanced the quality of her and her families' lives, and given her the privilege of meeting and serving many interesting people.

"It's amazing the strength these patients have, and stamina and optimism in the face of some very dire prognoses. They're admirable," she said. "I've been blessed."

@highlight

Loretta Ford, 90, is being inducted into the National Women's Hall of Fame on Saturday

@highlight

She co-founded the first nurse practitioner education program in 1965

@highlight

Today, nurse practitioners can operate independently in 16 states and D.C.

@highlight

Nurse practitioners have the ability to assess, diagnose, treat and evaluate