(CNN) -- Justin Ross Harris was indicted last week on eight counts in the hot-car death of his 22-month-old son, Cooper. Harris could face the death penalty if prosecutors decide to seek it and he's convicted of the most serious charge.

However, the felony murder charge predicated on second-degree child neglect -- which was the original charge at the probable cause hearing months ago -- still poses the biggest threat to Harris' freedom. That, and, of course, the sexting charges, which will likely be the easiest to prove.

But make no mistake: That felony murder charge will be how the prosecution can convict Harris of his son's murder, even if the killing was unintentional, and, in Georgia, if the underlying felony was unintentional.

Each of the eight counts plays a key strategic role in maximizing the state's chances of a conviction against Harris. Following is a breakdown of these carefully calculated charges. The brilliance of the strategy is in the details.

Murder in Georgia: Most states divide murder into degrees. Georgia does not. In Georgia, there's only one degree of murder, but with very different kinds of killings qualifying as murder.

In this case, two types of murder are alleged: 1) an intentional killing called "malice" murder, and 2) "felony murder," an enigmatic unintentional killing, that is still classified as murder because it is the result of an enumerated felony.

Even more complicated, in this case, two different subcategories of felony murder are alleged using child neglect crimes as the predicate felony. Any of these convictions carries a minimum life sentence, but only malice murder is eligible for the death penalty.

Count 1 -- malice murder: This is the murder with which we are all familiar. It's the kind committed in the Rue Morgue, or by Professor Plum with the candlestick in the billiard room; or any of the "Murders She Wrote." Film, literature and even our board games reflect our cultural assumptions about murder -- that it's an evil crime reserved for the most wicked intent. In Georgia, that's called malice murder, which is defined as a killing with "malice aforethought," or intent to kill.

There are two kinds of malice: express and implied. Express malice is that deliberate, manifested intention to end another's life. The reality is, however, that direct evidence of deliberate intent is a rarity. Defendants don't always volunteer: "I shot the sheriff."

It's quite the opposite. Nearly all defendants steadfastly maintain their innocence; they're more likely to deny shooting the deputy. That's why the law allows for malice to also be implied from the circumstances, as long as the defendant's behavior demonstrates an "abandoned and malignant heart."

Whether express or implied, to convict here the prosecution has a heavy burden to prove this mental element. That's why felony murder is a much more appealing and devastating weapon in the charging arsenal.

Counts 2 and 3 -- felony murder (which are predicated on counts 4 and 5, respectively): Felony murder is more of a legal fiction than it is traditional "murder." It is an unintentional killing, but one that happens during the commission of another crime.

The rationale is that if you commit an inherently dangerous felony, you accept the high possibility that a person will die during the act.

An example would be that if you were robbing a bank and one of your co-conspirators went crazy and shot a teller and a cop? Well, you'd be charged with felony murder, even though you didn't pull the trigger. You committed a felony, and a death resulted.

So, to prove felony murder, the prosecution need not prove intent to kill. It only need prove: 1) commission of the underlying felony and 2) a resulting death.

Count 2 is felony murder based upon count 4: intentional child neglect. So, if the defendant acted intending to cause his child cruel and excessive physical pain, and death resulted, he has committed felony "murder" under count 2.

Still the most problematic for this defendant, however, is count 3, which is the original charge from the preliminary/probable cause hearing. This is felony murder predicated on another felony, count 5, second degree child cruelty. But, instead of having to prove the defendant intentionally caused excessive physical pain (first degree), the prosecution here need only prove that he caused pain with criminal negligence (second degree), even if it was unintentional.

The traditional felonies eligible for felony murder were intentional crimes: burglary, arson, rape, robbery and kidnapping.

To allow felony murder for an accident seems inconsistent, but Georgia courts hold that this crime of criminal negligence can be the predicate crime for felony murder. That's right: In Georgia, you can be convicted of murder -- society's most heinous crime -- for your unintentional negligence.

Count 6 -- criminal attempt: As a society, we punish not only completed crimes but also attempts to commit crimes. It makes sense: suppose a bank robber trips and breaks his leg on his way into the bank with his Glock and his President Nixon mask. He is then arrested without even entering the bank to rob it.

We all agree that he cannot escape punishment simply because he's unsuccessful at robbing banks. At the same time, if the would-be robber simply fills up his gas on the way to buy a Glock and a Nixon mask, so he can rob a bank in the future, has he "attempted" a robbery yet? Where's the line?

To the courts, as long as whatever the defendant does is a "substantial step," then he's guilty of attempt. Here, the attempt is connected not to the death of his child but rather to the alleged sexual exploitation of another minor -- the target of the text messaging.

Counts 7 and 8 -- dissemination of harmful material to minors: To many, these charges seem like they are tacked on, but they are anything but. In fact, they are devastating to the defendant tactically. Here's why:

Harris is now additionally charged with knowingly disseminating and furnishing to a minor female sexually explicit printed matter and photographs -- or, as the detective testified at the preliminary hearing: sexting. The Cobb County detective testified that while Cooper was in the car, Harris sent a photo of his erect penis to an underage girl and was sexting with several women.

At that hearing, the defendant had a strong argument that the sexting was improper character evidence (generally not admissible to prove criminality), and more, that evidence that Harris was a creep was not admissible on the neglect or murder charges.

But watch what happens now that he's been indicted on these charges: evidence supporting the sexting charges is now relevant. That evidence will at a minimum cause a jury to dislike Harris. At worst, it will be viewed as motive to be rid of his child.

Second, of all the charges, these are arguably the easiest to prove, thanks to technology. Did phone 1 send something to phone 2? Was that something considered "harmful material"? Was a recipient a minor? Most of those elements can be established with phone records and a birth certificate. As for the "harmful material," so far, if the allegations are true, it sounds like it could fit.

Ultimately, this is hardly a scatter-shot indictment. Each charge plays a vital role, but the most potentially damaging is still the same charge from the preliminary hearing: the felony murder based upon the second-degree criminal neglect.

After all, whether you condemn this defendant or sympathize with him, there is a preliminary consensus that at minimum he did something tragically and massively careless. And under modern law, that is apparently what we call "murder."

@highlight

Justin Harris was charged in eight-count indictment in hot car death case

@highlight

Cevallos: The counts are structured to maximize the chance of a conviction

@highlight

Cevallos: In Georgia, even an unintentional act can be grounds for murder conviction

@highlight

He says sexting charges will be easiest to prove and could influence entire case