(CNN) -- These are tough times for hard-working families. Too many Americans are either unemployed or underemployed. Families are juggling bills they can't pay. Many believe they are working harder but only falling farther and farther behind.

Worse yet, some Americans have given up looking for work altogether. According to the June unemployment report, the number of Americans actively searching for a job is at a three-decade low. Of those who found a job, nearly one in three had to settle for part-time work. So, it may be surprising to learn that more than 4.5 million open jobs went unfilled the month before.

Although several factors contributed to these numbers, in this weak economy, many Americans are not equipped with the necessary knowledge and training for high-demand careers in the changing 21st century job market. Fifty-two percent of adults have not been trained with the literacy skills needed for success in the workforce. And two-thirds of Americans with disabilities do not participate in the workforce at all.

The status quo isn't working. There are more than 50 workforce development programs spread across nine federal agencies meant to help people find meaningful employment. These programs are well intended, but unfortunately, even with a price tag of nearly $18 billion each year to taxpayers, very few have been evaluated to determine if the programs even work. Simply put: Our nation's job training system is overly complex and terribly failing those who need it most.

That's why we are proud to support the Workforce Innovation and Opportunity Act (H.R. 803) which renews our nation's workforce training laws for the first time in more than a decade. This overwhelmingly bipartisan bill, which passed the House earlier this week, will improve our nation's workforce development system, improve job opportunities for the underemployed, and, most importantly, help put millions of unemployed Americans back to work.

In this stagnant economy, it is more important than ever that we create a system to prepare workers for 21st century jobs and help businesses find the skilled employees needed to grow a healthy economy. The Workforce Innovation and Opportunity Act improves the workforce development system by eliminating 15 duplicative programs, empowering local boards to tailor training services to their region's specific needs, and supporting access to real-world education and development through on-the-job training.

This bipartisan bill also aligns workforce development programs with economic development and education initiatives. Furthermore, it lets businesses identify in-demand skills and connect workers with the opportunities to build those skills. By demanding more effective and more accountable government programs, the act will reform the workforce development system in a way that will provide real results to those searching for jobs at a lower cost to taxpayers.

The bill is a great example of what Congress can accomplish when both sides come to the table to work toward the common good. While it took a more than a year for the Senate to get on board, once implemented, the act will help Americans -- from recent college graduates to veterans to dads looking for work since the recession began -- find good-paying jobs that build a foundation for easier lives and more opportunities.

So, what's next? The bill is headed to the President's desk because Senate Majority Leader Harry Reid chose to finally work with Republicans. We hope he will do the same with dozens of other jobs bills collecting dust in the United States Senate.

After all, while this legislation is a step in the right direction, there is much more work to do to build a healthy economy.

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Luke Messer, 11 other GOP members back Workforce Innovation and Opportunity Act

@highlight

The act, they say, hopes to update job training laws and put millions back to work

@highlight

They say there are already more than 50 programs costing $18 billion each year

@highlight

The bill will eliminate 15 programs seen as duplicative and retool training needs locally