WASHINGTON (CNN) -- Federal law enforcement authorities are discussing what to do with the lone surviving pirate captured Sunday off Somalia's coast after a successful military rescue abruptly ended a five-day hostage standoff at sea.

A Kenyan police officer guards the U.S.-flagged Maersk Alabama at a Mombasa port Sunday.

According to sources familiar with the case, U.S. government officials are weighing potential legal hurdles they may face if the young Somali captive is flown to New York or Washington to face federal criminal charges.

Officially, the government is virtually mum on the discussions.

"The Justice Department continues to review the evidence and other issues to determine whether to seek prosecution of this individual in the United States," said Dean Boyd, spokesman for the Justice Department National Security Division.

Sources who asked not to be identified because they are not authorized to discuss the matter said the detained Somali youth remains in military custody, but is likely to be turned over eventually to the FBI for transport to the United States.  Watch how the Navy deals with pirates »

New York-based FBI agents are assisting Nairobi-based agents in collecting evidence and conducting interviews. Some officials say it appears most likely the captive initially would be flown to New York to stand trial. However, sources stress no decisions have been made on when or where the young pirate would face justice.

Investigators face the early and potentially difficult task of determining whether the Somali suspect is at least 18 years of age. Initial reports from the Horn of Africa have indicated the young man is anywhere from 16 to 19 years old. Officials note that authoritatively establishing his identity and date of birth in a lawless country, where records are often lost or burned, if they ever existed at all, may be problematic.

Even if officials determine the Somali youth is a juvenile, he could be presented to a magistrate in a U.S. District Court. Justice Department records indicate such occurrences are rare, with juveniles accounting for less than 1 percent of criminal defendants.

The latest available figures show among the thousands of federal prisoners, about half of the 200-plus defendants 17 or younger are held for trial as adults, while the other half are detained as juveniles.

Whether adult or juvenile, the Somali captive could be charged under an international treaty to which the United States is a signatory that carries penalties of up to life in prison.  Watch how U.S. could deal with captured pirate »

The 1988 Convention for the Suppression of Unlawful Acts Against the Safety of Maritime Navigation has been used to prosecute pirates in other countries. The agreement allows for pirates and hostage takers on the high seas to be prosecuted in any country which signed the treaty, without regard to which national flag a ship was flying.

Former FBI official and CNN contributor Tom Fuentes, who supervised international operations for the FBI, recalls agents providing critical help in winning the conviction in a Kenyan courtroom of 10 pirates captured in 2006 with the help of the U.S. military. The USS Nassau had come to the aid of an Indian ship on which pirates were holding 16 Indian hostages. Shots were fired, prompting the pirates to surrender.

"The government of Kenya wanted to prosecute the case, so the Justice Department and State Department agreed to that. We said 'Let's teach them to fish'," Fuentes said.  Watch report on pirates' deadly new goal »

He said FBI agents ended up spending six months working with Kenyan authorities on how to conduct interviews, handle and protect evidence, and shape a prosecution that would stand up in any courtroom in the world. The pirates were convicted and sentenced to seven years in prison.

Officials familiar with the current case say the lone Somali suspect in U.S. military custody could be turned over to Kenya or another country in the region if barriers to a U.S. prosecution appear to be daunting. However, because the ship was U.S.-flagged and the seized sea captain was a U.S. citizen, federal authorities will want to prosecute the case on U.S. soil if at all possible, according to one federal law enforcement official.

Another official said it was probable that if a charge against the Somali is filed in a U.S. court, the action would be filed under a court seal and kept secret from the public until the suspect suddenly appears in court to hear the charge read by a magistrate judge.

Officials indicate such developments are not likely to occur soon.

@highlight

Legal hurdles abound if Somali captive is flown to United States for prosecution

@highlight

Suspect in U.S. military custody could be turned over to Kenya or another country

@highlight

Complicating issue is suspect's age, reportedly between 16 and 19