(CNN) -- A rogue trader has cost UBS an estimated $2 billion, the Swiss banking giant announced Thursday, revealing what could be the third-largest loss of its kind in banking history.

A $2 billion rogue trading loss would be all but unprecedented, market analyst Ralph Silva told CNN.

"We have only had three or four other situations... in the billions, and that is exactly what happened," he said.

The bank is large enough to take a $2 billion hit, experts said. Shares in UBS were down 11% on the U.S. stock exchange at midday trading, though, even as European markets closed higher Thursday.

Police arrested a man on suspicion of fraud in an early-morning operation in London's banking district hours before the loss was announced, they said.

UBS contacted the police at 1 a.m. about an allegation of fraud, and a 31-year-old man was arrested at work two and a half hours later, police commander Ian Dyson said.

British media named the suspect as UBS trader Kweku Adoboli, 31.

CNN has not independently confirmed his identity, but was told when calling his desk at UBS that he was not available. The bank declined to comment on the arrest.

News of the rogue trader comes amid pronounced economic anxiety in Europe. Markets there have been in turmoil in recent weeks as concern has mounted that Greece might default on its huge debt, sending shock waves through the 17-nation eurozone and further afield.

Just this week, the credit rating agency Moody's downgraded two French banks.

On Thursday -- even as news was circulating of the incident at UBS -- came word that the Federal Reserve and four other powerful central banks announced they were throwing a lifeline to Europe's struggling banks.

The European Central Bank, along with the Fed, the Bank of England, the Bank of Japan and the Swiss National Bank, said three U.S. dollar auctions would be held to help out European banks that need the currency to fund loans and repay debt.

European banks have seen U.S. dollars flow out as U.S. financial institutions and money market accounts scale back exposure to European banks, amid fears over those institutions' exposure to debt held by Greece and other European nations.

U.S. Treasury Secretary Timothy Geithner is to attend a meeting of Europe's Economic and Financial Affairs Council in Wroclaw, Poland, on Friday, at which questions around Greek debt and financial stability in the eurozone are bound to be discussed.

Finance ministers for the European Union member states, central bank presidents and representatives of other major financial bodies will also be present. The conference comes ahead of G20 and IMF meetings later this month.

As to the episode at UBS, Silva, the analyst, outlined three possible ways a loss that big could take place: intentional fraud, "basic stupidity" in trading strategy, or what the banking industry calls "fat fingers," which means typing the wrong number by accident.

Perhaps the trader "put in an extra zero so instead of buying a million he or she bought ten million -- could be a problem," Silva said.

Lex van Dam, a former trader who is now a partner at Hampstead Capital in London, said chaos in the markets could have put more pressure on a trader desperate to hang onto his job.

"Trading has been incredibly difficult over the last year," said van Dam. "With the volatility in banking stocks, commodities and currencies, things can go wrong really, really easily. If you're worried about your job and you try to hide (a mistake or loss), you can see how these situations arise."

A bank's risk management division is supposed to examine a trader's activities, he said.

"He must have done something that he wasn't supposed to do, obviously," van Dam said.

UBS said no client positions were affected by the loss, which is still being investigated.

But the "unauthorized trading by a trader in its investment bank" could cause UBS to post a loss in the third quarter of this year, it said.

The loss would potentially be among the largest costs ever to a bank in unauthorized trading.

Rogue trader Jerome Kerviel cost his French bank, Societe Generale, almost $6 billion, and was sentenced to three years in prison last year.

Yasuo Hamanaka cost Sumitomo Corporation $2.6 billion in the global copper market, and was sent to prison for eight years over fraud and forgery in 1997.

Nick Leeson, the subject of the Ewan McGregor movie "Rogue Trader," lost about $1.3 billion for his bank, Barings, in 1995, forcing it to close.

UBS is not likely to collapse, but the scandal could prompt the bank to split its investment bank into a separate company, van Dam said.

There is a "much higher chance that this bank will now be broken up" into a wealth managament firm and an investment bank to reduce clients' exposure to investment banking losses, he said.

He favors that alternative, he said.

"The banks are too large," van Dam said. "The products are so complicated, and the management doesn't understand it."

UBS made a pre-tax profit of about $1.9 billion in the second quarter of this year, it announced in July, down from about $2.5 billion the quarter before that.

CNN's Nina dos Santos, Irene Chapple, Ben Rooney, Alex Mohacs, James Partington, Laura Perez Maestro, Kendra Petersen, Nick Thompson and Christine Theodorou contributed to this report.

@highlight

UBS itself reported the rogue trader to police, officers say

@highlight

British media name the arrested man as Kweku Adoboli

@highlight

The loss could be caused by anything from fraud to "stupidity," an expert says

@highlight

It would be among the largest losses in unauthorized trading