Editor's note: This story is based on interrogation reports that form part of the prosecution case in the forthcoming trial of six Belgian citizens charged with participation in a terrorist group. Versions of those documents were obtained by CNN from the defense attorney of one of those suspects. The statement by Bryant Vinas was compiled from an interview he gave Belgian prosecutors in March in New York and was confirmed by U.S. prosecutors as authentic. The statement by Walid Othmani was given to French investigators and was authenticated by Belgian prosecutors.

A photo purporting to show Moez Garsallaoui firing a rocket launcher on the Afghanistan-Pakistan border.

(CNN) -- Between late July and early December of 2008 four members of a Belgian-French group returned to Europe from the Pakistan-Afghanistan border region.

On December 11, Belgian counter-terrorism police launched one of the largest operations in the country's history, arrested six people and charged them with participation in a terrorist group.

According to Belgian counter-terrorism sources, the trigger for the Brussels arrests was an intercepted e-mail sent by one of the alleged recruits, Hicham Beyayo, in early December shortly after he returned to Belgium.

The e-mail allegedly suggested that Beyayo had been given the green light to launch an attack in Belgium. However no explosives were recovered by Belgian police, and some terrorism analysts are skeptical that an attack was imminent.

Beyayo's lawyer, Christophe Marchand, told CNN in February that the email was merely "tough talk" to impress an ex-girlfriend. Belgian authorities continue to insist that the alleged cell was a potential national security threat.

Of those still thought to be at large, one was Moez Garsallaoui, whose wife Malika el Aroud was among those arrested in Belgium. Read how al Qaeda is changing

He issued this threat to Belgium authorities on his wife's Web site on May 11 this year. "If you thought that you could pressure me to slow down through the arrest of my wife, you were wrong. It won't stop me fulfilling my objectives...the place of my wife in my heart and the heart of all the mujahedeen is greater than ever. ... Surprises are sure to be in store for you in the days ahead. Those who laugh last, laugh more."

Such threats will have caused concern because of Garsallaoui's wide connections in European militant circles.

Two of his Brussels associates, Bassam Ayachi, 62, and Raphael Gendron, 33, are in custody in Italy, charged with being leaders of a logistical support team for al Qaeda. They have denied the charges.

The duo, who were detained in the port city of Bari in November for trying to illegally smuggle Middle Easterners into the country, had allegedly talked to each other in their detention center about what sounded like a scheme to attack Charles de Gaulle airport in Paris, a conversation bugged by Italian police. French officials have said they were never aware of a concrete plot to attack the airport.

According to a senior Belgian intelligence official, Garsallaoui, his wife, and several others who traveled to Pakistan were all connected through the Centre Islamique Belge, an organization Belgian authorities say espouses hardline Salafist and pro-al Qaeda views.

In past interviews the center's founder Bassam Ayachi has said his organization concentrates on pastoral care for Muslims in Brussels and did not promote pro-al Qaeda views.

Members of the Brussels-based group are believed to have received terrorist training in other countries besides Pakistan.

In late May, several days before President Barack Obama traveled to Cairo, Egypt, to give a major speech, several Belgian citizens were arrested in Egypt and accused of being members of a terrorist cell affiliated with al Qaeda.

A senior Belgian counter-terrorism official told CNN that two Belgians now in Egyptian custody were known associates of Garsallaoui at the Centre Islamique Belge and are believed to have received military training with an ultra-extremist Palestinian group in Gaza.

"Anybody who gets such training is obviously a potential danger if they return to Europe," said the official.

While in Pakistan the Europeans also had contact with Bryant Vinas, an American who told prosecutors he was there to fight in Afghanistan. Read how Vinas went to fight Americans in Afghanistan

New Attack Plans

Vinas says he was told, while on a mountain walk with a Belgian-Moroccan friend, Hicham Bouhali Zrioul, about a new course being taught by al Qaeda called "international operations," set up by its head of international operations. Vinas later identified him as Abu Hafith.

Hafith, he stated, was responsible for recruitment and direction of terrorist cells, and attacks outside Pakistan and Afghanistan. Hafith was identified by his initials in the legal document but CNN obtained his name from a source briefed on the case. He is believed to be still at large in the Pakistan-Afghan border area.

Vinas was told that the training course Hafith set up focused on kidnapping and assassination, including instruction on the use of silencers and how to break into a property. Read how al Qaeda is adapting its training

The revelations raise the possibility that al Qaeda was developing a program of targeted assassinations. Though al Qaeda has carried out some assassinations in the past, most of its attacks in the West have not targeted any particular individuals but crowded areas, such as mass transport.

Vinas stated that Zrioul also discussed with him an attack on the Brussels metro, telling him it was a soft target because it was poorly protected. He said Zrioul also raised the possibility of launching an attack on a European football stadium.

A senior Belgian intelligence official told CNN that Belgian security services only learned about these conversations in March 2009 after Vinas met with Belgian prosecutors in New York. Although concerned, Belgium's intelligence service concluded that no concrete plot had likely existed, said the official.

Such conversations illustrate the terror networks' continued desire to inflict mass casualties.

Vinas stated that he himself gave detailed briefings to al Qaeda chiefs in Waziristan in September 2008 about how the Long Island Commuter Rail service worked, according to a federal indictment earlier this month.

Shortly after Vinas' arrest in 2008, Penn Station and much of the New York mass transit system was put on high alert.

@highlight

Return of alleged Western militants to Europe sparked Belgian antiterror operation

@highlight

Documents indicate U.S.-born militant passed details of New York transit to al Qaeda

@highlight

Recruits allegedly chatted about potential targets while in Pakistan

@highlight

Such conversations illustrate al Qaeda's continued desire to inflict mass casualties