(CNN) -- Minutes after the death of Venezuelan President Hugo Chavez was announced, scores of his fellow citizens made their way to El Arepazo, a Venezuelan restaurant outside Miami.

The colors of the Venezuelan flag -- red, blue and yellow -- predominated among the crowd of about 200 people, many of whom cheered and waved tiny flags as they bellied up to a buffet stocked with "pabellon criollo," the traditional Venezuelan dish of rice, beans, shredded beef and stewed black beans.

"We shouldn't be partying," said Ernesto Ackerman, a Chavez opponent and president of the Independent Venezuelan-American Citizens, a non-profit organization that helps Latinos become U.S. citizens.

"We're only half of the country; the other half still supports Chavez. We should be asking (for) democracy, democracy, democracy, constitution. This is a most critical moment."

Borger: U.S. open to 'more constructive relationship' with Venezuela

As he spoke, more people -- many of them wearing Venezuelan baseball caps -- entered the restaurant, which advertises itself as "your little piece of Venezuela in Doral," Florida. As Spanish-language television blared out the news, they sat down to plates piled with shredded gouda cheese, plantains and stuffed cornbread patties.

Some took pictures to memorialize the moment. One elderly man clutched six tiny flags in his fist.

In Washington, politicians reacted almost as quickly as the South Florida crowd. "Hugo Chavez ruled Venezuela with an iron hand and his passing has left a political void that we hope will be filled peacefully and through a constitutional and democratic process, grounded in the Venezuelan constitution and adhering to the Inter-American Democratic Charter," said Sen. Robert Menendez, D-New Jersey, chairman of the Senate Foreign Relations Committee.

Menendez called for "free and fair elections" so that "Venezuela can begin to restore its once robust democracy and ensure respect for the human, political and civil rights of its people."

The chairman of the House Committee on Foreign Affairs, Rep. Ed Royce, R-California, was harsher, calling Chavez "a tyrant who forced the people of Venezuela to live in fear" and adding, "Good riddance to this dictator."

But the news was not red meat to all U.S. politicians.

Hugo Chavez's death draws sympathy, anger

Former President Jimmy Carter noted that he had gotten to know Chavez while observing elections in Venezuela. "We came to know a man who expressed a vision to bring profound changes to his country to benefit especially those people who had felt neglected and marginalized," he said in a statement. "Although we have not agreed with all of the methods followed by his government, we have never doubted Hugo Chavez's commitment to improving the lives of millions of his fellow countrymen."

He said that poverty rates were cut in half during Chavez's time in office but also noted the divisions that were created in the drive toward change.

"His focus on the issues faced by the poor and disenfranchised in his country made him a truly revolutionary leader in the history of Latin America," said Rep. Jose E. Serrano, D-New York. "He understood that after 400 years on the outside of the established power structure looking in, it was time that the poor had a chance at seeing their problems and issues addressed. His core belief was in the dignity and common humanity of all people."

Serrano cited Chavez's sale of home heating oil at discount prices to poor families in the Bronx as an example of the Venezuelan leader's largesse.

"Though President Chavez was accused of many things, it is important to remember that he was democratically elected many times in elections that were declared free and fair by international monitors," he said. "Even today, people in North America seem unable to accept that Venezuelans had taken our admonitions to have democracy to heart and elected the leader of their choice. President Chavez carried out the programs that his constituents wanted enacted, and won re-election. This too was revolutionary in the history of Latin America."

Citizens Energy Chairman Joseph P. Kennedy II lauded the same program.

Chavez used force of personality to win votes, influence leaders

"President Chavez cared deeply about the poor of Venezuela and other nations around the world and their abject lack of even basic necessities, while some of the wealthiest people on our planet have more money than they can ever reasonably expect to spend," he said in a statement. "There are close to 2 million people in the United States who received free heating assistance, thanks to President Chavez's leadership. Our prayers go out to President Chavez's family, the people of Venezuela, and all who were warmed by his generosity."

Human Rights Watch criticized Chavez's 1999-2013 presidency, saying it was "characterized by a dramatic concentration of power and open disregard for basic human rights guarantees."

The rights group said Chavez enacted a constitution "with ample human rights protections in 1999" but began to amass and centralize power after surviving a coup d'etat in 2002. He grabbed control of the Supreme Court and limited the ability of journalists to report freely, it said.

"By his second full term in office, the concentration of power and erosion of human rights protections had given the government free rein to intimidate, censor, and prosecute Venezuelans who criticized the president or thwarted his political agenda," HRW said.

But Sean Penn mourned Chavez's death. "Today the United States lost a friend it never knew it had," the actor and activist said in a statement. "And poor people around the world lost a champion. I lost a friend I was blessed to have."

iReport: Share your reactions

CNN's John Zarrella contributed to this report from Doral, Florida

@highlight

"We shouldn't be partying," says Chavez opponent in South Florida

@highlight

"Chavez ruled Venezuela with an iron hand," says Sen. Menendez

@highlight

"Good riddance to this dictator," says Rep. Ed Royce

@highlight

Chavez sought to help "people who had felt neglected and marginalized," says Jimmy Carter