Galesburg, Illinois (CNN) -- President Barack Obama vowed Wednesday to focus his energy for the rest of his presidency on the core tenet of his election victories -- equal opportunity for all Americans -- starting with campaign-style speeches on the economy that appeared to launch this year's budget battle with Republicans.

Confronting the deep partisan divide over federal spending, tax reform and raising the debt ceiling later this year, Obama told a large crowd at the University of Central Missouri in Warrensburg that reversing a growing inequality between haves and have-nots should be the top priority of Congress.

He chastised Congress for inaction and vowed to take matters into his own hands during the remaining 1,276 days he has in office.

"Where I can act on my own, I'm going to. I'm not going to wait for Congress," he said in the second of two speeches that kicked off a series of economic-themed addresses across the country.

It was a sentiment he expressed earlier in the day during a speech to hundreds at Knox College in Galesburg, Illinois.

"This growing inequality isn't just morally wrong; it's bad economics," Obama said.

During the speech at Knox College, he blended populist imagery from his campaign stump speech last year with the criticism of conservative Republicans who, according to the president, only stood for repealing his signature 2010 health care reform law and slashing federal spending in an effort to shrink government.

"Repealing Obamacare and cutting spending is not an economic plan. It's not," Obama said, challenging the political right to work with him on budget and tax polices that promote economic fairness for all, especially the middle class and people aspiring to join it.

Gearing up for health care exchanges: Crunch time for Obamacare

His voice rising, Obama declared that "the one thing I care about is how to use every minute of the remaining 1,276 days of my term to make this country work for working Americans again."

As the audience stood to applaud and cheer, he added: "That's all I care about. I don't have another election."

Earlier Wednesday, White House spokesman Jay Carney acknowledged to CNN that a goal of Obama's speeches was to ratchet up pressure on Republicans to work with Democrats and the president, noting that "in the end, members of Congress respond to their constituents."

Republicans called Obama's speeches a retread strategy that lacked fresh ideas to further bolster an economy that everyone agrees should be growing faster.

"We've heard most of it before," GOP Sen. Richard Shelby of Alabama told CNN, adding that Obama's economic policies had failed.

"He's a good politician," Shelby said of Obama, noting that the president was telling people what they wanted to hear. "But he's not doing what he needs to do to create good jobs."

Despite slow but steady growth over the past four years, polls show many Americans are still concerned about unemployment and the economy overall even though indicators show an improving recovery and Wall Street is again in record territory.

Two new surveys on Wednesday indicated less than half of Americans approve of the president's handling of the economy. Both polls, by NBC News/Wall Street Journal and ABC News/Washington Post, found more respondents disapprove of how Obama has dealt with the economy, which remained the top issue for the public.

The first six months of Obama's second term have been dominated by issues like gun violence and immigration reform, with legislation on both currently mired in partisan wrangling, as well as controversies such as Internal Revenue Service targeting of groups seeking tax-exempt status.

Reframing political debate

His speeches Wednesday sought to reframe the political debate as the government approaches the end of its fiscal year on September 30 and a potential shutdown if Congress fails to overcome the gridlock that has become its trademark.

Knox College is where Obama delivered his first major economic address of his national political career eight years ago, and he used the setting to emphasize progress made since then in overcoming the recession his administration inherited to launch a slow but steady economic recovery.

At the same time, Obama said the challenges and opportunities of the 21st century demanded new thinking and policies to capitalize on America's potential and end the pattern of worsening inequality from previous decades.

He called for Washington to focus on "rebuilding our manufacturing base, educating our workforce, upgrading our transportation systems, upgrading our information networks" instead of what he labeled "an endless parade of distractions, political posturing and phony scandals."

Obama was particularly tough on conservative House Republicans, whom he blamed for blocking progress on issues such as immigration reform agreed to by their GOP colleagues in the Senate.

He said he would work with anyone with good ideas while using executive authority and calling on on business leaders, philanthropists, labor leaders -- "anybody who can help" -- to push for economic changes promoting equal opportunity.

"I will not allow gridlock or inaction or willful indifference to get in our way," Obama said.

Later in the day, Obama headed to the University of Central Missouri in Warrensburg for another address expected to focus on education.

Looming budget battle

Regardless of the political focus of recent months, the national debate was certain to focus on the federal budget this summer and fall.

Pitched political battles over spending and taxes have dominated Obama's presidency, and Republican leaders spurred on by conservative House Republicans facing congressional elections next year are threatening hardline negotiating tactics over the budget and affiliated issues of tax reform and forced spending cuts known as sequestration that took effect this year.

Both the Republican-majority House and Democratic-majority Senate have passed spending proposals for fiscal year 2014, but the measures bear little resemblance to each other in terms of priorities.

Any attempt to reconcile differences through negotiation faces complications from related issues such as whether the sweeping government spending cuts that took effect in March and hit the military and discretionary accounts hard should continue unchanged.

Another potential landmine is the opposition by conservative Republicans, including some GOP leaders in Congress, to funding the implementation of the health care reform law pushed through by Democrats with Obama's backing in 2010.

Further complicating the debate is the certain need for Congress to authorize an increase in the government's borrowing limit, or debt ceiling, sometime this fall.

'The Boehner rule'

House Speaker John Boehner has made clear that any rise in the debt ceiling would require an equal cut in government spending to get GOP support, a demand known as the Boehner rule as set by the Ohio Republican.

Opinion: Will Speaker Boehner make history?

The White House has said it will not negotiate on the debt ceiling, and some congressional Republicans balk at linking it to specific demands, such as cuts in funds for implementing health care reform, but insist that more must be done to reduce deficits and debt.

"I think holding the debt limit a hostage to any specific thing is probably not the best negotiating place," GOP Sen. Roy Blunt of Missouri told MSNBC. "Where we ought to be now is, we need more spending cuts."

Blunt specifically called for reforms to popular entitlement programs such as Medicare, Medicaid and Social Security to reduce their costs "so they last."

However, Democrats and Republicans remain far apart on entitlements, long a target of conservatives seeking to shrink government, especially programs that they say lead to federal dependence.

Democrats argue the government pension program and health care for the elderly and poor are part of a vital social contract that ensures the well-being of vulnerable citizens.

Obama said Wednesday that Democrats must "question old assumptions" and "be willing to redesign or get rid of programs that don't work as well as they should."

He has come under fire from some liberals for already proposing a change in how the annual cost-of-living index for federal benefits gets calculated as part of a broad but so far unreachable deficit reduction deal with Republicans.

CNN's Paul Steinhauser contributed to this report, which was reported by Adam Aigner-Treworgy in Galesburg and written by Tom Cohen in Washington

@highlight

NEW: President Obama takes on Republican foes, vowing to take matters into his own hands

@highlight

Obama reprises campaign themes of equal opportunity for all

@highlight

The president seeks to frame the political debate with major budget, debt issues looming

@highlight

An Obama goal is to put new pressure on Republicans to work with Democrats