(CNN) -- The discovery of HIV, a breakthrough in the treatment of bipolar disorder, the advent of the contraceptive pill ... CNN looks at some of the scientific discoveries that changed the world.

HIV was isolated by scientists in 1983 and named in 1986 by an international committee

THE DISCOVERY OF HIV/ AIDS

Originally called slimmer's disease, as sufferers lost a lot of weight, the first recorded case of HIV occurred in the Congo in 1977. After several infections, a Danish doctor died of pneumonia, which normally doesn't break through the body's immune system. The components of her disease had not yet been placed together, indicating that this was a new form of illness.

Other cases spread in following years around Africa and in homosexual men in New York and San Francisco. By 1980, 55 American men had been diagnosed with the disease. Research began in Europe, the U.S. and Africa to ascertain what this new disease could be.

The Centers for Disease Control found that the disease was caused by a virus being passed around by bodily fluids such as semen or blood. In 1981 it published its findings, saying the disease attacked T-cells, which help the body fight infection.

By 1983 the disease was isolated by teams of American and French researchers. In 1986 an international committee decided the virus should be called human immunodeficiency virus (HIV).

Education campaigns were unrolled around the world, advising people to avoid risky sexual behavior or sharing needles.

By June 1990, 139,765 people had the disease, with a 60 per cent mortality rate. The progress of the disease slowed down in the West with education campaigns and the development of protease inhibitors, which provided sufferers with almost complete remission. But in Africa, the spread and treatment of HIV remains a global concern.

THE DISCOVERY OF LITHIUM TO TREAT MOOD DISORDERS

Australian psychiatrist John Frederick Joseph Cade once said, "I believe the brain, like any other organ, can get sick and it can also heal."

He made huge gains in healing the brain through his work with sufferers of bipolar disorder by discovering that lithium salts -- a naturally occurring chemical - could be used to treat the illness.

Previously, electro-convulsive therapy and lobotomies had been the major treatments for bipolar disorder.

After having been a prisoner of war in World War II, Dr. Cade served as the head of the Bundoora Repatriation Hospital in Melbourne Australia. It was at an unused kitchen in Bundoora where he conducted crude experiments that led to the discovery of lithium as a treatment of bipolar disorder. After trials on humans, Dr. Cade speculated that bipolar disorder was a "lithium deficiency disease" and that a dose of lithium had a calming effect.

Dr. Cade published findings in the Medical Journal of Australia in 1949 entitled "Lithium salts in the treatment of psychotic excitement."

He died in 1980. Lithium is still used successfully in the treatment of mental illness to this day.

THE DISCOVERY OF BACTERIA

Dutchman Antonie van Leeuwenhoek was known as the "father of micro-biology." He drew scientific attention to the many bacteria that he discovered. His research was helped by the different types of microscopes that he developed over his lifetime. From his powerful lenses he was able to ascertain many different types of lifeforms too small for the human eye to see.

It was by observing the build-up of plaque on teeth that the Dutch scientist discovered what we now know to be bacteria.

His initial observations on bacteria make for amusing reading. On September 17, 1683, Leeuwenhoek wrote to the Royal Society about the plaque between his own teeth, "a little white matter, which is as thick as if 'twere batter." He then observed two women and two old men who had never cleaned their teeth in their lives.

Looking at these samples with his microscope, Leeuwenhoek wrote of "an unbelievably great company of living animalcules, a-swimming more nimbly than any I had ever seen up to this time. The biggest sort ... bent their body into curves in going forwards ... Moreover, the other animalcules were in such enormous numbers, that all the water ... seemed to be alive."

He also observed algae on water surfaces and the furry coating on human and animal tongues during illness, bringing his theories to the attention of the Royal Society.

Most bacteria are harmless, although some bacterial diseases are fatal: tuberculosis kills about 2 million people a year.

Bacteria are important in the production of cheese and yogurt, in processing wastewater and in manufacturing antibiotics.

THE CONTRACEPTIVE PILL

The oral contraceptive commonly known as "the pill" was invented during the 1950s in Shrewsbury, Massachusetts.

It contains hormone-like substances, usually estrogen and progestin, that enter the blood stream and disrupt the production of ova and ovulation, with the aim of preventing pregnancy.

It originated after an unexpected discovery made in a jungle in Mexico in the 1930s. While Professor Russell Marker was experimenting with plant steroids, he discovered a chemical process that transformed these steroids into the female sex hormone, progesterone.

Researchers in the late 1940s began to explore the possibility of an inexpensive oral contraceptive. Chemist Gregory Pincus tested a derivative from Marker's findings on 1,308 volunteers in Puerto Rico in 1958 and Searle Pharmaceuticals applied for US Food and Drug Administration approval to market the drug.

The pill came on to the market in the U.S. in 1960 and is still widely used today. E-mail to a friend

@highlight

HIV was isolated in 1983 and can be controlled with protease inhibitors

@highlight

Psychiatrist John Cade pioneered lithium as a treatment for bipolar disorder

@highlight

Dutchman Antonie van Leeuwenhoek discovered bacteria as a build-up on teeth

@highlight

Professor Russell Marker's experiments with plant steroids led to the Pill