(CNN) -- At least four people were killed and dozens more were injured on Saturday when security forces in the restive Syrian city of Homs Saturday greeted anguished mourners with brute force, an activist told CNN.

The latest confrontation rattled a country on edge after at least 44 people died in Homs and other cities Friday when Syrian security personnel fired at demonstrators, according to the National Organization for Human Rights in Syria.

The violence erupted after as tens of thousands of people marched in a funeral procession and went to a graveyard to bury some of the Friday's victims, the activist said. The assault began after mourners were filing out of the cemetery, the activist said.

"We were chanting and praying for the martyrs and they just sprayed us with their bullets. I saw seven to eight people on the ground bleeding and moaning. I ran as fast as I could as bullets flew past us towards the fields and hid among the olive trees until another mourner saw me and helped me walk to the main road," the activist said.

"From there I ran to my apartment to see my wife and children. We live very close to the graveyard and I can still hear the sound of heavy gunfire coming from the area."

Security forces earlier used force against 300 demonstrators in Homs who were demanding the right of mourners to march through the city center. But security forces forcefully put down the turnout in about 30 minutes, and many of the demonstrators were arrested.

Later Saturday, tens of thousands of people gathered for the funeral procession on the outskirts of the city to bury eight victims of the Friday demonstrations, and it appeared the event would remain peaceful.

The miles-long funeral procession defiantly passed by army stations and several tanks, but the marchers were greeted kindly by soldiers to which the crowd responded by chanting, "The people and the army are one hand."

However, violence erupted as security forces stepped in, the activist said. Mourners quickly dispersed some into the graveyards and surrounding fields, and gunfire could be heard.

CNN has not been granted access into Syria and is unable to independently verify witness accounts.

The deaths occurred after demonstrations broke out after Friday prayers in Syrian cities, as they have for weeks.

Every week, the demonstrations have particular themes. May 20 was Azadi Friday in honor of the Syrian Kurdish protesters. Azadi means "freedom" in Kurdish.

A military source quoted by the state-run Syrian Arab News Agency said at least 17 civilians and security personnel were killed on Friday by the unidentified "armed groups" the government has been blaming for the discord.

For two months, Syria has been torn by street protests against political repression and a fierce security crackdown against demonstrators.

The government's fierce actions toward marchers and its thousands of mass arrests have drawn widespread criticism.

Around 830 people have been killed in protests, according to the Syrian Human Rights Information Link.

That number does not include security personnel, many of whom have been killed in attacks by "armed groups," according to the Syrian government.

The United States has imposed sanctions on Syrian President Bashar al-Assad and other senior officials. On Thursday, President Barack Obama singled out Syria for criticism during his speech on the Middle East.

The clashes have spurred people to flee to other countries, such as Turkey and Lebanon.

Seven injured Syrians and four others people crossed the border into Turkey and were brought to Antakya state hospital Friday night, according to a doctor and the Hatay province governor quoted by Turkey's state-run Anatolian Agency.

The doctor at the Antakya State Hospital said the patients were between the ages of 25 and 40 and the injuries stemmed from gunshots. One patient was in intensive care and some of them had injuries on their feet. Another patient who was shot on the eye, was transferred to the university hospital in Hatay.

About 250 Syrians fled to Turkey end of April, mostly from Latakia, on the western coast of Syria. They have been living in a tent camp set up by the Turkish Red Crescent for them in the border town of Yayladagi since then.

Turkish Prime Minister Recep Tayyip Erdogan and al-Assad developed close ties between Turkey and Syria in recent years.

Turkey lifted visa restrictions on Syrian visitors last year. But escalating violence in Syria is increasing worries of the Turkish government which has been advocating a "zero problems" foreign policy with its neighbors.

The U.N. refugee agency on Friday said it is helping serve the thousands of Syrians who "escaped to the border areas of Wadi Khaled and Tall Bire in northern Lebanon. "

"Local leaders say some 1,400 people have crossed into these two regions over the past week from Tall Kalakh in Syria.

"This is in addition to those that have crossed since late April. Local authorities estimate that around 4,000 Syrians have crossed to Lebanon recently," the U.N. High Commissioner for Refugees said.

The agency said many have found refuge with host families or relatives and some have taken shelter in a school.

The Human Rights Watch on Friday said locally elected officials are estimating that 3,500 Syrians "are currently present" in the Wadi Khaled area.

But it criticized Lebanon's security forces for detaining Syrian refugees in some instances.

It said nine Syrian men and a child have been detained since Sunday. The relatives and friends of these people said they fled to Lebanon because they were afraid Syrian forces would arrest or shoot them.

"Lebanese authorities should instead provide them with at least temporary asylum, and above all refrain from deporting them back to Syria," Human Rights Watch said.

"Syria welcomed many Lebanese fleeing war back in 2006," said Nadim Houry, Beirut director at Human Rights Watch.

"Now it's time to return the favor. Lebanon should be offering immediate refuge to Syrians fleeing death or torture in their country."

CNN's Arwa Damon, Yesim Comert, Hamdi Alkhshali, Salma Abdelaziz and Joe Sterling contributed to this report

@highlight

NEW: Casualties reported at the end of a massive funeral procession

@highlight

NEW: A human rights group says at least 44 people died on Azadi Friday

@highlight

11 people, seven of whom were injured, crossed the border to Turkey