New York (CNN)  -- The announcement that Khalid Sheikh Mohammed and four other men accused of the 9/11 attacks will soon be moved to New York to face trial in a federal court will be welcomed by some Americans as finally starting the process of bringing the perpetrators of these attacks to justice.

To date, not one person has been convicted for the attacks. But it also will be a reminder that their boss, the man most responsible for killing 3,000 civilians -- the majority of them Americans but many from all around the world -- is still at large.

President Obama has stated that it is vitally important for the country to put some of the controversial policies of the last eight years behind it. While the forthcoming trial of Khalid Sheikh Mohammed and several figures allegedly involved in plotting the 9/11 attacks in New York will be helpful, nothing would help more than if Osama bin Laden were captured, afforded full due process and put on trial.

It would be nothing short of a watershed moment, doing much to restore the public's confidence in American institutions and the rule of law after years of being told that they were too quaint for the challenges of a new era. And it would go a long way, too, in restoring the moral high ground for the United States in the court of global opinion.

An indictment dating back to 1998 awaits al Qaeda's leader in the Southern District Federal Court of New York, which can be easily updated by a grand jury to include his crimes since. This is where  Mohammed and four others accused of the 9/11 attacks are also expected to be tried.

Less than a mile from ground zero, there could be no more appropriate place to try bin Laden. There is virtually no chance that bin Laden would walk free from a U.S. courtroom as there are at least three separate video recordings of him acknowledging responsibility for the 9/11 attacks.

What's more, the U.S. government, thanks to cooperation agreements struck at the end of previous trials, already has at least three former al Qaeda insiders lined up, including the former Egyptian al Qaeda operative Ali Mohammed, to provide testimony about bin Laden's hands-on involvement in the 1998 African Embassy Bombings.

A trial for bin Laden in federal court would be somewhat less problematic for prosecutors than for some of the high value detainees now being held in Guantanamo. No "enhanced interrogation techniques" have been employed on al Qaeda's leader.

Capturing bin Laden will, of course, not be easy. There has been no meaningful intelligence on his location since he escaped from Tora Bora in December 2001. And bin Laden, believed now to be somewhere in the mountains between Afghanistan and Pakistan, will likely do everything he can to avoid being taken into custody.

"According to our security arrangements, if enemy forces surrounded Sheikh Osama and there was a possibility that he would escape, I was to kill him before they could catch him alive. ... I constantly stood behind his back around the clock," Abu Jandal, bin Laden's chief bodyguard until 2000, later revealed.

Despite this, the Obama administration would be well advised to put its emphasis on capturing bin Laden alive, such would be the benefits of a public trial.

The Obama administration will feel obliged to target al Qaeda's leader with a Predator strike if there is a narrow window of opportunity -- no other individual inspires and unifies al Qaeda like he does, and few have been as slippery -- but if intelligence suggests bin Laden has been living for some time in a particular location, real consideration should be given to sending in a Special Forces team to take him alive.

The Bush administration, while often repeating the mantra of needing to "capture or kill" al Qaeda's leader, in practice leaned heavily toward the latter. The leader of the Delta Force team charged with tracking down bin Laden at Tora Bora later recalled, "We knew the writing on the wall was really to kill him. No one wanted to bring Osama bin Laden back to stand trial in the United States somewhere."

Those in favor of quietly killing al Qaeda's leader have argued that a public trial would be dangerous because it would provide bin Laden with a global platform for his views and unleash a wave of terrorist attacks and kidnappings by his comrades in efforts to release him.

These are concerns that cannot be dismissed lightly. In a federal trial, bin Laden would have the right to defend himself and the media frenzy over proceedings would likely dwarf even that of the O.J. Simpson trial. In the past there has been a link to the imprisonment of individuals beloved of al Qaeda and terrorist violence.

As CNN analyst Peter Bergen documented in "The Osama bin Laden I Know," the 1993 arrest, trial and imprisonment in the United States of Omar Abdel Rahman (aka the Blind Sheikh), was a central motivating factor for al Qaeda's terrorist campaign thereafter.

In deciding to try Mohammed in New York, the Obama administration has clearly decided that the benefits of public trials for high profile terrorism suspects outweigh such dangers. Joshua Dratel, a defense lawyer who has represented clients in several of the most high profile terrorism trials in the United States, says, "So what if bin Laden were to articulate his views in court?" Says Dratel, "He already has a global audience every time he puts out his recordings, but this time the platform would in reality belong to the United States."

Those familiar with those recordings (which have rarely been aired in full by mainstream media outlets) can attest to the fact that bin Laden's rambling speaking style, his shallow knowledge of Islam and his often twisted logic are unlikely to make his courtroom pronouncements resonate with those who are not already fervent admirers.

That will particularly be the case if his public defense follows a full documenting by the prosecution of the human suffering he has orchestrated over the years, evidence which should prove devastating to those who still deny bin Laden's culpability. "The vast majority of people in the Muslim world have rejected bin Laden's calls for attacks on civilians," says Yosri Fouda, a leading Egyptian television presenter, "and nothing bin Laden could say during a trial could change that."

Would bin Laden's capture lead to a spike of attacks against American interests? This is possible to some degree but al Qaeda can hardly be accused of having shown any restraint whatsoever in targeting Americans since it declared global jihad in 1998. Conversely, convicting bin Laden could -- in the medium term -- lead to a steep drop in al Qaeda violence. While martyrdom would seal bin Laden's status in the jihadist movement, capture would seriously deflate it.

Abu Jandal, bin Laden's bodyguard put it this way: "In the case of his death, I think he will be a symbol for all those who follow him.... His death will be a great force for stirring up everybody's emotions and enthusiasm to follow him on the path to martyrdom. In the case of his arrest, the situation might be a bit different. It might lead to a strong psychological defeat for the group's members."

A trial for bin Laden, undertaken with due process, would not only help the United States take back the moral high ground in the court of global opinion, it would also serve as a powerful counterpoint to the indiscriminate barbarism of bin Laden's terrorist campaign. The affording of due process, even of the worst of enemies is line with the best instincts of the American people.

A month after 9/11, when emotions were at their most raw, an Ipsos poll showed that nearly as many Americans said they wanted bin Laden tried (42 percent) as said they wanted him instead killed (49 percent). There has been no comparable poll since, but given Americans voted overwhelmingly for a president who vowed to shut down Guantanamo, it would not be farfetched to suggest that the number favoring a trial for bin Laden has substantially increased.

At the National Archives in May, President Obama made a keynote speech on national security and detention. "Wherever feasible, we will try those who have violated American criminal laws in federal courts --- courts provided for by the United States Constitution. Some have derided our federal courts as incapable of handling the trial of terrorists. They are wrong. Our courts and juries, our citizens, are tough enough to convict terrorists," he said.

A trial for bin Laden, if he can be captured, is not just feasible, but at this juncture in American history would be invaluable.

The opinions expressed in this commentary are solely those of Paul Cruickshank.

@highlight

Alleged 9/11 conspirators are to be put on trial in New York

@highlight

Cruickshank says Obama should put emphasis on capturing bin Laden for trial

@highlight

He says a trial would allow U.S. to show evidence of harm done by bin Laden

@highlight

Cruickshank: Trial of bin Laden would show strength of U.S. institutions