(CNN) -- Christian Sylt is the co-author of Formula Money, an annual report examining all aspects of Formula One's finances with detailed data on teams, drivers, sponsors and races. Here, he answers key questions about F1's financial model.

Who owns F1?

Christian Sylt: The actual Formula One Group -- the companies that own the commercial rights to F1 -- is made up of multiple companies. We are talking about 30-40. They invest in multiple jurisdictions -- the UK, Jersey, Luxembourg, Switzerland, all over the place -- but the parent company of the group is called Delta Topco and they are based in Jersey. So, the owners of that you could say are the ultimate owners.

It is 35.5% owned by a private equity firm called CVC Capital Partners. The second biggest shareholder is an American company called Waddell and Reed -- they have got in the region of 20%. The third biggest shareholder is the estate of Lehman Brothers -- they have somewhere in the region of 12%. Bernie Ecclestone's family trust has circa 10% and Ecclestone himself has around 5%. It's a complicated structure.

How well is F1 doing financially?

CS: F1 is incredible really. I've never seen a company like F1 in terms of revenue generating potential. Over the past five years we've had one/two recessions and its revenues and profits have gone up. The revenues last year were $1.6 billion, 2011 was definitely $1.5 billion. Going back to 2007/08 it was in the region of $1.2 billion. It's gone up significantly.

How is that money generated?

CS: Generally speaking, $500 million comes from the fees that promoters pay to host races and then another $500 million comes from the fees that broadcasters pay to screen the sport. Then you have circa $250 million coming from sponsorship -- trackside advertisers and series sponsors. The remaining $250 million is coming from things like corporate hospitality.

What's the secret of its economic success?

CS: The key driver of the growth is the fees that come from the circuits ($500 million). Most of these contracts include clauses that increase the rate by up to 10% annually. It's a clever strategy because if you look at the secrets to F1's success you can identify several key points. The move to Asia is one.

It wasn't done out of desire, it was much more out of necessity, although I'm sure Ecclestone would say he wanted to go to these countries. Maybe he did. The F1 calendar is restricted to 20 races a year -- teams refuse to agree to more races -- which makes it difficult to exponentially increase revenues. So what Ecclestone did was take races to emerging markets.

It became apparent to countries such as Singapore, Malaysia, China, India and South Korea that hosting a Formula One race is a good way to put their country on the global sporting map. F1 is the most watched sport in the world -- 500 million viewers a year -- so this is a good way to get your country seen on TV, drive tourism and make yourself look credible alongside other sporting nations.

Do different races pay different fees?

CS: Bigtime. For example, Monza (Italian Grand Prix) you are talking single digits whereas Singapore you are talking in the region of $60 million. Malaysia pays $66.9 million a year. The average fee for hosting is now $27 million and that's driven by these new Asian races. The bottom line with many of the Asia races is that the government will cover the fee because it's promoting the country whereas in Europe, Germany (for example) doesn't need a Formula One race to promote itself.

How much of F1 profits go to the teams?

CS: Essentially, 47.5% of the profits are split between all of the teams. That is what is known as the prize fund. In 2011, profits came to $1.1, 1.2 billion so 47.5% of that amounts to around $400-500 million and that is shared between the top ten. It's not shared evenly, it's based on performance.

In addition to that certain teams get additional money, with Ferrari being the key beneficiary with, as far as I know, 5% of profits all to itself. Then there are two or three funds which are split between the best performing teams -- which generally tend to be Ferrari, McLaren and Red Bull.

The top teams are given that bonus because they have the heritage and the prestige. It's actually an incredibly clever strategy because the reality of the matter is that the majority of the other F1 teams have changed names at least once in the past five years. Caterham was Lotus, Sauber was BMW, Sauber was Spyker. Nobody stopped watching F1 because (of these name changes), but if you get rid of Ferrari, McLaren or possibly now Red Bull that could cause trouble with the viewers.

Why do Ferrari get special treatment?

CS: Ferrari is F1's longest standing team. As far as I know it's the only team that has competed in every year of F1 championship. But critically Ferrari is the only manufacturer-owned team that directly signs contracts with F1 giving the owners more security.

How are teams further down the grid faring?

CS: There is a real risk of teams leaving F1 at the minute because they cannot sustain the competition in terms of funding their outfits. There are question marks over, basically, all the teams bar Ferrari, McLaren and Red Bull. How severe those question marks are is a moot point.

Marussia put in its accounts that it was speaking to new investors in 2011 and when the accounts were filed in October 2012 they hadn't found any new investors. With Caterham the question mark is nothing more than the fact that they have not scored a point.

Their owners have invested more money than any team in the history of any team in F1 to score no points. There were rumors this year that Sauber was looking to sell up before the recent Russian investment.

Red Bull's junior team Toro Rosso was put on the market (in 2008) and taken off the market because there were no bidders. How long is Red Bull going to continue funding that team when it is nowhere near as successful as the other?

How is sponsorship evolving?

CS: What's increasingly happening is that sponsorship deals are being done with F1 owners. You have Rolex and Emirates in the last three/four months alone doing gigantic deals to sponsor F1.

What you get as a F1 sponsor is numerous things. You get packages of trackside advertising around the circuit. Those are probably some of the best value sponsorships in the whole of sport.

What sponsoring F1 offers over sponsoring a team is guaranteed exposure. If you're a team, you could crash out, do badly.

Take a look at McLaren which is doing far worse this year than it did last. It's harder to build a case to invest in a team than it is to invest in F1.

The fact is that F1 can grow, but it's very difficult for a team to expand. The bulk of a team's revenue comes from sponsorship. Teams exist to try and win races. F1 objective is to make profits. There is big difference between them.

Where can we expect to see F1 races in the future?

CS: Thailand is on the cards. Russia is a fact -- they are going (to Sochi) in 2014. Beyond that, there are so many countries knocking on the door. Hong Kong, South Africa, more races in North America -- Las Vegas is a strong possibility. Remarkably, Greece wants to host a race, but I don't think that will ever happen.

What's your overall assessment of F1's finances?

CS: The F1 Group is in better health than it ever has been. The (share) float (on the Singapore stock exchange) is pending.

CVC (Capital Partners) are saying over the next 12 months pending clarity of Bernie Ecclestone's situation in Germany (the F1 boss was recently indicted by a German judge investigating allegations of bribery in the wake of the conviction of banker Gerhard Gribkowsky).

Beyond that, it's a matter of timing. There are question marks over the majority of the teams but provided they stay afloat it doesn't really matter what guise they race under. Could another team drop? Yes. Ecclestone has said himself that 10 teams would be OK.

@highlight

Formula One Group has more than doubled revenues over past decade

@highlight

Over $1.5 billion was generated in 2011 with revenues expected to rise further

@highlight

Fees charged to promoters of Asia races and TV rights money has been key to rapid growth

@highlight

Top teams (Ferrari, McLaren and Red Bull) in good financial health but smaller teams struggling