(CNN) -- Sensing an imminent victory, the government recognized by the international community as the rightful ruler of blood-soaked Ivory Coast said Saturday the other side has committed atrocities, is losing its top generals to defections and is looking for "cannon fodder" for its last stand.

The claims by Patrick Achi, spokesman for Alassane Ouattara, could not be independently verified by CNN and came amid a backdrop of extreme violence in portions of the country, including the western cocoa-producing town of Duekoue.

The International Committee of the Red Cross said 800 people were shot to death there. A United Nations official put the death toll so far at 330.

Guillaume Ngefa, the deputy human rights director at the U.N. mission in Ivory Coast, blamed 220 of the deaths on forces loyal to Ouattara, the man recognized by the United Nations and other global powers as the rightful president. Ngefa said pro-Laurent Gbagbo forces killed 100 people.

The massacre occurred between Monday and Wednesday as Ouattara's Republican Forces led an offensive through the country to the commercial center of Abidjan, Ngefa said.

"We have evidence, we have pictures. This was retaliation," he said, referring to Ouattara's forces.

The Ouattara camp denied the accusations.

"The government firmly rejects such accusations and denies any involvement by the Republican Forces of Cote d'Ivoire (the French name for Ivory Coast) in possible abuses," it said in a statement.

"The government wishes to establish that the situation is quite the opposite," it said. "Forces loyal to former President Laurent Gbagbo, and its affiliated mercenaries and militias that have engaged in countless atrocities in western Cote d'Ivoire, during their flight before the advance of Republican Forces of Cote d'Ivoire."

Ngefa said so far, 320 bodies have been identified and the actual number could be much higher. He said the dead included civilians as well as mercenaries.

Before the Duekoue killings, human right monitors documented 462 deaths in the Ivory Coast conflict. This was the single bloodiest incident yet.

The International Committee of the Red Cross sent a team to Duekoue on Thursday and said most of the victims were civilians, said spokesman Kelnor Panglungtshang in Abidjan.

"They saw the bodies on the streets," he told CNN. "There were so many."

Ngefa said a contingent of U.N. peacekeepers are stationed in Duekoue and are patrolling the town.

The massacre illustrated the bloody nature of Ivory Coast's conflict, now in its fifth month. The violence erupted after a disputed November election led Gbagbo and Ouattara to both claim the presidency.

The international community recognized Ouattara as the legitimate winner but Gbagbo refused to cede power and violence engulfed the nation, escalating this week with a major offensive launched by Ouattara's Republican Forces.

Fierce fighting erupted for control of Abidjan, Ivory Coast's largest city. Gbagbo's forces were thought to be on the brink of defeat but regained key areas Saturday.

They said they retook control of Ivory Coast's all-powerful state-run television network that has been the embattled president's voice in his standoff with Ouattara.

An Abidjan resident, who asked not to be named for security reasons, said the network, which had gone dark after pro-Ouattara forces took control of the building, began broadcasting again Saturday morning.

"In truth, mercenaries, militias and Mr. Laurent Gbagbo's remaining loyalists have suffered a crushing defeat and are in total disarray," Achi said in a statement. "Cornered, they play their last card not from RTI (state TV), but from a television transmitter, placed in a mobile truck, from which they call people, particularly our children, to form a human shield and become cannon fodder for their last redoubt."

The spokesman asked citizens to stay at home and "remain calm."

Ouattara forces control the "entire national territory" and Abidjan, Achi said. Gbagbo's generals have abandoned "this crazy undertaking" and joined Ouattara's army or are refugees, the spokesman added.

State television said an overnight curfew is in effect until Monday. The station, controlled by Ouattara supporters, broadcast reports by the head of the armed forces and police, saying they have sided with Ouattara.

An American teacher, holed up in her Abidjan apartment, told CNN she was frightened and was trying desperately to get help from U.S. or French officials to help evacuate her.

She said she last went to school Thursday and by that afternoon, she could hear the rattle of gunfire and the boom of explosions everywhere. She, too, was not identified for security reasons.

"I am very scared," she said, "because the shelling is intense."

A U.N. peacekeeping patrol came under attack from Gbagbo's forces Saturday in an Abidjan suburb, a U.N. statement said. In the exchange of fire, five members of Gbagbo's forces were shot, the statement said.

Gbagbo adviser Abdon Bayeto blamed the United Nations and global leaders -- including France and the United States -- for Ivory Coast's bloodshed by recognizing Ouattara as the legitimate president.

Ouattara knows he lost the election, Bayeto told CNN, adding that Gbagbo is a true democrat.

"For 30 years there was no trouble in the country," he said. "We are going to be victorious."

Gbagbo's whereabouts were unknown. He has not recently appeared in public and the French ambassador said his residence was empty.

Some 1,400 foreigners, including 500 French citizens, have sought refuge at a French military camp, an unnamed spokeswoman for the French Defense Ministry said Saturday.

The violence has also displaced 1 million of Abidjan's 4 million people.

"The situation on the streets has deteriorated to such an extent that it's just become too dangerous to go outside," said Henry Gray, a field coordinator with Medicins Sans Frontieres, a humanitarian medical group known in English as Doctors Without Borders.

He said doctors were treating civilian casualties, many of them for gunshot and machete wounds, in several western towns.

"There's a lot of pillaging and looting going on, and if you're out on the streets, you're basically a target," Gray said.

Abidjan, said Gray and others interviewed for this report, was now a shadow of its former self.

Renzo Fricke, emergency manager with the group, said 15,000 displaced people remain at a Catholic mission shelter in Duekoue.

"These people are terrorized, and they lack everything, including food," Fricke said in a statement. "They fear for their lives if they leave the confines of the mission to search for food."

CNN's Karen Smith and Moni Basu contributed to this report

@highlight

Ouattara forces say they control "national territory"

@highlight

U.N. official blames some of the killings on Ouattara's forces

@highlight

He says the killings occurred during a military offensive

@highlight

Forces loyal to Laurent Gbagbo retake control of the state-run TV network