(CNN) -- American journalist James Foley was beheaded by his ISIS captors to send a message to the Western world. And he is not the only Westerner held by the militant group.

The video of his execution, posted to YouTube, shows another U.S. journalist, identified as Steven Sotloff. The ISIS fighter makes it clear the captive's fate hangs in the balance -- he will be killed, ISIS said, if the United States does not end its military operations in Iraq.

Thousands of Syrians and Iraqis have been slain by ISIS militants as the Sunni extremist group seeks to build an Islamic caliphate stretching across a swath of territory.

But the execution of Western captives holds greater shock value outside the region's borders -- and represents a powerful propaganda tool.

Alternatively, those hostages, often journalists or aid workers, can be a useful tool if kept alive: either freed for hefty ransoms, used as bargaining chips for the militants' ends or sold on to other extremist groups.

It's hard to know how many captives there are because governments, employers and families tend to keep kidnappings quiet for fear of putting the victims in greater danger while negotiators work to secure their release.

But ISIS is believed to be holding a number of Americans, including Sotloff, a U.S. official told CNN on Wednesday. The official, who spoke on condition of anonymity, declined to identify them or say exactly how many Americans are being held.

Missing journalists

The Committee to Protect Journalists estimates that about 20 journalists are missing in Syria -- most of them local, some from outside Syria. It says many of them are believed to be held by ISIS.

Among them is American Austin Tice, a freelance journalist who was contributing articles to The Washington Post. Tice disappeared in Syria in August 2012. There has been no word of or from him since his abduction.

More than 80 journalists have been abducted in Syria, according to the Committee to Protect Journalists -- a number the organization says is unprecedented in the three decades since it was founded.

Some have been freed, others killed. Often a media blackout on journalists' abductions is lifted only in best- and worst-case scenarios.

It emerged this week that U.S. special operations units were sent into Syria this summer to rescue Foley and other hostages -- but their mission proved unsuccessful.

Richard Byrne, a spokesman for the news website GlobalPost, also revealed that ISIS had demanded a ransom of 100 million euros (about $132 million) for Foley's release. The journalist freelanced for GlobalPost and other news organizations.

'They are innocents'

Foley's mother, Diane, expressed concern for other hostages on the Free James Foley Facebook page.

"We implore the kidnappers to spare the lives of the remaining hostages. Like Jim, they are innocents. They have no control over American government policy in Iraq, Syria or anywhere in the world," she wrote.

Fears for the safety of Westerners held by Islamist militants have also highlighted the different approaches taken by governments when it comes to kidnappings.

The UK government has a hard-line policy of never paying ransoms. The U.S. government also does not negotiate with terrorists. At the same time, other European governments in the past are thought to have handed over cash to terror groups to ensure the release of nationals.

The United States, as in the case with the thwarted Foley mission, has in the past attempted hostage rescues.

Sometimes these can work out, as happened in 2012 when Navy SEALs rescued U.S. aid worker Jessica Buchanan and fellow aid worker Poul Thisted of Denmark after three months' captivity in Somalia. They had been abducted while traveling there for the Danish Refugee Council.

But sometimes such attempts fail. Linda Norgrove, a kidnapped British aid worker, was accidentally killed by a U.S. grenade during a SEAL rescue bid in Afghanistan in 2010.

Tortured, beaten in captivity

While negotiations for potential releases continue, little or nothing is made public about the hostages' plight.

But slowly details are emerging of the experiences endured by Foley following his abduction while on a reporting trip in northern Syria in November 2012.

A source who says he was held last year with Foley told CNN's Bharati Naik that he, Foley and another journalist were held from March to August 2013 in a prison in Aleppo, Syria.

At the time, the source -- who spoke on condition of anonymity -- said they were being held by the Nusra Front, a Syrian rebel group with al Qaeda ties.

At one point, according to the source, there were nearly 100 people -- including European journalists -- in the prison.

The source says Foley and the other journalist, who was not Sotloff, were transferred to an ISIS training camp. Foley and the other journalist, according to the source, were tortured in prison -- mostly beaten.

'Foley had to endure more'

French journalist Nicolas Henin, who was taken hostage in June 2013 with French photographer Pierre Torres, told CNN that he also had been held with Foley in northern Syria before his release this year.

"We spent seven months together out of the 10 months that I was held in captivity. Most of the time our condition was OK -- but at the beginning and end of our time, we were not treated very well," he said, speaking from Paris.

"Foley especially had to endure more because he was American. He was missing his family and would talk often about them."

Foley said he had been initially kidnapped by jihadists fighting in Syria, Henin told France Info radio. That group eventually became part of the ISIS movement.

Henin and Torres were released along with two other French journalists, Didier FranÃ§ois and Edouard Elias, on April 19. It's not known what went on behind the scenes to secure their freedom, but French Foreign Minister Laurent Fabius insisted that France had not paid a ransom, Radio France Internationale reported at the time.

Other Westerners held in Syria also have been released in recent months.

Two Spanish journalists held for more than six months in Syria, El Mundo staff correspondent Javier Espinosa and freelance photographer Ricardo Garcia Vilanova, were freed in March. At the time of their capture, El Mundo said the journalists' captors were reported to be members of a group linked to ISIS.

And a Danish photographer, Daniel Rye Ottosen, was freed in June, the Danish Foreign Ministry said, having been held captive in Syria since May 2013.

CNN's Chelsea J. Carter, Nic Robertson, Barbara Starr and Allison Brennan contributed to this report.

@highlight

ISIS has other Western hostages, including journalist identified as Steven Sotloff

@highlight

Hostages can be useful bargaining chips or exchanged for ransom payments

@highlight

U.S. and UK governments have policy against paying ransom for hostages

@highlight

Abductions are often kept quiet for fear of jeopardizing efforts to secure victims' release