(CNN) -- When was the last time you adjusted your business strategy based on China's changing consumer behavior?

With economic growth, comes consumer maturity. China's emerging consumers are becoming more independent, confident and connected. Like all of us, China's consumers are changing not only demographically and geographically, they are adjusting to choice. Lots of choice. Much of that choice is emerging in the world of e-commerce.

There are nearly 600 million netizens in China and they are beginning to aggressively shop online. The challenge for online commerce outlets is to define just who their customers are and how they make their purchase decisions. In other words, what influences them to spend money online?

What we do know is that men shop differently than women, even when it comes to online purchases. For example, we know that men tend to be more, let's call it, goal oriented when they shop online. But they also tend to buy things specifically for themselves. That said, both sexes are looking for two key things: lower prices and greater convenience.

Nielsen's 2012 annual report on online shopping behaviors of Chinese consumers showed that for a couple of key categories covered in the survey, men were more active than women in online shopping. Eighty percent of male respondents, (vs. 59% of female respondents) went online for consumer electronics purchases, while 71% of male respondents, (vs. 66% of female respondents) went online to purchase services.

With more people shopping on the Internet, we are also seeing online shoppers increasingly becoming impatient as they shop. If they can't easily find what they want, they quickly move on. They want to shop on their terms and their timelines. So, how do we ensure online shopping is embedded in the broader Internet experience for China's online consumers?

According to the survey, 66% of connected consumers were both microblog and social networking site users. The implication for brands would be to use their microblog presence as information delivery centers to combine and bring together all other digital platforms such as a company website, campaign mini-site, social networking brand page and viral video content.

With the high penetration of smart phones, e-commerce evolves a step further to m-commerce. We can see that consumers aren't even waiting to get back home to switch on their computers and start spending. Consumers want to browse and shop whenever they want -- on the subway, while waiting for friends, or even during meal times. Engaging with mobile users is critical in this and most other markets.

Unlike Amazon's dominant position in the U.S., there are many big scale e-commerce players competing fiercely in China, so it might take more time for a standout leader to emerge. For now, existing e-commerce players face expensive challenges surrounding logistics and pricing. Some are also grappling with aligning online and offline shopping experiences. Flexible shopping and delivery/pick-up options are proving popular, particularly when combined with smart promotions across online and offline platforms.

Satisfied customers with successful online purchases are likely to drive more sales as consumers share positive experiences via social media. A Nielsen survey found 85% of Chinese consumers regularly used social media to share their experiences with online purchases.

As retailers look to align and grow their offline and online businesses, the challenge is how to develop successful marketing strategies for the sophisticated Chinese consumer:

1. Earn trust -- Create a trusted environment with your customers and make them feel valued. Every brand should take some time to understand the specific online networks with which their customers engage and to become a part of it. Leveraging trusted experts or appropriate celebrities in China has also been successful in building trust.

The bottom line is that emotion is the key. In a world where the consumer sees hundreds of advertisements in the span of just one day, triggering an emotional response is proven to give your product or brand the attention and recognition it needs to stand out. From there, you build brand dependency; success here will take care of itself as consumers will recommend the product to others.

2. Get connected - Chinese online shoppers are primarily young and educated consumers who are seeking value and convenience. Offering unique product assortments online and giving the consumer multiple convenient options for payment and delivery are also likely to resonate with these shoppers.

3. Communications - Again, social media is a powerful communication platform that is looked at multiple times a day. E-commerce and online shopping flip the traditional store-to-consumer, one-way conversation. Consumers are now searching out retailer websites for specific products and learning about goods via social media. Retailers need to engage in this social conversation and interact with China's tech-savvy consumers who are increasingly open to boosting e-commerce spending. It is also suggested that an integrated online/offline campaign can double your brand's recall.

@highlight

Rust writes advice on capturing e-commerce market as it rapidly changes in China

@highlight

Satisfied customers drive more sales sharing positive experiences via social media

@highlight

Create a trusted environment with your customers and make them feel valued