Haven't we heard this before?

With President Barack Obama weighing possible responses to what the United States calls a major chemical weapons attack in Syria, some are warning of another potential open-ended war if America launches an expected military strike.

Obama's options appear to range from limited missile strikes in Syria to continued diplomatic efforts -- what critics contend is a "do-nothing" approach.

U.S. officials have concluded the Syrian government carried out chemical weapons attacks, the president said Wednesday.

"We have looked at all the evidence, and we do not believe the opposition possessed nuclear weapons on -- or chemical weapons of that sort. We do not believe that, given the delivery systems, using rockets, that the opposition could have carried out these attacks. We have concluded that the Syrian government in fact carried these out. And if that's so, then there need to be international consequences," Obama told "PBS NewsHour."

He also said that he has "not made a decision" about whether to conduct a limited military strike or a strike of over a limited time period in Syria.

While noted hawks such as GOP Sen. John McCain of Arizona call for a robust response intended to weaken Syrian President Bashar al-Assad and turn the tide of the nation's civil war, others worry that the inevitable result will be an inextricable mess.

Opinion: For U.S., Syria is truly a problem from hell

"Just shooting in some missiles isn't really going to take care of the situation and might aggravate the situation," Democratic Rep. Loretta Sanchez of California said Tuesday. "You have Syria tied to Iran. You've got the Hezbollah in neighboring Lebanon.  The whole area is already a difficult area. You have refugees going into other countries."

Sanchez, who sits on the House Armed Services Committee, added that "for Americans to believe that just by shooting a few cruise missiles, we've made our statement and away we go, it's just not the way that I believe this plays out, if that happens."

Her fellow California Democrat, Rep. Adam Schiff of the House Intelligence Committee, said the large-scale use of chemical weapons demanded an international response, but he called for a precisely defined mission intended to limit collateral political fallout or open-ended U.S. involvement.

"I think the use of chemical weapons is really different, qualitatively different, tragically different, and I think we really have to act here," Schiff said. Obama must "make it clear not only to the American people but also to the Syrian people that this isn't going to be the cavalry riding to the rescue to topple" Assad, he said.

At the same time, "this is going to be a punitive, powerful response, a deterrent response to the use of chemical weapons," Schiff said.

"That's important to make sure that we don't get entangled in this war, to try and avoid the consequences" cited by Sanchez, he said. "But I think properly defined, it can be done.  And I think it will be done in concert with our international partners."

McCain said that only a tough response will be effective.

"If it's just some strikes with cruise missiles, then it will not only not do any good, it may be counterproductive and help Bashar Assad with his propaganda," McCain said. He called for reversing the advantage held by Assad's forces on the battlefield "by taking out his air assets, cratering his runways and getting the weapons to the right people so that they can reverse the momentum."

However, Ed Husain of the Council on Foreign Relations said Obama risks wading into a protracted war that will become his legacy with hasty military strikes now.

"By intervening, Syria may well prove to be Obama's war, bequeathed to a new president in 2016," Husain, a senior fellow for Middle East studies, wrote Wednesday on CNN's website. "Civilian casualties are inevitable: The images on our screens will not be Syrians using chemical weapons to kill each other, but American bombs creating carnage and killings in yet another Muslim country."

Syria warns West amid growing talk of military strike

White House: No decision yet

White House spokesman Jay Carney insisted Tuesday that Obama continued to weigh options, and he made clear that any U.S. response to the August 21 use of chemical weapons in suburban Damascus was not intended to bring "regime change."

"We can't wait. We need to act according to our own national interests," a senior U.S. official said Wednesday.

The official echoed the idea that the president has not yet made a decision, but added: "This is moving quickly."

Meanwhile, efforts by the Obama administration to mount international support reaped some benefits. Major NATO partners Britain, France and Germany have called for a tough response in Syria, and a NATO statement Wednesday signaled support for action.

"Those responsible must be held accountable," the statement said. "We consider the use of chemical weapons as a threat to international peace and security."

The NATO language echoed Carney's remarks that sought to justify a military response to what U.S. officials characterize as the worst chemical weapons attack since former Iraqi strongman Saddam Hussein launched a poison gas attack that killed thousands of Kurds in 1988.

"Allowing the use of chemical weapons on a significant scale to take place without a response would present a significant challenge to or threat to the United States' national security," Carney said.

On the same day Obama talked with Canadian Prime Minister Stephen Harper and British Prime Minister David Cameron, Secretary of Defense Chuck Hagel and Secretary of State John Kerry consulted allies and indicated potentially imminent action by a coalition likely to include key NATO partners and regional powers.

Cameron is proposing a U.N. Security Council resolution "condemning the chemical weapons attack by Assad and authorizing necessary measures to protect civilians," but certain opposition by Syrian ally Russia and possibly by China doomed its chances.

Instead, a limited coalition of NATO partners and some Arab League members appeared more likely to provide political backing for Obama to order U.S. missile strikes. An Arab League spokesman condemned the al-Assad regime on Tuesday for the chemical attack.

In another move, the United States postponed its involvement in talks scheduled for this week in Geneva on seeking a political solution to the Syrian civil war. Russia expressed disappointment at the U.S. decision and warned against any Western military strike on Syria, as did Iran.

The United States has already moved warships armed with cruise missiles into the region, and a U.S. official said Wednesday that two Navy submarines also were in the eastern Mediterranean, though it was unclear whether they would be involved in any military action.

Hagel told the BBC on Tuesday that forces were ready to carry out a strike if ordered. A senior Defense Department official told CNN that any strike could be completed "within several days."

"We are ready to go, like that," said Hagel, adding that "the options are there, the United States Department of Defense is ready to carry out those options."

Opinion: How Al-Assad used chemical weapons to poison debate

For almost two years, Obama has avoided direct military involvement in Syria's civil war, only escalating aid to rebel fighters in June after suspected smaller-scale chemical weapons attacks by Syrian government forces.

However, last week's attack obliterated the "red line" Obama set just over a year ago against the use of Syria's chemical weapons stocks.

Vice President Joe Biden made clear that the administration's view of who was to blame for last week's event, telling the American Legion on Tuesday that "there is no doubt who is responsible for the heinous use of chemical weapons -- the Syrian regime."

The White House has ruled out sending ground troops to Syria or implementing a no-fly zone to blunt al-Assad's aerial superiority over rebels fighting to oust his regime.

A first step to any U.S. action will be the public release of a declassified U.S. intelligence report on the chemical weapons that  rebels claim killed 1,300 people. Carney said the report was expected to come out this week.

It would set in motion the process that could lead to missile strikes or other responses, depending on the administration's ability to line up international support and prevent any domestic obstacles.

Legislator: Congress can't 'be pushed aside'

Administration officials will brief some senators on Syria via conference calls Thursday, several sources said.

More than 90 members of Congress, most of them Republican, have signed a letter to the president urging him "to consult and receive authorization" before authorizing any such military action, according to the office of GOP Rep. Scott Rigell of Virginia.

"I appreciate and respect that the president is engaging members of Congress," Rigell said Wednesday in reference to outreach by administration officials to legislative leaders and others. "This is good, and I encourage more of it, both on the Senate side and the House.  But it is not in any respect a substitute for formally calling us into session, a joint session, laying the facts before us without disclosing of course sources and methods of intelligence. Then we, as the representatives of the American people, can weigh in on this as we should."

However, Democratic Rep. Adam Smith of Washington said that "the historical precedence is no, that the president doesn't require congressional action for a variety of different things."

Some Republican senators also noted that the War Powers Act allows Obama to order limited missile strikes and report back to Congress afterward.

Last month, Joint Chiefs Chairman Gen. Martin Dempsey provided Congress with a list of declassified U.S. military options for Syria that emphasized the high costs and risks of what he said would amount to "an act of war" at a time of deep budget cuts.

U.S. official: Almost no doubt al-Assad regime used chemical weapons

@highlight

Obama: U.S. concludes "the Syrian government" carried out chemical attacks

@highlight

He tells "PBS NewsHour" that he's "not made a decision" about military action in Syria

@highlight

NATO echoes Washington's assessment that the attack poses a security threat

@highlight

McCain wants robust action; others warn of an escalating, open-ended conflict