Chicago (CNN) -- Even in the best of times, running a charity isn't easy.

Try doing it during a recession.

"Individual giving has declined. Foundations, which give us funding, have lost money and can't give what they have in the past," said Jim LoBianco, executive director of StreetWise Inc., a Chicago nonprofit that assists men and women who are homeless or at risk of becoming homeless. "We're struggling."

LoBianco's job got easier, however, once he met Judson Kinnucan.

Kinnucan, 37, has made it his mission to collect donated goods in Chicago, sort through them and get them to charities in need.

For LoBianco, help came in the form of free toiletries for the shelters that StreetWise works with. Now, every month, Kinnucan delivers about 200 pounds of donated shampoo, conditioner and lotion and about 1,000 rolls of toilet paper.

During the three years they've worked together, LoBianco estimates, Kinnucan has brought them more than $20,000 worth of products -- for free.

"Judson builds these relationships with donors, gets these products and then brings them to us," LoBianco said. "Having someone that is willing to do all the legwork is essentially saving an agency like us a full-time employee. I can't stress how invaluable he is."

More than 200 charities across Chicago have benefited from Kinnucan's unique brand of assistance. Since 2009, he has collected 145,000 pounds of goods -- estimated to be worth more than $1 million -- through his nonprofit, Bin Donated.

The idea is simple. He places 55-gallon bins across the city, in residential areas and businesses such as dental offices and hotels, where people can deposit reusable goods.

Then, every weekend, he gathers the donated contents, sorts them with the help of volunteers and distributes the goods to local nonprofits that need them.

"When people come up to a bin, I have signage that says exactly what's needed. ... I make sure everything is very focused," Kinnucan said. "I do my research and find out what they need and collect that, or find places that need what I have."

Do you know a hero? Nominations are open for 2013 CNN Heroes

Russell Eiermann, director of housekeeping at Chicago's Drake Hotel, was always bothered by the half-empty toiletries the housekeepers had to throw away at the end of each guest's stay. He'd tried to find groups to come and pick up the items, but for various reasons, it had never worked out. Then he found Kinnucan.

Now, Eiermann's staff collects the used amenities on their carts and puts them in Bin Donated barrels at the end of the day. When the bins are full, Kinnucan picks them up.

"For (him) to actually take this and give it to somebody that needs this is a relief," Eiermann said. "It's nice knowing that my staff is supporting that and there's people getting to benefit from it instead of just tossing it away."

Most charities don't mind receiving partially used goods.

"It's not about aesthetics for our clients," LoBianco said. "Things may not look as pretty as they do if you go into a retail store and buy it over the counter. The fact is that those items, whether it's soap or shampoo or half a roll of toilet paper, (are) critical to the men and women that StreetWise serves."

Kinnucan came up with the idea of Bin Donated when a friend was having a "clean out the closet" event.

The friend asked Kinnucan whether he knew anyone who would pick up all the donations. He didn't, but he had an epiphany.

He had recently left his job as a recruiter, where he had matched people with the right job. Maybe he could do something similar for charities.

"I would be the middleman. Find the goods, pick them up and drop them off," he said. "I would be able to save time and money for these charities, and in turn, they could focus on what they do."

Hygiene products, like those provided to StreetWise, make up the majority of Kinnucan's donations. But over the years, he has collected and distributed thousands of pounds of food as well as school supplies, toys and books.

He is also known locally as the man who will accept any and all donations.

When a sales company had 8,000 pencil sharpeners to contribute, Kinnucan brought them to charities that work with school-age children.

One company donated 150 alarm clocks; Kinnucan gave them to a nonprofit that provides housing to people with mental illness.

And when a local hotel was replacing 75 ice buckets and 55 coffee makers, Kinnucan parceled them out to various nonprofits in the area.

"The idea behind a donation drive has been around for eons," Kinnucan said. "The difference is, I'm collecting for everybody."

There's another benefit to Kinnucan's work: By delivering goods to those who need them, he's also keeping the items out of landfills.

"For a lot of companies or individuals, it's easier to just throw it away -- out of sight, out of mind," he said. "So really, the concept behind Bin Donated is to reduce, reuse, recycle and get another opportunity to have someone to use that item, whatever it might be.

"It's a win-win situation. We help the charities and the environment at the same time."

After working full-time on the project for nearly two years, Kinnucan is now working as a recruiter again and keeping the organization going on weekends. Having sunk his entire savings and 401(k) into the nonprofit, he would love to take his idea national one day.

"Listen, if I won the Lotto, I would do this bigger," he said. "But (right now) I can't, so I'm going to keep on helping the people of Chicago.

"I get dirty and sweaty, and it's back-breaking work, but it's fun, and it makes me happy. I set out to make a difference, and that's what I'm doing."

Want to get involved? Check out the Bin Donated website and see how to help.

@highlight

Judson Kinnucan collects donated goods and gets them to charities in need

@highlight

Whether it's hygiene products, food or school supplies, he wants nothing to go to waste

@highlight

Many charities in Chicago lean on his efforts as they struggle for funding

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes