(CNN)A trio of disasters that battered American journalism -- the suspension of NBC anchor Brian Williams, followed by the unrelated deaths of CBS correspondent Bob Simon and New York Times media critic David Carr -- could not come at a worse time for the news business.

To see three nationally well-respected leaders in the field vanish in a week's time has left many in the news business shaken. Williams deserves the least sympathy; he caused his own unpaid suspension by repeatedly distorting and exaggerating key facts about a story he helped report over a decade ago, a breach that calls into question the level of quality control at a network that made him the face of news to 9 million nightly viewers.

By contrast, the loss of Simon and Carr is an unmitigated tragedy.

Simon, killed in a car accident, won dozens of Emmy awards and famously put his life on the line in 1991, when the forces of Iraqi dictator Saddam Hussein held him and his news crew captive for 40 days, during which they were blindfolded, beaten and threatened with death.

Carr was a fearless critic of media and was unafraid of exposing the inner workings of even the most powerful companies -- including his own beloved New York Times, which he took to task for firing ex-executive editor Jill Abramson in an essay that my friend and journalist John Avlon and I included in a list of the best newspaper columns of 2014.

Simon and Carr were professionals who graced their chosen field and showed how much good you can do with skill, grit and integrity. As one media critic put it, "Both were classic, fearless, old-school journalists who stayed at the top of their craft for decades, winning plenty of awards for their work ... but more importantly, the respect of both their readers and those in the industry."

The loss of two stalwart truth-tellers leaves journalism weaker when it needs to be stronger on behalf of the public. Media organizations, already reeling from shrinking audiences, have recently been forced to weather an unprecedented level of government stonewalling of basic information.

"This trend has been especially pronounced in the federal government," read a blistering letter from the Society of Professional Journalists to the Obama administration. "We consider these restrictions a form of censorship -- an attempt to control what the public is allowed to see and hear."

Equally disturbing is the fact the Obama administration has conducted more criminal prosecutions of whistleblowers under the Espionage Act compared with any of the previous administrations. Seven, to be precise.

Add a dose of direct violence -- notably, the recent kidnapping and beheading of journalists James Foley and Steven Sotloff by ISIS -- and the challenges confronting an already troubled news industry start to look like the stuff of nightmares.

That's the bad news. The good news is that a rising generation of journalists, journeymen who have been perfecting their craft for years, are preparing to take the reins of leadership in the nation's major newsrooms.

Here are three of the best, whose success is a reason to cheer. Full disclosure: I have worked with all of them, and consider each of them dear friends.

Maggie Haberman, a longtime political reporter for Politico, graduates this week to a prominent post at The New York Times, where she will anchor the paper's politics web section and help drive coverage of the 2016 presidential campaign.

Ben Smith, editor in chief of Buzzfeed, recently scored a one-on-one interview with President Obama that is notable, in part, because Buzzfeed, which started less than a decade ago, is considered a leader among the new digital organizations that attract and cater to young millennials.

And John Avlon, editor in chief of the Daily Beast and a CNN contributor, took the reins after the departure of Tina Brown and is growing the organization by leaps and bounds, deepening its national security coverage alongside a lively coverage of the mechanics of Hollywood and Washington.

A cadre of opinion journalists -- notably, Chris Hayes and Joy-Ann Reid on the left, S.E. Cupp and Will Cain on the right -- are diligently building reputations for wit, insight and creativity at a time when Americans are looking for new faces and voices.

We have, indeed, lost some great, brave journalists lately. May the new generation live up to the legacy we've inherited.

@highlight

A trio of disasters that battered American journalism could not come at a worse time for the news business

@highlight

The suspension of Brian Williams, and the deaths of Bob Simon and David Carr, are unfortunate and sad