(CNN) -- U.N. energy chief Kandeh Yumkella knows first-hand what access to electricity can bring to the developing world.

Growing up in the West African country of Sierra Leone, he would often study by candlelight as frequent blackouts would leave his university dormitory without power supply. Today, as director general of the United Nations Industrial Development Organization (UNIDO), Yumkella is using his experiences to ensure no one in the world is left in the dark.

An outspoken advocate of energy access, Yumkella is working to prove that there are smarter power strategies that can benefit all nations.

"I advocate that let's have poor people get energy -- 1.3 billion of them who have no electricity at all," he says. "If we're going to lift eight billion people by 2025 or 2030, you need energy access."

The passionate and influential energy leader was appointed director general of UNIDO in 2005. Now, in his second and final term, Yumkella is aggressively promoting the "Sustainable Energy For All" program -- a U.N. initiative bringing together governments, businesses and civil society groups to transform global energy systems by 2030.

Read related: Harnessing pedal power to light up Africa

Yumkella, a former minister for trade, industry and state enterprises in Sierra Leone, travels the world encouraging world leaders and other highly influential people to join in what he believes will help fight poverty and strengthen nations. He wants to find and install cleaner, renewable alternatives that enhance energy production and are friendlier to the environment.

Yumkella spoke to CNN about the U.N.'s energy strategy, plus his personal story and his work for Africa. An edited version of the interview follows.

CNN: One of your big topics has been energy access to end energy poverty.

Kandeh Yumkella: We are convinced that without access to energy you cannot achieve the Millennium Development Goals. I know from my experience growing up in Sierra Leone, going back there today, that if you don't have access to energy you can't talk about closing the digital divide...you cannot talk about getting manufacturing done.

The Secretary General calls energy the golden thread that runs through all the development pillars. In fact, 60 to 70% of the greenhouse gases that are causing climate change come from energy systems. So if you want to fix climate change, you need an energy revolution.

CNN: Do you think it's possible to eliminate energy poverty around the world by 2030?

KY: We believe it's doable. We have the best minds working on this, our friends from the United Nations, friends form the World Bank, the international energy agency. We feel very excited because we just got a big boost in Rio...over 50 developing countries stepped forward wanting to be part of this initiative. The challenge now: we've got billions of dollars of pledges -- how do you convert pledges to real action on the ground over the next 10 years. Can we hold ourselves and countries and businesses accountable that what they pledged they really meant to do?

Read: In the dark -- South Africa's haphazard electricity supply

CNN: Can you explain the connection between ending poverty and energy?

KY: For me that's our role in the U.N., to make that connection to see the possibilities of transformative change that spreads prosperity for all. If we don't do it and we become nine billion and one third of mankind is still poor but yet we've taken all their raw materials to be prosperous, there will be insecurity around the world.

CNN: What are your frustrations that you have, particularly when it comes to finance?

KY: The frustration is that because sometimes of narrow political interests you see people knowing what to do, believing in what to do but for the sake of short term political gain -- because they have to stand for election in four years -- they decide not to support a cause. We call it in global governance short-termism. So you are trying to talk to them about transformative change for 10 years and they're like "OK, yeah, right. I have elections coming up next year. I need to talk about populist topics now."

Read: Pay-as-you-go solar power lights up rural Africa

It's the same with development corporations we see for example in the context of Africa. People talk a lot about poverty reduction but they don't want to talk about wealth creation in Africa. But you have to create wealth in Africa, you have to help those economies move into the industrial age. If African population is going to be 1.3 billion by 2030, two billion almost by 2050, most of those people living in the cities you must to talk about wealth creation, you must talk about manufacturing to transform those economies -- otherwise there will be crisis.

People forget that this so-called Arab Spring revolution started in North Africa, that's Africa -- it was about youths demanding jobs, yes, there was governance issues but at the end of the day it was about jobs and prosperity and lack of vote. The rest of sub-Saharan Africa need that change. But people rather talk about poverty alleviation, saving the poor people in Africa than talking about a true partnership with Africa to transform those economies. That's politics. That's an old paradigm of development in Africa: Africa as a receiver as a poor nation, "save their souls." No, it is about partnerships, it's about making Africa a viable entity in a 21st century global economy. That's the issue. Politicians will talk about poverty because it's a little bit more sexy.

CNN: What needs to happen in Africa?

KY: I always say to people, we Africans don't want to be basket weavers forever, that's not what my child is looking for. She's in a wonderful university somewhere, she wants to come back to Africa and have a good job.

Africans themselves need to think differently today. They must believe that they can transform. Look at what globalization did in the last 20 years, lifting 200-300 million people out of poverty in India and China alone. If poor countries, particularly in Africa, depend only on commodities, they will remain poor. That is my message, that is my advocacy in the world -- and to do that, you need infrastructure, you need energy, good governance, education, market opportunities and global partnerships.

@highlight

Kandeh Yumkella is the director general of the United Nations Industrial Development Organization

@highlight

He wants to end energy poverty by 2030 so no one on the planet will be left in the dark

@highlight

He is working to prove there are smarter energy strategies that can benefit all nations

@highlight

"Without access to energy you cannot achieve the Millennium Development Goals," he says