(CNN)More than once accused of being culture-free, Australia's third largest metropolis has a culture all its own, shaped by a palm-swaying climate.

Cultural survival in the river-looped city relies on respecting some vital local lore.

In the words of one local paper, "You're not from Brisbane until you ..."

Get undressed

This is the first lesson foreigners learn on visiting Brisbane, wedged along an eastern coastline lined with impressive beaches.

Getting rid of unnecessary clothes is a question of survival.

Too hot to bother with full and formal attire, dress code boils down to beachwear, skimpy dresses, shorts and thongs. Short-sleeved shirts will generally be more than accepted for business folk.

Friendly reminder: In all of the country the 'thong' isn't a sexy strip of underwear, but the cherished Aussie term for flip-flops.

Only Brisbanites, jibes the local Courier Mail newspaper, will reach for a cardy (a cardigan) if the thermometer falls below 22C (72 F) -- which it rarely does.

The dream climate has sucked in sun worshipers from all over the world -- one quarter of the population are foreigners.

Start using "Brissie" and "togs"

Brisbane has its own lingo.

A swimming costume is no longer a "cozzy," as for other Aussies.

Or swimmers or bathers.

Those in Brissie call them "togs."

Oh, and in this sport-worshiping state, "The King" isn't Elvis but former homegrown sporting star Wally Lewis.

Informalities come away like layers of clothes.

"Mate," "hey," "ay" and "but" punctuate conversation.

People here call Queensland Premier Campbell Newman "Can Do" -- to his face!

They also debate the relative merits of the "Goldie" (Gold Coast) to the south, and "Sunny" (Sunshine Coast) Coast to the north.

Like all Queenslanders, Brisbanites cop often unnecessary flak for speaking slowly, perhaps on account of the heat.

Be ready for the storm

Subtropical climes mean rain -- buckets of it.

And hailstones the size of golf balls -- they're declared "natural enemy" number one by Brisbanites.

Lighting and thunder are also familiar villains. The storms are regularly spectacular and also very damaging.

Severe flooding has hit the city and state in recent years.

Living in the city means always carrying a lightweight waterproof -- and being ready to take cover from the storm.

Live the River

The Brisbane River is the city's lifeblood.  (And it's not uncommon for sharks to be caught in sections of the river).

Unfurling 16 kilometers (10 miles) inland from the Pacific Ocean, it Big Dippers through the city around a series of beak-shaped headlands.

The river is a ticket to ride through one of Australia's greenest urban settings.

In forward-thinking Brissie, thickets of skyscrapers and urban bush land meet.

You have to cruise the river to experience the city's most iconic public transport -- the ferries.

Free CityFerries and faster CityCats zip round a network of 24 terminals, allowing passengers to hop on and off to lap up Brisbane's watery character.

Ferries run from 6 a.m. to midnight, daily.

Go walkabout

Outdoor activities are Brisbane's chief modus operandi.

City overseers are prioritizing pedestrian and bike friendliness.

Brisbanites wake up before dawn to dart about along verdant harborside paths or on the 24-hour CityCycle biking sharing plan.

A circuit-walking trail links the foreshore Botanic Gardens, Parliament House and Old Government House.

Pedestrians can follow it across the river, via the car-free Goodwill Bridge, and walk through South Bank's museums and restaurants.

The stunning LED-lit Kurilpa footbridge will take you back to the central business district.

Nicknamed "sticks bridge" (due to its spiky appearance), it was the world's largest solar-powered bridge until London's Blackfriars stole its thunder last January.

The "tensegrity" construction relies on tension in the cables between the pillars to stay upright.

Go suburban

Australian suburbia is the spread that doesn't fit in a Vegemite jar.

Being a few miles upstream from the city center in Brisbane is no crime.

In fact it's seen as a lifestyle plus.

Hot to trot neighborhoods dot the riverbanks -- Fortitude Valley (or just the Valley) and Paddington have vibrant restaurant and bar scenes.

Further along from trendy Teneriffe in New Farm is Bulimba.

Proliferating swimming pools and architect-designed homes have seen median house prices here outstrip $1 million.

But there's a breezy village feel among Oxford Street's bookshops, cafes and cinemas.

Ferrying here, you'll get a sense of leaving the city behind, as bushy reserves surge.

Picnic in a park

The picnic is the crux of Brisbane's public bonding culture.

Locals head en masse to riverside parks for picnicking, barbies and mingling.

With 1,820 parks and gardens, this is supposedly Australia's most bio-diverse capital.

It aims to be its greenest by 2016 -- carbon neutral and crammed with trees.

Sprawling greens, multipurpose pathways and barbecue areas flank riverbanks north (city side) and south.

The Brunswick Street ferry stop will land you in New Farm Park.

Some 18,000 people flood here every week according to management, "to picnic, play, eat, dance, ponder, gaze and wonder."

You can also awe at the willowy Queenslander houses, perched high on flood-defying stilts.

Get cultural

If you don't cross the Brisbane River, you risk missing all the culture concentrated on the southside.

Comedian Barry Humphries -- aka Dame Edna Everage -- helped spark the great Brisbane cultural debate with the disparaging quip: "Australia is the Brisbane of the world."

These days, cries of intellectual destitution are difficult to sustain among the billowing art and science institutions of South Bank.

The capital for culture is Stanley Place.

The white-stone-swathed "Cultural Precinct" is home to the Queensland Art Gallery and Gallery of Modern Art.

Collectively they're known as "QAGOMA."

Entry is free, barring special exhibitions.

Love thy mall

Brisbane's "big country town" reputation of the past lives on in pockets of the beloved Queen Street Mall.

The downtown strip is a mishmash of Seventies shops, ultra-mod glassy office tower-hotels and steel clad sunshades.

The 26-point City Centre Heritage Trail shows you the colonial anachronisms among the flourishing skyscrapers.

Church spires and Edwardian-Baroque facades from the 1800s mingle with neon casino lights and bar upon bar.

Brisbane's love of blingy buildings and nightlife spawned its endearing tag, BrisVegas.

Down a lager

Brisbane pub culture is perched somewhere between traditional drinking holes and sleek modern emporiums.

Once grabbing a pint of XXXX (pronounced "four-ex") beer while singing along with locals as they croon "Love you Brisbane" is a good way to get involved.

Nowadays the drinking scene -- like the city -- is a lot more sophisticated, with a wide range of Australian brews (large and micro-breweries) available pretty much everywhere. Not to mention the rising crop of cocktail and wine-focused bars.

Know your wildlife

Australians love their nature and wild beasts.

Be warned -- in Brisbane "local wildlife" may refer to two-meter-long pythons, dwelling in people's backyards.

Not to a raucous night out on the town.

Tasmanian-born Tamara Thiessen is a freelance writer who has written guidebooks to Australia, France, Italy and Malaysia, and cultural histories of Sydney and Rome.

@highlight

Australia's third-largest city, Brisbane has a local culture all its own

@highlight

Picnics are a primary form of social bonding

@highlight

The city has its own lingo and celebrities known as "Can Do" and "The King"

@highlight

"Fourex" doesn't mean "forex" here. Read on to find out what it refers to