President Barack Obama called for a "sustained conversation" surrounding the relationship between police and the communities they serve after a series of meetings with Cabinet members, law enforcement officials, young activists and others on Monday.

The meetings follow a week of sometimes violent protests that swept the nation following the decision by a grand jury last Monday not to indict a white police officer in the shooting of an unarmed black teenager in Ferguson, Missouri.

Later on Monday, Attorney General Eric Holder, speaking in Atlanta, said the federal investigation of the incident is ongoing.

"The Justice Department's investigation into the shooting death of Michael Brown, as well as our investigation into allegations of unconstitutional policing patterns or practices by the Ferguson Police Department, remain ongoing and active," he said. "They have been rigorous and independent from the very beginning."

Members of the Congressional Black Caucus also spoke out on Ferguson and broader racial tensions in the United States.

"The Ferguson grand jury's decision not to indict former officer Darren Wilson was yet another slap in our face. It was a painful reminder that just like with Trayvon Martin and Tamir Rice and so many others that law enforcement officers killed - black and brown men and boys - without repercussions," said Rep. Marcia Fudge, D-Ohio, chair of the Congressional Black Caucus, the House floor.

"The fact that our country - the greatest country in the world - remains mired in race relations issues in the year 2014 is an embarrassment," she said. "If we are to learn anything from the tragic death of Michael Brown, we must first acknowledge that we have a race issue that we are not addressing."

The incident, and subsequent months of unrest in Ferguson, set off a national debate over the tactics and tools used by law enforcement to keep the peace, which critics said were at times too aggressive.

According to the White House press pool report, Obama told a crowd of about 50 activists, law enforcement and elected officials that the problem is "solvable," but that there needs to be an ongoing discussion of the issues uncovered by Ferguson.

"[This is] not a problem simply of Ferguson, this is a problem that is national. It is a solvable problem, but it is one that unfortunately spikes but fades into background," he said. "What we need is a sustained conversation...to move forward in a constructive fashion."

Obama held his first meeting with members of his Cabinet -- Holder, Treasury Secretary Jack Lew, Homeland Security Secretary Jeh Johnson attended, as well as deputy Defense Secretary Robert O. Work and Michael Botticelli, the acting director of the White House Office of National Drug Policy. They discussed a review Obama ordered in August of federal funding and programs that provide equipment to state and local law enforcement agencies, according to the White House.

A White House official confirms a presidential trip to Ferguson was indeed under consideration last week after Obama was asked by CNN about the possibility of such a visit just as the unrest was flaring up again in the Missouri city.

But because the issues that arose in Ferguson are more widespread than one incident in one community, the official said, White House advisers decided on what is described as a more comprehensive approach of convening a large group of stakeholders from cities around the country to tackle the issue in a more thorough manner.

A trip to Ferguson has not been ruled out in the future.  But it appears for now, the White House is opting for the route they are taking this week.â€‹

During his remarks Monday afternoon, Obama admitted that past task forces have fallen short, but said that "this time will be different because the president of the United States is deeply vested in making it different."

RELATED: Obama preparing executive order on police militarization

Following his Cabinet meeting, Obama hosted a group of young civil rights leaders â€” including representatives from the Ohio Students Association and the Howard University Student Association â€” in the Oval Office to discuss, per the White House, "the broader challenges we still face as a nation, including the mistrust between law enforcement and communities of color."

And he then sat down with elected officials, law enforcement officials and community, civil rights and faith leaders from around the nation to discuss ways to "build trust" between communities and law enforcement. That meeting included the mayors of Boston, Mass., Milwaukee, Wisc., New York, N.Y., Gary, Ind. and Philadelphia, Pa, as well as representatives from a number of police organizations and both the Baltimore and Philadelphia police departments.

The Rev. Al Sharpton was in attendance as well, along with representatives from the National Association for the Advancement of Colored People, the National Council of La Raza, the American Civil Liberties Union and others.

Sharpton called it an "historic evening," and said he came away with the sense that the president and the administration are putting their weight behind their groups' recommendations. He did caution, however, that this meeting cannot be "an isolated incident" and needs to be followed by action.

National Urban League President Marc Morial said the meeting was unlike any other he's participated in and featured "candid, open, productive, substantive conversation." He called today's actions from the president "meaningful."

Holder is also set to address the events in Ferguson during a Monday night forum at Ebenezer Baptist Church in Atlanta, Ga., a church where Martin Luther King Jr. once preached. Civic leaders, students, community leaders and others have been invited to the forum, and Holder plans to give remarks afterward.

The day's events come as protests continue into their second week. On Monday, protesters snarled traffic throughout Washington, D.C. by blocking main roadways across the city, according to the D.C. Police Department.

@highlight

President Barack Obama met with members of his Cabinet and civil rights leaders Monday

@highlight

Obama discussed the "disintegration of trust" between police and the communities they serve

@highlight

The White House reportedly considered, then rejected, a trip to Ferguson for Obama