(CNN) -- When Tropical Storm Washi ripped through the southern Philippine city of Cagayan de Oro last weekend, it dumped in one day more than the city's entire average rainfall for the month of December.

According to the Philippine Atmospheric, Geophysical and Astronomical Services Administration, a total of 181 millimeters of rainfall was recorded in the area last Friday, compared to the expected 99.9 millimeters for the whole month.

The devastating flash floods, which have so far claimed the lives of more than 1,000 people, arrived just weeks after a report from the UK's Met Office Hadley Centre for Climate Change indicated that global warming has significantly increased the number of people at risk from flooding.

The report, "Climate: Observations, projections and impacts," examined how climate change will modify the weather in 24 countries around the world.

While findings vary from region to region, it forecasts an overall increase this century of coastal and river floods, extreme weather events and a global temperature rise of between 3-5C, if emissions are left unchecked.

According to climate change experts, cities from New York in the U.S. to Dhaka in Bangladesh are likely to be heavily affected.

Migration

Simon Reddy, executive director of the C40 Cities network, which promotes sustainable development among local city authorities around the world, says this could be a catalyst for migration into urban areas.

"If the forecast temperature rise is accurate, then entire countries could be irrevocably damaged in certain parts of the world -- and their inhabitants will have to find somewhere else to live," he said.

To illustrate his point, Reddy says that a third of flood-prone Bangladesh, in South Asia, could be made uninhabitable by a two-foot (60 cm) rise in regional sea-levels.

The Met Office report echoes this point, predicting that climate change will subject an additional five million people in Bangladesh to floods, if they continue to live in the same place.

"Where are they going to go?" asks Reddy. "In most cases they'll move to where the opportunities and the jobs are -- the nearest habitable city."

With 70% of the world's population expected to live in cities by 2050, according to figures from the U.N., the impact of climate change on the urban environment appears more pressing than ever before.

Floods

Historically, cities built up around water highways and coastal regions have flourished due to their association with maritime trade and transport, said Jan Corfee-Morlot, senior climate change analyst for the OECD.

"This means that a disproportionately high number of the world's cities are located in areas that are now increasingly at risk of floods," she added.

According to Morlot, recent risk studies from the OECD as well as the newly published data from the Met Office report predict that extreme "once-in-a-lifetime" weather events such as flash floods and coastal hurricanes are going to become significantly more commonplace.

But, she says, it's not just cities in the developing world that are ill-equipped to manage the problem.

"In America alone -- New York, Miami, New Orleans -- these cities face terrible exposure to floods, and unlike cities such as Rotterdam (in the Netherlands) -- they do not have the defenses to prevent them."

In the future, Morlot believes that major cities will have to adapt to the reality of regular flooding by building new infrastructure, such as vast flood barriers and "evacuation avenues" -- wide roads with dedicated lanes for emergency vehicles.

Extreme heat

Global temperatures are projected to rise by between three to five degrees over the next century, according to the Met Office.

Dr David Dodman, senior researcher at the International Institute for Environment and Development, says that temperatures in the city will far exceed that, due to a phenomenon known as the "urban heat island effect."

"The built environment tends to absorb heat during the day and release it slowly at night, so there's little opportunity for the city to cool down" he said. "This means that temperature rises from climate change will be significantly exaggerated in urban areas."

Aside from increased instances of heat-related deaths, particularly among the elderly population, Dodman says that the "wicked irony" of the urban heat island effect is that it stimulates a demand for air conditioning.

"In places like Delhi, we're seeing a growing middle class use their wealth to pay for electricity-hungry air-conditioning units, which contribute to global warming, and this of course creates a negative feedback loop."

Water shortages

According to Dodman, the predicted rise in global sea levels pose a threat to city aquifers -- underground wells that provide a source of fresh water for many urban settlements around the world.

"In coastal cities, the rise causes 'saline intrusion' -- where salty water gets into the fresh water aquifers, making it undrinkable" he says.

In addition, Dr Doug Crawford-Brown, executive director at Cambridge University's Centre for Climate Mitigation Research, anticipates that stock piles of bottled water will be have to be rationed when fresh water distribution systems buckle under the impact of city floods.

"Even in a developed city like London, which is very well protected by the Thames barrier, high intensity rainfall could create problems with the old sewage system -- causing the potential spread of microbial disease," he said.

Adaptation

Simon Reddy believes that urbanities of the future will be defined "not just by how they restrict their own contributions to climate change, but by the infrastructure and policies they employ to defend against the consequences of it."

To this end, Reddy says that many of the cities in the C40 network have already started to implement adaptive measures.

"In Seoul, for instance, they have removed a highway and restored an ancient river running through the city. This creates a wind corridor to it keep cool, and will also help drain water away in times of high rainfall," he said.

Meanwhile, New York and Tokyo have led the way with green rooftops and urban gardens.

"Urban green spaces are going to be more critical than (they have) ever been," he said. "Not only do they absorb heat and rainfall -- helping to keep cities cool and dry, but they provide opportunities for small scale food cultivation -- so city dwellers can become a little less dependent on imports."

For Matthew Kahn, economics professor at the UCLA's Environment Institute, the accelerated urbanization caused by climate change, will mean that for most cities, the only way is up.

The professor, whose book "Climatopolis" details how future cities could turn climate change to their advantage, says that he expects future modern cities to accommodate the flood of migrants by building energy efficient high-rise residential tower blocks, over small areas of land -- "much like we see in Singapore today," he said.

@highlight

Tropical storm in Philippines comes just after report on climate change predicts floods

@highlight

Climate change refugees are catalyst to urbanization, stretching city capacity

@highlight

Climate scientists predict how effects of climate change will impact city

@highlight

Floods, droughts, and "urban heat islands" among common characteristics