Warsaw, Poland (CNN) -- I stopped on a recent night in front of the palace of the Polish president. I had no choice: The crowd stood so thick that I could not move. We were hemmed between the buildings on one side of the sidewalk and a police barrier on the other. The wide pavement between was obstructed by gawkers watching a strange performance: a weird seemingly incomprehensible little passion play of stereotyped figures.

What the hell is this? I asked an onlooker wedged against me. I kept asking. He answered, but in Polish, leaving me no wiser.

I had stumbled across the summer's big political conflict in Poland: the site of a wooden cross placed to commemorate the accidental death of Lech Kaczynski, the former president of Poland killed in an air crash near Smolensk in April.

Admirers of the president had laid the cross at the gates of the presidential residence as a symbol of mourning. In the same spirit, admirers of Princess Diana laid flowers at the gate of Kensington Palace in London. But while flowers disintegrate after an interval, wooden crosses do not. The cross stayed in place for weeks. Supporters lit candles, said prayers.

You might expect the crowds to thin as time passed. Quite the opposite.

Feelings for -- and against -- have flared and intensified the battle over a cross that has come to symbolize the divisions in Polish society.

Kaczynski was not a universally admired figure. Younger Poles, urban Poles, highly educated Poles tended to perceive Kaczynski as rustic, embarrassing. Older Poles, rural Poles, tradition-minded Poles were Kaczynski's constituency. Like them, Kaczynski upheld traditional Catholic beliefs and mistrusted free-market economic reforms.

Kaczynski's death confirmed both his supporters and his detractors' views.

Supporters saw a Polish patriot flying to Smolensk to pay tribute to the 22,000 Polish officers murdered in the Katyn Forest in 1940 -- and to extract from Russia belated acknowledgement of its crime.

Detractors saw an egomaniac trying to upstage his own prime minister, who had made the same trip for the same purpose three days earlier. They quietly suspect Kaczynski pressured his pilot to disregard air traffic control and proceed with a landing in unsafe conditions, resulting in the deaths of 95 others.

Supporters have increasingly represented Kaczynski as a martyr, a victim of a mysterious conspiracy organized by the Russians, the New World Order, who knows who?

Detractors are disgusted by the conspiracy theories -- and increasingly impatient with accolades to a president they quietly regard as deeply third-rate.

At the beginning of August, Poland's newly elected president, Bronislaw Komorowski, proposed a compromise. The cross would be removed from the presidential residence and displayed instead in nearby St. Anne's Church, one of the capital's most famous monuments. At the original site of the cross, a commemorative plaque would be placed in the pavement.

That proposal enraged pro-Kaczynski Poles. On August 3, more than 1,000 protesters forcibly prevented the removal of the cross. Cross opponents have now begun to stage counter-protests.

The opponents have begun to perceive in the cross agitation an attempt to impose a sectarian identity on a state that -- while overwhelmingly Catholic in belief -- is secular in law. "Crosses belong in church, not at the gate of the presidential palace," one cross opponent told me. They see the crowds surrounding the cross as the embryo of a reactionary, xenophobic political movement: a repudiation of 20 years of effort to build a modern, dynamic, European Poland.

But pro-Kaczynski Poles see the dismissal of the cross as a dismissal of them. Not all Poles speak English or German, not all Poles use a computer or work for international companies.

Many Poles were born slightly too early to benefit from post-communist opportunities: For them, the end of communism meant only the end of a job at a steel mill or a coal mine or a collective farm. They know that city sophisticates disparaged Kaczynski as crude and ignorant. They darkly suspect that these upwardly mobile Poles hold an equally negative opinion of their less successful compatriots.

As one Kaczynski supporter told the Financial Times: The cross "is a reminder that there was a president here who suffered, who was made fun of."

If you catch echoes here of what Sarah Palin has meant to some of her supporters, it's probably not a coincidence: a politician disdained by society's smarty-pants - and who redeployed that disdain to gain the support of those who feel disdained themselves.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

A wooden cross dedicated to late President Lech Kaczynski has prompted division in Poland

@highlight

David Frum says supporters of keeping cross in place favor more traditional values

@highlight

He says those in favor of moving cross support dramatic improvements in Polish economy

@highlight

Kaczynski's admirers think he was not valued by the elites, Frum says, much like Sarah Palin