LOS ANGELES, California (CNN)  -- The Los Angeles Times' headquarters aptly sits where the U.S. Army corralled camels during the Civil War, when Southern California was a desert with no natural resources.

A new film on PBS explores how the Chandler family helped develop Los Angeles through their newspaper.

Los Angeles' development from an arid wasteland to a world metropolis and cultural capital is closely linked to the newspaper's rise under the ownership of one family.

"It would still be a desert," documentary filmmaker Peter Jones said, if Gen. Harrison Gray Otis didn't arrive in the 1880s to take over the bankrupt Los Angeles Times and his son-in-law, Harry Chandler, wasn't there to follow him.

Jones' documentary is a saga of four generations of the region's most powerful family shaping Los Angeles as they pursued their own civil agendas -- and accumulated wealth. "Inventing L.A.: The Chandlers and Their Times" premieres Monday on PBS.

Historian David Halberstam said in the documentary that the Chandlers dominated Southern California as no other family has dominated any major region of the United States.

"They did not so much foster the growth of Los Angeles as invent it," said Halberstam, who died in 2007.

Harrison Gray Otis, Harry Chandler, Norman Chandler and Otis Chandler succeeded each other at the helm of the Los Angeles Times over a span of 100 years.

The city grew from a small desert town to the nation's second-largest city, while the family became one of the nation's wealthiest.

The Chandler family dynasty ended when the general's great-grandson Otis Chandler was ousted as chairman of the Times board of directors in 1985. The family eventually sold its Times-Mirror Company to Chicago's Tribune Company -- which is now in bankruptcy.

Each man's personality and strengths were tailored for what was demanded of their time, said Jones. "For each era, they were up to that particular era," he said.

"You couldn't actually rearrange them," said Harry Chandler's namesake and the great-great-grandson of the general.

"You couldn't have a General Otis in late 20th-century America," Chandler told CNN, referring to the dynasty's founder who served as an Army general in the Philippine-American War before taking over the Los Angeles Times.

"His character was one of the period. 'I have a vision and everything I touch needs to support that vision and damn the consequences.'"

Otis used his newspaper to scare the public about the threat of drought, drumming up support for a 230-mile aqueduct -- one of the modern engineering marvels -- to divert water from the Owens Valley to Los Angeles, Jones said.

He was part of a syndicate that bought vast tracts of barren land in the San Fernando Valley with the inside knowledge the Los Angeles Aqueduct would bring water there.

The scandal later inspired Roman Polanski's award-winning film "Chinatown."

Otis also used the Times to influence the federal government's decision to build the Port of Los Angeles, Jones said.

"He had the foresight to say 'We have to build a man-made harbor here in Los Angeles if we want to become a major port of trade,' and today the Port of Los Angeles is the busiest port in the United States," Jones said.

The general and his successor son-in-law promoted investment in and migration to the Los Angeles area with stories of sunshine and opportunity. More people moving in meant more readers for their newspaper and demand for the real estate empire they were building.

Harrison Gray Otis and Harry Chandler used their newspaper to create a vision of Los Angeles as "America's Great White Spot" -- free of crime and communism.

They fought a decades-long battle against labor unions -- a battle that included the 1910 bombing of The Los Angeles Times headquarters.

The Los Angeles film, aviation, high technology, shipping and oil industries grew from the Chandlers' influence, Jones said.

As a conservative Republican family, they helped launch Richard Nixon's political career in post-World War II California.

The story is not all about the men. Dorothy Chandler -- the strong-willed wife of Norman Chandler -- waged a relentless campaign to turn Los Angeles into a world-class cultural center, Jones said.

She led a campaign to raise money to save the Hollywood Bowl and the Los Angeles Philharmonic.

In doing so, she brought together the Westside Jewish community with the white Protestant establishment based in Pasadena, Harry Chandler said.

Tom Johnson, who became first nonfamily publisher of the Times in 1980, said one of Dorothy Chandler's "most remarkable" contributions was the successful effort to make sure her son Otis succeeded her husband as publisher in 1960.

"The very new approach that Otis took and his leadership of the newspaper was just astounding," Johnson said in an interview with CNN. Otis Chandler gave reporters editorial independence, opened news bureaus around the world and strengthened the paper's coverage of the suburbs, Johnson said.

Under Otis Chandler, it rose from being one of the worst major papers in the country to being one of the top three, Johnson said.

"It was his goal to make the Los Angeles Times one of the best newspapers, and he did it in 20 years, being the right publisher at the right time," Johnson said.

But Otis Chandler's transformation of the Times from a conservative newspaper into a Pulitzer Prize-winning rival to the New York Times and Washington Post angered many Chandler family members.

"Some Chandlers were members of the John Birch society; his paper did an expose on it," Johnson said.

Otis Chandler's newspaper looked closely at the Los Angeles Police Department, "which had a reputation to shoot first and ask questions," Johnson said.

The deep family rift eventually led to the sale of the Times-Mirror Company to the Tribune Company -- and the end of the dynasty.

Johnson, who left the newspaper in 1989 and later became chairman of CNN, said the paper declined in the years since because "rather than going for people who were superb newspaper people, they went outside to pick people who, in my opinion, blew the place apart."

Some Chandler family descendants cooperated with Jones' efforts to explore the Chandler family's dealings.

"He doesn't whitewash, but he doesn't dig into the dark side and linger too long," said Harry Chandler, the son of Otis Chandler. The documentary is "on whole, a very balanced, very accomplished, incredibly well researched" documentary, Chandler said.

Jones said he avoided judging the motives of Gen. Otis and his successors.

"When these guys were going about building the city, sometimes they did things, I wouldn't say in an underhanded way, but in a very private way," Jones said. "How do you ascribe motives to people who did things 100 years ago? Was it for greed, avarice and duplicity? History in general is this tangled web of good and evil."

@highlight

"Inventing L.A.: The Chandlers and Their Times" premieres Monday on PBS

@highlight

Historian: Chandlers not only dominated Los Angeles, they invented it

@highlight

Los Angeles grew from small desert town to nation's second-largest city

@highlight

The Chandler family newspaper dynasty ended in 1985