(CNN) -- Imagine that we were just developing spoken language for the first time. And someone came up with a new word to describe an action, thought or feeling -- like "magnify" or "dreadful." But in this strange world, the person who came up with the word demanded that anyone else who used it pay him a dollar every time the word was uttered. That would make it pretty difficult for us to negotiate our way to a society that communicated through speech.

That's the way the patent wars on smartphone and tablet advances are beginning to feel to me.

As a human being, I do not particularly care about Apple's recent victory in the U.S. version of its patent lawsuit against Samsung for copying its iPhone's and iPad's form and features. Now that Apple is demanding that Samsung pull eight of its products off the shelf, my only personal interest is whether the Samsung products, once banned, will become collectors' items. Will I one day want to show my grandchild the phone that dared to mimic the iPhone?

News: Samsung to fight court ruling in Apple patent dispute

But while the details of legalities, and the impact to share prices, and even consumer choice, don't keep me or any of my friends up at night, there is nonetheless something creepy about Apple's suit. It's not so much that Apple -- the biggest company in the world -- has turned into a competitive monster; it's the territory that Apple's fighting over. It feels as if the technology innovation wars are no longer over one piece of technology or another, but over us humans.

It's one thing for Apple to defend the look and feel of its phone -- things like the little button on the bottom, which seem obvious but are actually the result of a lengthy and painstaking design process. They may deserve a few years' exclusive on stuff like that.

But when it comes to gestures, such as the now ubiquitous "pinch and zoom" technology through which users stretch or shrink pictures and text -- well, that no longer feels quite the same. (Apple, of course, has argued in its court case that they are the same; the company spent time and money on both sorts of research, it says, and doesn't believe the results should be copied by others.)

They are gestures that may have begun on the device, but now have become internalized, human movements. When my daughter was 3, I used to watch her attempt to enact those same swipes and stretches on the television screen -- a phenomenon so prevalent that many television dealers now keep a bottle of glass cleaner handy, to clean their giant flat screens of children's fingerprints on a regular basis.

CNN Money: What the Apple-Samsung verdict means for your smartphone

That's because these gestures are not simply technological innovations, but the language through which we humans are coming to navigate our way through the emerging digital landscape. We take to gestures and movements that grow out of the ones we use here in the real world. To translate them into the digital realm well requires skill, but the gestures themselves are not the typical territories -- like land masses -- over which corporations have traditionally fought. They're inside us.

Usually, advancements of this sort are developed through consortia of companies. The HTML standards through which the Web is rendered are not owned by a single company, but developed together and used by everyone. Imagine if one musical instrument company owned the patent on the piano keyboard, and another on the tuning of a violin. Or what if every typewriter company had to develop its own layout of letters? What if blowing one's nose into soft disposable paper were owned by Kleenex?

While Apple deserves to be rewarded for the innovations it comes up with, there's a limit to how far into our learned behaviors the company should be awarded protection from competitors. Our transition toward a digitally functioning society is no less momentous than the shift from grunters to speakers, or from speakers to readers and writers. As such, it will require an equally cooperative spirit from the people and companies who take us there.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff : Smartphone patent wars seem about human behavior, not just phones

@highlight

He says Apple defending its home button makes sense; it's so distinctive

@highlight

But things like pinch and zoom technology may have made leap into collective consciousness

@highlight

Rushkoff: When Apple's innovations become our learned behavior, they're fair game