Editor's note: This story is based on interrogation reports that form part of the prosecution case in the forthcoming trial of six Belgian citizens charged with participation in a terrorist group. Versions of those documents were obtained by CNN from the defense attorney of one of those suspects. The statement by Bryant Vinas was compiled from an interview he gave Belgian prosecutors in March 2009 in New York and was confirmed by U.S. prosecutors as authentic. The statement by Walid Othmani was given to French investigators and was authenticated by Belgian prosecutors.

Al Qaeda recruits say they received training in how to handle rockets, explosives and bombs.

(CNN) -- The interrogations of two accused Westerners who say they trained and fought with al Qaeda in the Pakistan-Afghanistan border region provide an inside view of the terror group's organizational structures.

Arguably, they shed more light on the state of al Qaeda than any material previously released into the public domain.

The documents reveal training programs and the protective measures the terrorist organization has taken against increasingly effective U.S. missile strikes.

Bryant Vinas -- a U.S. citizen who says he traveled to Pakistan in September 2007 to fight against Americans in Afghanistan -- stated that between March and July 2008 he attended three al Qaeda training courses, which focused on weapons, explosives, and rocket-based or -propelled weaponry.

During these classes, attended by 10-20 recruits, Vinas was taught how to handle a large variety of weapons and explosives, some of them of military grade sophistication, according to his account. Read how al Qaeda is now operating

Vinas stated he became familiar with seeing, smelling and touching different explosives such as TNT, as well as plastic explosives such as RDX, Semtex, C3 and C4 -- the explosive U.S. authorities have stated was used in al Qaeda's attack on the USS Cole in 2000. Vinas also learned how to make vests for suicide bombers.

Vinas stated he was also instructed how to prepare and place fuses, how to test batteries, how to use voltmeters and how to build circuitry for a bomb. Read how Vinas met with al Qaeda leaders

According to his account, al Qaeda also offered a wide variety of other courses including electronics, sniper, and poisons training. Instruction in the actual construction of bombs, he stated, was offered to al Qaeda recruits who had become more advanced in their training.

Vinas' training during this period was very similar to the training described by members of a French-Belgian group who also spent time in the tribal areas of Pakistan in 2008.

Walid Othmani, a French recruit, stated the group were given explosives training and taught how to fire rocket launchers and RPGs.

Othmani provided French interrogators with an account of his time in Pakistan after being arrested on his return to Europe. Three other members of his group are now in Belgian custody awaiting trial for "participation in a terrorist group." Belgian prosecutors told CNN Othmani has been charged in France with participation in a criminal conspiracy with the aim of preparing a terrorist act. A Belgian legal document detailing his interrogation report was obtained by CNN.

Like Vinas, Othmani said the group had been required to sign forms before their training. Othmani stated his group was required to pledge absolute obedience to their handlers and indicate whether they wanted to become suicide bombers.

Othmani provided interesting new details about the training facilities being used by al Qaeda in the tribal areas.

His group trained in a small mountain shack, a far cry from the large camps al Qaeda had run in Taliban-era Afghanistan, when it had been able to operate with little danger of being targeted by military strikes.

Othmani's account made clear that al Qaeda has had to decentralize its operations in Pakistan in response to the growing effectiveness of U.S. Predator strikes.

However the wide number of training courses described by both Vinas and Othmani suggest that al Qaeda has been able to adapt well to the new security environment.

By operating a larger number of smaller facilities, al Qaeda would also appear to have increased its resilience to attack. Read how al Qaeda is looking for Western targets

While the classrooms are safer from drone attacks than the pre-9/11 sessions on the mountainsides the content seems to have changed to match new targeting plans.

Suicide vest and IED construction show how the curriculum is being modified for today's combat with U.S. troops in Afghanistan. Making and handling explosives, as well as fuse construction, show the sessions may also be geared for killing in Europe and the United States.

These are the very skills the July 7, 2005 London bombers Shehzad Tanweer and Mohammed Siddique Khan came to Pakistan to learn. Al Qaeda, it would seem, may still want to pull off the spectacular attack in Europe or the United States.

Vinas says he took a course in propelled weaponry with Hicham Bouhali Zrioul, a former taxi driver in Brussels, Belgium, whom he first met in March 2008 and formed a friendship with.

Vinas stated that when they completed their training, Al Qaeda instructors did a written evaluation of their performance. Vinas had been judged qualified to participate in missile attacks against U.S. and NATO bases in Afghanistan, according to his account.

That suggests al Qaeda has maintained its capacity for administration and paperwork even in a harsher security environment.

When their training finished in the summer of 2008, Vinas and Zrioul lived in the same house in the mountains of Waziristan. Zrioul managed to acquire a computer which he rigged up to watch jihadist videos.

During a mountain walk with Zrioul one day, Vinas says he was told about a new course being taught by al Qaeda called "international operations" set up by al Qaeda's head of international operations whom Vinas later identified as Abu Hafith.

Hafith, he stated, was responsible for recruitment and direction of terrorist cells, and attacks outside Pakistan and Afghanistan. Hafith was identified by his initials in the legal document but CNN obtained his name from a source briefed on the case.

He is believed to be still at large in the Pakistan-Afghan border area. Vinas was told that the training course that Hafith set up focused on kidnapping and assassination, including instruction on the use of silencers and how to break into and enter a property.

The revelations raise the possibility that al Qaeda was developing a program of targeted assassinations. Though al Qaeda has carried out some assassinations in the past, most of its attacks in the West have not targeted any particular individuals but crowded areas, such as mass transport.

According to Othmani, al Qaeda fighters totaled between 300-500 in Pakistan's Tribal Areas -- spread out in groups of 10. Such decentralization was a function of the growing deadliness of U.S. Predator strikes.

Hicham Beyayo, a Belgian jihadist volunteer, said the group moved around a lot because such strikes were known to be "very effective," his lawyer Christophe Marchand, told CNN.

The loss of an increasing number of operatives, stated Othmani, prompted an order from al Qaeda's top command for fighters to remain inside as much as possible. In order to keep in touch, jihadists operated a courier service across the region, according to the Frenchman's testimony.

The decentralization of al Qaeda's structures appears to have created some costs for recruits.

Two members of the Belgian-French group now in custody describe feeling increasingly cut off, bored, and fed up with the primitive living conditions in their mountain shacks, according to documents obtained by CNN and the defense lawyer of one of those charged.

They often did not seem to know what their next orders would be or where their handlers would take them. They also described being deeply frustrated at being repeatedly given false promises that they would be able to fight in Afghanistan.

Othmani also described the group's frustration at having to pay for their own weapons and training -- at a cost of 1,300 euros each (about $1,800) -- which if true might lend credence to reports that al Qaeda has come under financial strain. Vinas, for his part, made no mention of having to make payments to his handlers.

Vinas and Othmani's accounts also suggest that al Qaeda may be having leadership problems.

While able to find fresh recruits to replace those killed and arrested, the group seems to have more difficulty replacing senior military trainers and other key operational figures.

A former U.S. government official, specializing in counter-terrorism, commented that the insider accounts suggest the same people are leading training as a decade ago. The only difference, there are fewer of them.

@highlight

Al Qaeda recruit tells of weapons and explosives training courses

@highlight

Group trained in a small mountain shack -- a far cry from large Afghan camps

@highlight

Al Qaeda also offered electronics, sniper, and poisons training courses

@highlight

Some sessions could be geared for killing in Europe and United States