(CNN) -- While others will sharply disagree, I believe John Brennan deserves a national salute for his press conference yesterday about the CIA.

At a time when we are tearing ourselves apart over one controversy after another, he provided a model of a calm, adult leader trying to put the country first.

No doubt there will be counterattacks trying to blow holes in his story. Maybe there are some. But we sorely needed someone to come forth with views that are more balanced and impartial than a tragically one-sided report released this week by the Senate Intelligence Committee.

There were half a dozen aspects of the Brennan press conference that were welcome:

For starters, he placed the interrogation program into a context that too many are forgetting. As Brennan pointed out, the attacks that morning of 9/11 terrified the country and we quickly looked to the CIA to track down those responsible and ensure they never attacked us again.

We didn't want those agents -- as the phrase goes -- to bring a baguette to a knife fight; both the White House and Congress wanted them to do whatever it took.

Brennan also made clear that the CIA (he served as deputy director under President George W. Bush) was not prepared to run a detention and interrogation program -- who would have thought they needed one?

They put it together quickly, but -- as Brennan readily conceded -- some agents then went far beyond the rules, employing brutal interrogation techniques. He should also have conceded that was torture.

What has been missing in much of the hyperventilation over the Senate report is that the number of people water boarded was actually tiny: three says Brennan, though the Senate Committee insists the number is slightly higher.

With numbers that small, it is far more believable that most agents -- as Brennan said -- acted within the rules. Is this any basis for treating the CIA like a brutal, rogue operation?

In law school, one of the first lessons learned is how important distinctions are. Brennan made a crucial one: the difference between causation and correlation. The agency, he says, gained valuable intelligence -- such as leads on bin Laden -- from prisoners who had undergone enhanced interrogation techniques ("EITs" in the trade).

BUT it is unclear whether they might have given that same information had they not been treated to EITs. The latter, he kept insisting, is "unknowable." In other words, he does not think that harsh techniques necessarily caused detainees to open up.

Yet it is also clear from his version of events that interrogators saw a correlation: Valuable leads could often come after harsh techniques. This correlation makes it easier to understand why Bush officials would want to continue the EITs, and why so many CIA directors and deputy directors defend the program. This is a distinction that is thus very, very important.

To be fair, Committee Chair Dianne Feinstein insists that much of the information given up by detainees was obtained before they were subjected to EITs. This disagreement between her and Brennan is one of several that need further scrutiny.

But Brennan's version of events lends credence to the notion that neither the agency nor the Bush administration was acting as criminally as their critics charge.

On one side, we now have a stinging indictment of the CIA drawn up by committee staff members all hired by Democrats. Only Democratic members of the Committee approved their report. Their report was drawn up based upon millions of documents, but not a single interview with CIA agents.

On the other side, we have a well-laid out defense coming from John Brennan, who worked in the White House under Bill Clinton and was so trusted by another Democrat, Barack Obama, that he was appointed to run one of the most sensitive organizations in government, the CIA. This same man admits that the CIA made many mistakes, that the interrogation program was deeply flawed, and that it was properly stopped -- but he insists that overall, CIA agents deserve respect for bravely putting their lives on the line for the country -- some 20 have died -- and very importantly, for helping to prevent a new 9/11.

Given this background, isn't John Brennan at least as credible as the Committee, if not more so? Aren't his views more balanced -- and thus deserving of respect? Shouldn't his views help us to moderate the red hot coverage in the press and the monotonous partisan attacks among politicians? I think so.

One more thing: Brennan asked us to keep things in perspective. We need to do that -- to remember what makes us Americans. No other country to my knowledge has been so transparent about its paramilitary techniques in the midst of a dangerous war. Indeed, we all know what the terrorists would have done had they captured a bunch of Americans: They would have butchered every last one.

Good for John Brennan, he's helping us think clearly again.

@highlight

David Gergen: CIA chief is talking sense about the CIA interrogation program

@highlight

Gergen says John Brennan puts it in perspective, explains its origins and abuses

@highlight

He says Brennan is providing more balanced view than partisan Senate committee report