(CNN) -- You've probably heard of Glorious Goodwood -- well, this is more like glorious driftwood.

Galloping along beaches or drinking quietly from a pool, these majestic horses aren't what they first seem.

That's because, not that long ago, they were just piles of what seemed like scrap wood -- until, that is, artist James Doran-Webb began working his magic.

Born in Birmingham, the 46-year-old has lived in the Philippines since traveling there for what was supposed to have been an extended holiday in 1989.

"I was entranced by the countryside, the beaches, the wildlife and the people, with their flair for color and artistry," he explained.

He's long been using driftwood collected from the seas, beaches and rivers near his Cebu City home to create his breathtaking wildlife art, and Doran-Webb's work is a continuation of a childhood fascination with crafting wooden models and miniature sculptures.

Much time in his formative years was spent in the workshops of his parent's antiques restoration firm, giving him a thorough informal education in the arts of craftsmanship.

That accumulated knowledge of flair and polish is on display in his three thoroughbreds, all equine power and elegance and his biggest public art project to date.

Inspired by the fact that this is the Chinese Year of the Horse, they were commissioned for New Year celebrations at the Gardens by the Bay nature park in Singapore, where they were even "ridden" by model jousters for a while.

The logistics of creating each horse were daunting.

A metal frame provides the equivalent of the animal's skeleton, with hundreds of pieces of driftwood going into each sculpture.

The larger pieces are then bolted together and the bolts welded to the frame, with each smaller piece then painstakingly screwed into place.

"This wood has been dead for more than 50 years," Doran-Webb told CNN. "It has weathered over those decades, and that's what makes it look so fantastic.

"I was always an outdoor type of person, and would come across these wonderful pieces of wood while out kayaking -- I have been collecting driftwood since I was 18, and have enough stockpiled to be able to find, in the end, all the right pieces.

"I'll go on a hunt for a piece for a nostril or eyebrow, but I'll come across a potential hoof instead. It's like a jigsaw puzzle: you keep on looking until you've found the right piece.

"Also, people know the sort of wood I use now and they'll bring it to me," added Doran-Webb, who pays them, putting money into villages where incomes can often be precarious at best.

"But sometimes I'll think I've finished a piece and then find myself starting again with a certain amount of the wood because it doesn't look right. I focus hard on the details of faces and muscles."

His first use of driftwood, though, had nothing to do with animals or sculpture -- he had initially crafted and sold furniture from it until the possibilities of creating large-scale art suddenly struck him.

And what ambitious scale it is: each horse sculpture can weigh anything up to a ton (1,000 kilograms), is 16-17 hands (around 5ft 11ins) tall and can easily take the weight of a "jockey" or two.

Each takes three to four months to create, with Doran-Webb and his team of six craftsmen working together on the process, with each sculpture springing to life from a series of initial sketches and scale models.

"I'll have an idea -- an image of a horse race or a polo match -- and sketch it until I get something that has motion and movement," he said.

"The metal skeleton is crucial. If you stripped away the wood, what you would see would look sort of like the skeleton of the actual animal. It provides all the strength, but cladding it takes a long time."

It may take a long time, but Doran-Webb says he's never fully satisfied with the results, and only the world of deadlines prevents him from perpetual tinkering.

"If it wasn't for them, I'd never leave the studio," he admitted. "If something is even an inch out, you have to redo it. There's never been one I've been happy with first time."

@highlight

James Doran-Webb uses driftwood to create stunning sculptures

@highlight

Philippines-based artist builds three thoroughbreds for Singapore celebrations

@highlight

Hundreds of pieces of wood are applied to metal skeleton to create art

@highlight

Doran-Webb honed skills in parents' antiques restoration business