Lake Victoria, Uganda (CNN) -- Straddling three East African countries -- Uganda, Tanzania and Kenya -- Lake Victoria has for centuries been a vital resource for the millions of people living along its vast coastline.

The massive lake, which stretches some 70,000 square kilometers, is the world's second-biggest freshwater body and the biggest of its kind in Africa, as well as the chief reservoir of the Nile. Home to a stunning archipelago of more than 80 islands, Lake Victoria provides a livelihood for the fishermen navigating its waters and the businesses dotting its shores.

But for many that comes with a risk.

According to local officials, about 5,000 people are killed every year on the lake, victims of erratic weather conditions and a mix of poor communications and lack of resources.

The high death toll makes the lake "arguably the most dangerous stretch of water in the world in terms of fatalities per square kilometer," according to The National Lake Rescue Institute, a group launched in 2002 to improve safety on Lake Victoria and provide education and training in maritime safety.

See also: 'Hippie apes' battle for survival

"It's very dangerous," says Sam Kabonge, a fisherman from the Bugala island in Lake Victoria, a tropical patch of land boasting sandy shores and lush forests. "You sit on top of water not knowing the depth of the pitch you are sitting on so in any case of accident ... even if you do [know how to swim], you might be far away in the lake."

Kabonge says not all fishermen can afford life jackets. At the same time, their small and often dilapidated vessels can easily succumb to the wind-whipped waves formed in the lake by its volatile microclimate.

"There are times when you may leave the landing site when the lake is still," explains Kabonge. "As you are in the middle of it, it starts getting rough -- rain, winds, clouds, and you know what happens next because ... our boats, cannot resist the strength of the wave. Sometimes they break; others capsize."

See also: School boy's website helps tourists spot big beasts

Ugandan meteorologist Khalid Muwembe says the lake, which lies on the Equator, has a distinct effect on the region's weather.

"Because the lake is generally warm and has a lot of moisture, we find that it generates this very big, what we call, convective potential energy, which generates a lot of cloudness and this unique nature of weather characterized by heavy thunderstorms which sometimes can be dangerous," he explains.

Muwembe is part of a team testing a new mobile alert system aiming to improve the delivery of weather forecasts and help vulnerable fishing communities in Lake Victoria protect themselves from dangerous conditions.

Under the free pilot program, locals receive tailor-made text messages on their mobile phones, providing them with daily weather forecasts, warnings about potential hazards and advice on what action they should take.

See also: Wildlife puts Tanzania on the tourist map

Muwembe says the mobile alert weather system is helping fishermen to plan safer outings.

"For a long period of time, we didn't have a very good weather service to try and guide and promote safety of all those navigating over the lake," he says. "So because of that -- and also daily reports of accidents over the lake -- we thought it was very important that we have a weather system where we are giving the users of the small vessels over the lake at least some guidance on what kind of storms they expect to find over the lake."

"We provide this information on a daily basis as texts on their mobile phones and in a situation where we see that there is a very dangerous storm which is developing, we also give them an additional message, which we call an alert. We say that 'this is happening, please take action, or hold position,' or whatever it is that will at least promote safety," he adds.

For fishermen like Kabonge, who is among those involved in the pilot program, the localized weather information is a vital service that can help people in the community stay safe.

"We need it because ever since it came, at least the death tolls have reduced," says Kabonge, who calls for the program's expansion. "The lake is too wide -- if it [the program] could go across the whole lake, our brothers also may get use of it."

And for Kabonge that is what is most important -- to use new technology to help protect the lives of Lake Victoria's fishermen.

See also: Flower power threatens Kenya's Lake Victoria

Teo Kermeliotis contributed to this report.

@highlight

Thousands of people die each year on Lake Victoria due to bad weather conditions

@highlight

Authorities are testing a mobile alert weather service to protect fishermen

@highlight

Locals receive text messages with weather forecasts and warnings about potential hazards

@highlight

Lake Victoria is the world's second-biggest freshwater body