There is a second confirmed case of Middle East Respiratory Syndrome imported into the United States, the Centers for Disease Control and Prevention announced Monday.

Officials from the CDC and the Florida Department of Health are investigating.

The first U.S. case was reported this month in Indiana. That patient was released from a hospital Friday into home isolation, according to state health officials.

The Indiana patient was an American health care provider who had been working in Saudi Arabia and was on a planned visit to Indiana to see his family.

The Florida patient is also a health care provider who lives and works in Saudi Arabia, said Dr. Anne Schuchat, assistant surgeon general with the U.S. Public Health Service and director of the CDC's National Center for Immunization and Respiratory Diseases.

However, the Florida case is not linked to the Indiana case, she said.

The "risk to the general public remains very low," Schuchat said. In some countries, the virus has spread from person to person, but only in close contact, such as a person who was caring for an ill person.

"This virus has not shown the ability to spread easily from person to person in community settings," she said.

The 44-year-old Florida patient traveled on May 1 from Jeddah, Saudi Arabia, to London, then from London to Boston; Boston to Atlanta; and Atlanta to Orlando.

MERS: 5 things to know

The man began feeling unwell on the flight from Jeddah, and continued feeling ill on subsequent flights, with symptoms including "fever, chills and a slight cough," Schuchat said.

On May 8, the man went to the emergency department of Orlando's Dr. P. Phillips Hospital.

The hospital said the man is "in good condition and continuing to improve."

Dr. Antonio Crespo, an infectious disease specialist at the hospital, said officials "believe the risk of transmission from this patient is very low since his symptoms were mild and he was not coughing when he arrived at the hospital."

The man was visiting family and did not visit any theme parks in the Orlando area, said Dr. John Armstrong, Florida's state surgeon general and secretary of health.

As in the Indiana case, officials were attempting to contact people -- in this case, more than 500 -- who may have come in contact with the person during travel, both in the United States and abroad.

In addition, 16 staff members at Dr. P. Phillips Hospital have been notified of possible exposure and are being tested for the virus.

Testing of people who have come in contact with the Indiana patient continues, and no additional cases have been seen, said Dr. Tom Frieden, CDC director.

The CDC has dispatched a team to Saudi Arabia in conjunction with the WHO, Frieden said.

MERS first emerged in 2012, with the first cases being diagnosed in the Arabian Peninsula in 2012. As of Friday, there have been 538 cases in 17 countries, including 145 deaths, according to the WHO, said Schuchat.

The virus is also known as MERS-CoV, since it is a coronavirus, the same group of viruses as the common cold. It attacks the respiratory system, according to the CDC. Symptoms can lead to pneumonia or kidney failure.

Testing for MERS involves looking for the virus's molecular structure in a patient's nose or blood. While the patient in Indiana was the first MERS case on U.S. soil, the CDC has been preparing for such a scenario and had been conducting an awareness campaign with hospitals and doctors since MERS emerged.

There are no travel restrictions to the Arabian Peninsula; however, the CDC suggests that people who visit there monitor their health and watch for any flu-like symptoms. If you do feel unwell after such a trip, be sure to tell your doctor about your travel.

There is no vaccine or special treatment for MERS. Doctors say they believe the Indiana patient's quick diagnosis and care dramatically increased his chances for getting better.

MERS mystery: Virus found in camels

No one knows exactly how this virus originated, but evidence implicating camels is emerging. In a recently published study in mBio, researchers said they isolated live MERS virus from two single-humped camels, known as dromedaries. They found multiple substrains in the camel viruses, including one that perfectly matches a substrain isolated from a human patient.

The same group of researchers reported in February that nearly three-quarters of camels in Saudi Arabia tested positive for past exposure to the MERS coronavirus.

@highlight

The patient traveled from Saudi Arabia to Florida on May 1

@highlight

The first patient was released from an Indiana hospital Friday

@highlight

Health officials say the virus poses a low risk to the general public