(CNN) -- This week, the U.S. Supreme Court considers the case challenging the Obama administration health care plan's requirement that most Americans purchase a government-approved health insurance plan by 2014. The court should rule that this individual mandate is unconstitutional. To do otherwise would give Congress almost unlimited power.

The federal government argues that three provisions of the Constitution -- the commerce clause, the tax clause and the "necessary and proper" clause -- authorize the health care mandate.

The commerce clause gives Congress authority to regulate interstate commerce. Since the 1930s, Supreme Court decisions have interpreted the commerce clause broadly. But every previous case expanding the commerce power involved some sort of "economic activity," such as operating a business or consuming a product. Failure to purchase health insurance is neither commerce nor an interstate activity. Indeed, it is the absence of commerce.

If Congress could use that clause to regulate mere failure to buy a product on the grounds that such inaction has an economic effect, there would be no structural limits to its power. Any decision to do anything is necessarily a decision not to do something else that might have an economic effect. If I spend an hour sleeping, I thereby choose not to spend it working or shopping. As the lower court decision in this case explained, the government's position "amounts to an argument that the mere fact of an individual's existence substantially affects interstate commerce, and therefore Congress may regulate them at every point of their life."

Read a transcript of Monday's Supreme Court arguments

Defenders of the insurance mandate claim that health care is a special case because everyone eventually uses it. But this argument relies on shifting the focus from health insurance to health care. A similar rhetorical ploy can justify any other mandate, including even the "broccoli purchase mandate." Not everyone eats broccoli. But everyone participates in the market for food. Similarly, a mandate requiring all Americans to purchase a car can be justified because virtually everyone participates in the transportation market.

The government also claims that health care is different because producers are sometimes required to give free emergency services to the uninsured. But why is this fact constitutionally relevant? The answer seems to be that failure to buy insurance thereby has adverse economic effects on producers. Put that way, failure to buy health insurance turns out to be no different from failure to buy any other product. Any time someone fails to purchase any product, producer profits are lower than they would be otherwise.

The government's tax-clause argument is similarly flawed. It asserts that the individual mandate isn't really a restriction on freedom, it's just a tax; violators are forced to pay a fine. If this logic is correct, it would justify any mandate enforced by a monetary fine, whether it be for broccoli, a car or anything else. Every lower court to have considered this constitutional issue has ruled that the mandate is not a tax but a penalty. As President Barack Obama acknowledged in 2009, "for us to say that you've got to take a responsibility to get health insurance is absolutely not a tax increase."

Finally, the government relies on the clause that gives Congress the power to "make all Laws which shall be necessary and proper for carrying into Execution" other powers the Constitution grants it. The federal government argues that the insurance mandate is a "necessary" element of its regulation of the health care market under the commerce clause. The court has previously defined "necessary" broadly as anything that might be "useful" or "convenient."

But even if the mandate is necessary, it is not "proper." The court has previously ruled that these are two separate requirements and both must be met. What makes a federal law "proper"? At the very least, a proper law cannot depend on a rationale that gives Congress virtually unlimited power. As James Madison said: "Whatever meaning this clause may have, none can be admitted that would give an unlimited discretion to Congress."

If the "necessary and proper" clause allows Congress to adopt the individual mandate, the same logic would justify almost any other mandate. Virtually every mandate has some economic effect and could be portrayed as a "useful or convenient" way to regulate some market. A broccoli mandate could be defended as an effort to regulate the market in food.

The threat to liberty raised by this case isn't just theoretical. Many industries would be happy to lobby for laws requiring people to buy their products, and Congress has a long history of enacting special-interest legislation.

In a recent decision, the Supreme Court unanimously emphasized that constitutional constraints on federal power protect state rights as well as "the liberty of the individual." Little will be left of that protection if the justices uphold the individual mandate.

The opinions expressed in this commentary are solely those of Ilya Somin.

@highlight

Ilya Somin says Supreme Court should find Obama health care plan unconstitutional

@highlight

He says commerce clause argument flawed, gives huge regulatory power to Congress

@highlight

He argues tax-clause argument also a problem, saying failure to insure brings penalty, not a tax

@highlight

Somin: Necessary and proper argument could allow Congress to justify any mandate