The decision by the Obama administration to intervene militarily in Iraq to prevent a potential "genocide" against a religious minority, could potentially strain relations with Sunnis, who constitute the overwhelming majority of Muslims in the Middle East and wider Muslim world.

The U.S. has stepped in to protect the Yazidi minority, and to stem the mass expulsion of Christians from their towns by the al Qaeda offshoot, ISIS -- which is now calling itself the "Islamic State" or "IS."

Most Arab and Muslim-majority nations have expressed their concern about the ascendancy -- and brutality -- of ISIS in Iraq, and have designated it as a terrorist organization.

However, the framing of the U.S. intervention in "humanitarian" and religious terms is likely to bolster several, related narratives that claim that the U.S. formulates its foreign policy based on an unwritten commitment to certain religious groups and sects -- especially Christians and Shia -- and an animus towards other ones; Muslims in general but especially Sunnis.

The more corrosive narratives morph into outlandish conspiracy theories that weaken U.S. standing in the Middle East and beyond and further inflame the sectarianism that was ignited by the war in Syria and that has spread across the Muslim world.

Just as importantly, these accounts have been adopted by ISIS and other militant, Islamist groups to bolster their recruitment efforts. In short, they threaten to undermine U.S. interests and national security.

The notion that the U.S. is at war with Islam has its roots in the Israeli-Palestinian conflict. Generations of Arabs -- Muslims and otherwise -- have been politically socialized to view the U.S. as the main patron of Israel, which is portrayed as a brutal "Zionist" state that has subjugated Palestinians and "stolen" their land. However, it was the war against Afghanistan in 2001, and subsequent invasion of Iraq in 2003 that framed the narrative more clearly in the minds of many as a general U.S. war against Muslims everywhere.

As the war in Iraq became protracted , and a Shia-led government came to power, displacing the Sunni minority that had long dominated Iraqi politics, some mainstream Sunnis , as well as militants, started speaking about a "Crusader, Safavid, Zionist" alliance (the U.S., Iran, and Israel, respectively) that was conspiring against Sunnis. Al Qaeda's branch in Iraq succeeded in recruiting militants to fight the U.S. and Nouri Al Maliki's government by portraying him as an agent of Iran, a Shiite theocracy committed to the subjugation of Sunnis.

However, it was the civil war in Syria, where the Alawite-led regime of Bashar al-Assad, brutally suppressed the Sunni majority, killing more than 100,000 people and displacing millions of others in the process, that allowed al Qaeda to craft a jihadist narrative that has resonated with militants around the world and made Syria their favorite destination. It is in that fertile ground that ISIS emerged and subsequently flourished.

Within minutes of President Obama's statement explaining his two primary reasons for the intervention in Iraq -- the other being protecting U.S. personnel and facilities -- Arabic social media sites and discussion forums on the Internet were inundated with postings expressing a combination of disappointment, dismay and even anger.

Many lamented the prospect of another U.S. "invasion" of Iraq. More pronounced was the tone of incredulity at the perceived unjust, double standard that the U.S. was displaying by acting in Iraq after it had refused to stop the carnage in Syria. In the minds of many, U.S. military action to protect Iraqi Yazidis and Christians, revealed U.S. "compassion" for Christians. Many asked rhetorically, "Does the suffering of Syrians not count?"

The timing of the President's decision was a further complicating factor, coming on the heels of the latest round of violence between the Israeli government and the Islamist group Hamas in Gaza. The conflict dominated news cycles since it began on July 8, with images of dead Palestinian children broadcast on satellite news channels around the clock and shared thousands of times on Twitter and Facebook. A common sentiment was outrage at the perceived "silence" of the world.

Elaborating on his reasons for authorizing the attacks in an interview over the weekend, President Obama said "We're not going to let them create some caliphate through Syria and Iraq."

While the recent declaration by ISIS leader Abu Bakr Al Baghdadi that the "caliphate" had been reestablished -- and that all Muslims had to pledge allegiance to him -- fell on deaf ears across the Muslim world, President Obama's seemingly inadvertent use of the word caliphate reminded some of President George W. Bush's ill-advised use of the term "crusade" in the wake of the September 11 attacks to describe his "war on terrorism."

While the use of such words is seen as unfortunate but largely innocuous in the West, in the Middle East and much of the wider Muslim world, moments like these breathe life into otherwise baseless conspiracies for generations. Those who are familiar with the dominant narrative in Pakistan understand that when it comes to U.S. officials, there is no such thing as a "slip up".

For its part, ISIS and its sympathizers created multiple hashtags on Twitter within minutes of the President's announcement. While some promised that a "calamity will befall" the U.S., others stressed that the air strikes were just the latest in a long string of U.S. crimes against Muslims.

To avoid perpetuating these destructive narratives, the U.S. must be careful in how it frames the intervention going forward. To avoid alienating over a billion Sunni Muslims around the world -- making some of them easy prey for ISIS and other militant organizations -- the U.S. should avoid using religious terminology and deemphasize the religion of both the victims and the aggressors.

What the U.S. can realistically do in Iraq

Why does the U.S. intervene militarily in Iraq but not in Syria?

@highlight

The U.S. has stepped into Iraq to protect the Yazidi minority and stem the expulsion of Christians

@highlight

Fahad Nazer says most Arab and Muslim-majority nations are concerned by ISIS' rise

@highlight

But framing the intervention in religious terms bolsters theories of U.S. bias, he says

@highlight

Washington should deemphasize the religion of the aggressors and the victims, he says