(CNN) -- The Supreme Court ruled Wednesday morning that child rapists cannot be given the death penalty, effectively reserving the punishment only for murderers.

CNN's Jeffrey Toobin said the court's ruling falls in line with other decisions on the death penalty.

The 5-4 decision stems from a Louisiana case in which Patrick Kennedy, 43, was sentenced to die in 2003 for the sexual assault of his 8-year-old stepdaughter.

Proponents of Louisiana's law, which allowed child rapists to be eligible for the death penalty, say that besides murder, no crime is more deserving of the death penalty than child rape.

Kennedy would have been the first rapist in 44 years to be executed for a crime in which the victim was not killed.

In the majority opinion, Justice Anthony Kennedy said "evolving standards of decency" forbid capital punishment for any crime other than murder.

CNN's senior legal analyst, Jeffrey Toobin, spoke with CNN's Heidi Collins outside the Supreme Court about the impact of the ruling.

Collins: This is a huge decision here. What do you make of it?

Toobin: It was just high drama in the court today. It's always dramatic at the end of the Supreme Court term. Here it was literally life and death, one of the big open questions in constitutional law about the death penalty: Can you execute someone for a crime other than murder? Anthony Kennedy, the swing vote on so many cases, decided this case, it was 5-4. ...

He didn't diminish the seriousness of the crime, but he said the risks of expanding the death penalty are simply too great. He pointed out that there are more than 5,000 child rapes every year in the United States. All of them would raise the possibility of the death penalty.

There are only a handful of states -- I think it was six -- that allow the death penalty for child rape. Forty-four states and the federal government say no. He said there is a national consensus that this is not an appropriate punishment. So, this really rules out not just the death penalty for child rape, but any crime other than murder. So it's a major, major decision.  See more about the reach of the decision »

Collins: A national consensus except those six states. It's interesting when you look at the court of public opinion. How do you think this decision is going to go down in public?

Toobin: Well, I think it's a tough call because support for the death penalty nationwide in the past 10 years has actually been going down. But child rape is such a horrendous crime and all of us have such a natural revulsion towards it that you're never going to get a lot of support for any sort of reduction in sentence.

But I think, given the fact that this is a Supreme Court that said no death penalty for murderers under 18, no death penalty for the mentally retarded, this decision is consistent with a certain restriction on the death penalty, which is reflected in the court but also in a kind of national change that's going on.

Collins: And in Sean Callebs' piece that we had, I don't know if you heard it.

Toobin: I saw it, yeah.

Collins: One woman, who actually brought up a very interesting point, when you think about all of this and when you think about the child, the victim, she said, you know, if they know they're going to die for this crime, why would they leave a living witness?

Toobin: Justice Kennedy made precisely that point in the opinion. He said, allowing the death penalty here would create a perverse incentive for child rapists to murder their victims. He also pointed out what a difficult moral choice it would put child victims in testifying, giving children literally the power of life and death in their testimony over their attackers. That is something that he wanted to relieve children of -- that burden.

Collins: Will they always have to testify?

Toobin: Yeah, pretty much. There have been rare examples ... if a child, for example, is simply too young to testify. There are horrible cases of rapes of babies and things like that. But by and large there has to be some sort of testimony from a child. It can be in a noncourtroom setting. It can be sort of in a deposition, not in front of the jury. But you do have to have the child testify.

Collins: It's just such a tough decision all around. 5-4 on that one, very interesting.

@highlight

Toobin: Ruling falls in line with recent court decisions on death penalty

@highlight

Justice Kennedy, in decision, said it would not be fair to place burden on child victim

@highlight

Public support for executions down in recent years, Toobin said