(CNN)He's accused of plotting with his brother and carrying out an attack near the finish line of the Boston Marathon that killed three people, wounded more than 260 and spurred a massive manhunt that terrorized the city for days.

And now, nearly 19 months after the bombings, Dzhokhar Tsarnaev's trial is starting.

Here are 13 things to keep in mind as the proceedings get under way this week at the federal courthouse in Boston:

1. It's going to take time to pick a jury. Lawyers have more than 1,000 people to choose from.

About 1,200 potential jurors have been summoned, CNN affiliate WCVB reported. The prosecution and defense will have to pare down that pool to 12 jurors and six alternates. Prosecutors have said the trial could last up to four months.

2. We already have some clues about the arguments on both sides.

Court documents filed so far by the defense and prosecution paint a pretty clear picture of where things are heading -- though their portrayals of Tsarnaev, 21, are dramatically different.

Prosecutors cast him as a deliberate killer inspired by jihadist literature.

The defense has tried to pin the blame on Tamerlan Tsarnaev, describing Dzhokhar as a youngster manipulated by his older brother, who "was an all-powerful force who could not be ignored or disobeyed."

Tamerlan Tsarnaev, 26, was killed in a confrontation with police days after the bombing. Police surrounded Dzhokhar Tsarnaev two days later as he hid inside a boat in a backyard in Watertown, Massachusetts. He surrendered with rifle lasers tagging his head.

3. Tsarnaev faces 30 federal charges.

He has pleaded not guilty to all of them, including using and conspiring to use a weapon of mass destruction resulting in death.

In addition to accusations tied to the two pressure cooker bombs that blew up at the marathon, the indictment against Tsarnaev also alleges that he and his brother killed a Massachusetts Institute of Technology police officer by shooting him in the head at close range.

4. It's a capital case, even though Massachusetts abolished the death penalty.

Massachusetts got rid of the death penalty three decades ago, but this is not a state case. Federal prosecutors can seek the death penalty against Tsarnaev because of the nature of the crimes he's accused of committing.

Federal prosecutors say he acted in "an especially heinous, cruel and depraved manner" and lacks remorse.

5. This isn't the prosecutor's first time tackling a prominent case.

In 2011, The Boston Globe named U.S. Attorney Carmen Ortiz "Bostonian of the Year" for prosecuting corrupt politicians, winning a terrorism case against an al Qaeda supporter and pushing the prosecution of notorious mob boss James "Whitey" Bulger.

When Bulger was sentenced in 2013 to two life terms plus five years in prison, Ortiz didn't mince words, describing him as a terrorist driven by "his desire for power, for greed and ambition."

6. Tsarnaev's lawyer is known for representing high-profile clients in death penalty cases.

Her name is Judy Clarke, and you've seen her before. The federal public defender represented "Unabomber" Ted Kaczynski and Jared Lee Loughner, the gunman who seriously wounded former U.S. Rep. Gabrielle Giffords and killed six people at a meet-and-greet for the congresswoman.

An ardent opponent of the death penalty, she has kept some of the nation's most despised criminals -- baby killers, bombers, white supremacists and terrorists -- off death row.

7.  Prosecutors and defense attorneys talked about a possible plea deal for Tsarnaev, but it didn't work out.

Several of Clarke's most notorious clients have pleaded guilty and avoided the death penalty. Kaczynski and Loughner both faced capital charges but are now serving life sentences in prison.

In Tsarnaev's case, discussions in recent months have centered on the possibility of him pleading guilty and receiving a life sentence without parole. The talks have reached an impasse because the Justice Department has resisted removing the death penalty as a possibility, officials told CNN.

8. Some people in Boston want to see a deal like that for Tsarnaev.

In an opinion column published in the Boston Globe earlier this month, a retired federal judge, a former prosecutor and another lawyer argue that a trial and the media frenzy surrounding it will needlessly force victims to relive the horrors of the bombing.

"Let's write a last chapter that guarantees just punishment for Tsarnaev while putting the victims and the community at the center of the legal system's concerns," Nancy Gertner, Michael B. Keating and Martin F. Murphy wrote.

9. Others want him to get the death penalty.

When federal prosecutors announced last year that U.S. Attorney General Eric Holder had decided to seek the death penalty against Tsarnaev, a number of victims and their family members said it was a step in the right direction.

Marc Fucarile, who lost a leg in the bombing, told WCVB he has no doubt about where he stands.

"I prefer the death penalty, because I prefer that people know that if you terrorize our country, you're going to be put to death," he said last year. "And I strongly believe that's how it should be."

10. Tsarnaev's lawyer tried to get the case moved out of Boston.

The judge said no. So did a federal appeals court.

Clarke argued that Tsarnaev couldn't get a fair trial there. Federal prosecutors argued that changing the location of the trial would deny victims a chance to see justice carried out.

Experts are split on how the location could influence whether Tsarnaev is sentenced to death. On the one hand, Boston is a liberal city where opposition to the death penalty is widespread, CNN Senior Legal Analyst Jeffrey Toobin said. On the other hand, because it's a federal case, the jury will be drawn from a broader pool that could include more conservative suburban or rural residents who are more inclined to support executions, New York lawyer Ronald Tabak, a leading expert on capital cases, told CNN last year.

In a 2013 Boston Globe poll, 57% of Boston respondents supported a life sentence for Tsarnaev. Thirty-three percent favored the death penalty.

11. It's unknown whether Tsarnaev will testify.

At a hearing last month, he appeared in court, telling a judge that he was satisfied with his defense lawyers.

12. Bombing survivors might.

They told The Boston Globe that they're prepared to take the stand.

13. Even if Tsarnaev is found guilty, that's not the end of the trial.

Since Tsarnaev's trial is a capital case, there will be a separate court proceeding on whether he should get the death penalty if the federal jury finds him guilty. That phase, Toobin says, would be like a  "small, separate mini trial."

CNN's Michael Martinez, Deborah Feyerick, Sunlen Serfaty, Ann O'Neill, Kristina Sgueglia, Ronni Berke and Evan Perez contributed to this report.

@highlight

Jury selection in Dzhokhar Tsarnaev's trial has started

@highlight

Federal prosecutors are seeking the death penalty

@highlight

His attorney has secured plea deals for past clients