Washington (CNN) -- Bill Cosby sits in the shade of his own shadow, a large mural painted in his likeness on the wall outside Ben's Chili Bowl in Washington D.C.

Cosby's still got a sharp mind and a sharper sense of humor, but he's starting to show his age: It's hot outside, and despite the sticky August weather, Cosby is wearing white socks with his brown leather sandals.

The 76-year-old comedy legend has been visiting the D.C. eating establishment since 1958 and is perhaps its most famous patron -- so when the restaurant decided to celebrate its 50th anniversary, it was fitting that Cosby hosted the festivities.

Today the restaurant turns 55, so it's no surprise he's back.

Before Cosby takes the stage, though, local politicos step into the spotlight and celebrate in the way politicos do -- promising resolutions and issuing declarations and proclamations. A highlight was a letter read aloud from President and Mrs. Obama, who promise to return for a spicy meal soon.

But before Ben's Chili Bowl received the keys to the city, before the president took his first bite of a chili dog, and before Cosby put Ben and his family on the map, Ben's Chili Bowl was a humble food joint founded by an immigrant from Trinidad and his young wife.

Trading mops for menus

Ben Ali had moved to America for college and according to his wife, Virginia, had worked his way through school climbing the restaurant ladder -- eventually trading mops for menus as he transitioned from cleaner to maitre d'.

After several years in the business, he decided to try his hand at owning a restaurant instead of just working in one. He and his wife settled on the U Street location, taking over an old pool hall and transforming it into what it is today -- the landmark Chili Bowl.

"If you were going to open a restaurant in Washington and you were African American in those days, there was one place to really go, and that was this very vibrant community right here," on U Street, says 79-year-old Virginia, sitting in the back room of the restaurant beneath a painting of her late husband.

In the late 50s and 60s, U Street was fondly known as "Black Broadway" due to the jazz clubs, theatres and African-American owned business found on the street.

MLK and Duke Ellington

According to the restaurant's website, "it was not uncommon to see such luminaries as Duke Ellington, Miles Davis, Ella Fitzgerald, Cab Calloway, Nat King Cole, Redd Foxx, Dick Gregory, [or] Martin Luther King Jr." at the restaurant.

"We've always treated all people the same so it doesn't matter if you are the president or MLK or if you are just the guy from the corner," says Virginia.

"We like the diversity that we have here. We just kind of try to provide a family atmosphere because we believe so much in family."

Cosby, too, frequented during his time in the Navy and even brought his now-wife Camille on dates. According to Virginia, Cosby was always a gentleman and was always funny.

"He wasn't famous, but he was always funny. He was just great fun to be around," says Virginia.

"He's been coming since '59 and he's been the most ardent and faithful supporter all these years. As he grew, he kind of took the chili bowl along with him."

According to Virginia, when Cosby's show was rated No. 1 for five years, NBC asked him to do a press conference in Washington. After agreeing, he was asked where he'd like to do it.

"Bill could have done it at the White House, but he said at Ben's," said Virginia. "And it wasn't a great neighborhood then ... because after the riots of 1968 many middle class African Americans moved away, businesses that were looted and burned and never reopened."

The turbulent '60s

Following the assassination of King, riots caused many businesses to close due to curfew restrictions placed in D.C.

Ben's Chili Bowl should have been one of them, but civil rights activist Stokley Carmichael wouldn't hear of it -- he convinced local authorities to keep Ben's open past the street's evening curfew, one of the only establishments in the area to be able to do so. Despite the curfew, though, the restaurant still faced threats in the streets and the owners worried about the safety of their workers.

"We took some crayon and wrote on the window 'Soul Brother' to identify the business as an African American business," explains Virginia, who adds that the restaurant was fortunately spared from destruction.

Following that turbulent period, the African American middle class moved to the suburbs, causing the neighborhood to deteriorate and ultimately inviting the drug dealers to the street corners.

Virginia explains that it was a difficult time, but the restaurant's troubles didn't end there. In the 80s, the construction of the Metro's Green Line closed every store on the street.

Ben's stayed open, though, fighting through the boarded up buildings and thin customer base. They survived by employing one person at that time and eventually catering to the construction workers.

Mean something to the city

On the restaurant's 40th anniversary, Virginia and her husband were in Trinidad when their son called them and told them they were going to host a small celebration.

He later called them back, urging them to return to the United States because the party was going to be "a little bigger" than he had planned. When Virginia and her husband arrived, they were blown away by the sheer amount of television crews and people who had shown up in support.

"What was really profound for me was that people came from this city, from this community, and stood in line for hours just to come in and buy a hotdog," says Virginia.

"I just felt, wow, this is Washington, this is our community. Maybe we really mean something to this neighborhood. Maybe we really mean something to the folks of this city."

@highlight

Comedy legend has been frequenting Ben's since the late 1950s

@highlight

The restaurant has seen it all in its 55 years -- good times and bad

@highlight

President Obama on list of luminaries past and present who've eaten at Ben's