(CNN) -- Earlier this month Apple released its annual supplier responsibility report which detailed alleged workplace health and safety protocol violations by its suppliers.

One of its chief suppliers, Foxconn, has been at the center of a storm in recent months after workers at some of its plants in China staged strikes and even threatened mass suicide to win better working conditions.

Who is Foxconn?

Foxconn is part of Taiwan-based Hon Hai Precision Industry Co., one of the world's largest suppliers of components for the electronics industry. Much of its manufacturing division is based in mainland China, where it assembles a range of products including Apple's iPhone and iPad, Amazon's Kindle and Microsoft's Xbox.

With 1.2 million employees in China alone, production takes place at more than 12 factories across the country, including the giant Longhua plant in the southern city of Shenzhen -- the company's biggest manufacturing facility, and employer of almost half of its Chinese workforce.

Foxconn produces an estimated 40% of the world's consumer electronics.

Who does it do business with?

Foxconn makes everything from motherboards and gaming consoles to MP3 players and smartphones for some of the world's biggest electronics brands, including Dell, Sony and Hewlett-Packard.

However Apple is its prized partnership. The company has seen phenomenal sales growth in mainland China in particular and opened Asia's largest Apple Store in Shanghai in September. The company announced in July that its revenue from the Greater China region, which includes Hong Kong and Taiwan, reached $8.8 billion for the first three quarters of the fiscal year, a more than six-fold increase over the same period a year earlier.

Last week, analysts at investment bank Morgan Stanley predicted the U.S. tech giant could sell 40 million iPhone handsets in China alone in 2013 when it agrees to deals with more Chinese telecom providers.

This compares to the 68.5 million iPhones Apple sold worldwide in 2011.

What is it accused of?

Though Foxconn has a reputation in the technology field for its efficiency and low overhead, critics say workers are treated like machines for low pay in an oppressive military-style environment -- employees typically eat, sleep and work at the giant complexes.

"They wake up, they have breakfast, they go to work, they work a solid shift, they come back to their dormitories and they sleep ... it's a very dehumanizing place, and the workers are little more than machines there," said Geoffrey Crothall of the China Labor Bulletin, a Hong-Kong based non-profit group that tries to protect workers' rights across China.

In 2010, Foxconn raised workers' pay twice at its factory in Shenzhen after a spate of suicides, Chinese state media reported at the time.

In January, Microsoft issued a statement saying it was investigating a report that workers at a plant that manufactures the Xbox game system had threatened mass suicide in a pay dispute. Foxconn would only say that there was a protest at its Wuhan factory in Hubei province in central China and that it was over.

Last year, an explosion at a Foxconn plant that produces Apple's iPad2 killed four people and injured 18 more. Chinese officials said the blast may have been caused by combustible dust in a polishing workshop. The incident, in the southwestern city of Chengdu, followed a report by rights group Students and Scholars Against Corporate Misbehavior (SACOM) that workers at the same plant do not have adequate training in the use of chemicals and do not have regular on the job health checks.

A number of workers SACOM said it spoke to when compiling the report complained of allergies being ignored by Foxconn, poor ventilation and inadequate personal protective equipment.

What has it said?

Though Foxconn maintains its workers are treated well, Chairman Terry Gou made an unprecedented public apology in 2010 after the suicides. Foxconn said it had introduced counselors, started a 24-hour phone counseling service and opened a stress room where workers can take out frustration on mannequins with bats.

In January the company published a statement saying it is "committed to honoring and respecting the codes of conduct of our customers, our own policies and practices, and the laws and regulations of the jurisdictions where we do business."

Addressing specific criticisms, the company said all employees were given regular breaks, access to healthcare, a safe environment to work in and the opportunity for promotion to other technical or line management positions.

The statement concluded by saying Foxconn was "not perfect" but had made "tremendous progress" with the positive impact its programs were having on employees.

What does Apple say?

Apple CEO Tim Cook recently responded to a report in the New York Times that described the "human cost" of building an IPad at the Foxconn plants.

In an email to Apple employees, he said the company had never turned a blind eye" to the problems in its supply chain and any suggestion it does not care about the plight of workers is "patently false."

"We care about every worker in our worldwide supply chain" the company added in a statement issued Sunday. "We insist that our suppliers provide safe working conditions, treat workers with dignity and respect and use environmentally responsible manufacturing processes wherever Apple products are made. Our suppliers must live up to these requirements if they want to keep doing business with Apple."

In the 2011 edition of its supplier progress report, Apple said Cook and other senior company representatives had visited Foxconn's Shenzhen plant a year earlier to evaluate conditions there following reports of suicide attempts.

Apple then commissioned an independent review by a team of suicide prevention experts. This team was asked to conduct a deeper investigation -- which included speaking with workers and site managers -- evaluate Foxconn's response, and recommend strategies for supporting workers' mental health in the future.

According to this year's supplier progress report, workers in Shenzhen now have access to free psychological counseling, including a 24-hour hotline, to get advice on their personal and professional concerns. Apple also pointed to the establishment of its employee assistance program (EAP), which is focused on social-support networks and "maintaining employee mental health."

The 2012 report also provided a list of Apple's leading production suppliers for the first time, with each one subject to an audit of safety and the environmental conditions. It said one of the most significant improvements had been in clamping down on labor violations -- specifically the use of underage workers.

The same report also responded to last year's deadly explosion at Foxconn's Chengdu plant, saying new requirements for handling combustible dust throughout its supply chain had been established. These included better ventilation and more comprehensive inspections at production facilities.

@highlight

Foxconn is one of the world's largest suppliers of components for the electronics industry

@highlight

It assembles products including Apple's iPhone and iPad, Amazon's Kindle and Microsoft's Xbox

@highlight

With 1.2 million employees in China alone, production takes place at more than 12 factories

@highlight

Critics say workers are treated like machines for low pay in an oppressive environment