The U.S. Treasury imposed sanctions Tuesday on leaders of the jihadist al-Nusra Front in Syria, hours after the State Department moved to blacklist the rebel group as a foreign terror organization linked to al Qaeda in Iraq.

The Treasury also sanctioned two armed militia groups that operate under the control of the Syrian government, Jaysh al-Sha'bi and Shabiha, it said.

Syrian opposition groups have voiced their opposition to the U.S. move against the rebel fighters, suggesting that they are being targeted because they oppose a new anti-government coalition.

The move came the same day President Barack Obama recognized the leading Syrian opposition coalition as the legitimate representative of the country's people.

"We've made a decision that the Syrian Opposition Coalition is now inclusive enough, is reflective and representative enough of the Syrian population that we consider them the legitimate representative of the Syrian people in opposition to the Assad regime," he told ABC's Barbara Walters.

In recent months, the radical Islamist al-Nusra Front has emerged as one of the most effective groups in the Syrian resistance, drawing on foreign fighters with combat experience in Iraq and elsewhere.

Read more: New head of Syrian opposition briefs European foreign ministers

But Washington accuses the group of using the Syrian conflict to advance its own ideology and ends.

State Department spokeswoman Victoria Nuland confirmed Tuesday that the al-Nusra Front had been added to the list of aliases for al Qaeda in Iraq, already designated a foreign terrorist organization.

She said the group had claimed nearly 600 attacks in several cities in the past year, including suicide bombings, and was responsible for the deaths of "numerous innocent Syrians."

Al-Nusra "has sought to portray itself as part of the legitimate Syrian opposition while it is, in fact, an attempt by AQI to hijack the struggles of the Syrian people for its own malign purposes," she said.

The designation makes it illegal for any U.S. citizen to give "material support or resources," including money, training or weapons, to al-Nusra fighters.

Read more: Syrian rebels move toward unified command

The Treasury's financial sanctions also target two senior al-Nusra leaders, named as Maysar Ali Musa Abdallah al-Juburi and Anas Hasan Khattab.

The measure means that any assets they may hold in the United States are blocked and that U.S. citizens are barred from doing business with them.

The Treasury sanctions against pro-government groups target two Shabiha commanders, named as Ayman Jaber and Mohammad Jaber, along with the two militia groups.

Its statement said the Shabiha have "operated as a direct action arm of the government of Syria and its security services," working alongside its intelligence services, and have been "complicit in the commission of human rights abuses in Syria, including those related to repression."

"Since the beginning of the unrest, the Shabiha have fired into crowds of peaceful Syrian demonstrators, shot and killed Syrian demonstrators, arbitrarily detained Syrian civilians, and shot Syrian soldiers who refused to fire on peaceful demonstrators," it said.

The Jaysh al-Sha'bi militia has "conducted unilateral and joint operations with Syrian military and security elements against the Syrian opposition" that have led to the deaths of opposition members, the statement said.

It accuses Iran of training, funding and arming the Jaysh al-Sha'bi militia.

Washington's move comes a day ahead of a Friends of Syria meeting scheduled in Morocco.

The goal of the designation is to isolate extremist groups in Syria while giving a boost to the new political opposition group unveiled last month in Doha, Qatar, U.S. officials said last week.

Al-Nusra and several other groups last month announced their opposition to the National Coalition for Syrian Revolutionary and Opposition Forces, a new anti-government coalition. U.S. officials estimate al-Nusra members represent about 9% of rebel forces in Syria.

The Syrian Observatory for Human Rights, a London-based opposition group, said fighters from the al-Nusra Front were among rebel forces who it says have seized control of a government military base in the Sheikh Sleiman area of western Reef Aleppo.

But their designation as a foreign terrorist group isn't being made on the grounds of past or possible future actions, according to the Observatory's Rami Abdelrahman.

"The United States decided to single out the Nusra Front because of their recent rejection to the political opposition front and (because) they have a different approach to post-Assad's Syria," he said.

Read more: Syrian National Council picks new president

Syrian Minister of Information Omran al-Zoubi told Lebanese al-Manar TV on Monday that Damascus understood why Washington wanted to blacklist the al-Nusra Front.

"When the U.S. places Jabhat al-Nusra on the international terrorist organizations list, that is because it realizes the nature of these groups which are fighting the Syrian armed forces," he said.

Read more: In Syria, marriage as defiance

Syrian President Bashar al-Assad has characterized the nearly 21 months of violence that have ravaged his country as a fight against terrorism.

But the Syrian National Council, a largely expatriate opposition group, on Sunday voiced its "full rejection of any accusation of extremism and terrorism to any of the forces that are fighting the Syrian regime."

Any accusations made against factions within the Free Syrian Army, which brings together disparate groups, were intended to cause division within its ranks and between its forces and the Syrian people, it said.

"Terrorism is a characteristic that can only be attributed to the Syrian regime," it said.

The commander of the Falcons of the Levant Brigade, a rebel group, criticized the U.S. move in a statement, saying the international community "should have designated Bashar al-Assad, his army and his criminal thugs on that list first and last for what they are committing against our people."

The group said it would "refuse to be dragged into these Western accusations against any group" and would continue to back al-Nusra and any other faction fighting government forces.

U.S. officials have previously said the jihadist al-Nusra Front has not affiliated itself publicly with al Qaeda in an apparent effort to appear more mainstream. The group has claimed responsibility for complex attacks in Damascus and Aleppo, frequently involving suicide bombers.

At least 165 people were killed Tuesday across the country, according to the opposition Local Coordination Committees of Syria.

The Syrian Observatory for Human Rights reported an attack in the village of Aqrab, in Hama province. More than 125 people were either killed or injured, the vast majority of which belong to the Alawite minority, it said. Al-Assad hails from the same group.

A local activist in Aqrab told CNN the village has been under heavy shelling for about a week. The shelling intensified Tuesday, forcing families to flee, said Hekam Abu Rayan. He described bodies still trapped under the rubble.

The Hama Revolutionary Command Council, an activist group affiliated with the Free Syrian Army, similarly reported deaths in Aqrab. It accused a pro-government militia of using women and children as "human shields," holding them in a building surrounded by rebel fighters. When rebels sent in people to negotiate with the militia, they were taken hostage and later killed, the council said. Women and children attempting to escape were also killed, it said.

Syrian state news, citing a military source, denied any attack in Aqrab.

CNN is unable to confirm casualty reports as the government has severely restricted access by international journalists.

The meeting in Morocco this week follows a renewed international push for a diplomatic solution to the crisis in Syria, amid concerns about the potential use of chemical weapons.

U.S. Defense Secretary Leon Panetta told reporters Tuesday, however, that intelligence about new attempts by Syrian government forces to move chemical weapons "has really kind of leveled off."

U.S. officials said last week that they had seen intelligence suggesting that Syrian military units might be preparing chemical weapons for use, prompting strong warnings from international figures.

"We haven't seen anything new indicating any aggressive steps to move forward in that way," Panetta said.

"But we continue to monitor it very closely, and we continue to make clear to them that they should not under any means make use of these chemical weapons against their own population. That would produce serious consequences."

Panetta said he would like to believe that al-Assad has gotten the message: "We've made it pretty clear and others have as well."

But, he added, "You know it's also clear that the opposition continues to make gains in Syria, and our concern is that if they feel like the regime is threatened with collapse that they might resort to these kinds of weapons."

President Obama has said that any use of chemical weapons would cross a "red line," eliciting a swift U.S. reaction.

Syrian state-run media said Monday that the United States has falsely accused Syria of considering the use of chemical weapons.

@highlight

President Barack Obama recognizes a Syrian opposition coalition

@highlight

Syrian state news reports no attack in Aqrab, a village in Hama

@highlight

The United States designates the al-Nusra Front as a foreign terrorist organization

@highlight

The U.S. Treasury also imposes sanctions on two pro-government militia groups