(CNN) -- Imagine if Dear Abby had been a Cuban feminist living in New York's Spanish Harlem.

Imagine she was a lesbian with gravitas, an immigrant rights activist with spunk, sass and a wickedly mischievous sense of humor -- and you have Dolores Prida, an advice columnist widely known and beloved in the Latino community.

She died this weekend, at 69, and her dignified and elegant persona, her significance in New York's theater world, its artistic community, Hispanic life, and journalism cannot be overstated, even if you've never heard of her.

An oldest of three children, Ms. Prida, who was born in a Cabairién, Cuba, came to New York City in 1961 with her siblings and parents, and before long worked in the theater.

She would go on to be a playwright, and among the most important plays she wrote was "Beautiful Señoritas," a searing exploration of the role of women in society. It was written two decades ago, but many of the issues that plagued women then, particularly immigrant women, are still being negotiated today: how to balance the desire for a meaningful career with being a mother and wife when you're stuck in traditional, strict, and suffocating gender roles.

She also taught classes at several colleges and wrote political columns for the New York Daily News and El Diario.

But it was in her role as the voice behind Latina magazine's advice column, Dolores Dice, (Dolores Says) where Ms. Prida's generous spirit, lyrical eloquence and playful wit would find its glory.

I had the pleasure of hiring her when I was Latina's editor-in-chief 15 years ago. Though the column name was a sweet coincidence -- a play on the Spanish verb for pain, dolor -- once Ms. Prida took it over in the spring of 1998, it took fabulous form. This was the Hispanic woman's answer to Dear Abby. Ms. Prida gave the column guts and grit.

In one of her last responses, published in the current issue of Latina, a woman from Texas who described herself as being "white and Puerto Rican" longed to be proud of her heritage.

News: Dolores Prida, "Latina Dear Abby," dies

Ms. Prida's response: "When you say you can pass for either, 'depending on how I dress, wear make up and do my hair,' you are stereotyping yourself based on an imagined cultural identity centered on looks and behaviors. Latinas do not wear their hair or behave in any particular way. We come in every shape and form. Be yourself." The zinger? "And stop hanging out with people who judge you based on your hairstyle or outburst of sassiness. Let them think whatever."

In a 1998 column that was vintage Dolores, a reader sought advice: "I'm married, but I've fallen in love with the young man who works at the corner store. He doesn't know it yet. I don't know what to do. --Iris."

The answer? "Dear Iris: Do your shopping elsewhere. Pronto!" --Dolores"

Ms. Prida's work as an advice columnist was remarkable because of the many lenses through which she viewed life, among them: immigrant, Cuban exile, poet, community activist, sister, friend, mentor, immigrant rights advocate, lesbian, cook, smartass -- a candid soul filled with wisdom and fully-lived experiences. She'd been born in 1943 and she delivered good old-fashioned wisdom for women of the 21st century.

It's almost a poetic irony that a woman whose name in Spanish means many pains brought so many of us so much joy and light.

Hours before dying of a heart attack, Ms. Prida celebrated the 20th anniversary of LIPS, "Latinas In Power, Sort Of," a women's group that we are both part of. But there is nothing "sort of" about this unofficial group of gals. Among its members are a publisher of a large metro newspaper, several Emmy and Pulitzer winners, writers, lawyers, producers.

There's even a Justice in the group, as in Supreme Court Justice Sonia Sotomayor, who decided to pay a surprise visit that night to toast our enduring friendships.

Near midnight Ms. Prida complained of a slight stomachache and left quietly, as if not to disturb the flow. She did not say goodbye, but earlier in the evening she'd revealed to the group that she would be 70 this year. She could hardly believe it herself. Neither could we. She looked radiant and bursting with energy and ideas. A few blocks from her house, we later learned, she called her sister and asked her to pick her up, as she was not feeling well. Her sister found her.

During the ride to the hospital, the paramedics asked her name, and Ms. Prida instead of repeating her information, responded by telling them that she was just at a party and she was dancing -- that she was dancing for joy. She died several hours later at Mount Sinai Hospital, surrounded by her two sisters and niece.

She'd been working on a book, "How to Become an American in 100 Films" and told me that finishing was a challenge because she wasn't sure she wanted to include modern flicks. She didn't care much for them; she loved the black and white classics. Of course she did: Classic, like her.

The opinions expressed in this commentary are solely those of Sandra Guzman

@highlight

Sandra Guzman: Dolores Prida, advice columnist, "Latina Dear Abby," died at 69

@highlight

She says Guzman was Renaissance woman: playwright, activist, feminist

@highlight

Her plays spoke to Latina experience in U.S.; Her advice columns were wise, frank, witty

@highlight

Guzman: Her last hours were joyous, spent with friends; she brought many joy and light