Los Angeles (CNN) -- A new study by three universities shows that people holding positions of power with low status tend to demean others, one of the authors said.

The research sheds light on why clerks can seem rude or even why the Abu Ghraib guards humiliated and tortured their prisoners, the researcher said.

In an article to be published in the Journal of Experimental Social Psychology, researchers studied the relationship between the status and the power of a job, said Nathanael Fast, assistant professor of management and organization at the University of Southern California's Marshall School of Business.

The study, "The Destructive Nature of Power without Status," determined that the combination of some authority and little perceived status can be toxic.

"We found that people who had high power and high status, they were pretty cool," Fast told CNN. "But it was people who had power and lacked status who used their power to require other persons to engage in demeaning behavior."

In a field of study where psychologists and business schools are now jointly looking at how power shapes business relationships, the study's authors examined the notions of how low status is "threatening and aversive" and how power "frees people to act on their internal states and feelings," the researchers say.

"The world was shocked when pictures circulated in 2004 showing low-ranking U.S. soldiers physically and sexually abusing prisoners from the Abu Ghraib prison in Iraq," the study says. "One could point to these examples as support for the popular idea that 'power corrupts.'

"However, we believe there is more to the story. Although it is true that the prison guards had power, it is equally true that their roles provided little to no respect and admiration in the eyes of others. They had power but they lacked status. We posit that understanding the combinations of these two variables â€” power and status â€” produces key insights into the causes of destructive and demeaning behavior," the study says.

The researchers held experiments with students who were randomly assigned a high-status "idea producer" role or low-status "worker" role.

The students were asked to select from a list of 10 activities for the others to perform. Five of the most demeaning commands were: Say "I'm filthy" five times, say "I am not worthy" five times, bark like a dog three times, state three negative personal traits and count backward from 500 in increments of seven.

The least five demeaning activities were: Write a short essay on your experiences today, say a funny joke, clap hands 50 times, do five pushups, and jump up and down 10 times on one leg, the study said.

The research found that "individuals in high-power/low-status roles chose more demeaning activities for their partners (e.g., bark like a dog, say "I am filthy") than did those in any other combination of power and status roles."

"Our findings indicate that the experience of having power without status, whether as a member of the military or a college student participating in an experiment, may be a catalyst for producing demeaning behaviors that can destroy relationships and impede goodwill," the study said.

Remedies to such situations include upper management telling persons in high-power/low-status posts "how important these roles are, so that they have status," Fast said.

The promise of bonuses or promotions could also help, Fast said.

But not all people in such posts are so disagreeable, he added.

"There are a lot of people in these roles who treat others well, and that's probably a function of personality," Fast added. "I don't want everyone in these roles to say, 'Wait a minute, I don't act that way.' There are other moderators like personality and culture."

The study was also conducted by Nir Halevy, acting assistant professor of organizational behavior at the Stanford Graduate School of Business, and Adam Galinsky, professor of management and organizations at the Kellogg School of Management at Northwestern University.

"It's important to study power and status because hierarchy is everywhere. You can't get away from it," Fast said. "Whether you're with family and friends, volunteering at a soup kitchen, or working in a big organization, there's always a hierarchy."

@highlight

A new study looks at the relationship between status and power of a job

@highlight

Combination of some authority and little perceived status can be a toxic combination.

@highlight

Study could be applied to shocking behavoir of Abu Ghraib guards, authors say