TEHRAN, Iran (CNN)  -- Iran's election authority has rejected claims of voting irregularities by a defeated presidential candidate, while acknowledging that the number of ballots cast in dozens of cities exceeded the number of eligible voters there, state-run TV reported Monday.

Protesters face Iranian riot police on a street in Tehran on Saturday.

Iran's Guardian Council -- which approves all candidates running for office and verifies election results -- said candidate Mohsen Rezaie alleged irregularities in 170 cities, and that excessive ballots were found in 50 cities, according to government-funded Press TV.

Council spokesman Abbas-Ali Kadkhodaei said voting in those locations did not noticeably affect the outcome of the election, adding that the council will continue to investigate complaints that are filed through "legal channels," Press TV said. The council declared President Mahmoud Ahmadinejad the winner of the June 12 election.

Rezaie had reported some irregularities and called for a recount of some ballots, while opposition leader Mir Hossein Moussavi and candidate Mehdi Karrubi have rejected the election as fraudulent and demanded a new one.

Earlier Sunday, thousands of riot police and militia lined Tehran's streets as the public rift among Iranian leaders appeared to be widening.

The country's foreign minister disputed allegations of ballot irregularities in Iran's disputed presidential election, and the parliamentary speaker implied the nation's election authorities had sided with one candidate.

Amateur video showed large crowds marching down a major Tehran thoroughfare shouting, "Don't be afraid, we're together!" and "Death to dictator!" The person who shot the video said it was taken Sunday, but CNN could not immediately verify that the protest had taken place.

Eyewitnesses reported a protest also took place at southern Tehran's Azad University, where final exams were postponed after about 200 students refused to take them.

Thousands of riot police and members of the Basij militia lined the streets of the city, according to eyewitnesses. Security personnel surrounded the headquarters of the country's state television and radio. Many shops were closed, and shopkeepers whose stores were open said they planned to close early Sunday. However, no tanks were seen on the city's streets. Traffic was light.  Watch amateur video of a volunteer paramilitary forces headquarters burning in Tehran »

A statement purportedly from Moussavi on Sunday called on Iranians to "exercise self control" during protests in Tehran, while still supporting their right to demonstrate against the government and the results of the disputed June 12 presidential election.

"The country belongs to you. The revolution and the system is your heritage," the statement attributed to Moussavi said in a statement posted on his Web site. "Protesting against lies and cheating is your right. Be hopeful about regaining your rights. Do not allow anyone who tries to make you lose hope and frighten you make you lose your temper."

The authenticity of the message could not be verified; it was posted in Farsi and translated by CNN.

The message came a day after hospital sources said 19 people were killed in clashes between anti-government protesters and police. Unconfirmed reports put the death toll as high as 150.  See images of the clashes Saturday »

"The sad news of the martyrdom of another group who protested the results of the elections has caused our society astonishment and our people mourn them," said the statement attributed to Moussavi. "Firing on people, militarization of the city's atmosphere, threats, agitations and show of force are all the illegitimate children of law breaking and we are facing all of that. It is a wonder that the perpetrators accuse others of breaking the law for expressing their opinions."  Watch how social-networking sites spread the word on Iranian news »

Police have not been given permission to use firearms in confronting protesters, Tehran Police Chief Azizollah Rajabpour told Iran's semi-official Mehr news agency. Police have not used firearms on the public, he said. Allegations to the contrary are false and "spread by those who want to muddy the waters," the agency reported.

News coverage in Iran has been limited by government restrictions on international journalists. On Sunday, the BBC said Iran had expelled Jon Leyne, the British network's permanent correspondent in Tehran. And Al-Arabiya, a Dubai-based Arab satellite network, said its Tehran bureau was ordered closed.

Press TV confirmed 13 fatalities Saturday, saying the deaths resulted from police clashes with "terrorist groups" in Tehran. But the station did not say whether all the deaths took place Saturday or spanned the length of the weeklong protests.  iReport.com: Share images from Iran

Videos posted on social networking Web sites depicted tense scenes and chaos Saturday, and one graphic video that captured the death of a young woman became the iconic symbol of a brutal day. But like most of the information coming out of Tehran, it is impossible to verify her name -- Neda -- or the circumstances of her apparent death.  Watch a portion of the video »

Press TV also reported Sunday that five relatives of former President Ali Akbar Hashemi Rafsanjani were arrested for allegedly "inciting and encouraging rioters" in Tehran's Azadi (Freedom) Square on Saturday, the Web site reported.

Faezeh Rafsanjani, the former president's daughter, was released Sunday, and the four others were released earlier in the day, Press TV reported on its Web site. The woman's brother said she was arrested while taking part in a protest.

The elder Rafsanjani is chairman of the Assembly of Experts, which is responsible for appointing or removing the supreme leader. He is a supporter of Moussavi, while Supreme Leader  Ayatollah Ali Khamenei remained staunch in his defense of incumbent President Mahmoud Ahmadinejad.

A spokesman for the Guardian Council told state television that Wednesday is the last day it can recount the votes disputed by candidates.

Meanwhile, prominent figures, many of whom were part of Iran's Islamic revolution 30 years ago, issued conflicting statements, a sign that Iran's leadership was far from unified.

The foreign minister, Manouchehr Mottaki, said Sunday an investigation into claims of fraud in the election will be announced by week's end.

But speaking to foreign diplomats in Tehran, he called the possibility of irregularities almost nonexistent.

"The possibility of organized and comprehensive disruption and irregularities in this election is almost close to zero given the composition of the people who are holding the election," Mottaki said.

On the other hand, Iran's influential parliamentary speaker, Ali Larijani, implicated the same people -- the Guardian Council -- of siding with one candidate.

"Although the Guardian Council is made up of religious individuals, I wish certain members would not side with a certain presidential candidate," Larijani told the Islamic Republic of Iran Broadcasting on Saturday, without naming whom he meant.

The comments were reported on Press TV and on another news Web site, Khabaronline, Sunday.

Larijani's statement was in direct contrast to that of Khamenei, who in a sermon Friday declared the elections a "definitive victory" for Ahmadinejad and rejected charges of vote rigging.

"A majority of people are of an opinion separate" from that of a minority, Larijani said.

While Larijani and Ahmadinejad have had a tense relationship in the past, Larijani is seen as being aligned with Khamenei. For him to directly contradict the leader's statement amounts to another example of the growing disagreement among ruling conservatives.

Meanwhile, former Iranian President Mohammad Khatami, in an open letter posted on his Web site, said, "the presence of the people is one of the achievements of the revolution and must be respected."

"Sensational and insulting propaganda against the people, who have always acted independently, and insinuating that their healthy movement is directed by foreigners is itself a sign of the implementation of faulty policies which will widen the gap between the people and the government," Khatami wrote.

The election and the subsequent clashes in Iran were the subject of protests in some U.S. cities Sunday.  See photos of some of the protests in the U.S. »

In Washington, roughly 400 Iranian-Americans gathered in front of the Iranian Interests Section on Sunday to protest the disputed election.

The protesters, dressed in the colors of the Iranian flag, waved signs and chanted slogans such as, "Down with the dictator," "Democracy for Iran," and "Where's my vote?" Some carried signs with images of injured and bleeding Iranian protesters.

Protests also were held in Los Angeles and New York.

@highlight

NEW: Iran's Press TV: Council acknowledges excessive balloting in 50 cities

@highlight

Amateur video purportedly shows protesters in Tehran for eighth straight day

@highlight

Rift between Iranian leaders seems to be growing

@highlight

On Web site, purported message from Moussavi supports protests, urges caution