(CNN) -- Late in January, the book publisher Macmillan told Amazon it wanted to raise the prices of its books sold through the online retailer. Amazon made clear it wanted to continue to set prices for Macmillan's books, as it does for most books it sells.

To make sure the publisher understood it was serious, Amazon cut the links that enable people to buy Macmillan's books via Amazon's Web site. For more than a week, you could still see Macmillan books on Amazon; you just couldn't order one.

Even though the two companies have since struck a truce, the showdown should deeply concern anyone who cares not merely about the health of this vital industry, but about concentration of political power in America.

What should concern us foremost is not that Amazon's managers believe they -- rather than the people who write and edit our books -- have a right to set the price for books. It is that Amazon's managers believe they have consolidated sufficient power -- the company sells as much as 80 percent of all ebooks, for instance -- to enforce their will by cutting off the public's access to a publisher's books.

More disturbing yet, Amazon is not alone in having captured such a position. Another company that has captured a real say over the actions of our publishers is Wal-Mart. And Wal-Mart is a goliath that has repeatedly used its dominant position to influence the content of products by refusing to sell certain books or music.

Indeed, such brute use of power is increasingly the norm across our economy. As anyone who has studied the business practices of Wal-Mart, Home Depot and Best Buy knows, rough treatment of the people who make what we buy is true in just about every industry.

It was not always this way in America. A generation ago every city boasted its own department stores, discount shops and independent bookstores. Power was so widely distributed that few retailers enjoyed any real power over suppliers.

The consolidation in retail since then is due largely to two revolutions in our anti-monopoly laws. The first was the Consumer Goods Pricing Act of 1975, which gave retailers the power to price other companies' products. Second was the Reagan administration's reframing of our anti-monopoly laws in 1981 around the concept of "consumer welfare."

Until then, the prime purpose of anti-monopoly laws was to protect citizens against concentration of political power. Since then, officials have used our anti-monopoly laws instead to lower prices. To achieve this end, they often virtually promote concentration of power over entire market systems.

As a result, it is now all but routine for big firms, in their efforts to grow bigger and increase profits, to dictate prices to suppliers who depend on them to get to their customers. Such use of power can strip away or destroy much of the cash suppliers would have invested in new products or simply to maintain systems and skills.

There is nothing new in this. A century ago Supreme Court Justice Oliver Wendell Holmes spelled out the dangers in a case in which a retailer manipulated the price of a drug, "I cannot believe," he wrote, "that in the long run the public will profit by this court permitting knaves to cut reasonable prices for some ulterior purpose of their own, and thus to impair, if not to destroy, the production and sale of articles which it is assumed to be desirable that the public be able to get."

In the case of Amazon, consolidation has often been presented as a consequence of new technologies. And it is not entirely clear how we can apply traditional anti-monopoly laws, many of which have geographic components, to online commerce.

But any careful reading of history will carry us to analogous challenges in our past, like those posed by the early railways, and thereby to other potentially useful forms of anti-monopoly law such as common carriage rules. Also, most of Amazon's abuses would have been avoided if the people who make our products (in this case books) still enjoyed complete autonomy to set their own prices.

Amazon acted badly. So too Wal-Mart, especially during last fall's book price war. Yet the fundamental flaw lies not with the decisions made by managers of these companies. It lies with viewing our anti-monopoly laws as a tool to promote a flawed vision of efficiency rather than to protect our most vital liberties.

Defenders of concentration will continue to justify their use of power with claims they are serving the "consumer." But we should be clear that fixation on lowering prices can result in truly dramatic costs.

Sometimes it is degradation of the quality and safety of the products delivered to the American "consumer." Sometimes it is the concentration of power over the people who produce our books and other vital products and over the American citizen.

The opinions expressed in this commentary are solely those of Barry C. Lynn.

@highlight

Dispute over e-book prices between Amazon, publisher a power play, says Barry C. Lynn

@highlight

Lynn: Government has stressed lower prices while allowing growth of powerful retailers

@highlight

He says the cost of the policy has been domination of retailers over suppliers