United Nations (CNN) -- President Barack Obama will address the U.N. General Assembly on Wednesday as world leaders continue to lay down their achievements and goals in the effort to decrease world poverty.

The American president will be among those addressing the Millennium Development Goals, an ambitious agenda world leaders set 10 years ago to tackle global poverty, which has grown amid the world economic recession. Others are addressing biodiversity.

Speakers on Wednesday focused on a wide range of policies and issues, such as family planning and health care.

Jose Manuel Barroso, president of the European Commission, said, "Our ability to end poverty and hunger and improve child and maternal health depends upon the long-term availability of fresh water, food, medicine, and raw materials that nature provides."

Francois Bozize, president of the Central African Republic, said the country is taking steps at dealing with impoverishment and other issues, such as infrastructure and life expectancy. But he acknowledged that the challenges his nation faces are great.

"Poverty rates in our country continue to be alarming," he said.

Secretary-General Ban Ki-moon said a rescue package similar to that introduced after the global financial crisis is needed to block the worldwide loss of biodiversity.

On Thursday, Obama will be among the world leaders speaking at the U.N. General Assembly's annual general debate, where he will address a wide range of issues.

Obama will seek to project the image of a nation taking the lead, highlighting the benefits of renewed U.S. leadership on foreign policy, from reviving the world economy to pushing tough new sanctions on Iran and North Korea through the U.N. Security Council, to renewed momentum on nuclear disarmament and rejoining the U.N. Human Rights Council.

His administration also hopes to rally continued support this week for Haiti's reconstruction after the earthquake and to help Pakistan recover from devastating floods.

There is no shortage of diplomatic hot spots for Obama and Secretary of State Hillary Clinton to review with world leaders on the sidelines of the U.N. debate, starting with the Middle East peace process and the war in Afghanistan.

With less than a week before the deadline for a moratorium on Israeli settlement construction to expire, Clinton is hoping to get some momentum on peace talks between Israelis and Palestinians.

Regarding Afghanistan, as the Taliban continues to gain traction throughout the country, the administration wants to consult with allies about the road ahead as it gears up for its own policy review this December.

This week, Obama also will participate in a high-level meeting on Sudan, to help boost U.N. efforts to oversee a referendum on independence for southern Sudan, a step that risks reigniting the decades-long civil war. The United States has stepped up efforts in recent weeks to help mediate between Sudan's rival factions in the hope of securing a peaceful vote.

Iran also looms large, as it seems to each year. The nuclear standoff between Iran and the West is a common theme during every modern-day U.N. General Assembly.

Last year, Iran was a main topic when leaders from Security Council nations gathered to talk nuclear disarmament, and the United States disclosed the discovery of a secret nuclear facility at Qom just days after world leaders gathered in New York.

This year, Obama is expected to use his speech to argue that is it not the United States but the whole international community that has problems with Iran. He will stress the door to engagement with Iran is still open.

Iranian President Mahmoud Ahmadinejad is also attending the U.N. General Assembly this week and his appearance in New York has met with street protests. On Tuesday, Ahmadinejad blamed capitalism for the world's woes during the anti-poverty conference.

He  is scheduled to appear on CNN's "Larry King Live" on Wednesday night and to address the General Assembly on Thursday.

Iranian-Americans plan to stage a rally Thursday that condemns his presence at the United Nations and protests the Iranian regime, which many critics revile for what they say are its anti-democratic policies.

CNN Senior State Department Producer Elise Labott contributed to this report.

@highlight

Leaders are discussing Millennium Development Goals this week

@highlight

Multiple issues will be discussed on the sidelines of the meeting

@highlight

Obama set to speak Wednesday and Thursday