(CNN) -- The streets of Manila can be an unforgiving place for the city's taxi and public transport drivers. Chronic traffic jams and badly maintained roads are part of the daily grind but add in the possibility of floods during the annual typhoon season and a strong constitution is needed.

But Josefina Barandon doesn't mind, and as one of the city's few female drivers will happily take to the streets in her electric jeepney as long as she is able to, come rain or shine.

Barandon is one of three women driving Manila's 20-strong fleet of electric public vehicles that ply the streets of Makati, the capital's central business district.

If her vehicle is a rare sight among the traditional diesel-spewing jeepneys on the roads, even rarer is seeing a woman behind the wheel of a vehicle of any description.

"All our passengers are happy if they see women drivers because they think the lady drivers are honest," says Barandon.

"Our jeepneys are better taken care of, we clean our own and decorate them at our own expense."

Barandon was a taxi operator and then driver before switching from her petrol-powered cab to an electric jeepney in March.

It was her good fortune that one of the fares she picked up from the airport last year was Yuri Sarmiento, CEO of Ejeepney Transport, who suggested she swap her taxi for an electric jeepney and with it gain a steady form of employment.

Like other drivers of taxis and jeepneys, Barandon regularly used to work shifts of up to 24-hours in order to pay for the hire of the vehicle and then make enough money to support her family.

Being an electric jeepney driver is the first time that Barandon has had the benefits and security that most people expect with a job -- a daily shift of eight-hours, health insurance and a weekly paycheck.

The e-jeepneys of Makati are still officially a pilot initiative, but only bureaucratic red tape has prevented it from becoming commercial and charging passengers 8 pesos ($0.20) per ride, says Reina Garcia, project coordinator for the Institute for Climate and Sustainable Cities, which organizes the Makati-based project.

"As well as the environmental impact, we wanted it to help women to have the same opportunity as male drivers," says Garcia.

"Economically and socially women are one of the most vulnerable sectors in society, we wanted them to enjoy the same benefits from the electric jeepney project, such as increased income."

Statistics suggest that women in the Philippines have been successful in gaining ground against men. Ranked eighth on the World Economic Forum's Gender Gap Index, the Philippines outperforms the U.S., Germany and all other Asian countries in terms of gender equality in economic opportunity, health, political participation and education.

According to the figures, women outnumber men in the field of senior officials, managers and professional and technical workers, but still lag behind men in terms of equal wages.

Despite some gains for women in the workplace there are plenty of hurdles still to overcome, believes Florencia Cabatingan, chair of the Trade Union Congress of the Philippines Women's Committee.

"Discrimination in hiring is something we're aiming to work on. While jobs won't officially advertise for a man, there will be criteria which points to men and not women, like 'we need someone six-feet tall,' or request a qualification that makes it clear men need to be hired."

Notions that traditional diesel jeepneys are too heavy for women to drive are slowly being eroded, or completely bypassed with lighter electric versions, although Barandon says that even her family still finds it funny she drives a jeepney.

Macho attitudes from male drivers could also still deter other women from wanting to get behind the wheel.

"Sometimes the male drivers, like taxi drivers, they bully women drivers, overtake unnecessarily and think that women drivers can't do what they are doing," says Barandon.

But when it comes to fare-paying passengers, Barandon believes most would like to see more women on the roads.

"Attitudes have changed. Our passengers are comparing women drivers in other countries, and society in the Philippines already accepts that women drivers are much better (than men)," she says with a smile.

@highlight

Women driving new electric jeepneys on streets of Manila

@highlight

Public transportation in Philippines dominated by male drivers

@highlight

Philippines ranks high on WEF Gender Gap index

@highlight

Public attitudes to women drivers are positive, says female jeepney drivers