(CNN) -- A few weeks ago, an Arabic campaign exploded on Twitter. The Arabic hashtag -- #الراتب_مايكفي_الحاجة (loosely translated as "the salary does not meet my needs") -- reached 17 million tweets in the first two weeks.

At its height, it registered 1.2 million tweets a day, and was not only the most popular hashtag in Arabic, but the 16th most popular in any language.

Somewhat unexpectedly, the campaign, which hints at a financially aggrieved populace, comes out of one of the world's wealthiest nations: Saudi Arabia.

"There's a feeling among some people that I guess you could characterize as anger. Others are disappointed, some think it's a question of (the Saudi government's) priorities," says Fahad Nazer, a Saudi political analyst with JTG Inc.

The anger he refers to is fueled by growing unemployment and frustration at government spending. Nazer notes that the campaign gained particular traction following the Saudi government's announcement that it would give financial aid to Egypt's military regime.

"The government is giving handouts to Egypt, Jordan and Tunisia, and using a third of the country's budget for this year to pay for the Riyadh metro. Meanwhile, Saudi's are paying most of their salary on rent, private schools, private hospitals -- because public ones aren't good -- while salaries have practically stayed the same," laments Manal Al Sharif, a Saudi activist who gained notoriety for posting video of herself driving on YouTube. She is also one of the country's most vocal tweeters.

"There's a long list of things that are wrong," she adds.

Unemployment is higher than one might suspect in the oil-rich nation. Though official figures are hard to come by, there are approximately 1.8 million Saudis enrolled with Hafiz -- the country's unemployment benefits program -- according to Adam Coogle, a Middle East researcher with Human Rights Watch.

The campaign has also drawn attention to a topic that was once considered taboo: Saudi poverty. Accompanying many of the tweets are images and video supposedly depicting Saudis living in squalor; some show Saudi's beggar class while others reveal the existence of Saudi shanties.

Lynsey Addario, a photographer who documented Saudi poverty in Riyadh for Time Magazine, recalls how the assignment challenged her expectations.

"What you see on the surface are the shiny buildings and the shopping malls and the new universities being built -- the wealthy side. I was actually quite shocked when we went to the slums," she says. She recounted families struggling to pay the bills, and living in single-story, cockroach infested houses in the heart of Saudi Arabia's capital.

"Poverty in Saudi challenges many people's assumptions, including some Saudis'," admits Nazer. Poverty and unemployment are particularly rife among Saudi youths (Coogle estimates they make up anywhere between 18 and 35% of the unemployment rate), and even more so among women.

According to English-language newspaper the Saudi Gazette, an annual report put out earlier this year by the Ministry of Labor showed Saudi men in the private sector earn an average of $1,516, with women staffers pulling in half that sum. Al Sharif notes that working women are at a further disadvantage due to the many practices that are banned to them.

"A woman in Saudi is dependent on men to do just about everything in her life. If a man doesn't exist, she will have to pay for those services she can't do herself, like driving a car, starting her own business or going to court," she notes.

Read more: Saudi Arabia's first anti-abuse campaign

Despite its popularity, the campaign has attracted critics who argue Saudis are already too reliant on their government. Nazer himself notes that the campaign risks oversimplifying what is actually a very complex issue.

Several factors, he argues, have fed unemployment, including a population explosion -- since the '70s, Saudi has grown from 6 million people to nearly 20 million, with an additional 10 million expats competing with nationals for jobs. Adding to the problem is the fact that in the past, many Saudis chose to study religion and languages -- areas for which there is little demand.

"It's a complex situation, as is true of any economy. People who try to trivialize or simplify it miss a lot of variables," says Nazer.

Regardless of where one stands on the issue, what's been particularly surprising is the willingness of Saudis -- who traditionally value cultural privacy -- to air their grievances in an international forum.

"It's true, we are a very private nation, and we don't want the rest of the world to know anything about us," admits Al Sharif. However, she says, it's a price many Saudis are willing to pay.

"Saudis are realizing that you can't isolate yourself from the rest of the world, because the only way we can communicate and read each other's views is through social media. It's our kind of parliament, where we can go and debate, and do things we can't do in the real world."

@highlight

Saudi Arabian Twitter users have flocked to a campaign bemoaning wages in their country.

@highlight

The hashtag became the 16th most popular in any language.

@highlight

High unemployment and government spending has fueled resentment in Saudi Arabia.

@highlight

Many tweeters shared images and videos of impoverished Saudis.