Washington (CNN) -- As portions of the Arab world struggle to extinguish decades of oppression and dictorial rule, the rights and opportunities for women in these societies stand at a delicate precipice, U.S. State Department officials told a Senate Foreign Relations subcommittee Wednesday.

"This is not a favor to women, it is not simply a nice thing to do," Melanne Verveer, Ambassador-at-Large for Global Women's Issues, said at a hearing called to examine the role of women in the aftermath of the Arab Spring.

"No country can get ahead when it leaves half of its people behind," and does not allow women an opportunity to participate in the economic development of their societies, she said.

Verveer said Tunisia, with its long history of women's rights enshrined in its constitution, and strong middle class shows great promise. With its first election recently since the revolution in which close to a quarter of the seats in Parliament were won by women, Verveer said it would be interesting to see the role women play in pushing the Tunisia forward.

On the other hand, Egypt is "extremely complicated and worrisome," Verveer said, with no women included on the committee that drafted Egypt's transitional constitutional declaration, and only one female member serving in the cabinet.

Verveer also pointed out that the ruling Supreme Council of the Armed Forces has not appointed any female governors, and said some conservative and political forces are calling for a rollback on women's rights in the more open political environment.

Sen. Jim DeMint, R-South Carolina, expressed concern for the rights of religious minorities in predominantly Muslim societies.

"Certainly, if women cannot freely worship and are being threatened with murder their human rights are not being duly respected," he said, and questioned the role of women in Libya in light of recent calls by Libya's National Transitional Council to enact Islamic law in the country.

While Verveer noted the NTC has said they have no intention of establishing an Islamic theocracy, "vigilance is critical, speaking out against violations is critical" in ensuring the rights of women and minorities are respected in this time of transition she said.

"This moment of change presents a great strategic opportunity for the United States," Deputy Assistant Secretary Tamara Wittes told the committee. With the implementation of democracy and universal rights, Wittes said the rising Arab population of young men and women can push back against the narrative of extremists in their societies.

Sen. Jeanne Shaheen, R-New Hampshire inquired about but what kind of "buy in" the men in Arab Spring countries are giving to equal rights for women?

"It's checkered," Verveer said. "No good cause for women happens without the good men," and working with those who understand that unless women are part of the political and economic process, their countries will be set back she said.

The United States, which along with states like Iran and Somalia, has yet to ratify the Convention on the Elimination of All Forms of Discrimination Against Women, should do so, said Sen. Barbara Boxer, D-California. She said repressive governments could use that fact as a pretext to not live up to their own obligations under it.

The U.N.-sponsored treaty has languished in the U.S. Senate since its adoption in 1979.

@highlight

Senate panel holds hearing on role of women in Arab Spring nations

@highlight

While Tunisia's shows great promise, the picture in Egypt is "worrisome"

@highlight

Some conservative and political forces are calling for a rollback on women's rights

@highlight

Rights advocate: "No country can get ahead when it leaves half of its people behind"