Editor's note: Michael A. Olivas is the William B. Bates Distinguished Chair in Law at the University of Houston Law Center and director of the university's Institute for Higher Education Law and Governance. He is the editor of "Colored Men And Hombres Aquí: Hernandez V. Texas and the Emergence of Mexican American Lawyering," and is a member of the board of the Mexican American Legal Defense and Educational Fund.

Michael Olivas says Sonia Sotomayor's nomination affirms that Latinos matter in America.

(CNN) -- I recently saw an old episode of "West Wing," where Edward James Olmos, playing a fictional Puerto Rican federal judge, was nominated to become the first Latino on the U.S. Supreme Court. I cried, thinking how remote this possibility seemed, yet how close.

Now that Judge Sonia Sotomayor has been nominated by President Barack Obama to the Court, that episode finally rings true. When I heard the news, I wept, for the long-overdue acknowledgement that Latinos matter.

Judge Sotomayor's life and legal career are arcs possible only in this country: a hardscrabble life in a south Bronx housing project, educational opportunities made possible by her own intelligence and hard work, and a legal career devoted to public service. When she assumes her position on the bench in October, no other justice will have had the depth of legal experience she holds, and none will have served as a trial judge.

The sum of her life is exactly what we should look for on this court: excellent academic credentials, an accomplished legal career in private and government practice, and appointments to federal benches by Republican and Democrat presidents. Her decisions have been well-reasoned and well-written, and she will ably take her place on the Supreme Court bench.

The search for a justice with "empathy" is no less coded than is the traditional search for "judicial temperament" and a person who will "judge, not legislate." All nominees have the requisite merit badges, as does Judge Sotomayor. And to make their way to such a short list, all have the combination of personal and professional lives that warrant their consideration.

What Sonia Sotomayor will have, as few other candidates, is the additional weight of historical expectations and the hopes of Latinos.

In today's culture, Latinos are marginalized and demonized and feared. In Judge Sotomayor's New York, roving gangs of thugs go "beaner hunting," looking to harm undocumented Mexicans. Such racial hatred knows no nuance, as one such mob killed a permanent resident Ecuadorian, thinking him to be Mexican.

Vigilantes along the Mexican border have taken the law of enforcement into their own hands. In cultural programming, this community is described as either lazy and shiftless, or stealing jobs from real Americans. They are typecast as drogeros or maids, long characterized as banditos or greasers. The racial rhetoric against Latinos has been tolerated for too long on cable television news and in political and polite discourse.

I will be carefully watching the confirmation hearings for the coded political messages, knowing that Justice-elect Sotomayor's many merits will ultimately win her confirmation. But also watching will be little girls in a south Bronx housing project, in the valley of South Texas, and in rural New Mexico.

Her service on our country's highest court will be the evidence that they, too, have reason to hope and to achieve. All of this country's citizens should realize that it is not just Latinos' dreams being realized, but our collective accomplishment.

The opinions expressed in this commentary are solely those of Michael Olivas.

@highlight

Michael Olivas: Judge Sonia Sotomayor's nomination is a historic moment

@highlight

He says she has the personal and professional qualificiations to be confirmed

@highlight

Olivas: In American culture, Latinos are marginalized and feared

@highlight

He says Sotomayor's nomination sends an important message of hope