Paris (CNN) -- French police arrested two veiled women protesting the country's law banning face-hiding Islamic burqas and niqabs Monday, just hours after the legislation took effect.

The arrests outside Notre Dame Cathedral in Paris were not for wearing the prohibited garments. Police say the women were instead arrested for participating in an unauthorized protest. But the incident reflected the high passions the ban has incited among some Muslims.

One woman who disapproves of the ban said no one forces her to wear the niqab, a full-face veil with an opening for her eyes, and she should be left alone.

"I've not committed a crime," said Hind Amas, who was not among those arrested. "I'm walking peacefully in the street. I've not attacked anyone."

The ban pertains to the burqa, a full-body covering that includes a mesh over the face, as well as the niqab.

The hijab, which covers the hair and neck but not the face, and the chador, which covers the body but not the face, apparently are not banned by the law that has sparked a vigorous debate around freedom of religion in France.

"The ban does not target the wearing of a headscarf, head gear, scarf or glasses, as long as the accessories do not prevent the person from being identified," the Interior Ministry said in a statement.

French Prime Minister Francois Fillon last month defended the ban as being in keeping with national values.

"The French Republic lives in a bare-headed fashion," he said in an official government newspaper explaining the law.

The legislation was largely the product of internal French politics, with President Nicolas Sarkozy's center-right party seeking to defend its flank against a more hard-line right wing, said Jonathan Laurence, an associate professor of political science at Boston College and the author of an upcoming book, "The Emancipation of Europe's Muslims."

"It's an unnecessary confrontation," he said. "This is not an epidemic."

Fewer than 2,000 people in all of France and its possessions wear the garments, he said -- a quarter of them overseas. The now forbidden garments are not popular among the North African Muslims who make up much of France's Islamic population.

But the law should not be interpreted as France turning unfriendly toward the largest Muslim population in Western Europe, he said.

As its Muslim population has risen over the past decade France has gone to great lengths to ensure accommodations for Muslims. A council on Islamic faith helped guide changes such as increasing the number of clergy in prisons and the military and streamlining the approval of slaughterhouses to provide meat that adheres to Islamic law, according to Laurence.

And unrest among French Muslim immigrants has had more to do with economics than cultural issues, Laurence said.

"France is not a bad place for Muslims to live," he said, predicting that controversy over the law would pass if France continued its commitment to supporting the needs of Muslims to worship freely in the country.

But such policies could frustrate French Muslims, said Amer Sahar, a professor at the University of North Carolina-Chapel Hill who studies Muslims in France.

"The French community has, of course, been upset at this new development even if many may personally be against the burqa," she said. "They feel under attack one more time and resentful of the fact that they are not allowed to be both Muslim and French."

Hebah Ahmed, a blogger, is against the ban and says it is a woman's choice whether or not to cover up.

"I am free to do whatever I want and this is a choice that I want to make. And just because somebody doesn't accept my interpretation of Islam or personally like it doesn't mean that we can use laws to violate people's freedom of expression and freedom of religion," she said on CNN's "In the Arena."

"People have to deal with my brain and who I really am and not judge me by my body," she added.

The law imposes a fine of 150 euros (currently about $215). The person breaking the law can be asked to carry out public service duty as part of the punishment or as an alternative to the fine.

It was passed in October but included a six-month period to inform people of the penalty before it went into effect.

Penalties for forcing a person to wear a burqa are part of the law, and they became effective immediately in October.

Forcing a woman to wear a niqab or a burqa is punishable by a year in prison and a 30,000-euro fine (about $43,300). Forcing a minor to do the same thing is punishable by two years in prison and a fine of 60,000 euros.

The government has called such coercion "a new form of enslavement that the republic cannot accept on its soil."

Activist Rachid Nekkaz of the group Hands Off My Constitution headed out Monday wearing a mask and carrying a check for the 150-euro fine. Nekkaz's group auctioned one of his homes to provide money to pay the fines of any woman arrested for wearing the forbidden garments.

"I would like to send a clear message to President Nicolas Sarkozy that we can do what we want. We have rules. We have a constitution and everyone has to respect it," he said.

The French Constitutional Council said the law does not impose disproportionate punishments or prevent the free exercise of religion in a place of worship, finding therefore that "the law conforms to the Constitution."

"Given the damage it (wearing the forbidden clothing) produces on those rules which allow the life in community, ensure the dignity of the person and equality between sexes, this practice, even if it is voluntary, cannot be tolerated in any public place," the French government said when it sent the measure to parliament in May of last year.

Lawmakers have also cited security reasons for forbidding people from covering their faces in public.

Some Muslim women support the ban, including Sihem Habachi.

"When you wear the full veil, you don't have the right to work, you don't have the right to choose your husband, you don't have the right to love," said Habachi, a Muslim feminist. "You are totally in prison. What is the aim of our democracy? What is the aim of our republic? It is to protect. That is a new challenge for our republic today."

Mona Eltahawy, a columnist on Arab and Muslim issues, similarly supports the ban and says she would like to see it adopted elsewhere.

"I believe that the niqab dangerously equates piety with the disappearance of women so I support banning it anywhere," she said on CNN's "In the Arena." "We're talking about the disappearance of women, justified in the name of them becoming closer to God."

Despite the controversy, French people backed the ban by a ratio of more than 4-to-1, the Pew Global Attitudes Project found in a survey last year.

Some 82 percent of people polled approved of a ban, while 17 percent disapproved. That was the widest support the Washington-based think tank found in any of the five countries it surveyed.

Clear majorities also backed a burqa ban in Germany, Britain and Spain, while two out of three Americans opposed it, the survey found.

Amnesty International had repeatedly urged France not to impose the ban, saying it violates European human rights law.

The Pew Forum on Religion & Public Life estimates that France has about 3.5 million Muslims, or about 6% of the population.

France does not keep its own statistics on religious affiliation of the population, in keeping with its laws requiring the state to be strictly secular.

CNN's Niki Cook contributed to this report

@highlight

Professor: Law is unnecessary, but not evidence of anti-Islamic sentiment

@highlight

Veiled Muslim woman says, "I've not committed a crime"

@highlight

Two women are arrested for participating in an unapproved demonstration

@highlight

French officials cite national identity and security as reasons for the ban