(CNN) -- My eyes stung, I was coughing, my nose was running. Along with cameraman David Hawley and freelance producer Kareem Khadder, I had just been tear-gassed -- not for the first time last Friday -- during a day-long clash between Palestinian kids and Israeli soldiers in the West Bank town of Na'alin, on the West Bank.

An Israeli soldier confronts Palestinian protesters during a demonstration Friday in the West Bank village of Jayyus.

We had gone there to gauge the Palestinian view of Tuesday's Israeli elections. Na'alin, and many other towns and villages like it in the West Bank, are in the forefront of the conflict between Israel and the Palestinians. Here, it all comes down to the most basic element in the century-old conflict: control of the land.

Na'alin is an old town, with factories and workshops, surrounded by olive groves. But in recent years neighboring Israeli settlements, built since the June 1967 war, have increasingly encroached on Na'alin's farmland, and Israel, on grounds of security, has built its security barrier around the town.

As a result, Na'alin residents say they have lost access to much of their land, their water sources, in short their livelihood. Beginning two years ago, every Friday they hold protests against Israel's settlement expansion and barrier building.

Most Na'alin residents are not ideological hotheads; before the outbreak of the second Palestinian intifada, or uprising, in September 2000, many worked in Israel. Most are still fluent in Hebrew and do business with Israelis looking for a good deal on car repairs and other services.

For that reason I thought Na'alin would be a good place to see what Palestinians were thinking. What I heard was universal pessimism.

No one I spoke with expressed the slightest hope that any of the leading candidates --Likud's Benjamin Netanyahu, Kadima's Tzipi Livni, Israel Beitenu's Avigdor Lieberman and Labour's Ehud Barak -- would do anything to remove the settlements that are slowly closing in on Na'alin.

As we sheltered from the tear gas behind a house, Na'alin resident Hani Khawaja told me, "I don't expect anything to come out of the elections that will please the Palestinians. Just killings, expulsions and land confiscations."

Another man, Ayub Srour, had a slightly different approach. He prefers Israeli leaders to be honest about their intentions, and not raise hopes only to dash them later. He wants Likud leader and long-time hardliner Benjamin Netanyahu to win. "At least he's honest. He says he'll expel us, and he will expel us. He says he's slaughter us, and he will slaughter us."

I've covered almost every Israeli election since 1996. With each election, the Palestinian feeling of despair and hopelessness only deepens.

Since the last election in the spring of 2006, Palestinians have seen Israel and Hezbollah go to war, West Bank settlements continue to expand, Hamas and Fatah fight it out in Gaza with Hamas taking control in June 2007.

They've also seen a series of Israeli incursions into Gaza, culminating recently in the 22-day Israeli offensive that left large parts of the strip in ruins.

Meanwhile many Palestinians say their leadership -- often described as moderate and pro-western -- in Ramallah is incapable of reversing the trend of settlement expansion.

The same leadership has been unable to convince Israel to remove few of the hundreds of roadblocks and checkpoints that make travelling around the West Bank a test of patience and endurance.

In short, when Palestinians look back over the last 15 years since the Oslo Accords were signed, they've seen their lot only go from bad to worse.

As a result, more and more Palestinians are convinced the only way to beat the Israelis is to join them, to discard failed attempts at creating a Palestinian state in an ever smaller, ever more economically unviable territory, and go for what is known as the one-state solution.

That would mean Palestinians in the West Bank and Gaza relinquishing their dream of an independent Palestinian state, and instead insisting on equal rights in the territory between the Jordan River and the Mediterranean, an area that is, for all intents and purposes, under Israel's control anyway.

The one-state solution is an anathema to many Israelis, who are well aware that, with their higher birth-rate, Palestinians (those living within Israel proper, plus Jerusalem, the West Bank and Gaza) could well become a majority within a generation.

Israelis increasingly worry the national struggle between Israel and the Palestinians will be transformed into an internal struggle, for equal rights for all those living within historic Palestine.

Those fears prompted Israel's current caretaker prime minister, Ehud Olmert, to warn as far back as November 2007 that if Israel doesn't move quickly to achieve a two-state solution, it will be in a position not unlike South Africa during the apartheid area, whereby a minority -- in this case Israeli Jews -- rules over a restive majority -- the Palestinians -- by means of force, repression and discriminatory laws.

Many Palestinians argue that is already the case, citing Israeli restrictions on movement, residence, and work.

The bedrock of Israeli antipathy toward the Palestinians is part of the reason for the growing strength of the Israel Beiteinu (Israel is Our Home) Party, led by Avigdor Leiberman.

He argues that Israel's Palestinian minority (they make up about 20 percent of the population) as a potential fifth column working against the aims of the Jewish majority.

Leiberman has focused much of his fire on Palestinian Knesset members such as Ahmed Tibi, accusing him and others of sympathising with Israel's enemies, Hamas and Hizballah. His solution is to compel all of Knesset members -- and possibly all Israeli citizens -- to take an oath of loyalty to the state.

Another of Leiberman's proposals is to redraw Israel's boundaries to exclude as many of its Palestinians as possible.

Tibi responds that Leiberman's growing clout is symptomatic of "an obvious fascist phenomena invading Israeli society. During the last years, racism became mainstream."

Back in the town of Na'alin, the kids throwing stones at Israeli troops do have some odd companions. Young Israelis, some of them self-described anarchists, also take part in the protests.

They don't throw stones, but they do offer useful advice. "Laththam! Laththam!" one Israeli with black tattoos on his arms tells a young boy, no older than 12, hurling rocks with a home-made sling.

"Laththam" is Arabic for "cover your face," the advice imparted because if Israeli troops can identify stone throwers, they arrest them.

There still is cooperation of sorts between Palestinians and Israelis, but it's an increasingly rare commodity. And this election probably won't do anything to bridge the growing gap between the two -- the curious friendship in Na'alin notwithstanding.

@highlight

CNN correspondent finds moods of universal pessimism in West Bank town

@highlight

Israel votes Tuesday after election campaign dominated by the country's right

@highlight

More and more Palestinians see "one-state solution" as only way forward

@highlight

Israelis oppose one-state solution for fear Palestinians would be majority