People visit Jerusalem for the rich history, interwoven religious narratives and crumbling holy walls. They visit Europe for ornate churches with painted ceilings and golden trim. They visit India for peace of mind, finding serenity in its carved and colorful temples scattered along the sacred Ganges River.

But people rarely travel the U.S. in search of such sanctuaries. After all, what religious wisdom could America, a country still in its youth at 236 years old, have to offer?

Although the country may not have a reputation for religious landmarks, America is home to more than just secular city halls and strip malls. Whether or not you practice a faith, visiting these beautiful and historic U.S. religious spots may provide inspiration.

Bahá'í House of Worship in Wilmette, Illinois

This Bahá'í House of Worship is one of just seven Bahá'í temples in the world and is the only of its kind found in North America. It's just 30 minutes north of Chicago in Wilmette, Illinois.

Although the house of worship was created with a mixture of quartz and cement, the intricately carved temple looks as if it's made of white lace. Like all Bahá'í houses of worship, the circular temple has nine sides and is surrounded by fountain-filled gardens.

The temple services members of the Bahá'í faith, a religion founded in 19th-century Persia that stresses unity of all humankind. Anyone is welcome to visit the space -- its auditorium and gardens are open from 6 a.m. to 10 p.m. every day free of charge.

"We don't ask what your religion is -- we don't even care," the temple's summer tour coordinator, Gwendolyn Clayborne, said. "It's a place for people to come and meditate and pray and just get in touch with their spiritual sides."

Clayborne said people are surprised such a temple, which was completed in 1953 and took more than 30 years to construct, can be found in Illinois.

"A few people from Chicago will admit it's the best kept secret," Clayborne said.

Hsi Lai Temple in Hacienda Heights, California

With its traditional Chinese design, this Buddhist temple looks like it came from the Far East.

Although it was completed in 1988, the temple's architecture is faithful to the Ming and Ch'ing dynasties, which ruled in China from the 14th to 20th centuries.

The Hsi Lai Temple features golden tiles in its buildings, protective figurines on its roof and a peaceful courtyard at its center. A bird's-eye view shows the building is shaped like a bodhi leaf, symbolic of the tree under which the Buddha attained enlightenment.

Inside the temple, an art gallery includes both Eastern and Western paintings, ceramics, photographs and Buddhist artifacts.

"People come here and say, 'I don't know I'm in Southern California. It seems I am in another part of the world,'" said the temple's director of outreach, Miao Hsi.

The temple is open from 9 a.m. to 5 p.m. every day free of charge, and tours are offered on weekends. For a $7 donation, visitors can enjoy the temple's Chinese vegetarian buffet.

Islamic Center of America in Dearborn, Michigan

Although it is a modern mosque in Michigan, inspiration for the Islamic Center of America came from venerable houses of worship in Turkey, India and other countries.

With a stone-carved edifice and fiberglass dome, the mosque's design is distinct. Inside, visitors will find crystal chandeliers, imported granite and a prayer room decorated with Islamic motifs and calligraphy of Quranic verses created by a Lebanese artist.

The 65,000-square-foot facility services nearly 5,000 families in a city with one of the largest Arab-Muslim populations in the U.S. This site has only been open since 2005, but the Islamic Center of America has been serving America's Muslims since 1962.

Guests often are impressed with the mosque's beauty, but what they are most awed by is the center's openness, said Kassem Allie, the center's executive administrator.

"What people are kind of surprised about is we are so open to visitation and dialogue and collaboration," he said. "I think they think we're a closed organization. ... They find out who we are and the fact that we have an open house."

The Islamic Center of America is open to visitors from 9 a.m. to about 11 p.m. daily and free tours of the facility can be scheduled on its website.

Memorial Presbyterian Church in St. Augustine, Florida

Memorial Presbyterian Church may be beautiful, but it's the story behind the building that often touches visitors the most.

The church is dedicated to Jenny Louise Benedict, the daughter of tycoon Henry Morrison Flagler, who built the church in 1889. Flagler had always had a special place for St. Augustine in his heart, investing heavily in the city after visiting with his first wife, Mary. And when his beloved daughter died after complications from childbirth, Flagler knew the Presbyterian church he was planning to build in town would be erected in her honor.

Flagler, along with Mary, Jenny Louise and his granddaughter, Marjorie, are all entombed at the church.

The structure's detailed design draws influence from the churches of Europe, including Venice's St. Mark's Basilica. It features wood-carved walls, stained-glass windows, a peaceful sanctuary and a prominent dome that inspires guests to lift their eyes toward the heavens.

"People walk in, and they see a little piece of Europe," church historian Jay Smith said. "I wouldn't say it rivals the European cathedrals, but it has its own unique beauty and majesty, and people are very surprised by that."

Smith said people must remember to appreciate the rich history of Memorial Presbyterian Church and the city that surrounds it. Founded in 1565, St. Augustine is the longest continually inhabited city founded by Europeans in the U.S.

Memorial Presbyterian Church is open to visitors from 9 a.m. to 4 p.m. Monday through Saturday, and tours of the building are conducted on weekdays.

Temple Emanu-El in New York City

With a sanctuary that stands 103 feet tall, 100 feet wide and 175 feet long and seating for 2,500 people, New York's Temple Emanu-El is one of the largest Jewish temples in the world.

Inside, Temple Emanu-El is full of color. The ceiling is painted and gilded, its arches are lined with mosaics of glass and marble, and there are more than 60 stained glass windows. The temple is also home to a museum that houses artifacts important in Jewish history.

Completed in 1929, Temple Emanu-El's 5th Avenue and 65th Street location is the fifth home for its congregation, whose members have been worshiping in New York since 1845.

Mark Heutlinger, administrator of the Emanu-El congregation, said the temple and its members are an important fixture "on the greatest street in the greatest land in the greatest city of religious freedom."

"We are a part and parcel of the mosaic society of New York — the quilt of cultures that represents New York City," Heutlinger said.

Admission to Temple Emanu-El is free, and it is open from 10 a.m. to 4:30 p.m. Sunday through Thursday.

Palace of Gold in Moundsville, West Virginia

A name like Palace of Gold comes with high expectations, and this West Virginia shrine doesn't disappoint.

The Indian-inspired palace is expansive, with marble floors, crystal chandeliers, stained-glass windows, wood-carved furniture and walls covered in leaves of 22-karat gold. The grounds surrounding the building feature an impressive rose garden, a fountain, thousands of different bushes and a lotus-filled lake.

It's hard to believe this exquisite palace, which opened in 1979, was initially intended to be just a simple house.

In 1973, West Virginia devotees of the International Society for Krishna Consciousness, a Hindu organization more commonly known in the U.S. as the Hare Krishna movement, had decided to build a home for their leader, Srila Prabhupada.

But when Prabhupada died in 1977, the disciples' course of construction changed, and they began instead to build a memorial for Prabhupada. And with that, the elaborate Palace of Gold was born.  

April through August, the Palace of Gold is open from 10 a.m. to 8 p.m. daily, and tours are available: $8 for adults and $6 for children ages 6 to18. From September to March, its hours are 10 a.m. to 5 p.m., and tours are $6 per adult and $3 per child.

Salt Lake Temple in Salt Lake City, Utah

Not everyone who travels to the Salt Lake City Temple is allowed inside the walls, but that doesn't mean they can't enjoy its splendor.

Only temple recommended Mormons may step foot inside the structure, which is used for special instruction and ordinances, such as celestial marriages. But the view from outside the temple is inspirational enough.

The Neo-Gothic building, which was dedicated in 1893, took 40 years to construct. Except for some of its hardware and glass, the temple was built completely of native materials. With five floors, six spires -- the tallest standing at 210 feet -- and a granite facade, the structure is definitely imposing.

Salt Lake Temple is at the heart of Temple Square, three blocks containing nearly 20 attractions significant to Latter-day Saints' life and history, such as Assembly Hall and the Salt Lake City Tabernacle.

In 2011, Temple Square saw about 2,750,000 visitors from all over the world. And for those not allowed inside the temple, a scaled model is on display in the Temple Square South Visitors' Center, which shows off the building's interior.

Most buildings in Temple Square are open daily to the public, free of charge.

St. Patrick's Cathedral in New York City

Although St. Patrick's Cathedral isn't as tall as the skyscrapers that surround it, the cathedral has an old-world grandeur that's rare in New York.

The design of this Neo-Gothic church, which features soaring spires, an elaborate marble exterior and colorful stained glass windows, was inspired by the great cathedrals of Europe. Replacing a church of the same name, St. Patrick's Cathedral opened its doors in 1879 to help accommodate a growing Catholic population in the city.

The cathedral is iconic in Midtown Manhattan, known as a place of retreat, Monsignor Robert Ritchie said.

"It's kind of an oasis of quiet inside the hustle and bustle of the surrounding area," Ritchie said. "It's a place people can go with their problems, a place where people can just go and look at some beautiful scenery, a place where people can pray."

Open from 6:30 a.m. to 8:45 p.m. daily, the church welcomes visitors. Free guided group tours can also be scheduled during weekdays.

@highlight

Some beautiful and historic U.S. religious sites are scattered across the country

@highlight

New York's St. Patrick's Cathedral and Temple Emanu-El were European inspired

@highlight

With their exotic designs, Palace of Gold and Hsi Lai Temple seem to belong in Asia