WASHINGTON (CNN) -- Mumia Abu-Jamal sits on Pennsylvania's death row, perhaps the most recognized of the 228 condemned inmates at the Greene Correctional Facility, an hour south of Pittsburgh.

Former radio host and convicted cop-killer Mumia Abu-Jamal during a 1994 interview

Abu-Jamal, inmate AM8335, awaits three milestones. His new book, "Jailhouse Lawyers," will be released next month. He's also awaiting a pair of Supreme Court decisions, which could come in the next two weeks.

The former Black Panther was sentenced to die for gunning down a Philadelphia police officer 28 years ago. The high court will decide whether he deserves a new hearing to determine whether his execution should go forward.

The state is appealing a federal appeals court ruling on the sentencing question that went in Abu-Jamal's favor last year.

The case has attracted international attention.

Abu-Jamal's lawyers filed a separate appeal claiming that racism led to his 1982 conviction. That petition is scheduled for consideration by the Supreme Court on April 3. If either case is accepted by the justices for review, oral arguments would be held in the fall.

The former radio reporter and cab driver has been a divisive figure, with many prominent supporters arguing that racism pervaded his trial.

Others counter that Abu-Jamal is using his skin color to escape responsibility for his actions. They say he has divided the community for years with his provocative writing and activism.

He was convicted for the December 9, 1981, murder of officer Daniel Faulkner, 25, in Philadelphia.

Faulkner had pulled over Abu-Jamal's brother in a late-night traffic stop. Witnesses said Abu-Jamal, who was nearby, ran over and shot the police officer in the back and in the head.

Abu-Jamal, once known as Wesley Cook, was also wounded in the confrontation and later admitted to the killing, according to other witnesses' testimony.

Abu-Jamal is black, and the police officer was white.

Incarcerated for nearly three decades, Abu-Jamal has been an active critic of the criminal justice system.

On a Web site created by friends to promote his release, the prisoner-turned-author writes about his fight. "This is the story of law learned, not in the ivory towers of multi-billion dollar endowed universities but in the bowels of the slave-ship, in the hidden, dank dungeons of America."

His chief defense attorney, Robert Bryan, has filed appeals asking for a new criminal trial.

"The central issue in this case is racism in jury selection," he wrote to supporters last month.

"We are in an epic struggle in which his life hangs in the balance. What occurs now in the Supreme Court will determine whether Mumia will have a new jury trial or die at the hands of the executioner," Bryan said. Ten whites and two blacks made up the original jury panel that sentenced him to death.

A three-judge panel of the 3rd Circuit U.S. Court of Appeals kept the murder conviction in place a year ago but ordered a new capital sentencing hearing.

"The jury instructions and the verdict form created a reasonable likelihood that the jury believed it was precluded from finding a mitigating circumstance that had not been unanimously agreed upon," Chief Judge Anthony J. Scirica wrote in the 77-page opinion.

The federal appeals court ultimately concluded that the jury was improperly instructed on how to weigh "mitigating factors" offered by the defense that might have kept Abu-Jamal off death row. Pennsylvania law at the time said jurors did not have to unanimously agree on a mitigating circumstance, such as the fact that Abu-Jamal had no prior criminal record.

Months before that ruling, oral arguments on the issue were contentious. Faulkner's widow and Abu-Jamal's brother attended, and demonstrations on both sides were held outside the courtroom in downtown Philadelphia.

If the Supreme Court refuses now to intervene on the sentencing issue, the city's prosecutor would have to decide within six months whether to conduct a new death penalty sentencing hearing or allow Abu-Jamal to spend the rest of his life in state prison.

Many prominent groups and individuals, including singer Harry Belafonte, the NAACP and the European Parliament, are cited on his Web site as supporters.

Prosecutors have insisted that Abu-Jamal pay the price for his crimes and have aggressively resisted efforts to take him off death row for Faulkner's murder.

"This assassination has been made a circus by those people in the world and this city who believe falsely that Mumia Abu-Jamal is some kind of a folk hero," Philadelphia District Attorney Lynne Abraham said last year, when the federal appeals court upheld the conviction. "He is nothing short of an assassin."

The city has honored the fallen police officer with a street designation and a commemorative plaque placed at the spot where he was shot and killed.

The officer's widow, Maureen Faulkner, wrote a book two years ago about her husband and the case: "Murdered by Mumia: A Life Sentence of Loss, Pain and Injustice." She writes that she was trying to "definitively lay out the case against Mumia Abu-Jamal and those who've elevated him to the status of political prisoner."

@highlight

Mumia Abu-Jamal's case has become an international cause

@highlight

He has two appeals before the U.S. Supreme Court

@highlight

Racism responsible for his conviction, death sentence, appeal says

@highlight

Abu-Jamal convicted in 1981 killing of Philadelphia police officer