(CNN) -- If you follow scientific developments as if they were football games, this would be a good time to cheer "Tick-tick-tick-tick! Tick-tick-tick-tick! Go, clock, go!"

The reason for such enthusiasm? Researchers have released a study in the journal Science describing what they believe is the world's most precise clock.

You'd never need this level of precision for getting to work on time, but the clock could be used for scientific exploration and technological advancements in areas such as navigation systems, said study co-author Andrew Ludlow, researcher at the National Institute of Standards and Technology in Boulder, Colorado.

The rate of ticking of this timepiece -- known informally (and awkwardly) as the ytterbium optical lattice clock -- does not change by more than one part in 10^18, Ludlow said. In other words, if there is any variation in how a second is measured, it would be in about the 18th decimal place.

"The ytterbium optical lattice clock has demonstrated a groundbreaking, new level of clock stability," he said. "One could say that this is like measuring time over a hundred years to a precision of several nanoseconds."

In order to understand what's so special about this table-sized clock, it helps to have a little background:

How clocks work

Inside a clock is a mechanism that changes in some regular way, called an oscillator. Imagine, for example, a grandfather clock, whose pendulum swings back and forth denoting time. In a wrist watch there is often a crystal with an electrically oscillating signal.

A particular number of "back and forths" corresponds to one second.

An atomic clock makes use of an electromagnetic signal -- in other words, light emitted at an exact, known frequency. At the core of the system, there is an atom. The light is used to excite an electron in the atom.

In this model, the excitation and de-excitation of an electron corresponds to a pendulum swinging right to left, but in an atomic clock, the "tick" denotes an unimaginably tiny fraction of a second.

The current gold standard for time is the cesium clock, a type of atomic clock that an international body of experts has used to define what is the unit of one second: About 9.19 billion oscillations. In this clock, a microwave light source is used to excite electrons in cesium atoms.

But the new atomic clock at NIST, described in the Science study, uses a different element: Ytterbium, atomic number 70. Optical light -- specifically, yellow light from a laser with a wavelength of 578 nanometers -- is used to excite the electrons of ytterbium atoms.

Whereas scientists talk about billions of oscillations per second in the cesium clock, oscillations per second in the ytterbium clock approach one quadrillion per second, Ludlow said.

The new clock is akin to a ruler that has markers for fractions of inches, compared to a ruler that only delineates inches. The first instrument would make more precise measurements.

"You divide time into finer and finer intervals," Ludlow said.

In order to establish the precision of this clock, the scientists had to make two of them, to confirm agreement in the measurement of time.

The devices won't fit on your wrist, or even on your wall. Because of all the laser equipment and technology necessary for this level of precision, the atomic clock and all of its components occupy a space about the size of a dining room table, Ludlow said.

Efforts are under way to shrink the technology, however, particularly so that a version of it might be sent into space.

Potential uses

Researchers studying Einstein's theory of general relativity could make use of this clock to more precisely measure how time is different depending on the surrounding gravitational force.

Global positioning systems (GPS) already take this into account. Because they are farther from Earth than we are, and therefore experience less gravitational pull, their measurement of time as they orbit Earth is slightly different from what we perceive on the ground. A more precise atomic clock could measure the correctional factors even better.

Such clocks could also test alternative theories about the relationship between time and gravity.

There could be other applications for navigation and communications systems.

But you probably won't want one for your alarm clock. Ludlow said the total cost ranges on the order of a half-million dollars.

Accuracy

Although scientists have proclaimed that this is the world's most stable clock, they do not yet know as much about its accuracy. This is a subtle but important difference: The ytterbium clock has demonstrated incredible stability of measurement -- it always measures a second in the same way -- but we do not yet know if what it is measuring is a "true" second.

So, we'll have to wait to find out whether these clocks could be the most accurate in the world.

More research is needed. It's a story we hear time and time again.

Follow Elizabeth Landau on Twitter and Google+.

@highlight

New study describes atomic clock with unprecedented precision

@highlight

Clock is made with atoms of the element ytterbium

@highlight

Device is at the National Institute of Standards and Technology in Colorado

@highlight

Efforts are under way to make the technology small enough to send into space