(CNN) -- A day after Syrian forces overran the Homs neighborhood of Baba Amr, opposition groups said Friday that government forces had executed 14 civilians there and the Red Cross said an aid convoy seeking to deliver food and medical care was turned back.

"It is unacceptable that people who have been in need of emergency assistance for weeks have still not received any help," said International Committee of the Red Cross President Jakob Kellenberger. "We are staying in Homs tonight in the hope of entering Baba Amr in the very near future. In addition, many families have fled Baba Amr, and we will help them as soon as we possibly can."

Amid claims by opposition groups that Syrian officials were keeping aid workers out of Baba Amr to conceal atrocities, U.N. Secretary-General Ban Ki-moon cited reports of summary executions, arbitrary detentions and torture and called for an immediate end to the violence and for humanitarian aid agencies to be granted unfettered access.

Syria's U.N. ambassador, Bashar Ja'afari, said his government has been the victim of "extremely virulent rhetoric" based on "hearsay" from the opposition.

"We are not claiming that the situation in those regions is perfect; we do not deny that there has been a deterioration in the quality of services provided by the state in those regions, but the primary reason for this is the armed attacks," he said, alluding to repeated government assertions that foreign terrorists are behind the violence.

At least 75 people died, including the 14 civilians reportedly executed in Homs and 16 others who died in Rastan when a shell fired by Syrian forces exploded in a crowd of demonstrators, according to the Local Coordination Committee of Syria, an opposition group.

Deaths were also reported in Idlib, Hama, Aleppo, Deir Ezzor, Dourna, Daraa and Lattakia, according to the LCC.

White House spokesman Jay Carney decried what he called the "trigger happiness" of Syrian President Bashar al-Assad's regime, saying that "the brutality being carried out in the city of Homs in the last 24 to 48 hours is disgraceful and horrific."

"The European Council remains determined to ensure that those responsible for the atrocities being committed in Syria are held accountable for their actions, and we'll coordinate closely and assist those working to document these appalling crimes," council President Herman van Rompuy said.

A convoy of Red Cross trucks and Red Crescent ambulances reached Homs Friday after receiving authority from the Syrian government to enter Baba Amr on Thursday, a spokesman for the International Committee of the Red Cross.

But after waiting for hours outside the Baba Amr district, ICRC officials said they were told they would not be allowed to enter.

"We reiterate the appeal we made several days ago, for a daily 2-hour halt in the fighting to allow humanitarian assistance," Kellenberger said.

Together with the reports of continuing violence in Syria, the refusal to allow aid trucks into Baba Amr paints a "very, very alarming" picture," said Rupert Colville, a spokesman for he U.N. High Commissioner for Human Rights.

"It's just going from bad to worse," said Colville.

British Prime Minister David Cameron called the situation in Syria "absolutely appalling," and demanded that humanitarian aid be allowed wherever it is needed.

"Above all," he said, "what I think matters is building the evidence and the picture so we hold this criminal regime to account, and to make sure it is held to account for crimes that it is committing against its people." He spoke to reporters outside a meeting of leaders of the European Union in Brussels, Belgium.

French President Nicolas Sarkozy announced Friday that France would close its embassy in Damascus and the European Union recognized the opposition Syrian National Council as the legitimate representative of Syrian people.

"The European Council remains determined to ensure that those responsible for the atrocities being committed in Syria are held accountable for their actions, and we'll coordinate closely and assist those working to document these appalling crimes," council President Herman van Rompuy said.

The European Union issued a statement demanding al-Assad's regime bring an immediate end to "the massive violence and human rights abuses inflicted to the civilian population."

Kofi Annan, the former U.N. secretary-general, who has been tapped by Ban to serve as joint special envoy with the League of Arab States on Syria, was to travel next week to regional capitals, including Damascus.

The U.N. Security Council unanimously called on al-Assad to grant immediate access to its humanitarian chief, Valerie Amos.

Amos was denied access this week by the government, according to Ban.

But on Friday afternoon, Ja'afari said she would have been welcomed. "I personally sent information to the secretariat staff to say that the Syrian government accepted the principle of Mrs. Amos' visit and we requested a date for the visit and that to be communicated via diplomatic channels. How can it be claimed now that Syria refused to welcome Mrs. Amos and did not allow her to visit Syria?"

The statement by the Security Council was signed by its 15 member nations, including China and Russia, a Soviet-era ally and arms dealer to Syria. Those nations previously blocked a U.S. resolution condemning the violence and calling for a transfer of power.

Saudi Arabia's ambassador to the United Nations, Abdallah Y. Al-Mouallimi, turned up the heat on Friday saying his country and other members of the Gulf Cooperation Council "are fully prepared to be at the forefront of any joint effort aimed at saving the Syrian people and bolstering its ability to protect itself from authorities that have lost their legitimacy by shedding the blood of their own people."

He likened the lack of an international response to the attack on Thursday in Baba Amr to other failures to act to halt killing. "It is as if we were witnessing a new Srebrenica, as if the international community learned nothing from the lessons of Rwanda, Kosovo or Gaza."

That provoked anger from Ja'afari. "To liken that to the massacres of Srebrenica, Rwanda or Gaza, this is a disrespectful, misleading statement when it is issued by an Arab voice in this international organization," the Syrian ambassador said. "This is a misleading statement that serves only Israel and the enemies of the Arabs."

Also on Thursday, a U.N. Human Rights Council resolution condemned Syria's "widespread and systematic violations of human rights" and called on the regime to permit aid groups in to distribute relief.

Despite pressure from the United Nations, the United States, the European Union and member nations of the Arab League to end the violence, al-Assad has continued to push forward with the crackdown.

The conflict erupted in March of 2011, when al-Assad's Alawite minority-dominated government launched a crackdown against a predominantly Sunni anti-government protest movement that eventually devolved into an uprising with an armed resistance. Al-Assad is an Alawite, an offshoot of Shiite Islam.

The United Nations estimates more than 7,500 people have died, while Syrian opposition group LCC says more than 9,000 people have died during the conflict. The Syrian government says more than 2,000 security personnel have been killed in the violence.

Human Rights Watch, citing local sources, said 700 people had died in Homs alone since the Syrian military began its most recent campaign there in early February.

CNN cannot independently confirm reports of casualties because Syria has severely restricted the access of international journalists.

Much of the attention recently over the violence in Syria has focused on Baba Amr, a neighborhood of five square miles that endured 26 consecutive days of shelling before rebel forces announced a "tactical retreat" on Thursday.

The Free Syria Army's retreat from Baba Amr leaves civilians vulnerable. "There is nowhere to go," said British journalist Paul Conroy, who was wounded in his stomach and leg and then smuggled to Lebanon in a six-day journey from Baba Amr.

"The area is ringed by snipers so any attempt at leaving the neighborhood is met by active sniper fire. I think most people in Baba Amr had to unfortunately accept their fate."

Though he has reported before from war zones, Conroy said he considers the situation in Baba Amr to be unique. "This is a medieval siege and slaughter. I would say quite categorically that's the most ferocious, vicious, and unnecessary that I've seen and there are actually no military targets within Baba Amr. All of the intense shelling is directed at the civilian population."

Syrian forces, backed by tanks, surrounded the neighborhoods of Bab Tadmur and Jib al-Jandali, the Revolutionary Council of Homs said.

Intense fighting was reported in the two Sunni-dominated neighborhoods, and a video posted by an opposition activist purported to show smoke rising from Bab Tadmur after a shelling attack.

On Friday, Syrian authorities handed over the bodies of journalists Marie Colvin and Remi Ochlik to the Syrian Arab Red Crescent Society and the International Committee of the Red Cross, a Red Cross spokesman said.

Colvin and Ochlik were killed last week when a makeshift media center in Baba Amr came under attack by shelling. French journalist Edith Bouvier was wounded in the attack.

Bouvier and journalist William Daniels, who was trapped in Baba Amr with her, returned Friday to France.

The opposition group Avaaz said it helped Bouvier and Daniels to escape.

CNN's Elizabeth Joseph, Kamal Ghattas, Raja Razek, Aliza Kassim, Chelsea J. Carter and Salma Abdelaziz contributed to this report.

@highlight

NEW: "There is nowhere to go," British journalist says of Baba Amr siege

@highlight

Syria victimized by "extremely virulent rhetoric," Ja'afari says

@highlight

At least 75 dead in Syria as aid trucks denied entry to besieged neighborhood

@highlight

The Syrian regime is committing "appalling crimes," the European Council president says