(CNN) -- The Internet has erupted with outrage over the Copenhagen's Zoo's killing of a healthy young giraffe deemed surplus.

Zoos are wholly artificial situations and their animals depend utterly on humans to decide their lives and their fate. That's obvious. Less obvious is that "wild" animals the world over now live in de-natured habitats, where humans also largely decide their lives and fate.

Here where I live on Long Island, New York, townships of the posh East End are asking federal sharpshooters to kill thousands of deer over the next several years. Needless to say, there's been controversy. What does it mean to defend nature in a place like this?

When people say there are "too many" deer, I ask, "Too many for what?"

If the deer ate every grape in every vineyard and every potted plant on every doorstep, I wouldn't want anyone to kill them.

We've put homes and farms onto their world, and I think it cruel of us to want to finish the job by killing what survives.

You don't deserve to eat someone's lunch (or take a life) just because you've spread your blanket over their picnic.

I have no patience for people who want to kill deer because they don't like the way deer fences look. I keep deer off my vegetables with flexible plastic bird netting; it's been 100% effective (and it's nearly invisible). I don't like to see taxpayers subsidizing farmers by killing deer at public expense, rather than farmers erecting fences. I'd rather subsidize fences; we subsidize enough bullets.

But for me as an ecologist, those aren't the issues. The question is: What else is happening to remaining land and wildlife when we've killed all the predators of a large nibbling creature?

I called Marguerite Wolffsohn, a naturalist whom I've known since we were just kids fresh out of college doing temporary nature-center gigs and looking for jobs. She found a job with the East Hampton's town planning department. (East Hampton canceled its intended participation in the deer kill this year because it had insufficient time for procedural requirements.) Better than anyone I know, Marguerite works thoughtfully within the totality of the East End deer proposal, the deer controversy, deer lovers and detesters, and—lest they get left out—the deer themselves.

"People against the plan to shoot deer feel that killing deer is killing nature," she said, "but actually, the deer are killing nature." Wildflowers, forests and other forest wildlife have all suffered, she says. "The huge showy lupine displays of 20 years ago have disappeared. Pink lady's slipper orchids: They're another good example, practically gone." The forested areas of the East End now have very little undergrowth—deer have eaten it.

Wolffsohn's husband, John, a former park ranger and a keenly observing naturalist, added, "I defy you to find a single hickory, sassafras, beech or oak seedling around here."

And along with the demise of the forest understory went the birds who made a living there. "We don't hear hermit thrushes and wood thrushes in the woods behind our house anymore, and very few towhees," Wolffsohn says, "And I wouldn't be surprised if the disappearance of whip-poor-wills here over the last 30 years"—they nest on the ground, in shady areas—"is partly deer-related." Bobwhite quail, common in our youth and also ground-nesting, have also all but disappeared.

Wolffsohn explains that by munching away the forest understory, deer set the stage for an explosion of invasive non-native plants. Garlic mustard is one. "Deer won't eat it and its toxins inhibit other plants, so it just takes over," she says. "Japanese barberry is another." Some birds do eat barberries. Mockingbirds, for instance, rely partly on barberries for winter survival. But the other thing to which barberry bushes give a winter-survival boost is ticks.

Barberry bushes create conditions of moisture favorable to ticks. And high densities of deer directly promote high densities of ticks because deer are suitable hosts for the same ticks that spread very nasty diseases like Lyme and babesiosis to humans.

So, too many deer for what? Too many for forests and for other creatures and for human health.

Ironically, for decades from the mid-1900s through the 1960s, wildlife management was largely focused on reversing the near-extinction of white-tailed deer.

For centuries after Europeans arrived here, deer were shot relentlessly for their value in meat and skin. It's no coincidence that a dollar is called "a buck." Natives had of course hunted them for millennia but never with the thorough efficiency of Europeans.

As weapons improved and farms spread, deer vanished from most of their former range. So did their main predators, wolves. U.S. government agents exterminated wolves south of Canada.

Wildlife managers scrambled to prevent deer extinction while promoting recreational hunting, in part by ruthlessly suppressing wolves and other four-legged hunters.

Without predators, the deer slowly but increasingly did their part, fruitfully multiplying. Then suburbs gave them refuge from human hunters. People had missed deer so much that lawns sprouted statues of deer "families"—proud buck, doe, spotted bambino. Suburbanites were thrilled to glimpse real live ones. For a few years it was a good time to be a deer.

Deer deserve no blame for anything. Deer are innocents in a world we've put out-of-round. We first shot them to pieces and then set them up to explode without check.

We provided incidental safe haven in our neighborhoods and now despise them there. None of the problems people have with deer are the deer's fault. I pity them for the dilemma we've placed them—and ourselves—in. There are too many deer because there are too many people.

Deer do need population control. That, we have in common. But unlike with humans, you can't give fawns the opportunity to go to school and welcome each doe into the workforce and empower them to reduce their lifetime family size to an average of two. But perhaps there's a kinder and gentler way: letting sharpshooters administer birth control hormones rather than bullets?

"That doesn't work," Marguerite says. She e-mailed me the state's deer management document, which says, "Based on considerable research on fertility control for deer ... this strategy has not proven to be a viable, stand-alone option for managing free-ranging deer populations." If you want to bring deer densities down, you have to kill them.

For millions of years, that was the arrangement wrought by the interacting forces of wolves and other creatures, landscapes and deer themselves.

A creature evolved to have two children per year is reliant on predators to keep its world balanced. Without predators in a world of our making, the current density of deer is a problem. And not just for us.

There is no pain-free alternative for the deer themselves. Without being killed by predators or bullets, deer build to densities that suffer high rates of traffic collision and the misery of high winter starvation.

In parts of the West, wolves are returning, with very beneficial re-balancing effects on lands and wildlife. Even there, many people detest wolves with a hatred that is cultural and mainly irrational, largely out of sync with, and wholly out of proportion to, reality.

Giving wolves back their job of managing deer, so difficult out West where there's room, is wholly impossible here. For now, it looks like we're stuck with having to deal lethally with innocents in a problem we've created. It's grim that only the deer will get the shifted blame, take the rap and suffer the consequences. All too human.

Copenhagen's giraffe was deemed "surplus" by the zoo—not enough room, they insisted, for a responsibility of their own creation. Marius the giraffe paid full price in full innocence. But almost anywhere you look now there is less and less room on an ark having trouble floating in a rising sea of us.

And so often, we blame the victims. They say the most intelligent animals are those who recognize themselves in a mirror. We should try it sometime.

The opinions expressed in this commentary are solely those of Carl Safina.

@highlight

Carl Safina: Killing of zoo giraffe sparks public outrage

@highlight

He says plan to cull deer on Long Island another example of human impact on nature

@highlight

Rampant deer are destroying natural habitat for many other species, he says

@highlight

Safina: It seems cruel to have deer pay the price for human damage to habitat