BEIJING, China (CNN) -- China opened the 29th Olympic Games on Friday with stunning fireworks as the Asian nation kicked off one of the most heavily scrutinized games in history.

Drummers perform at the Opening Ceremony of the Summer Olympic Games in Beijing, China.

Fireworks shot off across the Chinese capital as hundreds of drummers and dancers performed under a light display at the National Stadium, drawing applause from the estimated 90,000 in attendance.

It was a stunning beginning from the nation of 1.3 billion people. Media observers said they believe the opening ceremony will be the single most watched television event in history.

Billions of dollars in the making, the Summer Olympics carry with them the ambitions of a nation seeking its place as a global superpower.

The anticipation over the Olympics was unmistakable in China's capital city.

The Olympic torch relay, the focus of protests during parts of its international leg earlier this year, will conclude at 11:30 p.m. local time (11:30 a.m. ET) when it enters National Stadium to light the Olympic cauldron.

"This one, I think, is going to be bigger and more spectacular ... not necessarily more surprising, but more impressive, I think, than any previous ceremony," said Ric Birch, who oversaw Olympic productions in 1984, 1992 and 2000.  Watch Birch assess Beijing's preparations »

In short, it's just what China wanted -- an opening ceremony with an impressive guest list. President Bush is among more than 100 heads of state, heads of government and sovereigns expected to attend, the International Olympic Committee said.

The leaders represent countries including Japan, Russia, Australia, South Korea and Brazil.

But this version of the Olympics brings with it controversy, discord that began in 2001 when Beijing won the games. Criticism over China's human rights record, its policies in Tibet and the persistent pollution across the country have been the focus of much international criticism and media attention.

The head of the Australian Olympic Committee complained Friday about pollution as well as Internet access and uncomfortable transportation for his country's athletes to venues, according to news reports.

For some world leaders, the decision to attend was a tough call. French President Nicholas Sarkozy threatened to boycott the games because of human rights abuses in Tibet but later changed his mind.  Watch protests in Germany over China's Tibet policies »

And while he has steadfastly said he would attend the Olympics opening, Bush as recently as Friday stressed China's need to respect human rights.

"It's inevitable that people from different countries may not see eye to eye," Chinese President Hu Jintao said recently, "so we should try to expand our common ground on the basis of mutual respect."

Political leaders do not attend Olympic opening ceremonies as a matter of protocol -- Bush is the first American president to attend them outside the United States -- but China seemed determined to have as many there as possible, taking it as a sign the world recognizes the legitimacy of the Chinese government.

"They want those leaders to confirm the fact that China has returned to great power, prominence in the world," said David Zweig, a political analyst at Hong Kong University of Science and Technology. "They really want to say to the people of China that we, the Communist Party of China, have done a great job."  Watch why China has invested so much in the Olympics »

Air China suspended some flights from Japan to China on Friday after receiving a bomb threat via e-mail, Japan's Transport Ministry said. The e-mail said the threat was intended to disrupt the Olympics, according to Fumio Yasukawa, a ministry representative.

Many mysteries about the opening ceremony remain, like which athletes will run the final legs of the torch relay and the tightly kept secret of who will light the Olympic cauldron at the stadium. Blog: Anticipation builds

Early favorites such as national sports stars Yao Ming and Liu Xiang were widely discounted because they already had carried the torch during the relay.

Many observers speculated that the person lighting the Olympic cauldron would be connected to the devastating May earthquake in China that claimed nearly 70,000 lives.

As for the games, an estimated 10,000 athletes from 205 countries will compete in 28 events for about 300 gold medals. The first medals will be awarded Saturday.  See a timeline of moments to watch for at the games »

China has put a priority on finishing first in the overall medal standings. On Sunday, swimming competition begins, along with U.S. swimmer Michael Phelps' quest to win eight gold medals -- more than any individual in a single games. Even if he fails, Phelps could become the all-time leader in gold medals.  Watch how pressure is building for the athletes »

The competition -- 17 days in length -- will be a relative blip compared to the years of preparation that went into bringing the games to Beijing.

China means it to be a coming-out party. Like many parties, Chinese leaders won't know how it went until it's time to clean up.

CNN's Emily Chang and Kevin Drew contributed to this report.

@highlight

NEW: Fireworks, drummers in opening ceremony of 2008 Summer Olympics

@highlight

Bomb threat forces Air China to cancel some flights

@highlight

President Bush among world leaders attending opening ceremony

@highlight

More than 10,000 athletes to compete for about 300 gold medals