(CNN) -- A 12 meter yacht bobbing off the coast of England is about to be blown to smithereens. Or at least, that's the plan.

In a scene reminiscent of a James Bond film, the boat is slowly filled with gas while a sailor in a nearby vessel holds his finger over the detonator, ready to blow the floating target sky high.

These aren't undercover spies, but sailing experts undertaking a controlled explosion as part of a series of ground-breaking experiments into nautical safety.

Over eight months, the team from British magazine Yachting Monthly, took one boat and sank it, capsized it, ran it aground, set it on fire, and finally blew it up -- all in the name of safety.

Their "Crash Test Boat" series recreated eight nautical disasters -- ranging from a leaking hull to a dismasted sailboat -- to find the best methods for preventing and dealing with them.

From January 2013 the incidents will be documented together for the first time in a new book titled, aptly enough, "The Crash Test Boat."

The results featured in the book have turned much conventional sailing wisdom on its head and earned praise from both safety experts and readers across the world.

"These are rare situations and when they do happen, people aren't in a position to test every method for dealing with it," Yachting Monthly technical editor, Chris Beeson, told CNN. "For example, if your mast breaks off, the age-old answer was to use bolt croppers to cut away the rigging and prevent more damage.

"But we found that hanging over the edge of the boat while it's rocking around like a fairground ride, with both hands on the croppers, wasn't practical. A simple hacksaw, which you could use with one hand, was much more effective."

Roger Brydges, sailing accident investigator at the Maritime Accident Investigation Branch, said recreating sailing disasters to such minute detail had never been done before. "Being able to monitor the effects and test a range of responses was invaluable," he added.

The Crash Test Boat series was first floated as Beeson and fellow sailing enthusiasts mulled over enduring maritime questions such as: 'What would you do if your mast fell over?' or 'How would you survive in a capsized boat?' "We wanted to take theses problems and deal with them in real life," he said.

Each experiment was modeled on real-life disasters, such as the 1979 Fastnet race in which storms in the Irish Sea capsized many of the competing yachts, resulting in 15 deaths.

The series ended quite literally with a bang, in an impressive gas explosion. Though it very nearly didn't get off the ground to begin with.

"The authorities were telling us that a gas explosion was too dangerous, that we were crazy," former Yachting Monthly editor Paul Gelder said.

"We were considering everything -- traveling the 12 mile (19 kilometer) limit into international waters to escape the rules, even using a special effects expert from the Harry Potter films to simulate an explosion."

After finally gaining permission to carry out the explosion, the boat was anchored in a 200 meter exclusion zone and Royal Navy explosives experts were enlisted to set up the blast.

But after an anxious 25 minute wait, the flash igniters set up around the leaking gas pipe failed to go off. Deflated but still determined, the team vowed to give it one last shot.

This time, the explosion was detonated by a wireless trigger -- and it didn't disappoint.

"There was a brief orange fireball followed by the explosion. A hundred pieces of debris were hurled skywards amidst a plume of smoke," says the report in the book.

"The scale of the carnage was clear -- the entire coach roof had been blasted off the hull."

For the team, the explosion was also a thrilling chance to live out a few Bond-style fantasies, as Gelder said: "How many people get to blow up a 40 foot (yacht) as part of their job -- and all in the name of safety?"

Now a battered mess, the Crash Test Boat continues to educate the public, exhibited at boating shows across Britain and used as a teaching aid at the International Boat Building College in Suffolk. "A bit like the equivalent of a dead body in an anatomy class," Gelder explained.

Beeson says the boat's greatest gift was showing sailors that "you really can rely on yourself."

"All the situations are recoverable. Your boat won't sink if there's hole in it. If your mast falls down you can still row to shore. The real importance of these tests was getting definitive answers in situations where people might normally panic."

@highlight

12-meter yacht is sunk, capsized, set on fire and blown up -- all in the name of safety

@highlight

Team of British journalists conduct experiments as part of "Crash Test Boat" series

@highlight

Using shock-resistant cameras, footage is posted on Youtube, attracting over 1mill hits

@highlight

Ground-breaking tests into nautical safety available for first time in new book