New Orleans, Louisiana (CNN) -- A ship billed as the world's largest skimming vessel has begun testing its effectiveness in the Gulf of Mexico, a spokesman for its owner, Taiwanese company TMT Shipping, said Saturday.

The A Whale has been assigned a 5-mile-by-5-mile area to test its capability, spokesman Bob Grantham said, citing Coast Guard Rear Adm. Paul Zukunft. Testing is expected to continue Saturday and Sunday, with initial results probably available Monday, Grantham said.

The skimmer works by "taking in oily water through a series of vents, or jaws, on the side of the ship and then decanting the intake," Grantham said. "In many ways, the ship collects water like an actual whale and pumps internally like a human heart."

The testing area is just north of the underwater oil gusher, the statement said.

The A Whale arrived in the Gulf on Wednesday and has been awaiting approval to join in cleanup efforts. The vessel is estimated to be able to skim 21 million gallons of oil a day, at least 250 times the amount that modified fishing vessels currently conducting skimming operations have been able to contain, according to TMT.

Built this year, the vessel was meant to carry crude oil and iron ore. But after hearing about the oil disaster in the Gulf, TMT modified it to become the world's first large-scale skimmer, spokesman Frank Maisano said this week.

Researchers have estimated that between 35,000 and 60,000 barrels (1.5 million to 2.5 million gallons) of oil have been gushing into the Gulf daily since April 20, when the Deepwater Horizon oil rig exploded and sank off the coast of Louisiana.

Also Saturday, response workers recovered boom suspected to have been vandalized in the marshes of Terrebonne Parish, Louisiana, the Deepwater Horizon Joint Information Center said. It released several Coast Guard photographs of the boom, which appeared to have been cut open.

"Boom vandalism and mishaps involving small craft moving or cutting boom with propellers impedes oil recovery efforts, endangers workers who must return to recover and replace the boom and slows efforts to conduct booming operations elsewhere," a statement from the center said.

In an effort to reduce boom damage, the Coast Guard has instituted a safety zone around boom sites and established a hotline to report damage.

Meanwhile, Environmental Protection Agency scientists were set to meet with the agency's chief Saturday to discuss the chemicals BP is using to break up the oil slick. Agency Administrator Lisa P. Jackson's briefing on dispersants in Gulf Breeze, Florida, comes two days after the agency released results from its first round of toxicity testing on eight of the dispersants used in the Gulf.

The EPA study showed that the chemicals, when not mixed with oil, did not significantly disrupt the endocrine systems of marine life. But the agency has said it plans to conduct more tests of the toxicity of the dispersant when mixed with crude.

Dispersants have been a key part of BP's cleanup strategy. Since the beginning of the disaster, more than 1.6 million gallons of the dispersant Corexit 9500 alone have been injected into the Gulf.

Critics say the chemicals could harm marine life. But the Coast Guard has said that dispersant use is "evaluated daily" and that it's using the "safest and most effective methods available" to protect the sea environment.

A CNN analysis of daily dispersant reports provided by the Deepwater Horizon Unified Command showed that the chemical dispersants keep flowing into the Gulf of Mexico at virtually unchanged levels despite the EPA's May 26 order to BP to "significantly" scale back.

Before that date, BP used 25,689 gallons a day of Corexit. Since then, CNN's analysis showed, the daily average of dispersant use has dropped to 23,250 gallons a day, a 9 percent decline.

Over the past few days, bad weather has significantly hampered BP's oil cleanup and collection efforts. Hurricane Alex made landfall in northeastern Mexico late Wednesday, but its impact was still felt in the Gulf days later.

On Friday, more oil than what would fill an Olympic-sized swimming pool slipped by the cap on BP's ruptured undersea well because of the bad weather, Zukunft said.

The cap on the well in the Gulf of Mexico, bouncing in the rough conditions, captured 20,000 fewer barrels (840,000 gallons) of oil than anticipated, Zukunft said.

The rough seas also prevented skimming or burning for the past two days, displaced boom and made it unsafe to fly, he said.

BP spokesman Mark Proegler noted that forecasters expect rough seas to calm a bit this weekend.

Crews are standing by to resume skimming operations and survey inland waterways that may have been affected because of a storm surge. Shoreline cleanup operations continue with limited weather interruption.

For the 12-hour period from midnight until noon Friday, approximately 8,665 barrels of oil were collected and about 4,155 barrels of oil and 28.6 million cubic feet of natural gas were flared, BP said.

Thursday's total oil recovered was approximately 25,150 barrels.

Newly retired Coast Guard Adm. Thad Allen announced Friday that since June, the skimming capability in the Gulf has increased more than fivefold, from approximately 100 large skimmers to 550 skimming vessels of various sizes working to collect oil in all parts of the region as. To date, 28.2 million gallons of an oil-water mix have been skimmed from the Gulf's surface.

CNN's Ed Lavandera contributed to this report.

@highlight

A Whale assigned 5-mile-by-5-mile area for testing

@highlight

Testing to continue Saturday and Sunday; initial results likely Monday

@highlight

EPA plans to test impact of chemical-oil mix on marine life

@highlight

Containment cap bounced Friday, allowing 20,000 barrels to get by