(CNN) -- When the job offer came from the Food and Drug Administration in the winter of 2005, Sarah Sellers jumped at the chance.

It was her "dream job," she says, and she picked up her family and moved from Chicago to Washington.

Two years later, she left in frustration, unable, she says, to do the job she was hired to do: help clean up compounding pharmacies.

Compound pharmacists create customized medication solutions for patients for whom manufactured pharmaceuticals won't work, according to the International Academy of Compounding Pharmacists.

Those mixed-batch drugs can range from children's cough syrup -- like adding grape flavor -- to complex concoctions that treat cancer, according to Kevin Outterson, an associate professor of health law and bioethics at Boston University.

As a young pharmacist, Sellers had worked in a compounding pharmacy and was shocked by what she describes as unsterile conditions.

"The pharmacy was purportedly making sterile injections from scratch using non-sterile ingredients," she told a Senate committee in 2003. "When I asked permission to order and substitute FDA-approved products because of safety concerns, I was cautioned that it would be less profitable for the pharmacy."

At the FDA, Sellers had hoped to help write new federal sterility guidelines for compounding pharmacies.

"I expected the guidelines to come out when I was working at the agency in 2006," Sellers said. "But it never happened. It was so frustrating."

More than six years later, those guidelines -- which some experts say might have prevented the current outbreak of meningitis -- still have not come out.

Twelve people have died in the current outbreak of non-contagious fungal meningitis, linked to contaminated steroid injections made by the Massachusetts-based New England Compounding Center.

Meningitis outbreak highlights failed oversight efforts

"We've been waiting for years for these guidelines," said Michael Cohen, a pharmacist and president of the Institute for Safe Medication Practices. "They're desperately needed to assure patient safety."

Over the years, people have died, been blinded and become ill from contaminated medicines made at compounding pharmacies.

In 2003, the Government Accountability Office testified that the FDA was aware of more than 200 adverse events associated with drugs from compounding pharmacies since 1990.

The infections continued: For example, in 2011, nine people in Alabama died from blood infections after they received intravenous medicine made at a compounding pharmacy, and in 2011 and 2012, 33 people suffered fungal eye infections from drops made at a compounding pharmacy in Florida.

The sterility guidelines are in "in progress," according to Erica Jefferson, an FDA spokeswoman. The agency, she said, has tried for 20 years to have more oversight of compounding pharmacies but has faced challenges by the industry.

When asked why it's taking years to write these guidelines, Jefferson declined to comment.

Sellers said that when she worked at the FDA, "political pressure" kept the guidelines from being published.

"Compounding pharmacies make a lot of money, and it goes to various places at the state and federal level," she said.

The International Academy of Compounding Pharmacists has spent more than $1 million over the past decade on lobbying, according to the Center for Responsive Politics.

David Miller, the group's executive vice president and chief executive officer, denies that his group has lobbied against federal sterility standards and says it has actually been fighting for them.

"We've written to the FDA; we've written to Congress," Miller said. "We've been pushing on this since before 2003."

After Sellers left the FDA, she moved back to Chicago and became an independent consultant, and she still fights for better standards for compounding pharmacies.

The problem, she says, is bigger than just a few outbreaks, since illnesses might not be traced back to contaminated drugs.

"The FDA only knows about the safety concerns they hear about," she said.

CNN's Danielle Dellorto contributed to this report.

@highlight

At the FDA, Sarah Sellers fought for compounding pharmacy guidelines

@highlight

Years later, there are still no sterility guidelines in place

@highlight

Over the years, people have died, been blinded and become ill

@highlight

A compounding pharmacists' group says it's fighting for sterility standards