(CNN) -- A federal court on Wednesday struck down two provisions of the Patriot Act dealing with searches and intelligence gathering, saying they violate the Fourth Amendment protection against unreasonable searches and seizures with regard to criminal prosecutions.

"It is critical that we, as a democratic nation, pay close attention to traditional Fourth Amendment principles," wrote Judge Ann Aiken of the U.S. District Court for the District of Oregon in her 44-page decision. "The Fourth Amendment has served this nation well for 220 years, through many other perils."

The Foreign Intelligence Surveillance Court of Review, set up to review wiretap applications in intelligence cases under the Foreign Intelligence Surveillance Act, or FISA, "holds that the Constitution need not control the conduct of criminal surveillance in the United States," Aiken wrote.

"In place of the Fourth Amendment, the people are expected to defer to the executive branch and its representation that it will authorize such surveillance only when appropriate."

The government "is asking this court to, in essence, amend the Bill of Rights, by giving it an interpretation that would deprive it of any real meaning. The court declines to do so," Aiken said.

The Justice Department was reviewing the decision, said spokesman Dean Boyd.

The ruling was a response to a lawsuit filed against the federal government by Brandon Mayfield, a Portland, Oregon, attorney who was wrongly arrested for alleged involvement in the 2004 Madrid train bombings.

The federal government later apologized to Mayfield and settled part of Mayfield's lawsuit for $2 million. But Mayfield was permitted to keep pursuing the portions of his lawsuit challenging the constitutionality of the Patriot Act.

Mayfield claimed in the suit that his home and law offices were secretly broken into by the FBI, his clients' files at his office were searched, his business and personal computers were secretly copied, his telephone was wiretapped and his home was bugged.

Mayfield said he was "excited and happy" with the ruling.

"This, to me, is not so much personal," he said. "I think it's just the right thing to do. It was the right thing to continue to challenge the constitutionality of the Patriot Act."

"This is an example of the judicial branch doing what it should do, and that's to be a check and balance for the legislative and executive branch of government," he said. "I feel wonderful today, because the Fourth Amendment has been restored to its rightful place, and the balance between liberty and security is balanced again."

Mayfield's attorneys -- Gerry Spence, Elden Rosenthal and Michelle Longer Eder -- lauded the ruling.

"Judge Aiken, in striking down the challenged provisions of the Patriot Act, has upheld both the tradition of judicial independence and our nation's most cherished principle of the right to be secure in one's own home," they said in a written statement. "We are relieved that the Bill of Rights can be honored and preserved even in times of perceived crisis."

Aiken ruled that FISA, as amended by the Patriot Act, permits the government to conduct surveillance and searches targeting Americans without satisfying the probable-cause standard in the Fourth Amendment.

"Prior to the amendments [to FISA], the three branches of government operated with thoughtful and deliberate checks and balances -- a principle upon which our nation was founded," Aiken wrote.

But the Patriot Act, she said, eliminated "the constitutionally required interplay between executive action, judicial decision and Congressional enactment."

"For over 200 years, this nation has adhered to the rule of law -- with unparalleled success. A shift to a nation based on extra-constitutional authority is prohibited, as well as ill-advised," she wrote.

Aiken noted that FISA does not require that the subject of a search be notified, although the Fourth Amendment ordinarily does. In addition, she said, the Fourth Amendment requires particularity -- authorities seeking a search warrant, for example, must list what they are looking for and where they are looking for it.

Named to the bench in 1997 by President Clinton, Aiken is considered one of the more liberal judges on the federal bench in Oregon. E-mail to a friend

@highlight

Judge: Search warrants issued without showing probable cause

@highlight

Attorney seeks ruling after being wrongly linked to '04 Madrid train bombing

@highlight

His suit says secret searches of house, office violated Fourth Amendment rights

@highlight

As part of suit settlement, he retained right to challenge parts of Patriot Act