In 2010, an Icelandic volcano with an unpronounceable name spewed an ash cloud into the skies that disrupted travel for millions of passengers and cost airlines a small fortune.

Now another Icelandic volcano is rumbling, prompting fears of a repeat of the travel chaos that afflicted northern Europe when the Eyjafjallajokull volcano did its worst.

Its name -- Bardarbunga -- is a little less daunting, but it could still cause trouble.

Something is brewing

While there's no sign yet of magma moving to the surface, according to Iceland's Meteorological Office, something's definitely up beneath the Earth's surface.

In what the Meteorological Office describes as an "intense earthquake swarm," scientists registered some 2,600 earthquakes between early Saturday morning and Monday evening.

And after the strongest earthquake since 1996 was measured in the area early Monday, an orange aviation alert was posted by Icelandic authorities -- indicating "heightened or escalating unrest with increased potential of eruption."

"The reason we are reacting in this way is that this one is bigger and more powerful than we have seen in a long time in this area," said Vidir Reynisson, of the Iceland Civil Protection Agency, of the earthquake swarm.

Scientists have noticed an increase in seismic activity around the volcano, located in the northwestern region of Vatnajokull glacier, one of Europe's largest glaciers, over the past seven years, the Meteorological Office said.

The level dropped a little after the eruption of another volcano on the same glacier, Grimsvotn, in 2011, but has since picked up again.

Earthquakes may signal eruption

As of Monday evening, the majority of earthquakes measured were at a depth of 5 to 10 kilometers. There's more potential for a volcanic eruption if magma movement occurs at less than 10 kilometers' depth.

According to the Smithsonian Institute Global Volcanism Program, Bardarbunga last erupted in 1910.

If it should blow its top again, it could be bad news for travelers.

Volcanic ash can be a serious hazard to aircraft, reducing visibility, damaging flight controls and ultimately causing jet engines to fail.

The Eyjafjallajokull eruption forced the cancellation and diversion of thousands of flights per day at the peak of the problem.

"It was causing problems for millions of passengers, the airlines themselves were losing lots of money because they could not fly," Paul Charles, former director of communications for Virgin Atlantic and Eurostar, told CNN.

"And the customer relations departments of airlines were really suffering because they were taking huge numbers of complaints and they had no solution."

Air travel still smooth

Europe's air authority, Eurocontrol, said Tuesday it was monitoring the Bardarbunga situation but that there is no impact at this time on European aviation. It also insists that changes have been made to help avoid the kind of chaos seen after Eyjafjallajokull erupted.

"Europe is more prepared to deal with volcanic ash these days; we have better mechanisms in place than we did in 2010. Every year, volcanic ash exercises are conducted and we learn from them: the latest one was held in April this year," it said.

"However, volcanic ash is still a hazard for aviation and does have the potential to cause disruption. Safety is, as ever, our primary concern."

Road melts at Yellowstone National Park

Heimaey: The Icelandic town frozen in time by a volcano

@highlight

Icelandic authorities say there's increased seismic activity around Bardarbunga volcano

@highlight

But there's no sign yet of magma moving to the surface or ash spewing into the sky

@highlight

Iceland has posted an orange aviation alert, indicating "increased potential of eruption"

@highlight

The eruption of Eyjafjallajokull in 2010 caused disruption to millions of travelers