(CNN) -- Mexico has landed some hard punches against the drug cartels that have stirred violence in parts of the country -- at least on paper.

In 2011, against just the notorious Zetas cartel, Mexico ended the reign of 16 leaders who ran cartel operations at the state or national level. Thugs with nicknames like "El Piolin," "El Lucky" and "El Amarillo."

But the violence attributed to the Zetas has not decreased even after these busts, and critics wonder if names are meaningless if they are so quickly replaced.

And a majority of Mexico's most-wanted drug traffickers, 22 out of 37, have been put out of commission, but to what benefit? At what cost?

"Mexico has paid an enormous price: almost 50,000 dead, almost $50 billion in additional security costs, ever more numerous human rights violations, (and) a great discrediting of the country to the world," wrote Jorge Castaneda, a former Mexican foreign minister and critic of the current strategy, in the Spanish newspaper El Pais.

Mexican President Felipe Calderon, and his backers in the U.S. government, meanwhile, insist that the militarized offensive is paying dividends and that a turning point is close at hand.

Taking stock of the successes and failures of Mexico's drug war means examining a strategy that experts are divided over. It is a strategy that is not static, and there is evidence that the Mexican government is -- if not gaining ground -- at least reshaping the battlefield.

The strategy

The entry of Mexican troops into the drug cartel fight began before Calderon became president. His predecessor, Vicente Fox, launched Operation Safe Mexico in 2005, which sent soldiers and federal police to eight cities in Mexico.

According to Mexican scholar Jorge Chabat, Fox was reluctant to take this step, and tried to limit its scope. (Today, Fox is a critic of the war and advocates the decriminalization of drugs.)

When Calderon took office the following year after a victory by the smallest of margins, he embraced the military approach. Just 11 days after being sworn in, he sent troops to his home state of Michoacan, and in the following months to a number of other states.

As many as 45,000 troops have been deployed throughout the country.

Five years later in January 2012, in a New Year's message to the Mexican people, Calderon admitted that insecurity remains one of the biggest worries for citizens.

"That's why my government has worked with great firmness on this task, and we have done it with a comprehensive vision," he said. "We are combating from the roots a problem that grew during many, many years. We have acted with a firm decision to put a stop to those who hurt Mexicans, honest and hardworking, like I know you and your family are."

The years of military involvement has not stopped the number of violent deaths from growing. The government has released only a partial death toll for 2011, which is expected to set a new record. The good news, the government said, is that the rate at which the killings were growing has slowed down considerably.

Militarization is the centerpiece, but not the only component of the strategy. Calderon has committed resources to cleaning up corruption among all levels of police forces, and wants to strengthen the institutions that apply the law, such as the attorney general's office.

The United States has aided through the $1.4 billion Merida Initiative, which gave the Mexicans Black Hawk Helicopters, but also training for police, prosecutors and defenders.

Measuring success

In the early stages of the offensive, Mexico's Secretary of Defense, Guillermo Galvan, expressed the goal of the campaign as this: "To provide the level of security that can make viable citizen's life."

If it is true that this level of security exists in most of Mexico, it is also true that most of Mexico has not suffered the drug violence up close. As the government points out, the violence is limited to certain regions, like the border states of Chihuahua, Tamaulipas and Nuevo Leon, or in Sinaloa, the cradle of a cartel of the same name.

Do Mexicans enjoy a "viable" life there?

Drug cartels have branched out into kidnapping, extortion, human smuggling and suppression of the media. And residents in those hotspots where the cartels operate continue to live under these conditions.

Galvan himself, in a speech this month, admitted that the security of Mexico "finds itself seriously threatened."

In some areas, security forces find themselves overrun by the traffickers, he said.

"In some regions of the country, organized crime has overtaken state institutions, and once empowered, diversified their ominous activities to deprive society of its rights, generating a climate of unprecedented violence," he said.

In those same areas, though, slowdowns in violence are evidence that sending in the military does have an impact, said Andrew Selee, director of the Mexico Institute at the Woodrow Wilson International Center for Scholars.

"I think the government overstates its case often, but there is progress," he said.

Indeed, some of the major cartels, such as the Beltran-Leyva Organization and the Tijuana cartel, are shadows of their former selves.

Calderon's offensive has succeeded in disrupting the command and control of the major cartels, he said.

The cartels are less cohesive than they once were, and the violence, while still present, is more decentralized, he said.

The threat from the cartels is gradually shifting from a national security threat to a public security issue, he said.

Toward victory?

Mexico has made such strides that it's not impossible to imagine that "they actually might get every major trafficker at some point," Selee said. "The glass is half full."

Rod Benson, intelligence director for the Drug Enforcement Administration, agreed.

"First and foremost, they have achieved unprecedented successes in apprehending those higher-level leaders and associates in all of the cartels operating in Mexico," he said. "I believe that it's heading in a direction where you will start to see violence drifting down."

Mexico is still building up capacities such as police and investigator competence, but the fruits of their efforts are evident, he said.

"I believe their ability to target, to arrest, to develop intelligence have improved," he said.

In the past, distrust has been an obstacle to U.S.- Mexico cooperation, but Benson said, robust intelligence sharing has resulted in many of the high-level captures.

"It is moving in the right direction, and I believe it will bear dividends in the future," he said.

The office of Calderon declined numerous requests by CNN to elaborate on their strategy or view of success.

Such upbeat assessments have not won over many Mexicans, however.

In November, a group of activists filed a 700-page complaint with the International Criminal Court against the Mexican government, alleging more than 470 cases of human rights violations against women and children.

That same month, Human Rights Watch released a report that found a growing number of human rights violation allegations that were not adequately investigated.

The Mexican strategy has "exacerbated a climate of violence, lawlessness, and fear in many parts of the country," the report found.

Poet Javier Sicilia, who has become a leading activist against the military campaign, garnered enough clout that Calderon sat down to meet with his group.

Sicilia's movement calls for ending the military approach altogether, and to focus on the social impacts of the fight.

Obstacles remain

"It is naive to think you can win a drug war. The best you can do is manage it," said George Grayson, professor of government at the College of William & Mary and expert of drug cartels.

The current military strategy is not working, because the most important sectors of Mexican society have not gotten behind it, he said.

The powerful elite in the country -- whether politically, economically or intellectually -- have not felt firsthand the effects of the violence and have not had the "epiphany" that it is a problem that must be confronted, Grayson said.

With the second- and mid-tier arrests, it is too easy for the cartels to replace those figures.

That's where Mexico sees groups like the Zetas replenish themselves even after a year of tough losses in several plazas, or territories.

"Their plaza chiefs are like utility infielders -- you can put them in any place and at any time," Grayson said.

Real change -- real success -- will be achieved only when the top kingpins are taken down, and that will take pressure from all of the country's elite on the government to act, he said.

"Those with power have not committed themselves to fighting this war," Grayson said.

Whatever side of the debate Mexicans fall on, is it possible that a military approach was inevitable?

Chabat, the Mexican expert, wrote about the options that Calderon had available to him when he came to office amid rising cartel violence.

Tolerance was an option, but the cartels were becoming so powerful that it would have put democracy at risk, he argued.

There exists the option of legalizing drugs, an idea with growing appeal to many. This is possible in theory, Chabat writes, but politically impossible in the short term.

A third option is to strengthen institutions. This is actually part of the current strategy, but it is a time-consuming process.

The final option left was a frontal military assault, with knowledge that it would bring violence as a cost, Chabat wrote.

It is an election year, Calderon's final year at the helm.

These options will be before a new president, likely from a different party. He will have to decide: have the costs outweighed the benefits.

@highlight

Mexico has used its military to help capture cartel leaders

@highlight

Violence continues in parts of the country

@highlight

Voices of opposition to the strategy have been getting louder

@highlight

Experts say some progress has been made