(CNN) -- Eating well while traveling doesn't always mean hitting up the newest, hottest and trendiest locales. Besides, given the notoriously high failure rate in the restaurant industry, chances are the memorable new restaurant you try this year won't be around in the years to come.

Those who want a side of history with their dinners -- and a higher probability for a return visit -- should seek out some of America's wonderful, still-thriving historic restaurants, from the centuries-old steakhouses in Manhattan to San Francisco's 100-year-old seafood counter, Seattle's midcentury four-star, and the Tex-Mex breakfast spot that Austin, Texas, politicos, from Lyndon B. Johnson onward, have called home for decades.

A second helping of historic U.S. restaurants

Old Ebbitt Grill, Washington, D.C.

Washington icon the Old Ebbitt Grill has been attracting the likes of presidents and beltway movers and shakers since its opening in 1856. It is the city's oldest bar and restaurant, and though it has relocated twice -- most recently to 15th Street two blocks from the White House in 1983 -- many of the original spot's artifacts, including taxidermy and gas lamps, made the move.

Like many of the country's oldest restaurants, Old Ebbitt serves a take on saloon fare -- meatloaf, chops, burgers -- but the chefs here also rotate in specials based on local ingredients and seasonality. The very famous Oyster Bar should not be missed.

675 15th St. NW, Washington, D.C., 20005

10 best new bars in the United States

Keens Steakhouse, New York

New York teems with venerable, historic restaurants and boasts a fair share of the country's most distinguished steakhouses, yet Keens Steakhouse stands above the rest. Albert Keen founded the restaurant in 1885 in what was then the Theater District, Herald Square. Now, it's a living relic, with a handful of clubby, wood-paneled rooms decked out in historic paraphernalia, framed old paintings, photographs and menus.

The ceilings heave with 90,000 clay pipes once smoked by regulars, including Babe Ruth, JP Morgan and Teddy Roosevelt. What to order? That's easy: the famed mutton chop, on the menu from the beginning and perfected year after year.

72 West 36th Street New York, NY 10018

Are you a travel over-sharer?

Canlis, Seattle

Canlis is a baby on this list, clocking in at just 62 years old, but it's a treat for any traveler who appreciates lineage, architecture and high-caliber food. First, the building is a midcentury masterpiece --- all windows and stone and soaring ceilings -- designed by the father of Northwestern architecture Roland Terry and Honolulu-based Pete Wimberly.

Inside, diners find an elegant four-star restaurant, run by third-generation owners Mark and Brian Canlis. They revamped the menu offerings in 2008 when they brought chef Jason Franey on board, snatching him up from the Michelin-starred Eleven Madison Park in New York. Now the restaurant is at the forefront of the Seattle dining scene, relevant and revered.

2576 Aurora Avenue North Seattle, WA 98109

Pacific Dining Car, Los Angeles

In 1921, when Los Angeles was transfixed by train travel and urban trollies, Fred and Grace Cook built and opened a trolly car specifically designed as a restaurant. It was a quick hit, and they were able to pick up and move easily when their rent grew too expensive.

Now, Pacific Dining Car has been parked solidly in the same spot for almost 90 years (and expanded into a new location in Santa Monica). Since they age prime beef on the premises, the restaurant is known for its excellent steaks. Because it's one of the few fine dining options open 24-hours a day, it enjoys a solid patronage from late-night eaters.

1310 West 6th Street Los Angeles, CA 90017

Swan Oyster Depot, San Francisco

Come lunchtime San Francisco food lovers looking for pristine seafood, a clubby atmosphere, white tablecloths and power players head to 163-year-old classic Tadich Grill. Those looking for the same pristine seafood but less pomp and more fun head to Swan Oyster Depot, one of the real restaurant gems of the Bay Area.

The space consists of just one long raw bar, with around 20 stools, manned by a handful of friendly shuckers and servers doling out oysters, clams, lobster, chowders, seafood salads and wine. It's all about the charm, not about the pretense. Getting there outside of prime time lunch hours will guarantee a shorter wait to get in, as the secret has been out on this place since it opened in 1912.

1517 Polk Street San Francisco, CA 94109

Jacob Wirth, Boston

Boston, of course, is rife with historic tourist attractions, including restaurants. And though German pub Jacob Wirth is the second oldest restaurant in the city, having opened in 1868, it is more of a local hangout and Theater District go-to than a tourist hub.

They serve solid pub grub -- burgers, mozzarella sticks, fish 'n' chips -- as well as authentic Germanic fare like Wiener schnitzel and sauerbraten and have one of the biggest beer selections in the city (with taps that are changed regularly, given the crowds). There are sing-a-longs every Friday night to complete the beer hall vibe.

31 Stuart Street Boston, MA 02116

Cisco's Restaurant Bakery, Austin

Widely known for serving the best breakfast in Austin, 62 year-old Tex-Mex spot Cisco's is family run and has been a local favorite for generations. The migas are legendary, but don't miss their huevos rancheros and complimentary hot fluffy biscuits. It is an established hangout for Austin politicos and looks about the same as it did when Lyndon Johnson held court here many mornings during his days in the Legislature.

1511 E 6th St, Austin, TX 78702-3375

Commander's Palace, New Orleans

Of New Orleans' historic grande dame restaurants, and there are a few, Commander's Palace, built in 1880 in a stunning Victorian house, is the one that isn't just banking on its storied reputation. The kitchen has produced New Orleans legends, from Paul Prudhomme to Emeril Lagasse, and today showcases the food from future culinary rock star Tory McPhail. The space suffered severe damage during Hurricane Katrina but was successfully refurbished and reopened in October 2006.

The guidebooks will report that brunch is popular, and it is, but that's not the time to go. Head over there for an elegant dinner of haute Creole dishes like Louisiana crawfish gnocchi, pecan-crusted Gulf fish and tenderloin of fire-spiced pork.

1403 Washington Avenue New Orleans, LA 70130

Calumet Fisheries or Berghoff, Chicago

Calumet Fisheries is not really a restaurant. It's a take-out fish shack and smokehouse on the edge of the Calumet River in Chicago, offering all manner of gorgeous smoked and fried fish to seafood-loving locals who wait patiently for their lunches and then chow down in their cars. It's a classic institution, attracting crowds since 1948, and a must for visiting seafood fanatics.

3259 East 95th Street, Chicago, IL 60617

Those seeking a historic Chicago dining experience with actual chairs and tables better head toward the Berghoff, the 114 year-old German icon and one of the oldest family-run businesses in the country. What started as a men's-only beer hall to showcase the Berghoff family's signature beer has evolved over the century into a modern German restaurant with pierogis, Jager schnitzel, beer-battered cod and some un-German selections like mushroom paninis and Cajun chicken salads.

17 West Adams Street Chicago, IL 60603

Ralph's, Philadelphia

Ralph's, the oldest Italian restaurant in the country continuously owned by the same family and a one-time favorite of Frank Sinatra, serves the classic rib-sticking red sauce Italian-American fare that is now so ubiquitous it's almost passe in the food world -- lasagna, spaghetti and meatballs, eggplant parmesan. But as one of the true Italian-American originals, Ralph's serves this food well and serves it with pride in a boisterous row house.

The three floors of the restaurant quickly fill on most nights with regulars, locals and visitors wanting to get an authentic introduction to the Italian culture of South Philly, so reservations are recommended.

760 South 9th Street Philadelphia, PA 19147

What are your favorite historic eateries? Please tell us in the comments below.

@highlight

Trends come and go, but these restaurants have lasted through the decades

@highlight

Keens Steakhouse in New York was founded in 1885

@highlight

Great architecture and inventive cuisine are married at Canlis in Seattle

@highlight

Cisco's Bakery is widely known for serving the best breakfast in Austin