After living in the city for nearly 25 years, Cesar Vargas says he will finally feel like a true New Yorker.

That is, he will if Mayor Bill de Blasio's proposal to issue municipal identification cards for undocumented residents is approved in the coming weeks.

The ID program would serve a half-million residents, regardless of their immigration status -- making it easier for them to report a crime, lease an apartment, open a bank account and even borrow a library book.

"Even if it's just a temporary solution for undocumented immigrants, it would great to have this," Vargas said, "So if I ever get pulled over by cops again, we would be discussing why I was being pulled over instead of being questioned if my ID was valid or not."

At a time of national debate about the status of millions of undocumented immigrants in the United States, some municipalities have taken steps aimed at improving their lives.

"To all of my fellow New Yorkers who are undocumented, I say: New York City is your home, too, and we will not force any of our residents to live their lives in the shadows," de Blasio said during his first State of the City speech February 10.

The ID cards would serve undocumented immigrants as well as the homeless, low-income elderly people, former prisoners and members of the LGBTQ community who may have difficulty obtaining other government-issued IDs.

Vargas, 30, said even his 70-year-old mother looked forward to getting a library card with her municipal ID, which would "give her some sense of belonging."

Before being eligible for federal deferred action for childhood arrivals (DACA) status, Vargas said, he used his Mexican passport as identification, which caused some awkward encounters.

"I have a driver's license now thanks to DACA, but it says 'Temporary Visitor' in bold and it always confuses people and raises a lot of questions," said Vargas, who is an undocumented immigrant and law school graduate fighting for admission into the New York State Bar.

DACA is a federal program enacted in 2012. It granted some undocumented young people temporary work authorization and a two-year reprieve from deportation.

New York City's ID program would be similar programs in 11 other cities, including San Francisco and Los Angeles; Trenton, New Jersey; Washington; and New Haven, Connecticut.

But opponents of de Blasio's proposal say the measure encourages illegal immigration and could be misused by terrorists.

"One of the reasons the 9/11 terrorists were so successful was because they had access to official identification, but since advocates of illegal immigrants carry a lot of political clout, local government will play up to that," Ira Mehlman, media director of the Federation for American Immigration Reform, told CNN.

The ID program has its limitations: The cards will not be accepted by federal agencies as a form of identification, serve as a driver's license, or be valid to purchase alcohol or tobacco. Applicants would have to appear in person and present other identification, such as a passport, and proof of residency, such a utility bill or lease.

Angelo Falcón, co-founder of the National Institute for Latino Policy, said the program was a step in the right direction.

"It makes a lot of sense for New York City and, at the risk of sounding like a cliché, it does bring people out of the shadows," Falcón said. "Undocumented immigrants who participate economically and socially should have these IDs. Immigration is a very powerful economic motor."

For the cards to be effective, they need to be broadly accessible, linked up with private and public services, and be widely used by people who are not undocumented immigrants, Brittny Saunders, supervising attorney at the New York-based Center for Popular Democracy, told CNN.

As for Cesar Vargas, he believes there's a chance undocumented immigrants could be singled out when using New York City IDs, but he believes the benefits outweigh the costs.

"It's just going to take some work from the city to educate banks and city agencies to recognize these IDs," Vargas said.

San Francisco's example could be a template. That city has issued nearly 20,000 cards since its program was launched in 2009, an average of 4,000 a year.

Public safety concerns, in part, motivated the San Francisco program.

"Residents without access to bank accounts often carry large amounts of money on them or store it in their homes, making them targets for crime. And, those who can't produce proof of identity are often reluctant to report crimes to the police," said Megan A. Caygill-Wallach of the San Francisco city administrator's budget and planning office.

Although immigrants are victimized by crime at rates similar to or greater than the general population, they report crime at lower rates, according to studies. The underreporting of crime poses a serious public safety problem and erodes the ability of law enforcement to function effectively in the city.

Immigrant advocates hope that the municipal IDs will bridge the gap between police and undocumented immigrants, as was the case in New Haven, Connecticut.

New Haven was the first city to start an ID program. It has issued more than 12,000 municipal IDs in seven years.

"Over the years, it's helped residents feel like New Haven is home and they're a part of the community. For immigrants, it begins the process of assimilation and puts them on the road to full community participation," said Laurence Grotheer, New Haven's director of communications.

Dave Hartman, public information officer for the New Haven Police Department, said he saw the need for the cards during his 19 years as an officer.

"We used to get calls from third-party complaints, like a church calling and acting as an intermediary," he said. "The undocumented folks would shy away from us. They didn't know they could come to us without being questioned about their immigration status. It opened up a dialogue between the police and immigrant communities that didn't exist before."

@highlight

NYC identification program aims to help undocumented residents

@highlight

The program models those in 11 other cities nationwide

@highlight

Opponents say the program could enable potential terrorists

@highlight

Public safety concerns, in part, motivated a similar program in San Francisco