(CNN) -- I recall being an undergraduate in Russian Studies at Amherst College when the Soviet Union invaded Afghanistan in December 1979. I was flabbergasted when then-President Carter initially expressed surprise that Leonid Brezhnev and his cronies decided to undertake that ill-fated adventure. Just the little I knew of Soviet history at that time led me to conclude that one should never be naÃ¯ve about Russia. Wisely, the Carter administration soon implemented a wide-ranging and powerful set of sanctions against the USSR.

By comparison, Barack Obama is now making Jimmy Carter look like Attila the Hun with a series of empty threats and "too little, too late" punitive measures against Putin's Russia.

On February 28, President Obama warned Russia not to take military action against Crimea, and if he did so, serious "costs" would be imposed. A few weeks later, Crimea was annexed to Russia and virtually no serious "costs" have been incurred from U.S. sanctions.

Now Obama and our European allies have virtually conceded Crimea, but again warn Putin that we really mean it this time, that if you take military action in Ukraine outside Crimea, you will be really sorry!

I think the only thing that has surprised Putin is how weak Obama's response has been. The administration was not prepared for the contingency that Putin would act so brazenly.

But Obama's stubborn insistence on a measured, incremental approach seems premised on his belief that Putin will, after his frustration and anger clears, come to his senses and seize the proverbial "off ramp" Obama and his officials ritualistically refer to, hearkening back to nearly two years of the mantra, "Assad must go." We know that Assad never left, and I see no evidence that Putin wants to take the "off-ramp."

Surely Putin's goals were not limited to getting Crimea while losing Ukraine. That does not make sense. And since he has met virtually no push back for Crimea, why would he stop there?

It is not like his views on Ukraine are not fairly well known. At the Bucharest NATO summit in April 2008, Putin told George W. Bush in no uncertain terms that Ukraine was not a real country. And now Putin has found the appropriate moment to demonstrate to the "trans-Atlantic community" that Ukraine is not a real country by starting to dismember it with impunity.

In case there was any doubt about Putin's views of the illegitimacy of the post-Cold War European security order in Europe, his vitriolic speech to the Federal Assembly in Moscow on March 18 should clarify it for skeptics. I have no doubt that there is nothing Vladimir Putin would rather do than delegitimize the post-Cold War order, expose the Trans-Atlantic partnership as a sham and deeply degrade U.S. leadership in the world. He has already gone fairly far down that path in four weeks.

Why do American presidents have such a hard time understanding Russian leaders? First, it starts with our inability to fathom just how traumatic the collapse of the Soviet Union was for several generations of Russians. From a clinical standpoint, Russia has been suffering from post-traumatic stress disorder for the past couple of decades.

Putin resonates with many Russians because he is seen as the embodiment of the humiliation, status deprivation and grievances that the country has purportedly suffered.

Making matters worse, he was an intelligence operative virtually abandoned by what he and his brethren view as incompetent Soviet leadership. The ethos of the Russian intelligence officer going back to the foundation of the secret police in the early 19th century centers on their special, almost messianic obligation to save Russia from itself -- a task only they were adequately trained for.

These were people who, for example, enthusiastically supported the U.S. initiative more than 20 years ago to remove nuclear weapons from Belarus, Kazakhstan and Ukraine, not because they gave a damn about nonproliferation but because when the day came for Russia to restore the "Greater Russia," that task would be much easier with nukes out of the way.

In the 1990s, many speculated about the danger of a "Weimar Russia" scenario in which the humiliated superpower would re-emerge in more of a fascist form.

I am afraid that day has arrived. Putin's task is to take back what a certain streak of Russian nationalism views as not only rightfully, but sacredly, what should be Russian. Obama may satisfy some supporters and even some critics by taunting Putin and Russia as a "regional power" of no great consequence acting out of "weakness." This will only bait the bear to lash out to demonstrate who is really weak and who is strong. It is a game that Obama is not psychologically equipped to understand, let alone win.

A Russian strike, either after a manufactured provocation or without one, into eastern Ukraine, is inevitable. Putin smells blood in the water, and nothing we have said or done will deter him. Economic measures alone are insufficient.

If Obama does not rise to this challenge soon, I fear that Putin will happily ruin his legacy and U.S. credibility, with massive collateral damage for Russians and Ukrainians. Putin will likely meet his own end if he miscalculates in Ukraine. It is incumbent for the United States, its allies and most importantly Ukrainians themselves, to help Putin not miscalculate because if he does, there will be hell to pay for all of us.

@highlight

Andrew Kuchins: Obama and allies have issued empty threats at Putin

@highlight

Kuchins: Despite Russia's annexation of Crimea, Obama's responses are weak

@highlight

He says since Putin has met no push back for Crimea, why would he stop there?

@highlight

Kuchins: Putin may ruin Obama's legacy by further encroaching Ukraine