Kabul, Afghanistan (CNN) -- In some countries, the written word brings more than just readers to those bold enough to publish.

Local journalists who attach their names to scrutinizing articles in Afghanistan are often subject to threats of kidnapping, acid attacks and death -- especially if the writer is a woman.

That's the daily reality for Afghan journalist Farida Nekzad, who says she's been threatened by extremist groups warning her against publishing articles that cast a critical lens on local customs and national politics.

"You have to fight everyday," said the former managing editor of the Pajhwok News Agency, the country's largest local provider of independent news.

"You have to accept the risk, and that's why we face such challenges."

The once fledgling news agency began as a small project in 2003, and later flourished into a nation-wide network of correspondents with eight bureaus and an average output of three dozen stories per day, according to its website.

Nekzad began as a journalist there, also having worked as a radio reporter.

Earning her stripes covering the local effects of the U.S.-led war and her country in transition, she took over as managing editor and began training a corps of budding young journalists.

Many of them were women.

"Everyone needs information, particularly women need to know and have information for their awareness," she told CNN. "I think one of the ways we can do something is by starting with this profession."

But after years of receiving threatening e-mails and phone calls, the prospect of violence became reality when a bomb detonated on the driveway of her home.

"I was displaced from my home for nine to about 10 months," forced to leave because her neighbors complained.

They said "you have to leave your building," according to Nekzad.

Leaving Pajhwok in 2009 in an effort to lower her profile, the longtime journalist says she sought to avoid the limelight that had brought extremists to her door.

"The threats and warnings scared me," said Nekzad, who at the time was pregnant with her daughter, Muska.

But she had also laid the ground-work for what would become her next venture, working alongside her husband to set up a separate news agency called "Wakht," meaning "Time."

Today, Nekzad is the agency's director, overseeing a staff of more than two dozen journalists who cover Afghanistan's forbidding terrain in an effort to root out stories in all of its 34 provinces.

And again, many of her reporters are women.

"She typifies the double jeopardy under which women journalists in Afghanistan are forced to operate," said Bob Dietz, Committee to Protect Journalists Asia Program Coordinator. "Reporting and editing and running a news operation is tough enough there, but doing it as a woman makes it much more of a challenge."

Even after the ouster of the Taliban from Kabul in 2001, social and cultural restrictions against women in Afghanistan have remained heavy-handed.

Despite the adoption of a constitution that greatly expands women's legal rights, most women are never taught to read.

About 14% of Afghan women are currently literate, according to a statement from the Ministry of Education.

They "are uneducated and away from education," said Nekzad. "Women need for women to share their experiences, share their problems and share their challenges of how they suffer."

But with Internet access restricted and its penetration especially low in rural areas, online news agencies -- like Wakht -- struggle to deliver information beyond the country's few metropolitan areas.

Still, there are signs afoot of a quietly developing women's rights movement.

Last week, a handful of women -- mostly Kabul residents -- marched in the capital streets, carrying placards in protest of male harassment.

And yet with NATO in the process of a drawn-down, handing over the first seven designated areas to Afghan Security Forces, many fear the effects of a resurgent Taliban or a negotiated settlement that allows militants to come back.

"This is really a very critical question," said Nekzad. "The biggest problem is that there is no guarantee (for women's safety)."

The veteran journalist said that while she supports negotiations that could lead to peace, she questioned "who will guarantee that the Taliban...will agree that women should be a part of the activity and a part of the society to work?"

Although the troubles of Afghan women were there prior to the Taliban's arrival in the mid-90s, the hard-line group has traditionally taken a tough stance against them.

"When the Taliban first entered Kabul, the religious police beat men and women in public for not having long enough beards or not wearing the burka properly," wrote Pakistani author Ahmed Rashid in his widely-acclaimed book "Taliban."

Still, the costs of the near decade-long conflict seems to appeal less and less to the war-weary public of Europe and the United States, whose electorates are still reeling from the aftermath of recession.

Last month, nearly three-quarters of Americans polled said they support the United States pulling out some or all of its forces out of the country.

How those factors will affect international resolve to promote local institutions and bring about lasting security in Afghanistan is still unclear.

@highlight

Afghan journalist Farida Nekzad says she's been threatened by extremist groups

@highlight

A bomb once exploded outside her home

@highlight

She is a director and cofounder of an independent news agency in Afghanistan

@highlight

She trains journalists, and many of them are women