(CNN) -- Wish you could play video games at work? How about a happy hour with free drinks every week? Or exercise breaks during the day?

As much as these activities may sound like the opposite of work, companies around the world are starting to integrate them into their environments. The theory is that encouraging "play" at work not only boosts morale but also fosters increased creativity and teamwork, leading to better productivity and quality of work.

You may have heard about the free food and Razor scooters at Google, the famed multistory slide at YouTube, or the climbing wall and yoga classes at Twitter, but it's not just tech companies that are jumping on the trend. Industries from food to marketing are giving it a shot, too. So we couldn't help but wonder: Does the idea of play at work, well, work? And do employees actually take advantage of it?

Scientific data on both is limited (don't worry, the National Institute for Play is on it), but we heard from a variety of professionals who are convinced play is the way to go.

"The emphasis on fun spawns creative energy," explains Lauren Austin. She's creative director at marketing agency MKG in New York, where play is a priority. "Inspiration comes from interacting with one another and the world around us."

And how does the company foster that interaction? With weekly happy hours, a snack bar, craft days, organized runs and even an in-office photo booth.

"The photo booth is always a draw, stuffing as many random people in a tight space as possible -- I think the record is seven -- and taking goofy group shots," said Austin. The company has also tried even wackier ideas, like a petting zoo.

"Our office is our playground," she said. It "was designed to ignite imaginations and encourage employees to interact, because that is how the best ideas are born."

Business experts agree that we're living in a time when traits like imagination and creativity are of the utmost importance in business. Richard Florida calls it the "creative age," and Daniel Pink has dubbed it the "conceptual age."

"In the same way that machines have replaced our bodies in certain kinds of jobs, software is replacing our left brains by doing sequential, logical work," Pink explained in a 2009 interview with Oprah Winfrey. "What's important now are the characteristics of the brain's right hemisphere: artistry, empathy, inventiveness, big-picture thinking. These skills have become first among equals in a whole range of business fields."

At Remedy Health Media, a health information and technology company just outside Washington, social media manager Stuart Perkins has another theory about why play is critical.

"I've been in fun offices like this and ones that were not as fun, and the retention rates are much higher when you have a few fun things to do around the office," he said, particularly among millenials.

"We have an extremely talented but fairly younger workforce who expects the office to be more than just a desk and a chair," Perkins said. "My coworkers love having a chance to take mini-breaks and rest their minds before moving onto a new task."

At Remedy, those breaks could include anything from foosball or Wii tournaments to a team bike ride during the lunch hour.

"Some of our most creative business ideas come from this 'downtime,'" he added.

Of course, in a difficult economy, not all workers feel comfortable participating in the fun.

"We have a TV and lounge area. But I'd be afraid of looking unproductive and under-worked if I utilized it," wrote Lauren La Franca in a comment on HLNTV.com. "The rest seem to agree too because the lounge area has been sat on once since it was implemented."

It's up to management to change that perception, says Craig McAnsh, president of Native Marketing.

"It has been a problem for many employees because they may feel that the idea 'play' is just given lip service by management," he said. "Knowing it's required is the only way this works. And the only way this happens is for senior staff to lead by example. Top down. If you have a ping-pong table, but don't play, your ... employees will not play."

"Talking about 'play' and actually playing makes all the difference," he added.

@highlight

More companies are encouraging fun as a business strategy

@highlight

The idea is that play boosts morale, encourages creativity and fosters teamwork

@highlight

CNN partnered with Mashable to explore how workplaces are integrating fun

@highlight

Is play encouraged in your office? Tell us about it in the comments below