Talking about race and class makes people uncomfortable.

If that were not the case, we'd have more open conversations about these issues with our friends, families and co-workers, and would no doubt be a more understanding and loving society across the board.

The situation in Ferguson, Missouri, after the police shooting of an unarmed black teenager, throws America's problem with talking about race into sharp relief. So if adults are having trouble talking openly about race and class, it's easy to see why some parents are either afraid, uncomfortable or unwilling to bring the topics up with their children.

"Talking about race, dealing with race, explaining race is hard," blogger Brandi Riley wrote on her Facebook page.

Riley, who is African-American, told me her main priority when she talks to her 5-year-old daughter Ayva about race and class is teaching her that it's OK to be different.

"I don't want her to think that we're all the same, or to grow up not seeing color," said Riley. "That's not realistic, and what happens to children that grow up like that is they aren't able to empathize or understand when things like Ferguson happen because 'they don't get what the problem is.' "

Riley, who blogs about parenting at Mama Knows It All, encourages parents not to be afraid to talk about race with their kids. One of the easiest ways to discuss it, she said, is to read books with children that showcase diversity.

"Expose them to cultures outside of their own through classes, or travel, and be intentional about it," she said. "As much as we'd like to believe it, racial tolerance (and) acceptance doesn't just happen. It takes work. It takes being open to understanding and learning about each other's history, and making the commitment to teach our children as well."

Felicia King, a mother of three in Willingboro, New Jersey, said her family hasn't really had an on-going conversation about race because they have friends from so many different countries and cultures and haven't personally had to deal with racism.

That said, King did talk to her son, who is 25 and almost 6 feet tall, about dealing with police officers -- a conversation many parents of color say they've had with their sons. She's made it clear that he has to be prepared for the possibility that some authority figures will judge him by his race before anything else.

Opinion: Are we Ferguson?

"I taught him you must, when you're with an officer or anyone else say, 'Yes sir.' Give them that respect first and it benefits you."

The fact that African-American parents have to have that conversation with their sons -- a conversation most white moms would never think of having, pains Marcy Cohen, a white mom with a 1-year-old son in New York City.

"To talk to your child as if your child is seen as a threat is so upsetting," she said.

Cohen said even before her son can talk, she and her husband are doing what they can to expose him to people of all walks of life, races and income levels. As a white boy growing up in a family with economic means, she also wants him to realize he's lucky and to see all human beings, regardless of race and class, as equal to him.

"I feel like there's a fear of others that we put into our children and I desperately do not want to put that on him," the stay-at-home mom said.

For some white parents, there is a discomfort about talking about race especially since it's not something they live every day. There is also the painful realization of some of the social and economic benefits for whites of systemic racism, said blogger Elizabeth Broadbent, creator of the site Manic Pixie Dream Mama.

In a blog post that has been widely shared in social media, the mom of three sons challenged white parents to recognize and talk with their children about "white privilege."

"For a mother, white privilege means your heart doesn't hit your throat when your kids walk out the door. It means you don't worry that the cops will shoot your sons," Broadbent wrote.

"It carries another burden instead. White privilege means that if you don't school your sons about it, if you don't insist on its reality and call out oppression, your sons may become something terrifying. Your sons may become the shooters."

It is uncomfortable and scary for some people to recognize the "unfairness and injustice"  in a country that was, in some ways, "founded on the principles of white supremacy and continues to maintain itself on principles of white supremacy," said Stephen Pimpare, author of "A People's History of Poverty."

"What I think is often very frustrating to poor and low income people who tend to be disproportionally people of color is the sense that people in positions of power don't recognize that and are still sort of in denial about that," said Pimpare, who is also an adjunct associate professor at Columbia University and New York University.

Parents who live that reality day-in and day-out can't help but share their experiences with their children.

Shelly Watson of Berkeley, California, an African-American woman with a biracial father, said her parents talked with her about race when she was very young and she has had similar conversations with her daughter, now 21.

"I've always taught my daughter that racism is still there and a lot of times it's very subtle," said Watson, who works at a major health care company as a computer coder specializing in electronic medical records.

She said she's always told her daughter that as an African-American woman, she is "going to be looked at differently."

Watson experienced that herself the day before our conversation when, during a visit to a New York City department store, she says she was followed around as she shopped.

"So when people say race doesn't matter, that is not true," she said. "Racism will never die in this country until people change the way they perceive others and otherness in general."

Watson's daughter, Persiah Acorn, said she didn't really understand what her mother was talking about until she encountered racism in high school. Since then, she has watched people perceive her a certain way just because of the color of her skin.

"If I had on, let's say, clothes just like you, let's say I even worked at CNN, it wouldn't make a difference. People still treat me the same way because I'm African-American," said Acorn, a senior at Howard University.

Opinion: Ferguson: The signal it sends about America

"People still scoot away from me on the subway. I've had open seats and no one sits next to me, and it makes me wonder why. ... For some reason, there's still almost a fear or a distaste for me just because of my race."

One way to bridge the distance, Pimpare said, is to embrace the scary and uncomfortable -- and have conversations about race with our children.

"We're terrible about talking about race in particular and the way that we get better at talking about race is talking about race, and we have to find ways to do it," he said.

What do you think is the best way to talk to children about race and class? Tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

"Talking about race ... explaining race is hard," writes an African-American blogger

@highlight

Some parents are either afraid, uncomfortable or unwilling to bring the topic up with their kids

@highlight

Exposing children to diversity through books and travel can be a way to have the conversation

@highlight

"The way that we get better at talking about race is talking about race," said an author