(CNN) -- It turns out sunscreen does more than protect you from cancer and painful sunburns -- it offers a boost to simple vanity.

A new study finds that regular sunscreen use protects against photoaging: the wrinkling, spotting and loss of elasticity caused by exposure to the sun's ultraviolet radiation.

While they may not be shocking, the findings -- from Australian researchers -- are the first to quantify sunscreen's anti-aging properties.

More than 900 participants were followed for four years. Some were told to use sunscreen daily and instructed in proper use, including re-applying sunscreen after being outside for a few hours, after going in the water or after sweating heavily.

Other participants were given no directions with regard to using sunscreen -- it was considered unethical to ask them to not use it.

Skin changes were measured through a technique called microtopography, in which researchers made sensitive silicone impressions of the back of each participant's hand.

Chronic sun exposure damages trucker's skin through glass

"Skin surface patterns reflect the severity of the sun's damage to the deeper skin, especially to the elastic fibers and collagen," says Dr. Adele Green, the study's lead author.

Damage was measured on a scale from 1 to 6, with 1 signifying no damage and 6 meaning skin with severe aging. Participants were given a score at the start of a four-year period and another score at the end; those who used sunscreen daily were 24% less likely to show increased signs of aging, researchers found.

"We now have the scientific evidence to back the long-held assumption about the cosmetic value of sunscreen," says Green. "Regular sunscreen use by young and mid-aged adults under 55 brings cosmetic benefits and also decreases the risk of skin cancer."

The sun does damage with different types of radiation, according to Dr. Lawrence Gibson, a professor of dermatology at the Mayo Clinic. UV-B radiation is the primary cause of most skin cancers and is also the main cause of sunburns.

Photoaging is mostly caused by UV-A radiation, which robs the skin of its natural ability to hold its shape and also causes freckles and so-called liver spots.

"Your skin tries to protect itself, and makes all this splotchy pigment," says Gibson. "It's the body's response trying to protect itself from that bombardment."

What to look for when buying sunscreen

The new report, published in the Annals of Internal Medicine, is part of a research project that has stretched for more than two decades, led by Green and colleagues at the Queensland Institute of Medical Research. The measurements were taken between 1992 and 1996, and patients used older types of sunscreens.

In theory, says Gibson, modern sunscreens should be even more effective.

"Back in the '90s, we didn't have many good UV-A sunscreens," he says. "Now, we have broad-spectrum sunscreens that block both UV-A and UV-B rays, although none of them block all the UV-A."

Video: The best sunscreens aren't necessarily the most expensive

While sunscreens have improved, Gibson cautions that they are no replacement for limiting total exposure, and avoiding intense sun during the middle part of the day.

He also notes that photoaging is not part of the natural aging process -- it's avoidable.

"If you see a 90-year-old person, and look at a part of their body that has not been exposed to the sun, you don't see any photoaging," he says.

Anyone who spends time outdoors during daylight hours should use sunscreen, even if they have darker skin pigment and tan easily, the Mayo Clinic advises.

Children are especially susceptible to the sun's harmful effects. Babies under the age of 6 months should be kept out of direct sunlight because their skin is so fragile.

A word about SPF: It's not an indication of how much time you should spend in the sun. An SPF of 30 does not mean you can stay out twice as long as an SPF of 15, the clinic says. An SPF of 15 filters out about 93% of UV-B rays, compared to 97% for SPF 30.

Last year, the Environmental Working Group said it had found 25% of 800 tested sunscreens were effective without containing harmful ingredients. To make the watchdog group's safe list, sunscreens had to be free of oxybenzone, retinyl palmitate (a type of vitamin A), not have an SPF above 50 and protect against UV-A and UV-B rays.

@highlight

Photoaging is skin wrinkling, spotting and loss of elasticity caused by sun damage

@highlight

Regular sunscreen use protects against photoaging, researchers find

@highlight

It's the first study to quantify sunscreen's anti-aging properties