Washington (CNN) -- Four State Department officials have been disciplined in the wake of a review of the security failures that led to the deaths of four Americans at the U.S. Consulate in Benghazi, Libya, a department spokeswoman said Wednesday.

One resigned, while three others have been placed on administrative leave and relieved of their duties, said State Department spokeswoman Victoria Nuland.

The independent review released Tuesday examining attacks that occurred last September 11 cites "systemic failures and leadership and management deficiencies" at the State Department.

The failures resulted in a security plan "that was inadequate for Benghazi and grossly inadequate to deal with the attack that took place," the 39-page unclassified version of the report concludes.

Read the full report

Ambassador J. Christopher Stevens was among those killed in Benghazi.

Eric Boswell, assistant secretary of diplomatic security, resigned, effective immediately, Nuland said.

Deputy Assistant Secretary for Diplomatic Security Charlene Lamb is among the officials placed on administrative leave, a source told CNN.

Earlier Wednesday, a senior official had told CNN that Lamb and another State Department official had resigned as well.

Boswell and Lamb oversaw security for the Benghazi mission. Lamb testified before Congress about the security precautions. Documents show Lamb denied repeated requests for additional security in Libya.

Veteran diplomat Thomas Pickering, who was chairman of the review board, said the members placed primary blame "at the assistant secretary level, which is in our view the appropriate place to look, where the decision making, in fact, takes place. Where, if you like, the rubber hits the road."

Secretary of State Hillary Clinton, who was recovering from a stomach virus and concussion, ordered the review in the aftermath of the attack. Such reports are mandated by Congress when Americans working on behalf of the U.S. government are killed overseas.

Clinton is expected to appear before the House Foreign Affairs Committee about the Benghazi attack next month, Rep. Ileana Ros-Lehtinen, R-Florida, the outgoing chairwoman of the committee, told CNN.

Read Clinton's letter to Rep. Ros-Lehtinen

Deputy Secretaries of State William Burns and Thomas Nides were to testify Thursday before the House and Senate committees.

Pickering and former Joint Chiefs of Staff Chairman Adm. Mike Mullen, the review board's vice chairman, visited Capitol Hill Wednesday to brief members of the House Foreign Affairs and Senate Foreign Relations committees in private.

"The report makes clear the massive failure of the State Department at all levels, including senior leadership, to take action to protect our government employees abroad," said House Intelligence Committee Chairman Mike Rogers, a Michigan Republican.

Sen. John Kerry, D-Massachusetts, who is considered the top prospect for the secretary of state job being vacated by Clinton, said the State Department "has taken a huge step forward to address the lessons learned from Benghazi."

"It's a dangerous world we're in, and I think that this report is going to significantly advance the security interests of those personnel and of our country," Kerry told reporters Wednesday.

Red Clinton's letter to Sen. Kerry

A CNN/ORC poll conducted Monday and Tuesday suggests most Americans are dissatisfied with how the Obama administration has handled the aftermath of the attack, but a majority believe that the administration did not attempt to intentionally mislead the American public about that attack.

Four in 10 Americans believe that inaccurate statements by administration officials after the Benghazi attack were intended to mislead the public, while 56% said they thought those statements reflected what the Obama administration believed to be true at the time.

In all, 43% said they are satisfied with the way the Obama administration has handled the matter in the past few months; half said they are dissatisfied.

The review board cited a lack of resources as at least partly to blame for the deaths in Benghazi.

"The solution requires a more serious and sustained commitment from Congress to support State Department needs," it said.

The board found that Washington tended "to overemphasize the positive impact of physical security upgrades ... while generally failing to meet Benghazi's repeated requests" to beef up personnel.

The board completed its investigation this week and sent a copy Monday to Clinton, who said in letters to the heads of the Foreign Affairs and Foreign Relations Committees that she accepted all of its 29 recommendations. They include strengthening security, adding fire-safety precautions and improving intelligence collection in high-threat areas.

The report says "there was no protest prior to the attacks," which were described as "unanticipated in their scale and intensity."

It also cites the Bureau of Diplomatic Security staff as "inadequate" in Benghazi on the day of the attacks and in the months and weeks leading up to it, "despite repeated requests from Special Mission Benghazi and Embassy Tripoli for additional staffing."

The report says there had been a "lack of transparency, responsiveness, and leadership at the senior levels" in Washington, Tripoli and Benghazi.

CNN Poll: Majority dissatisfied but don't think administration misled on Benghazi attack

"Security in Benghazi was not recognized and implemented as a 'shared responsibility' by the bureaus in Washington charged with supporting the post, resulting in stove-piped discussions and decisions on policy and security," it says. "That said, Embassy Tripoli did not demonstrate strong and sustained advocacy with Washington for increased security for Special Mission Benghazi."

The report says the short-term nature of the mission's staff, many of whom were inexperienced U.S. personnel, "resulted in diminished institutional knowledge, continuity and mission capacity."

The mission was also "severely under-resourced with regard to certain needed security equipment," it says.

It singles out for criticism dependence on "poorly skilled" members of the Libyan February 17 Martyrs' Brigade and unarmed local guards who were supposed to provide security. It noted that, at the time of Stevens' visit, militia members "had stopped accompanying Special Mission vehicle movements in protest over salary and working hours."

Though it said there had been no specific, credible threats on the day of the attack, the significance of the anniversary of the 9/11 terrorist attacks in 2001 had led Stevens to hold meetings on the compound on September 11 of this year.

But security systems and the Libyan response "fell short" when the compound was penetrated "by dozens of armed attackers."

The report presents a detailed description of what happened that night. It says Libyan mission guards were not present, local militia fled their posts and "there simply was not enough time for armed U.S. military assets to have made a difference."

The board said it could not determine how a gate at the compound was breached, "but the speed with which attackers entered raised the possibility" that the guards had left it open.

The politics surrounding the events that led to the report have claimed one political casualty, with Susan Rice, U.S. ambassador to the United Nations, last week pulling her name from consideration to succeed Clinton. Some Republican senators had said they would put a hold on her nomination if President Barack Obama had submitted it, based on comments, later determined to have been inaccurate, that Rice made in the days after the attack.

Benghazi problems suggest long list of changes for security of diplomats

CNN's Adam Levine and Elise Labott contributed to this report.

@highlight

NEW: Benghazi report results in 1 resignation, 3 disciplinary administrative leaves

@highlight

Eric Boswell and Charlene Lamb oversaw decisions on security at the diplomatic outpost

@highlight

Report shows a "massive failure of the State Department at all levels," Rep. Mike Rogers says

@highlight

CNN/ORC poll: 43% are satisfied with how the Obama administration handled Benghazi