Palm Beach County, Florida (CNN) -- I am a U.S. Army veteran and I was once homeless and struggling with addiction. After I got out of the service, I was introduced to alcohol and drugs. I ended up on the street where I lived in drug houses, and saw shootings and crime of all types.

The places I encountered when I was looking for a safe haven were no better than the streets. That's when the commitment in my heart to help homeless veterans was born. I've since dedicated my life to this cause.

In 1994 I founded a nonprofit organization, Faith*Hope*Love*Charity, with another formerly homeless veteran, the late Donald Reed. In May 2000, the vision became a reality and the doors to Stand Down House, a transitional living facility for homeless male veterans, opened. After being named a Top Ten CNN Hero in 2009, I was able to complete my vision of providing a resource center that provides housing and services for women as well.

About a quarter of homeless adults in this country are veterans, according to the National Coalition for Homeless Veterans, yet the Census shows veterans represent only 10 percent of the civilian population. Studies vary because homeless populations are difficult to count, but on any given night, from 107,000 to 300,000 veterans are homeless. In the early years, we were mainly helping older vets. Now, we are seeing younger men, some in their 20s, many who have served in the war on terror, needing help.

They may have different struggles from the older vets, but they still benefit from the same camaraderie. These men are also struggling with mental and physical illnesses, addictions and other issues related to combat, service and life.  They also get help with the interpersonal problems they cause. We help them regain their lives, just like regained mine.

I not only wanted to help homeless veterans, I wanted to help them before they became homeless, before they have to live through what I did. My charity in Palm Beach County, Florida, assists veterans, soldiers, and  their families by providing supportive services, financial assistance, housing, mental health service referrals and more.

I do what I do because I am one of them. It's as simple as that. I practice what we are taught in the service, that no man should be left behind. We are still brothers-in-arms.

Our "First Stop Veterans' Resource Center," FSVRC, helps with emergency financial aid, referrals, VA-SSA benefit information, employment assistance, and more, regardless of where the veterans live or service members are stationed. The needs are vast. For example, in early 2008, foreclosure rates in military communities increased at four times the national average. Veterans lead the nation in homelessness, substance abuse, depression and suicide, according the secretary of the Department of Veterans Affairs.

For veterans, especially those who have recently come back from active duty, the search for a job can be harder than it is for civilians. Skills learned in service or honed on the battlefield are not easily translated to the regular job market. Add to that the need for a period of readjustment to civilian life and dealing with physical and mental injuries. Earlier this year, the unemployment rate for both male and female vets from the wars in Iraq and Afghanistan was significantly higher than that of nonveterans, according to the Bureau of Labor Statistics.

According to the Department of Veterans Affairs,  between 6,500 and 7,000 female vets in the United States are homeless, with almost nowhere for them to get help --  especially when compared with the number of facilities for homeless male veterans. It doesn't make sense when you look at the numbers.

Women are four times more likely to end up homeless than their male counterparts.

They make up around 15 percent of all veterans; 11 percent of Iraq War and Afghanistan War vets are women, 40 percent of active duty females have children, and 11 percent are single parents.  Many women are losing custody of their kids because of their active duty status  and deployment. Our First Stop Resource Center's housing program provides temporary housing and support services for these at-risk and homeless female veterans, with and without children, and families of soldiers and veterans.

My commitment and my day does not end with my charity. I am a member of the Veterans Advisory Committee and Palm Beach County Veterans Task Force. I have helped with the burials of indigent veterans. I am also opening a local Veterans Court to help prevent veterans from cycling through the courts and to get them the help they really need. Many have resorted to drug use and other negative behaviors to deal with their combat and service experience, and wind up in our criminal justice system. In fact, I just got the news that our first case will be heard there on November 18.

Helping our veterans and seeing them happy makes it all worth it. No man or woman will be left behind as long as we are this nation. That is why I do what I do 24-7-365. Isn't that what our veterans have done and continue to do for all of us?

The opinions expressed in this commentary are solely those of Roy Foster.

@highlight

Army veteran Roy Foster struggled with addiction and homelessness

@highlight

He could find no safe haven and decided to turn his life around and help other homeless vets

@highlight

A quarter of homeless adults are vets, and need mental, physical, re-entry help, he says

@highlight

Foster co-founded center to provide shelter and services for homeless vets and families