(CNN) -- Clouds intrigued me as a boy. I was curious about what they were made of, how they got up in the sky and what it would be like to sit on one. I also thought they looked beautiful.

Kids are often entranced by clouds. Unfortunately, such positive feelings rarely endure into adulthood. As we grow up, we start to moan about clouds.

We consider them as metaphors for doom and gloom, describing someone who's depressed as "having a cloud hanging over them" and bad news in store as "a cloud on the horizon."

Watch Gavin Pretor-Pinney's TED Talk

Clouds get a bad press. That's why, a few years ago, I started the Cloud Appreciation Society. It exists to remind people that, far from being things to complain about, clouds are among of the most diverse, evocative, and poetic parts of nature.

TED.com: Sculpting waves in wood and time

It must be because they are so commonplace, so ubiquitous, so everyday, that we become blind to the beauty of clouds. We only tend to notice them when they block out the sun. So they come to represent the annoying obstructions in life, the things that get in the way.

Our feelings about the weather are often articulated as if there is a battle between the sun and the clouds -- between good weather and cloudy weather. Such an opposition is, of course, just projection. The sun's energy powers the very movement of air around our atmosphere that causes clouds to form. "The most beautiful thing in Nature," wrote Henry David Thoreau, "is the sun reflected from a tearful cloud."

TED.com: Tom Shannon on anti-gravity sculpture

Not only should we appreciate clouds more, we also need to understand them better. The recent fifth report of the Intergovernmental Panel on Climate Change includes one conclusion that all sides of the climate change debate can agree on. This is that the one factor contributing the greatest uncertainty in scientists' attempts to predict future global temperatures is the clouds.

They have a huge and complex effect on the flow of energy to and from our planet, sometimes reflecting away the sun's heat, sometimes trapping in Earth's warmth. Scientists still don't understand enough about the formation of clouds to predict with confidence how cloud cover will be affected by changing atmospheric conditions. Without knowing that, they can neither be sure how the clouds will amplify future changes in global temperatures and nor make confident predictions about our climate in decades to come.

But on the ground, in the meantime, the pleasures of cloudspotting, are all about the here and now. There is a satisfaction in learning to recognize the different types of cloud, from the fair-weather cumulus to the high, wispy cirrus, the fierce cumulonimbus storm cloud and the many other rare, unusual and fleeting cloud forms.

TED.com: Nature, beauty, gratitude

Finding shapes in the clouds is an aimless, carefree pastime that we adults should also do more of. The digital age conspires to make us feel busier than ever. Cloudspotting, by contrast, is an activity that legitimizes doing nothing.

These days, we need excuses to do nothing. Happiness comes not from a desperate search for stimulation elsewhere but from finding what is intriguing, surprising and "exotic" in the everyday stuff around us. You don't need to cross the world to be amazed. You just need to step outside and look up, every now and then, as if you are seeing the sky for the first time.

The opinions expressed in this commentary are solely those of Gavin Pretor-Pinney.

@highlight

Gavin Pretor-Pinney: Clouds entrance kids, but for adults are often metaphors for gloom

@highlight

But he says they are one of the most diverse, evocative, poetic parts of nature.

@highlight

He says scientists puzzled by what clouds can tell about predicting future climate change

@highlight

Pretor-Pinney: In frenzied age, cloudspotting legitimately, blissfully allows us to do nothing