(CNN) -- As a Russian proposal to strip Syria of its chemical weapons began to take shape, the White House eased off the gas on Tuesday in its drive for congressional approval to strike the Middle Eastern country.

President Barack Obama asked congressional leaders to delay votes on authorizing military action in Syria while the diplomatic process works itself out, the president announced in a prime-time speech to Americans.

Obama said he will continue talks with Russian President Vladimir Putin and will send Secretary of State John Kerry to meet with his Russian counterpart, Russian Foreign Minister Sergey Lavrov, in Geneva, Switzerland, on Thursday.

The United States will also give U.N. inspectors the opportunity to report their findings about the suspected chemical attack that occurred August 21, the president said.

"Meanwhile, I've ordered our military to maintain their current posture to keep the pressure on (Syrian President Bashar al-)Assad and to be in a position to respond if diplomacy fails," Obama said in his 16-minute address.

Earlier, Senate Majority Leader Harry Reid announced on the Senate floor that he had canceled a briefing for all senators scheduled for Wednesday.

He said the Senate schedule was driven by developments and not by an artificial timeline.

"It's important that we do this well, not quickly," he said. "We'll see what's going on. You know, the last 24 hours has had some remarkable changes in what people are talking about. Let's see what else happens."

Keeping up with the latest key developments

Important meeting in Geneva

Kerry will bring a team of experts with him Thursday for the talks with Lavrov, according to senior State Department officials. Another U.S. official told CNN the Department of Defense will be sending experts in chemical weapons and weapons of mass destruction.

The discussions are expected to take place in several sessions over two days, but negotiations may not be concluded in Geneva, the officials cautioned.

The officials said a final deal -- whenever it is reached -- would be taken to the United Nations and presented in a Security Council resolution.

Russia calls off Security Council session

Moscow withdrew its request for an emergency United Nations Security Council meeting on the Syrian crisis that had been set for Tuesday, a U.N. diplomat said.

Russia -- which has been a key player in efforts to have Syria give up its chemical weapons -- dropped its request due to "changing circumstances," according to the diplomat.

Syria is willing to join the Chemical Weapons Convention, Foreign Minister Walid Moallem said before departing Moscow.

"We are ready to fully cooperate in realizing the initiative," he told reporters, according to a CNN translation.

Earlier Tuesday, Russia's Foreign Ministry said it deemed as "unacceptable" a French proposal -- also backed by some U.S. lawmakers -- asking the Security Council to declare Syria responsible for the August 21 chemical attack that U.S. officials say killed more than 1,400 people.

According to Syrian state TV, Syria on Tuesday accepted Russia's proposal to put its chemical weapons under international control a day after Kerry floated the idea in what appeared to be an off-the-cuff comment suggesting it would be the only way for Syria to avoid a punishing Western military strike.

Moallem said the country was ready to disclose the location of its chemical weapons, halt production and show facilities to representatives of Russia, the United Nations and other states.

Syria's chemical arsenal at a glance

Syria is a longtime Russian ally, and Russian officials have argued, as have Syrian officials, that rebel forces could have staged the attack.

Growing support

Moallem said Tuesday that his country had agreed to the Russian proposal after what the Russian new agency Interfax quoted him as calling "a very fruitful round of talks" with his Russian counterpart, Lavrov, on Monday.

Despite the lack of details, the idea was gaining traction around the world.

On Monday, U.N. Secretary-General Ban Ki-moon expressed support for the concept. Tuesday, a Chinese Foreign Ministry spokesman said it would safeguard stability in the region. Syrian ally Iran welcomed the proposal, and Germany expressed interest.

French Foreign Minister Laurent Fabius said France will not accept delays in the transfer.

"We need quick results," Fabius said.

European Union Foreign Affairs Secretary Catherine Ashton said she supported the French plan to bring the issue to the Security Council, saying the proposal "now needs to be fully worked up as quickly as possible."

Even Sen. John McCain, R-Arizona, a proponent of a military strike on Syria and robust aid to the rebels, said the idea was worth exploring.

"I'm very, very skeptical," he said on CNN's "New Day." "But the fact is, you can't pass up this opportunity -- if it is one."

CNN Poll: Syria strike

Inauspicious beginning

The Russian proposal surfaced publicly on Monday, when Kerry -- responding to a reporter asking what Syria could do to stop a U.S. attack -- suggested that Syrian President Bashar al-Assad "could turn over every single bit of his chemical weapons to the international community in the next week."

"He isn't about to do it, and it can't be done, obviously," Kerry added.

His spokeswoman, Jen Psaki, sought to roll back the comments, saying the secretary was simply responding to a "hypothetical."

But it turns out Putin brought the idea up to Obama last week, a senior administration official said Monday night.

Kerry and Lavrov have also been discussing ways for Moscow to get involved for more than a year, the official said. But U.S. officials didn't realize how serious Russia was until Lavrov seized on Kerry's comment on Monday, the official said.

Obama's challenge: Convince you on Syria

CNN's Lisa Desjardins, Stephanie Halasz, C.Y. Xu, Yousuf Basil, Ed Payne, Ashley Killough, Tom Cohen, Dana Bash, Steve Brusk, Dan Merica, Paul Steinhauser, Zachary Wolf, Samira Said, Joe Vaccarello and Karla Crosswhite contributed to this report.

@highlight

NEW: President says he will continue talks with Russia's president, while keeping military ready

@highlight

NEW: Obama says he is sending Secretary of State John Kerry to meet with Russian foreign minister

@highlight

Syria will sign on to chemical weapons accord, Foreign Minister Walid Moallem says

@highlight

Syria also prepared to disclose chemical weapons, discontinue production, he says