Las Vegas (CNN) -- Declaring victory in Nevada's Republican presidential caucuses on Saturday, Mitt Romney again turned away from his GOP rivals and toward President Barack Obama.

CNN projects that Romney will win the Nevada Republican presidential caucuses, based on results and entrance polling.

With 71% of the votes counted, Romney held about 48% of the vote, while former House Speaker Newt Gingrich had 23% and Rep. Ron Paul had 18%. Former Pennsylvania Sen. Rick Santorum, who had largely bypassed the state, had 11% of the vote. Those numbers were gathered from vote counters at caucus sites across the state and the state's Republican Party.

See full Nevada results

Romney thanked supporters at his campaign headquarters in Las Vegas, telling them, "This isn't the first time you gave me your vote of confidence, but this time I'm going to take it to the White House," alluding to his win in Nevada in 2008.

But then he turned his attention to Obama, saying Nevada has had enough of his kind of help in fixing its home mortgage crisis and that he failed at bringing down unemployment.

Entering the race as front-runner, Romney had largely ignored his Republican rivals and focused on Obama. But as Gingrich rose to challenge him in polls, he was forced to address the other candidates in the race.

His victory speech was a one-on-one with Obama.

"This president began his presidency by apologizing for America. He should now be apologizing to America," Romney told cheering supporters.

The only allusion to GOP opponents Romney made was when he told supporters that he was the only one who could fix the economy, "unlike other people running for president."

Rather than the traditional post-vote speech, Gingrich held a news conference in which he accused the Romney campaign of spreading rumors that he would drop out of the race, calling it "their greatest fantasy."

Gingrich reaffirmed his commitment to stay in the race, saying, "We will continue all the way to Tampa," where the Republican National Convention will be held in August.

Gingrich aides had said that he would outline a new campaign strategy that would be more positive. But while his tone with reporters was cordial, the message wasn't.

Although he called his opponent a "Massachusetts moderate" instead of a "Massachusetts liberal" as he has in the past, Gingrich said he believed he was the alternative to Romney, "who has in his career been pro-abortion, pro-gun control, pro-tax increase, and who ranks third from the bottom in creating jobs in the four years he was governor."

Gingrich downplayed the Nevada results, pointing out that Romney, a Mormon, did well in "a very heavily Mormon state, a state which he carried in 2008."

He said Paul has a "substantial advantage" in any caucus state because of his organization.

Gingrich said he wanted to run a more positive campaign, but that negative attacks were part of the game.

"I stayed relentlessly positive in Iowa, and I lost by 22 points," he said. "I think it's terrible the American system is reduced to negative ads, some of them false."

"But it's a fact, if you're not willing to stand and fight, you have to get out of the race."

Gingrich said he intends to compete for the GOP nomination in every state and will be matching Romney in the polls by the Texas primary on April 3.

"In a few more weeks I'll be ahead in Gallup again," Gingrich predicted.

Romney's Nevada win makes him the first GOP candidate in this cycle to score back-to-back wins. The former Massachusetts governor appeared to win in the Iowa caucuses, but the contest was later awarded to Santorum when the vote was certified. Romney scored a big win in New Hampshire but was then stunned in South Carolina by Gingrich. Romney scored a 14-point victory over Gingrich and the rest of the field in Tuesday's Florida primary and entered Saturday's contest with a sizable lead in polls.

The caucuses were open only to the state's more than 470,000 registered Republicans. Nevada's 28 delegates will be awarded proportionately based on the statewide vote.

Polls leading up to the vote had shown Gingrich trailing far behind Romney. At one point, in the wake of his poor showing in the Florida primary, Gingrich advisers said he would concede the state and look down the road to more friendly states that vote in the March 6 Super Tuesday contests. But ultimately he chose to campaign in Nevada and didn't appear to make up much ground on Romney.

As the votes were being counted, a leading Romney backer in Nevada was calling for Gingrich to drop out of the race instead of continuing to divide the party.

Nevada Rep. Joe Heck, who has been closely allied with Romney since his 2008 presidential bid, said the results of the caucuses should be a wake-up call for Gingrich.

"I hope he takes the message that it's time to withdraw gracefully and not continue to divide the party," Heck told reporters in Las Vegas, shortly before the first caucus results were announced.

While Romney's campaign and his network of supporters have voiced concerns about Gingrich's threat to remain in the race for the long haul, there has not yet been a chorus of Republican leaders publicly asking him to drop out.

Heck was not as insistent, however, when asked if Paul should also bow out for the good of the party.

Paul should quit when it becomes apparent that there is "enough critical mass in terms of delegates," he said, probably sometime after Super Tuesday.

Establishment Republicans fear that the longer the campaign goes on, the more the vitriol between Gingrich and Romney will result in a damaged nominee and give Democrats ammunition from Republicans themselves.

Gingrich isn't expected to do well in the contests in February, but he could rebound on Super Tuesday, where he'll find friendlier voters in contests in Georgia, which he represented in Congress, Tennessee, and Oklahoma.

The former House speaker's stunning victory in the South Carolina primary -- in which he erased Romney's double-digit lead in polls two weeks before the vote to win by double digits -- propelled Gingrich to the lead in national polls. But Romney and groups that support him bombarded Gingrich with negative ads and attack stump speeches, questioning everything from his ethics to his mental stability, and toppled him going into Florida.

Asked Saturday night about the Romney campaign's tactics, Romney's son Josh said there were no regrets within the campaign about Romney's criticism of his rival.

Politics is "a tough sport," Josh Romney said.

While Romney and Gingrich spent caucus night in Nevada, both Paul and Santorum are looking ahead to Tuesday caucus states -- Paul to Minnesota and Santorum to Colorado. Missouri also votes in a nonbinding primary on Tuesday.

Asked about how long his campaign could run, Paul said even if he wanted to drop out of the race ahead of the convention, he couldn't because there would be a "strong rebellion with my friends."

"But we're doing so well there's no reason to think about that," Paul added.

Campaigning in Colorado, Santorum told CNN that he expects to win one of the three events next week in Colorado, Minnesota and Missouri.

"I expect to win the nomination," Santorum said. "I feel very good about how it is going. This race is a long way from being over."

The Silver State could almost be considered home-field advantage for Romney. He won the caucuses here four years ago in his first bid for the GOP nomination, grabbing 51% of the vote, far ahead of Paul, who was in second place at 14%.

Romney won the endorsement Thursday of real estate mogul and reality TV star Donald Trump, who last year flirted with his own bid for the White House. Trump is a well-known figure in Las Vegas and his outspoken criticism of Obama has made him popular with some tea party activists and grass-roots conservatives.

The state's strong tea party movement should have been Gingrich's trump card in Nevada, but supporters seemed divided between Gingrich, Paul and Santorum -- who landed the endorsement of Sharron Angle, the tea party-supported Republican Senate nominee who came close to unseating Senate Majority Leader Harry Reid in the 2010 midterm elections. The division of tea party supporters only helps Romney.

Gingrich started up operations in Nevada much later than Romney and has been playing catch-up since. He does have some major allies in the state, including billionaire casino magnate Sheldon Adelson, who along with his family has contributed millions of dollars to an independent pro-Gingrich super PAC.

The Silver State won't be in the rearview mirror of presidential politics for too long. Nevada is a battleground state in the general election, having voted for the winning presidential candidate 10 out of the last 11 elections. Obama beat McCain by 12 points here in 2008.

CNN's Jim Acosta, Chelsea Carter, Candy Crowley, Phil Gans, Peter Hamby and Gabriella Schwarz contributed to this report

@highlight

In victory speech, Romney again focuses on Obama rather than rivals

@highlight

Gingrich says he's in race for the duration and predicts he'll be competitive

@highlight

Rep. Ron Paul and former Sen. Rick Santorum looking ahead to other contests