(CNN) -- When the American Legion calls for Secretary of Veterans Affairs Gen. Eric Shinseki to resign, you know something is profoundly wrong.

In a statement entitled "Shinseki Must Go,"' Daniel Dellinger, national commander of the American Legion, said, "His record as the head of the Department of Veterans Affairs ... tells a story of bureaucratic incompetence and failed leadership."

"The disturbing reports coming from the Phoenix VA Medical Center are just one of what appears to be a pattern of scandals that have infected the entire system," Dellinger continued. "It has been more than 20 years since the American Legion has called for the resignation of a public official. It's not something we do lightly. We do this because of people who have been failed by the system."

Note the key charge: "A pattern of scandals that have infected the entire system."

This is an historic opportunity for Congress to look beyond personality and scapegoating and to take seriously the potential for a "breakout" that would replace the current breakdown with a new Veterans Administration capable of serving today's veterans with modern technologies and standards.

Congress should start by looking at institutions that handle people and information effectively, accurately and with great accountability.

The next time you make an airline or hotel reservation, ask why the Veterans Administration can't be that customer-friendly.

The next time you use your smartphone, ask why there isn't a "veterans app" that makes it easier for our veterans to keep track of their VA appointments, records, diagnoses, etc.

The next time you use an ATM machine to get cash in less than 11 seconds, ask why it can take 175 days to transfer a veteran from the Defense Department to the Veterans Administration.

In contrast to the modern systems we deal with on a daily basis, the VA bureaucracy is a disaster.

A former chief of staff of the Army, Gen. Edward "Shy" Meyer used to have a saying about large organizations: "They are all lakes of mediocrity dotted by islands of excellence."

Today even this is too generous a description of what modern bureaucracy has become. In many federal agencies, we have islands of corruption rising from a sea of incompetence.

Few parts of the federal government exemplify both types of terrain so well as the Department of Veterans Affairs. As Dellinger's call for Shinseki to resign indicates, stories of corruption and incompetence -- potentially criminal conduct -- at the VA have become so common that they outrage but no longer surprise.

Several weeks ago, I wrote about a former VA employee's allegation that agency employees in Los Angeles intentionally destroyed veterans' medical records to eliminate the shameful backlog of patients waiting for appointments -- many of them for months or even years.

CNN recently followed that report of fraud with an infuriating story of its own, the story to which the American Legion commander referred about the misconduct of VA officials in Phoenix. The report described allegations that these bureaucrats conspired to hide their backlog from superiors in Washington by maintaining a secret waiting list of hundreds or even thousands of veterans who waited months for care before the VA entered those patients into its computer system once it was able to schedule an appointment.

And in March, the Daily Caller reported that top-level managers in Mississippi remained in their positions despite a special counsel's report of wrongdoing, including a whistleblower's allegation that patients were prescribed narcotics without seeing a doctor.

Note that in each of these cases, the general incompetence and mismanagement at the VA is so severe that engaging in potentially criminal conduct appears to all involved to be a preferable system -- until someone finds out about it, that is.

Some of the corrupt officials engage in outright theft. In February, a former VA medical center director in Ohio pleaded guilty to 64 charges. His crimes, according to the The Plain Dealer newspaper in Cleveland, included "money laundering, wire fraud, mail fraud and conspiring to defraud the VA through bribery and kickback schemes in which he accepted tens of thousands of dollars from contractors in exchange for inside information."

In fact, if you want to see how bad the corruption at the VA is, just take a look at the list of press releases on the VA Inspector General's website. There are many headlines such as "Former VA Employee Pleads Guilty to Theft of Government Funds," "Former VA Claims Examiner Pleads Guilty to Theft, Mail Fraud and Money Laundering," and "Veterans' Benefit Fiduciary and Former U.S. Department of Veterans Affairs Employee Plead Guilty to Embezzling Nearly $900,000."

The VA doesn't need to employ criminals to lose large sums of money, however. It's capable of losing taxpayer funds all on its own through sheer incompetence.

As of February, there were 400,000 disability claims considered "backlogged." That is, they've been in processing for more than 125 days. As one veteran of combat in Afghanistan told us, "Appointments are so far back it's ridiculous and claims are even further behind. ... You can definitely get an appointment -- it's just going to be three to six months down the road."

To fix this mess, the VA created a new program, the Veterans Benefits Management System. But as the Washington Examiner describes a new report by the department's Inspector General, "Poor planning, slow software and cost overruns raise the spectre that the $500 million electronic document system being deployed by the Department of Veterans Affairs will not break the months-long delays to process disability compensation claims."

The computer system started out flawed as millions of dollars were spent to scan files "without a clear plan," the result being that users had to "wade through hundreds of pages of electronic documents, sometimes for hours, to find the information they needed." And it still takes employees longer to create a claim in the new system, which reportedly crashes on a regular basis, than it did in the old one.

We probably should not be surprised at this money being spent to build systems that work just as poorly as the ones they replace. The VA and Defense Department have spent $1.3 billion over the past four years attempting unsuccessfully to develop a single system for electronic health records.

This record of corruption and incompetence is nothing to be proud of, and certainly nothing to reward. In fact, it's intolerable.

Senior VA officials, however, are not only keeping their jobs but are receiving bonuses.

From 2007 to 2011, the bureaucrats in charge of the VA distributed nearly $17 million in "extra compensation" to senior officials at a time when hundreds of thousands of veterans' claims were backlogged. At a facility in Pittsburgh, employees were given bonuses despite the fact that 29 veterans contracted Legionnaires' disease, five of whom died.

With 13 years of continuous war behind us and an aging population of veterans from previous wars, the workload at the VA is only going to increase. This is not a temporary problem, and our veterans are not just going to disappear. In fact, as time goes on, there will likely be more of a demand for care since issues such as PTSD sometimes do not manifest themselves until years later.

In a big bureaucracy, people are promised comfortable jobs; it's difficult to fire them, and they are typically not held to any real performance standards. This breeds an environment favoring incompetence and corruption.

We cannot allow this kind of behavior to undermine those VA employees, some of whom are veterans themselves, who are working hard to help. And we cannot allow employees who are trying to do the right thing to be dominated and corrupted by incompetent leadership.

We have to fix it, and that has to start by holding officials responsible for doing their jobs. As House Veterans Affairs Committee Chairman Jeff Miller has said, "What's missing from the equation is not money or manpower, it's accountability."

Miller has proposed a bill that would make it easier to fire employees for poor performance, and Sen. Marco Rubio has offered a companion bill that would eliminate some of the red tape designed to make it impossible to fire public employees.

Replacing the department's senior leadership would be a start. But in fact, the entire VA model needs to be replaced. The current system is an obsolete, paper-based bureaucracy incapable of serving America's veterans.

A truly modern VA would be digital, mobile, virtual and personal. We owe it to our veterans to get the replacement right.

@highlight

American Legion has called for VA secretary to quit after recent scandals

@highlight

Newt Gingrich says VA is a hopelessly outdated, incompetent bureaucracy

@highlight

Why can't the VA be as customer-friendly as many modern organizations?

@highlight

Gingrich: It should be competent, digital and personal in serving our veterans