On the southern fringes of Donetsk, in the shadow of a huge steel plant, a cacophony of barking overwhelms the dull thud of artillery fire. The PIF animal shelter is crammed with almost 1,000 dogs of all sizes, ages and breeds (though the number that can claim any sort of pedigree is probably in single figures).

Many are orphans of the conflict that has shaken this city for the past six months. Their owners have left or in a few cases been killed by the shelling. Some have been discovered tied up and emaciated; others carry the scars of shrapnel or hobble around on three legs. There are several in every cage, with a handful of straw to protect them from temperatures that plunge far below freezing at night.

The director of the sanctuary is Victoria Vasilieva, a tall middle-aged woman with jet black hair, whose compassion for the animals in her care is unstinting. She cradles a young dog called Jennifer, the only survivor when a shell hit her family's home near the airport. Jennifer was found traumatized in the ruins and it has taken weeks to gain her trust.

Vasilieva says that the dogs here used to be terrified by the sounds of war. Now, like the people of Donetsk, they hardly notice them.

Inside the office block, a puppy -- mostly black Labrador - is recovering from a broken leg and shrapnel wound. Vats of oatmeal are cooking in the yard. It's like feeding an army. A few very lucky dogs are going to new homes in Germany, Finland and Russia, but the great majority will remain at the shelter so long as there is money to feed them.

The staff and volunteers at PIF are struggling to cope with the sudden influx, but the dogs here are a small fraction of the number now roaming the city, sleeping in bombed-out stores and the ruins of apartment blocks. Some run in packs, hungry and cold, as the long winter nights set in.

PIF runs a sterilization program, but there are literally thousands of dogs on the streets -- and some residents worry they will turn vicious as they grow more desperate -- as if the people here didn't have enough to worry about already.

Vasilieva says she has enough money to see the shelter through to the end of the year. Much of the center's funding comes from one of Ukraine's richest men, Rinat Akhmetov, a native of Donetsk who has moved to Kiev after falling out with those running the Donetsk People's Republic, which is now in firm control of the city. Not far from the shelter, his foundation is also providing food aid to the city's neediest people.

The people -- especially the elderly -- and the animals of Donetsk are in a common struggle to survive.

Old women, their faces creased by decades of endurance and hardship, still find a few scraps for dogs on the streets. Some share what little food they have with pets.

But life here is getting tougher by the day: pensioners scrounge up coins worth less than one US cent in an effort to buy bread; some of the handful of supermarkets still open have imposed a limit on how many coins they will accept. Heating, electricity and water supplies are intermittent. Inflation is accelerating because there are few safe routes in and out of the city and produce is more difficult to transport.

The U.N. World Food Programme has distributed food vouchers to some 10,000 internally displaced people in the Donetsk region and aims to reach 120,000 people over the next six months. But the Ukrainian government estimates that some 450,000 people are displaced. And many of those who are not -- who cannot flee the fighting -- are in just as much need.

The Ukrainian government has decided to stop paying pensions, state salaries and other benefits in areas held by the separatists. Some people in Donetsk are traveling to nearby government-held cities like Mariupol to try to register for their pensions, but such trips bring risk and expense. The self-declared Donetsk People's Republic says it is setting up a pension fund, but when and from where the money will come is unknown.

There is still money in Donetsk, once a relatively prosperous city built on manufacturing and steel. But it is concentrated in a few hands. Most of those who have stayed -- or who came back when the ceasefire was signed in September -- have received no income for months.

The full extent of the elderly's plight is laid out on the sidewalks near Donetsk's railway station. In temperatures below freezing on Saturday morning, a clutch of women -- and a few men -- stood over a few possessions, worth next to nothing, in the forlorn hope that someone would buy something. All of them appeared to be at least sixty. It was a pathetic scene. On offer: clothes hangers, chipped mugs, half-used tubes of medication, a Ricky Martin song book, a couple of screws and some nails. In nearly half an hour, we saw nothing sold.

And the refrain from the street sellers was the same: "I don't know how we are going to survive."

@highlight

Shelter on the outskirts of Donetsk is home to almost 1,000 dogs

@highlight

Animals also run wild in packs through the war-torn city, sparking safety concerns

@highlight

Many dogs have been orphaned or abandoned by their owners because of the conflict

@highlight

The people of Donetsk are struggling to feed themselves, let alone pets, as winter closes in