London (CNN) -- In five years time, all new homes built in the UK will be required to be zero carbon, with no net carbon emissions over a year.

CNN spoke to green house-builders and environmentalists to answer some burning questions about zero carbon homes.

Why do we need zero carbon homes?

Some 26% of UK's carbon emissions come from homes, making it a significant area for reducing emissions overall, according to UK Green Building Council and WWF.

Neil Jefferson, of the Zero Carbon Hub, the agency set up by the British government to help achieve its target, said an average home built in 2006 emits 3.2 tons of carbon a year and a typical 100-year-old home emits about six tons.

By 2016, all new homes will have zero carbon emissions over a year. This will be a minimum requirement for homes to gain planning permission.

Of course, most people will not be living in new houses, so existing homes will also need to be made more energy efficient, according to Zoe Leader, sustainable homes policy adviser for WWF.

The UK aims to build somewhere in the region of 200,000 new homes a year, a drop in the ocean compared to more than 22 million existing homes.

Quiz: Do you live a sustainable life?

What exactly does zero carbon mean?

Zero carbon homes will have no net carbon emissions over the course of a year. Energy use will be minimized by use of thermally efficient building materials and insulation.

All the energy used to heat and light the home and run its appliances will need to be off-set using zero carbon technology such as wind turbines, solar panels and ground source heat pumps.

When the target was originally set in 2006, it was envisaged that all this renewable energy would be generated onsite, according to Jefferson.

However, following a report in 2008, which took in views from industry and green groups, it was decided that to be realistic, the definition needed to be relaxed to allow contributions to off-site renewable energy schemes.

This would allow house-builders to make payments into new community energy schemes to off-set the carbon emissions of their homes.

The exact definition of these "allowable solutions" as the off-site schemes are known, is still being worked out.

Leader, of WWF, said: "We need to make sure these allowable solutions are truly additional, and not things that would have happened anyway."

The UK has a Code for Sustainable Homes, where the highest level 6 is zero carbon. Regulations will require homes to move gradually up the scale before 2016.

How does the UK's target compare with others worldwide?

Jefferson, of the Zero Carbon Hub, said: "The target is without doubt the most challenging in the world."

Many believe that while countries such as Germany, Sweden and China have already produced more zero carbon homes than the UK, nowhere else can rival its ambitious target for 2016.

John Alker, director of policy and communications at UK Green Building Council, an industry body liaising with the government over green issues, said: "This country's target is world-leading, not on what we have delivered so far, but in ambition.

"EU legislation is leading towards zero carbon building, but the UK is ahead of the picture in having such an ambitious target. Germany and Scandinavia have historically had better building standards and some countries have decided to tackle the commercial building stock first."

Leader agreed: "There are pockets of sustainable developments such as Freiburg in Germany and Malmo in Sweden, but nowhere else has a far-reaching policy like this.

"EU legislation is heading toward zero carbon building by 2020."

However, Bill Dunster, an architect who founded ZED Factory, based in the UK and China, and has built between 300 and 500 zero carbon homes worldwide, said: "There's very little demand in the UK compared with Germany and China, who are both far more ambitious and innovative."

How many zero carbon homes have been built so far?

Very few. In 2007 the UK government announced tax relief on zero carbon homes and so far only about 25 homes have qualified, according to Alker, of the UK Green Building Council.

However, this tax relief was based on the definition that all off-set energy had to be produced onsite, a definition which has since been considered unrealistic.

Alker added: "This is a future policy and standards are ramping up between now and 2016. There's not a huge incentive to go out and do it now."

Dunster, who founded ZED Factory in 1998, said: "Despite what all the volume house builders are saying, it's not difficult if you want to do it. We are just getting on with it."

He added: "In the UK, we are doing small-scale privately funded developments, whereas in China we are being asked to design whole city extensions with thousands of homes."

@highlight

UK regulations will require all new homes to have zero net carbon emissions by 2016

@highlight

These are the most ambitious targets in the world, according to experts

@highlight

Germany, Sweden and China have built more sustainable homes so far, say environmentalists