(CNN) -- It's a safe bet that whoever wins the presidential election will face fateful decisions on foreign policy in 2013.

In a series of forums sponsored by three Washington-based foundations and livestreamed by CNN Opinion this year, experts have explored the issues that are likely to face the next administration. On Wednesday, another session will feature a debate between representatives of the Obama and Romney campaigns -- Dov Zakheim, representing Mitt Romney, will debate Janine Davidson, an adviser to the Obama campaign. It will be streamed live on CNN Opinion at 9 p.m. ET.

Here's a summary of several recent opinion pieces on foreign policy.

Robert Kagan: America has made the world freer, safer, and wealthier

International order is not an evolution; it is an imposition. It is the domination of one vision over others -- in America's case, the domination of liberal free market principles of economics, democratic principles of politics, and a peaceful international system that supports these, over other visions that other nations and peoples may have. The present order will last only as long as those who favor it and benefit from it retain the will and capacity to defend it.

If and when American power declines, the institutions and norms American power has supported will decline, too. Or they may collapse altogether as we transition into another kind of world order, or into disorder. We may discover then that the United States was essential to keeping the present world order together and that the alternative to American power was not peace and harmony but chaos and catastrophe -- which was what the world looked like right before the American order came into being.

Robert Kagan is a senior fellow in Foreign Policy at Brookings. His most recent book is "The World America Made."

Michele Flournoy: Congress, show political courage on defense cuts

After more than a decade of deficit spending, mounting national debt and the global financial crisis, we must shore up the U.S. economy as the foundation of our prosperity and security. This will require hard choices to bring government spending and revenues into balance while still investing in the long-term drivers of U.S. economic competitiveness.

Republicans and Democrats have been unable to reach consensus on how to make these hard choices, bringing Congress to a standstill. The super-committee's failure to reach agreement on deficit reduction highlighted another more worrisome deficit -- one of political courage, vision and classic American pragmatism. These qualities are sorely needed at a time when partisan ideological discipline seems to have trumped the other nobler forms of discipline that have made this country great.

In this context, Americans must decide what kind of military we need for the future.

Michele Flournoy served as undersecretary of defense for policy in the Obama administration and is co-chair of the Obama campaign's national security advisory committee.

Patrick Cronin: Ten big questions for Obama, Romney on Asia

Obama's rebalancing of priorities toward Asia is designed to reassure allies and new partners, without overly provoking a China vital to the global economy.

For all its importance, however, the national political campaign has barely acknowledged the existence of Asian security. China has come under fire for currency manipulation and trading practices, and North Korea's Kim Jong Un managed to break into the campaign with his reckless missile launch. But the deeper, underlying issues of Asian security and their implications for the United States are awaiting more deliberate consideration. ...

Obama and Romney administration policies for the Asia-Pacific would be apt to overlap more than they would differ. But when it comes to making hard choices and implementing policies, leaders matter. And here it is worth noting that President Obama's Asia team in a second term would probably lack its most able senior official: Secretary of State Hillary Clinton, who has made her preference for returning to private life abundantly clear.

Patrick M. Cronin is senior adviser and senior director of the Asia-Pacific Security Program at the Center for a New American Security, a nonpartisan research organization in Washington.

Stuart Gottlieb: What if U.S. stops policing the world?

Obama's assertion that his recalibration of U.S. foreign policy -- centered on withdrawing U.S. troops from Mideast wars and leaning more on allies and the United Nations -- has awakened "a new confidence in our leadership" is without foundation.

Like Great Britain in the 19th century, America since the turn of the 20th century has been the world's pivotal global power. Fair or not, in moments when America seemed unsure of its role in the world, the world noticed and reacted.

There is no reason to believe now is different. Indeed, in many ways, looming opportunists are more obvious today than the 1930s, 1970s and 1990s. These include al Qaeda and other Islamist movements spinning U.S. troop withdrawals from Iraq and Afghanistan as strategic defeats; an emboldened Iran on the cusp of attaining nuclear weapons; and a rising China flexing its muscles in the South China Sea.

To his credit, Romney has strongly warned against a world with more limited American leadership. He has also promised to reverse Obama's defense cuts and offer his own increases. But while Obama's approach may be shortsighted, Romney's would face an uphill battle against fiscal and popular sentiment. ...

Whoever wins in November will confront not just an increasingly dangerous world, but also an increasingly isolationist public. The great challenge will be to convince the American people that robust U.S. leadership in the world remains vital to their security and prosperity and convince the world it remains unwavering. History shows that doing otherwise only raises the stakes down the line.

Stuart Gottlieb teaches American foreign policy and international security at Columbia University's School of International and Public Affairs, where he is also an affiliate of the Saltzman Institute of War and Peace Studies. He worked as a foreign policy adviser and speechwriter to two senior Democratic senators and has worked on presidential campaigns for both Democratic and Republican candidates.

Peter Bergen and Megan Braun: Drones are Obama's weapon of choice

Covert drone strikes are one of President Obama's key national security policies. He has already authorized 283 strikes in Pakistan, six times more than the number during President George W. Bush's eight years in office.

As a result, the number of estimated deaths from the Obama administration's drone strikes is more than four times what it was during the Bush administration -- somewhere between 1,494 and 2,618.

Under Obama, the drone campaign, which during the Bush administration had put emphasis on killing significant members of al Qaeda, has undergone a quiet and unheralded shift to focus increasingly on killing Taliban foot soldiers. ...

The number of drone strikes in 2011 fell by 40% from the record number of strikes in 2010. So far this year, the number of strikes has dropped by a further 25%.

This is a welcome development. If the price of the drone campaign that increasingly kills only low-level Taliban is alienating 180 million Pakistanis -- that is too high a price to pay.

While the drone campaign in Pakistan may be on the wane, it is amping up against the al Qaeda affiliate in Yemen. This year alone, Obama has authorized around 30 drone strikes in Yemen, while Bush only launched one drone attack there during his two terms in office.

Peter Bergen, CNN's national security analyst, is a director at the New America Foundation, a Washington-based think tank that seeks innovative solutions across the ideological spectrum. Megan Braun is a Rhodes scholar studying for an M. Phil at St. John's College, Oxford.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Foreign policy experts supporting Obama, Romney debate Wednesday 9 p.m. ET

@highlight

In recent op-eds, experts have raised key issues facing whoever is elected president

@highlight

Will a dangerous world clash with an increasingly isolationist public?

@highlight

How will America respond to the challenges of a rising Asia and more powerful China?