(CNN) -- Monday's Supreme Court ruling giving certain companies a right to raise religious objections to providing some types of birth control insurance to their employees leaves a number of important questions in its wake.

And it's unlikely any will be answered soon following the 5-4 decision that sparked enormous reaction and analysis around abortion, Obamacare, and the influence of religion in conducting business in a secular marketplace.

Here are five questions from the decision that was the most closely watched of this term.

1) What does the decision mean for Obamacare?

Obamacare took a hit, but it remains intact.

Unlike the blockbuster decision two years ago when the Supreme Court allowed the Affordable Care Act to proceed, this case dealt only with one part of it.

That is a regulation requiring private, for-profit companies -- often family-owned businesses -- to provide certain types of birth control coverage to their employees without a copay.

Looking ahead, the decision could serve as a primer for other pending challenges to the health law that was approved by Congress in 2010 without Republican support.

Is it the first chip in a long legal slugfest? Fights over Obamacare will no doubt continue on a range of issues, from other employer mandates to tax breaks for those in the state health benefit exchanges that offer the insurance plans to consumers.

2) What is the impact of the ruling on workers?

The White House says women employed by companies like the two firms at the center of the appeal -- arts-and-crafts retail giant Hobby Lobby and the much smaller Conestoga Wood Specialties -- have been hurt.

And while the legal challenge was narrow, the potential impact is broader.

The appeal applied to Plan B contraception, which some have called the "morning after" pill, and intrauterine devices or IUDs used by an estimated 2 million American women.

In dissent, Justice Ruth Bader Ginsburg called the decision "sweeping."

Jonathan Turley, law professor at George Washington University, agreed.

"People should not get lost in the reference to 'closely held corporations.' These types of businesses "are huge in this country and most of the businesses people relate with in their daily lives."

3) What does it mean politically?

The decision no doubt will energize Republicans on the campaign trail ahead of November midterm elections when control of the Senate is at stake.

Republicans have made Obamacare a giant campaign target, especially with the conservative base and we got a taste of the politics behind it all quickly after the justices weighed in.

"Today's decision is a victory for religious freedom and another defeat for an administration that has repeatedly crossed constitutional lines in pursuit of" big government, said House Speaker John Boehner. "The President's health care law remains an unworkable mess and a drag on our economy."

Rep. Debbie Wasserman Schultz of Florida, who heads the Democratic National Committee, framed the ruling as a campaign issue for the fall.

"It is no surprise that Republicans have sided against women on this issue as they have consistently opposed a woman's right to make her own health care decisions," she said, calling the ruling a "dangerous precedent."

But some Democrats say there may be a silver lining: It could motivate younger women and unmarried women to show up at the polls.

Exit polls indicate that unmarried and younger women support Democrats over Republicans, but their numbers also traditionally drop from presidential elections to midterm contests.

4) What's a "religious" company?

Liberals and conservatives on the Supreme Court agreed on this much: the families that own Hobby Lobby and Conestoga Wood Specialties are undoubtedly religious.

But does that make their companies religious? That's where the justices sharply disagreed.

Writing for the majority, Samuel Alito said the government has little problem acknowledging that non-profits, like churches and charities, can be religious -- and exempting them from the contraception mandate if they have moral objections.

So why should companies be held to a different standard?

"Any suggestion that for-profit corporations are incapable of exercising religion because their purpose is simply to make money flies in the face of modern corporate law," Alito writes.

But there are big differences between charities and corporations, Ginsburg argued in her dissent.

Religious organizations exist to further the interests of the faithful and usually employ workers or volunteers from their own community of believers. Companies, on the other hand, exist to make money, Ginsburg said, and by law are not allowed to discriminate in hiring based on religion. In fact, they often employ people of many faiths.

So giving corporations religious rights opens a legal "minefield," she argued.

For instance, what's to stop employers from objecting to blood transfusions, as Jehovah's Witnesses do? Or vaccinations, as some Christian Scientists do? Or benefits for same-sex couples, as many evangelicals and Catholics do?

5) So what's next?

The Obama administration immediately said it would work with Congress to ensure female employees get reproductive health coverage provided in the Affordable Care Act.

But congressional action isn't realistic, considering the sharply partisan politics involved in Obamacare, abortion rights, and interpretations of religious freedom.

Officials also hint that the President may use his executive authority to get around lawmakers in an election year.

The practical result will likely be an administrative fix by the administration that subsidizes the contraceptives at issue, said CNN political analyst Gloria Borger.

So far, 9 million people have signed up for Obamacare health plans since last October.

CNN's Bill Mears, Paul Steinhauser, Tom Cohen, and Daniel Burke contributed to this report.

@highlight

The decision leaves a number of questions in its wake

@highlight

What is the impact on Obamacare, and for future legal challenges?

@highlight

What does it mean politically in a midterm year with control of the Senate at stake?

@highlight

And what now defines religion in business and what does it mean for workers?