Bobby Smith's mother, like all parents, looked forward to the day when her baby could use words to tell her what was wrong. What hurts? Why are you sad?

By the time Bobby turned 7, Cheri Smith was still wondering if that day would ever come.

Her son had been diagnosed on the moderate-to-severe end of the autism spectrum as a toddler. He had ways of conveying his needs -- he'd give Smith or her husband the remote control if he wanted to watch TV, or hand his mom her purse if he wanted to go out -- but there were so many things he couldn't communicate.

He "cannot tell us if something hurts, why he is upset or happy, where he would like to go, what happened at school today, what he would like to do for his birthday, what he would like Santa to bring him for Christmas," Smith wrote on CNN iReport in March 2012. The older he grew, the worse Bobby's behavior was getting. He would fly into rages, which Smith believed were in part the result of his inability to effectively communicate his feelings and to understand what others were telling him.

Desperate for help, in April 2012, Smith found a behavioral therapist who would change their family's life. Bobby turns 10 next month and is a totally different boy now, she said.

"She knew that Bobby had the ability to talk," Smith said in a recent update. "She pushed Bobby like none of us had before."

Wherever they fall on the spectrum, people with autism often struggle with communication. They can have trouble developing language skills or fail to understand nonverbal communication through things like eye contact and facial expressions.

Parents, therapists and those with autism themselves described a gamut of communication techniques that have helped. Besides working on actual talking, some have found success with picture card systems, sign language or printed words; others speak through stuffed animals or video game characters.

'Learn to speak our language'

Kat Muir, 26, works as a speech-language pathologist in Indianapolis, bridging the communication gap. Most of the children she works with have Autism Spectrum Disorder -- like herself. Muir was diagnosed with Asperger's Syndrome at age 22 when she was in graduate school and still not making friends.

She was always adept at using words, but was challenged by social communication. It was particularly hard in junior high.

"Girls are expected to know instinctively how to be social, and when they don't, it is very obvious," she said.

For years, she thought of a conversation "as a contest to see who could say the most interesting thing." She remembers one time when some girls were talking about Britney Spears; she jumped in with her own contribution, saying something like, "Planes in World War I had synchronized guns so the gunmen didn't shoot their own propellers off."

No one cared. And they told her so.

It got better when she moved to a big public high school, where students seemed more tolerant of differences. Now she reminds herself to talk about what other people like, not just what she finds interesting.

She said it helps to find an activity "that encourages communication but doesn't force it." For her, that's dance class.

"It's reassuring to know that I will see familiar faces for an hour at the same time every week. I may socialize by starting a conversation about favorite dance moves, or I may exchange smiles with someone because we're doing what we love. The more structured a social interaction is, the more comfortable it is."

To those without autism, said Muir, "Everyone with autism has something to say. Learn to speak our language, and we will learn to speak yours."

Power of a pig

California speech-language pathologist Lois Jean Brady agrees. As a certified autism specialist, she advises parents to use their child's special interests -- animals, music, technology or cars, for instance -- to build their language.

"Go into their world and slowly lead them to yours," she said.

With students who love animals, Brady uses a potbellied pig named Buttercup to communicate. She has found many children feel comfortable talking with an animal and some have said their first words to Buttercup.

She tells the story of a junior high school student who desperately wanted friends. She rehearsed a few answers to "common pig questions" such as "What does he eat?" and "How much does he weigh?" then sent the young man into the school hallway with Buttercup on a leash.

"It was not long before he was surrounded by other students, mostly girls, answering questions with a smile from ear to ear. A couple of the students remained friends," she said.

Brady's own son is on the autism spectrum. He is now 20 years old, goes to college and works with other special needs children. When he was younger, he and his mother would spend hours in the living room, lining up toy cars.

"I kept the cars in a large bucket and if he wanted one he had to ask for it," Brady said. "Initially it was just 'car,' then 'blue car,' then 'shiny blue car,' building language one car at a time."

More cookies?

It has taken about two years for Emily Ferguson's son Sammy to learn to use cards with pictures to communicate. The 8-year-old has severe autism, and speaks about three to seven words a month. He can't tell his mother when he's in pain, and she would give anything to have a conversation with him. But she celebrates that he is able to communicate about 30 food requests and 16 nonfood requests (play, go outside, etc.) through pictures.

"I was tickled when Sammy realized he had no limit to the amount of times he could request cookies. For the first time, I felt like a 'normal' mother, because I had a child who was asking for something he wanted repeatedly, and he was getting the same answer ('No.')," Ferguson wrote in an e-mail.

"It has been an amazing experience to see Sammy go from just crying to using pointing to giving others picture cards on sentence strips."

Ferguson prays Sammy will find the communication tools that work best for him, "and that he will be able to share his thoughts and emotions with those around him. Until that day, I want the world to understand that my child is worth respecting, loving and cherishing."

Talking at 9

Cheri Smith's son, Bobby, knew about 50 words by the time he was 9, but his main form of communication was taking his parents by the hand to what he wanted. A behavioral therapist near their West Virginia home helped Smith understand that their son was physically capable of speaking more, with practice.

For the first six months, therapist Sharon Holbert worked with Bobby on sitting properly in his seat, keeping his hands folded on the table (instead of hitting her) and his feet in front of him (instead of kicking her). There was a close link between behavior and talking: As he learned how to stay calm, he was able to learn more; as he became better at communicating, he grew more relaxed, Holbert said.

"If you have a student who's hitting and screaming and kicking, you can't teach them anything. Once you get them to a place where they're ready to learn, then bam, you can do something," said Holbert, a board-certified behavior analyst. "His ability to learn was there. I think he figured out 'if I hit people, they probably will leave me alone.'"

As they worked on identifying colors, numbers or letters, Holbert wouldn't acknowledge his response as correct unless he said it verbally.

Smith copied the model at home.

"If he wanted any food items, if he wanted a particular TV show that he liked, if he wanted to go outside, he had to ask verbally or he didn't get his want," Smith said. "Quickly it was just easier for him to say the word than it was to throw a fit."

He can now verbally identify letters, colors, animals and some shapes, count up to 20 and say about 100 vocabulary words. He can answer simple questions and has gone from using single words to short sentences like, "I want rice cakes please," or mostly complete sentences like, "I want swim at the beach."

"We went from being a family where our child was physically aggressive and having constant meltdowns to one that is enjoying experiencing the world through Bobby's eyes."

He also has his own unique language, which his parents have come to appreciate, too.

Bobby loves to go for car rides. When he wants his mom to turn down a particular road, "he will put on his own turn signal. He clicks his tongue and makes it sound exactly like a car's turn signal, and that is how I have known where he wants to go."

@highlight

Autism comes with communication struggles

@highlight

CNN invited families to share their successes

@highlight

"Learn to speak our language, and we will learn to speak yours"