(CNN)I'm haunted by the video of Officer Michael Slager firing eight shots at Walter Scott as he fled his encounter with North Charleston police -- his back turned to the officer. What I find more disturbing is how the officer cuffs the fallen Scott and allows him to die face-down in the dirt while Slager appears to plant an item next to his body.

I understand why people are skeptical of self-defense claims -- especially from law enforcement. If not for the video taken by a bystander, I can't help but think that this story would be shuttered behind the wall of an active investigation.

As a defense attorney, I am more sensitive than anyone to the assumption of innocence for those accused of a crime, but this single piece of evidence -- a video of a man shot in the back while in full retreat -- defies any reasonable explanation.

Thank God there was a camera. It will help ensure that justice will be served in this case. However, there is another camera that -- had it been deployed -- might have prevented the entire tragedy: a police body camera.

Throughout the entire encounter with Scott, it's clear Slager had no idea someone was filming him. Had he known there would be video of his every move, would he have drawn his weapon on a fleeing man?  Would he have fired?  Eight times?  Would he have misrepresented the encounter on his police report?

Of course not. If Slager had been wearing a body camera, Scott would probably still be alive, and Slager wouldn't be facing the possibility of life in prison -- or a possible death sentence.

Body cameras are expensive to deploy, sure. And storing the massive amounts of data that body cameras create costs even more. That cost, however -- if we're talking the monetary kind -- may be eclipsed by the punitive damages delivered to Scott's family in an inevitable civil suit against the North Charleston Police Department. Most importantly, we have to ask ourselves this: What's the value of a human life? Certainly it's worth the price of some mass data storage.

And there's something else at stake. The public is losing confidence in law enforcement, and the strained relationship between minorities and police is reaching a breaking point. Every police shooting that captures headlines justifies an ever increasing fear of cops in the street. As fear ratchets up, so does the tension between cops and the people in the communities they serve. As tension rises, the risk of more shootings increases. It is a cycle of destruction that could lead to chaos.

Police body cameras can help break this cycle. Studies have shown that both cops and people in the community act better when they know they are on camera. Complaints against cops decrease, and, most importantly, use-of-force incidents drop.

I will admit that body cameras are only an interim solution. They only help compensate for the real underlying problem, which is this: There is a bias against black men that has infiltrated the criminal justice system, and we are seeing it in the disproportionate shooting of black men.

When we look at this footage -- and when we see the dashboard camera from the other South Carolina officer who last year shot a man who was reaching for his driver's license -- it's clear that many cops are more likely to interpret actions, even routine actions, from black men as potentially aggressive.

These may not be overtly racist cops. They may not intentionally treat black men differently, but we can't pretend that black men aren't being disproportionately targeted. All across the country, we see it happening, and with the proliferation of video, we're seeing it happen with alarming frequency.

Somehow, we're going to have to beat this bias out of our system. Set tougher employment screening standards when hiring cops. Institute more training to help officers recognize the bias and adjust for it. As a society, we have to focus on the broad social changes needed to address disparities in income, education and opportunities -- disparities that keep us a racially divided nation.

But social change, sadly, may take generations of hard work. In the meantime, if we can't immediately root out racial bias, we can at least put a bright spotlight on it, and we can start by focusing on the one interaction where racial bias results in the loss of life -- we can start by placing body-mounted cameras on cops.

@highlight

Mark O'Mara: Video captured Michael Slager shooting Walter Scott; if cop had been wearing a body camera, he probably wouldn't have fired

@highlight

O'Mara says such cameras are expensive, but cheaper than wrongful death payouts -- and the cost of a human life.

@highlight

The underlying problem is racial bias in policing; until that's solved, body cameras are a good interim solution