Havana, Cuba (CNN) -- Cuban dissident Guillermo Farinas said Thursday he ended his months-long hunger strike after the nation's Roman Catholic Church announced Wednesday that the Cuban government will soon release 52 political prisoners.

"What we want more than anything is to see our political prisoners of conscience freed -- as much abroad as in Cuba," he told CNN en Espanol in an interview from a hospital in Santa Clara, Cuba, where he was being treated for complications associated with his fast.

Farinas said his departure from the hospital would depend "on how things evolve." He said his medical team was "very worried" about two blood clots, one in his neck and the other in his chest. If either were to break free, "I could die quickly," he said. "At least, if we die, we know that our brothers are going to live in liberty," he added.

Farinas said the planned prisoner release may serve the Cuban government in two ways -- by pressuring the United States to lift its trade embargo on the island, and by buying the island's leaders more time in power.

"If they don't take these measures, they're going to lose control of the country," he said. "What they want is to die in power. Therefore, they're trying to do some political pirouettes to hold on to power."

Farina's doctor and fellow dissident, Ismeli Iglesias Martinez, said his patient was drinking water.

But Farinas remains frail, unable to eat solid foods, Iglesias said.

The 48-year-old psychologist and writer stopped eating in February to protest the Cuban government's imprisonment of political activists.

Cuba's Roman Catholic Church has announced the names of five political prisoners set to be freed. All five will leave Cuba for Spain in the next few days, the church said in written statement Thursday.

In addition, the church said, six jailed dissidents will be moved to prisons closer to their homes.

Church officials had announced Wednesday that a total of 52 political prisoners were set to be freed and allowed to leave the country. It would be one of Cuba's largest prisoner releases in recent history.

The announcement coincided with a visit by Spain's foreign minister, Miguel Angel Moratinos, who met Wednesday with his Cuban counterpart Bruno Rodriguez, as well as President Raul Castro and Jaime Ortega, Cuba's Roman Catholic cardinal.

The first five prisoners will go to Spain within a few days and the 47 others will depart within four months, Juan Lugo, Spain's Foreign Ministry spokesman, said Wednesday in a telephone call from Madrid.

In April 2009, U.S. President Barack Obama said he was seeking "a new beginning" in U.S.-Cuba relations. The Obama administration lifted restrictions on the ability of Americans to visit relatives in Cuba as well as limitations on remittances.

Wednesday's announcement raised questions about whether the releases will improve dialogue between the two Cold-War foes, though many remained skeptical.

"It's a good thing, but we've seen this before," said Daniel Wilkinson, deputy director at Human Rights Watch, citing the hundreds of prisoner releases that followed a papal visit to the island nation in 1998. "Despite these new developments, the law which allows for arbitrary arrests remains the same."

The Cuban Catholic Church identified the five prisoners to be released soon as: Antonio Villarreal Acosta, Lester Gonzalez Penton, Luis Milan Fernandez, Jose Luis Garcia Paneque and Pablo Pacheco Avila.

The six prisoners expected to be transferred soon were identified as: Nelson Molinet Espino, Claro Sanchez Altarriba, Jose Daniel Ferrer Garcia, Marcelo Manuel Cano Rodriguez, Angel Juan Moya Acosta and Luis Enrique Ferrer Garcia.

Cardinal Ortega met with Castro in May, describing it at the time as a "magnificent start" to talks surrounding the potential release of some jailed dissidents.

Last month, Cuba released dissident Darsi Ferrer and ailing prisoner Ariel Sigler, who is awaiting approval from the U.S. government to join family members in Florida.

Sigler's release drew praise from the U.S. State Department, which called it "a positive development." The two countries broke off diplomatic relations in 1961 but maintain "interests sections" in Havana and Washington that operate like embassies.

The founder of the Cuban Human Rights and National Reconciliation Commission, Elizardo Sanchez, recently put the number of political prisoners in Cuba at 167, the lowest number in decades.

The 52 prisoners to be released were among 75 dissidents arrested in March 2003. The other 23 already have been released.

A group of dissidents traveled from Havana to Farinas' hometown of Santa Clara to persuade him to give up the hunger strike.

One of them, blogger Yoani Sanchez, posted a photograph on Twitter that shows Farinas in a hospital bed and someone standing next to him holding a red cup. Farinas is wearing a blue hospital gown and lying back on the inclined bed with his eyes closed. The photograph is captioned, "His first glass of water."

Farinas began his hunger strike in February, shortly after jailed dissident Orlando Zapata Tamayo died in prison at the end of his own prolonged hunger strike.

Zapata's death sparked international condemnation from Europe and Washington, and drew a rare statement of regret from Raul Castro.

Amnesty International called on the Cuban government Thursday to immediately release all political prisoners, whom the human rights group calls prisoners of conscience because "they acted non-violently and were imprisoned under Cuban legislation which illegitimately criminalizes political dissent."

In addition, the rights group said the Cuban government must release the remaining political prisoners.

Attorney Rolando Jimenez Posada is serving a 12-year sentence on a conviction of "disrespecting authority and revealing secrets about state security police" after his peaceful manifestation of support for political prisoners, Amnesty International said.

"The Cuban government must also end the harassment and intimidation of independent journalists, human rights activists and political dissidents," Amnesty International said in a statement. "Vague and arbitrarily applied legal provisions, used to curb dissent within Cuba, must be reviewed to make human rights a reality for all Cubans."

CNN's Arthur Brice, Tom Watkins and Stephanie Halasz contributed to this report.

@highlight

NEW: Farinas says his two blood clots could kill him

@highlight

NEW: "Political pirouettes"

@highlight

Hunger striker is drinking fluids

@highlight

Fifty-two political prisoners are expected to be released soon