Coal is the new gold in South Africa -- it's also one of the worst polluters on the planet.

South Africa is the world's fourth largest coal exporter with over 40 billion tons of the fossil fuel in reserves, according to the government. While the Chamber of Mines reported sales of some $10 billion last year.

But the of host of the United Nations Climate Change Conference, currently taking place in Durban, is under increasing pressure to curb its addiction to coal -- the world's most notorious contributor to the greenhouse gases blamed for contributing to climate change.

From South Africa to America, Europe to China, coal is the bedrock on which most world economies have been built. Reducing its use, many countries argue, will reduce productivity and growth.

"If today we say no to coal, that means we have to switch off all our power plants in South Africa," said Dipuo Peters, South Africa's Minister of Energy. "What is going to happen to our country? We need to keep the lights on. We need to grow the economy and create jobs. As we speak 25% of our people are unemployed."

Developed countries have pledged to contribute $100 billion towards a Green Climate Fund that would subsidize efforts by developing nations to reduce their carbon emissions. But with the economies of developed countries under strain many fear these funds will never materialize.

Complicating matters even more is the argument around whether the world's second biggest economy, China, should be entitled to such a subsidy.

In the meantime, with more power stations either being built or planned, South Africa's coal mining industry is likely to continue to grow.

It is also creating opportunities for young entrepreneurs like Andre Magiya.

"People want coal in big numbers," the mining logistics businessman said. "We cannot satisfy the export market as it is.

"And locally the hospitals use coal, manufacturers use coal, even the prisons. Everywhere there is demand for coal."

Europe has been South Africa's main coal export market, but orders from India and China have rapidly grown in recent years. Still, it is domestic demand that drives the industry: Over 90% of South Africa's electricity, produced by power utility Eskom, is generated from coal.

The government-controlled company has some of the biggest power plants in the world and is busy building more -- a move that has attracted the attention of international environmentalists Greenpeace, who recently staged a demonstration at a power plant under construction in the Mpumalanga province.

"This country has been mining coal since the 1860," said Melita Steele of Greenpeace. "It has formed the backbone of the economy and it's what Eskom knows.

"So what do you do when you are in an electricity crisis? You invest in what you know. Even though the government is talking nicely about climate change we are not seeing the action and we are not seeing the urgency."

China and the United States are undoubtedly the world's worst air polluters, but South Africa leads in Africa -- and activists say it should be leading in clean energy as well.

"Less than 1% of this country's energy is green which is a sorry tale. We are seeing more significant action from countries like Lesotho in this regard," said Steele.

At the last U.N. climate change conference, COP16 in Copenhagen, President Jacob Zuma committed to reducing 34% of South Africa's carbon emissions by 2020 and some progress is being made.

Several initiatives to create electricity from waste are already underway. Africa's biggest sugar producer, Illovo, says with the right incentives from government it could invest in equipment that could see it produce 1.6 gigawatts per hour of power from sugar fiber called baggase -- power it could add to the national grid.

Peters says the government will conclude discussions with the sugar industry soon and in the meantime it is investigating other alternatives. Several wind and sun energy projects already have the government's financial backing.

"We have got a plan of one million solar geysers (solar water heaters) by 2014. One million solar geysers saves 3,000 megawatts. Three thousand megawatts is a potential power plant, and we are saying being able to do that is an indication of our commitment," she said.

It's a delicate balancing act -- one many developing countries continue to grapple with. Alleviating poverty remains a primary focus whatever the means.

Some of South Africa's major employers are also among the country's top polluters. They've warned that without alternative energy sources, the government's ambitious carbon reduction targets will negatively impact on plans to grow the economy and create jobs.

Peters says her department hopes to ultimately be able to provide big industries with reliable clean energy to meet their minimum demands.

"We want to build 5,000 megawatts of solar power so that we can, in the next 10 years, prove to ourselves and to the world that solar and wind can be a base load," she added.

These are ambitious targets and promises that may go up in smoke if the world fails to reach consensus in Durban.

@highlight

South Africa is host of the United Nations Climate Change Conference or COP17

@highlight

South Africa is the world's fourth largest coal exporter, selling some $10 billion-worth in 2010

@highlight

Coal one of the worst polluters on the planet; SA under pressure to reduce its use

@highlight

Government says it has plans to use more sustainable energy