(CNN) -- From a 2-0 defeat at Oxford United on November 6, 1986 to a English Premier League coronation party through the streets of Manchester on May 13.

Alex Ferguson's 26-year reign at Manchester United has seen the club transformed from a sleeping giant to a relentless, trophy-winning juggernaut in both the football arena and the sports business world.

Following Wednesday's announcement that the Scot, the most successful coach in English football history, will end his Old Trafford tenure, CNN marks seven moments which have defined Ferguson's career.

Sacked by St Mirren

Ferguson's managerial career has been littered with glorious highs, but it has not been without its lows, none more so than in 1978 when Ferguson was in charge of Scottish team St Mirren.

He oversaw a remarkable upturn in St MIrren's fortunes which saw the unheralded club win the second-tier of Scottish football in 1977 with a squad which bore classic hallmarks of a Ferguson team, notably his faith in young players. That St Mirren side had an average age of just 19.

But he was unceremoniously sacked by then St Mirren chairman Willie Todd for what he described as "breaches of contract" relating to the manager's decision to join Aberdeen.

''I regret the fact Alex did not stay longer at St Mirren and I regret the circumstances of his departure, but I still believe that the club had no alternative," Todd told Scottish newspaper the Herald in May 1999.

"There were no grudges. I've met him several times at football matches since then and our relationship is quite amicable."

Aberdeen roll over Real Madrid

Ferguson was finally appointed as Aberdeen manager in June 1978 and unprecedented success followed for the Scottish club.

He broke the duopoly of Glasgow Rangers and Celtic, guiding Aberdeen to three Scottish League titles in 1980, 1984 and 1985.

However, arguably Ferguson's finest moment with Aberdeen was on the European stage.

Following a Scottish Cup triumph in 1982, Aberdeen qualified for the European Cup Winners' Cup.

Ferguson's team reached the final, with a 3-2 quarterfinal second-leg victory over Bayern Munich one of the many highlights of an impressive campaign.

In the final, held in Gothenberg on May 11, 1983, Aberdeen faced Spanish giants Real Madrid, managed by the great Alfredo Di Stefano.

The match finished in a 1-1 draw after 90 minutes, before striker John Hewitt scored the winner for Aberdeen in extra-time.

Jock Stein's death

One of the most poignant moments of Ferguson's career arrived just over a year before he was appointed to the United job.

Ferguson was part of Jock Stein's coaching staff with the Scottish national team ahead of a crucial 1986 World Cup qualifying match against Wales in Cardiff.

Scotland needed a point to reach the tournament in Mexico, which they duly acquired following a 1-1 draw.

But the match was overshadowed when Stein, the first British coach to win the European Cup with Celtic in 1967, collapsed after the final whistle.

"I grabbed for him as he started to fall," Ferguson recalled, when talking to the Daily Mail in 2012. "The medics came out of the tunnel. I held him until he was helped inside.

"When I left to speak to the press I saw Graeme Souness and he was crying. 'I think he's gone,' Graeme said. I couldn't believe it.

"When we filed on to the bus there were thousands standing outside and the quiet sadness of the atmosphere was unforgettable. The abiding memory is of a solemn silence. It was as if the king had died.

"In football terms, the king had died."

Ferguson coached Scotland at the 1986 World Cup, but the team headed home after the first round following a group phase campaign which yielded just one point.

After watching the pressures of football get the better of his mentor, it raises the question of whether Stein's death played a role in Ferguson's decision to bow out on his own terms.

FA Cup redemption

After a trophy-laden spell at Pittodrie with Aberdeen, Ferguson headed south to join United in 1986, but his early days at Old Trafford were a world away from the glorious success he enjoyed in the 1990s and 2000s.

Two seasons passed without a trophy and after eight league games without a win, it was suggested Ferguson would be sacked if United lost an FA Cup replay against Nottingham Forest on January 7 1990 .

Substitute Mark Robins scored the winner to send United into the next round and, allegedly, save Fergie's job.

Ferguson went on to mastermind a 1-0 victory over Crystal Palace in an FA Cup final replay after the first match finished 3-3 to secure the Scot's first trophy at Old Trafford.

The silverware continued to flow, with an English Premier League title -- the club's first in 26 years -- arriving in 1993.

Deja vu?

Ferguson's retirement was originally scheduled for 11 years ago. The Scot announced in 2001 that the forthcoming season would be his last, hoping his decision to break the news in advance would allow the club to make suitable succession plans.

But it had the opposite effect and, by November 2001, defending champions United sat ninth in the Premier League table.

By January 2002, after an eight-match winning run, United had risen to the top of the table and the next month Ferguson reversed his decision to retire from the game by signing a new three-year contract at Old Trafford.

The rest, as they say, is history. Six further English titles have followed, along with an FA Cup triumph and the Champions League in 2008.

The Flying Boot

In addition to the trophies and the accolades, there have been plenty of spats, with numerous star players feeling the heat of Ferguson's infamous "hairdryer" treatment.

Notably when a "one in a million" flying boot caught David Beckham above the left eye, an incident which dominated the headlines like no other flare up between Ferguson and one of his charges.

Following a 2-0 FA Cup defeat to Arsenal in February 2003, Ferguson launched a tirade at his star midfielder which, according to Beckham's autobiography, went along the lines of "David, what about the second goal? What were you doing? . . . We told you about it before the game. The problem with you is you don't let anyone talk to you. You don't listen'.

"I felt like I was being bullied in public," explained Beckham, who now plays for Paris Saint-Germain. "I was being backed into a corner for no other reason than spite. I was trapped."

Beckham swore at Ferguson and bedlam ensued.

"The boss took a step or two towards me," Beckham continued. "There was a boot on the floor. He swung his leg and kicked it. At me? At the wall? It could have been anywhere, he was that angry now.

"I went for the gaffer. I don't know if I've ever lost control like that before. Suddenly it was like some mad scene out of a gangster movie."

Beckham's teammates held him back, but after the incident, the then England captain appeared with a medical dressing over the cut above his eye.

"It was a freakish incident," Ferguson reportedly said. "If I tried it 100 or a million times it couldn't happen again. If I could I would have carried on playing!"

An increasingly tempestuous relationship between the two personalities came to an end on 1 July 2003, when Beckham left Manchester United to join Real Madrid.

Treble

May 26, 1999, was a night which simultaneously defied belief and defined Ferguson's Manchester United reign.

United were chasing history. The league title had been wrapped up, beating Arsene Wenger's Arsenal to the Premier League title by just one point.

FA Cup success followed. Goals from striker Teddy Sheringham and midfielder Paul Scholes secured a straight-forward 2-0 win over Newcastle United in the final at Wembley.

Ferguson's team were one step away from securing an unprecedented Premier League, FA Cup and European Champions League treble.

United's opponents in the European Cup final at Barcelona's Nou Camp stadium were Bayern Munich and the Germans looked set to win the showpiece match after Mario Basler's first-half free-kick put them 1-0 ahead.

In search of a way back into the match, Ferguson threw on substitutes Teddy Sheringham and Ole Gunnar Solskjaer.

As the game ticked into extra-time, United earned a corner. Goalkeeper Peter Schmeichel raced forward in a desperate attempt to force an equalizer.

The initial cross was cleared, but the ball fell to Ryan Giggs whose low shot from the edge of the box was turned into the net by Sheringham.

Cue jubilant celebrations among United players, fans and coaching staff, but uncontained joy was to follow seconds later.

United earned another corner kick in the final seconds of injury time. Sheringham flicked on Beckham's cross at the near post and Solskjaer flung his right leg at the header to send the ball flying into the back of the net.

Bayern were beaten, United had completed an historic treble.

As Ferguson remarked to ITV after the incredible climax, "football, bloody hell."

@highlight

Alex Ferguson will retire as Manchester United manager at the end of the season

@highlight

The Scot has been in charge of the Old Trafford club since 1986

@highlight

Ferguson has led the club to 13 English Premier League titles and five FA Cup wins

@highlight

United have also twice won the European Champions League under Ferguson