(CNN)There is always champagne at these things, but this art opening is an actual party. Purple light bounces off the white walls in the massive foyer of London's Royal Academy; punk music falls down the stairs and Kenneth Anger's homo-erotic biker short Scorpio Rising is playing on a TV screen. Jarvis Cocker is here, and so are Bob Geldof and Rupert Everett. There are the requisite grey ladies in fur and chapeaux, as well as twenty-somethings in backpacks huddled in groups, downing their drinks before walking into Pace London's booze-free exhibition space for the opening of A Strong, Sweet Smell of Incense: A Portrait of Robert Fraser.

While his name may ring few bells outside of the seasoned London art community, eminent gallerist Robert Fraser, who ran a gallery in London during the Sixties and again in the Eighties, was a seminal part of the Swinging Sixties scene. His notoriety hinged on scandal, parties and friendships with the most famous rock stars of the era, as well as an undeniable talent for spotting art's Next Big Thing.

This is the eminent dealer who sold art to Paul McCartney, and hosted John Lennon and Yoko Ono's first joint exhibition; the Savile Row-clad Etonian whose Mayfair galleries attracted the likes of Marlon Brando, Marianne Faithfull and William Burroughs in the 60s and 80s; the silver-tongued heroin addict who introduced Andy Warhol and Jean-Michel Basquiat to Britain, and was arrested -- and, in his case, imprisoned -- for drug possession with Mick Jagger and Keith Richards during the 1967 Redlands Bust.

Curated by the artist Brian Clarke, A Strong, Sweet Smell of Incense -- a winking reference to the police report describing the bust -- aims to blend the rebel, the art connoisseur and the hedonist to present a rounded image of an unsung star of the 60s.

"There are oceans of anecdotes by Robert, and some of them are true. But the anecdote isn't enough to convey the kind of energy that he had, this kind of magnetic energy that drew you to him -- or repelled you depending on your own energy," says Clarke, arguably the world's most well known stained glass artist.

I first met Clarke three weeks before the opening at his spacious cottage-cum-mansion in London's tony Notting Hill neighborhood. A literal portrait of Fraser painted by Basquiat hangs prominently in the living room, surrounded by works by Warhol, Francis Bacon and others.

Clarke, who was a close friend of Fraser's and was the first artist exhibited at his 80s gallery, is still finalizing the exhibition selection, but his energy is easy, if a little manic.

Harriet Vyner, a long-time friend of Clarke and Fraser, and author of the Fraser biography Groovy Bob: The Life and Times of Robert Fraser, has been collaborating with him on the catalog. She's on hand to add her own anecdotes to the ocean.

"I remember going to Seditionaries, (Malcolm McLaren and Vivienne Westwood's 70s punk shop) on the King's Road, and it felt a bit scary, but that was part of the thrill," she says. "And that's what people often felt about going to the Robert Fraser gallery in both incarnations."

The idea for the portrait came from Pace London's managing director Mollie Dent-Brocklehurst a year ago, when Clarke told her he'd been entrusted with Fraser's archive. (Fraser died of AIDS-related illness in 1986 at the age of 49.)

"The 'light bulb moment' really struck when we realized that Pace founder, Arne Glimcher, was setting up his first gallery in Boston at the time Fraser was opening his own gallery in London," Dent-Brocklehurst writes in an email. "We're exploring our own DNA with this exhibition while paying tribute to one of the most flamboyant dealers and aesthetes.

"There's a buzz in London right now around the exhibition and many artists, museum directors, celebrities, aspiring artists, art students are all very keen to rediscover Robert's personality."

To hear Clarke speak about Fraser is to have assumptions alternately challenged, rebuked and confirmed. He makes no excuses and offers no explanations for Fraser's "more hedonistic side," but emphasizes his generally quiet demeanor and modesty. The overall impression is of someone with an acute eye for talent (he showed Bacon, Warhol, Dennis Hopper, Richard Hamilton, Jim Dine, Robert Mapplethorpe and Jean Dubuffet) and a rebellious, destructive streak.

This is reflected in the exhibition itself, which is set up like an archive. Works from the luminaries Fraser knew, showed or admired are on the walls, while personal effects -- a thank-you note from Ed Ruscha, a Sex Pistols Never Mind the Bollocks poster, arrest warrants, an opium pipe with the gold rim worn to silver -- are kept behind glass cases. In one corner, there's a recreation of his desk. Take a few steps, and you're looking at the drum from The Beatles' 1967 Sgt. Pepper's Lonely Hearts Club Band album cover, which Fraser art directed.

Other elements reflect their personal relationship. A Gerhard Richter that recalls a joint trip to Berlin to see his works in person. An inscribed copy of an Edward Burne-Jones biography was gifted from Fraser to Clarke. There was more to Fraser, it seems, than the people he associated with.

"There is always around Robert this aura of all these celebrities and things like that, and it's true that they were there, but it wasn't anything that he either curried or boasted about," Clarke says. "He was not a respecter of persons. He liked people or he hated them."

He was often reluctant to discuss his connections and friendships, even with those close to him. Clarke remembers discussing Truman Capote with Fraser at length during a stay in New York. He didn't realize the two were friends until Capote came over to their table a few nights later to hug Fraser. Similarly, Vyner remembers Fraser fawning over Prick up Your Ears, John Lahr's 1978 biography of playwright Joe Orton, without once mentioning that he was an early backer of Orton's productions. (She would discover this while researching Groovy Bob.)

"For all of the inevitable references to the hedonistic side of Robert, he had a very sophisticated intelligence in terms of visual art, and genuinely in terms of culture," Clarke says. "So whilst he was not inclined to talk culture, he was eminently capable of it."

Back to Pace. A party-goer and I get to chatting about the exhibition, the party, and Fraser. She enjoyed the party, but didn't -- doesn't -- know much about Fraser the man.

"The exhibition is so chaotic and eclectic," she says. "Maybe that was him as a person?"

Around 9:00 pm, security guards are shepherding the reluctant crowd out of the building, into the cold night. On the steps, a particularly drunk kid tries and fails to goad someone into a fight, while the less inclined start hailing cabs and mapping how to move the night into Soho.

I recall something Clarke told me a few weeks prior, an effort to summarize the spirit of Fraser's galleries and its infamous parties, studded with stars and doused in glamor and excitement.

"When you were with Robert, you felt there was nowhere really much better to be. You knew that you would not have more fun anywhere else, that's for sure, and you would not be more stimulated," he'd said with a kind of wistfulness.

"It was brief and short-lived, but that light burned bright."

A Strong, Sweet Smell of Incense: A Portrait of Robert Fraser is on at Pace Gallery London, Burlington Gardens until March 28, 2015.

@highlight

A Strong, Sweet Smell of Incense: A Portrait of Robert Fraser pays tribute to the top London art dealer

@highlight

The Pace London exhibition, curated by Brian Clarke, features artists represented, admired or known to Fraser

@highlight

Fraser was best known for being arrested with Mick Jagger and Keith Richards for drug possession in 1967