WASHINGTON (CNN) -- Michelle Rhee says she runs at 100 miles per hour. As the chancellor of one of the nation's lowest-performing school districts, she says she has no choice -- too much bureaucracy to cut through, too many problems to fix after decades of neglect.

Michelle Rhee says a sense of urgency has been missing for years in the District of Columbia's schools.

Rhee closed 23 schools in her first year as the head of the District of Columbia's public schools, fired 36 principals and cut 15 percent -- about 121 jobs -- from the central office staff. And she's making no apologies.

"I think it's that sense of urgency that has been lacking for far too long in our public schools," Rhee told CNN as she began her second year on the job in late August.

"We are always going to put the best interests of kids above the rights, privileges and priorities of adults."  Watch fighting for "radical changes" »

Rhee said "radical" changes are needed because only 12 percent of the District's eighth graders are proficient in reading and just 8 percent are proficient in math, but was quick to add that they're already seeing improvement. She highlighted gains in elementary reading and secondary level math and reading in the past year that outstripped all of the four prior years put together.

An annual report card by Education Week, a newspaper that follows the nation's education system, earlier this year ranked the District's school system last, giving it a D+ overall and an F for student achievement in kindergarten through 12th grade. Those grades were based on data prior to Rhee's arrival.

"We need to see radical changes because the outcomes for kids that are happening right now are robbing them of their futures," said Rhee, a Democrat who supports President Bush's landmark education law known as No Child Left Behind.  Watch Rhee describe telling employee: "You need to find another job" »

"We have scores of kids in this city who don't have the advocates that they need in their lives who are able to maneuver and jockey through the public school system. And we can't allow those children to languish in classrooms where teachers are not performing."

Her plan is ambitious: To completely transform the District's system within eight years for its 50,000 children. The plan focuses on top-down accountability, quantitative results like standardized test scores and, ultimately, working to close what she describes as "the achievement gap between wealthy white kids and poor minority kids."

"I think it's absolutely possible within an eight-year period," she said.  Watch D.C. schools need "urgency" »

Rhee, who is Korean-American, is operating in a largely African-American district. It is a district where 57 percent of the students qualify for the free or reduced lunch program. Rhee said when she first arrived on the job in 2007 she first heard whispers of: "She's not from D.C., she's not African-American: Is she going to be able to relate to students and their families?"

"I think that all dissipated quite quickly after I started getting out into the community and talking to people," said Rhee, a 38-year-old mother of two children attending local public schools. "I think one of the things that comes across very clearly is the fact that I'm very passionate about this work. I'm very focused on it."

But her plan to turn the failing school district on its head has met protest every step of the way, even from teachers.

"I think the people who view her aggressive actions as a positive thing, I think they are missing the boat because if it results in more chaos and more dysfunction, it's not the solution that we need," said Kerry Sylvia, a teacher at Cardozo Senior High School in her ninth year.

Sylvia says the District has seen far too many superintendents over the years and fears Rhee is just another in the long list of those who come in touting their reforms and then leave.

She does offer praise for Rhee holding teachers and administrators accountable for their lack of performance. However, she doesn't always care for Rhee's style, saying Rhee makes it seem like "there's a lot of lazy teachers."

"She's pitting adults against children. She couches things in terms of 'I'm not here to keep jobs for adults. I'm not here to keep people's paychecks. I am here for the children,' " Sylvia said. "Well, guess what? I'm here for the children too."

Before taking on her current role, Rhee founded The New Teacher Project, a non-profit organization that recruits quality teachers to high-poverty schools. Rhee holds a master's degree in public policy from Harvard University.

One of the most controversial programs Rhee has introduced is a joint venture between D.C. schools and Harvard that pays middle school students cash -- up to $100 a month -- for good behavior and attendance.

Rhee says such pilot programs have worked in other cities. She says the District's students have far too many bad incentives on the streets, from hustling to drug dealing, and need something to keep them focused.

"We're preparing them to understand that if you do the right thing, then good things will happen to you," Rhee said.

Some in the District are skeptical, including Clarence Cherry, a fourth-generation Washingtonian and father of five. He calls the cash and Rhee's overall direction misguided and reckless.

"It's a very dangerous game that she's playing with," he said.

But Cherry added, "I want to give her an opportunity to prove to me as a parent that she genuinely ... is here for the kids."

Others are fervent supporters of the new superintendent. Dr. Waheedah Shakoor, another teacher at Cardozo, has been in the District since 1979. He says he's been stunned at the amount of change that's happened in just one year under Rhee, from freshly painted walls to improved athletic facilities.

"Things that we've been asking for for many, many years have come to fruition within just the last 12 months," Shakoor said.

Rhee is an appointee of Mayor Adrian Fenty, who has backed her every move.

"I had the highest expectations of Michelle Rhee when she came into the job. She has exceeded every expectation," Fenty said. "When you have a system that's been as underperforming as the District of Columbia public schools, you need to shake things up."

Rhee says she'll continue to shake things, working at break-neck speed to improve the education and opportunity for her students and urban students across the country as fast as she can.

@highlight

D.C. schools chief Michelle Rhee closed 23 schools, fired 36 principals in first year

@highlight

"We are always going to put the best interests of kids above the rights ... of adults"

@highlight

Critic says Rhee has created "more chaos and more dysfunction"

@highlight

Mayor backs his appointee, says when schools fail, "you need to shake things up"