I've spent a decade visiting the most famous vineyards around the world.

For sheer beauty, the winelands of South Africa come top of the list.

Whether you're looking for stunning views or a great place for the kids, here are my top 10 recommendations.

For the stunning location

There's a touch of lost paradise about Creation Wines which lies in the Hemel-en-Aaarde (Heaven and Earth) valley near Hermanus.

You drive up an 18-kilometer dirt road to reach the farm, set high on a mountain plateau.

Surrounded by vast skies and near the Atlantic, winemaker JC Martin aims to make elegant wines.

His syrah, grenache and pinot noir are particularly good and best appreciated in the restaurant with its floor to ceiling windows.

A food and wine matching menu with canapés costs R125 ($12) and you can even try wine with chocolate (R90/$8).

Creation Wines, Hemel-en-Aarde Road (R320) Hermanus; +27 28 212 1107

For the food

La Colombe restaurant at Constantia Uitsig winery is both classy and laid back.

Request a table outside in the courtyard and you can spend an idyllic afternoon eating French/Asian fusion and trying wines from the well selected list.

The tasting menu (with wine R950/$90 or without R650/$61) features dishes like rhubarb-dusted foie gras ballotine and Karoo lamb with braised neck spring roll.

Constantia Uitsig winery, Spaanschemat River Road Constantia; + 27 21 794 2390

For the hippie vibe

You'll need to be a confident driver to navigate the steep, rocky route down to Upland Estate.

It lies in a hidden valley in the lesser known wine region of Wellington.

There's a hippie feel to the estate, which is farmed organically by Edmund Oettle.

There's an artist's studio, a shower room made from recycled wine bottles, hens and dogs running around.

The estate makes some of the most elegant, long-lived cabernet sauvignon you'll find in SA.

Upland Estate, Blouvlei Road outside Wellington; +27 82 731 4774; visits by arrangement only

For the views

Waterkloof is set like an amphitheater high on a hill and has incredible views of False Bay in one direction and the Hottentots Holland and Helderberg mountains in another.

The building looks like a space age concrete and glass box perched on a slope.

The restaurant has huge, daydream-inducing windows.

The wines, which are made using biodynamic methods including horse power in the vineyard, are pretty good -- particularly the Circle of Life blends.

A guided tour, tasting and two-course meal costs R430 ($40); tastings start at R30 ($3).

Waterkloof, Sir Lowry's Pass Road, Somerset West; +27 21 858 1292

For the Cape Dutch heritage

For insight into the lives of the early European settlers who started the wine industry, there's Groote Post on the West Coast.

It's an area of wild and windy beaches and sleepy villages.

Time seems to have stood still at this 18th-century farmhouse, listed as a national monument.

It's an almost perfectly preserved example of Cape Dutch architecture, down to the original ceilings and fireplaces installed by a former Cape Governor who used it as a shooting lodge.

Hilda's Kitchen on the farm serves good comfort food -- coq au vin or steak roll and the Old Man's Blend wines are good values.

Groote Post, Darling Hills Road, Darling; +27 22 4922 825

For the kids

Wine touring can seem like an adult activity, but it doesn't have to be, as demonstrated by Blaauwklippen Vineyards.

Kids can run around the wide grassy areas or play in a jungle gym.

There are also pony and carriage rides and a Sunday family market with live music, crafts and food.

A kiddie picnic features toffee apples, while the adult version has a sophisticated platter with smoked snoek (a local fish), paté and local cheeses.

Blaauwklippen Vineyards, R44 Stellenbosch; +27 21 880 0133

For the accommodations

There's a friendly vibe at Weltevrede, in the unpretentious Robertson wine valley.

There are four rustic cottages sleeping two to four people which are a terrific value at R460-690 ($43-65) a night.

The Breede River is nearby -- you can go for hikes or try the excellent chardonnay.

For a more upmarket experience, Asara (Polkadraai Road, Stellenbosch) has luxurious accommodations with views over the vineyards and mountains.

Prices start at around R1800 ($170) for a basic room and double that for a suite -- if you turn up after 4 p.m. you can get a room and breakfast the same night for R1,000 ($95) if available.

Weltevrede, Main Road, Bonnievale; +27 23 616 2141

For the innovation

Brothers Peter-Allan and Andrew Finlayson of Crystallum Wines are part of a new wave of young guns making an impact in SA wine.

Sons of pinot noir guru Peter Finlayson, of Bouchard Finlayson, Peter-Allan first studied philosophy and then acted before being lured into wine making.

With no formal training apart from stints with Swartland pioneer Eben Sadie and in Burgundy, he released the first Crystallum vintage in 2007.

Using only chardonnay and pinot noir from the best vineyards, the aim is to make handcrafted wines that express their provenance.

Crystallum Wines, Walker Bay; email peter@crystallumwines.com for tastings

For the extras

It's no longer enough to just plonk a few glasses in front of people and expect them to be happy -- that's the philosophy at Fairview.

You can combine a wine, olive oil and cheese tasting with artisan cheeses made on the farm in well designed tasting "pods."

Kids can get hands-on in cheese-making workshops and there's a deli, shop and Mediterranean-style restaurant.

The farm's innovative Goats do Roam range (a take on Côtes du Rhône) are inspired by the farm's goat tower, a kind of hotel for the farm's four-legged inhabitants.

Fairview, Suid-Agter Paarl Road, Suider-Paarl; +27 21 863 2450

For the unusual tasting experience

Across a bridge in a pagoda-style tasting hut on an island in the middle of a lake you'll find Stark-Condé Wines.

The views of the vineyards in the dramatic Jonkershoek valley 300 meters above sea level will inspire you as you taste.

American owner José Conde was inspired by the landscape to create small-volume, boutique wines -- the cabernet sauvignon is particularly good.

Stark-Condé Wines, Jonkershoek Road Stellenbosch; +27 21 861 7701

@highlight

Waterkloof houses a restaurant, cellar and tasting rooms within its glass and concrete architecture

@highlight

Cape Dutch style is preserved at the Groote Post

@highlight

An 18-kilometer dirt track leads to Creation Wine in the Hemel-en-Aaarde (Heaven and Earth) valley near Hermanus