Hong Kong (CNN) -- Cushla wore a white dress for her big day, Tania, braces, a hat and bow-tie. The couple, now wife and wife, tied the knot during a small ceremony led by an unregistered celebrant on a farm west of Sydney, Australia. It had all the hallmarks of a "real" wedding. Except this one wasn't valid, at least under Australian law.

Australia is one of many countries around the world where same-sex couples are not permitted to legally marry. And the law doesn't seem likely to change any time soon.

Prime Minister Julia Gillard, who has long opposed gay marriage, made it clear Thursday that her mind hadn't been nudged by a politically risky move by U.S. President Barack Obama to back same-sex marriages Wednesday night.

"My view hasn't changed and when a bill comes to the parliament later this year, moved by private members, Stephen Jones, one of our Labor members... When that bill comes to the parliament this year I won't vote for it," Gillard told the Australian Broadcasting Corporation.

Jones is one of two members of parliament who have submitted a private member's bill that calls for the legalization of gay marriage, however neither Gillard nor main opposition leader Tony Abbott support it.

"Obviously at this stage we've still got more work to do," said John Kloprogge, spokesman for campaign group Australian Marriage Equality. "But we are confident that this issue has the support of the majority of Australians and it will eventually be supported by the leaders of our major parties."

Obama's decision to openly endorse same-sex marriage won plaudits from campaigners worldwide who have been pushing for more liberal laws since the first same-sex couples walked down the aisle in the Netherlands in 2001.

Same-sex marriages are now allowed in a number of U.S. states and in countries including Belgium, Canada, Spain, South Africa, Norway, Sweden, Portugal, Iceland and Argentina, according to Australian Marriage Equality.

Wedding bells are close to ringing on same-sex marriages elsewhere: Leading human rights activist Peter Tatchell hailed Obama's move as evidence that support for same-sex marriage was "an unstoppable global trend".

"Gay marriage is all about love," he said. "The love of same-sex couples is just as real, strong and committed as that of married heterosexual men and women. Prohibiting same-sex marriage devalues and denigrates the love of lesbian and gay couples. It signifies our continuing second class legal status."

British Prime Minister David Cameron has said he supports their legalization in the UK, where authorities are currently consulting on the issue, having permitted civil partnerships since 2005.

However the issue's omission this week from the Queen's Speech, which outlines laws to be introduced in the coming months, dismayed campaigners. Ben Summerskill, of gay rights charity Stonewall said he was "disappointed," and pledged "to push both coalition parties to deliver on their promise... by 2015."

After becoming the first country to legalize same-sex unions in 1989, Denmark is close to doing the same for same-sex marriages. In 2007, Nepal's Supreme Court ruled that the rights of lesbian, gay, bisexual, transsexual and intersex (LGBTI) people should be protected and that a committee be formed to draft laws on same-sex marriage. While the government has made some progress -- such as allowing a third gender option on the census -- full protections and marriage rights have yet to be enshrined by law.

However, in many countries LGBT (lesbian, gay, bisexual and transgender) campaigners are nowhere near close to reaching for the confetti on gay marriage. Simply being able to live without fear or prejudice is the aim of activists in countries where homosexuality remains taboo or illegal.

According to a report released in May 2011 by the International Lesbian, Gay, Bisexual, Trans and Intersex Association, same-sex relations are still criminalized in 76 countries, and in five of those countries the death penalty can be applied.

The countries with the harshest penalties are in Africa and the Middle East.

MPs in Uganda have repeatedly tried to introduce an anti-homosexuality bill which would make homosexual acts a capital offense; prominent gay rights activist David Kato was beaten to death in the country in 2011.

And even in South Africa, where single sex marriage was legalized in 2006, and where the post-apartheid constitution bans prejudice on the grounds of homosexuality, attacks on gays and lesbians -- including instances of so-called "corrective rape" -- still occur.

In other regions too, attitudes have been slow to change. In Indonesia, efforts to frame a Gender Equality Bill were resisted by campaigners who said that gender equality could open up room for legalizing same sex unions, according to Human Rights Watch.

Last month, a court in Malaysia backed police over its ban on a gay rights festival which officials argued could disrupt public order. And in Hong Kong, the sexuality of pop star Anthony Wong made headlines when he confirmed, after years of speculation, that he was gay. It was said to be the first time in nine years that a pop star had come out as homosexual in China's Special Administrative Region.

"Hong Kong doesn't have the gay bashing that a lot of countries have... But at the same time you still have people who are very ignorant," said Reggie Ho, Chairman of the Pink Alliance which is organizing a concert Wong is due to perform at on Saturday, May 12. The rally is part of an event to mark International Day Against Homophobia and Transphobia (IDAHOT), which is observed in 60 countries. The official date is May 17, the day in 1990 that the World Health Organization removed homosexuality from its list of mental disorders.

"They gossip about you, or they make suggestions that hurt you very much. So it's that kind of discrimination and the fact that the Hong Kong government has not moved forward at all in terms of legislating against discrimination against sexual minorities," Ho said.

Separately in Australia on Saturday, campaigners will be holding a National Day of Action for Marriage Equality when thousands are expected to march through major cities calling for same-sex marriage.

"A lot of people are getting exasperated that we don't have it yet," said Jessica Payne who is organizing the Brisbane march. "I think it is a matter of time but it's not going to happen without a push."

Cushla said she and Tania weren't willing to sit around and wait "and hope" for same-sex marriage to become legal.

"I didn't want to miss out. I just wanted it to be the way that we wanted it to be, despite the fact that my partner is a woman," she said. "Eventually, when it becomes legal, we'll legally bind it."

CNN's Bryony Jones contributed to this report.

@highlight

Campaigners worldwide pushing for same-sex marriages

@highlight

Australian Prime Minister reiterates her opposition to gay marriage

@highlight

Belgium, Canada, Spain, South Africa, Norway among countries allowing same-sex marriages

@highlight

Same-sex relations are still criminalized in 76 countries, five with death penalty