Lausanne, Switzerland (CNN)Nuclear talks intensified Sunday between world powers and Iran, but key sticking points remained unresolved as the countries tried to reach a deal to curb Tehran's nuclear program ahead of a Tuesday deadline.

As the negotiations entered their fourth day, Israeli Prime Minister Benjamin Netanyahu warned the agreement coming together is worse than Israel's deepest fears.

The talks had hit a snag on Saturday, with diplomats describing Iran as refusing to budge, but as the French, German and Chinese foreign ministers arrived, the mood seemed more optimistic. The British and Russian foreign ministers were expected late Sunday.

U.S. officials and Western diplomats described the negotiations as tough and intense, which was expected as the talks reached the endgame.

They said the contours of a deal are becoming clearer, but they were unsure it could be reached. Two core issues are still unresolved: 1) Limits on Iranian research and development on advanced nuclear technology in the end years of the deal; and 2) The pace of lifting United Nations sanctions.

The U.S. officials stressed all of the elements were interrelated and nothing is agreed to until everything is agreed to, comparing the final deal to a puzzle. But they indicated most of the other elements were solvable if those two major hurdles could be overcome.

The speed of which U.N. sanctions could be lifted remains in dispute. Iran wants them lifted immediately after the deal goes into effect.

While diplomats say Iran could see unilateral sanctions relief in the areas of trade, oil and banking, sanctions adopted by the United Nations are more complicated. Many are related to proliferation and transfer of missile technology and are tied to certification by the U.N. nuclear watchdog, the International Atomic Energy Agency, that Iran's nuclear program does not have a military dimension.

On Saturday, Iranian Foreign Minister Mohammad Zarif made clear the issue of sanctions remains a stumbling block, saying he believes the world powers "have realized that sanctions, pressure and an agreement will not go together. It's only to translate that understanding and realization into the agreement that we are negotiating."

U.S. officials said that all sides, including Iran, agree that sanctions would be lifted in phases over time as Iran confirms its compliance to the deal. But they acknowledge there is still disagreement on the actual formula.

Iran also wants the ability to continue to research and develop more advanced centrifuges while the deal is in effect. Those machines can enrich uranium much faster than its current machines.

U.S. and European officials worry that could enable Iran to quickly produce enough uranium for a nuclear weapon.

Diplomats say the first 10 years of the 15 year deal would have the most stringent restrictions, with others being relaxed over the next five.

"We will see if they are ready to swallow what we proposed," a Western diplomat said. "We are not asking them to do nothing, but they want to do more than we want them to do" referring to how much research the Iranians want to be able to still undertake.

But the diplomat added, "after 15 years, they can do what they want."

A senior Iranian diplomat told CNN on Sunday: "It's not fair to characterize the state of affairs as Iranian resistance on those issues. It can also be characterized as the other side's intransigence in the talks."

Diplomats said Iran has agreed to a cap of fewer than 6,000 centrifuges that it can operate to enrich uranium, a process that can lead to weapons-grade material.  The figure is down from the 6,000 the sides were speaking about when the talks started on Thursday, but substantially more than the several hundred the United States had originally wanted.  Iran currently runs about 10,000 centrifuges, but it has around 19,000 in its stockpile.

U.S. officials maintain the number is abstract, because there will be other restrictions on the levels of enrichment and type of centrifuges Iran can operate, which they believe will extend the time Iran would need to have enough fissile material produce a nuclear weapon -- known as the "break-out time"  -- to at least a year.

On Monday, a senior State Department official said negotiators had not yet decided anything about the disposal of fissile material. There had been word previously that Iran might export it to Russia, but an Iranian negotiator, Abbas Araqchi, told journalists Sunday that Iran had not agreed to it.

"The export of stocks of enriched uranium is not in our program, and we do not intend to them abroad. ... There is no question of sending the stocks abroad," he said.

Netanyahu voiced alarm at the emerging deal. After meeting with visiting Senate Majority Leader Mitch McConnell, a Republican, Netanyahu said, "this agreement as it evolves is fulfilling our deepest fears and even worse."

"In parallel to the gathering for this dangerous agreement, the proxies of Iran in the Middle East are carrying out a wide occupation of Yemen," he said. "The Iran-Lausanne-Yemen axis is very dangerous to mankind and needs to be stopped."

The parties are seeking agreement on the basic parameters of a deal before March 31. A comprehensive deal including technical annexes is supposed to be concluded by June 30.

Tuesday is seen as a critical milestone to the U.S. negotiators, who are trying to thwart a threat from Congress to impose additional sanctions without the  framework. That could prompt Iran to withdraw from the talks and scuttle the chances of a deal altogether.

But even if a pact is reached, it is unclear what form it would take. U.S. officials say they will need to publicize something that quantifies Iran's commitments before submitting it to Congress. But U.S. and Western diplomats say that Iran is looking simply for an "understanding" of what has been agreed to before a formal accord is reached.

CNN's Jim Sciutto contributed to this report.

@highlight

One key sticking point: What would be the limits on Iranian nuclear research?

@highlight

Another sticking point: When would U.N. sanctions be lifted?

@highlight

Israeli Prime Minister Benjamin Netanyahu warns the deal would be a disaster