One of the world's oldest civilizations took a major step toward democracy Wednesday as polls closed in Egypt's historic vote for president, even as many worried the armed forces would quash the results if the top brass doesn't like the country's choice.

It is the first time the country has had a presidential election where no one knows what the result will be before the ballots are cast.

"Finally, Egypt is born," one weeping 80-year-old man told Rep. David Dreier, a California Republican who is in Cairo as an election observer.

Zakaria: Is Egypt ready?

Grandmother Nadia Fahmy, 70, was so determined to be the first one to vote at her polling station that she camped out in a plastic chair for 2½ hours before it opened.

"I am here to vote for the first time in my life," said Fahmy.  "I want to see a new generation for my country. I want everything to change."

Other people told CNN they had waited up to four hours to vote as an atmosphere of enthusiasm swept polling stations in the capital.

Egypt elections: 'Women need a champion'

The voting is a monumental achievement for those who worked to topple longtime President Hosni Mubarak in one of the seminal developments of the Arab Spring more than a year ago. And it could reverberate far beyond the country's borders, since Egypt is in many ways the center of gravity of the Arab world.

Egyptian police officers convicted of murder in protest crackdown

"Egypt has always set trends in the Arab world and for Arab political thought. Trends spread through the Arab world and eventually affect even non-Arab, Muslim-majority countries," said Maajid Nawaz, the chairman of Quilliam, a London-based think tank.

Egypt's election "bodes well for the rest of the Arab world and particularly those countries that have had uprisings," said Nawaz, a former Islamist who was imprisoned in Egypt for four years for banned political activism.

There are 13 candidates on the ballot, although two withdrew from the race after ballots were printed. If no candidate gets a majority of the vote in the first round, a second round will be held June 16-17.

Results of the first round are not expected before the weekend.

Some 30,000 volunteers have fanned out to make sure the voting is fair, said organizers with the April 6 youth movement, which has long campaigned for greater democracy and rule of law in Egypt.

They reported only minor violations Wednesday, mostly supporters of one candidate or another trying to influence voters at polling stations.

There is a pervasive fear that the powerful military, which has run the country since the fall of Mubarak, could try to hijack the election.

Egypt's revolution: 'We fell in love, but it was a trick'

The concern persists despite the insistence of the Supreme Council of the Armed Forces that it will hand over power to an elected civilian government. The military put armored personnel carriers on the streets with loudspeakers broadcasting a message that they will relinquish power, but that did not convince doubters.

Nawaz, the analyst in London, said Egypt probably is not heading toward a simple case of the military either giving up control or rejecting the results of the election.

Instead, he anticipated, there will be an "unhappy settlement" where the military remains "ever-present, in the shadows," influencing the civilian government without controlling it.

Old politics joins new in Egypt

"Egypt is going along similar lines to Turkey or Pakistan," he said, naming two other countries that have formal democracies in place but where a powerful military can affect events.

The degree to which the military continues to exercise control in Egypt will depend on who wins the election, Nawaz anticipated -- but he  laughed aloud when asked to predict who that would be.

Whoever wins the election, Nawaz said, will face tremendous challenges, even without worries about the army.

"They are inheriting a failed economy, an abysmal bureaucracy, a frustrated people, and a deep distrust on behalf of the people towards their military and any policing," Nawaz said.

And Egypt has an elaborate political mosaic where alliances shift quickly, he added.

Secular democrats oppose military rule, for example, but if an Islamist candidate wins the presidency, "Some of the democrats would switch because they would rather have military rule than the Islamists," Nawaz said.

Opinion: Egypt's military must stop torturing detainees

"It's far more complicated than 'Islamists vs. liberal democracy.' It's rich vs. poor, (hardline) Salafists vs. the (more moderate) Muslim Brotherhood, secularists vs. Islamists," he said.

On top of that, the country does not yet have a new constitution defining the powers of the president or the parliament, after a court last month suspended the committee charged with writing it. The court ruled that the members of the committee did not reflect the national population well enough.

Among the candidates vying for the presidency are Mohamed Morsi, of the Muslim Brotherhood's Freedom and Justice Party; Amre Moussa, who served as foreign minister under Mubarak and headed the Arab League; Abdelmonen Abol Fotoh, a moderate Islamist running as a respected independent; Ahmed Shafik, who was Mubarak's last prime minister; and Hamdeen Sabahy, a leftist dark-horse contender.

Shafik was mobbed by opponents who threw things at him when he went to vote Wednesday, his spokesman, Ahmed Serhan, told CNN.

"People chanted against him upon his entrance to cast his vote," Serhan said. That prompted soldiers guarding the polling station to shut the doors while Shafik voted, he said.

"On his way out, some people threw their shoes and rocks at him while he rushed into the car," Serhan said. "He is not hurt, and this attack is not representative of how Egyptian people feel about him."

Many Egyptians seem uncertain of their loyalties to any particular candidate, and even the weakest of arguments or the strangest of rumors can shift public opinion overnight.

The vote comes nearly 16 months after the popular uprising that brought down Mubarak in February 2011. Mubarak was tried on charges of ordering police to shoot protesters during the uprising against him, and of corruption.

He is awaiting the court's verdict and could potentially face the death penalty.

Despite the high-profile trial of the man who ruled the country for 30 years, popular distrust and anger, particularly against the military's power in Egyptian governmental affairs, still inspire protests, some of which have been marked by deadly clashes.

Protesters are upset at what they see as the slow pace of reform since Mubarak's ouster. Some are also concerned that the country's military leadership is delaying the transition to civilian rule.

In January, two Islamist parties won about 70% of the seats in the lower house of parliament in the first elections for an elected governing body in the post-Mubarak era.

The Freedom and Justice Party won 235 seats and the conservative Al Nour party gained 121 seats in the People's Assembly, according to final results. The assembly consists of 498 elected members, and the rest of the seats were divided among other parties.

@highlight

Polls closed in Egypt's historic vote for president

@highlight

The election "bodes well for the rest of the Arab world," Maajid Nawaz says

@highlight

Egypt is heading toward "unhappy settlement" with its military, the expert says

@highlight

"I am here to vote for the first time in my life," a 70-year-old woman says