(CNN) -- For a few days there, it looked as if the typographical error was finally going to get its moment in the sun.

The lowly typo -- a hastily pecked keystroke with a bad result -- has long been regarded as an irritation, a sloppy glitch, a skimmed-over eyesore. It's really much more than that, which we will delve into in a few paragraphs.

But first, the typo's blown opportunity to gain worldwide stature:

When the financial markets were on the verge of a nervous breakdown this month, on the day the Dow Jones industrial average plummeted almost 1,000 points in 15 minutes, analysts and regulators immediately, frantically, started looking for a reason. Nothing on this scale had ever happened before. Who or what was responsible?

Initially, suspicions centered on the "fat-finger theory." What this meant was that a trader with a symbolically fat finger (meaning a careless one) had purportedly entered a computer-ordered sale of billions of shares of stocks; the theory was that when he had meant to type in "million," he instead typed in "billion."

If this was so, it would have been the typographical error of all time: the Babe Ruth/Muhammad Ali/Frank Sinatra of typos. If one keystroke could put the world's economy on the brink of collapse, this would mean that a typo could be as powerful as an atomic bomb.

By the end of last week, it was looking as if the fat-finger typo might not be the culprit. Mary Schapiro, the chairwoman of the Securities and Exchange Commission, told Congress that while no cause for the financial plunge could be definitively ruled out, the typo-as-Armageddon was increasingly appearing to be an unlikely explanation.

Drat.

If a typo had been shown to have that kind of muscle, maybe the societal trend to regard typos as no big deal might have been reversed. In our computer-screen age, typos -- and their cousins, misspellings and grammatical errors -- have been given a reprieve. What once prompted people to shake their heads in stern disapproval when it appeared on newspaper or magazine pages -- a flat-out mistake, caused by lazy typing and indifferent proofreading -- produces not as much of a stir when seen on a glowing screen.

The theory seems to be that, in e-mails and instant messages and various other forms of digital discourse, speed counts for more than accuracy, and those whose blood pressures rise when they see such typos are stodgy, ancient, out of touch. The contemporary attitude is: Who cares if a few words are mistyped?

But it's a matter of discipline. It's a matter of diligence. You may have heard the wonderful story in recent days about what happened when CNN senior producer David Daniel was walking to work at the network's Los Angeles bureau. Daniel was striding along the Hollywood Walk of Fame, as he does each morning en route to the office, when he glanced down at a newly installed pink stone star on the sidewalk.

It was a star that was going to be introduced to the public that very day. It was intended to honor the actress Julia Louis-Dreyfus.

Except the name on the star was:

Julia Luis Dreyfus.

No "o" in Louis. No hyphen.

Daniel, who told me he takes pride in being a longtime copy editor, could not simply walk on by. Dismayed, he stared at the star.

"I'm one of those annoying people who notices typos on restaurant menus," he told me.

"Annoying?" Hardly. When it comes to words, he's a stickler, which is a fine thing to be. What he did next has elevated him into contention for patron saint of sticklers:

He phoned in a correction. He couldn't let this pass. He called the people who run the Hollywood Walk of Fame, told them about their typo that was set in stone and made certain the star got fixed.

"I can't help it," he told me. "I go crazy when I see missing apostrophes."

He was preaching to the choir. My own obsessed-proofreader story is not quite as good as Daniel's, but it establishes us as kindred spirits. Some years ago, during my first and only visit to Shea Stadium in New York, I was with some friends watching the Mets play the Chicago Cubs in a night game.

Ryne Sandberg of the Cubs, who would go on to be voted into the Baseball Hall of Fame, came up to bat.

In Shea Stadium there was a huge video screen behind center field, and as each batter came to the plate a gigantic color photo of him appeared on the screen, accompanied by his name.

Sandberg's smiling face was up on the screen, all right. So was the name, in huge letters visible all over the stadium:

"Ryan Sandberg."

Not Ryne. Ryan.

I knew I shouldn't say anything. I knew, in the scheme of all the world's woes, it would make no difference. I knew I should just sit back and enjoy the ball game on a lovely, warm evening.

But I couldn't help myself. I sought out a front-office executive of the Mets.

"Look," I said, pointing to the outfield.

"What's wrong?" he said.

It took him about 15 seconds to figure it out.

"Oh, my," he said.

That night was my version of the Julia Louis-Dreyfus star. At Sandberg's next at-bat, Ryan became Ryne.

A small victory for precision, perhaps. But we all take such victories where we find them. I half-wish that it had, indeed, been a typo that sent the Dow into that tailspin. It would have imbued typos with the seriousness they deserve, and would have been an inspiring triumph for sticklers everywehre.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

The societal trend to regard typos as no big deal is wrong, says Bob Greene

@highlight

Greene: In computer age, typos, misspellings, grammatical errors are given a reprieve

@highlight

CNN's David Daniel noticed Hollywood Walk of Fame typo; Greene spotted Mets typo