WASHINGTON (CNN)  -- They came from all corners of the world, braved fiercely cold temperatures and stood together on the Mall in Washington to share in one historic moment -- when Barack Obama became the 44th president and the first African-American elected to the post.

Crowds at the inaugural parade cheer and snap photos of President Obama on Tuesday.

Millions of people packed the Mall early Tuesday to watch Obama's inauguration and later hit the parade route to catch a glimpse of the new president. For many, the inauguration was the realization of a dream they never thought could be fulfilled.

This is America happening," said Evadey Minott of Brooklyn, New York. "It was prophesied by [the Rev. Martin Luther] King that we would have a day when everyone would come together. This is that day. I am excited. I am joyful. It brings tears to my eyes." Obama's speech: How did he do?

L.J. Caldwell of Somerset, New Jersey, said Obama's inauguration capped five decades of struggle for African-Americans.

"When you think back, Malcolm [X] fought. Then we come a little further, Rosa Parks sat. Then come up a little further, and Martin [King Jr.] spoke. Then today, President Obama ran, and we won."  Watch Obama say Americans have "chosen hope over fear" »

iReporter Barbara Talisman, 48, of Chicago, watched Tuesday from a spot on the Mall near the American Museum of Natural History.

"The historical significance of today and importance of our work made it necessary for me to be here and not at home. I want to be a witness," Talisman said.

Kim Akins, 43, of Chicago, Illinois, who lives just blocks from Obama's home, made the trek to Washington with her 8-year-old daughter, Chloe.

Vanessa Reed of Centerville, Virginia, took her daughters to a spot on the inaugural parade route.

"I was going to take my daughter here if it was the last thing I did," she said. "It's breathtaking. ... It's overwhelming."

Vanessa Reed of Centerville, Virginia, who brought her two young daughters to the inauguration, reflected on Obama's speech as she sat with her daughters across from the presidential reviewing stand at the end of the parade route.

"It was beautiful. It spoke to the issues of the moment," said Reed, who worked for the Obama campaign. "I am proud this country saw what we saw in him."

Patrick Bragg, 44, of Winston-Salem, North Carolina, contemplated the day as he tried to stay warm standing over steam vents on H Street.

Patrick Bragg says he rode a bike 18 miles to get to downtown Washington on Tuesday morning.

"I've been sitting here thinking -- it's really beautiful," said Bragg, who rode a bike 18 miles from Bethesda, Maryland, to attend Tuesday's ceremonies. "This is what I would consider the true representation of all of America. Obama gives everyone space at the table."

Some of those attending Tuesday recalled how they were part of the effort that culminated in the historic day.

"You remember why you are doing it all, why you were working so hard on the campaign making phone calls, knocking on doors and getting slammed in the face sometimes," said iReporter Vanessa Palmer of the University of South Florida in Tampa.

Howard University student Shakuwra Garrett, 18, said she felt like "a part of history."

"I can carry this with me the rest of my life," Garrett said. "It's an accomplishment for all of us."

The accomplishment crossed borders and oceans for some of those at Tuesday's inauguration.

"The dream came true," said Fatima Cone, 39, who came to the U.S. from Ivory Coast, where her mother wears an Obama T-shirt.

She conveyed the excitement her family feels in West Africa.

"The fight is the same for all blacks. It's the same story. It's the same fight wherever you come from," Cone said.

Canadians Peter and Susan Butler drove down from Toronto, Ontario, to see the event and "support the American people." iReport.com: Are you in Washington? Share your story

"This is a world event," Susan Butler said. "We can tell our grandchildren we were here."

Briton Simon Ginty called the Obama inauguration "an international moment."

Simon Ginty of Manchester, England, said the world was celebrating Tuesday.

"This is an international moment as well as an American moment. I'm excited to see how Obama changes things. I imagine things are gonna be on the up," Ginty said.

Eli Bracken, an iReporter from Harrisburg, Pennsylvania, drove into Washington early Tuesday to try to see the inauguration, but large crowds kept him away from the Mall.  Watch a satellite image of the crowd »

Instead, he watched on TV from a McDonald's restaurant on E Street near the Canadian Embassy. The eatery went silent during the inaugural prayer, he said.

"It was just cool that everybody knew they were witnessing something awesome," Bracken said. "There were people gathered around every car they could just to hear it."

Dartmouth College student Amarita Sankar, 18, watched Obama's speech on the grounds of the Washington Monument.

"Whenever I hear him speak, I want to be a better person. That's what you want in a leader, " Sankar said.

Margaret Trowelle of Jersey City, New Jersey, gets strangers to autograph an inauguration hat Tuesday.

Margaret Trowelle of Jersey City, New Jersey, showed off a hat she had signed by others she's met in the nation's capital.

"Everyone is so friendly," she said.

Benica Tripleti from Eastern Kentucky University was among a group of 54 people headed to the Mall. She said she had one goal: "to see Obama's head."

Kathie Easom and Christine Hannon of upstate New York were looking to plant themselves on the Mall and watch the proceedings on a screen.

"It's a once in a lifetime event," Easom said.

Eight rows behind the inauguration stand, Sylvia Schoen of Phoenix, Arizona, waited in the morning cold.

"It's freezing. It's worth it. It's worth it," she said.  Watch the atmosphere surrounding the inauguration »

"Obama's cause is all about the future. I think that's why everyone's so excited right now," Schoen said. "It's like we can do anything. Look what we just did, the people. The people did this. Not the politicians. We did it."

Harvard University student Megan Starr, 21, was impressed with the crowd.

"I've never seen people excited about politics before," she said. "Usually they are politically apathetic, but people are getting involved."

Woodie Lee Durham of Buffalo, New York, says Tuesday marks a milestone for African-American influence.

In a seating section for the disabled on the Mall, Woodie Lee Durham of Buffalo, New York, said Tuesday was a landmark for African-American influence on America.

"It is no longer a question; this is the answer," Durham said.

Of the millions who came to hear Obama speak, many made sure to hit the parade route, in hopes of catching a glimpse of the new president.

"Obama! Obama!" throngs of people cheered as the limo carrying the new president made its way down the street.

Obama and his wife, Michelle, stepped out of the presidential limo for a couple of minutes and walked the parade route, waving to supporters as they passed.

Meghann Curtis, 30, of New Jersey was at the Mall for the inauguration but also managed to snag a seat at the parade.

"It was majestic. That's the word that keeps coming to mind," she said.

"They are elegant and tall and gorgeous," Curtis said of the Obamas. "There is something breathtaking about the two of them."

Many reached for their cameras, trying to capture a permanent memory of the moment. Supporters waved American flags, and some even sang as they waited for their chance to greet President Obama.  See photos of Obama's inauguration »

After 12 hours of waiting, many of them in the cold, Karin Riggs, 29, of Seattle, Washington, and her bandmates marched into history. The trumpet player was one of 177 participants, from 26 states, performing with the Lesbian and Gay Band Association -- the first lesbian, gay, bisexual and transgender group in history to be invited to march in a presidential inaugural parade.

"We were not just making history for our organization. We were making history for the LGBT community," she said by phone.

Danielle Davis and son Carson, 6, of Chantilly, Virginia, got into their parade seats at 10:40 a.m.

Davis said the experience was worth dealing with freezing weather and a long wait.

"It was exciting, thrilling," she said. "I am so glad to be a part of history."

CNN's Adam Levine, Ed Hornick, Valerie Streit, Scott J. Anderson and Kristi Keck contributed to this report.

@highlight

New Jersey woman calls inauguration, parade "majestic"

@highlight

"This is America happening," says New York woman

@highlight

Barack Obama's election shows American people "can do anything," woman says