Marikana, South Africa (CNN) -- The headlines Friday in South Africa spoke of a bloodbath, of war.

The morning after carnage at a platinum mine, South Africans grappled with shock, memories of an ugly era resurrected in their minds. The word apartheid surfaced again as people debated the need for such police force.

The police, meanwhile, explained themselves at a news conference, giving reporters the grim toll: 34 mine workers killed, 78 others wounded, 259 arrested on various charges, including malicious damage to property, armed robbery, illegal gathering and possession of weapons. That according to Police Commissioner Riah Phiyega.

She said police "were forced to utilize maximum force to defend themselves."

South African President Jacob Zuma cut short a trip to Mozambique to visit the scene of the shootings Friday afternoon. He announced the government will open an inquiry of the incident.

He told South Africans that they must come together to overcome national challenges as they had done before.

"This is not a day to apportion blame," Zuma said. "It is a day for us to mourn together as a nation. It is also a day to start healing."

Mourn, yes, but also a time to think about what had been done, some cried.

Rising tensions explode into grisly violence at South African mine

"African lives cheap as ever," read a headline in a Soweto newspaper.

It editorialized that South Africa's economic woes do require a war. "But a different kind of war -- a war of ideas. Not a war that dispenses with human life in as cheaply a manner as we have seen in Marikana."

The tragedy began unfolding a week ago when miners went on strike demanding pay hikes at the mine near Rustenburg, about two hours northwest of Johannesburg.

They were rock drillers who worked at the dangerous depths of the mine, their bodies vibrating for the duration of their eight-hour shifts.

"When there is a rock fall, it is generally the drillers who are the victims," wrote journalist Greg Marinovich in the Daily Maverick newspaper. "It is the most dangerous job in the business."

The miners, who earned $300 to $500 a month, wanted their salaries raised to $1,500.

It came as no surprise that their multi-national employer, Lonmin, said no to the whopping increase. The world's third-largest producer of platinum said the strike was illegal.

The larger problem, however, went beyond a wage dispute.

It had to do with a vicious rivalry between two unions -- the dominant and established National Union of Mineworkers and the splinter Association of Mineworkers and Construction Union which has been encroaching on the former's role.

What's behind the Marikana massacre?

The National Union of Mineworkers is a close ally of the country's ruling African National Congress. The miners, according to several South African media outlets, feel they are not adequately represented by the battling unions. They say politics gets in the way and that each union vies for miners' support and yet they don't always seek their best interests.

In January, at least three people were killed during a strike at the world's second-largest platinum mine, Impala Platinum. The violence there, too, was blamed on union rivalry.

The two unions, accused of trying to outdo each other in negotiating wages, denied instigating the clashes.

Tensions at Marikana had mounted throughout the week.

The striking miners carried traditional panga machetes and gathered Thursday around a small hill. Police carried anti-riot equipment and encircled the protesting workers.

By then, at least 10 other people were dead from incidents that had occurred in the days before. Among them were two police officers who were hacked to death.

Journalists who were at Marikana said police seemed fed up with the miners and determined to resolve the issue.

"Yesterday the police were clear that today we are going to disarm them and remove them from the hill because the gathering is illegal," said Xolile Mngambi, a reporter for CNN affiliate ETV.

By Thursday afternoon, another round of negotiations among the striking miners, the unions and Lonmin had failed.

The miners chanted war songs, witnesses said.

A heavily armed police Tactical Response Team moved in to disperse the miners.

What happened next is unclear.

How diamonds, mining fuel Africa's conflicts

To hear Phiyega, the police commissioner, describe it, the police weighed all their options and decided to fence in the miners with barbed wire -- to compartmentalize them into more manageable groups. She defended police actions, saying it was a desperate last measure against dangerous protesters.

"The armed protesters moved toward the police," she said. "They were driven back with tear gas and rubber bullets. But when they fired, police used maximum force."

But journalists at the scene could not say whether the protesters fired first.

"We cannot say to you the police were provoked," Mngambi said.

Then, the police unleashed a barrage of gunfire. One witness said it went on for three minutes.

Men dropped to the ground. Some lay motionless; others were still moving. Blood spilled onto the parched earth.

The images spread fast on the news, on the Internet. Marikana was one of the bloodiest incidents since apartheid ended in 1994.

South Africans were taken back to that time of mandated racial separation and horrific incidents of police brutality against black people. Some likened Marikana to Sharpeville, where in 1960, police fired on a crowd of black demonstrators, killing 69.

There was clear evidence, the South African Institute for Race Relations said, that policemen randomly shot into the crowd with rifles and handguns.

"There is also evidence of their continuing to shoot after a number of bodies can be seen dropping and others turning to run. This is reminiscent of the Sharpeville massacre in 1960.

"In our view," the institute said, "what happened at Lonmin is completely unacceptable. We hold no brief for the use of violence in labor or any other disputes. But even if the police were provoked or shot at during yesterday's incident, or were angry at the killing of two police officers in the days before, no disciplined and properly trained policeman would shoot into a crowd. Yesterday's incident was a disaster waiting to happen."

Marikana, said some, exposed deep-rooted problems that have been bubbling in South Africa.

"I think this us a sign of underlying structural issues which you have seen in South Africa for a long time," said Mark Rosenberg, an Africa analyst with the risk research firm Eurasia Group.

"There has been an increase in violent protests both by miners and also by citizens living in townships who are upset with the level and pace of service delivery," he said.

People are no longer willing to sit and wait around for the African National Congress to deliver.

"They are becoming more and more impatient and they're becoming more and more violent as a result," Rosenberg said.

Lonmin's chief financial officer, Simon Scott, called the situation "tragic" and expressed condolences to the family and friends of the workers and police officers who died this week. He said the company would assist with funerals and grief counseling.

Scott said Lonmin has worked for years to achieve good labor relations and said the "illegal strike we've seen is so disappointing and damaging."

"If the industry continues to be damaged by illegal actions it is not just the economy which suffers, but all our employees, their families and dependents," Scott said about South Africa's vital mining sector. "We need our employees to come back to work and we need to get mining again."

But Friday at Marikana, all was quiet. The Lonmin mine remained shut.

On the dry, dusty surrounding streets, a heavy police presence remained. And women searched desperately for husbands, fathers and brothers who did not come home.

A 9-year-old boy said he saw his father shot on television.

One of the miners, who did not want to be identified, told CNN that none of the mine workers fired at police. But regardless of whether their actions were legal or illegal, he said, none of this should have happened.

"They should not have died," he said. "All they want is a wage increase."

He said he thought South Africa was a democracy, a nation of free people. But it didn't feel that way this week at Marikana.

How to avoid buying 'blood phones'

CNN's Nkepile Mabuse and Diane McCarthy contributed from South Africa, and Moni Basu and Faith Karimi, from Atlanta.

@highlight

President Jacob Zuma announces a government inquiry of the incident

@highlight

Some South Africans compare incident to apartheid-era Sharpeville massacre

@highlight

Police say they fired at the striking workers in self-defense

@highlight

44 people were killed this week in violence at the mine -- 34 on Thursday