(CNN) -- It's a hold-your-breath kind of place. Machu Picchu, one of the world's greatest treasures, this weekend marks the 100th anniversary of its rediscovery by explorer Hiram Bingham.

This majestic and mysterious ancient Inca settlement sits in splendid repose high on an Andean mountaintop. The well-preserved site is the leading tourist attraction in Peru, the third-largest country in South America.

If you are planning to experience its magic, here are some things you'll need to know:

Getting within range

Most visitors fly to Lima, Peru's capital, then fly southeast to Cusco, located in a deep Andes valley.

You'll need to spend a few days there to get acclimated to the higher elevation, nearly 11,000 feet above sea level. Cusco was once the capital of the Inca world, but today it's a city that comfortably caters to the hordes of visitors who stop over.

After catching your breath, it's time to travel to Machu Picchu. Most tourists take the train and there are different classes of service, from inexpensive to luxury. If you're taking the train, make your reservations early, particularly in the high season from May to September.

Hardy folks will hike the Inca Trail, which can take three or four grueling days to complete and is no walk in the park. The number of people allowed on the trail each day is limited, so you'll need to book with an Inca Trail outfitter months in advance and arrange for permits.

Reaching the mountain

Trains take explorers to Aguas Calientes, a neat and tidy town at the base of the mountain where Machu Picchu rests.

You buy two important tickets in the town center: bus tickets to Machu Picchu and entrance tickets for the ruins themselves (you can't buy tickets to the ruins at the entrance).

Purchase Machu Picchu tickets at the Machu Picchu Cultural Center in Aguas Calientes. It's best to bring cash for the tickets, although there is an ATM in town. You can also buy advance tickets to Machu Picchu in Cusco at the Institute of National Culture. Tickets cost about $44.

Buy tickets for the bus before you get on at the ticket office near the departure point. The ticket office opens and the first buses head to Machu Picchu around 5 a.m. The bus ride up the mountain takes 20 minutes but seems like forever, negotiating the stomach-churning switchback road to the top.

Seeing Machu Picchu

It is also called the Citadel, imperious and fortresslike on the mountain summit.

Machu Picchu means "Old Mountain" in Quechua, the language of the Incas. This old mountain is often covered in clouds, and the sheer drop at the edges of the ruins can be unsettling.

There are two very distinct sections. The agricultural area leads to the impressive urban sector, where the religious, astronomical and residential structures still stand. The entire site is about two square miles.

The Incas worshipped what they knew and built an impressive Temple of the Sun high above the residential zone. The days of the solstice were deeply special and spiritual to them.

But there are also impressive places where the residents lived and worked, even spent time in prison for offenses committed.

What's the mystery?

The Citadel is not only enshrouded in mist but also in mystery. No one knows precisely its genesis, intended purpose, how many lived there or why they left.

It appears to date from the period of the two great Incas, Pachacutec Inca Yupanqui (1438-71) and Tupac Inca Yupanqui (1472-93), according to the United Nations Educational, Scientific and Cultural Organization.

Bingham found Machu Picchu -- purely by accident -- on July 24, 1911, while heading a Yale University expedition to Peru. He was camping along the river near Aguas Calientes when he met a local campesino, or farmer, named Melchor Arteaga. He led Bingham up from the river to what were then jungle-covered ruins atop the Old Mountain. And the rest, as they say, is history.

Bingham was actually looking for the famed ruins of Vilcabamba, some 60 miles away, known as the last stronghold of the Incas.

The Incas were chased relentlessly by Spanish conquistadors, who began subjugating Peru in 1533. The Spanish probably never knew about Machu Picchu, either, because they pursued the Incas in the opposite direction.

The best way to experience the Citadel

Machu Picchu is too important to rush. Most tourists spend part of just one day at the site. They arrive in Aguas Calientes in midmorning by train, visit the Citadel for a few hours, then catch the late afternoon trains back to Cuzco.

I think it's worth staying over in the town known for its hot springs and cold-running rivers. Aguas Calientes offers plenty of shops, restaurants and hotels.

Begin your visit early in the day and stay late, when crowds thin and you'll feel you have Machu Picchu all to yourself. The ruins are open from dawn to dusk every day.

A stay of two days is optimal. On the first you can see every nook and cranny of the ancient settlement. Then on the second day, you can attempt to climb the mountains adjoining Machu Picchu. One is Huayna Picchu, which means "Young Mountain."

Healthy hikers can make the trip in about an hour, but the path is very steep. If you can't make that trek, there are two smaller peaks: Huchu Picchu, which is the smallest, and Wychu Picchu.

Machu Picchu is unquestionably a popular place. In fact, many scientists worry that the relentless crush of crowds is harming the ruins and could cause the Citadel to fall down the side of the mountain as soils shift

But for now the crowds still come. Every day is unique and mystical at Machu Picchu. Take your time and see it in all its glory.

George Bauer works at CNN and is also the creator and host of "The Seasoned Traveler," which airs on U.S. public television stations and Travel Channel International. CNN's Katherine Dorsett contributed to this report.

@highlight

Make train reservations early, especially from May to September

@highlight

Inca Trail hikers need permits and should book with an outfitter months in advance

@highlight

Visit the Lost City early in the morning or late in the afternoon for smaller crowds