New Delhi, India (CNN) -- A court in central India ruled Monday that seven top executives and the company they worked for are guilty for their role in the 1984 industrial disaster that killed thousands in Bhopal, India.

The leaking of poisonous gas from Union Carbide India Limited -- the now-defunct local subsidiary of the American chemical company -- was one of the world's worst industrial disasters. Plaintiffs had waited more than two decades for the verdict.

The convicted former employees have been sentenced to the maximum punishment allowed in the case. The judge imposed a two-year prison term and a fine of about $2,000 each after convicting the men of negligence causing death, endangering public life and causing hurt.

Indian industrialist Keshub Mahindra, then head of Union Carbide India Limited, six colleagues and their company were convicted of negligence, said prosecuting attorney C. Sahay. Another company manager charged in connection with the litigation died during the trial, he said.

Last year, the trial court also issued a warrant of arrest for Warren Anderson, the former chairman of the U.S.-based Union Carbide Corp. He has been declared an "absconder" -- or a fugitive -- from the indictment, Sahay said.

Originally, the defendants faced charges of culpable homicide. In 1996, India's supreme court downgraded the charges to death by negligence following an appeal.

Nearly 4,000 people died in the immediate aftermath of the escape of methyl isocyanate, a chemical used to produce pesticides, from the company's plant in Bhopal in December 1984. More than 10,000 other deaths have been blamed on related illnesses, with adverse health effects reported in hundreds of thousands of survivors.

Many of them struggle with ailments including shortness of breath, cancer, near-blindness, fatigue and heart problems.

Union Carbide, now a subsidiary of Dow Chemical Co., paid a $470 million settlement to India in 1989.

But the International Campaign for Justice in Bhopal said survivors have received an average of only $500 each in compensation.

Union Carbide says neither the parent company nor its officials are subject to the jurisdiction of Indian courts.

In 1994, Union Carbide sold its stake in Union Carbide India Limited to McLeod Russell (India) Limited, which renamed the company Eveready Industries India Limited (Eveready Industries). In 1998, the state government of Madhya Pradesh took over the Bhopal site from Eveready Industries.

Indian authorities blamed the tragedy on the maintenance and design of the site.

The company, however, has denied the charges, insisting the leak was an act of sabotage by an employee who it said had tampered with the gas tank.

Activists and survivors have long demanded that someone be held criminally responsible for the disaster, and have criticized Indian officials for their response.

"The government does not want to discourage foreign investors," said Abdul Jabbar, convener of the Bhopal Gas-Affected Working Women's Union, who said the Indian government has attempted to protect the multinational company.

The toxic leak, he said, affected more than 575,000 people.

Last year, on the 25th anniversary of the gas leak, Indian Prime Minister Manmohan Singh called the events in Bhopal in 1984 a "tragedy of neglect."

"The leakage resulted in over 5,000 people losing their lives and many others being incapacitated permanently. The enormity of that tragedy of neglect still gnaws at our collective conscience," he said.

He said the government has implemented measures to provide relief and medical rehabilitation and to improve to living conditions of affected families.

"I reaffirm our government's commitment to resolving issues of safe drinking water, expeditious clean up of the site, continuation of medical research, and any other outstanding issues connected with the Bhopal gas tragedy," he said.

Sixteen years after the leak, Union Carbide became part of the Dow Chemical Corporation. Union Carbide claims the issue has been resolved and Dow has no responsibility for the leak.

"There were no liabilities for Dow to inherit through Union Carbide on the Bhopal gas release. Dow acquired the shares of Union Carbide in 2001, more than a decade after Union Carbide settled its liabilities with the Indian government in 1989 by paying $470 million," Union Carbide's Bhopal website says.

"By requirement of the government of India, the Bhopal plant was detail designed, owned, operated and managed on a day-to-day basis by Union Carbide India Limited (UCIL) and its employees," Tomm F. Sprick, director of the Union Carbide Information Center, said Monday. "All the appropriate people from UCIL -- officers and those who actually ran the plant on a daily basis -- have appeared to face charges.

"Union Carbide and its officials were not part of this case since the charges were divided long ago into a separate case. Furthermore, Union Carbide and its officials are not subject to the jurisdiction of the Indian court since they did not have any involvement in the operation of the plant, which was owned and operated by UCIL."

@highlight

NEW: Union Carbide and its officials "not subject to the jurisdiction of the Indian court"

@highlight

Top chemical company executives guilty of causing death by negligence

@highlight

Nearly 4,000 people died in the immediate aftermath of the 1984 gas leak

@highlight

Hundreds of thousands of survivors report adverse health effects

@highlight

Union Carbide paid settlement of $470 million to India in 1989