(CNN) -- In opposing President Barack Obama's opening to Cuba, Florida's Republican senator, Marco Rubio, explained, "This entire policy shift announced today is based on an illusion, on a lie, the lie and the illusion that more commerce and access to money and goods will translate to political freedom for the Cuban people." Rubio has correctly touched on the core issue. But theory, logic and history suggest that he's wrong in his conclusions.

I would recommend to Rubio one of the classics of conservative thought, Milton Friedman's "Capitalism and Freedom." He doesn't have to spend too much time on it. The first chapter outlines the "relation between economic freedom and political freedom."

The point Friedman makes in the book is one that America's founding fathers well understood. Drawing on the political philosopher John Locke, they believed that the freedom to buy, sell, own and trade were core elements of human freedom and individual autonomy. As they expand, liberty expands.

This is not just theory, of course. Over the last two centuries, the countries that embraced "more commerce and access to money and goods" in Rubio's phrase -- Britain, America, then Western Europe and East Asia -- have moved toward greater prosperity, but also political freedom. If you exclude oil-rich countries, where money is not earned but dug from the ground, almost every country that has used free markets and free trade to grow is also a democracy.

Yes there are a few exceptions: Singapore and China (though the latter is still not quite a developed economy.) But on the whole, there has been a remarkably strong connection between economic freedom and political freedom.

In Latin America itself, the line has been clear. Augusto Pinochet's regime opened up its economy in the 1970s. Chile began to grow, but that growth then produced a stronger civil society that over time clamored for the end of the Pinochet dictatorship. (The same pattern could be seen in Taiwan, South Korea, Spain and Portugal.) In Latin America today, democracy and markets have acted to reinforce each other, transforming the continent, which 30 years ago was almost entirely ruled by dictatorships to one that is today almost entirely ruled by democracies.

Cuba is an outlier, one of the last regimes in Latin America that has embraced neither markets nor ballots. The Obama administration is acting on the theory that more commerce, capitalism, contact, travel and trade will empower the people of Cuba and thus give them a greater voice in their political future. And so the first point to make is that it will help Cubans economically -- it will raise their incomes, their standard of living, and boost access to technology. These are all good things in and of themselves.

But easing the embargo will also help Americans, who will benefit from being able to trade with a neighbor. This is the reason that conservatives have long understood that free trade is not a gift bestowed on someone. It helps both countries and in particular, helps the United States.

That's why the Wall Street Journal's editorial page -- bastion of conservative thought -- has been an advocate on lifting the trade embargo against Cuba, which is a far larger step than Obama's normalization.

So, did it support Obama's opening? Of course not. It turns out that he has done it in the wrong way. It is difficult not to think that the problem here is not the policy, but who the president is. Had George W. Bush announced this initiative, I have a feeling that the Wall Street Journal would be hailing it -- and Rubio would be quoting Milton Friedman to us all.

Watch Fareed Zakaria GPS Sundays at 10am and 1pm ET. For the latest from Fareed Zakaria GPS click here.

@highlight

Fareed Zakaria: Sen. Marco Rubio's conclusions about Cuba opening wrong

@highlight

Easing the embargo will also help Americans, Zakaria says

@highlight

He says Rubio's position would be different if Republican president had made the change