(CNN) -- A number of Chipotle employees across Minnesota were fired after an immigration audit targeted the restaurant chain for allegedly hiring undocumented workers, officials said.

"We are not disclosing a number of people displaced by this," company spokesman Chris Arnold said Monday. "We did lose some restaurant employees in Minnesota following a document review by Immigration and Customs Enforcement."

The review took place last month and is likely reflective of a shift away from work-site crackdowns against employees -- considered a hallmark practice under the Bush administration -- and toward so-called "I-9 audits," which instead focus on the hiring practices of their employers, according to analysts and a U.S. Immigration official who declined to be named.

The I-9 form is an employment eligibility document meant to determine a person's ability to work legally in the United States.

"At the end of the day, the goal is to ensure that the companies have an authorized, legal workforce and also that employers are aware of their responsibility to ensure the people they hire are lawful," the official said.

The I-9 strategy is believed to be a more effective use of the agency's investigative resources, putting the onus on the audited company to take corrective action, the official added.

Chipotle has "done what ICE has asked of us and are looking to put that incident behind us," Arnold said.

The crackdown coincides with recent judiciary hearings in Arizona in which lawmakers debated proposals to end birthright citizenship for U.S.-born children of illegal immigrants.

Nearly one-third of America's 38 million immigrants are illegal, just under four percent of the total U.S. population, according to recent reports from the Pew Hispanic Research Center and the Brookings Institute, a Washington-based think tank.

Of those, many are employed in low-wage restaurants jobs.

But analysts debate the broader economic impact of illegal immigration in the United States.

Critics often blame the large undocumented workforce for siphoning public resources while forcing a drop in wages or displacing low-skilled U.S.-born workers.

Advocates say consumers benefit from lower prices as a result of the lower wages paid to illegal workers, arguing that they fill unskilled labor gaps and create work opportunities for higher-skilled, higher-paid workers who are often native born.

Illegal immigration "nationally, doesn't seem to make a significant difference" to the broader U.S. economy, said Audrey Singer, a senior fellow at the Brookings Institute who studies U.S. immigration policy.

"The real impact is at local levels," Singer said, pointing to state and local law enforcement, schools and health care systems that pay for an undocumented workforce that may or may not contribute tax revenue for services rendered.

But as record unemployment rates affect cities and towns across the country, immigrants -- particularly illegal immigrants -- are being targeted, she said.

CNN's Christine Romans, Laura Batchelor and Jeanne Meserve contributed to this report

@highlight

Chipotle employees in Minnesota were fired after an immigration audit

@highlight

Restaurant officials say they have complied with ICE requests

@highlight

Nearly one-third of America's 38 million immigrants are illegal