(CNN) -- To assess this weekend's nuclear deal with Iran, here are the key questions that must be answered:

1) How close was Iran to building a nuclear weapon?

The deal does not stop the Iranian nuclear program. It merely slows certain elements of that program for six months while others continue. After six months, Iran can resume where it left off. Iran made no concessions that cannot be reversed.

More telling, Iran has protected its top nuclear priority. The deal allows it to continue enriching uranium, a stark departure from previous U.S. policy and a clutch of U.N. Security Council Resolutions that declare enrichment by Iran illegal and unacceptable, period.

If Iran was on the verge of a nuclear breakout, it might make sense to pay a high price to slow the Iranian nuclear program. If nuclear breakout was less imminent, the trade-off looks reckless.

20 questions about the Iran nuclear deal

2) How close was Iran to economic collapse?

The Iranian economy is staggering. Its currency has lost three-quarters of its value over the past two years. Goods have vanished from shops. Unemployment is high, and inflation roars.

This year -- and over the objections of the Obama administration -- Congress imposed the most effective round of sanctions yet: the Kirk-Menendez sanctions that barred Iran from the international payments system.

Sanctions have squeezed one of the world's major oil producers to the point where it has access to perhaps only $20 billion in usable hard currency, barely more than Bangladesh. This deal unfreezes $7 billion in cash, a big infusion.

Potentially even more important, the deal relaxes sanctions on gold, opening the way to the resumption of an old sanctions-busting trick: selling oil abroad in exchange for gold trucked in from neighboring Turkey. Iran will also be allowed to buy spare parts for its aging civilian aircraft.

3) How much do we care about making Iran's new president look good?

Iran is no democracy, but it has a political process. Elections are manipulated, and candidates unacceptable to the religious establishment are barred from the ballot, but there is some space for some limited discussion of issues. In the presidential elections this summer, the winning candidate, Hassan Rouhani, pledged to obtain relief from sanctions.

Some in the Obama administration seem to have decided that Rouhani is an Iranian Mikhail Gorbachev, a leader with whom the West can do business. In this view, a "win" for Rouhani is important to the West, strengthening moderates against hardliners and opening the way to a broader detente.

The trouble with this view, however, is that the evidence is strong that Rouhani is really the Iranian Yuri Andropov, the former Soviet secret police chief who preceded Gorbachev. Less doctrinaire and stupid than other Communist leaders, Andropov was no less hostile to the West. Rouhani led the long effort to dupe Western governments about Iran's nuclear program in the earlier 2000s.

There's every reason to fear that the "detente" he wants is one that allows Iran to obtain a respite from sanctions while continuing its development of weapons of mass destruction.

4) How little do we care about the anxieties of regional allies?

Israel and Saudi Arabia have vociferously voiced their dismay at this agreement. Smaller allies such as the United Arab Emirates have been less vociferous but no less dismayed.

The Obama administration answers, "We know better. We have larger interests and therefore larger perspective. We put our interests ahead of yours." That's what great powers do. But is this particular great power correct at this particular time? Being big is not the same thing as being smart.

5) How much do we care about other forms of Iranian misconduct?

Even if Iran had never started its nuclear program, it would qualify as a major bad actor. Without Iranian support for Syria's Bashar al-Assad, that country's civil war would have ended long ago. Iran makes mischief in Iraq and Afghanistan, bankrolls terror attacks on Israel and Saudi Arabia, and trains and supports anti-U.S. movements and regimes in places as far away as Venezuela.

None of that behavior was on the table on Geneva, and therefore that behavior will continue after Geneva.

Does that behavior not matter?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Was deal smart? If Iran wasn't close to building a nuke, deal looks reckless

@highlight

He says deal relaxes sanctions just when they'd left Iran close to economic collapse

@highlight

He says some view President Hassan Rouhani as a Gorbachev-type figure

@highlight

Frum: Deal doesn't address Iran as bad actor in Syria and beyond; does that not matter?