(CNN) -- The Obama administration is proposing to scrap the NSA's bulk collection of all Americans' phone call records.

The administration's proposal is eminently sensible. It eliminates the government collecting five years of every Americans' phone records and instead mandates that U.S. phone companies themselves keep those records for only the 18 months that they are required to do so by federal regulations.

And most importantly, it proposes that a court order would be necessary to obtain the phone records of individual Americans. This ensures that there is some kind of judicial review before the government can get hold of any American's phone records, rather than leaving this up to the judgment of a small group of anonymous officials at the National Security Agency.

The new proposal, first reported in The New York Times, ensures that the NSA is no longer storing vast amounts of data about Americans' calling habits while it still allows the government to access the phone records of terrorism suspects after a judge has reviewed the case.

This proposed fix to the system hardly seems onerous. After all, since 1979, judges have only turned down 0.3% of the requests they have received for warrants involving cases of suspected espionage or terrorism.

Such a move would, however, assure Americans that there was some sort of due process going on whenever their phone records are examined by the government. This is closer to the spirit of the Fourth Amendment, which guards against "unreasonable searches," than does the present system in which the NSA sucks up vast amounts of phone record information.

The Obama administration proposal is particularly welcome in light of a New America Foundation study published in January. The study looked at the government's claims about the role that NSA "bulk" surveillance of phone records had in keeping the United States safe from terrorism and found that these claims were overblown.

An in-depth analysis was conducted of 225 individuals recruited by al Qaeda or a like-minded group, or inspired by al Qaeda ideology and charged in the United States with an act of terrorism since 9/11. The analysis demonstrated that traditional investigative methods -- such as the use of informants, tips from local communities and targeted intelligence operations -- provided the initial impetus for investigations in the majority of cases while the contribution of NSA's bulk surveillance of phone records to these cases was minimal.

(Click to go to a database of all these 225 individuals and additional details about them.)

So what has been the impact of NSA data collection?

The bulk collection of American telephone metadata -- which includes the telephone numbers that originate and receive calls as well as the time of those calls but not their content (under Section 215 of the Patriot Act) -- appeared to have played an identifiable role in, at most, 1.8% of these cases.

This finding corroborated that of the Obama-appointed White House review group, which had access to classified materials. That group concluded in December that "section 215 telephony metadata was not essential to preventing attacks."

Furthermore, our examination of the role of the database of U.S. citizens' telephone metadata in the single plot the government used to justify the importance of the program -- that of Basaaly Moalin, a San Diego cabdriver who in 2007 and 2008 provided $8,500 to Al-Shabaab, al Qaeda's affiliate in Somalia -- calls into question the necessity of the Section 215 bulk collection program.

According to the government, the database of American phone metadata allows intelligence authorities to quickly circumvent the traditional burden of proof associated with criminal warrants, thus allowing them to "connect the dots" faster and prevent 9/11-scale attacks. Yet in the Moalin case, after using the NSA's phone database to link a number in Somalia to Moalin, the FBI waited two months to begin an investigation and wiretap his phone.

This finding undercut the government's theory that the NSA database of Americans' telephone metadata was necessary to expedite the investigative process, since it clearly didn't expedite the process in the single case the government used to extol its virtues.

The New America Foundation study concluded the surveillance of American phone metadata had no discernible impact on preventing acts of terrorism and only the most marginal of impacts on preventing terrorist-related activity, such as fundraising for a terrorist group.

That's why the new Obama proposal to end the NSA sucking up of the phone records of Americans going back half a decade is especially welcome.

David Sterman and Emily Schneider helped research this article.

@highlight

President Barack Obama is proposing to end NSA bulk collection of phone records

@highlight

It would require a court order to obtain phone records of individual Americans

@highlight

Peter Bergen: Government would still be able to do legitimate terrorism investigations

@highlight

He cites study by New America Foundation that found phone records were of minimal use