Washington (CNN) -- Two unconnected overseas emergencies -- the Ebola outbreak in West Africa and Islamic terrorists in Iraq and Syria -- are prompting President Barack Obama to embark on a two-day U.S. road trip that the White House hopes will demonstrate a commander at work.

The spread of Ebola in West Africa, which hasn't slowed despite $100 million of pledged U.S. aid, is unrelated to the U.S. mission to degrade ISIS terrorists in Iraq and Syria. But both have prompted worry among Americans about their personal safety and led to charges the White House isn't doing enough to combat the hazards.

The dual foreign plagues have yet to pose an immediate threat to the United States homeland, the White House says, though each has claimed the lives of Americans abroad. And officials say both Ebola and ISIS could grow to become unmanageable problems if action isn't taken now to stamp them out.

Obama's trip, which begins Tuesday, will take him to the Atlanta headquarters of the Centers for Disease Control and Prevention, and later to the U.S. Central Command at the MacDill Air Force Base in Tampa.

The President's stop Tuesday at the CDC comes amid loudening criticism from health experts on the global response to the Ebola outbreak in West Africa, where almost 2,500 people have died.

At the U.S. public health agency Obama will be briefed on the outbreak and speak to officials there about how the U.S. is responding. Afterwards he's likely to announce new U.S. commitments in combating the virus' spread, the White House said Monday.

Though officials would not specify how the U.S. may increase its response, steps Obama could announce include sending more medical equipment and U.S. doctors and nurses to combat the virus, and ramping up training for local medical teams.

The Defense Department may also be asked to increase its support in handling logistics of the large-scale response already underway, which involves multiple countries and aid groups.

Epidemiologists and others who are monitoring the disease have claimed developed countries aren't sending enough resources to the three nations most affected: Liberia, Sierra Leone and Guinea.

The U.S. has committed more than $100 million in the effort to combat Ebola, according to the U.S. Agency for International Development, and Obama plans to call on Congress to approve an additional $88 million as part of a bill to fund the federal government.

Last week USAID said it would spend $75 million to build treatment facilities and supply them with medical equipment.

But so far the U.S. aid has been unable to stop the spread of the deadly virus, which Obama and White House officials are calling a national security problem. Particularly concerning, U.S. officials say, is the potential for instability in the countries where Ebola is rampant and the possibility for the virus to mutate into a more dangerous form.

Ebola currently only transmits though contact with bodily fluids; a mutation that allows the virus to spread through the air would pose a catastrophic threat to human populations worldwide, health experts say.

Speaking Monday, White House Press Secretary Josh Earnest said there was still a "very low" likelihood the Ebola virus could mutate in a way that poses a threat to the United States.

"Right now, the risk of an Ebola outbreak in the United States is very low, but that risk would only increase if there were not a robust response on the part of the United States," Earnest said.

The potential for increased risk to the U.S. homeland has also inspired the more robust response to ISIS terrorists, who Obama announced last week would be the target of an air campaign inside Iraq and Syria.

That mission is run from U.S. Central Command in Tampa, where Obama will receive a briefing on battle plans Wednesday. The White House said the President would also visit servicemen and women during his stop at the facility.

Obama and his aides maintain that ISIS fighters don't currently pose a direct threat to the U.S. homeland but warn of the potential for militants with U.S. or Western passports to return home and stage an attack remains a top concern.

Secretary of State John Kerry has been engaging Arab and European nations in building a coalition to fight ISIS, though levels of commitment from foreign partners has remained vague.

"We're pleased with the level of conversations that we're having with these governments and their willingness to contribute in a tangible, important way to this broader effort," Earnest said Monday. "We'll have some announcements to make in terms of what sort of cooperation and involvement and commitment that we have from the international community. And based on the tenor and tone of the kinds of private conversations that are underway right now, we expect those commitments to be substantial."

@highlight

Obama hits road Tuesday for briefings at CDC and CENTCOM

@highlight

White House facing unconnected Ebola and ISIS crises

@highlight

If left unattended, both could present risks to U.S. homeland