(CNN) -- When Youssef Boutros Ghali slipped into the role of Egypt's finance minister in 2004, the country's economy was poised for rapid growth.

Youssef Boutros Ghali is a strong advocate of economic reform in Egypt

After spending the previous ten years hovering around the four percent mark, gross domestic product (GDP) jumped to 5.6 percent (2004/2005). By the end of 2007, it had shot up to 7.1 percent.

According to the International Monetary Fund, the end of 2004 marked the start of Egypt's "growth spurt." Between then and March 2007, 2.4 million jobs were created, reducing unemployment to nine percent.

Money from the Gulf flowed in, pushing up land prices and driving Egypt's stock market to a record high. The benchmark index, the CASE 30, rose 51 percent in 2007 and continued to climb in the first few weeks of 2008.

This year, Egypt topped the World Bank's list of "reformers": countries where it has become easier to do business.

However, with growth has come inflation. In March 2007, the Consumer Price Index (CPI) peaked at 12.8 percent. The government says it's since fallen to around eight percent, but some analysts are skeptical of official figures, saying the real number could be much higher.

Egypt's also facing a groundswell of criticism from poorer members of society who say they're not seeing any benefits from the economic boom.

According to the World Bank, 17 percent of the population is living in poverty, surviving on less than one dollar a day.

In the past few years, Egypt has started selling off state assets, partly to raise money for social programs. One of the biggest sales came in 2006 with the $1.6 billion auction of 80 percent of the Bank of Alexandria to Italian bank San Paolo.

Charles Hodson spoke with Egyptian Finance Minister Youssef Boutros Ghali in London, and asked him whether there was still the political will within Egypt to continue with such large-scale privatizations.

(YBG): The political will is there. The question is, do we still have such large-scale privatizations? What we have created is the momentum for a private sector presence in Egypt; a significant, important dominant private sector in Egypt. We would like them to lead but we can't flood them with all sorts of assets that they may or may not want to buy. So we as the private sector is willing and we will provide them with the assets. But we're pretty soon going to be running out of private assets to privatize.

(CH): The proportion of people who are living in absolute poverty in Egypt is approaching 20 percent. What kind of pressure does that impose on you as you formulate this kind of policy?

(YBG): We are deeply concerned about those in Egyptian society that are not touched by the reform directly, and as you say there are people who are below the poverty line, reaching almost 20 percent. These reform programs will trickle down, but they will not trickle down overnight. We have complaints in Egypt. A lot of those who are less privileged are complaining. They are complaining very loudly. What makes it worse is that we feel for them. We know that they are right to complain, and we know that they deserve some of the fruits of the reform.

(CH): Take something like opening up markets, which is something you've done. You've earned praise from UNCTAD, the relevant UN body, and of course from the World Bank. But that isn't going to help the average Egyptian living in absolute poverty, or certainly not for a while.

(YBG): In Egypt, we have been blessed with an economy that is flexible, that responded quickly. As soon as we took the basic structure of measure of tax and tariff reforms the economy responded right away. Our investment, our foreign direct investment went from $450 million dollars a year to $11 billion in under three years. This is a quick response. Now we're hoping that we will have an equally quick response in reaching to the underprivileged.

(CH): So reform is clearly a good word in Egypt, but so far only on the economic scale. Is there a feeling that it has to flow over into the political sphere, that there has to be political reform?

(YBG): It already has spilled over into the political sphere. It has been spilling over in the political sphere for the past five, six, seven years. The dynamics are different in the political sphere. It's a lot more difficult to get the political reforms we want than it is to get the economic ones. Both -- and I can state this with confidence -- both are equally important; they just happen to move with different dynamics. E-mail to a friend

@highlight

As Egypt's finance minister, Youssef Boutros Ghali has pushed for reform

@highlight

Egypt's economy grew 7.1 percent in 2007, inflation still a concern

@highlight

World Bank: 17 percent of Egyptian population living in poverty

@highlight

Ghali: "We know that they deserve some of the fruits of the reform"