Last month, President Obama announced a new initiative, My Brother's Keeper, which aims to improve the life chances of young black men. It's an important effort designed to help one of American society's most vulnerable populations. Young black men are disproportionately likely to drop out of school, experience unemployment and come into contact with the juvenile and criminal justice systems. Experts disagree about the root causes of these problems, but few doubt that something needs to be done.

One of the interventions Obama highlighted is called Becoming a Man, a Chicago-based program that aims to reduce teenagers' violent behavior by teaching them "social-cognitive skills," such as self-control, conflict resolution and the ability to more accurately read the emotions and intentions of others.

Many aggressive adolescents have short fuses, and they are quick to lash out at others unnecessarily. The program's hope is that by strengthening teenagers' self-control, they will become better at tamping down angry impulses and thinking through situations before acting. (Full disclosure: I am a member of a team of scientists, headed by researchers at the University of Chicago, who are evaluating Becoming a Man.)

Intervening to help young black males develop better social-cognitive skills is important, but if the President's initiative is to be successful, transformations are needed in our social institutions as well. One of the most significant contributors to the difficulties that many black teenagers have is that those who have been convicted of crimes typically penetrate more deeply into the justice system than offenders from other ethnic groups.

Black teenagers are not just more likely to be arrested, they also are more likely to be locked up, even when convicted of the same crimes as others.  Racial disparities are especially pronounced when it comes to punishment for relatively minor offenses, such as drug possession. For example, black juveniles are nearly twice as likely as their white peers to be locked up for a drug offense.  As a result of mandatory sentencing laws, courts don't have much discretion when it comes to sentencing people convicted of serious violent crimes, which makes sentencing less racially biased in these instances.

Incarcerating a young black man seriously impedes his chances of making a successful life. Spending time in jail or prison disrupts schooling, which makes it hard to get a decent job. The unemployment that often follows release from incarceration has rippling effects, contributing to high rates of single parenthood (unemployed men are less likely to marry) and family instability in the black community (divorce rates are higher in families with unemployed fathers), increasing the likelihood that one generation's difficulties will be passed on to the next.

It's a vicious cycle that needs to be broken. One way of breaking it is to stop locking people up who have broken the law but who don't present a genuine danger to the community.

For several years, I co-directed one of the largest studies ever conducted of juvenile felons. We monitored more than 1,300 teenagers (all but about 200 of them males) who had been arrested for very serious crimes—like armed robbery or aggravated assault—in Philadelphia and Phoenix. We followed the sample for seven years, as they transitioned from adolescence into young adulthood.

Our study reflected what many other studies of juvenile offenders have shown: Only about 10% of the youths we tracked continued their criminal ways beyond their early 20s. Crime is a young man's business—it requires the stamina, short-sightedness and recklessness of youth.

What led the other 90% to stop offending? Mainly, it's just growing up and developing better self-control, largely due to the maturation of parts of the brain that are still developing in late adolescence. Incarceration had no impact on recidivism. After leaving prison and returning to the community, offenders who had been locked up were just as likely to commit another crime as were individuals who hadn't been incarcerated and who were put on probation and treated in the community.

This has important economic implications for cities and states on tight budgets. Incarceration costs about four times as much as probation. Every time we unnecessarily lock someone up, we are wasting dollars that could be more profitably invested in education and crime prevention, or, at the very least, returned to taxpayers.

Incarceration is problematic enough. Trying juveniles as adults—also disproportionately more common among black males—makes matters even worse. Juvenile offenders who are released from an adult jail or prison are more likely to commit another serious crime, and to do so sooner, than ones who had been sent to a juvenile facility.

It's not hard to understand why: Adult prisons are schools for crime, where juveniles spend time with seasoned criminals. They are also scary places, where younger inmates are frequently assaulted and traumatized, which also makes them more likely to re-offend after being released.

The irony, then, is that while programs like Becoming a Man can help black teenage boys succeed in school and stay out of trouble, treating those who break the law as if they already are men has just the opposite effect. If My Brother's Keeper is going to succeed, we can't just focus on "fixing" young black men. We need to fix the justice system, too.

@highlight

Laurence Steinberg: Obama initiative to improve life chances of young black men is a start

@highlight

To make impact, address disproportionate number of jailed black youth, he says

@highlight

He says black youth more likely to get locked up than whites; this impedes chance for life success

@highlight

Steinberg: Programs don't just need to "fix" young black men, they need to fix justice system