(CNN) -- I finished this column at 7 a.m. Friday morning, interrupting my vacation to write it. About six hours later, President Obama made an impromptu appearance in the White House briefing room, sharing in detail his thoughts and feelings about the verdict in the case of George Zimmerman, who was acquitted of killing Trayvon Martin.

In a deeply stirring moment, the president said, "Trayvon Martin could have been me 35 years ago."

President Obama went on to talk about the historical context of the black experience, including the prejudice that he himself experienced as a young African-American man. He talked about the black community's need to acknowledge some of their internal problems and to search for solutions, not excuses. He talked about ways we could move forward on race relations.

Thinking out loud, he didn't preach, he didn't propose massive new government programs. He suggested approaches, ways of rethinking, appealed to the "better angels of our nature," and expressed confidence that the younger generation is "better than we were on these issues."

Perhaps it indicates shared experiences and expectations, but I found many of my thoughts anticipated his thoughts. And now, I have to examine what I wrote, make sure, as much as I can, that my words also move us toward "a more perfect union."

I go back to a formative event in my life -- the historic 1963 March on Washington where the Rev. Dr. Martin Luther King, Jr. delivered his stirring "I Have a Dream" speech. Many of the original marchers are no longer with us. After 50 years, his words of hope, resolve and encouragement still echo with us.

"I have a dream that my four children will one day live in a nation where they will not be judged by the color of their skin but by the content of their character." Dr. King spoke not just of the future that should be, but the present that is. The Constitution and Declaration of Independence were, he said, promissory notes that had come due.

Dr. King acknowledged passions, the anger and frustration fueled by a hot summer and enflamed by indifference and misapprehension. Reiterating President Obama's prayer, I would remind those rallying in support of Trayvon Martin of Dr. King's words: "Let us not seek to satisfy our thirst for freedom by drinking from the cup of bitterness and hatred...Again and again we must rise to the majestic heights of meeting physical force with soul force."

After the Zimmerman verdict, President Obama issued a statement, saying, in part: "We should ask ourselves if we're doing all we can to widen the circle of compassion and understanding in our own communities. We should ask ourselves, as individuals and as a society, how we can prevent future tragedies like this." His remarks today put us in the right direction.

Our first bi-racial president responded to calls that he "break his silence" and lead a "national dialogue on race." He said, no, because "when politicians try to organize conversations ... they end up being stilted and politicized, and folks are locked into the positions they already have."

Rather, he said, we should talk in what I would call our "small places," within our families, places of worship, workplaces and community gatherings. Because in those places "there's a possibility that people are a little bit more honest, and at least you ask yourself your own questions about, am I wringing as much bias out of myself as I can."

I grew up in the once segregated South. I experienced forced integration during my formative school years. I lived the sacrifices, burdens and tears. I also lived the moments of understanding, of acknowledgment, of fellowship and success. I saw my parents and grandparents coming home beaten down -- and some of my friends beaten up. But I was also forbidden by them to hate anyone, and learned from them to love, respect and be tolerant of others.

Obama's groundbreaking speech about race -- his "More Perfect Union" speech in 2008 -- spoke about the balance and the struggle and the promise of mutuality inherent in the Constitution. He referenced it today. He sees himself, as president, a spokesman for all Americans. Both of his presidential campaigns were based on American diversity, its value and its power.

Power to the people.

So, where do we start? Person to person, neighborhood by neighborhood. We can start with the kind of self-examination the president suggests -- by looking at our knee-jerks, our stereotypes, our blame-game projections. We can start by acknowledging the progress we've made in the long march for equality under the law.

We can start by listening better. We can start by admitting we're not always right and that "I don't see it that way" aren't fighting words.

We can start by making opportunities for our youth a high priority, and by showing them -- by example -- how to work out differences, without ridiculing those who are different.

We can start by taking action -- action is the main thing. We can start by increasing, by a little, our acts of goodness and kindness, especially toward those with whom we disagree.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

President Obama commented on the case of Trayvon Martin and George Zimmerman

@highlight

Brazile: Obama suggested approaches to moving forward on race relations

@highlight

She says that in her youth, Dr. King inspired her and others with similar messages

@highlight

Brazile: We can start by acting more kindly toward those with whom we disagree