Sanaa, Yemen (CNN)At any moment, Saudi troops could march through Yemen, heating up an already intense conflict that could have ramifications across the Middle East.

On Monday, a Saudi-led coalition of nine countries continued airstrikes against Shiite Houthi rebels, who have captured key parts of Yemen and ousted that country's President, and who could spread Iran's influence in the region.

And the notion of an Iranian proxy power in Yemen is unacceptable to many -- especially Iran's staunch rival Saudi Arabia.

'Tricky issues' remain in nuclear talks with Iran

"I think the Saudis ... feel directly, physically threatened by what is happening," said Richard Haass, president of the Council on Foreign Relations.

But if the coalition takes the fight to the ground in Yemen, the consequences could be severe. Houthis are battle-hardened guerrilla fighters and could cross into Saudi Arabia. They've already threatened suicide bomb attacks inside Saudi Arabia.

And Yemen, already the home base to al Qaeda in the Arabian Peninsula, now teeters on the brink of becoming a failed state and an even more fertile breeding ground for extremism.

Here's the latest on the crisis in Yemen and its impact around the world:

Saudi-led airstrikes targeted Houthi military posts and weapons depots in the capital city of Sanaa on Monday, two Houthi commanders told CNN.

Yemen's Defense Ministry said a Saudi airstrike hit Al-Mazeraq refugee camp in Haradh, near the Saudi border, killing at least 40 internally displaced people and injuring 250.

The group Medecins Sans Frontieres (Doctors Without Borders) tweeted that one of its teams had received "30 wounded plus 15 dead bodies following airstrike on IDP camp today."

Previously, airstrikes hit Houthi militant groups, smashed their air defense guns and crumbled key infrastructure, a Saudi official has said.

Egyptian warships fired on the road that runs from the Yemeni port town of Zinjibar into the key coastal city of Aden but did not fire on Aden directly, according to an official with Yemen's Southern Movement.

The road is the eastern approach to Aden and is one of the three main roads into the city. The Egyptian naval barrage is intended to block the Houthi advance on Aden and push those fighters back, the source said.

Egyptian warships had deployed to the Bab al-Mandab strait last Friday, according to media reports, intent on protecting that passage that is the only access from the Arabian Sea to Egypt's Suez Canal.

The coalition's campaign has been dubbed Operation al-Hazm Storm. The Arabic term "al-Hazm" can be translated as "determinant" or "decisive."

Saudi Arabia and Egypt have both talked about the possibility of putting boots on the ground. On Saturday, Yemeni Foreign Minister Riyadh Yaseen said he expected coalition troops to be in Yemen within days.

Saudi leaders have said that if troops do go in, they won't leave until they have degraded the Houthis' ability to fight. The Houthis are apt guerrillas. A fight on the ground could prove bloody and lengthy.

The conflict splits the region along religious lines. Operation Decisive Storm's largely Sunni coalition includes Saudi Arabia, the United Arab Emirates, Kuwait, Bahrain, Qatar, Jordan, Morocco, Egypt and Sudan.

On Monday, Pakistan's government said Prime Minister Nawaz Sharif had chaired "a high-level meeting" of senior officials to review the situation in the Middle East.

"The meeting concluded that Pakistan remains firmly committed to supporting the sovereignty and territorial integrity of Saudi Arabia in accordance with the aspirations of the people of Pakistan," it said in a statement.

"It was emphasized that Pakistan stands committed to playing a meaningful role in arresting the deteriorating situation in the Middle East. In the same context, and to facilitate early resolution of the crisis and to promote peace and unity of the Muslim Ummah (community), the Prime Minister would be contacting the leadership of brotherly countries," the statement continued.

The Shiite Houthis are allied with Iran, a majority Shiite nation. Saudi Arabia has accused Iran of boosting the Houthis' weaponry for their offensive. Iran has sharply denounced the Saudi-dominated intervention in Yemen.

On Sunday, Israeli Prime Minister Benjamin Netanyahu accused Iran of trying to use the conflict in Yemen to "take over the whole Middle East."

The United States has supported the coalition's efforts. While it is helping the Saudi-led team with logistics and locating targets, the U.S. is not participating in active battle.

Dozens have died in the airstrikes, Houthi commanders said.

The rebel commanders also said the coalition struck the Houthi-controlled Al Anad air base, which was used as the headquarters for U.S. counterterrorism operations before Houthi rebels took control of it.

The Houthis claimed they shot down a Sudanese jet and captured the pilot on Saturday. They distributed photos of a pilot and wreckage to back up the claim.

The Yemeni crisis erupted when Shiite Houthi rebels, who have long felt marginalized in the majority Sunni country, began seizing the capital and other parts of the country last fall.

Houthis moved into Sanaa in September, sparking battles that killed hundreds of people.

Yemeni President Abdu Rabu Mansour Hadi fled the capital over a month ago.

In January, Houthis surrounded the presidential palace. Hadi resigned and was put under house arrest.

He escaped in February and went to the coastal city of Aden, but declared he was still the country's leader.

Last week, Hadi went to Sharm el-Sheikh, Egypt, to attend the Arab League summit, where he is rallying support for Operation Decisive Storm.

Even from afar, Hadi had strong words for the Houthis:

"You violated the sovereignty (of Yemen)," he said, "and you bear the responsibility for what happened and what is going to happen."

That Arab League summit produced a notable agreement: the Sharm el-Sheikh Declaration, which paves the way for a united Arab force that would be ready to fight insurgents if a member country came under attack.

Egyptian President Abdel Fattah el-Sisi actually called for a joint Arab force last month to fight ISIS. But the agreement over the weekend carries extra significance amid the battle against Houthis in Yemen.

Egypt: It's time for an Arab coalition against ISIS

The logistics and details of the joint Arab force have yet to be worked out.

But the declaration also urges the Houthis to immediately withdraw from Yemen's government institutions and to surrender their arms to "legitimate authorities."

Many U.N. representatives have had to flee the chaos. And Saudi naval special forces have rescued dozens of diplomats, a Saudi official said.

The conflict in Yemen also led to the withdrawal of U.S. special forces earlier this month, seriously undermining counterterrorism efforts in a country that has been a stronghold for al Qaeda in the Arabian Peninsula.

Haass, of the Council on Foreign Relations, said what's happening in Yemen could devolve into a long, protracted religious war.

"You have civil wars, you have proxy wars. You have regional wars all in one," he said. "And these things have so many logs on the fire, to use the metaphor, that they ... burn and burn and burn for a long time."

Journalist Hakim Almasmari reported from Sanaa; CNN's Holly Yan reported and wrote from Atlanta. CNN's Fareed Zakaria, Anas Hamdan, Tim Lister and Ian Lee contributed to this report.

@highlight

Saudi airstrikes kill 40 at refugee camp, Yemen's Defense Ministry says

@highlight

Egyptian warships shell road leading to key port city, said official with Yemen's Southern Movement

@highlight

Yemen's foreign minister says he expects coalition ground troops to arrive within days