BAGHDAD, Iraq (CNN)  -- Iraq's prime minister wants the American military to hand over "Chemical Ali" and two other convicted officials from Saddam Hussein's regime for execution, an Iraqi official said Tuesday, but the move could widen the divide between Iraq's Sunni and Shiite Muslim communities.

Ali Hassan al-Majeed, aka "Chemical Ali," was sentenced to death in June for his role in the 1988 Anfal campaign.

Ali Hassan al-Majeed (aka "Chemical Ali"), Sultan Hashem Ahmed and Hussein Rashid were sentenced to death in June for their roles in the 1988 Anfal campaign, an Iraqi army operation in Kurdish-dominated northern Iraq that killed tens of thousands of people.

The three were to be executed in October, 30 days after their appeals were exhausted, but the three members of Iraq's presidency council have not signed the execution orders, as Iraqi law requires.

Many Sunni Arabs and U.S. officials don't think Ahmed and Rashid should be executed because such a move could anger Sunnis. Only recently have U.S. efforts to bring Sunni Arabs into the Iraqi political fold paid off.

After the toppling of Hussein's Sunni-dominated government and the emergence of the Shiite-dominated power structure, Sunni Arabs began supporting the insurgency. The United States since has made it a political priority to include Sunnis in the Iraqi power structure.

At the same time, Iraq's Shiites might be angry if the three men aren't executed. Shiites were persecuted under Hussein, and they want to punish convicted members of the former regime.

Prime Minister Nuri al-Maliki wrote a letter to President Bush last week asking him to order the military to hand over the three men, but it was unclear if Bush replied, the official in al-Maliki's office said.

Though the Iraqi High Tribunal sentenced the men to death in June, the three remain in U.S. custody. The delay in their executions has been attributed to legal and procedural issues. U.S. officials said the men will be handed over when those issues are resolved.

On Sunday, U.S. Deputy Secretary of State John Negroponte told reporters in Baghdad that there are disagreements on what to do about the situation.

"Once the government of Iraq has reached a consensus on what they wish to do about these detainees, we will then take action, but at the moment the government of Iraq itself has not reached its own consensus as to what to do about this situation. So we await that," Negroponte said.

Iraqi law requires the three members of Iraq's presidency council sign the execution warrants, but the law doesn't explain what happens if leaders don't sign the warrants.

Jalal Talabani, the Kurdish president, and Tariq al-Hashimi, the Sunni vice president, are unwilling to sign an execution order. The third member of the council is the Shiite vice president, Adel Abdul Mahdi.

A Western official close to the case said last month that Iraqi courts have not addressed whether the council's inaction constitutes a de facto pardon or a stay of execution, but al-Maliki has said the ruling was upheld by an appellate court and should be carried out regardless of the signatures.

Al-Maliki's letter to Bush and public statements by the prime minister and others misrepresent "the Iraqi law applicable in this particular case as well as with respect to the procedure governing executions more generally," the official said.

Iraqi legal advisers have informed the government of their "unambiguous opinions" regarding the law and executing the three men without approval of the presidency council "would violate Iraqi law and, arguably, international law binding upon individual Iraqi officials," the official said.

The Western official further said Rashid was not "criminally culpable for anything that happened during Anfal" and that Ahmed and is "extremely popular" among military officials. Ahmed's constituency "cuts across Sunni-Shia lines," the official said.

"At the end of the day, what I think that we shall see is a compromise: The life of Ali Hassan al-Majeed will be traded for the savings of the lives" of Ahmed and Rashid, the Western official said.

Other developments

• A man appearing in a video shown by an Arabic-language TV network Tuesday is believed to be one of five Britons kidnapped in Baghdad this year, said a Canadian-based security firm that employs the man. A spokesman for Garda World Security Corp. said company officials believe that the video is authentic.  The video, which included a demand for Britain to pull out of Iraq, shows two armed militants pointing machine guns toward the hostage but not to his head. It aired on the Dubai-based network Al-Arabiya.

• A suicide bomber blew himself up Tuesday near a police station north of Baghdad, killing eight people and wounding 30, police in Baquba said. The bomb detonated outside a main gate of a police station in Jalula. Among the dead were four police officers and two Iraqi Kurdish troops. The troops had been deployed to the area as part of a security crackdown.

• A U.S. soldier was killed "as a result of injuries sustained from a vehicle explosion during a vehicle recovery operation" in western Iraq, the U.S. military said Tuesday. Two troops were wounded in the Monday incident in Anbar province. The number of troops killed in the Iraq war stands at 3,876. Seven civilian contractors also have been killed.

• A freeze in activity by the Mehdi Army -- the militia of radical Shiite cleric Muqtada al-Sadr -- that began more than three months ago has had "very significant" effects in Baghdad, a U.S. military commander said. Brig. Gen. Kevin Bergner cited security improvements, including potent military operations, the development of "concerned local citizen" security volunteers and the development of grass-roots support for the Iraqi government. These have occurred amid a drop in attacks and a decline in civilian and military deaths since the U.S. troop escalation called the "surge" began this year.

• Commercial airline travel from the largest city in northern Iraq has resumed for the first time in 14 years, a development called a "significant step for the revitalization of the economy" in the northern region, according to a U.S. military news release. A flight carrying 152 Muslim pilgrims for the annual hajj pilgrimage to the Saudi Arabian city of Mecca left the Mosul airport Sunday , the military said. The airport, built in 1992, hasn't had commercial airline traffic since a "no-fly" zone was declared in 1993 by American troops during the Hussein era.

• The U.S. military said Tuesday it had killed a high-ranking al Qaeda in Iraq operative who had been an adviser to the group's leader, Abu Ayyub al-Masri, and to its former leader, Abu Musab al-Zarqawi, who was killed in a U.S.-led coalition raid last year. Abu Maysara, aka Abu Basha'ir, was killed northeast of Samarra on November 17 during a coalition operation. He was identified using DNA, the military said.  E-mail to a friend

CNN's Mohammed Tawfeeq and Jomana Karadsheh contributed to this report.

@highlight

Western official: Executing trio without council's approval would violate law

@highlight

Three men were slated to be executed in October, but orders still await signatures

@highlight

Delays blamed on legal issues, but officials say sectarian issues at play

@highlight

Western official predicts compromise: Only "Chemical Ali" will be executed