New York (CNN) -- Protests cropping up in more than a dozen American cities prompted President Barack Obama to discuss the phenomenon Thursday by saying demonstrators "are giving voice" to those frustrated "about how our financial system works."

Speaking at a White House news conference, Obama also defended the country's financial sector, which appears to have taken the brunt of protester criticism, focusing on Wall Street and its regulators' purported role in widening economic disparities.

"We have to have a strong, effective financial sector in order for us to grow," the president said Thursday.

Still, Obama discussed a need to pursue action aimed at improving government oversight and blamed the financial sector and Republican lawmakers for obstructing reforms.

"Not only did the financial sector, with the Republican party in Congress, fight us every step of the way," but now the "same folks" are suggesting that the country should "roll back reforms" and go back to "the way it was" before the financial crisis.

Rep. Paul Ryan said Thursday that limiting federal spending was pivotal to boosting the economy. The Wisconsin Republican also urged the government to lower taxes to promote U.S.-friendly businesses and spur economic growth.

Vice President Joe Biden also weighed in, comparing the protestors to the origins of the tea party, a grass-roots political movement that has advocated reductions in government spending and efforts to curb corruption.

"What is the core of that protest? And why is it increasing in terms of the people it's attracting?" Biden asked rhetorically. "The core is the bargain has been breached with the American people."

He added that "there's a lot in common with the tea party."

The two movements have drawn commentary from liberal and radical conservatives, who in both cases have said there is something fundamentally wrong with America's financial and political systems.

Thursday marked the 20th day of Occupy Wall Street protests, now a series of grass-roots demonstrations against income inequality, corporate greed and a list of other often loosely defined social ills.

Overheard on CNN.com: Your take on the protests

New York authorities set up at least one vehicle checkpoint as police appeared in larger numbers throughout the financial district and established a perimeter around Zuccotti Park, which is considered a rallying point for the largely leaderless movement in that city.

"We hope that our message continues to resonate with everyone who has felt disenfranchised by the current state of our country," said Tyler Combelic, a spokesman for the Occupy Wall Street group.

He said they plan to "continue the protest until the message reaches every house in the United States."

What that message is remains largely unclear.

Meanwhile, hundreds turned out in downtown Philadelphia near City Hall in a similar demonstration.

Crowds also gathered in the Texas cities of San Antonio, Austin, Houston and Dallas, while more protests cropped up in Portland, Oregon; San Francisco, Seattle and Tampa, Florida.

Like-minded university students staged walk-outs a day before on college campuses such as North Carolina State University and the University of Massachusetts-Amherst.

And still more demonstrations took place Thursday in Jersey City, New Jersey, and Los Angeles, where police say 10 people were arrested for trespassing on Bank of America property.

In the nation's capital, a war protest on Thursday -- scheduled the day before the 10-year anniversary of the U.S.-led invasion of Afghanistan -- quickly turned their concerns to economics.

Several hundred set to demonstrate against wars in Iraq and Afghanistan also echoed the voices of protesters in other cities, even bringing their rally to in front of the U.S. Chamber of Commerce building.

A day before, thousands marched in Lower Manhattan shouting slogans and waving placards as they meandered from Zuccotti Park to Foley Square near City Hall.

That event turned violent later Wednesday evening, as some protesters scuffled with police, resulting in the arrest of 23 people for various offenses. One of them is charged with assaulting a police officer.

Video taken by various news agencies showed police officers wielding batons and forcing protesters to the ground as the officers made arrests. Other videos emerged on You Tube and other Internet sites, showing police officers swinging batons at demonstrators.

Still, it was not clear what prompted the exchanges.

The city's Deputy Police Commissioner Paul J. Browne said five people were detained after charging a police line.

The majority of Wednesday's protests, however, were peaceful and appeared buoyed by the support of local unions, including the United Federation of Teachers, Transport Workers Union and the United Auto Workers.

The broader protest campaign -- which uses the hashtag #occupywallstreet on the microblogging site Twitter -- began in July with the launch of a campaign website calling for a march and sit-in at the New York Stock Exchange.

While the fledgling movement since has struggled to define its mission, its participants have generally agreed in their criticism of the country's wealthiest 1% and their purported influence.

The protests seemed to gain momentum after a September 24 pepper spray incident involving demonstrators and police. And last Saturday, police arrested hundreds as they marched across a roadway leading to the Brooklyn Bridge, blocking city traffic for hours.

Social media sites such as Twitter seemed to be spurring similar protests elsewhere, though in vastly smaller numbers than those in New York. That includes dozens who gathered in Boston; Hartford, Connecticut; and Savannah, Georgia.

CNN's Susan Candiotti, Carey Bodenheimer, Ross Levitt and Jason Kessler contributed to this report.

@highlight

NEW: Vice President Biden likens "Occupy Wall Street" protesters to the tea party

@highlight

NEW: Republican Rep. Paul Ryan says lower taxes are needed to bolster the economy

@highlight

NEW: 10 demonstrators are arrested in Los Angeles for trespassing

@highlight

Similar protests have cropped up in more than a dozen cities