(CNN) -- Hundreds of young adults are getting a lesson in health insurance from some unusual places: an Affordable Comedy Act show and slam poetry in Chicago, a local DJ in New Orleans and a bar crawl in Austin.

With a little more than five weeks left for open enrollment in the state and federal exchanges, health insurance advocates are working hard to enroll millennials.

In theory, young people are healthier, and in order to make the law cost-effective, the government needs healthy people to enroll to help pay for the sicker people who will be eligible to buy insurance -- some for the first time, since you can no longer be denied a policy because of pre-existing conditions.

"There's broad agreement that if young and healthy people forgo purchasing coverage for whatever reason while those that are older and costlier choose to sign up, then cost will increase for everyone with insurance. So, it's important to have broad participation in the system," said Clare Krusing of America's Health Insurance Plans.

Organizations and cities across the country are hosting events aimed not only at enrolling young people in the exchanges, but also getting them involved in education and outreach efforts. They kicked off the campaign with National Youth Enrollment Day on February 15 and will continue to spread the word until the marketplaces close on March 31.

So far, only 9% of those who have bought policies are between the ages of 18 and 25. Only 16% of those who have bought policies so far are between the ages of 26 to 34.

However, January marked a 3% increase in enrollment among people ages 18 to 34, according to HHS, indicating enrollment growth of 65% for the age group.

Of those who have enrolled in the exchanges since October 1, 25% are between 18 and 34, the department says.

Terry Burke, vice president of individual business for Blue Cross Blue Shield of Michigan, said in the first four months of the marketplace opening they have seen about a third of their membership among 18- to 34-year-olds.

However, there has been an uptick in young people buying policies -- and indeed, in every age group -- as the end of open enrollment nears.

Two organizations -- Enroll America and Young Invincibles -- are spearheading these efforts, trying to reach millennials through the Get Covered campaign that launched in June.

"We're thinking outside the box in terms of ways to engage people on the topic," said Aaron Smith, executive director of Young Invincibles.

They are also teaming up with the Columbus College of Art and Design and the Chicago Coalition for the Homeless to reach out to young adult artists and the homeless, who are likely to be uninsured.

They go door-to-door and provide educational materials, collect "commit cards" from interested consumers and have navigators enroll people in insurance plans.

Outreach has expanded to the digital sphere as well through Twitter, memes and mobile apps.

To get young adults on board, they have attempted to focus on issues salient to that age group, a primary one being cost. To combat the idea that insurance is too expensive, Enroll America provides a Get Covered calculator that allows consumers to get estimates for how much insurance will cost them.

The Department of Health and Human Services reports that of the nearly 3.3 million people who have enrolled since October 1, 82% are eligible to receive financial assistance for their insurance plans.

These groups have partnered with community colleges and public libraries, reached out to young parents through Head Start associations, and are doing small business outreach -- especially to restaurant workers.

Rachael Klarman, Enroll America's national youth engagement director, said they have worked with restaurant owners and managers to educate employees about new insurance options and to increase access to this highly uninsured group.

Another message that has resonated among college students, in particular, is the fact that health insurance must cover things like mental health treatments and preventive care, Klarman said.

California's state exchange has aided the "Get Covered, Tell a Friend" campaign by working with celebrities -- Kerry Washington, Magic Johnson and Adam Levine to name a few -- to educate their fans through social media.

In Chicago, Roosevelt High School's student club BuildOn organized 30 students to host an on-campus event Saturday, partnered with Family Focus - Nuestra Familia.

The event hosted 30 navigators to provide one-on-one support and assist community members with the enrollment process.

Bryan Quinlan, assistant principal at Roosevelt, said students were really excited about getting involved with the cause. Some eligible students even set up appointments and completed applications.

"They've heard about the Affordable Care Act, but they don't really know what it is. We know that financial literacy is one of the biggest hurdles the act is facing. It's been good because they're learning these financial and healthcare literacy tools and having some fun," Quinlan said.

According to Enroll America, on Saturday alone, #GetCovered was tweeted almost 6,000 times, potentially reaching as many as 225 million users. This online attention helped direct young people to the more than 125 events they hosted with their 70 partners.

Nearly 100 people attended a Miami enrollment fair hosted by HHS, Enroll America and Young Invincibles. On site, 69 people created accounts and 40 successfully completed applications.

Several hundred people attended "Rock Enroll Houston" -- a Young Invincibles event co-sponsored by Community Health Choice, Planned Parenthood and United Way, among others. The event was live-broadcast and featured food trucks, free Zumba exercises in the park and autograph signings with two Houston Dynamo players.

"The idea was to provide information about health coverage in a fun atmosphere that encouraged young people to come by, stay, and hang out," said Erin Hemlin, Young Invincibles' national organizing and programs manager.

Even prior to the launch of open enrollment on October 1, youth were identified as a group critical to the success of the health insurance exchanges.

The fact that young adults traditionally have not enrolled in health insurance makes this an uphill battle, said Doug Holtz-Eakin, president of the American Action Forum, a center-right policy institute.

"If the reason people aren't insured is ignorance, then outreach efforts will make a difference and the education will be helpful. But if the issues are what it costs and the incomes they have, then you can't change those fundamentals and it won't work," Holtz-Eakin said.

However, organizers remain optimistic.

"Hopefully we have some positive momentum here that we can build on," Smith said.

@highlight

About five weeks remain for open enrollment in the health exchanges

@highlight

Hundreds of events were held for National Youth Enrollment Day February 15

@highlight

Enroll America and Young Invincibles use unique ways to reach young adults

@highlight

HHS reports that 25% of enrollees are ages 18 to 34