(CNN) -- Just ten miles south of the Polish city of Krakow is a remarkable place carved from salt.

Hidden 1,000 feet (305 meters) underground lies a dimly-lit labyrinth of subterranean chambers, with saline lakes, horses' stables, a chapel and even a salt-sculpted hall.

Decorated with elaborate sculptures -- the most astounding perhaps being "The Last Supper" carved into a rock salt wall -- even the crystals of the chapel's chandeliers are hewn from salt, dissolved and reconstituted to resemble glass.

It might sound like something out of a Jules Verne novel, but the Wieliczka salt mine is not science fiction but one of Poland's 13 UNESCO Cultural World Heritage sites, many of which date back to the medieval period.

Warsaw's Old Town (meticulously reconstructed after 85% of the capital's historic center was destroyed during the war) and Auschwitz Birkenau concentration camp are must-visit spots.

But beyond them, you can find hundreds of years' worth of fairytale-like medieval history.

Deeper underground

Few places capture the imagination like the salt mine at Wieliczka, believed to have been completed in 1280. Tourists can delve into its depths on guided tours.

"You see a little more than 1% of the mine on the tourist route," said Marek Strojny, a guide for more than 20 years.

Consider that the tourist route is three kilometers (1.8 miles) long and takes three hours to explore.

"It would take years to see all of the mine," said Strojny.

"There are nine levels, with 300 kilometers (186 miles) of tunnels and more than 3,000 chambers."

Tourists view the mine at just over 300 feet (91 meters) below the surface, but its intricacies continue down for more than double that depth.

Mining here was dangerous work; there were cave-ins, and occasional methane explosions. This accounts for why the miners built the chapel in the 14th century -- they prayed constantly for their safety, and carved religious figures in their spare time. (Strojny estimated "The Last Supper" alone would have taken a year to complete.)

However, the job came with its perks.

"There was great respect for the miners among the community on the surface," he noted.

"And they were given privileges by Polish kings. For example, each worker was allowed to carry three kilograms of salt to the surface with them each month and sell it. Salt was (a valuable) preservative and was almost as expensive as silver."

"Vampires" in Krakow

The salt would doubtless have been traded at Krakow's Rynek Glowny, the largest medieval market square in Europe and the site of another intriguing underground voyage.

In 2005, an archaeological dig in the square was intended to last six months, but stretched into five years, such was the volume of treasures exhumed. The result is Rynek Underground, a subterranean museum built under the square.

"The square has risen about four meters since early medieval times," said Dominik Lulewicz, an archaeologist at the museum. "Over the years, the debris from earlier phases (of the square's history) was spread across its surface."

READ MORE: Krakow becomes world center for literature

While the entire historical center of Krakow is a UNESCO site, the 40,000 square meters of Rynek Glowny is its beating heart. In the 14th and 15th centuries it was a major center of European trade, abuzz with merchants selling everything from luxury goods (such as silks and spices) to cloth and lead.

As well as seeing some of those treasures, visitors to the museum can also see reconstructions of burial sites that were discovered during the dig, including what Lulewicz called "anti-vampiric burials".

"There are a few with tied hands and legs, probably due to the remains of Pagan beliefs," he said.

Choosing their religion

Diversity of belief is a uniting facet of Poland's UNESCO heritage sites. Among the prettiest listed monuments are the wooden churches of Malopolska.

Winding through the looming mountains and sprawling fields of this picturesque pocket of south east Poland, are 1,500 kilometers (932 miles) of trails that take hikers past striking examples of timber churches in everything from Roman Catholic to Greek Orthodox styles.

READ MORE: Bison thrive in Poland's wild woods

"The multicultural history of Poland is marked by the variety of houses of worship from different periods," said MaÅ‚gorzata Trelka, of the National Heritage Board of Poland. She pointed to the 18th and 19th century wooden mosques that can be found in north east Poland by way of example.

Indeed, Trelka revealed that a 14th UNESCO site has been approved -- wooden Eastern Orthodox and Greek Catholic churches, dating from the 16th to the 19th centuries, in the Carpathian mountain range.

And yet another enduring example of Poland's long tradition of religious tolerance is the UNESCO-listed Churches of Peace in Jawor and Swidnica. These 17th century Protestant churches were permitted by a Catholic emperor following the Thirty Years war, which had sprung from those very religions' rivalry.

But maybe what unites these sites most of all is that, whether deep underground or spread throughout the countryside, Poland is rich in a tangible cultural landscape.

@highlight

Poland has 13 cultural UNESCO world heritage sites

@highlight

Many of them date back to the medieval period

@highlight

The whole of the historic center of Krakow is declared a heritage site