London, England (CNN)  -- If the Omani royal family had its way, the entire world would recognize the country's ancient scent, frankincense -- so highly prized the Magi brought it to celebrate the birth of Jesus.

The Omani royal family's perfumer, House of Amouage, is one of the world's luxury perfume brands.

And it's on a serious expansion streak, despite the worldwide recession.

The luxury perfumer was founded 25 years ago at the request of Sultan Qaboos bin Said, Oman's head of state, as a way to both preserve the sultanate's biblical perfume-making traditions and provide gifts for visiting world leaders.

Now, it's looking to infiltrate the European -- and eventually the U.S. -- markets with its own named stores selling an unique, expensive brand of perfume, and other luxury goods, for the body and the home.

Two new stores are planned for 2010 -- one in Dubai and one in London. The Dubai store, scheduled to open at the end of March, will be the first outside Oman. The London store, scheduled to open in May, will be the first outside the Gulf.

"This is the first part of our strategy to open mono-brand stores in key opinion-forming cities throughout Europe and the States," David Crickmore, the company's CEO, told CNN in an interview from his office in Oman. "We believe that selling our ever-growing catalogue of products within their true environment gives the best explanation of the brand."

The perfumer's flagship store in Oman, opened in 2008, is a contemporary rendition of an Omani-style house, complete with Arabic touches. The London store, scheduled to open in May in the capital's upscale Knightsbridge neighborhood, will recreate a London townhouse, Crickmore said.

The company already sells its perfumes wholesale through several upmarket department stores in Europe, Russia, the U.S. and Asia.

Besides opening new branded stores, the company has also been busy expanding its product range, moving into both a bath-and-body line, perfumed essential oils and Italian hand-made leather goods.

It also recently re-packaged its line, stressing the company's royal connection.

The bottle caps for perfumes Jubilation 25 for women and Jubilation XXV for men, fragrances introduced to coincide with Amouage's 25th anniversary, resemble the dome of the Sultan Qaboos Grand Mosque in Muscat and a ceremonial dagger. The company's logo, on the front of the perfume bottles, is also reminiscent of the royal seal.

"We like to remind people we're a royal brand," Crickmore said.

When the company was founded, it started with a flourish, according to Luca Turin, a leading perfume critic and co-author of the book "Perfumes: The Guide."

The royal family first commissioned a leading French perfumer to create one of the greatest fragrances money could buy.

"That kind of stuff only happens to a perfumer once or twice in a lifetime," said Turin. "The money, the artistic freedom, no focus groups, nobody breathing down your neck. The whole thing was done with just greatness in mind. Utterly amazing. And the fragrance he came up with, Gold, is one of the greats of all time."

In the 1990s, though, the company lost its way, Turin said, introducing a host of fragrances with no clear artistic direction.

Four years ago, Amouage hired Briton David Crickmore, a 29-year veteran of the luxury goods industry, to kick-start its image -- and grow the brand internationally.

"The aspiration of the family who owns it, members of the royal family, was to increase its international spread. They wanted an international brand that happens to be based in Oman, not an Omani brand selling internationally."

"When I was brought in, it was predominantly a Gulf-oriented brand," Crickmore said. "They felt that a fairly major change was required."

Crickmore hired Christopher Chong as creative director, a move perfume critic Turin said was critical to the company's newfound success.

"Art direction in fragrance is under-estimated," said Turin. "A perfume is a message in a bottle. It's not a smell. It's an impression, an idea. Great fragrances are usually made by a perfumer, and an art director, who says, 'I want it to be like this.'"

Crickmore said the recession hasn't hit the luxury company, which sells a 50 ml bottle of perfume for $230, as hard as one would think.

"It put our plans back a year basically," he said. "I wanted to open the stores in Dubai and London last year. Instead, we're doing it this year."

Asked if it was hard to compete in this era of celebrity fragrances, where every well-known face seems to be trotting out their own line of perfume, Crickmore replied: "What sets us apart is longevity. Celebrity perfumes are here today, gone tomorrow, often made from cheap, in-the-lab ingredients."

"We search for the finest possible ingredients, the rarest ingredients," he said. "We just want the best, without worrying about the cost."

@highlight

House of Amouage, luxury perfume brand, on expansion streak

@highlight

Luxury perfume company owned by Omani royal family

@highlight

Opening two new stores this year -- in Dubai and London

@highlight

Company expanding into new product lines