(CNN)Robert Durst's wife mysteriously disappeared decades ago.

It's an unsolved case that hasn't stopped haunting him.

Years after she went missing, prosecutors argued Durst was hiding out from investigators digging into that case when he killed a neighbor, dismembered the body and skipped town. Jurors acquitted him in a high-profile 2003 murder trial after his lawyers said he'd acted in self-defense.

Now the 71-year-old millionaire real estate heir from one of New York's wealthiest families is behind bars, accused of murder again in another case that some say is tied to his wife's disappearance.

FBI agents arrested Durst Saturday night in New Orleans. Investigators say they believe he was behind the 2000 slaying of Susan Berman, a crime writer and Durst's longtime friend, who was shot dead in her Beverly Hills home.

"As a result of investigative leads and additional evidence that has come to light in the past year, investigators have identified Robert Durst as the person responsible for Ms. Berman's death," Los Angeles Police said in a statement Sunday.

Police, who described him as a "cold case murder suspect," didn't specify what new evidence pointed them toward Durst.

The arrest comes amid heightened interest in the eccentric heir, who's now the focus of the HBO documentary series "The Jinx," which explores whether he had any connection to his wife's disappearance and investigators' suspicions that Berman was killed because she knew what happened to her.

Durst has long maintained he didn't kill Berman or have anything to do with his wife's disappearance.

Investigators found him Saturday at the JW Marriott hotel in New Orleans, where he was staying under a false name and was carrying a fake driver's license, according to a law enforcement official who's been briefed on the case. He'd paid in cash, and authorities believe he was preparing to leave the country and flee to Cuba, the official said.

He was jailed without bond and was awaiting an extradition hearing Monday morning.

"We will waive extradition and get to Los Angeles as soon as possible to answer the charges,"  Chip Lewis, Durst's lawyer, told CNN on Sunday.

Durst's brother said in a written statement that he was thankful for the arrest.

"We are relieved and also grateful to everyone who assisted in the arrest of Robert Durst," Douglas Durst said. "We hope he will finally be held accountable for all he has done."

Accusations about what Robert Durst has done depend on who you ask.

His one-time wife, Kathie Durst, went missing in 1982. No one has been charged in her disappearance. And according to The New York Times, she's been declared legally dead. Robert Durst has said the last time he saw her was when he dropped her off at a train station in Westchester, New York, so she could head back to medical school in the city. He secretly divorced her in 1990, Court TV reported.

Her family has said Robert Durst is to blame for her disappearance and hailed his arrest over the weekend as a sign they could be close to getting answers.

"The dominoes of justice are now starting to fall," Jim McCormack, her brother, said on Sunday. "Through our faith, hope and prayers the last domino will bring closure and justice for Kathie."

This isn't Durst's first run-in with the law.

In 2003, he admitted he'd killed and dismembered Morris Black, his neighbor in Galveston, Texas, but argued he'd shot Black in self-defense during a struggle.

Prosecutors argued he'd planned Black's killing in order to steal his identity and escape the attention of New York investigators looking into his wife's disappearance.

Durst testified that he hid out in Galveston and posed as a mute woman because he was afraid as he faced increasing scrutiny in the case, Court TV reported at the time.

"It seemed to me the big problem was Robert Durst," he said, referring to himself in the third-person. "I wanted to not be Robert Durst."

Durst is an heir to a fortune thanks to his family's New York City real estate investments.

The Durst Organization was founded by his grandfather and is now run by his brother and cousin. After a civil lawsuit in 2006, Robert Durst cut ties with his family and 10 Manhattan skyscrapers in return for a $65 million settlement, The New York Times reported.

In 2000, his friend and longtime confidant, Susan Berman, was killed in her California home. The killing, CNN's sister network HLN reported in 2012, occurred just after police reopened the investigation into Kathleen Durst's disappearance.

"She was a confidante of Robert Durst. She knew him well. They knew each other and were very, very close," CNN's Jean Casarez said. "And it was just days before investigators were to fly out to California to talk with her about what she may have known about the disappearance of Kathleen Durst that she was shot execution-style in her living room."

For years, speculation has swirled about who could be responsible for Berman's death. She'd written books about her family's mafia ties and explored the history of Las Vegas, and some suspected she might have drawn the ire of a killer through her work.

Investigators in the past homed in on one key piece of evidence: a postcard sent to authorities that tipped them off that Berman's body was inside her home.

A police handwriting analysis said the writing on that card looked like Durst's, author Miles Corwin told CNN in 2004.

But Corwin, who shadowed investigators working on the case as part of his book "Homicide Special: A Year With the LAPD's Elite Detective Unit," said at the time that police didn't have enough evidence to charge Durst in the killing.

"They don't have enough to arrest him," Corwin said in 2004.

What's changed since then?

In "The Jinx," Berman's stepson reveals a letter from Durst he found among her possessions. That could be a key development, said Michael Daly, a special correspondent for The Daily Beast.

"You look at the letter, and the handwriting is astonishingly similar," Daly said.

The Los Angeles County district attorney reopened the Berman homicide investigation last week.

Investigators haven't said whether the documentary series played a role in this weekend's arrest.

HBO, which is owned by CNN's parent company Time Warner, praised the series' director and producer in a statement Sunday.

"Years in the making, their thorough research and dogged reporting reignited interest in Robert Durst's story with the public and law enforcement," HBO said.

CNN's Jack Hannah, Kyung Lah, Carma Hassan, Shelby Lin Erdman and Linh Tran contributed to this report.

@highlight

Wealthy New Yorker Robert Durst is jailed in Louisiana and will be extradited to Los Angeles

@highlight

Durst was arrested in New Orleans on Saturday night

@highlight

He's accused in the cold-case killing of his longtime friend Susan Berman in 2000, LA police said