(CNN) -- When Saher Shaikh first moved to Dubai, the rights of the city's labor population was the furthest thing from her mind.

That changed soon after her arrival, when she spotted one of the UAE's five million migrant workers in line at the local grocery store.

"I had my chubby baby in my arms, and this guy in front was trying to pay for a tiny bread roll and a small bottle of yoghurt. He didn't have enough coins to pay for it. I was looking at him, and looking at my groceries and feeling bad about it, and I thought, 'how can I make this better?'" says Shaikh, a British citizen with Pakistani and Afghan roots.

"It's my son's birthday today, and to celebrate, I was wondering if you'd do the honor of letting us treat you?" she asked him in Urdu, instructing him to choose anything he wanted from the store. He left the line and came back with a diminutive bottle of strawberry milk.

"He didn't try to take advantage. He was so humble and sweet," she recalls.

Nine years later, and Shaikh heads up Adopt-a-Camp, a charity she started that offers up support services to a handful of the country's laborers. At any given time, she helps a roster of 53,000 men spread across 52 camps throughout the UAE.

"I have four kids and 53,000 adopted kids. It's not easy," she says.

Spreading the knowledge bug

For the most part, Adopt-a-Camp is a one-woman show (aside from an assistant and a Facebook army of volunteers, Shaikh runs the charity primarily on her own).

An impressive feat, given the range of services she offers. She gives the men counseling, organizes events to get them out of the camps, distributes care packages, and on occasion pays for the men's medical fees and school fees for their children back home. She also prioritizes hygiene.

"Every camp we adopt we make bed bug-free, cockroach-free and lice-free. We physically shampoo the men's hair ourselves," she says.

She also gives them hygiene workshops with the understanding that they pass on what they learn to their families and communities back home.

"A lot of these men come from villages where they aren't taught the concept of germs -- these microscopic organisms that exist and can make you sick. We've had great feedback from the men that have returned home; in their villages, dysentery levels are down and deaths in childbirth are down."

Knowledge's infectious potential is a major tenet of the charity. Shaikh has also arranged English lessons for some of the men though American University in Dubai with the similar understanding that they'll spread their learning.

Workers' rights

Adopt-a-Camp has a couple of unexpected sponsors, in the form of the Dubai Chamber of Commerce and Industry and the Ministry of Labor. Shaikh works with the latter to help ensure the country's laborers are made aware of their rights when they need to impose them -- particularly in the event that their employers stop signing their checks.

"It was a common problem during the recession, but it still happens now and again. We'd hear from the men that they hadn't been paid for months, or even a year, and that their families were starving and they were starving. We worked with the Ministry of Labor to help them get home, or find a better job," she says.

Shaikh, who is careful to lay the blame on unscrupulous employers and not the government, notes that there are labor laws in the UAE designed to protect migrant workers from such an eventuality.

"The law is that if a man is not paid, even for one month, he is entitled to receive his salary, a plane ticket home, and any extraneous costs incurred," she says.

While Nicholas McGeehan, a researcher for Human Rights Watch, concedes that conditions have improved for workers in the UAE over the last few years (mainly in the form of better housing), he also notes that the laws designed to protect laborers aren't always enforced.

"Theoretically, workers can take complaints to the labor courts. Theoretically, they should be able to get their salaries back, but justice is dispensed in a very ad hoc manner, if it is dispensed at all" he says," he says.

"The issue is: what happens to the employer after they're found guilty? Are they prosecuted? It seems the worse that happens to them is the government forces them to pay workers their salaries. But if employers are not prosecuted, what message does that send?"

Further complicating the issue, suggests McGeehan, is the lack of separation between the government and the construction companies.

"The line between public and private in the UAE is so fine as to be almost non-existent. The people that own and run some of the biggest construction firms are people in government," he says.

The issue is not unique to the UAE. Other Gulf states, including Saudi Arabia and Qatar, have also been criticized for their treatment of guest workers. McGeehan (who is currently blacklisted from the UAE) says that better transparency in the region would be a step in the right direction.

"It's obviously admirable that there are people on the ground to assist workers, but it's also important that NGOs are allowed to criticize the government for their actions when necessary. She's carrying one part of the equation, and that's important, but we need the other side as well." CNN contacted the UAE's Ministry of Labor for comment but did not receive a reply.

@highlight

Dubai-based charity Adopt-a-Camp offers support to the UAE's laborer population

@highlight

Adopt-a-Camp provides free English lessons, counseling and advocacy

@highlight

The charity works with 53,000 workers at any given time