Damascus, Syria (CNN) -- In the midst of a bloody and protracted civil war, the Syrian government is set to hold a presidential election Tuesday.

The outcome is hardly in doubt: President Bashar al-Assad is almost guaranteed to emerge victorious in a vote that opposition groups and many Western countries say will be rigged from the start.

Syria isn't renowned for holding free and fair elections.

When he came to power 14 years ago, al-Assad ran unopposed, securing more than 99% of votes, according to state media. Seven years later, he won again with a similarly mountainous share of the vote. His father, Hafez al-Assad, ruled Syria with an iron fist for 29 years before he died in 2000.

Some analysts say the purpose of this week's vote, which U.N. Secretary General Ban Ki-moon urged the Syrian government not to hold, is to send a message to al-Assad's opponents, both in Syria and abroad.

Syria's presidential election: How fair can a vote be in a war zone?

'A coronation'

"It's a coronation of Assad, it's a celebration of his ability to survive the violent storm and basically go on the offensive," said Fawaz Gerges, a professor of international relations at the London School of Economics.

The election is being held against the backdrop of a grinding three-year conflict that has killed around 150,000 people, displaced about 6.5 million people within Syria and prompted almost 3 million people to flee outside its borders.

Voting will only take place in areas controlled by the regime. Rebels hold significant areas of the north and east of the country.

The British Foreign Office has said the vote "will be a grotesque parody of democracy." The U.S. State Department says the Assad regime has taken steps "to make it difficult if not impossible to have a fair and free election in Syria."

Little known challengers

One aspect of this year's election distinguishes it from the previous foregone conclusions, though: al-Assad actually has people running against him -- although it's questionable how much of a challenge they present.

The two other candidates are relative unknowns: Hassan al-Nouri, a businessman and former government minister; and Maher Hajjar, a lawmaker.

Critics say they are just pawns or window dressing to give the election a veneer of democracy. But the Syrian government has dismissed any criticism of the process.

Hajjar has kept a low profile, but al-Nouri says he's serious about challenging al-Assad and is "trying to attack his weaknesses."

He claimed he would be "more aggressive and more effective" than al-Assad on economic, administrative and social issues.

But on the overarching question of the war, al-Nouri offers no dissent.

"Politically, I think he's doing what he has to do," he said.

Rebels divided

What al-Assad is doing is continuing the brutal offensive against those opposed to his regime, raining down barrel bombs on rebel-controlled parts of cities such as Aleppo and Daraa.

The opposition groups fighting against him are divided, with squabbling between factions and jihadis who have flocked from around the world to try to establish an Islamic state.

The rebels have lost ground around Damascus and Homs, and are under pressure in Aleppo and the south of the country.

Talks earlier this year mediated by the United Nations did little to change the situation, ending with the regime and the opposition firmly opposed.

Ban's office has warned that the elections are likely to worsen the situation, saying they "will damage the political process and hamper the prospects for political solution that the country so urgently needs."

CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Ben Wedeman contributed to this report.

@highlight

President Bashar al-Assad is expected to win Tuesday's presidential vote

@highlight

"It's a coronation of Assad, it's a celebration of his ability to survive," an analyst says

@highlight

It takes place amid a three-year civil war that has killed around 150,000 people

@highlight

The Syrian opposition and Western countries say the election won't be free or fair