When the global financial crisis struck in 2008, markets across the world reeled, the housing market turned on its side, redundancies were rampant and the investment landscape transformed overnight.

As banks turned off the taps on loans, budding entrepreneurs without a track record had to find new ways to raise capital to fund growth.

Along came crowdfunding, which allowed the power of people to finance projects. As a return on their investments, these so-called crowdfunders gained an equity stake, and often a sense of pride from having financed something they believe in.

Anyone who has an idea for a creative concept can post it on a website and ask backers to fund it, whether it be a new product, gadget or artistic project. Highly-connected, mobile and flexible, the crowdfunding model can react to change faster than traditional companies.

CNN recently visited Hamburg-based start-up Protonet, which turned to the crowds for financing its secure personal servers which are produced onsite.

"We said ok, this is what we're going to do. We're going to take our story and our vision of what we believe the future should look like, and tell it to the crowd and see what happens," explained Ali Jelveh, founder of Protonet, to CNN's Diana Magnay at the company's office.

What happened next?  In less than an hour and a half, Protonet had raised $1 million.

"It's a profit-sharing agreement, so if we get big and have huge success, which we'll hopefully have, you'll be a part of that. Plus, you also get one of our latest products,"said Jelveh.

Protonet's crowdfunding accounts for about 65% of its total investment. "I believe that in the future we will see companies that are 100% crowdfunded," added Jelveh.

Crowdfunding taps into an online community with the goal of generating small contributions from large numbers of people.

The dilemma for the crowdfunding industry ahead is to sort out the level of risk involved, who companies are actually marketing to and who they want to invest in their platforms, said Ben Yearsley, head of investment research for Charles Stanley Direct

"So the future is interesting. There's a need for funding but you've got this issue of risk and the levels of investment that have to be solved," Yearsley told Magnay.

It's an industry that is finding its feet, but some believe that the crowdfunding approach will have a place in how businesses are funded in the future.

"If you look at how start-ups were financed before, many of them raised 100,000 Euros through friends and family which is like crowdfunding," said Oliver Gajda, chairman of the European Crowdfunding Network.

"So this is bringing this to the digitalized world, the tools that we have into the public, and I think this is what is driving the change," said Gajda, who forecasts that many entrepreneurs ahead may first have a round of business angel funding and then move on to crowdfunding to help reap the benefits of marketing while also raising capital.

While Protonet celebrates another sale of one of its servers, the small German start-up thinks the crowd could become a powerful force in finance. "I think it's going to be an earthquake, and I believe it's going to fundamentally change the way things are funded," said Jelveh.

@highlight

Crowdfunding's goal is to generate small contributions from large numbers of people

@highlight

New products and gadgets are posted online, seeking backers for funding

@highlight

Crowdfunding is similar to a start-up model, with friends and family raising funds