Russia and the United States, in their third day of talks in Switzerland, said Saturday they have reached a groundbreaking deal on a framework to eliminate Syria's chemical weapons.

Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov stood side by side in Geneva as they set out a series of steps the Syrian government must follow.

Syria must submit a comprehensive list of its chemical weapons stockpile within one week, Kerry said, and international inspectors must be on the ground no later than November.

President Barack Obama said in a statement that the framework "represents an important concrete step toward the goal of moving Syria's chemical weapons under international control so that they may ultimately be destroyed."

He added, "There are consequences should the Assad regime not comply with the framework agreed today. And, if diplomacy fails, the United States remains prepared to act."

Senior U.S. State Department officials said that according to the timeline, initial inspections of declared chemical weapons sites must be completed by November; all production and mixing and filling equipment must be destroyed by November; and all chemical weapons material must be eliminated by mid-2014.

The best way to ensure international control of Syria's chemical weapons arsenal will be to remove as much as is feasible and to destroy it outside Syria, if possible, the framework document says.

Read the framework of the agreement

Kerry said the government of Syrian President Bashar al-Assad must allow "immediate and unfettered" access to international inspectors.

He said the inspectors should be able to get to Syria's chemical weapons sites despite the ongoing civil war, provided the al-Assad regime cooperates, since Syria has moved its chemical weapons into areas where it has tight control.

The United States and Russia reached a shared assessment on the amount and type of chemical weapons possessed by the al-Assad regime, Kerry said.

"Providing this framework is fully implemented, it can end the threat these weapons pose not only to the Syrian people but also their neighbors," and the wider world, he said.

Syrian Prime Minister Wael Nader al-Halqi welcomed the deal, saying his country is bent on implementing the political program as the "sole exit" from the crisis, according to the state-run Syrian Arab News Agency.

Enforcement measures

The verification and destruction process will be carried out by personnel from both the United Nations and the Organisation for the Prohibition of Chemical Weapons, the body that implements the international ban on chemical weapons use, according to the framework agreement.

Russia and the United States will now work to get a U.N. Security Council resolution that will keep the process under review and allow the Council to consider the use of force if Syria fails to comply.

Syrian crisis: Keep up with key developments

Russia has veto power in the Security Council and would be unlikely to agree to using force. Other options include imposing sanctions.

Senior State Department officials told reporters that Saturday's agreement "sends a very powerful message" about the use of chemical weapons but acknowledged that the goal of eliminating them in Syria by the middle of next year is "daunting."

The United States and Russia "agree that Syria has a stockpile that includes chemical warfare agents as well as the precursors for those agents," judged to be about 1,000 tons in total, the officials said.

"We agree that it includes blister agents such as sulfur or mustard (gas) as well as nerve agents such as sarin," they said. But the number of locations for these agents has still to be agreed, they added.

The United States and its allies blame al-Assad's forces for the chemical weapons attack outside Syria's capital last month that Washington says killed more than 1,400 people.

Al-Assad and other officials vehemently deny their forces were responsible.

U.N. Secretary-General Ban Ki-moon said Friday his team is preparing a report for the Security Council that he believes will be an "overwhelming report that chemical weapons were used." The report is expected to be delivered Monday morning, according to three diplomatic sources.

Syrian opposition fears

The Syrian opposition struck a note of skepticism.

Gen. Salim Idriss, head of the rebel Free Syrian Army, told reporters in Istanbul he has information that Syria already started to move chemical materials and weapons out of the country, into Lebanon and Iraq.

In Turkey, U.S. soldiers guard against Syrian missile threat

He predicted that al-Assad would keep some of his chemical weapons arsenal, and "then use it against our people and the FSA and then he will come out and accuse terrorists, and he will say that he gave up everything he has."

The Syrian government refers to the opposition fighters as terrorists and has previously accused them of chemical weapons use.

Some inside Syria criticized the focus on chemical weapons. Protesters in one town held up a banner in Arabic saying they are "worried that the international community is giving Assad a license to kill with all kinds of weapons except the use of chemical weapons."

Hopes for peace

French Foreign Minister Laurent Fabius said the U.S.-Russian agreement "constitutes an important step forward," a sentiment echoed by UK Foreign Secretary William Hague.

The two plan to meet Kerry on Monday in Paris to discuss the framework and its implementation.

Ban pledged U.N. support for the plan, his spokesman said, and expressed hope that it would both prevent any future use of chemical weapons and pave the way for a political solution in Syria.

Opinion: Is diplomacy the harder solution in Syria?

Kerry and Lavrov announced the deal on their third day of talks.

Friday, they signaled their intent to meet later this month on the sidelines of the U.N. General Assembly in New York, where they hope to set a date to restart long-stalled parallel talks on the broader issue of ending the Syrian civil war.

The U.N. estimates more than 100,000 people have been killed since the civil war began in 2011, in addition to more than 2 million becoming refugees and over 4 million being displaced within Syria.

7-year-old's story shows pain, worry of Syrian refugees

@highlight

Kerry: Syria must list its stockpile within a week

@highlight

He says inspectors must be on the ground by November

@highlight

Chemical weapons must be destroyed by mid-2014, Kerry says

@highlight

Syria's prime minister welcomes the deal