With a ruined centuries-old castle looming up on the hill above, the Slovakian village of Cachtice could easily take a starring role in a Gothic horror film.

However, exactly 400 years ago, on August 21, the horror was all too real, as the life of the most prolific female mass murderer of all time -- a noblewoman by the name of Countess Elizabeth Bathory -- came to a grim end.

It's not an anniversary they're likely to celebrate in Cachtice, where Bathory's reign of terror still haunts locals, but for some -- me included -- there's a strange fascination.

In the lovely Slovakian town of Trencin, my friend Martin and I are joined by two guides, Ivan Kralik and Peter Pastier, who work in the local tourism office.

They drive us to the town of Cachtice, 30 kilometers away, recounting the story of the Blood Countess.

The macabre name came from her apparent tendency to bathe in the blood of her victims.

She's said to have believed the blood of virgin girls would maintain her youthful-looking skin.

Bathory's life has been the subject of films, books and online websites -- and is thought by some to have influenced Bram Stoker's 1897 novel "Dracula" -- but seems to have been forgotten west of Vienna.

Highborn and unaccountable, she was the absolute ruler of a patch of what is now Slovakia, and with the help of three of her servants sadistically tortured to death between 100 and 650 girls.

We'll never know the exact number.

Missing daughters

She was married to a nobleman, Ferenc Nadasdy, a Hungarian national hero of the wars against the Turks.

Although there were reported killings before his death in 1604, afterward she seems to have become totally unhinged.

She settled in Cachtice and more and more girls started disappearing from the surrounding villages.

It was said she eventually ran low of girls to satiate her habit and she began to lure victims of higher born families, who began to notice their missing daughters.

By 1610, rumors of her horrible deeds had reached the Hungarian king, who sent his second in command, Palatine Georgy Thurzo, to investigate.

In December 1610, Bathory was arrested along with three of her servants, who were tortured and burned at the stake.

She wasn't put on trial but walled-in at Cachtice Castle, where she died on August 21, 1614.

Castle restoration

Cachtice today is a well-off village with large houses sporting high hedges, satellite dishes and top-end SUVs parked in the driveways.

We could be anywhere in Central Europe but for a large, wooden statue of Elizabeth Bathory in the main square.

A sign points us to the castle, which stands 2.5 kilometers away in the middle of a thickly forested nature reserve.

It's a pleasant 40-minute walk up the narrow stony path under oak, beech and chestnut trees, through mulberry bushes and wild strawberries.

The castle is a ruin, but pictured alone against a blue sky, looks majestic and aloof.

It reopened in June 2014 after a much needed two-year restoration.

One tower collapsed in the 1980s leaving only two towers standing: an eastern defensive tower with a chapel and a south-facing residential tower where Countess Bathory died.

Amazingly, it's still possible to walk around her living quarters, the likely location of her imprisonment and death.

The roof has long disappeared, but the wall shows the sign of a ceiling.

I reckoned it's four meters (13 feet) high in a four-by-five meter room.

I shiver as I see the remnants of what looks like a bricked-up window.

Sense of shame

What do the locals think of the Countess today?

"The older generation seems ashamed of her. There were some protests when Bathory's statue was erected in the square," says 18-year-old Adam Pisca, who has a summer job as a castle guide.

"The younger generation doesn't view the past so bad. We know she murdered women but she is not important to us.

"Before the castle reconstruction, we had barbecues inside and camped in tents overnight!"

Back in the village, we step into the 14th-century church of St. Ladislav where Father Vladimir Ondas shows us around.

Elizabeth Bathory was buried here, but no one has found her grave. Her body was probably moved later to Nagyesced, the Bathory ancestral seat in today's Hungary.

Father Vladimir has a surprise for us, however.

He unlocks the Gothic chapel outside, which boasts three painted wooden panels from Cachtice Castle. They are the only items remaining from the castle's interior decoration.

Next to the church there's a small but interesting museum with portraits of Elizabeth Bathory and the people in her life, a reproduction of her clothes, old castle gravures and photos, as well as a range of heraldic insignia and local costumes.

But it's the local wine co-op we really want to see, and not just for the wine.

The building stands on the site of the old Bathory manor house.

It's here that the Countess conducted most of her torture sessions.

Today only an external wall still stands, but the original cellars that have seen so much pain and anguish are intact and are now used to store several wine barrels.

Jozef Carada, one of the co-op owners, provides us with a tasting.

The wines are uniformly excellent.

Some bear a "Bathory Blood" label.

The brand was discontinued in 2010, but after customer pressure, it was reintroduced in 2014 along with a special vintage celebrating the 400th anniversary of her death.

It's ruby red, of course.

Visiting Cachtice

Visitors will need their own wheels to get to Cachtice Castle.

The closest town with decent hotels is Trencin, 30 kilometers north of the village of Cachtice.

The best way to get there is by rail. There are 10 direct trains per day (60-80 minutes travel time from Bratislava). Tickets cost €6-16 ($8-21) each way.

There's a (slow) bus service; the travel time is approximately two hours; tickets cost €6/$8. The best hotel in Trencin is the four-star Hotel Elizabeth (Generala Milana Rastislava Stefanika 2, Trencin; +421 32 6506 111, double room from $132).

There's no direct connection via public transport from Trencin to Cachtice Castle. The best way to get there is by taxi ($40).

The Trencin tourist office (+421 32 6504 711, kic@trencin.sk) or the reception desk at Hotel Elizabeth can arrange an English-speaking guide.

Cachtice Castle is open May-October (Monday-Friday, 10 a.m.-5:30 p.m., Saturday and Sunday, 10 a.m.-6 p.m.; entrance $3.50).

Originally published August 2014.

@highlight

It's unknown exactly how many girls the Blood Countess tortured and killed. Reports range from 100 to 650 victims

@highlight

She was never convicted of her crimes but was kept under house arrest in Cachtice Castle

@highlight

The Bathory name is now a brand of surprisingly excellent wines called "Bathory Blood"