(WIRED) -- When Steve Jobs introduced the iPad last January, the biggest surprise wasn't the actual product. (Many shrugged and called the iPad a "bigger iPhone.") It was the price: Just $500.

Nobody expected that number, perhaps because Apple has traditionally aimed at the high end of the mobile computer market with MacBooks marked $1,000 and up. And perhaps we were also thrown off because Apple execs repeatedly told investors they couldn't produce a $500 computer that wasn't a piece of junk.

But Apple did meet that price, and the iPad isn't junk. The iPad is still the first, and best-selling, product of its kind. Competitors, meanwhile, are having trouble hitting that $500 sweet spot.

Motorola's Xoom tablet is debuting in the United States with an $800 price tag. (To be fair, the most comparable iPad is $730 -- but there's no $500 Xoom planned, and the lack of a low-end entry point will hurt Motorola.) Samsung's Galaxy Tab, with a relatively puny 7-inch screen, costs $600 without a contract.

Why is it so hard to get to a lower starting price? And how was Apple able to get there?

Jason Hiner of Tech Republic suggests it largely has to do with Apple's retail strategy. Apple now has 300 retail stores worldwide selling iPads directly to customers. That's advantageous, because if the iPad were primarily sold at third-party retail stores, a big chunk of profit would go to those retailers, Hiner reasons.

Apple has partnered with a few retail chains such as Best Buy and Walmart, but those stores always seem to get a small number of units in stock. Hiner rationalizes that the true purpose of these partnerships is probably to help spread the marketing message, not so much to sell iPads.

"The company can swallow the bitter pill of hardly making any money from iPad sales through its retail partners because it can feast off the fat profits it makes when customers buy directly through its retail outlets and the web store," Hiner says. "However, companies like Motorola, HP, and Samsung have to make all of their profit by selling their tablets wholesale to retailer partners."

The retail advantage is a reasonable theory, but Hiner neglects to mention the high overhead costs that Apple must pay handsomely for each of its 300 stores. To Hiner's credit, Apple running its own stores does present clear benefits: the customer outreach is enormous, and of course, in Apple stores, Apple products don't have to compete with gadgets sold by rivals on other shelves.

But when we try to decipher why the iPad costs $500, we have to consider the sum of all parts, not just the retail strategy.

Apple is the most vertically integrated company in the world. In addition to operating its own retail chains, all Apple hardware and software are designed in-house, and Apple also runs its own digital content store, iTunes.

Designing in-house means Apple doesn't have to pay licensing fees to third parties to use their intellectual property. For instance, the A4 chip inside the iPad is based on technology developed and owned by Apple (not Intel, AMD or Nvidia). The operating system is Apple's own, not something licensed from Microsoft or Google.

Why do you think Hewlett-Packard bought Palm to make the TouchPad? HP wanted ownership of a mobile operating system in-house to take control of its own mobile destiny and stop being so reliant on Microsoft (which, to this day, doesn't have a credible tablet strategy).

On the iTunes media platform, Apple takes a cut of each sale made through each of its digital storefronts: the App Store, iBooks and iTunes music and video. iBooks still has a long way to go before it's anywhere near as big as Amazon, but the App Store and iTunes are the most successful digital media stores of their kind.

At the end of the day, the iPad might be worth well above $500 for all we know. (Part estimates made by component analysts such as iSuppli aren't very useful because they fail to measure costs of R&D and other factors.) It's most likely that Apple can afford to absorb the costs of producing and selling the iPad because of the tenacious ecosystem backing it, and also because it has such tight oversight over every aspect of the company to control price.

That's what it all boils down to: ecosystems and control. Competitors are struggling to match the $500 price point because they aren't as fully integrated as Apple, in terms of retail strategy, a digital content market, hardware and software engineering -- everything.

As Steve Jobs famously put it one day, "Apple is the last company in our industry that creates the whole widget." Competitors are having trouble beating the iPad widget.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

The iPad is still the first, and best-selling, product of its kind

@highlight

Apple now has 300 retail stores worldwide selling iPads directly to customers

@highlight

Competitors are having trouble beating the iPad widget