High blood pressure is truly a silent killer. In fact, a heart attack or stroke may be the first sign that you even have a problem. That's why it's so important to get your blood pressure checked every time you go to the doctor -- especially if you're a woman.

High blood pressure can lead to stroke, kidney problems, heart trouble and other conditions.

About 35 million American women have high blood pressure, and a third of them don't know it. In part, experts say, the increase comes just because women are living longer and doctors are paying more attention to the problem. But less-benign factors -- such as the exploding use of anti-inflammatory medicines (which make your body retain salt) and ever-increasing waistlines -- may be at play in what the American Heart Association calls a rise in uncontrolled hypertension in women.

Fortunately, there are many ways to control your blood pressure, even without medication. And just knowing your numbers is half the battle, says Dan Jones, M.D., president of the AHA. But that doesn't mean fighting high blood pressure is a cinch. Here are the stories of three women whose high blood pressure took them by surprise. Think about them the next time that cuff goes around your arm.

Erin O'Connell Peiffer, 45

While Peiffer exper­ienced hypertension during all three of her pregnancies, her blood pressure always returned to normal after each birth. Later, as she juggled working and caring for her young children, the thin, nonsmoking telecommunications executive who lives outside of Baltimore, Maryland, considered herself healthy (except for her high cholesterol). Then one day about seven years ago, she couldn't stop coughing during a water aerobics class. A month later, she was shocked to find out that she had congestive heart failure and pulmonary edema, or swelling of the lungs. High blood pressure was behind the problems. Following open-heart surgery to repair a 99 percent blockage in her left main coronary artery, Peiffer was terminated from her job because of her illness and went on disability. She hasn't worked in seven years because of chronic chest pain and other conditions. Learn some tricks to lower your blood pressure

Looking back, she remembers that in her 20s, her blood pressure was elevated when she was first found to have high cholesterol. "They said it was white-coat hypertension [the idea that just being in a medical office can drive blood pressure up]," Peiffer says. "No one said, 'Hey, you need to exercise,' or anything." So she didn't. Now she's on two blood pressure medications -- an ACE inhibitor that lowers levels of blood vessel-tightening chemicals and a beta-blocker that slows heart rate -- and her pressure's normal. Daily two-mile walks help, too. "Get a baseline number, and keep an eye on it," she says. "Take care of yourself first so you can be there to take care of your children."

Carolyn J. Daniels, 43

On the way to a regular medical checkup last year, Daniels, an Atlanta, Georgia-area marketing director, was in good spirits. Her weight was under control at 145 pounds, and she thought she was healthy. Her blood pressure had been slightly elevated at past checkups, but she had never been told to do anything about it. This time was different. Her reading was 160 over 100, and she remembers her doctor saying, "You're like a firecracker -- ready to pop." Daniels was petrified: "I thought I was going to die." Her doctor put her on blood pressure medication immediately. Read which 10 foods are best for your heart

Now she takes a beta-blocker and a calcium channel blocker, which also relaxes blood vessels. To stay healthy, she and her husband walk every other evening after dinner. The hardest part? Giving up the fried foods she loves. "Every now and then, I'll cheat and have some fried chicken over at my sister's house," she confesses. But she's learned to broil, bake, and stir-fry tomatoes, collards, cabbage, and other vegetables.

Daniels is among the 43 percent of African-American women who have hypertension. The risk for African-Americans is much higher than for Asians or whites, although it's not clear why. Daniels thinks there is only one way to cope: "I felt fine, but that' s not good enough. It's especially important for African-American women to go to a doctor routinely. That's the only way you're going to know you have it."

Antoinette Trammell, 50

Even though her mother had hypertension, Trammell, a hospital human resources specialist in Richmond, Virginia, didn't think about her family medical history 20 years ago when she started having headaches and blurred vision -- two of the very rare symptoms of high blood pressure. Then one of the hospital's nurse managers took Trammell's blood pressure and sent her straight to a cardiologist. Read who is at risk of high blood pressure

Her blood pressure is now under control thanks to an ACE inhibitor, a diuretic, and some overdue diet changes. She's trying to lose weight -- hoping to drop 30 pounds -- and the self-professed saltaholic has cut way back on her favorite foods. "Potato chips, fries, all those good things," Trammell says. "I could literally put salt in my hand and eat it." Too much salt makes many people retain water, which increases blood volume and puts more pressure on arteries. The diuretic also helps break that cycle.

Why wasn't Trammell more active in controlling her risks at a younger age? Probably because she grew up on a farm, and her parents rarely saw a doctor. Her mother died at age 80 in 2002 after a stroke and heart attack. "Now I make sure to have my blood pressure checked once a week," Trammell says. "This isn't a condition that I can just take care of when I have the time."

Try a FREE TRIAL issue of Health - CLICK HERE!

Copyright Health Magazine 2009

@highlight

About 35 million American women have high blood pressure; a third don't know it

@highlight

Forty-three percent of African-American women have hypertension

@highlight

Weight loss, excercise and cutting salt in diet can help lower blood pressure