(CNN) -- Women age 60 and older have a 1 in 6 chance of getting Alzheimer's disease in their lifetime, and are twice as likely to develop Alzheimer's compared with breast cancer, according to a report from the Alzheimer's Association.

Men, by comparison, have a 1 in 11 chance of getting Alzheimer's, according to the 2014 Facts and Figures report.

Age is the greatest risk factor for gender differences among Alzheimer's patients, but it's not the only reason. Researchers are also looking at genetic and hormonal differences, according to Maria Carrillo, vice president of medical and scientific relations for the Alzheimer's Association.

The disease affects more than 5 million Americans, two-thirds of them women. The new details about this disease and its impact on women come from a survey of more than 3,000 women commissioned by the Alzheimer's Association.

Overwhelming burden, cost of Alzheimer's to triple

Carol Moore, 75, is all too familiar with this gender disparity. She says she never worried about breast cancer because she was vigilant about her health, but thought her forgetfulness was just part of getting older.

In 2012 she underwent a battery of screening tests for part of an Alzheimer's study. Much to her surprise, she was diagnosed with the disease.

"I was hoping against hope there was nothing wrong with me, but there was," she says, recalling her fear when the neurologist showed her the MRI of her brain and pointed out the deterioration.

Women are also disproportionately affected when it comes to caring for people with Alzheimer's. Sixty percent of caregivers are women and the care they give is more intense physically and emotionally, according to the annual report.

Graphic: Every 67 seconds, someone in the U.S. develops Alzheimer's

Women are more likely to provide round-the-clock care, including feeding, clothing and diapering, says Carrillo. The average length of time an Alzheimer's patient requires 24-hour care is four to seven years, but could be as long as 20 years. The cost of Alzheimer's care is estimated to be $214 billion for this year alone.

"We wish we had expensive treatments to brag about, but we don't, so it's important to highlight that research funding and research commitments are critical for us to change that balance," Carrillo says.

In the future, she says, she hopes she'll be talking about the cost of treatments rather than the cost of care. Mortality rates for other diseases, like breast cancer, are dropping, but the rate of Alzheimer's deaths is on the rise.

Alzheimer's toll may rank with cancer, heart disease

The impact on women disproportionately extends to the workplace as well, where 20% of women, as compared with 3% of men, switch from full-time to part-time work because of their responsibilities as caregivers.

Additionally, women are more likely to take a leave of absence from work or stop working altogether. They also report feeling more isolated and depressed than their male counterparts.

Another surprise from the report, although not specific to women: 24% of women and men mistakenly believe they are only at risk for Alzheimer's disease if they have a family member with it. The cultural breakdown is surprising as well, as 33% of Hispanics held this mistaken belief and nearly half of Asians did.

"Anyone with a brain is at risk," says Angela Geiger, chief strategy officer for the Alzheimer's Association.

"You can do everything 'right' and still not prevent Alzheimer's," according to the association's website. Risk factors for Alzheimer's include genetics and aging, which are out of your control.

However, adopting what the association calls "healthy brain life habits" may help delay or prevent the appearance of the disease. Those habits include staying mentally, socially and physically active and adopting a "brain-healthy diet" low in fat and cholesterol.

Women can also reduce some risk factors by watching their numbers, Carrillo says. That includes blood sugar levels if diabetic, blood pressure and cholesterol.

The association is launching a new initiative in conjunction with the report, asking 1 million women to go to the association's website and share why their brain matters and how they will use it to stop Alzheimer's disease.

In the meantime, Moore, who lives in suburban Atlanta, is taking medication to slow the progression of the disease. She lives alone, still drives and stays active by exercising and attending monthly group meetings with other Alzheimer's patients.

She feels she'd be more social if she could, but she says she can't keep up the way she used to.

"I remind myself you just really have to do one thing at a time," she says. "Needless to say, it's a frustration."

Blood test predicts Alzheimer's disease

@highlight

Women over 60 have a 1 in 6 chance of getting Alzheimer's disease

@highlight

60% of Alzheimer's caregivers are women, according to new report

@highlight

The cost of Alzheimer's care is estimated at $214 billion this year alone