(CNN) -- A dizzying number of trackers are available for health and lifestyle. Enthusiasts can now chart every calorie burned or consumed, have their genetics broken down and backdated for centuries, or follow their stress levels through a family holiday. But while our waking moments become ever more transparent, the one-third of our life spent asleep has remained off limits.

Throughout history, dreams have proved resistant to interrogation. It is not known why we sleep at all beyond a general need to recharge and avoid the negative consequences of not sleeping, while an explanation for the substance of dreams has proved even more elusive, still dominated by the theories of wish fulfillment espoused by Freud and Jung.

But now, digital innovations are picking up the challenge.

The Shadow app seeks to connect users with their dreams, and to make them sociable. Its first function is as an alarm clock that wakes the user gradually over up to 30 minutes, easing them into consciousness so as to preserve more of the dream state, rather than shattering it abruptly. Dream researchers estimate that 95% of dreams vanish upon awakening.

Once the user touches their phone it begins recording and invites them to share the still-fresh memories of the night, prompting them with questions. The input is scanned for keywords and patterns so that the user can build a picture of their experiences over time.

More ambitiously, their personal data is anonymized and sent with gender and geographic data to cloud servers in the hope of building a global dream database. In this social network people can compare and discuss their experiences, while trends can be identified and analyzed.

"We want to know what the most popular dream is in Japan, or Cambodia, at a given time", Shadow founder and CEO Hunter Lee Soik said. "You can see the dreams from each city organized by keywords and numbers".

Currently on a very limited launch of around 1,000 users, the data gathered is already offering insights. "Last week the most dreams were recorded in New York City and the most common subject was relationships. It makes sense that as we are social creatures, we are social in our dreams too."

Soik wants his creation to be "a whole other psychological layer" of quantified technology that people can use in conjunction with their daytime devices for a more complete picture.

The science of dreams

Scientific rigor is being applied to the project through specialists in psychology, neurology, sleep and behaviorism from leading academic institutions such as Harvard and Berkeley, who will analyze the data and contribute their findings. One study will assess environmental impact on dreams, whether through temperature or war.

A similar project is being undertaken by Professor Richard Wiseman of the University of Hertfordshire, a sleep specialist and the UK's only Professor of the Public Understanding of Psychology. But in his case the goal is to actively shape dreams.

Wiseman's Dream: ON app monitors sleeping movement in order to identify the REM stage, the state of deep sleep which is most fertile for dreams and signaled by the cessation of neurotransmitters that control activity such as seratonin, and paralysis of movement but for the eyes. It targets the last and longest of these stages with a range of sound input from "peaceful garden" to "zombie attack".

The Professor employed double blind tests and received over a million submissions from users, and noted a significant impact.

"It affected the emotional tone of the dream rather than content", says Wiseman. "Pleasant nature sounds resulted in more pleasant dreams than jagged sounds.

The more people used it the more effective it is. It's hit and miss because we're targeting REM from movement, but after 20 soundscapes they get used to it, they are less likely to be worried or woken up."

There is a therapeutic function, as bad dreams can be an indicator mental health problems. "You can wake up in a better mood, but also people with depression tend to dream more, and more negatively than non-depressives, which could be counter-acted."

Lucid pilots control trips

Wiseman is candid about the limits of his method, but new wearable devices are making far grander claims. The Aurora headband is one of several innovations to smash its crowd-funding goal with the promise of lucid dreams -- consciousness while asleep.

Aurora measures sleeping brain activity through EEG reading, and provides physical prompts to the user once they are in the suggestible REM state.

While the product is yet to be systematically tested on humans, lucid dreams are a proven phenomenon, with over 50% of adults believed to have experienced one. Efforts to teach people how to access such dreams have been successful, and even electronically induced in clinical trials.

One of the earliest scientists to establish the existence of lucid dreaming, Stephen LaBerge, will soon launch his own wearable tool the NovaDreamer2, based on decades of research data.

The appetite for such innovations is huge, shown in the millions of dollars raised for them in crowdfunding, as well as the thriving online communities that use lucid dreams for anything from thrill-seeking experiment to self-analysis and meditation.

"What's happening now is a digital dream movement", says Ryan Hurd, author of 'Dream Like a Boss' and board member of the International Association for the Study of Dreams (IASD). "We can fulfill a lot of potential that hasn't been realized as there is a lot more quantifiable data."

Hurd sees vast potential in seeking to influence and participate in dreams, pointing to tests that show athletes can improve performance by practicing in their dreams, artists can improve their creativity, and everyone can gain insights.

"People are becoming aware of how important sleep and dreams are for mood, cognitive performance, physical health, and we are beginning to see them enter the quantified self paradigm," says Hurd.

Neuroimaging shows physical form of dreams

Physically identifying dream activity in the brain has seemed hopelessly ambitious but this too is now entering the realm of the possible.

Researchers from the ATR Computational Neuroscience Laboratories in Kyoto, Japan, have been able to interpret EEG waves into simple images with around 70% accuracy after extensively monitoring the patterns in sleeping brains and learning to recognize them.

"It is hard to identify the neural origin of dreaming, but at least we can now read out part of dream contents from activity patterns in the visual cortex, which is normally active when we see objects and scenes during wakefulness," says lead researcher Yukiyasu Kamitani.

Currently the images are crude, black and white shapes, but Kamitani sees vast potential for improvement and application. "More aspects of dream contents, such as action, emotion, and narrative structure, will be decoded with more sophisticated experiments and analysis methods."

"The results may be relevant to learning, memory, or mood. If so, the interpretation may serve as a marker for cognitive capacity and mental health...It will be helpful to study the effect of particular dream contents on subsequent waking experience."

The tantalizing prospect of laying bare our unconscious mind has never been closer. But the more we can shape and monitor our dreams, the main issue could become just how well we want to know ourselves.

Read more from Make, Create, Innovate:

Stealing from nature: Incredible new tech inspired by biology

Forget wearable tech, embeddable implants are already here

Feeling glum, happy, aroused? New technology can detect your mood

@highlight

Shadow app seeks to connect users with their dreams

@highlight

It wakes the user and allows them to record their memories

@highlight

The data gathered worldwide is already providing insights

@highlight

Other innovations in this area allow people to control their dreams