(CNN) -- Who wouldn't expect great things from the world's second largest land mass?

This is a nation hoarding enough prosperity, natural beauty and curling talent to serve a population a hundred times its size.

But Canada is more than elbow room, good roads, respected banks, promo posters of Mounties on horseback, sweet views of Niagara Falls and tired media frenzies about the odd crack-smoking mayor.

This country could really brag about all the stuff that truly sets it apart.

Not that it ever would.

Self-effacing modesty is one the more endearing Canadian virtues -- along with these 10 national assets that really put the "O" in Canada.

1. Apologizing

It's not so easy to get a simple apology in most of the world.

Being jostled in India. Getting your foot stepped on in Greece. Not having the door held open for you in Petropavlovsk-Kamchatsky.

That's just all part of unrepentant life.

In Canada, apologies happen constantly -- "sorries" flying in from all sides like swarms of affable killer bees.

Apologies are issued not just for some negligible mishap, but for actually having the gall to be on the receiving end of one.

A Queen's University poll titled "Sorry ... I'm Canadian," found that 90% of Canadians aged 18-25 will immediately apologize if a stranger bumps into them.

But while it may be true that some of the ugliest brawls in Canada have been waged over who's sorrier, travelers should be wary of such niceties, notes another Canadian apologist: "Sometimes we're actually expressing our sympathy for your shortcomings."

2. Lakes and "Cottage Country"

Canada has more lakes than any other country -- about 3 million.

The province of Ontario alone contains about a third of the world's freshwater, spread over 250,000 lakes.

No surprise that "heading up to the lake" is more than just a favorite national phrase.

It's Canada's sacred version of lighting out for the territory -- but with cottages furnished with Muskoka chairs, Kevlar canoes and competing Gordon Lightfoot and loon mating call soundtracks.

Recently, Ontario's prime lake district, Muskoka, got the nod from National Geographic Traveler as the top summer destination -- in the world.

Well, yeah, eh? It's beauty up there.

3. Stand-in movie locations

Even if you've never set foot in Vancouver, Halifax or those handful of cities in between, you've frequently been staring right at them without knowing it.

Why?

Because Hollywood loves making movies in Canada -- big movies -- while passing the settings off as New York City, Wyoming, ancient Persia, the bow of history's most ill-fated oceanliner ...

Basically anywhere else but Canada.

If you've sat through "The Incredible Hulk," you've visited Toronto's Yonge Street -- at least via celluloid.

"Brokeback Mountain"? That ain't the American West, pardner. It's Southern Alberta's Rocky Mountain country.

"Capote"? You're not in Kansas, Dorothy. But Winnipeg.

"Twilight"? Vancouver.

"Blades of Glory"? Montreal.

"Titanic"? Much of it filmed off the coast of Halifax.

And where in the world was Morgan Freeman's shack in "Unforgiven"? Just up the road from Calgary in the Drumheller Valley -- a moonscape-ish backcountry that's also passed for Egypt, Persia, Armenia and East Africa in several film and TV productions.

4. Air

In a recent national air quality study by the World Health Organization, Canada placed third for the cleanest air on the planet.

Until the first and second placers (Estonia and Mauritius) are covered in CNN Travel's "better than anywhere else" series, we direct your breath to Canadian cities -- which average a relatively pristine 13 micrograms of PM10 particles per cubic meter.

5. Humor

Canadians are hilarious -- sometimes even intentionally -- as a disproportionate number of comic heavyweights like Jim Carrey, John Candy, Eugene Levy, Catherine O'Hara, Dan Aykroyd, Seth Rogen, Mike Myers, Phil Hartman, Michael Cera, Leslie Nielsen and so many others have repeatedly confirmed over the years.

What makes Canadians so crazy funny?

The subject has launched sociological studies, none of which are funny at all.

But even if you've never watched SCTV, can't name a single member of "The Kids in the Hall" and weren't aware that SNL was created and produced by a Torontonian, or that Montreal's Just for Laughs Festival is the world's biggest comedy festival, or that the most deadly funny movie sequence ever filmed (the "Serpentine!" scene from 1979's "The In-Laws") was directed by a dude from Edmonton -- know this:

If there's one thing Canada barrels superbly at home or abroad, for whatever boring reason, it's laughs.

6. Chocolate bars

Just a few giant corporations pump out most of the world's mass market candy bars -- but not always with the same goods under that familiar-looking wrapper.

"Canadian chocolate is higher in fat and it is a higher particle size," a Hershey's senior chocolate expert recently noted in the National Post, adding that Hershey's now offers a separate recipe for the more discriminating Canadian chocolate palate.

"Americans tend to gravitate toward a little more of a grittier or even cheesier flavor."

That's why eating any of those generic chocolate bars or local Canadian faves like Caramilk, Aero, Mr. Big, heck even Sweet Marie in Saskatoon, is a creamy, velvety experience.

And why a KitKat somewhere else is a gritty, cheesy, polyglycerol polyricinoleate-y one.

7. Ski country

Sitting across the border from Colorado, Utah, Wyoming and Vermont would be intimidating to most countries hawking their own powdery slopes.

Not Canada, which boasts some of the best reasons to haul your skis or snowboard a little farther north.

In the West, there's Lake Louise, plunked right in gorgeous Banff National Park, and a ring of powder havens throughout eastern British Columbia. Whistler Blackcomb is one of the world's leading ski resorts, getting a "best in North America" nod from SKI Magazine last year.

In the East, there's Quebec's beer-commercial-fun Laurentians -- where après-ski needs no translation.

Heli-skiing? That all started in the Canadian Bugaboos, which remains one of the best places to do it.

8. Nation branding

No national symbol is as ubiquitous as Canada's maple leaf.

From Newfoundland to Victoria, it's everywhere you look -- a proud, unrelenting reminder of where you are. Not the United States. Not Australia. Not Nigeria. Canada.

The most obsessive leaf activity occurs abroad, where generations of flag-bearing Canadian backpackers are famous for sewing maple leaf patches onto their bags just to make sure everyone's clear at a glance who they are.

Not American. Not German. Not Rarotongan. Canadian. See the leaf? Canadian.

"No other country on earth seems to feel the same need to self-identify," posts one traveler from an undisclosed country.

9. Highway grub

Road trips are all about the food.

At least in places like Alberta or Manitoba, where nothing works up an appetite like hours of sedentary driving along some of the longest, straightest roads known to non-Australian mankind with nothing to do but count Petro-Canada stations -- and pull over for the best comfort food gracing any rest stop.

Tim Hortons. Harvey's. Swiss Chalet ...

If you don't know these names, it's time to look beyond the Golden Arches.

You can eat McNuggets wherever.

Nothing says gustatory bliss on the Trans-Canada Highway like a peameal & natural smoked Bacon Bacon burger, or half-chicken plate with Chalet sauce, or a box of Timbits with a double-double coffee.

Better grab a butter tart and Nanaimo bar, too. It's a long way from Red Deer to Flin Flon.

10. Adorable terms and phrases

While you'll be hard-pressed to find a real-life, toque-wearin' local who's ever called someone a "hoser" or told them to "take off," Canadians do call their two-dollar coins "Toonies," cases of beer "two-fours" and napkins "serviettes" in polite company.

Nowhere else will you be called a "rink rat" for loitering at ice arenas.

Or be "given the gears" if you do something dumb.

Or get asked, "What do you pay for hydro?"

Or alerted that "your gitch is showing" if your belt is too loose.

Enough said.

Jordan Rane is a Toronto native living without apologies (most of the time) in Los Angeles.

@highlight

Poll titled "Sorry ... I'm Canadian," finds 90% of Canadians aged 18-25 apologize if a stranger bumps them

@highlight

Even if you've never visited Canada, chances are you've been staring at it in Hollywood movies

@highlight

"Canadian chocolate is higher in fat and it is a higher particle size," says a Hershey's expert