Boston, Massachusetts (CNN)  -- Jim Gordon struggles to lift a book. It's 4,000 pages, more than a foot thick and one of the dozens of government reports over the last decade assessing the nation's first offshore wind farm.

"It's thicker than the health care bill," chuckles Gordon, the 56-year-old CEO of Cape Wind.

Gordon's laugh has now turned into a celebratory smile. After a vicious nine-year fight on Cape Cod, Gordon has finally won approval of his wind farm to be built in the iconic waters of Nantucket Sound. Interior Secretary Ken Salazar on Wednesday signed off on the project.

"We're trying to pioneer a new path to move America forward in obtaining cleaner energy, a healthier environment and putting people to work to harness the inexhaustible winds that we're blessed with off the Cape," he said.

It has been anything but easy. Cape Wind has spent more than $45 million -- most of it from Gordon's own pockets -- since 2001, when the project first sought a permit.

His opponents have vilified him over the years as a greedy corporate energy man pillaging the pristine waters of the Sound. They say he's interested, not in green energy, but the green of the U.S. dollar.

Gordon has refused to disclose potential earnings for his company; critics say Cape Wind stands to gain hundreds of millions in tax credits and subsidies.

Gordon's hair has gone from black to gray since the fight began. And while the Cape has debated the project, countries like China have built their own offshore wind farms, forging ahead of the U.S. in wind energy.

Gordon's opponents have come from the left and right. They have ranged from one of the most powerful senators in the nation's history -- the late Sen. Ted Kennedy -- to billionaire fossil fuel heavyweight William Koch. "I'm for wind energy," Kennedy famously said. "But we ought to do it right." The Kennedy compound in Hyannis Port will have a view of the 130 wind turbines, located several miles from the shore.

See how the views on the Cape will change

Koch, founder of the Oxbow Group and a resident of the Cape, sits on the board of Gordon's nemesis, the Alliance to Protect Nantucket Sound. He's reportedly contributed more than $1.5 million to try to stop Cape Wind. Koch and his Oxbow Group have accused Gordon of duping the region, saying the Cape had better prepare for skyrocketing electricity prices. The price per kilowatt hour offshore is far higher than on land.

"This will only benefit one individual, and that's the developer himself, Jim Gordon," said Brad Goldstein, Koch's chief spokesman. "Jim Gordon can try to wrap himself around wind all he wants. That dog will not hunt here."

Who is this wind man who challenged the nation's biggest power players -- and won?

The son of a Boston grocer, Gordon says he decided to get into the energy business while waiting in line to get gas during the OPEC energy crisis of the 1970s.

It was a wise decision: He consulted for power plants and made tens of millions of dollars by converting old power plants to natural gas facilities. He won over communities and brought in hundreds of jobs. In all, his group, Energy Management Inc., had seven New England power facilities; six of them were natural gas plants. He sold out in 2001 and with his millions turned his focus, and energy, to wind.

"He didn't buy an island in the Caribbean. He didn't sit on his money," said the Rev. William Eddy, a co-founder of Clean Power Now, a Cape Cod-based organization that has supported the wind farm. "He decided to do something noble with it. You have to admire him for that."

Added Kert Davies, the research director for Greenpeace: "He's amazingly tenacious and knows that it's a good project in the right place and a good thing for the economy and the planet. ... We're going to throw a party and toast Gordon."

Davies says every major environmental group has defended Cape Wind, because the U.S. needs to move away from its dependence on oil and expand its clean energy base. Gordon's biggest mistake, he says, was a belief that the project would be immediately embraced. The region's Democratic base and constant support of green energy made it seem like a sure deal.

"He underestimated what powers would come to bear on the other side," Davies said. "It was a much tougher nut to crack than he thought. What it really boils down to is a few really rich local folks don't want it."

For two years, Glenn Wattley posed as the head of the Alliance to Protect Nantucket Sound. Though a foe of Gordon's, Wattley admires him as a formidable opponent who has the quintessential American story -- a hard-working man who built a fortune out of nothing.

"Not only does he get an 'A' for effort, he gets an 'A-plus,'" said Wattley, who has 35 years of experience in the energy market. "He's shown himself to be very focused and very committed."

Gordon graduated from Boston University with a degree in public communications. Wattley says he used that to his advantage in the Cape Wind debate: "He's a master at how you spin things."

Wattley's main beef with Gordon is the possibility of higher energy costs on the Cape. "My sensitivity is my electric bill," he said. "If we could really believe that prices would be lower, as he initially said, I don't see why this wouldn't be more popular."

Cape Wind has said it can't guarantee lower prices, but the energy will be cleaner. The head of NStar, one of Massachusetts largest utilities, recently told the Boston Globe that electric prices could go up in coming years due to renewable energy.

That's another red herring from critics, says William Moomaw, a professor of international environmental policy at Tufts University's Fletcher School. "The prices won't skyrocket for the local people. That's just non-sense," said Moomaw, part of a team that won the Nobel Peace Prize in 2007.  "There might be a small rise, but it would be relatively small."

He applauded Gordon for not bowing out in the face of withering criticism: "Jim Gordon has to be one of the most persistent people who truly believes in the goal that he's set for himself. Most people would have pulled out long ago."

The wind farm turned into the most heavily vetted energy project in the nation, with dozens of public hearings and 17 state and federal agencies weighing in. The 130 turbines, spaced a third- to a half-mile apart, will cover about 25 of the 500 square miles of Nantucket Sound. They will stand more than 40 stories tall and provide up to 75 percent of the power to the Cape and islands.

See the location of the wind farm

Gordon often visits his family home in Yarmouth on the Cape. Does he lie low while there because of the heated emotions Cape Wind has stirred?

"Not at all," he said.

He finds just the opposite reaction. Locals come up to him in shops and restaurants. Keep going, they say. We know it's hard.

The Cape Wind CEO admits he never anticipated the battle would drag on for nine years. That's too long, he says, for everyone involved -- from the affected communities to the investors to the government.

The Alliance to Protect Nantucket Sound has vowed to file a lawsuit to try to stop the project. Gordon says the group can try if it wants, but the Alliance should be prepared to lose again.

He's now the pioneer behind Massachusetts' new revolution: offshore wind. He hopes to begin construction later this year, with the project completed by the end of 2012.

"When you believe in your heart that you have the right project at the right place at the right time," he said, "you just keep putting one foot in front of the other."

@highlight

Jim Gordon faced a decade of criticism over his plan for nation's first offshore wind farm

@highlight

Gordon made tens of millions in the energy market before focusing on wind farm

@highlight

Supporter: "He didn't sit on his money. He decided to do something noble with it."

@highlight

Critics say Cape residents should brace for higher electric prices