Washington (CNN) -- Former House Speaker Newt Gingrich made it official Wednesday: He's running for president.

The Georgia Republican announced via Twitter that he is formally seeking the 2012 GOP presidential nomination.

Gingrich is widely viewed as the most serious official Republican candidate so far.

"I'm announcing my candidacy for president of the United States because I believe we can return America to hope and opportunity," the former speaker said in a campaign video posted online.

"We Americans are going to have to talk together, to work together, find solutions together, and insist on imposing those solutions on those forces that don't want to change."

The candidate called for more jobs, a balanced budget and decentralized government.

"There are some people who don't mind if America becomes a wreck so long as they dominate the wreckage," Gingrich said. "But you and I know better."

"Let's get together, look reality in the face, tell the truth, make the tough choices and get the job done," he declared.  "There's a much better American future ahead."

House Majority Leader Eric Cantor, R-Virginia, said earlier Wednesday that "the discussion around the presidential race will obviously increase" when Gingrich entered the race for the GOP nomination.

"I think Gingrich has always been an ideas man, and I'm sure that will provide a lot of positive input to the debate," Cantor said.

Gingrich's online announcement followed a recent trend by national politicians to make major announcements through the Internet.

Barack Obama first announced his selection of Joe Biden as his running mate in 2008 on his campaign website and in a text message to supporters. Then-Sen. Hillary Clinton announced her presidential candidacy in 2007 with the release of a statement and video on her campaign website.

Asked about his embracing of technology to make his announcement, Gingrich told Fox News' Sean Hannity on Wednesday night that "there are a lot of principles that haven't changed."

He came out swinging against Obama, the "elite" media and Hollywood.

Obama should be ashamed of himself for "dishonest scare tactics" in comments about Republican approaches to the budget and immigration, Gingrich said, adding he wanted to "clear away the liberal policies."

The candidate has traveled to key early voting states trying to build a network of support and has met with fundraisers. He has assembled a campaign team and told supporters he aims to raise $100 million.

During his appearances, the former speaker has pushed a wide array of policy proposals in his bid to lay the foundation of a campaign and prove he is a serious candidate, not just a symbol of the past.

"I expect the American people in the end will be remarkably fair. They'll render judgment, and they'll decide whether or not Newt Gingrich is somebody that they think can solve the country's problems and be the kind of leader they want for this country," Gingrich told Fox News in March.

He has given his audiences a lot of political red meat and has not shied away from controversy.

Speaking at the Iowa Faith and Freedom Coalition event in March, he said there is a difference between a majority of Americans and "the secular socialist people around (President Barack) Obama and the degree to which they do not understand America, cannot possibly represent America and cannot lead us to success."

Gingrich has an agenda the includes overturning the health care reform bill, eliminating the Environmental Protection Agency, pushing more development of energy sources and advocating tax cuts.

"He is a polarizing figure (who) comes with a fair degree of baggage," Ford O'Connell, who worked on the 2008 McCain-Palin ticket, told CNN. He said Gingrich has to make himself relevant to the current political climate. "He does represent the past but has to show why he represents the future," O'Connell said, adding that he thinks right now Gingrich is having difficulty doing that.

"If he can demonstrate why he is relevant to the future in the current political climate," O'Connell said, "the baggage will dissipate."

Some Republican activists not affiliated with a campaign have said Gingrich might not be disciplined enough to focus his ideas to run a successful campaign.

Pollster David Winston, who worked with Gingrich during his years in the House, said he can.

"There isn't any question Newt Gingrich is a person with lots of ideas," Winston told CNN. "The step for Newt here is to not just merely focus on the future ... (but to) focus on the problems the country is most worried about."

Gingrich told Hannity he is better equipped to be president than when he left office 12 years ago.

"It's fair to say I am more mature," he said. "I have had time to reflect on what worked and what didn't work."

He declined to list who his strongest Republican foe might be, instead saying the focus is on the president.

The former House speaker, who converted to Catholicism, the religion of his current wife, has especially reached out to the social conservative wing of the party, a segment critical to success in the key states of Iowa and South Carolina.

Many of those activists are skeptical of Gingrich because of his two divorces.

"There's no question at times of my life, partially driven by how passionately I felt about this country, that I worked far too hard and things happened in my life that were not appropriate," Gingrich explained to the Christian Broadcasting Network's David Brody.

After the Georgia Republican lost two runs for Congress in the 1970s, his third attempt in 1978 was successful. He was aggressive and rose to the second spot in the House Republican leadership. He was instrumental in helping to craft the 1994 Contract with America, a blueprint that helped the Republicans take control of the House. He was elected speaker but, after a disappointing GOP showing in the House elections in 1998, he decided to retire in 1999.

He then went about rehabilitating his political career, forming a conservative policy think tank called American Solutions, starting a string of successful businesses and becoming a political commentator. He has an impressive record of fundraising, he has developed a large network of supporters and he has authored almost two dozen books and produced movies on a wide range of topics.

Gingrich still has some work to do on his reputation.

Forty-four percent of those surveyed in a recent CNN/Opinion Research Corp. poll said they had an unfavorable opinion of him, while 30% said they had a favorable one. That gives him one of the largest unfavorable rankings of the GOP presidential contenders, although it also shows he has high name recognition.

When Republicans are asked who they favor for the nomination, 10% choose Gingrich, tying him with Rep. Ron Paul of Texas but behind Sarah Palin, Mitt Romney, Donald Trump and Mike Huckabee.

"He brings a lot to the debate. But there are a lot of candidates in the process of going through a presidential primary. We'll sort out the good from the bad, and we'll end up with a good candidate," House Speaker John Boehner, R-Ohio, said on NBC's "Today" show Tuesday regarding a Gingrich candidacy.

It has not been all smooth sailing as Gingrich tested the waters. He admitted his advisers flubbed the initial announcement in March that he was exploring a run and starting a website, when expectations were built up that they would announce a more formal step.

"It led to unfortunate confusion," he told the Des Moines Register. "I wish we had been a little more structured ... but I don't take it as a serious problem."

Gingrich also drew some criticism for not giving a coherent critique of the Obama administration's policy on Libya. He told Fox News on March 7, when asked what he would do, that he would "exercise a no-fly zone this evening." But later, after a no-fly zone was put in place, he said on NBC's "Today Show" that "I would not have intervened. I think there are a lot of other ways to affect (Libyan leader Moammar) Gadhafi."

For his part, Gingrich has denied he flip-flopped, saying he was just commenting on the circumstances as they changed. He posted on his Facebook page: "President Obama said publicly that 'it's time for Gadhafi to go.' Prior to this statement there were options to be indirect and subtle to achieve this result without United States military forces."

"The president, however, took those options off the table with his public statement," he continued. "That's why during a March 7th Greta van Susteren interview, I asserted that the president should establish a no-fly zone 'this evening.' "

CNN's Rebecca Stewart and Alan Silverleib contributed to this story.

@highlight

NEW: Newt Gingrich criticizes President Obama for "dishonest scare tactics"

@highlight

He has assembled a campaign team and told supporters he aims to raise $100 million

@highlight

His agenda includes overturning health care reform and eliminating the EPA

@highlight

Other topics: Pushing more development of energy sources and advocating tax cuts