(CNN) -- A California judge ruled this week that several of the state's teacher tenure, dismissal and layoff laws are unconstitutional.

The decision sparked a nationwide debate, as the case gets at one of this country's core questions: What's the best way to educate children?

On one side of the debate are teachers and unions, which say tenure's job protections provide stability, and creative and academic freedoms.

On the other side, some administrators and others argue such protections give bad teachers a free ride at the expense of students -- particularly poor students and students of color.

Somewhere in the middle of the debate are politicians and educators who've seized on the judge's ruling as a call to action to fix a broken public teaching system.

"At the end of the day what everyone has common interest in -- the common goal -- is to increase public confidence in public education. We want great public schools and we need great public school teachers," Education Secretary Arne Duncan told CNN.

"There's one common enemy and that's academic failure -- and if we continue to fight silly fights everybody loses."

Here's a look at what the California ruling could mean:

... For teachers

Teachers in the country's most populous state are evaluated for tenure in less than two years -- a law the judge found to be unconstitutional.

"Great teachers absolutely deserve to have their jobs protected ... but it's a ridiculously short period of time," said John Deasy, superintendent of the Los Angeles Unified School District. He suggested evaluating teachers after 3-5 years.

"Allow us to have a period of time to work and support teachers before we make this important decision, and then celebrate that decision," Deasy said.

For their part, unions aren't necessarily against the idea of delaying tenure decisions, but they have criticized the judge for tossing the good along with the bad.

They warn the ruling could have a cooling effect on teachers, nationwide, who want to experiment in the classroom.

"The judge should not have thrown out the rights of every teacher, because good teachers need to be creative. They need to take risks. They need to actually do things where they may stumble and fall," said Randi Weingarten, president of the American Federation of Teachers.

"But what this decision did is (it) said to teachers all across the country, 'Don't speak up anymore -- don't try new things.'"

... For students

In his ruling, Los Angeles County Judge Rolf M. Treu cited evidence that, he wrote, "shocks the conscience." He discussed experts called in the case who testified about the scope and significance of bad teachers.

Between 1-3% of teachers in California are "grossly ineffective," he wrote, which translates into an actual number of teachers of between 2,750-8,250.

A single year with a "grossly ineffective teacher costs students $1.4 million in lifetime earnings per classroom," Treu said.

The judge also found fault with the price of getting rid of bad teachers, saying the process could take up to 10 years and cost between $50,000-$450,000.

Clearly, students win if bad teachers are replaced with great ones. And no one is arguing in favor of protecting poor teachers.

"If a teacher cannot teach, they should be fired, effectively and quickly," Weingarten said.

But Michelle Rhee -- a former Washington, D.C., schools chancellor -- argues that unions have lost sight of what's most important in the classroom. Rhee is a supporter of Students Matter, the nonprofit that helped nine students file the case in California.

"The union's job is to protect the rights, privileges, and pay of their members. They want their members to be able to keep their jobs regardless, and what this judge is saying is that we have to look out for the interests of children, first and foremost -- that we have to ensure that there's a high quality teacher in front of every child every single day," Rhee said.

... For parents

Ben Smith is a father of five in Los Gatos, California. One child is in college; the rest are in public schools.

Smith was pleased by the judge's ruling this week and likes that it has sparked a conversation about education. He paid close attention to the "last in, first out" policy, another one of the laws Treu found to be unconstitutional.

"No matter how gifted the junior teacher, and no matter how grossly ineffective the senior teacher, the junior gifted one, who all parties agree is creating a positive atmosphere for his/ her students, is separated from them and a senior grossly ineffective one who all parties agree is harming the students entrusted to her/ him is left in place," the judge wrote.

Smith, who works in the tech community, similarly believes the policy is indefensible.

"We're big believers in a meritocracy," he said. "Having an education system that's counter to that -- where time and place is rewarded versus performance -- is not something that's consistent with the way we look at the world."

The flip side of a meritocracy, however -- Smith said -- is the need for greater compensation for the teachers doing a great job.

"People have to be rewarded for innovation, rewarded for efforts to make the classroom a better environment. We can't just remove (job) security and don't do anything else," he said.

It was a point that Secretary Duncan also made.

"No teacher ever goes into education to make a million dollars. Teachers are the most altruistic people you're ever going to meet," he said. "We need to recognize and reward the talent that is changing students' lives every single day."

... And for the rest of the country

In many ways, the California case is unique and cannot be easily replicated in others states.

For one, California is an outlier when it comes to teacher tenure. In his decision, Judge Treu wrote that 32 states have a three-year evaluation period, while nine states have a four- or five-year period. California is one of only five states with a period of two years or less, he wrote.

The state is also an outlier when it comes to the policy of "last in, first out." Twenty states allow for seniority to be considered among other factors, and 19 leave the layoff criteria to district discretion, Treu wrote, stressing that California is just one of 10 states that say seniority can be the sole factor in a layoff decision, or that it must be considered.

The judge based his decision on the California Constitution, which could also complicate efforts to take the case to other states.

Still, Felix Schein, a spokesman for Students Matters, says that's exactly what the group is looking to do.

Conversations are happening in a dozen states with stakeholders interested in pursuing litigation, he said, mentioning New York, Connecticut, Maryland and Minnesota, in particular.

"We're weighing: 1) Do you have these laws at all? 2) What's the constitutional framework? 3) Is there evidence that the laws aren't working?" Schein said.

His group's success in other states will ultimately depend on how the California case holds up under appeal. The judge has ordered a stay of his decision, pending such an appeal.

But in California, some educators say they don't want to wait.

"I hope what happens is that we form a coalition of strong labor leaders and our legislators and immediately get to rewriting laws that are just and legal," said Deasy, with the Los Angeles Unified School District.

"These laws have been found to be unconstitutional. I think that it's incumbent upon us to work as quickly as possible."

CNN's Jamie Gumbrecht, Athena Jones, Michael Martinez and Christine Romans contributed to this report.

@highlight

Unions say tenure's job protections provide stability and necessary freedoms

@highlight

Other argue such protections give bad teachers a free ride at the expense of students

@highlight

"If we continue to fight silly fights everybody loses," says Secretary Arne Duncan