(CNN) -- For pro-surfers like nine-time world champion Kelly Slater, flying from continent to continent looking for the perfect wave seems like a freewheeling lifestyle, but for amateurs, it requires careful planning.

Surfing champ Kelly Slater gains altitude at Hossegor, France, in 2002.

Surfers checking out unique vibes at sites in Australia, Fiji, Tahiti, Hawaii and France are driven by the buzz that comes from exhilarating swells, breaking waves and amazing barrel tubes created by truly awesome forces of nature.

Unlike other travelers, surfers are interested in surfer-friendly places to crash, snagging the best airline rates for surfboards and where to hang out.

Here's Slater's list of five great surfing meccas along with some hints about how to fully enjoy your search for the proverbial endless summer.  See photos of Slater surfing his five great sites »

BANZAI PIPELINE, Oahu, Hawaii

Event: Billabong Pipeline Masters, December 8 to December 20, 2009

"I grew up mesmerized by it, and it never lets you down," Slater said. "It's just an amazing place to be and a wave that always challenges you."

The vibe: Surfers compare this event to professional golf's Master's tournament. Since the 1950s and '60s, mobs of fans have traveled to view one of the sport's great venues to watch competing surfers.

How to get there: To find this quarter-mile long treasure trove of breaking waves, drive southwest of Ehukai Beach Park along the Kamehameha Highway, about seven miles northeast of Haleiwa.

During competition season -- in November and December -- visitors can soak up a lot of action on the beach, said Scott Bass, editor at Surfer Magazine.

"It's a unique spot because a large, crazy death-defying surf breaks only 100 yards from shore. It's very accessible as a viewer," said Bass.  See map and more photos of Slater's surfing spots »

Where to stay: Keiki Beach Bungalows offers tourists the best of both worlds: proximity to the Pipeline and a break from the crowds. Located on the beach about a mile away from Pipeline, the quiet bungalows also provide convenient access to a shopping complex with food and coffee shops about a quarter mile away. One and two-bedroom cottages range from $145 to $220 per night, depending on length of stay.

Searching for more elegant digs? Turtle Bay Resort offers hundreds of luxurious guest rooms, suites and cottages not far from Pipeline.

On a budget? Less than an hour's drive away, campers can pitch near the Pacific at Barbers Point Beach Park.

Where to hang out: Got something sweeter in mind? Matsumoto Shave Ice has become a Hawaiian institution during its 60 years, serving the namesake snow cones, candy and crack seed, an island snack of dried fruits.

Where to get lunch: Locals will tell you that hanging out on the North Shore must include a stop at some of the island's tried and true mom and pop shops. Macky's Sweet Shrimp Truck is literally just that -- a brightly painted RV parked in a private lot. Macky's specializes in serving succulent shrimp, rice, fruit and veggies.

CLOUDBREAK, Tavarua, Fiji

Best waves: April to October

"One of the great surf discoveries ever," said Slater about Cloudbreak, the name given to a surfing reef about two miles off Fiji's island of Tavarua. The South Pacific waters off Fiji offer the perfect temperature and a "really good swell window" for timing waves, Slater said. "The wave has so many different faces to it. It's challenging and perfect."

The vibe: Exclusive. The Tavarua Resort on the island controls access to the reef.

How to get there: Surfing Cloudbreak can cost you, both physically and monetarily because of its distance off the island and the expense of traveling to the middle of the Pacific Ocean. Surfers get to the reef on local boats or jet-skis -- or by paddling on their boards, which will take a lot out of you.

Where to stay/hang out: Options are very limited. Surfer tourists can expect to spend at least $200 per night at the island resort.

SNAPPER ROCKS, Kirra, Australia

Event: Quiksilver Pro Gold Coast February 28 to March 11, 2009

It's no secret that surfing is a national pastime in Australia, especially during pro-surfing competitions in February and March, when the weather is toasty warm and the water is aqua blue.

How to get there: Arrive at the Gold Coast airport at Coolangatta or at the airport in Brisbane, which is about 68 miles (109 kilometers) to the north on the Pacific Motorway. The stretch of breaking waves between Snapper Rocks and Kirra is called the Superbank.

The waves are "perfect, hollow, fast," said Slater. Superbank's sandy-bottom, barrel point break makes it worthy of his list. "On its day, it's the wave you would draw on your school books," he said.

The vibe: The Gold Coast during competition season is similar to Spring Break in the United States, said Bass, a globetrotting surfer who has produced a documentary about the Vietnam War's surfing soldiers.

Gold Coast spectators tend to be young, hip trendy, college-age surf fans. For tourists with wider interests, the scene includes a music festival and skateboard competition.

Where to stay: Take your pick. There are plenty of hotels along the Gold Coast, ranging from upscale three or four-star destinations to modest beach motels. For $20 (Australian) you can grab a bunk bed in a backpacker hostel. At the posh Palazzo Versace, you can spend thousands of dollars for one night's lodging. Apartments near the shore run from $80 to $250 Australian per night. Book early if possible.

TEAHUPOO, Tahiti

Event: Billabong Pro Teahupoo May 9 to May 20, 2009

Cloudbreak's remoteness is matched by Tahiti's Teahupoo, which is described by Slater as "one of the most challenging waves and confronting waves in the world." When negotiating Teahupoo's South Pacific monster waves, said Slater, "Just make a decision and follow it. No second guessing."

The vibe: Teahupoo is very exclusive and expensive, according to Bass. "It's a grand spectacle along the same lines as the Pipeline, just not as accessible."

How to get there: You might have to pay a boater for transportation to the wave, which is about a quarter mile off shore, said Bass.

Where to stay/hang out: Small pensions,homes that island residents rent to tourists, are the way to go in Tahiti, said Bass. Hiti Moana Villa offers bungalows for $110 to $160 per night.

HOSSEGOR, France

Event: Quiksilver Pro France September 23 to October 4, 2009

For nonsurfers, Hossegor is a big secret.

"People don't realize how good the surf is there but it's incredible very often," said Slater. The elbow-shaped Bay of Biscay near the French-Spanish border offers "lots of swell and good weather that Ireland and England don't get."

The vibe: More waves, more surfing, less competition. The Hossegor area offers many fine beach breaks that result in abundant waves. These "peaky" beach breaks democratize the surfing experience. With more good waves, there's less jockeying among surfers for position. During most of the year, surfers will need to wear a wet suit. The Bay of Biscay is really cold.

Where to hang out: The area has great food, according to Slater, and, "Spain is just right next door for something different." Across the Spanish border, surfers can discover crashing waves along the shore of San Sebastian, the town made famous in Hemingway's "The Sun Also Rises."

Continue down the coast to experience amazing waves off the Spanish towns of Zarautz and Mendexa. There, surfers will discover a pure point break, with waves breaking off cobblestone rocks on the ocean floor.

Where to stay: All along the coast are dozens of beach hostels offering low-cost lodging. Also, there's camping in the area, if you feel like really roughing it. The Hortensias du Lac hotel offers rooms from €170 to €220 per night.

How to get there: From Paris, drive about 6 hours southwest to Bordeaux and then drive about 2 hours south to Hossegor. By train from Paris takes about 6 hours and costs about $130.

TOTING  YOUR BOARD

The relationship between surfers and their boards is close. Sometimes very close. Many surfers feel their boards are like a physical part of them. As a result, they accept no substitutes -- or rentals. They bring their boards.

Traveling with a 9-foot, 70-pound piece of sporting equipment can be expensive. Several airlines hit surfboard-toting travelers with stiff fees, sometimes hundreds of dollars. But a few carriers will allow surfboards to be checked as baggage free, within certain guidelines.

Here's a quick list of policies among major airlines for travel with surfboards as checked baggage:

American Airlines charges a special handling fee.

British Airways bans surfboards as checked baggage.

Delta Airlines charges a special handling fee.

Singapore Airlines offers free baggage check for surfboards within certain guidelines. Otherwise, travelers are charged a handling fee.

United Airlines charges a special handling fee.

Virgin Atlantic offers free baggage checking within certain guidelines.

CNN's David Banks, a lifelong surfer, contributed to this report.

@highlight

Pro-surfing champ Kelly Slater likes Australia, Tahiti, Fiji, Hawaii and France

@highlight

Fiji's Cloudbreak wave is "one of the great surf discoveries ever," said Slater

@highlight

The vibe at primo spots varies from Spring Break-like to exclusive

@highlight

Airline surfboard baggage policies range from free to pricey