(CNN) -- There's a bounty on the head of Moammar Gadhafi, three of his children have fled the country, at least one is dead, and two of his sons seem to be having a public argument over whether to keep fighting or surrender to rebels.

Here is a look at the Gadhafi family -- a large, at times quarrelsome clan that helped the embattled strongman hold onto power for more than four decades.

MOAMMAR GADHAFI

Leader of Libya since 1969, Gadhafi was last reported seen June 12, two weeks before the International Criminal Court issued a warrant for his arrest.

An audio message purporting to be from him aired August 24, days after rebels overran the capital Tripoli.

Gadhafi's son Saif al-Islam told Syria's Rai TV August 31 that his father was "fine. We are fighting, and we are drinking tea and drinking coffee and sitting with our families and fighting."

The Algerian government announced earlier that week that Moammar Gadhafi's wife, Safia, and three of his grown children -- daughter Aisha and two of his sons, Hannibal and Mohamed -- had arrived in the neighboring North African country.

But on September 1, Algeria's foreign minister denied that the leader had come with them.

"Of course not," Mourad Medelci told French radio network Europe 1 when asked whether Gadhafi was in Algeria.

"The hypothesis that Mr. Gadhafi could come knocking on our door was never considered."

SAIF AL-ISLAM

The most noted power player is Saif al-Islam. Once seen as a possible successor to his father and an advocate of reform, he became a vocal defender of his father's brutal regime. Saif is wanted by the International Criminal Court, which issued an arrest warrant for him in June on charges of crimes against humanity. Although rebels claimed his capture when they rolled into Tripoli, Saif al-Islam later showed up at the Rixos Hotel in a convoy of armored Land Cruisers.

Since then, his whereabouts have been unknown, but at the end of August he vowed "Victory or martyrdom!" in a call to Syria's Rai TV.

Saif al-Islam, saying he was speaking from a suburb of Tripoli, urged Libyans to rise up against the rebels: "Wherever you see the enemy, attack them. They are weak, they have suffered lots of losses and they are now licking their wounds."

He is the second-oldest son, the oldest of Gadhafi's second wife Safia. He was educated at the London School of Economics. He speaks fluent English, is a fastidious dresser and he paints. An exhibition of his work was displayed in Moscow.

SAADI

Saadi offered to negotiate an end to the war with the rebels after his father's troops lost control of Tripoli, but later seemed to change his mind. In intermittent contact with CNN's Nic Robertson, he originally appeared willing to promise his father and older brother would stay out of the way of a peace deal. "If (the rebels) agree to cooperate to save the country together (without my father and Saif), then it will be easy and fast. I promise!" Saadi Gadhafi said in an e-mail to Robertson. He said the opposition cannot "build a new country without having us in the table."

But he later said he would not surrender to the rebels. They, in turn, offered him safe passage to Tripoli and proper treatment, but said he would be put on trial rather than given a chance to negotiate.

A businessman, Saadi ran the Libyan Football Federation before the unrest began. He played soccer for Perugia in Italy for one season. Leaked U.S. diplomatic cables posted on WikiLeaks claim that he had "scuffles" with police in Europe.

AISHA

Moammar Gadhafi's only daughter, a former U.N. goodwill ambassador who has kept a low profile during Libya's violent uprising, crossed into Algeria with her mother and brothers Hannibal and Mohamed August 29. She gave birth to a daughter at the border, sources close to her family told CNN.

Known in the Arab media as the "Claudia Schiffer" of the region, the striking blonde beauty was once considered her embattled father's best asset. But, unlike her brothers, Aisha Gadhafi has largely kept out of the public eye as rebels continue to quash the last pockets of resistance from her father's 42-year-old regime.

Many observers expected her to show more support for her father's increasingly beleaguered regime, especially when a NATO airstrike in April killed her brother, Saif al-Arab Gadhafi, and her own daughter -- one of several Gadhafi grandchildren who died in the attack.

In February, as Moammar Gadhafi called on the military to crack down on anti-government protesters early in the Libyan conflict, the United Nations terminated his daughter's stint as a goodwill ambassador in Libya for the U.N. Development Program.

A lawyer by profession, she is also known to toe a very tough political line. She has been a longtime, loud supporter of anti-government groups -- except at home -- including the IRA and the insurgents in Iraq. She was famously part of Saddam Hussein's defense team when he was tried. He ultimately was convicted and hanged. When London's Telegraph newspaper asked her how she felt about Iraqis who say he slaughtered thousands of their countrymen, she replied, "You are bound to meet people who may be against your policies."

HANNIBAL

Hannibal fled into Algeria with his mother, sister Aisha and brother Mohamed August 29. Rebels who picked through Hannibal Gadhafi's seaside villa a day earlier introduced CNN's Dan Rivers to his family's badly burned former nanny, who said she had been doused with boiling water by Hannibal Gadhafi's wife Aline when she refused to beat one of their crying toddlers. The nanny, Shweyga Mullah, is covered with scars from the abuse, which was corroborated by another member of the household staff.

Hannibal has reportedly paid millions of dollars for private parties featuring big-name entertainers including Beyonce, Mariah Carey and Usher. Several of the artists now say they have given the money back.

It's not just Hannibal's parties that make news. He has been implicated in a string of violent incidents in Europe. He was accused of beating his staff, although the charges were later dropped. He was accused of beating his wife, model Aline Skaf, in a London hotel. She later said her broken nose was the result of an accident.

In a spectacular episode, Hannibal was stopped after driving his Ferrari 90 mph the wrong way on the Champs-Elysees in Paris. He invoked diplomatic immunity.

MOHAMED

Mohamed is the son of Moammar Gadhafi and his first wife, Fatiha. Mohamed was one of three Gadhafi sons who had been reported captured as the rebels overran Tripoli last week, but the rebels said he had escaped the following day. He was among the family who crossed into Algeria at the end of August.

Before the unrest, he was the head of Libya's Olympic committee and chairman of the company that operated cell phone and satellite services in Libya.

MUTASSIM

Mutassim once allegedly helped plot a coup against his father and had to flee the country when it failed. He was eventually forgiven and became his father's national security adviser. Mutassim was involved in official talks with Secretary of State Hillary Clinton in 2009 about improving U.S.-Libyan relations.

His whereabouts are unknown.

KHAMIS

Khamis was said to command a special forces unit known as the 32nd brigade, or the Khamis brigade, which protected the Gadhafi family. His troops were involved in much of the heavy fighting throughout Libya.

Senior rebel commander Mahdi al-Harati told CNN Khamis was killed August 28 in a battle with rebel forces between the villages of Tarunah and Bani Walid -- near Misrata -- in northwest Libya. Khamis died from his wounds at a hospital, and was buried in the area by rebel forces, al-Harati said. CNN has not independently confirmed his death.

SAIF AL-ARAB

Saif al-Arab was killed in an April 30 NATO airstrike. Moammar Gadhafi and his wife were at their son's house when it was targeted. Very little is known about him.

MILAD

Milad is a nephew whom Moammar Gadhafi adopted. He is said to have saved Gadhafi's life in the U.S. bombing of his compound in 1986. Milad's whereabouts are unknown.

@highlight

Gadhafi last reported seen June 12, two weeks before ICC issued warrant for his arrest.

@highlight

Three of his children have fled the country, and at least one is dead.

@highlight

Two sons seem to have public argument over whether to keep fighting or surrender