(CNN)What is Africa's most prosperous country?

According to new research from the Legatum Institute, which last week ranked prosperity in 38 African countries around criteria ranging from economics to education to health, the title belongs to Botswana, the diamond-rich country in southern Africa.

As well as posting a relatively high per capita Gross Domestic Product (GDP) of $15,176, Botswana also fared well in terms of governance, education and personal freedom. As the country spends 8% of  its GDP on education, it is among the biggest proportional spenders in the world according to the World Bank. This is the third year in a row that Botswana has topped the index.

In contrast, the Central African Republic  was the lowest ranked country on the continent. The country, which has a per capita GDP of $584, has seen increasing violence since the end of 2012, and only 21.5% of the population have access to sanitation according to the prosperity index.

Biggest gainers

Rwanda was the best improver, gaining five ranking places to end up as the eighth most prosperous country in Africa. The country was found to have the sixth highest ranking in regulation and government effectiveness, the eighth highest score in rule of law and the lowest perceptions of corruption in Africa.

"Rwanda deserves credit for actively encouraging women to play a central role in shaping the future of their country. And it seems to be paying dividends," says the report.

These findings bucked trends across the continent, where 41% of women are out of work, as opposed to 23% of men.

"We cannot talk about the prosperity of women in Africa if we don't change the inappropriate policies that hinder their progress," argues Marieme Jamme, a Davos Young Global leader and CEO of SpotOne Global Solutions. "We cannot sugar coat the issues of funding, mentoring, gender equality, recognition and representation and expect women to come winners within the current framework and plans we have in Africa."

Other notable gainers since 2012 included countries from East Africa -- while neither Kenya nor Mozambique featured in the top 10 most prosperous countries in Africa, they both rose by four places in the rankings since 2012.

As over 44% of Kenyans thought it was a good time to find employment, the country ranked ninth in terms of entrepreneurship and opportunity. But following the 2013 siege in Nairobi's Westgate Mall, the country ranked 32 of 38 in terms of safety and security.

Falling down the ranks

Regional partner Tanzania, by contrast, fell eight places since 2012 going from 11th to 19th in the latest rankings. A drop in five-year average growth and an increase in inflation were coupled with a decline in confidence in financial institutions and falling satisfaction with living standards.

The country fared particularly badly in terms of personal freedom, where it fell from 24th to 28th.

While Tanzania's education score rose by one place in the rankings, the report argues that Tanzania needs to improve the quality of education in schools rather than focusing on enrollment rates. "Tanzanian education is not producing graduates with the skills needed to work in the formal sector," the report says. "The lack of an adequately skilled workforce is a hindrance to investment in sectors such as manufacturing, construction, mining, agriculture, finance, and communications...Tanzania needs education that improves students' chances of finding employment."

The biggest faller was Malawi, which dropped 11 places since 2012 to 20th in the index. The report cites a drop in the five-year GDP growth rate as part of the reason the country fell by 18 places in the Economy sub-index.

In all, average prosperity in Africa has been on the up since 2012. In the past two years all countries have seen increases in at least one area tracked by the report.

But Nathan Gamester, program director of the Prosperity Index ,added a cautious note to the findings: "As African economies grow, a chief concern for many governments is how to ensure that the fruits of growth benefit a majority of the population and contribute to true long term prosperity."

Click through the gallery above to find out what are Africa's top 10 prosperous countries according to the Legatum Institute.

Read this: S. Africans making a fortune in UAE

More from Marketplace Africa

@highlight

Legatum Institute: Botswana is the most prosperous country in Africa

@highlight

The Central African Republic is the least prosperous country on the continent

@highlight

Rwanda was the best improver gaining five ranking places since 2012

@highlight

Malawi was the biggest faller, dropping 11 places since 2012