London (CNN) -- Extremist Islamic cleric Abu Hamza al-Masri and four other men departed England on Friday night destined for the United States, hours after the High Court in London ended a years-long legal battle by ruling the men could be extradited "immediately."

Two planes left the British Air Force base Mildenhall with al-Masri, Khaled al-Fawwaz, Adel Abdul Bary, Babar Ahmad and Talha Ahsan so they could face trial in the United States, Home Secretary Theresa May said in a statement.

"We have worked tirelessly -- alongside the U.S. authorities, the police and the prison service -- to put plans in place so that tonight these men could be handed over within hours of the court's decision," May said. "It is right that these men, who are all accused of very serious offenses, will finally face justice."

Earlier Friday, Judge John Thomas ruled that the British court's decision authorizing the extradition of the men could not be appealed and said it "may proceed immediately."

The charges against al-Masri include conspiracy in connection with a 1998 kidnapping of 16 Westerners in Yemen, and conspiring with others to establish an Islamic jihad training camp in rural Oregon in 1999. He could be sentenced to life in prison if convicted.

The UK Home Office earlier welcomed the High Court decision, and May said in her statement "that these men ... used every available opportunity to frustrate and delay the extradition process over many years."

The U.S. Embassy in London said it was "pleased" by the court's ruling.

"All of these defendants will be guaranteed the same rights provided to American citizens charged with crimes in the U.S. They will be afforded a full opportunity to challenge the evidence against them in U.S. courts," an embassy statement said.

The suspects' lawyers had sought to persuade Thomas and a second senior judge to prevent the extradition on medical and human rights grounds. It had already been approved by British courts, the European Court of Human Rights and Britain's home secretary.

Thomas said the judges are satisfied that the European court had not fallen into error "and was justified in drawing the conclusion that it did."

It was "unacceptable" that extradition proceedings should take so long, he said. They should last "months, not years," he said.

The five men had taken every possible effort to prevent their extradition, he added.

The legal process in the case of al-Fawwaz and Bary has lasted 14 years.

Read more: BBC apologizes to Queen Elizabeth over Abu Hamza revelation

In a statement read out on his behalf outside the court, Ahmad -- who has been detained without trial since 2004 -- claimed a moral win.

"Today I have lost my eight-year and two-month battle against extradition. I would like to thank all those over the years who supported me and my family: lawyers, politicians, journalists and members of the public from all walks of life," it said.

"By exposing the fallacy of the UK's extradition arrangements with the U.S., I leave with my head held high having won the moral victory."

His father, Ashfaq Ahmad, said the UK police, prosecutors and judiciary had "colluded to implement a pre-determined decision which was made in Washington."

He added: "We will never abandon our struggle for justice and the truth will eventually emerge of what will be forever remembered as a shameful chapter in the history of Britain."

Read more: Court clears way for cleric Abu Hamza's extradition

The ruling followed a three-day last-ditch hearing this week.

Lawyers for al-Masri told the court their client suffers from deteriorating mental health and was unfit to plead.

However, the judges dismissed that argument in Friday's ruling. "There is nothing to suggest it would be unjust or oppressive to order his extradition," Thomas wrote.

The cases of Babar Ahmad and Talha Ahsan are both linked to a website called azzam.com, which U.S. prosecutors say was run by the two men to support terrorism around the world.

Meanwhile, Al-Fawwaz and Bary are accused of being al Qaeda associates of Osama bin Laden in London during the 1990s.

Lawyers for al-Fawwaz presented evidence, including some arising from an interview by British intelligence officers with an al Qaeda informer, which they say discredits the case against him.

Read more: Abu Hamza extradition ruling marks end of era for radical cleric

Presenting medical reports, lawyers for Bary said he had a deteriorating mental illness, making him unfit for detention in a high-security Supermax prison, where he is expected to be held if sent to the United States.

But in his ruling, Thomas said there was a clear prima facie case against both Bary and al-Fawwaz.

He also dismissed the medical argument put forward by Bary's lawyer against extradition, saying: "It is clear to us that there has been no material change in the psychological condition of Abdul Bary."

Lawyers for Ahmad and Ahsan presented what they said was fresh evidence to support their calls for the two men to be charged with similar terrorism-supporting offenses in Britain, rather than have them face trial in the United States.

The U.S. and British governments strongly contested the five suspects' submissions.

Lawyers for the British government described the arguments as an abuse of the legal process.

Al-Masri is one of the highest-profile radical Islamic figures in Britain, where he was already sentenced to seven years for inciting racial hatred at his north London mosque and other terrorism-related charges.

Born in Egypt in 1958, he traveled to Britain to study before gaining citizenship through marriage in the 1980s.

A one-time nightclub bouncer in London's Soho district, al-Masri -- also known as Mustafa Kamal Mustafa -- has said he lost both hands and one eye while fighting against the Soviet occupation of Afghanistan. He often wore a hook in place of one hand.

In 1997, al-Masri became the imam of a north London mosque, where his hate-filled speeches attacking the West began to attract national attention and followers, including Richard Reid, the so-called "shoe bomber" who attempted to blow up a Miami-bound passenger airplane three months after the September 11, 2001, terrorist attacks.

Al-Masri has called the 9/11 attacks on the World Trade Center "a towering day in history" and described bin Laden as "a good guy and a hero."

He also described the Columbia space shuttle disaster in 2003 as "punishment from Allah" because the astronauts were Christian, Hindu and Jewish.

Al-Masri faces 11 charges in U.S. courts.

"As in the UK, legal counsel will be provided at the expense of the U.S. government if the defendants do not have the resources to pay themselves," a U.S. Embassy briefing note on the extradition said.

"The U.S.-UK Extradition Treaty also forbids use of the death penalty for anyone extradited from the UK."

CNN's Dan Rivers and Laura Smith-Spark contributed to this report.

@highlight

NEW: The 5 men departed Friday night for the U.S., the UK Home Secretary says

@highlight

NEW: "It is right that these men... will finally face justice," she says

@highlight

Radical Muslim cleric Abu Hamza al-Masri and 4 others had battled against extradition

@highlight

The father of suspect Babar Ahmad says they will continue fight for justice