An Alitalia passenger jet pilot said he saw a drone over Brooklyn on Monday. Whether it's true or not -- the Federal Aviation Administration is investigating -- we are going to be hearing more and more about drones in American skies.

I predicted two things about drones in an online essay for Stanford Law Review in December 2011. Those predictions turned out to be true. But there was something I didn't see coming.

My first prediction was that drones would trouble the public more than other contemporary surveillance technologies, in part because of their association with war. Events of the last year have borne this prediction out. Opposition to the domestic use of drones has spread steadily across the United States. Members of each house of Congress and each major party have raised questions about, or even proposed bills to limit, the use of drones for surveillance here at home.

The FAA recently solicited comments on the privacy issues drones raise. The agency has granted 1,428 drone licenses so far, saying that typical purposes for the unmanned vehicles include "law enforcement, firefighting, border patrol, disaster relief, search and rescue, military training, and other government operational missions."

The second prediction was that our collective, visceral reaction to drones would force a national conversation about the adequacy of privacy law. The jury is still out on whether we will seriously re-examine privacy law.

For instance, in American law today there is next to no reasonable expectation of privacy in public. If there were, Google Maps would not be able to post its Street View. A police drone could likely hover over your backyard and record video without triggering constitutional scrutiny.

Last year, the Supreme Court confronted the question of whether police following someone around continuously for a month using a GPS device required probable cause.

Five of the nine justices worried aloud about continuous electronic surveillance, but ultimately the court found against the police officers, on the basis that they had triggered the Fourth Amendment through the act of physically attaching the GPS device to the suspect's car -- something drone surveillance does not require.

There is also little expectation of privacy in illegal possessions or activities. Thus, a dog may sniff your bag at the airport (and elsewhere) without implicating the Constitution, on the theory that the dog only alerts in the presence of contraband. No officer need see the contents of your bag unless you have something you shouldn't.

Drones, meanwhile, can be equipped with a variety of sensors that serve the same function. The very next generation of drones may be able to detect grow lamps, guns, or marijuana and, again, report back only what is already illegal. This year, the Supreme Court is set to decide whether a dog -- and, presumably, a drone -- could sniff even your house without a warrant. The court could take the opportunity either to limit or to seriously extend the contraband exception.

In short, I looked up at the sky and saw the storm brewing. One thing I did not predict, however, was the danger to the drones themselves.

The city of Seattle, where I live, just ended its modest drone program over citizen protests, even though the drones could only stay up in the air for 15 minutes and were intended to support emergency response.  The city of Charlottesville, Virginia, issued a moratorium on the use of drones within city limits.  And this is nothing compared with what may happen in 2015 when the FAA paves the way for the use of drones by private parties.

I do not blame opponents of drones. They raise legitimate concerns that have gone largely unaddressed. The FAA and others should have taken privacy seriously from the beginning.  But I do worry that we are missing out on the transformative potential of drones.

What are drones but flying smartphones, one app away from indispensable? We could see drones accompanying early morning joggers, taking sport, wildlife, and other photography to a new level, or mapping out hard-to-reach geographic terrain. The possibilities, as Vivek Wadhwa recently wrote, are endless.

Which is why I would rather see an end to bad privacy law than an end to drones.

@highlight

Ryan Calo: Like pilot's claim, we are going to hear more reports of drones in U.S. skies

@highlight

People are fearful of drones because they are used in war and surveillance, he says

@highlight

Calo: Privacy law doesn't cover most uses of drones, so many want to change laws

@highlight

He says potential creative uses of drones are endless and bad laws could prevent them