(CNN) -- This year's critically acclaimed films take audiences from places like slave plantations in the antebellum South, to packed Ebbets Field as Jackie Robinson steps up to bat, and to inner-city public housing on a scorching summer day. While set in various eras and depicting diverse stories, many of the films on the short list for the 2013 awards season show an emerging trend; Hollywood is making movies about the black experience in America.

This year alone there have been at least half a dozen movies portraying African-American narratives, including Lee Daniels' "The Butler," "Fruitvale Station," "The Inevitable Defeat of Mister and Pete," "Blue Caprice," "42" and "12 Years a Slave," which hits theaters October 18.

"Certainly 2013 has been a banner year with regards to the number of films that feature African-American themes," said Gil Robertson, co-founder of the African-American Film Critics Association. "Those films all really arrive at the threshold in terms of the quality that will seriously put them in the running for Oscar consideration."

Not only do the movies portray the African-American experience, but they're also created from the ground up by today's most prominent black filmmakers and actors. Oscar-winner Forest Whitaker, who played the lead role in "The Butler," says the trend in Hollywood allows for a more diverse storytelling.

"There are so many projects where people are being able to have their voices heard," Whitaker said. "I think that's hopefully going to continue to expand in the African-American community ... and all the voices can be heard in the tapestry of who we are as people."

Hollywood has not seen such an emphasis on African-American storylines since the 1980s and '90s, with Spike Lee and John Singleton's street dramas like "Do the Right Thing" and "Boyz n the Hood."

Opinion: Why you should see '12 Years a Slave'

"They were speaking about what was happening in the present day," said Ya'Ke Smith, professor of Film at University of Texas at Arlington and independent filmmaker. "Speaking to a lot of gang violence, debunking stereotypes about young black men in the hood, speaking to racism going on not only in Brooklyn but all over the world."

By the early 2000s, the American blockbuster took a turn with film series like "Harry Potter" and "Lord of the Rings." But in 2009, Hollywood rekindled a fascination with African-American storylines, with movies like "The Blind Side," "Invictus" and "Precious." Subsequently, "The Help" (2011), "Red Tails" (2012) and "Django Unchained" (2013) hit mainstream theaters.

"I think the American attitude has changed with regards to going to see films that perhaps feature all African-American casts or that tell African-American stories," Robertson said. "Americans are more open to paying their 10-15 dollars and taking in those experiences."

Some credit the shift in Hollywood to Washington, citing President Barack Obama's 2009 inauguration as the spark that reignited interest in the African-American experience, from slavery to the Oval Office.

"People have talked about the 'Obama effect,'" said Chiwetel Ejiofor, star of "12 Years a Slave." "If people are interested and they want to go and see movies that have diversity or are about different things in that way, then in a way that allows them to be created more."

Ejiofor's "12 Years a Slave" co-star Michael Fassbender agrees that the election of the country's first African-American president, along with other timely events, helped trigger universal consciousness. "We're dealing with 150 years since the abolition of slavery," he said. "There are a lot of anniversaries at the moment, (the assassination of) Martin Luther King Jr. We have a black president in America. All of those things perhaps contribute."

Yet Smith warns that filmmakers must be cautious when focusing on historical narratives, saying too much emphasis on historical events minimizes issues that many African-Americans deal with today.

"When it comes to African-Americans, it's easier to talk about it like it happened, not like it's happening," he said. "That can create a safe dialogue because it happened 50, 100, 150 years ago. It allows us to look at it from a safe distance, but sometimes I think it's irresponsible because these issues are continuing to happen.

"That's why I want to see both sides of the narrative," he continued. "The historical side and the current side. We've come a long way, but we still have a long way to go."

Ryan Coogler is one filmmaker who wanted to address the issues that contemporary African-Americans face with his movie "Fruitvale Station," which chronicles the 2009 shooting of black 22-year-old Oscar Grant by a BART police officer.

"That's something that I deal with on a day-to-day basis, losing friends to gun violence," the 26-year-old director said at the movie's premiere. "I've seen lives cut short too soon, whether it be police-involved shootings or whether it be black-on-black crime.

"What gets glossed over is that we're human beings, too, like everybody else, young African-American males. I hope the people can see a little bit of themselves in the character if they sit down and watch the film."

Similarly, "The Inevitable Defeat of Mister and Pete" illuminates the struggles of people living in the inner-city projects, following 13-year-old Mister (Skylan Brooks) as he tries to survive through a stifling New York summer after being abandoned by his mother (Jennifer Hudson).

"Mister's journey is not often heard," actor Adewale Akinnuoye-Agbaje said at the movie's premiere. "What he does is he just shows the humanity of who he is as a young black child, and you're able to see his humanity, his heart, beyond his skin color."

Opinion: Why 'The Butler' is groundbreaking

More than simply stories on the streets, this year's batch of movies also represent African-American family life on the big screen. Oprah Winfrey revealed she was very drawn to the cast of "The Butler" because of the central portrayal of the African-American familyâ€”doing typical things, like dropping a son off to college and finishing one another's sentences.

"One of the reasons why I love this film and wanted to be a part of it is the tenderness between the husband and wife, the tenderness and nurturing nature of the middle-class family," Winfrey said.

When it comes to depicting black family life, Robertson said the film industry has been slow to catch up to television, referencing sitcoms like "The Cosby Show" in the 1980s. And some argue that Hollywood still needs to stop putting African-Americans in roles of servitude, like slaves and servants, and start casting them more often as regular characters in mainstream movies.

"Critics don't look at a film and notice that every one of the lead roles is white," said Ronda Racha Penrice, author of "African-American History For Dummies" and editor at "Uptown" magazine. "We're taught it's the norm, and it's not the norm. We believe that we can have really good films that have majority white casts; why can't we believe that we can have a majority black, Latino, or Asian cast, and have a good film as well?"

However, some point out that the idea of a black renaissance in the film industry can be simplistic, and argue that in Hollywood the most important color isn't black or white, but green. Filmmaking is a business, and ultimately diverse story lines in mainstream theaters depend on funding and subsequent success at the box office.

"I don't think it's because there's any age of enlightenment," said Alfre Woodard, who is in "12 Years a Slave." "I think it's just serendipitous for those individuals that fight to get funding for the stories they want to get told; it just sort of happened that way right now. It will go just as dry as it ever was shortly."

Nonetheless, the resurgence in movies that focus on African-American stories is apparent, with more than a dozen such films opening in the past four years. Even more, like "Belle" and "Get On Up," are set for release in 2014.

"The commercial and critical success of these films is showing," Penrice said. "Just like there are audiences for the various 'Avengers' movies, there are people who want to see these slices of wider America."

The push for more diversity is coming from within Hollywood as well. Lupita Nyong'o, another actor in "12 Years a Slave," said she looks forward to the day when films that feature African-American stories will no longer be an anomaly. Meanwhile, "The Butler" director Lee Daniels is reportedly planning production for an action movie starring an interracial gay couple.

"They have to fund those movies" said Octavia Spencer, one of the stars of "Fruitvale Station." "You have to create a level playing field for women, for people of color, gay, straight, whatever. We just need to do it. The money's there. The subject's there."

'The Butler' reflects America's racial conversations

@highlight

In 2013, half a dozen movies portraying the African-American experience have been released

@highlight

The trend may signify a renaissance of African-American film

@highlight

But some actors look forward to the day when the trend is not an anomaly