(Mental Floss) -- For most of us, college donations entail little more than occasionally dropping a small check in the mail after receiving repeated pleas for cash from our alma maters. Some people, though, tend to be a bit more individualistic with their generosity.

Let's take a look at some of the quirkier donations schools have received:

1. Bequest puts jocks on the ropes

In 1907, fledgling Swarthmore College received a bequest that was estimated to be worth somewhere between $1 and $3 million. If the school wanted the cash, though, it would have to stop participating in intercollegiate sports. Swarthmore badly needed the cash -- its entire endowment was only in the $1 million range -- but in the end, the school turned down the gift and the sports survived.

2. Ivy League has to produce homemakers

When former Massachusetts Attorney General A.E. Pillsbury gave Harvard, Yale, Princeton, and Columbia $25,000 apiece in his 1931 will, he had a catch in mind: the schools had to use the bequests to combat the feminist movement that had "already begun to impair the family as the basis of civilization and its advance."

Pillsbury envisioned the schools creating a lectureship that could help keep women in the home.

3. Auburn goes to the dogs

When Miss Eleanor Elizabeth Ritchey, granddaughter of the founder of the Quaker State Oil Refining Company, died in 1968, she left Auburn University a generous gift of $2.5 million.

She also gave the school something a bit more unusual: the responsibility for 150 dogs. Ritchey, who owned a ranch in Florida and loved to adopt homeless dogs, made the large cash donation contingent on the school finding good homes for all 150 of her dogs. The cash was then earmarked for veterinary research.

Mental Floss: Videos: Dogs welcoming home soldiers

4. Bryn Mawr goes on the clock

Did Bryn Mawr need any new clocks in 1957? It didn't matter. They were getting one. Philadelphia physician Florence Chapman Child left the school $50,000 in her will if they would also agree to take her 150-year-old grandfather clock. The doctor stipulated that the school's administrators had to "install it in an appropriate place, keep it in proper condition and repair, make no changes in the fundamental appearance, and are not to have it electrified."

5. Donor wants flowers in perpetuity

For years, Indiana University offered a scholarship with a strange condition: the recipient was supposed to drive from Bloomington to Indianapolis once a year to put flowers on the donor's grave. The school gradually decided it was a bit much to ask a student to take a roadtrip to a stranger's headstone, though, so for 20 years it didn't enforce the requirement.

Eventually the donor's attorney found out that the flowers weren't being placed, but instead of being indignant he worked with the school to remove the clause from the bequest.

6. Colleges find a fountainhead of cash

In 2008, Marshall University received a $1 million gift to establish the BB&T Center for the Advancement of American Capitalism. The catch was that the school had to agree to teach Ayn Rand's "Atlas Shrugged" as part of its curriculum. BB&T executives said the requirement was designed to spark debate on the ethical underpinnings of capitalism.

This wasn't the first time BB&T had made this sort of gift, either. In 2005, it gave the University of North Carolina Charlotte another million big ones to make "Atlas Shrugged" required reading for its students.

7. Small potatoes lead to big cash

In 1950, the government had a surplus of potatoes and started looking for ways to get rid of the excess tubers. The Department of Agriculture decided to give the potatoes to Hiwassee College, a small Methodist school in eastern Tennessee. College president D.R. Youell told the government that he didn't want its charity, though.

A short time later, the school received a $10,000 donation with a note praising the institution for taking a stand against "the dangerous trends toward socialism in our Government."

Mental Floss: 7 College Cheating Scandals

8. College profits from a racist will

When Dr. Jesse C. Coggins died in 1962, he left his estate to the Keswick nursing home so it could construct a new building. Coggins made a last-minute change to the will, though, that stipulated that the building would only house white patients.

In 1999, a court ruled that the racist stipulation effectively voided the gift and gave the entire estate -- which had grown to $28.8 million -- to the will's backup beneficiary, the University of Maryland Medical Center.

9. Donor affects fashion from beyond the grave

Radcliffe once received a piece of jewelry as a bequest. A nice gift, to be sure, but the late donor was a bit bossy. She wasn't just donating the piece of jewelry; she stipulated in the gift that the president of Radcliffe must wear the accessory.

10. Small college enters the Scientific Instrument Business

By the time Erick O. Schonstedt died in 1993, he had built his 40-year-old business, the Schonstedt Instrument Company, into a $6-million-a-year enterprise. There was a problem, though. If he wanted to leave the business to a relative or an employee, the estate taxes would have been nearly $3 million.

None of his prospective heirs had that sort of loot on hand. Schonstedt, a University of Minnesota alum, got creative. He gave the company to Augustana College, a school that, like Schonstedt, had Swedish Lutheran affiliations.

Rather than simply turning around and flipping the business for cash, though, Augustana decided to run it. The school instituted new sales models, found cost savings, and changed the company's product mix, and after two years was exceeding profit targets by 25 percent.

In 2008, the College of Agriculture and Life Sciences at North Carolina State received a similar gift; a donor left the school controlling interest in a company he had started to raise sturgeon for caviar in North Carolina.

11. A different kind of monument

Back in 2008, writer Katie Kelly covered an interesting donation:

"Endowing a school, building, or even a classroom with one's name is a pretty typical fundraising practice among universities today. Demanding a bathroom to commemorate yourself isn't quite as common. Brad Feld, a local venture capitalist, donated $25,000 to the University of Colorado on the condition that a plaque would be placed on the door of a second-floor men's restroom in one of the campus' technology centers. He originally made the conditional offer to his alma mater, MIT, but was rejected.

"Feld, in an interview with Boulder's Daily Camera, stated: 'I just wanted a plaque outside of the men's room to inspire people as they walk in to do their business.' Quite fittingly, the quote reads, 'The best ideas often come at inconvenient times -- don't ever close your mind to them.'"

Mental Floss: 11 majors your college probably didn't offer

12. School doesn't say "Danke Schoen" to Wayne Newton

In 1993, Wayne Newton made his first appearance in Branson, Missouri. He offered to give his cut of the first night's show to the nearby College of the Ozarks. It was a pretty generous gift; Newton's take would have ended up being $15,000 to $25,000.

Unfortunately, the school's president, Jerry Davis, went to see Newton's set. He was horrified by Newton's double entendres and jokes about the elderly having sex. The next day Davis announced that the school wouldn't accept a cent of Newton's money.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Some colleges have received or turned down donations with strange strings attached

@highlight

Heiress leaves $2.5 million to school that must find homes for her 150 dogs

@highlight

Donor's scholarships requires students to place flowers on his grave

@highlight

Swarthmore College could have received up to $3 million if it cut sports program