(CNN)Copenhagen: not only the capital of the happiest country on Earth -- officially -- but also probably the center of the designer goods universe.

Even the Christmas decorations are tasteful.

The festive season is also when the air is especially thick with "hygge" -- Denmark's wooly, candle-lit version of coziness.

No wonder Hans Christian Andersen called the city wonderful -- twice.

Yes -- sorry -- that reference was impossible to avoid.

1. The Danes are the happiest people on the planet

It's official.

According to the UN's 2013 World Happiness Report, Denmark, with a score of 7.6, beats every other country on a global happiness scale from zero to 10.

The United States, by contrast, isn't especially happy. It came in in 17th place, between Mexico and Ireland.

But don't despair if you think Danish despair has been lost. There's always Hamlet -- and Kierkegaard (see below).

2. A lot of Copenhageners cycle -- fast

Ever tried commuting to work by bike in a frenetic city such as London, New York or Beijing?

Do it and you realize cyclists are still second-class citizens in many cities.

The situation is reversed in Copenhagen, where half of the people pedal to work.

Just as cyclists compete with cars in terms of numbers, so too they seem to try to beat them on speed.

In other words, pedestrians should take care crossing a cycle lane.

Or you could join the two-wheeled masses. Cycling is one of the best ways to explore the city, and you can take bikes on trains.

Public transport is efficient. It takes 15 minutes to travel from the airport to the city center by metro, and trains run 24 hours a day.

Copenhageners are also law-abiding.

Even at 3 a.m. on an icy cold night, with no traffic in sight, they'll wait for the green light at pedestrian crossings.

3. Copenhagen is glittering with Michelin stars

It's still hard to get a table at Noma, the "new Nordic" restaurant that's been named the World's Best Restaurant three times.

There are, however, options.

This small city boasts 15 Michelin stars, and several Noma chefs have gone on to set up their own outfits with equally stimulating menus.

A flourishing example of the latter is Relæ (Jægersborggade 41; +45 3696 6609), an experimental, basement restaurant on a street packed with food shops and eateries.

Another (without a Michelin star) is Kødbyens Fiskebar (Flæsketorvet 100; +45 3215 5656), a stripped-back industrial space that specializes in fish and seafood.

Other top Copenhagen culinary stops include Aamanns Deli & Take Away (Øster Farimagsgade 10; +45 3555 3344) where smørrebrød, the classic Danish open sandwich, is turned into a delicious work of art, and the Royal Smushi Cafe (Amagertorv 6; +45 3312 1122), which serves "smushi," a fusion of sushi and smørrebrød.

Make dining reservations early -- most restaurants open for online bookings at least two months in advance.

Copenhageners tend not to dine late, meaning not a lot of places keep late hours.

4. "Hygge" is highly desirable

This Danish word (pronounced "hooga") loosely translates as "coziness."

It's a warm, sociable feeling that comes to the fore in autumn and winter and that, for Danes, is one of the highest states to which humans can aspire.

Wool sweaters (preferably organic), hats with earflaps, blazing log fires, strong ales in old wood-paneled bars and candles galore, even at breakfast, all conjure "hygge."

5. Home is where the Danish designer goods are

Copenhagen is rich with design-led stores selling trendy lights, ingenious kitchenware, cheerful home furnishings and exquisite glass and ceramics.

These five shops are worth a visit:

Hay (Nytorv 9)

Now in its 11th year, this purveyor of simple but good-looking furniture and accessories epitomizes the Danish dream to be "solid, straightforward, joyful and functional."

Royal Copenhagen (Amagertorv 6)

Founded in 1775, this august company is best known for its classic blue and white hand-painted dinnerware.

Close by are Georg Jensen (Amagertorv 4), renowned for silver cutlery and jewelry, and Ilums Bolighus (Amagertorv 10), a department store devoted to Danish-designed home items.

Normann Copenhagen (Østerbrogade 70)

This cinema-turned-interiors-emporium in the affluent Østerbro neighborhood is youthful and light -- anyone fancy a bright blue bowl in bendable rubber?

6. Copenhagen is extra-green

The Danish capital has electric buses, recycling-crazy citizens, clean harbors and shops selling clothes made from organic bamboo.

A full 64% of the city's hotel rooms are certified as eco-friendly.

Three-quarters of the food served in public institutions is organic.

Next year, Copenhagen will be the 2014 European Green Capital, an award that recognizes cities with consistently high environmental standards.

This is only the beginning: By 2025, Copenhagen plans to be the world's first carbon-neutral capital.

7. Tivoli will suck you in

Opened in 1843, Tivoli is the world's second-oldest amusement park and a much-loved attraction in this family-friendly city.

Set inside mature gardens with a lake and playgrounds, it's a schmaltzy but happy place with roller coaster rides, pantomime shows, treat stalls, amusement arcades and more than 40 places to eat and drink.

Tivoli is open in summer from April 10 until September 21, then again for Halloween (October 11-27) and Christmas (November 15-December 31), when it sparkles with 2 million fairy lights.

Children under 8 get in free; for those over 8, it's DKK95 ($16) a head.

8. The Danes are clever clogs

The Danes invented lots of things we didn't know needed inventing.

Like the pedal bin, created by Holger Nielsen in 1939 for his wife's hairdressing salon.

You can pick one up at the family's Vipp flagship store (Ny Østergade 34) -- your trash will thank you.

They also largely invented existentialist angst -- the flip side of all that happiness.

Professionally gloomy philosopher Søren Kierkegaard was born here in 1813 and the city is busy celebrating with a host of bicentennial exhibitions and events.

Finally, of course, Lego. A marvelous Danish idea -- until you step on one with your bare feet.

9. Denmark doesn't have the euro

It's a surprise to many, but Denmark isn't on the euro, but the krone (crown).

Bank notes bear more pictures of bridges and historic finds than famous people -- typical of a nation that values construction and craftsmanship over ego.

Tipping is minimal. Restaurant bills normally include a service charge and taxi drivers don't expect a tip, although it's customary to round up the amount.

10. Christmas and New Year's is a great time to go

The holidays are when Copenhagen is in full festive mood -- and of course it's all done very tastefully.

The Danes prefer white lights on their Christmas trees, rather than gaudy colors, and the Christmas markets, which start in mid-November, aren't as tacky or commercial as elsewhere.

Alongside the expected designer candle holders and licorice candies (a national obsession), you'll find stalls selling wholesome gifts such as Inuit jewelry, high-tech kitchen utensils and sensible wooden toys.

A white Christmas isn't guaranteed, but snow, ice and sub-zero temperatures are a winter staple.

Good boots, a warm hat, "gløgg" (mulled wine) and "julebryg" (specially brewed Yuletide beer) -- these are the seasonal staples.

@highlight

Copenhagen is the capital of what is officially the happiest country on Earth

@highlight

No wonder its citizens love "hygge" -- coziness with earflaps

@highlight

Even the Christmas decorations are tasteful