(CNN) -- I worked as a CIA operations officer and station chief during the Cold War years. In the gray world of espionage, there was a clear distinction, at least in my mind, between the CIA and our opponents: They tortured their prisoners, we did not.

The CIA's main opponent was the Soviet Union's KGB, whose headquarters on Lubyanka Square in Moscow was notorious for torture. In those days, I believed that the greatest thing going for me as an intelligence officer was the fact that I was an American.

Now, as the Senate Intelligence Committee prepares to make public some of the findings of its investigation into CIA torture after 9/11, let's hope we can start a much needed public reckoning over a tragic mistake that has undermined the very principles I and many others felt we stood for.

Our resorting to torture after 9/11 has cost us dearly -- we can no longer assert that we do not torture our enemies, leaving us in a much weaker position when urging our allies or our opponents to eschew such tactics. Now any American, civilian or military, who falls into the hands of our fundamentalist enemies is in even greater danger of being tortured or killed.

Advocates of allowing for the use of torture (or what they prefer to describe as enhanced interrogation techniques) assert that since we haven't suffered a major attack since 9/11, that torture must somehow have played a part in preventing one.

Even President Barack Obama, in his admission that unnamed officials "tortured some folks" in extremely dangerous times after 9/11, seemed only apologetic, not outraged. Indeed, he appeared to urge understanding for the torturers' failings.

Meanwhile, there is profound reluctance on the part of CIA to reveal its own evaluation of the efficacy of its use of torture, as this might risk disclosing the torturers' identities -- and those of the people who put them to work. (The CIA's extraordinary admission that it has essentially spied on the Senate Intelligence Committee by hacking into computers of committee staff members is merely another stark example of its reluctance to come completely clean about what it has been doing).

It is difficult not to conclude that such reluctance is largely based on the fact that very little of value was learned -- in line with what is reported to be the conclusion of the Intelligence Committee.

This is all the more frustrating because during my tours in wartime Vietnam in the early 1970s, and as station chief in Seoul, South Korea, I worked hard and effectively against the use of torture. But it would be almost impossible for me to take such positions today.

So what do we do now?

In addition to public release of the Intelligence Committee report, the CIA should be compelled to make public, with the fewest possible redactions, its detailed internal evaluation of what, if anything, torture achieved, what it failed to do and what its use has cost us.

Based on an examination of that report, and with input from experts in the field, a new Executive Order should be crafted and considered that bans torture by any U.S. governmental organization, while also naming techniques, such as water boarding, that are specifically forbidden.

The basic issue is this: Are we a country that stands by its traditional standards and values through thick or thin, or are we a country that says "We cannot cope with this situation, so let's turn to torture?"

For those who assert that America is weaker than it once was, I would say in response that our lapse into the use of torture simply lends credence to such accusations. Of course, accountability can be a bitter pill to swallow. But if we are to move away from this debilitating tendency to resort to torture when the road ahead looks tough, then accountability must start with those that have brought us to where we are today -- it is essential that they face up to the consequences and costs of their decisions.

Maybe then America can lead by example on an issue where we have needlessly sacrificed the high ground.

Public release of CIA report delayed

@highlight

U.S. can no longer assert that we do not torture our enemies, argues Donald Gregg

@highlight

CIA should make public any evaluations it might have about effectiveness of torture, Gregg says

@highlight

Gregg: Use of torture by U.S. puts captured Americans in even greater danger