(CNN) -- With 1 billion tourists in 2012, it's little wonder the last 12 months have drummed up some juicy fodder for aviation reporters.

London's Olympic Games were a success -- the expected tourism boon not so much.

"Dark tourism" (travel to sites of death, disaster or the macabre) became a phrase.

And various climatic events conspired to wreak havoc on travel plans across the world.

But which were the stories that really stood out to those who are involved in the industry every day?

These are the top 10:

10. SAS on its last legs

"A new comprehensive plan will pave the way for a new, strong and competitive SAS," read the statement from SAS last month.

"The plan needs to be fully implemented and new collective agreements must be signed in a very short space of time in order for SAS to have access to necessary funding."

One of Europe's oldest airlines -- and one that still knows the meaning of passenger service -- is in dire straits. SAS faces aggressive competition from low cost carrier Norwegian Air Shuttle, which has hundreds of aircraft on order from Airbus and Boeing.

The pioneer of polar flights, fully 40 percent of SAS's workforce is to be chopped.

If the airline fails, and it's been on the brink before, this will continue the trend in Europe toward consolidation that included the acquisition by British Airways of struggling Iberia.

Not that this consolidation under the International Airline Group (IAG) banner has gone well, either.

9. Iberia on the brink

IAG's Iberia will lose 4,500 jobs in a cost-cutting effort after losing €262 million (US$340 million) through September.

IAG characterizes Iberia in a "fight for survival." Nearly 25 percent of its aircraft will exit the fleet and pay might be cut by 35 percent.

There's a January 31, 2013, deadline for labor to reach an agreement with IAG, which is negotiating to buy Spain's Vueling Airlines, which is based in Barcelona.

Iberia cuts jobs in survival bid

8. A380 loved by passengers, but continues to be a profit drag on Airbus

The Airbus A380, a technological marvel and by all accounts a passenger delight, continues to be a thorn in the profit-and-loss statements of Airbus and parent EADS.

Discovery of wing rib bracket cracks in 2011 after the November 2010 high-profile engine failure on Qantas Flight 32 required costly refits.

Never a safety-of-flight issue and affecting only a handful of the thousands of brackets on the A380's wings, the retrofits and airline compensations cost Airbus nearly €300 million (US$394.8 million).

Airline schedules all over the globe were disrupted as fixes took aircraft out of service.

The ad wars that broke out between Boeing and Airbus in late November -- 747-8 versus the A380 -- only add another dimension to the long-running rivalry.

How do you pick up an Airbus A380?

7. Boeing roars back with 737 MAX

In 2011, Airbus stunned Boeing by announcing orders and commitments for about 1,500 re-engined A320neos.

This year, Boeing came roaring back, expecting to finish with firm orders for around 1,000 re-engined 737 MAX aircraft.

Boeing still trails market share, and the MAX will enter service two years later than the NEO. But any way you look at it, this was Boeing's year.

Boeing unveils futuristic 'swallowtail' wingtip for 737 MAX

6. AirAsia continues to become major force

AirAsia and its CEO Tony Fernades are leading the low-cost carrier revolution in Asia.

Taking a page from Sir Richard Branson's book with the Virgin brand, Fernandes is leveraging the AirAsia name and logo to bring low-cost travel to hundreds of millions of people.

Fernandes likes to point out Asia (excluding China) has a larger popular base than the United States or Europe and that island and mountainous geography make flying the best (and sometimes the only) way to get around.

AirAsiaX, the long-haul, low-cost operator, floated an initial public stock offering this year. Fernandes has major expansion plans in mind for this airline.

A word of caution: Citi Research in Hong Kong thinks AirAsia is expanding too rapidly, has too many aircraft on order and faces over-capacity in Malaysia from LionAir.

AirAsia inks huge Airbus deal

5. Boeing dithers on 777X

While Boeing moved ahead with the 787-10, it dithered on enhanced revisions to the highly profitable 777-300ER.

When Jim Albaugh was CEO of Boeing Commercial Airplanes, he wanted Authority to Offer (ATO) by the end of this year.

Albaugh is gone, retiring unexpectedly. ATO for the 777X is put off for perhaps a year, say people familiar with Boeing's current thinking.

The 777X is Boeing's answer to the Airbus A350, which promises to be far more economical than the 777-300ER. But Boeing figures it has more time because ...

4. Airbus delays A350

The composite A350 was already some 18 months behind schedule when Airbus announced a new delay this year for its planned entry-into-service (EIS) from mid-to-late 2014.

Many expect a further slip into 2015. First flight is still planned for mid-2013 -- in time for the Paris Air Show in June?

But technical issues at Airbus' plant in Broughton, Wales, will delay assembly for the test aircraft needed for certification, thus delaying EIS.

Airbus' challenges with the program prompt questions over whether the smallest family member, the A350-800, will be canceled and whether the largest, the A350-1000, is sufficient.

Airbus says the -800 won't and the -1000 is, but market doubts remain.

First look at the Airbus A350 XWB

3. Boeing launches 787-10 -- sort of

The 787 program's problems have become legendary in the industry and Boeing won't make money on it for years.

The ATO of the third member of the family, the high capacity, 6,800 nautical mile range 787-10 is a key bright spot.

Although official ATO didn't come in October as expected, a "soft" ATO did and Boeing is talking with potential customers.

A formal launch of this program is now said to be expected by mid-2013. This sub-type should be a real winner for Boeing and a profitable member of the 787 family.

2b. China expands aerospace role

China's ambitions to become a major global aerospace player draws skepticism from many quarters.

The AVIC/COMAC ARJ21 regional jet is essentially a Chinese copy of the old McDonnell Douglas DC-9-10 built in 1965. And it's yet to enter service and is already five years behind schedule.

Many think the COMAC C919 will be similarly disappointing.

But the C919 has 380 orders and commitments (albeit entirely from Chinese airlines and lessors) even though it's not expected to be up to Airbus and Boeing standards.

The government wants the C919 to take half the home market, about 2,000 aircraft over 20 years, and this comes out of Airbus' and Boeing's market share.

But this isn't all.

There are more than 20 Chinese companies that want to play in the aircraft leasing field, though fewer than a dozen are active so far. Many are affiliated with Chinese banks, which are becoming bigger players in financing aircraft.

Anyone who thinks China won't be a major global player for aircraft, lessors and finance needs to think again.

It's just a matter of when, not if. It might take a generation, or even two, but China will become a viable, global aerospace presence.

2a. China leads the way to block Europe's Emission Trading Scheme

The European Union announced plans to implement its Emission Trading Scheme (ETS) that requires airlines to buy and sell carbon credits.

Airlines and several countries, led by China, objected to this unilateral action, saying it should be a global accord reached through the International Civic Aviation Organization trade group.

China was the first to tell its airlines not to comply. Others followed. But China uses aircraft orders from Airbus and Boeing as political leverage and refused to ratify an order for US$14 billion worth of Airbus product.

This would cost jobs. In November the EU blinked and put off implementing ETS. We'll see if Airbus lands the stalled orders by year end.

Nothing demonstrates the powerhouse clout China has on the global stage more than this.

1. Merger between EADS and BAE Systems collapses

Barely in office after assuming the slot in mid-2012, EADS CEO Tom Enders proposed a merger between EADS and Britain's BAE Systems.

Word leaked prematurely in September and under British takeover law, a decision to move forward or not had to be made the next month.

The combination would have created a global defense behemoth rivaling The Boeing Co. It would have positioned EADS North America to bid more credibly on future U.S. defense contracts.

It would have balanced EADS' over-reliance on subsidiary Airbus for revenues and profits. It would have diversified BAE's sole reliance on defense, a shrinking market.

It would have, at long last, diminished the government ownership (and meddling) of France and Germany in EADS and Airbus affairs.

Fat chance.

The highly parochial French surprised everyone by going along.

But Germany's government objected to losing sway over Airbus jobs.

Britain's government feared losing influence over BAE, a stock company, but which is one of Britain's major employers and a top defense contractor.

German opposition killed the deal, and with it Enders' dreams of EADS becoming a "real" public company free of government influence.

BAE, EADS $45 billion deal collapses

What was the biggest aviation story for you? Let us know in the comments section below.

@highlight

SAS, Iberia among airlines on the brink

@highlight

Boeing and Airbus both suffer setbacks and delays

@highlight

China expands its aerospace industry ambitions

@highlight

Highly-anticipated EADS and BAE Systems merger collapses