LONDON, England (CNN) -- "Doing it nature's way has the potential to change the way we grow food, make materials, harness energy, heal ourselves, store information, and conduct business." Janine Benyus

When self-confessed "nature nerd" Janine Benyus coined the term "biomimicry" in a book she published a decade ago, little did she know it would make her into an household name, rubbing shoulders with Hollywood stars.

Janine is a  champion of the biomimicry movement and helps companies to improve designs by turning to Nature.

The natural sciences writer now gives talks on the subject to riveted crowds and is a consultant to some of world's biggest  companies.

In her capacity as  "biologist at the design table," Janine helps companies like Nike and Hewlett Packard to innovate and improve their designs by using what already exists in nature.

She also appeared as a consultant in the apocalyptic environmental documentary "11th Hour," produced by Leonardo DiCaprio last year.

Janine coined the term "biomimicry" from the Greek "bios," meaning "life," and "mimesis," meaning "imitate."

"It was a surprise to me when the phone started ringing after my book came out in 1997," she told CNN.

"It was companies and individual inventors, companies that were inventing everyday and they had problems to solve. They said, 'gee the book is fabulous, it's about all this science that's happening in early stage research. But we're doing innovation in real time. Can you come and be a biologist at the design table?"

So far, using nature's design genius has led to the creation of bat-inspired ultrasonic canes for the blind, synthetic sheets that collect water from mist and fog as desert beetles do, and paint that self-cleans like a lotus leaf.

Scientists are also working on making solar cells like leaves and supertough ceramics that resemble the inner shells of abalone, which is twice as durable as the ceramics used in jet engines.

Before Janine wrote her book, there wasn't even a word to describe the work of a few scattered scientists looking for inspiration through nature in different corners of the world.

History is, of course, littered with examples of humans copying nature's design. One of the most notable was invented by the Swiss engineer George de Mestral.

Whilst out walking his dog one day de Mestral became annoyed by the burrs catching and sticking to his clothes and in his dog's fur. He decided to study them under a microscope. The magnification revealed a network of tiny hooks. The product of his labors was Velcro, which was patented in 1951.

At the core of Janine's beliefs is that nature has already spent 3.8 billion years on research and development. Its failures are now fossils. She believes its successes contain strategies the human race can copy in its quest for a sustainable future.

Janine has cultivated a deep knowledge of the natural world, beginning with direct observation in the Pine Barrens of New Jersey, continuing in habitats from Maine to West Virginia where she worked as a backcountry guide, and now, in her home wilds of Montana.

She graduated summa cum laude from Rutgers University, New Jersey, with two degrees in Natural Resource Management and English Literature/Writing.

Named by Time magazine as an environmental hero of 2007, she's now writing the sequel book, "Nature's 100 Best Technologies," and also consults through her firm The Biomimicry Guild, which came about following the massive demand for her knowledge.

"From interiors, manufacturing everything from apparel to transportation to bath and kitchen and carpets and furniture and sneakers, and even cities," she told CNN.

"I'd be talking to groups of mayors and talking to the European parliament, policy makers and they all wanted to know how can we learn from nature how to design a more sustainable world."

"They want to know if there are blue prints, and of course there are. And they said 'great, bring over your biologists."

One of the companies that Janine has worked with is Interface, Inc, the world's largest commercial carpet manufacturer . The process is particularly hard on the environment as it uses petrochemicals in every step and consumes vast amounts of energy, and produces tons of waste.

But after working with Janine and the Guild, Interface  introduced Entropy, a carpet inspired by random pattern formation in nature. It was a greener product that gave customers more flexibility as they could replace individual tiles instead of the whole carpet.

Entropy quickly rose to become Interface's top-selling line of carpet and still represents 40 percent of their carpet tile sales.

With results like that, it seems, you can't argue with Mother Nature.

@highlight

Janine Benyus coined the term "biomimicry" in her influential 1997 book

@highlight

Biomimicry is the concept of looking for inspiration for design through nature

@highlight

She was named by Time magazine as an environmental hero of 2007