(CNN) -- How annoying and frustrating have calls from telemarketers, and robocalls pitching useless and sometimes fraudulent services, become?

How much daily irritation in millions of American households have the endless calls been causing?

Enough that the federal government, this month, offered a $50,000 cash reward to the citizen who comes up with the best technical solution for blocking illegal commercial robocalls on landlines and mobile phones.

Seriously. In announcing the reward, David Vladeck, director of the Federal Trade Commission's Bureau of Consumer Protection, said that the person who devises a way to get rid of the calls "will become a national hero."

The robocalls, aggressively attempting to sell unasked-for products and services to people who are quietly sitting around their homes, are like cockroaches: irritating, despised, always multiplying, seemingly indestructible and undefeatable.

Not that no one is trying. According to the FTC, "During the last two years the FTC has stopped companies responsible for billions of robocalls that offered everything from fraudulent credit card services and so-called auto warranty protection to grant procurement programs. But the number of robocall complaints continues to rise as new technologies enable telemarketers to auto-dial thousands of phone calls every minute that display false or misleading caller ID information for an incredibly low cost."

Sen. Charles Schumer, D-New York, in proposing legislation that would dramatically increase the penalties for making harassing telemarketing calls to people's homes, has said: "A family has the right to get through dinner without constantly being interrupted by phone calls from mortgage companies, credit card firms or, even worse, scammers." Schumer has proposed fining telemarketers $20,000 each time a call is made to a phone number whose owner has registered it with a do-not-call list.

(Telemarketing calls and robocalls to landlines on behalf of political candidates, by the way, are permitted under federal regulations; some states have passed their own laws in an effort to restrict those political calls.)

The federal Do Not Call Registry, which was instituted in 2003, has, on paper, been a remarkable success. According to the FTC, more than 217 million telephone numbers are on the registry.

But complaints about unwanted marketing calls continue to go up. Last year, more than 3.8 million people filed formal complaints about receiving telemarketing calls and commercial robocalls.

I spoke with the FTC's point person on robocalls and harassing telemarketing calls: Lois Greisman, the director of the agency's Division of Marketing Practices in the Bureau of Consumer Protection. She said the robocalls, including ones initiated by criminal scammers, are proliferating because "it's becoming cheaper and cheaper to do this (automated) voice blasting."

The reason that families who have listed their telephone numbers with the Do Not Call Registry continue to receive the marketing calls, she said, is that "the people sending out the calls are acting illegally, and they have no intention of complying with the law." She made a distinction between legitimate companies who do telephone marketing and heed the Do Not Call Registry, and firms that do not: "Fraudulent telemarketers never were going to comply."

(This raises the question of why it should be up to individuals and families to register on a do-not-call list: Is there anyone in this country who actually enjoys hearing from strangers on the telephone trying to sell them things? Who eagerly awaits unsolicited calls seeking money and personal information?)

Greisman said that "enormous law-enforcement focus" is being given to the fraudulent telemarketers. I asked her if there really were enough people answering their phones and giving money to the robocall companies to make it worth the telemarketers' efforts: Do these companies make significant profits?

"They wouldn't be doing it if they didn't," she said. "They aren't in the business of charity."

She said that the cockroach analogy didn't go far enough: "This isn't just a nuisance. This is economic injury to the people being duped."

I asked her if she -- the federal official who spends her days working against the robocallers -- receives the calls at her own home.

"Yes," she said.

And, she said, not only at her home: She receives them on her government-issued cell phone.

Which raises an intriguing, if unlikely, scenario:

Maybe if the seemingly unstoppable robocalls somehow made it through to a residence at 1600 Pennsylvania Avenue in Washington, the annoyance and anger that accompany them might be what it would take to finally start the demise of the scam callers.

Remember that political ad of Hillary Clinton's, about a phone ringing in the White House at 3 a.m.?

What if the president were to pick up that ringing telephone in the middle of the night, and be greeted by an automated voice asking him if he'd like to lower his mortgage rates?

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Telemarketers, robocalls so irritating that FTC has offered cash for solution

@highlight

The FTC says it's stemmed robocall scams, but robocalls still on rise, a scourge of home life

@highlight

Last year, more than 3.8 million people filed formal complaints about them, says Greene

@highlight

Greene: If the president got calls from obnoxious telemarketers, maybe they'd be ended