Washington (CNN) -- The U.S. military has everything it needs to strike ISIS inside Syria and is awaiting President Barack Obama's authorization to do so, U.S. military officials tell CNN.

For weeks, intelligence and military targeting specialists have been working around the clock on a list of targets. It's expected the list will be presented to the President one more time, with some analysis of the risks of bombing inside Syria, as well as possible rewards in terms of destroying and degrading ISIS, according to the officials.

It is most likely that the target list will be broadly described to the President, with some analysis about what would be accomplished. Presidents generally do not review each and every target before a strike. The broad guidance is given and then the military selects the time, date, place -- after the President makes the political decision to proceed.

Secretary of Defense Chuck Hagel told the House Armed Services Committee on Thursday that he and Chairman of the Joint Chiefs of Staff Martin Dempsey signed off on plans to strike ISIS in Syria.

He said Gen. Lloyd Austin, the commander of the U.S. Central Command, briefed Obama on Wednesday on the plan for striking ISIS in Syria.

"CENTCOM's plan includes targeted actions against ISIL safe havens in Syria -- including its command and control, logistics capabilities, and infrastructure," Hagel said. "Our actions will not be restrained by a border that exists in name only."

Obama is "actively" reviewing options and has "offered guidance" to the Department of Defense about the target sets that he's reviewed, White House spokesman Josh Earnest said last week. But Earnest said that Obama is not signing off on each strike.

"These are very difficult operational decisions that will have to be made on a case-by-case basis. Many of them don't rise to a presidential level, to the level of the commander in chief," Earnest said.

House approves plan to assist Syrian rebels

In the "old days," there were literally target "folders." The military would thumb through a sheaf of classified papers detailing the target, and what aircraft and bombs would be used to strike it. Nowadays, it's all computerized, of course. The goal, if not the process, is largely the same.

The United States has been flying drones over Syria, looking at areas where ISIS operates. The drones are looking for personnel, equipment depots, training camps, and the locations of the group's leaders. U.S. officials tell CNN if top leadership can be located, they will be on the target list to strike. If past strike procedures against terrorist leaders in Pakistan, Yemen and Somalia are used again, the President would preauthorize strikes against the leaders, by name, and then they would be hit when located.

The anatomy of ISIS: How the 'Islamic State' is run, from oil to beheadings

Intelligence is also collected by intercepting cell phone calls and monitoring social media sites that ISIS frequents. All of this is being repeatedly collected over a period of days because the Washington also wants to see any patterns of movement. Many of the targets are mobile, so they have to track them repeatedly. Intelligence also has to be collected on any regime forces, or air defenses in the area where the U.S. will fly. One important challenge: figuring out where civilians are located. Intelligence indicates ISIS has been moving into towns, hoping to blend in and keep safe from potential U.S. airstrikes.

Iranian leader rips ISIS, questions U.S. willingness to 'sacrifice' in terror fight

All of this data is assembled for each target. Then the U.S. Central Command determines which type of aircraft and which type of bomb is best to strike the target. Strikes are expected to use precision-guided weapons in order to minimize collateral damage, especially in towns and villages. Those type of weapons can even be used to hit a precise part of a building rather than destroy an entire structure.

Each target on the list will include an assessment of the risk of flying into that area of Syria and hitting it, but also an assessment of how the destruction could impact ISIS. The Pentagon is looking for targets to make a significant impact on ISIS, not just destroy small groups of personnel or weapons, military officials tell CNN.

Kerry says Syrian President is using chlorine weapons

@highlight

Military officials are prepared to strike, waiting on President Obama's go-ahead

@highlight

Obama is "actively" reviewing target lists and has "offered guidance" to the Pentagon

@highlight

The U.S. has been flying drones over Syria, looking at areas where ISIS operates

@highlight

If top ISIS leaders can be located, they will be on the target list to strike