Washington (CNN) -- Nearly a dozen Republicans who might be considering a run for the GOP presidential nomination in 2016 are auditioning in front of the Conservative Political Action Conference, which touts itself as the largest and oldest annual gathering of conservatives.

On Friday, Mitt Romney, the 2012 Republican presidential nominee, will speak at CPAC. If Romney is the GOP's past, then Senators Marco Rubio of Florida and Rand Paul of Kentucky are the GOP's future.

Both men, considered leading 2016 Republican White House hopefuls, gave back-to-back and dueling speeches Thursday. Although different in style and with divergent plans to revitalize a party that's lost the last two presidential elections, both men praised the conservative cause.

"We don't need a new idea. There is an idea. The idea is called America, and it still works," Rubio said to loud applause.

Paul said that for the Republican Party to win, "liberty needs to be the backbone of the GOP."

Texas Gov. Rick Perry spoke a few hours later. His 2012 bid for the GOP nomination crashed and burned, but he is considering another run in 2016. Perry used his address to criticize Romney and Arizona Sen. John McCain, the 2008 Republican nominee.

"The popular media narrative is that this country has shifted away from conservative ideals, as evidenced by the last two presidential elections. That's what they say," Perry said. "That might be true if Republicans had actually nominated conservative candidates in 2008 and 2012."

On Friday, former Sen. Rick Santorum of Pennsylvania, a conservative favorite who battled Romney deep into last year's Republican primary calendar, is scheduled to make several appearances. Santorum could make another run for the White House in 2016.

Big CPAC surprise: Jeb Bush not on ballot

Later in the afternoon Louisiana Gov. Bobby Jindal, who is also considered a possible presidential hopeful, will address the crowd. So will House Budget Committee Chairman Paul Ryan, the congressman from Wisconsin who was Romney's running mate. And Friday night former Florida Gov. Jeb Bush, who lately has openly discussed 2016, will keynote a CPAC dinner.

Wisconsin Gov. Scott Walker, Sen. Ted Cruz of Texas and former Alaska Gov. Sarah Palin will appear on Saturday. Cruz was born in Canada to an American mother and Cuban father; his eligibility for president has been subject to debate.

Republican strategist and CNN contributor Alex Castellanos said there's a reason White House hopefuls come to the conference.

"CPAC is where all 2016 candidates need to go to pass the conservative litmus test: Are they for freedom, or for something less," said Castellanos, who is spearheading a new super-PAC called the NewRepublican.org to refocus the party's messaging and policy goals.

Paul, Rubio provide competing glimpses of a revamped GOP

GOP strategist and CNN contributor Ana Navarro said CPAC is a must-do for anyone remotely thinking about the nomination.

"There's not many other events where they all accept the invitation and are happy to parade one after the other, modeling in their swimsuits and evening gowns hoping to be amongst the finalists," she said.

The conference, which draws tons of attention, has been increasingly critiqued as more political carnival than conference. Regardless, the confab will once again end with its GOP presidential nomination straw poll, which is considered by many as a key gauge of conservative sentiment and garners much media coverage. But there's also been plenty of criticism in recent years that the CPAC straw poll is not the indicator it once was.

"It's a more an anecdotal measurement than an empirical one. Its relevance as a prediction of grassroots strength within the party has waned over the last few years. It can, however, give someone who isn't well known a shot of adrenaline so that they're more prominently featured in any of the chatter about 2016," said Kevin Madden, a GOP strategist who served as a senior adviser to Romney in both his 2012 and 2008 presidential campaigns. "Folks shouldn't read too much into the results. Straw polls are kind of like political junk food. You know it's all empty calories, but some folks eat it anyway."

CPAC straw poll list shows wide array of 2016 potential

GOP analyst Rich Galen says the poll means nothing three years out from the election and it represents only part of the party.

"If we've learned anything from CPAC it's that the conference does not represent mainstream GOP thinking. The poll is routinely hijacked by whomever wants to spend the money to get the eight hours of attention," said Galen, who advised actor and former Tennessee Sen. Fred Thompson during his 2008 GOP presidential bid and is author of Mullings.com, an online column.

"Last year we not only did a straw poll but also had a national poll we announced simultaneously," said Al Cardenas, chairman of the American Conservative Union, the organization that puts on the conference. "The outcomes were identical. The same order of top three finishers in the straw poll were the same order as the top three finishers in the national poll, and so to those skeptics who were concerned about the accuracy of the straw poll, the national poll provided empirical evidence that it was a pretty good representative sample of what's going on."

Romney finished first in both polls, ahead of Santorum and former House Speaker Newt Gingrich.

This time around there are 23 names on the straw poll ballot, including some who were not invited to CPAC.

Among those on the ballot who won't be speaking is Chris Christie, the tough-talking New Jersey governor who is considered a leading prospect for the 2016 nomination. While popular in his party, Christie angered some on the right after praising President Barack Obama for the federal response to Superstorm Sandy, which devastated parts of the Garden State just days before the November election. Christie also criticized House Republicans for temporarily holding up federal aid following the storm.

Major conservative conference comes at crucial time for GOP

Virginia Gov. Bob McDonnell also may have designs on the White House, but he is not addressing CPAC. Earlier this year he pushed through a transportation plan that included tax increases, considered heresy among fiscal conservatives. Though he doesn't have a keynote speaking role, he is part of a panel session at the conference.

Others on the ballot without speaking spots include New Mexico Gov. Susana Martinez; former Indiana Gov. Mitch Daniels, who now heads Purdue University; and Ohio Sen. Rob Portman, a major Romney surrogate last year.

Neurosurgeon Ben Carson interestingly appears on the poll -- the only one on the list who's never been elected to public office. He generated buzz in conservative circles after he advocated conservative policies on taxes and health care in front of President Obama while keynoting the national prayer breakfast last month.

There's one glaring omission from the 23 names on the straw poll ballot: Jeb Bush, who asked not to be on the list.

Christie dismisses lack of CPAC invite

"It was our request to Mr. Cardenas when he extended the invite for Gov. Bush to speak. We asked not to be included, as Gov. Bush has said repeatedly, it is too early to think about 2016," Bush spokesperson Jaryn Emhof told CNN chief Washington correspondent Jake Tapper.

For many conservative activists attending CPAC, the straw poll is fun, but they don't take it too seriously.

"I don't put much weight on it. It's a fun way of getting to see opinions, but it doesn't predict anything," said Ryan Robertson of Reston, Virginia.

"I did it for fun. Why not? But there's so much time between now and then," said Shelby Vest, a recent University of Florida graduate and first time straw poll voter.

Teresa Ferguson of Albertville, Alabama, sees a value in the straw poll.

"We've got to start thinking about someone, don't we?"

She said the results may reflect the hopes and dreams of some, but added that the straw poll is "a popularity contest."

CNN Political Coverage Manager Steve Brusk contributed to this report

@highlight

Conservative Political Action Conference calls itself largest gathering of conservatives

@highlight

Most politicians considering a presidential run are appearing at the conference

@highlight

Last year's GOP presidential candidate Mitt Romney will speak to conference on Friday