(CNN) -- Tax day may be over, but many Americans are still suffering from tax hangovers.

If it's any consolation, here's our country's best-kept fiscal secret: According to the Organization for Economic Co-operation and Development, Americans in 2012 enjoyed the lowest tax burdens as a share of our national economy of any developed country in the world.

How can it be that we feel so much tax pain, but compared to other developed countries our tax burdens are so low?

There are three reasons.

The first is the corrosive effect of "tax expenditures": government spending programs baked into the tax code, and therefore visible only as reduced tax collections. These hidden spending programs range from subsidies for home ownership to government investments in alternative energy development, and touch virtually every corner of our economy and private consumption decisions.

Tax expenditures distort our official data by reducing government tax revenues in the official scorekeeping, rather than being recorded in a manner consistent with their substance, as additional tax collections offset by government spending programs.

The United States actually spends roughly as much through tax expenditures as it collects in nominal personal income tax revenues. Our official personal income tax collections are in the range of $1.2 trillion/year, but our tax rate structure operates as if we collected more than $2 trillion in income tax, and then ran additional government spending programs that cost more than $1 trillion/year.

Tax expenditures raise your effective tax burden if you are not the beneficiary of any of this hidden government largesse, and reduce your tax burden if you are on the receiving end. Imagine that there are 10 of us in a little country, and we each pay $100 in tax. The government has $1,000 to spend, and you and I each feel $100 of tax pain. Now the government decides to give me a tax credit of $100, so net I have no out of pocket tax bill. But the government also decides to keep things revenue neutral, and so raises taxes on the remaining nine of you to $111.11, which raises $999.99 (forgive the rounding error) for the government to spend.

When you now look at total "tax revenues," the government is the same size in the second case as in the first. But you are now paying $111.11 in tax, and therefore feel $11.11 more in tax pain. Those who are net losers (you and the other eight remaining taxpayers, in this example) actually are right to swear that your tax bills seem larger, even if total government collections remain unchanged.

Our country stands out from its peers as a tax expenditure junkie. Our addiction means that official data understate the size of government, and citizens do not have a clear picture of what spending programs we actually are financing. In turn, the design of many tax expenditures could not possibly pass Congress if presented as explicit spending legislation.

Who, for example, would vote for a home ownership cash subsidy program that subsidizes affluent Americans at a more generous level than it does the middle class? Yet that is the effect of the home mortgage interest deduction, because the same tax deduction is more valuable the higher your tax bracket is.

So to this extent, our tax pain is real, and it is some of the invisible spending programs we fund in this manner that need re-examination.

The second reason for our low threshold of tax pain lies deeper: We have allowed our fiscal debates to be framed in a way that highlights only the pain of opening our wallets. We can see this backward framing of the issues, for example, in the debate over sequestration, where it is claimed that because taxes cannot rise further, spending must be cut -- without any examination of what purpose that government spending serves. By ignoring the uses to which tax revenues are put, these debates implicitly deprecate the very purpose of government.

When you set out to buy a house, you think carefully about how big a house you can afford, but in the end you are not poorer for the money you spent, because you acquired something useful, namely, a new home. Why then in fiscal debates do we look only at the cost of government, and not at the collective goods or services we thereby acquire?

Unsurprisingly, once we phrase tax policy as a collective exercise in fiscal masochism, our threshold for tax pain turns out to be very low.

The third reason for our low tolerance for tax pain is that the federal government in particular collects its showpiece tax -- the personal income tax -- in the most painful way possible, by asking each of us to assess the tax against ourselves. For most Americans, that means starting from a blank form and a shoebox full of miscellaneous pieces of financial data.

Self-assessment is probably unavoidable, but the pain can be mitigated if the IRS were to send taxpayers a "prepopulated" tax return that reflects the data already furnished to the IRS. (Imagine, for example, receiving a partially filled-out tax Form 1040 in which all the information concerning your investment income contained in the 1099's thrown into your shoebox had already been entered for you on the appropriate lines.) Programs like this are feasible (and even exist in California and other countries), but have been blocked in the United States in part through the vigorous lobbying of tax preparation companies anxious to protect their franchises. Here, the tax pain is the result of legislative sausage making at its most venal.

Tax time will never be pleasant, but making form preparation easier, understanding better how government spending buys useful goods and services, and re-examining the tax expenditures in our tax code at least can mitigate our tax pain.

The opinions expressed in this commentary are solely those of Edward D. Kleinbard.

@highlight

Edward Kleinbard: Tax day is over, but many Americans are still suffering from tax hangovers

@highlight

Kleinbard: Why do we feel tax pain when our tax burdens are so low?

@highlight

He says there are three reasons, including the corrosive effect of "tax expenditures"

@highlight

Kleinbard: One way to lessen pain is to re-examine tax expenditures in our tax code