(CNN) -- On the eve of his second inaugural, President Obama appears smarter, tougher and bolder than ever before. But whether he is also wiser remains a key question for his new term.

It is clear that he is consciously changing his leadership style heading into the next four years. Weeks before the November elections, his top advisers were signaling that he intended to be a different kind of president in his second term.

"Just watch," they said to me, in effect, "he will win re-election decisively and then he will throw down the gauntlet to the Republicans, insisting they raise taxes on the wealthy. Right on the edge of the fiscal cliff, he thinks Republicans will cave."

What's your Plan B, I asked. "We don't need a Plan B," they answered. "After the president hangs tough -- no more Mr. Nice Guy -- the other side will buckle." Sure enough, Republicans caved on taxes. Encouraged, Obama has since made clear he won't compromise with Republicans on the debt ceiling, either.

Foreman: My last letter to the president

Obama 2.0 stepped up this past week on yet another issue: gun control. No president in two decades has been as forceful or sweeping in challenging the nation's gun culture. Once again, he portrayed the right as the enemy of progress and showed no interest in negotiating a package up front.

In his coming State of the Union address, and perhaps in his inaugural, the president will begin a hard push for a comprehensive reform of our tattered immigration system. Leading GOP leaders on the issue -- Sen. Marco Rubio, R-Florida, for example -- would prefer a piecemeal approach that is bipartisan. Obama wants to go for broke in a single package, and on a central issue -- providing a clear path to citizenship for undocumented residents -- he is uncompromising.

After losing out on getting Susan Rice as his next secretary of state, Obama has also shown a tougher side on personnel appointments. Rice went down after Democratic as well as Republican senators indicated a preference for Sen. John Kerry. But when Republicans also tried to kill the nomination of Chuck Hagel for secretary of defense, Obama was unyielding -- an "in-your-face appointment," Sen. Lindsay Graham, R-South Carolina, called it, echoing sentiments held by some of his colleagues.

Will Obama's second inauguration let America turn the page?

Republicans would have preferred someone other than Jack Lew at Treasury, but Obama brushed them off. Hagel and Lew -- both substantial men -- will be confirmed, absent an unexpected bombshell, and Obama will rack up two more victories over Republicans.

Strikingly, Obama has also been deft in the ways he has drawn upon Vice President Joe Biden. During much of the campaign, Biden appeared to be kept under wraps. But in the transition, he has been invaluable to Obama in negotiating a deal with Senate Minority Leader Mitch McConnell on the fiscal cliff and in pulling together the gun package. Biden was also at his most eloquent at the ceremony announcing the gun measures.

All of this has added up for Obama to one of the most effective transitions in modern times. And it is paying rich dividends: A CNN poll this past week pegged his approval rating at 55%, far above the doldrums he was in for much of the past two years. Many of his long-time supporters are rallying behind him. As the first Democrat since Franklin D. Roosevelt to score back-to-back election victories with more than 50% of the vote, Obama is in the strongest position since early in his first year.

Smarter, tougher, bolder -- his new style is paying off politically. But in the long run, will it also pay off in better governance? Perhaps -- and for the country's sake, let's hope so. Yet, there are ample reasons to wonder, and worry.

Avlon: GOP's surprising edge on diversity

Ultimately, to resolve major issues like deficits, immigration, guns and energy, the president and Congress need to find ways to work together much better than they did in the first term. Over the past two years, Republicans were clearly more recalcitrant than Democrats, practically declaring war on Obama, and the White House has been right to adopt a tougher approach after the elections.

But a growing number of Republicans concluded after they had their heads handed to them in November that they had to move away from extremism toward a more center-right position, more open to working out compromises with Obama. It's not that they suddenly wanted Obama to succeed; they didn't want their party to fail.

House Speaker John Boehner led the way, offering the day after the election to raise taxes on the wealthy and giving up two decades of GOP orthodoxy. In a similar spirit, Rubio has been developing a mainstream plan on immigration, moving away from a ruinous GOP stance.

One senses that the hope, small as it was, to take a brief timeout on hyperpartisanship in order to tackle the big issues is now slipping away.

Zelizer: Second-term Obama will play defense

While a majority of Americans now approve of Obama's job performance, conservatives increasingly believe that in his new toughness, he is going overboard, trying to run over them. They don't see a president who wants to roll up his sleeves and negotiate; they see a president who wants to barnstorm the country to beat them up. News that Obama is converting his campaign apparatus into a nonprofit to support his second term will only deepen that sense. And it frustrates them that he is winning: At their retreat, House Republicans learned that their disapproval has risen to 64%.

Conceivably, Obama's tactics could pressure Republicans into capitulation on several fronts. More likely, they will be spoiling for more fights. Chances for a "grand bargain" appear to be hanging by a thread.

Two suspicions are starting to float among those with distaste for the president. The first is that he isn't really all that committed to bringing deficits under control. If he were, he would be pushing a master plan by now. Instead, it is argued, he will tinker with the deficits but cares much more about leaving a progressive legacy -- health care reform, a stronger safety net, green energy, and the like.

Politics: Second inaugural address puts Obama in select company

Second, the suspicion is taking hold that he is approaching the second term with a clear eye on elections ahead. What if he can drive Republicans out of control of the House in 2014? Then he could get his real agenda done. What if he could set the stage for another Democrat to win the presidency in 2016? Then he could leave behind a majority coalition that could run the country for years, just as FDR did. Democrats, of course, think the real point is that Obama is finally showing the toughness that is needed.

We are surely seeing a new Obama emerge on the eve of his second term. Where he will now lead the country is the central question that his inaugural address and the weeks ahead will begin to answer.

Will you be attending President Obama's inauguration weekend? Be a part of CNN iReport and Instagram's special inauguration project!

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

David Gergen: Since re-election, Obama seems smarter, tougher, bolder

@highlight

He says president outmanuevered opponents on taxes, key appointments

@highlight

Did Obama miss an opportunity to work cooperatively with GOP, Gergen asks

@highlight

Gergen: Conservatives fear Obama is trying to run over them