Hong Kong (CNN) -- Asia is set to have the world's wealthiest residents, with city-state Singapore heading the rich list.

Hong Kong, Taiwan and South Korea will do well, too, according to by a new survey that predicts which countries will be home to the wealthiest citizens by 2050.

By one measure, they are already are. Singapore's per capita income is estimated by Knight Frank and Citi Private Wealth's 2012 Wealth Report to be the highest in the world at $56,532 in 2010, measured by purchasing power parity. Norway follows at $51,226, then the U.S. ($45,511), Hong Kong ($45,301) and Switzerland ($42,470). (The International Monetary Fund listed Singapore 3rd in the world in 2010-11 by per capita GDP, behind Qatar and Luxembourg, which weren't included in the Knight Frank report).

By 2050, the Wealth Report estimates the world's wealthy citizens will be dominated by Asia: Singapore ($137,710), Hong Kong ($116,639), Taiwan ($114,093) and South Korea ($107,752). The only western economy projected to remain in the top five is the U.S., with an estimated per capita income of $100,802.

Danny Quah of the London School of Economics predicts that by 2050, the world's economic center of gravity will be somewhere between India and China, the report notes. In 1980, the global economic center lay in the middle of the Atlantic.

Some of the world's super-rich have already crossed the Pacific. Facebook co-founder Eduardo Saverin, a native of Brazil, moved to Singapore in 2009 has since renounced his U.S. citizenship. Jim Rogers, the co-founder of the Quantum Fund with George Soros, also moved to the former British colony in 2007.

"I have moved -- I have sold my house in New York. I have moved to Asia and my girls speak Mandarin, speak perfect Mandarin ... I'm preparing them for the 21st century by knowing Asia and by speaking perfect Mandarin," Rogers told CNN recently.

"It's easier to get rich in Asia than it is in America now. The wind is in your face. (The U.S.) is the largest debtor nation in the history of the world," Rogers added.

"The largest creditor nations in the world are China, Japan, Korea, Taiwan, Hong Kong, Singapore. The assets are in Asia. You know who the debtors are and where they are. Look at Greece. Look at Spain. I mean, I don't like saying this. You know, I'm an American, too. But facts are facts."

The report's list of fastest growing economies between 2010 and 2050 also gives more credence that the world's wealth is moving toward Asia. Of the top 10 fastest rising economies -- Nigeria, India, Iraq, Bangladesh, Vietnam, the Philippines, Mongolia, Indonesia, Sri Lanka and Egypt, respectively -- all but three are in the region.

Old World economies will have the worst growth performance in the next 40 years, the report predicts: Spain, France, Sweden, Belgium, Switzerland, Austria, the Netherlands, Italy and Germany are at the bottom of the list. But Japan and its aging population will have the weakest projected growth of all economies, Knight Frank estimates.

However, just because the denizens of Singapore, Hong Kong and Taiwan are projected to live in the world's wealthiest regions doesn't mean all will share in the wealth.

In the report Tina Fordham, Senior Global Political Analyst at Citi, warns that the dissatisfaction with income inequality shown in the Occupy Wall Street demonstrations "will gain momentum, and that there could be a long-term recalibration between governments, businesses and society as a result."

On Monday, a court ordered the protesters of Occupy Central in Hong Kong, one of the last outposts of the global protests sparked by Occupy Wall Street, to give up its encampment at HSBC's headquarters in the city.

CNN's Christine Romans contributed to this report

@highlight

Asia set to have the world's wealthiest residents, with city-state Singapore heading the rich list

@highlight

Knight Frank-Citi report predicts the top four wealthiest regions will be in Asia by 2050

@highlight

Japan and several European economies are predicted to grow the least in the next 40 years

@highlight

Report: Seven of the world's top 10 fastest growing economies will be in Asia