(CNN) -- Amazon, Apple and Google: All of these big tech companies have announced major robotics initiatives or investments in recent months. Amazon, in particular, managed to capture the public imagination when founder Jeff Bezos outlined a plan to deliver packages by drones.

As drones become more mainstream, the prospect of excessive surveillance and other dangers loom. Drones drive down the costs of surveillance to a worrisomely low level. For example, it wouldn't be surprising if Amazon delivery drones were equipped with cameras for loss prevention. So what would stop law enforcement from asking Amazon for all of its drones' footage in a given neighborhood where there had been a crime?

Simultaneously, drone technology has the potential to revolutionize delivery, agriculture, photography and possibly disrupt major industries.

Imagine that you're shopping at Barnes & Noble. You ask for a book that the store does not carry. Rather than send you online, Barnes & Noble flies the book over from another store while you shop or take a coffee break.

Or imagine that you're a farmer whose livelihood depends on catching crop disease early. You could use drones to fly over thousands of acres in an afternoon to spot problem areas.

These are exciting uses for drones. But the real innovation will come when companies such as Amazon mix their robotics strategy with their love for open platforms.

What does that mean?

Recall that the first personal computers did not come to the market until the mid-1970s. Before that, government and industry purchased or leased computer equipment dedicated to a particular purpose such as database management. That's analogous to what Amazon and other companies are doing today.

Amazon paid nearly $800 million for the robotics firm Kiva Systems for the specific purpose of helping to organize its warehouses. The company is now experimenting with drones for the second task of delivery.

The real explosion of innovation in computing occurred when devices got into the hands of regular people. Suddenly consumers did not have to wait for IBM or Apple to write every software program they might want to use. Other companies and individuals could also write a "killer app." Much of the software that makes personal computers, tablets and smartphones such an essential part of daily life now have been written by third-party developers.

As author Jonathan Zittrain points out, it would be hard to name a category of important software -- from word-processing to e-mail -- that some computer hobbyist did not create first at home. Today, popular apps such as Snapchat or Instagram are used by millions of people. Yet, both were created by just two or three people in their 20s.

There are, of course, problems with apps for robots.

You do not necessarily want a live-action version of Angry Birds using drones. And who is responsible should someone get hurt by interacting with robots?

Once companies such as Google, Amazon or Apple create a personal drone that is app-enabled, we will begin to see the true promise of this technology. This is still a ways off. There are certainly many technical, regulatory and social hurdles to overcome. But I would think that within 10 to 15 years, we will see robust, multipurpose robots in the hands of consumers.

Worried about your kid getting to and from the bus? A drone app lets you follow her there by trailing her phone and returning when she waves. Selling your house? An app on a drone will command it to fly around your property and stitch together a panorama of photos for a virtual tour. Same drone, thousands of possibilities.

Put another way, the day when Amazon or Apple opens a drone app store is the day when drone innovation takes off. On an open model, the sky is quite literally the limit.

The opinions expressed in this commentary are solely those of Ryan Calo.

@highlight

Tech companies such as Amazon or Google are planning major robotics initiatives

@highlight

Ryan Calo: Drone technology can revolutionize delivery, agriculture, photography

@highlight

He says of course there are many technical, legal and social hurdles to overcome

@highlight

Calo: When drone app store opens, that's when innovation will take really off