(CNN) -- Contrasting Barack Obama's upcoming visit to Africa with Chinese president Xi Jinping's recent tour indicates seismic shifts not only within Africa but also in terms of global power.

On this visit, only Obama's second to Africa since he became president (Xi visited Africa during his first foreign tour as head of state, in March this year), he will be visiting a continent which feels increasingly less beholden to American dictates.

China's growing economic influence in Africa, which generated more than $160 billion in bilateral trade in 2011 (when U.S. merchandise trade with Africa was worth just $95 billion), plays an important role in this shifting sentiment.

Read this: Obama's goal in Africa: Counter China

An interesting characteristic of the recent Chinese visit to Africa was the virtual lack of any protest -- and this has also been the case for previous visits by Chinese heads of state.

In South Africa, where Obama will be visiting, the politically powerful umbrella group for the country's unions, the Congress of South African Trade Unions (COSATU), will be throwing its weight behind the "NObama" campaign, which seeks to call on "millions" on the African continent "outraged at the horrifying record of U.S. foreign policy."

While China seems an easy target in terms of its own unflattering human rights record and lack of democracy -- particularly for many African post-colonial states that have waged wars against the tyranny of imperialism -- reaction is surprisingly mute.

One of the reasons for this is that Chinese oppression is viewed as largely reserved to its domestic sphere. America, particularly in the wake of its "War on Terror" and its various military interventions, has made much of the developing world, Africa included, suspicious of its freedom-promoting agenda.

The often patronizing, strings-attached variety of aid given by the U.S. smacks to many African leaders of neo-colonial paternalism. China, by comparison, is loath to interfere in African internal affairs, doling out aid to democrats, autocrats and kleptocrats alike.

China's "non-interference" policy is warmly welcomed by many African states, although to what degree China can maintain such a stance as its presence grows, remains to be seen.

Read this: Economist Dambisa Moyo, 'China can transform Africa'

Certainly, it has deployed peacekeepers to troubled regions such as Liberia and the DR Congo and has offered assistance in combating Islamic militancy and piracy in Mali and Somalia respectively, but only hesitantly. In Sudan, where it had a virtual monopoly on brokering peace between the north and the south, it engaged from a distance.

In official discourse, China frequently insists that it has no intentions to build military or naval bases in Africa. This can be contrasted with the United States camp Lemmonier on the coast of Djibouti and the setting up of the United States African Command (AFRICOM), responsible for military operations in 53 African countries.

The United States has let it be known that it is not impressed with certain aspects of the warming relations between China and Africa.

Former Secretary of State Hillary Clinton, on her 2012 trip to Africa asserted that the U.S. would continue to stand up on human rights issues, "even when it might be easier or more profitable to look the other way, to keep the resources flowing" -- a comment widely believed to be aimed at China.

This statement goes to the heart of a much broader issue regarding China's presence in Africa and how it differs from Western engagement. China has a fundamentally different conception of human rights. In China's view, developing impoverished regions is the most fundamental step in addressing human misery. As the Chinese proverb goes: "To get rich, build roads first!"

It is for this reason that China sees its vast infrastructure and aid projects in Africa as a far more sincere gift to the African people than that of democracy. Additionally, China is itself a highly autocratic state which has deployed a rapid and often coercive development model to bring its own people out of poverty (some 350 million and counting). This is the only political and economic recipe it knows.

While many African states welcome a vast trading partner like China no longer holding them hostage to the fluctuations of Western markets, there is equally a danger of over-enthrallment.

Research findings on African people's feelings towards China (as opposed to their leaders) are mixed, with sporadic cases of anti-Chinese sentiment in countries such as Zambia and Ghana offset by a cautiously optimistic attitude toward the economic development and aid that they bring.

Such ambivalence is warranted. China's investment on the continent is inextricably bound to securing access to African markets and resources -- a reciprocity which is referred in Chinese parlance as "win-win."

And yet, when analysing overall trade patterns, the vast majority of African exports are raw materials while imports consist mainly of manufactured goods. This resembles a non-value-added economic pattern which harks back to the days of European colonialism.

The official Chinese line is that, with increasing Chinese FDI, the setting up of Special Economic Zones and a growing African manufacturing base, this unhealthy pattern will change. A cynical retort to this is that China is primarily concerned with winning the scramble for global resources (for which the U.S. is its major competitor) and African welfare comes far second.

While issues of humanitarianism and combatting terrorism will be high on Obama's agenda, the administration has woken up to the fact that investment is also a priority. Africans have China to thank for that.

The fact that Obama's upcoming visit is readily cast in the shadow of China also suggests that Africa is increasingly becoming a site of struggle for broader geostrategic influence between the two powers. Its significant mineral reserves, strategic position and growing economy make it an important pivot. This puts African leaders in a somewhat enviable position and if they play their cards right, they stand to benefit from both the East and the West.

The opinions expressed in htis commentary are solely those of Ross Anthony.

@highlight

President Obama visiting an Africa 'increasingly less beholden to American dictates'

@highlight

Chinese influence growing in Africa, U.S. influence waning, says Ross Anthony

@highlight

China offers trade and aid without interfering in African internal affairs

@highlight

Africa is site of struggle for geostrategic influence between U.S. and China, says Anthony