(CNN) -- This year is the 150th anniversary of one of the greatest and least remembered political media hoaxes in American history, one with startling parallels to 21st century politics and the Internet age. It involved Abraham Lincoln, covert governmental programs for interracial sex, pro-slavery politicians and scheming newspaper editors.

On Februrary 17, 1864, a shocking scandal erupted early in Lincoln's re-election campaign: "proof" that Lincoln had a secret plan to solve America's "race problem" with a campaign of interracial sexual relations that would create a new "American race."

This was the bombshell that pro-slavery Ohio Rep. Samuel Cox claimed to have uncovered.

His evidence was a pamphlet titled "Miscegenation: A Theory of the Blending of the American White Man and Negro," whose anonymous author urged Republicans -- then the abolitionist party -- to openly confess their desire for race mixing by adding it to their official political platform for the upcoming presidential election.

Speaking before Congress, Cox brandished letters of support the pamphleteer received from a handful of abolitionist newspaper editors, which Cox claimed proved the pamphlet's "disgusting theories," which "seem so novel to us, have been a part of the gospel of abolition for years."

Foreshadowing the fictitious "death panels" with which today's Republicans recently tried to kill Obama's health care proposals, Cox's conjured apocalyptic visions of a "department for the hybrids" empowered to achieve miscegenation's "practical realization by a bureau," indicting the Freedmen's Bureau recently established to aid the formerly enslaved.

The ensuing controversy dogged Lincoln for the remainder of the election campaign, and "miscegenation," this new word for race mixing coined by the pamphleteer, was widely adopted in place of "amalgamation," its predecessor. The hot-button issue of race mixing could now no longer be discussed without invoking Lincoln's supposed enthusiasm for this cultural taboo.

The president's re-election hopes had been dim enough with the war dragging on with no end in sight, and this new trumped up scandal didn't help matters.

Lincoln's political enemies in the North couldn't have been more pleased with the scandal if they'd designed it themselves.

In fact, one of them had done just that.

The "Miscegenation" pamphlet was a forgery, and the entire scandal an artfully managed hoax. It was the work of New Yorker David Goodman Croly, managing editor of The World, the leading Democratic-aligned, pro-slavery newspaper in the North, and George Wakeman, one of his reporters.

Croly's first brilliant move was crafting an amalgamation scandal without saying "amalgamation," replacing a word that set abolitionists immediately on guard with the innocuously unfamiliar "miscegenation."

The word miscegenation's derivation -- from misc- ("mixed") and genus ("species") -- awaited only the endorsement of Lincoln's allies to, Croly hoped, ignite the powder keg of Northern racism.

Croly shrewdly presented his poison pill as a pamphlet, a favorite format of anti-slavery writers. Pamphlets were essentially the blogs of their day. Made cheap and easy to produce by technological improvements, pamphlets had democratized access to the tools of mass communication, spreading the views of radicals, cranks, hucksters and crusaders.

The ruse worked. Once a handful of gullible abolitionists replied to the copies of "Miscegenation" that Croly had mailed them, the hoaxer promptly delivered the material to Cox and sat back and watched.

Thanks to a news cycle sped-up by new technology -- everything from telegraphs and railroads to shorthand and printing innovations -- the newspaper editor knew the story would be burning itself and the new word that embodied it into the national consciousness before the Lincoln administration knew what was happening.

The Emancipation Proclamation, signed the previous year, was dubbed the "Miscegenation Proclamation," and the new word was a staple of political rhetoric throughout the campaign, including cartoons like "Miscegenation, or the Millennium of Abolitionism," which depicted Lincoln and leading Republicans and abolitionists courting black women.

Like the claims that President Obama is a secret Muslim -- a Pew poll in 2012 found nearly one out of five Americans believe this -- the miscegenation story proved immune to debunking. Not everyone believed, perhaps not even most, but the story would not die.

Eager to keep the story alive, Croly refrained from mentioning miscegenation in his own newspaper for weeks, knowing that any association with The World would bring greater skepticism. He also seems to have spread rumors attributing the pamphlet to this or that abolitionist.

Croly went to sometimes comical lengths to keep the miscegenation story alive.

A week after Theodore Tilton, one of the abolitionists who inspired the hoax, expressed doubt that the pamphlet's author "was in earnest," Croly wrote to him pretending to be the author. Tilton in turn told his readers that "the author of 'Miscegenation' has written to assure us of the perfect sincerity in which he presented his views to the public."

Croly and Wakeman even narrowly avoided arrest when their offices were stormed by Federal soldiers searching for a different newspaper hoaxer.

When late-summer Union victories suddenly rescued Lincoln's re-election hopes, Croly sent a copy of the pamphlet to Lincoln himself. "I am aware," he wrote to Lincoln, "that the subject creates prejudice among depraved and ignoble minds, but I am sure that you ... see no other solution of the Negro. .... May I ask your permission to dedicate it to your Excellency?"

Lincoln, rather busy at the time and no fool, never responded. Although the White House kept quiet on the subject, Republican congressmen and abolitionists rebutted the charges. Some thought them fake and some thought they were "friendly fire" from a well-meaning anti-slavery crackpot.

For the record, Lincoln equivocated on the subject of racially mixed marriage. But he is also recorded as saying: "If a white man wants to marry a Negro woman, let him do it, if the Negro woman can stand it."

Word that miscegenation had been a hoax got out after Lincoln's re-election, but the hoaxers maintained their anonymity. Their identities only emerged after their deaths, and the story of the Miscegenation Hoax faded into obscurity.

The word "miscegenation," however, did not.

With its hoax origin forgotten, "miscegenation's" scientific connotation -- and the fact that it has the same prefix as "mistake" or "misbegotten" -- planted the notion that races represented different species that should be separated. When the hopeful progress of the Reconstruction period was ended, thanks to white Southern aggression and Northern white apathy, the ideology of "anti-miscegenation" became the foundational justification for the Jim Crow segregation that followed.

Under Jim Crow, racial status replaced slave status as the primary basis for the continued oppression and exploitation of African-Americans. State "anti-miscegenation laws" barring interracial marriage policed the boundaries of white privilege, and their language is suffused with pseudo-scientific rationales that the word "miscegenation" embodied.

Behind the anti-miscegenation laws stood the extra-legal threat of lynch law and the Klan. These laws remained on the books in the former Confederate states until declared unconstitutional in 1969's Loving v. Virginia Supreme Court decision, which invalidated laws banning interracial marriage.

Inverting Marx's famous formulation, "miscegenation" started as farce and ended as tragedy. We would do well to take more seriously the possible dangers of our rather similar political and media culture in which lies and dangerous memes on the Internet are both ephemeral and eternal.

It matters what we call things.

The opinions expressed in this commentary are solely those of Philip Kadish.

@highlight

Philip Kadish: It's the 150th anniversary of a huge political hoax in United States

@highlight

News spread of Lincoln's plan to "blend the races" to create a new "American race"

@highlight

Kadish: Evidence was a pamphlet, the blog of its day, written by pro-slavery editor

@highlight

Kadish: Hoax put the made-up word "miscegenation" in the culture, and it exists to this day