(CNN) -- Italian President Giorgi Napolitano warned this week that the country could be on the verge of violent social uprising following more than a week of protests in several cities. This discontent in Italy comes at the same time as Ukraine is witnessing the largest civil unrest since the 2004 Orange Revolution.

The protests highlight the significant political instability that has characterized international relations since 2008, as was predicted by some. For instance, in February 2009, U.S. Director of National Intelligence Admiral Dennis Blair asserted that "the financial crisis and global recession are likely to produce a wave of economic crises."

Then Secretary of State Hillary Clinton agreed "this economic crisis, left unresolved ... will upend governments, [and] it will unfortunately breed instability."

Five years on, these U.S. concerns have been at least partially borne out. However, the political instability that has ensued has had diverse origins, and the degree to which the financial crisis has been a driver has varied from country to country.

In the European Union, for instance, millions have taken to the streets and administrations in more than half of the 27 member states fell or were voted out of office from Spring 2010 to 2012 alone. Within the core eurozone, 11 of 14 governments collapsed or were turfed out during that same two years.

Even more eye-catching, however, have been the political revolutions and popular uprisings in emerging economies. This includes Ukraine and June's demonstrations in Brazil (the largest in the country for two decades); through to what has been called the "Arab Spring" in North Africa and the Middle East, including the civil war in Syria; revolutionary changes of power in Egypt, Tunisia, and Libya; transfer of power in Yemen; plus demonstrations and uprisings in Turkey, Iran, Algeria, Bahrain, Jordan, Morocco and Oman.

Despite the diverse nature of this international political instability, from Rio, and Athens, to Cairo, it has reportedly been described as "a revolutionary wave, like 1848" by Nigel Inkster, former director of operations for the UK Secret Intelligence Service. Others have compared the situation to 1914, 1968 and 1989.

Whatever the validity of these historical analogies, it is clear that the current "wave" of volatility has been driven by a broad range of economic, political, social and technological factors. And, these have played out in contrasting ways across the world.

In the European Union, for instance, the role of economic downturn and austerity since the 2008 financial crisis has been key, especially in those states most impacted by the Eurozone crisis like Greece and Spain. Unrest, however, has also tapped into pre-existing disquiet with established European political parties and systems.

In the Middle East, by contrast, protest has often stemmed primarily from deep-seated political and socio-economic discontent that has existed for many years. Post-2008, however, factors including liquidity crunches, increased food prices, and unemployment spikes, have exacerbated these longer-standing grievances.

A key question is whether international political instability will tail off in coming years, especially if economic recovery takes hold in much of the world. While this is possible, protest and uprising is likely to continue in some countries for at least two sets of reasons.

Firstly, even if the worst of the financial crisis has now passed, its consequences endure, especially for the increased number of young people who are unemployed. This puts many at risk of long-term damage to their earnings potential and job prospects, fuelling discontent.

In the EU, a record 24.4% of people under 25 are unable to find work. This has given rise to concern, including from German Chancellor Angela Merkel about a "lost generation," especially in countries like Greece and Spain where youth unemployment is almost 60%.

As in Europe, youth unemployment in numerous Middle Eastern and North African countries is above 50%, and it is estimated that the region's average rate could breach 30% within 5 years. In the Middle East, the problem is acute because it has the world's biggest youth bulge comprised of increasing educated people.

Secondly, there are some factors completely unrelated to the post-2008 financial crisis that will endure, if not intensify. This includes the disruptive role of social media.

There remains debate about how instrumental social media has been in fomenting political instability in recent years, not least in the Middle East and North Africa. However, whether one sees this new technology as an essential component that translated discontent into concrete action, or accentuated what was already-inevitable, indisputably it has played an enabling role that will likely only grow.

Taken as a whole, it is premature to claim, as some have done, that we have entered a new era of global revolution that is here to stay. Indeed, overall political instability may decline if the world economy enters a sustained recovery.

However, there remains significant prospect of political volatility, as the current protests in Italy and Ukraine underline. While circumstances will vary from country to country, instability will potentially be fueled not just by legacy of the financial crisis such as higher youth unemployment, but also longer-standing political and socio-economic discontent which social media is giving new impetus.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Political instability has characterized international relations since 2008, writes Andrew Hammond

@highlight

Hammond: The impact of the financial crisis has varied from country to country

@highlight

The popular uprisings in emerging economies such as Ukraine and Brazil have been eye-catching, he writes

@highlight

Hammond: The current "wave" of volatility has been driven by a broad range of factors