(CNN) -- Maz Jobrani was talking to his high school counselor one day when she delivered some bad news: He was white.

At first, he tried to deny it. Jobrani had brown skin, and his parents spoke with a Persian accent. Strangers called him "sheikh'' and "towel-head." He was living in the San Francisco Bay area during the Iranian hostage crisis in the early 1980s and would occasionally hear, "Go home, Iranian."

But the evidence for his whiteness was plain to see. When Jobrani looked at college applications in his counselor's office, he saw no racial category for Iranians. "That's because you're white," his counselor explained as she instructed him to check the box marked "white."

"I told her, 'What do you mean, white? I've been going through all this crap, all this ribbing and teasing for years, and I've been white all this time? You should have told me earlier.' "

Jobrani now has a message for other Arab- and Persian-Americans who have been living in racial limbo: "Check it right; you ain't white!"

That's the slogan of a campaign that may change how Arab- and Persian-Americans define themselves on the U.S. census. Activists are encouraging both groups to shun a practice that dates to the late 19th century, when immigrants from the Middle East began identifying themselves as white.

Jobrani and others say that Arab- and Persian-Americans should check the "other" box on the census form and write in their true ancestry. (Persian-Americans, such as those who trace their ancestry to Iran, aren't Arab, because they speak a different language and have a different culture).

Their campaign echoes complaints voiced by Latinos, African-Americans and biracial people. They claim that the racial categories on the census form don't accurately reflect how various groups define themselves.

Omar Masry, a campaign organizer, says it's time for Arab-Americans to affirm their identities.

"It's important to show that we're here, that we're part of the American fabric," said Masry, a city planner for Irvine, California.

"We were invisible"

It's also practical, Arab-American leaders say.

According to the Arab American Institute Foundation in Washington, there are an estimated 3.5 million Americans of Arab descent. But those numbers won't be reflected in this year's census count because only race data, not ethnic data on groups like Arabs, will be tabulated, institute leaders say.

Information from each census is used for everything from determining federal and state funding for communities to awarding grants, Arab American Institute leaders say.

Helen Hatab Samhan, executive director of the Arab American Institute Foundation, says Americans have traditionally defined Arabs in terms of their "otherness."

"For many years, we were invisible, or we were seen through an Orientalist lens: the Middle East as barbaric or the enemy of the West," Samhan said. "We didn't have a strong identity. We fit into the normal American concept of race."

The lens may have changed, but the view is the same, others say. Arab-Americans are still seen as a problem people: potential terrorists or victims of racial profiling, says Masry, the California-based leader of the census campaign.

"You look in the mainstream media, and they often try to minimize us as a group, like we're a shadowy, fringe minority," Masry said.

If Arab-Americans are going to be treated as different, they might as well highlight their differences on census forms to get equal representation, Masry says.

"We're being profiled anyway, so why don't we take pride in ourselves and gain advantage from it?" he asked.

How Arab-Americans became white

Centuries ago, there was little advantage to being called an Arab in America, one scholar says.

The first wave of Arab-American immigrants arrived in the U.S. around the end of the 19th century. Most were Christians from present-day Syria and Lebanon, says Sally Howell, co-author of "Citizenship and Crisis: Arab Detroit After 9/11."

They came at a time when many Americans were turning against immigrants. The U.S. erected exclusionary policies that would prevent many immigrants from non-Western European countries from becoming citizens, Howell says.

These immigrants often waged public campaigns, including court battles, to argue for the right to naturalize -- to become citizens.

"Each immigrant group had to fight their way into whiteness," Howell said.

Arab-American leaders clinched their claim to whiteness with a shrewd appeal to the dominant faith of their new homeland, she said.

"They said, 'We're Christians from the Holy Land,' " she said. " 'If Christ is the symbol of Western civilization, then we're like the most original Christians. We're white people, too.' "

'I'm not Iranian; I'm Italian'

The practice of suppressing one's Arab or Persian identity continued deep into the 20th century, says Jobrani, the Iranian-American.

He grew up outside San Francisco in the 1980s, during the Iranian hostage crisis. Iranian-Americans were sometimes jeered for their heritage, he says.

"A lot of Iranians didn't want to deal with it," he said. "They would say, 'I'm Italian' or 'I'm Turkish.' There were a lot of guys who changed their name. I had a friend named Shahrokh who changed his name to Tony."

Jobrani says he once met a woman at a club who asked him about his heritage.

"I told her I was Iranian, and she walked away," he said.

Arab- and Persian-Americans weren't treated that much better on television, Jobrani says. They were villains.

"There was never a Middle Eastern performer who was a good guy, someone who I could get behind and say that this guy is inspiring me," he says.

Jobrani is now taking that role himself. Today, he's a popular comedian who helped lead the "Axis of Evil" comedy tour, which poked fun at Middle Eastern stereotypes. He recently filmed a television pilot called "Funny in Farsi."

And he just filmed a playful public service announcement for an Iranian-American group that's encouraging Iranians to affirm their heritage on the new census forms.

Jobrani says he's no longer checking boxes that say "white." He's proud of his heritage, and of being American.

"Our community was kind of hiding. Now, people are saying, 'Let's turn this around,' " he said. "We're successful. There's no need to hide."

@highlight

Arab-Americans no longer content to be labeled white

@highlight

Campaign aims to reflect proper numbers in census

@highlight

Some Iranian-Americans used to pass as Italian to avoid conflict

@highlight

Now, many are proud of their heritage and of being American