(CNN) -- Stealth helicopters zoom toward a mystery compound in northern Pakistan, intent on capturing or killing the most wanted man in the world. Under cover of night they reach their target, but within moments one chopper is down and the mission is in jeopardy.

The daring raid against Osama bin Laden contained equal parts action, suspense, risk and bravery. In other words (from a purely literary standpoint), all of the elements of a great story.

So it should come as no surprise that Simon & Schuster has announced plans to publish a graphic novel about the secret mission, which co-author Jerome Maida describes as a "complex labyrinth of intrigue, danger and politics."

But it won't be the first graphic novel to recount Operation Neptune Spear (the military name for the raid). That distinction belongs to "Code Word: Geronimo" which hit bookstores and Amazon.com less than six months after bin Laden's killing.

"Code Word: Geronimo" is the work of Capt. Dale Dye, a retired Marine and frequent military consultant on Hollywood films, and his wife Julia Dye, who holds a Ph.D. in the anthropology of human conflict. The novel features the artwork of Gerry Kissell and Amin Amat.

CNN spoke with the Dyes about their book and the challenge of telling the story of the raid without divulging military secrets. What follows is an edited version of the conversation.

CNN: Why did you decide to tell the story in graphic novel form?

Dale Dye: We wanted to reach folks in a sort of 18-35 short attention span demographic and see if we could use the graphic novel to sort of reflect the capability and professionalism of the men and women who pulled this raid off, this Operation Neptune Spear... I think [graphic novels] are a coming thing. I don't know if it's good, bad or indifferent, but it is a venue for communicating and we'll take it.

CNN: As military stories go, this one is hard to beat.

Dale: I mean it was fantastic. It was nothing like Desert One [the failed attempt in 1980 to free American hostages in Iran] and the other special operations efforts in which we haven't done so well. This one was really almost perfect, and that's hard to say when you're dealing deep behind people's lines.

CNN: Tell me about the research you did for the book.

Julia Dye: The challenge in this case wasn't so much digging up the information, it's that there was too much information and often conflicting. So it's discernment, how do you decide what is the most appropriate, what is most likely, what is true from a variety of sources.

Dale: I was able to call some people in the special operations community that I have contacts with and draw on my own background and sort of fill in what gaps Julia left where we didn't know... There are some areas in which I like to say we used "SWAG", which is "Scientific Wild- A** Guesses".

CNN: Were you concerned at all about revealing sensitive information in the book?

Dale: We did a lot of talking, Julia and I did, "If we do this, if we say this, if we depict this, are we giving away the secrets to the bad guys?"

Julia: There are certainly operational concerns and we wanted to make sure the information that is in there was appropriate... and keep what should remain classified, classified and still tell a compelling story.

CNN: There are some panels in the graphic novel showing bin Laden in bed the night of the raid, without a turban. How did you decide the right way to depict his domestic life?

Dale: That's one of those "SWAG" things. Nobody really knows what his domestic life was about. So we put it together and we said, "Given what we know about him, or what we purport to know about him, what would his private life be like?" In large measure, it seemed to us it would be like anybody else's in the Muslim community. There was a woman in bed with him and he was undressed and he was the domestic Osama bid Laden, if you will. And so that's the way we depicted it.

CNN: A canine was part of the Navy SEAL team that stormed the bin Laden compound. Do you know what became of Cairo the dog?

Dale: As far we know Cairo is still out there operating with his handler and with members of the Naval Special Warfare Development Group. He's one of many K9s that they use. I don't know that Cairo got a medal or a bone or any special plate of dog food, but we're dog lovers and we considered him to be a hero and Julia would have broken my neck if we hadn't put him in there.

CNN: In a couple of the panels Cairo is wearing goggles.

Julia: Doggles, they're called Doggles, no they really exist. There is a civilian type you can buy. But they actually have night-vision capabilities and lots of great nifty things in there.

Dale: They can put the K9 cam on him so that you can see what he sees and he has a little flak jacket that he wears, body armor, and maybe even little boots that K9s can wear to keep on their feet, the pads of their paws to keep them from burning on concrete and that sort of thing. They've gone a long way with the pooches.

CNN: Tell me about your collaboration with the illustrators.

Dale: A graphic novel is a challenge in itself. Because while I write words and essentially design what happens in the storyline, the artists, Gerry Kissel and his partner Amin [Amat] are trying to get inside your emotional storyteller brain and say 'What would that picture look like?' And so there was a lot of backing and forthing...

That's where [my] military background really comes in. We know what things look like, we know what they're supposed to look like so it's not "Captain Marvel attacks the Martians," this is the real deal.

CNN: Director Kathryn Bigelow ("The Hurt Locker") is working on a movie about SEAL Team 6, the counterterrorism unit that conducted the raid. Do you think that project is in good hands?

Dale: She's a brilliant director and did such a great job with "The Hurt Locker." I hope she gets it right, I hope she knocks it out of the ballpark.

The problem with [depicting] the global war on terrorism is that it's still going on. It's very close to people. You guys [the media] stuff it into our face 24 hours a day. It's virtually the thing that fills the news hole. So it's difficult to back off and get some perspective and tell a story.

Julia: I think it would be wonderful to have films in the future that advance wonderful stories from the war on terror. I think many of them up to now have a tendency to advance agendas rather than stories.

Dale: That's one of the reasons why we wanted to do the graphic novel now. I mean it hits a mid-ground between that big definitive book that some enterprising reporter is going to do and the movie maybe that Kathryn Bigelow will do. This is a mid-ground. It's got pictures and it's got a story. And it's got some really vital information in it.

CNN: Finally, what are your thoughts about the people who pulled off this raid?

Dale: We're talking about some of the most selfless, really true professional public servants the world will ever know. These are folks who aren't in it for medals, they aren't in it for glamor, they aren't in it for prestige, they aren't in it for notoriety. They're in it because they believe it's the right thing to do, because they think it's an important and vital mission. That was our mission when we started out [writing the graphic novel], to reflect some light, some glory, without ripping away the veil of secrecy, but reflect some light and glory on truly professional, dedicated, patriotic men and women.

@highlight

Capt. Dale Dye and his wife Julia have written a graphic novel about the raid

@highlight

The pair used Capt. Dye's contacts in the special operations world to do research

@highlight

Academy Award winning-director Kathryn Bigelow is planning a film on SEAL Team 6