(CNN) -- For a country of just 2.1 million people in an area more than twice the size of Germany, Namibia has seen more than its share of conflict over the past 120 years.

Dragged into the 20th century as a German imperial protectorate, German South-West Africa, as it was known then, was the scene of violent insurrections by indigenous people and brutal crackdowns by colonial administrators.

In 2004, Germany offered its first formal apology for the massacre of an estimated 65,000 members of the Herero tribe who sustained a rebellion between 1904 and 1907 before they were forced into the desert where many perished.

Descendants of the few survivors are still seeking $4 billion compensation from the German government for what they claim was an orchestrated campaign of extermination that pre-figured Germany's genocidal policies of the Second World War.

Namibia's troubled history continued deep into the 20th century: in 1920 the League of Nations mandated the country to South Africa, which imposed its apartheid laws on the region after 1948.

In 1966, the Marxist South-West Africa People's Organization (Swapo) launched a war of independence for the area that became Namibia. The simmering guerilla campaign continued for 22 years, when South Africa agreed to end administration of the region under a U.N. peace plan.

Swapo has governed since Namibia won independence in 1990 in a functioning democracy that saw Hifikepunye Pohamba take his second five-year term as president following elections in 2009.

Test your knowledge of Namibia

Even with independence, Namibia's problems continued. In the 1990s, a secessionist movement in the Caprivi Strip, in eastern Namibia, caused thousands to flee to Botswana. The government has since calmed the restive region, declaring it safe for tourism.

Today Namibia struggles with huge unemployment (around 50% of the population, according to the CIA World Factbook). HIV/AIDs affects 15% of the population, according to data compiled by the World Health Organization and more than half the population lives below the international poverty line of $1.25 a day, according to data from the UN.

With one of the highest rates of income inequality in the world, the result, in large part, of a rural, cashless subsistence economy, land reform is one of Namibia's most hotly contested issues.

There are believed to be 4,000 commercial farms - mostly white-owned - that occupy up to half of Namibia's arable land. The government's aim is to resettle landless Namibians on this land on a "willing buyer, willing seller" arrangement. However, expropriations have taken place because too few farmers have been willing to sell.

In a bid to speed up the land reform process, the government has moved to loosen up restrictive terms that heavily favored the government in negotiations with farmers over land sales.

Just 1,000 of these commercial farms have been purchased by the government as part of its land reform program, and white farmers must offer the government first refusal on any sale of land. Continuing wrangling has acted as a serious disincentive to further investment in the country's valuable arable land.

Currently, mining -- particularly diamonds, copper, gold, zinc, lead, uranium -- constitutes more than 12% of Namibia's GDP, according to government figures. Its other largest sectors are tourism, agriculture at more than 9% and manufacturing at more than 15%. The latter, however, struggles as it competes with a highly subsidized manufacturing sector in neighboring South Africa.

Ultimately, however, Namibia's most precious resource is likely to be water.

Sandwiched between two of the world's most famous deserts - the Namib and the Kalahari - Namibia is the driest country in sub-Saharan Africa, with less than 370mm of rainfall on average each year.

Send in your photos of Namibia

However, this year the Namibian department of water affairs announced the discovery of a significant body of underground water - an aquifer dubbed Ohangwena II - that scientists say could supply the north of the country with enough water for centuries.

Situated on the border with Angola, Namibia's side of the 10,000-year-old aquifer covers an area about 70km by 40km (43 miles by 25 miles).

Project manager Martin Quinger, from the German Federal Institute for Geoscience and Natural Resources (BGR), told the Namibia Sun that it was a substantial body of water and could supply 40% of the nation's population for as long as 400 years.

"Old water can be, unlike old beer, very fresh and clean, as it was infiltrated before environmental pollution was an issue," Quinger told the newspaper.

CNN's Eye On series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Namibia is over twice the size of Germany and the driest country in sub-Saharan Africa

@highlight

Colonized by Germany and later ruled by apartheid-era South Africa

@highlight

Independence came in 1990 after 22 years of war

@highlight

Stark beauty of landscape and deserts matched by challenges to improve economy and lives of Namibians