London, England (CNN) -- The law of the land could be fuel for growth -- at least that's the hope of the Africa Justice Foundation, which launched earlier this month.

The initiative was co-founded by leading barrister Cherie Blair, wife of former British Prime Minister Tony Blair, with the aim of strengthening Africa's legal systems to encourage growth and attract investment in the continent.

Through the scheme African lawyers will be able to apply for a scholarship and work placement program.

Learning materials and training are being offered to all professionals in the field, and the foundation is also running a number of community justice projects, such as creating an online case-law database in Rwanda.

CNN's Max Foster discussed the new initiative with Cherie Blair.

CNN: Why did you become involved in the charity?

Cherie Blair: The thing I found when talking to governments, starting with the government of Rwanda, was that often people would bring things to them without actually asking them first what it is they actually wanted.

For example, when I was talking to the government about it they were saying that actually a big gap in Rwanda is people who are trained legal draftsmen; that's people to actually draft the legislation.

It may sound silly but it's a very technical skill and if you don't get proper laws drafted in the right way than there can be a lot of confusion.

CNN: So would you say that a lot of government work is being held up in the legal process?

CB: When you think of what you need in a legal system in a country that is developing, obviously you need your basic criminal law, your basic law between citizens, but as an economy develops you also need a pretty vigorous and efficient commercial-law sector.

Now, if you've been in a country that hasn't had much of that in the past and then you turn around and expect your judges and your administrators to know what to do clearly they are going to need training.

CNN: Some concerns among Africans is that you're dealing with some areas that don't even have clean water -- should you not be investing in that instead of the legal system?

CB: Well I absolutely think you should be doing both.

Absolutely, food, water and electricity are important but at the end of the day all of those issues involve legal problems as well, particularly things like contracts for electricity.

If you don't have a legal system that is there to administer that, if you don't have a developing economy that can actually deliver the money that will pay for that then you're not going to be able to feed as many people or provide as much clean water.

CNN: As a big, prominent Western figure, what about the concern that you're patronizing the local legal system by training, for example, Rwandan lawyers in Britain, rather than encouraging the Rwandan Law School?

CB: Well, of course, we are first of all working with the Rwandan Law School and it is why we are concentrating on this area of commercial law and particularly international law.

We are not going in to teach Rwandan family law or indeed Rwandan criminal law. It is more to provide the particular technical expertise which Rwandans are perfectly capable of developing but they need to have some help.

If we can train some key people then the idea is, whether it's the law professors or the people in the ministry, the idea is that it will then cascade down.

CNN: What shocks you most about the legal systems in Africa, sometimes?

CB: We need to see a lot more reform of the legal procedure to make it more responsive, to make it better at using technology, which can help.

One of the projects we have in Rwanda, for example, is just to gather a proper database of all the laws in Rwanda which will then be open to the public.

We have such databases here (in Britain) and to have something like that there so the law is accessible is important. For that you need investment first of all to gather the laws and then you need to make them available.

@highlight

The Africa Justice Foundation was co-founded by Cherie Blair

@highlight

It hopes to train African lawyers in commercial law to help grow the continent's economies

@highlight

One of the foundation's first projects is to create an online database of Rwandan case law