(CNN) -- Everyone knows Google is big. But the truth is that it's huge. On an average day, Google accounts for about 25 percent of all consumer internet traffic running through North American ISPs.

That's a far larger slice of than previously thought, and it means that with so many consumer devices connecting to Google each day, it's bigger than Facebook, Netflix, and Instagram combined. It also explains why Google is building data centers as fast as it possibly can. Three years ago, the company's services accounted for about 6 percent of the internet's traffic.

"What's really interesting is, over just the past year, how pervasive Google has become, not just in Google data centers, but throughout the North American internet," says Craig Labovitz, founder of Deepfield, the internet monitoring company that crunched the data. His probes show that more than 62 percent of the smartphones, laptops, video streamers, and other devices that tap into the internet from throughout North America connect to Google at least once a day.

Labovitz calls Google's traffic "astounding." The lion's share of it comes from YouTube. But Google traffic involving search, analytics, web apps, and advertising is far from insignificant.

Take these numbers with a grain of salt, though. It's impossible to get a total picture of the internet, so Deepfield's numbers are a best guess based on the traffic flowing through its internet service provider partners. Still, there's no question that Google is big and getting massive.

To handle its growth, Google has been on a building binge. It now has data centers on four continents. All this work has been getting a lot of attention. But the tech titan is also hip-deep in another type of build-out, one that's largely gone under the radar.

Google has added thousands of servers — called Google Global Cache servers — to ISPs around the world. These servers store the most popular content from Google's network — a YouTube video that's going viral right now or apps from the Android marketplace, for example — then serve it directly from the ISP's data center, rather than streaming it all the way from Google's data center. These servers were in a handful of North American ISPs three years ago. Today, they're in 80 percent of them, Labovitiz says.

Companies like Akamai and Level 3 have been doing this type of caching for years. It helps speed up popular pages on websites like WIRED. But lately some big websites have started cutting content delivery deals directly with ISPs. It's a strategy that Netflix very publicly embraced just over a year ago, but one that Google is much more reluctant to discuss. The company declined to comment for this story, and ISPs that use the Google Global Cache servers aren't allowed to talk about them.

That's not a huge surprise. Google does some pretty amazing things behind the scenes, and while it's considered to be the world's leader in infrastructure magic, it generally considers this work to be a closely held proprietary secret.

Still, Netflix and Google's move into so many of the ISP network operations centers that are just a few miles from its customers — what networking geeks call the "edge" of the network — is likely to be followed by other internet giants such as Apple and Facebook, Labovitz believes. "It used to be that the focus of people like Google and Facebook was about building data centers," he says. "They're still doing that, but what is equally interesting is watching these edge boxes — these servers being embedded just everywhere."

This article originally appeared on WIRED.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Google accounts for 25% of all Internet traffic in North America, according to a new report

@highlight

That's more than Facebook, Netflix and Twitter combined

@highlight

Analytics say that's a big jump from 6% three years ago