ATLANTA, Georgia (CNN) -- Imagine the Batmobile busting bad guys in Bismarck, North Dakota, or "Knight Rider's" KITT corralling criminals on the Pennsylvania Turnpike.

Carbon Motors Corp.'s E7 concept vehicle was on display recently near the U.S. Capitol.

Carbon Motors Corp.'s new high-tech cop car prototype might not be quite up to superhero specs, but some police say it could be a welcome addition to their arsenal.

"I don't see any downside to this car," said Carl Latorre, a Pennsylvania State Police dispatcher who served 35 years as a Philadelphia police officer. "I am so excited about this car. This car rates up there with cops carrying automatic weapons to combat what the criminals carry now. It's about time that something like this came about."

OK, so it doesn't have a nanotech cloaking capability or rocket boosters, but every feature on the Carbon E7 concept vehicle draws on suggestions from more than 3,000 law enforcement professionals.

The result is a futuristic prowler with a 300-horsepower clean diesel engine, flashing lights visible from all angles, an ergonomic cockpit, an onboard computer with voice command and instant license plate recognition, integrated shotgun mounts, and more. (Weapons of mass destruction detectors are available as an option -- seriously.)  See how the E7 stacks up against KITT and the Dark Knight's Tumbler »

The E7 was designed by cops for cops, breaking the tradition of recruiting family sedans into the force, company co-founder Stacy Dean Stephens said.

"The current vehicles that they (police departments) use were designed for driving around, going to the grocery store, taking kids to school -- things like that," Stephens said.

"You don't have an engineer sitting at one of the other automakers who says, 'Y'know, I think what we need to do is we need to take this car, and we need to run into a curb at 50 miles an hour and see how many times it takes before the wheels and the suspension fails on it."

The rear passenger compartment alone is enough to make experienced cops get teary-eyed. The rear-hinged "suicide doors" make it easier for handcuffed passengers to get in and out, and the seat is designed so "guests" can ride comfortably with their hands cuffed behind their backs.

For officer safety, Latorre likes how the seat belts are anchored in the center of the seat and buckle near the door so the officer doesn't have to lean across the prisoner.

"When you put a prisoner in the back seat, you're supposed to strap him in," Latorre said. "Nowadays, you have to make sure your gun isn't going close to his hands, and how are you going to strap somebody in doing that?"

Perhaps most popular among cops is the rear compartment, which is sealed off from the front and made entirely of seamless, washable plastic, with drain plugs in the floor.

"Numerous times I've had less than pleasant experience" with prisoners vomiting or relieving themselves in the back seat, said Stephens, a former Texas police officer.

The seat innovations are up front, too, where the seats have recesses to accommodate officers' bulky gun belts.

"The front seat -- I couldn't believe the front seat. They thought of everything," Latorre said. "You don't know how difficult it is to get out of a car. The first thing you've got to do is adjust your gun belt. The gun belt shouldn't be a problem."

The E7 can go 0 to 60 mph in 6.5 seconds, has a top speed of 155 mph and can withstand a 75-mph rear impact, according to the company's Web site. It has bullet-resistant panels in the doors and dash and has push bumpers incorporated into the aluminum frame. The upper flashing lights are integrated into the roof panel, eliminating the need for a bolted-on light bar that causes aerodynamic drag -- reducing fuel economy -- and can lead to rust.  Watch police check out the car and hear the engine growl »

Despite the technological "wow" factor and officer enthusiasm, the E7 could prove to be a tough sell.

"The people are very intelligent and smart that are setting this up," said Lt. Michael Arnold, fleet manager of the Bismarck, North Dakota, police department. "What scares me is they don't give you a price."

Company officials say the price -- possibly around $50,000 per unit -- will be "competitive" considering the cost of equipping a conventional car for police work and how long each vehicle lasts. The Carbon E7 will be built to last 250,000 miles, compared with 75,000 to 120,000 miles for the typical patrol car, Stephens said.

"When it's all said and done it's a matter of how much it costs per mile," said Bismarck Deputy Chief Fred Wooten.

Regardless of how good it looks on paper, a state or big-city agency won't be willing to take a chance on a vehicle with no track record, said Detective Mary Wheat, spokesperson for the Portland, Oregon, police department.

"If they do cost $50,000, nobody's going to buy them," Wheat said. "Nobody's going to buy them. No, police agencies can't afford $50,000 cars. We have huge fleets of cars. We have hundreds of them; hundreds and hundreds of cars. And we turn them over. I mean, we ride them hard. Those cars are used on a 24-hour basis. That wouldn't work."

But municipalities don't balk at paying large sums for other purpose-built vehicles such as firetrucks and ambulances, countered Latorre, the Pennsylvania officer.

"They don't say, 'Oh, here's a box truck; go fight fires with it' or 'Here's an E-250 cargo van; go pick up patients with it,' do they?," he said.

"So I don't see why the municipality wouldn't say, 'You know what? This [police car] is nothing but a plus for us.'"

The company, based in Atlanta, Georgia, doesn't yet have a factory, but has named five states where it could locate: Georgia, Indiana, Michigan, North Carolina and South Carolina. Production is scheduled to begin in 2012, Stephens said.

Carbon doesn't expect to take over the market quickly, instead counting on a few "early adopters" willing to take a risk on a few vehicles and work out the kinks to everyone else's satisfaction, Stephens said. Hundreds of agencies already have made online reservations for thousands of Carbon Motors vehicles, putting the company "very well on our way to selling out our first year," he said.

Wheat praised the Carbon team's entrepreneurship and suggested the company market its car first in smaller towns with less red tape and simpler bidding processes. That works for Wooten, the deputy chief in Bismarck.

"We'll be more than happy to field test one," he offered. "If it works as advertised, we'll probably have a fleet of them someday."

@highlight

Carbon Motors' E7 prototype is not your father's Crown Victoria

@highlight

Vehicle designed bumper to bumper by cops, for cops

@highlight

Car features high-performance engine, integrated gadgets, ergonomic cockpit

@highlight

Whether governments will buy it is the big unanswered question