(CNN) -- As a society, we do too much short-term thinking. In Washington, that has meant passing bills that paper over fiscal problems in the short term while ignoring long-term consequences for future generations. The result is a fiscal gap that places unknown financial burdens on today's young people.

We may have different prescriptions for how to address our budget challenges, but from a personal standpoint, we both worry about how a lack of information about long-term budget realities will affect our children's generations and those that follow.

We want Congress to do more long-term planning, like families and businesses across this country do every day. Instead of kicking the can down the road, Congress and the administration need to understand how policy decisions made today in Washington will affect future generations of Americans.

On Wednesday, we are introducing a bill to bring more transparency to the budget process and ensure that members of Congress and the administration are honest with themselves and the American people about current and future budget realities.

Right now, Congress only looks at the effect of legislation over the next 10 years. Rarely is information presented that reflects the longer-term impact. Our bill -- the Intergenerational Financial Obligations Reform Act, or INFORM -- would ensure that Congress, the administration and the American people have the information necessary to understand the effect that taxes, spending policies and future economic advancements will have on the fiscal health of the country and on individual Americans 20, 50 or even 75 years down the road.

The INFORM Act would require the president to provide a detailed accounting of how the administration's budget and policy recommendations, and its predictions of economic health, would affect young people down the line.

It would also require the Government Accountability Office to provide an annual analysis of the impact of future budget realities on generations to come and account for any fiscal gaps (the difference between spending and tax revenue).

This approach -- known as a generational accounting and fiscal gap analysis -- would examine the full scope of the government's obligations, present and future, and then look at the effect those obligations will have on current and future generations. Presidents Bill Clinton and George H.W. Bush each used this tool in submitting executive budgets.

Young Americans in their 20s and 30s deserve to know what the decisions of today's lawmakers mean for their future. And lawmakers should use every tool at our disposal to make better decisions. We believe this approach will help us improve the fiscal health of the country.

Washington has spent enough time kicking the can down the road. It's time to start being honest about the long-term challenges facing future generations.

The opinions expressed in this commentary are solely those of the writers.

@highlight

John Thune, Tim Kaine: Washinton's fiscal thinking doesn't account for long term

@highlight

They say Congress, administration must analyze budget moves for future effect

@highlight

They say their new bill -- INFORM -- would require this and account for fiscal gaps

@highlight

Writers: Lawmakers must be honest about long-term challenges for future