(TIME.com) -- Researchers report a breakthrough in generating powerful antibodies that can neutralize HIV.

An HIV infection is really an intensive molecular arms race launched from the minute the virus infects a new host.

AIDS progresses not because the body isn't capable of fighting off HIV -- it is. But the immune defenses eventually succumb to the virus in the final standoff.

Now researchers led by Barton Haynes, director of the Duke University Human Vaccine Institute at Duke University School of Medicine, believe they have found a way to tip the odds in the immune system's favor.

From the moment of infection, the immune system goes on alert and immediately generates antibodies designed to attach to and destroy HIV. And for the first few weeks, these antibodies are successful, eliminating all but a few viruses that remain hidden away from the body's surveillance systems.

These viral stalwarts then mutate to escape detection and start to flourish, expanding until new antibodies are generated to dispatch them. That launches another wave of viral destruction that pushes HIV to mutate yet again, prompting another immune attack, and so on, until eventually the body isn't able to keep up with the virus and pushes out poor, or no more additional antibodies that can neutralize HIV.

TIME.com: A newborn may be cured of HIV. Is the end of AIDS near?

That's the scenario in about 80% of those who are infected with HIV. But in a fortunate 20%, this arms race is stacked in the host's favor, with antibodies that are able to neutralize not just the latest, specific mutated version of HIV but a broader range of viral marauders.

Such broadly neutralizing antibodies are the holy grail of AIDS vaccine researchers, who hope to corral these agents in an immunization that can protect against infection.

But most attempts to convince the body to churn out these antibodies haven't been successful, primarily because the antibodies take on an unusual shape that marks them for destruction by the very immune system that generated them. In addition, these antibodies can bind to and destroy healthy cells as well as HIV-infected ones, making them a potentially useful but unpredictable partner in fighting the virus.

TIME.com: Study explains how the first effective HIV vaccine worked

But by carefully mapping the different mutations that HIV generates, and the resulting antibodies made against them in an African patient who is able to produce broadly neutralizing antibodies, Haynes and his colleagues believe they have come up with a way to drive the immune system to preferentially churn out these HIV-fighting immune cells.

"We followed individuals from the time of HIV infection to the time they generated broadly neutralizing antibodies, and mapped and isolated the virus at every step along the way so we now don't have to guess any more about what induced those antibodies," he says. "We have a map on how to recreate the sequential (versions of HIV) that could drive particular antibody lineages."

The work, which was published in the journal Nature, was possible because Haynes had collected and saved blood samples over the course of about three years from roughly 400 patients, starting within weeks of their infection.

Researchers found that the first round of broadly neutralizing antibodies generally appeared about 14 weeks after infection, and these were better able to bind to portions of HIV that the virus doesn't change as quickly or as frequently. That makes the antibodies useful weapons in attacking the virus' Achilles heel, and a potentially powerful target for an effective vaccine.

TIME.com: Treatment as prevention: How the new way to control HIV came to be

"Now we have a picture of how these antibodies developed, so what we are doing is figuring out how to use them to make a vaccine," says Haynes.

The challenge will be to push the body to pump out these antibodies rather than the more specific ones aimed at the ever-changing portions of HIV. It turns out that most infected people do produce these antibodies, but HIV distracts the immune system into crowding them out with all the subsequent iterations they convince the body to make against the mutating virus.

"We are trying to take an unusual or rare event and make it more common," says Haynes.

TIME.com: HIV drugs may prevent infection in healthy individuals

Ultimately, he adds, a vaccine will probably need to generate several of these broadly neutralizing antibodies; each person tends to make unique versions that have differing efficacy in stopping HIV.

But there's precedent for such an approach, since the antiretroviral drugs that now control HIV infections are used in combination to hit the virus at more than one point in its life cycle.

"The hope is that by mapping individual pathways to generating broadly neutralizing antibodies, we can find some commonalities among people even though everyone is different, and that gives us hope for using these pathways in a vaccine," says Haynes. "It's a huge effort but it looks like it's going to pay off."

This article was initially published on TIME.com.

Anti-HIV antibodies may spur AIDS vaccine development

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Researchers believe they've found a way to give our immune systems an advantage

@highlight

The immune system could be made to churn out HIV-immune cells

@highlight

There is hope that the discovery could be used in developing a vaccine