Jinan, China (CNN) -- Facing his former deputy whose attempted defection to the United States sealed both men's fate, fallen high-flying politician Bo Xilai continued his defiant stance Saturday as his increasingly dramatic trial stretched into a third day.

The former Communist Party chief of the sprawling south-western metropolis of Chongqing denied abusing his power -- the third and final charge heard in court stemming from his actions after Wang Lijun, then the city's police chief, told Bo that local police were investigating his wife Gu Kailai for murder.

Prosecutors accuse Bo of threatening and improperly firing Wang upon learning of the murder investigation, causing Wang to seek asylum in the U.S. consulate in a nearby city in early February 2012, and triggering the greatest political crisis for the Communist Party in decades.

"I have made mistakes. I feel regret and I'm willing to take responsibility," Bo, 64, was quoted as saying in a transcript released by the Jinan Intermediate People's court in eastern China, where he is also being tried for bribe-taking and embezzlement. "But whether or not I've committed a crime is a different issue."

"I didn't bend the law to protect Gu Kailai," he said. "I didn't force Wang Lijun out or force him to defect to the United States."

Bo did acknowledge slapping Wang in the face -- a key moment long considered a turning point in the two men's relationship -- during a confrontation, claiming he was furious at his "double-faced" deputy who had faked his loyalty to the Bo family.

Taking the witness stand, Wang described an even more disturbing sequence of events in Bo's office a day after he told his boss about the murder investigation in late January 2012.

"He started verbally assaulting me... and about three minutes later, he walked around the left side of his desk and stood in front me. He suddenly attacked me with his fist, hitting on my left ear -- it was not just a slap," Wang recalled, according to a court transcript.

"My body shook a little... and I found blood at the corner of my mouth and discharge in my ear," he continued. "I wiped the blood off with a tissue, but when he heard me calmly tell him again that he had to face the reality, he threw a glass on the ground while saying 'I'll never accept it.'"

Wang told prosecutors that Bo's physical violence against him as well as the disappearance of his aides and investigators led to his decision to seek refuge in the U.S. diplomatic mission in Chengdu.

When Bo was allowed to question the witness, Wang revealed in an exchange that Gu had told him about her intention to kill a day before the murder. And when Bo asked Wang: "Did you think I was forcing you out in an attempt to cover up (my wife's murder) case?" Wang replied: "Yes."

Embezzlement and corruption charges

Earlier Saturday, Bo kept up his vigorous defence against embezzlement charges and, as he did Friday on corruption charges, dismissed testimony from his jailed wife as a desperate attempt to reduce her own sentencing, prompting observers to revel in the intimate details of the extravagant life of an estranged couple once called "the Kennedys of China."

Gu is serving a suspended death sentence for killing British businessman and family friend Neil Heywood in a Chongqing hotel room in November 2011. She gave her testimony to the court via video and has said that Bo was well aware of multimillion-dollar dealings to fund their and their younger son's jet-setting lifestyle.

"I have feelings for Gu Kailai," Bo said Saturday morning, after admitting to an extramarital affair. "She is a vulnerable woman... and who else could she turn in? That's why all accusations against me originated from her."

Prosecutors allege that Bo received five million renminbi ($820,000) of public funds from a local urban planning official in Dalian, Liaoning Province, in the early 2000s when he was mayor and later the provincial governor.

Bo slammed the allegations as "contradictory" and denied that he needed to take the money as his wife earned millions of dollars from her five law firms.

Under the bribery indictment, prosecutors accuse Bo of using his political posts to secure influence for others. They say that between 2000 and 2012, Bo, Gu and their son, Bo Guagua, received about 22 million renminbi ($3.6 million) in bribes from businessmen in Dalian.

Timeline: Bo Xilai scandal

Bo's fall from grace

Bo is a princeling, a term that refers to the children of revolutionary veterans who boast of political connections and influence. His late father, Bo Yibo, was a revolutionary contemporary of Mao Zedong and former leader Deng Xiaoping.

Over the past three decades, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policymaking body of the Communist Party.

A charismatic and urbane politician, Bo was credited with a spectacular, albeit brutal, crackdown on organized crime during his time as the top party official of Chongqing.

Bo's glittering career, in which he drew admirers and detractors for his populist policies, fell apart last year amid a scandal involving murder, corruption and betrayal.

Ex-police chief Wang's attempted defection precipitated Bo's political demise. Soon after news of the events began to emerge, Bo was removed from his Party posts.

After his wife's sentencing last August, Wang was convicted of bending the law for selfish ends, defection, abuse of power and bribe-taking. He received a 15-year prison sentence.

Bo's trial is seen as a potentially concluding chapter in the scandal.

His high profile and connections among the nation's ruling elite have made his case -- with its tales of greed and wrongdoing by a top official and his family -- an extremely delicate matter for Chinese authorities. It's taken more than a year, during which time the Communist Party underwent a major leadership change, to bring him to trial.

Many observers had expected proceedings to stick closely to a pre-planned script, seeing the trial's outcome as the result of a political deal struck between Bo and China's top leaders.

But as he often did in his political career, Bo has so far stolen the show, mounting a robust attack on the prosecution's case and ridiculing witness testimony. That has left China watchers trying to figure out how far he's veered off script.

Journalists from the international news media haven't been allowed inside the courtroom. But the court's official microblog account has delivered updates on developments inside, attracting almost half a million followers on Weibo, China's Twitter-like service.

CNN hasn't been able to verify how accurate and comprehensive the court's version of proceedings has been. But many observers have interpreted it as a reasonably close, albeit filtered, account.

CNN's Jethro Mullen, David McKenzie, Jaime FlorCruz contributed to this report.

@highlight

Bo trial wraps up third day Saturday in Jinan

@highlight

The former top official has mounted a tough defense against bribery charges

@highlight

So far, Bo has stolen the show, attacking prosecution's case and ridiculing testimony