Editor's note: How would you rate President Obama's first 100 days? You'll get a chance to make your opinion known at 7 p.m. ET Wednesday on the CNN National Report Card.

The Obamas enjoy their new family dog, Bo, at the White House.

(CNN) -- Heather Ferreira works in the slums of Mumbai, India, where she has watched thousands of women live under a "curse."

The women she meets in the squalid streets where "Slumdog Millionaire" was filmed are often treated with contempt, she says. They're considered ugly if their skin and hair are too dark. They are deemed "cursed" if they only have daughters. Many would-be mothers even abort their children if they learn they're female.

Yet lately she says Indian women are getting another message from the emergence of another woman thousands of miles away. This woman has dark skin and hair. She walks next to her husband in public, not behind. And she has two daughters. But no one calls her cursed. They call her Michelle Obama, the first lady.

"She could be a new face for India," says Ferreira, program officer for an HIV-prevention program run by World Vision, an international humanitarian group. "She shows women that it's OK to have dark skin and to not have a son. She's quite real to us."

Those who focus on Michelle Obama's impact on America are underestimating her reach. The first lady is inspiring women of color around the globe to look at themselves, and America, in fresh ways.  See photos of past first ladies »

"She might be the first woman of color that females in male-dominated countries have seen as confident, bright, educated, articulate and persuasive," says Barbara Perry, author of "Jacqueline Kennedy: First Lady of the New Frontier."

A symbol for women around the globe

The notion of a woman being a first in anything is alien in many parts of the world. Millions of women struggle against sexual violence, discrimination and poverty, several women activists say.

But Michelle Obama offers a personal rebuke to that message. Her personal story -- born into a blue-collar family; overcoming racism and once even making more money than her husband -- makes her a mesmerizing figure to women across the globe, says Susan M. Reverby, a professor of women's studies at Wellesley College in Massachusetts.

Reverby says this is the first time many women have seen their class and color reflected in America's first lady.  Watch how Michelle Obama has done during her first 100 days »

"This is someone who appeals across the usual divides," Reverby says. "She is a celebrity you can imagine being, not a celebrity you have to watch from afar."

A hint of Michelle Obama's global appeal came recently when she spoke at an all-girls school in London, England. The students came from various backgrounds: Muslim, Christian, black and white. Yet they all surged forward, shrieking and even crying, as they hugged the first lady.

Thu Nguyen, a native of Vietnam, wasn't at the London school, but she experienced a similar sense of elation when Obama became first lady.

In her native country, she says women "are not human beings." But when Obama became the first lady, Nguyen called her niece and told her that any hard-working woman could become the first.

Vietnamese women can identify with Michelle Obama, Nguyen says.

"We have a yellow color because we're Asian, so we felt a bond with [Michelle] Obama when she became the first black first lady," says Nguyen, who works at a nail salon in South Pasadena, California.

Some women's identification with the first lady, however, goes deeper than skin color.

Sue Mbaya of Nairobi, Kenya, says the first lady inspires African woman to assert themselves in their personal and professional lives.

Many African women are conditioned to be subservient, she says. They're prevented from rising to management positions in the workplace, and their families often relegate them to taking care of household tasks while sending their brothers off to school.

But Obama is a high achiever who didn't intimidate her husband, says Mbaya, a native of Zimbabwe who is the advocacy director for World Vision's Africa's region.

"I've always liked knowing that she was Barack Obama's supervisor when they first met," Mbaya says. "He once said that he wouldn't be where he is without his wife. That really appeals to me."

Women in the West also find inspiration in Obama.

Christine Louise Hohlbaum, who lives near Munich, Germany, says the first lady impresses German women because she is a powerful public figure who doesn't seem threatening. German history is marked by charismatic leaders who wielded personal power for malevolent ends, she says.

"She's the perfect blend of power and civility. That's important in German culture," says Hohlbaum, author of "The Power of Slow: 101 Ways to Save Time in Our 24/7 World."

How does Michelle Obama define herself?

While other women have defined Obama's appeal, the first lady is refining her role.

She has talked publicly about the pressures military families face. She has encouraged healthy eating by planting a White House garden. She's opened the White House to ordinary people and children. Service to community and family seems to be her theme.

She recently drew the most attention for what she did, not said, during a visit to London. She briefly embraced Britain's Queen Elizabeth II, breaking royal protocol. The Queen, however, according to press accounts, responded warmly to the first lady's embrace.

Obama has often been compared to another regal woman: Jacqueline Kennedy Onassis. But Autumn Stephens, author of "Feisty First Ladies," says that Obama reminds her more of former first lady Hillary Clinton.

"But Hillary really downplayed the mom part, whereas Michelle has really played it up," Stephens says. "She is straddling both worlds."

In a poll of first ladies, certain women are invariably cited by historians as the most noteworthy: Abigail Adams, Lady Bird Johnson and Eleanor Roosevelt, who is widely considered to be the most influential first lady, Stephens says.

Where would Stephens rank Michelle Obama?

"She's got the whole package," Stephens says. "She's in a class by herself."

@highlight

Michelle Obama inspires women of color around the globe

@highlight

Indian woman: 'She is a new face for India'

@highlight

First lady's dark skin and modest upbringing gives women hope

@highlight

German woman: 'She's the perfect blend of power and civility'