(CNN) -- Scientists have discovered methane in Mars' atmosphere, raising the possibility that life might exist on the planet.

Mars may be more active than previously believed, scientists say.

The methane could have come from past or present subsurface microorganisms, geological activity or comets striking the planet, scientists and NASA officials said. Scientists were not sure how long the methane has been on the planet.

Methane -- four atoms of hydrogen bound to a carbon atom -- is the main component of natural gas on Earth. It's of interest to astrobiologists because organisms release much of Earth's methane as they digest nutrients. Other purely geological processes, like oxidation of iron, also release methane.

"It's time, it's prudent that we begin to explore Mars looking for the possibility of a life form that's exhaling methane," said Lisa Pratt, professor of geological sciences at Indiana University, at a NASA news briefing Thursday.

The team found methane in the Martian atmosphere by carefully observing the planet through NASA's Infrared Telescope Facility and the W.M. Keck telescope, both at Mauna Kea, Hawaii.

Using spectrometers on the telescopes to spread the light into its component colors, the team detected three spectral features, called absorption lines, that together are definitive fingerprints of methane.

"Microbes that produced methane from hydrogen and carbon dioxide were one of the earliest forms of life on Earth," said Carl Pilcher, director of the NASA Astrobiology Institute, which partially supported the research. "If life ever existed on Mars, it's reasonable to think that its metabolism might have involved making methane from Martian atmospheric carbon dioxide."

NASA's most recent Mars project -- the Phoenix Mars Lander mission -- came to an end in November after the solar-powered vehicle's batteries ran down as the result of a dust storm and the onset of Martian winter. Robotic instruments on the spacecraft collected and analyzed soil samples, looking for organic compounds that would indicate Mars is or was able to support life.

NASA officials had landed the vehicle on an arctic plain after satellite observations indicated there were vast quantities of frozen water in that area, most likely in the form of permafrost.

Scientists were able to verify the presence of water-ice in the Martian subsurface, find small concentrations of salts that could be nutrients for life, and observe snow descending from the clouds.

The lander also discovered a chemical in soil near Mars' north pole that is toxic to humans but conceivably could be used as an energy source by certain microbes. The lander's findings did not rule out the possibility that life once existed or even exists now, perhaps in a deep underground aquifer, NASA officials said.

NASA's next mission to the planet is the Mars Science Laboratory, a large, nuclear-powered rover with a suite of onboard scientific instruments. It is scheduled to launch in 2011 as part of NASA's long-term effort to study the early environmental history of Mars and assess whether the planet has ever been -- or still is -- able to sustain life.

@highlight

New finding reveals the first detection of methane in the atmosphere of Mars

@highlight

Methane could have come from past or present geological or biological activity

@highlight

Methane is the main component of natural gas on Earth

@highlight

NASA's next mission to the planet is the Mars Science Laboratory in 2011