The light bulb figuratively suspended above a human head has long been symbolic of the eureka moment that every inventor craves.

But for German physicist Herald Haas, it's the bulb itself that provides the inspiration for his bright idea.

Haas and his team at the UK's University of Edinburgh, are the brains behind a new patented technology that uses beams of flickering light to transmit digital information wirelessly, a process known as Visible Light Communication (VLC).

"My big idea is to turn light bulbs into broadband communication devices ... so that they not only provide illumination, but an essential utility," he says.

Haas claims that data can be sent by adding a microchip to any humble LED bulb, making it blink on and off at a phenomenal speed, millions of times per second.

It's this capability that allows LEDs to transmit data in a rapid stream of binary code that, although invisible to the naked eye, can then be detected by a light-sensitive receiver.

Read more: 'Teach young to be innovative'

"It's a bit like sending a Morse code signal with a torch, but at a much faster rate and using the alphabet that computers understand," explains Haas.

The implication is that wherever you have a light bulb -- and there are an estimated 14 billion of them worldwide -- you have the potential for a wireless Internet connection. In practice, it means that any street lamp could double up as a web hotspot.

But VLC, or "Li-Fi" as it has been nicknamed, does more than just increase Internet accessibility.

The dominant technology used for wireless data transfer, Wi-Fi, is transmitted through radio wave signals. However, radio waves represent only a small fraction of the electromagnetic spectrum and so, as demand for wireless connectivity grows, the supply of available bandwidth diminishes.

The problem is epitomized by the frustrating experience of sitting in an Internet coffee shop, helplessly watching on as more and more people connect their device to the network, causing your browser speed to wither to a snail's pace.

The same is true for 3G mobile networks, which rely on an increasingly congested system of around 1.4 million cellular radio masts worldwide.

Meanwhile, the number of bytes we transmit through mobile devices is doubling every year, according to a report from networking equipment giant Cisco Systems.

However, Haas claims his technology should be a big part of the solution.

Test your knowledge of accidental inventions

"The visible light spectrum is 10,000 times larger than the radio frequency spectrum," he explains.

Less congestion means greater bandwidth and Haas says transmission rates using "Li-Fi" could be as high as one gigabit a second -- meaning that downloads of high-definition films could take less time than sending a text.

For Haas, the beauty of his technology is that -- unlike radio wave signals that are generated from large energy-intensive cell masts -- VLC requires almost no new infrastructure.

"We use what is already there," he says. "The visible light spectrum is unused, it's not regulated, and we can communicate at very high speeds."

But the technology has its limitations.

Thomas Kamalakis, a lecturer at the Department of Informatics and Telematics at the Harokopio University of Athens, commends Haas on his work but warns against overstating its potential just yet.

Watch Make Create Innovate on Quest Means Business

"Of course one problem is that light can't pass through objects, so if the receiver is inadvertently blocked in any way, then the signal will immediately cut out," Kamalakis says.

Mark Leeson, associate professor at Warwick University's School of Engineering also foresees challenges.

"The question is how will my mobile phone communicate back with the light source?" Leeson asks.

Both are valid issues, Haas says, but he has a simple workaround.

"If the light signal is blocked, or when you need to use your device to send information -- you can seamlessly switch back over to radio waves."

VLC is not in competition with WiFi, he says, it is a complimentary technology that should eventually help free up much needed space within the radio wave spectrum.

"We still need Wi-Fi, we still need radio frequency cellular systems. You can't have a light bulb that provides data to a high-speed moving object or to provide data in a remote area where there are trees and walls and obstacles behind," he says.

Although the widespread use of "Li-Fi" is still some way off, it could have some useful, small scale, applications in the short term.

For instance, Haas says it could transform air travel by allowing overhead cabin lights to connect mobiles and laptops in-flight; it could also improve conditions for those working underwater -- such as people on oil rigs -- where radio waves cannot penetrate; LED car lights could even alert drivers when other vehicles are too close.

Haas also turns one of the technology's perceived weaknesses -- the inability of light to penetrate through objects -- into a strength.

"LiFi offers a far more secure form of data transfer because it can only be intercepted by those within a line of sight of the light source," he explains.

"It's a very simple electromagnetic spectrum we can see, and if that is an engine that also provides some of the fundamental needs of modern societies [like] high-speed data communication, wouldn't that be brilliant?"

@highlight

German inventor Harald Haas has developed patented technology which uses light beams to transmit information

@highlight

Adding a microchip to a normal LED light bulb makes it blink at phenomenal speed sending binary code data

@highlight

Haas hopes his "Li-Fi" networks will assist increasingly crowded Wi-Fi radio networks