(CNN) -- Anyone who has struggled to be healthy is intimately familiar with the counting game. They've counted calories, carbs, Weight Watchers points, their heart rate, steps and miles.

Now a new smart eating utensil called the HapiFork will help them count bites during meals, and maybe shame them into eating slower and potentially losing weight.

Technology has made it easier to track the minutiae of everyday life, with smartphones, pedometers and small sensors that can fit in wearable devices such as wrist bands. The self-tracking hobby has blossomed into the quantified-self movement, which reaches far beyond the health conscious.

People are tracking their sleep patterns, heart rate, mood, air quality and work habits, often in a bid to analyze enough data to correct problems with their health or lifestyle.

"Whatever we can measure, we can improve," said Fabrice Boutain, CEO and founder of HapiLabs.

In the case of the HapiFork, what can be improved is how fast people eat. It takes 20 minutes for the stomach to tell the brain it is full and that it's time to stop eating, putting speedy eaters at risk for being overeaters. The HapiFork team says there are many potential health benefits to eating slower, including decreasing acid reflux, obesity and diabetes.

The $99 fork first gained attention during the Consumer Electronics Show in January and will be on the market by the end of the year.

How it works

The fork can be used to passively track eating habits and automatically sync that information, including duration of meals and frequency of forkfuls, with a smartphone. The HapiFork mobile app will also include a coaching program and tools to connect with friends and family.

The device can also be set up for behavior modification, vibrating any time the diner is eating too quickly as a gentle reminder to slow down. By default it is set to allow a bite every 10 seconds, though the exact time is customizable.

When the metal tines of the HapiFork touch the mouth, a circuit is closed and a bite is tallied. The data is automatically transmitted to a smartphone over Bluetooth or can be uploaded using a micro USB port in the base. The fork, which can stay charged for 15 days, has a thick plastic handle that houses the electronics. The core pops out so the fork can be washed by hand or run through a dishwasher. You must hold down a button to turn it on before each meal, but it powers down automatically after you stop using it.

A hands-on (and mouth-on) test

I tested the fork out this week on a lunch of seared-tuna salad. There are only 10 prototypes of the HapiFork, each thoroughly sanitized between the many test eaters (I hope). It was a pretty tasty salad, and soon slow, responsible bites turned into shoveling. When two bites happened in the same 10 second window, the fork vibrated -- a somewhat unsettling feeling especially if it's near your teeth.

I'd slow down for a while, mostly out of embarrassment, but eventually I'd forget and the fork would buzz me again. It happened about five times during the length of the meal -- a fairly typical count for newbies, according to Boutain.

HapiLabs subscribes to the theory that it takes 21 days to create a habit. If you use the fork consistently for 21 days, it should retrain you to automatically eat slower at all times. One meal wasn't enough time to cure me of my snarfing ways, but I was more aware of how fast I ate for the rest of the day.

Origin of the smart fork

The fork was invented seven years ago by Jacques Lepine, who compares the retraining to techniques used by habitual nail biters to cut down on their nibbling. Such as coating nails with bitter-tasting polish, for example.

Last year Lepine connected with 5-year-old health and fitness content company HapiLabs, which is based in Paris and Hong Kong. The two joined forces just in time to take the first prototypes to CES in Las Vegas, where it was an instant hit.

HapiLabs has 120 employees, only 10 to 15 of whom are currently working on the HapiFork project. But that ratio could change soon if the fork takes off.

When can you get one?

On Wednesday, the HapiFork team launched a 45-day Kickstarter campaign to raise $100,000 and sign up the first 1,000 users. Those early adopters will be the company's first chance to collect a large amount of data and test how effective the fork's vibration is at changing eaters' behavior. HapiLabs plans to start shipping the first forks to early Kickstarter donors at the end of the summer, and roll the devices out to everyone by the end of the year.

"We want to cater to a community of people who like to eat mindfully," said Boutain.

Data, data everywhere

Since it has started collecting data from test users, HapiLabs has found that people take about 70 fork bites per meal. They start eating fast but slow down after six minutes, and in an interesting bit of carb trivia, they tend to eat rice much faster than pasta (possibly due to the labor-intensive twirling process).

This is just a sliver of the kind of insight the fork could give the company and medical researchers into how people eat. That potential is what makes the fork more than just a silly and fun novelty gadget. It represents an evolution in tracking technology.

In the coming years sensors will pop up in more and more household objects tracking things like air quality, movement, vital signs and other stats. This potential flood of sensors could lead to a mess of data, with each piece of information tracked in its own app. Fitness trackers like the Nike Fuel Band and the Fitbit are already hugely popular. A new company, Estonian startup Jomi Interactive, recently announced it is working on tracking devices that fit onto water bottles and monitor how much water you drink.

Ideally all the sensor companies will work together so that different data can be shared across apps and devices, allowing it to be analyzed for even more insightful conclusions. (Do you eat less on days you get more than 8 hours sleep? Does the air quality in your home effect your mood?)

@highlight

The HapiFork tracks how quickly you eat, vibrating if your bites are less than 10 seconds apart

@highlight

The company behind the smart fork has launched a Kickstarter campaign to raise $100,000

@highlight

Fork is one of many household objects that will likely get sensors in coming years