Athens, Greece (CNN) -- Imagine abandoning your own children because you can't afford to feed and clothe them. It's a parent's nightmare that in Greece, mired in economic crisis, is increasingly becoming reality.

Kassiani Papadopoulou, 34, from Athens, is a single mother, unemployed and unable to care for her three young children.

Because of the poor economic climate in Greece, she felt she had no choice but to leave them in a care home, which she tries to visit every few weeks.

"It's really difficult, really tragic for a true mother to leave her children," she told CNN.

"But when you understand they are not at fault and deserve a future, it's better to make a move like this, than have them beside you without even a plate of food."

After years of recession, and biting austerity measures, including job cuts and tax rises, Greece is in financial despair.

The Hellenic Statistical Authority, which compiles data for the state, said the unemployment rate in the first quarter of the year was 22.6%. It also said 27.7% of the Greek population is on the verge of poverty or facing the danger of poverty. The numbers don't include groups like Roma, who are Gypsies, illegal immigrants, the homeless and institutionalized people.

The country's heavily indebted economy is dependent on bailout funds from the European Union, European Central Bank and the International Monetary Fund.

What will Greek elections mean for the country's future?

But that troika is demanding deeper cuts to social spending, creating what social workers are calling a wave of "economic orphans," abandoned not through lack of love, but money.

"I think this is the first time I've seen so many poor families asking for help for their own children," says Stelios Sifnios, director of SOS Children's Villages, a European charity providing support for struggling Greek families, including orphanages.

The authority lacks a count for economic orphans, but one of its statistics signals potential problems for families. It says 22.9% of all types of families with children under the age of 18 are on the verge of or face the danger of poverty.

"Before the economic crisis, the majority of our kids came from problem families, with parents who were drug addicts or alcoholics. Now most new arrivals are from families who can't afford them," he adds.

Kassiani says she wants to take her children home, but can't afford it.

"I feel powerless for being unable to stand on my own two feet," she says, blaming successive Greek governments for her predicament.

"For me, its all those who govern. They've all looked out for themselves instead of the people and the poor like us, who should be the responsibility of the State."

But in Greece, the state can barely afford to care.

The future of Europe: 3 scenarios

@highlight

Greece is mired in economic crisis -- and country's youngest residents are not immune

@highlight

Parents, struggling to deal with the financial situation, forced to place children in care

@highlight

Mother: "It's better to do this, than have them beside you without even a plate of food"