(CNN) -- As thousands of aviation geeks, (oops, sorry, "enthusiasts"), hang out at this week's giant AirVenture airshow in Oshkosh, Wisconsin, the folks at Disney brought a gift: a sneak preview Friday night of the movie "Planes."

This is Hollywood's answer to the wildly successful animated film "Cars." "Planes" aims to celebrate the same passion for travel across skyways that "Cars" did for highways.

Obviously, it's a safe bet many avgeeks will like it -- it's about planes! But are they gonna respect it?

Although aviation enthusiasts tend to appreciate authenticity, attention to detail and accuracy, let's remind ourselves that this is a fantasy movie about planes that talk. With that in mind, when it comes to the aircraft, does the movie bear any resemblance to reality?

Well, yes, according to Sean Bautista, a veteran pilot who consulted on the film.

Bautista, who has flown planes ranging from small Cessnas to fighter jets to Boeing 747 airliners, spoke with CNN from his home in California's central San Joaquin Valley about his work on "Planes," and he pulled back the curtain to reveal a few behind-the-scenes details.

CNN: What does this film offer adult aviation enthusiasts? What can they look forward to?

Sean Bautista: At a screening for aviation enthusiasts I went to, the general comments were that, in the air, it was probably the most accurate aviation movie they've seen. That includes animated and non-animated movies. But as you watch the movie after a while, I forgot they were airplanes. You get so into the story.

Of course, it's not completely realistic. One thing they did with the movie that's really unique: On the ground, the airplanes are characters. ...

But in the air, with John Lasseter executive producing and Klay Hall directing -- they really pushed for accuracy. These have to be airplanes. They have to fly like airplanes. They have to move like airplanes. We can't have them go faster than they would in real life compared to other airplanes. So they really did a good job of holding true to the aviation world. They really did go to great pains -- even down to the dialogue, the radio transmissions and everything -- to keep it as accurate as they could.

CNN: Spill the beans: What inaccuracies did you notice? And what did the filmmakers change because of your comments?

Bautista: Early on (in the production), I was spending hours watching reels. I would have page after page of comments. I looked at everything, from toys to artwork to script to story to dialogue, everything.

I would (point out things that were inaccurate), and it would start affecting the story. And when that happens, everybody including Klay Hall and the writers gets involved in it.

For example, Dusty is a crop duster who dreams about being a racer. The problem is: A crop duster is slow by design. So Dusty is physically limited, and he's going to be racing against planes that can go four times his speed. So how do you get around that? It was challenging. I'd say, 'Well, first you've got to get rid of the spray boom on the bottom (of the plane).' There's so much drag from that. In the movie, they treated that almost like a vasectomy. He doesn't want to lose valuable body parts. And I thought that was a pretty hilarious way that they did it. He needed to reduce drag, increase power -- and I don't want to give away too much -- but there was a lot they had to work around.

At one point (the filmmakers said), 'OK, (Dusty's) racing an airliner ... to train himself.' And I'm like, 'That particular airliner he will never, ever, ever be able to catch. You need to change that airliner to a commuter turbo prop pulling in the opposite direction so it's eating headwinds ...

Mostly, my inputs came in the military flying and the airliner stuff. And then looking at controls and things. I remember there's a scene where a big race starts, and they're starting their engines, and I had them freeze it, and I watched it back again. I told them that Chu -- one of the main characters -- his propeller is turning backwards. They said, "What do you mean it's turning backwards?" I said, "Well, either his engine is rotating in the wrong direction, or his propeller -- the way it's built on him right now, he will go backwards."

And then they had me look, start looking at all the airplanes. And sure enough, I said "that one would spin circles, because one engine was spinning backwards; one was spinning forwards." Things like that. They didn't know or understand the relationship between rotation direction and pitch of the propeller.

So there are things in the story that were driven by input that I made, where things like that got changed. As an aviation geek, you're going to find very little wrong with this movie.

CNN: What actual aircraft are represented in this movie? Or are these characters just amalgamations of planes that might look familiar to us but are not actual aircraft that we might see in real life?

Bautista: Some of them are amalgamations. Dusty is an amalgamation of three different types of crop dusters. Some of them are very close to the real thing. Skipper is an F4U Corsair. There are P-51 Mustangs in the movie.

But a lot of the planes, especially the more modern airplanes like airliners and things like that, are what I call "esque." They're very 747-esque. Or Airbus A380-esque. The Navy airplanes are very F-18-esque, but they're not F-18s.

They're close enough that any aviation enthusiast would recognize them right away. But I think for proprietary reasons, the characters had to be somewhat different.

CNN: Do any of the movie characters in "Planes" remind you of yourself?

Bautista: There are a few characters who have some of my call signs from the military days. Sparky and Dusty are some of my old fighter pilot call signs. But I kind of relate to all the characters. I really like Skipper because he's an old warrior -- an old fighter plane guy from World War ll. He carries a lot in the soul of his character and in his voice.

I can relate to that because of some of the unseen, unknown events in his life in the past that affect who he is. Why is he quiet? Why is he kind of a shut-in? I can relate to Dusty and his energy and wanting to go beyond his limitations. I love the fighter characters Bravo and Echo that intercept Dusty. The military sequence was the most fun to work on.

CNN: Tell us about your aviation background. Apparently, the filmmakers found someone who knows how to fly a lot of different kinds of aircraft.

Bautista: I'm 55. My dad flew bombers in England and France during World War II and finished his career in Strategic Air Command.

My brothers and I were all fascinated by airplanes; we grew up near a military base. My younger brother and I both had our pilot's licenses by the time we turned 17, which was the youngest age to get your pilot's license.

I flew anything I could get my hands on. In college, I started flying commercially, hauling boxes for FedEx back when nobody knew who they were. I flew old radial engines, twin-engine aircraft called Beech 18 taildraggers.

I ended up flying every single-engine Cessna, Piper and Beechcraft built and most of the light twins that they built, like the Cessna 310, 320, 340, 414, Beechcraft Barons, Piper Navajos.

Then I wanted to know if I had what it took to be a fighter pilot. I was fortunate enough to get Air Force pilot training through the Air National Guard. I flew F-4 Phantoms and F-16s before retiring as a major.

Then I chased another dream: to fly airliners. I ended up flying 737s, 727s, DC-10s and 747s for United. So I have a background in general aviation and then military fighters for 15 years and then commercial for the past 27 years.

My son just got picked by the Air National Guard to fly F-15s, so the aviation legacy is continuing into the third generation.

@highlight

A pilot/film consultant offers an aviation enthusiast's view of the new Disney film "Planes"

@highlight

Sean Bautista advised animators to make changes that made planes fly more realistically

@highlight

He suggested an idea for the movie's hero, Dusty, that was "almost like a vasectomy"

@highlight

Executive producer John Lasseter and director Klay Hall "really pushed for accuracy"