(CNN) -- A deadly bacterial outbreak that has killed at least 23 people in Europe is limited to an area around the German city of Hamburg and does not require Europe-wide controls, a top European Union official said Tuesday.

"There is no reason as of today to take ... measures at (the) European level," EU Health Commissioner John Dalli said, adding, "We consider any ban on any product as disproportionate."

A new death in Germany due to the E. coli outbreak was announced Tuesday, bringing the total there to 22. The other death, in Sweden, was of a person who had visited Germany.

Top European farming officials met Tuesday in Luxembourg, where EU Agriculture Commissioner Dacian Ciolos proposed a 150 million euro ($220 million) compensation plan for farmers affected by the panic. But he said that offer may have to be increased in the face of complaints that it's not enough.

Farmers are demanding compensation for losses due to being wrongly blamed for causing the outbreak. Spain alone seeks about $600 million in lost farm exports of cucumbers, tomatoes and other produce from the past few weeks, and farmers in Belgium, France, Holland and even Germany say they have millions of dollars in losses, too.

Ciolos said the EU Commission may come back with an "improved offer" as early as Wednesday, and hopes to have a decision within days. But he said paying 100 percent of claims -- as some countries demanded at the meeting -- would not be possible given the EU budget restraints.

"The commission is assuming its responsibility within the limits of our regulation and of our budget," Ciolos said.

The cause of the outbreak remains unclear, as new test results Tuesday proved negative.

There was no trace of E. coli in a pack of bean sprouts in a household in Hamburg, where a man had become infected, health authorities there told CNN.

The sprouts came from the farm which officials believe could be the source of the outbreak. But initial tests showed no sign of E. coli there, agriculture officials in the German state of Lower Saxony said Monday.

But authorities said that does not mean their suspicions are not correct; they would not expect to find evidence of E. coli if the tainted sprouts were no longer in the supply chain.

Test results are back for 20 of the 40 samples, Lower Saxony officials said Monday. It was not clear when the rest of the test results would be available.

On Sunday, officials said German-grown sprouts are the likely source for the E. coli outbreak.

"There is a direct link between this company and these people getting sick," said Gert Lindemann, the agricultural minister in Lower Saxony.

It was not clear how the rare strain may have gotten into the sprouts, officials said. E. coli has not been found in the company, Gaertnerhof, which has halted production and is recalling its products.

Gaertnerhof, in the town of Bienenbuettel, said in a statement it was "shocked and worried. ... that part of our production has been linked to E. coli infections" and had never had a problem in its 25 years of growing sprouts. It said it had found no evidence of E. coli during routine testing in January or during tests last month in response to the health scare.

But a leading German microbiologist said Monday that sprouts were a "plausible" source of the infection.

Sprouts can harbor bacteria, which can spread during the growing process, said Alexander Kekule of the University of Halle-Wittenberg.

"Either it was inside the seed, which I do not think is the case, or the bacteria was inside the water," Kekule said on Germany's NDR radio. He is not working directly on the case.

Sprouts are bred in drums that are heated to slightly warmer than body temperature -- ideal conditions for the growth not only of sprouts, but of bacteria, the agriculture ministry of Lower Saxony said.

Authorities say the sprouts may have become tainted so long ago that trace-back tests may never identify the company as the source. But several restaurants and cafeterias linked to the outbreak got sprouts from the company, officials said.

And two workers at the agricultural company have come down with severe cases of diarrhea; in at least one of those cases, E. coli was the cause, Lindemann said.

Bienenbuettel is in the district of Uelzen in north-central Germany.

Last week, Spain rejected suggestions that its cucumbers could have been the source after the European Food Safety Alert Network said E. coli bacteria were found in organic cucumbers originating from Spain, packaged in Germany and distributed to various countries.

Authorities initially called for the cucumbers to be pulled from sale. But Germany later said Spanish produce was not the source of the infection -- leading to the claims for compensation.

Ciolos said that some farmers who belong to producer organizations might also find additional compensation there, and that some of those funds are also backed by the Commission. The Commission will need to document how the compensation money is paid out, he said.

A growers' cooperative representative in southern Spain said earlier Tuesday that farmers around the town of El Ejido, a major year-round producer of fresh produce under expansive greenhouses, are busy filling out claims forms already.

The outbreak of the virulent strain of E. coli has infected more than 2,400 people in at least 13 countries, European health authorities said Monday. The vast majority are in Germany, where doctors have found 630 cases of hemolytic uremic syndrome (HUS) -- a form of kidney failure -- in the current outbreak, according to the European Centre for Disease Prevention and Control. That's more cases of HUS than in any other recorded outbreak worldwide.

Fifteen patients in Germany have died of HUS, according to the center, while six died of enterohemorrhagic E. coli, a strain that can result in abdominal cramps and bloody diarrhea and causes intestinal hemorrhaging.

The center said 1,601 people have that E. coli strain but do not have HUS.

Infections have also been identified in Austria, Czech Republic, Denmark, Finland, France, Netherlands, Norway, Poland, Spain, Switzerland and the United Kingdom, according to the organization.

CNN's Frederik Pleitgen, Al Goodman, Carol Jordan, Anisha Bhandari and Per Nyberg contributed to this report.

@highlight

The EU agriculture commissioner proposes a 150 million euro compensation fund

@highlight

There is no need for Europe-wide bans on products, the EU health commissioner says

@highlight

Authorities find no trace of a deadly bacteria at a suspect farm, but more results are du