Washington (CNN) -- The top Republican on the House Oversight Committee is moving to hold Attorney General Eric Holder in contempt of Congress for failing to cooperate in the panel's investigation of the controversial "Operation Fast and Furious" weapons sting.

Rep. Darrell Issa, R-California, sent a 17-page memo and a draft contempt resolution to members of his committee Thursday, outlining what he argued was Justice Department's "refusal" to comply with the panel's probe to get information about the sting. The program, run by the Bureau of Alcohol, Tobacco, Firearms and Explosives, allowed weapons to be purchased illegally in order to track them to senior drug cartel members, but agents lost track of hundreds of weapons in the process.

Issa indicated the committee may vote on the measure in an upcoming session, setting up a major confrontation between the Republican-led House and the Obama administration.

The Justice Department firmly rejected the committee's publicly released document. In a letter to Issa, Deputy Attorney General James Cole wrote that the department hopes to find a "mutually acceptable resolution" to demands for documents, but Issa's resolution "appears to express a preference for confrontation over resolution."

"Viewed fairly, the disagreements between the Committee and the Department over the scope of the document to be produced stem not from a lack of cooperation, but from our sincere and unwavering believe that disclosure of materials related to ongoing criminal investigations and prosecutions could well jeopardize our core law enforcement mission, which must remain free from political pressure or even the appearance of political pressure," he wrote. "This is not a novel concept.

Cole told Issa the department has handed over 7,600 pages of material related to the botched probe, and Holder has testified about the issue seven times. But he said the committee needs to better define the types of documents it wants Justice to hand over.

When word leaked last week that Issa was working on such a resolution, the committee's top Democrat, Rep. Elijah Cummings, D-Maryland, sent the chairman a letter accusing him of pressing the issue for political purposes.

"Holding someone in contempt of Congress is one of the most serious and formal actions our committee can take, and it should not be used as a political tool to generate press as part of an election-year witch hunt against the Obama administration," Cummings wrote.

But in a Thursday interview on Fox News, Issa said, "We're running out of patience." He accused the Justice Department of a "coverup," but indicated he was still giving the department a chance to hand over the materials.

"If they don't, then I have the support of leadership to do what we have to do," Issa said.

If the Oversight Committee approves a contempt resolution, the measure could then go to the House floor for a full vote. But CNN has been told that Issa has no firm plans yet to hold a committee vote, hoping instead that the threat will pressure Holder to provide the documents the Republicans want.

"While there are very legitimate arguments to be made in favor of such an action, no final decision has been made about moving forward yet by GOP leaders," a senior House GOP leadership aide said when asked about the timing of a potential vote in the House on the matter.

Last week, House Speaker John Boehner deflected questions on any vote, deferring to Issa's investigation.

"I continue to support their efforts and believe that this Justice Department must be held accountable," Boehner said.

In an effort to paint Issa's efforts as politically motivated, a Democratic government source noted that Issa and other GOP lawmakers protested when the House voted to hold Bush administration officials in contempt in 2008.

But an Issa aide said the two issues are completely different: The 2008 dispute involved officials who worked in the White House and claimed executive privilege, the aide said, while Issa is seeking information from an agency over which Congress has oversight.

The committee memo accuses the Justice Department of "reckless conduct" and notes that it has pressed the department for answers for more than a year about the operation and how it related to the death of Border Control Agent Brian Terry in 2010.

Terry was shot near the Arizona border by an illegal immigrant. Two AK-47s recovered at the scene were traced back to a database of weapons bought by a straw purchaser and then smuggled into Mexico in an operation that resulted in the loss of hundreds of weapons.

After Terry's death, the Justice Department initially denied allegations in a letter to Congress that it was illegally allowing the flow of weapons to members of Mexican drug rings. But it acknowledged the program about a year later, calling it "fundamentally flawed." Holder has since vowed that guns will not be allowed to "walk" from gun shops near the border with Mexico.

In February, Holder told Congress the Justice Department was still doing its internal inquiry, but stated that officials could be fired for improper conduct.

"I can assure you those people will be removed from federal service," he vowed.

Issa's memo notes that while the Justice Department has provided some materials to Capitol Hill, most of the information about "Fast and Furious" came though whistle-blowers and media reports. The Oversight Committee approved a subpoena sent to Holder in October 2011 with 22 categories of documents it wanted to see, but the committee says it has only received materials relating to 12 of those categories.

"For over a year, the department has issued false denials, given answers intended to misdirect investigators, sought to intimidate witnesses, unlawfully withheld subpoenaed documents, and waited to be confronted with indisputable evidence before acknowledging uncomfortable facts," the memo states.

Cole said Justice has provided more documents to its Inspector General's office, which is conducting its own investigation of "Fast and Furious." And cited internal legal opinions dating back to the Reagan administration to argue against disclosing some documents to Congress.

Specifically, the committee is pressing for documents that shed light on why the Justice Department first denied and then acknowledged the program. It also wants more information on which senior Justice Department officials knew about the operation and who approved it, as well as why the various law enforcement agencies allegedly failed to communicate with each other about the operation.

Issa's committee has been holding a joint investigation with the top Republican on the Senate Judiciary Committee, Sen. Chuck Grassley, R-Iowa. Grassley said he supported Issa's move to press for a contempt resolution, and urged the Justice Department to "come clean."

"The attorney general and the Justice Department are thumbing their nose at the constitutional authority provided to the legislative branch to conduct oversight," Grassley said in a written statement.

The controversy over the operation has prompted some GOP members on the Hill to call for Holder's resignation, and more than 100 House Republicans signed onto a resolution of "no confidence" against the attorney general -- a largely symbolic gesture that is less serious than a contempt resolution.

@highlight

NEW: Justice says it has cooperated extensively with "Fast and Furious" probe

@highlight

Issa's committee may vote on a contempt of Congress resolution

@highlight

The ATF operation allowed weapons to be purchased illegally

@highlight

The aim was to track the arms to senior drug cartel measures