Kathmandu, Nepal (CNN)The clamor and chaos of the previous day has dissipated by the time we arrive at Kathmandu's only airport. The mad rush of 24 hours previously, in those first confusing, cacophonous hours following the 7.8-magnitude earthquake near the Nepali capital, had died down. Now, families sit, camped out, silent and patiently waiting, but for now abandoned.

At the airport, at passport control, we meet a Nepalese man, who is unable to contact his family. They live in a village 20 km from the epicenter. He also has two cousins on Everest, he says. He has no way to reach any of them.

Follow the latest coverage of Nepal earthquake

Stepping out of the terminal building, the devastation is apparent. It is an overwhelming introduction to this city that, less than 48 hours ago, was hit by the worst earthquake this country has experienced in 80 years.

The death toll has skipped past 3,000 and climbs, inexorably. Taking into account the fact that many rural areas, just as badly affected but isolated and vulnerable, have yet to be evaluated, the human cost is staggering.

Across town the bus station is a hive of activity as scores try urgently to leave the city, to make it out to the outlying areas so badly affected by this quake. Communications are down and so many here are desperate to make it out to their stricken families, and discover their fate.

The scene is repeated at every gas station; snaking lines of Indian-made Tata cars, and motorcycles, waiting to fill up. People are clambering aboard buses, into cars, trying to get as far away from this devastation as possible.

Remaining inside Kathmandu, neighbors stare forlornly at their former homes, now collapsed piles of rubble. We visit a Montessori school, mercifully empty as the children had the Saturday off. A seven-story building behind it, however, was home to a small church, and housed a congregation of between 40 and 50 when tragedy occurred.

The pastor's son Nakul Tamang clambers up a ladder, looking for an entrance into the ruined facade, looking to retrieve his father, not knowing if he will find him alive or dead. Rescue teams stop him before he reaches the top. The building is not secure, but Tamang doesn't care. "It's sad, it's hard," he says. Six bodies had already been pulled from the concrete and steel wreckage.

A nearby five-story structure has collapsed in on itself. It was pink, with wrought balconies. Now it is pancaked, reduced to a third of its height and a mess of rubble and reinforced steel. One woman has been pulled out of the wreckage, and rescuers continue to work in a precarious hollow scooped out from the fallen bricks. Officials tell the onlookers that there is a chance that survivors may have been protected in a corridor as the building came down around them.

A day after the earthquake struck, they found a woman under the rubble. Unhurt; in shock, but alive. It is this hope that keeps Narayan Gurung going: the belief that his wife and 7-year-old are still alive. "I raced here after the earthquake. I haven't slept for days," he says. Workers dig painstakingly, slowly removing piles of stone and debris. They spot someone's hair, but can't yet reach the body or tell if it's male or female.

Wherever there is rubble in this city, there is a police or military presence. They are not necessarily commanding the digs but they keep onlookers from getting too close, or directing traffic as best they can. For their part, the onlookers look shell shocked -- there is little outpouring of grief, no sobbing or wailing, but rather a solemn, dazed, collective sense of disbelief.

Tundikhel Park was, just two days ago, a vast, open green oasis in the city, but is now a mess of tents. Some have made their own, the army is setting up others. Metal bleacher-style seating has been set up, with dozens of people sitting, waiting, makeshift blue tarp tents pitched underneath. People bring in fresh fruit, and there are water sellers -- although clean bottled water is becoming hard to to find. People queue endlessly for food and water.

There is a mobile government field hospital here, and those treated wait listlessly outside, a collection of crushed hands, broken legs, strapped ankles. One little boy was hit by a falling brick. "I felt something like a fire, and I ran, and then something hurt me a lot." he says. "I am still scared."

And so is everybody else: those who survived clinging to those they love.

Arwa Damon and Gul Tuysuz reported from Nepal, while Euan McKirdy wrote from Hong Kong.

@highlight

Tremors subside finally in Kathmandu, but after-effects of Saturday's staggering tragedy will be felt for years

@highlight

Arwa Damon and Gul Tuysuz take tour of devastated city as locals struggle to cope

@highlight

Workers dig painstakingly, slowly removing piles of stone and debris