London, UK (CNN) -- Alina Cojocaru had been one of the Royal Ballet's biggest draws for half a decade by the time her career crashed to a halt.

The minute Prima Ballerina -- praised as "a dancer of seeming fragility, delicacy and radiance" by The New York Times -- was rehearsing in 2008, when she was flipped by her partner, skewed awkwardly and slammed to earth.

She suffered severe whiplash and a prolapsed disc in her spine and was forced to rest for over a year. At 25, doctors told her she would need surgery, and would never dance at the highest level again.

The battle

Behind ballet's graceful pirouettes are grueling feats of training and endurance that push dancer's bodies to their extremes.

Rest is a rare luxury. Some dancers perform 200 to 250 days a year, leaving just over 100 days to train and recover. Rehearsals can require 10 hours a day on the floor.

It is hardly surprising that critics often refer to dancers -- especially the hard-worked young apprentices in the corps -- as the "foot soldiers" of ballet.

Four out of five will suffer a severe injury during the course of their dancing career -- and two out of those four will never fully recover.

Injuries, more often than not, are the result of fatigue and repeated strain on muscles and joints, rather than unpredictable accidents. Even in cases like Cojocaru's, fatigue can be the root of the disaster -- as one exhausted dancer's lapse in concentration often translates into another dancer's injury.

Physiotherapy for recovering dancers is well entrenched -- and organizations such as the National Institute of Dance Medicine and Science and the International Association for Dance Medicine and Science have done a lot to advance knowledge of health issues among the big ballet companies and schools that feed them. But, beyond that, dancers benefit from few of the scientific breakthroughs that have so improved the safety record of their athletic counterparts on the sports field.

Ballet science

Patrick Rump is the 33-year-old former karate champion fighting to change all that.

Rump -- a broad-chested, broadly smiling German -- is the subject of "Dance, Sports Science and Patrick Rump," a new short documentary produced by Lady Bernstein and directed by Nigel Wattis.

First screened at the Prix de Lausanne ballet competition in February, in the film Rump buzzes with enthusiasm as he documents his work rehabilitating leading dancers -- including world-famous principals Mathias Heymann and Federico Bonelli, and the English National Ballet's artistic director Tamara Rojo -- and his light-handed attempts to start a revolution in dance health.

The Rump approach is to consider the whole picture -- compiling data to track everything: from what the dancer eats and how much weight they can lift, to the angle of their leg as they glide through the air.

"It's actually sports sciences," he says, emphasizing the plural.

"It's, for example: biomechanics, which is kind of like physics for the body. It's anatomy, physiology. It's about training science, movement and exercise science, psychology, nutrition..." he goes on.

In practice, this means watching each dancer intimately and building a computer profile of their performance based on multitude of different measures.

A dancer might be videoed as he or she prepares to leap -- recorded in slow motion, with two lasers beaming data back to a laptop on height jumped, time taken to get off the ground, and more.

When Rump opens up his laptop screen, grid-squares line up with a young dancer's arrow-straight right leg, and betray a miniature kink in the left. The data readouts show he is jumping 5cm less than he was before injury.

Rump takes this visual micro-analysis and adds dietary guidance, strength and stamina-building weight training, and scheduled recovery periods, all of which he imported from his knowledge of the world of sport. This way, he begins to build a personalized regime capable of restoring dancers from injury, and -- he hopes -- keeping them healthy when they recover.

Resistance

When asked if his methods have face resistance from those in the ballet world, his usual smiling face drops momentarily, and he exhales:

"Yeah, a lot."

He's used to hearing the complaint from ballet company directors that (he recalls) "they are sports and we are art, and it doesn't go together."

Ballet instructors are often reluctant to see their dancers head into the weight room fearing that they will develop bulging muscles and lose the characteristically spindly look, traditionally considered ideal.

And it has been harder still to break the ingrained code of silence that exists among dancers -- where fierce competition ensures they often conceal injury or weakness for fear of missing out on the best roles.

"At first, they thought we were the enemy!" says Rump with a chuckle.

"This part where we said: 'Let's have regular tests, where we can clearly see: okay, is there something wrong? Is there weakness? Is there an imbalance between left and right, for example?'

"That scared them a lot...," he says, adding that many feared he would feed information back to directors about dancers' hidden frailties.

"You ask them about nutrition -- and in ballet there are problems with eating disorders -- and people get very scared and say 'I don't want to tell you about that.'

"They are not used to that process, because for years it has been [kept] very, very quiet. "

Results

When Rump was recruited to work with Alina Cojocaru, he set about providing a speedy response to critics' fears.

Knowing nothing about the dancer, he searched YouTube for videos:

"Just on what I saw on the video, I asked her a few questions and asked her 'Could it be that there's an underlying problem here and there," he says, pointing to two spots.

"Nobody I ever told that, [nobody] knew!" she said. "I've had that for quite a while and I tried to cover it."

Guided by Rump, Cojocaru recovered from surgery and addressed the underlying issues -- defying doctors' predictions and returning to the stage within six months. Of her comeback performance, the New York Times wrote: "Ms. Cojocaru's "Giselle" was one of the great dance renditions of our time..."

By this point, many of the big companies were won over -- with the Forsythe Company, Royal Ballet, English National Ballet, and others leading the way.

Rump now plans to spread his approach from ballet companies, to dance schools and beyond by compiling GJUUM -- a diverse team of sports scientists who will offer his all-round approach.

As Cojocaru testifies, it will be a move welcomed by dancers:

"To be on stage and not feel pain... it's a wonderful, wonderful miracle," she says.

"The enjoyment of dancers is going to be so much higher -- and the competition for me will be so much bigger!"

@highlight

Ballet dancers fight through pain to perfect their art, and are often seriously injured

@highlight

Patrick Rump is taking revolutionary training techniques from sport to the ballet stage

@highlight

Rump works with dancers at the Royal Ballet, the Forsythe Company, and others

@highlight

But can he break ballet's notorious "code of silence"?