(CNN) -- Newt Gingrich quit the presidential race on Wednesday. Long after he exhausted the patience of the voters, he finally concluded that the mathematical probability of winning the Republican nomination was next to nil. Why spend money and raise false hopes if you can't win? Best to get out now and join the veepstakes.

That's the kind of logic that an ordinary, candidate-focused campaign employs. Ron Paul, on the other hand, refuses to drop out. Commanding a plurality of delegates in only one state, and having taken just 10.61 percent nationally so far, it could be argued that the 76-year-old libertarian has even less reason to carry on than Gingrich -- except perhaps to collect the air miles.

However, unlike Gingrich, Paul's campaign represents a message that is bigger and perhaps more popular than the candidate himself. As it continues to collect small numbers of delegates and capture control of local GOPs, Paulism is proving itself to be in rude health. Long after Mitt Romney is nominated, feted at the convention, beaten by Obama and recycled as a question on Jeopardy ("In 2012, he lost every state but Utah." "Who is ... Britt Gormley?"), Paul's philosophy will still be a factor in national politics -- something to be feared and courted in equal measure.

Team Paul has certainly made some big errors this year, such as exclusively focusing on Iowa and New Hampshire. Although he did well in both, only a first in either would have really justified the expense. Thereafter, the campaign unwisely ignored South Carolina and Florida, reasoning that their expensive media markets weren't worth the effort. As a consequence, Paul was ignored for weeks until Nevada. I am informed by Paul sources that their campaign was counting on Newt Gingrich and Rick Santorum to drop out after they realized they couldn't win, which would have allowed Ron Paul to emerge as the only conservative challenger to Romney.

Of course, that's not what happened.

Strategy aside, the candidate had his faults, too. I have to declare a great deal of affection for Paul. Unlike other politicians, he seems motivated by ideas -- and he communicates his passion with the zeal of a nutty professor detailing the thrilling possibilities of quasars and black holes. This is a doctor who refused to accept Medicare payments but lowered his prices for patients who couldn't afford him, who declined a government pension and never voted for a tax increase, who told Republicans they need to end the War on Drugs (and most other wars, too). He's pure.

But Paul has also been around a long time and is starting to look like a perennial candidate. His emphasis upon a noninterventionist foreign policy might be what attracted so many activists and donations, but it has also contributed to the sense that he is a marginal candidate. There simply aren't enough anti-war conservatives within the Republican Party to justify the energy that Paul generates around the issue, while the GOP brand is too toxic to attract enough crossover anti-war liberals into the primaries to turn him into a contender. Ann Coulter's remark that "I love Ron Paul on everything but Iraq," is a good summary of his problem: While Paul's platform is attractive to many conservatives, he remains solely identified by his opposition to the war on terror.

Nevertheless, Paul's 2012 candidacy has had certain hidden successes. Aside from all the money he raised, Ron Paul also attracted an unusual coalition of young people, libertarian Republicans, and disaffected Democrats -- a coalition large enough for him to run even with Obama in some polls. The pull among the kids was big enough to fuel talk of a new generational voting bloc. In Iowa, he took 48% of the under-30s, compared with Santorum's 23% and Romney's 14%. In New Hampshire, he got 47%, while Romney took just 26%.

There was a problem, however. In Virginia (the only state that was a straightforward Paul vs Romney vote), Paul's vote was overwhelmingly young but not orthodox Republican in its views. His supporters were more inclined to be pro-choice on abortion, nonevangelical, and opposed to the tea party. Given that Paul is pro-life, religious, and wildly supportive of the tea party, this confirms the growing tension between the man and his movement. In the future, a Paulite candidate might do better by running third party on a more socially tolerant platform. Young people seem to like their libertarianism to be socially tolerant as well as fiscally prudent.

Within the GOP, the Paulites are still the unbeaten masters of the administrative procedure. Last Saturday, they swept a confusing ballot process in Louisiana to give themselves control of 70% of delegates attending the state's nominating convention, which could mean they end up numerically "winning" Louisiana. Similar things have happened in Minnesota and even Romney's home state of Massachusetts.

Combine this administrative brilliance with generational politics and you get a silent grass-roots revolution that is putting many Paulites in positions of power. In 2010, more than a dozen of them won elections as Republicans, including Rep. Justin Amash of Michigan and Sen. Rand Paul (son of Ron) of Kentucky. This year, two dozen active Paul backers are seeking election to Congress, along with more than 200 running for local office. The Paulites have effectively taken over the Iowa GOP. The state central committee now has six members who are passionate for Paul, and the head of the local party is now a Paulite. Given the importance of Iowa to the 2016 nomination, this is a coup in every sense.

All of this means the GOP can no longer ignore its libertarian "fringe." On the contrary, it will have to reach out to a new generation of activists who don't regard religious piety or continual warfare as sacred tenets of conservatism. Even Romney will have to take Sarah Palin's advice not to "marginalize" the Paulites if he is to emerge from the nominating convention with a united party.

Whatever happens in 2012, we are living through a significant moment in the history of conservatism. The age of Bush and Obama -- twin specters of lavish spending and imperial design -- have birthed anti-government movements of right (tea party) and left (Occupy). The one that will last longest and have the most impact is the one that has been the most pragmatic and politically savvy. The Ron Paul revolution won't stop here.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Timothy Stanley says Ron Paul has gained influence, if not a nomination

@highlight

Paul's brand of libertarian Republicanism deserves GOP notice, he says

@highlight

Paul represents a message that is bigger than the candidate, Stanley says