(CNN) -- Conventional wisdom tells us that natural remedies are simply gentler alternatives to prescription drugs like Viagra and Cialis, right?

Not so fast, say experts. Not only are many dietary supplements marketed for erectile dysfunction and other male sexual problems ineffective, they may not even be "natural."

In fact, a number of these supplements are adulterated with the very prescription drugs they claim to replace, according to a recent report published in a recent issue of JAMA Internal Medicine.

The editorial by Dr. Pieter Cohen, an assistant professor of medicine at Harvard Medical School, sheds light on this growing concern. Cohen cites several alarming incidents in which over-the-counter sexual enhancement supplements were found to contain other substances.

For example, one study in Singapore found that 77% of so-called natural sex supplements on the market contained undeclared pharmaceutical drugs, often in higher-than-recommended doses.

And in 2012, a supplement called Rock Hard for Men was found to contain both counterfeit Cialis and glyburide, a diabetes drug. A similar combination found in other sex supplements has been tied to the deaths of more than a dozen men in Asia.

Even more disturbing, such supplements may contain analogues, or chemical variants, of prescription drugs like Viagra. Indeed, more than 45 new analogues have been identified in sexual supplements, according to Cohen.

One Dutch study found that about three-quarters of the products sold in the Netherlands contained at least one analogue, while the U.S. Food and Drug Administration recently discovered three analogue drugs (as well as counterfeit Viagra) when it analyzed a product called Mojo Nights. Other tainted supplements include those sold under the names Vicerex, Bullet Proof and Lightning ROD.

Analogues are particularly troublesome, says Cohen, because they have never been tested in humans, so their potential side effects remain a mystery.

We do know, however, the risks associated with prescription medications such as Viagra and Cialis.

These drugs, known as PDE-5 inhibitors, can cause side effects like headaches, nasal congestion and vision problems -- and they can have dangerous interactions with the heart medication nitroglycerine. That doesn't mean PDE-5 inhibitors are unsafe for everyone, but it does mean that they need to be prescribed and monitored by a doctor.

Unfortunately, when you take a sexual enhancement supplement, you have no real way of knowing whether that product is adulterated with PDE-5 inhibitors or other drugs that could have harmful effects when used without supervision.

"It is my hope that by educating men, deaths from sexual enhancement products can be prevented in the United States," Cohen said. He urges men with sexual dysfunction to avoid sexual health supplements altogether.

If you really want to try something natural, Cohen suggests asking your doctor about yohimbine, a prescription medication for erectile dysfunction that's derived from yohimbe, a compound naturally found in the bark of a West African evergreen tree. It's important, however, that you take the prescription version and not the supplement yohimbe, which has been shown to contain varying amounts of the active ingredient.

While it's true that men may seek out natural remedies for sexual dysfunction because they believe they are safer and gentler than their conventional counterparts, it's my experience that some men may be using these supplements as way to avoid discussing sexual issues with their physicians or because they are too embarrassed to fill the prescription at their local pharmacy.

To address such concerns, Pfizer has started selling Viagra online. Although men still need a valid prescription for the drug, they will be able to order the medication on the Internet and have it sent directly to their home.

According to a recent article in the New York Times, a 2011 survey by Pfizer found that 80% of pills sold online as "Viagra" were counterfeit drugs that only contained about 30% to 50% of the active ingredient sildenafil. Worse, some were contaminated with pesticides, paint and printer ink. By selling real Viagra online, Pfizer hopes to guide men to the legitimate drug.

This is one way to help guys feel less embarrassed about sexual dysfunction. I also recommend that men and their partners get comfortable having open, candid conversations about sex. You might feel nervous at first, but learning to communicate honestly with your partner about your sex life can make it easier to discuss sexual health with your doctor -- and it's the most natural approach of all.

@highlight

Men may think natural supplements are gentler alternatives to prescription drugs

@highlight

A recent report found that many supplements are adulterated with those drugs

@highlight

Viagra is now being sold online in an effort to curb counterfeiting