(CNN) -- Violence and drug-trafficking have become such a major threat to Latin America that the presidents of Colombia, Mexico, Guatemala and Panama will sit around a table Friday in Panama to discuss what they can do about it.

Cartridges and weapons seized from gangsters and drug-traffickers at the Military Headquarter in Mexico City.

Their summit comes at a particularly troubled time for these governments, especially Mexico, which tallied a record number of drug-related killings last year. Former U.S. House Speaker Newt Gingrich characterized the battle in Mexico among drug cartels and with government authorities as a "civil war" on a news program this week.

But Mexico is not alone.

Colombia has been fighting drug cartels for decades. Panama has been a center of money-laundering for dug cartels and other organized crime groups for many years. And Guatemala has seen its share of slayings and bloodshed.

"It's a recognition that there is a shared problem and that they can't solve that problem independent of each other," said Robert Pastor, a professor of international relations at American University in Washington who served as a national security adviser to President Jimmy Carter in the 1970s.

Jennifer McCoy, the director of The Americas Program at the Carter Center in Atlanta, says it is "encouraging" that presidents Felipe Calderon of Mexico, Alvaro Uribe of Colombia, Alvaro Colom of Guatemala and Martin Torrijos of Panama not only recognize the problem but want to meet to see what they can do about it.

"The issue of security is vital in these countries and in Latin America," McCoy said.

It's not just a threat for Latin America, a recent report from the U.S. military says. The violence in Mexico and elsewhere south of the border could spill over to the United States, says the report, issued in November by the U.S. Joint Forces Command.

"The growing assault by the drug cartels and their thugs on the Mexican government over the past several years reminds one that an unstable Mexico could represent a homeland security problem of immense proportions to the United States," says the report, "Joint Operating Environment 2008."

That instability could threaten the United States' underbelly along the 2,000-mile border with Mexico.

"Any descent by Mexico into chaos would demand an American response based on the serious implications for homeland security alone," the report says.

Mexican Secretary of Governance Fernando Gomez Mont rejected that notion in an interview with CNN this week, saying it is "inadmissible" that the United States would have to intervene.

Pastor, who was nominated by President Bill Clinton in 1994 to become U.S. ambassador to Panama, believes the United States should be more involved now.

"The United States is a major part of the problem," he said. "The dollars are coming from the United States. The demand is coming from the United States. The arms are coming from the United States."

Pastor pointed out that there are 7,600 gun shops in the United States within 100 miles of the Mexican border.

"We ought to have a clear recognition that that we are part of their problem, and they can't solve it without us," he said.

Panamanian Foreign Minister Samuel Lewis Navarro indicated at a news conference this week that other nations also need to be more involved.

He didn't mention the United States but it was clear whom he was talking about. The summit leaders will ask nations that have high drug consumption to do their part to reduce that demand, the Spanish news agency EFE quoted Lewis as saying.

Mexican President Calderon met with President-elect Barack Obama in Washington this week and security was a prime subject of their discussions.

"Both countries share a long border," said Peter Hakim, president of the Inter-American Dialogue. "They are terribly worried about the violence from organized crime in Mexico and slipover into the U.S."

Hakim met with Calderon at a private dinner hosted by the Mexican president Sunday night.

After his meeting with Obama on Monday, Calderon stressed the level to which the two nations are intertwined when it comes to security.

"The more secure Mexico is, the more secure the United States will be," the Mexican president said, first in Spanish and then in English, to make sure no one missed the point.

Obama is likely receptive to that message, said Michael Shifter, a vice president at the Inter-American Dialogue.

"I think Obama is going to understand that Mexico is very important to the United States," Shifter told CNN last week. "This isn't an issue that he has focused a lot of attention on up until now. But he's going to understand that if Mexico really deteriorates or if the violence spills over into the border states, this is a war that he really has to deal with."

Drug-fueled violence reached record levels in Mexico last year, with around 5,400 slayings, more than double the 2,477 reported in 2007, Attorney General Eduardo Medina Mora said last month.

The situation is so dire in Mexico that the Joint Forces Command report says, "In terms of worst-case scenarios for the Joint Force and indeed the world, two large and important states bear consideration for a rapid and sudden collapse: Pakistan and Mexico."

The report goes on to say that the "Mexican possibility may seem less likely, but the government, its politicians, police, and judicial infrastructure are all under sustained assault and pressure by criminal gangs and drug cartels. How that internal conflict turns out over the next several years will have a major impact on the stability of the Mexican state."

@highlight

Presidents of Colombia, Mexico, Guatemala, Panama to meet Friday in Panama

@highlight

They will discuss ways of countering growing violence and drug-trafficking

@highlight

Drug-fueled violence reached record levels in Mexico last year, with 5,400 slayings

@highlight

Instability caused by crime in Mexico could threaten U.S. which shares a border