SACRAMENTO, California (CNN) -- Debbie Brown used to process medical and dental forms for a living before a debilitating illness forced her into early disability retirement and left her in a simple, no-frills wheelchair -- a rented wheelchair that has cost taxpayers about $1,200.

CNN found a wheelchair similar to Debbie Brown's taxpayer-funded Medicare wheelchair for a fourth of the price.

Brown says the public should be outraged about her wheelchair.

Why? She says she could buy a comparable wheelchair on the Internet for $440 if she had the money. It sounded hard to believe that her rented, $1,200 taxpayer-funded wheelchair could be bought for $440, so CNN decided to check -- and instead found an even better deal.

CNN went to the same company that charges Medicare for Brown's chair, Apria Healthcare, and bought it for $349 -- about a fourth of what taxpayers' have paid for Brown's rented wheelchair.

That's why this slightly built woman, who lives modestly with her husband in Sacramento, California, believes her story and her wheelchair underscore the bigger problem of reforming health care in America.

"Now you multiply that by how many people have a manual wheelchair, especially the baby boomers, it multiplies and multiplies and that money could be spent, even a hundred dollars out of that ... could give someone else the options that they need," Brown said.

Reforming health care is at the top of the agenda in Washington. Everyone seems to agree this nation's health care costs and care availability are out of whack. Fixing it is another problem altogether. The Clintons failed. President Bush tried and got push-back as well. Now President Obama says he will do it because America can't put it off any longer.

But he, too, is finding the way forward is not an easy path.

Terms like "affordability," "single payer," "universal coverage," and an entire lexicon have become part of the health care buzz lingo. It is a complex issue with so many facets, so many lobbyists and so many special interests that one proposal seems to result in a competing proposal or proposals, or competing parties with concerns of their own.

To illustrate how difficult it will be to overhaul America's health care, CNN decided to focus on one item in the nation's health care bill: a basic wheelchair. The wheelchair, in its own small way, CNN discovered, gives a glimpse of the contentious and complex debate swirling around health care reform.

CNN interviewed Brown and her husband, Dennis Brown, at a community center in Sacramento. It is a place the couple visits frequently; it is free, offers programs, books, entertainment and features a park to stroll in.

Debbie Brown sent an e-mail to CNN months ago, outraged over the continuing Medicare payments for a wheelchair that after four years of use is not in the best shape. It squeaks and is hard to navigate. Her ride in it is made more difficult because her husband, retired from the armed services, is also on disability and has trouble getting the wheelchair in and out of the car. On days he is not well, he sometimes has trouble pushing her.

She showed CNN her bills and documented the fact that Medicare is still paying for the wheelchair after all these years. Medicare, with Brown's permission, confirmed the payments.

Brown referred us to the Internet sites where comparable chairs -- and better ones than hers -- are listed for a fraction of the cost Medicare pays over time. The Browns have a limited income and say they cannot afford to buy one.

That's when CNN decided to check Brown's story by buying one directly from Apria, based in Lake Forest, California. CNN paid cash for the chair after calling one of Apria's offices in an Atlanta, Georgia, suburb.

Apria representatives told the CNN buyer that the chair Brown had is no longer made but offered the model that is being rented and sold as the replacement model for the one Brown still uses.

When CNN asked Apria why it rented wheelchairs to the government for $1,200, but sold it to us for $349, the company said it was an "honest, unfortunate mistake."

Lisa M. Getson, Apria executive vice president for government relations, said in a letter that CNN "should have been charged $949, in accordance with Apria's retail price...."

"Since there's no comparable sale option in the Medicare system for such a wheelchair, our employee was confused by the sale request and charged the incorrect amount," Getson said.

But the amount CNN paid is comparable to many other companies' prices on the Web. A quick check found two firms selling the Invacare Tracer SX5 for $289.00 and $249.00, including delivery. The manufacturer's suggested retail price is nearly $300 less than the corrected Apria price.

Apria Healthcare said its costs are higher because of the stringent paperwork required by the government and because it provides 24-hour on-call service. Apria also points out that the cost of the wheelchair over the past four years has been less than 78 cents per day, a bargain because it allows the patient to remain at home.

Wheelchairs are classified as durable medical equipment, along with such items as oxygen tanks and home infusion therapies. Apria is the nation's leading provider of home health care products and services, according to its Web site.

The nation's $1 billion annual durable medical cost is only a fraction of Medicare's $444 billion budget last year, but one government officials believe it is time to rein in. That's where this story of the rented wheelchair gets caught between all the interests involved.

Congress sets the rates Medicare pays and Congress determined that wheelchairs should be billed on a monthly rate for 13 months -- the renter has to pay 20 percent of the costs. After 13 months, a user can opt to own it  -- if the user knows about the rule.

Brown, who worked in claims processing for years, said no one ever told her the wheelchair that barely works for her now is hers if she wants it. Instead, now that her rental term has ended, she gets billed by Apria every six months for service. Medicare pays $63 and she pays $16.

Jonathan Blum, one of Obama's picks to reform the Centers for Medicare and Medicaid Services, said it is simply wrong that a wheelchair an individual can buy for $349 has cost the government $1,200. He said the government has a plan to fix it: competitive bidding.

"The good news is we have new authority right now to use competitive bidding to give the program much more flexibility," Blum said.

But that's where the rubber -- or in this case, a wheelchair -- meets the road.

Medicare has tried for years to get a bidding project off the ground. Last year, a bidding project was stopped after two weeks.

The industry is flat-out against the government's proposed bidding project, contending it isn't competitive bidding at all. Opposing a bidding project is a well-funded lobbying industry, small- and durable-equipment businesses and special-interest groups who worry their ill clients won't be served if a bidding process as proposed by Medicare is put in place.

So CNN loaded its wheelchair onto a Delta 757 to Washington and rolled it through the halls of Congress to find out why any representative -- not to mention 84 of them (the number who signed an April letter asking that competitive bidding be put on hold once again) would object to a plan that Medicare maintains will save taxpayer money.

From Republican and Democrat alike, the answer was nearly identical as they sat for interviews next to CNN's $349 wheelchair.

"Well, you know what? I am a big believer in competitive bidding," said Rep. Betty Sutton, a Democrat from Ohio, where Invacare, one of the biggest manufacturers of durable equipment, is based. "So at the outset I absolutely concur. But this program as it has unfolded, as it's been developed it really is a competitive bidding process that isn't competitive bidding."

Rep. Marsha Blackburn, a Republican from Tennessee, agreed.

"My hope is that as we look at health care reform that some of those that are working off of theory, if you will, and the federal system will slow down and we look at where the lessons learned should be and we will think long and hard before they move aboard a single-payer or mandated to restrict choice and restrict options for individuals," said Blackburn.

The American Association for Homecare, which represents many in the durable-equipment industry, said the bidding program is anti-competitive. In a statement, the association said the bidding program would "sacrifice care for seniors and people with disabilities" as it "reduces patient access to and choice for medical equipment."

The association said competitive bidding will "increase Medicare costs because it will lead to longer, more expensive hospital stays."

But John Rother, the head of policy and strategy for the retiree advocacy group AARP, said what's really happening is business trying to protect profits -- in this case profits four times the cost of Brown's wheelchair rental.

"It's an outrage," Rother said. "It's a ripping off of the taxpayer. It doesn't make any sense to have those kinds of expenses for products that could be bought for so much less."

Medicare again plans to try to get its competitive bidding program started later this year in at least nine markets, although Blum said it is unlikely to go into effect until next year.

As for Brown, her four-year-old wheelchair needs replacing. She's reluctantly applied through her doctor for a new one.

CNN's Marcus Hooper contributed to this report.

@highlight

Woman: Rented, $1,200 taxpayer-funded wheelchair can be bought for $440

@highlight

CNN found chair that could be bought for a fourth of the price

@highlight

Debbie Brown believes her story, wheelchair underscore problem health care reform

@highlight

Legislators, companies debate competitive bidding to fix problem