David Michael Perez was "terrified of parenting" and swore it off for the first 30 years of his life.

It was too much of a sacrifice: Fatherhood is expensive, for starters, and he thought he just wasn't cut out for it.

"I was afraid to do something that would make me so vulnerable.  Of course the things that cause us to feel vulnerable (and hence scared) are the things that bring us the greatest joy and connection," Perez, 33, wrote in an e-mail.

Then he met a girl. And now they have an 11-month-old boy.

He was excited to discuss this "amazing transformation," but had a hard time finding equally excited fathers to commiserate with. So he created a space for sharing. He  co-founded Kindling, a literary journal that is an "exploration in  fatherhood."

Perez is not the only one looking to be a more involved dad.

In the last 50 years, fathers have taken on more child care and housework, though women still do the majority, according to a Pew Research study released in March. In 1965, dads spent an average of 2½ hours per week on child care versus mothers' 10 hours per week. By 2011, fathers were spending seven hours a week caring for kids, while mothers spent 14.

Dads aren't who they used to be.

Perez describes his own father as "an incredibly selfless, loving father" who allowed him room to be himself and let him know he was unconditionally loved, though his dad was not the touchy-feely type.

"Like most men of his generation, he definitely worked a lot and I know he wishes that had not been the case," he wrote. "Being from a Catholic, Mexican family, he was definitely emotionally reserved.  I strive to be more emotionally engaged not only with my son but also with myself."

So, if today's dad is no longer the all-business provider who is less emotionally engaged than Mom, and he's not the bumbling, disconnected dad of the past 30 years in popular culture (read: Homer Simpson), then who is he? And do we appreciate him for his sacrifices as much as we do mothers?

Let's hear it for dear old Dad

Sonora Smart Dodd was listening to a Mother's Day sermon at church when she came up with the idea to designate a day to celebrate fathers. Her dad, William Jackson Smart, was a Civil War veteran and a widower who raised her and her five brothers after her mother died.

She took her notion to local churches and the YMCA, and in June 1910 the first Father's Day was celebrated in Spokane, Washington.

But Father's Day didn't catch on as quickly as Mother's Day.

The holiday did not become official until 1966 when President Lyndon Johnson issued a proclamation for dad's day.  By the time President Nixon signed it into law in 1972, Mother's Day had been a national holiday for 58 years.

The foot-dragging is understandable: Most mothers share a nine-month-long physical bond with their biological children; they are typically the emotional touch stone of the family as well as the workhorse of the home, as the March Pew study made clear.

Reverence for Mother as the parental nucleus is reflected in how we celebrate Mother's Day and Father's Day. Average spending last year on Mother's Day gifts was $168.94, versus $119.84 for dads, according to the National Retail Federation.

This year, spending for father's day is up 2.1% from the previous year, and projected to reach $13.2 billion. For Mother's Day, that figure is $17.1 billion, up .2%, according to research firm IBISWorld.

Paid leave lets dads build parenting foundation

Dads want it all, too

While fathers are contributing more labor at home these days, more women are becoming the chief or sole financial provider of the household in a recovering economy. In a first, mothers currently are the only or primary financial provider in 40% of  homes with children under 18.

"Women have always had legitimacy in the home, and the women's movement has given women legitimacy in the workplace," said Professor Brad Harrington of Boston College. "Men have always had legitimacy in the workplace. But have they had a similar credibility in the home? No."

In the midst of the debate about work-life balance, leaning in and having it all, it is not just women who are examining how their roles have evolved.

Experts say more value has been placed on mothers, sometimes to the detriment of the critical role fathers play. But men want it all, too, and are recognizing that a better balance means engaging more as a father.

"If we're going to be serious about fatherhood, we need to talk about how they are equally important to the well-being of their child," said Kenneth Braswell, executive director of Fathers Inc., a nonprofit that  encourages "responsible fatherhood" and mentoring.

"Responsible fatherhood doesn't mean anti-motherhood. We are trying to ensure that fathers are nurturing, protective, providers who are a compliment to the child's mother."

Tough choices

Brad Harrington remembered a three-year assignment in London as one of the highlights of his 20-year career with computer company Hewlett Packard. But In 1993, he surprised himself when he turned down an opportunity to return to Europe for a prestigious job offer after his father was diagnosed with Alzheimer's disease.

In 1999, he was married with two children and a baby on the way when another opportunity arose for a stint abroad. This time, family considerations took priority again, and he stayed in America.

That was when he realized  the outsize impact of family on career choices. At that point, he transitioned out of organizational leadership and moved into academia. The change offered fewer financial rewards, but it provided the chance to do interesting work while living a more balanced life.

Now, as executive director for the Center for Work and Family at Boston College, he wants to be a catalyst for discussing how men can make progress on the home front, the way women have in the workplace.

"Young men are saying I want to be an economic provider but also provide for the emotional needs of my children," he said.

He saw the shift in perspective in his 2011 study, The New Dad: Caring, committed and conflicted, which surveyed mainly upper-middle-class white fathers from Fortune 500 companies. In one measurement asking about the traits of good fathers, respondents placed a higher value on "nontraditional" aspects of fatherhood, including  emotional support, being present and teaching rather than discipline, financial security and child care tasks.

Harrington noticed a difference in the evolution of fathers at home and mothers at work. While women were gaining strides in being capable in both work and home life, men, he says, have not done as good a job to gain a foothold in the home.

Opinion: Fathers, stop coddling your kids

Staying engaged in fatherhood

Braswell, of Fathers Inc., said the idea of marriage and commitment is not what it was in the 1930s and 1940s. Back then there were two things that held a community together: 1. If you had a baby, you had to be married.  2.  Divorce was unacceptable.

Today, he said, there are no rules. Now, census estimates show about half of first marriages end in divorce for women; the number for men is closer to one-third.

Unfortunately a new parenting model has not been created to deal with this reality,  Branswell said.

"How do you do something in the place of marriage that gets the same outcome?  What you do is start talking about relationships."

He's a married, churchgoing father of four who maintains relationships with the mothers of his two kids not by his wife.

His own early experience and frustrations to peacefully co-parent led him to focus his professional work on fatherhood.

For him, it underscored the importance of teaching fathers who are not with their children's mother how to be involved, and he says it works.

"The vast majority of dads ... want to have a positive relationship with their child. Most of them are good dads and want to be better dads," he said.

Fifty years ago, the idea of a great dad was little more than a father who was a good provider and disciplinarian. Today, dads are increasingly looked to as sole or single parents, to support the family emotionally and to help their partners succeed in the wider world.

Society isn't just expecting more from fathers; fathers are expecting more from  themselves.

@highlight

The face of fatherhood is changing from strong and silent to flexible and supportive

@highlight

Mothers are still the icons of home and family, if Mother's Day spending is an indication

@highlight

Fathers are taking on more and more household responsibility, according to studies

@highlight

Those who advocate for fathers say societal shifts demand a new model of fatherhood