(CNN) -- A little over two days. That's how long the grand jury deliberated before deciding not to bring an indictment against Darren Wilson, the police officer who shot and killed Michael Brown in Ferguson, Missouri on August 9. St. Louis County Prosecutor Robert McCulloch announced the grand jury had heard more than 70 hours of testimony from 60 witnesses before reaching its decision, which he said was supported by physical evidence.

Sadly, the grand jury's failure to return an indictment of Wilson was not surprising. But don't blame the grand jury; blame McCulloch. He oversaw the proceedings and bears responsibility for their outcome.

McCulloch compromised the Ferguson grand jury proceedings from the start. He resisted calls to recuse himself, saying, "I have absolutely no intention of walking away from duties and the responsibilities entrusted in me by the people of this community." However, the community would have been better served if he had stepped aside.

Are protests taking place near you?

McCulloch's father was a police officer killed in a shootout with an African-American suspect. His brother, uncle and cousin served with the St. Louis Police Department, and his mother worked there for 20 years as a clerk. Newsweek noted McCulloch's "long history of siding with the police." For the sake of impartiality, McCulloch should have let a special prosecutor take over the case.

The grand jury only needed to find "probable cause" to charge Wilson. That's one of the lowest legal standards in our justice system, below "beyond a reasonable doubt" (required for a criminal conviction) and "preponderance of the evidence" (the standard in a civil trial). The fact that McCulloch did not get an indictment for a killing that shocked the nation raises questions about whether he really wanted an indictment.

"We will be presenting absolutely everything to this grand jury," McCulloch said in August. Yet in grand jury proceedings, the prosecutor typically shows the minimal amount of evidence necessary to establish that a trial is merited. By dumping so much evidence on the grand jury, McCulloch may have overwhelmed them and led them to the wrong conclusion. In the process, he's opened himself to charges that he was acting to protect Wilson.

Opinion: Why I feel torn about the Ferguson verdict

Consider McCulloch's time frame for the grand jury, which The New York Times described as "prolonged and exhaustive." Grand juries routinely return criminal indictments in a matter of days. But the Ferguson proceedings dragged on for months, putting a burden on the jurors to recall everything and then decide wisely. Another red flag was that this lengthy process was riddled with leaks, all of which supported Wilson's account of the events.

Worse, McCulloch declined to recommend charges to the grand jury. Prosecutors normally walk a jury through the charges they are seeking, breaking them down and explaining why they are deserved. McCulloch instead left the Ferguson grand jury to sort through terms such as "voluntary manslaughter" and "involuntary manslaughter in the second degree" on their own -- making it more likely that they would not seek an indictment.

In fact, McCulloch could have brought charges directly against Wilson, circumventing the grand jury. He chose not to do so, which is a troubling indicator of his interest in aggressively prosecuting this case.

Opinion: Ferguson shows failure at every level

Sure, there are conflicting accounts of what transpired between Wilson and Michael Brown. Was Wilson in fear for his life, as he told investigators, when he and Brown struggled for his gun? Did Brown have his hands up when he was fatally shot? We will never know, because there will be no trial. That's a tragedy for the Brown family and an affront to the fundamental American value that we all are equal under the law.

The grand jury's decision has implications far beyond Ferguson. Gallup polling has found that African-Americans have less confidence in the criminal justice system than white Americans, while a W.W. Kellogg Foundation report found that 68% of Latinos report being worried about police brutality. Wilson walking free will likely reinforce the views among communities of color that our justice system is unfair. And when significant segments of our population lose faith in our justice system, our democracy is weakened.

The Ferguson decision reflects poorly on prosecutor McCulloch. His flawed grand jury proceedings ensured that justice was not served for Michael Brown.

@highlight

Raul Reyes: Grand jury decided not to indict Officer Darren Wilson; prosecutor key in this

@highlight

He says Robert McCulloch compromised grand jury from start, should have recused himself

@highlight

His giving grand jury voluminous evidence made it seem he was acting to protect Wilson

@highlight

Reyes: Decision an affront to the fundamental American value we are all are equal under law