Tripoli, Libya (CNN) -- Libyan state television has aired a video of Moammar Gadhafi's son Saadi in which he apologized to the nation from prison.

"I apologize to the people of Libya and the brothers in the Libyan state for the disturbance and destabilization I have caused in Libya, and I admit those were wrong things that I should not have done," he said.

Saadi, one of Gadahfi's seven sons, has been in a Tripoli jail since his extradition earlier this month from neighboring Niger. The North African country had been seeking the handover of Saadi, who fled across the border to Niger when rebel forces toppled his father in a NATO-backed uprising in 2011.

He has not appeared in court yet and no formal charges against him have been announced, but the government has said it has evidence linking Saadi Gadhafi to recent unrest in southern Libya.

"I call on all the people carrying weapons to disarm, weapons should only be in the hands of the state," Saadi Gadhafi, dressed in a blue detainee suit, said in the video. "They should resort to reconciliation."

In the three-minute video clip, he also asks the Libyan government and general national congress, Libya's legislative body, for "forgiveness."

The conditions surrounding the release of the video are unclear.

Reports of abuse

Saadi Gadhafi stated the date of March 27 in the video, and state television said it was approved by Libya's general prosecutor and aimed to discredit reports and rumors Gadhafi's son was being mistreated in prison.

The video aired a day after former Prime Minister Ali Zeidan had said in an interview in The Times of London newspaper that he had heard Saadi Gadhafi was abused and tortured in prison.

Saadi Gadhafi said he was being treated well. Reports he had broken ribs or bones were not true, he said, moving his arms around and smiling.

No one has independently had access to him to see how he has been treated.

There have been concerns about the legality of the video and what impact it may have on the case.

"If I ever had any hope that there might be some form of due process in Libya, it was shattered. ... Watching Saadi repent in a videotaped confession without any hint of legal representation made me realize there is no hope for a trial in accordance with international law in Libya," Jacqueline Frazier, an American former aide to Saadi Gadhafi, told CNN.

"I, along with his family, would like to emphasize that we believe this confession to be coerced and therefore nonadmissible in a court of law."

But many Libyans have little sympathy for him and other former regime members in custody. They complain the prosecution of former regime members has stalled and they want them to see them sentenced soon. The government has promised fair and transparent trials for all former regime members and other detainees in Libya.

Televised call

Saadi Gadhafi was a professional soccer player and businessman before his father's downfall. Unlike his brother Saif al-Islam Gadhafi, their father's heir apparent, he is not wanted by the International Criminal Court in The Hague, Netherlands, on charges of war crimes.

In late 2011, rebel forces captured Saif al-Islam, who remains in a militia hands in the small western mountain town of Zintan, Libya.

Niger handed over Saadi Gadhafi after Libyan authorities said they had provided evidence of "communications and practices targeting Libya's security and aimed at destabilizing Libya."

In February 2012, he made a televised phone call warning of an imminent uprising in Libya, saying he was in regular contact with people in the country who were unhappy with the new authorities.

Authorities in Niger had warned him after that incident. He had been staying under tight regulation, including house arrest.

He is being held in al-Hadba prison in Tripoli, the same facility where other senior regime members are detained, including former Prime Minister al-Baghdadi al-Mahmoudi and former spy chief and Gadhafi's brother-in-law Abdullah al-Senussi.

Judicial standards

Libya's new rulers are keen to try Gaddafi loyalists at home to show that those who helped the dictator stay in power for 42 years are being punished.

But in a country where thousands of war prisoners remain in detention without knowing their fate, and where allegations of torture by the militias guarding them have surfaced, Libyan authorities will have to prove their capabilities.

Human rights activists say the worry that a weak Tripoli government and flimsy judicial standards mean that legal proceedings will not meet international standards.

Last month, Human Rights Watch released a report after visiting and speaking with senior regime members, including al-Senussi and Saif al-Islam Gadhafi.

According to the rights group, officials said they either do not have lawyers representing them or they do not have enough access to their legal counsel.

"The Libyan government should make greater efforts to ensure these detained former officials have adequate legal counsel and the opportunity to defend themselves fairly before a judge," said Nadim Houry, deputy director of Human Right Watch's Middle East and North Africa division. "The prosecution of these men will be no more credible than a kangaroo court if the authorities fail to provide these men with basic due process rights."

In a briefing to the U.N. Security Council earlier this month, Tarek Mitri, special representative of the U.N. secretary-general, raised concerns about continued human rights violations in detention.

Some trials of former regime members started more than a year ago, and another case against more than 30 officials, including Saif al-Islam Gadhafi and al-Senussi, is set to start next month.

Moammar Gadhafi's son extradited to Libya from Niger

@highlight

Libyan television aired a video of Saadi Gadhafi speaking from Tripoli jail

@highlight

Gadhafi's son says he is being treated well, moves arms and smiles in video

@highlight

The conditions surrounding the release of the video are unclear

@highlight

Human rights activists say they worry legal proceedings won't meet international standards