(CNN) -- The one question we all desperately want answered may have gone to the grave with Aaron Alexis: Why?

Why did he park at the Washington Navy Yard on Monday, walk into Building 197, perch himself on an overlook above the atrium and open fire? The bullets that rained down killed 12 people and wounded eight others.

Why?

But that's not the only missing puzzle piece. Investigators are painstakingly trying to piece together the motive, the means and the method.

"No piece of information is too small," says Valerie Parlave of the FBI. "We are looking to learn everything we can about his recent movements, his contacts and associates."

For now, here's what we know and what we don't know.

What is security like at the Navy Yard?

THE MOTIVE

What we know: Senate Majority Leader Harry Reid may have said it best Tuesday when he told colleagues that "there is no explanation for the violence." So far, investigators haven't offered any clue as to what motivated Alexis to kill.

Friends say he had been frustrated over pay and benefits issues from a previous contracting job, and federal law enforcement sources said he may have contacted Veterans Affairs hospitals for possible treatment of psychological issues. But so far, investigators haven't said if either of those issues contributed to the attack.

What we don't know: What he might have left behind in his Washington hotel room, either in writing or on any computers FBI agents may have found while searching the room.

Terrorism hasn't been ruled out but seems unlikely, according to Washington Mayor Vincent Gray.

THE SHOOTER

What we know: Throughout the day, authorities said they were looking for a second man. But by nightfall, they said they were "confident" that Alexis was the lone gunman. "We have exhausted all means to eliminate that possible last suspect," said Metropolitan Police Chief Cathy Lanier. "So we do now feel comfortable that we have the single and sole person responsible for the loss of life inside of the base."

On Tuesday, Parlave, the assistant director in charge of the FBI's Washington field office, underscored that, telling reporters it's believed that Alexis acted alone.

What we don't know: While authorities have stated they don't think anyone else besides Alexis opened fire at the Navy Yard, that doesn't mean others didn't help him or know about the plot.

Alexis arrived in Washington on or around August 25, staying in hotels in the capital ever since, said Parlave. Shawn Henry, a former executive assistant director of the FBI, said he believed authorities will be talking to people Alexis has known for years -- including those he went to school with and served in the Navy with -- as well as looking at things like bank and cell phone records.

THE VICTIMS

What we know: We now have all the names of 12 victims. They range in age from 46 to 73. Another eight people are recovering from wounds inflicted in the shooting, including three at MedStar Washington Hospital Center.

Washington Mayor Vincent Gray said many of the victims gunned down in the Navy Yard's Building 197 were eating breakfast when Alexis shot at them from above.

What we don't know: We have yet to find out more about many of the victims, such as what they did at the Navy Yard, where they were at the time of the shooting, etc.

Victims from Navy Yard shooting identified

THE END

What we know: Washington Police Chief Cathy Lanier said Tuesday that Alexis had "multiple contacts" with officers from several agencies during the shooting spree. The ordeal ended when Washington police Officer Scott Williams fatally shot Alexis, 34, Mayor Vincent Gray told CNN.

What we don't know: Exactly how Alexis died, beyond the fact it happened after 30 minutes of gunfire, according to Gray.

HIS HISTORY

What we know: He left New York after apparently helping rescue efforts at the site of the World Trade Center after the September 11, 2001, terror attacks, according according to a source with direct knowledge of the investigation. His father told Seattle police after a 2004 arrest that Alexis was suffering from post-traumatic stress disorder related to that experience.

He had served in the Navy, but officials moved to discharge him in 2010 over a pattern of misconduct that included insubordination, unauthorized absences and other infractions, according to a U.S. defense official. It wasn't enough for a general discharge, so Navy officials decided to grant him an honorable discharge, the official said.

As a contractor, he worked in information technology, had medium security clearance, high enough to work at multiple Navy offices over the summer. He had an ID badge to enter the Navy Yard. His employer says the shooter jumped through all the right hoops. "Alexis had a security clearance that was updated in July, approved by military security service personnel," said Thomas Hoshko, CEO at The Experts. "There is nothing that came up in all the searches."

He appeared to become increasingly troubled in recent years, according to the source with direct knowledge of the investigation. He was hearing voices and having problems sleeping, the source said. He was growing increasingly troubled and in recent months had exhibited signs of mental problems, according to the source. Based on family accounts, it appears Alexis "basically snapped," the source said.

On August 7, police in Newport, Rhode Island, investigating a harassment complaint at a Marriott hotel encountered Alexis. He told them that an individual "had sent three people to follow him and to talk, keep him awake and send vibrations into his body," according to a police report. These individuals, Alexis police, had followed him to three hotels in the area -- including talking to him through walls and the floor and using "some sort of machine" to send vibrations through the ceiling that prevented him from falling asleep.

Police subsequently notified officials at a Navy base in Newport, the police report stated. Officials at Naval Station Newport referred CNN to the FBI on Tuesday when asked about the incident, and the FBI subsequently had no comment on the August police report.

What we don't know: How he was able to get a security clearance with such a spotty background.

Former Navy SEAL Cade Courtley says a poor or incomplete background check is to blame. "Most people, when they get into that, they are given an interim clearance, and that means that the background check hasn't been done but it's in the process of being done," Courtley said. "He may have started out with an interim clearance and a background check should have been done."

The former SEAL says just running Alexis' fingerprints would have turned up his arrest record. In Seattle, he fired several shots into the tires of a car during an altercation over construction near where he lived in 2004. There was also a weapons incident in Texas in 2010.

Who was accused Navy Yard gunman Aaron Alexis?

SECURITY AT THE YARD

What we know: Alexis drove onto the grounds of Navy Yard on Monday morning with a shotgun, according to federal law enforcement sources with detailed knowledge of the investigation. He proceeded into Building 197 and opened fire. He had access to the Navy Yard because of his contracting work, and he used a valid pass to gain entry.

City police were the first law enforcement personnel on site within eight minutes of when the first shots rang out, according to Gray, and they were joined soon by SWAT team members.

Washington Police Chief Cathy Lanier said there's "no doubt in mind" that law enforcement officers response to the shooting "saved numerous lives."

What we don't know: Even to drive or walk onto the base, a person would be required to present credentials, said Navy Capt. Mark Vandroff. Building 197 has armed security at the door. How did he get the guns past them? Did cost-cutting compromise Navy security? Rep. Mike Turner, an Ohio Republican and a member of the Armed Forces Committee, thinks so. He wants a congressional briefing from the Pentagon inspector general on a Navy security audit that he says was released after Monday's shooting.

"It is my understanding that the IG report indicates the Navy may have implemented an unproven system in order to cut costs," Turner said. "I also learned that potentially numerous felons may have been able to gain restricted access to several military installations across the country due to insufficient background checks, increasing the risk to our military personnel and civilian employees."

Audit reports Navy risked security to cut costs, says source

HIS WEAPONS

What we know: Federal law enforcement sources say authorities have recovered three weapons from the scene of the mass shooting, including one -- a shotgun -- that investigators believe he brought in to the compound. The other two weapons -- handguns -- the sources say, may have been taken from guards.

What we don't know: The sources, who have detailed knowledge of the investigation, cautioned that initial investigation information that an AR-15 rifle was used may have been incorrect. It is believed that Alexis had rented an AR-15, but returned it before Monday morning's shootings.

On Sunday, Alexis purchased a Remington 870 shotgun and a small amount of ammunition at Sharpshooters Small Arms Range in northern Virginia, the store's attorney, J. Michael Slocum, said. Alexis spent "a couple hours" there, including at its practice range, the lawyer added. In according with federal law, Alexis name and other applicable information was provided to the National Instant Criminal Background Check System and he was approved to purchase the gun, according to Slocum.

Alexis had the proper credentials to get into the Navy Yard, said Washington's mayor. But Gray added that it was unclear how he got the shotgun past security.

Parlave, from the FBI, said Tuesday that Alexis may have gotten hold of the handguns after he got into the military facility.

GUN DEBATE

What we know: The incident will certainly rev up the often explosive debate over gun control. But initial reports show Alexis obtained his primary weapon legally.

What we don't know: Will the shooting at Navy Yard change the political landscape? High-profile shootings over the last several years have done little to move the needle in Washington. President Barack Obama pushed for universal background checks and other directives after the the Newtown, Connecticut, shootings, to cut down on the access Americans would have to firearms, but they never gained traction. At the state level, it's been a similar story. The successful recall elections last week of two Colorado lawmakers who backed new gun restrictions sent a shiver through the gun control lobby.

@highlight

NEW: It's unclear how Alexis got a shotgun past security

@highlight

NEW: A Washington police officer ended the 30-minute spree by killing Alexis, mayor says

@highlight

Alexis had issues in the Navy and with police, but still had security clearance

@highlight

Authorities don't know his motive, and friends say they're surprised by attack