It's only going to get worse unless you give us more money, administration officials warned Thursday about the flood of Central American children illegally entering the United States from Mexico.

Homeland Security Secretary Jeh Johnson told the Senate Appropriations Committee that $3.7 billion in emergency funding requested by President Barack Obama anticipated up to 90,000 of the unaccompanied minors this fiscal year, which ends September 30, and another 145,000 in fiscal year 2015.

So far, the 57,000 who crossed the Texas border in the past nine months have overwhelmed the immigration system, causing overcrowded holding facilities and a huge backlog of cases awaiting hearings that can take years to schedule.

"Doing nothing is not an option," Johnson said, noting the increased demand for his department's services would cause U.S. Immigration and Customs Enforcement to run out of money next month while Customs and Border Protection would burn through its annual funding by mid-September.

Emergency funding

The emergency money sought by the President would hire more border patrol officers, judges and others to deal with the unprecedented influx from Guatemala, Honduras and El Salvador while providing more detention facilities and other resources -- all designed to speed up the processing of the child immigrants.

However, the deep partisan divide over the immigration issue set up a certain congressional battle over the funding.

Earlier Thursday, House Speaker John Boehner erupted in anger over what he called Obama's lack of leadership on the issue, telling reporters that "this is a problem of the President's own making."

"He's been President for five and a half years," the Ohio Republican thundered. "When is he going to take responsibility for something?"

After Obama's Texas trip, what now for the immigration crisis?

While motivated in part by the rolling TV cameras, Boehner's outburst also responded to salvos fired at  him by Obama on a two-day trip to Texas -- the epicenter of the immigration influx -- in the endless effort to gain political advantage.

Seeking political advantage

On Wednesday night, Obama told reporters in Dallas that Republicans put party gain over progress in resolving what the White House calls an urgent humanitarian situation -- tens of thousands of unaccompanied minors overwhelming the immigration system after illegally entering the United States in recent months.

"The problem here is not a major disagreement around the actions that could be helpful in dealing with the problem," he said, but whether Congress would "put the resources in place to get this done," adding: "Are folks more interested in politics, or are they more interested in solving the problem?"

Texas Gov. Rick Perry and other Republicans lashed out at Obama, particularly his decision not to tour overcrowded border facilities while in Texas to see for himself the human side of the situation.

"The American people expect to see their President when there is a disaster," Perry told CNN's Kate Bolduan in an interview that aired Thursday, citing Obama's trip to the East Coast to tour damage caused by Superstorm Sandy in 2012. "He showed up at Sandy. Why not Texas?"

Texas governor lashes out at Obama over immigration crisis

'Go down there and see what we're facing'

Even some Democrats were critical of the decision. Texas Democratic Rep. Henry Cuellar told CNN's "New Day" that it's important for Obama to see what the children are going through.

"I'm interested in him looking at the kids. The kids that I've talked to, little innocent little boys and girls that have come across and have traveled over 1,000 miles, that a third of the girls have been abused and raped on the way up here," he said. "The last young kid was an 11-year-old little boy from Guatemala that died of dehydration. That is the face that I want him to see. Don't take any cameras, Mr. President, but go down there and see what we're facing."

Obama said Wednesday that visiting facilities where the children are processed and detained would be little more than a photo opportunity.

"There's nothing that is taking place down there that I am not intimately aware of and briefed on. This isn't theater. This is a problem," he said.

Other Democrats from states bordering Mexico questioned Obama's handling of the problem, indicating major challenges for the emergency funding sought by the President.

Immigration limbo

Obama called on Congress to quickly approve the $3.7 billion in additional money this fiscal year to deal with the crisis, which has left tens of thousands of new undocumented immigrants in a kind of immigration limbo.

A lot of them surrendered themselves to Customs and Border Protection officers on the belief they will be allowed to stay in the country, and officials have struggled to house the children amid a staggering backlog of immigration cases.

To Boehner and other Republicans, Obama gets the blame because of his past decision to halt deportations of some young undocumented immigrants.

"On our southern border, we've got a true humanitarian crisis underway with children caught in the middle," Boehner said, adding that Obama's actions "gave false hope to children and their families (that) if they entered the country illegally, they would be allowed to stay."

Criticized by Obama for preventing a House vote on a Senate-passed immigration reforms that would provide a path to legal status for millions of undocumented people living in  America, Boehner said he wanted the House to take up legislation addressing the current influx before it goes on recessin August.

However, he made clear Obama's emergency funding plan would get serious scrutiny, saying: "We are not giving the President a blank check."

Is the immigration crisis Rick Perry's second act?

Process overwhelmed

Obama administration officials blame the influx on dire conditions in Guatemala, Honduras and El Salvador, the three countries of origin for most of the new child immigrants. They note that people from other countries don't join the influx, saying that showed it involves those fleeing bad conditions in the three Central American nations.

To Boehner, Perry and other Republicans, the administration invited the problem.

"The children are a symptom of policies that have enticed them to come," he said. "The first thing you have to do is stop the flow, because if we don't, then the problem's not going to be the size we have today."

Republicans have called for the repeal of a 2008 law signed by President George W. Bush that requires deportation hearings before sending back children from countries that do not border the United States.

"I don't think we can solve the problem unless we revisit" the law, Texas Republican Sen. John Cornyn said.

"What's happened is these children are placed with family members in the United States and given a notice to appear for a later court hearing. Some have called this a notice to disappear, not a notice to appear," as most don't show up, he said.

Another Republican, Sen. Ron Johnson of Wisconsin, said the United States should immediately fly the children back to their home countries. It would cost less and signal U.S. intolerance for those who enter the country illegally, he argued.

Cornyn and Cuellar planned to introduce legislation Thursday to alter the 2008 deportation hearing provision. The bill, Cuellar said, will include protections for children who come to the United States because of concerns about drug or sex trafficking.

Democrats want to keep the law intact to ensure that children who deserve asylum receive a full hearing.

Funding breakdown

Obama's emergency funding request seeks $1.6 billion to bolster customs and border efforts as well as crack down on smugglers.

Another $300 million would go to help Mexico and Central American governments counter claims by smugglers to desperate parents that U.S. officials won't send their children back.

"While we intend to do the right thing by these children, their parents need to know that this is an incredibly dangerous situation and it is unlikely that their children will be able to stay," Obama said.

The request also includes $1.8 billion to provide care for unaccompanied children crossing the border.

Overall, it amounts to about 10% of the $30 billion in proposed border security funding included in the immigration reform bill passed by the Senate but stalled in the Republican-controlled House.

5 things you need to know about the immigration crisis

What Obama can and can't do on immigration

One night in Denver: The President and governor walk into a bar

@highlight

Officials plan for 90,000 child immigrants this year, more in 2015

@highlight

President Obama, House Speaker Boehner clash over immigration politics

@highlight

Obama doesn't visit troubled border area during Texas trip

@highlight

Obama wants $3.7 billion in emergency funds to deal with the crisis