(CNN) -- Princeton University will make a meningitis B vaccine available to all undergraduate students, graduate students living in dorms or the Graduate College and annexes, and other university community members with particular medical conditions, the school said Tuesday.

The Centers for Disease Control and Prevention have officially recommended that these groups of people receive the vaccine, Princeton said. The CDC's Institutional Review Board approved this measure Tuesday afternoon, spokeswoman Barbara Reynolds said.

The vaccine, which is not licensed for use in the United States, will not be provided to anyone else or given out anywhere else, the school said.

Young adults and individuals with certain medical conditions have an increased risk of meningitis, especially when living in close proximity to one another, such as in dormitories, the school said.

The vaccine is called Bexsero and is made by Novartis. It has been approved in Europe and Australia.

The first dose of the vaccine will be available at the school's Frist Campus Center from December 9 to December 12, and the second dose will be available in February. For maximum protection, individuals must receive two doses. Princeton will cover the cost of the vaccine.

The vaccine would be recommended for about 5,000 undergraduates and 550 graduate students in dorms, university spokesman Martin Mbugua had told CNN previously.

Additionally, around half a dozen people with conditions that fall under the recommendation would also be affected, although there may be more who have not yet disclosed their conditions, he said. These include conditions where the spleen is compromised, or certain other immune system disorders.

The school announced Friday that an eighth case of meningitis B had been reported, the latest in a string of cases reported this year. All eight were caused by a rare meningococcal bacteria known as serotype B.

Also last week, the University of California, Santa Barbara, reported that three students were being treated for meningococcal disease and that their cases were caused by type B bacteria -- the same bacteria strain causing the Princeton outbreak.

However, no link has been found between the California cases and those at Princeton, the Santa Barbara County Public Health Department said.

New Jersey state law requires all students at Princeton living in dormitories to receive a different meningitis vaccine, which is licensed in the United States. That vaccine protects against some other strains, but not serotype B bacteria.

Any Princeton student who received the usual meningitis vaccine would not not be protected, Princeton said.

What is meningitis B?

Meningitis is caused by inflammation of the membranes that cover the brain and the spinal cord, known as the meninges. Infection of the fluid surrounding the brain and spinal cord usually causes this inflammation, according to the CDC.

Meningitis usually develops in response to bacteria or viruses, but there can be other forms and causes, such as physical injury, cancer or certain drugs, according to the CDC. The bacterial form is rare in the United States, and the group B bacterial strains are even more rare.

Meningitis can spread via the exchange of saliva and other respiratory secretions through kissing, coughing, sharing drinks and living in close quarters, such as in dormitories, according to the New Jersey state health department.

Symptoms can include a stiff neck, headache, fever, vomiting, rashes, sensitivity to light and confusion. Untreated, the disease can lead to complications such as hearing impairment, brain damage, limb amputations and death.

Antibiotic treatment of the most common types of bacterial meningitis "should reduce the risk of dying from meningitis to below 15%, although the risk remains higher among young infants and the elderly," according to the CDC.

In 2012, there were 480 cases of bacterial meningitis in the United States, according to the CDC. Of those, 160 were group B.

School activities continue

Several students told CNN that their peers are not overly afraid of getting meningitis, but that it's definitely a topic of conversation.

"I think students do know that it is an important and fatal issue that is spreading on campus -- and each student individually decides to what degree to protect themselves," Stephen Cognetta, a junior, said in an e-mail.

In Princeton's statement Tuesday, the university said: "The CDC and state health officials recommend that classes and activities at Princeton University continue as planned, and the surrounding community can continue to attend events on the campus. They do not recommend any travel restrictions for members of the University community."

The university celebrated its football team's victories over Harvard and Yale on Sunday with a bonfire.

Michigan, feds to share info in meningitis probe

CNN's Miriam Falco contributed to this report

@highlight

The first dose of the meningitis B vaccine will be available at Princeton in December

@highlight

Princeton has reported eight cases of meningitis B since March

@highlight

The vaccine is called Bexsero and is made by Novartis