New York (CNN) -- In the aftermath of one of the worst weather systems to hit the Northeast, finding adequate shelter is the big concern.

What to do with displaced residents, whose homes were rendered dark, cold and powerless by Superstorm Sandy, is now the question plaguing emergency management officials across the Tri-State area.

FEMA's answer for New York: Fix up the homes as best they can and put people back in them.

Faced with a lack of physical space for FEMA trailers and limited access to available rental apartments and hotels, FEMA officials in New York said they are bent on making flood-soaked homes inhabitable as winter weather moves in.

Jersey City takes 1-2 punch

"New York is a unique housing environment," said Michael Byrne, federal coordinating officer for FEMA, on Wednesday. "We had to come up with something."

The agency's typical approach to disaster relief, such as the widespread use of emergency trailers for displaced residents and long-term rental assistance, doesn't work as well in the Big Apple.

Rental housing vacancies across New York City are less than 5%, while holiday season hotel rooms are packed with tourists and travelers, leaving few options for those in need of shelter, authorities said.

Adding to the dilemma, crowding persists in the city's public housing units, where more than 160,000 families were on the waiting list before the storm.

Can Christie capitalize politically on Sandy?

Officials are expected to focus on getting power restored in places where the sheer extent of the electrical damage has made utility companies cautious about reconnecting homes to the power grid.

They will also implement structural repairs to make the homes adequate shelters for incoming winter weather. Repairs could include tarps, plastic and plywood.

Map: See images of destruction, recovery across the East Coast

FEMA is putting forth "an essential package of necessary fixes so that people can get back into their homes," said Byrne. "This is not a complete repair."

More than 17,000 households remain without power across New York. That does not include more than 30,000 customers who "are unable to safely receive power without customer repairs," according to the Long Island Power Authority.

Long Island residents sue utility

In hard-hit places like the Rockaways and Staten Island, where residents have often clung to their damp homes instead of evacuating, officials said the new program will better cater to the stark realities of the crisis.

"Our home is not that destroyed. We don't have no heat (and) it's very cold in the apartment," said Margaret Alvarez, a 41-year-old resident of Far Rockaway, Queens.

"We just need heat, water and electricity."

Residents like Alvarez, whose homes are damaged but not destroyed, are likely FEMA's target customers.

But reservations about safety persist.

Opinion: Don't rebuild

"My house shifted about 5 inches," said Joanne McClenin, 55, a New Dorp resident of Staten Island. "We don't know if the quick repair ... is going to be safe enough."

A thicket of downed houses and washed-out roads lines several blocks in the New Dorp area after a torrent of wind and water swept across the coastal neighborhood on October 29.

"I don't know how minor repairs get you back in your home," she said.

Sandy amplifies struggles for low-income families

Others seemed somewhat encouraged by the federal plan.

"There are a lot of people that don't have their own contractors, so it's a good program for those people," said Dawn Nasella, a 41-year-old resident of Staten Island, whose rental property was destroyed in the storm.

But the program is not meant to address the needs of those made homeless. That displaced population has mostly inhabited hundreds of city shelters, holed up with friends and family members or taken to living in more perilous places, like their cars.

Costs of Sandy in the billions

Meanwhile, signs of normalcy continued to surface across the Tri-State area.

But those still in the dark require inspectors to go door-to-door to check individual electrical panels to avoid further damage and potential electrical fires, raising the possibility of a long and cold winter for those still without proper shelter.

How to help

CNN's Rob Frehse and Rande Iaboni contributed to this report

@highlight

Program creates package of fixes to get people back into their homes

@highlight

More than 17,000 households remain without power across New York

@highlight

That doesn't include more than 30,000 who "are unable to safely receive power"

@highlight

Rental vacancies across New York City are less than 5%. Hotels are already packed