Washington (CNN) -- President Barack Obama on Tuesday signed the most sweeping overhaul of America's food safety system since 1938.

The legislation gives the federal Food and Drug Administration the authority to impose new rules to prevent contamination and allows the agency to order, rather than simply suggest, the recall of tainted foods. It also authorizes the creation of a food tracking system to quickly pinpoint the source of outbreaks.

The legislation requires producers to assess ways in which their products could be contaminated and to take steps to prevent such problems. It also requires importers to verify the safety of all foods they bring into the country.

The result will be a fundamental shift in the FDA's approach to food safety from reacting to foodborne illness outbreaks to preventing contamination in the first place, agency Commissioner Margaret Hamburg said.

Health and Human Services Secretary Kathleen Sebelius said in a telephone briefing on the bill Monday that the legislation will give the FDA power for the first tiime to require proven, science-based policies that will reduce contamination of food grown and produced both in the United States and abroad.

Most food safety experts agree that the legislation will ultimately make breakfast, lunch and dinner safer for Americans.

But the most immediate impact may be higher food prices, said Craig Hedberg, a professor of environmental health sciences at the University of Minnesota School of Public Health.

"In the near term, we may see some of the cost of implementing this bill passed on to consumers," he said.

That may be the most tangible aspect of the legislation for most people, Hedberg said.

While the legislation will help improve safety practices, most of its work will be invisible to consumers, who likely will notice few changes in food packaging or retailing, Hedberg said.

"I think it will mostly be operating behind the scenes," Hedberg said. "And if it stays behind the scenes, that may be a good thing."

Any impacts consumers might notice are likely to be felt no sooner than three years from now, Hedburg predicted, when FDA regulators finish writing rules required by the legislation and begin implementing them.

And that is only if the FDA gets the money needed to implement the bill's many provisions from a divided Congress already set to argue over reducing the ballooning federal budget deficit.

The Congressional Budget Office estimated the bill's provision would increase net government spending on food safety by $1.4 billion over five years.

Hamburg told reporters Monday that she is optimistic Congress will provide the necessary resources to implement the bill's key provisions.

Here's what to eventually expect from the new bill:

-- Swifter food recalls. Under the bill, the FDA will have to give companies a chance to recall an unsafe food, but if they refuse to act, the agency will be allowed to issue a recall on its own.

Most food producers work well with the FDA, eager to protect the public and their own brands, Hamburg told reporters Monday.

But there have been some instances where regulators had to apply pressure from states or even the courts to get companies to agree to a recall, she said. The new power to issue direct recalls will eliminate those problems, she said.

The legislation also makes it easier for regulators to stop potentially tainted foods from moving through distribution channels or even shut down a food processing facility that's the suspected source of contaminated food, according to the FDA.

The agency will also be required to improve its ability to track food as it moves around the supply chain, making it easier to trace an outbreak back to its source.

-- More information. The legislation requires the FDA to create a searchable database on its website naming each product under recall and the status of the recall.

-- More food inspections. The bill requires the FDA to inspect high-risk food processing facilities at least once in the next five years and every three years after that.

The FDA also is required to inspect 600 overseas facilities in the next year, and double the number of those inspections annually for the next five years. The legislation requires all imported foods to meet FDA food-safety standards.

About 15 percent of the U.S. food supply, including 60 percent of fresh fruits and vegetables and 80 percent of seafood, is imported, according to the FDA.

--Greater responsibility for food producers. The bill requires producers to evaluate hazards to their products posed by people, animals and the environment, create measures to prevent contamination and to develop written food safety plans.

It also requires the FDA to develop scientific standards for producers to use in the safe production and harvesting of fruits and vegetables.

Advocates argued the legislation, pushed through in the waning days of a lame duck Congress in December, was much needed to protect the food supply against intentional tampering and reduce the incidence of foodborne illness.

The Centers for Disease Control and Prevention estimated recently that one out of every six Americans gets sick from foodborne illnesses each year, and 3,000 die.

Some consumer and food safety advocates have argued the legislation does not give the FDA enough enforcement authority, such as the ability to file criminal charges against procuders who knowingly distribute contaminated products.

But most experts support the new legislation.

"Everyone who eats will benefit from this historic legislation," Michael Jacobson, executive director of Center for Science in the Public Interest, said in a statement following congressional approval of the legislation in December. "FDA will have new tools to help ensure that America's food supply is safer, causing fewer illnesses and deaths."

The bill is widely considered to be the most significant overhaul in U.S. government oversight of the food supply since the 1938 passage of the Food, Drug and Cosmetic Act.

That legislation established authority for government inspection of food processing facilities and authorized standards for food quality, labeling and food additives. Among other things, It's also the law that gives most food colorings their name.

Its approval was spurred by a 1937 crisis in which 107 people died from ingesting a medical ingredient, according to the FDA.

CNN's Deirdre Walsh, Tom Cohen and Saundra Young contributed to this report.

@highlight

NEW: President Obama signs the food safety bill

@highlight

The bill allows for greater governmental regulation of the U.S. food system

@highlight

The Food and Drug Administration will be able to issue direct recalls of foods

@highlight

The bill includes the biggest overhaul of the food safety system since 1938