Washington (CNN) -- Two Secret Service supervisors who have lost their jobs in a prostitute scandal during a recent trip to Colombia are David Chaney and Greg Stokes, a source familiar with the investigation told CNN National Security Contributor Fran Townsend on Thursday.

They are among three people no longer with the agency in the wake of the incident immediately preceding President Barack Obama's trip to Colombia for the Summit of the Americas. They are among 11 total Secret Service employees who are under investigation.

Attorney Lawrence Berger told CNN that he is representing Chaney and Stokes, but declined further comment, including why he is representing the two men. Berger is general counsel for the Federal Law Enforcement Officers Association, a union that includes the Secret Service, among other agencies.

Authorities outside Chaney's home in Ashburn, Virginia, said that Chaney had relayed that he did not want to speak to reporters outside.

Secret Service pushing out three members amid Colombia scandal

Chaney is identified as one of several hundred people -- including about 22 from the Department of Homeland Security -- who contributed to the Interagency Working Group on U.S. Government-Sponsored International Exchanges and Training, according to the group's FY2010, FY2008 and FY2007 annual reports. Created in 1998, that organization's mission is "to make recommendations to the president for improving the coordination, efficiency, and effectiveness of United States Government-sponsored international exchanges and training," according to its website.

A posting from David Chaney on Reunion.com states that he graduated from W.T. White High School in Dallas in 1982 and had been employed with the U.S. Secret Service since 1987. That message notes that he is married, has an adopted son and his assignments include a stint protecting former Vice President Dick Cheney.

Chaney's father was a Secret Service agent, said the source with knowledge of the investigation.

Stokes supervised the canine training unit at the Secret Service's James J. Rowley Training Center outside Washington, according to PetLife Radio and a career development posting on the University of Maryland's website.

The agency has said that one of those who left the agency is a supervisory employee who is being allowed to retire. Another employee resigned, the agency said. A third agent -- also a supervisory employee -- is being pushed out, with the agency proposing he be removed. A U.S. official said on condition of not being identified that this agent plans to fight his ouster. It was not immediately clear whether this person was Chaney or Stokes.

House Homeland Security Chairman Rep. Peter King, R-New York, told CNN on Thursday that he expects more Secret Service employees to leave the agency as soon as Friday.

The other eight members allegedly involved in the scandal are on administrative leave and have had their security clearances suspended, according to the Secret Service. Ten military personnel are also being investigated for their possible participation.

Questions raised about macho culture, women agents

They were all part of the "jump team" that flies in on military transport planes with the presidential limousine and other vehicles to be used in the president's motorcade, Townsend said.

They arrived the morning of the incident, raising questions about whether the activity was planned.

All the employees are accused of bringing prostitutes to Cartagena's Hotel El Caribe ahead of last week's visit by Obama, who was there to attend the Pan-American summit.

According to sources, the alleged prostitutes -- the youngest of whom were in their early 20s -- had all signed in at the hotel, where the Secret Service members apparently stayed, flashing their local ID cards.

One of these women allegedly was later involved in a dispute about how much she was to be paid for the night. That row brought the entire incident to light and sparked controversy in the United States and Colombia.

Despite concerns that contact with Colombian nationals could have led to security breaches regarding President Barack Obama's activities in the South American nation, King said, "from everything we know, nothing was compromised."

Former Colombian President Alvaro Uribe told CNN on Thursday that he rejects "the idea that Cartagena is a destination for tourists seeking prostitution or illicit drugs." He said the incident is due entirely to "a lack of ethics (on the part of) the Secret Service of the United States."

U.S. congressmen offered similarly biting remarks.

House Minority Leader Nancy Pelosi of California called the allegations "disgusting," while Senate Majority Leader Harry Reid described the agents' alleged actions "either really stupid or a total lack of common sense."

At least five investigations have, or will soon, be launched as a result.

One Secret Service inquiry aims to get details and accountability regarding the specific incident, and the agency is also looking to bring in outsiders to examine whether this case is symptomatic of broader problems.

The House Oversight Committee's leaders sent a letter to the Secret Service requesting specifics about what happened before, during and after the incident. And after saying he wanted a "minute-by-minute, hour-by-hour account of what happened," King said four investigators from his homeland security panel are looking into the matter and may go to Colombia.

In addition to the Secret Service employees, five members of America's elite Army Special Forces, or Green Berets, plus two people from the Navy, two from the Marines and one from the Air Force are being questioned, a U.S. official said.

The Green Berets' failure to make curfew the night of the incident involving the Secret Service agents led the military to start its own investigation, a U.S. official told CNN. Officials said they are based at Eglin Air Force Base, in Florida's Panhandle, and belong to the 7th Special Forces Group, which operates mostly in Central and South America.

All the military personnel are being investigated for heavy drinking and use of prostitutes while in Colombia as part of the support team for Obama's visit, the official said.

They are not likely to redeploy until the matter is resolved, other military officials said, though no formal order bars their deployment.

The military investigation could end with no action, administrative action like a letter of reprimand or a recommendation to proceed with criminal charges, officials said.

U.S. Rep. Randy Forbes, R-Virginia, has called for Mark Sullivan, the head of the Secret Service, to be among those who lose their jobs in the wake of the incident.

"There's only so many strikes you get, in baseball it's three," said Forbes, a senior member of the House Armed Serves Committee, referencing a 2009 security breach in which a Virginia couple crashed Obama's first White House state dinner, as well as agency's apparent overspending in that same year.

However, King and others came to the defense of Sullivan, who has directed the Secret Service since May 2006 and been with the agency since 1983.

Sen. Patrick Leahy, D-Vermont, said he believes the agency's director is taking "serious action," noting polygraph tests have been administered. And House Oversight Committee Chairman Rep. Darrell Issa, R-California, said he has a high level of confidence in Sullivan.

Sullivan has told subordinates to use "all tools available" to conduct the investigation, one source said.

The Secret Service agents and officers being investigated range in experience from relative newcomers to nearly 20-year veterans, two government officials with knowledge of the investigation said Monday.

Each agent was offered an opportunity to take a polygraph test, according to a U.S. official. Some of the agents and military personnel maintain they didn't know the women were prostitutes, the official said.

Even so, King said, "It was totally wrong to take a foreign national back to a hotel when the president is about to arrive."

While soliciting prostitution is in most cases legal for adults in Colombia, it is considered a breach of the Secret Service's conduct code, government sources said. Military law also bars service members from patronizing prostitutes, engaging in conduct unbecoming an officer or, for enlisted personnel, conduct "prejudicial to good order and discipline."

CNN's Brian Todd, Bob Kovach, John King, Barbara Starr, Dana Bash, Deirdre Walsh, Rafael Romo, Jessica Yellin and Tom Cohen contributed to this report.

@highlight

NEW: Greg Stokes and David Chaney are no longer with the Secret Service, a source says

@highlight

NEW: They were the two supervisors with the Secret Service members in Colombia

@highlight

NEW: Chaney declined to comment to reporters outside his Virginia home

@highlight

8 other Secret Service agents and 10 U.S. troops are also under investigation