Washington (CNN) -- Voting on strictly partisan lines, a House committee recommended Wednesday that Attorney General Eric Holder be cited for contempt of Congress for failing to turn over documents relating to the botched Fast and Furious weapons sting operation.

The vote ended an extraordinary daylong hearing that took place after President Barack Obama asserted executive privilege over some documents sought by the panel investigating Fast and Furious. The White House move means the Department of Justice can withhold some of the documents.

The committee measure now goes to the full House for consideration, expected next week, of what would be an unprecedented action -- Congress holding a sitting attorney general in contempt.

What happens if panel cites Holder for contempt?

"Unless the attorney general re-evaluates his choice and supplies the promised documents, the House will vote to hold him in contempt next week," said a statement by the chamber's Republican leaders. "If, however, Attorney General Holder produces these documents prior to the scheduled vote, we will give the (committee) an opportunity to review in hopes of resolving this issue."

All 23 Republicans on the House Oversight and Government Reform Committee supported the contempt measure, while the 17 Democrats opposed it, reflecting the deep political divide on the issue.

Committee chairman Rep. Darrell Issa, R-California, refused to put off consideration of the measure, saying the White House assertion of executive privilege "falls short" of any reason to delay the hearing.

Executive privilege: A rocky legal and political road in U.S. history

However, Issa said after the hearing that he believes a settlement to avoid an unprecedented contempt vote in the House is "in the best interest of the Justice Department, Congress and those most directly affected by Operation Fast and Furious."

In a statement later Wednesday, Holder called Issa's decision to hold the vote "an election-year tactic" and "an extraordinary, unprecedented and entirely unnecessary action, intended to provoke an avoidable conflict between Congress and the executive branch."

The committee's top Democrat, Rep. Elijah Cummings of Maryland, accused Issa of setting an "impossible standard" for Holder by initially demanding documents the attorney general is legally prohibited from providing. Now Issa has "no interest in resolving" the dispute with Holder, Cummings said.

Wednesday's developments further heightened the drama of a high-profile showdown between Issa and Holder over the Fast and Furious program that dates back to subpoenas issued by the House committee last year.

What do you think of the controversy?

The Bureau of Alcohol, Tobacco, Firearms and Explosives launched Operation Fast and Furious out of Arizona to track weapon purchases by Mexican drug cartels. However, it lost track of more than 1,000 firearms that the agency had allowed straw buyers to carry across the border, and two of the lost weapons turned up at the scene of the 2010 killing of U.S. Border Patrol agent Brian Terry.

Issa's committee is specifically seeking documents that show why the Department of Justice decided to withdraw as inaccurate a February 2011 letter sent to Congress that said top officials had only recently learned about Fast and Furious.

The stalemate over the documents escalated dramatically Wednesday.

CNN senior political analyst and former presidential adviser David Gergen said such dusts-ups are usually resolved by political negotiations.That's not been the case here.

"For a lot of Americans who don't understand the complexities and really don't care about the complexity of this, it is one more illustration ... that Washington is broken," Gergen said.

But the impasse also shows something about Holder's resolve, he told "John King USA."

"He's stiffened his spine," Gergen said. "He has been under pressure to resign from some quarters in the Republican Party. He ain't going anywhere."

Now the question is whether a settlement can be reached before the House vote.

If the House finds Holder in contempt, it is unlikely he will be prosecuted for criminal contempt, according to Alan Morrison, associated dean at George Washington University Law School.

"It would look like terrible overreaching to go for criminal contempt," Morrison said, which carries a penalty of $1,000 and up to one year in prison.

Instead, Morrison said, it is more likely the House would pursue civil prosecution in federal court.

The House committee vote came more than six hours after notice that Obama had asserted executive privilege.

In a letter to Obama seeking that action, Holder said the documents involved related to the Justice Department's "response to congressional oversight and related media inquiries," and that release of internal executive branch documents would have "significant, damaging consequences."

Holder contempt vote could come next week

Holder also said releasing the documents would "inhibit the candor of executive branch deliberations in the future and significantly impair the ability of the executive branch to respond independently and effectively to congressional oversight."

Holder said he offered to turn over some of the documents sought by Issa when they met Tuesday in a final effort to resolve the dispute before Wednesday's hearing. Issa, however, said Holder put unreasonable conditions on his offer.

In a letter to Issa after Tuesday's meeting, Deputy Attorney General James Cole reiterated Holder's position that the documents would show Holder had nothing to hide about his role in Fast and Furious.

Cole noted that the lone point of dispute was whether the February 4, 2011, letter was part of a broader effort to obstruct a congressional investigation. "The answer to that question is an emphatic 'no,' and we have offered the committee the opportunity to satisfy itself that that is so," Cole wrote.

The department says it already has handed over more than 7,000 pages of records to House investigators and that the remaining material Issa wants could jeopardize criminal prosecutions.

Issa and other Republicans on the panel mentioned Brian Terry's death by name in accusing Holder and the Justice Department of trying to stonewall the investigation of what happened.

"The Department of Justice has fought this investigation every step of the way," Issa said.

"At the heart of the congressional investigation into Operation Fast and Furious are disastrous consequences: a murdered Border Patrol Agent, his grieving family seeking answers, countless deaths in Mexico, and the souring effect on our relationship with Mexico," Issa said in a statement. "Congress has not just a right but an obligation to do all that it can to uncover exactly what happened and ensure that it never occurs again. "

See letter to Issa from deputy attorney general (.PDF)

Terry's family issued a statement Wednesday that called for all of the documents sought by the committee to be turned over.

"Our son lost his life protecting this nation, and it is very disappointing that we are now faced with an administration that seems more concerned with protecting themselves rather than revealing the truth behind Operation Fast and Furious," the statement said.

The mother of another federal agent said Wednesday she wants to know the "full truth" about his death.

Immigration and Customs Enforcement Agent Jaime Zapata, who was working for the United States in Mexico, was murdered in February 2011 when his vehicle was ambushed on a highway between Mexico City and Monterrey.

Sen. John Cornyn, R-Texas, last year said he wanted to know if a Texas-based "gun walking" program may have played a role in Zapata's murder. He said one of the weapons used in the slaying was allegedly purchased in Texas and trafficked to Mexico.

"Unfortunately, the situation regarding Fast and Furious as well as other gun-walking operations has been something that has damaged the lives of many," Zapata's mother, Mary, said in a statement. "I would have hoped that transparency would have been a priority so that we, like so many others, could get some answers."

Holder floats 'Fast and Furious' deal with Congress

The Tuesday meeting between Issa and Holder amounted to little more than a reiteration of the positions the two staked out in an exchange of letters the previous week.

"Any claims that the Justice Department has been unresponsive to requests for information are untrue," Holder said, noting he shut Fast and Furious down.

The subpoenas issued last year originally cited a broad array of documents, including wiretap requests and other materials involving confidential sources that Holder argued he was prevented by law from supplying. Issa narrowed the request in negotiations with Holder in recent weeks.

Holder rejects resignation call at heated Senate hearing

Democrats argued the documents demanded by Issa related to internal discussions about responding to the Fast and Furious investigation, rather than the committee's intended purpose of finding out who authorized the failed program.

The party-line division in the panel extended to the portrayal of the Tuesday meeting attended by Holder, Issa, Cummings and others.

Issa and Republicans rejected the conditions of Holder's offer, while Cummings and Democrats said the panel should work with Holder to seek a resolution.

Issa said he was surprised by Obama's action and questioned whether the White House's role in Fast and Furious "has been greater than previously acknowledged."

On the border: Guns, drugs -- and a betrayal of trust

Sen. Charles Grassley of Iowa, the ranking Republican member of the Senate Judiciary Committee, told CNN he previously traced the program only up to the level of an assistant attorney general.

"Now it raises the question of what does the president know and when did he know it by the claim of executive privilege," said Grassley, who participated in Tuesday's meeting.

But Carl Tobias, professor at the University of Richmond's School of Law, said it does not appear Obama was involved with the Fast and Furious program.

"He is trying to protect the prerogatives of the department and the people who work for him," Tobias said of the executive privilege.

CNN senior legal analyst Jeffrey Toobin said that while Holder may be embarrassed, he won't ultimately be found in contempt.

"This is going to be just another political dispute," Toobin told CNN's Anderson Cooper. "If people remember at all, they'll remember 23 Republicans were for it, 17 Democrats were against it."

CNN's Terry Frieden, Deirdre Walsh, Ted Barrett , Allison Brennan and Phil Gast contributed to this report.

@highlight

House leaders say the full chamber could vote on contempt next week

@highlight

A House committee recommends a contempt citation against Attorney General Holder

@highlight

Democrats call the contempt measure unfair and an election year witch hunt

@highlight

At issue are documents the panel seeks on the botched Fast and Furious gun-running sting