(CNN) -- Snow is no surprise in the Northeast and northern Plains states in winter.

But a blizzard? That's something different -- and dangerous.

That's especially a concern when it threatens New York City, with more than 8 million residents and legions of visitors perhaps still stumbling home from Times Square after the Big Apple dropped on New Year's Eve.

As of Wednesday night, New York City was under a winter storm warning, just like many other densely populated communities in parts of eight states.

A stone's throw away in neighboring Long Island -- including in Nassau County, which borders New York -- the National Weather Service has issued a blizzard warning from 6 p.m. Thursday through 1 p.m. Friday because of a forecast marked by 8 to 10 inches of snow, wind chills dipping to 10-below zero and sustained winds up to 35 mph and gusting 10 mph stronger than that.

"Falling and blowing snow with strong winds and poor visibilities are likely," the Weather Service said. "This will lead to whiteout conditions making travel extremely dangerous. Do not travel."

Even if it doesn't officially get socked with a blizzard -- which meteorologists define as three hours or longer of 35 mph winds or more and considerable snow -- New York City should come close. Its forecast calls for about 9 inches of snow, subzero wind chills and winds regularly blowing between 21 and 26 mph, which could test newly inaugurated Mayor Bill de Blasio.

By sheer numbers, other cities are predicted to have it worse.

Albany, New York, could shudder at lows of 11 below and some 14 inches of snow. Boston's temperatures alone (not just the wind chill) should be minus 3 on Friday night, by which time the Hub should have 5 to 11 inches of flakes on the ground. Two days ahead of time, due to the storm, the city called off school for Friday.

Citing likely "near blizzard" conditions Thursday night into late Friday morning, the Massachusetts Emergency Management Agency warned that 1 to 2 feet of fluffy, drifting snow could accumulate in some pockets and that there could be moderate coastal flooding.

The combination of everything -- especially the extreme cold and strong winds -- has homeless shelters at the ready, knowing there may be more people needing their help. Crossroads Rhode Island, for example, expects a number of people will end up sleeping on its floors over the coming days.

"Our main emphasis is getting people inside where it is safer and warmer," said Jennifer Harris, a spokeswoman for the Pine Street Inn shelter system in Boston, where a snow emergency has been declared. "... Pine Street Inn is making sure to have extra staff and food and water. We are geared up to provide to a greater number of people."

Already, wintry weather was hitting parts of the Midwest on Wednesday night in the form of snow in Kansas, Missouri and Illinois. The weather contributed to nearly 600 flight cancellations in and out of Chicago's O'Hare International Airport -- more than half the total for all the United States, according to airline tracking website FlightAware -- and it should get worse, with 5 to 9 inches of snow forecast for Thursday.

And parts of the northern United States should get even colder, somehow, as the week rolls along.

Green Bay's beloved Packers will welcome the San Francisco 49ers to Wisconsin, where low temperatures could bottom out Sunday night around at minus 17. It will be relatively balmy Sunday in Cincinnati, Ohio, but potentially a lot wetter with snow and rain possible when the city's Bengals host the San Diego Chargers in another NFL playoff match-up.

Of course, while the players might not have a choice, fans don't have to brave the cold for either game. The big worries are for those who travel in the coming days. Authorities in New York, for example, say they may shut down the Long Island Expressway if whiteout conditions make driving along the east-west highway too perilous.

Kevin Willims isn't taking any chances, nor is he predicting a world-ending storm. The New Yorker said that he plans to sit tight and let Mother Nature do her thing.

"There's not much you can do," said Willims. "When it's snowing and these streets lock up, there's really no where you can go, so it's best to just stay in."

CNN's Lorenzo Ferrigno contributed to this report.

@highlight

NEW: Boston declares a snow emergency because of coming snow

@highlight

Long Island faces a blizzard warning; NYC may get 10 inches of snow, sub-zero wind chills

@highlight

Much of New England is also bracing for a powerful winter storm

@highlight

Temperatures will be below zero in many locations, in addition to strong winds