(CNN) -- Over the past few weeks, politicians who have taken a hard-line stance against insurance coverage for contraception are offering a new alternative: make birth control available over the counter. At first glance, this appears to be a welcome shift, a reflection of the growing support for making birth control available to more women.

It's not. When health insurance doesn't cover birth control and women have to pay out of pocket at the drugstore, it won't expand access to birth control but shrink it.

Thanks to the Affordable Care Act, more than 48 million women in the U.S. are eligible for preventive care, including birth control, with no co-pay. We're not just talking about the pill; we are talking about the full range of contraceptive methods approved by the Food and Drug Administration. That's 48 million women who are able to go to the pharmacy or a doctor's office and get birth control with no out-of-pocket costs. In the first full year of the birth control benefit, American women saved $483 million more (PDF).

So when politicians who have otherwise embraced policies that would drag women back to the 1950s suggest making birth control available over the counter instead of covering it in insurance plans, they're not experiencing a change of heart.

They're suggesting something that would take us back to the days when women had to pay out-of-pocket for their prescriptions, making birth control harder to get for many women, not least women who use birth control methods that simply cannot be stocked on store shelves, like IUDs, one of the most effective (and expensive) forms of long-acting birth control.

Offering over-the-counter birth control instead of insurance coverage for birth control amounts to a $483 million tax on women.

Let's get one thing clear: More access to birth control is a good thing. That's why Planned Parenthood was founded nearly 100 years ago -- and it's why a full range of women's preventive care, including birth control, is now covered under the Affordable Care Act.

Planned Parenthood, the American Medical Association and the American College of Obstetrics and Gynecology agree with virtually every other mainstream health care provider and expert in this country: Birth control should be more available. Planned Parenthood has been fighting to expand access to birth control for nearly 100 years. We support making it available over the counter, in addition to requiring insurance plans to cover it -- but not instead of requiring no co-pay coverage. Women deserve both/and, not either/or.

When America's leading doctors and scientists sat down last year to identify the top 10 public health achievements of the 20th century, here's what made the list: reducing heart disease, fluoride in drinking water, identifying the risks of tobacco, vaccines for a host of epidemics -- and birth control.

That's because for women, the ability to decide whether and when to have children has changed everything. Thanks to birth control, more women are able to get an education, finish school and pursue careers. Women are now making more money (though we still have a ways to go on that front) and are represented in higher numbers in the work force.

In the decades since birth control became widely available, child mortality declined and health outcomes improved for women, infants and children. For women, birth control isn't a controversial topic or a political bargaining chip; it's basic health care, and it's only a "social issue" if you've never had to pay for it. That's why insurance coverage for birth control is so revolutionary -- and necessary.

Let's get one thing clear: More access to birth control is a good thing.

Back when Congress was figuring out what should and shouldn't be included as part of health reform, the nonpartisan Institute of Medicine was asked to develop recommendations for women's health benefits that absolutely had to be in. The Institute recommended that insurance cover eight critical women's health services, including breastfeeding counseling and supplies, HIV screening, domestic violence services -- and birth control.

Sensing a theme?

The bottom line: Political proposals to make birth control available over the counter have less to do with access and more to do with the price tag, which they want women to cover out of pocket. We don't have time or energy to waste on political games, not when roughly half of all pregnancies in the United States are unintended and too many women still struggle to get the health care they need.

At Planned Parenthood, we are eager to work with anyone who has an idea that would make birth control more readily available to women. So to these politicians: Come see us when you're really ready to talk, and let's see if we can come up with the next great advance in women's health.

@highlight

Cecile Richards: Politicians' push for over-the-counter birth control is not good news

@highlight

Hardliners against coverage for contraception want women to pay out of pocket, she says

@highlight

She says it would make birth control less available; things like IUDs couldn't be over counter

@highlight

Richards: Proposal, aimed at thwarting Obamacare, amounts to $483 million tax on women