(CNN) -- Taken at face value, a Barack Obama presidency should be a big deal for Africa.

On Election Day I attended an all-nighter organized in Lagos by the U.S. Diplomatic Mission to celebrate America's democracy. Two large screens relayed CNN's coverage while a succession of speakers -- including a recently re-elected Nigerian governor -- took to the stage to reflect on America and its democratic ideals.

Outside the hall sat a mock polling booth, where guests filled a ballot paper and dropped it in a box, watched over by life-size cardboard cut-outs of the two contenders.

In the early hours of the morning the results were tallied and announced. Obama took 219 Nigerian votes, to Mitt Romney's 30.

A friend standing with me when the results were announced couldn't help wondering aloud who those 30 people were who had chosen Romney over Obama.

As I pointed out in a recent CNN piece, Nigerians, like the rest of sub-Saharan Africa, have an "instinctive fondness" for Mr. Obama, and for an obvious reason: he is a "son" of the continent -- his father was born in Kenya; his grandmother still lives there.

Just before I left the event, a friend observed that he still hadn't found a single Nigerian who could point to any reason why they were rooting for Obama, beyond his African roots.

That obsession with Obama appears to obscure the fact that his predecessor -- the white, Republican George W. Bush -- demonstrated a more obvious commitment to the continent during his first presidential term.

In 2003, a few months after the U.S. invasion of Iraq, Bush signed into law a bill establishing the U.S. President's Emergency Plan for AIDS Relief (PEPFAR), in fulfilment of a promise made during his State of the Union Address earlier that year.

Under the terms of the plan, Bush pledged $15 billion towards fighting HIV/AIDS. In 2008 he renewed the commitment for another five years.

Before him, President Bill Clinton -- honored by the Congressional Black Caucus, months after he left office, as America's "first Black President" -- created the African Growth and Opportunities Act (AGOA), a landmark piece of legislation that opened up American markets to African countries.

Obama, on the other hand, has demonstrated what has been interpreted as a studied detachment towards sub-Saharan Africa. His only visit in his first four years, to Ghana in 2009, lasted less than 24 hours.

Dr. Folarin Gbadebo-Smith, Director of the Lagos-based Centre for Public Policy Analysis, argues that Obama is in a "conflicted position" -- compelled to exercise caution in his engagement with Africa "for fear that such a position will become ammunition in the hands of the lunatic right, Tea Party types and those who insist he is not an American and is really a Muslim."

But if the affection of the continent towards Mr. Obama -- at an all time high in 2008 when he first took office -- has cooled in the last few years (ostensibly as a response to his perceived nonchalance), his re-election appears to have reawakened the enthusiasm.

"We look forward to the deepening of relations between our two countries during your second term in office," Kenyan President Mwai Kibaki said in a congratulatory message. From Nigeria came a message by a presidential spokesperson, saying "President Jonathan looks forward to continuing to build on Nigeria and Africa's developmental collaboration with the United States in the next four years."

With the pressure of re-election now gone, Smith says "the second term would be a more opportune time for Obama to work with Africa."

While Michelle Obama visited the continent in 2011, the least that many Africans will be expecting from Obama during his second term would be a powerfully symbolic visit of his own to Africa.

But that trip, if it ever happens, would be the easiest of the Africa-focused tasks in the Oval Office in-tray. And it would also do little to clarify the monumental complexity of dealing with a rapidly changing African landscape.

For one, there's China's aggressive engagement with the continent, which appears to be happening at the expense of countries like America.

In 2009, Obama's first year in office, China overtook America as Africa's largest trading partner. America's discomfiture with that state of affairs bubbled to the surface most recently last August, when Secretary of State Hillary Clinton, during a visit to Senegal, lamented that "the days of having outsiders come and extract the wealth of Africa for themselves, leaving nothing or very little behind, should be over in the 21st century."

There is also the aftermath of the Arab Spring. The murder of the U.S. Ambassador to Libya is evidence of how much things have changed in the region in the last two years.

And then there is the rise of extremist Islam in West Africa. In January 2009, Hillary Clinton told a U.S. Senate committee that "combating al Qaeda's efforts to seek safe havens in failed states in the Horn of Africa" would be a key part of America's Africa policy.

The years since then have seen the rise of Boko Haram in Nigeria, Africa's most populous nation, and of extremists in Northern Mali.

Last June, the White House unveiled a new sub-Saharan Africa strategy built around four "objectives": Democracy, Trade & Investment, Peace & Security, and Development. But it remains to be seen whether Obama will unveil an Africa project on a scale comparable to AGOA and PEPFAR.

Not that he is obliged to, anyway.

And with the American economy still in dire straits, and requiring full time attention, he is unlikely to get much backslapping at home for expending his energy on matters that have no direct bearing on America's near future.

The opinions expressed in this piece are solely those of Tolu Ogunlesi.

@highlight

Obama, "son" of Africa, remains hugely popular on the continent

@highlight

Ogunlesi: George W. Bush showed more commitment to Africa in first term than Obama

@highlight

Obama unlikely to see U.S. political benefit in launching African aid programs