Los Angeles (CNN)Here is a look at some of the strongest potential contenders to replace California Sen. Barbara Boxer, who announced this week that she will not run for re-election in 2016. Boxer and Sen. Dianne Feinstein have held the state's two Senate seats for more than two decades, setting up a potentially wild scramble for Boxer's seat. California's Republican Party has been decimated in recent years -- with no obvious GOP candidate emerging. But the state's top-two primary system could well lead to a Democrat vs. Democrat runoff in November of 2016.

KAMALA HARRIS

Kamala Harris, a former San Francisco District Attorney, replaced then-Attorney Gen. Jerry Brown in 2010, filling a job that is one of the best stepping stones to higher office in this state. In that post, she continued her longtime focus on reducing recidivism and truancy, and won accolades for vigorously pursuing banks accused of foreclosing properties on homeowners without following procedures. At the same time, critics have said she has been too cautious in taking positions on controversial issues like the legalization of marijuana.

The daughter of a Jamaican-American father and an Indian-American mother, Harris has gained national notice and enjoyed a strong friendship with President Barack Obama, who could help her raise money for a bid.  At a 2013 fundraiser, Obama called her "brilliant," "dedicated" and "tough" before joking that she was "by far the best-looking attorney general in the country." (He later apologized, and she expressed her strong support for him through a spokesman).

Barbara Boxer's retirement sets off wild scramble

During her six years as San Francisco's district attorney, Harris faced criticism because of her opposition to capital punishment. She infuriated many police officers when she refused to pursue the death penalty in 2004 for the suspect who gunned down Officer Isaac Espinoza with an AK-47. But when she ran for attorney general, she said she would enforce the state's law. She followed through last year when she announced that she would challenge a federal judge's decision declaring California's death penalty unconstitutional.

GAVIN NEWSOM

Lt. Gov. Gavin Newsom is best known for touching off a national firestorm in 2004 by issuing marriage licenses to same-sex couples as mayor of San Francisco. Denying gay men and women that right, he told CNN in 2004, was "wrong and inconsistent with the values this country holds dear."  He added that he was willing to end his political career over the issue. Instead, the decision helped him develop a strong fundraising base among advocates of LGBT rights in California.

Newsom is now serving his second term as lieutenant governor -- an office with limited powers that has made it more difficult for him to directly influence policy. But as a member of the UC Board of Regents, he has tried to block tuition hikes and develop proposals to improve higher education -- endearing him to the younger generation of Californians.

He has also outlined his agenda to reinvigorate the state's manufacturing base and enhance the work force, as well as ideas to reduce homelessness, which he tackled as San Francisco's mayor. When he left that office in 2010, Newsom claimed he had reduced the level of homelessness in San Francisco by 40% over his tenure, by moving many of them into supportive housing. Newsom proposed an interagency council on the homeless to Gov. Jerry Brown after taking his No. 2 post, but got nowhere.

Pelosi on Boxer retirement: 'What?'

Newsom and Brown have had a notably frosty relationship over the years. When Newsom briefly ran for governor in 2009, he told Democratic delegates at a state convention that he represented the party's future and compared a vote for Brown (who had not yet announced) to a "stroll down memory lane."  With Brown in the wings, Newsom struggled to raise money and withdrew from the race.

ANTONIO VILLARAIGOSA

Villaraigosa's long career in the public eye has included stints as a union organizer, speaker of the California Assembly and most recently mayor of Los Angeles between 2005 and 2013. His deep roots within Southern California's Latino community boosted his margins in each of his campaigns, and would give him a notable edge in a statewide race.

He was a controversial figure as a mayor -- often criticized for having big ambitions and limited follow through. But he presided over a drop in violent crime and major initiatives to make the city more energy-efficient. Most notably, he doggedly pursued funding to improve Los Angeles' woefully incomplete public transit system. He championed a 2008 voter initiative for a half-cent sales tax increase over 30 years that accelerated funding for expanding rail networks around Los Angeles County, as well as LA's long-awaited "Subway to the Sea." (For now, that line won't actually make it all the way to the ocean, but construction recently began on the extension that will run to Westwood by 2035).

Ironically, the battles that Villaraigosa took on during his time as mayor might endear him to some independent voters in California, but have complicated his relationship with labor groups (whose financial support and manpower cannot be underestimated in an expensive statewide race).

Though Villaraigosa was once an organizer for the United Teachers of Los Angeles, he engaged in a bitter battle with the teachers' union as he tried unsuccessfully to assert control over the troubled L.A. Unified School District.  His relationship with city employee unions also suffered during the city's financial crisis after the recession when he tangled with city workers over raises, layoffs and what he viewed as much-needed pension reforms.

TOM STEYER

Tom Steyer, the billionaire investor who spent more than $74 million -- much of it his own money -- during the 2014 midterms to try to make climate change a key issue, is one of the few potential contenders who could fund his own bid for Boxer's Senate seat. Forbes has estimated the net worth of the former hedge fund manager at $1.6 billion. He and his wife, Kat, have pledged to give away the bulk of their fortune to philanthropic and public interest causes.

Steyer's enormous investment in the midterms through his Nextgen Climate Action Committee had little demonstrable success in what turned out to be a Republican wave in November. But the Democratic activist has dismissed the notion that Republican gains last year would discourage him from future political endeavors.

He told the Los Angeles Times after the election that he felt "great" about what his organization had been able to do.

"We set out to put climate on the ballot in a bunch of states, to build an organization and to build a relationship with a bunch of voters," Steyer said.

He has said he is committed to advancing his agenda over several election cycles.

While Steyer may be weighing a run for Boxer's seat, he is also intrigued by the possibility of running for governor when Brown leaves office in 2018.

@highlight

Several key Democrats could enter race with a strong fundraising advantage

@highlight

With thin GOP field, California could see runoff between two Democrats

@highlight

Billionaire Tom Steyer could scramble race with ability to self-fund