(CNN) -- There is no shortage of amazing industrial commercial applications for 3-D printing -- internal organs, stem cells, artificial limbs, art, cars, customizable furniture.

But if you had a 3-D printer sitting on your desk at home, what would you make?

Some people know immediately: They'd create physical Minecraft models, make manga figurines, pop out replacement parts for a motorcycle. But most people will likely see a 3-D printer, think it's cool, then have no idea what to do next and move on.

That could change, though, as dirt-cheap 3-D printers like the Printrbot or new MakiBox simplify the technology and put it in more people's hands and home offices.

"The market for desktop 3-D printers right now is really makers, professional users and people who have a lot of patience and time," said Jonathan Buford, the entrepreneur behind the $200 MakiBox 3-D printer.

The MakiBox attempts to simplify 3-D printing for a more consumer-friendly experience, by lowering the price and reducing the complexity of assembling the devices and minting objects. Amateurs, basement inventors and hobbyists with no experience printing in three dimensions can jump right in and start experimenting with minimal investment.

There are trade-offs, of course. The $200 version uses only the less expensive PLA plastic, which can melt at a lower temperature than other materials. A $300 version of the printer is available that can work with more substances. The final products will be a step down from what you could make with more professional machines.

"We're not optimizing on quality because we think there's actually room for 'good enough,'" said Buford.

The idea for MakiBox grew out of the Makible crowdfunding site. The project's goal was to connect the dots between product prototypes, crowdfunding, and the eventual manufacturing process. Say a product designer comes up with an idea for a pedometer armband. He could raise money from interested mall-walkers, then be guided through the product manufacturing process.

Buford has unique experience in all three areas. Based in Hong Kong, he studied mechanical engineering at Carnegie Mellon University and has worked as a toy designer.

In 2005, he struck out on his own, crowdfunding a product before starting a co-working space in Hong Hong called Boot.hk. He launched Makible in 2011.

To get the ball rolling and generate interest in the site, Makible posted a seed project the team had been working on internally: a cheap and fast 3-D printer. Posted in January 2012, the MakiBox kit was priced at $350 and aimed at entry-level consumers who didn't want to drop thousands of dollars on a higher-end desktop 3-D printer like the MakerBot Replicator ($2,000).

It quickly raised $100,000, and the team pushed aside the crowdsourcing idea to work full time on the 3-D printer.

Now a staff of six full-time employees is perfecting and shipping beta versions of the MakiBox A6 for $200, feeling out the nascent market for cheap 3-D printers.

Buford thinks that if the technology becomes more accessible, creative people will come up with broader applications we haven't thought of yet, and desktop 3-D printer sales could take off.

Or the 3-D printer could go the way of the home photo printer. When personal photo printers first debuted, there was a spike in sales, but slowly the demand dropped. People weren't printing out as many photos, and if they did it was generally cheaper and easier to have them done by one of the photo services with higher-end printers, such as Wal-Mart or Shutterfly.

Staples has already announced plans to offer 3-D printing services in some stores.

"I'm not really sure there is an established market for this or that people do know what they're going to use it for," said Buford. "It's a Wild West market right now; we don't really know where it's going to end up."

Over the next six months, Buford plans to contine rolling out the MaxiBox while also returning to the idea of connecting engineers, inventors and product developers to the sometimes confusing world of manufacturing. He's already seeing a surge in everyday devices that connect to the Internet and is working with local entrepreneurs in Hong Kong.

"What we're looking at doing is developing tech that bridges that gap between traditional manufacturing and 3-D printing," Buford said.

Part-time inventors experimenting on cheap 3-D printers might be the next wave of people seeking out his help.

@highlight

New desktop 3-D printers are dropping in price and getting easier to use

@highlight

Makers of the $200 MakiBox think there's a market for "good enough" printers

@highlight

If more people get their hands on 3-D printing, interesting new uses could pop up