(CNN)  -- NASA plans to launch next week the first of 17 planned flights to study changes in Antarctic ice and collect data that may help scientists better predict the consequences of those changes, officials said Thursday.

Antarctica's Larsen Ice Shelf, viewed from NASA's DC-8 aircraft in 2004, is one target of the 2009 operation.

The first flight over the Antarctic is planned to take off October 15 from Punta Arenas, Chile, according to a NASA statement and scientists involved in the project. The flights are part of "Operation Ice Bridge," a six-year plan described as the largest ever airborne survey of ice at Earth's poles.

"We have operated in Antarctica a few times previously ... but these surveys barely scratched the surface," William Krabill of NASA's Wallops Flight Facility told reporters on a conference call Thursday.

The flights will be conducted by a DC-8 outfitted as a special airborne laboratory with laser mapping instruments, ice-penetrating radar and gravity instruments.

The flights will be able to gather information that a satellite cannot.

"The problem with satellites is, we can't see through the ice sheet with satellites," said Robin Bell, a scientist at Columbia University's Lamont-Doherty Earth Observatory who also is involved in the project. She said the technology carried on the plane will provide researchers a chance to address questions regarding why the ice sheet is changing.

"We really want to know how much water is under the ice sheet," she said. The technology will allow scientists to detect that water and see how much is present under the ice.

That information, according to the NASA statement, can help predict how changes in the ice sheet will contribute to a potential global rise in sea levels.

But officials said the flights also will serve as a partial replacement for one satellite: NASA's Ice, Cloud and Land Elevation Satellite, known as ICESat. The current ICESat has been in orbit since 2003 and is nearing the end of its lifetime. The next satellite, ICESat-II, is scheduled to launch in 2014 at the earliest.

Without the flight measurements, "we would be blind" to changes in the ice sheet, said the mission leader, Seelye Martin of the University of Washington in Seattle. He also was on Thursday's call.

In the NASA statement, Tom Wagner, cryosphere program manager at NASA headquarters, said, "A remarkable change is happening on Earth, truly one of the biggest changes in environmental conditions since the end of the ice age. It's not an easy thing to observe, let alone predict what might happen next. Studies like 'Ice Bridge' are key."

"Cryosphere" refers to the regions of the Earth's surface where ice predominates.

Because flights cannot cover the entire Antarctic continent, scientists have selected key sites to study that are most prone to change, NASA said.

"Sea ice measurements will be collected from the Amundsen Sea, where local warming suggests the ice may be thinning," the statement said. "Ice sheet and glacier studies will be flown over the Antarctic Peninsula and West Antarctica, including Pine Island Glacier, an area scientists believe could undergo rapid changes."

@highlight

First flight over Antarctic scheduled to take off October 15 from Punta Arenas, Chile

@highlight

Technology onboard will help answer why the ice sheet is changing

@highlight

Data will help predict how changes might contribute to a global rise in sea levels