South African wines have long been appreciated by even the snobbiest of sommeliers, and now harder drinks from the country are also making a name for themselves.

Spirits from South Africa are winning awards around the world, and a little more than an hour from Cape Town, lies a region -- rich in herbs and grain -- that could explain the secret to that success.

"The Western Cape I think is the ideal place to make spirits," says Jeff Green, the process manager at the James Sedgewick Distillery, known for its Bain's Cape Mountain Whisky -- the country's first single grain whisky.

"We make whisky the same way as Scotland," explains Green, "but that is not necessarily the same throughout the world. You can get so many different flavors and styles."

Supplementary spirits

And whisky isn't the only alcoholic fruit from this region. Even within the Western Cape there's a variety of tastes from the grapes and the way they are distilled.

Paarl is one area that has grown grapes for centuries, and is the home of prolific brandy makers KWV.

"We've got the 12-year old, it's one of my favorites," explains Peadar Hegarty, marketing manager at KWV. "You look at the color, it's nice and amber, it's got that nice glow to it."

Bitter brandy

Though brandy-making has been a main endeavor, the company is branching out.

"Brandy in South Africa actually carries a bit of stigma," Hegarty explains.  He says that at its peak South Africa produced 55 million liters, but that has now declined to less than 30 million liters. "That volume has practically gone almost completely into whisky," says Hegarty.

This shift is partly due to aspects of the drink that can't be tasted. Hegarty says South African consumers are looking for the image associated with high quality -- and they are willing to pay for that.

When brandy failed to take off with these drinkers, the company turned to cognac -- a bold move considering the drink can only come from France.

"Really, the only difference between cognac and brandy is the region it comes from," says Hegarty. "To be called a cognac, your grapes have to be picked in Cognac, in the western region of France, and you've got to bottle and mature in Cognac. So what we did is we formed a unique partnership with a cognac house and now we're the first South African company to brand and then sell Cognac."

But in bringing the South African touch to Cognac, KWV isn't just trying to offer new bottles and tastes. The company's CEO, Andre van der Veen, is focused on broadening their consumer base.

"You can start with a three-year old KWV brandy, but you can drink all the way up to a 30-year-old and then we got a cognac," Van der Veen explains. "We want to give people an experience for any drinking occasion," he continues. "[It is] not for every pocket, but for every occasion there should be a product which you could enjoy."

Wide whisky world

Bringing the celebrated French drink to South Africa may be one way for a South African brand to grow its market share, but some South African whisky makers are looking to other markets for growth.

"We are slowly exporting," explains Green from James Sedgewick Distillery. "In Africa, it's quite exciting for us, we see Bain's [whisky] having a huge potential there, and we also are releasing small volumes in Canada and the UK."

And there is some evidence forays into foreign territories could prove successful. The South African "Three Ships" bourbon was awarded a gold medal at this year's China Wine and Spirits competition, the first South African whisky to do so.

But if brands like these want to make a dent in the wider African market, they are going up against big competition.

According to the Scotch Whisky Association, exports of Scotch to Nigeria increased by 34% to £6.6 million ($10.3 million) in the first half of this year. But this isn't the only African country enjoying a sip of the golden nectar. Exports to Kenya in the same period jumped by 89% to £253,386 and the Senegalese market grew 68% to £326,386.

In fact, Daniel Mettyear, market analyst at International Wine & Spirit Research, describes the South African whisky market as "miniscule" in the global picture, making up just 0.21% of global exports in 2013.

"While South African whisky has been growing in recent years it has almost exclusively been taking place in South Africa," he explains. "Producers like Distell are beginning to export to the rest of sub-Saharan Africa and this may be the one region where South African whisky can enjoy some success. However ... this will be limited by competition from Scotch, U.S. and Irish Whiskey at the top and cheap but hugely successful Indian Whiskies at the bottom."

Small scale production

Yet, such questions of worldwide expansion are less of a worry for some of South Africa's enthusiastic independent producers chasing that perfect blend rather than bumper profits.

Part botanist, part foodie, Rodger Jorgensen makes gin, absinthe, vodka and more on the fringes of the Haweqwa Nature Reserve.

"We are blessed with a wonderful climate ample water here in the Western Cape so it's like a growth paradise," Jorgensen explains.

"What we try to do is to allow our products that come through our hand on process, to actually express that and we want to represent where we live...people are drawn to that and we try and keep our offering as fresh and as varied as we possibly can. And that in itself is a joy."

More from Marketplace AfricaRead this: Fish farm links Lesotho with Japanese chefsRead this: Seychelles seeks beach-goers

@highlight

Climate conditions make the Western Cape well positioned to grow grain for

@highlight

South Africa once produced 55 million liters of brandy, but it has declined to less than 30 million liters

@highlight

In the year ending June 2014, Scotch exports to South Africa fell by 10%

@highlight

South African whisky made up 0.21% of global exports in 2013