(CNN) -- Has our generation become the victim of too much information?

That's something to ponder as you update your Facebook status, answer your smartphone, glance at the TV and flip through the morning paper, with the radio blaring in the background.

Bestselling author James Gleick has studied information -- from the invention of scripts and alphabets, to talking drums in Africa -- for his new book "The Information".

"Chaos," also written by the former reporter and editor for The New York Times, helped turn the "Butterfly Effect" into a household phrase. Gleick was also short-listed for the Pulitzer Prize for his biographies of Richard Feynman and Isaac Newton.

CNN recently talked to the author about his latest book and the following is an edited transcript.

CNN: For a nonscientist, how would you answer the question, "What is information?" And how has that definition changed over history?

James Gleick: Luckily, we have the Oxford English Dictionary to help us. Unluckily, their definition is now pushing 10,000 words (as I discuss here).

The important change -- really, the impetus for my book -- is that there is a scientific definition. It is a mathematical quantity, measured in bits and divorced from any notion of meaning. That was new as of the middle of the last century, and we can think of it as the official beginning of the information age.

But we still need a human definition, too; now more than ever. For us, information includes words and sounds and pictures; paint on cave walls and ink on paper and smoke signals in the air. What is information? Information is how we know.

CNN: Your book explains the concept of information using examples from around the world, from ancient history to present day. Did you develop any favorite cultures or figures as you wrote the book?

Gleick: I'm probably not supposed to have a favorite person, but I do. I kind of fell in love with Ada Byron -- the daughter of the poet and a closet mathematician. She is a tragic figure, because she died an early and painful death and because she was a person living in the wrong time: a truly brilliant mathematician whose talents could not have been recognized until a century later.

CNN: You say that technology does not define the information age, that it's the idea of information itself that's new. Can you explain the difference?

Gleick: It's tempting to think the Information Age is about the very visible devices that are all around us, on our desks and in our pockets, profoundly changing the pacing and the flavor of our lives, but technology is just technology. What matters is communication -- one-to-many and one-to-one.

We are aware of information as a big, general thing, but that wasn't always the case.

CNN: You talk about an "information flood." Do we understand information better today than in our past, or is there just more of it to learn and consume?

Gleick: Both. When I started writing the book, seven years ago, the initials T.M.I. stood for "transmarginal inhibition" or "Texas Military Institute" or "Three Mile Island."

I don't need to tell you what TMI means now; every teenager knows. Yet it's a paradox: how can there be too much information when information is what we want, what we value, what we live for? We feel deluged -- unable to process it all, unable to find knowledge.

CNN: You've gone from writing about "Chaos" to "The Information," these books feel related, like you've completed a circle. Agree, disagree?

Gleick: Agree. (With perhaps a question mark on the word "completed.") It was from chaos theorists, 20 years ago, that I first heard the words "information theory." The connections between chaos and information are many and deep.

One bridge is the notion of complexity itself. How do you measure complexity? It turns out that the complexity of a system is defined (and this is not a metaphor; it is mathematically exact) by the amount of information it contains.

CNN: Any thoughts on what you want to tackle next?

Gleick: A book! Only next time maybe a small one.

@highlight

James Gleick wrote a new book "The Information" about history of information

@highlight

Says scientific definition of information is a mathematical quantity, measured in bits

@highlight

"Chaos" author also says that for humans, information is how we know something

@highlight

Gleick says the actual communication is more important than devices used to communicate