LONDON, England (CNN) -- Rare images of an African animal so elusive that it was once believed to be mythical have been released.

One of the first pictures of the elusive okapi was taken by camera trap.

The okapi is a shy animal related to the giraffe, with zebra-like stripes on its rear. It is native to the tropical rainforests of Africa but is now known to live only in the Democratic Republic of the Congo.

Okapis were last seen in the DRC 50 years ago, and the images are the first to capture the animal in the wild.

"To have captured the first-ever photographs of such a charismatic creature is amazing," said Noelle Kumpel, manager of the Bushmeat and Forests Conservation Program at the Zoological Society of London, which took the pictures.

"Okapi are very shy and rare animals, which is why conventional surveys only tend to record droppings and other signs of their presence."

The okapi's face and long legs resemble those of the giraffe, their closest-living relative, but they look more like horses with long necks. The average height of their shoulders is 1.6 meters (5 feet, 3 inches), the ZSL says.

They have a short, dense, velvety coat and dark prehensile tongue long enough to clean their own eyelids and ears.

The new pictures show the okapi in the foliage of the DRC's Virunga National Park, where decades of economic collapse and armed conflict have threatened the diverse wildlife.

In one image, an okapi looks curiously toward the camera amid the green trees and groundcover. Its large ears, dark nose, and zebra stripes are clearly visible.

The next shot shows the okapi walking away from the camera, giving a clear view of its striking black-and-white stripes on its rear legs.

A third image released by ZSL was taken at night and gives a vivid side view of the animal.

"The photographs clearly show the stripes on their rear, which act like unique fingerprints," said Theirry Lusenge, a key member of ZSL's survey team in the DRC. "We have already identified three individuals, and further survey work will enable us to estimate population numbers and distribution in and around the park, which is a critical first step in targeting conservation efforts."

ZSL said the images prove the okapi still thrives in the park despite threats to its survival, which include poaching, deforestation, military camps inside the park, and the influx of refugees at the park's borders.

The animal's exact status is still a mystery, however, and it remains under threat, the ZSL said. Okapi meat reportedly poached from the park is now regularly on sale at the nearby town of Beni -- and if hunting continues at the same rate, okapi could become extinct within the park within a few years, the ZSL said.

The Virunga National Park is one of only three protected areas the okapi are known to inhabit, the ZSL said.

The ZSL's study of the okapi is part of a larger EU-funded conservation project in the park. Though focused on okapi, the study has also managed to find other species including shrews and duikers, a kind of antelope, a ZSL spokeswoman said.

The study involved 18 cameras set up around the park by the ZSL and the Congolese Institute for Nature Conservation, the spokeswoman said.

The announcement comes a month after another group of researchers reported finding thousands of previously-unknown gorillas in the neighboring Republic of Congo.

The U.S.-based Wildlife Conservation Society said in August they had found 125,000 Western lowland gorillas living in a swamp in northern Congo, adding significantly to the existing worldwide population of the threatened species.

Okapi were well known by Africans for centuries but the animal remained elusive, thanks to its acute hearing and effective camouflage, according to The National Zoological Gardens of South Africa.

Nineteenth-century explorers sometimes caught a fleeting glimpse of the okapi's striped backside as it ran through the forest, leading to speculation that it was a kind of zebra, the National Zoological Gardens says. It was known to the pygmy as a sacred animal.

Still, the okapi remained unknown to the Western world until the early 20th century, when British explorer Harry Johnston went to Congo and sent a complete skin and skull back to Britain, the ZSL said.

@highlight

African animal so elusive it was once believed to be mythical is photographed

@highlight

Okapi is shy animal related to the giraffe, with zebra-like stripes on its rear

@highlight

Animal is now known to live only in the Democratic Republic of the Congo