(CNN) -- When Mississippi attorney Tim Holleman was approached by furious community officials in Gulfport to stop BP and its contractor from dumping tar balls and oil-stained byproducts into a local landfill, he sent out an e-mail asking if there were alternatives to deal with the waste.

At least five companies replied, offering possible ways to reuse or recycle the oily waste -- an option that BP has yet to implement in its cleanup efforts of what scientists now say is the largest accidental release of oil into water in history.

Instead, tar balls, oily sand and vegetation, and soiled gloves and suits from the thousands of temporary BP workers who've been working to clean up beaches along the Gulf of Mexico are being dumped in landfills along the Gulf Coast.

BP has collected close to 40,000 tons of "oily solid" waste from the cleanup activities.

All the dumping has sparked enough consternation among the community in Harrison County, Mississippi, where the Pecan Grove Landfill is based, that the board of supervisors there even passed a resolution this summer not to accept BP waste. Residents there worried that the estimated 1,200 tons of oil-tainted byproducts dumped at the landfill would contaminate its soil and water.

"We're left to deal with it 15, 20 years later if and when this landfill has a problem. BP is long gone, and we're stuck with the problem. Nobody is going to say I'm sorry," Holleman said. But if the solid waste is not dumped, where can it go?

Waste Oil Collectors Inc. of Gautier, Mississippi, was among those who wrote back to Holleman, describing a process in which the oil waste can be shredded into uniform bits and then heated to 2,500 degrees in a kiln. That recovers energy from the waste and breaks it down into mineral components, some of which can be used in asphalt.

Another local engineering firm proposed the use of a sand agitator, which "cooks" and separates sand from the tar balls collected on beaches. The two products are then further processed, turning the emulsion into a recycled sand product that can be returned to the beach, while the oil product can be accumulated, sold and reused.

Bobby Knesal, owner of the firm, is partnering with several other companies and hopes to bring the agitator to the Gulf Coast.

"This is a technology that's not new to the oil industry," he said. "It's what they do every day, but they've never done it on a volume of a sand beach."

Knesal said he is waiting for state environmental officials to tell him to what extent he must treat the processed sand before it can be returned to the beaches.

Others say their products have been tried and tested and are good to go. Russell Markesberry, president of Hydra-tone Chemicals, also got in touch with Holleman and proposed the use of a coconut oil-based detergent that can be sprayed to clean booms or oil washed ashore on beaches and marshes.

The organic compounds in the detergent bond with the oil and form a biodiesel fuel that can be resold, he said. The rest of the detergent combines with seawater and can be drained into an industrial waste treatment plant, where it biodegrades in a month. Booms can then be redeployed.

Holleman said he has forwarded the proposals to representatives from BP and from Waste Management, the Mississippi company that owns and operates the landfill, but they fell on deaf ears. "I didn't get a response from them, that's part of the problem," he said.

The bigger problem, Holleman said, is how BP has been dealing with the oil waste from the very start. Dumping the waste in landfills is the "least preferred" option under a series of disposal methods outlined under the 34-page waste management plan from Unified Command, the federal agencies overseeing the cleanup efforts.

The "most preferred" option is to reduce the generation of waste in the first place, something BP and Waste Management said they have tried to do. Following that comes "reuse," "recycling" and "treatment." Last on the list is "dispose."

"It is a priority ... to implement recycling and reuse for the generated waste," the plan states.

"As far as we've been able to determine, they jumped right to the least preferred method of disposal rather than looking at alternatives that don't leave it in the landfill, that don't need to be dealt with in the next 20 years," Holleman said.

Dumping is the easiest and cheapest way of dealing with the waste washed ashore.

Holleman said that based on estimates he received, dumping the junk in landfills costs about $35 to $40 per ton, while recycling can cost twice as much. Knesal's soil agitation and recycling technology has a $60 per ton price tag.

After several rounds of talks with Holleman and county officials, BP and Waste Management agreed last week to stop putting oil waste into the Pecan Grove landfill. Oil that has already been dumped into the landfill will remain there, and the oil in the staging areas will remain in large trash bins for now.

BP said it agreed to stop dumping "not because the material is hazardous but because of community sensitivity to the issue," spokeswoman Perry Hatcher told CNN.

The oil giant says it is looking at ways to recycle and reuse the oil and equipment from the cleanup. Oil recovered from water has been used "as it would be originally used," and the "process wasn't so much recycling as recapturing product," Hatcher said.

She said various recycling options are "being explored for any other waste that would not be used directly as it would have been originally."

Mike McAnulty, BP's waste management coordinator, said the company is evaluating an option to process tar balls so they can be used to make asphalt. He also said BP is finalizing plans to use a centrifuge technology to spin out oil and water from absorbent booms so the remaining material can be used to make plastics.

"It's only lately that we had the quantity of that type of waste to execute the test on a larger scale. So we're really ahead of the curve on that one," he said.

Then there are regulatory hurdles the company needs to clear.

"We have heard concerns that there could be adverse effects on the asphalt due to possible dispersant and residual volatiles still in the tar balls," said Amy Graham, a spokeswoman for the Florida Department of Environmental Protection. There is concern too that sand transported with the oil is too "round" for constructing roads.

Professor Ralph Portier, a bioremediation expert at Louisiana State University, said the cleanup efforts could benefit from better planning. Instead, responses from the government and BP seem "reactive" instead of "proactive."

"Because they're reacting to one of the largest spills ... and they had sheer volume and they had to do something with it. They couldn't just let it sit in containers along U.S. Highway 90," he said of BP burying the oil waste.

It could have been worse if the oily waste was left unattended, Portier said.

"It's not sitting in a coastal area that when we have a tropical storm come ashore ... all the material is being blown all over Biloxi, Mississippi, for example. So those are pragmatic things, it's more reactive than it should be, but at least it is pragmatic."

U.S. Coast Guard Chief Warrant Officer Scott Carr said the priority of the incident response has been stopping the oil flow and cleaning up the beaches. "From the incident standpoint, [recycling the waste] was not the top of the list three weeks ago," he said.

BP insists that it had been looking at various "green" options "since very early in the incident."

"It's really the complexity of identifying first which options are reliable and then looking at the regulatory framework and where you can likely employ those," McAnulty said. "And then actually running a pilot test and then having a test of sufficient duration to demonstrate that the technology works."

He declined to say when recycling options will be implemented.

For now, Harrison County officials are claiming victory over their efforts to stop BP from filling up the Pecan Grove site.

@highlight

BP and landfill operator agree to keep waste in staging area

@highlight

Several methods to reuse and recycle the waste were proposed

@highlight

Recycling the waste can cost up to twice as much as disposing of it

@highlight

BP says it is still evaluating and testing recycling options