Washington (CNN) -- The Senate's top Democrat said Tuesday he will force a vote this week on whether to open debate on tougher gun laws, increasing pressure on legislators from both parties negotiating a possible compromise on a package that some Republicans have threatened to filibuster.

A GOP filibuster would mean Senate Majority Leader Harry Reid needs 60 votes on Thursday just to begin Senate consideration of the package based on proposals by President Barack Obama in the aftermath of the Newtown school massacre in December that killed 20 first-graders and six educators.

Obama has made gun measures a major focus of his second term agenda, holding events across the country to push for Congress to vote on the package.

Background checks on gun sales: How do they work?

He spoke Monday in Connecticut, the state where the Newtown shootings occurred, and Vice President Joe Biden made a similar call for action at the White House on Tuesday.

Reid told reporters he hoped to get a bipartisan deal before the procedural vote on Thursday.

Talks involving Democratic Sen. Joe Manchin and Republican Sen. Pat Toomey of Pennsylvania have focused on a compromise on expanding background checks of gun buyers.

Manchin indicated late on Tuesday the two were close to an agreement and have scheduled a news conference for Wednesday morning. A Manchin aide told CNN they are "hopeful" to have a deal to announce.

CNN Poll: Background checks popular, worrisome

Separately, Democratic leaders appear increasingly optimistic they will get enough Republican votes to overcome a threatened filibuster on starting debate.

Democrats believe as many as a dozen Republicans will side with them and that will more than make up for the handful of pro-gun Democrats who might not.

At least five Republicans have publicly opposed the filibuster pledged by 14 of their Senate colleagues, including GOP leader Sen. Mitch McConnell of Kentucky.

McConnell later told reporters his filibuster threat referred to the specific package approved by the Senate Judiciary Committee and indicated he might be open to a compromise.

Sen. Kelly Ayotte, R-New Hampshire, said Tuesday she favored opening debate on the bill as long as amendments can be offered, adding: "I think it's an important debate to have and I do not believe we should block the motion to proceed."

Without a deal, a successful Republican filibuster would stop consideration of the gun legislation before any votes on specific provisions.

Democratic leaders want to give senators from both parties ample opportunity to amend the bill and are prepared to debate it beyond a scheduled recess the first week of May, if doing so will increase chances of passage.

"The way you put together a coalition to pass the bill is to allow as many amendment votes as you can. We are willing to take the time to do that and have that process," a Democratic leadership aide told CNN.

Obama's rhetoric has reflected the political uncertainty, with the president and his aides using increasingly personal language intended to shame Republicans into allowing public votes on measures that have public support but are fiercely opposed by the influential National Rifle Association.

Opinion: Why the NRA fights background checks

"If senators don't have the guts to go on the record to vote how they feel on this issue ... that would be a shame and that would be a disservice to their constituents," White House spokesman Jay Carney told reporters on Tuesday.

At a later White House event intended to keep up the public profile of the issue, Biden said Republican efforts to block tougher gun laws showed they were in a "time warp" because public support on issues such as expanded background checks "has moved beyond where it was five, ten, even three years ago."

On the other side, the NRA and its supporters in Congress argue the Democratic proposals threaten the constitutional right to bear arms, and also offer ineffective responses intended as political show instead of real solutions to the problem of gun violence in America.

"On firearms questions, on Second Amendment questions, there's a divide in this country," NRA President David Keene told CNN. "To call it an ideological divide is too simple because it's a cultural divide. When something happens, the folks on the other side from us say, 'well the problem's the gun, we need to do something about guns.'"

Defeat of the entire package in the Democratic-led Senate would kill gun legislation for now, which would be a stinging defeat for Obama and Democrats pushing for tougher laws.

However, a public perception that Republicans blocked popular proposals such as expanding background checks of gun buyers could harm GOP prospects in 2014 and 2016 among moderates they need to have any chance of countering strong support for Democrats by minority demographics such as Hispanic Americans, African Americans and the gay-lesbian vote.

With the high political stakes come hardball tactics and strategies. The NRA has long kept a comprehensive scorecard of the voting records of legislators on gun issues, which it combines with campaign contributions to try to influence elections.

In response, a group led by New York Mayor Michael Bloomberg called Mayors Against Illegal Guns announced this week it was launching its own scorecard to identify members of Congress who vote against tougher gun laws.

"We're asked many times daily where people's elected representatives are on gun laws, and we intend to tell them, in detail," said Mark Glaze, director of the group of more than 900 mayors, of the campaign that will feature more than $1 million in cable television ads.

Why is this so hard? The disconnect on background checks

While most of the 12 legislators targeted by the ads are Republicans, some are Democrats from conservative-leaning states, such as rural Western states where hunting and sport shooting are popular.

The Judiciary Committee passed a package of gun laws proposed by Obama in the Newtown attack by a lone gunman.

Proposals in the committee's package included expanding background checks on gun buyers, toughening laws against gun trafficking and straw purchases, banning semi-automatic rifles modeled after military assault weapons as well as large-capacity ammunition magazines, and coming up with ideas for improving school safety.

The weapons ban, which would update a similar 1994 law that expired a decade later, already has been dropped, though Reid, D-Nevada, has promised a floor vote on it as an amendment to the package.

Reid and the White House are pushing hard for expanding background checks to all gun purchases to close a loophole that exempts private sales, such as transactions at gun conventions.

Should anyone be able to buy guns? Share your views

On Tuesday, Reid made a highly personal reference to his own perspective on the issue. Noting that his home state requires a three-day waiting period to pick up a newly purchased gun, Reid contended the delay saved lives.

"Sometimes people in a fit of passion purchase a handgun to do bad things with it -- even as my dad did, kill themselves," he said. "Waiting a few days helps. Requiring a simple background check every time a gun is sold is common sense."

If Republicans managed to filibuster the full gun package, Reid said later that he would find a way to introduce each component individually to force votes.

"It will take a little bit of time but as I've said for months now, the American people deserve a vote -- on background checks, on federal trafficking, on safety in schools, on the size of clips, and yes - assault weapons."

Biden sounded incredulous that Senate Republicans would consider blocking full consideration of legislation that matters to so many Americans, as demonstrated by polls that indicate overwhelming support across the spectrum for expanded background checks.

For Gabby Giffords, a wounded life has a new purpose

"A tragedy that traumatized a nation and caught the attention of the entire world ... and the climax of this tragedy could be we're not even going to get a vote?" Biden said, adding "I just don't believe they'll do this."

Keene and other opponents worry that an expanded background check system would create a paper trail that could eventually be used to create a national gun registry, which they reject as unconstitutional.

They also contend it would prove a burden to law-abiding gun owners while doing nothing to stop criminals from getting hold of firearms.

"The one thing you know today is that if the government creates a record, it's not secure," Keene said, adding that requiring background checks on all gun sales -- the so-called universal system -- raised the question of "is it linked to a national registration scheme."

However, Biden accused the NRA of spreading false information that the proposed legislation would intrude on Second Amendment rights.

Some states already have passed stricter gun laws similar to the federal proposals since the Newtown shootings. They include Connecticut, where the killings occurred, and Colorado, the site of two other notorious mass shootings that contributed to a renewed gun debate in America.

From gun hater to NRA-loving mom

The current background check system was created in 1989. It requires federally approved gun dealers to check whether gun buyers have a criminal background or other problem to make them ineligible to purchase a firearm.

Under the system, the gun dealer maintains a record of the transaction, but the federal government keeps no such identifying paperwork.

According to a Justice Department report, less than 2% of those seeking to purchase firearms were denied due to background checks from 1998 through 2009.

Opponents cite that figure as evidence that the system fails to stop illegal weapons sales that the legislation seeks to target, while supporters say the result shows the system keeps some guns out of the hands of the wrong people and the system should be expanded and strengthened.

A Congressional Research Service report last November cited a government report that showed 9,903 of the 14,612 homicides in the nation in 2011 involved firearms.

CNN's Ted Barrett, Todd Sperry, Joe Johns, Ashley Killough and Paul Steinhauser contributed to this report.

@highlight

NEW: Key senator says agreement close on bipartisan proposal

@highlight

Some GOP senators oppose a threatened filibuster by their colleagues

@highlight

Sen. Reid still hopes for a compromise on a package of gun laws

@highlight

The issue has become a major focus of President Obama's second term