From futuristic Google Glass headsets to smart watches like Samsung's Galaxy Gear, wearable gadgets are billed as the next big thing in technology.

But China's tech counterfeiters -- notorious for having a nose for what's hot and what's not -- appear for now at least to be giving wearable technology the cold shoulder in what one expert calls a "serious warning signal" for market players.

CNN reporters approached wholesale companies and retailers at one of China's biggest electronics trading districts to learn how the "knock-off" business works.

"There are no copies for sale. Only originals," said the managing director of wholesale company that specializes in mobile electronic devices in Shenzhen, a factory town in China's southern Pearl River Delta region.

"Maybe we'll have them (fakes) in a few months. I don't know, interest is low."

China's thriving market for counterfeit electronic goods has been a headache for global hi-tech firms including Apple, HTC and Samsung, as illegal cut-price copies of much sought after products eat into their profits.

But, one might argue, if there is one thing worse than being copied, that is to be ignored. And that seems to be the case with Samsung's new Galaxy Gear smart watch -- one of the first wearable devices to be made commercially available and as such an indicator for the emerging category.

A visit to the shops of Shenzhen's Huaqiangbei commercial district -- a tightly packed group of malls surrounded by high rises that form the epicenter of China's trade in electronic knock-offs -- suggests demand for Samsung's smart watch is ice-cold.

"You won't find any copies of the smart watch here. I've never seen or heard of any," said a young man who was busy shipping off boxes, that he said were filled with counterfeit mobile phones, at a local logistics center.

"Thinking about it, I've never even seen anyone wear one," he added.

The launch of Samsung's Gear seemed like something of a victory against its big rival Apple, which is rumored to be launching its iWatch sometime this year, but the device was conspicuous by its absence in Huaqiangbei's market halls, logistic companies and workshops.

"I've never seen a knock-off Gear in this whole town," said a young woman working in a shop full of Samsung products. Her shop is one of the few outlets that sell the real Gear but she said "they don't sell well."

"[Counterfeiters] don't care about the Gear as consumer demand is too weak," said another shop assistant in his early twenties, who was selling a number of what he said were real Samsung products, but not the smart watch. "We don't sell it anymore. It was not popular."

Priced at around $300, Chinese consumers find Samsung's new gadget too expensive, he added.

Out of 20 shops visited by CNN, not one sold fake Samsung Gear smart watches and none could offer leads on where to find copies. All these 20 shops sold the smart watch, out of hundreds perhaps thousands, of market booths that didn't sell Samsung's Gear.

However, many of the same shops openly promoted copies of Apple's latest iPhone and the Samsung Galaxy Note III -- models also launched in September -- suggesting the counterfeiters are quick to copy if they see market potential.

Warning signal

The lack of copy versions of the Gear is a "serious warning signal," according to Alf Rehn, a management professor at the Åbo Akademi University in Finland, who has spent years studying the global piracy phenomena.

"Piracy is all about benefiting from buzz -- create something good enough that looks like the real deal, and make money off those who are not willing or able to pay for the authentic item but who still want to be 'with it.'

"Without the buzz, there's no need for the counterfeit, and it seems like Samsung's smart watch hasn't quite gotten the buzz going.

"This doesn't mean that the Galaxy smart watch is a complete bust, rather that it primarily speaks to a small group of gadget enthusiasts who will pay to get the real deal, rather than to the mass market.

"So this isn't necessarily a disaster for Samsung, but definitively a serious warning signal as the Shenzhen crowd is the bellwether for electronics consumption."

It's not uncommon for top-selling products to be on the market before launch of the original; there were pirated iPhone-lookalikes on the market months before the first iPhone launched, Rehn added.

Likewise, unpopular products are unceremoniously dropped by pirates who simply cannot afford to get stuck with the inventory; there are stories about how new Nokia models basically were discontinued by counterfeiters before the genuine article even made it to market, according to Rehn.

"This is a warp-speed market economy, where every product faces an 'up or out' decision on a daily basis. Competition is brutal," he added.

In an email to CNN, Samsung said that Galaxy Gear received "positive consumer feedback globally" and that 800,000 units were sold in the first two months after its release.

However, Samsung's head of Open Innovation Center, David Eun, told a conference in November that the Gear is still a "small green tomato" that has not yet matured into something special.

China's pirate community seems to agree.

@highlight

Wearable gadgets like smart watches are billed as the next big thing in technology

@highlight

However, China's tech counterfeiters appear to shun the category

@highlight

Business expert Alf Rehn says this is a warning signal for market players

@highlight

"Knock offs" act as bellwether for electronics consumption, he says