(CNN) -- Tommy John pitched 26 seasons in the major leagues, with his 700 career starts ranking him 8th all-time among major league baseball pitchers.

But eclipsing his lasting legacy on the mound is the story of his injury, the pioneering surgery and rehabilitation he endured, and the lasting impact the eponymous operation has had on hundreds of players ever since.

Today, sports fans and athletes hear the term "Tommy John surgery" and don't flinch; it's no longer seen as a career-ender.

There are currently 29 active ballplayers in the major leagues slated to have, or who have already have had, Tommy John surgery, according to MLBDepthcharts.com. They include the Chicago White Sox' Philip Humber, who pitched only the 21st perfect game in Major League Baseball history last Saturday. He underwent a successful Tommy John surgery in 2005. Another is the Colorado Rockies' Jamie Moyer, who last week became the oldest pitcher -- at age 49 -- to record a victory in the major leagues.

Ulnar Collateral Ligament Reconstruction surgery, as it's medically known, is a grafting procedure in which doctors take tendons from another part of the body -- the forearm, hamstring, hip or knee -- and replace the medial ligament in the elbow with the grafted portion. Two holes are drilled into the patient's arm bones and the replacement ligament is woven between the two holes in a pattern resembling a figure-eight.

So what does John think of his name becoming synonymous with such a high-profile medical procedure?

"If I'd known you could throw a perfect game with this, I would have tried a little harder," quipped John, now 68. When he refers to the operation, without hesitation, he calls it Tommy John surgery, saying it's an honor to have the operation referred to by his name.

On July 17, 1974, the then 31-year-old John was pitching for the Los Angeles Dodgers against the Montreal Expos. He recalled the fateful moment.

"I had runners on first and second. I was trying to get the batter to hit a sinker to get him to hit a ground ball so I could get two and get out of the inning unscathed. I threw a sinker and right as I threw, I felt this searing pain and the ball just blooped up to the plate and I went, 'Holy mackerel, what did I do?'"

He would attempt another pitch before leaving the game.

"I got to the bench, I got my jacket and I told our trainer, I said Billy, let's get Dr. Jobe -- something's wrong, get Dr. Jobe, and the rest is history," John said.

Dr. Frank Jobe was the Los Angeles Dodgers' orthopedic surgeon and a good friend of John's. After several examinations, Jobe gave the pitcher grim news: if he didn't have surgery, he would never play major league baseball again. For John, the notion was unthinkable. And while he trusted Jobe and considered him a friend, the surgery had never been attempted by a medical professional.

"He told me what he was going to do," John recalled, "He said, if you've pulled it off the bone, then what we'll do is just reattach it to the bone and it will be no problem. But if it's not, I'm going to have to take this tendon from your right forearm and graft it into your left elbow."

John, a college math major, asked his surgeon friend for the odds of a successful outcome. Jobe put the odds at 1%.

"Well, I was valedictorian of my high school class and 1% or 2% in 100 is far better than zero percent in 100," he said.

On September 25, 1974, Jobe performed the surgery.

The rehab was grueling, initially leaving John with what he calls a "claw hand." There was a subsequent surgery to repair nerve damage. After 16 weeks, he was able to finally throw a baseball. He would miss the entire 1975 season.

But John recalls his rehabilitation pitching regimen after surgery as being a true test. "I threw the ball every single day except Sunday. My reasoning was that if God rested on Sunday, I thought Tommy John should too."

He returned to baseball in 1976 and pitched 13 more seasons, ending his career in 1989.

So why do players still suffer injuries requiring Tommy John surgery? John says it's because coaches overwork young players in today's game. Most kids, according to John, pitch year-round, while their arms are still developing. "Did Steve Carlton throw 12 months out of the year? No. Why would you take guys that are less skilled and younger and abuse their arm for 12 months when the best in the world don't do it for 12 months?" John said.

Players facing Tommy John surgery today still face months of grueling rehab. When asked why, despite medical advances, rehab time really hadn't improved, John said, "I think you have to give your arm rest. God will heal your arm. Nature, your body was made to heal."

There's no "Tommy John club" for the hundreds of players who can thank him for pioneering the medical procedure that saved their careers. Although he's thought about inviting some of them to play in a golf tournament, John says he doesn't stay in touch with the players who go through the procedure.

John now lives in New Jersey, and says he feels good.

"My elbow is fine -- my shoulder is shot -- but my elbow is fine," John said.

And when he watches the Dodgers baseball today, does he root for the pitcher who has undergone Tommy John surgery or his former team? He says he roots for players.

"I never was a team guy. Well, I'm a Bears fan and a Cubs fan. But I never was a team fan."

John is still active in baseball, still scouts players, and recently managed for the independent Bridgeport Bluefish, a job he calls "the most fun I ever had." He also works for a company that sells scoreboards to sporting venues.

He recognizes that some young fans know him for the surgery and not his baseball career, but he's not bothered.

"I thank God that Dr. Jobe did what he had to do and I did what I had to do. And it will be forever known as Tommy John surgery. I'll be dust in the ground and Tommy John surgery will probably be living on."

@highlight

Hundreds of baseball players have had Tommy John surgery

@highlight

John says it's an honor to have the operation named after him

@highlight

The rise in the number of surgeries is due to younger players playing year-round, John says