(CNN) -- The new "leaks" from the grand jury on the Michael Brown shooting have once again stoked the imagination of the American public and the world. The implication of these leaks is that Officer Darren Wilson won't be indicted, so everyone wants to know how Ferguson will react.

Will there be riots? More violence? Nationwide protests? There's almost a morbid NASCAR crash type curiosity about what comes next in a small Midwest town wracked by naked racism and police incompetence. But most of this curiosity is stoked by fear and ignorance about what Ferguson, Missouri, is actually like.

If you know the real Ferguson, you already know why the riots happened, and you can predict what will happen once the grand jury makes its decision.

A little background: I went to elementary school about 40 minutes south of Ferguson, in the St. Louis military suburb of O'Fallon. I'm pretty familiar with the area, a frothy mix of the South, the Midwest and the Rust Belt.

While the black population in the St. Louis metro area has grown and moved out of the city, teachers, firefighters, hospital employees and most importantly cops in the suburbs are largely white. My school district didn't hire its first African American teacher until 1986, and my elementary school has never had a black teacher despite having a sizable number of African American students.

This is the St. Louis area in a nutshell, black suburban expansion, slow white acceptance and a dull Midwestern peace as the first integrated generations live together.

Unfortunately the image you get of Ferguson is perfectly encapsulated by this opening I saw from a national television reporter commenting on the fact that the median income is "only" about $37,000 and apartments rent for as little as $450 a month.

National news reporters mostly from New York descended upon this town and when audiences in Atlanta, Boston, Chicago, Washington, Los Angeles or any of the other major cities in America hear $37K a year, it sounds like poverty wages and rents that resemble public housing fees. But that's where context comes in: $37,000 year is pretty good for the Midwest.

Ask anybody in the suburbs of Cleveland, Indianapolis or Omaha, Nebraska, or any other part of "flyover county." You can get a two bedroom apartment across the street from Starbucks for $450 a month just north of St. Louis. While that won't get you a monthly parking space in Los Angeles, it doesn't mean the people of Ferguson are in the ghettos of America's declining Rust Belt. Far from it, most national reporting would lead you to believe Ferguson, and especially the Third Ward where Michael Brown was killed, is like the set of "The Wire" when it's really a lot more like "Black-ish."

I don't think the media misunderstanding is intentional, but there's been an inherent bias in the way the city and the conflict have been covered.

Ferguson, O'Fallon, Florissant -- all of the small suburbs outside of St. Louis proper are where black folks moved to in the 1990s and 2000s to get away from violence and poverty in the city. As I walked along the very street where Michael Brown was shot, I looked around wondering where the "bad" neighborhood would actually start? Better yet, where did the "poor" neighborhood start?

I saw townhouses and apartments. I saw wooden decks and lawnmowers. This looked like Everytown U.S.A. -- not a car on blocks or a busted window pane in sight. If you have any doubt, just ask the residents.

The infamous "QuikTrip" gas and snack station that was burned down is a prime example. If you talk to locals, they'll tell you that QuikTrips are generally located in nicer neighborhoods, just like there are high-end grocery stores and low-end grocery stores.

Brown's neighborhood wasn't spotted with off-brand products and second-tier stores to serve a poor and crime-ridden community. The only thing that distinguished this part of Ferguson from any other was that it was mostly black.

The narrative that has been presented about Ferguson -- that it's about poor black folks rising up against the evil white oppressor -- may be sexy and make for good TV, but that's not the reality on the ground.

As one exasperated resident told me "We moved up here to get away from this type of [expletive]! I'm not putting up with it here -- from the cops."

It's really the story of regular, taxpaying, law-abiding, lawn-mowing, pumpkin-carving, churchgoing Midwestern folks where the only gunshots you hear are from kids playing Xbox. And they're wondering why the first killing in town all year was a cop firing 11 shots in a residential neighborhood into a kid with no record of serious crimes. While the new leaks reveal Wilson's claims that he was "defending himself," this doesn't add up for residents.

The fact that the Ferguson Police didn't release a police report until weeks after the incident, which was full of redactions, and under pressure from the Department of Justice leaves a bad taste in everyone's mouth. This is not a rabble-rousing community. There's no history of mass civil action, as a journalist friend of mine from nearby Florissant told me, "the civil rights movement skipped St. Louis."

Had the police been forthcoming from day one, everyone would have been back to their regular lives within a week. However, when you ignore people, even regular folks, and treat them like collective criminals in their own community, that's when people get angry.

As we hear more and more "leaks" being conveniently released ahead of what will most likely be a grand jury decision to not indict Wilson, understand who is hearing them.

Then, to quote Matthew McConaughey's character from "A Time To Kill": Imagine they were white. I'm pretty sure our national understanding, and sympathy for Ferguson, would be very different.

Join us on Facebook.com/CNNOpinion.

@highlight

Jason Johnson: Leaks about grand jury investigation in Ferguson stir discussion

@highlight

He says image many have of Ferguson, Missouri, is as a poverty-ridden community

@highlight

Johnson says Ferguson is a suburb where many black residents live middle-class lives

@highlight

Johnson: The truth is that Ferguson is reacting to the failures of its police department