Shanghai, China (CNN) -- The Shanghai Auto Show -- the biggest automobile exhibition in the most lucrative car market in the world -- opens Tuesday amidst a flurry of China-focused global car premieres. Meanwhile, shortages in the supply chain continue to worry car manufacturers, just one month after Japan's devastating earthquake and tsunami.

Major brands including GM, Chevy, BMW, and Citroen are racing to win over Chinese customers this week, slating highly anticipated global releases for Shanghai, which this year coincides with the New York Auto Show.

European car maker PSA Peugeot Citroen hosted a flashy global unveiling of its new hatchback DS-5 in Shanghai because the company is convinced China's car market will continue growing dramatically in the coming years.

"Ten percent growth will last for several years," Peugeot's CEO Philippe Varin told reporters Monday.

The DS-5 will be produced in China by Changan Automobile, which ranks fourth in the mainland.

Also this week, Chevy will unveil its new Malibu 2013. BMW will premiere its new 6-Series luxury coupe in Shanghai, along with a concept M5 luxury sport sedan. Audi, a popular brand with a major market share in China, announced it will unveil a new Q3 crossover. Mercedes-Benz will reveal its entry-level A-Class concept car, among others.

On Monday, General Motors unveiled Baojun, its first dedicated car brand aimed specifically at Chinese consumers. The American car brand announced that it aims to more than double the number of cars it sells in China to 5 million by 2015.

"We have set some aggressive goals," GM China head Kevin Wale told reporters on Monday. "We are confident we will achieve every one of our goals."

The first model for Baojun, which means "treasured horse" in Chinese, is a mid-size 1.5-litre engine sedan that is priced between US $10,000 and $15,000, according to Wale. It is a price point that Ford hopes will be attractive to young buyers in China's second- and third-tier cities.

China's rapidly expanding car market is expected to grow even if the economy slows.

According to the Carnegie Energy and Climate Program, even if China's annual gross domestic product growth rate declines from 10 to 7 percent, as projected by the International Monetary Fund and laid out in China's 12th Five-Year Plan, some 600 million vehicles could fill China's roads by 2030.

However, the announcements across Shanghai were muted by the auto industry's continued struggle to rebound from a components shortage caused by the Japan's March 11 earthquake and tsunami, which caused forced factory closures. Short supply of crucial car parts has caused some brands, including Toyota, to temporarily half production due to shortages.

"Obviously it's a terrible tragedy for the people of Japan," Ford's China CEO Joe Hinrichs told CNN on Monday. "It's not just the supply base that directly supply the auto companies, but their suppliers and their supplies so it's a complex situation that is evolving everyday."

Ford has moved up previously planned stoppages in their manufacturing facilities to project their supply of cars in certain locations. Volvo, which is owned by China's Geely Holding Group, has been forced to look elsewhere for some parts.

"So far we have managed it very well, we had no loss of any production and no change in our model mix," Volvo CEO Stefan Jacoby told CNN. "We have some specific components where we are relying on Japan but we managed together with suppliers from Japan to find alternatives within Japan but also out of other countries and other production locations abroad."

Jacoby predicted a new wave of semiconductor shortages will emerge this summer, affecting their ability to produce gear box control units and powertrains.

As for the long term impact, auto manufacturers are cautiously optimistic.

"I think Japan quake results are going to play out over the next several months," Ford's Hinrichs said. "It's a critical time when suppliers are ramping back up and inventory levels have been coming down throughout the system, so over the next couple of months we'll know the real proof of impact of what's happening."

"I don't think there will be a major long term impact," Hinrichs told CNN.

The 14th Shanghai International Automobile Industry Exhibition opens to the media on Tuesday and to the public on Thursday.

@highlight

One estimate says China will have 600 million vehicles by 2030

@highlight

GM, Chevy, BMW and Citroen are among brands showing in Shanghai this week

@highlight

"Ten percent growth will last for several years," says Peugeot's top executive

@highlight

Supply-chain concerns loom after Japan's devastating earthquake and tsunami