Atlanta (CNN) -- Six astronauts lie motionless in a row of compartments with medical monitoring cables connected to their bodies, as their space ship cuts through the silent blackness that separates Earth from Mars.

They're sound asleep and will be for the extent of their six-month trip, having been placed in an artificially induced state of hibernation called torpor.

This is the way a NASA-funded study sees space explorers traveling to Mars -- unconscious, with their metabolism switched into slow motion.

Sending astronauts that far into space would be too challenging, costly and grueling without it, says space engineer John Bradford, whose Atlanta-based company SpaceWorks wrote the study for NASA.

"Ultimately, it's what we'll have to do," he says.

Sci-fi becomes reality

Sleeper spacecraft with crews in suspended animation have been flying through futuristic science fiction movies like "Avatar," "Alien," "Pandorum" and "2001: A Space Odyssey" for decades.

Now science reality is catching up, as medical advances have made stasis possible via a method called therapeutic hypothermia.

It has been used since the early 2000s to treat patients with traumatic injuries. Formula One racer Michael Schumacher, for example, who suffered a brain injury while snow skiing, was reportedly put into therapeutic hypothermia.

It renders the patient unconscious by lowering the body temperature. In Schumacher's case, it also prevented swelling of his brain. The torpor stasis, which greatly slows metabolism, can help injured patients survive longer, while medical teams work to rescue them, Bradford says.

But doctors usually induce it for only three or four days at a time, not the 180 days it would take for astronauts to get to Mars, nor the 180 it would take to get back to Earth.

"It may take some time to get it to the state of effectiveness we want it to go to," Bradford says.

That involves animal testing, then some extended testing on humans, perhaps on the International Space Station. It could take decades.

MAVEN spacecraft enters Mars orbit to explore its climate change

A short-cut

There is a possible work-around, though, that astronauts could start out with.

SpaceWork found a Chinese medical study in which trauma patients stayed in torpor for longer periods.

"They had a sample of about 80 people that went through therapeutic hypothermia for all sorts of traumatic injuries. And those periods did range from three to up to 14 days."

The patients who stayed under for two weeks fared as well as those who were put under for a shorter time.

Two weeks is a time frame SpaceWorks can live with and one that Bradford says his medical partners at the Mayo Clinic and Johns Hopkins University are more comfortable with.

Aboard the spacecraft

Here's how it would work during space flight.

The two-week torpor periods would be straddled, so that there is always one astronaut who is awake for a brief period.

The colleague currently awake could check in on the other ones who are still unconscious to make sure their intravenous feeding tubes are clear, and urine removal systems and so on are working properly.

He can also communicate with Earth. "He can check emails," Bradford says.

Then after two or three days, he wakes up the next astronaut by activating a heating system that brings his or her body temperature up to normal.

Then the awakened astronaut straps the other into the hibernation module, hooks up the medical systems and inserts a body cooling tube through a nostril. Heating pads behind the astronaut make sure the nasal tube doesn't cool down their body too much.

A temperature drop of only about five degrees Fahrenheit is necessary -- from 98.6 to about 93 degrees.

Trace amounts of sedatives in the feeding line would suppress the astronaut's shiver reflex.

The habitat unit housing the sleepers would rotate to create centrifugal force simulating gravity. That would help to mitigate the reduction in bone density that naturally occurs in zero gravity.

How long until this is scenario is reality? Less than 30 years, Bradford thinks.

"I think it's something that can and will be used on the first mission to Mars."

Mars rover reaches key destination

Lighter, easier, happier

Getting astronauts to hibernate like bears makes the mission much easier and more affordable, Bradford says.

They can be stacked up in small habitats; with minimal metabolism, they don't need as much food, no daily change of clothes. Exercise equipment is replaced by electrodes that stimulate their muscles while they're asleep.

That saves lots of space and altogether more than half the weight of the fully equipped rocket that it would take to transport a crew that was not sleeping through the voyage in torpor.

And it would be more pleasant for the crew.

Astronauts traveling in waking condition would likely arrive in decent physical shape, but "mentally, I'd worry about them," Bradford says.

"You're going to be in a pretty tight space -- nothing as voluminous as the ISS -- for the mission," he said. Space is dark and feels isolating.

In June 2010, Russia's space agency simulated a trip to Mars by closing up astronauts in a mock space ship for about a year and a half to see how it affected them psychologically.

They became reclusive, got depressed and slept 12 to 14 hours a day because there was nothing to do, Bradford said.

NASA's next Mars rover will make oxygen, look for farmland

Ultimate goal?

After six months of travel to Mars, the astronauts would face a 500-day mission on the barren planet's surface, according to SpaceWorks' assessment.

Then they'd have to endure another 180 days in the cramped rocket to get home to Earth.

Ideally, Bradford would like to see the astronauts complete both travel phases in torpor stasis and not even have to wake up every two weeks.

Therapeutic hypothermia would also allow space agencies to pack more astronauts into one ship. That's vital to meeting an often-mentioned possible ultimate goal for travel to Mars, he says.

"If we're looking at colonizing, you've to do more than send six or eight people every year."

@highlight

A study done for NASA foresees astronauts being unconscious for Mars travel

@highlight

It would use a medical method called therapeutic hypothermia

@highlight

It is usually used to save trauma patients by inducing torpor, a type of hibernation

@highlight

The study says it would be better for the astronauts and deeply cut costs