Editor's note: As part of CNN's Defining America project, CNN iReport is conducting a cultural census. We're asking people to share a self-portrait, show off their handwriting, tell us what they typically eat for dinner, and more. This piece is part of our series focusing on the self-portrait project. It was inspired by the fact that the self-portrait assignment was the most popular of the five cultural census assignments, with around 500 submissions.

CNN -- After scavenging through thousands of strangers' Facebook photo albums, you learn a thing or two about how to represent yourself online.

"You can tell who puts in the effort to curate their online profile and who doesn't," says New York artist Matt Held. With the help of wife Joelle Held, he has painted 75 portraits based on real Facebook pictures, and in the process gained an intimate look at some of the best and worst kinds of photos you can post.

If you use social media, you've no doubt seen a few people who are a little shy about the whole profile picture thing. Maybe they leave up the pale blue default avatar or hide in a massive group of nubile co-eds. Or, perhaps they have an outdated photo -- or keep changing it every day.

Before you update your profile, think about what images you use to represent yourself.

"Nobody wants to see you making out with your boyfriend," Joelle Held quipped.

The Helds' Portrait Painted project ran from 2008 to 2010, and the Facebook photos they used were selected from the 5,000 or so new "friends" they made along the way.

Many of the Helds' subjects made the paintings their default photos because they were such a unique creation that told so much about them.

No surprise, social media sites are becoming more and more important for networking and socialization. New friends and potential employers alike could be encountering your profile photos and information before actually meeting you in person. Profile photos are all the more important now.

Matt Held says he was looking for amateur-style images rather than glossy compositions from professional photographers.

"I was looking for that sort of everyday photo, but there had to be something quirky about it whether it was a prop they used or their hair was bright blue."

Share a photo of yourself as part of the cultural census project

A profile picture conveys a sense of identity, and nowhere is this more apparent than on Facebook, which even has the word "face" in its name. Inspired by the tradition of scholastic facebooks designed for students to identify each other, the site began as a place where college students could put names to faces and vice versa.

Whether you're searching for a new friend or reconnecting with an old pal, photos help bridge the gaps between individuals, says Meredith Chin, manager of product communications for Facebook. They also help distinguish one John Smith from another.

Chin recommends using a photo of yourself if possible. However, it's quite common to see people post photos of an inanimate object or their dog.

"Being able to see someone's face is really important," says Chin. "It's also a big part of expressing who you are."

She notes that this self-expression extends to becoming part of a community and feeling a sense of belonging. The Facebook team has noticed a few trends over the years.

In the aftermath of the 2007 Virginia Tech shooting, students uploaded photos with the school colors as a show of support. Mother's Day and Father's Day bring photos of parents to profile walls every year, and spontaneous memes and trends sometimes pop up around holidays and news. President Obama's inauguration inspired many Facebookers to post artsy photos of themselves filtered in the style of Obama's campaign logo.

"When you see your friends doing something or express an opinion about something ... you're a lot more inclined to offer your own experience or share your own opinion," Chin says.

Facebook generally keeps tight wraps on profile photo information, but other sites have actually produced graphs and visualizations based on their data aggregations. The dating site OkCupid maintains a blog called OkTrends, and it's a fun place to study profile anthropology.

Christian Rudder, OkCupid editorial director, says sites like Twitter give people 140-character status nuggets, but potential dates have less to work with.

"A dating site is one of the few places where a stranger is trying to make a judgment about you and a profile picture is all they have to go on," Rudder says.

After hours of combing through all the photos on the site and manually tagging them according to various criteria, he's noticed a few things that seem to help users get more messages, which was a metric for defining what constitutes a "better" profile image.

A few basics go a long way. Skip the flash; use natural light instead. Don't get super close, and make sure you're in an interesting or meaningful setting. Worry less about technology and more about the composition of your shots.

"With the advent of high-quality, not too expensive, kind of pro-am cameras, people are able to take better pictures."

The data also suggests you might be able to get away without showing a photo of your face, so long as your chosen image is interesting and eye-catching.

Whatever you choose, be true to yourself. Be the way you really are. Don't try to be a suit if you're really a T-shirt.

"You've got to ask that secondary question: What am I about and who do I want to meet?"

That means putting some thought into what you hope to say about yourself with your profile. If you're a world traveler and want to interact with others like yourself, Rudder says post a photo from one of your recent adventures. Same goes for other hobbies and pursuits.

Or, if it so happens you're looking for romantic exploits, the numbers say you might want to consider posting something tastefully suggestive.

Seriously. And as much as people gripe about shirtless photos, Rudder says they seem to work in the dating arena.

"Those people do get lots of messages, that's for sure."

Looking back on their favorite paintings, the Helds say photos with an original, creative approach make the best impression.

Matt Held suggested showing some of the environment in profile photos to add context. He gave an example of skaters who showed an urban and industrial environment, an "almost perfect" snapshot of their life.

Another memorable image the Helds recall was a man in a pink bunny suit. The resulting painted portrait seemed to hint at inner sadness beneath the rabbit-eared smile.

Things to avoid? Intimate moments, private parts and anything tacky. Go easy on photos of your kids, and avoid putting up photos of yourself in your underwear.

And if children are using Facebook, it's especially important to exercise caution with what they're posting online.

But the most important rule of all might be to remember that the Internet never forgets, so put some thought into what you share.

"That stuff really does stay there forever," Matt Held says.

@highlight

Profile pictures represent you online, and help people know they've found you

@highlight

Your photo should include clues about your life, say some

@highlight

Facebook users on occasion change profile photos en masse as part of social movements

@highlight

Share your own self-portrait as part of CNN iReport's cultural census