Jerusalem (CNN) -- Clashes broke out Friday between Palestinians and Israeli security forces after the funeral of a Palestinian teenager abducted and killed in Jerusalem this week.

More than 60 people were injured in fighting in parts of Jerusalem, according to the Palestinian Medical Relief Society, a group that said it was involved in evacuating injured Palestinians. It said the injuries mostly involved rubber bullets fired at the upper body and chest.

Israeli police said 13 officers were slightly injured in the East Jerusalem neighborhood of Shuafat, where Palestinian protesters were throwing rocks at police, who responded by firing rubber bullets and tear gas.

Police have said they are investigating whether the Palestinian youth's death was an act of retaliation for the killings of three Israeli teens, whose bodies were discovered Monday in a field in the West Bank.

The killings of the Palestinian and Israeli teenagers have ratcheted up tensions in a region where peace talks fell apart earlier this year.

Ahead of the Palestinian boy's funeral, Israeli police significantly stepped up security around Palestinian areas of the city, putting up checkpoints and shutting off access to the Shuafat neighborhood where the slain teen, Mohammad Abu Khedair, lived.

Carried in by dozens of people, the 16-year-old's body was brought to a mosque there for the funeral. After the ceremony, his remains were taken by his family for burial in a nearby cemetery.

The sound of sirens and gunfire filled the streets of the Palestinian suburb as fighting again erupted.

A CNN team on the ground saw about 30 Israeli riot police firing rubber bullets, tear gas and stun grenades in the direction of Palestinian protesters, who were throwing stones and Molotov cocktails toward the police.

CNN's Ben Wedeman was slightly injured when a rubber bullet hit him in the forehead Friday afternoon. He continued to report from the site after medics attended to him.

The clashes went on for several hours until the mood calmed a little around 6 p.m. local time. The violence may pick up again later Friday evening after Muslims break their Ramadan fast.

Well over 1,000 Palestinians gathered for the funeral despite strict Israeli security measures that have limited movement around Jerusalem, including in the Old City.

The funeral coincided with the first Friday prayers held during the Ramadan period when emotions are often heightened.

Violence first broke out after news of Abu Khedair's death Wednesday, and it also flared overnight in parts of the city and the West Bank.

The Palestinian Red Crescent said 27 Palestinian youths were injured in the overnight unrest. It wasn't immediately clear if any Israelis were hurt.

A Palestinian farmer is in critical condition after Israeli fire hit him on his farm east of Gaza, according to Palestinian medical sources in Gaza on Friday. Palestinian security sources said that four rockets were fired from the same location.

Forced into car

Israeli Prime Minister Benjamin Netanyahu pledged Thursday to find the perpetrators responsible for the boy's killing, an act he described as "a despicable crime."

Israeli authorities are still trying to determine who killed Abu Khedair and why, Netanyahu said.

Abu Khedair was heading from his home to a mosque for prayers around 4 a.m. Wednesday when three men forced him into a car and drove off, his father, Hussain Abu Khedair, said.

The boy's body was found about an hour later in a forest in West Jerusalem.

Israeli police have said they are looking into the possibility that his death was related to a family dispute as well as the alternative theory that it was a revenge killing.

"The investigation is continuing. We are still looking at the possibility to determine if we are talking about a criminal incident or a nationalistic incident," Israeli police spokesman Mickey Rosenfeld said.

Arrests after Israelis kidnapped

Since the June 13 abduction of the Israeli teens -- Eyal Yifrach, Gilad Shaar and Naftali Frankel -- on their way home from school, Israel has arrested hundreds of activists from Hamas, the militant Islamic organization it blames for the kidnapping.

Israeli forces have also destroyed the homes of the two main suspects it has identified in the Israeli teenagers' abduction.

WAFA, the Palestinian state news agency, reported Wednesday that 15 Palestinians have been killed during that time. The figure includes six killed by Israeli troops in the West Bank, three in an Israeli airstrike in Gaza, two dead of heart attacks after West Bank raids, plus the recently slain Palestinian teenager.

Hamas has praised the kidnappings of the Israelis but denied that it was responsible for what happened. It warned that if Netanyahu "brings a war on Gaza, the gates of hell will open to him."

Rockets, airstrikes

This week's unrest comes as Israelis and Palestinians continue to trade blows over longstanding issues. There have been Palestinian rocket attacks and Israeli airstrikes.

On Friday the Israeli air force struck three Hamas targets in southern Gaza, the IDF said in a statement. At least 14 rockets and mortars were fired from the Palestinian territory, according to the IDF. Ten of them hit Israeli territory while three were intercepted by the Iron Dome missile defense system and one landed in Palestinian territory, the IDF said.

Opinion: Teens' killing hurts Israelis, bad for Palestinians

Opinion: Slain teens call for justice, not escalation

CNN's Ben Wedeman reported from Jerusalem. Steve Almasy in Atlanta and Laura Smith-Spark in London reported and wrote. CNN's Michael Schwartz, Kareem Khadder, Jethro Mullen, Pierre Meilhan and Amir Tal contributed to this report.

@highlight

NEW: More than 60 people injured in fighting in Jerusalem after Palestinian teen's funeral

@highlight

Family buries slain teenager after funeral held at East Jerusalem mosque

@highlight

Israel tightens security around Jerusalem

@highlight

Police investigating whether boy's death in retaliation for killings of three Israeli teens