(CNN) -- With the announcement that Richard III's long-lost remains -- curved spine and all -- are to be buried at Leicester Cathedral on March 26, 2015, the UK city is set for another spike in tourist numbers driven by the dead monarch.

This time around though, there'll be plenty for visitors to look at.

It's all a far cry from those first, excited days after the discovery was announced in 2012, which saw locals and tourists alike lining up for hours around the block to look at a hole in the ground.

Back then there were no bells and whistles, just a strip of scraped-back asphalt, a couple of muddy trenches and the all-important grave, marked with a handful of yellow pegs and a copy of Richard III's portrait, laminated to keep out the drizzle.

The grave is still there, of course, but after months of scientific tests, massive controversy and a costly court case, it's now surrounded by Leicester's newest attraction, the King Richard III Visitor Centre.

The museum, which opened with much fanfare recently, tells the story of the "three Ds" of Richard III: his dynasty, explaining the complex family history which led to the bloody Wars of the Roses; his death, at the Battle of Bosworth in 1485, defeated by Henry Tudor and later flung into an unmarked grave; and finally, the discovery of his remains.

Iain Gordon, director of the new visitor center, explains: "We start with the medieval soap opera of Richard III's rise to power, the Wars of the Roses and the 500 years of controversy that followed, and then we tell the key part of the story: the discovery."

'Beyond reasonable doubt'

It's this part, the tale of how a King of England could lie unknown and unacknowledged for centuries, most recently beneath a municipal parking lot, only to be found by a group of archeologists as stunned by what they'd found as the rest of us -- and with just enough clues to identify him -- that has fascinated people around the world.

The museum shows how the excavation was carried out, and explains the complicated series of tests carried out to prove "beyond reasonable doubt" that the remains were indeed Richard III's.

There's even a replica skeleton on display so people can see for themselves the fatal blow to the head that felled the King on the battlefield, and the distinctive curved spine that gave rise to the myth of the evil, deformed monarch portrayed by Shakespeare.

Gordon says that before it had even opened, the center had sold tickets to visitors from as far afield as Australia and Scandinavia, Canada, the U.S. and Germany.

"We had people walking past the door asking 'is it open yet, is it open yet?' and Australian tourists desperate to know if it would be ready before they flew home," he says.

International attention

Gordon adds that interest in all things Richard III-related remains high -- a temporary exhibition at the city's Guildhall nearby attracted 200,000 visitors in a year, and local authorities hope the tourists will keep coming.

The area between the grave site and visitor center -- housed in an old school -- and the cathedral, where the much-tested remains will be reinterred is being redeveloped, with new gardens linking the two, and part of the cathedral itself is being remodeled to make way for the new royal tomb.

The idea is that tourists will be able to spend an entire day on the Richard III tour.

They'll take in the Battle of Bosworth site, just outside the city, to see where he's thought to have died, the visitor center, to learn more of his story, and finally the cathedral, to visit his grave.

Thankfully, there's now plenty more to see than the original hole in the ground, though that'll remain the focal part of a trip to the new museum.

The hole takes pride of place in a church-like quiet room, the floor covered with glass so that people can look down into the grave itself.

There is though, a nod to the high-tech era -- at certain times of the day, lighting effects make it appear as though his bones are still in the grave.

In the visitor center, as well as the minds of many visitors, he will remain the King in the parking lot.

King Richard II Visitor Centre, 4A St. Martin's, Leicester; tickets Â£7.95 ($13.40)

@highlight

New museum tells the story of Richard III's family, battlefield death and the uncovering of his bones

@highlight

Medieval king was found buried beneath a municipal parking lot in UK city of Leicester

@highlight

Thousands have flocked to see the final resting place of controversial monarch