(CNN) -- As smartphones gradually take over America's mobile market, these devices are helping more people cross the "digital divide" by providing their first regular access to an Internet experience that's at least moderately usable.

But: If you're poor, nervous about your income or job security or haven't had much prior experience with technology, then crossing that divide can look about as dicey as the "Bridge of Death" from Monty Python and the Holy Grail.

Sure, you can try to get across, but there's a good chance you'll plunge to a horrible death on the rocks below if you miss a step or give the wrong answer to a bizarre unexpected question.

Being on the right side of the digital divide is and increasingly key quality of life concern.

For many Americans, lack of reliable, easy access to the Internet limits their ability to connect with jobs, services, education, public safety resources, emergency assistance, health care, news, civic or political engagement, personal support networks and much more.

Being on the right side of the digital divide also means having wireless broadband service that's fast and robust enough to support a decent user experience, a wide range of activities and use cases, and to withstand spikes in numbers of users and data traffic.

Increasingly this means having good Internet access on the go, because in just a few years most U.S. Internet access will be mobile. Recently International Data Corp. predicted that by 2015, "more U.S. Internet users will access the Internet through mobile devices than through PCs or other wireline devices."

Americans don't necessarily need to turn to cell phone carriers to get mobile data service, but our other choices have big tradeoffs.

Wi-Fi covers only small locations, which means you lose access if you're truly on the go. WiMAX can cover large regions, but that technology seems to be losing out, Betamax-style, to wireless carriers' competing LTE 4G technology.

Recognizing the opportunity (and possible economic boost) that ubiquitous wireless broadband access could provide, in February the Obama Administration announced a National Wireless Initiative. One goal of this initiative was to to "provide at least 98% of Americans with access to 4G high-speed wireless."

However, that particular goal might be stalling.

In September, HotHardware.com noted that some provisions of the National Wireless Initiative were rolled into the American Jobs Act -- the same legislation which President Obama urged Congress to pass in a news conference Thursday.

But the provision that would extend 4G coverage to 98% of Americans is omitted from the current text of the Jobs Act.

Left to their own devices, wireless carriers tend to roll out faster networks mostly around major metro areas, concentrating coverage in areas where they can either serve the most people or make the most money.

This means that communities and neighborhoods that are less densely populated, less wealthy or more remote tend to be the last to benefit from wireless network improvements.

As author William Gibson observed: "The future is here. It's just not evenly distributed yet."

Meanwhile, Americans have been getting the hard sell to buy smartphones. Indeed, in about a year (or maybe longer, if the economic recovery continues to sputter) most of the handsets in use in the U.S. will be smartphones of some kind.

Unfortunately, those Americans who have been living on the wrong side of the digital divide so far face extra obstacles when they try to catch up via mobile technology. The way smartphones and their data service get sold in the U.S. is likely to continue to leave these people even farther behind -- just when broad deployment of mobile Internet access might help strengthen the nation's economic recovery.

The first -- and biggest -- problem is that most smartphones are pretty pricey. In addition to having a higher up-front cost, in the U.S. it's difficult to get a new high-performance smartphone without a two-year carrier contract that includes a steep early termination fee. The cost for those contracts typically is somewhere close to $90/month.

For people who earn a working-class income or less, or who are concerned about their job security or prospects, committing to such a large monthly expense for two years represents a huge financial risk.

As the recession has dragged on, no-contract phone plans have been getting more popular. As of a year ago, 32% of all U.S. mobile users had no-contract plans, and the trend has been that each year no-contract phones are getting a little more popular.

Among the major U.S. carriers, only T-Mobile and Sprint have been making it fairly easy to get a smartphone on more consumer-friendly terms than a two-year contract. But if AT&T's controversial acquisition of T-Mobile eventually goes through, T-Mobile's no-contract offerings could dwindle. Meanwhile, Sprint recently announced that it's eliminating its one-year contracts.

This is why many Americans of more limited means turn to discount and regional carriers -- several of whom are starting to market smartphones without a contract, typically on month-to-month or prepaid plans that cost in the range of $50 a month.

However, most of these smartphones cost about $200 to $300 upfront -- again, not a reasonable expense for many consumers of modest means.

It gets even harder to opt to spend an extra $100 or more for a smartphone while there are plenty of decent feature phones, which with lower-income and less-tech-savvy consumers already are comfortable, available for $0-70 upfront, with no-contract plans that cost $20 to $40 a month.

For many Americans right now, saving that much money can easily override longer-term hopes for what they might want to get out of a phone.

Rollouts of faster 4G mobile networks only exacerbates the cost problem. 4G-capable phones typically cost more to buy, and their plans cost more, too. Most phones in use and on the market in the U.S. today cannot operate on 4G networks.

So if you want 4G access you'll probably have to shell out for a new and more expensive phone, and get a costlier new contract or plan.

Yes, there are a few bargain-basement, no-contract smartphones available, but these typically come with significant tradeoffs.

For instance, the discount carrier MetroPCS is selling a Huawei M835 Android smartphone for $80 with a mail-in rebate that brings the costs down to about $55, with data plans that start at $40.

The catch? That phone is small, slow, running an older version of Android and CNET reviewers gave it pretty low marks. Similarly MetroPCS has received low grades for customer support. So if something goes wrong with this phone, you'd probably be left mostly on your own to figure it out.

Of course, simply having a smartphone doesn't mean you can use it well or benefit much from it.

For many, making the leap from a feature phone to a smartphone entails a daunting, frustrating learning curve.

Even the iPhone -- perhaps the most user-friendly smartphone interface of all -- is prone to weird glitches and mysterious problems, sometimes involving hard-to-pin-down conflicts involving installed apps or carrier-specific firmware issues.

While older-model iPhones can be purchased from retailers for $100 or less (with contract), Android seems destined to capture most of the low-cost smartphone market because so many manufacturers compete on that platform. The catch: the Android operating system is still harder to learn than Apple's iOS platform.

Worse, when something goes wrong with an Android device, it often takes a lot of online research to figure out what went wrong and how to fix it. This can be especially difficult stressful for users with limited computer-based Internet access or prior technology experience.

For instance, when my Android phone recently refused to install apps, the fix for that problem for that problem involved tracking down and deleting an arcane file in a hidden directory of the Android OS.

I had to connect my phone to my laptop to do this. And if I hadn't previously rooted my phone (to remove controls placed on it by my carrier), I may not have been able to fix this problem at all.

What happens when that kind of problem befalls first-time, not especially tech-savvy smartphone owners, especially with cheap, low-end Android handsets? After trying and failing to fix it on their own, chances are they'd resort to wiping and resetting the phone (perhaps losing all of their data in the process), or simply getting a new phone.

And at that point, they might be tempted to give up on the smartphone concept altogether. Who could blame them?

But even though that might be a very rational decision in the short term (they'd get a phone that just works), the long-term cost is that they'd remain on the wrong side of the digital divide -- and they might never fully realize how much opportunity they're sacrificing.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Being on the right side of the digital divide is an increasingly quality of life concern

@highlight

4G-capable phones typically cost more to buy, and their plans cost more too

@highlight

Rollouts of faster 4G mobile networks only exacerbates the cost problem