Editor's note: Nancy G. Brinker is the founder of Susan G. Komen for the Cure, named after her only sister, Susan, who died from breast cancer in 1980. The organization describes itself as the "world's largest grassroots network of breast cancer survivors and activists fighting to save lives, empower people, ensure quality care for all and energize science to find cures." Brinker served as Ambassador to Hungary in 2001 and Chief of Protocol of the United States during the Bush administration.

Nancy Brinker says a bill by Sens. Ted Kennedy and Kay Bailey Hutchison would renew the fight against cancer.

(CNN) -- During his first address to a joint session of Congress, President Obama urged a new effort "to conquer a disease that has touched the life of nearly every American, including me, by seeking a cure for cancer in our time."

It was a call to action that resonated for me, as it's a cause I've dedicated my life to pursuing.

Nearly three decades ago I promised my sister, Suzy, who died at age 36 from breast cancer, that I would do everything I could to end the disease that took her life.

A couple of years later, I too was diagnosed with breast cancer, at age 37. Fortunately my cancer was detected and treated much earlier than Suzy's, and it was much smaller and not nearly as aggressive. Following a mastectomy and four rounds of chemotherapy, I am now a 25-year survivor.

We have made a lot of progress since the 1980s. We now have a basic understanding of breast cancer, which is the foundation for discovering the cures. And with this new understanding, we're moving toward more personalized treatments -- as each patient and each tumor is different, their treatment must reflect those differences.

Yet while we are in position to experience significant advances, the sad fact remains that we are still facing an enormous cancer crisis -- cancer will claim the lives of more than a half-million people this year -- about 1,500 people a day.

In all, 40 percent of Americans will be diagnosed with cancer at some point in their lives, including approximately 1.4 million new cases this year alone. With the graying of the Baby Boom generation, we are about to experience a cancer tsunami.

Thus I was inspired to hear our new president call for reigniting our nation's war on cancer. And it didn't take long for a bipartisan group of senators to answer that challenge. The group, led by Sens. Edward Kennedy, D-Massachusetts, and Kay Bailey Hutchison, R-Texas, who have been working together and in close consultation and collaboration with the cancer community for more than a year, introduced the 21st Century Cancer ALERT (access to life-saving early detection, research and treatment) Act.

This bill is an effort to address our shortcomings and renew our commitment to discovering and delivering the cures to cancer.

In a period where Democrats control both the Congress and the White House and true bipartisanship is a rare and precious commodity, I am grateful to both senators, particularly Hutchison, for ensuring that this was a true partnership, and that everyone had a seat at the table. For Kennedy, this is obviously a personal issue. Hutchison has been with us in this fight since our early days, and this would not have happened without her leadership.

The first step in saving lives is in detecting cancer early. If breast cancer is a guide, developing effective early detection techniques is critically important to increasing mortality rates. For example, when my sister died, only 77 percent of women who discovered their cancer before it spread beyond the breast survived at least five years. After nearly three decades of investments and advancements, the five-year survival rate has increased to 98 percent.

Unfortunately, many cancers still do not have effective early detection methods. Ovarian cancer is a particularly devastating example: There is no screening diagnostic, thus a diagnosis is most often made after the cancer has spread.

According to the American Cancer Society, when ovarian cancer is detected locally, the survival rate is 92 percent; however, only 1 in 5 cases are detected at this stage, dropping the overall five-year survival rate to only 45 percent. Mortality rates are even more disturbing for lung and pancreatic cancers. This has to change.

This legislation seeks to address this by placing an emphasis on early detection and promoting the discovery and development of biomarkers so cancers can be detected at the earliest possible stage, when cancer is most treatable. It will also strengthen the cancer research process by promoting public-private partnerships and collaboration between government agencies. And the bill stresses translational research, so new discoveries and breakthroughs in the laboratory make their way to patients' bedsides as quickly as possible.

At the same time, we have to remind ourselves as we push for science to develop the early detection methods that will save lives tomorrow, millions of our friends and loved ones do not have sufficient access to the detection and treatment methods available today. Tens of millions of people are uninsured and lack access to basic health care. Federal and state programs that provide support to underserved people with cancer are dramatically underfunded, leading to huge gaps in access.

Even those with insurance often have difficulty accessing life-saving treatments, whether it is because they live in a rural community, have language barriers or are faced with roadblocks to participating in a clinical trial. The Cancer ALERT Act will begin to improve access to cancer care for underserved populations by expanding access to clinical trials and patient navigation services.

One thing I've learned over this journey is that we can do anything if we just put our minds to it and show that we are committed to success. This effort is an important and promising step in showing that discovering and delivering the cures for cancer is still a national priority, and that we are committed to seeing it through.

The opinions expressed in this commentary are solely those of Nancy Brinker.

@highlight

Nancy Brinker: I made promise to my sister who died of breast cancer

@highlight

A cancer survivor, Brinker says she's dedicated herself to fighting the disease

@highlight

She says new legislation would go far toward energizing fight against cancer