(CNN)If someone told you that your city had started a program providing clean needles to injecting drug users, would that make you want to start injecting drugs yourself? The answer, of course, would be no. Yet for decades, many have stood by the belief that such programs, known as syringe exchange or syringe services programs, promote and encourage drug use. Indeed, for Congress, it became the rationale behind a ban implemented in 1988 that prohibits the use of federal funds for these programs.

But an overwhelming body of scientific evidence continues to show that this is simply not true.

As a result of the recent spikes in HIV and hepatitis C infections among injecting drug users in rural Indiana and Kentucky, the controversial topic of syringe exchange programs has come to the fore again. And this time, scientific evidence and sound public health practices prevailed as both states authorized the implementation of syringe exchange programs to help curb the spread of these two blood-borne diseases that can be spread by contaminated syringes.

This is a welcome step -- an estimated 50,000 Americans are newly infected with HIV every year, and some 8% are among injection drug users. Meanwhile, between 2006 and 2012, at least 30 states experienced increases in hepatitis C infection rates, with more than half reporting at least a 200% increase in acute infections among young adults. Overall, the prevalence of acute hepatitis C among people under 30 rose from 36% to 49% in six years.

With such numbers in mind, the recent national spotlight on syringe services programs offers a critical opportunity for us to reignite a much-needed conversation.

Dozens of studies have demonstrated conclusively how effective syringe services programs have been in the fight against HIV and hepatitis C transmission among injection drug users by reducing the reuse and sharing of dirty syringes -- without increasing drug use. In addition to helping curb the spread of these diseases by offering access to sterile syringes, these programs promote public health and safety by taking syringes off the streets and protecting law enforcement personnel and others, including children, from injuries. They also offer preventive health services, such as HIV testing and counseling, and form vital bridges to drug treatment, overdose prevention, housing and employment services.

For states such as New York and Washington -- early adopters of these interventions -- syringe services programs have played a crucial role in driving down HIV transmission among injecting drug users.

Washington was the first state in the United States to implement an syringe exchange when it opened a syringe services program in Tacoma in 1988. In New York City -- where half of all injection drug users were HIV positive in the 1980s -- state lawmakers authorized syringe exchange in 1992 to combat the disease, deeming it a "public health necessity." The expansion of these programs in New York was followed by a dramatic reduction in HIV incidence among injecting drug users, declining from 54% in 1990 to 13% in 2001; hepatitis C prevalence declined from 90% to 63% during this period.

Because they work, syringe services programs will likely be an integral part of the statewide plans announced by New York Gov. Andrew Cuomo and Washington Gov. Jay Inslee to reduce new HIV infections dramatically by 2020.

Syringe exchange programs not only save lives, but also save millions of dollars in HIV treatment costs. While a clean syringe costs less than 50 cents, the average lifetime cost of treating an HIV-positive person is estimated to be around $425,000. As HIV-positive injection drug users report higher levels of unemployment and homelessness, public programs such as Medicaid will ultimately become responsible for the expensive treatment costs.

For example, an analysis by Johns Hopkins University researchers showed that expanding the availability of syringe services programs to cover just 10% of all injections in the United States would prevent almost 500 new HIV infections among drug users per year. This translates into $193 million in savings reaped from averted treatment costs after an estimated $64 million investment. In other words, every dollar spent on syringe exchange saves between $3 and $7 in HIV treatment costs alone.

Despite such evidence, syringe services programs are continually caught in the political crossfire. A longstanding ban, temporarily lifted in 2009 and then reinstated by Congress as part of 2010 budget negotiations, prevents state and local jurisdictions from spending their federal health dollars on these programs. Lifting the ban will not cost any additional money -- it simply allows states to spend their federally allocated dollars on syringe services programs, if they choose to do so.

Why is this important? The federal government provides the majority of funding for all HIV prevention services. Without access to federal funding, more than 200 syringe service programs in 34 states, Washington, D.C., and Puerto Rico are operating on shoestring budgets from local and state governments. This has forced syringe services programs across the country to cut staff, scale down services and potentially shut their doors for good.

Meanwhile, the new HIV and hepatitis C infections among injecting drug users in primarily rural states, such as in Indiana or Kentucky, show that the landscape of injection drug use in America is rapidly changing. We have a chance right now to get ahead of the curve and avert a nationwide resurgence of HIV and hepatitis C infections through injection drug use.

It is time for Congress to make sound and effective policy based upon facts rather than discredited assertions or unsubstantiated fears.

@highlight

An estimated 50,000 Americans are newly infected with HIV each year, CDC says

@highlight

Kevin Robert Frost: Syringe exchange programs save millions in HIV treatment costs