(CNN) -- As casualties mount before the brutal onslaught of Bashar al-Assad's forces against Syria's pro-democracy protesters, the Russians are being unhelpful again. In Washington and Brussels, even habitually cool diplomats have been showing frustration.

On January 31 Russia joined with China to block a plan presented to the U.N. Security Council by Morocco and supported by the Arab League that called on Assad to hand power to his deputy, who would then call a general election. If Assad did not comply within 15 days, the resolution threatened undisclosed "further measures."

Moscow already had vetoed one resolution denouncing Assad's use of force in October. As Western leaders sought to pry the Syrian dictator from power, his old friends in Moscow sent an aircraft-carrying missile cruiser to Syrian waters in a show of support last month and shipped his troops a consignment of Yakhont cruise missiles.

Such actions are just the latest in a litany of obstructionist maneuvers and spoiler ploys whose goal often appears merely to undermine Western international objectives. From Washington, Moscow has seemed determined to soften or delay sanctions on Iran aimed at curbing its nuclear ambitions, to stall in talks with North Korea over its nuclear weapons, to intimidate pro-democracy movements in neighboring states, and to egg on anti-American dictators such as Hugo Chavez.

Western commentators typically attribute such behavior to Putin's personal paranoia or to attempts to rekindle the nation's wounded pride and assert Russia's superpower status. Look a little closer, however, and Russia's actions seem motivated more by calculated -- albeit sometimes miscalculated -- realpolitik than by psychological impulses.

First, strategic interests are at stake. In Tartus, Syria hosts the sole remaining Russian naval base on the Mediterranean, currently being refurbished by 600 Russian technicians after long disuse. To have to give up this Middle Eastern beachhead would be a shame, as far as the Russians are concerned.

Second, although limited, Russia has real commercial interests in Syria. Contracts to sell arms to Damascus -- both those signed and under negotiation -- total $5 billion. Having lost $13 billion due to international sanctions on Iran and $4.5 billion in canceled contracts to Libya, Russia's defense industry is already reeling. Besides arms exports, Russian companies have major investments in Syria's infrastructure, energy and tourism sectors, worth $19.4 billion in 2009.

Counting pennies while protesters are gunned down may seem cynical. "How many people need to die before the consciences of world capitals are stirred?" Britain's Foreign Secretary William Hague demanded on January 31, clearly thinking of Moscow.

But Russian policymakers have developed an allergy to Western leaders' moralizing. Just as it was pressing al-Assad to resign, the U.S. State Department quietly lifted a ban on military aid to the Karimov dictatorship in Uzbekistan, which had butchered its own protesters a few years earlier. (Uzbekistan is important for supply lines to NATO troops in Afghanistan.) Neither did Washington press the king of Bahrain -- where the U.S. Navy has a port -- to step down after he crushed popular demonstrations in his capital.

From Washington, the West's recent interventions in the Middle East seem unplanned and responsive, with modest goals. From Moscow, it is easy to see a pattern in the repeated use of force to overthrow leaders -- from Afghanistan and Iraq to Libya -- and diplomatic pressure to dislodge others -- in Tunisia, Egypt and Yemen. President George W. Bush may be gone, but his "Freedom Agenda," it sometimes seems, lives on.

Libya is a particularly sore point. Russia's leaders felt they were tricked into supporting a resolution to protect civilians only to see it used to provide cover for airstrikes to overthrow Moammar Gadhafi. Vague phrases like "further measures" now set off alarm bells.

Beyond commercial and strategic interests, the Kremlin's greatest fear is of instability in the Middle East and Central Asia. Russian policymakers already worry about the northward spread of Islamic militancy and opium if the departure of NATO from Afghanistan leads to Taliban resurgence and state collapse.

Rather than a fairytale struggle between the people and a dictator, they see a potentially explosive religious conflict between Syria's ruling Alawis (close to Shi'a Islam) and majority Sunnis. The zeal with which rulers of the Gulf states and some in Washington call for al-Assad's ouster seems part of a broader project to isolate Iran, Syria's ally.

Still, unless al-Assad manages to decisively defeat his opposition in short order, the Russians are likely to soften their position -- not because of moral arguments, but simply because they do not want to end up on the losing side. If they alienate al-Assad's successors, the very interests they seek to protect could be in jeopardy. Russian Foreign Secretary Sergei Lavrov hinted at a shift on January 31, saying: "We are not friends or allies of President Assad."

Picking the perfect moment to dump a congenial dictator is never easy -- consider Washington's contortions over Hosni Mubarak in Egypt and the French embarrassment over their late coddling of Gadhafi. Walking out too soon risks alarming other allies. Waiting too long creates the image that one is both reactionary and out of touch.

The Kremlin's policymakers are hardly adept at this, and certainly may wait too long. So far, they believe al-Assad still has a reasonable chance of survival. If his prospects dim -- as seems likely --some minor rephrasing of the U.N. resolution will likely be enough to satisfy Russian concerns and bring them on board.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Daniel Treisman.

@highlight

Russia is standing in the way of a U.N. resolution against Syria's leader

@highlight

Daniel Treisman: Russia has strategic and business reasons to favor the regime

@highlight

Treisman: Russia is betting on Assad, but if he wavers, it may join in opposing him