(CNN) -- I remember when I was 10 or 11 years old, our Boys and Girls Club director, Billy Thomas, displayed school pennants sent to him by former club members who had gone off to college. I looked up at all those university names and emblems and thought, "If I work hard and graduate from high school, anything is possible."

The staff at our club in Mount Vernon, New York, insisted that we take our education seriously. Today's kids desperately need that same motivation.

As an alumnus of Boys and Girls Clubs and the organization's national spokesman for 18 years, I am deeply concerned about the well-being of our nation's young people. With so many serious issues facing America, we sometimes look past our most basic responsibility as a society: to care for our young. As Proverbs states: "Train up a child in the way he should go, and when he is old he will not depart from it." For too many youth in our country today, that "training" is either missing or insufficient.

My time at the Boys and Girls Club made an incredible difference in my life. The club gave me the confidence to succeed and to change the course of my life. Mentors like Billy Thomas told me I could do anything I wanted to do. That sounds like a simple thing, but as a kid I wasn't hearing that a lot. They gave me the positive support that I needed.

Billy Thomas was far more than a staff person. He gave me that push that I'll always credit with making the difference in my life.

I look back now and think about all the time after school that I spent at the club. I started there when I was just 6 and stayed for 12 years. Many of the boys I grew up with -- friends who didn't take advantage of the opportunities the club offered -- ended up in trouble with the law and spent many years in prison.

No single snapshot better illustrates the dilemma our country faces than the high school dropout crisis:

-- One-third of America's children do not graduate from high school. That percentage jumps to 40, 50, even 60 percent in many urban and low-income neighborhoods.

-- Nationally, 1.3 million students in the Class of 2010 failed to graduate, giving the United States the dubious distinction of being the only industrialized country where young people are less likely than their parents to obtain a high school diploma.

The cost to our nation in unrealized potential, and more immediate social ills such as crime, violence, substance abuse and teen pregnancy, is staggering.

Many discussions and debates on the state of education in America are taking place and these must continue. But I firmly believe another piece of the education equation is often overlooked -- specifically the role of youth development and mentorship during those unsupervised hours when kids aren't at school or at home, both during the school year and the summer months.

We need to reframe the education discussion by adding the out-of-school experience to the equation. Quality time spent with children during the nonschool hours -- including summer break -- builds character, encourages good health habits and increases academic performance.

The most profound impact is the eventual outcome -- young people equipped with the attitude, confidence and motivation to finish high school, prepared to succeed beyond.

Boys and Girls Clubs of America is making a major commitment to attack the dropout crisis. The organization's graduation strategy -- Every Member, Every Year -- aims to ensure that every Club member advances to the next grade level on time each year. Club staff members do this by emphasizing the importance of education and high school graduation, recognizing academic successes, and reinforcing those habits and skills needed to be successful in school.

We can identify young people who are at risk of dropping out and use one-on-one intervention and close collaboration with teachers to help that student develop the academic, emotional and social skills necessary to achieve academic success.

We have already seen dramatic evidence that an emphasis on academic success, good character and citizenship, and healthy lifestyles works. Nine out of 10 of our club members graduate from high school or obtain a GED, according to a Harris Survey of club alumni. Nearly two-thirds said that club staff contributed to their success in high school.

The question people often ask is "What can I do to make a difference?" My answer is that people can help based on their ability. Some can give money. Some can give products or services.

Some, like me, can give their time. They can offer their unique skills or experience to make an important difference in a child's life. It doesn't have to be a huge commitment of time. Imagine the good we could do if each of us volunteered just an hour or two a week.

I recently met with President Obama and thanked him for supporting our efforts and for continuing to inspire and encourage America's young people to pursue great futures. While the president's support is significant, all of our efforts will be needed if we are to reverse the falling graduation rate before we lose another generation of students. But reverse it we must. Our country's future depends on it.

Billy Thomas worked for the Mount Vernon Boys and Girls Club for more than 22 years. Surely you can give some of your time as well.

The opinions expressed in this commentary are solely those of Denzel Washington.

@highlight

Denzel Washington credits Boys and Girls Club and a director with helping, mentoring him

@highlight

Washington says the staff at the club he attended insisted kids take education seriously

@highlight

The club helps reduce high dropout rate by mentoring kids in out-of-school time, he writes

@highlight

One-on-one intervention, he says, and programs give youth confidence, motivation