(CNN) -- Tregg Duerson, his face drawn and his eyes exhausted, expressed confusion and dismay about many of the details surrounding his father's suicide last week. But he is sure about one thing.

"I wish I knew more answers. All I can do is trust what he's told me ... what he asked me to do with his brain," Duerson said.

Last week, David Duerson, a 50-year-old former player for the NFL's Chicago Bears, committed suicide by shooting himself in the chest. The details remain hazy, but family members believe that Duerson avoided injuring his brain so that it could be tested for disease.

In the coming months, a group of scientists at the Boston University School of Medicine will scour his brain tissue for evidence of an insidious disease among footballers called chronic traumatic encephalopathy.

"That has to take a lot of strength and a lot of courage to do that," said Otis Wilson, Duerson's best friend and former Bears teammate. "To donate your brain and the way that things went down. He's always been a strong person on and off the field, and even at the end, he's trying to help someone."

Warner: Playing through concussion 'part of the game'

Although Duerson did not say explicitly that he suspected chronic traumatic encephalopathy, his ex-wife said he knew that "something was not right." Recently, his vision had been failing him; so had his ability to form coherent sentences and spell.

And there was piercing pain on the left side of his brain.

"He felt the left side of his brain was the cause of many of his problems that he was experiencing," said Duerson's ex-wife, Alicia Duerson.

The disease is associated with depression, cognitive problems and suicidal thoughts -- all of which Duerson seemed to suffer before his death.

Dr. Robert Stern, a co-director of the Boston University School of Medicine Center for the Study of Traumatic Encephalopathy, stressed that as of now, "We have no idea whether he had a disease."

It will be months before scientists can confirm whether Duerson's cognitive and emotional problems were related to chronic traumatic encephalopathy.

Once a brain is donated, Stern gets to work, quizzing the donors' family members to get an accurate picture of the person's health, behavior changes and the amount of brain trauma he or she suffered. At the same time, Dr. Ann McKee, a neurologist and co-director of the center, examines thin slivers of the donor's brain and spinal cord tissue under a powerful microscope.

"(McKee) does her determination of brain tissue without knowing much about the individual history and symptoms," Stern said. "So it doesn't bias her interpretation of the brain exam findings."

What McKee has found in most of the brains she has examined is a central nervous system riddled with brown tangles -- damage characteristic of chronic traumatic encephalopathy -- in athletes with evidence of repeated brain trauma. Of more than 40 brains studied at Boston University, more than three-quarters have shown evidence of the disease.

"It is quite striking to see case after case, especially the ones who took many years of brain trauma, to find this in nearly every one," said Chris Nowinski, co-director of the Boston University center.

Alicia Duerson said her ex-husband suffered countless concussions on the field.

"Sometimes he would come home (from football games) with extreme headaches," she said. "We would meet after the game, and he would want me to drive because he felt dizziness or he just didn't feel stable."

Concussions, and traumatic brain injuries generally, have been implicated as a prime factor in chronic traumatic encephalopathy. It is a fact that has dogged the National Football League, which, for its part, has implemented more rigorous testing of players and rules changes to combat the trend.

NFL head hits may mean sideline exams

The NFL has also expressed an interest in sharing donated brain tissue, in cases such as Duerson's, so that it can perform analysis of brain tissue in conjunction with institutions like Boston University. The league is seeking collaboration among experts studying the disease and is partnering with the National Institutes of Health and the University of Pennsylvania for more eyes, so to speak, on the issue.

"More people looking at this might give us a better answer," said Dr. Richard Ellenbogen, co-chairman of the NFL Head, Neck and Spine Medical Committee. "We are taking this very seriously, and accelerating research on (the disease) will help get us more insight."

For Duerson's family, the first clue that something was wrong came by way of a cryptic text: "a bizarre text message that he sent to my mother saying that he loved her and he loved my family and to please get his brain to the NFL brain bank," Tregg Duerson said.

If the text at first seemed mysterious, the same wish echoed by Duerson in a suicide note seemed to cement his resolve. It contained a simple, haunting final request: "Please, see that my brain is given to the NFL's brain bank."

Despite the chilling details of Duerson's suicide last week -- and the questions still looming -- his family and friends cling to the hope that something good will come of their pain.

"It gives us a lot of comfort knowing that something positive and something great is going to come out of this for future players, for little leaguers, for everyone," Alicia Duerson said of her ex-husband's suicide. "I think that is what we're holding on to as a family. ... We're just so proud of him at this very moment."

As difficult as it is to think about his friend's demise, Wilson said he hopes that it will all make sense someday and that something substantive will happen as a result of Duerson's donation.

"And once they find out what the cause is ... that the NFL takes a stand and says, 'OK, we're going to try to alleviate this problem, because if you don't, then all this was for nothing," Wilson said.

@highlight

David Duerson, former NFL player, shot himself in the chest last week

@highlight

Duerson requested that his brain be donated to test for disease

@highlight

NFL has joined fight against chronic traumatic encephalopathy

@highlight

Scientists at Boston University will study his brain tissue