Taipei (CNN)It's midnight in the capital of Taiwan.

While some people are slowly walking home through the neon-lit streets, or getting ready to hit the club scene, others are on their way to a more unusual nocturnal hangout -- a bookstore.

The Eslite store in central Taipei opens 24 hours and has more night owl visitors than most Western bookstores could dream of during their daytime hours.

Here, young and old sit side-by-side on small steps or around reading tables, deeply engrossed in literary worlds.

Others stand and some sit on the floor, all reading in hushed silence as soft classical music seeps out from the speakers.

"People in Taipei do many things by night," says Wan Hsuan Chang, a teacher who sits on a step in the middle of the store, skimming through the children's classic "When Marnie Was There" by Joan G Robinson.

"You can go to the night market, shopping or nightclubbing. I read," she adds, before telling me to keep my voice down.

"There are people trying to concentrate on their books here."

Trend dodger

The Eslite Group, that runs the five-story store, opened its first branch in Taipei in 1989. Today, 25 years on, the company runs 42 stores in Taiwan, one in Hong Kong and has ambitious plans to expand in China.

The chain's rise comes at a time when bookstores in the United States and Europe are struggling to survive, with some forced to shut down due to growing pressure from online competitors like Amazon.

In the United Kingdom, a third of all independent bookstores have closed down in the last decade, according to the Booksellers Association.

And the last major book retailer in the U.S. --  Barnes & Noble --  is shutting stores as its management struggles to meet the challenges from its digital rivals.

Eslite has hit upon a concept to dodge this trend -- making the store as much a place for books as it is for design, fashion and home styling, small cafes and restaurants.

It reported revenue of around $425 million in 2013, with books accounting for some 40 percent of sales, according to company spokesman Timothy Wang. Sales are expected to increase by almost eight percent this year.

Hipsters and bookworms

The mix of literature and design has made the store a hangout for hipsters as well as bookworms, allowing the company to shrug off the challenges of the digital age.

"It is our belief that the more digital the society (becomes), the more we treasure the warmth of the interconnection," Wang says.

"This core idea makes Eslite barely impacted by the changes of the industry."

In some stores, books and products are displayed next to each other at the same table.

The 24-hour store at Dunhua Road has five floors, each dedicated to different categories, like fashion, music, food or events. The top floor is all books.

Chia Hsiang and Huang Yu Han, two friends from Taipei, are typical customers.

They sit in the bookstore café sipping hot chocolate and coffee and plan to spend the night gossiping.

But why here and not just a bar or restaurant?

"It's a cool place, a bit like Soho in New York," Huang  says.

"Many cool people hang out here. Some come here to read, others just to kill time and meet friends. It's like a place for modern culture and it's close to some of the best nightclubs and bars."

Online, many reviewers say the bookstore is a great place to pick up girls or guys, although none of the people I spoke to confessed to that.

Censorship?

It has also become a magnet for tourists visiting the island, some from the mainland China in search for literature banned under the Communist Party's strict censorship.

One of every four visitors to Taiwan visits an Eslite Bookstore, according to the firm.

However, Eslite has come under fire over allegations of self-censorship as it gears up to tap the Chinese market.

Earlier this year, the company reportedly stopped selling sensitive books about Tibet and human rights issues, possibly in an attempt to appease Chinese authorities becoming uncomfortable ahead of the planned new stores in Shanghai and Suzhou.

The company denied the allegations and I found books by both Wang Lixiong and Tsering Woeser, the supposedly banned dissident writers.

It's also not clear whether the company will be able to replicate its 24-hour model outside Taiwan where the bookstores have become a cultural phenomenon.

The chain's Hong Kong store revised its round-the-clock schedule after a month-long trial, although it still opens until 11pm on weekdays and midnight on Friday and Saturday.

Counter-intuitive?

Eslite's success may seem counter-intuitive especially when it seems most late-night visitors treat it like a library, leaving empty handed after hours of free reading.

Eslite's Timothy Wang claims that the business is successful because it creates "a friendly environment" and treats "books as well as the visitors with great hospitality."

That's good news for Tom Chen, a 30-year-old police officer reading about global manufacturing trends on a recent Friday night.

Going out to drink alcohol is too expensive, while reading books at the store is free, he explains.

"I love this place. I come here every weekend."

@highlight

Bookstore chain in Taiwan thrives while stores elsewhere fold

@highlight

Main store opens 24 hours, attracting hipsters as well as bookworms

@highlight

Company has ambitious plans to expand in China