(CNN) -- If we can put a man on the moon ...

I see it every day, the wonderment in the eyes of young children as they walk into the museum. They marvel at the pockmarked Apollo 11 command module or the shininess of the Apollo lunar module or the massive scale of the Space Shuttle Discovery.

For them, nearly five decades later, anything is still possible.

Forty-five years after the crew of Apollo 11 landed on the moon, millennials have now reached adulthood -- just as the baby boomers did in the 1960s -- and their kids still see hope in the stars.

This historic anniversary shines through the decades, as a watershed of American ingenuity, determination and spirit.

At the Smithsonian's National Air and Space Museum, our visitors remind us every day that these qualities endure, as entwined as ever with progress in aviation, spaceflight and planetary science.

Since our opening during the nation's Bicentennial in 1976, more than 325 million people have visited. The establishment in 2003 of our second location in suburban Virginia, the Steven F. Udvar-Hazy Center -- where the Shuttle Discovery is now located -- has increased our patronage. We are recognized as the country's most visited museum.

What is it about the history and science of flight that appeals to so many, transcending age and cultural biases?

Public reaction to the moon landing offers clues. More than anything, it represented infinite potential. It was the first time in history that humans set foot on another body. It was an American endeavor, but a worldwide triumph.

The Apollo 8 mission less than a year earlier set the stage for this powerful and galvanizing achievement because it inspired people to view the planet Earth in a new way. When its crew in lunar orbit focused cameras on Earth, humanity saw its home for the first time from far away, a small "blue marble" hanging in the blackness of space.

So when Neil Armstrong set foot on the moon's surface in the summer of 1969, humanity recognized in an unambiguous way that the exploration of space was possible, achievable and inevitable. This recognition continues to inspire and motivate us, and will for decades to come.

As the home of Armstrong's spacesuit, the Apollo 11 command module Columbia, and thousands of other artifacts related to aviation and space, we see firsthand how viewing these objects, and learning the stories behind them, resonates with children and people of all ages.

Our mission -- to commemorate, educate and inspire -- applies not only to the artifacts we preserve, but also to the research we conduct in aeronautics, space history and planetary studies.

The work our curators and scientists do serves as the foundation for exhibitions, programs, books, educational activities, online offerings, and live and broadcast programs. In the 21st century, our mission extends far beyond our walls, to reach the global community.

For those of us 50 and older, the anniversary of the moon landing will undoubtedly bring to mind the memory of what we were doing when Armstrong stated those memorable words "one small step for (a) man; one giant leap for mankind." We watched the event on television, looked up at the moon, and half expected to see Armstrong and Buzz Aldrin's movements from Earth.

For younger people who have never known a life where Americans were not exploring space, who have followed the magnificent achievements of the space shuttle era and progress on the International Space Station, they know our adventure is still ongoing, one they will eventually inherit.

At the National Air and Space Museum, the pride and optimism of Apollo 11 hasn't faded away. It endures, living on in the eyes of those kids.

And now it's up to them. What transforming discoveries will they make in the next 50 years of the space age? What new technologies and new worlds will become routine for them and their children?

Only one feature of spaceflight is inevitable: The unexpected will occur. Nevertheless, it is that sense of possibility that continues to excite us. The sky is no longer the limit.

Join us on Facebook.com/CNNOpinion.

@highlight

Gen. J.R. "Jack" Dailey says, 45 years after the first moonwalk, the allure of space is still strong

@highlight

The Air and Space Museum is home to Neil Armstrong's spacesuit

@highlight

Visitors can also find the Apollo 11 command module there

@highlight

Dailey: For many children and grown-ups, the moon landing represented infinite potential