(CNN)For years, when I'd tell new friends I was half-Armenian, a puzzled look would cross their faces, before they'd ask something like, "Do you have a country?" Or, when there was a spark of recognition, they'd chortle, "Ah, you're the people with the last names all ending in 'ian'!"

In fact, one of our most famous Armenians, Cher, was better known for her Oscar-winning portrayals of Italians, and had dropped her own identifying surname. The decimation of our people, too, was reduced to a footnote -- if we were lucky -- in tomes about World War I, when more than one million Armenians were killed during the last days of the Ottoman Empire.

Most of the time, though, the coverage was about how Armenians and Turks hate each other like cats and dogs, that the Turks continue to deny that ethnic cleansing occurred, saying the Armenians had hatched a rebellion, and that the leaders had no choice but to deport them from their homes and put them on the road that led to their deaths.

Even Adolf Hitler had brushed us aside, uttering, just before invading Poland in September 1939: "Who, after all, speaks today of the annihilation of the Armenians?" according to the former bureau chief of The Associated Press in Berlin, Louis Lochner.

Apparently he hadn't the anticipated the Kardashian juggernaut.

As Kim Kardashian, sister Khloe and their two cousins recently toured Armenia -- on the eve of the 100th anniversary of the mass killings, which is marked on April 24 -- they spotlighted a humanitarian crime that Pope Francis recently called "the first genocide of the 20th century."

Suddenly, the poor landlocked country of Armenia was trending. Standing in front of the statute of "Mother Armenia," Kim seemed to seize the label herself, and the adoring crowds appeared to agree. On another stop of her tour, she dressed in a red jumpsuit, and placed tulips at the slate gray Armenian Genocide memorial complex, bringing new color to an issue and to a people who usually pay tribute to their dead relatives every year in their best funereal black.

After the Kardashian trip to Armenia, my elderly mother Anahid called me nearly breathless with pride:  "Have you seen? The genocide is all over the news! That famous lady, Kim Kardashian, has done it!" My mother's own father, Stepan Miskjian, with his own "ian" surname, had narrowly survived the killings.

He told of how an entire caravan of thousands was killed in what's now eastern Syria, and that he only escaped by waiting until night and crawling out on his hands and knees past the ring of guards, and then crossing the desert for six days with only enough water to fill two cups.

When the Kardashians first rose to fame, many Armenians cringed over their potboiler storyline, their million-dollar weddings to basketball players and rappers, multiple divorces, and a clothing line at Sears. Through their fame, though, people began to learn about Armenians -- even people outside Los Angeles, where the Armenian population is as thick as the Kardashian hair.

That Americans may also have been equating the ancient culture with the latest "Keeping Up with the Kardashian" plotline was a source of discomfort for the community. But every once in a while, Kim Kardashian would tweet something about the issue -- and slowly the community began to warm to her.

Meanwhile, many Armenians continued to brainstorm about how to convince Turkey to acknowledge the truth about what happened, and how to persuade the President Barack Obama to label the killings "genocide," as he promised when first campaigning for the highest office.

We cheered and forwarded emails every time a rumor surfaced that Steven Spielberg was going to take one of our family stories to the big screen, give us our own "Schindler's List," and hoped maybe now the world would be forced to listen. And we would deflate when it wouldn't come to fruition.

And every April 24, the day in 1915 when Ottoman Turks began rounding up the community's intellectual leaders, we mobilized. And we will do so again this year, holding candlelight vigils, concerts, and protest marches, while waving the Armenian flag, even though many of us have never been to the country ourselves.

We also press forward on the academic front, holding conferences on the latest research around the world, exulting in the discovery of yet another bit of information that would surely make the world reckon, that would counter Turkey's steadfast pressure on the United States to not acknowledge the atrocities.

And still, disappointingly, early reports surfaced yet once more, as in years before, that Obama has decided again on this year's anniversary not to use the g-word.

Despite all the setbacks, the Armenians will continue to speak out, and hopefully find some hallowed ground, too, to stand with Turks to heal. After all, we've learned an increased dialogue can come from the most surprising places.

This year, it took a reality star, famous for balancing a cocktail on her rump, to catapult it to the top of the news once again, like it was on December 15, 1915, when headlines like "Million Armenians Killed or in Exile," splashed across the New York Times and other international media.

After a century of trying to raise awareness, what we needed all along was a television and Internet persona to join us -- especially one who shares everything on every platform -- to shed light on a crime that occurred back when telegrams were the speedy form of communication, and photographic plates of the killings had to be smuggled out in a belt, rather than blasted instantaneously with a tweet.

The queen of the selfies has finally used her attention for good, and hopefully it won't be as short-lived as some of her other memes. That's a crusade I can follow in any medium.

@highlight

Dawn MacKeen: 2015 marks 100th anniversary of slaughter of Armenians by Ottoman Empire. Kim Kardashian has used fame to spotlight this

@highlight

She says Armenian community has long sought global recognition of the atrocity, but it took a Kardashian to catapult it into the news