Minneapolis, Minnesota (CNN) -- The Gulf Coast oil disaster.

A massive hurricane.  The collapse of a highway overpass during rush hour.

A terrorist attack.

All of these calamities have happened in the United States in recent years.  And today, graduate students at the University of Minnesota are analyzing these disasters to learn how they can prepare for the next one -- or help prevent it.

They are all working toward a master of science in security technology. It's sort of like a degree in all things Homeland Security.

The new graduate program, which began last month, has attracted students from a variety of backgrounds.  Students attending the inaugural class include a U.S. Marine, a government IT guy, even a U.S. postal worker.

They are studying high profile catastrophes from natural disasters like hurricanes and pandemic diseases to critical infrastructure failures and biological or explosive terrorist attacks.

They also examine collapses in the banking industry, the postal service, electric power grids and food supply chains.

The program is taught by Massoud Amin, a leading security expert and the director of the university's Technological Leadership Institute.

After the September 11, 2001, terror attacks, Amin was tasked with assessing the security risk to the nation's electrical power grid.  He and his team reported their findings to the U.S. government.

Amin said his passion for improving people's lives through technology began as a young boy in Iran.

"I went with my dad to villages to practice medicine ... where women would die in childbirth," Amin said.  "And I would see that as soon as they got electricity, their lives would improve.

"Because of this experience, I kind of knew at that young age ... I wanted to use physics to improve the lives of others."

Three years ago, he got a close-up view of how physics can impact people's lives.

Sitting in his office, he watched as the I-35 west bridge that crosses the Mississippi River in Minneapolis collapsed just a few yards away, killing 13 people.

Amin said that tragedy helped spark the idea for the master's program.

"All these large scale critical systems that we take for granted ... how do we prevent systemic failure in them," he said.  "If a disturbance occurs in one place, how do we identify precursors to disturbances before [disaster] happens?"

The biggest challenge his students face is coming up with a solution to preventing disasters without hindering civil liberties and privacy, Amin said.

A large number of the students enrolled in the program are working professionals from industries where security and risk assessment play an important role.

Nathan Hunstad, an information technology analyst for Minnesota's Democratic caucus, said security plays a "pretty big part" of his job.

"What we do here is political, so there's obviously a lot of need for secrecy and privacy," Hunstad said.  "We're very cognizant of security issues."

Hunstad said he has been looking for a way to combine his interest in cryptology and code-breaking with his passion for public policy.

"Working for the Department of Homeland Security or continuing to work for the legislature in terms of setting broad security policies for the state or country ... that would probably be my dream job," he said.

Student Bill Hagestad already has first-hand experience with securing critical infrastructure from terrorist attacks.

"During the initial invasion of Iraq, part of my job was to go around and evaluate locations throughout the central command area of operations, look at facilities and make sure they were not vulnerable to attack by terrorists," he said.

After earning his graduate degree, the Marine Corps reserve officer hopes to one day become the chief technology officer of a computer networking company, focusing on cyber threats.

That may not sound like a job that could prevent the next terrorist attack.  But Amin says learning about past disasters can help anyone in any position be better prepared for the next one:

"At the risk of being grandiose, we can help save the world."

CNN's Thom Patterson contributed to this report

@highlight

University of Minnesota offers master's program in security technology

@highlight

Program teaches students how to prepare for natural disasters and terrorist attacks

@highlight

Many students are professionals, including military and government workers

@highlight

Program is the brainchild of Massoud Amin, an Iranian-born security expert