Denver (CNN) -- How did an unlicensed professional, who led people to believe he was a medical doctor, run a facility for adolescents with mental illness and drug abuse problems for decades, despite complaint after complaint to state regulators alleging abuse?

That's the question that haunts some of the alleged victims of an inpatient treatment center that operated in Wheat Ridge, Colorado, for about 30 years.

A CNN investigation uncovered at least 15 civil suits and some two dozen complaints to state regulators against Adolescent and Family Institute of Colorado, also known as AFIC. The allegations include verbal and sexual abuse, unauthorized discontinuance of psychotropic medication and fraud.

The man in charge, AFIC's president and founder, Alexander Panio Jr., was not a licensed psychiatrist or psychologist in the state of Colorado, yet he was allegedly treating patients, and participating in and enabling the abuse at his facility.

"It did the most incredible damage to our family," said Rick Palmer, who's filed a civil suit against AFIC, Panio and other staff members.

Rick and Sylvia Palmer turned to AFIC in 2011 to help their then-16-year-old daughter, Jessica, a star soccer player who was struggling with mental illness and drug addiction. But instead of getting help, the Palmers say, Jessica was harmed.

In their civil suit, the Palmers claim Jessica "was repeatedly told by AFIC staff that she was a 'bitch,' 'dumb,' and a [expletive]. She was told that her parents didn't love her and that she was the source of all their problems."

The Palmers also allege Jessica was cut off from her family, was abruptly taken off her bipolar medication without authorization, and was brainwashed into believing she was faking her mental illness.

"As a result of her experience at AFIC, Jessica Palmer became more depressed, suicidal and filled with self-loathing," according to the civil suit.

Jessica Palmer took her own life in 2012, less than a year after leaving AFIC.

In court documents, AFIC and staff deny all claims. The Palmers' suit is pending, but both sides tell CNN they have agreed on settlement terms.

Complaint after complaint

The Palmers are not alone.

Colorado public records obtained by CNN detail similar complaints and other alleged abuses that date back to the mid-1980s.

The allegations of abuse include sexual misconduct during physical exams, such as fondling and measuring genitalia.

Another civil suit involving a 14-year-old patient of AFIC, who is referred to only as "Baby Doe" because she is a minor, alleges: "Baby Doe was required to bend over and touch her toes while [staff members] stood behind her, evaluating her exposed buttocks and genitalia. Baby Doe was then told to squat and 'walk like a duck' across the floor."

The civil suit alleges the patient began to cry and was threatened with humiliation -- "she would be labeled as having [sexually transmitted diseases] ... and disallowed from participating in certain activities" -- if she did not allow the exam.

AFIC and staff members deny these allegations. Court documents show a settlement is pending.

Public records also show repeated complaints of verbal abuse made to the Colorado Department of Human Services as early as 1990 through 2012 that allege degrading, derogatory, humiliating, and at times racially charged rants directed at patients and family members.

A county social worker who attended a patient evaluation wrote to state regulators in 1998:

"I am concerned that the treatment my client recently received in a pre-placement interview ... was demeaning and humiliating to him and basically stripped away his dignity as a human being. ... In my opinion, they tore him to shreds. ... In the 20 years I've worked in the field of Human Services, I have never seen a professional treat a youngster in a way that totally disregards him as a human being with worth. ... Incarceration is more humane."

"We were just belittled and degraded and made to feel so small we could barely get up off the mat," said Aimee Donabedian, the plaintiff in another civil suit.

Donabedian said her son Chris, 16 years old at the time, was neglected and abused at AFIC in 2010. His family checked him into AFIC after a psychiatrist had diagnosed Chris with major depression with psychotic features, a precursor to schizophrenia, and had started him on medication.

"We were told that the next step would be to have him in residential care for a few weeks to get him acclimated to his medication," Donabedian told CNN.

The Donabedian lawsuit alleges AFIC discontinued Chris' medications abruptly and without tapering.

"My illness just progressively got worse when I was there," Chris Donabedian told CNN.

He said he started hallucinating, hearing voices and begged for his medication but was denied.

"I was way worse when I left. Just the voices were really bad," he said.

Chris Donabedian has been diagnosed with schizophrenia since leaving AFIC.

Aimee Donabedian described her son's treatment as abuse.

"The abuse of not being allowed to have his medications. The abuse of being told that he's basically, no good, just the scum of the earth, that he's just a liar and a manipulator and he's really not sick."

AFIC and staff members, named as defendants in the Donabedian civil suit, deny all of these allegations.

Donabedian said the civil suit was a result of months of research "because no normal person could wrap their head around what was going on at AFIC."

She discovered that Panio wasn't licensed to practice medicine or psychotherapy but was allegedly diagnosing and treating patients.

"What we experienced there was bait and switch," Donabedian said.

'Dr. Panio'

Panio got his doctorate in psychology in 1979 from a distance-learning school. Its accreditation at the time was not government-approved and it no longer offers PhDs in psychology, the school confirmed to CNN.

But he went by "Dr. Panio" even before 1979. In fact, officials at Northwestern University, where he was a faculty member from 1972 to 1978, told CNN they believed he was a medical doctor. University records show him listed as "Alexander Panio Jr., M.D."

Chicago Tribune articles dating as far back as 1970 even refer to him as "Dr. Alexander Panio Jr."

"I think he experienced great joy in pulling strings and controlling people's lives and affecting them and playing doctor," said Donabedian.

CNN tried repeatedly to contact Panio, both directly and through his lawyers, to ask about the allegations of abuse at AFIC and about his credentials, but he avoided our cameras and never returned phone calls.

In court documents, Panio denies all allegations of abuse and stands by his credentials.

Panio's attorney Katherine Fritz told CNN Panio cannot talk due to settlement terms in a number of civil suits, including the Palmers' and Donabedians'.

The state's response

During the approximately 30 years Panio ran his facility, state records show he was only registered to practice psychotherapy between 1992 and 1998. Then his registration expired. The state confirms he was never licensed as a psychiatrist or psychologist in Colorado.

Hundreds of pages of public records obtained by CNN show state regulators were alerted to problems at AFIC and they did investigate. Yet, time and again, the authorities said the allegations "could not be confirmed."

The Colorado Board of Registered Psychotherapists did issue Panio a cease-and-desist order in March of 2013 for his alleged diagnosis and treatment of patients at AFIC, which Panio appealed. The state Department of Regulatory Agencies told CNN the parties are still waiting for a ruling by the administrative law judge regarding this case.

Even so, the cease-and-desist order only addresses Panio's licensing issues, not the alleged abuse.

The Department of Human Services, the Department of Regulatory Agencies and even the governor's office refused multiple requests for an interview by CNN. Instead, the Departments of Human Services and Regulatory Agencies issued a joint statement that reads:

"Any additional information regarding this former facility, Mr. Panio and the respective licenses and credentials is part of an ongoing case in which final disposition has not been reached and therefore cannot be discussed in an interview."

The state never shut down AFIC. The facility closed voluntarily on July 1, 2013, after several of the civil suits were filed leading to at least one key member of the staff leaving. Many of the employees, who allegedly participated in the abuse, are licensed to continue working.

No criminal charges have been filed involving AFIC. However, Wheat Ridge police are investigating.

"We've had to involve a lot of other agencies on this particular investigation. Unfortunately, there's not a whole lot I can discuss at this time because the case is still under investigation," said John Romero, public information officer for the Wheat Ridge Police Department.

Demanding justice

For the Palmer family, it's not enough.

"I think (AFIC) shoved us over a bridge, burned it, and then took away any tools we had to rebuild it," said Sylvia Palmer. "The mess they made in her mind was permanent and final."

Her parents allege AFIC staff convinced their daughter that she was faking her mental illness.

"Jess believed it when she got out. She truly believed she was a fraud, that she was a cheat, she was a liar, that she was all of the things she was prompted and worse," Sylvia Palmer said.

A note from Jessica's journal, written at AFIC, reads:

"I'm a fraud. I'm just a waste of space.... I want to be gone from here. Whether that looks like jail, an institution, or death."

Jessica Palmer was just 17 years old when she killed herself.

"They sucked the life out of our daughter," Rick Palmer told CNN. "Somebody needs to do something."

@highlight

Adolescent and Family Institute of Colorado operated for nearly 30 years

@highlight

A CNN investigation uncovered at least 15 civil suits and nearly two dozen complaints

@highlight

Founder was not a licensed psychiatrist or psychologist in the state of Colorado

@highlight

Lawsuits and complaints allege fraud, abuse, humiliation of patients