(CNN) -- For those out there worried that our nation's stern gun laws were keeping firearms out of the hands of too many people, the solution appears to have arrived: the printable gun.

Produced by a nonprofit organization called Defense Distributed, this small plastic gun, dubbed the "Liberator," has been tested and is able to fire a bullet in a video demo. Assuming this is no crazy hoax, the ramifications of such a weapon for gun control are potentially profound.

I can't imagine that too many people with rational minds think printable guns will add to the serenity of the world. Granted, 3-D printers aren't yet a household item, but as technology improves and becomes less expensive, they may become common.

Although the "Liberator" appears unreliable, tending to fragment after a few shots, subsequent models will likely improve. Either way, it's a workable and untraceable gun.

Open source guru Eric Raymond has said, "I approve of any development that makes it more difficult for governments and criminals to monopolize the use of force." The development of the printable gun seems to be particularly popular with the ultra-libertarian crowd. The founder of Defense Distributed apparently describes himself as a crypto-anarchist.

It's difficult to envision a situation in which a law-abiding homeowner prints a gun for self-defense. Sure, a few people may print the darn things for the novelty of it. But the printable gun, assuming it moves forward unregulated, would be the obvious realm of the criminal.

Can't pass a background check? No need to take your chances, such as they are, at a gun show anymore. Just print out your weapon from home! As only the firing pin is metal (a household nail), I can only imagine the nightmare of trying to detect these things.

Most homicides are impulsive, not the cold calculated affairs of Agatha Christie novels. Would enraged individuals without a gun be able to print one of these in response to some perceived slight? Yes, they'd have to go buy a bullet (and a nail), but it's still a way around a background check.

This scenario seems foolish only because it's already so easy to get a real gun. There are approximately 300 million guns in the United States. If we want to reduce the number of homicides (or suicides for that matter), making it difficult to get immediate access to guns can help reduce impulsive behaviors. Allowing people to print their own gun is just the opposite.

Beyond a doubt, calmer heads will want to regulate these things. I'm not a lawyer, but I suspect this is one example in which technology may have raced ahead of the law. Is Defense Distributed selling guns or information? Is this a gun control issue or a First Amendment issue? Can the printers be regulated to refuse to print weapons, or could new designs simply circumvent existing prohibited products?

Sen. Chuck Schumer, D-New York, has expressed interest in legislation to block printable guns , so we'll see where it leads. As he puts it, "We're facing a situation where anyone -- a felon, a terrorist -- can open a gun factory in their garage and the weapons they make will be undetectable. It's stomach-churning." It seems that way.

Don't get me wrong. I'm probably about as neutral as anyone can be on the issue of gun control. I believe law abiding citizens have constitutional rights to own weapons. But at the same time I believe in reasonable safeguards to make sure access to firearms is limited from criminals and those with chronic mental illnesses.

In this sense, to me, printable guns are a step in the wrong direction. Granted, the actual impact of printable guns on societal violence is obviously unknown. Perhaps they'll remain so unreliable or difficult to assemble from the individual pieces that the impact will be negligible. Or perhaps not.

Some have described Defense Distributed's efforts as a kind of political performance art. Very funny, Defense Distributed. We get it. I just hope we don't regret it.

The opinions expressed in this commentary are solely those of Christopher J. Ferguson.

@highlight

A group used 3-D printer to make a plastic handgun that can fire a real bullet

@highlight

Christopher Ferguson: The ramifications of such a weapon are potentially profound

@highlight

He says if a criminal can't pass a background check, he can just print his own gun at home

@highlight

Ferguson: How will government regulate these workable and untraceable guns?