From the first time you step into eastern Congo, you find yourself surrounded by the exotic and extraordinary, be it flora and fauna or the just plain incongruous -- the severed wing of a Russian aircraft stored on the side of the road, or a boy with a gun.

The place is pulsating with the heat and energy of a population of people fighting to survive just one more day. But the violence here is as intense as this intoxicating, heady mix of Africa at its best and worst.

Eastern Congo has been called the "rape capital of the world" by U.N. Special Representative Margot Wallstrom. Reports record that 48 women are raped every hour. I have been working in the region for 10 years and have seen a tragic development in this unpunished crime against the heart of society.

I first went to a town called Shabunda, deep in the forest. It was October 2001 and circumstances brought me to Congo rather than Afghanistan. A small twin-engined plane was the only way in. And out.

It was the height of the war and I was with a returning team from the medical NGO Medecins Sans Frontieres (MSF). They had pulled out because of the regular attacks on the town, but had decided it was safe to bring their team of three back: there was such a need for medical help here.

As the plane taxied its way precariously down the grass airstrip, we knew we were waving goodbye to the only escape route we had. I was there for a week.

A week hearing terrifying stories of torture and rape. Multiple rapes. Violent, brutal rape. Rape with sticks and guns, even bayonets.

Women told me of their daily choice -- to stay at home and face starvation. Or, go out to the fields for food and be raped. Most women chose the latter. It had become the norm.

The war continued until 2003, when a peace treaty was signed. Officially, the fighting came to an end, but it didn't stop. Nor did the rape.

I returned to Shabunda in 2005 to find the women I had interviewed and photograph four years earlier. It was an unsettling search, for most of those women had died or disappeared in the forest after an attack, never to be seen again.

The new women I met had similar tales of horror. But there was a twist. The people I spoke to this time related organized rape camps, with daily roll-calls. There was a new efficiency in the rape, it had become an integrated part of the rebel forces lives. As these women told me, it was now systematic.

Some years later, in 2009, I returned to make a film about rape and found a disturbing new trend.

Women told me how they expected to be raped. Not once but many times. The women I met, spoke of gang rapes, three or four times. Sometimes it was "only" two soldiers, more often gangs of men,10, 20, over and over again.

Many had conceived children and the girl children, some just babies only a few months old, were being raped as well.

Rape has now become generational.

In Panzi hospital, Bukavu, Dr. Mukwege, a general surgeon continues to work tirelessly to repair these damaged women. I met one of his patients. She was a cheerful little girl, it was impossible not to be drawn to her smile.

The nurse saw me playing with her said: "You know she's HIV-positive." She was just three years old. Her twin sister had been killed when she and her mother had been raped. This little girl had been conceived from rape.

It makes difficult reading, but not nearly as difficult as it is for the women survivors, who are living with the consequences and stigma of rape.

Not least one particular woman, Masika Katsuva. She's tiny, barely five foot tall but is a giant of a personality. Her story has inspired many of us, it is so bleak but also hopeful because she's providing an answer to these women.

The African beauty empowering women

Like so many women survivors, she too was rejected when she and her two teenage daughters were raped by militia men. Her husband was murdered in front of her, chopped up and she was forced to eat his private parts.

Her two daughters Rachel and Yvette were 15 and 13 years old, and both of them conceived children. Masika's husband's family rejected them and she brought her daughters and their babies to a market town hugging the shore of Lake Kivu to try and rebuild their lives.

This year I made a film about her and her work. She's taking care of 170 women at the moment, they call her Mama Masika. Over the past 10 years she's helped more than 6,000 victims of rape, providing them with a wide range of care -- practical, medical and psychological.

She has created a community in an area that is not regularly attacked, providing support to anyone who wants it, and she uses a farm to bring them together.

That field is their hope, their therapy and their source of food and income. They come to this refuge as victims, punished by the violation of rape, blamed and rejected by their families and the local community.

Masika has become a mother figure to the women and their children -- the results of rape -- and as they plant, tend, harvest and finally sell their crops they begin to heal together.

Masika tries to dream of a better future, but she's also realistic. She wants her women to be able to stop doing manual labor in the fields and learn skills like sewing. But for that to happen, she believes, the fighting and the rape must stop.

She looks me in the eye, and with a sigh, says: "But I don't see either the rape or the fighting ending today."

@highlight

Eastern Congo has been called the "rape capital of the world"

@highlight

Writer has noticed disturbing trend of generational rape

@highlight

Dr. Mukwege, a general surgeon, works tirelessly to repair women damaged by rape