(CNN) -- Over the past few weeks, about 18 Palestinians and three Israelis have been killed in the occupied Palestinian territories. Although President Barack Obama rightly condemned the tragic killing of three Israeli teenagers, the majority of Palestinian victims have been largely reduced to faceless, nameless statistics who do not elicit comparable reaction.

Exceptions are the case of Tariq Abu Khdeir, an American high school sophomore and that of his cousin 16-year-old Mohammad Abu Khdair, who was abducted by Israelis and then burned to death. Tariq was visiting his relatives in Jerusalem and was captured on video being beaten unconscious by Israeli police. But his beating might only have become public because he is an American. While Tariq was released from detention after three days under a growing media spotlight, hundreds of Palestinians who have been rounded up remain detained with uncertain futures.

[The Israeli army said eight Palestinians killed this week in a military operation were "suspected militants," but there is no way to be certain. The rest were unarmed civilians.]

The inattention to other Palestinian deaths and suffering is the most recent reason I have a hard time reconciling the perspective of our politicians and media organizations with the experiences of my family, including the slaying of a young, promising son of my cousin Siam two months ago.

My exposure to this conflict began when I was 11, visiting Palestine for only the second time. I was born and raised in the Boston area and my concerns at that point did not extend much beyond the success of my Little League baseball team.

"When we get older we will be in prison."

I was surprised to hear this statement from my 11-year-old cousin, Siam Nowarah, referring to himself and his 13-year-old brother, who nodded nonchalantly in agreement.

I learned a lot from Siam and his brothers that summer. My cousins walked without fear, at least outwardly, past the armed Israeli soldiers who were scattered across the streets of their hometown. These cousins were nothing like the kids I was growing up with. Though they were my age, I marveled that they had the outlook and courage of men.

Why has the violence flared up again?

Even then, I realized their environment forced them to skip much of their childhood. Siam was just 5 years old when, around the time an Israeli military court sent one of his older brothers to prison, his grieving mother died of a heart attack.

The fun of that summer ended when Siam's 17-year-old brother was targeted in a raid by an undercover Israeli military unit. We became consumed with trying to visit him in prison. I have never forgotten the sight of him. The young man I knew with the flowing hair was reduced to a captive with a shaved head in prison garb.

Israel's military occupation continued to haunt the Nowarah family as it has so many Palestinians. While some of the brothers left Palestine to build lives elsewhere, most remained. In 1996, my family recounts, Siam's recently married older brother Tamam was killed by an Israeli military helicopter gunship while photographing clashes in his neighborhood.  [A U.N. report outlines the events, but does not mention the many victims by name.]

The failure of the peace process and the failure of the international community to uphold Palestinian rights has meant real pain and suffering for my extended family, but our tragedy is not unique or even extraordinary. These stories are the stories of life for most Palestinians caught up in Israel's long-running domination of us and our land.

The last time I saw my cousin was during a visit to Palestine in 2006. Siam was a proud father of beautiful children, running his own hair salon, named affectionately after his son Nadeem, and finding a way to persevere through tough times. His infectious smile had not changed.

That is, until recently.

Nothing could prepare me for the images that came bursting through my social media feed.

First, the images of a handsome boy, labeled "R.I.P." Then the images of his father, Siam.

Just as he had no choice but to be thrown into the role of grieving son as a child, and grieving brother as a young man, he was now cast in the role of grieving parent -- the worst role imaginable. In TV interviews, he somehow maintained his composure, drawing upon all that had made him strong during his life, but in photographs, the anguish in his eyes was searing.

His childhood expectation of imprisonment foreshadowed something even worse.

His 17-year-old son Nadeem felt compelled to protest at the site of the dreaded Ofer prison, accused by human rights groups of torture and abuses of Palestinian children. The protest was on May 15, the day of Al-Nakba, which commemorates the 66-year dispossession of the Palestinian people from our homes and lands. Nadeem went to protest in support of political prisoners on a hunger strike.

Imprisonment has featured prominently in the life of the Nowarah family and Palestinians as a whole. A stunning 800,000 Palestinians have been imprisoned since Israel's occupation of the West Bank and Gaza began in 1967, according to the Palestinian Ministry of Detainees.

The released video footage proves Nadeem posed no threat to any Israeli soldier. The Israeli military denied responsibility, saying it used only "non-violent means" to disperse the crowd. The Israeli Defense Minister Moshe Yaalon claimed "it was a life-threatening situation, so the officers acted accordingly."

The video and other evidence, however, tell a different story.

They indicate live ammunition was used unlawfully to kill Nadeem and 16-year-old Mohammad Mahmoud Odeh Salameh, with execution-style accuracy. Human Rights Watch has since called the killings an "apparent war crime." Following repeated attempts by Israeli officials to obfuscate the truth, Siam made the agonizing decision to exhume his son's body and have an autopsy performed in front of international forensic pathologists who unanimously confirmed it was the use of live ammunition that killed Nadeem.

Evading accountability for killing Palestinian children has become common practice for the Israeli military. In the past year alone, hidden beneath the headlines of a now-defunct peace process, more than 50 Palestinians have been quietly killed by the Israeli military, including children, according to the Institute for Middle East Understanding. Since the year 2000, more than 1,500 children have been killed, another 6,000 injured and more than 10,000 arrested, according to the Palestinian Authority and reported in Haaretz.

The time has come for the United States and the international community to hold Israel responsible for its crimes and launch an independent investigation. Not only must the soldier who pulled the trigger be brought to justice, but the chain of command and ruling government that bears responsibility for his actions must be held accountable. The jurisdiction of the International Criminal Court should be sought, and the United States and European Union should institute travel restrictions on specific Israeli commanders who have overseen criminal violence in Palestine.

The likelihood of these constructive actions, however, seems remote. Just last week, the U.S. House of Representatives voted to increase funding for Israel's military by $131 million beyond the $3.1 billion granted in the 2014 fiscal year. And upon discovery of the bodies of the three missing Israeli teenagers in the West Bank, President Obama spoke immediately and movingly about how as a father he could not imagine the "indescribable pain that the parents of these teenage boys are experiencing," yet he never offered any such sympathy to Siam, his wife or any of the other Palestinian parents of murdered children.

As a U.S. citizen whose tax dollars contribute to our annual military aid package to Israel, I can't help but feel complicit. Writing about this tragedy from the comfort of my suburban American home feels so trite, while my relatives, like so many in Palestine, are left to grieve as the world averts its eyes.

I want to share the name Nadeem Siam Nowarah, so we can never again say we did not know. Only when we recognize that all victims, whether Palestinian or Israeli, deserve to have their story told can we have hope that in life, Palestinians and Israelis can be equals, too.

@highlight

Naseem Tuffaha's cousins in Palestine were resigned to a tough life

@highlight

Tuffaha: Israeli teen deaths a tragedy, but Palestinian deaths are just statistics

@highlight

Tuffaha shocked to see teen son of his cousin Siam had been shot and killed

@highlight

He wants the tragic death of the son, Nadeem, and his friend to be remembered