(Financial Times) -- Eurozone governments are looking to the European Central Bank and national central banks to help pare back the cost of a second rescue package for Greece which would otherwise amount to €170bn.

Figures seen by the Financial Times reveal Greece needs €136bn in fresh bail-out funding from the European Union and International Monetary Fund -- in addition to the €34bn left over from Greece's first bail-out. This is €6bn more than EU leaders agreed in October. Germany, the Netherlands and Finland have insisted on paying no more than €130bn.

Eurozone finance ministers, who meet in Brussels on Monday to hammer out a deal to save Greece from default, hope the ECB can contribute by forgoing some of the future profits it would earn on its Greek bondholdings, which it has said it is willing to do.

Senior officials said they would also discuss a possible contribution from eurozone national central banks whose bondholdings could be included in a €200bn debt restructuring to be launched alongside the bail-out.

Q&A: Is Greece facing a disorderly default?

A central bank contribution would help the eurozone and IMF to keep their contribution to €130bn. It would also reduce Greece's ratio of public debt to gross domestic product in 2020 closer to the 120 per cent the IMF deems sustainable, permitting it to take part in a second rescue.

In a conference call on Sunday evening, eurozone finance ministry officials were still debating the terms of debt restructuring -- including whether to force more losses on private bondholders -- and how to bring down the size of the total bail-out. But senior officials said they believed a deal would be reached at a meeting of eurozone finance ministers on Monday in Brussels.

"I don't think there is a majority to go a different way because a different way is enormously arduous and costs lots and lots of money," Maria Fekter, the Austrian finance minister, told local television.

Pressure from the US and emerging market countries to restrict the IMF's exposure led to the lower contribution, according to officials familiar with the negotiations. Greece has already borrowed far more relative to its own financial contribution to the IMF than any other crisis loan recipient in the IMF's history.

The IMF portion of the new package, which will be added to the remaining €10bn in IMF commitments from the first Greek bail-out, will be converted into a lending programme with a repayment period of up to 10 years rather than the five years under the current loan.

The €170.5bn rescue package does not include €35bn that will be set aside temporarily to ensure Greek banks can fund themselves when Athens is ruled in "selective default" after the restructuring.

The new bail-out includes €35.5bn for private bondholders as part of the debt restructuring. Of that, €30bn is expected to come in a direct payment to bondholders in cash or bonds issued by the eurozone's rescue fund in exchange for writing off €100bn in Greek debt.

The remaining €5.5bn is interest payments still owed on existing bonds, though officials are considering cutting that amount.

Opinion polls in Greece show the two big mainstream parties -- centre-left Pasok and centre-right New Democracy -- continued to suffer ahead of April elections because of their support of tough austerity measures accompanying the bail-out.

Support for New Democracy dropped to 24 per cent or lower in three new polls, with Pasok showing only at best 14 per cent -- meaning the two parties, the only to explicitly support the bail-out's terms, would not have a majority in a new parliament.

François Baroin, French finance minister, said on Monday morning that all the elements for an agreement were in place.

"All the elements are in place . . . both with the bankers, private sector creditors, and public sector creditors, the states and central banks," he told Europe 1 radio.

Though senior European officials said figures were still being negotiated, the IMF contribution to the new rescue will be far lower than originally anticipated. The figures show the IMF will only contribute €13bn to the second bail-out, far less than the one-third lent in the Irish, Portuguese and first Greek bail-outs.

"The IMF is expected to be stingy," said one senior European official.

Additional reporting by Kerin Hope in Athens

© The Financial Times Limited 2012

@highlight

Eurozone governments want the European Central Bank to help ease cost of Greek rescue package

@highlight

The Financial Times reports that Greece needs €136 billion in fresh bail-out funds

@highlight

Eurozone ministers are meeting in Brussels on Monday to negotiate a deal to prevent a Greek default