WASHINGTON (CNN) -- Raul Castro's government in Cuba continues to repress civil rights and persecute dissenters three years after he became the communist nation's top leader, Human Rights Watch says in a report released Wednesday.

Raul Castro took over in July 2006, when older brother Fidel became ill and was no longer able to rule after more than 47 years in charge. The new dictator has locked up scores of people and allowed scores more that had been jailed by Fidel Castro to remain behind bars, Human Rights Watch says.

"Rather than dismantle Cuba's repressive machinery, Raul Castro has kept it firmly in place and fully active," the report says.

Cuban government officials in Washington rejected the conclusions reached in the report, titled "New Castro, Same Cuba."

"Cuba does not recognize the legality nor the moral authority of HRW as an organization that defends human rights," said Alberto Gonzalez, spokesman for Cuba's diplomatic office in Washington. "HRW is an organization that analyzes this topic in a discriminatory, selective and above all politicized way. Its evaluation of human rights in Cuba is illegitimate and illegal."

Critics of the Cuban government agree with the rights group's conclusion that nothing has changed despite the new leadership.

"Everyone thought there would be change, but there is no change," said Angel Padilla, head of the Disidente Universal group in Puerto Rico.

Some analysts even see a reversal in human rights.

"While there has been some economic reforms and political openings under Raul, the human rights picture has worsened. There is a greater police presence on the streets," said Ann Louise Bardach, whose book "Without Fidel: A Death Foretold in Miami, Havana, and Washington" was published last month.

"Raul's inner circle have unbridled contempt for the dissidents," Bardach told CNN.

Raul Castro has relied on a law dealing with "dangerousness" to foster much of the repression, Human Rights Watch said. "Dangerousness" allows authorities to jail people before they have committed any crime, on the suspicion that they are likely to commit an offense.

"In his three years in power, Raul Castro has been just as brutal as his brother," said Jose Miguel Vivanco, Americas director at Human Rights Watch. "Cubans who dare to criticize the government live in perpetual fear, knowing they could wind up in prison for merely expressing their views."

The report is based on 60 extensive interviews Human Rights Watch researchers conducted in June and July in seven of Cuba's 14 provinces and by telephone from New York City. The research uncovered more than 40 cases in which Cuba jailed citizens under the "dangerousness" provision.

The government also uses other harsh laws to silence free speech, quash labor rights and criminalize all forms of association, the report says. Human rights violations include abusive interrogations, the denial of legal counsel and sham trials, the report says.

In addition, the report says, "political prisoners are subjected to widespread abuses, including forced ideological re-education, extended solitary confinement and the denial of medical treatment for serious illnesses."

Cuba also enforces political conformity through beatings, short-term detention, public acts of repudiation and the denial of work, Human Rights Watch says.

"Taken together, these everyday forms of repression create a climate of fear that has a profound chilling effect on the exercise of fundamental freedoms in Cuban society," the report says.

Human Rights Watch urges the United States to dismantle a trade embargo it has imposed on Cuba since 1962. The embargo, the group said, has proven a costly and misguided failure.

"The embargo has inflicted severe hardship on the Cuban population as a whole, while doing nothing to improve the human rights situation in Cuba," the rights group says. "Rather than isolating Cuba, the policy has isolated the United States, alienating Washington's potential allies on this issue."

In place of the embargo, Human Rights Watch recommends that the United States obtain commitments from the European Union, Canada and Latin American allies to push Cuba to meet one demand: the immediate and unconditional release of all political prisoners within six months.

"If the Raul Castro government does not meet this demand," the rights group says, "members of the multilateral coalition should impose targeted, punitive measures, such as travel bans on government officials or withholding new forms of foreign investment. These measures should be significant enough to bear real consequences for the Cuban government, while being careful not to impose suffering on the Cuban population as a whole."

The report came one day after the release of poll results by another group showing 82 percent of Cubans do not believe matters are going well on the island.

In the survey, sponsored by the non-partisan International Republican Institute, 52 percent of Cubans who responded cited economic issues as their greatest concern and 66 percent said they do not believe the government will solve the nation's most pressing issues.

"The data reveals Cubans' strong dissatisfaction toward its leadership and their indisputable preferences for political and economic change," the institute's president, Lorne Craner, says in a news release.

The poll, undertaken July 1-August 4 in 12 Cuban provinces, asked the opinions of 432 Cuban adults, the institute said. The results have a sampling error of plus or minus 5 percentage points.

CNN's Willie Lora in Washington and Arthur Brice in Atlanta contributed to this report.

@highlight

The report, titled "New Castro, Same Cuba" says Raul Castro has been "just as brutal as his brother Fidel"

@highlight

Cuba accused of jailing people before they have committed any crime, on suspicion they are likely to commit an offense

@highlight

Says regime also enforces political conformity through beatings, short-term detention, public acts of repudiation

@highlight

Report based on 60 interviews researchers conducted in person in Cuba and on the telephone from New York