ATLANTA, Georgia (CNN) -- The apparent suicide of former government researcher Bruce Ivins is the latest development in the mystery of the anthrax attacks of 2001. Letters laced with the bacteria brought the disease into the forefront, sparking fear across America.

Anthrax infetions result from bacteria called Bacillus anthracis.

Anthrax comes from a bacterium called Bacillus anthracis, and infection can come in one of three forms: cutaneous (also called skin), inhalation (lung), and gastrointestinal(digestive).

It emerged in World War I as a biological weapon, but has been blamed for plagues throughout history that killed both humans and livestock.  How does a person become infected?

You can get anthrax by handling products from infected animals, breathing in anthrax spores, and by eating undercooked meat from infected animals.   There are few cases of infected animals in the United States. Anthrax is found more frequently in animals in developing nations, according to the Centers for Disease Control and Prevention.

Why was it so scary in 2001?

In the fall of 2001, anonymous letters laced with anthrax were sent to news agencies in Florida and New York, as well as to a congressional office building in Washington.

Two postal workers died of inhalation anthrax as a result. An elderly woman from rural Connecticut, a Manhattan hospital worker from the Bronx, and an employee at a Florida tabloid magazine also died of the disease, possibly through cross-contamination.   A total of 22 people fell ill because of these attacks. Seven survivors had confirmed cutaneous anthrax disease, according to the U.S. National Library of Medicine and the National Institutes of Health.

Bioterrorism experts say anthrax is difficult to use effectively as a weapon on a large scale, according to the U.S. National Library of Medicine and the National Institutes of Health.   Still, a person can contract the disease in other ways, and it is important to recognize its different forms.

What does the disease do?

• In cutaneous anthrax, the most common form, about 95 percent of infections happen with the bacterial spore enters a skin cut or abrasion, according to the CDC. At first an itchy bump appears that resembles an insect bite, which then develops into a painless ulcer with a black center. About 20 percent of untreated cases result in death, but the disease is seldom fatal if treated with antibiotics.

• Inhalation anthrax at first resembles a cold or flu, causing a sore throat, mild fever, muscle aches, fatigue and mild chest discomfort, according to MayoClinic.com. While these first symptoms may appear to subside, a high fever, breathing problems, and shock can follow, MayoClinic.com said.   This disease goes after the lymph nodes inside the chest. It may kill lung tissue and spread to the blood or brain, causing meningitis. Even with appropriate treatment, inhalation anthrax is usually fatal in about 75 percent of cases, MayoClinic.com said.

Five of the 11 people infected with inhalation anthrax in the U.S. in 2001 died of the disease, in spite of antibiotics and other therapy, the CDC said.

• Intestinal anthrax, which can come from eating contaminated meat, causes inflammation of the intestinal tract, the CDC said. An infected person may notice nausea, loss of appetite, vomiting, and fever at first, then later abdominal pain, vomiting of blood, and severe diarrhea, the CDC said.   Other symptoms may include lesions and soreness in the throat, difficulty swallowing, and swelling in the neck and regional lymph glands. This kind of anthrax is fatal in 25 percent to 60 percent of cases, the CDC said.

Treatment

Antibiotics such as penicillin can treat anthrax, and a patient should receive treatment as soon as possible. The disease can be fatal if left untreated.  Treatment takes about 60 days, since that is how long it may take anthrax spores to grow, according to the U.S. National Library of Medicine and the National Institutes of Health.

How can you protect yourself?

Avoid contact with livestock and animal products in countries where anthrax is common and herds aren't commonly vaccinated, the CDC says. Also try not to eat meat that has not been properly slaughtered and cooked.

There is also a vaccine, reported to be 93 percent effective in protecting against anthrax, according to the CDC.

The CDC recommends that certain people get vaccinated against anthrax. This includes people who work directly with the organism in a laboratory or work with imported animal hides or furs in areas with low standards to protect against exposure to anthrax spores.

People who handle potentially infected animal products in countries with a high incidence of the disease, and work, and military personnel in areas with high risk of exposure to the bacteria, should also be immunized, the CDC said.

A study published in 2003 showed that soap and water can be effective at eliminating bacteria spores similar to anthrax.

@highlight

Anthrax can spread through infected animals, spores, and undercooked meat

@highlight

The disease results from a bacterium called Bacillus anthracis

@highlight

The CDC recommends that some people at risk for exposure get vaccinated