(CNN) -- A report released this week tells us that the international war on drugs is failing. That comes as no surprise as a growing number of policy experts, pundits and politicians have reached that conclusion, including former Secretary of State George Shultz, former Mexican President Vicente Fox, and former Brazilian President Fernando Henrique Cardoso.

Among other findings, the report documents that inflation-adjusted and purity-adjusted prices of marijuana, cocaine and heroin have all decreased dramatically since 1990 in as geographically diverse areas as Europe, the United States and Australia. In other words, illegal drugs are plentiful and cheap around the world.

So now what?

The report's policy recommendations are relatively tepid. It emphasizes the need to shift from a strategy of eradication and interdiction of drugs to one focused more on drug abuse prevention and treatment. Although that shift away from law enforcement to a "harm reduction" approach would be an improvement on the current futile, counterproductive strategy, it is not nearly sufficient.

Moreover, the report too readily accepts the conventional wisdom that drug use is largely responsible for a host of social pathologies. The reality is that the strategy of drug prohibition, not drug use itself, is responsible for many of those pathologies.

Drug abuse is certainly a major public health problem, and its societal costs are considerable. But banning the drug trade creates ugly social and economic distortions.

Because certain drugs are illegal, there is an enormous black-market premium (by most estimates, up to 90% of the retail price) associated with them. Moreover, people who are willing to traffic in an illegal product often do not have many qualms about violating other laws. Prohibition enables the most unsavory, violence-prone individuals and organizations to dominate the commerce.

Drug prohibition leads inevitably to corruption and violence -- to a disturbing extent in the United States and even more so in drug-source or drug-transiting countries. The problems caused by the war on drugs are even more damaging to societies than those caused by drug use per se.

Opinion: Legalized pot would mean more addiction

In Mexico, for example, about 60,000 people have perished in armed conflicts among the various drug cartels and between the cartels and the Mexican authorities over the past 6Â½ years. Another 20,000 people have gone missing. That turmoil has found even more fertile soil in the smaller, weaker countries of Central America. Today, Mexican-based drug cartels control major swaths of territory in both Honduras and Guatemala, and they pose a growing threat to the authority of governments throughout the region.

As the report notes, the international drug trade is a $350 billion-a-year industry. There is no realistic way to suppress such an economic juggernaut. We can only determine whether the trade will be in the hands of honest businesses or ruthless criminals.

The quixotic U.S. crusade against alcohol in the 1920s and early 1930s demonstrated that a prohibition strategy empowers and enriches odious criminals. When alcohol was outlawed, the commerce fell into the hands of gangsters like Al Capone and Dutch Shultz. Bootleggers bribed and corrupted elected officials and police personnel throughout the country. There were shootouts on the streets of Chicago, New York and other American citiesâ€”just as we have gunbattles between drug gangs in large cities today.

Once Prohibition ended, legitimate business provided consumers with the beverages they sought, and the carnage and corruption subsided. Today, suppliers such as Gallo Wines, Coors Brewery, and Jack Daniels Distillery dominate the trade.

Ending drug prohibition is not a panacea. Under a legalized system for alcoholic beverages, we still have to deal with drunk driving, alcoholism and other social problems. Yet no rational person would advocate returning to Prohibition with all its ugly consequences.

The folly of alcohol prohibition was confined to the United States. Thanks largely to Washington's pressure -- drug prohibition is a global folly. We should learn from history and do more than make modest shifts in anti-drug strategies. We need to bite the bullet, accepting the reality that our second fling with prohibition hasn't worked any better than the first.

Change should begin with the comprehensive legalization of marijuana, not just incremental, partial legalization as voters in Colorado and Washington approved last year. We also need to begin a serious discussion about how to deal with harder drugs within a framework of legalization. Whatever the specifics of a new policy, there needs to be recognition both in the United States and around the world that prohibition is an unsustainable approach.

The opinions expressed in this commentary are solely those of Ted Galen Carpenter.

@highlight

Ted Carpenter: It's no surprise that a new report says the global war on drugs is failing

@highlight

Carpenter: Drug prohibition leads to corruption, violence and a host of societal problems

@highlight

He says the folly of alcohol prohibition offers us lessons in anti-drug strategies

@highlight

Carpenter: Change of policy should begin with legalization of marijuana