Sochi, Russia (CNN) -- Olympiads often come with their fair share of controversy, and the Russian city of Sochi -- the host for the 22nd Winter Games -- drew more than its fair share.

But aside from the security concerns that may now seem over anxious, accommodation complaints made in main by attending media, warm weather that failed to melt the venue's snow, and domestic laws that arguably ran contrary to the Olympic spirit, the sporting occasion that unfolded was worthy of much celebration.

From a spectator point of view the new venues -- whether at the temperate coast or in the crisp mountain zone -- provided fantastic stages for the world's finest winter sports athletes to compete for the glory of becoming champion.

Just under 3,000 competitors from 88 nations vied over 17 days in 98 events, providing moments of drama and destiny that captured the imagination and settled in the collective memory.

Below are my 10 highlights from the Games. Have your say in the comments box at the bottom:

1. Canada's hockey haul:

In a poll carried out on the CNN live blog, 42% of you voted for this as your favorite sporting moment of Sochi 2014, and there will be no argument against such wisdom here.

Facing a two-goal deficit against their neighborly rivals the United States, and with just four minutes left of the third period, Canada refused to accept defeat. Brianne Jenner got her team back into the game before Marie-Philip Poulin sensationally equalized. An enthralling overtime then saw Poulin strike again in a power play to seal a 3-2 victory. It was an epic comeback to win gold, but it didn't end there.

Just three days later the men's side -- after inflicting their own defeat on the U.S. in the semifinals -- crushed an out-classed Sweden 3-0 to defend the title they won in Vancouver. Canada's men have now topped the podium in three of the past four Olympics (2002, 2010, 2014), which by anyone's standards is a great achievement.

2. Dutch dominance:

The Adler Arena is a world-class facility worthy of hosting the best long-track speed skaters from across the planet, but the thoughtful designers suffered from a key oversight: If the winners' podium had been located more closely to the Dutch team area it would have saved a lot of bother.

So dominant were the orange-clad gliders that even if every other nation had formed one team, the Netherlands would still have nearly doubled their medal tally. What started with an opening-day clean sweep in the men's 5,000 meters was bookended by victory in the men's team pursuit, as the team set an Olympic record in the last race of the Games.

The Dutch haul included eight golds, seven silvers and eight bronzes, accounting for 23 of the 30 individual medals up for grabs. Truly staggering.

3. An the victor:

Russia hoped they'd picked up an ace card when South Korean short-track skater Ahn Hyun-soo, a three-time gold medal winner from the Turin Games, gained his citizenship in 2011.

Discarded by the nation of his birth for being too old and injury prone, he promptly changed his name to Victor An and plotted revenge.

In a remarkable run in Sochi, An drew cheers from his adopted nation and boos from Koreans by winning the men's 500m, 1,000m and the 5,000m relay too. He also picked up a bronze in the 1,500m event. In doing so, An took his career gold tally to six, became Russia's first short-track champion at 1,000m and also is the first person to win gold in all four short-track events in Winter Olympics history.

We can only wonder what the South Korean team thought of that.

4. Superpower showdown:

OK, so we have two hockey submissions to the list but this game was surely worth it. The former Cold War rivals, 34 years after the "Miracle on Ice," met again in the Bolshoy Ice Dome and tested the resolve of the new roof by creating an exhilarating atmosphere with this Olympic classic.

The home crowd was vociferous, partisan and passionate; especially when their side took the lead in the second. But the U.S. fought back off the ropes to equalize on the counter and then took the lead shortly after. All seemed lost to many anxious fans until Pavel Datsyuk draw Russia level.

This is when the real drama started. Fedor Tyutin thought he'd won it for his side before his goal was ruled out to America's relief. The game then went to overtime followed by a nail-biting, finger-chewing and hand-swallowing sudden-death shootout in which T.J. Oshie scored four goals from six attempts to secure the U.S. victory.

In truth, neither side played as well again.

5. Bjoergen the Great:

Norway's Marit Bjoergen told reporters in Sochi that, at the age of 33, the time may be right for her to turn her attention away from the 2018 Winter Games and towards having a family instead.

Bad news for Norway but a godsend for any ambitious cross-country skier out there, because Bjoergen's grip on the top prizes of the discipline has been so tight there's been little room for anyone else.

A triple-gold medal winner in Vancouver, Bjoergen took the top prize in the 30 km mass start, the 15 km skiathlon and the team sprint classic here in Sochi to cement her place as the most decorated female in Winter Olympics history.

Arguably, the sweetest of her 10 career medals came in what could be her last event at the Games, when she topped the podium in the first Norwegian clean sweep of the grueling 30 km race since 1992.

6. Biathlon's best:

Norway had good "legendary" representation in its men's team too, in the form of 40-year-old Ole Einar Bjoerndalen. It's 21 years since Bjoerndalen made his World Cup debut, but in Sochi he showed that age is no barrier to elite competition by winning the biathlon men's sprint and mixed relay too.

The new trinkets pushed his career tally to eight golds from a record 13 medals overall and made him the oldest gold medalist in Olympic history.

The man -- who became the first biathlete to win four gold medals at a single Games in 2002 -- told reporters: "These victories have been a four-year job and it has been many years since I won (an individual gold medal), but life is too short to give up."

The Olympic spirit personified.

7. Dance destiny:

In a tale of ice skating rivalry that stretches over two Olympiads, the partnership of Meryl Davis and Charlie White gave America something to smile about despite those humbling hockey moments.

They delivered the United States' first ice-dance gold as well as beating Canadians Tessa Virtue and Scott Moir -- the Vancouver champions -- into second place.

It was a sweet moment for the two, who train with their opponents in Detroit, and saw a reverse of the result that gave them silver four years ago. But it was their near-flawless performance of the short program, which earned them a world-record score of 78.89, that captured the imagination.

Their masterclass in synchronized fluidity delivered them an overall score of 195.52 to finish 4.53 ahead of Virtue and Moir. Davis said it was the result of "17 years' hard work" -- plus a little help from their Russian coach Marina Zoueva, who also works with Virtue and Moir.

8. Star rises in Sochi:

Olympic Games are often marked by the rising of new talent, and the 2014 edition that took place at the Black Sea resort were no different.

Yulia Lipnitskaya -- a 15-year-old Russian figure skater -- had the crowds in Sochi giving standing ovations such was the brilliance of her audacious performances on ice. In the women's team competition she dazzled with her poetic, gyroscopic movement and became Russia's youngest champion ever.

A fall in the individual competition allowed the gold to go to her compatriot Adelina Sotnikova, but her place in the hearts of so many had already been cemented. Who knows what she can achieve in the years to come.

9. A shared gold

Slovenia's pop-star skier Tina Maze had a Games to remember. She skied fantastically through slushy snow and difficult conditions to top the podium in the giant slalom, an event she led from start to finish and won from Anna Fenninger of Austria by just 0.07 seconds.

But it's her performance in the downhill that will probably live longer in the memory after she made Games history, along with Dominique Gisin, when the pair registered identical times despite taking different paths down the slope.

It was the first time a gold medal had been shared in the event's 78-year history. In winning, Maze also became the first woman since Marie-Theres Nadig of Switzerland in 1972 to be champion in both downhill disciplines.

10. Marriage delivers medals:

In a tale that will please romantics around the world, U.S.-born Vic Wild and his Russian wife Alena Zavarzina showed that love can help deliver medals as well as happiness.

After struggling with financial support at home, snowboarder Wild became a Russian citizen in 2011 after his wedding and was determined to give a return to the show of faith from his adopted country.

In a nice twist of fate he took gold in the parallel giant slalom minutes after his wife had captured bronze in the women's event. The win, followed by his success in the parallel slalom, meant he became the first snowboarder to win two golds in one Games.

@highlight

Controversy aside, Sochi delivered a sporting occasion worthy of celebration

@highlight

88 nations vied over 17 days for medals of bronze, silver and gold

@highlight

98 events delivered moments of drama and destiny that captured imagination