Ocean City, Maryland (CNN) -- Residents in several major East Coast cities -- including Washington, Philadelphia and New York -- braced late Saturday for the impact from Hurricane Irene.

By Saturday evening, the storm had already knocked out power in more than a million homes, forced more than a million people off the New Jersey shore alone and caused at least nine deaths.

Irene weakened somewhat since coming ashore early Saturday near Cape Lookout, North Carolina, and it is expected to slowly lose more strength overnight. But it is still a Category 1 hurricane, with maximum sustained winds around 80 mph and extending 85 miles from its center. Forecasters expect it to remain a hurricane until it once again makes landfall Sunday afternoon in southern New England.

While the vast majority heeded calls to evacuate, emergency officials continued to plead with some stubborn residents to head to high ground, warning that heavy rains and a storm surge of 4 to 8 feet could cause widespread flooding of low-lying areas and pose untold dangers to residents from Virginia to Massachusetts.

"Living in New York City all my life and never experiencing a hurricane before, I have no idea what to expect," said CNN iReporter Elie Shaby, who lives one block north of where authorities have ordered evacuations in Manhattan.

Five people died as a result of the storm in North Carolina, and three were killed in Virginia due to falling trees, emergency officials said. In addition, a 55-year-old male surfer died around noon in New Smyrna Beach, Florida, said Capt. Tamara Marris, a spokeswoman for the Volusia County Beach Patrol.

As of 11 p.m., Irene was 70 miles south-southwest of Ocean City, Maryland, moving north-northeast at 16 mph. It had maximum sustained winds of 80 mph, according to the National Hurricane Center.

The hurricane already had brought 10 to 14 inches of rain to much of North Carolina and was pushing a 4-foot storm surge into the Chesapeake Bay, the National Hurricane Center said.

Hurricane warnings extend up the coast to Cape Cod in Massachusetts, with tropical storm warnings issued for parts of coastal Canada.

Reports of tornadoes came from several states, including Virginia and North Carolina. Ed Schaeffer, a spokesman for the Lewes, Delaware, fire department, said between 30 and 40 homes have been damaged -- five of them severely -- though there have been no injuries.

"It's pretty tough, honestly," Delaware Gov. Jack Markell said of conditions Saturday night. "So far, it's still early for us and it's already hitting us pretty hard."

A tornado in Tyrrell County, North Carolina, destroyed five homes and seriously damaged a business Saturday, Sheriff Darryl Liverman told CNN affiliate WITN. Vance County authorities published photos of a home damaged when a tree fell on it and crashed through a bedroom ceiling. It was unclear if anyone was injured.

The National Weather Service issued tornado watches -- indicating favorable conditions  for a tornado to form, even when one hasn't been reported yet -- through Sunday morning for several areas, including New Jersey and New York City.

U.S. Coast Guard Adm. William Lee, who tracked the storm by air, said he believed Saturday night the worst fears for Irene had not yet come to fruition.

"All in all, the damage wasn't nearly as bad as we expected," Lee told CNN. "I've been through several hurricanes and, in comparison to ones like Frederick, Andrew and Hugo, this one (has had) significantly less damage."

As it passed through North Carolina, Irene ripped off roofs and caused other damage to homes and businesses in Hyde and Jones counties, toppled trees that blocked roads and brought down power lines statewide, according to the state emergency management division.

"We're not seeing catastrophic damage, but there is massive flooding near the coast in some places," Brad Nieman of the state's emergency management division said Saturday evening.

In Roanoke Rapids, North Carolina -- where a hotel facade, for instance, ripped away and fell into the ocean -- police and public works crews stopped responding to calls because of adverse conditions, the state emergency management division reported.

More than half a million people in North Carolina had lost power as of 7 p.m. Saturday, and 5,000 people huddled overnight in 60 shelters around the state, said Brad Neiman from the state's emergency management division.

"We're not seeing catastrophic damage, but there is massive flooding near the coast," Neiman said. "A lot we will figure out at first light (Sunday)."

Authorities in communities across North Carolina, Virginia and Maryland announced curfews. Some banned the sale of alcohol. Philadelphia Mayor Michael Nutter declared a state of emergency, telling residents to be prepared to go without power for up to two weeks.

Boston has joined New York, New Jersey and the cities of Philadelphia and Baltimore in suspending all transit service, with no subway and bus service on Sunday. And the Philadelphia International Airport will remain closed until at least 4 p.m. Sunday, airport spokeswoman Victoria Lupica said.

In Virginia, more than 600,000 homes and businesses were without electricity, Virginia Gov. Bob McDonnell said. Officials warned people to be prepared to be without power for up to a week.

In Newport News, Nate Morris -- a student at Christopher Newport University, about a mile from the ocean -- said he noticed numerous trees and power lines down.

"There were times when you'd walk around or be in the house, and you couldn't hear anything because of the wind and rain," Morris told CNN on Saturday night. "And it sounds it like it will be a very hard night, too."

More than 1 million people on the Jersey shore had joined untold numbers of others from the Carolinas to New England in moving inland or to higher ground, away from the storm's worst impacts, New Jersey Gov. Chris Christie said.

Those who remained behind in communities where the storm has yet to hit are making a mistake believing that the storm is too weak to do any damage, said Craig Fugate, Federal Emergency Management Agency administrator.

"Some of our most devastating floods have occurred in tropical storms," he said.

The hold-outs included 92 residents of Atlantic City high-rises, many of them elderly, who refused pleas from Christie and others to get a free ride out of the danger zone. Mayor Lorenzo T. Langford told CNN on Saturday night that 94 of those inside had responded to the latest call by authorities to get out.

"We've made three sweeps, the most recent sweep probably was the last one," Langford said, adding that about 90% of the city's residents had evacuated. "We've admonished them to leave when they could."

In New York -- where the city ordered the unprecedented evacuation of 370,000 people from low-lying areas on Friday-- even residents who aren't being ordered to leave could face an arduous few days following Irene's tour of the city.

The city's transit system, shut down Saturday, may not be fully running again until Monday at the earliest, high-rise buildings are being instructed to turn off elevators and utility ConEd may have to cut power to Manhattan, Mayor Michael Bloomberg said.

"This is a storm where, if you're in the wrong place at the wrong time, it can be fatal," he warned.

CNN's Chris Boyette, Jeanne Meserve, Chris Lawrence, Greg Botelho, Jason Carroll, David Mattingly, John Zarrella, Kimberly Segal, Sarah Hoye, Kristina Sgueglia, Rafael Romo, Eden Pontz and Poppy Harlow contributed to this report.

@highlight

NEW: Delaware's governor: "It's still early for us and it's already hitting us pretty hard"

@highlight

NEW: 30 to 40 homes have been damaged in Lewes, Delaware, a fire spokesman says

@highlight

Boston joins New York City and others in suspending subway service on Sunday

@highlight

At least 9 have died in three states due to the storm, including a man killed in Virginia