(CNN) -- In October 2013, my daughter came home from school excited about Christopher Columbus. He had come to visit her class! During his visit, he told the children that he had figured out the world was round and then bravely led his crew to discover America. Then they all made telescopes.

As a father and history professor, I was caught off-guard. Columbus actually didn't figure out the world was round. He didn't really discover America, either. And telescopes weren't around until about a century after Columbus died. But what do you tell a 5-year-old who has bought into a myth? And how do you do it without constructing an anti-myth, pegging the explorer as one of the most evil people to walk the Earth? What should we tell our children about Columbus?

I asked that question of William Phillips, professor of history at the University of Minnesota and co-author of "The Worlds of Christopher Columbus," and of LeAnne Howe, the Eidson Professor in American Literature at the University of Georgia and an enrolled member of the Choctaw Nation. In both cases, professors started from the same principle: Tell the kids the truth.

The story goes that Columbus had to persevere against the odds to get support for his venture, because everyone but him believed the Earth was flat. This just isn't true. The ancient Greeks proved that the Earth was round about 2,000 years ago, and one even used the shadow of the Earth on the moon during an eclipse to estimate its circumference. The problem for Columbus is that he was bad at math and worse at geography, and everyone with an education knew it.

"He failed to get funding for a long time," Phillips wrote, "because his calculations of the earth were on the small side, he thought that dry land covered more of the sphere than it does, and he believed Japan was some 1500 miles off the coast of China." In other words, most people knew roughly the distance between the west coast of Europe and the east coast of Asia but believed it was filled with a vast ocean in which Columbus would surely die.

Instead of Columbus Day, cities celebrate Indigenous People's Day

Columbus was stubborn. Despite all the evidence to the contrary, he refused to give up his plan, and because he was so stubborn, he kept fighting for funding until he finally broke through to the Queen of Spain. His stubbornness also, as both professors noted, kept him from ever admitting that he hadn't reached Asia. For Columbus, the idea of a whole new continent and unknown peoples just didn't fit his worldview.

The indigenous peoples of the Caribbean, however, were used to hosting strange arrivals from all over the Americas in their towns, according to Howe. Their settlements were decades or even centuries old, built in part on transcontinental trade, and Columbus did not seem so outlandish. These were settled lands with rich societies, not, as often depicted, simple or primitive.

That's one of the real tragedies of the story of Columbus and probably the hardest part to explain to children. The complex indigenous societies of the Americas were decimated by exposure to Old World diseases, crumbling under the weight of epidemic. By the time later waves of settlers arrived in North America, they often found wilderness. It was a new wilderness, born of drastic population decline.

Columbus didn't know that his voyage would spread diseases across the continents, of course, but disease wasn't the only problem. Columbus sailed the ocean blue not for the love of exploration but because he wanted access to Asian gold. Instead, he found marvelous soft cotton, which Howe says was far superior to similar cloth in Europe. He also took slaves for display back home and to work in his conquered lands. Cloth and slavery defined the Columbian exchange from the beginning.

Despite all this, it's not correct to simply demonize Columbus. He was a brave man, launching his ships into an uncertain fate, driven by greed, faith and hope. Like many brave men, he believed very strongly that he knew what he was doing -- even though he was wrong about so many details -- and it's OK to be impressed by his bravery.

Moreover, his voyages had an undeniable historical impact, sparking the great age of Atlantic exploration, trade and eventually colonization by Europeans. In a very real way, this era reshaped the world, the languages we speak, the religions we follow, the foods we eat and the diseases we catch. I don't know if that's a reason to have a school holiday, exactly, but it's definitely worth remembering.

So if your child comes home in the leadup to Columbus Day, like mine did, full of praise for the explorer's bravery and vision, that's a fine place to start, even if he didn't really "discover" the Americas or figure out that the Earth was round. He was, indeed, brave.

But then explain that brave people can do bad things, and worse things can happen without any planning. That's one of the lessons of history.

@highlight

David Perry's daughter came home from school with some notions about Columbus

@highlight

Much of what we think we know about the explorer turns out to be incorrect, Perry says

@highlight

Perry: Columbus didn't prove Earth was round, didn't really "discover" a continent