A shooting instructor is dead, the victim of a gun-range accident. A 9-year-old girl is surely traumatized. And plenty of people, including many gun enthusiasts, are asking: Why give a child a submachine gun to shoot?

The deadly incident occurred Monday morning at a gun range in Arizona that caters to Las Vegas tourists, many of whom drive an hour from the gambling center to fire high-powered weapons.

Charles Vacca was accidentally shot in the head as he instructed the 9-year-old girl how to fire an Uzi, an Israeli-made 9mm submachine gun. As she pulled the trigger, the gun jumped out of her left hand toward Vacca, who was standing beside her.

"To put an Uzi in the hands of a 9-year-old ... is extremely reckless, " CNN law enforcement analyst Tom Fuentes said.

Gun experts contacted by CNN on Wednesday said young children should be taught to shoot with single-shot firearms rather than submachine guns.

They also said that safe learning is connected to the ability and experience of the instructor.

"It's always the supervision," said Greg Danas, president of Massachusetts-based G&G Firearms. "But you also have gun enthusiasts running businesses where they place firearms in the hands of the uninformed, whether they're 9-year-old kids who are not capable or adults. It all stems from gun enthusiasts running businesses that require a level of professionalism and education. The unexpected with firearms is something that's only learned through years of being a trainer, not a gun enthusiast."

Representatives of the gun range declined CNN requests for comment on the incident. But Sam Scarmardo, who operates Bullets and Burgers, told CNN affiliate KLAS on Tuesday they "really don't know what happened."

"Our guys are trained to basically hover over people when they're shooting," Scarmardo said. "If they're shooting right-handed, we have our right-hand behind them ready to push the weapon out of the way. And if they're left-handed, the same thing."

Vacca had his right hand on the girl's back and his left hand under her right arm when he was shot.

Opinion: Why is a 9-year-old firing an Uzi?

Danas questioned why the instructor in Arizona was standing immediately to the left of the Uzi, which would have recoiled in that direction.

"It's an awful shame," he said. "He shouldn't have been to the left side of the gun... But that child should not have been shooting anything other than a single-shot firearm."

Danas, whose daughters are 11 and 13, said his girls learned to shoot when they were 4 years old, with a single-shot, .22-caliber pistol.

Fuentes, who was a firearms instructor while he was with the FBI, said students are taught to fire in three-round bursts.

It's not like in the movies where somebody shoots 30 rounds nonstop, he said. "You're going to lose control."

The wrong gun?

Greg Block, who runs California-based Self-Defense Firearms Training, said not only was the Uzi the wrong gun to use -- "That's not a kid's gun" -- but that instructors should stand to the rear and to the right of the shooter.

"He was literally in the line of fire," Block said of the instructor. "He did pretty much everything wrong, and I don't like saying that because it cost the man his life."

Steven Howard, a Michigan-based gun expert who runs American Firearms & Munitions Consulting, said it was difficult to comment based on the limited information available about the Arizona shooting, but added that the clip on the submachine gun should not hold more than three rounds during instruction.

"Teaching people machine gun 101, even with adults, even with people going through military training, the first few times they shoot machine guns you don't have them shoot a full freaking clip," he said. "The thing begins to fire and it begins to jump and buck all over the place. Your first human instinct is for your hands to clamp down, and you clamp down on the trigger and if the thing has a 32-round magazine ... it starts spraying all over and people get killed."

Some Uzi submachine guns can be modified to control the powerful recoil.

Howard said some submachine guns can be used to train children.

"It can be done under the right circumstances," Howard said. "There are some machine guns that I could have trained my 8-year-old on."

The website of Bullets and Burgers, the shooting range where the accident happened, says children between the ages of 8 and 17 can shoot a weapon if accompanied by a parent or guardian.

Kids and guns: What's your parenting style?

No charges to be filed

Chief Deputy Mohave County Attorney Jace Zack told CNN on Wednesday that prosecutors didn't foresee criminal charges.

The Mohave County Sheriff's Office said the girl was with her parents. The three reside in New Jersey.

Asked about the culpability of the girl's parents, he said: "We have considered the parents, but if anyone was culpable it would be the instructor for putting a deadly weapon in her hands."

Authorities said the death was being handled as an industrial accident, with state occupational safety and health officials investigating. The federal Bureau of Alcohol, Tobacco, Firearms and Explosives also was notified.

An autopsy on Vacca was completed but the cause and manner of death were pending, according to Colleen Pitre, a representative of the medical examiner's officer. She would not say how many times Vacca was shot.

Video shows fatal shooting

In Arizona, cell phone video released by authorities Tuesday shows the moments before the fatal shots were fired, CNN affiliate KLAS reported.

In the video, Vacca and the girl are at an outdoor range. The wind blows a target in the distance.  Vacca shows the child how to hold the gun and then helps her establish her grip and her stance. She fires one round and dirt flies above the target. Vacca adjusts the Uzi, places his right hand on her back and his left under her right arm.

She fires several rounds in rapid succession and the gun kicks to the left as she loses control. Experts said an Uzi can fire five rounds one third of a second. The video ends before the fatal head shot. In releasing the video, authorities did not identify who made it.

Vacca was married and well-liked, KLAS said.

He was an active member of the California National Guard since May 1995, National Guard spokesman Brandon Honig said.

The range says on its Facebook page: "We separate ourselves from all other Las Vegas ranges with our unique 'Desert Storm' atmosphere and military style bunkers."

Bullets and Burgers is part of a tourism niche offering packages costing up to $1,000 to shoot different high-powered weapons. The range offers bachelorette parties, birthdays and weddings events. It is one of at least a dozen gun ranges in the Las Vegas area catering to tourists from around the world.

"This tragedy illustrates how you never know what could happen, and we really do need to use common sense when thinking about when a child can have access to a weapon like that," said Michael McLively of the California-based Law Center to Prevent Gun Violence.

Child dies at gun show

In the Massachusetts incident, former Pelham Police Chief Edward Fleury was found not guilty in 2011 of involuntary manslaughter in the 2008 death of 8-year-old Christopher Bizilj, who was firing the micro Uzi when he accidentally shot himself in the head at a gun show Fleury helped organize. The boy died instantly.

Fleury also was acquitted of three counts of furnishing a machine gun to a minor.

Christopher's father, Charles Bizilj, was present at the time of the shooting and videotaped the entire incident. Parts of that tape were shown to the jury, which also heard emotional testimony from the father.

"I ran over to him. His eyes were open and I saw no reason for him to be on the ground," Bizilj told members of the Hampden County jury. "And I tried to talk to him and he didn't respond. I put my hand behind his head to try to pick him up and there was a large portion of his cranium missing. And I put my hand against the back of his head."

@highlight

Experts question whether girl should have been handling a submachine gun

@highlight

Charles Vacca died Monday night after he was accidentally shot in the head

@highlight

Police said he was showing a 9-year-old girl how to shoot an Uzi

@highlight

Vacca was a military veteran, CNN affiliate reports