Washington (CNN) -- Tuesday was the first day same-sex weddings could  be performed in the District of Columbia.

Last week, D.C. was added to the list of those few states that permit gay marriage. A law passed in December and signed by the mayor went into effect when Congress (which has the power to reject D.C. laws) refrained from interfering.

Likewise, Chief Justice John Roberts refused an application to the U.S. Supreme Court to block the gay marriage law from going into effect, on procedural grounds, saying that the legal challenge was premature.

This should not be viewed as a ringing endorsement from the high court for gay marriage or for protecting the privacy rights of gay people.

Only two months ago, in January, the Supreme Court was not so hands-off in gay-marriage-related cases. Twice, the court intervened in cases in which active opponents of gay marriage, in California and Washington, have claimed that their right to privacy will be invaded if they are not given legal protection to be unseen and anonymous.

In the California case, the high court ruled to prevent the broadcast of videotaped trial testimony of the organizers of Proposition 8, which bans same-sex marriage.

In the Washington case, which the court agreed to hear in full this year, the issue is whether the names on public petitions can be sealed. More than 130,000 signatures had been gathered by gay-marriage opponents in that case as part of an effort to place a referendum on the ballot to overturn a state domestic partnership law.

To those of us who strongly favor equal marriage rights -- and who have a personal stake in them -- providing cover to those who would keep those rights from us feels a little like a drive-by assault: We had a glance at the people attacking us, but now they are gone, not to be identified.

Another privacy interest is at stake in the gay marriage cases, and it will be interesting to see whether the Supreme Court embraces it with the same zeal demonstrated with respect to opponents of gay marriage.

This month, now that the D.C. gay marriage law has gone into effect, my domestic partner of more than 12 years and I will wed. With our marriage will come a bundle of rights, making us equal under the law to our heterosexual peers. More fundamentally, we will be able to have our loving commitment to each other officially recognized, like any other committed couple.

And in terms of personal privacy, no longer will I have to indicate my sexual orientation to anyone who asks me whether I am married, as I can thereafter simply answer "yes" rather than explain that I have a "domestic partner," the well-understood code that one is in a gay relationship. The marriage license the Superior Court is providing us will include the right to privacy in our relationship.

I am not closeted, but it is part of my right to privacy to choose with whom I share the information about my sexual orientation. Indeed, that is what the California Supreme Court ruled in declaring equal marriage rights for gays and lesbians.

That decision was what led to Proposition 8 and the invalidation of the court's ruling and, now, the equal protection lawsuit on trial in federal court in San Francisco to overturn the Proposition 8 ban. In its original ruling, the California court adopted an argument advanced in a brief filed by the Anti-Defamation League that I helped to write.

The U.S. Supreme Court has found that opponents of gay marriage who supported Proposition 8 -- and whose testimony will be offered in San Francisco trial to show a discriminatory animus relevant to the equal protection issue -- are entitled under their right to privacy not to have their testimony videotaped for public viewing.

The Supreme Court cited the potential harassment of the witnesses if their testimony is shown. The harassment argument also is being made about the signers of the petition in Washington state on gay marriage, who claim the right to have their names removed from public view. (That case admittedly, is more complicated, as petition signing has attributes of voting, where one's vote is private.)

The difference in the privacy rights afforded gay couples and those who worked to ban gay marriage is obvious. The opponents are people who chose to involve themselves in a public debate, to enter the public square.

Indeed, my domestic partner and I were stopped at an intersection in San Diego in the run-up to Proposition 8 and were bombarded with placard-waiving, Proposition 8-supporting protesters, their signs condemning gay people as deviants. (Those are the kind of folks I would rather simply inform, if asked, that I am married rather than in a "domestic partnership" and thus avoid their scorn and preserve my privacy, defined by Justice Louis Brandeis as the "right to be let alone.")

Gay couples, on the other hand, did not choose to be gay or have society prevent them from enjoying equal marriage rights, forcing them to self-identify when they are asked whether they are married.

As a litigator, I know that televising a trial can indeed create a circus atmosphere if it is not carefully controlled. On the other hand, filtering what goes on in a courtroom through the printed word only deprives people of the opportunity to see what really goes on -- to judge demeanor and motive, which will be especially important in understanding the testimony of the Proposition 8 supporters.

The judge in the trial of Proposition 8 appeared to strike a balance, to avoid a circus, by allowing only delayed videotape access to coverage of the trial. The Supreme Court disagreed.

In the first privacy ruling in the California gay marriage case, the Supreme Court declared itself in favor of privacy for opponents of gay marriage. When the case comes back to it on the merits, as it surely will, let's hope that other privacy issue, as well as the equal protection issue, finds similar support.

In the meantime, my domestic partner and I each look forward this spring to answering the question "Are you married?" with a simple "yes."

The opinions expressed in this commentary are solely those of Christopher Wolf.

@highlight

Gay weddings start today in D.C., as high court declined to block them

@highlight

But, lawyer says, Supreme Court also moved to protect gay-marriage foes' privacy

@highlight

Gays must reveal orientation when asked if they're married, Christopher Wolf says

@highlight

Wolf: Court challenges show gap in privacy protection granted gays and opponents