Buchanan, New York (CNN) -- Stepping into the containment dome of Indian Point Nuclear Power Plant No. 3 is almost surreal. It's like entering a movie set, but instead of walking by wooden props, we're passing through an 11-foot-thick concrete-and-steel wall.

This is the nuclear facility that New York Gov. Andrew Cuomo wants to shut down, the long-time target of both anti-nuclear and environmental activists, the nuclear power plant that sits only some 25 miles from New York City.

Just a strip of yellow tape warning of radioactive danger separates me, my producer Sheila Steffen and cameramen Rod Griola and Ken Borland from white-uniformed technicians who are removing groups of nuclear fuel rods (204 rods are packaged together in each fuel assembly) and inserting new ones, a month-long process that takes place every two years.

Armed guards stand behind us, even after we have cleared three levels of tight security and a radiation briefing. Getting into the White House is easier, far easier.

Around my neck are two Indian Point security passes and two dosimeters that will measure the amount of radiation I receive: one will be sent for analysis to a laboratory, the other is an electronic-arming dosimeter, a real-time radiation detector set to beep if I were to receive a dose of 100 millirems per hour. (During our radiation briefing we are told a chest x-ray delivers 8 millirems.)

A massive 100-ton steel plug hangs from cables. Below, workers surround the nuclear core, which is underwater. They control machinery that delicately moves the fuel assemblies through a water-filled canal connected to the spent fuel pool, where rods filled with uranium pellets cool down for years. There are nearly 50,000 uranium pellets in each fuel assembly collection of rods.

Pumps keep water circulating into the pool so it remains at a temperature of 100-degrees Fahrenheit (compared to the 2,100 degrees that nuclear fuel can reach before it would meltdown). So, keeping the power on here is essential to averting disaster.

Indian Point receives its power from the same electric grid to which it contributes. If the power goes out -- and it briefly did only three weeks ago due to a utility technician's error -- backup diesel generators kick in to keep the plant functioning. That's exactly what happened during the recent outage. Each of Indian Point's two reactors have three auxiliary diesel generators, and then there are separately located backups to those backups as well as diesel-driven fire pumps that can keep the spent fuel rod pools filled. It's all designed to avoid the kind of catastrophe that occurred at Japan's Fukushima Daiichi plant.

Plant managers spend lots of time thinking about potential emergencies and how to avert them.

"Our plant is designed to handle the worst natural disaster. Our people are trained. We have many layers of redundancy," said John Dinelli, director of operations at Indian Point.

The plant is built to withstand at least a 6.0-magnitude earthquake, greater than the region has ever experienced, though researchers at Columbia University's Lamont-Doherty Earth Observatory warn a 7.0 is not out of the realm of possibility since they have determined the plants is built near the intersection of two active seismic zones.

"We believe that we can handle a (magnitude) 7 earthquake," said Joseph Pollock, vice president of operations for Entergy, the plant's owner. "The theoretically highest predicted earthquake in this area would be of a magnitude where our plant design will be able to withstand that and we would be able to respond and shut the plant down in a safe manner."

In truth, Indian Point's operators say, a severe hurricane is a far more likely event, for which they also have extensive contingency plans.

During the month-long refueling process at unit No. 3, the containment dome's hatch remains open. To be prepared for a natural hazard -- or even the possibility of an attack -- Indian Point keeps a giant plug sitting on a massive forklift nearby that plant workers can shove into place within 15 minutes to protect the reactor.

Such precautions and procedures are part of Entergy's application to the Nuclear Regulatory Commission for a 20-year operating license renewal. Unit No. 3's license expires in 2015, unit No. 2 in 2013. (Indian Point shut down its original reactor, No. 1, in 1974).

Back inside the dome, after technicians vertically lift a 12-foot fuel assembly from the nuclear core, they turn it horizontally and move it along a water-filled canal to the adjacent building that houses the spent fuel pool where the assembly is positioned in an upright rack for cooling, which takes years.

The pool about 40 feet deep, surrounded by 6 feet of concrete on all sides, and it has a greenish tint to it. Workers stand on metal ramps overhead, prepared to accept the next spent fuel assembly. My electronic arming dosimeter registers a .3 millirem, its first detection of radiation.

In a locked, plexiglass-enclosed case not far from the pool sit brand new fuel assemblies fresh from Westinghouse, waiting their turn for a swim to the nuclear reactor core.

As precise as the underwater operations are, they are not without flaw. In unit No. 2, Indian Point's other active plant, there has been a relatively small leak during refueling that officials say has let out as much as eight gallons of contaminated water a day into the containment dome area.

"We haven't found the exact location of the leak to be able to do the repair and stop it," said Pollock. "We're working with a couple of firms. Right now there's a technique being used in Germany that we're trying to see if it would work here and we're going through that evaluation right now."

Pollock says the leak is neither cause for concern nor a safety hazard since it's within one of the reactor domes.

As we leave the spent fuel pool, we hand in both our dosimeters for analysis before stepping into a device that detects if we've picked up any contaminants on our clothing or shoes. I step in, push my chest against the oversized metal detector style contraption, wait an uncomfortably long 30-seconds, then do the same with my back up against the device.

My heartbeat slows as I step through the locked security gate and walk back towards the largest part of the nuclear plant: the power-generating room.

This is where the steam that's created from the nuclear reactor flows through huge tubes to turn giant turbines that power the generator that produces the electricity Indian Point sends off to the grid. Each plant generates 1,000 megawatts of power, providing as much as 30% of the electricity for New York and Westchester County. Since unit No. 3 is undergoing refueling, workers are busy maintaining and upgrading the turbines and generator.

Both Indian Point plants are pressurized water reactors, as opposed to the crippled Fukushima Daiichi plant in Japan, which is a boiling water reactor. Pressurized reactors aren't necessarily safer than boiling water reactors, they just employ a different technique to harness the heat generated by nuclear fission to produce steam.

As the nuclear crisis unfolds in Japan, Indian Point officials say they're hoping for details that might help operations here.

"Undoubtedly we will come back with lessons learned to continue to improve our safety margins and increase them even further," said Pollack.

The Nuclear Regulatory Commission is initiating a safety review of Indian Point and all other U.S. nuclear power facilities, as part of its response to the crisis in Japan.

@highlight

CNN Correspondent Allan Chernoff and his crew go into a nuclear power facility

@highlight

The Indian Point facility sits some 25 miles from New York City

@highlight

New York Gov. Cuomo wants to shut it; the plant seeks a 20-year license renewal