(CNN) -- Talk shows have proliferated in Egypt since the beginning of the January 25 revolution nearly two years ago. One host has become particularly famous, to the point of being described as the "Jon Stewart of the Arab world." Bassem Youssef was even a guest on "The Daily Show" itself in June, and recently CNN anchor Christiane Amanpour interviewed him about freedom of speech in Egypt.

In the aftermath of the passing of Egypt's new constitution, it seems Youssef himself may become an example of the ultimate test of that very freedom.

Since Youssef -- a 38-year-old heart surgeon -- hit the airwaves in 2011, he's received a great deal of criticism for his satirical style, expressed in a quintessentially Egyptian idiom and flair. No one, it seems, escapes his sharp tongue -- if they are in the political arena or have affected public discourse, then they're fair game. The more significant their influence and impact, the more they can expect to be lampooned on Youssef's weekly program -- called, simply, "The Program."

All the famous members of the political opposition today, such as the Nobel Laureate Mohammed el-Baradei, as well as all the major candidates in this year's historic presidential election, have been the subject of spoof on "The Program." The show's latest season began a few weeks ago, and, as expected, the country's new president, Mohamed Morsy, as well as his "renaissance" project to improve Egypt, was critiqued and scoffed at for political failings.

News: Morsy praises voters as constitution becomes law

While Jon Stewart may be unpopular in certain sections of America, it's hard to imagine him being sued or censured for his scathing wit. In Egypt, however, the very day after the new constitution was approved in a poorly attended vote on December 22, a lawyer filed a complaint with the prosecutor general against Youssef for "insulting" President Morsy on his show. The complaint involves one of Youssef's recent episodes, when Youssef affectionately held a pillow imprinted with the president's picture amid hearts. If the prosecutor takes it up, it could become a serious case.

Other threats have come from religious radicals. Youssef is, in his own words, a "proud Muslim," and has made it clear on his show and in interviews that he takes his religion seriously. Like many Egyptians, he is particularly sensitive to a religious discourse that divides, encourages polarization and incites hatred. His show has mocked the sectarian and heterodox preachers and journalists who promote such sentiments. In response, many of those same figures have viciously attacked Youssef's program, claiming that it is "religiously impermissible."

The public, however, seems uninterested in such politicization of religion, and more mainstream religious figures, such as Habib Ali al-Jifri of the Tabah Foundation, declared that the abuse of religion in the discourse Youssef was criticizing was a real problem.

Opinion: Middle East will muddle through 2013

But Youssef's program is not really the point. Rather, it is a test case. The reaction to his show touches upon two key issues for post-revolution Egypt: freedom of expression, particularly with figures in authority, and the reaction of Egyptian society toward the abuse of religion for sectarian, political gain.

The protests that led to former Egyptian president Hosni Mubarak's downfall were indelibly linked to breaking the curtain of fear that surrounded any criticism of a political figure. Egyptian society is unlikely to favor going back to that kind of public atmosphere. While the overwhelming majority of Egyptians are not given or sympathetic to sectarian or radical ideas, many were unaware -- or ignored -- that there is a potent minority that supports such notions. How Egyptians now respond in terms of both issues will affect not only Youssef's television program, but how Egypt itself will develop in the months and years to come.

Incidentally, with true Egyptian humor, Youssef responded to the news of the legal complaint against him in a way that shows he still intends to carry on: He asked Morsy to autograph the pillow in question.

The opinions expressed in this commentary are solely those of H.A. Hellyer.

@highlight

Bassem Youssef, a heart surgeon, is a satirical sensation on Egyptian TV

@highlight

His show mercilessly mocks politicians and religious radicals, says H.A. Hellyer

@highlight

A legal complaint has been filed against him for insulting Egypt's president on the show

@highlight

If the case proceeds, there could be free-speech repercussions, says Hellyer