Manila (CNN)Forty years ago, one of the greatest boxing matches in history took place in an unlikely setting: the capital of the Philippines. Muhammad Ali's epic win over great rival Joe Frazier in 1975 became known as the "Thrilla in Manila."

Four decades later, and a crowd is gathered at the same venue in this sweating, sprawling city -- known as the Araneta Coliseum -- for a very different contest: a basketball game between two of the country's pro teams.

And yet, the Coliseum cannot seem to escape its boxing legacy.

The most famous athlete on court today just happens to be a boxer.

Manny "the Pacman" Pacquiao is the coach, as well as one of the shortest players on the roster at just five foot, six inches (168cm) tall, of team Kia Carnival. But the Filipino is best known around the world as one of the greatest boxers of his generation, the first fighter to win championship belts in eight different weight divisions.

But despite his on-court distraction, he's not finished in the ring. Pacquiao is little more than two months away from the most highly anticipated battle of his career.  On May 2, he will finally go toe to toe with American welterweight boxing champion Floyd Mayweather Jr. in Las Vegas -- the fight most boxing fans have wanted to see for years.

But for today, he seems more concerned that Kia Carnival trails several points behind the Talk 'N Text Tropang Texters.

In the locker room, Pacquiao, who only played for a few unremarkable minutes in the second quarter, gives a short half-time speech to fire up his players.

He speaks mostly in Tagalog, the main language of the Philippines, peppering his locker room speech with English expressions like "offense" and  "man-to-man defense." Seemingly inspired, the team charges back on court shortly after.

Surprisingly, Pacquiao says he gets more nervous on the basketball court than when he faces a barrage of punches in the ring. "My hands [get] cold!" he says with a laugh, while rubbing both hands together in the air.

"I believe in my heart that my second sport is basketball," he says later, explaining that it is a vital part of his cross-training for boxing.

But he adds that he's choosing to spend fewer minutes playing in professional basketball games these days to avoid injuries ahead of the Mayweather showdown.

"I can say [this will be] one of the most important fights in my career," Pacquiao says, during an exclusive interview with CNN.

We speak at his cavernous home in a wealthy, gated community in Manila. He is dressed in shorts, flip-flops and a red Nike t-shirt with his photo on it accompanied by the slogan "Spirit. Soul. Body."  A diamond-crusted gold watch glitters on his wrist.

Several giant paintings bearing quotations from the Old Testament decorate the walls.

The Mayweather fight "has been five years in the making," he says. "And finally it's happening.  I think the fans deserve it."

In fact, if it wasn't for a chance encounter at another basketball game, the Mayweather and Pacquiao camps may never have agreed to a fight.

Last January, the two boxers happened to attend the same Miami Heat game in Florida. Pacquiao says the meeting in Miami gave both sides "confidence to push" for the fight.

In doing so, the 36 year old says he's fulfilling the wishes of the two eldest of his five children. "My son and my daughter, they really wanted this fight to happen," he tells us.

"Three years ago [they said] 'Daddy, I want you to fight Mayweather.  I want you to fight Mayweather.'  I said, 'Why? It's not my fault.  He doesn't want to fight.'  And now finally now it finally happened. They really, really want to watch the fight."

Of course, the battle in Vegas will be much more than the fulfillment of the dreams of fans and Pacquiao's children. There is serious money riding on this fight.

It's estimated that the May 2 bout will break all financial records in the history of professional boxing. The Pacman is believed to be earning around $80 million for the fight, while  Mayweather -- who is undefeated -- is expected to earn 20% more.

Asked how the whopping paycheck makes him feel, Pacquiao replies "I feel blessed and I owe a lot to the fans.  First to God but also the fans because of their support."

The Philippines' most famous son has come a long way from a childhood mired in poverty and hunger. His rags-to-riches story explains part of the enormous appeal he enjoys in a country where a quarter of the population lives below the poverty line, according to the World Bank.

"He is a receptacle of hope," says Recah Trinidad, a veteran columnist at the Philippines Daily Inquirer.

"Everybody believes Manny should win. They are joyful because they see themselves in Manny, because Manny comes from deep, deep down in the soil," Trinidad adds.

As a boy Pacquiao eked out a living selling donuts in the street, recalls his childhood friend and member of his corner, Buboy Fernandez. The two were neighbors in General Santos City, a city on the southern island of Mindanao.

It was there that Pacquiao was introduced to boxing.  As a teenager, he earned extra money to feed his family by battling in underground boxing fights.

"I remember when I started boxing, I earned two dollars, only two dollars," Pacquiao recalls. He says two of his friends died competing in these unofficial bouts.

Now a multi-millionaire and superstar, Pacquiao says he and his wife are trying to teach their children to appreciate the life of comfort they now enjoy.

To prove the point, he says he transferred his children from an academy for international students to a school with no air conditioning. "I want them to experience, so they can meet hungry families," he says.

"So they will not mistreat other people or treat other people different," he adds, making a slapping gesture.

When Pacquiao travels through the perpetually grid-locked traffic of Manila, he moves in a black armored Escalade with the license plate "8" on the front.  A pair of motorcycle cops escort his convoy.

His gym, located in the working class neighborhood of Sampaloc, is decorated with huge posters of the champion, as well as an undeniably cute cartoon statue of the goateed fighter that could be described as "Pacman Junior."

Cameras from more than a dozen Filipino television crews click and whir as Pacquiao spars in the ring for an hour with Fernandez, the stocky trainer who winces when he occasionally takes hits to his round belly.

Some of the younger neighborhood boxers who have gathered to watch appear to have adopted haircuts and goatees similar to the man whose rapid-fire punches helped earn him the local nickname "Pacific Storm."

But Fernandez says Pacquiao hasn't started the most intense period of his training yet.

This will begin in the next few days when Team Pacquiao flies to Los Angeles to work with Freddie Roach, the American coach who helped the Filipino achieve global stardom over the last decade.

"My relationship to Freddie Roach is amazing," Pacquiao says.  "Since I met him, that was in 2001, and until now, I didn't change my trainer because we understand each other.  We communicate."

But Roach will not be available to work with Pacquiao until after March because he is in China training another boxer.

As for Pacquiao, he has at least one more professional basketball game to coach in Manila before he flies to the U.S.

Since his rise to superstardom, Pacquiao's activities and interests have multiplied.  In addition to basketball and scuba diving off the beaches of Mindanao, he has dabbled in singing, acting and politics.

Several years ago, he won an election to a seat in the national Congress. Pacquiao proudly points to legislation he says he helped pass aimed at curbing the scourge of human trafficking in the Philippines.

But one local newspaper has also highlighted that Paqcuiao has one of the lowest attendance rates in the entire legislative body, pointing out that the boxer could boast more championship belts than days physically spent in Congress.

Pacquiao insists that instead of networking in the capital, he focuses on helping poor people in his electoral district. "If you compare my accomplishments to other Congressmen, I think I did a lot," he says.

Some critics argue Pacquiao's boxing has suffered due to his many other distractions. "He's spreading himself thin," says Recah Trinidad, the newspaper columnist.

Trinidad points to Pacquiao's knock-out at the hands of Juan Manuel Marquez in 2012. "I hope Manny could win [on May 2], I've been praying," Trinidad says.

But the journalist fears Pacquiao may not be able to break through Mayweather's much-vaunted defense.

"He's got to adopt a more mature style of boxing.  He cannot rely on what we call an explosive, kamikaze style," Trinidad tells CNN.

Back on court at the Araneta Coliseum, Pacquiao's Kia Carnival still trails by several points. But they soon manage to pick up some momentum and for the first time, take the lead.

The boxer stalks the sidelines, watching closely, exchanging high-fives when his players come on and off the court.

When the final horn sounds, Pacquiao's underdogs have beaten their better-ranked opponents -- an upset unlikely to be lost on him as he plots his own success against a more fancied opponent in the ring.

@highlight

CNN meets the Philippines fighter on court in Manila, where he coaches a basketball team

@highlight

The 36-year-old ring legend has also dabbled in politics in his homeland

@highlight

Pacquaio says his two oldest children are desperate for him to fight Mayweather