(CNN) -- Venezuelan President Hugo Chavez is one of the leading leftist figures in Latin America and one of the United States' most vocal critics, aligning himself with former Cuban President Fidel Castro and Iranian President Mahmoud Ahmadinejad.

With a win in Sunday's elections, the 58-year-old Chavez, who has been in power since 1999, will enter a fourth term in office and extend his presidency into 2019, or two full decades in power.

Hugo Chavez wins re-election

When first elected on December 6, 1998, in a landslide, Chavez was at age 44 the youngest person in the nation's history to become president.

Between June 2011 and May 2012, he underwent cancer treatment in Cuba, raising speculation about his political future and a possible successor when he named 10 people to his inner circle of advisers, known as the Council of State.

But the following month he announced his re-election bid, and in July this year he declared himself cancer-free.

In a country where more than a quarter live in poverty, the charismatic Chavez has inspired "fierce loyalty" among the poor thanks largely to his social programs, according to the Center for Strategic and International Studies.

His socialist agenda has also overseen the nationalization of property and firms in numerous industries, such as finance, agribusiness, construction, oil, steel and gold.

Chavez himself came from a modest background -- born the son of schoolteachers on July 28, 1954 in Sabaneta, a city in Venezuela's Barinas state. From a young age he was influenced by Simon Bolivar, the Venezuelan soldier and politician who led the Latin American independence movement against Spain during the early 19th century. Chavez would style himself in the Bolivar mold, dubbing his own revolution "Chavismo."

His legacy will be one of both "self-styled Latin American Robin Hood" and "shrewd autocrat using and abusing his country's oil riches to stay in power," CNN's Paula Newton wrote.

According to the World Bank, oil accounts for more than 30% of Venezuela's gross domestic product, 90% of its exports and 50% of fiscal income.

Chavez's political and professional ascent was a colorful one. An avid baseball player, he had once dreamed of a baseball career but joined the army after graduating from the Military Academy of Venezuela in Caracas in 1975.

Five colorful quotes from Hugo Chavez

Amid festering social tensions in 1992, Chavez, by then a lieutenant colonel, led an unsuccessful coup against President Carlos Andres Perez for which he was imprisoned for two years.

Upon his release by the new President Rafael Caldera Rodriguez, Chavez formed the opposition Fifth Republic Movement, a vehicle for him to criticize government corruption and the two-party system. He cast himself as the anti-establishment figure, vowing to dissolve Congress and redistribute the nation's oil wealth.

Voters responded, catapulting him to the presidency.

After being sworn into office in February 1999, his government created a new constitution that required a "mega-election" in 2000 for every elected official.

It was under this new constitution that Chavez was reelected to a six-year presidency in 2000.

But within two years, he faced major setbacks as opposition to his social agenda grew, culminating in massive protests and a coup in 2002. Although the military had been behind Chavez's removal, his replacement, Pedro Carmona, would dissolve the National Assembly and suspend the constitution, leading the military to force Carmona himself to resign. In a series of musical chairs, Chavez's vice president, Diosdado Cabello, was sworn in as president, after which he immediately restored Chavez to power. These events took place over four days.

Another showdown came in the form of a presidential recall referendum in 2004. Chavez survived that one too.

Chavez, known for marathon speeches, has long been a critic of the United States. He was a particularly vocal opponent of the U.S. invasion of Afghanistan in the wake of the 2001 terror attacks and of the Iraq war. In 2006, he rebuked then-President George W. Bush in a speech at the U.N. General Assembly, stating, "The devil came here yesterday, and it smells of sulfur still today."

He has also speculated that Washington was behind the cancer that afflicted five Latin American presidents, including himself, in recent years.

By the end of 2006, Chavez would be re-elected to his third term, with a little less than two-thirds of the vote.

His term would see the passage of more constitutional changes, including indefinite re-election, as well as the stifling of political dissent, such as the closure of opposition radio stations and moves against private broadcaster Globovision.

He would also strengthen relations with Iran -- a country he has visited nine times and with which Venezuela has signed more than 270 accords. Of the four nations on Ahmadinejad's Latin American tour earlier this year, Venezuela was the first.

Chavez has been married twice and has five children.

@highlight

Chavez's socialist agenda has overseen nationalization in numerous industries

@highlight

His legacy is one of "Latin American Robin Hood" and "shrewd autocrat"

@highlight

He announced his re-election bid after declaring himself cancer-free in July

@highlight

Chavez, at 44, was Venezuela's youngest person to be elected president in 1998