Havana, Cuba (CNN)The rattle of ice in a stainless steel shaker heralds the first mojito of the day.

It comes courtesy of the award-winning cocktail waitress at Waoo!, a private restaurant run by 41-year-old Cuban entrepreneur Alain Rodriguez. "The recipe for success is maintaining the real taste of Cuba, whether that's in the food and drink or our taste for life," he told me.

Businesses like Rodriguez's are among the most visible examples of economic reforms -- that are fueling small, private enterprise -- already launched by President Raul Castro.

Rodriguez, a former sommelier at Havana's famed El Nacional Hotel, says he set up his own business just over two years ago in a house owned by his cousin and financed with his own savings and some investment from relatives in the United States.

Now small businesses like his could get substantial new cash injections thanks to measures announced by President Barack Obama, which came into effect Friday.

Among the changes, it will be easier for Americans -- and their spending money -- to come to Cuba.

Cuban authorities and tourism industry experts estimate that could open the door to 1 million U.S. visitors a year, added to the expected 3 million international tourists from other parts of the world.

Equally significant, the Obama administration has approved a four-fold increase in remittances from Cuban-Americans to their families in Cuba and no upper limit on remittances destined to fund small business.

Unveiling the changes to U.S. trade and travel policy on December 17, Obama said: "We're calling on Cuba to unleash the potential of 11 million Cubans by ending unnecessary resistance to their political, social and economic activities."

Predictably the decision drew fire from some U.S. Republicans who thought the easing of restrictions would put more money into the hands of the Cuban government, the United States' longstanding Cold War foe.

But perhaps Obama's decision over time could prove to be a backdoor to generating change on the island.

U.S. economist Milton Friedman, a former adviser to President Ronald Reagan, once said: "Economic freedom is an indispensable means to the achievement of political freedom."

Now, with Obama's changes, some ordinary Cubans could gain higher incomes because they work in the growing tourist sector, could set up private businesses, or could receive higher-value remittances from  families in the United States.

Others may be left behind, unable to make ends meet on meager state-sector wages, currently running around $20 a month.

As economic divisions are exacerbated, so is the chance of growing political divisions that could ultimately chip away at Cuba's socialist system.

Restaurant owner Rodriguez, however, doesn't seem concerned.

"If salaries start to rise and more remittances come in, then great. In Cuba we don't pay much attention to who is a first-, second- or third-class citizen. But if that starts to happen we'll have to see how we deal with it," he said.

Rodriguez is already considering the possibility of new outlets and has patented his Waoo! trade name with a view to possible franchise options.

But he is convinced liberalization must be gradual and orderly. He does not favor a free-for-all.

He says all his 20 staff are affiliated to the Cuban labor federation, CTC, and march in the May Day parade to Havana's Revolution Square.

Rodriguez is a firm believer that Cuban government reforms coupled with a bigger influx of U.S. dollars will not undermine Cuban socialism.

Across Havana, at a very different type of private business, nail salon owner Indira Yero has a very different viewpoint.

At 29 she has never worked for the state. She charges around $5 as she works quickly but precisely smoothing then painting claw-like acrylic nails.

She seems to have a well-established clientele who drop by a side room in her ground floor apartment in Old Havana.

Yero expresses very little patience for Cuba's socialist system and perhaps surprisingly is not afraid to speak her mind.

"I am one of the capitalist generation. I've never worked for the state and I believe that the capitalist generation is better than the other," she said. Until fairly recently, such talk would have run her the risk of being branded a counter-revolutionary by her neighbors.

Yero is unabashed when she suggests her generation has little time for talk of the Cuban Revolution.

"All that business of Fidel and the Revolution is a very pretty story but it's got nothing to do with now," she said.

"Now its different. Young people want to go to good places, a disco, an all-expenses paid hotel and with a state salary you just can't do that."

Above her workstation, Yero has scratched a sign into the fluorescent light fitting. "No money. No nail do."

A warning that Cuba's once-cherished dream of forging an egalitarian society may be dimming.

@highlight

Cuban entrepreneurs hope U.S.-Cuba policy changes mean more chance to make money

@highlight

They are confident and say they're ready for the challenges