(CNN) -- Vaccines that can be quickly produced to fight evolving diseases such as AIDS, flu and the common cold. Algae that can be engineered to turn carbon dioxide into gasoline and diesel fuel.

These are among the innovations that could result from the research of J. Craig Venter's team, which announced last week that it had created "the first cell that is totally controlled by a synthetic chromosome."

Venter, a leader in the sequencing of the human genome, also hinted at another, more basic and less immediately practical, reason for creating synthetic life. He explained that scientists had embedded in the genetic code of the new cell three quotations, including this one from physicist Richard Feynman: "What I cannot build, I cannot understand." To understand life really, the quotation suggests, it's necessary to know how to create it.

In a video announcing the breakthrough that was posted at TED.com, Venter describes a 15-year-long quest that ended with creation of "the first self-replicating species that we've had on the planet whose parent is a computer."

Scientists did it by designing a digital code on a computer, building a chromosome "from four bottles of chemicals," assembling the chromosome in yeast cells and transplanting it into the cell of a bacterium, creating a new species.

For more about Venter, click here

Venter said before the work was done, a team of experts conducted a two-year study of the ethics of creating life in a laboratory. He said the White House and other government officials have been briefed about the work -- and that White House officials favored open publication of the research, rather than deciding to classify it.

The work of Venter's team has been widely hailed. The Economist said it creates the possibility of demonstrating "mankind's mastery over nature in a way more profound than even the detonation of the first atomic bomb." Yet it warned, "No one now knows how easy it would be to turbo-charge an existing human pathogen, or take one that infects another type of animal and assist its passage over the species barrier. We will soon find out, though."

Venter pointed to the "extensive work that we've done, asking for ethical review, pushing the envelope on that side as well as the technical side, this has been broadly discussed in the scientific community, in the policy community and at the highest levels of the federal government."

"Even with this announcement, as we did in 2003 -- that work was funded by the Department of Energy -- so the work was reviewed at the level of the White House, trying to decide whether to classify the work or publish it. And they came down on the side of open publication, which is the right approach. We've briefed the White House. We've briefed members of Congress. We've tried to take and push the policy issues in parallel with the scientific advances."

For another talk by Venter, click here

He said the three quotations were embedded in the genetic code to help make sure that the new synthetic form of life couldn't be mistaken for regular life. Scientists inserted the names of more than 40 authors of the research but wanted to add something "more profound than just signing the work."

In addition to the Feynman quote, the code contains this quote from James Joyce: "To live, to err, to fall, to triumph, and to recreate life out of life."

And this one, from "American Prometheus," a biography of scientist Robert Oppenheimer: "See things, not as they are, but as they might be."

@highlight

Scientist's team announces creation of a cell controlled by a synthetic chromosome

@highlight

J. Craig Venter said it's the first self-replicating species whose parent is a computer

@highlight

Venter: Work holds promise for new vaccines and ways to use carbon dioxide productively

@highlight

He says creating life is key to understanding life