The recent news that a group of highly respected medical experts, the U.S. Preventive Services Task Force, is considering advising against routine prostate cancer screening shouldn't have come as too much of a surprise to anybody.

Indeed, the fact that so many people now are claiming to be surprised is an interesting story.

Many respected organizations that issue screening guidelines have for a long time expressed concern about the effectiveness and known risks of screening for prostate cancer.

The list of groups that have expressed caution about widespread use of the prostate-specific antigen test, known as PSA, includes the American Urological Association, the National Comprehensive Cancer Network, the European Urology Association and the American Cancer Society.

Here is the problem in a nutshell: Widespread PSA screening began 20 years ago, amazingly, well before anyone bothered to initiate studies to find out whether such screening saves lives.

Because doctors and patients believed that screening works — wasn't it obvious that it would? — they opposed rigorous studies, called randomized trials, that assign half the patients to get screening while the other half goes unscreened.

Despite opposition from doctors and patients, the trials finally got done, and today the harms of screening are better proved than the benefits. A substantial number of men receive unnecessary treatment, as their cancers are so slow-growing they are not life-threatening.  These treatments commonly lead to harms such as impotence and incontinence and can even lead to premature death.  This, while the benefits -- the number of lives saved -- are very small at best, nonexistent at worst.

Alas, the history of medicine is filled with examples of physicians jumping the gun, acting in a manner unsupported by evidence, even ignoring the words of caution in the "evidence-based guidelines" promulgated by their own professional societies.

I am convinced that most advocates of screening and aggressive treatment are motivated by genuine desire to benefit men.  Unfortunately, they are uninformed or unwilling to believe the reality that early detection and aggressive treatment of cancer is not always the best thing.

For two decades, some supporters of prostate cancer screening, even some so-called experts, have overstated, exaggerated and, in some cases, misled the public about the evidence supporting its effectiveness. They downplayed or failed to mention the risks of screening and misapplied and misstated basic principles of cancer screening.

With evangelical fervor, true believers conducted mass screening in shopping malls, at state fairs and in supermarket parking lots. Screening has been sponsored by medical practices, hospitals, drug and medical device companies, politicians and even manufacturers of adult diapers.  Most of these sponsors wanted to do a public service, but many profited from it.  Some may also have been blinded by that profit.

The phenomenon of so-called experts, who do not understand basic principles of screening, making exaggerated statements is not limited to prostate cancer.  It also occurs in breast and lung cancer screening.  Well-designed scientific study has clearly showed that these procedures save lives, but science has also demonstrated that the procedures have limitations and risks of harm.

The Task Force, an independent board of experts in interpretation of medical evidence, convened by the U.S. Agency for Healthcare Research and Quality, sanctioned true screening experts to review and assess every published scientific study concerning prostate cancer screening. This recently published review is very reasonable.  It recognizes that the few studies that suggest that prostate screening saves lives are undermined by biases and inconsistencies. Of course, the studies that did not show a benefit to screening also have flaws.  However, all studies consistently show that significant harms are associated with screening and the sometimes unnecessary treatment.

Ironically, the Task Force recommendation isn't too far apart from that of the American Urologic Association, which represents most of the doctors who diagnose and treat prostate cancer. The association's 2009 publication titled "PSA Screening Best Practice" reads: "Given the uncertainty that PSA testing results in more benefit than harm, a thoughtful and broad approach to PSA is critical. Patients need to be informed of the risks and benefits of testing before it is undertaken. The risks of overdetection and overtreatment should be included in this discussion."

While the Task Force statement is wise and reasonable, there is risk that the pendulum will swing too far.

A move against all use of the PSA tests in screening and diagnostics would be unfortunate.  The Task Force review does see some benefit to prostate cancer diagnosis and treatment.  Guarded use of PSA testing as a diagnostic tool in select individuals within the physician-patient relation is reasonable and consistent with the U.S. Preventive Taskforce statement.

Cancer screening is complex.

Some outspoken clinician advocates of screening need to understand that complexity.  We need balanced, truthful information widely available to physicians and patients.

Sadly, the overselling and overpromise of screening technology in cancer and other diseases harms patients and — justifiably -- weakens trust in the medical profession. It also adds to the unnecessarily high cost of health care, which is already threatening the health of the U.S. economy.

More than anything, the battle over prostate cancer screening raises a disturbing question: Are we as a society prepared to pay attention to scientific evidence?

@highlight

U.S. preventive services panel is considering advising against routine PSA screening

@highlight

Dr. Otis Brawley says screening began before evidence of whether it saves lives

@highlight

Studies show that routine PSA testing's harms are better proved than the benefits

@highlight

Brawley: Overpromise of screening technology in cancer, other diseases harms patients