(CNN) -- Consider for a moment how much Google knows about you. Depending on what services you use, it might have a record of every word or phrase you've searched, locations you visit the most and where you are right now, your scheduled meetings and trips, and any other information buried in e-mails.

Some might find it unsettling that a $265 billion tech company in California knows them so intimately, but Google is working hard to use that data to deliver more personalized products, not just targeted ads.

On Monday, Google's predictive search feature Google Now finally rolls out for iPhone and iPad users as an update to the existing Google Search app. The tool, which has been available for Android devices since last summer, uses the wealth of data Google has about an individual to serve up information it thinks he or she will find useful at the moment it's most needed.

On a typical weekday morning, Google Now might automatically show the weather where you live, the traffic for your morning commute and the final Giants score from the night before. If you have a trip planned, it can display your flight status, when you need to leave to get to the airport, relevant currency conversions, directions to the hotel and nearby landmarks to visit at your destination.

Each nugget of information displayed is called a card, and the types of cards a person sees depends on what Google services he or she chooses to tie into the app. Your search history tells Google Now what you're interested in, including what sports teams you follow, music you listen to, stocks you own and the news you are most likely to follow. You can train Google Now over time by swiping away any cards that you don't want.

"We're providing answers before you've even asked the question," said Tamar Yehoshua, Google's director of product development.

Using your phone's location information, it can show train times when you get close to a station, concerts coming to a venue near you, photogenic landmarks in the vicinity, and suggest events in the area to check out.

One of the most promising tie-ins is to Gmail. Confirmation e-mails for restaurants, flights, hotel bookings, concerts or other ticketed events and shopping receipts are easily lost in the inbox. Google Now identifies these types of e-mails and turns them into cards, so you can track a package you're waiting for or use your phone as a boarding pass at the airport.

For now the most intriguing features are tied to travel, where Google Now helps juggle reservations and also shares local information you might find in a guidebook.

You can choose what services to use with Google Now, so if the idea of Google parsing your e-mails sounds like an invasion of privacy, you can limit it to just Web history and location information. Google already uses a lot of this data to serve ads in Gmail and on search results.

These types of apps are sometimes compared to personal assistants, someone working in the background to keep your schedule in check and make sure you have the information needed to coast through a busy day.

There are other predictive assistant apps such as Grokr and Osito that you can give access to your e-mail and calendar information, but for many, Google products are already integrated into every part of their lives. According to comScore, Google apps were four of the top five most downloaded apps across both operating systems in 2012, coming in after Facebook.

Google is also in a unique position to know what information people are most interested in seeing and when they want it based on the giant volume of Web searches processed by the search engine daily. According to Yehoshua, only 16% of the queries entered into Google in a given day are searches it has never seen before.

Google Now has been called a Siri competitor. Like Apple's voice assistant, the iOS Google Search app already had voice search functions that let you ask questions in natural language, and both can answer back or show search listings when a question is beyond their pay grade.

However, Siri is deeply integrated with the iOS operating system. Google has been able to tie Google Now into the Android system, but it's more limited on the iPhone and iPad. For the time being, Google Now has no push notifications, which means you'll have to open the search app to see what it has in the queue for you.

Google Now may not be the computer of the future that predicts your every need, but as people get more comfortable with their personal data being used to analyze them, predictive apps can expand their scope to collect even more data from tools such as wearable pedometers and other sensors. The more information they have about a person, the closer apps and smartphones can get to becoming actual personal assistants.

@highlight

Google Now predicts what information you are likely to want before you look it up

@highlight

Free update to Google Search app uses information from your search history and e-mail

@highlight

Google Now is available for the iPhone and iPad, 10 months after coming to Android

@highlight

It shows weather, flight status, traffic estimates, scheduled appointments and sports scores