Next Tuesday, the U.S. Department of Justice is set to release hundreds more pages of legal opinions detailing the National Security Agency's alarming surveillance operations.

The new release should further anger Americans who were already deeply dismayed by the disclosure of an October 2011 Foreign Intelligence Surveillance Court opinion, which found that the NSA had violated the Constitution and federal law with its surveillance program.

But we shouldn't just be upset because the court opinion revealed that the NSA has illegally and unconstitutionally collected the emails and other communications of tens of thousands of innocent Americans. We shouldn't just be upset because the NSA couldn't convince a secret court that its surveillance was legal. And we shouldn't just be upset because the opinion showed that the government, in the words of the FISA court, "frequently and systemically" disregarded the court's orders.

What should infuriate every American — whether you're a Republican or Democrat, rich or poor, or even whether you are for or against the NSA's surveillance program — is the fact that the government hid the FISA court's opinion from the public for years.

Hiding a significant opinion of a federal court, regardless of the topic of the opinion, is inimical to our democracy.

In the ongoing debate on NSA surveillance, there are two separate, but equally important, questions at stake. The first part of the debate focuses on the legality of the surveillance: is the NSA's surveillance being conducted in accordance with federal laws and the Constitution? The second focuses on the democratic legitimacy of the surveillance: have citizens, through their elected officials and through an informed and fair process, approved the laws the government relies on and the actions of the NSA?

Even setting aside one's views on the first question, the story behind the FISA court opinion provides insight on the second question. The answer, quite simply, is "no." The government has intentionally kept the public in the dark for years.

For the past year, the Electronic Frontier Foundation, where I work, has been fighting the government in federal court for the public release of the FISA court's opinion. We sued the Department of Justice in August 2012 after the government refused to disclose it.

Initially, we sought the opinion to contribute to a full, informed public debate on the reauthorization of the FISA Amendments Act, the expansive federal law the NSA relies on to conduct its domestic surveillance operations. The law was scheduled to expire at the end of 2012, and, in the summer and fall of 2012, Congress was debating whether the law should be renewed and if reforms should be introduced.

But, during that debate, the government repeatedly delayed publicly disclosing anything about the opinion or the government's surveillance. Months went by, the debate on the FISA Amendments Act came and went, and, on December 30, 2012, the law was reauthorized for another four years.

On January 4, 2013, four days after the reauthorization was signed into law, the government finally produced records in response to our lawsuit. Here's an example of what they gave us. In short, nothing.

Now, eight months later — and only after EFF won the first known motion by a private party in the secret FISA court; only after the most significant leak of surveillance information in American history; and only after a federal court ordered the government to finalize its declassification decisions and release the opinion — the government finally relented.

When current and former administration officials like Gen. Michael Hayden take to the airwaves or editorial pages to rebut the "[b]reathless claims" about NSA spying with condescending offers to help "citizens understand a few basics of what exactly is being done," know this -- advocates and organizations like the EFF have been fighting for a "few basics" about NSA surveillance practices for years.

But government officials, like Hayden, have refused at every step in the process to provide those facts.  And, as is now apparent, it's not just the public that was denied information, members of Congress and the judiciary have been misled or kept in the dark about many aspects of the NSA's surveillance as well.

Now is the time to change this. The executive branch, intelligence agencies and the NSA in particular have lost the right to stonewall the public about their activities. They have lost the right to treat us condescendingly. And it's far too late in the day to selectively provide a "few basics" about the government's surveillance.

We need all the facts, and we need them now.

In the 1970s, after the Watergate scandal and multiple reports that federal agencies had spied on Americans, Congress created a special investigatory commission, the Church Committee, to investigate. Through public hearings and investigations, the Committee ultimately produced a series of reports providing the most thorough investigation of American intelligence agencies in our nation's history. Many of the Committee's recommendations were adopted and resulted in a host of beneficial reforms to federal law. It's now apparent that we need a second Church Committee to fully and independently investigate the full scope of the NSA's surveillance practices and to recommend meaningful reforms.

EFF, along with 100 other organizations and more than 500,000 individuals, have joined together to call on Congress to initiate a full, and public, investigation of the government's intelligence practices.

And I hope Hayden will join us, too. His recent op-ed remarked that the debate on NSA surveillance would be enhanced if "discussion were based on fact rather than contaminated by inaccuracies and posturing." I couldn't agree more.

We have been lied to, misled and kept in the dark for too long: it's time we the people command the full story on NSA surveillance.

@highlight

A secret court opinion found that the NSA had violated Americans' rights

@highlight

Mark Rumold: It's outrageous that government hid the opinion from the public

@highlight

He says the NSA must not stonewall the public about their activities anymore

@highlight

Rumold: We need to investigate the full scope of NSA's surveillance practices