(CNN) -- If I had a nickel each time a white guy e-mails or tweets that I have my job because I'm black, I wouldn't need the job, because I'd be rich.

This is at the heart of a little talked about secret regarding affirmative action: A lot of black professionals don't like it either. Not because they think the playing field is necessarily leveled, but rather their skills and talents are constantly being slighted by whites who think their jobs were given to them solely because of their race.

It's insulting, it's demeaning and there's not a damn thing we can do about it, because as long as race is part of the qualification metric, the perception that the bar was lowered so that we could jump over it will persist.

There are voters who think President Obama's success came easy because of affirmative action, overlooking the fact he's brilliant and oh, by the way, he and the first lady were still paying off their student loans 10 years ago. I can tell you from experience, there is nothing "easy" about paying back student loans.

Yes, there is an inherent hypocrisy of having such a policy in a post civil-rights world. But it is cynical to think we're a post-racial society just because we have a black president.

Should affirmative action still exist?

That's not to characterize all that befalls blacks and other minorities as "the man" holding us down, but rather recognizing a freight train doesn't stop the instant the brakes are applied. Racial inequality had been moving full steam ahead for centuries in this country, starting with the attempted genocide of Native Americans. So while our present-day attitudes about race are changed, the byproducts stemming from our past attitudes -- like access to a quality education and the impact of generational poverty -- are still very much at play.

Opinion: Keep affirmative action but reform it

Talking about this and other topics related to race doesn't make one a racist. But denying its relevance in everyday life has the potential to hurt everyone. For example, the Florida State Board of Education has recently come under fire because the academic achievement goals it set for minority students appear to be lower than the ones set for white students. By the 2017-18 school year, the board wants to have 88% of white students at or above the grade level benchmark for reading but only 81% of Latinos and 74% of blacks.

The reason: the disparity in the current reading level. While 69% of whites reach that mark now, only 53% of Latinos and just 38% of blacks do. That's a problem, not only in terms of students' ability to get into college, but just having a workforce in the state that is literate. So though the percentages of the 2017-18 goals seem biased in favor of whites, the percentage increase seeks to aggressively address a major reading problem plaguing minorities.

This isn't racist. This is recognizing that if this racial disparity goes unchecked, it could have debilitating long-term effects on Florida's economy.

Some think the word diversity is a euphemism for "anything but white," but I don't. I believe in the diversity of thought, which sometimes can play out racially, but not always. Having people from different geographic locations can introduce different insight and talent to a college campus or workforce, and variations of socioeconomic status bring in diversity as well.

But don't be mistaken, race is important.

One of the elements of the infamous "47%" video that didn't get talked about a lot was Mitt Romney's joke that if he had Mexican heritage, he'd have "a better shot" at winning the election. That joke was followed by a comment from someone in the crowd who suggested Romney could claim to have some Native American heritage like Elizabeth Warren, to get a leg up. In what socioeconomic metric is there a quantifiable advantage to being Mexican or Native American in this country?

The outcry about the push for diversity in the workplace and in college admissions would lead you to believe we're overcompensating for the sins of the past. But look around: Does it really look as if the populations with the highest poverty rate -- blacks, Latinos and Native Americans -- are just cleaning up in the game of life?

5 things to know about affirmative action

True, there are certainly examples of unqualified or incompetent employees being placed in positions they shouldn't be because of flawed decision making from white superiors trying to be compliant with their HR department. However, that's not what affirmative action was designed to do.

Take my profession, for example.

According to an American Society of News Editors study, minorities make up 12.3% of newspaper staffs and 16.4% of online-only news staffs despite being a third of the general population. Similarly the National Association of Black Journalists released a study last month that found minorities filled 12% of the newsroom managerial positions at 295 stations owned by 19 media conglomerates.

So I ask you, if the so-called liberal media struggles to employ diversity that's representative of the people -- and it has affirmative action policies in place -- what makes us think completely removing such initiatives is going to improve the situation?

I do not like affirmative action in its current incarnation, and I think a lot of us can agree the flaws need to be addressed. But in this conversation, let's not pretend the reasons why it was created in the first place are no longer around.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: A lot of black professionals -- like me -- don't like affirmative action

@highlight

Why? Because some whites think we got our jobs solely because of our race, he says

@highlight

"Some think the word diversity is a euphemism for 'anything but white,' but I don't," he says

@highlight

Granderson: The reasons for affirmative action's creation are still with us, so we still need it