As the surviving Boston bombing suspect lay in a prison hospital bed, investigators 90 miles away spent Friday combing a dump for his laptop and other clues that could shed light on the young men purportedly behind the bloody attack, a law enforcement official with knowledge of the investigation said.

Information from Dzhokhar Tsarnaev himself spurred authorities to look through the New Bedford, Massachusetts, landfill, the official told CNN's Susan Candiotti. Others who may have knowledge of the computer's whereabouts or may have played a role in disposing of it also provided leads that led to the search, according to a U.S. law enforcement official close to the Boston investigation.

The 19-year-old Tsarnaev went to school -- at the University of Massachusetts-Dartmouth -- in town adjacent to New Bedford, and he was spotted in his dorm room there in the days after the April 15 twin blasts that left three dead.

Tsarnaev has not given investigators any substantive information since officials informed him of his constitutional rights prior to charging him with use of and conspiracy to use a weapon of mass destruction, the source said Friday.

But the the source described the earlier bedside questioning -- which took place in two rounds during parts of Saturday, Sunday and Monday, New York police Commissioner Ray Kelly had said -- as "very thorough" and said investigators do not feel hamstrung.

These first interviews took place at Boston's Beth Israel Deaconess Medical Center, where Dzhokhar Tsarnaev had been held since his capture a week ago.

Latest developments in the Boston bombings probe

Beth Israel is one of several hospitals that treated the more than 260 people injured in the Boston Marathon attack allegedly pulled off by Dzhokhar and his older brother Tamerlan. Some 30 of them remained hospitalized late Friday afternoon, including one in critical condition, according to a CNN tally.

In recent days, Dzhokhar Tsarnaev has improved enough that he'd been able to sit and was writing, a law enforcement official said.

At 3:30 a.m., the official said, he was transferred from Beth Israel to Federal Medical Center Devens some 40 miles away.

The federal Bureau of Prisons hospital, located on the grounds of the former Fort Devens U.S. military base, is designed for patients requiring ongoing medical care, according to the facility's website.

Dzhokhar Tsarnaev had what appeared to be gunshot wounds to his head, neck, legs and hand when he was captured April 19 after a nearly 24-hour manhunt, according to the criminal complaint accusing him in the marathon blasts. His 26-year-old brother died after a gunfight hours earlier.

Photos: Galleries from the attack and aftermath

Despite vow, suspects' father still in Russia

The suspects' parents, meanwhile, are in Russia. Their mother Zubeidat Tsarnaev told CNN on Friday that she and her husband had left their home in Dagestan for another part of Russia.

The brothers' father, Anzor Tsarnaev, had said he'd planned to travel to the United States. But that trip has been delayed indefinitely for health reasons,  Zubeidat Tsarnaev told CNN's Nick Paton Walsh. She wouldn't elaborate.

The mother will not be flying to the United States, where she is wanted on felony charges of shoplifting and destruction of property.

The family lived in Massachusetts before Zubeidat Tsarnaev jumped bail after her arrest on the charges in 2012. The parents moved to Dagestan, a semiautonomous republic in southern Russia that year.

Russian authorities raised concerns in 2011 to U.S. authorities about Zubeidat and her son Tamerlan, sources told CNN. They asked both the FBI and CIA, separately, about Tamerlan, source said.

But a U.S. official said that the Russian's case at the time was "thin," though U.S. authorities did add both their names to the Terrorist Identities Datamart Environment, or TIDE, database -- which includes over a half million names -- an intelligence official said. Even so, U.S. authorities have come under fire at home, with lawmakers asking if the FBI and CIA failed to share information.

In an interview with CNN on Thursday, Zubeidat Tsarnaev said she didn't want to accept the reality of the bombing, saying it was fake. She said she has seen a video pushing the wild idea, and that there was no blood, that paint was used instead.

Suspects' mother describes her last conversation with her sons

Nonetheless, she broke down when she spoke of the victims.

"I really feel sorry for all of them. Really feel sorry for all of them," she said, her voice cracking even as she remained resolute that her sons were not involved.

Official: U.S. wars in Afghanistan, Iraq motivated bombings

Putin regrets Russia couldn't give U.S. more info

While insisting Russian and U.S. authorities often work together, Russian President Vladimir Putin on Thursday said that -- though authorities in Washington were tipped off, to some extent -- he wished they could have done something more that might have prevented the Boston attack.

"The Russian (authorities), to my great regret, were not able to provide our American colleagues with information that would have operative significance," Putin said.

Dead Boston bomb suspect posted video of jihadist, analysis shows

In his first on-camera comments since the bombing, the Russian leader added he hoped that the bombings might spur more cooperation between the two nations.

"If we combine our efforts, we will not suffer blows like that," he said during a live televised call-in session in Moscow on Thursday.

Putin also lashed out against those in the West who have slammed Russia for human rights abuses in its actions toward Chechnya.

"Russia is among the first victims, and I hate it when our Western partners call our terrorists who committed some heinous crimes in Russia ... freedom fighters... They supported them," said Putin, accusing unnamed people or groups of providing Russia's foes with political, financial and "media" support.

Report: Carjacked man describes wild ordeal

Based on investigative leads and information provided by Dzhokhar Tsarnaev, investigators believe that each of the brothers had their own remote control device to detonate bombs near the marathon's finish line, said a law enforcement official with knowledge of the investigation on Friday.

The previous day, a law enforcement official said at least one of the bombs that exploded was set off by remote control.

Tragedy in Boston: How to help

Three days after that attack, and hours after authorities released images of two suspects, they "spontaneously" decided to go to New York's Times Square to blow up their six remaining explosives, Dzhokhar Tsarnaev told investigators.

But a botched carjacking spoiled the impromptu road trip, said Tsarnaev, whose account was outlined Thursday by New York's police commissioner.

"We don't know that we would have been able to stop the terrorists had they arrived here from Boston," Mayor Michael Bloomberg said. "We're just thankful that we didn't have to find out that answer."

Before forcing their way into the vehicle the night of April 18, the brothers shot dead a campus police officer at the Massachusetts Institute of Technology, police said.

The hijacked vehicle, a Mercedes SUV, ran low on fuel and they stopped at a service station, where the vehicle's owner escaped.  Shortly thereafter, police picked up the trail of the SUV. A pursuit followed, during which, authorities say, the men were throwing the bombs out the vehicle's window at them. The gun battle and Tamerlan Tsarnaev's death followed.

In a Boston Globe story, the man who was carjacked -- a 26-year-old Chinese entrepreneur identified only as Danny -- described his 90-minute ordeal, from when a man brandishing a silver handgun got into his Mercedes to when he ran for his life into a Mobil gas station's supply room.

During this time, Danny told the Globe, the gun-wielding man confessed to pulling off the Boston bombing and to killing a police officer in Cambridge, Massachusetts, where MIT's campus is located.

Together they crisscrossed around the Boston area, at one point stopping for gas and another time so that another person could join them in the car. Danny recognized both men from the photos released by the FBI earlier on April 18, men who authorities now say were Tamerlan and Dzhokhar Tsarnaev.

The carjackers openly discussed traveling to New York, before Danny was able to run to safety.

"He fell down, screaming, 'Please, please call ... the police. They want to kill me. They have a gun, they have a bomb,''" Tarek Ahmed, the clerk working in the gas station at the time, told CNN's Piers Morgan.

Danny first hid at the front counter, then went to a storage room. Ahmed, after first making sure this man wasn't one of the bombing suspects and separately thinking he might be drunk, quickly picked up a phone and called 911.

"I was waiting (for) someone to shoot me at this moment," Ahmed said, adding he couldn't see outside from where he called. "I was waiting to die ... I wanted to finish my call very fast with the police."

Within five minutes, the gas station was teeming with police. And a short time later, after a chase in which the suspects allegedly shot at police and threw bombs out their windows, Tamerlan Tsarnaev was dead. His brother was captured about 20 hours later.

James Alan Fox -- a criminology professor at Northeastern University, where Danny had been a student, and who has spent considerable time with him over recent days -- told CNN that the carjacking victim "doesn't like to see himself as a hero."

"After all, he says, 'I was only trying to save myself,'" Fox said. "But ... his actions, his composure, his smarts were what led this case to a close and may have indeed saved thousands of Americans if we believe, in fact, that (the Boston suspects) had plans to do more bombings in New York City."

Suspect's widow is assisting investigation, lawyer says

@highlight

Official: Others who know about Tsarnaev's laptop led authorities to search a dump

@highlight

A gas station clerk says a carjacking victim came inside screaming, fearing for his life

@highlight

Surviving suspect Dzhokhar Tsarnaev goes from a Boston hospital to a prison hospital

@highlight

Source: Tsarnaev hasn't provided "substantive" info in days, but earlier info was helpful