New York (CNN)The United Nations is looking into claims that ISIS -- already considered the wealthiest terrorist group on record -- may be harvesting organs from slain civilians and gaining financial benefits by trafficking the body parts, officials said Wednesday.

But Britain's ambassador to the U.N., Mark Lyall Grant, said the issue has not been officially discussed. Grant said there was no proof or evidence of the claim made by Iraq's ambassador to the United Nations.

The Iraqi ambassador, Mohamed Alhakim, on Tuesday urged the Security Council to investigate the deaths of 12 doctors in Mosul, Iraq. He said they were killed after refusing to remove organs from bodies.

"Some of the bodies we found are mutilated ... that means some parts are missing," he told reporters, adding that there were openings in the back of the bodies where the kidneys would be located.

"This is clearly something bigger than we think," Alhakim said.

The plunder of bodies for usable organs and tissues is widespread, according to Nancy Scheper-Hughes, director of Organs Watch, a University of California, Berkeley-based documentation and research project.

"Organ theft during wars, civil wars, dirty wars, wars involving undisciplined armies is not uncommon," Scheper-Hughes, chair of Berkeley's doctoral program in medical anthropology, said in an email.

The U.N.'s Iraqi mission on Wednesday said Alhakim was not granting interviews.

"At this point we're not in a position to corroborate what he says, but obviously any source of illegal financing of groups such as ISIS or other extremist groups is extremely worrisome,"  U.N. spokesman Stephane Dujarric told CNN.

Nickolay Mladenov, the U.N. special envoy handling Iraq, said the organ theft claim would be investigated.

"We have seen these reports as well," he said. "However, I do not want to hasten to confirm anything before we study them in greater detail."

Mladenov said reports that the group "is using a human trafficking as part of its sources of income" have circulated for months.

"I cannot speak to the extent of that issue until we finalize our analysis of the problem but if one looks at the broader picture, it is very clear that the brutality and the tactics that (ISIS) is using expand by the day."

The U.S. State Department said it was aware of the "deeply disturbing comments" about the alleged organ trafficking but wasn't able to confirm them.

"We also have no reason to doubt them given other similar atrocities that have been documented and other heinous crimes for which ISIL has proudly taken credit," the State Department said, using another acronym for the militant group.

Alhakim said there is a market in Europe for the stolen organs. The terror group has taken over airports where the body parts could be flown out in deals arranged between middlemen and buyers, he said.

The mutilated bodies have been found in shallow graves over the last several weeks, he said.

Speaking to the Security Council at a regular meeting on Iraq on Tuesday, Alhakim cited what he said were crimes of genocide by ISIS -- "without even mentioning the traffic of human organs and the theft and trafficking of archaeological items and oil."

"These terrorist groups have desecrated all human values," he said. "They have committed the most heinous criminal terrorist acts against the Iraqi people -- whether Shia, Sunni, Christian, Turkmen."

Last month, Turkey's semiofficial Anadolu news agency and other outlets reported that ISIS had announced the opening of a medical school in its main stronghold in northern Syria.

"Dead bodies, once they are disarticulated, pulverized, processed, freeze-dried, etc., are so far removed from the 'human' person that they are simply commodities," Scheper-Hughes said. "The demand for fresh organs and tissues ... is insatiable."

Scheper-Hughes said fresh kidneys from "the brain dead or from those executed with the assistance of trained organ harvesters are the blood diamonds of illicit and criminal trafficking."

How ISIS is run

ISIS has been defined as the wealthiest terrorist group on record, using a combination of black-market oil sales, extortion and sophisticated social media to raise money to fund its expansion into Iraq and Syria, according to the U.S. Treasury.

The terrorist group pulls in about $1 million a day, according to the Treasury.

Extortion, such as demanding money from truck drivers and threatening to blow up businesses, is another revenue stream for the group, in addition to robbing banks and gold shops.

The income helps finance a growing stream of suicide attacks and assassinations, officials said. It also aids the recruitment of Sunni tribal fighters and finances spectacular prison raids that liberate hundreds of fighters, as well as attacks on police patrols.

ISIS controls vast areas of northern and western Iraq, as well as much of northeastern Syria -- and exercises draconian authority in areas as far apart as Anbar in western Iraq and Aleppo province in northern Syria. The group also continues to pick up endorsements and pledges of allegiance from other jihadist groups, most notably in Libya and Egypt.

Everything to know about the rise of ISIS

CNN's Richard Roth and Laura Koran contributed to this report.

@highlight

U.N. officials say no confirmation so far of claims by Iraq's U.N. ambassador

@highlight

Mohamed Alhakim: "This is clearly something bigger than we think"

@highlight

ISIS is considered the wealthiest terrorist group on record