(CNN) -- The Olympics may have started out as an idealistic showcase of amateur sporting prowess, but now it's a very big business.

In fact, it's one of the biggest brands in the world, claims a new report.

The four-yearly sporting spectacular -- rated second in scale behind soccer's World Cup -- is worth just over $47.5 billion according to valuation specialist Brand Finance. That leaves it behind only Apple ($70.6 billion) and above the corporate world's next biggest brand, Google ($47.4 billion).

These figures, based on the International Olympic Committee's financial statements, put the legacy of Pierre de Coubertin well above major sponsors such as Samsung ($38.2 billion), General Electric ($33.2 billion) and Coca-Cola ($31.1 billion).

The Frenchman -- who believed in the right for everyone to take part -- revived the Ancient Games in the late 1800s. Some 116 years after the first modern Olympics took place in Athens, the event is apparently now worth 134 times the National Bank of Greece ($354 million).

iReport: Send us your pictures and videos

While the Hellenic economy is all but crippled in these difficult economic times, the Olympics -- originally dedicated to the gods, but now seemingly devoted to the dollar -- is experiencing significant financial growth.

In the four years since the Beijing Games, total revenue has increased 38% to $5.1 billion. Of that amount, broadcast revenue has boomed by 51% to $3.9 billion (compared to just $1.2 million in 1960) with the largest spend by continent in North America ($2.3 billion).

These numbers are expected to go up again as the Olympic cycle moves from London to Rio in 2016, with Brand Finance -- which has yet to rate soccer's World Cup or European Championship -- reporting that revenue will pass the $6 billion mark.

In fact, another report -- by Sportcal -- states that this four-year cycle will be worth $8 billion overall, covering London 2012 and Vancouver's 2010 Winter Games.

As the IOC retains only 10% of its income to cover operating costs, this represents a healthy profit -- much of which is plowed back into developing sport worldwide.

"There is no doubt that the Olympics 'Brand' is a formidable revenue generator and has huge value," says Brand Finance chief executive David Haigh.

"It has recently been criticized for heavy-handed brand control, but it should not be forgotten that in the current four-year cycle $4.6 billion has been generated for initiatives to develop sport worldwide. It is also expected to produce a net benefit to the UK economy of more than $25 billion."

However, British sports business expert Simon Chadwick argues that these figures do not show the whole picture -- and he insists that brand value is more complex than mere numbers can portray.

"While it cannot be denied that the IOC contributes to the funding and development of sport across the world, many of the costs associated with running the Olympics are covered by host nations which, in turn, can divert resources away from investment in other sporting projects that might normally be pursued," Chadwick, of England's Coventry University Business School, told CNN.

"Moreover, the Games often inflict economic costs upon countries (such as increased congestion, increased crime, resource inflation etc.) that are not accounted for by the financial figures quoted here.

"The IOC has created value for the brand on the back of unprecedented protection; there can be few corporations across the world that oblige governments to pass legislation aimed at protecting the Games' interests. As such, the IOC is afforded competitive and commercial benefits that are essentially unique and highly distinctive."

Such restrictions mean that the likes of McDonald's (valued at $22.2 billion) have an almost free reign in the supply of food on the Olympic Park site.

And sponsorship deals can ensure a hefty return on investment for the corporations who sign Olympic partnership deals, known as the TOP program.

"Procter & Gamble expects to generate an extra $500 million in sales from London 2012, having already generated $100 million from Vancouver 2010," states the Brand Finance report.

"GE, which reportedly paid $200 million for TOP sponsorship rights covering London and Vancouver, already believes it has earned back its investment.

"GE uses its Olympic links to win big contracts in the host nations, particularly in developing nations such as China (after Beijing 2008) and the upcoming Winter Games in Sochi, Russia for 2014."

However, Chadwick believes sponsorship is only one factor in measuring brand value.

"All the sponsorship figure does is to tell us something about the value of the Games brand to a sponsor, rather than to consumers," he said.

"This sense of corporatism is further amplified by the geographic figures, which are heavily skewed towards North America. The implication is that there is little value in the Olympics brand in Africa (which provides just 1% of the broadcast revenue)."

As well as raising the issue of who the Olympics actually benefits, Chadwick believes the report gives a limited picture of the Games' brand value.

"It highlights the willingness of broadcasters and sponsors to pay for the right to be associated with the Games. The figures are therefore not necessarily an accurate indicator of true global worth in that there is no clear link to the peoples' purchase intentions and behavior in relation to the brand," he said.

"What the precise nature of that value might be is open to question. It is also somewhat worrying that a significant part of the brand value attributed by this study emanates from only two sources: broadcasting and sponsorship.

"The domination of broadcasting revenues is an especially worrying point as it implies that the majority of brand value is delivered by media spectacle alone.

"This casts some doubt on the extent to which consumers and fans value the brand, but also implies that the generation of brand value is delivered by broadcasters and sponsors, and not by the IOC or the inherent or intrinsic qualities of the products it delivers."

Chadwick argues that it is wrong to compare the Olympics with corporations such as Apple and Google, who operate on different timeframes and in a different business environment.

"The methodology used to value a brand like Apple will be entirely different to that employed to value the Olympics -- it is therefore scientifically unsound to make any such sort of comparison," he said.

@highlight

Report says the Olympics is the second biggest brand in the world

@highlight

Games lags well behind leader Apple but is above Google

@highlight

However, sports business analyst says they cannot be compared

@highlight

He argues that brand value is more than just a financial concept