(CNN) -- Over the past few weeks, new attention has been paid to longstanding allegations that Bill Cosby sexually assaulted multiple women over the course of his career. As new information and accusers are brought to light, we are reminded of an unshakable feature of American life: rape culture.

By "rape culture," I refer to the ways that our society and its institutions normalize, promote, excuse, and enable sexual violence against men and women. While I cannot definitively say that Cosby is guilty of the crimes of which he is accused, the conversation about him epitomizes some of the most pernicious aspects of rape culture.

Patriarchy

For decades, reports of Cosby's alleged sexual misconduct have circulated in private circles and, more recently, mainstream media outlets. Despite report after report, often from credible sources, the general public has failed to take the stories seriously. That was, of course, until male comedian Hannibal Buress raised the rape allegations during a two-minute comedy skit last month.

This is not a coincidence, but rather a key feature of rape culture, which diminishes the legitimacy of women's voices and truth claims. By privileging the perspectives of men, who have a material investment in the maintenance of gender injustice, we allow rape culture to survive and thrive. In this case, it is entirely reasonable to assume that if Buress (or another man) hadn't made the claims publicly, we would still be talking about Cosby as America's favorite father rather than a possible sociopath.

Denial

In the face of horrific evidence against Bill Cosby, most Americans simply elected to look the other way. From fans to industry executives to his latest biographer, we all committed to denying the existence of consistent rape allegations throughout Cosby's career.

Of course, part of this is about the unique position that Cosby holds in the public imagination. After all, who wants to believe that America's most beloved father and black America's socio-moral steward could be a depraved serial rapist?

But it's deeper than that. We live in a society where even the most ordinary and anonymous of accused rapists is offered the benefit of social and legal doubt. This is why we're quick to chalk up rapes, particularly acquaintance rapes, as "misunderstandings" or "miscommunications" rather than the crimes that they are.

Blaming the victim

Rather than offering criticism of Cosby's alleged actions, many have chosen to focus on the behavior of the accusers. Why were they alone with him in the first place? What were they wearing? How can they cry rape if they had consensual sex with him in the past? Why didn't they do more to physically fight him off?

This sensibility can be seen in my colleague Don Lemon's interview with Joan Tarshis, when he asked her why she didn't use her teeth to defend herself from Cosby's alleged sexual assault. Lemon responded to discussion of the interview Wednesday with an apology, saying "As I am a victim myself I would never want to suggest that any victim could have prevented a rape." Still, when such questions are raised, even by victims of sexual assault, we reinforce one of the dominant narratives of rape culture: "If you get raped, it's at least partially your own fault."

Perpetuating myths

Some people have pointed to Cosby's public persona, philanthropy, and other positive attributes to refute the rape allegations. Others have pointed to the personal nature of his relationships with his accusers as proof that he is not a rapist.

Such gestures are commonly used to reinforce the myth that rapists are strangers, social outcasts or part of a seedy criminal class. The normalization of rape in our society hinges on these deeply ingrained lies about the nature of sexual violence.

In truth, most rapes don't happen in dark alleys, nor are they usually perpetrated by unknown actors. Rape occurs among co-workers, classmates, family members and even spouses. And rapists can be doctors, lawyers, judges, priests and, yes, professional comedians. This doesn't mean that Bill Cosby is guilty -- that is for courts to decide -- but it does mean that his personal biography and achievements do not make him innocent.

Trivializing sexual violence

In the past few days, footage of Bill Cosby's old comedy routines has begun to circulate around the Internet. One clip worthy of extreme concern was his 1969 "Spanish fly" routine, where he jokes about the erotic effects of slipping a substance into women's drinks.

Of course, this is far from a smoking gun. In all likelihood Cosby saw no connection between this standup routine, which was wildly popular among fans and critics, and rape culture. Unfortunately, that is precisely the point. Jokes about Spanish fly, pro-rape college chants and nearly universal axioms about "not dropping the soap" in prison are all part of a perverted cultural logic that minimizes the immorality, illegality, and trauma of rape.

Turning rapists Into victims

Over the past week, Cosby has received support from a unlikely coalition of people. Black radicals have argued that Cosby is being attacked because of white supremacist antipathy toward successful black men. Many of the same liberals who ran to Ferguson, Missouri, hours after Michael Brown's death, criticizing our dysfunctional justice system and demanding immediate justice, are now preaching the virtues of patience and due process. Conservatives like Rush Limbaugh have claimed that Cosby is being punished by the liberal media for his righteous moral crusades against the black community.

Few things can unite America's warring political factions like a commitment to shielding men from accountability for sexual violence.

@highlight

Marc Lamont Hill: The way people talk about Cosby allegations is revealing

@highlight

Hill: For many, the alleged victims were validated when a male comedian raised the issue

@highlight

We live in a "rape culture" where claims of rape are minimized, he says

@highlight

Hill: People shield men from accountability for sexual violence