(CNN) -- Thailand's festering southern insurgency has come a long way since the early 2000s when ousted premier Thaksin Shinawatra dismissed the insurgents as mere "sparrow bandits."

Initially unwilling to take seriously what could emerge as a threat to Thai national integrity, Bangkok has over the past decade attempted to paint its restive southern Muslim states as suffering from little more than a small-scale insurgency led by shadowy groups with nebulous demands.

In the light of the last week's brazen attack in southern Thailand in which 16 militants were killed in an hour-long firefight at a naval base, analysts say that argument is looking increasingly threadbare.

Well-armed, motivated and increasingly audacious, the Muslim insurgency in the southern provinces of Pattani, Yala, Narathiwat, Satun and Songkhla has emerged with a clear goal: the creation of a separate Muslim state for the region's 1.8 million Muslim ethnic Malays.

The insurgency has so far claimed more than 5,300 lives and left more than 9,000 injured in nine years of escalating attacks that have included drive-by shootings, bomb blasts and beheadings, according to Deep South Watch, an non-government that monitors the conflict in the southern provinces.

"We are seeing a greater radicalization of the insurgency," said Sunai Phasuk, a senior researcher on Thailand at Human Rights Watch (HRW). "They don't want the presence of anyone in the region apart from ethnic Malays and this they've made clear with public announcements."

The Pattani Independence Fighters (Pejuang Kemerdekaan Pattani) come under the umbrella of the BRN-Coordinate (National Revolution Front-Coordinate) -- a group that combines ethnic Malay nationalism and Islamist ideologies in equal measure. Their aim is to create an independent state called Pattani Darulsalam (Islamic Land of Pattani) using violence and terror to oppose what they claim is a Thai Buddhist occupation.

The Thai government has sent more than 150,000 soldiers to the region to protect it from an estimated 3,000 to 9,000 rebel (or juwae as they are called locally) fighters, according to estimates from human rights groups.

While government statistics put Thai Buddhists at just 6% of the region's population, Muslims complain they dominate the region. Education, in particular, has been one of the fault lines in the conflict, with hard line Muslims viewing the school system as a tool of Thai colonialism.

Human Rights Watch say 157 teachers have been killed since 2004.

The southern provinces were once part of an independent Malay Muslim sultanate until they were annexed by Thailand -- then called Siam -- in 1909.

While calls for secession have simmered since then, an insurgent raid to steal weapons from an army camp in January, 2004, led to a crackdown by the Thai military, which sparked the modern insurgency.

Later that year, the Thai military opened fire on protesters at Tak Bai in Pattani, killing seven people. Almost 1,300 protesters were detained at the scene, stripped and some of them tortured, while others were transported to Inkayut Military Camp in the province -- a journey of five hours. Detainees were stacked into military vans so tightly that 78 people died of suffocation en route.

The government has since tried to reverse its heavy handed policy in the region, using instead a heart-and-minds campaign to pacify the provinces.

According to Lt. General Ditthaporn Sasasmit of the Internal Security Operations Command, the operation has been a success.

"If we compare it to nine years ago, the situation was very bad," he told CNN. "Every time officers tried to round up or search suspect targets, we received strong resistance from locals.

"Now we have prevented many attacks thanks to information given out by local residents - a good example is the latest military base attack; insurgents lost a lot of lives."

Despite this, non-government agencies say there is unlikely to be peace in the region in the near-term. According to Phasuk, the 2004 Tak Bai incident marked a turning point in the insurgency, radicalizing a younger generation.

"The commander in this latest attack was a survivor of the Tak Bai incident," Phasuk said, referring to the failed attack on a Thai military camp in Narathiwat province on February 13 that left insurgent commander Maroso Chantrawadee and 15 other militants dead.

"What we are seeing is a transfer of power within the insurgency from an older generation, which favors negotiation, to a younger radicalized generation who see negotiation as an act of betrayal to the ideology of separatism," he said. "There is now a split in the leadership."

The Tak Bai incident, viewed by many as a strategic blunder on the part of the Thai military, has been instrumental in turning "unarmed sympathizers into brutal insurgents," Phasuk said.

"This man (Chantrawadee) survived torture at Tak Bai and many of the new generation of commanders also survived Tak Bai."

Certainly if leaflets found in Narathiwat's Bacho district on February 14, the day following last week's attack, are anything to go by, the insurgency is showing no signs of easing.

"We will retaliate in every way for our losses. ... From now on, we will attack and kill Buddhist Thai teachers and Buddhist Thai people. We will attack Buddhist Thai community...One Muslim life must be repaid with 10 Buddhist Thai lives," reads the leaflets according to HRW.

One of the features of the campaign, which has had a marked escalation since last March, is that insurgents have shown little regard for Muslims that they see as collaborating with Thai authorities.

Everyone from imams to Muslim rubber farmers has been targeted by death squads and bombs detonated in Thai ethnic areas have indiscriminately claimed Muslim lives.

"The new radical leadership has no problems with collateral victims in its campaign. Their attitude is that Muslims should not be living next to ethnic Thais anyway," Phasuk said.

Amnesty International's latest report on the armed conflict called on insurgents to halt the campaign of targeting civilians.

"The insurgents seem to be attacking many of the very people on whose behalf they are ostensibly fighting, destroying their lives and livelihoods," said Donna Guest, Amnesty International's Asia-Pacific deputy director, at the 2011 release of the report.

"Whatever their grievances, they do not justify this serious and systematic violation of international law."

Human Rights Watch said that while insurgents use human rights abuses by the Thai military as an excuse for its reprisals, Bangkok -- where the government has a long tradition of drawing its legitimacy through the army -- needed the political courage to hold the military accountable.

"If this had happened, it may have slowed down radicalization," Phasuk said.

@highlight

Thailand's southern insurgency has dragged on for almost a decade

@highlight

About 5,300 people have been killed and more than 9,000 injured

@highlight

Muslim separatists are calling for an independent state

@highlight

Human rights groups say radical militants now dominate the insurgency