Port-au-Prince, Haiti (CNN) -- It was as if the giant crowd were celebrating a joyous occasion -- not a coming-together one month after a deadly earthquake.

Thousands of Haitians, many of them smiling, gathered Friday at the center of Port-au-Prince to remember the 7.0-magnitude quake of January 12 that leveled most of their capital city.

A sea of people waved their arms in the air, prayed, cried, sang and -- where space permitted -- danced.

The earthquake is blamed for killing more than 212,000 people, injuring 300,000 and leaving more than 1 million homeless in the city of 3 million and surrounding communities.

The memorial took place near where the stately National Palace lies in ruins and the Champ de Mars square has been turned into a huge homeless camp.

Other memorials were taking place at shantytowns, and there were religious observations. Haitians were urged to wear black or white.

There was an outpouring of aid from around the world after the quake -- more than 600 aid agencies rallied -- but, initially, much of their work was ineffective because of the chaos, including the disruption of the government after its buildings collapsed.

Relief operations are improving day by day, a spokeswoman for the International Rescue Committee told CNN on Friday.

"Things [supplies] are moving now, and they are arriving to populations. The bottleneck has really, really decreased," Aisha Bain said.

"About a month ago, when this quake destroyed the infrastructure of Haiti, it was very complicated to get aid in," she said. Now, "the ports and airports aren't at full capacity, but things are arriving and getting to populations. There is much more to be done, but food is coming in."

Food distribution areas are set up around the capital, she said.

According to the U.S. ambassador to Haiti, food is now being delivered routinely to 16 sites daily, and Haitians are receiving two weeks of rations. The food is culturally appropriate, Kenneth Merten said.

"One month on ... I think we are in a very good place in terms of food distribution, water distribution and getting medicines out to needy hospitals," he said. The United States is working with many nations and organizations to do that.

"The next issues we're most concerned about are sanitation issues and shelter issues," Merten said during a State Department news conference.

As the rainy season approaches, "we want to make sure we have reached and touched as many people as possible." The rainy season comes with the approach of spring. The hurricane season begins June 1.

Relief workers are providing temporary camps with latrines and portable toilets, and that project isn't finished, Merten said.

Bain said her organization also is trying to provide sufficient sanitation.

"We ... are working on a large-scale buildup of providing clean water, latrines, showers, hand-washing stations, which affect not only the livelihoods of basic survival but, really, health. There's a massive concern of the possible outbreak of disease, and so we are working to combat that quickly."

Watch Bain talk about the situation in Haiti

On Thursday, Nevada real estate developer Tom Schrade said he was donating three used Cirque du Soleil tents for use as a temporary headquarters for the government and a hospital in Port-au-Prince. They will provide a total of 33,000 square feet of space, he said.

Medically, "things have improved in a very good way," compared with the period right after the quake, when doctors were dealing with broken bones, crushed limbs and other acute conditions, CNN's Dr. Sanjay Gupta said. The medical establishment is much more organized.

However, recovery facilities are grossly inadequate, he said.

Of the people lined up recently at one of Port-au-Prince's largest public hospitals, most were suffering from chronic diseases such as diabetes. Many have never seen a doctor, he said.

After treatment, most patients -- even those who have had major surgery -- end up in a temporary tent city that is dirty and lacks medications, follow-up care and nutritious food, Gupta said.

Recent rain didn't help, he said, and there is fear that improvements won't be made before monsoons come.

"People are trying to recover in a temporary tent city that is increasingly becoming more permanent," Gupta said.

@highlight

Thousands unite in Port-au-Prince to remember 7.0-magnitude earthquake

@highlight

Quake killed more than 212,000 people, left more than 1 million homeless in city, nearby

@highlight

Anderson Cooper, Dr. Sanjay Gupta discuss Haiti news on "AC360," 10 ET tonight

@highlight

Watch Angelina Jolie talk about her visit to Haiti on  "Amanpour," Sunday at 2 p.m. ET