(CNN) -- Made in Africa is not something you hear about very often. But Tal Dehtiar is trying to change that with his business, Oliberte, which he says is the first international company to market casual shoes made entirely in Africa.

A Native-born Canadian, Dehtiar is one of a growing number of social entrepreneurs who want to do good while doing well.

He launched his company two years ago, with an aim to make -- and sell -- shoes for the fashionista with a conscience.

"For that man or woman between 25 to 45 that says 'I want to look good, I want quality, but I want to stand for something as well,'" Dehtiar said.

Standing for something is Dehtiar's stock-in-trade but it hasn't always endeared him to the business community.

Last year he appeared, for the second time, on Canadian TV show "Dragon's Den," on which entrepreneurs attempt to win funding for their business ideas from the show's panel of investors.

Dehtiar was trying to woo investors to help with marketing costs for his fledgling company. For a second time, he failed to clinch the deal.

Kevin O'Leary, one of the panel of investors, told Dehtiar on the show: "Last year when I met you, I thought you were going to zero ... I thought you were road pizza. Just a charity guy, didn't know how to run a business.

"Here you are, with half a mil in sales. That's great, but I'm out of sync with you on a huge issue. You're in a country where your costs are 130% more than where you could be in China. And you won't, for some reason that I don't understand, raise your prices to match your quality."

But Dehtiar remains clear about his goal: to sell affordable high quality shoes from a continent he says has major manufacturing potential.

"When I want people to think of Africa, related to manufacturing footwear, I don't want them looking at it as another low cost producer -- 'Oh it's the next China' -- cheap labor," he said.

"If you want to do that, stay in China or stay wherever's low cost. If you want quality footwear, if you want to pay people right, if you want to treat them with respect, use good product, then come to Africa," he added.

Dehtiar didn't secure any investors for his company on TV, but in real life his vision is starting to attract attention. At the "PROJECT" trade show in New York City, buyers from popular stores like Urban Outfitters and high-end boutiques showed interest in selling Oliberte's wares.

"A lot of times, consumers don't know where anything comes from or how it's affecting anybody," said Xenia Viray, a buyer for the Upper West Side boutique store Tani. "More importantly, the shoes just look really good."

Industry expert Andrew Pollard said: "What he's doing is he's forging new ground. Where most people in the industry would never even know that Africa is a viable place to manufacture, he's showing that it is."

As the company grows, Dehtiar hopes he's helping shore up a much-underdeveloped middle class. Currently Oliberte employs around six workers in Ethiopia, which is famous for its leather. And this year he hopes to train and work with up to 50 workers in Liberia, a hot spot for rubber.

Oliberte cannot dictate how much the local African factories pay their workers. Instead, Dehtiar says he can, and does, work with them to do the right thing.

"We make sure they pay at minimum the minimum wage with the understanding that as we grow as a company, they're committed to improving their conditions, whether it's through (initiatives such as) health insurance programs ... now all the factories provide maternity leave programs to all the women," he said.

And it seems Dehtiar is not the only one convinced that providing decent jobs and making high-quality footwear can go hand in hand. When New York City shoe store owner David Zaken heard about Oliberte, he immediately put in an order.

"In the United States, 87% of all footwear are made in China, and when I saw them at the trade show and it's made in Ethiopia, I thought wow! What a noble, what a great thing to do and I jumped on it and supported it right away," Zaken said.

Oliberte is growing. The company has gone from selling 200 pairs of shoes in 2009 to a projected 18,000 this year. But whether it can sustain the growth, keep the price point low and continue to employ workers at higher wages than its Chinese counterparts will, ultimately, be the test.

@highlight

Oliberte says it's the first international company to market casual shoes made in Africa

@highlight

Founder Tal Dehtiar wants Africa to be known producing quality footwear

@highlight

Dehtiar hopes to help develop African middle class