San Diego, California (CNN) -- When you refuse to acknowledge a group of people in all their nuances and complexities, or depict them as predictable and one-dimensional, or dictate for them a code of acceptable behavior, it is a blatant sign of disrespect.

It would be offensive for someone to suggest that all Italian-Americans think a certain way, all Irish-Americans behave a certain way or all African-Americans vote a certain way.

So it is with 50.5 million Hispanic Americans, who come in every variety imaginable. You might know this from what you consume daily in the form of political messaging, media images and advertising campaigns from Madison Avenue.

What better time to assert the right of Hispanics to be unpredictable and complicated human beings than Hispanic Heritage Month, which gives Americans the chance to learn more about, and pay respect to, the nation's largest minority.

In 1968, Congress set aside one week each year to honor the contributions and culture of Hispanics. In 1988, President Ronald Reagan signed legislation expanding the period to 30 days: September 15 to October 15.

A generation or two ago, the challenge for Hispanics was simply to get noticed by corporations and political parties. That happened. Ten million votes cast in a presidential election, and roughly $1 trillion in buying power, is hard to ignore.

Today, the new challenge is to get those same corporations and political parties to see Hispanics as they really are as opposed to how others want them to be or assume them to be.

For example, in the past several weeks, I've been asked often on radio and television interviews to predict where the Hispanic vote will go in the 2012 election.

My answer: Just about everywhere.

Will Hispanics take a chance on the Republican presidential nominee -- especially if it is Texas Gov. Rick Perry who has a record of attracting Hispanic support to the point of being attacked by Republican rivals who mistakenly cast the immigration debate as "us" vs. "them" and put Hispanics in the "them" camp?

Or will they double down by sticking with President Barack Obama who, while earning two-thirds of the Latino vote in 2008, also heads an administration that has repeatedly lied to and manipulated Hispanics by promising immigration reform but delivering only record numbers of deportations -- more than 1 million since Obama took office?

My answer: Yes. Both those things will happen. And more.

This is not a monolith. The Hispanic population in the United States is made up of conservatives, liberals, middle-of-the-road moderates, Republicans, Democrats, independents and everything in-between.

It's true that most Hispanics are registered Democrats, just like they have been for the past five decades dating back to the "Viva Kennedy" clubs in 1960. But it is also true that Hispanics have -- in gubernatorial, congressional and presidential races over the years -- been willing to cross party lines and support moderate Republicans who eschew anti-Hispanic nativism and craft a message that appeals to them.

You see that sort of thing much more often at the local and state level than you do in the federal arena. But it happens everywhere.

The list of Republicans who enjoyed significant Hispanic support in their political careers is long and distinguished. It includes George W. Bush, John McCain, Jeb Bush, Rudolph Giuliani, Arnold Schwarzenegger, former Los Angeles Mayor Richard Riordan and two former Arizona governors -- Fife Symington and Jane Hull.

Of course, among Hispanics, there are differences in geography, economic status and educational attainment that help shape how they see the world and their place in it.

There are also ancestral differences. According to the 2010 census, about two-thirds of those 50.5 million people are Mexican or Mexican-American. The other third is made up of Puerto Ricans, Cuban-Americans, Salvadorans, Brazilians, Guatemalans, Hondurans, Colombians, Venezuelans and others.

Sen. Marco Rubio, a Cuban-American and self-described "son of exiles" who is being talked about as possibly landing on the 2012 Republican presidential ticket, is the darling of South Florida. Yet, if Rubio were on the GOP ticket, he is likely to be very unpopular in the Southwest where many Mexican-Americans resent Rubio's hard line on illegal immigration.

It's easy to talk tough about border security or oppose "amnesty" when you represent a community in which came here on the red carpet of the Cuban Adjustment Act, a relic of the Cold War that makes it almost impossible to remove Cuban immigrants once they arrive on these shores.

But besides those differences, there are also similarities.

Regardless of their backgrounds or biographies or biases, Hispanics want what the rest of their countrymen want: The chance to work for a brighter tomorrow, the right blend of rights and responsibilities and the respect that comes from being seen as individuals and not just part of a group.

And why not? That's the American way.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: Don't stereotype Hispanic Americans

@highlight

He says Thursday marks beginning of Hispanic Heritage month

@highlight

People ask which candidates are going to get the Hispanic vote?

@highlight

Navarrette: America's 50 million Hispanics aren't a single bloc