A trumpeter played a Mariachi-style "Star-Spangled Banner" as protesters sparred around him in an Arizona city that's become the latest flashpoint in the national immigration debate.

Oracle will soon house several dozen detained unaccompanied immigrant children from Central America. In the city about 100 miles north of the Mexico border, word of their impending arrival fueled passionate demonstrations Tuesday from supporters who welcomed them and critics pushing for their deportation.

Video from CNN affiliate KPNX showed a man holding a neon poster with the famous phrase inside the pedestal of the Statue of Liberty written with a marker: "Give me your tired, your poor, your huddled masses yearning to breathe free."

Another demonstrator held a sign that said, "Send 'em to Coyote Obama," describing the U.S. President with a popular term used for smugglers who help immigrants illegally cross the border.

"I'm protesting the invasion of the United States by people of foreign countries. This is about the sovereignty of our nation," Oracle resident Eldon Rhodes told CNN affiliate KVOA.

"You're just lucky. You're not better," a pro-immigrant demonstrator shouted at protesters, according to KPNX. "None of you are better than them."

Have you witnessed protests or taken part? Share your images

Demonstrators who supported the immigrants said they were worried that protests would create a negative national image for their town.

"We are concerned that Oracle not be viewed as monolithically anti-immigrant, anti-children. We think the angels of our better nature need to be reflected through efforts like this one," Frank Pierson, a 35-year resident who's also president of St. Helen Catholic Church parish council, told CNN affiliate KGUN.

The face-off is taking place after a similar demonstration in Murrieta, California, led to vitriolic exchanges about how the U.S. immigration system is being overwhelmed by a tide of Central American migrants. The Murrieta protesters blocked three busloads of detained immigrants from entering the town for federal processing.

The demonstrations in Oracle come as activists organize a nationwide movement protesting the immigration surge with at least 260 protests scheduled this weekend.

"We are being invaded!" says a flyer distributed by 11 groups organized as National Day of Protesting Against Immigration Reform, Amnesty and Border Surge. "Our Border Patrol is overwhelmed by the massive flow of illegal aliens crossing our border daily."

Local sheriff worries

In Arizona, protesters were lining up on both sides of a road where the vehicles of detained juvenile migrants were expected to pass.

Protesters positioned themselves to block the road and held "No open borders" signs. Counterprotesters, however, held "Bienvenidos Welcome" signs.

Pinal County Sheriff Paul Babeu said he told protesters to stop blocking the road.

But the sheriff has entered the fray by expressing concern about how the federal government hasn't told his agency about the transfer of the detained youths to his county.

He's also drawn criticism for publicly revealing the location where the minors are being taken.

"I believe the public has a right to know," Babeu told CNN's AC360 Tuesday. "I would rather err on that side, rather than to be secretive, as this whole operation was initially done."

Babeu has said he wants the federal government to provide more information about the migrants. Some of them, he said, may have gang affiliations.

"My question to Homeland Security was, 'Give us a sense of the profile of these individuals,'" he said.

The Pinal County Sheriff's Office was recently "informed by 'whistle blowers' in the U.S. Department of Homeland Security they plan to transfer between 40 and 60 unaccompanied illegal minors to the 'Sycamore Canyon Boys Ranch' in Oracle," the office said in a statement on its Facebook page.

"If you're going to send unaccompanied juveniles to another state in another jurisdiction, there's legitimate concern that other members of this community have about public safety and public health," the sheriff said. "Give us the information."

The Sycamore Canyon Academy in Oracle aims to help young men who may be struggling at home or in school. But it's not where the expected group of immigrant children should go, Sheriff Babeu said.

"These children should be returned to their home country -- not to Oracle, Arizona paid for by American taxpayers," Babeu said in the statement.

"We understand there will be protesters who support and oppose ICE (Immigration and Customs Enforcement) bringing the foreign juveniles to Oracle. The Sheriff's Office will work to ensure the peace is maintained at these lawful assemblies."

A mix of poverty, violence and smugglers' false promises has led to an influx of Central Americans -- including minors -- illegally entering the United States.

Tuesday's protest came a day after the federal government deported its first group of the recent wave of undocumented Central American immigrants to Honduras. They were about 40 adults and children who had been recently held at a facility in Artesia, New Mexico.

More deportations to Honduras, Guatemala and El Salvador are expected soon, the U.S. Department of Homeland Security said.

Not alone

The tensions in Oracle mirror the strife this month in Murrieta. On July 1, a wall of angry protesters blocked three buses of undocumented immigrants from entering their community and forced them to turn around.

Demonstrators in Murrieta quarreled with counterprotesters over the country's immigration system.

"I just wish America would be America again because it's not, and it's not just pointed to the Hispanics," protester Ellen Meeks said. "Everybody needs to go through the legal ways."

But immigration rights advocate Enrique Morones likened the migration to a refugee crisis and suggested that racial antipathy was motivating protesters.

"If these children were from Canada, we would not be having this interview," he told CNN. "The parents have had enough. They are saying, 'If I don't send my child north, they are going to die.' "

A national protest day

This weekend, at least 11 groups are organizing what they describe as "the largest coordinated protest against all forms of amnesty, comprehensive immigration reform, and the government's failure to enforce immigration laws and secure our borders will begin, all across America."

At least 260 protests will include demonstrations at state capitols and Mexican consulates and on freeway overpasses. Groups in California, Texas and Florida scheduled the lion's share of events.

Among the sponsoring groups are the Americans for Legal Immigration PAC, which describes itself as a resource on illegal immigration; and the Tea Party Community, which calls itself "a conservative hub for sharing ideas."

Their flyer makes strong assertions: "Illegal aliens with communicable diseases and conditions such as tuberculosis, scabies, and head lice are entering our country unabated. There is a very real security risk to Americans from drug cartels, gang members, and terrorists -- all of whom can cross our border with no resistance. Adding insult to injury, American taxpayers are being forced to pay for transportation, housing, schooling, legal assistance, and more for the illegals crossing our border."

The organizers didn't immediately respond to a CNN e-mail seeking further comment.

Michigan protest

On Monday, residents in Vassar, Michigan, protested against any undocumented juvenile immigrants coming to Tuscola County under a local social service agency's proposal, according to CNN affiliate WJRT.

At a special Vassar City Council meeting Monday, members of Michigan Immigration Control and Enforcement told elected leaders they don't want the juveniles in their town, the station reported.

Vassar Mayor Pro Tem Dan Surgent also opposed any local agency's plans to house the youths and blamed Obama for the crisis, saying he is "a President that you can't trust, you can't believe him," the affiliate reported.

"We are not insensitive, we are not a bunch of white racists out here, like they like to portray us. We love children. Otherwise, if we didn't care of about kids, we wouldn't have let Pioneer Work and Learn 22 years ago," Surgent said, according to WJRT.

He was referring to the Pioneer Work and Learn Center, which is a youth program of Wolverine Human Services, the agency proposing to house the youngsters, the affiliate said.

Federal officials couldn't be immediately reached for comment.

One welcoming place

Not everyone is protesting the immigrants.

More than 40 miles north of Murrieta, residents in Fontana, California, have been welcoming.

Share your immigration stories

Last Thursday, 46 immigrants carrying temporary visas arrived at St. Joseph Catholic Church aboard a Homeland Security bus.

That church is providing temporary housing in a former convent beside the church. The migrant children were accompanied by their mothers, and the diocese said the families have been issued temporary visas. Many of the migrants are waiting to be reunited with their families in the Midwest and on the East Coast.

Petra Alexander, director of Hispanic affairs at the San Bernardino Diocese, said it's important to help the immigrants.

"We have hope and we have received a lot of support and have been criticized, but we are sure that God's dream is that we all live like a family," Alexander said. "We are always going to come across people who are opposed. This is nothing new, and the church is supporting everyone, no matter the religion or your race."

Poll on President, Congress

A new national poll indicates that a majority of Americans approve of Obama's short-term remedy, but most give the President and his Republican critics in Congress a thumbs-down on how they're handling the crisis along the country's southern border.

An ABC News/Washington Post survey, conducted July 9-13 and released Tuesday, found that 53% support the White House plan to spend $3.7 billion to immediately deal with the situation, with 43% saying they disapprove of the proposal.

The survey shows an expected partisan divide, with two-thirds of Democrats supporting the Obama plan. That number drops to 51% among independents and down to 35% among Republicans. Hispanics questioned in the poll support the proposal, 54% to 43%.

Even though a majority back the President's proposal, only a third of Americans give Obama a thumbs-up on how he's handling the issue of undocumented immigrants entering the country, and only 23% of those questioned say they approve of how congressional Republicans are dealing with the crisis. Even Republicans are divided (48% approval to 45% disapproval) on how federal lawmakers from their own party are handling the issue.

The poll questioned 1,016 adults nationwide by telephone. Its sampling error is plus or minus 3.5 percentage points.

Congress: 12 work days to compromise on border crisis

@highlight

Arizona sheriff: "The public has a right to know" about facilities housing immigrants

@highlight

"I'm protesting the invasion of the United States," demonstrator says

@highlight

At least 260 anti-immigration protests are planned nationwide this weekend

@highlight

A Michigan city and its mayor pro tem also protest any undocumented juveniles