London (CNN) -- It's the place where countless teenagers have spent a Saturday afternoon meeting friends and browsing racks, but now one of the world's oldest music retailers is in difficulties after its management announced this week it was going into administration.

When HMV opened its first store on London's Oxford Street in 1921, it sold gramophones, sheet music and recordings. In the 1960s, The Beatles cut their first demo in the store's studio and in the 1980s, Live Aid founder Bob Geldof opened HMV's Oxford Circus shop -- believed to be the world's biggest entertainment store.

But the chain of more than 200 stores has failed to keep up in the digital age -- putting 4,000 jobs at risk. Industry analysts look at the reasons for the store's demise.

How did HMV end up in this position?

The music industry has undergone many changes over HMV's long history but perhaps one of the most significant developments has been the growth of digital recordings.

In a 2012 report, the International Federation of the Phonographic Industry (IFPI) said CD and other physical recorded music sales had dropped from 145.8 million units in 2007 to 92.1 million in 2011 -- a slump of more than 20%.

This contrasted with a rise in sales of single digital tracks and digital albums combined from 84.2 million units in 2007 to 202.8 million units in 2011 -- that's more than double in four years.

Kantar Worldpanel estimated that in 2011 HMV was still the largest retailer in the UK's recorded music market -- with its digital and physical sales accounting for 22.9% of overall expenditure.

But its figures showed that Amazon was catching up, with 22.4%. Of that 22.4% market share, 14.3% came from home delivery and 4.4% from digital downloads.

Singer David Bowie put the importance of the download into focus by releasing his latest single on iTunes last week rather than on CD.

According to Kantar Worldpanel, iTunes had 12.8% of the UK's music market share in 2011.

Why didn't HMV do well in the digital market place?

In fairness, HMV hung on longer than its rivals over the last 20 years like Tower Records, Our Price, Virgin Megastore and, latterly, Zavvi.

HMV has invested in the online market, selling music from HMV.com and in 2009 buying a 50% stake in smaller digital company 7Digital -- but analysts believe the company left its run too late.

Matt Piner -- retail research director for research agency Conlumino -- says HMV "failed to keep up" and that by the time the company focused on online sales the key players had already been established.

"Because HMV wasn't able to break into that strong core group of players it was always going end up in this situation."

What does the future look like for other in store music and video retailers?

There are only a few hundred independent record stores left in Britain and Conlumino estimates that by 2015 about 90% of music and video sales will be made online.

Supermarkets and non-specialist stores are expected to make up some of the 10% of sales Conlumino predicts will still be made in store by 2014.

With more innovative ways of accessing music -- through online streaming, Spotify and Sky Box Office for example -- the physical product is likely to play a much more depleted role.

"By the end of the decade, the physical product will be seen as a thing of the past," Piner says.

What advantages do the online competition have?

HMV's real estate costs -- to maintain a presence in city centers -- as well as staff wages, gave it overheads that can be avoided by some online competitors.

But campaign group UK Uncut argues that rivals such as Amazon also have an advantage in the way they pay tax.

Spokesman Mark Williams says the British government has failed to tackle tax avoidance.

"Now that failure appears to be one of the main reasons companies like HMV can no longer compete with tax avoiding giants like Amazon," he says.

Amazon has yet to respond to multiple requests for comment from CNN.

Is any action being taken to change the tax situation?

In a speech in December 2012, British Prime Minister David Cameron said he was putting the issue of low taxes paid by multinationals "at the top of the agenda" for the G8 summit.

"It's simply not fair and not right what some of them are doing by saying, I've got lots of sales here in the UK but I'm going to pay a sort of royalty fee to another company that I own in another country that has some special tax dispensation," he said.

Similarly, France is looking at why multinationals are able to avoid paying sales tax when selling to French consumers.

The country's technology minister is also considering ways of ensuring internet giants help subsidize the networks they run on.

Earlier this year, the BBC reported that Jersey-based Play.com was shutting down its online retail business after the government closed the Low Value Consignment Relief (LVCR) loophole.

The LVCR allowed items valued at less than Â£15 to avoid sales tax in the UK.

What allure do record shops have in a digital age?

Online shopping and digital downloads may be convenient, but some argue they lack the "romance" of a traditional record store, especially one with informed staff.

Q Magazine's associate editor Paul Stokes says consumers can actually talk to people in shops and benefit from the curation that sales staff can provide.

"The great thing about record shops as opposed to online is that you can go in and see racks," he says. "That's the big thing -- that sort of spotting things and thinking 'great I want to listen to that'."

Online shoppers tend to type in the specific name of a band whose music they are interested in, reducing the likelihood of a chance purchase, Stokes says.

"It would be a real detriment to the culture to lose a high street presence across the country because I think it's one way that people discover things that they weren't looking for."

What about the impact of online shopping on other products?

HMV Group owned book retailer Waterstones between 1998 and 2011.

In December 2011, the chain's new managing director -- James Daunt -- told The Independent newspaper that he regarded online retailer Amazon as "a ruthless, money-making devil."

Daunt said computers were a "terrible environment" in which to select books.

"All that 'If you read this, you'll like that' -- it's a dismal way to recommend books. A physical bookshop in which you browse, see, hold, touch and feel books is the environment you want."

He nonetheless acknowledged that Waterstones was developing its own e-book. And six months later Waterstones announced it would sell an e-book reader in its stores -- the Amazon Kindle.

@highlight

HMV to go into administration after more than 90 years in business

@highlight

Music retail chain has more than 200 stores and 4,000 staff in Britain

@highlight

Analysts say HMV failed to keep up with digital revolution, as in-store sales fall

@highlight

Critics say foreign-based companies are able to avoid UK tax