A key U.S. senator said Monday he has high hopes for a positive resolution soon to the growing diplomatic crisis revolving around 19 American overseas aid workers facing charges as part of an Egyptian crackdown on nongovernmental organizations.

"Quite frankly, I'm very optimistic we're going to get this episode behind us," GOP Sen. Lindsey Graham of South Carolina told CNN. "It's my hope (this will happen) sooner rather than later."

Graham spoke from Cairo after meeting with top Egyptian military and political leaders. He's joined on the trip by Arizona Sen. John McCain, chairman of the board of the International Republican Institute, one of the organizations affected by the Egyptian crackdown.

McCain said he had an "excellent conversation" with several accused American workers now receiving shelter and protection at the U.S. Embassy.  But there is naturally a "certain amount of concern," he added.  He stressed that he's not personally negotiating the workers' release, instead leaving those discussions to diplomats in the Obama administration.

The Americans are among 43 people accused in a case involving foreign funding. They are scheduled to appear in a criminal court next Sunday, a spokesman for the Egyptian general prosecutor's office said.

Among the Americans is Sam LaHood, director of Egypt operations for the International Republican Institute and the son of U.S. Transportation Secretary Ray LaHood.

Sam LaHood is doing "fine," but "he's grown a full beard and he's not nearly as good looking as he used to be," McCain joked after meeting with the American workers.

In December, authorities carried out 17 raids on the offices of 10 organizations, including the U.S.-based Freedom House, National Democratic Institute and the International Republican Institute.

The latter group describes itself on its website as a nonprofit and nonpartisan organization that "advances freedom and democracy worldwide by developing political parties, civic institutions, open elections, democratic governance and the rule of law."

Freedom House's website says it "supports democratic change, monitors freedom and advocates for democracy and human rights around the world," supporting nonviolent civic initiatives in societies where freedom is threatened.  The National Democratic Institute says it works to support and strengthen democratic institutions worldwide "through citizen participation, openness and accountability in government."

Adel Saeed, a spokesman with the Egyptian general prosecutor's office, said the raids were part of an investigation into allegations that the groups had received illegal foreign financing and were operating without a proper license.

The groups have denied any wrongdoing. The International Republican Institute has said the prosecution is a "politically motivated assault" that "reflects escalating attacks against international and Egyptian democracy organizations." While Egypt may call the situation "a legitimate judicial process ... the continued assault on American, German and Egyptian civil society is not a 'legitimate judicial process,' " the group said.

"We're being accused of things we've never done," institute President Lorne Craner said last month. "We are told we have operated without registration, and that is true because we filed our registration papers 5½ years ago.  We were told the papers are complete, and we're still waiting."

Similarly, the National Democratic Institute said it applied for registration in 2005 through the Egyptian Ministry of Foreign Affairs, "and has fulfilled all of the registration requirements for the past six years, including a number of updates provided in January." The group said it will "vigorously defend the accused personnel."

"Despite promises made by Egyptian authorities to the highest levels of the U.S. government, we remain closed, our computers, files and cash still in the possession of the Ministry of Justice, and our staffs face hostile interrogations by investigating judges, and now the prospect of arrest and imprisonment," Freedom House President David Kramer testified last week before the House Committee on Foreign Affairs.

"Nowhere else in the world has any of our offices been treated as they are in Egypt," Kramer said.

The U.S. State Department said last week it had received a 24-page document from Egyptian authorities that lays out the specific charges against the staff of U.S. and international democracy-building groups.

The employees of the American and European NGOs have been charged with operating in Egypt without licenses.  An investigation by authorities revealed that the organizations received millions of pounds from abroad under the names of NGO employees and not through their official bank accounts.

Ashraf El-Ashmawi and Sameh Abu Zeid, the two judges handling the cases, said the charges could lead to five-year prison sentences.

"These organizations conducted unlicensed and illegal activities without the knowledge of the Egyptian government," said El-Ashmawi.  "Documents confiscated during the raids on the NGOs offices confirm illegal foreign funding."

Documents also showed that foreign workers employed by the NGOs deliberately had tourist -- not work -- visas and did not pay taxes, prosecutors said.

Egyptian officials have blamed continuing unrest in their country on foreign interference they attribute, in part, to the organizations.

The crisis has jeopardized U.S. aid to Egypt and strained relations between the two nations. In a February 2 letter to Secretary of State Hillary Clinton and Defense Secretary Leon Panetta, 41 members of Congress urged the Obama administration to withhold further aid to Egypt until the country's leadership lets the organizations reopen and returns seized property.

The situation may have been fueled by a sense of nationalism on the part of Egypt's military-led government, which assumed control following the ouster of longtime President Hosni Mubarak a year ago, said Isobel Coleman, a senior fellow at the Council on Foreign Relations.

"It's better in the short term to be seen as standing up to the Americans," she said this month. "... As the situation continues to be very unsettled in Egypt, the powers that be will look for a scapegoat. Blame your problems on outside powers. That's how it has been throughout history."

But both sides have "painted themselves into a corner," said Marina Ottaway, a senior associate at the Middle East program of the Carnegie Endowment for International Peace. The Egyptians have made a legal case, she said, and the Americans will find it difficult to tell them to interfere with the work of the judiciary when they are trying to push democracy.

Briefing reporters Friday, State Department spokeswoman Victoria Nuland said the agency's legal team has held a number of meetings on the situation.

"We continue to work very hard on these issues. So we need to let that work go forward and hope we can solve this," she said.

Nuland has said no speedy resolution of the case was expected.

@highlight

Sen. Lindsey Graham says he is "very optimistic" a resolution to the crisis is near

@highlight

Forty-three people -- including 19 Americans -- accused of working for civil society groups

@highlight

Nongovermental organization workers charged with operating in Egypt without licenses

@highlight

In December, Egyptian authorities carried out 17 raids on offices of 10 groups