(CNN) -- A drug already approved for treatment of AIDS might one day be approved for prevention of the deadly disease in individuals at high risk.

A U.S. Food and Drug Administration advisory committee recommended Thursday that the agency approve the drug, Truvada, for pre-exposure prophylaxis, or PrEP.

The committee voted 19-3 in favor of approval for the prevention indication -- PrEP for HIV-uninfected men who have sex with men and 19-2 with one abstention for HIV-uninfected partners in couples where the other partner is infected. The committee recommended by 12-8 with two abstentions in favor of approving the drug for individuals who engage in risky sexual behavior that could result in their contracting the virus.

Truvada, manufactured by Gilead Sciences, Inc., is a once-a-day pill used in combination with other HIV drugs. The nucleoside reverse transcriptase inhibitor does not rid the body of HIV. Instead, it prevents the virus from replicating in the body.

The FDA doesn't have to follow the recommendations of its advisory committees, but it often does.

Most of the more than 40 health care professionals, AIDS advocates and patients who addressed the committee implored its members not to recommend the drug for the new indication.

"There is no question that, if efforts on using PrEP is widespread, condom use and other means of preventing HIV infection will decrease," said Robert Elliott, a registered nurse. "At this point we simply don't know enough about how to increase adherence rates to work with the PrEP or how to counteract the risk compensation and the use of PrEP. Until then, PrEP is not and cannot be considered safe and effective for preventing HIV infections."

AIDS Activist Miki Jackson agreed. "A recommendation for the use of Truvada as PrEP is akin to issuing an engraved invitation for lawsuits," she said. "To knowingly recommend a drug as powerful as Truvada with such serious serious side effects and given to people who are perfectly healthy is frightening."

Michael Weinstein, president and founder of the AIDS Healthcare Foundation, said he was concerned that approval could lead a decrease in condom use. "Approving PrEP would be a reckless act," he said.

The FDA panel looked at safety and efficacy data from three clinical trials:

-- iPrEx, a study of men who have sex with men, found 43.8% fewer infections in men who got the drug versus those who got placebo;

-- in a Truvada study carried out by the Centers for Disease Control and Prevention in Botswana, infection rates were reduced by 63% overall in healthy men and women considered to be at high risk of infection;

-- the University of Washington's Partners in PrEP study of serodiscordant couples in Kenya saw 62% fewer infections in those taking Truvada and a 73% reduction in those who took a combination of Truvada and the HIV drug tenofovir.

Committee members also heard concerns about the drug's side effects, which can include nausea, vomiting, dizziness, loss of appetite and diarrhea, liver and kidney toxicity and loss of bone density.

But, after assessing the data, they concluded that Truvada is safe for men and women and effective in preventing infection.

And they had supporters. "What we need currently is additional tools for our powerful tool box," said Dr. Richard Elion, director of clinical research at the Whitman Walker Clinic in Washington. "We are not winning the battle. Please, were asking today to allow a modality that's still being developed to be added to our toolbox."

Kirk Myers, founder and CEO of Abounding Prosperity Inc., made a plea on behalf of African-Americans. "People need to be given the option to choose," said Myers, who is HIV-positive. "This drug is wanted. Another tool we can use. The right thing to do. Without this option, desperation will continue to drive up statistics of new incidents."

Chris Collins, vice president and director of public policy for the American Foundation for AIDS Research, said the data on the drug's prophylactic use were compelling and urged the committee not to limit access to it. "We need new tools to fight this epidemic that include treatment, condoms and education," Collins said. "PrEP is certainly not for everyone, but it may have a role in bringing HIV-infection rates down. It's time to learn how PrEP may be useful in the real world."

According to Dr. Peter S. Miele, a medical officer in the agency's Center for Drug Evaluation and Research, Truvada's safety and efficacy for the prevention of HIV-1 infection in high-risk individuals is supported by two large clinical trials. "Regular HIV testing, adherence and behavioral counseling on safer sex practices, including condom use, are essential components of healthcare delivery around PrEP," he said.

Truvada is not cheap. A month's supply costs about $1,200.

@highlight

Advisory committee recommends Truvan be approved as a preventive

@highlight

The FDA does not have to follow the recommendations of its advisory committees

@highlight

The panel looked at safety and efficacy data from 3 clinical trials