CNN (CNN) -- The FBI interrogator who bluffed al Qaeda detainees into giving up significant intelligence began his career in an unusual way.

Ali Soufan's fraternity brothers bet him that the agency would never hire a guy like him.

A Lebanese-born American studying international relations at a Pennsylvania college, Soufan had just returned to his frat house after talking with a school official about what he should do with his life. It was 1994. His buddies gave him some good-natured ribbing. They said the agency would mark his application, "return to sender."

He laughs at the memory, joking that he thought the idea was crazy, too.

But Soufan's nature has always been to take the dare, he writes in his new memoir "The Black Banners: The Inside Story of 9/11 and the War Against al-Qaeda."

"I did some research (about the FBI) beyond 'The X-Files,' " he told CNN.com. He sent in his application. And to his shock, got a letter asking him to report to FBI training. It was the beginning of a storied career in intelligence.

During his FBI stint from 1997 to 2005, Soufan was the lead investigator on major terror investigations such as the October 2000 attack on the Navy's U.S.S. Cole which killed 17 sailors. He helped the agency investigate the attacks on U.S. Embassies in Kenya and Tanzania in the late 1990s, and was a key interrogator of al Qaeda detainees after the 9/11 attacks. Read more about the global security firm he now leads.

Soufan's book details some of those interrogations of al Qaeda operatives, which he says led to the naming of Khalid Sheikh Mohammed as the mastermind of 9/11 and led to the arrest of alleged dirty bomber Jose Padilla.

"The Black Banners" opens with his earliest memories of growing up in Beirut, Lebanon, clinging to his family's staircase as bombs exploded outside his home.

"Everybody is scared of things," he told CNN.com. "I'm not scared of the dark. ... I'm talking about growing up and you don't have (security) most of the time. You're not going to be scared of the dark. On a human level, I have a lot of fears, but you live with these fears everyday."

The book weaves vivid, inside details about the war on terror, and asserts that playing "mental poker" with terrorism suspects is far more effective at making them give up their secrets than being physically aggressive.

"There is a difference between compliance and cooperation," he said. Compliance can result from torture -- a detainee will do anything to make the rough treatment end. But real cooperation, says Soufan, comes from engaging the detainee after learning everything possible about them.

Soufan's opinion contrasts with the Bush administration's assertion that waterboarding and other harsh tactics was their best option with several al Qaeda operatives.

When Soufan finished training at Quantico in November 1997, he was assigned to one of the FBI's busiest field offices in New York. He was the only agent in the office who spoke Arabic at the time; one of only eight agents in the country who was fluent, he says.

A new job is an exciting time for anyone, and Soufan was thrilled and nervous.

"You want to talk about fear? I was scared, I was nervous on my first day," he said. "I thought, really, my God, how the heck did I end up here? It was fear mixed with excitement, mixed with adventure."

In his first months on the job, Soufan relied on his language ability and his personal interest in the Middle East and North Africa to keep close watch on what mattered in the region.

At the time, a Saudi millionaire named Osama bin Laden was consistently making news with his calls for jihad against the West.

In early 1998, the young agent wrote a paper urging the FBI to focus on bin Laden. His bosses noticed and told him about bureau investigations of bin Laden. "Unfortunately, politicians in Washington didn't want to discuss (bin Laden)," Soufan said.

The young agent attracted the attention of Special Agent John O'Neill, a legendary figure well known in the FBI who ran the New York office. O'Neill took Soufan to dinner. It became a tradition for the rookie and the veteran. They would talk late into the night about al Qaeda and what seemed to both of them to be America's most significant threat.

"He was the boss of the boss of the boss. John could be a very intimidating individual," Soufan recalled. "He saw of me a person who was genuinely hard working. ... These are the things, at least I hope, that he saw in me. He took me under his wing. He taught me a lot, and I am forever grateful."

O'Neill left the FBI in the summer of 2001, and became the chief of security at the World Trade Center. He died in the 9/11 attacks.

By that time, Soufan had been working the Cole case. On September 12, the agent opened a manila envelope from the CIA containing secret information on men involved in the Cole attack, he said. Soufan said he'd been asking for the intelligence in the Cole attack repeatedly for more than a year and had not gotten it.

And now it was September 12, 2001. The information in the envelope linked the Cole attack to 9/11 hijackers.

Soufan was stunned. He ran to the bathroom and vomited. "It wasn't easy. It was very hard moment. I hope I will never feel like this again in my life," he said. He couldn't talk to anyone that day about his anguish. His wife only knew that he was in Yemen working the Cole. He couldn't tell her anything more. He couldn't share anything with his family. But he was haunted. He wondered: If the FBI and the CIA had been more open with sharing intelligence, could the 9/11 attacks been thwarted?

In the years ahead, as the U.S. ratcheted up its campaign against al Qaeda and went to war in Afghanistan and Iraq, Soufan felt more determined than ever.

Soufan handled a key interrogation of Osama bin Laden's bodyguard. Through what Soufan calls "mental poker," he got Abu Jandal to unwittingly give up the names of several 9/11 hijackers, he writes in his book.

Jandal, Soufan said, opened up to him after the agent engaged him in a long debate about theology. 

Read an excerpt about the Jandal interrogation 

"I never liked any of them (the detainees he interrogated)," Soufan said. "I think you have to put your emotions and feelings (aside). ...You have to have the empathy and knowledge of human nature. That's No. 1. No. 2 is you need to learn a lot about your cases and your target. If you'd put me in an interrogation room with a Chinese spy, I would go nowhere with it because I don't know the language, the threats."

Soufan said he wants a detainee to think he already knows what they're hiding, a tactic he learned from watching experienced interrogators.

In 2002, Soufan found himself in another al Qaeda interrogation, this time playing his hand against training camp chief Abu Zubaydah, who had been captured in a Pakistan firefight. Zubaydah was injured in the battle, and Soufan and his partner worked over many weeks to soften the detainee. It wasn't working. The terrorist continued to try to lie to his interrogators.

So the agent referred back to a detail he had read in intelligence files about Zubaydah.

"I said, 'OK, what if I call you Hani.'"

That was a nickname Zubaydah's mother called him, according to the terrorist's files. It seemed like a big turn in the interrogation. Zubaydah believed that his interrogators knew a lot about him. His ability to lie was significantly diminished, but Soufan didn't betray the victory on his face.

"You cannot have your ego take the best of you in an interrogation because you have to keep all options on the table," Soufan said.

Zubaydah, Soufan writes in his book, would go on to accidentally give up Khalid Sheikh Mohammed as the mastermind of the 9/11 attacks.

The revelation came after Soufan's partner mistakenly printed a picture of Mohammed. Soufan showed the photo briefly.

Zubaydah saw it and startled Soufan when he indicated Mohammed was behind the attacks.

Soufan, once again, kept a stoic face.

In "The Black Banners," much of the chapter Soufan devotes to his time with Zubaydah is blacked out. And for those who might be concerned that the information in his book could be valuable to al Qaeda, it's important to note that much of what he reports is already extensively published in public record, in the "9/11 Commission Report," and in the book "The Looming Tower," which won a Pulitzer. "The Looming Tower" author Lawrence Wright wrote about Soufan in the story "The Agent" in the New Yorker in 2006.

After the FBI approved a copy, that copy was sent to the CIA which Soufan says ordered the redactions.

Most of a chapter called "The Contractors Take Over" -- which Soufan said details how Zubaydah's interrogation was taken out of his hands and given to a less experienced interrogator who used torture -- has been blacked out.

"It's unfortunate," Soufan said of the CIA's choice to redact. The redactions don't change the narrative, said Soufan. "They didn't take away from the points I'm trying to make in the book."

Blacking out passages, Soufan suggested, only gives his story more legitimacy.

"You only classify and redact stuff that's true. You don't classify and redact stuff that's not true."

@highlight

One of the FBI's former leading agent's new book argues against torture as a technique

@highlight

Ali Soufan bluffed significant intelligence from major al Qaeda operatives

@highlight

Soufan: Engaging detainees with 'mental poker' more effective than violence