Washington (CNN) -- President Barack Obama postponed military exercises with Egypt last week due to intensifying violence between the military and supporters of ousted President Mohamed Morsy, and warned of potential "further steps."

Much of the discussion since has focused on the fate of $1.2 billion in American military aid, and Defense Secretary Chuck Hagel reiterated on Monday that "every aspect" of the U.S.-Egyptian relationship is on the table.

Obama warns of further steps in Egypt

But what does that mean exactly and how much leverage does the United States have on Egyptian affairs? Beyond military support, would holding up financing for economic programs have an impact? What about immigration and visa programs? Would any new action on these issues change the behavior of the Egyptian military?

More than half of all Americans in a new poll believe the United States should halt military aid. But experts tell CNN that relations are complex.

"The United States is kind of in a 'damned if you do, damned if you don't' situation," said Tarek Radwan, associate director for research at the Atlantic Council.

TIME.com: U.S. military aid to Egypt: An IV drip, with side effects

What does the U.S. want?

For Jon Alterman, director of the Middle East Program at the Center for Strategic & International Studies, the question really is: What does Washington want to accomplish?

"If you are trying to change the decision-making process of the Egyptian military -- that is very hard to do right now because they believe they are locked in an existential struggle. If what you are trying to do is demonstrate our resolve to the rest of the world and people looking on, that is another issue."

Egypt on edge amid questions of U.S. aid

Though Isobel Coleman, senior fellow at the Council on Foreign Relations, says military assistance is pretty much the only card the United States can play to enforce its call for an end to violence and quick return to civilian rule.

"If we mean what we say, than the next step is to suspend our military aid until the Egyptians mean what they say -- which is that they are looking for a political compromise," Coleman said.

Not a one-sided relationship

Military jets, helicopters and other equipment provided by the United States supports a trilateral peace in the region involving Egypt, Jordan and Israel, which is the largest recipient of American military aid, and related strategic advantages.

For instance, the United States has been granted preferential use of the Suez Canal -- an economic hub that connects the Mediterranean and the Red Sea -- and overflight rights, which gives the U.S. military the ability to fly over Egypt on the way to bases in the region.

But would Egypt respond to cuts in its aid by restricting access to the Suez and its air space?

Unlikely, said Coleman and Radwan.

"The Suez Canal is extremely important. It is important to international commerce," Wardwan said, adding that he doubts "these privileges will be changed" if aid is suspended.

Will cutting aid do anything?

The Obama administration has decided to not call the military's ouster of Morsy a coup, which would require an end to military assistance under U.S. law.

But Sen. John McCain, a leading authority on military matters in Congress, recently returned from Egypt. He said turning off aid in response to the military crackdown on protesters is more than necessary now.

"We have no credibility. We do have influence, but when you don't use that influence, then you do not have that influence," McCain said Sunday on CNN's "State of the Union."

About half of the money for military assistance this year -- reduced somewhat by budget cuts in the United States -- has been delivered, according to the State Department. Egypt gets another $250 million for economic programs.

And a new Pew Research Center survey of 1,000 adults nationwide conducted Thursday through Sunday showed that 51% of Americans believed it was better for Washington to cut off military aid to put pressure on the government, while 26% said it was better to continue aid to maintain influence.

With such complexity in the region -- from trading rights to diplomatic advantages -- would cutting aid be an effective way to change policy in Egypt?

Likely, no, said the experts -- particularly because Saudi Arabia has said it would consider matching the U.S. assistance if the administration does decide to cut it.

"Our Congress is not about to compete with that amount of money in Egypt," Coleman said." (The Saudis) have deep pockets and they are ready to put them in Egypt's disposal."

There is little agreement among experts over whether such a cut would make any difference.

"Whether or not changing the aid policy is good for the U.S. in the long run, my answer to that is yes," Radwan said. "If we diversify our engagement with Egypt and deepen it beyond the rhetoric we hear, not only the Obama administration, but any administration after would have for more policy flexibility."

Alterman, on the other hand, sounded a warning.

"It is easier to cut things than resume them," he concluded. "What you may have instead of sending a warning shot that gets Egyptians to change their behavior, you may have a spiraling down in our relations."

CNN's Holly Yan contributed to this report.

@highlight

Experts say relations between the U.S. and Egypt are more complicated than military aid

@highlight

Expert says cutting off aid will do little to change Egypt regime's behavior

@highlight

Saudi Arabia has promised to make up for any aid that the U.S. cuts

@highlight

Egypt could retaliate to cutting aid by changing U.S. preferential access to Suez Canal