London (CNN) -- He may be one of the most sought-after painters you have never heard of, but Emil Filla's name is doing the rounds of newsrooms and international art-loss registers following an audacious theft of his works from a collection in the Czech Republic.

Four oil paintings by the Czech Cubist artist, who lived from 1882 until 1953, were stolen on November 18 from a collection at a castle in Peruc, northwest of Prague.

The works, which date from the 1920s to the 1940s, are estimated to be worth between 50 million and 80 million Czech crowns (approximately $2.6 million and $4.2 million) according to the Art Newspaper.

A spokesperson for the Art Loss Register, an international database of stolen and missing works of art and antiquities, confirmed the works were still registered as stolen on their database.

Chris Marinello, Executive Director and General Counsel of the Art Loss Register, said that if any of the paintings were offered to the register's subscribing auction houses, they would be notified immediately.

"Either they are recovered relatively quickly or they will go underground and won't resurface for years," he said.

The theft comes as interest in Filla's work is rising both in the Czech Republic and abroad.

In November, a painting by the artist dating from 1911 and entitled "Utesitel" ("Comforter" in English) was sold at an auction in Prague for 12 million Czech crowns (approximately $640,000), according to Galerie Art Praha, which staged the auction.

A spokesperson for the gallery told CNN Filla is undoubtedly "a major figure" in avant-garde European painting, having exhibited across Europe and even in the U.S. between World Wars I and II, but has not had much exposure over the last 50 years.

All that is changing, according to Czech art historian Vojtech Lahoda.

"Even though there are more collectors of Filla from the Czech Republic and Slovakia, there are more and more foreign collectors (interested in his work)," he said.

The reason may be down to his famous contemporaries, Pablo Picasso, Georges Braque and Guillaume Apollinaire, whom Filla knew when he lived in Paris before World War I and who inspired him to adopt their Cubist style.

According to Lahoda, his work presents "the other face of Cubism, something that is very parallel (to French Cubism) but also different," and therefore increasingly sought-after by collectors of work from that style and period.

"It's very difficult to buy the original Cubist works of Picasso and Braque from the 1910s but you can still buy Filla's works from those years," said Lahoda.

Though he cannot say whether the theft of Filla's paintings from the collection in Peruc is related to his recent upswing in popularity, Lahoda believes it may have been an opportunistic heist, with the thieves taking advantage of the collection's reportedly limited security.

"The Peruc case is a very strange one, because the paintings that were stolen are known, they were published in catalogs and journals, so I would say they are publicly unsellable," he said, echoing Marinello's fears they may go underground.

Works by the artist are currently on display as part of an exhibition on Czech Modernism at the Gallery of Visual Art in Ostrava, Czech Republic, entitled "Black Suns: Reverse Side of Modernity 1927--1945."

"If you want a good collection of Czech modern art from the 1920s and 30s, you can't miss (Filla)," said Lahoda.

@highlight

Paintings by Czech artist Emil Filla stolen in audacious theft from collection near Prague

@highlight

Four works worth between $2 million and $4 million taken from castle at Peruc

@highlight

Painter's popularity is growing among local and international art collectors.

@highlight

Filla was once a contemporary of Picasso and Braque, exhibited across Europe and in U.S.