(CNN) -- The eyes of the gaming world are on Sony, which on Wednesday is expected to unveil the PlayStation 4, the latest version of its popular gaming console.

It's been more than six years since the company launched its PlayStation 3. That's an eon in the warp-speed tech industry, and the company faces a drastically altered landscape as it enters a new round of battles with its top competitors: Microsoft's Xbox and Nintendo's Wii (and, now, the Wii U).

Long gone are the days when gamers had to pop into their local game shop for the latest titles. PC gaming, Web streaming and smartphone and tablet games have all sapped the popularity of the venerable living-room console. In this new era of mobile, connected gaming, experts say faster processors and flashier specs won't be enough for the next generation.

"If you look at where the market is headed, it's clear that Sony needs to acknowledge that the traditional console business is dead," said Dan "Shoe" Hsu, editor-in-chief of gaming site GamesBeat. "There will still be some room for big-budget, disc-based games sold at retail stores, sure. But mobile, free-to-play and social are huge in gaming, and the next PlayStation needs to accommodate those sectors."

Still beloved among its legions of dedicated gamers, Sony has some work to do if it is to leapfrog back to the top of the gaming heap.

Its PlayStation 2, which was released in 2000, is the top-selling gaming console of all time with more than 150 million sold. The PS3 has held its own but is not believed to have come even close to that number, with estimates hovering around 77 million.

That's been enough to keep the console neck and neck with Microsoft (which is rumored to be developing its own next-generation console, the Xbox 720) but trailing Nintendo's Wii, which has parlayed its wide appeal with family and casual gamers into the top spot since hitting the market in 2006.

The success of the Wii, which let players manipulate in-game avatars by moving their bodies, spawned similar motion-controlled systems in 2010 from Microsoft (Kinect) and Sony (Move).

But in 2013, with the motion-control craze on the wane, Sony may sense a new opening. Sales of the Wii U, released in November, have stumbled out of the blocks as gamers continue processing the system's multiscreen setup.

Observers like Hsu say that will take a sales pitch that appeals to how today's gamer plays as much as, or more than, how the new system performs.

"Sony needs to show its next system is ready for the future, and this includes some crossover play with smartphones, digital distribution, cloud storage to help minimize the need for physical media and a free-to-play ecosystem that can bring in new gamers," he said. "Pure horsepower will be less important this time around."

The inevitable flood of rumors about this week's announcement suggests that may be on Sony's mind as well.

The new console will have the ability to stream online games, according to a report from the Wall Street Journal. Unnamed sources say the tech will be used to let players play older PS3 games on the new console as well as new ones.

Last year, Sony bought Gakai, a cloud-based gaming company that let PC gamers stream top games via broadband.

Images of what are claimed to be prototypes of the PlayStation 4's controllers have leaked and appear to show a "Share" button, suggesting that social-sharing options will be baked into the system.

And Sony has begun slashing prices on its handheld Vita gaming system, starting in Japan, leading some to speculate that there could be mobile integration in the PS4.

Of course, like Nintendo and especially Microsoft, Sony wants to continue branding its console as an entertainment hub for the living room, not just a gaming toy. Sony is rumored to be developing its own online TV service to compete with cable, something it would feature heavily on a new PlayStation.

PlayStation already has streaming-media apps like Netflix, Amazon Instant and Hulu.

Gamers will be looking for all that and more. But, as some observers note, all of the extras will have to branch out from a very important home base.

"The PlayStation 3 has matured into a fantastic gaming system," wrote CNET's Jeff Bakalar. "Sony must maintain this luxury into the next generation. For all the extracurricular bells and whistles this system will boast, gamers still want to play great games that you can't experience anywhere else. Exclusive games sell systems first."

@highlight

The eyes of the gaming world this week are on Sony, expected to unveil PlayStation 4

@highlight

Rumors about Wednesday's launch focus on an online gaming feature, social sharing

@highlight

New console would compete with Nintendo's Wii U, Microsoft's Xbox 360

@highlight

Consoles also now compete with PC gaming, mobile games and Web streaming