Washington (CNN) -- The United States apologized Friday for a 1946-1948 research study in which people in Guatemala were intentionally infected with sexually transmitted diseases.

A statement by Secretary of State Hillary Clinton and Secretary of Health and Human Services Secretary Kathleen Sebelius called the action "reprehensible."

"We deeply regret that it happened, and we apologize to all the individuals who were affected by such abhorrent research practices," the joint statement said. "The conduct exhibited during the study does not represent the values of the United States, or our commitment to human dignity and great respect for the people of Guatemala."

President Barack Obama called his Guatemalan counterpart Friday "offering profound apologies and asking pardon for the deeds of the 1940s," President Alvaro Colom told CNN en Espanol in a telephone interview from Guatemala City.

"Though it happened 64 years ago, it really is a profound violation of human rights," said Colom, who said the report took him by surprise.

Clinton called him on Thursday, he said. "She too offered her apologies," he said, adding that she told him she was ashamed the United States had been involved in the matter.

Asked whether Guatemala was planning to take legal action, Colom said, "That's part of the work of the commission."

"We reject these types of actions, obviously," said Guatemala presidential spokesman Ronaldo Robles. "We know that this took place some time ago, but this is unacceptable and we recognize the apology from Secretary Clinton."

The scientific investigation, called the U.S. Public Health Service Sexually Transmitted Disease Inoculation Study of 1946-1948, aimed at determining the effectiveness of penicillin in treating or preventing syphilis after subjects were exposed to the disease. Gonorrhea and chancres were also studied. Penicillin was a relatively new drug at the time.

The tests were carried out on female commercial sex workers, prisoners in the national penitentiary, patients in the national mental hospital and soldiers. According to the study, more than 1,600 people were infected: 696 with syphilis, 772 with gonorrhea and 142 with chancres.

The study came to light recently when Wellesley College researcher Susan Reverby found the archived but unpublished notes from the project as she was researching a similar study that was conducted between 1932 and 1972 in Tuskegee, Alabama. That study included nearly 400 poor African-American men with preexisting syphilis whose disease was allowed to progress without treatment. Researchers did not infect the subjects, but they did not tell them they had the disease either.

The Tuskegee study was done under the direction of Dr. John C. Cutler, a U.S. Public Health Service medical officer who died in 2003.

"I was doing what historians do," said Reverby, a professor of the history of ideas and women and gender issues, who has written a book on the Tuskegee study. She went to the University of Pittsburgh, where Cutler had taught, and searched through an archive of his papers.

"There was nothing on Tuskeegee in the papers, but there was this report of the Guatemala study," she told CNN in a telephone interview. "I started to read, and I almost fell off my chair."

She found that Cutler also led the research in Guatemala. It was carried out there, in part, she said, because prostitution was legal and prisoners were allowed to bring prostitutes in for sex.

Dr. Francis Collins, director of the U.S. National Institutes for Health, told reporters that the Guatemala study represented "a dark chapter in the history of medicine."

The study "appears to have been funded" by the U.S. National Institutes of Health, he said, citing four primary ethical violations: 1) study subjects "were members of one or more vulnerable populations;" 2) there is no evidence they gave informed consent; 3) they were often deceived about what was being done to them; 4) they were intentionally infected with pathogens that could cause serious illness without their understanding or consent.

U.S. officials said Friday that ethical safeguards would prevent such abuses from occurring today.

An Institute of Medicine task force will look at what happened in the study, and a group of ethics experts will convene to review the matter and report on how best to ensure such abuses do not recur, Collins said.

"The study is a sad reminder that adequate human subject safeguards did not exist a half-century ago," the U.S. statement said. "Today, the regulations that govern U.S.-funded human medical research prohibit these kinds of appalling violations."

Collins said the published literature contains more than 40 other U.S.-based studies "where intentional infection was carried out with what we could now consider to be completely inadequate consent in the United States."

Many of those studies were funded by the Public Health Service, he said.

But at least some people believed at the time that the experiment was flawed, according to Wellesley's Reverby, who cited this reaction to Cutler's work from his supervisor, PHS physician R.C. Arnold: "I am a bit, in fact more than a bit, leery of the experiment with insane people," Arnold said. "They can not give consent, do not know what is going on, and if some good organization got wind of the work, they would raise a lot of smoke. I think the soldiers would be best or the prisoners for they can give consent. Maybe I'm too conservative  ... In the report, I see no reason to say where the work was done and the type of volunteer."

"The vast majority" of study subjects were adequately treated for their illness, Collins said. One subject died during an epileptic seizure, though it was not clear that the death was related to the study, he added.

Cutler's work helped refine testing procedures and suggested a better means of prevention, but "made little impact on syphilis research," Reverby concluded.

Clinton and Sebelius said the United States is launching an investigation and also convening a group of international experts to review and report on the most effective methods to make sure all human medical research worldwide meets rigorous ethical standards.

"As we move forward to better understand this appalling event, we reaffirm the importance of our relationship with Guatemala, and our respect for the Guatemalan people, as well as our commitment to the highest standards of ethics in medical research," the U.S. statement said.

CNN's Arthur Brice, Nick Valencia and Tom Watkins and CNNRadio's Shelby Lin Erdman contributed to this report.

@highlight

Obama offers "profound apologies"

@highlight

Guatemala accepts the apology, the presidential spokesman said

@highlight

The United States is launching an investigation

@highlight

The research was "reprehensible," the U.S. statement said