ISLAMABAD, Pakistan (CNN) -- Pakistani government officials announced Monday an agreement with the Taliban to allow strict Islamic law, or sharia, to be implemented in parts of North West Frontier Province.

Delegation members of pro-Taliban leader Soofi Mohammad at a meeting in Peshawar Monday.

It marks a major concession by the Pakistani government in its attempt to hold off Taliban militants who have terrorized the region with beheadings, kidnappings, and the destruction of girls' schools.

The government will recognize sharia for the entire Malakand Division, which includes the Swat district -- a two-hour drive from Pakistan's capital, Islamabad -- the chief minister of North West Frontier Province Amir Haider Hoti announced Monday in a news conference. Islamic law is already being practiced in the area, where the Taliban have control.

Hoti said the people of the region want sharia which will fill the "vacuum" left by a lack of access to Pakistan's judicial system. He said he hoped it would bring peace to the region, where Pakistani forces have battled militants aligned with the Taliban.

"Those who chose to take the path of violence because of this decision, I appeal to all of them to work for the sake of peace now," Hoti said.

"There is no accounting for the sacrifice of all the people of Swat and the Malakand division. How many children have been orphaned? How many parents have lost their children? How many young people have been martyred? In my mind, I don't think that anyone can take this any more."  Watch Pakistan's foreign minister discuss negotiating with the Taliban »

He also stressed that the recognition of Islamic law in the region "isn't something that hasn't happened before." He said previous agreements have been made regarding sharia, but were never implemented. He also said that the Islamic law will not go against basic civil liberties, although he did not explain how the government would make sure that provision would be upheld.  Watch the implications of the concessions to the Taliban »

Sharia is defined as Islamic law but is interpreted with wide differences depending on the various sects of both Sunni and Shia Islam.

So far, the Pakistani Taliban's interpretation of sharia has included banning girls from school, forcing women inside and outlawing forms of entertainment.

The agreement comes amid negotiations between Pakistani provincial officials and Taliban representatives, led by Sufi Mohammed. The Taliban on Sunday declared a 10-day cease-fire in Swat Valley, which Taliban spokesman Muslim Khan said was a gesture of good will towards the government.

The Taliban's control of Swat is believed to be the deepest advance by militants into Pakistan's settled areas -- meaning areas outside its federally administered tribal region along the border with Afghanistan.

The negotiations in North West Frontier Province are the latest attempt by Pakistan's civilian government -- which took power last year -- to achieve peace through diplomacy in areas where Taliban and al Qaeda leaders are believed to have free rein.

But analysts as well as critics within the establishment have warned that Pakistan's previous dealings with the Taliban have only given the fundamentalist Islamic militia time to regroup and gain more ground.

Khadim Hussain, a professor Bahria University in Islamabad who studies Pakistani politics, said the government has effectively surrendered the areas to the Taliban, thereby setting the stage for two contradictory, parallel states in North West Frontier Province.

"If you leave them like that and you give ... a semblance of peace in a particular area, what does that mean?" Hussain said. "It means you're capitulating. It means you're surrendering the state to them. It means your submitting the state authority to them because they are running a parallel state."

He said the government's decision amounts to a marriage of convenience made under duress.

Swat has been overrun by forces loyal to Maulana Fazlullah's banned hardline Islamic group, Tehreek Nifaz-e-Shariat Mohammadi (TNSM) which has allied itself with Taliban fighters. TNSM was once led by Sufi Mohammed, Fazlullah's father-in-law who is leading the latest negotiations. Sufi Mohammed was released from jail last year by Pakistani authorities after he agreed to cooperate with the government. He was jailed in 2002 after recruiting thousands of fighters to battle U.S. forces in Afghanistan.

Fazlullah took over TNSM during Sufi Mohammed's jail stint and vowed to continue his fight to impose fundamentalist Islamic law in the region.

Last May, Pakistan's government announced it reached a peace deal with militants in Swat Valley. In the months that have followed, the Taliban have seized control of the region and carried out a violent campaign against government officials, including local politicians. The head of the Awami National Party -- which represents the region -- was forced to flee to Islamabad amid death threats from the Taliban.

Pakistan is under enormous pressure to control the militants within its borders, blamed for launching attacks in neighboring Afghanistan where U.S. and NATO forces are fighting militants.

The deal with the Taliban comes on the heels of a visit by U.S. special envoy Richard Holbrooke, who is now meeting with leaders in neighboring India. He said he is awaiting more details of Monday's agreement, but said it underlines the challenge of dealing with the rise of the Taliban.

The United States -- using unmanned drones -- has carried out several airstrikes inside Pakistan on suspected militant targets, including one on Monday that killed at least 15 people, Pakistani sources said. Such airstrikes, which sometimes result in civilian casualties, have aggravated tensions between the U.S. and Pakistan.

Pakistan's military operation in the region is unpopular among Pakistanis, but efforts to deal diplomatically with militants have not worked in the past.

Pakistan's previous leader, Gen. Pervez Musharraf, reached a cease-fire deal with militants in South Waziristan in 2006 which was widely blamed for giving al Qaeda and Taliban a stronger foothold in the region.

@highlight

Pakistani Taliban's interpretation of sharia includes banning girls from school

@highlight

Deal with the Taliban comes after a visit by U.S. special envoy Richard Holbrooke

@highlight

Taliban: 10-day cease-fire in Swat Valley is good-will gesture towards government

@highlight

Critics warn that previous dealings with the Taliban have allowed it to regroup