(CNN) -- These are hard times in the United States.

The government released its annual report on income, poverty and insurance coverage last week. The median income in the U.S. in 2010 was $49,445, which is 2.3% lower than it was in 2009. But that's just the median. To understand how bad things really are, we need to look at poverty.

Let's be explicit. To qualify as below the poverty line, you have to be really poor. A single person under the age of 65 has to earn less than $11,244 to be considered in poverty. That's significantly less than a full-time minimum wage job. A single mother with a child has to make less than $15,030 to be considered in poverty.

The percentage of people who met these criteria increased to 15.1% in 2010 from 14.3% in 2009. It's gone up steadily since 2007 when it was 12.5%.

What really hurts, however, is exactly who in America qualifies as living in poverty. Because of the social safety nets in place, relatively few people over 64 are very poor (9%). Children, on the other hand, suffer greatly. About 22% of Americans under 18 live in poverty. Let me say that again: More than one in five children in the United States is living in poverty. Children account for more than one-third of all such people in the U.S. right now.

Think about that when we talk about how to save money in the future.

I'm a health services researcher, and incredibly invested in how we reform the health care system of this country. It's why I'd also like you to focus on the plight of the uninsured.

In 2010, the report said, the number of people in the United States who lacked insurance for an entire year was 49.9 million. This is the largest number of people without insurance since the passage of Medicare and Medicaid. Almost all of these people are below 65. (Pretty much every American over 65 is on Medicare, after all.)

It gets worse. The percentage of Americans who were covered by private health insurance decreased again -- to 64%; the number of people covered by employer-provided health insurance dropped to 55.3%. Where did all of these people go? Lots of them went to the government, as the number with Medicaid coverage increased to 15.9% and those with Medicare coverage increased to 14.5%.

America is hurting. Unemployment is on the rise. Poverty is increasing. More people are losing or unable to get private insurance, and turning to our safety nets for coverage. Most of the benefits and improvements of the Affordable Care Act -- the large Medicaid expansion, the exchanges, the mandate, the subsidies -- won't go into effect until 2014. (An early feature of the act that has already gone into effect has allowed hundreds of thousands of young people under 26 to remain on their parents' insurance, and this group has fared better.)

This is the truth we face as we talk about how to reform the health care system: Some claim we need to depend on the private market more and more, but it's shrinking and unable to cover those who need it. Some want to cut Medicaid funding, but it's responsible for covering more and more Americans.

It's important to face reality. Of the 75 million or so children in the United States right now, more than one third are covered by Medicaid; an additional 10% or so are uninsured. When we talk about cutting Medicaid funding, we're talking about making things worse for these children. There's no getting around that.

I know that there's a deficit problem, and I know that it's important to get a handle on entitlement spending. But we can't ignore that right now Medicaid is one of the cheapest insurance programs around. People seem to have forgotten, but the reason the Affordable Care Act puts 20 million more people in Medicaid is that it was cheaper than putting them in the exchanges to get private insurance.

Moreover, about 5% of Medicaid enrollees account for more than 50% of all Medicaid spending. That spending is almost all on elderly and disabled people. It's unlikely these people will be cut from Medicaid. Poor children? Poor adults? Far more likely.

There will be hard decisions ahead. No one can deny that entitlement spending, especially health care spending, is unsustainable on its current path. We must be able to look at the budget and talk about areas where we might spend less. That will inevitably lead to some groups getting less than they did before. Yet, as voting blocs and advocacy groups defend their piece of the pie, let's not forget those who cannot speak for themselves.

The ranks of the poor are growing. They're populated with children. And they depend on Medicaid for their health care in increasing numbers. Let's not sacrifice their future while we're trying to save it for the rest of us.

The opinions expressed in this commentary are solely those of Aaron E. Carroll.

@highlight

Aaron E. Carroll says rising poverty numbers show one in five children affected

@highlight

He says this reality must be faced when deciding how to save government money

@highlight

He says more can't afford private insurance but must rely on Medicaid, which faces cuts

@highlight

Carroll: Reliance on safety net is growing and we must perserve it