(CNN) -- High-Speed Rail (HSR) has been around been around for decades, but it's back in the transport spotlight amid a surge of interest from the United States and China.

Despite cuts to President Obama's original plan to spend $53 billion on HSR over the next 25 years, an ambitious scheme for HSR to connect U.S. cities is still on the agenda.

China has built more than 8,000 kilometers of high-speed rail lines in recent years and plans to spend over $400 billion on its program in the next five years, while the United Kingdom is contemplating plans to extend its more modest HSR network.

Supporters of HSR often list environmental sustainability among its virtues. Some argue it's a greener alternative to car and air travel and see it as an easy win in weaning people of fossil fuels. But just how green is HSR? Two experts with different views give their opinions.

Dr. Anthony Perl is Professor of Urban Studies and Political Science at Simon Fraser University in Vancouver, British Columbia, Canada, where he directs the Urban Studies Program. His latest book, co-authored with Richard Gilbert, is "Transport Revolutions: Moving People and Freight Without Oil."

Any debate about the future of high-speed rail must consider where this mobility option fits into the 'big picture' of how transportation systems meet looming economic, energy and environmental challenges. In a world where 95% of motorized mobility is currently fueled by oil, high-speed rail offers a proven means of reducing dependence on this increasingly problematic energy source.

This value of using proven electric propulsion technology should not be underestimated when both the time and money to deploy energy alternatives are in short supply.

In our recent book Transport Revolutions, Richard Gilbert and I documented the economic, environmental and political dividends to be gained from replacing the internal combustion engines powering today's aircraft, cars, and motor vehicles with traction motors that can be powered by multiple energy sources delivered through the electric grid.

Since electricity is an energy carrier, it can be generated from a mix of sources that incorporate the growing share of geothermal, hydro, solar, and wind energy that will be produced in the years ahead. And because electric motors are three to four times more efficient than internal combustion engines, an immediate improvement will precede introducing renewable energy into transportation.

Grid-connected traction offers the only realistic option for significantly reducing oil use in transportation over the next 10 years.

If such a shift does not begin during this decade, the risk of a global economic collapse and/or geo-political conflict over the world's remaining oil reserves would become dangerously elevated. Making a significant dent in transportation's oil addiction within 10 years is sooner than fuel cells, biofuels, battery-electric vehicles and other alternative energy technologies will be ready to deliver change.

Biofuels that could power aircraft now cost hundreds of dollars per gallon to produce. Batteries that a big enough charge to power vehicles between cities are still too big and expensive to make electric cars and buses affordable.

But grid-connected electric trains have been operating at scale and across continents for over a century. And when the Japanese introduced modern high-speed trains through their Shinkansen, in 1964, the utility of electric trains was greatly extended.

Since the 1980s, countries across Asia and Europe have been building new high-speed rail infrastructure to deploy electric mobility between major cities up to 1,000 kilometers apart. For intercity trips between 200 and 1,000 kilometers, high-speed trains have proven their success in drawing passengers out of both cars and planes, as well as meeting new travel demand with a much lower carbon footprint than driving or flying could have done.

If we are serious about reducing oil's considerable risks to global prosperity and sustainability, we will not miss the opportunity offered by high-speed rail to decrease transportation's oil consumption sooner, rather than later.

Tony Bosworth is a campaigner for Friends of the Earth, in its energy and climate team. He has a long track record of working on environmental issues, including a spell as transport campaigner for the environmental campaigning charity.

Across the world governments are looking to high speed rail to provide fast, modern transport systems fit for the 21st century.

By the end of 2012 China is expected to have more high speed rail lines than the rest of the world combined, while President Obama aims to give 80 per cent of Americans access to fast rail travel within 25 years.

But if governments want high speed rail to spearhead the drive towards a cleaner transport system they must look further than simply providing faster trains.

The UK is currently mulling over a high speed rail link between London and Birmingham, a city about 160 kilometers north-west of the capital. But according to official estimates, it's unlikely to lead to significant carbon dioxide cuts -- and may even increase climate-changing emissions.

So what's stopping high speed rail being a major part of a greener transport future in Britain?

First there's the electricity to power the trains. Over two thirds of the world's electricity comes from fossil fuels so until (or unless) power stations are weaned off fossil fuels, electric trains will still have a significant climate impact -- although rail travel is still better than flying or driving.

Secondly, will high speed rail entice people off the roads and short-haul flights? French TGVs and the Channel Tunnel rail link have succeeded, but official calculations estimate that only 16 per cent of anticipated passengers for the London to Birmingham line will have swapped from planes or cars.

One of the main factors is cost. Despite soaring fuel prices, motoring and flying are still expected to be cheaper than high speed rail. If faster rail travel is to become a realistic alternative it must be affordable too.

The UK's high speed rail link is expected to cost a whopping $54 billion. But living as we do in cash-strapped times there's surely a strong case for investing some of that that money in less grandiose, but more effective, projects.

Perhaps some high speed rail money could be diverted to upgrade commuter and longer-distance services, making life easier and cheaper for ordinary passengers -- and making a bigger and fast contribution to cutting emissions.

High speed rail can play a major role in tackling climate change around the world -- if it's affordable, powered by clean energy and gets people out of their cars and off planes, we really will be speeding in the right direction.

@highlight

HSR can significantly cut oil use in transport in next 10 years, says Anthony Perl

@highlight

He believes HSR can reduce oil use before alternative energy technologies are ready

@highlight

If power stations use fossil fuels, HSR will still impact climate, says Tony Bosworth

@highlight

Bosworth argues HSR must be made affordable to get people out of cars