(CNN Student News) -- Parents and Teachers: Watch with your students or record "Gary + Tony Have a Baby" when it airs on CNN on Thursday, June 24 at 8 p.m. ET. By recording the documentary, you agree that you will use the program for educational viewing purposes for a one-year period only. No other rights of any kind or nature whatsoever are granted, including, without limitation, any rights to sell, publish, distribute, post online or distribute in any other medium or forum, or use for any commercial or promotional purpose. For licensing information, please contact CNN ImageSource at 866-462-4350 or cnnimagesource.com.

Special Note: "Gary + Tony Have a Baby" is a documentary that follows the journey of a gay couple as they attempt to become parents. We recommend that you preview this program and determine whether it is appropriate before showing it to students.

Program Description: Gary Spino and Tony Brown have fought for gay rights all of their lives, but these days, one of the most radical things a gay person can do is form a traditional family -- and that's precisely what they want. We follow Gary and Tony on their struggle to have a baby, which has a biological and legal connection to both of them. They spend a small fortune hiring an egg donor and a surrogate, and facing a string of court battles. But all the medical miracles and legal maneuvering can't guarantee the approval of the people around them, or even a baby.

Recommended grades: 11-12, College

Subject Areas: Biology, Civics/Government, Ethics

Curriculum Standards

Social Studies

V. Individuals, Groups and Institutions

VI. Power, Authority and Governance

VII. Science, Technology, and Society

The Curriculum Standards for Social Studies (http://www.socialstudies.org/standards/strands/) are published by the National Council for Social Studies (http://www.socialstudies.org/).

Before-Viewing Discussion Questions: Use these questions to initiate discussion with your students before they watch "Gary + Tony Have a Baby."

1. How would you define the traditional American family? Can you think of any examples of non-traditional families? What role, if any, do you think that these types of families play in American society? Explain.

2. What challenges do you think that gay people might face when revealing their sexuality to friends and family? How do you think that your family might react if a family member revealed that he or she was gay? How would you react?

3. What political and social issues do you think might be important to gays and lesbians in the U.S.?

4. What is a civil union? How might a civil union be different from a marriage? What is your opinion of civil unions? Of gay marriage? What do you think is the future for gay marriage in America?

5. What impact have advances in reproductive technology had on some families? Why do you think that some of these technologies have generated controversy? What is your opinion of these technologies?

6. What are some reasons why people might choose to adopt a child?

7. What challenges do you think that parents face in raising children? Do you think that gay parents might face additional challenges? If so, what are those challenges? If not, why not?

8. Why do you think that some people are opposed to adoptions by gay couples? What is your opinion on the issue?

9. In your opinion, what factors help shape people's values? How do you think that values may influence relationships between people from diverse backgrounds?

10. What is your definition of tolerance as it relates to relationships between people from different backgrounds? Would you describe your community as tolerant of people who are different? Why or why not?

Post-Viewing Questions, Media Literacy Questions and Learning Activities

Post-Viewing Discussion Questions: Use these questions to talk about the program and to promote critical thinking after they have watched "Gary + Tony Have a Baby."

1. What is your definition of a "traditional" family? Did you think that Tony Brown and Gary Spino had a traditional family at the beginning of the documentary? Why or why not?

2. Where did Gary and Tony grow up? What stories do they tell about their childhoods? Why do you think that Gary's mother says that people who live in small towns "are not as open as they are in the big cities"? Do you agree or disagree with her? Explain. In what ways do you think that growing up in a small town might differ from growing up in a city? In your opinion, would Gary's and Tony's relationships with their peers have been different if they had grown up in a city? Explain.

3. According to the documentary, how have Gary and Tony shown their support for gay marriage? Why do you think that some people might be opposed to gay marriage? What is your opinion of gay marriage?

4. What is Piper's relationship to Tony? According to Tony, who are Piper's parents? How might you contrast the definition of a biological parent with Tony's definition of a parent? What rationale do he and Gary give for wanting a baby? What is your response to their rationale?

5. Who are Holly and Cindy? Why do you think that they were chosen for their respective roles in the adoption process? How do Gary and Tony describe the screening process for their egg donor and surrogate mother?

6. Why do you think that the couple wants to keep in touch with Holly and Cindy throughout the process and in the future? What do you think might be the benefits and drawbacks of this decision?

7. According to the program: What is egg donation? What does Holly say was her reaction when she learned that she would be donating eggs to a gay couple? Why do you think that her company asked her not to use her last name in the documentary? Why do you think that some people are opposed to egg donation? What is your opinion on this issue?

8. What role do Gary and Tony play in Cindy's pregnancy? What preparations do they make for bringing the baby into their lives? In what ways do you think that their actions might be similar to or different from the ways that other families prepare for a new family member?

9. According to the documentary: Why does Cindy keep her pregnancy quiet? How do some people react to her decision to be a surrogate? Why does Cindy say she will not get attached to the baby? How do you think that she might feel after the baby is born?

10. What is a pre-birth order? Why does a judge order Gary and Tony to get a pre-birth order? Whom do they have to sue to get custody of the baby before birth? Why do you think that the law requires them to take this action?

11. After the lawsuit, who does the judge declare is/are the baby's parent(s)? Why do you think that the judge ruled this way?

12. What complications occur during the baby's birth? After the birth, why does Cindy say that she is attached to the baby?

13. What does Gary's brother Michael say about gay men raising children? What is your reaction to his concerns?

14. How do you think that this documentary might be different if Gary and Tony were a heterosexual couple? What steps in the adoption process do you think might be similar for all parents? What steps in this process do you think are unique to Gary and Tony's case? Why?

15. In your opinion, how did life change for the couple from the beginning to the end of the program? What support do you think that their family will need as the baby grows up? Do you think that this support is different from that required by other families? Why or why not?

16. Do you think that Gary and Tony have a traditional family at the end of the documentary? Do you think that they would consider themselves as having a traditional family? Why or why not?

Media Literacy Questions

From whose perspectives are the stories in "Gary + Tony Have a Baby" told? What do you think are the benefits and drawbacks of telling the story from these perspectives? Would you have included any other perspectives? Why or why not?

Learning Activity

Addressing the Issues Surrounding Gay Adoption

What are the ethical, legal and medical issues presented in this documentary? In your opinion, what other issues should be addressed in a discussion of gay adoption? Pose this scenario and question to students: You are congressional representatives who are about to serve on a committee to study the issues surrounding gay adoption. What questions would you want answered?  Divide students into three groups: a medical issues subcommittee, an ethical issues subcommittee, and a legal issues subcommittee. Referring back to the documentary and other resources, have each group generate a list of questions it would want answered and a list of possible witnesses who might be able to respond to those questions. Reconvene the class and have each subcommittee share its questions and list of witnesses. Note any common lines of questioning among the three subcommittees. Discuss what factors individuals and elected officials might consider in formulating an opinion on gay adoption.

@highlight

"Gary + Tony Have a Baby" is a documentary that follows the journey of a gay couple as they attempt to become parents

@highlight

Parents and educators can use this guide to initiate discussion with students about the documentary