London (CNN) -- The widening phone-hacking scandal that brought down one of Britain's biggest newspapers claimed two more casualties Sunday as authorities arrested the paper's former editor, Rebekah Brooks, and London's police chief announced plans to resign.

"As commissioner, I carry ultimately responsibility for the position we find ourselves in. With hindsight, I wish we had juggled some matters involved in this affair differently. I didn't and that's it," Metropolitan Police Commissioner Sir Paul Stephenson told reporters.

His announcement came hours after authorities arrested former News of the World editor Brooks in connection with British police investigations into phone hacking and police bribery, her spokesman said. Brooks was released around midnight, but it remained unclear whether she would testify as scheduled Tuesday at a House of Commons hearing on the scandal.

Stephenson stressed Sunday that he had behaved ethically, but said he decided to resign because increased scrutiny connected to the case would burden his department and detract from its accomplishments.

"I have taken this decision as a consequence of the ongoing speculation and accusations relating to the Met's links with News International at a senior level," said Stephenson, who became commissioner in 2009 of the Metropolitan Police, which also is known as Scotland Yard.

Stephenson's announcement came a day before British Home Secretary Theresa May is scheduled to make a statement to British lawmakers about relations between the Metropolitan Police and a former executive editor of the News of the World who was arrested last week in connection with the phone-hacking scandal.

The former editor, Neil Wallis, became a communications consultant to the Met after leaving the paper. On Sunday, Stephenson denied accusations that the department suspected Wallis' involvement in phone-hacking when they hired him as a consultant.

"I had no knowledge of the extent of this disgraceful practice and the repugnant nature of the selection of victims that is now emerging, nor of its apparent reach into senior levels," Stephenson said. "I saw senior figures from News International providing evidence that the misbehavior was confined to a rogue few and not known about at the top."

The Scotland Yard chief also denied that his free stay at an expensive spa earlier this year had anything to do with Wallis' connection with the resort, Champneys. In a statement earlier Sunday, the Met said Stephenson's stay was arranged by the resort's managing director, who is a personal family friend.

"There has been no impropriety and I am extremely happy with what I did and the reasons for it. ... The attempt to represent this in a negative way is both cynical and disappointing," Stephenson said.

British Prime Minister David Cameron issued a statement Sunday praising Stephenson for his "long and distinguished career."

"While I know that today must be a very sad occasion for him, I respect and understand his decision to leave the Met, and I wish him well for the future," he said.

He added that Metropolitan Police investigators must "do everything possible to ensure the investigations into phone hacking and alleged police corruption proceed with all speed, with full public confidence and with all the necessary leadership and resources to bring them to an effective conclusion."

Earlier Sunday, authorities arrested Brooks. She was being quizzed by police in London after having come in by appointment, a Metropolitan Police spokesman said.

Brooks did not know she was going to be arrested when she arrived, her spokesman Dave Wilson said.

The police agency does not release names of suspects arrested and police officials referred CNN to a statement describing an unnamed 43-year-old woman's release when asked whether Brooks remained in custody.

Brooks' spokesman told CNN she was released shortly before midnight and was at home early Monday morning.

Scotland Yard said the woman was released on bail and is scheduled to return to a London police station in October.

Brooks resigned on Friday as chief executive of Rupert Murdoch's News International, which published the News of the World.

The company also did not know she was about to be arrested when it accepted her resignation, a News International source told CNN Sunday, asking not to be named discussing internal corporate affairs.

It was not clear how her arrest will affect the hearing Tuesday in the House of Commons. Committee member Louise Mensch, a Conservative member of Parliament, said the committee chair was "taking legal advice" on the situation.

Wilson said that over the next 24 to 36 hours Brooks' attorneys will be in discussion with the select committee to see whether her appearance at the hearing is still appropriate.

Mark Stephens, a prominent British media lawyer, told CNN the arrest was "somewhat theatrical," given that Brooks has apparently not been charged with a crime.

Brooks had asked police since January whether they wanted to speak with her, but was told that was not needed, Wilson said. While she received a call Friday to come in Sunday and answer questions, she was not told she would be arrested on arrival, Wilson said, adding that it came as a shock to Brooks.

Brooks is adamant that she is innocent of any wrongdoing, Wilson said.

Brooks is the eighth person arrested in connection with the phone-hacking probe and the fourth arrested in the bribery investigation, police said Sunday. Two people, including Brooks, have been detained over both probes, meaning a total of 10 people have been arrested.

News International said Sunday before the arrest that it would "not tolerate wrongdoing" and was determined to rebuild its reputation.

News International said it would compensate those affected by its illegal phone hacking, cooperate fully with the police and had hired a law firm to "examine past failings" and recommend new procedures to make sure they are not repeated.

The promise comes in national newspaper advertisements in all the major Sunday British newspapers -- a group that this week does not include the News of the World for the first time in 168 years.

Murdoch closed the paper last week, less than a week after it came out that reporters working for him had illegally eavesdropped on the phone of a missing girl, Milly Dowler, and deleted some of her messages to make room for more. She was later found dead.

Closing the paper has not put an end to the scandal, which has exposed the close links the British press has with both politicians and the police.

Media baron Murdoch apologized to the British public with full-page advertisements in seven national newspapers Saturday.

"We are sorry," says Saturday's ad, which was signed by Murdoch. He did not sign Sunday's ad.

"The News of the World was in the business of holding others to account. It failed when it came to itself. We are sorry for the serious wrongdoing that occurred. We are deeply sorry for the hurt suffered by the individuals affected."

Murdoch's apology comes after his media empire lost two top executives Friday.

Brooks on Friday resigned from her post as chief executive at News International, the British arm of Murdoch's News Corp.

Hours later, her predecessor, Les Hinton resigned.

Murdoch also visited Milly Dowler's family on Friday.

Police in the United Kingdom have identified almost 4,000 potential targets of phone hacking in documents recovered from a private investigator working for the paper.

There were also allegations that News Corp. reporters may have bribed police officers.

Murdoch's campaign of contrition started 12 days after the scandal first broke and barely a week after the News of the World, Britain's best-selling Sunday tabloid, was shut down by News International in the face of public outrage.

Murdoch, his son, James, and Brooks are to appear before British politicians Tuesday to answer questions over the phone hacking scandal.

Some of the claims Brooks faces relate to the News of the World's alleged hacking, while she was editor, into Dowler's mobile phone account. She has warned that her answers may be limited by ongoing police and judicial inquiries.

"As chief executive of the company, I feel a deep sense of responsibility for the people we have hurt, and I want to reiterate how sorry I am for what we now know to have taken place," she said in a statement Friday.

Hinton, who most recently served as chief executive of Dow Jones, publisher of The Wall Street Journal, wrote to Murdoch to say that although he had been unaware of alleged misconduct when he was executive chairman of News International, which operated the now-defunct News of the World, he had to take responsibility.

"The pain caused to innocent people is unimaginable," he said in a letter provided by Dow Jones.

Cameron has been among those publicly decrying the hacking, blasting Murdoch's company Wednesday as he launched a high-powered judge-led investigation into the nation's press.

Yet he has his own ties to the scandal, given his relationship with Andy Coulson.

Coulson resigned as News of the World editor in 2007 after his former royal editor and a private detective were convicted of conspiracy to hack into royals' voice mails. But while offering his resignation, he insisted he had been unaware of the crimes and he was not charged at the time.

After last year's election, Cameron became prime minister -- and appointed Coulson as his communications director.

Coulson resigned as Cameron's spokesman in January when the scandal blew up afresh.

Cameron hosted Coulson overnight in March at Chequers, the prime minister's country estate, a Downing Street source said Friday. The aim of the invite, added the source, was to thank his former communications director for his work on Cameron's behalf.

Earlier this month, Coulson was arrested in connection with claims of phone hacking and corruption dating to his days as the News of the World editor.

After the arrest, the prime minister took full responsibility for hiring Coulson. But while not denying this personal connection, Cameron has maintained public pressure against News Corp.

Meanwhile, the FBI is also investigating News Corp. after a report that employees or associates may have tried to hack into phone conversations and voice mail of September 11 survivors, victims and their families.

Murdoch's News Corp. encompasses Fox News, The Wall Street Journal, the New York Post and Harper Collins publishers in the United States. News International -- a British subsidiary of News Corp. -- owns the Sun, The Times and The Sunday Times in Britain.

CNN's Andreena Narayan, Atika Shubert, Anna Stewart and Bharati Naik contributed to this report.

@highlight

NEW: Rebekah Brooks' spokesman says she has been released and is at home

@highlight

NEW: Police say she is scheduled to return to a London police station in October

@highlight

Police chief: "I wish we had juggled some matters involved in this affair differently"

@highlight

The commissioner says he behaved ethically but is responsible for the department