STOCKHOLM, Sweden (CNN) -- I am sitting in a Stockholm hotel over a breakfast of meatballs, eggs, crisp bread covered with salty caviar paste, toast with a dollop of lingonberry jam and a cup of strong Swedish coffee. Life is good.

Boats line up along the waterfront outside the five-star Grand Hotel in Stockholm, Sweden.

But there is little time to linger.

I have one day to explore Stockholm before catching a flight back to the United States, a bonus excursion squeezed in after a trip to another country in Europe.

My plane landed at Stockholm-Arlanda Airport the day before under gray skies, a steady drizzle and a temperature hovering around 50 degrees Fahrenheit.

Not a promising start.

It's late May, but the first walk around the city requires three layers of clothing and an umbrella.

Thankfully, the sun reappears for my full day of sightseeing, and I get a taste of the long Scandinavian summer days, with sunrises bathing Stockholm in light before 4 a.m. and soft twilight hanging around until 11 p.m. this time of year.

From my guidebook, I know that Stockholm is built on 14 islands that separate the Baltic Sea from Lake Mälaren, earning it the nickname "Venice of the North."

Still, strolling around the pedestrian-friendly city is a surprise: You're never far away from a beautiful waterfront walkway or a bridge or the cries of seagulls, but walk along any busy street, and you feel the hustle and bustle of a thriving European capital.  See photos of the Old Town, the Royal Palace and other Stockholm sites »

The crowds include lots of blond and blue-eyed Swedes but also feature plenty of Middle Eastern, black and Asian faces.

I start exploring Stockholm by heading to where it all began in the 13th century: Gamla Stan, the Old Town, "one of the best preserved medieval city centers in the world," according to the Stockholm Visitors Board.

Gamla Stan offers winding, cobblestoned streets full of cafes, restaurants and shops that sell everything from amber jewelry to mock Viking hats. The buildings are painted in striking yellows and oranges, while impossibly narrow side alleys tempt visitors with hidden galleries and private eateries. Always crowded with tourists and locals, it's a great place to people watch.

The Old Town is also home to Kungliga Slottet, the 600-room Royal Palace and official residence of Sweden's King Carl XVI Gustaf and Queen Silvia. Crowds gather at noon to watch the elaborate changing of the guard ceremony, which features the Royal Guards in pointy helmets marching to the palace's courtyard accompanied by a military band on horseback trumpeting their arrival.

Surprise excursion

To give my feet a break, I plan to take in the sights from the water by boarding one of Stockholm's many sightseeing boats, which ferry tourists to the most visited spots around the city.

There are several operators to choose from, and most give you the option to either stay on board for an hour round-trip or "hop on, hop off" all day. Because I want to stop and visit the Vasamuseet, one of Stockholm's most popular museums, on the island of Djurgården, I choose the latter option, paying 100 kronor -- about $13 -- for my ticket.

Suddenly, I'm in for an unintended adventure.

A boat arrives at the appointed time, and everyone lines up at the dock, so I join them and hop on board. It's not until we're well on our way that someone starts to check tickets and points out that I'm on the wrong boat. Oops.

Instead of heading toward the museum, we are en route to Stora Fjäderholmen, a charming little island in Stockholm's archipelago. Thankfully, it's only 25 minutes away, and the ferry turns right around for a return trip to the city. Lesson learned: Many boats dock at tourist spots in Stockholm, so be careful which one you board.

From shipwreck to art

Once back from the surprise excursion, I am finally on my way to the Vasa Museum, home to the majestic warship Vasa, which capsized just after it sailed for the first time in 1628 and spent more than 300 years at the bottom of Stockholm's harbor. Salvaged in 1961, it prompted a restoration that's been called the largest jigsaw puzzle in the world.

Magnificently ornate and seemingly ready to fire its cannons as it sits on display, the ship looks like something straight out of "Pirates of the Caribbean."

Outside the museum, an arts and crafts fair tempts visitors with fried herring sandwiches. The fish, prepared in a variety of ways, plays a big role in the Swedish diet. Marinated herring was a tasty part of the breakfast buffet at my hotel, offered in mustard or sour cream sauce.

Grocery stores also stock a wide selection of pickled herring sold mostly under the label Abba, which might make you think the former Swedish pop group is branching out in a new direction but is actually made by a company founded in 1838.

For a final stroll, I hop back on the boat, head to the city center and walk along Drottninggatan, a busy pedestrian-only street full of restaurants, shops and fashionable Stockholmers. It's finally time to linger.

@highlight

Stockholm is built on 14 islands that separate the Baltic Sea from Lake Mälaren

@highlight

The Old Town is one of the best preserved medieval city centers in the world

@highlight

Boats are a great way to sightsee, but make sure you get on the right one

@highlight

Vasa Museum displays ship that spent 330 years at the bottom of the city's harbor