(CNN) -- While the gaming world is focused on the new Xbox One from Microsoft, Activision is deploying its most popular franchise, "Call of Duty," for its first assault on the next generation of consoles.

Developer Infinity Ward has designed new game-engine technology to take advantage of Sony's PlayStation 4 and the new Microsoft console, both due by year's end. Its "Call of Duty: Ghosts" will come to PC, Xbox 360 and PlayStation 3 gamers this November 5, with next-gen release dates coming later.

In a recent interview in Los Angeles, Activision Publishing CEO Eric Hirshberg showed off what next-generation gaming will mean within the new "Call of Duty" game. Rather than continuing the "Modern Warfare" storyline, the development studio decided to start from scratch with a new story and new characters.

"Ghosts" sets players in an alternate-future America that's been crippled by a government in disarray. The Ghosts are remnants of the various branches of the Special Forces. They've adopted the best fighting techniques from these branches as they battle across an array of terrains and environments.

Also new to the franchise is an interactive dog, which the developers created with the latest performance-capture technology. The dog promises to be a loyal and important companion throughout the game's campaign.

This being a "Call of Duty" game, there will also be new multiplayer gameplay to entice players to log in and take on friends from around the world on Xbox Live and PlayStation Network. "Call of Duty: Ghosts" adds dynamic maps, including natural events such as floods and earthquakes and player-activated obstacles such as doors and explosive traps.

We sat down with Hirshberg to talk about what opportunities next-gen consoles will open up for gamers. Here's an edited version of our interview:

CNN: What will define what next-generation gaming is this fall?

Hirshberg: It's interesting. If you look into what's happened in culture, not just in gaming but overall in culture over the last seven years that this current gen has represented, the way that we communicate, the way that we consume entertainment, the way that we connect socially through digital spheres has completely transformed during that exact time period.

The current-gen games like "Call of Duty" had something to do with that. They were the tip of the sword. Playing multiplayer in "Call of Duty" is probably one of the first mass things that people did together in a digital environment. Now we do almost everything together in a digital environment. All of those ways to connect with the devices in your pockets and being able to comment on everything, categorize everything and rank everything, hasn't really made its way into gaming yet.

We were ahead of the curve a little bit with "Call of Duty: Elite," which we came out with to try to create a more social experience. One of the things you're going to see with next gen is that with "Elite," we were working around the current-gen limitations in order to make a meaningful connection to the game itself. We had to find our way through an obstacle course technologically to make that happen.

Next gen is being designed with that in mind. There's really a baked-in connectivity to the next-gen hardware, the way it's being conceived, that I think will create many more opportunities for social connectivity surrounding video games.

CNN: What will that mean to the community of "Call of Duty" gamers out there?

Hirshberg: We're seeing 40 million people a month playing "Call of Duty." Six million people played today. This is 175 days after the launch of the last game. Anything that that many people do and care about, usually there's a whole ecosystem of content to service their interest in that hobby.

They don't just watch a football game. They have a fantasy sports league. They have their favorite highlight shows. They have blogs that they read. They have statistics that they view online. They're connecting with that thing on multiple devices, multiple times a day, seven days a week, not just when there's a football game on.

With gaming, it's pretty much either you're playing the game or you're not playing the game, and I think that with next gen you're going to see that ecosystem spread to different devices, different times a day, with a lot more supportive entertainment content for our franchises.

CNN: When you look at past transitions to new consoles, the focus has been on improved visual fidelity.

Hirshberg: You're going to see that, too. But to be fair, last time it wasn't just graphical fidelity. It was the introduction of connected machines. It was the introduction of multiplayer through Playstation Network and Xbox Live. Games like "Call of Duty" took that and ran with it, and there's a certain amount of humility we all need to have.

No one will see the future exactly accurately, but the creation of those connected networks with the last generation of hardware created an explosion of new games with multiplayer and that's become the primary way people are spending their hours gaming. Next gen is always a combination of hardware design and ... what developers and creative minds do with that hardware. I'm just looking at the main differences and theorizing that that's where you're going to see an explosion of new creativity.

CNN: What role do you feel "Call of Duty" will play in enticing gamers to upgrade to next gen?

Hirshberg: The game needs to be great, but when you have a brand of the scale of "Call of Duty" that's so popular and so massive that it has the capacity to be one of the things that people really want to see. If you look at the last console transition, the top franchises were the ones that bridged the gap between the last gen and the current gen, and I think that will happen again.

We can't take that for granted and assume that people will show up just because it's a "Call of Duty." It has to be a major game, and it has to be demonstrative and emblematic of everything that the next gen is capable of and that's why we're putting this level of investment against it.

That's why we're not taking the easy route in doing a sequel to "Modern Warfare." That's why we're opening up the franchise and removing the restrictions and doing all new characters and an all new world and taking a whole new approach to the game. We want to set the standard for the next gen.

CNN: What are the challenges when it comes to this transition? "Call of Duty: Ghosts" is also coming out on next gen, but the majority of gamers will be playing on current generation of consoles.

Hirshberg: One of the decisions we made early on, which was not a simple decision, but we think it was the right one, is that we have the same exact team developing the game for the current gen as is developing for the next gen. Some publishers have a lead developer doing the next-gen game and then some outsourcing for the current gen.

We felt like it was really important to deliver what I think will be the best current-gen "Call of Duty" ever because that game's going to benefit from all of the new thinking and all of the new ideas that are going into the next gen.

Some of the things from a technological standpoint won't be executable on the current gen, like the Sub D and the texture mapping and that stuff, but all of the gameplay ideas like dynamic maps, character customization, the new story, the new world; the current gen will be the beneficiary of all of those new ideas. I think it's going to be the best current-gen game we've ever made.

CNN: Traditionally, with new hardware comes lower price points for current gen. How much life there is in the current-gen systems moving forward, given that PlayStation 2 had a very long tail?

Hirshberg: I try to not predict these things. What I know is we're going to have great games on every platform wherever our audience is. This has been Activision's philosophy for a long time. We've always been platform agnostic.

Wherever there are gamers that want to have a great experience, we're going to have a great "Call of Duty" game for them; we're going to have a great "Skylanders" game for them.

Even if the next gen is off to the races on Day One, there will still be a lot of people who either are waiting to see or saving their money and who aren't going to dive in right away, and we want them to have a great experience, too.

@highlight

"Call of Duty: Ghosts" will go on sale November 5

@highlight

We spoke to Activision Publishing CEO Eric Hirshberg about developing the game

@highlight

Game will be available for new PS4, Xbox One consoles and current consoles as well