The sight of Dr. Kent Brantly, a victim of the Ebola virus, walking from an ambulance to the Emory University Hospital in Atlanta in his hazmat suit may become an iconic photo of modern American history.

Brantly served the poor and infirm and put his own life in jeopardy serving patients in Liberia, so you would think that he would be received as a hero, admired for his work, and held up as an example of the highest calling of his profession and his religion. The same is true of his colleague, American Liberia volunteer Nancy Writebol, who just arrived in the States for treatment.

But not everyone seems to think so. The Centers for Disease Control and Prevention in Atlanta has received hate e-mails and phone calls.  An op-ed in Bloomberg View questions who made the decision to bring Brantly home, and social media is abuzz with demands that Ebola victims not be admitted to the United States at all.  The New York Post proclaimed "Ebola fear is going viral" and quoted one of Donald Trump's tweets: "Ebola patient will be brought to the U.S. in a few days -- Now I know for sure that our leaders are incompetent. KEEP THEM OUT OF HERE!"

This kind of reaction is, unfortunately, nothing new for the United States. The U.S. has a history of irrational panic over disease and other perceived dangers, of behaving badly about them and then feeling remorseful later. Perhaps it all started with the Salem witch trials, which became the template for similar panics throughout our history.

Ebola is here: 5 reasons not to panic

The American fear that an epidemic was corrupting our health, our morals, or our children has inspired movements to ban the waltz, rock and roll, romance novels, comic books, and Dungeons and Dragons.

Of course, unlike dancing or computer games, disease really can cause epidemics and threaten our health and our lives. Early in an epidemic, especially of a new disease, we are often unsure of the cause, the mode of transmission, or the degree of contagiousness of a disease.

What is the risk of catching Ebola on a plane?

But even when we know the nature and cause of a disease, irrational panics still seem to grip us.  As an issue of the Journal of the American Medical Association lamented, "When the public fears contagion from a dangerous disease, all unselfish considerations and regard for anything except personal safety are often forgotten." The quote is from an article in 1910, and refers to the public's fear that cancer was contagious and belief that people with the disease should be isolated and shunned.

It seems, a century later, we have still not learned our lesson. "AIDS hysteria" became a familiar term in the late 1980s, and despite scientific certainty over its mode of transmission, a 1986 poll by the Los Angeles Times found that 50% of the adults surveyed supported a quarantine of AIDS patients, 48% approved of identity cards for people who tested positive for the antibody to the virus, and 15% favored tattooing AIDS victims for easy identification.

Like Ebola, HIV-AIDS is not spread casually. But also like Ebola, AIDS was first associated with a minority population feared by many in the majority. Infection seems somehow all the worse when spread by those we fear or disdain.

What to know about Ebola

The stories of cruelty and lack of compassion for those who suffered from AIDS are  well documented and relegated to the history of American shame. Yet the compassionate treatment of the sick is a fundamental tenet of all the major religions, East and West, and forms the moral basis of the American medical and public health systems.

American citizens, especially those who become sick through service to the needy in other parts of the world, need to know that America stands ready to welcome them back and to care for them as best we can.

We know exactly how Ebola is contracted and how it spreads. We have perfectly safe procedures to keep it contained. Despite the severity of the outbreak in Africa, Ebola is not spread quickly like the flu or a cold. It involves contact with bodily fluids that are easily contained with the proper precautions.

American hospitals deal with such infectious diseases every day -- in fact, the Ebola virus has been in research labs all over the United States for years without an incident of infection. Visitors to the United States have brought other African hemorrhagic fevers like Ebola with them, and have been discovered and treated here. How many cases have these infectious visitors -- who were not in hazmat suits and isolation rooms -- spread to other Americans?  None.

There are two epidemics in the world today. The first is a troubling spread of the Ebola virus in poor countries in Africa, an outbreak that is the result of poverty, inattention by those countries' political leaders, and a general lack of concern by the wealthier nations about epidemics that don't yet seem to directly affect them.

But the second epidemic is a more dangerous one. It is a spreading lack of compassion, characterized by disaster fatigue, helplessness in the face of war refugees, intolerance for immigration, and now, the desire to ban even American citizens who are sick and need our help. The second epidemic seems harder to contain than the first, but it is every bit as important.

@highlight

Donald Trump, bloggers, op-ed writers say we should keep Americans with Ebola out

@highlight

Paul Wolpe: After putting lives on the line, infected Americans should be treated as heroes

@highlight

Wolpe: Panic, fear drive discrimination, hate. We should have learned from AIDS hysteria

@highlight

He says we show no compassion in wanting to ban sick Americans who need help