(CNN) -- When District Attorney Carol Chambers last tweeted about a shooting in Aurora, it was about a man found guilty of a killing at a liquor store.

Chambers touted the success of her office in convicting Anthony Jahmar Gillespie for shooting to death Benigno Morales-Ramirez. Few outside Colorado probably knew Chambers' name then -- her Twitter account only has 62 followers.

But that was a month before the cinema killings.

Before James Holmes, the man with orange hair who called himself "The Joker," was arrested for spraying a movie theater audience with gunfire during an early morning screening of the new Batman movie. He stands accused of killing 12 people and wounding 38 others.

Official: Package at university mail room apparently sent by Colorado suspect

Now Chambers finds herself handling America's next big case, all eyes upon her to deliver justice.

She appeared in a dark pantsuit before a horde of reporters and clicking cameras on Monday, the day Holmes first appeared in court.

Some who know her believe this case presents the moment she has long awaited. She's a veteran prosecutor who has rarely drawn attention beyond the local limelight. This could be her last hurrah as head of the 18th Judicial District -- term limits on her office force her to step down later this year.

She's known for being tough. She's known even more for not caring how she or her actions are reflected in public.

She told The Denver Post once that she was "not motivated by people to like me."

Rick Kornfeld, a defense lawyer in Denver who has known Chambers for years, said she is someone who believes strongly in what she is doing and doesn't care if she garners negative publicity.

"That is to be respected," he said.

But it has also made her a controversial figure in the world of Colorado courts.

Alan Prendergast, a journalist for Denver's Westword newspaper who has covered Chambers since she took office in 2004, called her a maverick who is well acquainted with controversy.

Threats before, after other 'Dark Knight' showings, authorities said

Prendergast has doggedly written about how Chambers has turned her office into a "conviction machine." From seeking the death penalty in a state that does not embrace it to pursuing harsh habitual-criminal charges against chronic but low-level offenders, she has earned a reputation as a hard-ass.

"As far as prosecution is concerned, you probably couldn't be in a better jurisdiction," said Todd Whelan, who worked in Chambers' office before she was elected district attorney and later, as a defense attorney, butted legal heads with her in court.

A 2008 Westword article was headlined "The Punisher: Censured but defiant, Carol Chambers goes after habitual criminals -- and cops, judges and lawyers -- like no other district attorney. But at what cost?"

The cost was that these low-level offenders were being put away on absurdly long and costly sentences when the prison system was overloaded and rehab programs were grossly underfunded, wrote Prendergast, citing Colorado defense attorneys.

Residents return to building where suspect set boobytraps

Chambers, said Whelan, goes after the most minor offenders with gusto.

"There's no deference given to any defendant whatsoever," he said.

Chambers is the only state district attorney in Colorado to seek the death penalty in the past five years. Two of the three men on Colorado's death row were prosecuted by Chambers.

That makes her an anomaly in a state that fell one vote short in 2009 of abolishing capital punishment.

"That jurisdiction is very enamored with the death penalty," Kornfeld said about Arapahoe County. "And this is a state that uses it very sparingly."

Many of the Aurora cinema shooting victims' family and friends are demanding death for the suspect. In this case, they will have a prosecutor who is not shy about seeking the harshest punishment.

"If there ever was a case for the death penalty, this is probably that case," Kornfeld said. "What's a more extreme case than this?"

Colorado shooting: Stories of survival

Chambers told reporters this week that her office had a lot of work to do in the investigation.

"I would say there's no such thing as a slam-dunk case," she said. "We're still looking at the enormous amount of evidence."

She will get to decide whether Holmes' case will be a capital one. But by the time the trial progresses, which Kornfeld said could take years, Chambers will be long gone.

"Chambers is a very successful prosecutor," said a profile of her this week in the Atlantic magazine.

"She has the experience, talent and intellect necessary to prosecute the coming Holmes case in a productive way. But she doesn't necessarily come to her most famous case, her legacy case, with completely clean hands."

She is tainted perhaps by allegations of questionable ethics -- including providing benefits to prosecution witnesses and a tight management style that has led to a backlog of cases, Kornfeld said.

She was even publicly censured recently, Prendergast said. And, she has been known to scuffle with judges, police officers and other public officials.

A Chambers spokeswoman said she would not comment because of a gag order placed on the Holmes case, but she has always denied the allegations against her and stood firmly in her convictions.

Even some of her detractors call Chambers a fair person who tries to do the right thing.

Kornfeld called her when he was defending Greg Kolomitz, the Colorado governor's former campaign manager who was accused of mishandling funds.

He recalled her saying: I know what it's like to be a victim of a political witch hunt. We will investigate.

Kornfeld said Chambers was fair. She is a Republican who was dealing with a Democratic scandal. But after looking into it, Chambers cleared Kolomitz of wrongdoing.

Kornfeld said he believes Chambers' past comes into play in her role as a prosecutor.

Court appearance fuels theories about Colorado shooting suspect

She was raised in a small town in Ohio, the daughter of a Presbyterian pastor, according to her official biography. Her grandfather worked for the church as did her three uncles.

"So needless to say, my childhood centered around the church, which was our extended family," she wrote in her biography.

She earned a nursing degree from Texas Christian University and then moved to Denver, where she worked in the emergency room to put herself through law school at the University of Denver.

"During the two years I worked in the ER at Denver General, I saw the results of homelessness, poverty, drug abuse, sudden and unexpected death, Alzheimer's, suicide, disabilities, mental illness, chronic disease, severe alcohol addiction, victimization, violent crime, sexual assault, child abuse, elder abuse and driving under the influence," she wrote.

How to help the victims

Kornfeld believes Chambers' nursing experience makes her extremely empathetic and solicitous of crime victims.

"As all DAs should be," he said. "But she comes at it from a different background."

Chambers worked in medical malpractice defense but wanted to be a prosecutor in criminal cases. She joined the 18th Judicial District, which covers four Colorado counties.

Kornfeld said he understands why Chambers has a blemished reputation. But she's not necessarily as inflexible as people make her out to be.

"If you ask her constituents, she's done an effective job as a law enforcement officer," he said.

She married Nathan Chambers, who defended the most notorious criminal perhaps in contemporary America -- Timothy McVeigh. He was even there to witness the execution of the Oklahoma City bomber.

In Kornfeld's mind, that makes Carol Chambers not a zealot, after all.

Now all of America will be able to see her, judge her, as Coloradans have done for years -- as she prosecutes a man suspected in another heinous act that will also be a part of modern American history.

Warning signs of violence: What to do

CNN's Sumit Galhotra and Jeanne-Marie Destefano contributed to this report.

@highlight

District Attorney Carol Chambers has a reputation of being tough

@highlight

She has also courted controversy over the years

@highlight

She will leave office before James Holmes is brought to trial

@highlight

She is known to seek the death penalty in a state that does not embrace it