(CNN) -- As I type this week's column, I look out of my office window and stare at a depressing sight. A heavy blanket of smog and dust hangs over the sky. Buildings nearby are barely visible. Air is barely breathable.

I checked the website of the China National Environmental Monitoring Center. It rated Beijing's air quality for the day as "slightly polluted".

On Twitter, however, the U.S. Embassy's BeijingAir, an air-quality monitoring app, rated the air pollution level as "hazardous."

What gives?

I visited the Beijing Municipal Environmental Monitoring Center (BMEMC) to find out. "We've been using equipment imported from the U.S. to monitor air quality ever since we set up in 1987," Vice Director Hua Lei tells me. "We use the same techniques as the American system."

But there is one difference: the Chinese monitoring stations measure particulates 10 micrometers or smaller, a standard known as PM10.

BeijingAir, which reports the reading of an air monitory device installed on the roof of the U.S. embassy building, uses the PM2.5, which measures tiny airborne particulates that cause smog and are deemed more harmful. It ranks air quality from 1 (cleanest) to 500 (dirtiest).

"It measures the very fine particulates which are health concerns, things less than 2.5 micrometers," U.S. ambassador Gary Locke tells CNN's Kristie Lu Stout. "Acceptable range in the U.S. is 35. Here we are near 400, more than 10 times the acceptable level."

That was a few days earlier, when Kristie interviewed the American envoy.

Thursday's reading on BeijingAir: 321.

I have lived in Beijing for nearly 40 years and have seen the air's quality go from bad to worse. I never imagined it to be this bad.

Experts blame the thick haze on rapid urbanization and industrialization. "What come with them are cars, industries and pollution sources from all kinds of directions," says Wu Changhua, China director of The Climate Group, a London-based international organization.

Beijing, for instance, burned some 27 million tons of coal in 2010, according to state-run media. Despite efforts to limit the number cars with an auto-plate lottery, it's estimated that Beijing now has over 5 million cars, up from about 3.5 million in 2008.

Pollution is more acute because of the sheer size of the city's population (17 million) and the rapid speed of its economic growth, experts say.

Some say the costs are mounting. "They are paying a price first of all individually by premature deaths," says Achim Steiner, executive director of the UN Environment Program (UNEP), who is in Beijing to launch the agency's "green economy" report. "China as a society also pays a heavy price in terms of healthcare and lost productivity."

The picture is not all dark.

China acknowledges the problems and has pledged to solve them. "If you look at China's five-year plan (for 2011-2015), there are green-development plans that set high ambitions in energy efficiency, renewable energy as well as pollution reductions and control," notes Wu.

UNEP's Steiner compliments China as the world's biggest investor in renewable energy for spending $49 billion last year.

On the grassroots level, rumblings of a green movement are starting to be heard. Huanbao (environmental protection) is now a catch-phrase among residents and local journalists. Public complaints over Beijing's worsening air quality are common.

In recent days, some Chinese microbloggers posted pictures of the national Olympics stadium, also known as the "Birds Nest", taken on blue-sky days during the 2008 Olympics, juxtaposed with pictures of the stadium covered with smog.

In response, the Beijing Municipal Environmental Monitoring Center has opened its facilities to the public once a week. "We receive scores of residents and local journalists," Hua says as she shows me inside a hall equipped with computers and a huge TV screen. "We show them how we do our monitoring, show how equipments work, and explain our standards and systems. It's good that people are now interested in what we do."

Hua says China may adopt more stringent PM2.5 standards, but gradually. "It takes time to improve the standards we are using and to gradually adopt international standards," she says. "We'll gradually raise our standards and it is possible that we'll adopt higher standards as the air quality in China gets better."

A number of Chinese netizens are pushing Beijing to change standards immediately. Pan Shiyi, a Chinese real estate tycoon, recently asked his 7.5 million fans on Sina Weibo, a microblogging social network similar to Twitter, to vote on whether Beijing should adopt more stringent standards. Of the 40,000 who voted, 92% agreed that "the authorities adopt PM2.5 this year."

"I think that's definitely the direction to go," says Wu of The Climate Group. "China so far has been monitoring PM10 and from the epidemiological perspective, we all know when the particles are bigger they don't go too deep into your lungs and respiratory system. But actually, the more hazardous polluter will be PM2.5."

Wu hopes the Chinese government will soon adopt the higher standards, although she is not sure how quickly it can be done. "It's being debated at this moment," she says

There are encouraging signals this week. Chinese media reports say that at least two cities in south China have decided to adopt PM 2.5 on trial basis.

Will Beijing follow suit?

Wu hopes for quicker actions. "I have an 11-year-old child," she says. "I really wish for better air quality, for the nation's authorities to do something not just for us but for future generations. That remains a concern for parents like me and many others."

@highlight

China rated Beijing air 'slightly polluted' that U.S. standards rated 'hazardous' this week

@highlight

Beijing officials use equipment from the U.S. to monitor air quality, but standard is lower

@highlight

Public complaints over Beijing's worsening air quality on microblogs are common

@highlight

Government has put environmental protection as a priority in its latest 5-year plan