(CNN) -- The waves up to 30 feet high that climbed over houses thankfully are now a memory, as are related floodwaters that covered one quarter of one seaside Massachusetts town. Some streets that had been littered with trees and about 2 feet of snow are finally passable. And by late Monday morning, temperatures should rise well above freezing, perhaps accompanied by rain.

That's the good news. But it's still hard for scores of people still in shelters, and for many more huddling for heat overnight, to celebrate.

"It looked like a war zone," said Jim Cantwell, a state representative for the Bay State towns of Marshfield and Scituate, where about 90% of customers remained without power late Sunday. "The devastation we have seen here would lead one to believe that it'll be days before we get power back."

The blizzard that struck the Northeast starting Friday was historic by many measures -- most of all, by the amount of snow that fell.

Hamden, Connecticut, for instance received a whopping 40 inches, making it difficult for even plows to get out on the roads -- with CNN iReporter Mia Orsatti saying streets there had transformed into "white, wide, soft blanket(s) of snow."

Tornado strikes in the Deep South

The tally in Hamden was the most recorded by the National Weather Service in any community, but even lesser amounts led to major headaches, especially when combined with, at times, hurricane-force wind gusts, powerful storm surges and snow drifts that buried cars and most everything else.

"There's a ton of snow, and there's nowhere to put it," said Lena Berc of Boston, where 24.9 inches fell. "So it's really frustrating to find nooks and crannies."

Nine people were killed in accidents related to the storm, including five in Connecticut, two in Ontario, Canada, one in New York and one in Massachusetts. A 14-year-old Boston boy who hopped in a snowed-in family car to get a break from shoveling ended up suffering carbon monoxide poisoning.

About 270,000 utility customers remained in the dark late Sunday afternoon, a significant improvement from the 635,000 without electricity about 24 hours earlier.

These outages were the result of a combination of whipping winds and power poles and lines sagging, and sometimes snapped, under the weight of especially heavy, wet snow and ice.

The storm by the numbers

"There was a phenomenal amount of trees that went down," Cantwell said, noting that 100% of Scituate residents had no power Sunday morning and estimating it may be Thursday before all the lights are back on.

About 200 people were in shelters Sunday in southeastern Connecticut, Gov. Dannel Malloy said. And more than that number found refuge at schools-turned-shelters on the South Shore of Massachusetts, where dozens of National Guardsmen were on the ground to help local authorities and residents deal with flooding and storm damage there.

The forecast for the days ahead in the hardest-hit areas seems mostly a blessing, though there's a chance of a curse.

Daytime temperatures should climb into the 40s Monday in much of southern Connecticut, Rhode Island and Massachusetts, where rain may fall as well. That may help melt some snow, though it could make what's there even heavier and increase the risk of roof collapses and more. Malloy said Sunday that there are reports of a barn, sports facility, commercial building and more caving in.

The mix of snow and rain will also contribute to a messy Monday morning commute into cities like Boston, though schools will remain closed there and many other locales as the snow clean-up effort continues.

There have been notable signs of progress, at least. Flights resumed at Boston's Logan Airport on Sunday, for instance, and Amtrak resumed limited service as part of its general ramp-up.

"We're working as hard as we can," Rhode Island Gov. Lincoln Chaffee said of efforts in his state, a sentiment echoed elsewhere. "We're seeing efforts every hour."

Snow woes were hardly confined to the Northeast.

Troubles is also brewing for northern Midwest states, where a major winter storm will bring heavy snow and strong winds from northeast Colorado to central Minnesota from Sunday into Monday, the National Weather Service said. Eastern South Dakota could see more than a foot of snow and 50 mph winds, "creating whiteout conditions," the weather agency said.

For all the headaches in New England, meanwhile, there was also many enjoying the wintry conditions.

iReporter Filipe Pereira said students Wentworth Institute of Technology in Boston, who were set to return to class Monday, had enjoyed the weekend storm, engaging in massive snowball fights and building snowmen everywhere. People were even skiing down one street, he said, where students earlier took a series of photographs tracking the storm over 26 hours.

The streets around the small school were still a mess, but they were no longer closed.

"People have been going all over the roads with no problem," he said.

Map, time line of the storm

CNN's Holly Yan, Mary Snow, Chris Welch, Brian Rokus, Jill Martin, AnneClaire Stapleton, Pauline Kim, Erinn Cawthon, Chris Boyette and Christi Wolf contributed to this report.

@highlight

NEW: 90% of two Massachusetts towns still don't have power, an official says

@highlight

NEW: Monday will bring warmer temperatures and the threat of collapsing roofs

@highlight

At least nine people are killed in the blizzard, including a 14-year-old Boston boy

@highlight

The next major winter storm is expected to strike between Colorado and Minnesota