(CNN) -- Last month a small pocket of marshland in Little Egg Harbor, New Jersey, was saved from development. The local online newspaper, the Sandpaper.net, celebrated the preservation of Grassle Marsh -- named for a leading authority on the larvae of surf clams - and its populations of kingfishers and fiddler crabs.

This week, Little Egg Harbor, on the shore of Ocean County, was pulverized by Superstorm Sandy. Homes were turned into debris fields; boats were tossed into the marshes or piled on top of each other.

One quiet ceremony, one catastrophic storm. Both symbolize a national dilemma, as the headlong migration to America's coastlines clashes with rapidly changing climate patterns and more powerful storms.

Experts warn of superstorm era to come

Ocean County typifies what has happened along the East Coast. In 1970 it had 208,000 inhabitants; in 2010 there were 576,000, according to census data. That made the cost and extent of the damage inflicted by Sandy much greater.

Nationwide, the scale and speed of the rush to the coast has been stunning. According to The National Oceanic and Atmospheric Administration, the population of coastal shore-line counties will reach 133 million by 2020, compared to 33 million in 1980.

Much of the development has occurred in coastal communities most vulnerable to hurricanes and tropical storms. According to U.S. Census Bureau data, the coastal populations of states from Virginia to Texas grew 244% between 1950 and 2006.

Opinion: Jersey Shore, I'll miss you

They are even higher in the summer months with the influx of tourists. One-quarter of all seasonal or second homes are in coastal Florida, and more than 60% of homes and buildings within 500 feet of the shoreline are on the Atlantic and Gulf coasts.

As population density has grown and land values risen, the preservation of natural features has become more difficult. Grassle Marsh was saved thanks to a 1.2 cent tax that the people of Ocean County approved in 1997 to preserve open spaces. It also helped that it adjoined the Jacques Cousteau National Estuarine Research Reserve, a federally funded sanctuary of marshes, barrier islands and bays.

The reserve is a natural sponge -- like the mangrove swamps in the Gulf of Mexico -- for absorbing storm and tidal surges. And officials with NOAA, which runs the reserve, say it coped well with Sandy's onslaught, despite a storm surge of 6 feet.

New Jersey coastal town turned to "devastation"

But such havens are a rarity on the Northeast Coast, and there are only 28 estuarine reserves across the country.

Coastal development projects, meanwhile, continue apace. Just last week, a $100 million resort development was announced for Kingsland, a few miles from the coast on the Georgia-Florida border. The site, adjacent to an estuary, will occupy 575 acres and include a hotel, conference center, water adventure park and movie complex. It also may create as many as 800 jobs.

The importance of tourism to employment and the tax base of many coastal communities makes for fierce arguments pitching the science of sea-level rise against development. North Carolina's senate recently voted to ban the state from using projections from its own science panel on sea-level, which forecast a rise of 39 inches by 2100, in development decisions. Instead it approved a much lower calculation of 8 inches. The vote, advocated by 20 coastal counties, was subsequently overturned.

The searing experience of Sandy, following Katrina, Irene and other major storms in recent years, will likely raise more questions about the wisdom and scope of coastal migration and development, especially as many climate scientists expect the intensity and size of storms to increase, and their geographic reach to extend northward.

The construction of roads and buildings has encroached on coastal forests and wetlands. Half of America's coastal wetlands have been lost, the majority over the last 50 years, according to a federal advisory committee that reported in 2009.

On the Atlantic Coast, the average erosion rate is 2 to 3 feet a year; in the Gulf of Mexico, 6 feet. The forecast rise in sea level, water temperature and acidity is likely to damage more coastal habitats. The U.S. East Coast is made more vulnerable by the fact that the coastline is gradually sinking.

But is there any way to mitigate the effects of development?

New satellite data reveals sea-level rise

Forty years ago, Congress passed a law called the Coastal Zone Management Act. It empowered NOAA to preserve and where possible restore the natural features of the U.S. coastline. The Jacques Cousteau Reserve in Ocean County, New Jersey, was one of the areas funded by the act.

The program has spent about $1 billion of federal money to acquire and run these reserves, but that's a sum dwarfed by the damage inflicted in just four hours this week. According to a 2010 report by the Congressional Research Service, some two-dozen initiatives in Congress to increase funding for the program have been rejected.

States have begun introducing laws that require setbacks for construction to take account of erosion. They also have been establishing commissions on climate change to advise on building regulations and zoning. NOAA has joined with local communities to explore the impact of development, using the estuary reserves as educational tools.

But a federal advisory committee that reported in 2010 warned: "It is clear that there are limits to how much adaptation can achieve ... in the future, adaptations will be particularly challenging because society won't be adapting to a new steady state but rather to a rapidly moving target."

Chesapeake Bay might be described as ground zero of this phenomenon. It has lost 500 islands in three centuries, at least a dozen of them inhabited, as the coastline has sunk and the sea level risen. Two years ago, the last house on what had been Holland Island crumpled and slipped beneath the waves. A century ago the island had nearly 400 residents.

Scientists from the University of Maryland in 2008 said that during the 21st century carbon dioxide concentrations in the bay could increase by between 50% and 160%; sea-level could rise between 0.7 and 1.6 meters, and water temperature by 2 to 6 degrees Celsius.

Opinion: Climate change is real

They stressed that we are in uncharted territory and much will depend on the level of CO2 emissions -- and the future of development. But the Bay's delicate ecosystem will undoubtedly be affected, with its vital eelgrass at risk and cold-water species vanishing. Some are already observed to be retreating north.

Rather than the health of eelgrass, it's likely that hard cash and cold fear will influence human behavior.

As coastal communities have become more crowded, so the cost inflicted by hurricanes, storms and storm surges has risen exponentially. The 1926 hurricane that hit Miami caused about $76 million in damage at today's prices. In 1995, Hurricane Andrew, which was no bigger, inflicted $17 billion in damage, according to figures from NOAA.

Insurance companies have taken flight -- for example, pulling out of many coastal areas in Florida, where the state is now the insurer of last resort. Total government exposure to storm-related losses in coastal states has risen more than 15-fold since 1990 to $885 billion last year, according to the Insurance Information Institute.

The Munich RE insurance group says North America has seen higher losses from extreme weather than any other part of the world in recent decades. Not all had to do with coastal events. But a year like 2005 (which included Hurricanes Katrina, Wilma and Rita) comes with a price of $60 billion in insured losses. That's the sort of number that drives up premiums.

In a report last month, Munich RE said: "A main loss driver is the concentration of people and assets on the coast combined with high and possibly growing vulnerabilities."

Risk Management Solutions, which models catastrophic risks, recently updated its scenarios, anticipating an increase of 40% in insurance losses on the Gulf Coast, Florida and the southeast over the next five years, and 25% to 30% for the mid-Atlantic and northeastern states. Those calculations were done pre-Sandy.

Pockets of discontent among signs of recovery after Sandy

Getting more people out of harm's way is also a daunting challenge. As population density grows, so evacuation routes come under greater pressure. One out of Atlantic City this week was blocked by a stranded houseboat. More powerful storm surges threaten a wider area farther inland. And while forecasting the track of hurricanes has improved dramatically, forecasting their intensity has not. Hurricane Opel in 1995 went from a Category 1 to a Category 4 in just 20 hours.

This week, many people in the coastal townships of Ocean County were stunned by the speed and force of the surge. One resident told CNN how the water level rose from a couple of inches to waist height within an hour. Another recounted how a boat crashed into their porch, and then driven like a battering ram by the waters demolished their garage. In Brigantine, the owner of a marina said 50 of the 90 boats there had been scattered across the neighborhood.

Several homeowners lamented their lack of adequate flood insurance and their now tattered dreams of retiring to the shore. It's a fair bet that many households along the northeast coast will purchase such insurance -- through the National Flood Insurance Program -- in the coming months. After Irene the number of homeowners in the region with flood insurance rose from 5% to 14%.

Of the millions of people with jobs, businesses or vacation homes on the coast, or who just find the lure of the shore irresistible as a place to live, few will likely pack up and seek higher ground because of Sandy. They can buy insurance. But if the scientists are right, peace of mind might come at a premium.

Powerless in New Jersey

CNN's Sandra Endo contributed to this report

@highlight

Migration to U.S. coastlines clashes with rapidly changing climate patterns

@highlight

Growth means storms like Sandy bring much higher price in damage

@highlight

The preservation of natural features along coastlines has become more difficult