Arizona Gov. Jan Brewer vetoed a bill Wednesday that would have allowed businesses that asserted their religious beliefs the right to deny service to gay and lesbian customers.

The controversial measure faced a surge of opposition in recent days from large corporations and athletic organizations, including Delta Air Lines, the Super Bowl host committee and Major League Baseball.

Fiercely divided supporters and opponents of the bill ramped up pressure on Brewer after the state's Republican-led Legislature approved it last week.

On Wednesday, the governor said she made the decision she knew was right for Arizona.

"I call them as I see them, despite the cheers or the boos from the crowd," Brewer said, criticizing what she described as a "broadly worded" bill that "could result in unintended and negative consequences."

Brewer said she'd weighed the arguments on both sides before vetoing the measure, which is known as SB 1062.

Read Gov. Brewer's full statement

"To the supporters of the legislation, I want you to know that I understand that long-held norms about marriage and family are being challenged as never before. Our society is undergoing many dramatic changes," she said. "However, I sincerely believe that Senate Bill 1062 has the potential to create more problems than it purports to solve. It could divide Arizona in ways we cannot even imagine and no one would ever want.

"Religious liberty is a core American and Arizona value. So is non-discrimination."

Her announcement spurred cheering and hugs by protesters of the bill outside the state Capitol in Phoenix.

Banners urging Brewer to veto the bill were quickly swapped for signs praising her decision.

"Thank you Governor Brewer," they said. "Arizona is open for business to everyone!"

Supporters, critics react to veto

Brewer's veto drew swift praise from gay rights advocates.

"Discrimination has no place in Arizona, or anywhere else," said Alessandra Soler, executive director of the American Civil Liberties Union of Arizona. "We're grateful that the governor has stopped this disgraceful law from taking effect, and that Arizona will remain open for business to everyone."

Doug Napier, an attorney representing the Alliance Defending Freedom, which helped craft the bill, criticized the governor's decision.

"Freedom loses when fear overwhelms facts and a good bill is vetoed," he said in a statement. "Today's veto enables the foes of faith to more easily suppress the freedom of the people of Arizona."

Cathi Herrod, president of the Center for Arizona Policy, accused opponents of the measure of distorting facts.

"The religious beliefs of all Arizonans must be respected and this bill did nothing more than affirm that," said Herrod, whose conservative organization lent a hand in creating the bill. "It is truly a disappointing day in our state and nation when lies and personal attacks can overshadow the truth."

Rep. Demion Clinco, the only openly gay member of Arizona's House of Representatives, said he hoped the governor's decision would start a new chapter after what he called a setback for the state's lesbian, gay, bisexual and transgender community.

"In her vetoing the bill, I really feel like there's a possible hope for reconciliation within our state, and we can move forward," he told CNN's AC360.

Bill sparked heated debate

Read Brewer's letter to the Arizona Senate on the veto

Brewer returned home on Tuesday from a weekend in Washington with her state roiling over a values clash between arch conservatives and gay rights advocates. The state battle has national implications, as the issues it deals with play out in different ways in courts, state legislatures and on Main Street across the country.

The Arizona measure was particularly pointed and had vocal supporters behind it. They contended it was their legal right to oppose what they see as a gay-rights agenda nationally, and argued the bill allowed for religious freedom.

Opinion: Why I put this sign in my pizzeria window

Opponents said the measure encouraged discrimination against gays and lesbians.

In addition to gay rights organizations, many businesses sharply criticized the measure, saying it would be bad for Arizona's economy and could lead to discrimination lawsuits, boycotts and other disruptions.

Religious liberty movement will continue

Economic concerns

Large businesses including Apple, American Airlines, AT&T and Intel voiced opposition to the measure, and the Arizona Super Bowl Host Committee expressed concerns.

The bill also drew fire from some Republican lawmakers with generally social conservative beliefs.

Arizona Sens. John McCain and Jeff Flake publicly urged Brewer to veto the measure, citing worries about the economic impact on the state's businesses.

McCain praised Brewer's decision.

"I hope that we can now move on from this controversy and assure the American people that everyone is welcome to live, work and enjoy our beautiful state of Arizona," he said in a written statement.

Former Massachusetts governor and Republican presidential nominee Mitt Romney recently tweeted that a veto of the bill was the right course.

Romney weighs in, Obama silent on Arizona SB 1062

Vocal supporters, opponents

Supporters of the bill were just as vocal. They say federal courts have increasingly pushed a pro-gay rights agenda.

Freedom or oppression? That's the question for Arizona's SB 1062

Conservative radio host Rush Limbaugh said on his show that Brewer was "being bullied by the homosexual lobby in Arizona and elsewhere."

Supporters said they saw, in the opposition, a double standard in how the rights of gays and lesbians are supported versus those who have conservative religious views.

"I think what we need to do is respect both sides. We need to respect both opinions," Minnesota Republican Rep. Michele Bachmann said Wednesday. "Just like we need to observe tolerance for the gay and lesbian community, we need to have tolerance for the community of people who hold sincerely held religious beliefs."

Businesses lash out over Arizona's anti-gay bill

@highlight

Signs praise governor, say "Arizona is open for business to everyone"

@highlight

ACLU: We're grateful governor stopped "disgraceful law"

@highlight

Group that helped craft bill: "Veto enables the foes of faith"

@highlight

McCain praises veto, says he hopes Arizona can move on