(CNN) -- Nearly 2,000 miles from Haiti, there's a ripple effect from the earthquake that devastated the country on January 12. U.S. Customs and Border Protection agents have arrested 140 Haitian men and women who have crossed the border from Canada into Vermont since late January.

Many had gone to Canada well before the earthquake to seek asylum, and thought they could take advantage of a relaxed U.S. policy on deporting Haitians.

"One of the things that's happening is that some of these individuals that have previously been either deported or ordered deported and are looking for refuge in Canada, have entered Canada illegally, are now looking to come back into the U.S. and possibly take advantage of the temporary protected status that our government has given," said David Aguilar, acting deputy commissioner at U.S. Customs and Border Protection.

That temporary protected status allows Haitians who were in the United States at the time of the earthquake to stay longer, regardless of whether they were in the country legally or not.

But the policy does not protect Haitians illegally entering the country now. "We are going to apprehend them," said Aguilar. "These are people that should not have come into this country and applied for a program that they do not benefit from."

That message was likely lost in translation,  said David Watts, a court-appointed attorney for three Haitians charged with illegal entry and jailed.

"I think there's no doubt that there was some confusion," Watts said. "None of them have immigration lawyers, they're relying on the word on the street and the word in the community."

One of the men Watts represents is Arry Seguin, whose story is not uncommon. Seguin was living in the Haitian community in Montreal after going to Canada in 2008 to seek asylum. Until then, he had been living in Florida with his wife and two children, now ages 6 and 2.

Seguin left the United States after losing appeals to stay. His wife, Louizette, a naturalized citizen, lives in a cramped apartment in Lantana, Florida, and doesn't understand why her husband can't join her.

"You see, everything is a mess without him. Nothing is working well without him," she says.

She says she struggles to take care of her children, but she is also getting calls from relatives in Haiti who are desperate for help. It's the reason she believes her husband tried to return to Florida. He never made it far beyond the Canadian-Vermont border and was arrested in the early morning hours of March 21.

Because Seguin doesn't have a criminal record, his lawyer was able to reach a settlement with prosecutors. For now, Seguin will be eligible to stay in the United States under supervised release, checking in with immigration authorities. It will be up to a judge to decide if that happens.

Watts expects his client will released from jail soon. While Seguin will eventually face deportation, Watts says the goal is to return him to his family to weather their immediate personal crisis.

"So he will have achieved his goal, but for the fact that he's spent an awful lot of time in jail," Watts said. "It would have been better, given what actually happened, if he had been able to come back and help sooner."

Taking the risk of getting caught was in the cards, says Chrissy Etienne, who works as an interpreter for the Haitian men and women who've been arrested. Etienne is a Haitian native living in Burlington, Vermont, having recently graduated from Middlebury College. Because she speaks Creole, she had signed up to be a translator and was stunned when attorneys called in February asking for help.

Since then, her phone hasn't stopped ringing and she's met with dozens of Haitians who've been arrested, meeting them either in prison or in court.

"I think some thought there is a great chance I will get caught," says Etienne. "I think some expected to get caught. I think it was get to the U.S. at all costs, get to my family at all costs."

"I think that it is connected to the earthquake," says Etienne. "When you lose your home, when you lose Haiti as a whole. What is left?"

Giving a voice to the arrested Haitians, she said, has been tough since she is restrained in what she can do.

Etienne describes a common scenario with the men and women she deals with, saying, "There is that, that wish for a system that is more personal. Couldn't I just explain this to a judge? To someone? That I am not a criminal. That I have no background or criminal background. I am just trying to get to my family. Isn't there someone who is going to believe that story? And who is going to hear me?

"And there is that moment where ... I know what the attorney is going to say and I have to relate it with that same sort of calm, collected feeling, but I am also watching someone fall apart."

@highlight

140 Haitians have crossed the U.S.-Canada border since the Haiti earthquake

@highlight

Some Haitians are seeking refuge based on a U.S. policy revised post-quake

@highlight

One refugee's attorney says his client is confused and just wants to be with his family