Hong Kong (CNN) -- Japan seems to be seeing some splendid days.

This past week the Nikkei 225 hurdled over the 14,500 mark and near a five-year high, while the yen weakened beyond the 100-yen mark against the dollar and to a four-year low.

If that wasn't enough, Japan's exporters have started to pick up the black pen to report earnings where only red had been used in the past several years -- Sony this week revealed its first full-year net profit in five years.

With investors and exporters feeling the cash surge, the potential for change is at hand but challenges still lie in wait. Analysts warn that parts of Japan Inc. are still very much on the brink.

Japanese tech: 'They dropped the ball'

"The weakening yen is benefiting Japan's technology companies but it's not going to get them back to where they used to be five to ten years ago," says Steve Durose, Senior Director and Head of Asia-Pacific TMT Ratings at Fitch.

"Fundamentally, the reason why Sharp, Sony and Panasonic are speculative grade now ... is basically because of a loss of tech leadership. They missed out on tablets and phones. They dropped the ball on key products. We've yet to see them come up with compelling products."

Teasing apart, Sony's annual earnings statement for the fiscal year that ended March 31, the company finished the year with a profit of $435 million only because it sold assets worth more than $1.9 billion dollars.

"Excluding those, then Sony is making a big loss," says Kelvin Ho, Director of Fitch's Corporate Ratings Group, "so it doesn't mean they will return the cash to shareholders or retire their debt at an accelerated pace -- but that they intend to invest in strategically important businesses."

Those businesses may involve bulking up Sony's relatively small imaging business, including cameras and sensors, and its music and movie divisions. Recent cinema hits that helped Sony, include the latest James Bond installment "Skyfall," which pulled in more than $1 billion at the global box office, along with the "Spider-Man" movie trilogy with Tobey Maguire and the "Amazing Spider-Man" reboot in 2012.

The question, however, is will Sony's leadership send funds that foster more growth in such divisions?

"The short answer is 'we'll have to see'. It's too early to say whether the company is going down that path on focusing on a small number of profitable products," says Durose.

"At one stage last year, people were seriously debating whether Sony should stop making TVs. I remain to be convinced if they can make a profit, but in their latest statement they seem to be committed to the television segment and believe they can grow sales and return to profit. And if they can, I congratulate them."

Sony's television division has been a loss maker over the past several years, adds Durose, as has Sony's flagship smartphone, the Xperia Z.

"By all accounts it's a good phone. It's one of the sturdiest phones on the market. But I think I only know two people who use it," he adds.

Of Japan's tech firms, Fitch only ranks Sony, Panasonic and Sharp. All three have speculative ratings with negative outlooks.

Japanese autos: 'They're back to compete'

While the forecast for a resurgence in Japan technology innovation appears in doubt, the prediction for Japan's automobile exports seems more enthusiastic as the yen has weakened.

In Toyota's recent earnings report for the fiscal year ended March 31, the world's biggest automaker reported net income of $9.7 billion -- more than triple its earnings from the year prior.

"Japanese automakers have regained confidence and momentum. In the auto industry, momentum is everything," says Michael Dunne, President of Dunne and Company and author of American Wheels, Chinese Roads. "This isn't a temporary blip. They're back to compete."

Still, adds Dunne, Japan's auto sector faces growth challenges because of regional politics in Asia, global competition and a lack of innovation which a weaker yen cannot help.

Chronic tensions between Japan and China over territorial disputes in the South China Sea have dampened demand for Japanese automobiles in China, the world's largest car market.

"They (Japanese automakers) will sell three million cars there this year but it could be much higher. If they get things right, within five years it could easily get to five million," says Dunne.

"Dealers say a good benchmark is showroom traffic. In China, because of the tension, dealers I know say in October and November of last year that showroom traffic at Japanese dealerships was down by half. It's recovering slowly."

Competition from South Korea and Detroit's Big Three automakers -- General Motors, Ford and Chrysler -- has also been rising. To push back, Dunne says using new-found profits from a weaker yen to move manufacturing plants to cheaper locales overseas is one way to stay competitive -- as long as the pace of expansion is controlled.

"One thing is Toyota began an aggressive schedule to open more production bases overseas but that was the beginning of its problems. To duplicate the quality and fastidiousness of Japanese plants was difficult. They were running to be number one at the expense of quality."

Toyota's well-documented crises of quality from 2009 and 2010 set the company back in consumers' eyes, says Dunne, which has led to challenges from other carmakers.

"The threat from (South Korea's) Hyundai has been well documented. American automakers have boosted quality, innovation and styling too," says Dunne. "For example, the Ford Focus has been a spectacular success. It was the best-selling model in 2012 but Toyota's Corolla had perennially been the best-selling car over the ten years before that."

But Dunne adds Toyota is slowly regaining customer trust after a series of recalls.

In December 2012, Toyota agreed to pay $1.1 billion to settle a class-action suit by car owners who claimed they suffered economic losses because of unintended acceleration in its cars. That same month, the company also agreed to pay a record $17.4 million to the U.S. National Highway Traffic Safety Administration for problems that led to a 2012 recall in one of its Lexus models.

As for direction at the world's largest automaker, Dunne says he has heard good things about the leadership style of Toyota's president and CEO that aims to foster innovation.

"I hear Akio Toyoda enters a room with an entourage of extremely bright engineers and colleagues but he also says 'don't get too burrowed in' and 'let's open our eyes and see what we can do differently'. It seems there's an awakening among the Japanese."

@highlight

Weaker Japanese yen boosting equities, exporter profits, investor sentiment

@highlight

Sony reported first annual profit in five years; Toyota reported $9.7B annual profit

@highlight

Fitch: Japan tech will not benefit enough from weaker yen for return to competitiveness

@highlight

Analyst: Japan auto sector challenged by China politics, S. Korea, U.S. competition