LONDON, England (CNN) -- An $80 million research project aimed at giving people 50 active years after the age of 50 was launched by scientists at the University of Leeds in northern England Tuesday.

The challenge is to ensure old people stay as fit as Brisbane centenarian Ruth Frith, seen competing at shot put during World Masters Games in Sydney this month.

About half of the babies born in Western countries today will live until they are 100 years old, according to recent research published in the medical journal The Lancet, so the challenge is to ensure they remain active throughout their old age.

While most of us will live longer than our parents and grandparents, the aging population means that in coming decades more people will suffer from age-related conditions such as osteoarthritis, heart disease and chronic back pain. Obesity and increased physical activity also put more pressure on our joints, causing them to wear out faster.

Scientists at Leeds University envisage that many of the body parts that flounder with age could be upgraded using own-grown tissues and more durable implants. This will mean artificial hips, knees and heart valves, for example, lasting far longer than the current 20-year typical lifespan.

"Our work is driven by the concept of 50 more years after 50 -- that is, making our second 50 years of life as healthy, comfortable and active as our first, so we can enjoy a higher quality of life," explains Professor John Fisher, who is an expert in artificial joints and tissue regeneration.

"We now have the technology available to do astonishing things, such as repairing the body by growing healthy new tissue through biological scaffolds and stem cell therapy. And a new generation of prosthetic hip and knee joints that last longer will avoid the need for further replacements."

Fisher says the center also hopes to gain a better understanding of degenerative diseases to allow for early diagnosis, rather than having to treat someone when they are already in crippling pain.

"For example, we're developing biosensor tools that can detect the presence of antibodies and proteins in the blood. All of these technologies will ultimately reduce suffering in patients through more timely interventions, shorter hospital stays and quicker recovery times."

So how do you feel about this. Are you looking forward to your old age? Do you believe you will remain active? Click here to send us your comments and we will try to use as many as possible in tonight's show.

@highlight

$80M research project launched aimed at giving people 50 active years after 50

@highlight

Half of babies born in Western countries today will live until 100 years old

@highlight

Leeds University projects aims to ensure people remain active into old age

@highlight

Scientists believe many body parts that flounder with age could be upgraded