(CNN) -- Massive global greenhouse gas pollution is changing the chemistry of the world's oceans so much that scientists now predict it could severely damage shellfish populations and the nations that depend on the harvests if significant action isn't taken.

A new study from the Woods Hole Oceanographic Institution in Massachusetts shows that ocean acidification is becoming a very serious problem. The study was published in July online in the journal Fish and Fisheries.

"What the study found was that in the next 10 to 50 years many countries are going to see impacts, particularly countries that are heavily reliant on clams and oysters and mussels, and will not be able to adapt by shifting to other foods or aquaculture methods," said Jackie Savitz, senior scientist and chief strategist for the international ocean conservation and advocacy organization Oceana.

Ocean acidification, or the changing chemical make-up of seawater, has occurred since the industrial revolution as ocean waters absorbed too much carbon dioxide. Carbon dioxide is a by-product of human industrial activities, mainly the burning of fossil fuels.

The Woods Hole study found that many marine animals like mollusks and corals that build hard shells and skeletons are most at risk from this.

Those countries directly impacted are mostly poor and developing nations that are heavily dependent on shellfish as main sources for protein, like Senegal, Madagascar and Haiti. But the research also suggests damage caused by ocean acidification could ripple across economies around the world. It's already blamed for economic losses at oyster farms in the Pacific Northwest and the slowing of coral growth in Australia's Great Barrier Reef, according to Oceana.

"The truth is, if you look at all the effects of ocean acidification, nobody really gets off the hook," Savitz told CNN Radio. "Impacts on coral reefs, for example, that can affect tourism, that can affect fisheries because fish depend on coral reefs. And when you look at those impacts, what you find is, in many cases, it's the developed countries, like the United States, the U.K. and other European countries that will be impacted."

Even though this current study by Woods Hole found that ocean acidification is likely to have the worst impact on poor and developing nations first, it's a problem with widespread impact.

"If you look at Somalia, where industrial fishing has fished out Somalian waters and the local fishermen can't get food anymore, what do they do?" Savitz said. "They turn to piracy. Who does that affect? That affects anybody with a ship that's going through those waters. They've taken a lot of different ships hostage. So, ultimately, food insecurity can become a national security issue."

Savitz also said, "If all these countries are going to have food insecurities because their clams or oysters are no longer available or because their fisheries are no longer available as a result of climate change, that could put pressure on other countries and it can affect all of us."

Savitz and her organization Oceana are urging more support for a clean energy sector, something the Obama administration has been pushing and trying to develop for several years, and an end to taxpayer subsidies for fossil fuel industries.

CNN's Ninette Sosa and Barbara Hall contributed to this report.

@highlight

Woods Hole research says poor nations would suffer first

@highlight

But damage would ripple worldwide, study says

@highlight

First effects could be seen in 10 to 50 years, scientist says

@highlight

Acidification comes from carbon dioxide