(CNN)MERS-CoV, short for Middle East Respiratory Syndrome coronavirus, first surfaced in Saudi Arabia in spring 2012.

As of June 8, more than 1,000 cases of MERS have been confirmed in 25 countries, according to the World Health Organization. Two of those cases were in the United States. There have been over 400 deaths worldwide.

Here are five things you should know about MERS:

It's a coronavirus

MERS is in the same family of viruses as SARS (severe acute respiratory syndrome -- coronavirus) as well as the common cold. However, unlike SARS, which sickened more than 8,000 people in 2003 and killed 773 worldwide, MERS does not spread easily between humans -- at least not yet.

The virus acts like a cold and attacks the respiratory system, the Centers for Disease Control and Prevention has said. But symptoms, which include fever and a cough, are severe and can lead to pneumonia and kidney failure. Gastrointestinal symptoms such as diarrhea have also been seen, according to the WHO.

The average age of MERS victims is 51, officials say, although the ages range from 2 to 94.

Researchers don't know how MERS spreads

Although all MERS cases have been linked to six countries on the Arabian Peninsula, limited human-to-human transmission has been seen among people in close contact with patients, including health care workers.

Although such transmission appears to be limited, health officials are concerned about MERS because of its virulence -- it can be fatal in up to one-third of cases, Dr. Anne Schuchat, assistant surgeon general for the U.S. Public Health Service and director of the National Center for Immunization and Respiratory Diseases, said Friday.

"The virus has not shown to spread in a sustained way in communities," the CDC says on its website.

The WHO and CDC have not issued any travel warnings related to MERS, although the CDC suggests travelers to the Arabian Peninsula practice "enhanced precautions."

And "you are not considered to be at risk for MERS-CoV infection if you have not had close contact, such as caring for or living with someone who is being evaluated for MERS-CoV infection," according to the CDC website.

Camels appear to be a link in the MERS chain

Camels may be one clue. In a paper published earlier this week, researchers said they had isolated the live MERS virus from two single-humped camels, known as dromedaries. And in February, scientists published a finding that nearly three-quarters of camels in Saudi Arabia tested positive for past MERS exposure.

MERS was also found in a bat in Saudi Arabia, the CDC says.

"The way humans become infected from an animal and/or environmental source is still under investigation," the WHO said last month.

It may have a seasonal pattern

Officials have noted a surge in MERS cases this spring, and a similar increase was also seen last spring, Schuchat said on Friday. But they don't know whether the factors that lead to MERS may have a seasonal pattern, or whether the virus changes to become more easily transmissible.

There are no treatments and no vaccine

As of now, doctors can treat symptoms of MERS, such as fever or breathing difficulties, Schuchat said. However, there is no vaccine and no specific medicine, such as an antiviral drug, that targets MERS.

@highlight

MERS has shown limited human-to-human transmission

@highlight

It's in the same family as SARS and the common cold

@highlight

There is no treatment and no vaccine