(CNN) -- Victoria Montenegro of Argentina considered the military couple who raised her as generous, humanitarian people, taking her into their home as if their own baby because her real parents were killed in a shootout in Buenos Aires in 1976.

She had no reason to believe otherwise -- until the year she turned 24.

That's when a group investigating the atrocities of Argentina's so-called Dirty War from 1976 to 1983 told Montenegro that her real parents were among "the disappeared ones," as the war victims are hauntingly called.

What happened to the thousands of disappeared ones -- mainly leftists -- is an enduring agony of the war's horrors.

Montenegro felt betrayed -- and shocked to realize that the couple who raised her were part of the military regime responsible for her parents' disappearance.

"I was 'appropriated,'" Montenegro said, using the term given to children whose parents were killed or disappeared during the Dirty War and were given to other couples. "It took me several years to assimilate my new identity and find peace about my true background."

Now a 36-year-old mother of three children, Montenegro learned another truth this week: One of eight unidentified bodies found across the border in Uruguay in 2002 was confirmed to be the remains of her father.

Roque Orlando Montenegro, who disappeared at age 20 in 1976 when Victoria was just a few days old, was an apparent victim of the war's barbaric "death flights," a series of military airplane rides in which political prisoners were thrown alive into the sea, forensic investigators said.

His body probably washed ashore on the Uruguayan coast, and someone buried him in a nameless grave.

"I personally feel that there is no word for so many feelings," she told reporters this week, describing her country as "a genocidal state" that threw her father into the ocean.

Today, Victoria Montenegro feels disconnected from her military father -- who died in 2003 -- because he was part of the regime targeting liberals like her real parents.

Her adoptive mother died recently.

Affection for the adoptive couple has dissipated: They had been good parents who raised her well. She feels no hate or animosity -- just betrayal, she told CNN this week.

She felt "peace" knowing the truth about her father's fate.

But now she wonders about what happened to her mother.

The group investigating the war's legacy, Abuelas de Plaza de Mayo (May Square Grandmothers), which determined her father's fate through DNA testing, is now continuing to help Montenegro about the mystery of her mother -- as well as thousands of others who were taken away from their politically persecuted parents as children.

Guillermo Wulff, a spokesman with Abuelas, said that for Montenegro, learning the truth about her parents wasn't easy.

"It took a long time for her to accept it; but when she did, she was then ready for the next step, which was finding out how her parents died," Wulff said.

The Argentinian Forensic Anthropology Team (EAAF by its Spanish acronym) announced this week that forensic and DNA tests prove that human remains found in a Uruguayan cemetery are those of Roque Orlando Montenegro, known as "Toti."

Said Victoria Montenegro: "It is a miracle that the EEAF, with a drop of my blood, has succeeded in identifying the remains of my father that were in Uruguay since May '76."

Luis Fondevrider, president of EAAF, said that identifying the remains of Montenegro was a process that started 10 years ago in Colonia, Uruguay, across the Rio de La Plata from Buenos Aires.

"In 2002 we exhumed eight unidentified bodies from the cemetery in Colonia. At that time, we had no hypothesis as to how the bodies ended up there," said Fondevrider.

EAAF took DNA and forensic samples from the bodies. In 2007, the independent organization started taking blood and DNA samples from people in Argentina with missing relatives. Victoria Montenegro was one of 8,500 people who left samples over the following four years. Finally, a match was made this year.

But how did the body of a man kidnapped in Buenos Aires end up in a different country? Fondevrider believes Montenegro was killed during the so-called "death flights." Montenegro's body probably washed ashore on the Uruguayan coast. A nameless tombstone was placed over his grave in Colonia.

For Victoria Montenegro, seeking the truth about her origins has been a slow and painful process, but she says knowing what truly happened has given her some closure.

"Recovering my true identity was paramount," Montenegro said. "Having a true identity is a human right. Recovering the remains of my father has been important not only to understand how he died, but also to bring some justice to Argentina and the victims of the regime."

Montenegro said her rendezvous with her past is only halfway done.

She has no knowledge or clues about what happened to her mother.

Now with a son who, at 20, is as old as her father was when he disappeared, Montenegro said she hopes the episode shines a little more light on a dark past.

"As painful as it may be, we need to find the truth about our history," she said. "By exhuming and identifying our loved ones after all these years, we give them back their dignity."

@highlight

Victoria Montenegro, 36, learned of her real father just 12 years ago

@highlight

She learned this week that a body found in a Uruguayan cemetery was his

@highlight

She also learned that her adoptive parents were part of the military regime

@highlight

Roque Orlando Montenegro was 20 when he was a victim of the 1976-83 "Dirty War"