(CNN) -- There are few people who can say their job saved them, but former gang member Rafael Jimenez says he's one of them.

"If I wasn't working here I'd be on the streets looking for problems or, even worse, selling drugs," Jimenez told CNN en Español.

"Working here saved my life," said Jimenez, dressed in his blue uniform and cooking cap.

The 44-year-old works as a baker at Homeboy Bakery, part of Homeboy Industries in East Los Angeles, the largest gang rehabilitation program in the country. The program was founded in 1992 by Father Greg Boyle, who has counseled and mentored thousands of gang members.

This month marks Jimenez's one-year anniversary of getting off of drugs and out of the 4th Street Flats gang in East L.A. The youngest of six siblings, he says he joined the gang at age 11 and spent the next 30 years selling drugs, in and out of jail and gang banging. It wasn't until he started thinking about what his son's future would look like that he decided to leave the gang life.

"I knew if I kept going at it, I would be dead or in jail. I can't believe I wasted all that time," Jimenez said. "And, now I'm baking pastries with rivals that I would've never spoken to just last year."

Homeboy Industries' program has been so successful that other gang rehabilitation programs around the country are now looking to them as a model. Boyle hopes to soon launch National Homeboy Network, a yearly conference that would connect programs around the world to share best practices and explore what works for different communities.

"About 46 programs, in different degrees of progress, have come to us for technical assistance, or we have gone to them to help them set up," Boyle told CNN. "And that's when I thought, what if we were to start a network to help even more people?"

Known as the "gang capital" of the nation, Los Angeles has more than 450 active gangs with a combined membership of 45,000 people, according to the LAPD.

Few organizations have lasted as long as Homeboy Industries, said Nane Alejandrez, director of Santa Cruz Barrios Unidos, a nonprofit organization helping former prisoners and gang members integrate back into society. Over the years, Alejandrez has partnered and worked closely with Homeboy Industries and Boyle.

Alejandrez returned from the Vietnam War to find his neighborhood facing its own street war. He founded Barrios Unidos in 1977 to help struggling youth reclaim and restore their lives by providing them with life-enhancing alternatives.

"When you meet someone like Father Greg, a man of the church, you're able to sit one on one with him and share that pain with him, it makes you see that we all make mistakes and we can change," Alejandrez sabid.

According to the study from the University of California Los Angeles, six out of 10 gang members who go to Homeboy Industries are able to integrate back into society successfully and stay away from violence and gang-related activity.

"Homeboys Industries has been so helpful and supportive," said Jimenez. "If you want to change, this is the place to start."

Ex-gang member Mario Lundes, weary of being in and out of jail, decided to make a positive change and seek out a regular job. But extensive tattoo removal from his forehead, cheeks and neck -- a service Homeboy Industries offers -- would be a vital part of the process.

"I have so many tattoos on my face and hands, I can see why people don't want to give me a chance," Lundes said in an interview with CNN en Español. "Looking like this, they'll think I'm going to steal their money or things like that."

Homeboy Industries has helped thousands of high-risk youths with a variety of free programs: mental health counseling, GED classes, job training and legal services. The program's motto: "Nothing stops a bullet like a job."

Boyle says one of the key components of Homeboy Industries is compassion.

"What if we were to invest in gang members, rather than just seek to incarcerate our way out of this problem?" Boyle wrote in his book, "Tattoos on the Heart: the Power of Boundless Compassion."

Besides Homeboy Bakery, other small businesses that serve as a transitional employers for those ready to leave the gang life include Homegirl Café & Catering, Homeboy Silkscreen & Embroidery, and the Homeboy Cafe & Bakery in the American Airlines terminal at Los Angeles International Airport.

Gang membership in L.A. is still going up, said civil rights attorney and gang prevention expert Connie Rice, but many gang members also want out, and Boyle's connection to the Catholic Church has made an impact among Latinos.

"Latino gangs are very different from African-American gangs in that if you are allowed to leave it's only if you are going to go with God," she said. "The influence of the Catholic Church in the Latino culture is so powerful."

Fabián Debora, who started out as a baker at Homeboy Bakery after leaving an East L.A. gang, is now lead substance-abuse counselor for Homeboy Industries. He said most gang members "really want to have a life that is better and more stable, but they just don't know how to get out of the gang life."

"But when a person has a reason to wake up in the morning and come to work .... they're already on a path for change," said Debora, who went through the program six years ago.

Debora, who's also a painter, has been commissioned to do his first solo mural -- at Dolores Mission Elementary School in Los Angeles.

He spoke of his turbulent past without any hesitation.

"I had to go through two suicide attempts and rehab before I rediscovered my higher power, my God, to believe that I do belong in this world," Debora said to CNN.

Debora says it's hopelessness and a broken spirit that leads a person to join a gang.

"When you're poor and have nothing, and see how gang life is full of girls, money -- and you're surrounded by others who you can relate to, with their fathers and mothers in jail or on drugs, the gang life can be tempting."

There are times when Jimenez runs into former "homies," and while they exchange pleasantries, he does everything he can to avoid contact because he's worried it might set him back. So, now he lives far away from his old neighborhood with his older sister.

"It feels good coming back from a long day at work and just staying home," Jimenez said, "And, when I'm not at the bakery, I'm playing with my son, memorizing recipes, studying for my GED, reading, and I even go to my sister's church on Sundays. Things are better."

@highlight

Homeboy Industries helps gang members get off the streets

@highlight

Father Greg Boyle, the founder, has counseled thousands of gang members

@highlight

Program provides jobs for people who want to turn their lives around

@highlight

Homeboy Industries also provides services such as tattoo removal