Modern contraceptives have radically changed women's lives, but they are not risk free.

A new study out of the journal of Obstetrics and Gynecology finds the levonorgestrel-releasing intrauterine system (LNG-IUS) or progesterone-releasing IUD, may be associated with a higher than expected incidence of breast cancer.

This form of IUD was originally developed as a contraceptive, but later was also used as a treatment for women who suffer from heavy periods (menorrhagia) as well as endometriosis and chronic pelvic pain.

Levonorgestrel is a synthetic progesterone, which is a hormone that's naturally produced in a woman's body. It regulates ovulation. The hormone causes changes to the uterine lining and mucus in the cervix which makes it harder for sperm to reach the uterus, therefore making it more difficult to conceive. Because it strengthens the uterine lining, it helps cut down on heavy bleeding.

Levonorgestrel is also the hormone used in the Plan B contraceptive, better known as the morning after pill.

In this study, Finnish researchers from the Department of Obstetrics and Gynecology at the Hyvinkää Hospital in Hyvinkää, Finland, wanted to examine the association between premenopausal use of the LNG-IUS and cancer rates, especially when it came to endometrial adenocarcinoma (cancer of the uterine wall).

The study followed more than 93,000 Finnish women between the ages of 30 and 49.  All of the subjects were using the hormone-releasing IUD to treat their heavy periods from 1994 to 2007. At that time, up to 60% of all LNG-IUSs sold in Finland were used for heavy periods and not for contraception.

Investigators found that over time, the device did not significantly raise the risk of uterine cancer or ovarian, pancreatic and lung cancers. But researchers did see a spike in the number of breast cancer cases, especially in women between the ages of 45-49, compared to women in the general population who were not using this particular IUD.

"The number of diagnosed new breast cancer cases among Finnish women who used LNG-IUS for menorrhagia was 19% higher than in Finnish general population," said Dr. Tuuli Soini, the lead author of the study.

However, the research does not say that this type of IUD causes breast cancer. Soini also adds "one limitation of our study was that women suffering from heavy menstruation may in fact represent a selected group of women who may have other risk factors for cancer, such as factors related to lifestyle, genetic factors, just to name a few."

According to Soini, this study is the first linking premenopausal LNG-IUS use and breast cancer.

Two earlier studies did not reveal an increased cancer risk, according to the study.

For physicians, this research is a new piece of information they can pass on to those patients.

"It's a great reminder that we need to weigh the benefits of some of these methods against the risks," said Dr. Angela Marshall, director of Comprehensive Women's Health in Silver Spring, Maryland. "We need to educate our patients, because many of these therapies may work, but some could have serious side effects. Women need to be told. Then it's up to the patient, along with a doctor's guidance, to make the decision."

The study authors agree.

"LNG-IUS use seemed to protect against endometrial cancer, which is a common cancer type steadily increasing in the population," said Soini. "We are still convinced LNG-IUS is the best treatment modality for heavy menstrual bleeding, a common health problem affecting the quality of life of a large proportion of female population overall. We certainly hesitate to recommend any change of the clinical menorrhagia management guidelines."

Soini also stressed, "However, health benefits and health risks should be carefully taken into account while counseling menorrhagia patients, in relation to any hormonal or surgical therapy."

@highlight

Study of Finnish women using progesterone-releasing IUD found higher instance of breast cancer

@highlight

The women were using the IUD to help with their heavy periods

@highlight

Two earlier studies did not show such a risk