(CNN) -- There's an old saying that a lie can go halfway around the world while the truth is putting its boots on -- and in politics, a steady drumbeat of misinformation and mischaracterization can too often shape the national debate.

So we wanted to set up a regular online column to confront fear-mongering with the facts, whether it comes from the right or the left during the 2012 campaign. Working with the CNN research team, we'll investigate candidate claims and call bull when necessary. At a time when partisan spin can disproportionately dominate our democracy, this is an attempt to be an independent voice and an honest broker.

Tuesday night's CNN national security debate offered plenty of red meat along with principled policy disagreement. But one candidate in particular kept playing fast and loose with the facts: Michele Bachmann. It's part of her usual schtick: playing politics by talk radio rules, where impact is far more important than accuracy.

Here's one of my favorite Bachmann howlers from last night:

"This is one thing we know about Barack Obama. He has essentially handed over our interrogation of terrorists to the ACLU. He's outsourced it to them. Our CIA has no ability to have any form of interrogation for terrorists."

Sounds scary -- and what I love about this particular riff is that it hits so many paranoid-style themes all in one place.

There is the image of President Obama as the naÃ¯ve professor, an out-of-touch egghead compromising national security by bringing in card-carrying members of the ACLU to interrogate terrorists. Not only that, he's "outsourced" the effort, taking jobs away from our fighting men and women. Finally, there's the bedrock proof point that makes the rhetoric sound real: Our CIA now has no ability to interrogate terrorists.

Somewhere, Jack Bauer must be weeping. But what are the facts?

The CNN research team has fact-checked such claims from Bachmann before and found that "The controversial CIA 'black site' prison program, where the suspect of the USS Cole bombing and others were interrogated immediately after arrest, has been dismantled. ... However, the CIA is still interrogating terror suspects in the field in certain cases. For example, CNN reported in July that CIA operatives have secretly traveled to Mogadishu, Somalia, to help interrogate terrorism suspects about terror operations in East Africa and Yemen. ... In a separate incident earlier this year, CNN reported that Ahmed Abdulkadir Warsame, a Somali whom the U.S. indicted for providing material support to al Qaeda linked groups, was interrogated for weeks by U.S. authorities on a Navy amphibious assault ship before he was transferred to FBI custody and brought to the United States to make an appearance in federal court this past July."

In other words, Bachmann's claims aren't true. They have more to do with fear-mongering than facts. And of course, her characterization of the Obama administration as pursuing a "doctrine of appeasement" flies in the face of Osama bin Laden's corpse and a massive escalation of drone strikes that have killed numerous high-level al Qaeda operatives based on actionable intelligence.

This riff is echoed by repeated accusations from presumptive front-runner Mitt Romney that Obama "apologizes for America." Again, it's a popular narrative that plays off liberal stereotypes from the late 1960s, but it's not rooted in the reality of this administration.

The subject of energy independence also inspired Bachmann to reach for a bridge too far. Here's what she said last night: "Energy independence is something that President Obama certainly has avoided. ... Almost every decision that the president has made since he came in has been one to put the United States in a position of unilateral disarmament, including the most recent decision he made to cancel the Keystone Pipeline."

Here, Bachmann reflexively reaches for the rhetoric of cold war weakness -- "unilateral disarmament" -- saying that he has "certainly avoided" any effort at "energy independence." But as the failed half-billion-dollar Solyndra investment shows, the administration, for better or worse, has put a lot of capital into creating "green jobs" as a way of decreasing our dependence on foreign oil while building a 21st-century energy industry. Beneath all the play-to-the-base rhetoric is this core claim: that Obama made a decision to cancel the Keystone Pipeline. Not quite.

Instead, the administration made a play to its own base by delaying any decision on the Keystone pipeline until after the election 2013, pending further review. This made environmental protesters happy, giving them at least a short-term win. But both the pro and con claims over the pipeline in terms of job creation and environmental impact have probably been overstated. And the CNN truth squad had no problem calling Bachmann's Keystone claims "misleading."

I couldn't help but notice a Politico report that Bachmann received an overheated nod of support (but not an endorsement) from Glenn Beck on his radio show this week. The Pied Piper of the paranoid style said that of all the candidates in the 2012 GOP field, Bachmann "truly comes the closest to embodying the spirit of Lincoln or Washington."

I can't think of any qualities that those two American icons share with the congresswoman from Minnesota, but I know there's at least one clear contrast: George Washington never told a lie.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Michele Bachmann distorted the truth at CNN debate

@highlight

He says she wrongly said the CIA's interrogations had been outsourced to ACLU

@highlight

Her claims that Obama avoid energy independence and killed pipeline are wrong, he says

@highlight

Avlon: Bachmann plays politics by "talk show rules," aiming for impact, not accuracy