Washington (CNN) -- In the wake of the Arab Spring protests across the Middle East and North Africa, President Barack Obama will pledge U.S. economic assistance to Egypt and Tunisia on Thursday in a speech highlighting his administration's revised policies toward the changing region.

The highly anticipated address at the State Department will touch on all the Middle East-North Africa flash points -- the Israeli-Palestinian peace process, Libya, Syria, Iran and the recent killing of al Qaeda leader Osama bin Laden -- with a focus on Obama's plan for how the United States can help the region develop through political and economic reforms, according to administration officials.

New bin Laden audio tape released

Obama "will be laying out a vision tomorrow for the region of what it can be long-term and its role in the world, and as part of that, we'll be announcing a series of initiatives to support that long-term vision," a senior administration official said Wednesday. He was one of three senior administration officials who briefed reporters on condition of not being identified by name.

Want to reach Arabs Mr. President? Try this

The speech comes nearly two years after a 2009 address in Cairo, the Egyptian capital, by Obama that called for "a new beginning" between the United States and the Muslim world.

Now many in the Middle East and North Africa consider the Cairo speech a collection of lofty ideals that lacked sufficient follow-through, and they want Obama to signal substantive and concrete policies that support the aspirations of the region's people.

Marwan Muasher, a former Jordanian foreign minister and longtime advocate of Arab reform, said the Middle East is a new environment now, where young men and women are laying their lives on the line for democracy throughout the region. They need to be told their cause is just and how the United States will support them.

"If this is going to be another Cairo speech, forget it," said Muasher, now at the Carnegie Endowment for International Peace. "It was great two years ago, and even then the feedback was mixed because people wanted to see what he would do. If he doesn't have much to add this time, people will not be fooled by it."

Obama's do-over on the Middle East

Gigi Ibrahim, a 24-year-old Egyptian activist and blogger, said that Obama's words will have little impact in her country.

"At this point, whatever President Obama will address will really be irrelevant to what the situation is now because we're really building democracy from the bottom up," Ibrahim said, adding that "America is not the model of democracy that we are striving for."

She called U.S. policy on the Middle East "hypocritical" because, she said, the United States "will support a dictatorship if it's aligned with its interests."

That attitude is rife throughout the Middle East and North Africa, noted CNN senior political analyst David Gergen.

With Egypt facing economic crisis, the Libyan conflict at a stalemate, an ongoing harsh crackdown on demonstrators in Syria and the Israeli-Palestinian peace process at a standstill, there is little belief in the region that Obama or the United States can do much to help, Gergen said.

"I think it's going to be very difficult in the near term to generate excitement about his policies in the Middle East," Gergen said.

What's next for the Arab Spring

In an effort to start changing such perceptions, the Obama administration on Wednesday imposed tough sanctions against Syrian President Bashar al-Assad and six other senior Syrian officials in an effort to stop the regime's fierce crackdown on anti-government protests.

The sanctions also target two top Iranian officials whose unit was a "conduit for Iranian material support" to Syrian intelligence, according to a copy of the executive order issued by the White House.

According to the senior administration officials, Thursday's speech will focus on the opportunity for the United States to help people in the Middle East-North Africa region gain a say in their future governance through the changes they have launched.

Obama will emphasize U.S. principles such as freedom of assembly, the right to self-determination and respect for human rights while promoting economic development as a significant contributor to helping people of the region realize their aspirations, the officials said.

"It's important to note that some of the protests in the region are deeply rooted in a lack of individual opportunity and economic growth, as well as a suppression of political rights," one of the senior administration officials said. "We also know from our study of the past that successful transitions to democracy depend in part on strong foundations for prosperity, and that reinforcing economic growth is an important way of reinforcing a democratic transition."

That means that "one of the most important areas for us to focus on is supporting positive economic growth that again can incentivize and reinforce those countries that are transitioning to democracy," the official continued. "We see this as a critical window of time for the United States to take some concrete action to demonstrate our commitment to their future and to again reinforce their democratic transition with support for a broader base of prosperity," the official added.

In particular, the senior administration officials focused on economic aid for Tunisia and Egypt intended to bolster the democratization and economic development efforts of two countries at the vanguard of political reform.

Will there be aid for Arab Spring nations?

Obama will announce several programs intended to increase U.S. and international investment, create jobs and spur economic growth in the two countries, the officials said. The goal is for Tunisia and Egypt to serve as models for a region undergoing change, so that other countries have incentive to undertake similar reforms, according to the officials.

Specific programs include relieving Egypt of up to $1 billion in debt over the next two to three years so the money can be invested by the Egyptian government in economic development plans, and providing $1 billion in loan guarantees to finance infrastructure development and job creation, the senior administration officials said.

In addition, programs through international banking and funding organizations such as the World Bank, the African Development Bank, the International Monetary Fund and the European Bank for Reconstruction and Development will be worth a few billion dollars, the officials said.

"One of the most important things we can do is empower positive models" in Egypt and Tunisia, one of the officials said. "That will have a positive impact beyond their borders."

The United States also will work with international groups and allies to help Middle East-North African countries modernize and integrate trade policies, according to the senior administration officials. Currently, nations in the region of 400 million people export about the same amount of goods as Switzerland, a country of 8 million people, if oil is removed from the equation, said a White House background document on the speech.

Obama's speech comes in a week when the White House has focused on Middle East issues. He met Tuesday with Jordan's King Abdullah II at the White House and will meet Friday with Israeli Prime Minister Benjamin Netanyahu.

After his talks with King Abdullah, Obama said it was "more vital than ever that both Israelis and Palestinians find a way to get back to the table and begin negotiating a process whereby they can create ... two states that are living side by side in peace and security."

However, former Sen. George Mitchell unexpectedly submitted his resignation as the president's Mideast envoy Friday, and deadly clashes broke out Sunday between pro-Palestinian protesters and Israeli forces.

Ongoing Israeli settlement construction in the West Bank and Palestinian steps toward a unilateral declaration of statehood have driven the two sides further apart since Obama took office. They have also placed new obstacles in the path of the administration's push for a mutually acceptable two-state solution.

Arab Spring not good for Israel?

Additional doubts about the viability of the stalled peace process were raised this month in the wake of a formal reconciliation agreement between the two largest Palestinian factions: President Mahmoud Abbas' party, the West Bank-based Fatah; and the Islamist group Hamas, which rules Gaza.

Both Israel and the United States consider Hamas a terrorist organization and have voiced strong opposition to the inclusion of the group in any unity government, demanding that it first renounce violence, recognize the state of Israel and abide by all previous agreements.

Netanyahu has called on the Palestinian Authority to pull out of the deal, saying it jeopardizes prospects for a peace agreement.

The Obama administration has "made it clear that Hamas must stop its outrageous use of terrorism and must recognize Israel's right to exist," White House Press Secretary Jay Carney said Tuesday. "Any participation in a Palestinian government would require that it abides by those standards in our view."

In other engagement in the region, Obama helped push Egyptian President Hosni Mubarak from office in February and subsequently committed U.S. forces to a NATO air campaign in support of the rebel movement in Libya. The administration has repeatedly called for an end to strongman Moammar Gadhafi's nearly 42-year rule.

The White House has been much less vocal, however, in dealing with allies such as Bahrain, a small Persian Gulf state that is home to the U.S. Navy's Fifth Fleet.

CNN's Elise Labott, Alan Silverleib and Matt Smith contributed to this story.

@highlight

President to outline U.S. policies in wake of the Arab Spring movements

@highlight

Obama will pledge economic development help for Egypt and Tunisia

@highlight

Many in the Middle East-North Africa region are skeptical of what the United States can do