(CNN) -- While Barack Obama's and Mitt Romney's presidential campaigns rage on toward November 6, another campaign has been under way for some time, one that's mostly out of the public's eye.

An investigation by The Associated Press last month revealed that as many as five Republican electors expressed uncertainty whether they would actually vote for Mitt Romney if he carried their state. These electors appear to be unhappy with Romney and continue to show support for his primary rival Rep. Ron Paul.

In the wake of this news, one of the electors abruptly resigned her position. On another front, a Minnesota elector suggested that he may not vote for the Romney-Ryan ticket if the candidates fail to furnish their birth certificates (in an effort to put pressure on all candidates to furnish their birth certificates).

These potentially rogue electors would effectively disenfranchise hundreds of thousands, if not millions, of voters. The 2012 election will probably be very close. Consequently, in the worst of scenarios, a "faithless" vote might not only disenfranchise voters but alter the outcome of the race. While unlikely, this begs the question: Why do presidential electors still have independence in our current presidential selection process?

After examining those who make up the institution, I find one thing increasingly clear: We need to take the guesswork out of the Electoral College.

In 2004, I published a study aimed at shedding light on the mysterious figures who serve as presidential electors. In the hotly contested 2000 election, many electors were subjected to vigilant lobbying campaigns. Some received thousands of e-mails; at least one received a death threat.

A group called Citizens for a True Democracy, founded by two college seniors, published the contact information of 172 Republican electors online and asked people to urge them to put "patriotism before partisanship" and give their electoral votes to Al Gore. The group noted that it would have lobbied Democratic electors to give their votes to George W. Bush had he, rather than Gore, won the popular vote but lost the electoral vote.

Remarkably, four of the Republican electors I surveyed expressed unease over Bush's victory and the recounts in Florida. On its face, this would not be cause for great concern. However, the 271 electoral votes amassed by the Bush-Cheney ticket barely pushed them over the 270-vote Electoral College majority needed to win the election.

Consequently, just two Republican defections or abstentions would have denied the ticket of a majority of electoral votes and thrown the contest into the House of Representatives. Bush would still probably have been elected, but the Electoral College would have created yet another round of uncertainty.

Surveying the 2004 and 2008 presidential electors, I found that the 2000 election was not an isolated event. One-third of electors were contacted to change their votes in 2004, and nearly 80% were lobbied to change their votes in 2008. That year, the bulk of lobbying was conducted by "birthers" who saw presidential electors as a last hope to get their voices heard after their legal battles failed.

Currently, a majority of states and the District of Columbia have legal requirements or pledges to ensure that electors vote for their party's ticket. While the overwhelming majority of electors never consider changing their votes, a surprisingly large number do.

In my survey, nearly 10% of electors in 2004 and 11.5% of electors (including 20% of Republicans) in 2008 gave some consideration to voting contrary to expectations. To put this in perspective, this would be akin to all 55 of California's electors considering defection from their party's ticket. Such a prospect is quite unnerving.

Indeed, faithless electors are not fanciful creatures from mythology: Nine of the past 16 presidential elections have witnessed faithless votes (including two of the past three). Although none changed the outcome of an election, each faithless vote effectively disenfranchised hundreds of thousands of voters.

Electors are chosen primarily for their party loyalty, not for their judgment regarding candidates. Whatever one thinks of the Electoral College, Americans have come to expect that electors will faithfully translate the popular vote into the electoral vote. Elector independence simply adds another layer of uncertainty to a process that already has a great deal of cynicism attached to it.

Attempts to curtail faithless votes reflect a very real concern lawmakers and party officials have about the prospect of faithless voting. Ronald Reagan, for example, sent letters to each of the 538 Republican electors shortly before the 1980 election. If candidates are worried about such mischief, citizens should be concerned as well.

Efforts to prevent elector faithlessness, like the Uniform Faithful Presidential Electors Act, would provide greater assurance in the presidential selection process, a process where many citizens already have great concerns.

Too often, laws proscribing faithless voting take place in states after the act has been committed. States should move to adopt the Uniform Faithful Presidential Electors Act sooner rather than later. Doing so would remove the needless uncertainty created by potentially faithless electors and restore some confidence in the Electoral College process.

The opinions expressed in this commentary are solely those of Robert M. Alexander.

@highlight

Rogue electors can disenfranchise millions of voters, Robert M. Alexander says

@highlight

Many electors are subjected to vigilant lobbying campaigns to change their votes, he says

@highlight

We need to take the guesswork out of the Electoral College, Alexander says

@highlight

States should move to adopt the Uniform Faithful Presidential Electors Act, he says