Nanjing, China (CNN) -- Limited investment options in China means real estate has been a popular choice for consumers looking to expand their portfolios.

This, in turn, has helped push China's housing prices through the roof but many argue that it's unstoppable, unstable, overpriced and in some cases, even corrupt.

Those hoping to buy should expect to pay a hefty price. In the final months of 2013, home prices in major cities were running about 10% higher than the previous year.

To cool the housing market, the Chinese government has initiated a campaign to build 36 million affordable homes by 2015.

I traveled to Nanjing recently on a program organized by London-based think tank, Institute for Strategic Dialogue, to find out whether this policy has room to succeed.

The city was the scene of an unusual protest in September last year. A Chinese man walked into a housing exposition with six crabs tied to a string, each one bearing a sticker.

It wasn't done for laughs.

The Nanjing resident was voicing his anger at developers whom he called "crawling crabs." Pictures shared online on Weibo, China's equivalent of Twitter, showed the writing on the stickers -- each one read "high housing prices" and "high land prices."

This wasn't a protest you would normally associate with China but it's a complaint that is gaining more and more traction in Nanjing and one I heard many times during this trip to the capital of Jiangsu province in eastern China.

Demand for homes

Driving through this city of eight million people, I found it hard to believe that housing is an issue here. On every street there is a protected wall of construction -- and that's at street level. Look up and towering above is skyscraper after skyscraper.

Despite the speed of urbanization, there are not enough homes for everyone. It's easy to understand why: Workers are leaving the suburbs and rural areas to seek a new life in the bright lights of the city. As a consequence, demand has pushed house prices to rise as high as the expanding skyline.

According to China's National Statistics Bureau, prices for homes in the largest cities have seen an even steeper rise. In December, home prices in Beijing, Shanghai and Shenzhen increased by 16% to 20% over the previous year. In Nanjing, prices have increased by 15.6%.

Some economists say runaway growth in this sector is the biggest threat to China's economic stability.

Many, like the crab protester, "have lost their faith or their trust of the government in controlling the real estate price," Shen Zhushi, a senior partner at Zhejiang Oversees Investment said.

To boost the supply to middle-income families, and in many ways calm discontent over lack of affordable property in cities like Beijing, the government has implemented measures it argues will help to curb house prices.

Among the measures: Higher stamp duties and restrictions on the number of homes individuals can own. Beijing also promised penalties for local governments that do not curb prices, saying officials "will be held accountable" in the event of failure.

During my visit, I saw little sign of a cooling market. Those I met felt it was practically impossible to buy a house in the city.

I talked with a small group of the four million recent graduates who are struggling to get on the property ladder. Out of the ten I met, only one has been able to buy a home.

Another, who wants me to call him Liang, tells me he desperately wants to buy. But for an average worker, it will take five to ten years of savings for a deposit. For a farmer, perhaps even 20 years, Liang added.

To help correct the imbalance between supply and demand and ease the burden on the big cities and more importantly the financial burden on its people, the Chinese government finished building four million units of affordable housing by the end of September, according to the Ministry of Housing and Urban-Rural Development.

Visiting an affordable housing complex

In Nanjing, since 2002 more than 90 affordable housing projects have been allocated. And on the ground, it's full power ahead with construction.

Yong Xu, the chief engineer of the Nanjing Affordable Housing Construction Group, told me the municipal government of Nanjing has built 9.66 million square meters of new affordable homes.

I traveled some 45 minutes from the city center to see one of the projects for myself.

From far away, the government's commitment looks good. A closer inspection gave me a somewhat different view.

The place I visited is called Maigaoqiao venture park project in the Qixia district. High rise buildings practically touch shoulders -- it's a clinical, even soulless environment. The only bit of color seems to pop from the nurseries surrounding it; their faÃ§ade still being painted during my visit.

I took an elevator to the fourth floor to see one of the apartments.

As I entered, a flat-screen TV blasted a Chinese war movie, and adorning one of the shelves was a tiny statue of Chairman Mao. The owner, identified as Mr. Feng, told me he received compensation for moving out of his home in the city center. Despite his forced move, and with officials listening to his every word, he told me he's happy here. He doesn't even flinch when he's asked by another journalist whether his hour-long commute to work is worth the relocation.

Back outside in the communal area, I bumped into a retired worker called Mao and his grandson. Mao told me through a translator that he's been living here for a month because the house where he lived in the center of Nanjing was torn down to make way for commercial buildings. In return, he was given an apartment, some cash and was told where he would be living.

No one asked him where he wished to reside. Despite the picture officials want to portray here of community and generosity, there was definitely a feeling of abandonment and isolation. Not surprising really, there are few buses here, it takes an hour to get to the city center and just the same to get to a hospital.

Risk of corruption

The campaign to build 36 million affordable homes by 2015 is seen as a centerpiece of Beijing's strategy to cool its red-hot property market.

But from my visit and interactions it seems to have been quite a long way from being a success. Not only has it, and other measures, failed to stem rising property prices -- some have linked the scheme to corruption, with many arguing that only those with connections can obtain affordable homes at a fair price.

In January last year, it was reported in China that Zhai Zhenfeng, the director of a municipal housing bureau in the city of Zhengzhou was detained and accused of illegally owning some 29 properties, 11 of which were affordable houses owned by his daughter.

This is just one case. China's National Audit Office says it has discovered local governments mismanaging around $465 million set aside for these buildings last year.

I put a question about corruption to Nanjing's Party Secretary Yang Weize.

"Would you agree your policy in curbing property prices has not succeeded and that instead become a hotbed for corruption?" I asked.

The party secretary admitted they face many challenges.

"I do not deny that the real estate industry has corruption especially where there's an imbalance between supply and demand. But I do not think corruption is the root cause of high house prices," Yang said.

Instead, he looked at the infancy of China's real estate market.

"Its uniqueness is that our market only began 30 years ago, when we started reforms. That means that it hasn't matured enough," he said.

Beijing-based economist Xu Gao from Everbright Securities told me the government urgently needed to implement stronger property control measures.

One of the challenges is at a local level -- some district authorities have been accused of auctioning off land, and in many cases resisting or circumventing Beijing's efforts to cool down the market.

By selling land at such a high price, the government risks facing a higher cost of living, construction and labor, and that, Xu argued, will undermine competitiveness, leading to a property bubble.

Zhou Yinggang, director for the Center for Hospitality and Research at the Chinese University of Hong Kong also pointed to this controlled supply.

"Land supply is strictly controlled by government and land cost is an important driving force of house bubble," he said.

The central government can argue that it's doing its part to control high inflation, skyrocketing prices and is in the midst of a nationwide clamp down on corruption. It can even proudly state that it's being socially just in providing affordable homes for many.

Right now that will do little to soothe the concerns faced by the Nanjing crab protester and many others like him whose home ownership dream remains a far-off fantasy.

Related story: China's crazy property bubble

@highlight

Increased demand for housing has made prices in Nanjing, China shoot through the roof

@highlight

Beijing needs to do more to cool down the market, analysts say

@highlight

CNN reporter visits affordable housing precinct in Nanjing