(CNN) -- If the United States Department of Justice has any real interest in obtaining justice in the tragic shooting of 18-year-old Michael Brown, Attorney General Eric Holder's announcement of a new civil rights investigation in Ferguson, Missouri, (population 21,000) was a step in the wrong direction.

The department's ham-handed effort to improve the political "optics" of active federal involvement may, ironically, create the reasonable doubt that will ultimately clear the shooter, Officer Darren Wilson.

The Department of Justice is likely to be impeding justice by proceeding prematurely with a federal investigation while local law enforcement authorities struggle with the facts of the complex and controversial case.

The DOJ investigations (there now appear to be two that have been officially announced) are highly prejudicial to the local prosecutor's presentation of the case to the grand jury. The non-sequestered grand jurors who return home every night after scrutinizing evidence in the case are almost certain to hear of the existence of the new federal investigation.

After all, the investigation was personally announced by the attorney general himself after the President publicly commented on the case. The grand jurors might reasonably wonder why the federal government would open a civil rights investigation at the very same time they are hearing evidence about Ferguson's most famous homicide.

Some might reasonably wonder: Is it possible that police Officer Darren Wilson was motivated by race hatred when he shot and killed Michael Brown? Why would the feds be investigating if that were not the case?

Although grand jurors are instructed to avoid press coverage of the matters they are investigating, such an instruction is obviously difficult to enforce with the tsunami of demonstrations, press coverage and presidential pronouncements rolling through St. Louis County.

The Department of Justice should not add to the potential of improperly influencing a sitting grand jury by stirring up additional pretrial publicity as Holder did last week.

Notwithstanding the street conviction of Officer Darren Wilson by the "Hands Up, Don't Shoot" demonstrators and their allies in the press who appear to march in politically correct lockstep, a sworn grand jury is still evaluating evidence in the case. The federal government should not be playing to the press and the crowd while this sensitive homicide investigation proceeds.

There is plenty of time to commence a federal civil rights investigation and lawsuit when the facts of this case have been sorted out by the citizens who have pledged to evaluate the case in a fair and impartial manner.

By all accounts, the grand jury presentation is occurring as grand jury presentations normally do in matters of this kind. I see no evidence that there has been any delay or improprieties in the current local grand jury proceedings that would justify immediate federal intervention.

The folly of Holder dispatching FBI agents to re-interview witnesses, many already interviewed by local law enforcement authorities, is apparent to any experienced criminal lawyer. Multiple witness statements (and in this case TV appearances) create a wealth of material for criminal defense attorneys to add to their cross-examination arsenal.

Eyewitness testimony is often problematic in the best of cases. When even truthful witnesses make multiple statements about observations of a fast-moving event, there are often inconsistencies.

Experienced prosecutors attempt to keep a tight rein on the statements of their key witnesses to avoid inconsistencies being used by defense attorneys to create reasonable doubt. The DOJ has blundered even further by conducting its own independent autopsy.

In a case where forensic evidence relating to powder burns, angle of entry of the fatal bullets and other matters is of critical importance, the Department of Justice helps to build reasonable doubt by ensuring three separate autopsy reports will be available for defense attorneys to scrutinize for contradictions and the creation of reasonable doubt. Conflicting accounts of expert medical witnesses can be devastating to a prosecutor's case.

It is also highly unusual that the Department of Justice would seek to devote its enormous resources to the investigation of a tiny 50-person police force in charge of a city with a population of less than 21,000. There have been small-town investigations in the past, but they often occur in highly unusual situations, such as the lawsuit brought against Colorado City, Arizona, a municipality alleged to be virtually owned and operated by Warren Jeffs, the leader of the polygamist cult FDLS who is serving a life sentence for sexually abusing children in his congregation. Such investigations are virtually never done while an active, sensitive homicide case is under local grand jury investigation.

I would imagine there are far greater problems in places like Chicago, Philadelphia, Camden, New Orleans, Houston, Dallas, Cincinnati, Birmingham, Tallahassee and probably 100 other large American cities that should be commanding the attention of the Department of Justice rather than Ferguson. And if the pattern and practices of small-town Ferguson require the scrutiny of the Department of Justice, surely this can be done after the local authorities finish handling the most important matter facing the town, the Michael Brown shooting.

If the evidence supports an indictment, the officer deserves to be indicted and brought to justice. On the other hand, if Wilson was under apparent attack and fired the fatal shots under the authority granted to police officers by Missouri law, he deserves to be cleared.

Either way, the decision should be made on the basis of the evidence rather than political meddling by the Department of Justice. While it is encouraging to see the administration finally has a "strategy" in place regarding the nation's most highly publicized legal case, it might be better if it was one aimed at accomplishing justice rather than undermining it.

@highlight

Paul Callan: Justice Department made a mistake with its new investigation of Ferguson police

@highlight

Callan: He says the probe is politically inspired and risks prejudicing the Michael Brown case

@highlight

Prosecutors and grand jury seeking to decide if criminal charges are warranted, he says

@highlight

Callan: Now is not the time to announce that Ferguson police are under federal investigation