(CNN)Barack Obama is convening a landmark White House Summit on Countering Violent Extremism with key international leaders in an attempt to develop an urgently needed plan to tackle terrorism and radicalization across the world.

The importance of the summit was brought into sharp focus, yet again, with the terror attacks in Copenhagen over the weekend. While the facts of the case are still being pieced together, Danish intelligence agencies are "operating under a theory" that the attacker may have been inspired by the horrific events in Paris last month.

Nearly a decade and a half after the 9/11 attacks, there remains a key flaw in the ongoing U.S.-led "War on Terror:" Washington's response has been hyper-militarized, dominated by counter-terrorism and security, while other soft power instruments like public diplomacy have been under-invested in.

To be sure, even this badly unbalanced strategy has secured some key successes, including the unseating of the Taliban regime in Afghanistan. But an overwhelming emphasis on hard power has fueled significant controversy and alienated many across the world.

Obama recognizes this much more so than his predecessor George W. Bush, but the fact remains that American policy is still viewed internationally as overly military and security-focused. Since Obama assumed office, there has been a huge increase in drone attacks and this is controversial both domestically and overseas.

U.S. Secretary of State John Kerry highlighted the need for a paradigm shift in the campaign on terrorism only last month, calling for a "shift in gears onto a path that will demand more from us ... politically, economically, and socially ... a truly comprehensive and long-term strategy to destroy [terrorism's] very roots."

Kerry's argument is that while military power can degrade terrorist groups like ISIS, it can't defeat or destroy the ideology behind it. For that, a much wider, holistic effort is needed. And with the 70th anniversary of the end of the Second World War approaching, Kerry compared this forthcoming challenge with what Washington and its international allies faced in tackling fascism in that previous generation.

One of the most glaring gaps that now badly needs to be addressed is need for a turbo-charged soft-power effort to win hearts and minds around the world. As Obama has said, this must include an "alternative narrative" for a disaffected generation, especially in Muslim-majority countries.

Obama summit aims to battle extremists, Islamic and otherwise

In numerous key countries such as Turkey, Jordan and Pakistan, polls show that positive opinions toward the United States have fallen off a cliff in the last decade and a half. Just 10%, 12%, and 14% of the populations in these three countries, respectively, have a positive image of America, according to the latest Pew Global Research.

This is key because the anti-terrorism contest is, in essence, one whose outcome is related to a battle between moderates and extremists within Islamic civilizations. And unless this fundamental is better recognized and addressed, with soft power dialled up significantly, the U.S.-led international strategy will continue to face serious setbacks, if not outright failure.

In the context of the campaign against terrorism, soft power represents the capacity of Washington and its allies to persuade others (both states and individuals) without brute force -- in other words, the ability to attract others by legitimacy of policies and the values that underpin them.

The roadmap for what is needed is relatively clear. Seizing the moment requires the United States and international partners to give much higher priority to non-military, civilian instruments of national power such as public diplomacy, strategic communications, foreign aid and development assistance, and exchange programs.

At Wednesday's summit, Obama will rightly note that this is an expensive, demanding and complex generational project that the U.S. and its allies cannot achieve alone -- which is why multiple international leaders from other arenas like the private sector, NGOs and faith communities will also be in attendance.

While Kerry last month drew an analogy with the Second World War, it is the Cold War that perhaps provides an even better comparison with what is now needed in the campaign against terrorism. Just like the Cold War, which was ultimately won by a strategy of U.S.-led international containment and cultural vigor, the challenges posed by the campaign against terrorism need a much smarter balance between hard and soft power, with resources to match.

Numerous U.S. officials, including former Bush and Obama defense secretary Robert Gates, have highlighted the gross mismatch between the current budgets of the Pentagon and other U.S. international programs. Today, for instance, Washington spends about 500 times more on its military than it does collectively on the international broadcasting and exchanges that proved so successful during the Cold War.

Of course a comprehensive international plan to tackle violent extremism will inevitably have a military and counter-terrorism component. But soft power needs to become a much bigger part of the overall mix, as even Gates, the former Pentagon chief, advocates.

America and its international partners must urgently address this Achilles heel in the campaign against terrorism. While a limited window of opportunity exists to get this agenda kick-started before Obama's term of office ends, a sustained commitment will be required for many years beyond his presidency.

@highlight

14 years after 9/11 attacks, there remains a key flaw in the U.S.-led 'war on terror'

@highlight

Response hyper-militarized, neglecting soft power tools like public diplomacy

@highlight

Washington and allies will only win war with legitimacy of policies and values