Washington (CNN) -- German Chancellor Angela Merkel joined U.S. President Barack Obama on Tuesday in saying Libyan leader Moammar Gadhafi must step down, expressing support for the NATO military mission even though her country abstained from the U.N. Security Council vote that authorized it.

At a joint news conference at the White House, Merkel said Germany's participation in NATO operations shows its support for the Libya mission. She also noted that Germany has increased resources to the U.S.-led mission in Afghanistan to free other countries to contribute to the Libya mission.

"It is our joint will that this NATO mission is successful," Merkel said of the Libya operation, adding that what happens in North Africa affects Europe. "Those are our immediate neighbors, and we have a choice. Either this works out well, or we have an enormous refugee problem. and so it's not only out of charity ... there's not only a moral obligation, but we have also a vested interest in seeing to it that this continent, this region comes on its feet."

Obama and Merkel also said they oppose unilateral actions by players in the Middle East peace process, including a push for a U.N. General Assembly vote on an independent Palestinian state. And Obama warned of possible new sanctions against Iran if an upcoming International Atomic Energy Agency report cites continued non-compliance involving the nation's nuclear energy program.

Both played down any major differences in how they think their countries and the international community should deal with continuing economic challenges.

On the United States, Obama said he isn't concerned about a possible double-dip recession, but added he is concerned that the nation's economic recovery is not creating jobs more quickly. Merkel diplomatically said she has confidence that the United States will deal with its economic issues.

The news conference included some minor unscripted moments, such as Merkel stumbling as the pair walked to the microphones and later shutting off her cell phone when it rang while Obama was speaking.

The two leaders were meeting for the 10th time as part of Merkel's official visit to Washington that included a state dinner Tuesday night where she received the Presidential Medal of Freedom, the nation's highest civilian honor.

In his toast to Merkel at the start of the dinner, Obama presented her with the medal and noted she was a young girl in what became East Germany when the Berlin Wall went up in 1961. Merkel lived to see the wall come down, and went on to become the first woman to serve as German chancellor, the president noted.

"Tonight we honor Angela Merkel ... for what she achieved when she gained her freedom," Obama said.

In her toast, Merkel thanked the American people and called the award "a testimony of the excellent Germany-U.S. partnership." Noting it has been almost 10 years since the September 11, 2001, terrorist attacks, Merkel said both countries knew that "living in freedom and defending freedom are two sides of the same coin."

"Sometimes this may seem like an endless fight," Merkel said, then added that her personal experience was different, showing that "what we dare dream today may become reality."

Keeping with the preferred theme of the evening, musician James Taylor told reporters when arriving for the dinner that he was asked to perform Carole King's "You've Got a Friend" as part of his set.

Earlier, Obama and Merkel emphasized the cooperative and vital relationship between their countries, with Obama paying special tribute to the German chancellor.

In addition to their 10 meetings, he told reporters, the two communicate regularly by phone and video conference.

"There's hardly any global issue where we don't consult one another," Obama said, adding, "I trust her."

Merkel received an official welcome to the White House on Tuesday morning in a ceremony marked by pomp and circumstance, a major honor for an ally who at times has differed on key issues from her American counterparts.

During their talks, the two leaders discussed a range of economic and security topics, including the turmoil in the Middle East and the shaky global economy.

At the news conference afterward, Obama said the situation in Europe -- where Greece and some other countries face mounting debt crises that threaten to drag down the global economy -- involves "tough" politics.

"You recall how difficult it was for us to make investments in our own auto industry or to make sure that we didn't have a financial meltdown here," the president said. "Well, imagine if you're having to make those same decisions with 27 other countries with respect to somebody else's economic problems."

He expressed confidence that "Germany's leadership, along with other key actors in Europe, will help us arrive at a path for Greece to return to growth, for this debt to become more manageable. but it's going to require some patience and some time." He pledged full U.S. cooperation, including working through international institutions such as the International Monetary Fund.

"We think it would be disastrous for us to see an uncontrolled spiral and default in Europe, because that could trigger a whole range of other events," Obama said. "And I think Angela shares that same view. and so we're going to have to work through this issue methodically, and we will be supportive in any ways that we can to make sure that all of the best ideas are brought to bear on the problem."

In welcoming Merkel earlier, Obama said the German-U.S. alliance "at its core is a partnership between two peoples."

"The story of Germany and our alliance in the 20th century shows what's possible in the 21st," Obama said. "Wars can end, adversaries can become allies, walls can come down.  At long last, nations can be whole and can be free."

Obama also referenced his unique status as America's first African-American president, as well as Merkel's as Germany's first female chancellor.

"It's obvious that neither of us looks exactly like the leaders who preceded us," he said. "The fact that we can stand here today as president of the United States and chancellor of a united Germany is a testament to the progress and freedom that is possible in our world."

Merkel praised America's role in the Cold War, noting that "when Germany and Europe were divided by the war and barbed wire, America consistently stood on the side of freedom."

"This we shall never forget," she said. "Europe and Germany have no better partner than America."

Washington and Berlin, however, have been at odds in recent months over the NATO-led war in Libya, among other things.  Germany abstained from the U.N. Security Council vote establishing a no-fly zone over the North African country.

In April, Secretary of State Hillary Clinton declared in a speechin Germany that "the world did not wait for another Srebrenica in a place called Benghazi," referring to the site of a Bosnian massacre and the Libyan rebel stronghold that was under siege by forces loyal to Gadhafi.

On the economic front, Germany continues to expand its trade surplus with record exports, causing critics to complain it should boost domestic consumption to ease the imbalance as part of global efforts to quicken recovery from the recession.

Merkel advocates tough austerity measures for European Union colleagues, and recently decided to close all of Germany's nuclear power plants in coming years in the wake of the Japanese earthquake and tsunami that caused reactor meltdowns at the Fukushima Daiichi nuclear plant.

Obama, facing a tough political fight over Republican demands to shrink the government to reduce the federal deficit and national debt, calls for continued investment in education, infrastructure and clean energy while cutting wasteful spending and raising taxes on people with the highest incomes.

His administration proposes a broad energy policy that increases domestic oil production as well as nuclear power while pushing to develop solar and wind energy production to compete in a growing global market.

White House Press Secretary Jay Carney noted Monday that because Merkel is a head of government, rather than a head of state, her trip has been labeled an official visit rather than a state visit.  But Tuesday night's gathering, he stressed, will be a state dinner.

CNN's Alan Silverleib, Tom Cohen, Dan Lothian and Alexander Mooney contributed to this story.

@highlight

NEW: Obama bestows nation's highest civilian honor on Merkel

@highlight

Obama warns of possible new sanctions against Iran

@highlight

"I trust her," Obama says of the visiting German chancellor

@highlight

The two leaders emphasize cooperation rather than policy differences