(CNN) -- A Florida appeals court Wednesday struck down a state law barring gay men and lesbians from adoption on the basis of equal protection under law.

The Florida 3rd District Court of Appeal upheld a trial court ruling that Florida's explicit ban was unconstitutional, noting that the state's adoption law required officials to assess potential adoptive parents in "the best interests of the child."

"By the time of the trial below, the application of the statutory ban was contrary to both the professional judgment of the Department and the legislative directive to assure 'the best interest of the child' in 'every' adoption," wrote Judge Cindy S. Lederman in the 42-page ruling.

Shortly after the unanimous ruling was announced, Gov. Charlie Crist -- who is running for a U.S. Senate seat as an independent -- said the state would "stop enforcing the ban." A supporter of the ban earlier in his career, when he was a Republican, Crist added that he was very pleased with the ruling.

Joe Follick, the spokesman for the Department of Children and Families, said the department has 30 days to decide on an appeal, "but we will make a decision sooner than that."

"We are analyzing the court's opinion and wish to give any decision to appeal a thorough review," he said, adding that their decision would consider "the impact on the family directly involved in this case."

"As of now, this decision does stand as the law in Florida, and we are currently not enforcing the ban," he said. "The primary consideration on whether to appeal is finding the balance between the value of a final ruling from the Florida Supreme Court versus the impact on the Gill family."

The Florida Supreme Court several years ago considered a challenge to the law based on equal protection but sent the case back to the district court to collect more information. The case was later abandoned.

The current case involved a gay man who was a licensed foster parent, allowed under Florida law, who wanted to adopt two boys who had been placed in his care after the Department of Children and Families removed them from their home for neglect.

The Center for Family and Child Enrichment, a private, nonprofit company that provides adoption services through a contract with the state, reported that "the home presented a suitable environment" and that the gay man -- identified as "F.G." in court documents and as Martin Gill by the American Civil Liberties Union, which represented him -- "met all the criteria required to adopt the two boys."

But the center recommended against the adoption because of the Florida law, and the department denied the application.

"The Department acknowledged that it would have approved the application if it had not been for the statute," Lederman wrote.

Gill sued, and the trial court agreed that the ban was unconstitutional. The department appealed the ruling to the district court.

In the ruling, Lederman wrote that gay men and lesbians are the only people barred from adopting in the state law and that the ban could stand up only if "there is a rational basis for the difference in treatment."

Instead, she wrote, the argument against was not that gay men and lesbians were unfit parents.

"Instead, the Department argues that there is a rational basis for the prohibition on homosexual adoption because children will have better role models, and face less discrimination, if they are placed in non-homosexual households, preferably with a husband and wife as the parents," she wrote. "But that is not what the statute does."

The law does not prohibit single people from adopting -- and does not bar gay men and lesbians from fostering children or guardianship, she noted.

"It is difficult to see any rational basis in utilizing homosexual persons as foster parents or guardians on a temporary or permanent basis, while imposing a blanket prohibition on adoption by those same persons," she wrote.

Gill was delighted with the ruling.

"This is just the news that we have been waiting so anxiously for here," he said in an ACLU statement. "This is a giant step toward being able to give our sons the stability and permanency that they are being denied."

@highlight

NEW: Department of Children and Families has 30 days to decide on appeal

@highlight

NEW: Spokesman says department will consider "the impact on the family"

@highlight

Governor says state won't enforce ban

@highlight

Court sees no "rational basis" for ban