(CNN) -- It has been nearly four weeks since Italians went to the polls and the country is still drifting rudderless without a functioning government. This week, political leaders are holding two days of crucial talks with Italy's ceremonial president of the republic, Giorgio Napolitano.

The talks began Wednesday morning and are expected to conclude at 6 p.m. Thursday in Rome.

Italy's February elections were inconclusive, and have created a political gridlock that is hobbling the country's economy.

The nation is currently in its longest recession in 20 years. It's economy -- Europe's third-largest with a government debt the Treasury Ministry puts at $2.6 trillion -- shrank by 0.9 percent in the fourth quarter of 2012, Eurobarometer says.

After the elections failed to produce a government, international ratings agency Fitch downgraded Italy's credit rating from A- to BBB+ and warned of further risks if political uncertainty continues and reforms and austerity measures are stalled by a lack of a functioning government.

Italy's hung parliament met for the first time on Friday, when ministers began the process of electing leaders of the lower house and the Senate. Laura Boldrini, 51, a former journalist and spokeswoman for the U.N. Office of the High Commissioner for Refugees, won a strong majority as the speaker of the lower house. Piero Grasso, 68, an anti-mafia magistrate from Sicily, became the speaker of the Senate.

At a news conference Tuesday, Boldrini and Grasso pledged to push through legislation that would cut salaries and benefits for members of parliament by 30%. Italian lawmakers are among the highest paid in all of Europe, according to a Eurobarometer poll in 2011.

"We are asking for the same kinds of sacrifices to our pay that Italians are suffering through the recession," Boldrini told CNN by telephone.

But Italy is still lacking a functioning prime minister. None of the country's top leading parties currently has enough support to lead the country single-handedly, and none of the leaders have so far showed a willingness to form a grand coalition or support each other's candidates for the prime ministerial role.

Napolitano said at a news conference Tuesday afternoon that during this week's talks he will first attempt to persuade leaders to support Pierluigi Bersani of the center-left Partito Democratico as prime minister.

Bersani fared the best in the February elections by leading a leftist coalition to a small majority in the lower house of parliament. But he was unable to win a majority in the Senate, where it counts. Instead, power in the Senate was divided between Bersani and former Prime Minister Silvio Berlusconi's center-right coalition, anchored by his party, Popolo della Liberta, or People of Freedom.

Bersani and Berlusconi are arch-rivals who have indicated they will not work together. Bersani's platform included judicial reforms that reverse legislation passed when Berlusconi held office, including expanding statutes of limitations on financial crimes and stripping political leaders of immunity.

Berlusconi is currently awaiting a verdict in a trial in which he stands accused of paying an underage prostitute for sex on more than 13 occasions and abusing his office to protect her in an unrelated crime. The verdict is expected to come in early April. Last year, Berlusconi was convicted of tax fraud. Last month, he was convicted of publishing illegally acquired wiretaps in his brother's newspaper. He is appealing both convictions.

Berlusconi has indicated that he does not agree with Bersani's judicial and criminal reforms and that he would not work with the center-left as long as those items are on the agenda.

The election deadlock has meant that Beppe Grillo, a former comedian and political revolutionary who led his grass-roots Five-Star Movement to third-place in the elections by promising to get rid of Italy's tired politicians and traditional political parties, would be the key to power if he were to support one of the traditional parties. But since the elections, he has refused to work with either Bersani or Berlusconi, resulting in the political gridlock.

He has said no to a political or technocratic government, leaving little room to negotiate.

Grillo, continuing to rebuff Bersani's attempts to work together to form a coalition, Friday called Bersani "dead man talking." But his own party is showing some fractures. A dozen of its members in parliament voted against the party's candidates in the elections last weekend to choose the parliamentary leaders. Grillo, who is not a member of parliament and did not run for office, lambasted his unfaithful party members on his personal blog.

Mario Monti, who led Italy in a technocratic role after Berlusconi resigned under pressure in November 2011, did not win enough support in the February elections to bolster either side, and his austerity platform is not seen as a draw for support.

He has been acting as prime minister since the election produced no winner, but he threatened to walk off the job last weekend during the debate over electing the parliamentary leaders. Saturday, Napolitano asked Monti to stay on in his caretaker role until a government can be formed.

"It is important for Europe, and to exercise whatever initiatives are possible and necessary, especially for the economy and jobs, the government remains under the authoritative leadership of Mario Monti until a new government is formed," Napolitano said in a written statement.

Napolitano's intervention meetings on Wednesday and Thursday will either confirm Bersani as a prime minister or produce a technocratic leader who will guide the country forward to inevitable early elections, likely either in June or next autumn.

To further complicate matters, Napolitano's mandate as president ends on May 15. In accordance with Italy's electoral law, the president cannot dissolve parliament or call new elections with less than six months left in office. That means that either with or without a prime minister, Italy's hung parliament must begin the process of electing a new president to replace Napolitano.

That process will start on April 15 with the nomination of candidates, a step subject to a fair amount of backroom horse-trading. Berlusconi recently said in an interview on his Mediaset television network that he would consider agreeing to Bersani as prime minister if his center-right ally, Gianni Letta, were elected president of the Republic.

Other presidential candidate names mentioned by members of parliament in interviews with the Italian press include Monti and respected Radical Party leader and former European Union Member of Parliament Emma Bonino.

@highlight

Talks led by President Giorgio Napolitano begin Wednesday in an effort to forge a government

@highlight

Napolitano said he will first try to get agreement on Pierluigi Bersani as prime minister

@highlight

Bersani's party holds the lower house, but is vying in the Senate with Silvio Berlusconi's party

@highlight

With no agreement, new parliamentary elections would be scheduled