Two American missionary workers infected with the deadly Ebola virus were given an experimental drug that seems to have saved their lives.

Dr. Kent Brantly was given the medication, ZMapp, shortly after telling his doctors he thought he would die, according to a source familiar with his case. Within an hour, doctors say his symptoms -- labored breathing and a widespread rash -- dramatically improved. Nancy Writebol, another missionary working with Samaritan's Purse, received two doses of the medication and has also shown significant improvement, sources say.

As there is no proven treatment and no vaccine for Ebola, this experimental drug is raising lots of questions.

1. Who makes the drug?

The drug was developed by the biotech firm Mapp Biopharmaceutical Inc., which is based in San Diego. The company was founded in 2003 "to develop novel pharmaceuticals for the prevention and treatment of infectious diseases, focusing on unmet needs in global health and biodefense," according to its website.

Mapp Biopharmaceutical has been working with the National Institutes of Health and the Defense Threat Reduction Agency, an arm of the military responsible for countering weapons of mass destruction, to develop an Ebola treatment for several years.

2. Are there other experimental Ebola drugs out there?

Yes. In March, the NIH awarded a five-year, $28 million grant to establish a collaboration between researchers from 15 institutions who were working to fight Ebola.

"A whole menu of antibodies have been identified as potentially therapeutic, and researchers are eager to figure out which combinations are most effective and why," a news release about the grant said.

Tekmira, a Vancouver-based company that has a $140 million contract with the U.S. Department of Defense to develop an Ebola drug, began Phase 1 trials with its drug in January. But the FDA recently halted the trial, asking for more information.

At least one potential Ebola vaccine has been tested in healthy human volunteers, according to Thomas Geisbert, a leading researcher at the University of Texas Medical Branch. And last week, the NIH announced a safety trial of another Ebola vaccine will start as early as September.

3. How does ZMapp work?

Antibodies are proteins used by the immune system to mark and destroy foreign, or harmful, cells. A monoclonal antibody is similar, except it's engineered in a lab so it will attach to specific parts of a dangerous cell, according to the Mayo Clinic, mimicking your immune system's natural response. Monoclonal antibodies are used to treat many different types of conditions.

Sources told CNN the medicine given to Brantly and Writebol abroad was a three-mouse monoclonal antibody, meaning that mice were exposed to fragments of the Ebola virus and then the antibodies generated within the mice's blood were harvested to create the medicine.

However, the drug can also be produced with proteins made from tobacco plants. ZMapp manufacturer Kentucky BioProcessing in Owensboro has been working with Samaritan's Purse and Emory University Hospital to provide limited quantities of the drug to Emory, according to company spokesman David Howard.

4. Why did American missionary workers get the drug?

Many have asked why these two workers received the experimental drug when so many -- around 1,600 -- others in West Africa also have the virus.

The World Health Organization says it was not involved in the decision to treat Brantly and Writebol. Both patients had to give consent to receive the drug, knowing it had never been tested in humans before.

The process by which the medication was made available to the American patients may have fallen under the U.S. Food and Drug Administration's "compassionate use" regulation, which allows access to investigational drugs outside clinical trials.

5. Did doctors know it would work?

No. The drug had shown promise in primates, but even in those experiments, just eight monkeys received the treatment. In any case, the human immune system can react differently than primates', which is why drugs are required to undergo human clinical trials before being approved by government agencies for widespread use.

The two Americans' cases will be studied further to determine how the drug worked with their immune systems.

6. Will the drug be made available to other Ebola patients?

It's unclear. Rolling out an untested drug during a massive outbreak would be very difficult, Doctors Without Borders said in a statement. Experimental drugs typically not mass-produced, and tracking the success of such a drug if used would require extra medical staff where resources are already scarce.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases, says scientists have to be careful about assuming this drug will work in other patients as it appears to have worked in Brantly.

"Having worked with administering antibodies for people for a really long time, that would be distinctly unusual," he told CNN. "As we all know in medicine ... you have to withhold judgment."

7. Does the company have more vials of the drug?

The company has very few doses ready for patient use, Fauci told CNN.

"(Kentucky BioProcessing) is working closely with Mapp, various government agencies, and other parties to increase production of ZMapp, but this process will take several months," Howard said.

8. Who paid for the drug and how much did it cost?

We don't know. Samaritan's Purse covered the cost of Brantly and Writebol's evacuations but did not pay for the drug, according to a spokesman.

When a patient gets an experimental drug, the drug company can donate the product under compassionate use. Mapp Biopharmaceutical Inc. might have done that in this case.

Health insurance companies typically do not pick up the tab for treatments that have not been approved by the FDA. But they usually would cover the cost of any doctor fees associated with giving the drug and any costs associated with monitoring how the drug is working.

9. Would this drug stop the Ebola epidemic?

If it were widely available, it certainly couldn't hurt. An effective Ebola drug could help doctors treat the deadly virus, which is killing about 60% of the people infected in West Africa. But a vaccine would be a much more effective tool in stopping this, and future, epidemics.

Vaccines are given to healthy people to prevent them from ever becoming infected. One challenge with Ebola, experts say, is that companies don't believe they could make much money from developing a vaccine, so few companies show interest.

@highlight

Ebola drug ZMapp can be produced using tobacco plant proteins

@highlight

Ebola drug given to Americans developed by a company based in San Diego

@highlight

It's unclear whether the drug will be administered to other Ebola patients