Alamogordo, New Mexico (CNN) -- Shortly after her birth, Moesha was taken away from her mother and sent to a laboratory for a life of medical testing.

Like the 265 other chimpanzees at the Coulston Foundation's facility in Alamogordo, New Mexico, Moesha would be poked and prodded in the name of medical research. Moesha was one of the lucky ones: She survived. Others were not so fortunate. Three chimpanzees housed at the Coulston Foundation were literally cooked to death when their enclosures heated to 140 degrees Fahrenheit.

When federal authorities found out about the facility's mistreatment of these animals, it lost its funding and went bankrupt.

That's when a team of animal welfare experts stepped in and changed these chimpanzees' lives forever.

With the help of a $3.7 million grant, the Save the Chimps organization purchased the facility in 2002 and transformed it into the world's largest sanctuary for chimpanzees. It would serve as temporary housing for the chimps until the organization could create a more permanent outdoor sanctuary in Florida.

But first, Moesha and the others -- isolated for most of their lives -- would have to learn how to live as family units. And that process would take nearly a decade of rehabilitation.

Learning to become chimps again

One of the first priorities in rehabilitating the chimps was modifying their cages, known by the Save the Chimps team as "the dungeon." This gray, concrete structure housed 54 chimpanzees, most of them crammed into small, individual cages. The cages where the rest of the chimpanzees were housed weren't much bigger but they shared the space with another animal or two.

"It was six months of cutting doors into six-inch thick concrete walls so that chimps could actually see each other for the first time and meet each other for the first time," said Save the Chimps sanctuary director Jennifer Feuerstein.

Even with the new doors and skylights, the dungeon still had a dark feel to it, and resembled a concrete block of prison cells. Once the buildings were modified, the care of the animals became routine and the team began to slowly create diverse family groups for the chimps.

"The ultimate goal was forming family groups of 20 to 25 chimpanzees," explained Feuerstein, "We did it by introducing one chimpanzee at a time, so we're talking over the past 10 years thousands of thousands of introductions."

Meet one of the oldest chimpanzees in captivity

For Moesha and many of the other chimps, this was a completely new experience. Moesha would rock back and forth and often scream for no apparent reason. She was pale, balding and anxious when Save the Chimps took over the facility. Moesha was immediately introduced to another chimpanzee, Alari, and soon after bonding with her, Moesha was introduced into a chimpanzee family. Her hair has since thickened and her skin darkened from the sunlight that peeked through the bars in her newly improved cage.

Feuerstein said it took a while for the chimpanzees to get used to each other. Some groups took up to a year to form.

"When a family was ready and an island was ready, then we would migrate a group to Florida," she said. "Eleven groups were formed and migrated over a period of six years. We started doing large scale migrations in 2005, 2006."

Chimpanzees as medical test subjects

The United States is one of two remaining countries -- the other being Gabon -- that legally allow chimps and other great apes to be used in invasive biomedical research, according to the Humane Society of the United States. However, other countries still contract the services of research centers that use chimps, according to Dr. Thomas Rowell Director of the New Iberia Research Center in Louisiana.

There are more than 930 chimpanzees at U.S. medical research facilities, most of them used for hepatitis testing, according to a report by the Institute of Medicine issued in December. The report stated that chimpanzees are not necessary for most biomedical research. The institute recognized two possible uses for chimps: one for cancerous tumors that are already part of ongoing investigations, and the other for a hepatitis C vaccine.

A panel of experts advising the National Institutes of Health on how to implement the the Institute of Medicine's report is expected to issue its recommendations by the end of the year.

Read more about the Institute of Medicine report

A bill that would end invasive research on chimps and other great apes has been before Congress since 2008, reintroduced in subsequent years, most recently as the the "Great Ape Protection and Cost Savings Act of 2011." A Senate subcommittee has the bill on its agenda for Tuesday.

Frederick Coulston began using chimpanzees for toxicology tests in the 1940s at Holloman Air Force Base in Alamogordo, New Mexico. Coulston, who died in 2003 at age 89, helped develop hepatitis vaccines and spent years working on a vaccine for AIDS, according to his obituary in the Los Angeles Times. But the use of chimpanzees in his research made him a target of animal welfare advocates.

In 1993, he established the Coulston Foundation in Alamogordo -- considered the largest chimpanzee laboratory in the world -- where he carried out his research on chimps and loaned them out to other laboratories, with the help of government funding. The facility was cited numerous times for violating the Animal Welfare Act and federal funding was withdrawn, forcing it to close in 2002.

That year, Coulston reached out to Save the Chimps founder Dr. Carole Noon, offering to sell the laboratory and donate all 266 chimpanzees to the organization, according to Save the Chimps. Nine years later, the chimps were ready to move from the former laboratory to the outdoor sanctuary in Florida.

Getting ready for the journey

Peanut butter and jelly sandwiches are handed out to Moesha and her family as they get ready for the 2,000-mile cross-country journey.

Moesha is one of the final 10 chimps heading to the sanctuary in Fort Pierce: 150 acres of former orange groves, transformed into islands where the chimpanzees will be permanently retired.

The islands keep the chimpanzees, who are afraid of water, on the property without the need for fencing.

It will be their first time living outdoors.

Before the specially designed trailer carrying the final 10 chimps departs New Mexico, tears fill the eyes of the Save the Chimps staff as they say goodbye.

The chimps are wheeled onto the trailer in small, single cages near the members of their family units.

Each chimpanzee has a window seat.

It is after dark when Alari, the last chimpanzee, is loaded into the trailer. She is placed next to Moesha and across from Taz.

As the staff takes pictures and says their goodbyes, high-pitched hoots and screams can be heard outside the trailer, which the chimpanzees aggressively rock.

This behavior is barely noticed; it is no different from the past 26 times workers have loaded a group of chimpanzees destined for Florida.

But this trip is different and Feuerstein's thoughts are on the Save the Chimps founder, who passed away before the "Great Chimp Migration" could come to a happy end.

"I wish Carole Noon was here. She started it. All this was her project. This was her dream," Feuerstein said.

As the truck pulling the trailer slowly drives out of the gate, a crowd of former and current employees gives a loud cheer. The last of the Coulston chimpanzees is heading for a new life far away from the former research facility.

Back to nature

The 2,000-mile road trip will take a day and a half, because of frequent stops to check on the chimpanzees. They are fed fruits and juice and medicine is administered. Moesha, Alari and Sarah are on birth control pills and Bart, Alari and Brody are given medicine for anxiety.

When the trailer arrives in Fort Pierce, Florida, the chimps are greeted by a cheering crowd of workers and volunteers.

After being reunited with the other nine members of their family that arrived ahead of them, Moesha and her traveling companions are let out onto the island.

It's the first time these chimpanzees have felt grass under their feet and direct sunlight on their skin.

Feuerstein recalls how far Moesha has progressed over the past decade.

"Moesha is amazing," said Feuerstein, with the emotion of a proud mother. "When she first came, she was the most scared, timid chimp."

Showing no fear of her new surroundings, Moesha --- unlike her other family members -- confidently walks across the grass to the middle of the island.

There she sat for a few minutes, taking in her new green surroundings, soaking up the kind of life she never knew existed.

@highlight

Save the Chimps spent nearly a decade rehabilitating chimps from the Coulston Foundation

@highlight

The 266 chimps were used as medical research test subjects until 2002

@highlight

The animal welfare group recently transported the chimps to a sanctuary in Florida

@highlight

It's the first time these chimpanzees have lived outdoors