(CNN) -- Australian troops could begin pulling out of Afghanistan in the coming months, and the majority of them may leave the country by the end of next year, Prime Minister Julia Gillard said Tuesday.

It's the latest announcement of international troop drawdowns in Afghanistan, a trend that signals the coalition's confidence in the country's fighting forces, the transition to Afghan security control, and the war's growing unpopularity in the countries that contribute troops.

Gillard made her remarks Tuesday ahead of a NATO summit meeting in Chicago in May. At the meeting, the leaders of countries with troops in Afghanistan will make key decisions about the future of the international coalition's mission there.

Australia's move would mean that most of the more than 1,500 Australian soldiers in Afghanistan could leave a year earlier than the government had previously suggested.

That timetable puts Australian forces on a quicker withdrawal timetable than Gillard had previously described. In a speech to parliament in November, she said the transition in Uruzgan might well be completed before the end of 2014.

"We continue to see steady gains in the fight against the Afghan insurgency," Gillard said in a speech in Canberra, suggesting that the strategy of international forces in the country had led to "security gains over the past year and a half."

She highlighted the progress made by Afghan troops, notably in the southern province of Uruzgan, where most of the Australian forces are concentrated.

Gillard said she expected the Afghan president, Hamid Karzai, to make an announcement in the coming months about beginning the process of putting Afghan troops in charge of security in Uruzgan and other provinces, a transition that should take 12 to 18 months.

"And when this is complete, Australia's commitment in Afghanistan will look very different to that we have today," she said, adding that "the majority of our troops will have returned home."

Gillard said Australia will maintain a police training role and "provide niche training" to the Afghan National Security Forces after 2014.

"We are prepared to consider a limited Special Forces contribution in the right circumstances and under the right mandate," she said.

"There may be a continuing role to train the ANSF to conduct -- and to work alongside them in carrying out -- counterterrorism operations in Afghanistan."

Australia has been among those nations that have contributed troops, supplies and other resources to the NATO-led military effort in Afghanistan, which began in the weeks after the September 11, 2001, terrorist attacks.

Jeffrey Dressler, senior analyst at Institute for the Study of War, a D.C.-based think tank, said Australia has been a "phenomenal" ally.

Its special forces contingent in Uruzgan has been responsible for numerous high-level kill and capture operations, and the military has trained and mentored Afghan security forces, Dressler said.

"They should be commended for their role," Dressler said.

He noted that it would be "a shame to see regression" in Uruzgan because of what appears to be a "hard and fast move."

Dressler hopes the transition will be phased, careful and "condition-based" to avoid any setbacks.

"It's important they do this in a judicious way. I hope they'll do that. It helps to have the weight of the NATO mandate behind it," he said.

He also said such moves could influence other coalition countries to make similar moves.

Australia's 1,550 troops in Afghanistan are a fraction of the overall number of foreign troops deployed to keep a lid on the country's insurgency more than 10 years after allied airstrikes marked the start of Operation Enduring Freedom.

The number of Australian soldiers killed in the war stands at 32, according to a CNN count.

More than 130,000 troops from 50 countries are currently operating in Afghanistan, according to the International Security and Assistance Force.

The international force has been there since 2001, shortly after the al Qaeda terror attacks on the United States. The campaign was launched to stop the Taliban from providing a safe haven for al Qaeda fighters and to stop the terror group's use of Afghanistan as a base for its future activities.

The United States is the biggest contributor, providing about 90,000 troops, followed by the United Kingdom with 9,500, Germany with 4,800 troops and France with 3,600.

In June 2011, U.S. President Barack Obama announced that U.S. combat operations in Afghanistan would end by 2014. At that time, there were more than 100,000 U.S. troops in the country after a 30,000-strong troop "surge" in December 2009 to help bolster the campaign against the Taliban.

In February, U.S. Defense Secretary Leon Panetta announced that the United States hoped to end its combat mission in Afghanistan in 2013, transitioning primarily to a training role as Afghan forces take more responsibility for security.

France announced in February that it would begin an early drawdown, and its troops would be gone by 2013. Germany plans to pull out some troops next year, with the remainder leaving in 2014.

Britain plans to hand over its security operations to local forces by the end of 2013 before continuing in a "supporting role" from 2014.

Some countries have already pulled out. Canada, which once headed the ISAF mission, removed almost all of its 3,000 soldiers at the end of 2011. Norway also withdrew almost all of its 500 troops during this period.

CNN's Jethro Mullen, Hilary Whiteman and Joe Sterling contributed to this report.

@highlight

NEW: Analyst calls Australia a "phenomenal" ally

@highlight

Australia's prime minister sketches out an expedited troop withdrawal plan

@highlight

The country has been part of the coalition effort in Afghanistan for more than a decade