(CNN) -- In the cut throat world of big-time ocean racing, giant maxis are the undoubted leaders of the pack.

Slicing through the water at 30 knots and more, vast distances can be covered in a few short days.

But that speed comes at the price of severe discomfort for those getting the maximum out of the high tech 100 foot-plus yachts.

"This is a very aggressive world. It's banging, really noisy and with each wave you have the feeling you could break a bone," sailing legend Loick Peyron told CNN's Mainsail.

And 54-year-old Frenchman Peyron should know.

He skippered Banque Populaire V on its record-breaking circumnavigation of the world, a 29,000 miles non-stop journey, completed in just 45 days 13 hours and 42 minutes.

Set in 2012 and landing the coveted Jules Verne Trophy -- Peyron's elder brother Bruno was a twice former holder of award -- the time slashed over two days off the former record and set an incredible average speed of 26.51 knots for the entire trip.

But Peyron also had assistance from 13 other crew members during their helterskelter trip around the world, which earned them personal congratulations from then French president Nicolas Sarkozy.

Taking part in solo efforts at the helm of such imposing yachts requires a different level of intestinal fortitude, fitness and raw courage altogether.

Peyron knew only to well of the dangers when asked at very short notice to replace an injured compatriot, Armel Le Cleac'h, in the most prestigious of all single-handed transatlantic races.

Not only that, the last time Peyron had competed in the Route du Rhum in 2002 he had to abandon when his 69ft trimaran Fujifilm broke up in a "big, big, big storm" in the Bay of Biscay and he was rescued from the wreckage by a ship.

In fact, in six previous attempts dating back 32 years, Peyron's best finish was fifth and he had given up hope of landing one of the only prizes to elude him in his illustrious career.

And then there was his age to consider, given the physical demands.

Admittedly, he's no "spring chicken," so when Ronan Lucas, the boss of the Banque Populaire team, asked him the question, Peyron's first response was an emphatic "Non."

"I was not dreaming any more about doing another transatlantic (race) alone on a boat able to win it," he said.

"That was the end of my dream."

Peyron, who is a key member of the Swedish America's Cup team Artemis, had intended to compete in the Route du Rhum on a "little yellow trimaran" -- content to let Le Cleac'h bid for line honors with the favored Banque Populaire VII.

But all that changed when Le Cleac'h injured his hand two months ahead of the challenge.

Lucas had total faith in the record breaking Peyron to be the perfect substitute, given his vast experience, but there was another factor which left the coveted skipper with so much doubt.

The prospect of the lack of sleep for several days and fear of losing control of the 103-foot trimaran.

"Falling asleep it's really hard," he said.

"A boat like that could capsize in a few seconds, as we all know. The average speed is something like 30 knots or whatever.

"I'm supposed to be able to have a rest, you close your eyes, you keep the main sheet in your hand like that and you pray!"

Lucas implored him to think again about his decision, but it was Peyron's wife Christine who urged him to put aside his fears.

After a night spent at sea alone -- "feeding the two columns, the positive and the negative one" -- his mind was made up. He would make one final attempt to win the Route du Rhum.

Two months of intensive training followed, helped by Le Cleac'h, and on November 2 the 10th edition of the famous event got underway from St. Malo in France, the fleet heading to Guadeloupe.

And as the race transpired, Peyron's fears about being able to handle the boat and conditions proved gloriously unfounded.

He led from the first night and after 3,542 nautical miles, he crossed the finish line in seven days, 15 hours, eight minutes and 32 seconds, comfortably a new race record.

"I never imagined that I would win a Route du Rhum on a boat like this," Peyron said at the finish.

But he admitted that throughout the race he was constantly on edge and his fears over falling asleep and losing control nearly came back to haunt him.

"I was able to sail the boat well but was scared," he told the official Artemis Racing website.

"You have to constantly manage the boat. One night I fell asleep at the helm and nearly capsized the boat."

It was his 49th Atlantic crossing -- 18 of them solo -- accomplished at an average speed of over 22 knots -- and given his doubts, very special.

"This is a great victory; possibly one of the nicest and breaking the record is the cherry on top of the cake," he added.

Peyron, "with brilliant stories to tell," according to Artemis Racing team boss Iain Percy, will now return to his day job of helping the syndicate win the 35th America's Cup in 2017.

The team is based in San Francisco -- preparing for the racing in Bermuda where it will compete with others in the Louis Vuitton Cup, with the winner of that series facing holders Oracle for the biggest prize in yachting.

The team is chock full of former Olympic champions from all classes, plus sailors with previous experience of America's Cups, including Peyron.

He was at the helm with the Swiss challenge Alinghi in 2010 and joined up with Artemis just before the 2013 edition, which ended with defeat to the Italian Luna Rossa Challenge.

With that experience behind it, Artemis will be hoping to up its game in 2017, but the syndicate was hit by tragedy last year when former British Olympic gold medalist Andrew Simpson died while training with the team in San Francisco Bay.

Simpson, 36, drowned after their catamaran capsized, leaving him trapped underneath for over 10 minutes.

He had paired with Percy to win the Star Class at the 2008 Beijing Games and silver on home waters at the London Olympics of 2012.

Simpson, nicknamed "Bart" after the TV character, had a foundation formed in his memory and earlier this year it held its first event.

Peyron was among a number of sailing greats to support Bart's Bash, which saw over 700 sailing clubs from 68 different countries stage their own race over a standard distance to set a new Guinness World Record for mass participation.

Simpson will surely stay in the thoughts of Percy and his Artemis Racing team as it eyes the ultimate prize in the sport.

Peyron had been totally focused on the America's Cup bid before being handed an unexpected opportunity to resume his solo career and he proved he is not a man to let a challenge pass, however daunting.

"When you know that it's part of your life to do this sort of challenge, this crazy challenge, it's normal," he said.

@highlight

Yachting legend Loick Peyron wins Route du Rhum

@highlight

Sets race record on trimaran Banque Populaire VII

@highlight

The 54-year-old was a late replacement for injured Armel Le Cleac'h

@highlight

Peyron is helmsman and on Swedish America's Cup bid Artemis