(CNN) -- One week after leaving, my mom's words still echo in my ears: "Leave Gaza now, please. Don't think about us. I have many things to worry about."

I entered Gaza on November 5 to help an American delegation there until the morning of November 11. My intention was to help the delegation and then have two full days with my family after the delegates left. But with tensions ratcheting up, my family in Gaza was fearful the Rafah crossing with Egypt would be closed and I would be stuck. To leave my extended family in such dangerous circumstances and return to my husband and three children in Canada was heartrending. But now it is worse. To see American-made Israeli fighter jets pounding Gaza just days after my departure is agony.

I lost the argument for an extra two days with my family the moment I said I "planned" to spend those extra days with them. My sister-in-law, Wafa, pounced on the words: "Nothing can be planned here. Gaza is not Canada. Everything is in the Israeli military's hands."

She was right. The Israeli government can undo plans and dreams in an instant.

Looking into my mom's eyes, I felt cowardly to desert them. I hugged her and told her to stay safe. But deep in my heart I knew that there is no safety in Gaza. That was evident on Sunday when the Israeli military bombed the Dalou household and instantly decimated three generations of the family.

Read related: Gaza's victims too young to understand, but not to die

The terrifying power of the Israeli military was already made clear at the beginning of the latest onslaught with the haunting photograph of a young BBC journalist grieving his dead infant. Israel claims to operate with pinpoint accuracy, but consistently kills a high proportion of civilians. In fact, the American delegation spoke to the grief-stricken father and mother of Ahmed Abu Daqqa, a young boy killed on November 8 while playing soccer outside his home. These Americans are important witnesses against the claim that Palestinians bear full culpability for this escalation. In fact, it was our children being killed, not the Israelis children.

As I joined the American delegation for the long trip back to Cairo, I was riven with emotion. Usually, the American delegates would greet me with cheers, claps and smiles. This time there was silence, grim faces, tears and no words. Everyone was waiting to hear from me. "I have been ordered to leave," I said, "and I am frustrated and angry." I burst into tears.

Will I see my family again? I don't know.

War is unpredictable as Israel's Prime Minister Benjamin Netanyahu and Minister of Defense Ehud Barak seem to have forgotten from their safe vantage points. What is unleashed today in the new Middle East is not the same as the wars Israel unleashed in the years since 1948.

The Arab Spring means that the governments and people of the region are in much greater accord. The weak governments that looked the other way as Israel and the United States subjugated Palestinians have been replaced by governments that may yet assert Palestinian rights in ways that are not merely symbolic. West Bank Palestinians are now starting to confront the Israeli military in ways that the weak Palestinian Authority cannot stop as readily as it did four years ago during Operation Cast Lead.

Read related: Rockets pound Israel, Gaza as Netanyahu alleges 'double war crime'

As the situation deteriorates, it is vital to note that this war need not have occurred. A fragile truce had taken hold for 48 hours, notwithstanding Palestinian frustration over two separate incidents in the previous week when Palestinian youth were killed playing soccer.

In the opinion of many Palestinians, Netanyahu planned this aggression. He wanted to be seen by the electorate as the man with the iron fist protecting Israelis in the south of Israel. Palestinians were in his way. Self-inflated analysts talk of "mowing the grass" to rein in Hamas and other groups. But that mowing is terrifying civilians and destroying their neighborhoods.

What do they think will become of the traumatized children who endure such brutal attacks from the sky and sea? They will be no friends of Israel. No, Israel is proving once again that it has no interest in becoming part of the region.

But Israel's actions have been largely the same for 64 years. The one period of brief hope in the 1990s proved fleeting because Israel failed to stop its illegal settlement activity and made clear to Palestinians its intent was not a Palestinian state in the West Bank, Gaza, and East Jerusalem but a series of disconnected cantons.

Barak has pledged continued military action against Gaza and Netanyahu has stated he hopes Hamas and others "got the message." There is no doubt that his message of widespread death and destruction has been widely received by all Palestinians. I doubt, however, that the message will have the intended effect. Instead, the fury of having one's neighborhood battered by F-16s and shells will likely unite Palestinians against an outside power that has besieged Gaza since 2007 and controlled it since 1967.

The inhumane blockade -- with approximately 80% of Palestinians reduced to receiving food aid as Israel counts our calories to allow for anemia and stunting but not outright starvation -- leads me to conclude that bleak days remain our lot.

Yet there is one factor Netanyahu fails to grasp: The spirit and will of Palestinians -- from Rafah to Hebron to Jenin and the Palestinian refugee camps scattered throughout the Middle East -- to achieve our freedom and rights. We will not relinquish our legitimate rights any more than African Americans or black South Africans in the 1950s. We will be bombed and bullied by Israel and the U.S. Congress, but in the end we will still demand our rights.

As long as my family walks the planet, we retain the right to one day walk back to our village of Beit Daras, a scant few miles from Gaza, and to live there with rights equal to our new neighbors. My grandmother, who is enduring this terrible onslaught, has an inalienable right, property deed in hand, to return to the village of her childhood -- as do her children, grandchildren and great-grandchildren.

@highlight

Ghada Ageel's family begged her to leave Gaza as tensions escalated

@highlight

"The Israeli government can undo plans and dreams in an instant," Ageel says

@highlight

To Israeli leaders: "What do they think will become of ... children who endure such brutal attacks?"

@highlight

She believes Netanyahu underestimates Palestinians' will to achieve freedom and rights