The United States and several Arab nations carried out airstrikes against ISIS in Syria early Tuesday, intensifying the campaign against the Islamic militant group.

Tomahawk missiles launched from the sea began the strikes against the Sunni Muslim extremists, followed by bombers and fighters.

Here are answers to key questions about the new phase in the conflict with ISIS:

Which areas were hit?

The bombing has focused on the ISIS stronghold of Raqqa, a city in northern Syria. ISIS has had control of Raqqa for more than a year, imposing its brutal interpretation of Islamic law on the city's residents.

The extremists have made the city, which sits on the banks of the Euphrates River, the de facto capital of their self-declared "Islamic State" that stretches across large areas of Syria and Iraq.

ISIS targets around other Syrian cities -- Deir Ezzor, Al Hasakah and Abu Kamal -- were also hit in the strikes.

What is the Khorasan Group?

What was struck?

The attacks damaged multiple ISIS targets, the U.S. military said, including training compounds, headquarters, storage facilities, supply trucks and armed vehicles.

"Usually the first part of any air campaign are strategic targets -- fixed locations, big buildings, things that you don't need a guy on the ground to laser-designate," said retired Lt. Col. Rick Francona, an Air Force veteran intelligence officer and CNN military analyst.

The Pentagon also said ISIS fighters were hit in the strikes but didn't specify how many.

In Raqqa, a building in the governor's compound, a post office and a recruitment center were among the sites struck, activists reported.

Maps: Arab nations join U.S., expand fight against terror to Syria

Why is Raqqa a focus of the initial strikes?

The city is known as a place where ISIS houses training centers, weapons depots and accommodations for fighters. During the Syrian conflict, the group has also seized military bases from the Syrian regime near the city and in the wider Raqqa province.

The targets hit by the airstrikes are intended to hurt ISIS' ability to command and control, resupply and train, a senior U.S. military official told CNN's Jim Sciutto.

ISIS has made Raqqa the flagship for its model of governance, providing food, fuel and security to people struggling to survive after years of civil war. But it also imposed hardline Islamist law there and metes out harsh punishment to those who don't follow orders. Locals started calling the city Tora Bora last year, saying it felt as if the Taliban of Afghanistan had taken over.

Who is taking part in the airstrikes?

All the foreign partners participating in the strikes with the United States are Arab countries: Saudi Arabia, the United Arab Emirates, Jordan, Bahrain and Qatar.

"It's a remarkable diplomatic achievement," said CNN Political Commentator Peter Beinhart. "I don't think it was expected that there would be this much Arab support."

How long will the attacks go on?

For a while.

The first wave of strikes was expected to last into the early hours of Tuesday morning in Syria, CNN's Sciutto reported.

It is aimed at striking a strong initial blow, a senior U.S. official told CNN. The aerial campaign on ISIS targets in Syria is expected to continue beyond Tuesday.

Counterterrorism expert Philip Mudd said Tuesday's attacks were "just the start."

"This is not a definitive blow," said Mudd, who previously worked for the CIA. "When this gets interesting to me as a former practitioner is six months down the road, when a second-tier ISIS commander starts to create some sort of cell to recruit foreigners from Europe or the United States or Canada into Syria, do we still have the will and capability, and the intelligence, to locate that person, or that group of people, and put lead on the target?"

What happens next?

U.S. military officials will be trying to assess the effectiveness of the first night of bombing.

Some analysts have suggested that ISIS had already started dispersing its assets and fighters after President Barack Obama's warning of action in Syria earlier this month.

The response of ISIS fighters to the initial strikes may give military officials clues on what to target next.

"The follow-up to some of these strikes is -- what are their actions now?" said retired Lt. Gen. Mark Hertling, a CNN military analyst. "There is intelligence that flows from the initial strike," he said.

The Arab governments involved in the strikes could also face discontent among their own people.

"Parts of the population do not agree with Sunni going against Sunni," Hertling said.

The United States is also pushing for a binding resolution at the U.N. General Assembly this week that aims to prevent and track the travel of foreign fighters to Syria.

How has ISIS reacted?

There was no immediate confirmed comment from the militant group on the strikes.

ISIS' official Bayan Radio tweeted a photo that it claimed showed damage to a communications tower in Raqqa. CNN wasn't immediately able to independently verify the image.

The militant group has increased security patrols in Raqqa, an opposition activist told CNN.

ISIS has previously linked the U.S. campaign of airstrikes in Iraq to its decision to execute three of its Western hostages -- two Americans and one Briton. It also recently called for attacks against the United States and its allies.

How have Syrian opposition groups reacted?

Hadi al Bahra, the President of the Syrian Opposition Coalition, welcomed the strikes.

"Tonight, the international community has joined our fight against ISIS in Syria," he said in a statement. "We have called for airstrikes such as those that commenced tonight with a heavy heart and deep concern, as these strikes begin in our own homeland. We insist that utmost care is taken to avoid civilian casualties."

Did the U.S. consult with the Syrian government beforehand?

The regime of President Bashar al-Assad said it was given a heads-up about the attacks through its ambassador to the United Nations in New York.

A senior U.S. State Department official confirmed that the U.S. notified the Syrian regime of the planned action, but the official said that the Obama administration didn't seek the regime's permission or coordinate with it.

Finding the 'right' Syrian rebels

Beinhart said al-Assad's government may end up as "the real winner" from the airstrikes on ISIS, since the moderate U.S.-backed rebels aren't "in a position to take this territory that we are pulverizing from the air."

Did Obama have the authority to begin the attacks?

The White House argues it doesn't need any new authority; that it's using an existing authorization to combat al Qaeda to expand its airstrike campaign.

But some lawmakers say it's Congress' role, not the President's, to declare war.

They say they were open to holding a vote on military action against ISIS -- but not until after the midterm elections in November.

"It was one thing to attack in Iraq, where you had a government that wanted us to," Beinhart said. "But Congress did not vote for U.S. airstrikes in Syria and we don't have a government requesting us to do that."

What are U.S. lawmakers saying?

When the strikes began, Congress had already left town to campaign for the midterm elections, and most of the reaction came from those who had pressed the administration to act sooner. Privately, many of them conceded  they were relieved not to have to take a vote on a controversial issue just weeks before voters went to the polls in November.

@highlight

The strikes focus on Raqqa, the de facto capital of ISIS' self-declared Islamic state

@highlight

Saudi Arabia, Jordan, the UAE, Qatar and Bahrain take part, the U.S. military says

@highlight

"It's a remarkable diplomatic achievement," says a CNN political commentator

@highlight

Pentagon: The sites hit include training compounds, headquarters, storage facilities