WASHINGTON (CNN) -- The Supreme Court, in a 7-2 ruling, upheld Kentucky's use of lethal injection as a means of executing prisoners, ruling that the method -- used in 35 states -- is properly and humanely applied.

The Supreme Court ruled Wednesday that Kentucky's use of lethal injection is not "cruel and unusual."

At issue was whether the most common method of capital punishment can cause excruciating pain for death row inmates, violating the Constitution's ban on "cruel and unusual punishment" and thereby giving inmates a proper challenge in court.

The justices had never directly addressed the fundamental question over the constitutionality of the chemical "cocktail" of drugs used to execute convicted killers. All but one of the states that perform executions use the three-drug mixture.

"Kentucky has adopted a method of execution believed to be the most humane available," Chief Justice John Roberts wrote for the majority. "If administered as intended, that procedure will result in a painless death."

The immediate impact of the ruling is that it will allow states to resume executions, which had been on hold since September while the high court considered this appeal. No executions are scheduled in the next few weeks.

The ruling gives guidance to other states, some of which may have to modify their procedures to fall in line with Kentucky's method and thereby survive judicial scrutiny.

Kentucky inmates Ralph Baze and Clyde Bowling Jr. brought suit in federal court three years ago, questioning that state's three-chemical mixture and the procedures used to administer it.

They claim that the first drug, sodium thiopental, which renders the prisoner unconscious, wears off too quickly and that some prisoners are actually awake and able to feel pain as the procedure continues.

The second drug, pancuronium bromide, paralyzes all muscle movement and then prevents the condemned person from speaking and expressing awareness of pain, according to the suit, and the third drug, potassium chloride, which induces cardiac arrest, is "excruciatingly painful in a conscious person."

"We ... agree that petitioners have not carried their burden of showing that the risk of pain from maladministration of a concededly humane lethal injection protocol, and the failure to adopt untried and untested alternatives, constitute cruel and unusual punishment," Roberts said. His opinion had the support of only two other justices. Three others agreed with the outcome but wrote separate concurring opinions.

Justices Ruth Bader Ginsburg and David Souter dissented. Ginsburg said Kentucky failed to consider "readily available safeguards" to ensure inmates were not subject to pain. She urged the state to revise its procedures, which she suggested might create "an untoward, readily avoidable risk of inflicting severe and unnecessary pain."

Baze, 52, admits killing Powell County Sheriff Steve Bennett and Deputy Arthur Briscoe in 1992 while the lawmen were trying to serve him with arrest warrants.

Bowling was convicted of killing Edward and Tina Earley in Louisville in 1990. Their 2-year-old son was wounded in the attack in the couple's dry cleaning business parking lot. Bowling's lawyers have claimed prosecutorial misconduct and say their client has a low IQ.

State officials have said that their lethal-injection procedures are in line with other states and that a doctor is on site and available to provide any pre-execution medical care to the inmate.

A Texas inmate was put to death the day the high court accepted the Kentucky cases in late September, but since then, the justices have stepped in and imposed a de facto moratorium nationwide.

Only 26 people were executed last year, the lowest total in more than a decade. No executions have taken place this year.

The justices spent nearly six months debating the threshold when execution procedures become unconstitutional. Both sides of this politically charged national debate were hoping for clear guidelines from the Supreme Court to help guide capital inmates and the courts.

Different states and different judges have applied different standards over whether an inmate can make a challenge to the method of execution.

Recent executions in Florida and Ohio were rife with problems, taking much longer than expected when technicians had trouble inserting IVs into the prisoners' veins.

The Supreme Court ruled in 2006 that prisoners could make last-ditch legal challenges to the method of execution, using claims that they would suffer a painful death.

"The question before the court was how much risk of unnecessary pain is too much risk of unnecessary pain under the Constitution," said Edward Lazarus, an appellate attorney and Supreme Court legal analyst. "There is evidence to show that this is somewhat of an inhumane way to approach this, but there's going to be a group of justices who really think we shouldn't be in the business of micro-managing the death penalty, [who say] if state legislatures think that this is OK, that's going to be fine with us."

The case is Baze and Bowling v. Rees (07-5439). E-mail to a friend

@highlight

7-2 ruling, upheld Kentucky's use of lethal injection "cocktail" is constitutional

@highlight

High court said Method -- used in some 35 states -- is not "cruel or unusual"

@highlight

The immediate impact of ruling is that it will allow states to resume executions

@highlight

Recent lethal injection executions in Florida and Ohio had technical problems