Wren Thomas grew up in the middle of the cornfields of central Illinois, longing, he says, to do something important in his life "to make his family proud."  So when a cousin beckoned him to come work on boats off Louisiana, he jumped at the chance.

His goal: to be a ship captain, "the best that I could be."

"It meant strength, accomplishment,' he said when he finally was made a captain in 1991 and traveled the world for various shipping firms. With a wife, eventually three children and boat to lead, Capt. Wren Thomas had achieved his piece of the American dream.

"I wanted to be in charge of my own destiny,'' he recalled during an interview in his attorney's Houston office.

All of that came crashing down on October 23, 2013 when Thomas was piloting his supply boat, the C-Retriever off the coast of Nigeria towards a Chevron-owned oil field.

Over the next six hours, he would huddle with his crew in an incredibly hot, water-sealed tank room as a half-dozen pirates stormed his boat and began their siege looking for their prize: the American captain and his American-born engineer. Thomas reluctantly gave up when the pirates started firing guns through a hole in the room door. He told his engineer they had no choice if the rest of the 13-member crew, still in hiding, was to be spared.

"I told him, 'Look I think it's time we give up. If we don't give up we are either going to die or somebody is going to get killed from ricocheting bullets.'"

Thomas and his engineer were the only ones to be kidnapped by the pirates, driven away in a speed boat and held in Nigerian swamps and jungles for 18 days. The experience was so horrific that even today Thomas is unable to bring himself to reveal all details of his captivity.

"We weren't being punched or kicked or anything like that but just I've told people that I would have rather been punched then went through what I went through," Thomas said. "The mental abuse of it with the guns pointing at you. And knowing how unstable these guys are."

Thomas said there were about 18 Nigerian kidnappers, some chain-smoked marijuana or crack incessantly, constantly waving their weapons and making threats.

Food consisted of instant noodles -- on days the negotiations were going well -- and maybe a bottle of water. And his captors blared their music constantly, fixated on, of all things, country singer Dolly Parton's song, "Coat of Many Colors," and the music of hip hop artist 50 Cent.

"I knew I was going to die. We knew it every day, every night," he said.

Despite the chaos in the jungle, Thomas said the leaders were organized, using satellite phones to negotiate, first demanding a $2 million ransom.  Thomas believes the payoff  was eventually whittled down to several hundred thousand dollars, though CNN cannot confirm who paid the ransom or who received it.

Thomas said one evening he and his engineer were told to get in a small boat with six pirates. They motored for about two hours to reach a village. There, four of the pirates got out and met some other men who handed them backpacks, Thomas told CNN. They returned to the boat and counted the cash stuffed into the bags. After a dispute, Thomas says he and the engineer were taken to the other men and told to lie on the ground until the pirates left. Then they were put in a car and driven off. Later they were transferred to a second car, where a representative from the shipping company was waiting for them. At that point they were finally free, 18 days after being seized at gunpoint.

After a debriefing by his ship managers, then a similar one by the FBI in Lagos, Nigeria, Thomas returned to the United States last November, days after his release. He has been seeing mental health advisers and other medical professionals since.

But his hostage-taking and the negotiations that freed him have raised alarm bells in counterterrorism circles and elsewhere for numerous reasons; not the least is Thomas' claim that the FBI told him the money paid for his freedom may eventually have wound up in the hands of the notorious terror group Boko Haram.

On the hunt for Boko Haram

That is the same group that in April kidnapped nearly 300 Nigerian girls. They're also blamed for laying waste to multiple villages in the northern part of the country, burning them down and killing many people in bomb attacks.

Thomas said during his debriefing in Lagos the FBI indicated that the money paid for his freedom may have been funneled through other groups before making its way to Boko Haram. The FBI would not comment. CNN cannot independently confirm whether Boko Haram received any money from the kidnapping.

Yan St-Pierre, CEO of Modern Security Consulting Group, said his contacts believe Boko Haram, once confined strictly to the northern parts of Nigeria, is benefiting from the increase in piracy along the west coast of Africa. But the group is perhaps not directly carrying out the kidnappings itself.

"So when people are asking, is there a link between Boko Haram and piracy in Nigeria, it's not the one they usually expect it to be,'' said St-Pierre, whose firm was not involved in the Thomas case. "It's one that is not necessarily logistical and operational. It's one that is more subtle. Essentially they will probably provide personnel every now and then, but it's not a fixed structure. So we are talking more (about) providing means to wash the money, to clean it. To make sure the smuggling routes, personnel, sex slaves, drugs, weapons above all else, these pirates need weapons.

"So if Boko Haram provided the weapons in advance for example and said, 'Well we will get a cut of the ransom,' which is standard policy within these groups within the region in general, this would make absolute sense to say, well the ransom money that was paid for the captain ended up at the very least partially into Boko Haram's hands, quite probably as a payment for services delivered."

Major oil companies have an official policy of not paying ransom for personnel or the thefts of fuel and ships on the high seas. And subsidiary companies, like Capt. Thomas' employer Edison Chouest, aren't talking, so it is unclear if they, too, have the same policy.

It is against U.S. law to deal with terrorists but that issue becomes murky when dealing with ransoms for captives because so many middle men are involved, counterterrorism sources said; it is hard to say who is a terrorist and who is just a common criminal.

Piracy off the coast of Nigeria is on the rise, according to one study published by Oceans Beyond Piracy, a project of the One Earth Foundation. By contrast, piracy off Somalia -- on the other side of the African continent -- dropped dramatically in 2013 to only 23 vessels attacked from 237 ships attacked in 2011, the same group reported.  In West Africa, the group estimates there were at least 100 total piracy attacks and characterized them as more violent and frequent.

Thomas, in a series of emails, says he warned his company, Edison Chouset, that security was deteriorating and he feared some of his own Nigerian crew members. His attorney shared two of the emails with CNN.

In one email to his operations coordinator, Thomas, summing up his fear of the security situation, wrote "I am also asking to not to return to Nigeria."

Thomas said company officials told him things would improve but never did. On the day he set out on his fateful trip, Thomas said dock workers announced over two-way radio where the ship was going and what supplies it was carrying. He said those communications left them doomed before they ever got to their destination.

"The pirates (later) told me they knew where we was going ... they knew my cargo, they knew my position, they knew the track I was taking."

CNN made multiple attempts to contact Edison Chouest for comment but the company refused to return multiple calls or an email.

Thomas said two representatives from the company stayed near his wife in their hometown during his ordeal and the FBI was also in contact. But once he was freed, the communications virtually ended.  It wasn't until January that someone from the company offered to assist in his medical care and other financial needs, he said.

Thomas is now consulting with a Houston attorney on his next move as he says he is medically unable to return to his overseas duties as a ship captain.

"Life is hell for me now," Thomas said. "Life will never be the same again. The man that my wife married is not the same anymore....I walk around all day paranoid. I'm sad. I can't sleep. My family is hurt."

Earlier this year, Thomas finally broke his silence, giving an in-depth interview to a shipping newsletter gCaptain.  He is talking now, he says, so others don't face the same fate.

His attorney, Brian Beckcom, represented members of the Maersk Alabama crew that served with Capt. Richard Philips, whose capture by Somali pirates was made into a movie starring Tom Hanks. He said he believes these companies owe crew members, like Thomas, the same level of protection now provided to crews off the Somalian coast.

"Now all the ships in East Africa have armed guards, or most do, and piracy has plummeted in East Africa. West Africa is now the hotspot and there is no question that these companies are making hundreds of millions in (oil) profits should do something more than they're doing to protect the men that work over there," Beckcom said.

How Navy SEALs rescued Capt. Phillips

@highlight

Capt. Wren Thomas was kidnapped from his ship off Nigeria

@highlight

He was held in jungles and swamps while captors demanded ransom

@highlight

During debriefing, FBI said ransom could fund Boko Haram terror group, Thomas says