Hong Kong (CNN) -- To the casual observer, the Chinese Communist Party may seem like a monolithic, united entity.

In recent years, its leadership has ruled collectively, rather than by the hand of a paramount leader, which was a characteristic of the Mao Zedong and Deng Xiaoping eras.

But while the party outwardly stresses harmony and unity, political analysts believe its estimated 80-million-strong members are divided along deep-rooted factional lines with varying perspectives on social, economic, political, military and foreign affairs.

CNN looks at what makes the Chinese party machine tick.

Who are the key factional powers within the party?

The Chinese Communist Party is broadly divided between informal "elitist" and "populist" coalitions, according to China expert and Brookings Institution analyst Cheng Li. Other analysts conceive of the split in different terms, such as between liberal-minded reformist and conservative hard-liner camps.

Li argues the core elitist faction is the "taizidang," or so-called "princelings" -- the offspring of former revolutionary leaders and high-ranking officials. Another elite, albeit fading, faction is the so-called "Shanghai Gang," or followers of Jiang Zemin, who served as mayor of Shanghai before becoming China's supreme leader in 1989.

The populists are dominated by the "tuanpai" -- politicians who cut their teeth in the Chinese Communist Youth League, the party's nation-wide organization for youth aged 14-28 to study and promote communism. The league is also a training ground for party cadres.

But any analysis of these factional allegiances must be treated with caution -- as an educated but speculative discussion at best -- given the lack of official information and the complexities influencing politicians' backgrounds.

"Factional lines are often unclear, shifting or overlapping, conditioned by old alliances, family interconnections, conflicts, rivalries, shifting loyalties and pragmatic tactical considerations," according to CNN's Beijing bureau chief, Jaime FlorCruz.

"In some cases, these affiliations are also conditioned by the members' work patron/protégé experience, i.e. with or under whom they worked and rose to power."

How are these factions oriented?

Broadly speaking, the factions run along socioeconomic and geographic divides.

The elitist coalition tends to represent business interests, including entrepreneurs and the rising middle class of China's affluent coastal regions, according to Li. The princelings typically have prestigious backgrounds as the descendents of former party heroes, tending to have credentials governing affluent provinces along China's eastern coast. For example Bo Xilai, the disgraced politician once tipped for political stardom in China, is the son of Bo Yibo, a former Politburo member who last served as vice-chairman of the Central Advisory Commission during the Deng era.

Some politicians have sought to round out their resumes with credentials across geographic and socioeconomic lines. Bo famously adopted a populist approach invoking Mao nostalgia during his tenure as party secretary of Chongqing, while Xi Jinping -- widely expected to become China's next president -- left a prestigious post in Beijing to work in rural Hebei for three years.

Li says the elitists are currently headed by Wu Bangguo, Chairman and Party Secretary of the National People's Congress (the national legislature) and Jia Qinglin, Chairman and Party Secretary of the Chinese People's Political Consultative Conference (the advisory body of delegates from different political parties and parts of Greater China.) Both are protégés of former president, Jiang.

As the name implies, the populist coalition tends to promote an agenda representing the concerns of the urban and rural poor, including migrants and farmers. The tuanpai core faction typically comes from humble backgrounds and worked their way up the ranks via the Chinese Communist Youth League in Beijing and inland provinces.

Li says the populists are currently led by President Hu Jintao and Premier Wen Jiabao, who have accordingly promoted policies such as eliminating agricultural taxes, developing inland cities and promoting affordable housing.

A further contrast, Li says, is that princelings tend to have a great depth of experience in economic policy, including banking and foreign trade and investment, whereas the tuanpai tend to be more skilled in rural administration.

Hu's heir apparent, Xi, is a princeling, whereas Wen's likely successor, Li Keqiang, represents the tuanpai.

What is the Politburo Standing Committee?

The 18th Congress of the Communist Party will officially unveil the new members of the Politburo Standing Committee, the innermost sanctum and supreme decision-making body of the Communist Party — and by extension the leaders of China's government. Party members typically occupy its highest positions.

Members are typically drawn from those already on the standing committee, as well as the broader Politburo overseeing the Communist Party. The standing committee is a subset of the Politburo. It is also possible that a non-Politburo member could be promoted directly into the standing committee, as in the case of Xi and Li Keqiang during the 17th party congress. Members must also fall within the unofficial retirement age of 68 (i.e. born from 1945 onward), says Li.

Beyond these basic criteria follows what Li calls an "extraordinarily complicated and multi-faceted deal-making process" to narrow the pool to nine members. Speculation is rife that the upcoming committee will be cut to seven members.

While the closed-door process involves complex factional negotiations and power struggles that few in the outside world are privy to, Li says the overriding factor is "patron-client" ties, meaning departing members attempting to prolong their influence and protect their interests by placing their protégés onto the committee. This involves compromise and deal-making behind the scenes.

How will these factions be represented in future?

China watchers widely expect that two of the current standing committee members, Xi and Li Keqiang, will retain their membership.

Their factional inclinations are reflected in their policy priorities, says Li of the Brookings Institution. Xi is focused on the private sector, market liberation in foreign investment, and Shanghai's role as a financial and shipping center. In contrast, Li Keqiang emphasizes affordable housing, basic health care and clean energy.

This equilibrium extends within the upper echelons of the leadership, which is about evenly split between the elitists and populists, according to Li. Most analysts concur that the era of charismatic, paramount leaders ended after Deng Xiaoping, replaced by relatively colorless technocrats who governed through collective leadership.

What does this mean for China's future?

Out of necessity, this balance has led the elitist and populist coalitions to adopt a collaborative approach of collective leadership rather than a zero-sum game mentality, underpinned by shared fundamental goals: "to ensure China's socioeconomic stability as well as the survival of Chinese Communist Party role at home, and to enhance China's status as a major international player," Li said.

The analyst says this collective leadership style is the "defining feature of today's Chinese elite politics."

@highlight

Chinese Communist Party not monolithic, united entity

@highlight

Analysts say party broadly divided between informal "elitist" and "populist" coalitions

@highlight

Upper echelons of Chinese leadership about evenly split between the elitists and populists

@highlight

Party adopts collaborative approach of collective leadership rather than zero-sum game mentality