Washington (CNN) -- The Senate Intelligence Committee will receive a classified document Thursday that seeks to justify the administration's policy of targeting Americans overseas via drone attacks, chairwoman Dianne Feinstein said.

"I am pleased that the president has agreed to provide the Intelligence Committee with access to the OLC (Office of Legal Counsel) opinion regarding the use of lethal force in counterterrorism operations," the California Democrat said in a statement Wednesday.

"It is critical for the committee's oversight function to fully understand the legal basis for all intelligence and counterterrorism operations."

The announcement came shortly after an administration official said President Barack Obama had yielded to demands that he turn over to Congress the classified Justice Department legal advice that seeks to justify the policy.

"Today, as part of the president's ongoing commitment to consult with Congress on national security matters, the president directed the Department of Justice to provide the Congressional intelligence committees access to classified Office of Legal Counsel advice related to the subject of the Department of Justice white paper," an administration official said Wednesday.

The 16-page white paper -- titled "Lawfulness of a Lethal Operation Directed Against a U.S. Citizen who is a Senior Operational Leader of Al Qaida or an Associated Force" -- is a policy paper rather than an official legal document. That policy paper was sent to key congressional committees last year but became public just this week.

The president, the official said, was turning over the legal opinion related to the policy because he believes the scrutiny and debate is healthy.

The Senate Intelligence Committee is expected to receive the document the same day Obama's pick for CIA director, John Brennan, faces a confirmation hearing.

Brennan's hearing Thursday comes amid complaints from senators, including several Democrats, about secrecy surrounding the drone policy.

Amnesty International also weighed in on the debate, saying Congress should grill Brennan on his claim that the Obama administration's drone strikes are "conducted in full compliance with the law."

Iran says it has footage from downed U.S. drone

"Furthermore, Congress should immediately hold public hearings with independent experts to examine the administration's legal reasoning and ensure that the administration is following the 'rule book' for the use of lethal force that already exists: international human rights law and, in the very narrow circumstances to which it applies, international humanitarian law," the group said.

In a 2012 speech at the Woodrow Wilson International Center for Scholars in Washington, Brennan asserted that the drone strikes are legal under the Authorization for Use of Military Force resolution passed by Congress after the 9/11 attacks.

In addition, "There is nothing in international law that bans the use of remotely piloted aircraft for this purpose or that prohibits us from using lethal force against our enemies outside of an active battlefield, at least when the country involved consents or is unable or unwilling to take action against the threat," Brennan said at the time.

This does not appear to be the view of Ben Emmerson, United Nations special rapporteur on counterterrorism and human rights, who announced plans in October to investigate U.S. drone attacks and the extent to which they cause civilian casualties.

Opinion: John Brennan, Obama's counterterrorist

The drone campaign against al Qaeda and its allies has been one of Brennan's biggest legacies in the four years he was the president's principal adviser on terrorism.

According to a count by the public policy group New America Foundation, at least 28 of al Qaeda's leading members have been killed in drone strikes, including the U.S. citizen Anwar al-Awlaki, who played an operational role in al Qaeda in the Arabian Peninsula.

Al-Awlaki's teenage son died in a separate strike.

On Wednesday, the chairman of the House Intelligence Committee said the attack that killed al-Awlaki was justified.

"This is somebody who had said that he didn't want his U.S. citizenship anymore," Rep. Mike Rogers, R-Michigan, told MSNBC's "Andrea Mitchell Reports."

He said al-Awlaki had officially joined al Qaeda, and al Qaeda had declared war on the United States."

"The legal basis of this goes back many, many years when U.S. citizens would go and fight for foreign nations that were engaging in combat with the United States," Rogers said. "So what they were saying is, once you've made that choice, you no longer get the protections that you would. I mean, if you join the enemy overseas, you join the enemy overseas. And we're going to fight the enemy overseas."

In his speech at the Wilson Center, Brennan said drone strikes are "ethical" because of "the unprecedented ability of remotely piloted aircraft to precisely target a military objective while minimizing collateral damage; one could argue that never before has there been a weapon that allows us to distinguish more effectively between an al Qaeda terrorist and innocent civilians."

And Obama himself defended it in an appearance last October on "The Daily Show."

"There are times where there are bad folks somewhere on the other side of the world, and you've got to make a call and it's not optimal," he said. "And sometimes you've got to make some tough calls. But you can do so in a way that's consistent with international law and with American law."

Opinion: Bring drones out of the shadows

@highlight

A Senate committee will get a classified document Thursday

@highlight

The drone program has been shrouded in secrecy and has been criticized by senators

@highlight

Also Thursday, a confirmation hearing will take place for CIA director nominee John Brennan

@highlight

Policy group: 28 senior al Qaeda members have been killed in drone strikes, including a U.S. citizen