Wichita, Kansas (CNN) -- At a table in Caffe Moderne, a coffee bar in downtown Wichita, sat a couple of young Kansans sipping coffee and working away on Macbook Pros. Terms like "content management systems" and "web integration" floated in the air as Clint Brauer taught a local about his business.

Thirteen years ago, Brauer couldn't wait to get out of the Sunflower State. "I just didn't see the opportunities in Kansas," he said. "I grew up in a small town outside of Wichita, went to Kansas State ... and so I moved to the West Coast to get into high tech."

Brauer traveled from the prairie to the Hollywood Hills and spent his 20s living the kind of life he'd fantasized about while growing up in the small town of Haven.   "It was a really exciting time. Life was about work." Brauer worked, made a career in consulting, and became the managing editor of Cyberread, an e-book company.

The coasts have always held a great deal of appeal for techies. Los Angeles and San Francisco, California, and New York and Washington are hubs for the young and cyber-savvy.  100 best places to live  A generation of young workers flocked there at the turn of the millennium, drawn by job opportunities and the fast-paced lifestyle that the big cities provide. But the priorities of a 30-year-old can be dramatically different from those of a 20-something.   "I started realizing that while I loved what I did, I wanted more balance. My goal wasn't to become the CEO of a Fortune 500 company anymore but to have a better quality of life." A change was coming for Brauer, and fortunately the Web would provide.  "I'm OK that I don't have three different Cuban restaurants to choose from," he jokes. "Some folks couldn't deal with it, but I like going out to the country, going out to the lake, and enjoying the open skies."  Not surprisingly, salaries in the heartland's Silicon Prairie are generally lower than California's Silicon Valley or New York's Silicon Alley.   The average salary for software engineers in New York City is $97,370; in California, it's $109,000. In Kansas, the average salary for the job is $85,000, according to federal stats. But if you factor in the Midwest's dramatically lower cost of living, the possible benefits become clear.   "As high technology has become more interwoven with everything in our lives, there are bits and pieces of these industries in virtually every city," said Mark Vitner, an economist with Wells Fargo. "We're getting to the point now that the jobs are spreading out across the country from Silicon Valley and New York."

The next Silicon Valley? It may be New York

Midwestern tech is coming into its own. Jeff Slobotski produces an event called Big Omaha that includes more than 500 of the region's workers from Nebraska, Missouri, Kansas and Iowa. The annual event just took place in May.  "We've got a real healthy and growing community," said Slobotski, innovation director at the AIM Institute -- a nonprofit membership organization for IT leadership.  Recent jobs for developers, coders for backend structures, as well as traditional corporate IT jobs have been filled recently by workers from the coasts, he said.   Slobotski, who runs a blog called "Silicon Prairie News" said high-tech talent and ideas are thriving in the region many coastal residents snidely refer to as "flyover country." Some of the newer companies in Nebraska include Agile Sports/ Hudl in Lincoln, and Hayneedle.com and Rockdex in Omaha.  Biotech and green-tech industries are "still in the discovery stage," he said. "People are talking about how to grow that."  In Silicon Valley, longtime human resources executive Aryae Coopersmith of HR Forums has noticed a change in the past year.   "Now that the economy is waking up a little bit and there's more hiring, our members have shifted from few concerns about retaining employees to new concerns about retaining employees," said Coopersmith. The work-life balance in middle America could be more appealing, and there are benefits to being a bigger fish in a smaller pond.

A lot of the growth is spurred on by people like Brauer, who returned to Kansas with a decade of experience and a phone full of business contacts.  "I'd been sourcing people from all over the world for the last decade, so working for them didn't necessitate being in L.A."   The nature of the new economy and the technological advances of the past ten years meant that he could be based anywhere and work for clients worldwide.   "I remember one day sitting on a tractor at my parents' and needing to be on a conference call -- with clients in India. I turned down the motor, and since I had good cell service, I did it right there."  "Business is going fine, it can be done. It's a little bit more difficult to grow your business but your costs are so low [in Kansas], your personal burn rate is much lower," said Brauer. "I'm at peace out here."

@highlight

High tech workers on U.S. coasts moving to heartland for better lifestyle

@highlight

Recent openings include developers, backend coders, traditional IT positions

@highlight

Salaries can be 25 percent lower in some regions, but so is cost of living

@highlight

Consultant Clint Brauer left California for Kansas: "I'm at peace out here"