In a telephone call Monday between Russia's Defense Minister General Sergei Shoigu and the U.S. Secretary of Defence Chuck Hagel, Shoigu described the activity of U.S. and NATO troops near Russia's border as "unprecedented."

According to the official Russian version of the call, his American counterpart assured him the alliance did not have "provocative or expansionist" intentions -- and that Russia should know this.

But it hardly seems to matter how often NATO makes these assurances. The Kremlin will never trust them. Fear of the Western military alliance's steady march east is deep-rooted. It strikes at the very heart of Russia's national sense of security, a relic of Cold War enmity which has seeped down to post-Soviet generations.

Ilya Saraev is a 15-year-old pupil at the First Moscow cadet school in Moscow. He thinks long and hard when I ask him about NATO. "I think NATO might be a friend to Russia but there's one point I don't understand: Why it needs to approach the border with Russia more and more," he says.

Cadet school is an education in patriotism, like something from a bygone era. Besides the regular classes, there are lessons in ballroom dancing. Teenage cadets proudly leading local beauties through the waltz while outside their classmates rehearse the goosestep.

After the takeover of Crimea, U.S. Secretary of State John Kerry accused Russia of behaving in a 19th century fashion in the 21st century. In some ways it's an epithet that seems to ring true here. The children are immaculately mannered and thoughtful. They write to their fellow cadets in Crimea. They say they feel sad there's this tension between brother nations -- Russia and Ukraine.

"People still don't realize that war means despair and grief," says 16-year-old Vlad Voinakov. "They can't find a compromise because people's interests become involved and that's where the problem lies."

Russia and NATO have never been able to find much of a compromise. Russia's repeated stance is that after German reunification, promises were made that NATO would never expand eastward -- and were promptly broken. NATO says this is simply not true. "No such pledge was made, and no evidence to back up Russia's claims has ever been produced," the alliance wrote in an April fact sheet entitled "Russia's accusations -- setting the record straight."

NATO says it has tried hard to make Russia a "privileged partner." It has worked together with Russia on a range of issues from counter-terrorism and counter-narcotics to submarine rescue and emergency planning. NATO says that fundamentally Russia's anti-NATO rhetoric is an attempt to "divert attention away from its actions" in Ukraine. Now all cooperation is off the table.

"From the Russian side, that NATO-Russian cooperation was just a camouflage," says Vladimir Batyuk of Russian think tank, the Institute of USA and Canada Studies. "After the Cold War Russia tried several times to become a member and the Americans always said, 'it's not going to happen.'" He quotes Lord Ismay, NATO's first Secretary General, on the object of NATO's existence: "To keep the Russians out, the Americans in and the Germans down."

Russian President Vladimir Putin declared at his annual direct call with the Russian people that part of his reasoning for annexing Crimea was to protect Sevastopol, home of Russia's Black Sea fleet, from ever falling into NATO's hands. "If we don't do anything, Ukraine will be drawn into NATO sometime in the future.  We'll be told: "This doesn't concern you," and NATO ships will dock in Sevastopol, the city of Russia's naval glory," he said.

Ukraine's Prime Minister Arseniy Yetsenyuk has said Ukrainian accession to NATO is not a priority. The nation is currently in such a state of disarray that NATO membership seems unimaginable. But a membership action plan was discussed for both Ukraine and Georgia at the Bucharest Summit in 2008. It was put on hold. But Putin does not forget.

"Ever since (former Ukraine President Viktor) Yanukovych fled his country and a pro-Western government took power in his country, of course this is something [Putin] couldn't stop thinking about," says Masha Lipman of the Carnegie Moscow Center. "So for him, to prevent Ukraine from becoming part of the western orbit if not of NATO, was something he absolutely cannot afford."

This is why the rotation of 600 U.S. troops, small as it is, through the Baltic states and Poland for joint-training exercises is such an affront for Russia. This is why it is perhaps not strictly fair to accuse Russia of just engaging in propaganda when it declares its mistrust of NATO.

Batyuk says he feels that the general public's attitude to the alliance has worsened since the end of the Cold War. Then, people were able to dismiss the Kremlin's line towards NATO as Soviet propaganda, he says. Now it's different. "A store of unsuccessful mishaps in relations between Russia and the West after the end of the Cold War has contributed to a rise in suspicions on the Russian side to Western policy in general and NATO in particular."

That's one of the reasons Putin's popularity has soared since the annexation of Crimea. There is a feeling among the general public that, at last, Russia is standing up for its rights in the post-Soviet space where it has sat maligned for decades. Much as the Kremlin likes to nurture that narrative, it is also easy to see why it resonates with the Russian public.

@highlight

In cadet school, Russian pupils have questions for NATO

@highlight

They ask: why do you need to be on our border

@highlight

Putin used strategic military reasoning to annexe Crimea

@highlight

Among general public, there's a feeling that Russia is at last standing up for its rights