Waltham, Massachusetts (CNN) -- Mitt Romney has pledged to repeal President Obama's universal health care law if he is elected president. Critics find his position rather strange, arguing that the plan he helped develop when he was governor of Massachusetts is quite similar in design to the Obama plan. Romney disputes his critics, saying there are important and fundamental differences between the plans. Who is correct?

In actuality, both plans draw extensively from legislation offered by President Nixon in January 1974. In a book just published, "Power, Politics, and Universal Health Care," David Shactman and I explain how Romney and Obama used the same approach as Nixon to lower the number of uninsured.

All three built their system on private, employer-sponsored insurance in which all but the smallest employers had to provide insurance to their workers or pay a penalty. All utilized Medicare to insure the elderly and an expanded Medicaid-type program to insure the poor. All provided subsidies to low-income individuals and small employers. The Romney and Obama plans created state-based private insurance exchanges to make insurance more accessible and affordable to small business and individuals.

President Obama has been heavily criticized by conservatives because his plan includes a mandate for all individuals to have insurance or pay a penalty. Romney, too, has joined those criticizing the president, yet his plan in Massachusetts included just such a mandate. This idea was originally proposed by conservative groups as a measure of personal responsibility and an alternative to a single-payer system advocated by many progressive organizations. Romney believes it is alright to have a state require all to have coverage but that it cannot be mandated by the federal government.

Romney contends the Massachusetts plan required no new funding, whereas the Obama law calls for nearly a trillion dollars in increased taxes and cuts in projected Medicare spending over 10 years.

What Romney doesn't say is that the Massachusetts plan is partly funded with earmarked federal dollars and partly with state funds generated by a tax increase previously enacted to pay for a universal coverage plan that was never implemented. Unfortunately for Obama, there was no larger entity to support his plan. He had to pay for his plan with new federal monies and cuts in future federal spending. Although the federal government will assume a greater proportion of health spending, total health spending in the United States is projected to increase only 2% more by 2019 under the Obama plan than it would have otherwise.

As with the Nixon proposal, neither Romney nor Obama decided to include significant measures to reduce health care costs. Although both were criticized, I believe that was a sound political decision that allowed all the major health groups to support both plans. President Clinton's health plan drew strong opposition from many stakeholders because it included a tight spending budget. Under Obama's plan, hospitals, insurers and drug companies agreed to modest cuts in future revenues or rate increases, because all expected increased revenues from the millions of newly insured Americans. Both Obama and Romney expected that constraining health costs would be necessary in future years.

A complete review of the two plans should acknowledge that the Obama plan includes many components not in the Massachusetts legislation. The most controversial are a board appointed to control Medicare spending and a requirement that insurance companies spend a minimum percentage of their revenues on direct patient care.

The plan also includes a number of provisions to reform Medicare and Medicaid, and an extensive list of new delivery system approaches to be tested with federal pilot and demonstration programs. Important as these components may be, they are not part of the basic framework of the plan.

After comparing the Romney and Obama plans, it is clear that the similarities far outweigh the differences. Romney could argue, however, that Obama didn't use the Massachusetts plan as a model but rather drew on the proposal put forth by Richard Nixon almost 40 years earlier.

Romney's plan worked for Massachusetts, reducing its uninsured rate to the lowest in the country. Although the legislation did not put a brake on rising health care costs, there is some evidence it did reduce its rate of growth compared to other parts of the country. Health insurance premiums have traditionally been higher in Massachusetts than in the rest of the United States. The gap, however, has narrowed somewhat as premium growth between 2006 and 2010 in the United States grew by an average yearly rate of 5.1% while in Massachusetts the average growth was 4.4%.

The opinions expressed in this commentary are solely those of Stuart Altman.

@highlight

Romney promises to repeal Obama health care plan, yet critics find links between two

@highlight

Stuart Altman says both plans had their basis in Richard Nixon's health care plan

@highlight

All three plans built on private, employer sponsored health insurance

@highlight

Romney, Obama plans don't significantly restrain costs, he says