(CNN) -- The European Commission is warning one of its members that stimulus spending, growing debt and a slower than expected recovery has become a volatile cocktail.

No, it's not Greece. It's the UK.

Whichever party wins Thursday's general election will steer the fortunes of the world's fifth largest economy, an influential global financial center and a deficit that the European Commission forecasts will rise to 12 percent of GDP in 2010 -- even higher than Greece. (Greece's 2009 deficit stands at 13.6 percent -- the commission estimates it will drop to 9.3 percent this year).

The elections come as the financial world has been roiled by events in Europe, such as the growing debt crisis of Greece, Spain and Portugal and the massive economic disruption of the Icelandic volcano. Narrow pre-election polls point to a possible hung parliament for the first time in 36 years, which could further add uncertainty to already shaky global markets.

The markets didn't react when UK elections were called a month ago, but that may soon change after the polls are closed: For the first time, London traders have been allowed a special election night session to trade bond and sterling futures -- and they're expecting heavy action as banks try to stake out positions, rather than wait for the usual 8 a.m. open on Friday.

The UK "is a financial mega-center, so for us as a financial institution we care very much (about the election)," said Julia Coronado, senior economic analyst for BNP Paribas in New York." In the global banking world we are very aware, more than ever, about what's going on in continental Europe, what's going on in the UK, what's going on in China, all of these things are much more interwoven now.

"There's clearly two very different views of the world represented in this election, and I think if we look at it from the economics point of view it certainly has implications for the growth potential of the U.K. (and) for the regulatory environment in the UK, so that could impact the financial industry very significantly," Coronado said.

So far, the major parties haven't provided many specifics about how they plan to tackle the UK's growing deficit, which crediting ratings agencies have warned may eventually impact its AAA rating. (Greece's credit rating was downgraded to junk status last week, sparking a weeklong decline in global markets).

Are the ratings agencies credit worthy?

"I'm concerned about (the deficit) in the medium to long term, but in the short term we need to keep this recovery going. What has been driving this is public sector stimulus and the difficulty is we have seen very little action in the private sector," said David Blanchflower, a former UK monetary policy adviser and economics professor at Dartmouth University. "Firms aren't investing and they aren't hiring, and if we pull public sector stimulus away the danger is we drop off a cliff."

While the deficit is worrying, market watchers point out that London is no Athens.

"We don't have a bad track record. We shouldn't be compared to Greece," said David Buik, of BGC Partners. "This is actually a buoyant economy, in the fullness of time. It's just the fact that the election really has gotten in the way of reality."

Some worry that a hung parliament and any resulting coalition government may be fractious and short-lived. The last coalition government in 1974 lasted only seven months before new elections were called.

"One benefit I think of actually having a hung parliament is that maybe it rules out the possibility that anybody would do anything stupid," Blanchflower said. "At this moment the status quo is perhaps not a bad thing to be in.

CNN's Jim Boulden, Brian Walker, Richard Quest, Kevin Voigt and Max Foster contributed to this report

@highlight

Elections hold fate of the world's fifth largest economy and a major financial center

@highlight

World markets will watch carefully the outcome of election as eurozone troubles escalate

@highlight

The UK has the largest projected deficit in 2010, according to the European Commission