London (CNN) -- With just days to go before the Olympic Games open in London, questions over the provision of security guards for the event are dominating the British media.

Thousands of team officials and athletes are arriving this week, and throngs of visitors are expected to follow. But should they be worried?

The security concerns were triggered last week when it emerged that private security contractor G4S, which was supposed to have provided 10,400 guards for the Olympics and Paralympics, would not be able to deliver.

Its failure to recruit, train and vet enough staff in time led the government to announce last week that it was deploying an extra 3,500 troops to cover the shortfall.

G4S said it has only about 4,000 guards trained and ready, although it hopes to have 7,000 fully accredited by the time the Games begin on July 27.

While the recruitment failure by G4S is highly embarrassing for the company -- and led its share price to drop sharply -- the Games' organizers insist that their contingency planning will keep everyone safe.

Visitors can certainly expect to see far more visible security measures in place than usual at Games venues and transport hubs.

Sebastian Coe, the chairman of the London organizing group, LOCOG, said Tuesday that the only real difference resulting from the G4S debacle would be in who is performing the security checks.

"The numbers really haven't changed. It's really simply about the mix of security on the park," he was quoted as saying by the Press Association news agency.

LOCOG is working with G4S to try to ensure that as many people as possible are accredited in time, Coe said, adding, "This is not a failure in numbers. We've got the numbers there. There's no compromise on security."

Home Secretary Theresa May gave a similar message last week as she was grilled by lawmakers on the matter, saying, "There is no question of Olympic security being compromised."

Critics have been less positive, with some Labour Party lawmakers concerned that security will be inadequate or that visitors will be made uncomfortable by a prominent military presence.

The chief executive of G4S, Nick Buckles, was forced to agree Tuesday under questioning from lawmakers that the security staffing fiasco is "a humiliating shambles for the country."

The Home Office said Monday that G4S is suffering from a software problem, which means the contractor cannot guarantee who will turn up where and whether guards have the right training.

The guards employed by G4S will be responsible chiefly for such tasks as providing venue perimeter security, a spokesman for the contractor said. This includes manning X-ray machines, searching people, searching vehicles and operating closed-circuit television systems, he said.

People with tickets for Olympic events have been sent e-mails giving details of the security requirements for each venue. These include airport-style limits on the size of bags that can be carried and the quantity of liquids that can be taken in.

One such e-mail reads, "Be prepared for security checks when you arrive: this will be like taking an international flight at an airport. It will be busy and you will have to queue, so get there early."

The 17,000 British military personnel deployed for the Games, including the extra 3,500 troops called up at short notice, are to help out with the security checks and stewarding at venues, as well as specialist tasks such as bomb disposal and sniffer dog searches.

Military jets and helicopters are also on standby around the capital, ready to respond to any threat, and new airspace restrictions came into force Saturday around London and the southeast.

The Royal Navy's largest ship, the helicopter carrier HMS Ocean, is now moored in the Thames off Greenwich, where it will act as a base for helicopter operations and house 400 troops providing security at the Greenwich Park Olympic venue.

Police in London and elsewhere also will play a big role in ensuring security.

Well before the G4S debacle hit the headlines, London's Metropolitan Police Service, known as the Met, was planning what it says is its biggest-ever peacetime operation.

The operation will "run for 66 days and cover over 1,000 venues, including those hosting Olympic and Paralympic sports, cultural events and 2012-themed celebrations taking place across the capital," the website says.

On the busiest days, up to 9,500 police officers will be used, including some from forces outside London, for Games-related operations, it says. Officers at Olympic venues will focus on preventing crime and keeping people and their property safe, while G4S is responsible for the security operation, it says.

Away from the venues, the Met will also have to provide the usual policing for the city and its visitors.

The Games come just over a year after parts of London were rocked by rioting that led to police being brought in from elsewhere in England to help bring the disorder under control.

The threat of a potential terrorist strike has also been in the news in recent days after a number of arrests, although police said the operations were not linked to the Olympic Games.

The terror threat level on the UK Home Office website remains unchanged at "substantial," which is the third highest of five levels. The next level up is "severe," which means an attack is "highly likely," and the highest is "critical," meaning an attack is "expected imminently."

Government officials from Washington to London insist that there are no known specific or credible terror threats tied to the Olympics.

Travel to and around the United Kingdom will nevertheless be a focus of security efforts.

Visitors arriving at London's Heathrow Airport can expect to see every desk at passport control manned during the Olympic Games, the home secretary said last week.

Immigration desks have extra staffers, Heathrow said Monday, amid fears of long lines to get into the country as security checks are carried out. Retired border officials and retired police officers are among those being brought in to supplement immigration staff, the Home Office said.

Officials from outside the United Kingdom may also be lending a hand in certain areas.

The UK Department for Transport said a small number of staff from the U.S. Transportation Security Administration will be based at certain British airports "to act as an on-site liaison for the TSA." The TSA staffers will not, however, be conducting security screening or inspections, the Department for Transport said.

U.S. State Department spokesman Patrick Ventrell said Tuesday that his country has full faith and confidence in Britain's ability to provide security.

The United States is sending senior diplomatic security staff to Britain to act as liaisons, Ventrell said, adding that the TSA has a "handful" of agents in the country.

Meanwhile, London's public transport authorities have been warning commuters for weeks to avoid travel hotspots around the time of the Games -- but have not stressed any additional security risk.

The city's transport network is not immune to terror threats, as the attacks of July 2005 showed. But visitors can seek reassurance in the fact that Britain's police and intelligence officials have been successful since then in foiling attacks on the capital. In the 2005 incident, three bombs were detonated on underground trains and one on a bus in the city. The blasts killed 52 people and wounded more than 770.

Culture Secretary Jeremy Hunt, who is in charge of the Olympic preparations, said it will be "a very safe and secure Olympics."

"We have had a contractor who has let us down ... but we had a contingency plan in place," he said.

"It's not possible to secure every single square inch of a huge global city like London, but where there are important concentrations of Olympic activity ... then there will be a security regime before you can enter those. Obviously the actual Olympic venues will be very tightly secured."

Hunt said the vigilance of the public will also be important.

"So far, we have not received intelligence of any particular additional threats, but this is a city that has huge experience of dealing with security issues over very many years," he said.

CNN's Jill Dougherty contributed to this report.

@highlight

NEW: U.S. State Department has full faith and confidence in Britain's security measures

@highlight

Security contractor G4S has failed to train and recruit enough security staff

@highlight

Culture Secretary Jeremy Hunt says it will be "a very safe and secure Olympics"

@highlight

Visitors will encounter airport-style security measures at Olympic venues