(CNN)November is the month we celebrate Thanksgiving in the United States. In Finland, there is a different type of celebration. It turns out that all tax returns of every Finn are made public this month, which leads to a "media frenzy of gossip, boasting and finger-pointing about who has paid their fair share in income tax," according to an article on Foreignpolicy.com.

Good times for all, it would seem, in the small Nordic country widely praised for its generous social welfare policies.

Well, not quite for all. Take banker Bjorn Wahlross, one of the richest Finns. He moved to Sweden of all places earlier this year to avoid the high tax rates in his homeland. And high they are. The average income tax rate in Finland fell from 37.5% in the 1990s to around 30% in the 2000s, and is now rising, set to hit 31.1% next year.

In the United States in contrast, the average tax rate in 2010 was 11.81%, according to a study published by the non-partisan Tax Foundation. Another study shows that in 2014, 95% of Americans paid an effective income tax rate under 10%; the top 1% of income earners reached an average of 24.6%, still significantly below the average tax rate for all taxpaying Finns.

So what would happen if Americans had a "Tax Day" like Finland, and tax returns of every citizen were all released in one fell swoop to unleash a media frenzy?

It is hard to predict counter-factual history, of course, beyond stating the obvious -- it ain't going to happen, ever.

Even the most zealous foes of privacy when it comes to terrorists and other outcasts seem firmly committed to privacy of tax returns.  Don't tread on me -- and don't look at my 1040 -- seem equally sacred principles in the United States.

But putting reality aside for a moment, what is my best guess as to what would happen if America went the Finnish way?

Nothing.

Nothing has been happening a lot lately.  According to the online Wiktionary, the saying that "the more things change, the more they stay the same" is a proverb "making the observation that turbulent changes do not affect reality on a deeper level other than to cement the status quo."

We certainly have seen a lot of turbulent changes.  Consider the situation in 2008: the United States was facing a Great Recession, a worldwide credit crisis exacerbated by sketchy lending policies, not to mention two major wars (Iraq and Afghanistan), each part of a broader war against terrorism, sovereign debt crises around the globe (Iceland, Greece, more) and mounting fiscal deficits at home.

The turbulence led to the election of Barack Obama, our first African-American president, a Democrat, and something of a liberal to boot.  So what happened to tax policy, which might be thought to play a starring role as both cause and effect of the drama?

Well, pretty much, nothing. It was not until the early hours of 2013 that we saw any changes to the income tax at all, and these were mainly to add a few percentage points to the rate bracket in which a handful of the highest earners found themselves -- those couples earning more than $450,000 a year.

Earlier this year, the French economist Thomas Piketty saw his monumental work "Capital in the 21st Century" translated into English and promptly rocket up all kinds of bestseller lists. Piketty's volume tells the tale of how the United States, in particular, is approaching the highest levels of wealth and income inequality in recorded history.  And what has been the policy response to Piketty's prognosis?

Well, again, nothing, unless you consider a return to a Republican Senate, and a fully divided government, something.  (In fact, that is the ideal structure in which nothing gets done, hence it makes stock markets happy.)

Then there is the fact that when we do disclose tax returns in the United States, nothing much happens. Presidential candidates tend to do this. When they do not, or just release summaries, nothing much happens. From the disclosures, we learn that Hubert Humphry was not very wealthy, but Mitt Romney is, and life pretty much goes on -- with some wailing and gnashing of teeth among tax cognoscenti over such odd tidbits as the fact that Romney was able to amass more than $100 million in a Roth IRA. The tax policy impact? Well, nothing.

There was also the much ballyhooed self-disclosure of Warren Buffet's 2010 tax returns, leading to a proposal for a "Buffet Rule," a flat 30% effective tax rate on millionaires -- still lower than the average Finnish tax rate.  What happened there?  Well, nothing, again.

So, how about it?  Could we force all tax returns in the United States to be made public so that we could have a "media frenzy of gossip, boasting and finger-pointing" too?  Well, no and no.  No, it ain't going to happen and no, it would not lead to that result.  Not here, not now. No doubt, tax compliance might improve, by means of shame if nothing else, and perhaps some entrepreneurs would even find a way to make some money by "whistleblowing" on tax crimes and misdemeanors they unearthed from the massive data dump.

Yet being America, publicly disclosed tax returns would more likely lead to an assault from financial advisors offering their services to help the rich lower their taxes. Just think -- who would not want a $100 million Roth IRA?  Taxes could thus even go down, as the tax-avoidance-industry found new targets, with fees to these helpful souls going up.

The facts of life in 21st century America are different than those in Finland, a nation with a population about the size of Wisconsin. We have gotten pretty much inured to indifference about levels of wealth and income inequality unimaginable to people from other times and places. The details simply bore us.

Our media frenzies and gossip are about other pressing matters.  In fact, I have to run; I have to find out just what's going on with Jennifer Lawrence and Liam Hemsworth, and I have yet to see the latest Kim Kardashian photos. Happy Thanksgiving to all.

@highlight

In November, all tax returns of every citizen are made public in Finland on "Tax Day"

@highlight

Edward McCaffery: Even most zealous foes of privacy are committed to privacy of tax returns

@highlight

He says despite the Great Recession and financial crisis, our tax system is unchanged

@highlight

McCaffery: Even with income inequality at unimaginable levels, there's no impact on tax policy