(CNN)Watching from the observers' gallery last week, I could see Malaysian opposition leader Anwar Ibrahim moving from hope, to exasperation and then finally to anger as the country's highest court dismissed his defense team's arguments against his sodomy conviction.

After his appeal was denied on all counts, the sentencing hearing started -- and Anwar took the gloves off, declaring the incident was a "complete fabrication" and a "political conspiracy" and attacking the five Federal Court judges for becoming "partners in the crime for the murder of judicial independence and integrity."

The judges weren't having any of that, and abruptly stood up and walked out of the courtroom to deliberate in chambers on Anwar's fate, leaving a stunned courtroom behind them.

Anwar now faces five years in prison to contemplate the question that is on the minds of many Malaysians, which is how could a government get away with prosecuting a former deputy prime minister and the head of the opposition not once, but twice, for violating an archaic British colonial law against sodomy that has been invoked a total of only seven times since 1938?

Has the Malaysian government so clearly lost the plot that even outside observers would recognize that the trial was blatantly political from day one?

Within minutes of the verdict being issued, the Malaysian government issued a polished statement proclaiming the country's "judicial independence" and demanding "all parties involved to respect the legal process and the judgment."

In case anyone didn't get the memo, there is the rapidly growing crackdown on dissent and free speech in Malaysia led by the top police officer -- who patrols the Twittersphere like a shark in open water and tweets orders to the police to arrest lawyers, activists and politicians using the country's draconian Sedition Act.

A tweet by the cartoonist Zunar referencing "lackeys in black robes" has already landed him in court.

This is supposed to be a big year for Malaysia, serving as chair of the Association of Southeast Asian Nations (ASEAN) when the ASEAN Economic Community is to become a reality, and holding a seat at the UN Security Council.

Malaysia is also a key partner in the US-driven Trans-Pacific Partnership (TPP) trade proposal that has gone to the top of the Obama legislative agenda, and it was Prime Minister Najib Razak who President Obama invited for a round of golf in Hawaii during the president's Christmas holiday.

Whether the political persecution of Anwar was raised on the course has yet to come out.

But there is huge gap between Malaysia's international engagements as a so-called "moderate" Muslim-majority nation and its domestic repression of opponents that sadly doesn't usually garner much attention -- except in instances when Malaysia imprisons a figure like Anwar who is widely respected and known internationally.

So few people know Najib's government has been on a tear against his opponents since the 2013 elections, during which the ruling Barisan Nasional coalition lost the majority vote to the Anwar-lead Pakatan Rakyat coalition but maintained power because of gerrymandered election districts for parliamentary seats.

Since then the government has been wielding the Sedition Act like a hammer, using its undefined terminology barring "any seditious words" or "seditious tendency" that would "bring into hatred or contempt or excite disaffection against any Ruler or against any Government."

In the past two years, more than a dozen senior politicians and activists have been dragged into court for saying or tweeting things the government didn't like, and a number have fled overseas to seek asylum -- and the list is going to keep growing.

Najib affirmed at the 2014 congress of the United Malays National Organization (UMNO) party that he leads that he's planning to strengthen the Sedition Act further when the Parliament reconvenes in March.

Crackdowns on peaceful assemblies, restrictions on the media, censorship of books and films, and targeting of ethnic and religious minorities are also on the rise in Najib's Malaysia.

Shaffee Abdullah, the same UMNO lawyer brought into as a special prosecutor in Anwar's case also serves as Malaysia's representative to the regional human rights body, the ASEAN Inter-governmental Commission on Human Rights (AICHR), and asserts how he has prevented any discussions of LGBT rights there.

Malaysia is brewing a heady concoction of authoritarianism and intolerance that should be setting off alarm bells in world capitals like Washington, London, Berlin, and Brussels.

Anwar's conviction last week may be a new low for the Malaysia government's rights record, but it should not be seen in isolation from the growing intolerance for civil and political rights emanating from Putrajaya.

The wider international community -- be it Malaysia's allies, foreign business investors, and the United Nations -- should wake up and recognize that the Malaysian government is changing and not for the better.

It's time to support Malaysia's human rights defenders, and recognize that if the world wants a democratic, rights-respecting Malaysia, it's going to have to fight for it.

@highlight

Opposition leader loses appeal against sodomy conviction, jailed for five years

@highlight

The government denies the case was political, saying the judiciary is independent

@highlight

HRW: Malaysia is brewing a heady concoction of authoritarianism and intolerance