New York (CNN) -- Demonstrators took their shouts for an end to what they say is widespread and unchecked police brutality to an NBA arena in Washington, a famed department store in New York, a well-known Ivy League commercial spot and to roads where they often brought traffic and passersby to a stop.

Streets in major cities throughout the United States -- Boston, Chicago, Miami and New Orleans, among them -- filled again Friday night with protesters.

And while crowds appeared to be smaller than previous nights, marchers were just as passionate about their voices being heard.

One sign held by a young black man in Washington read simply: "I could be next."

The protests are a response to the decision Wednesday by a New York grand jury not to charge police Officer Daniel Pantaleo in the chokehold death of Eric Garner during his Staten Island arrest, which was captured on cell phone video.

They come a week after another decision not to indict by a grand jury in St. Louis County, Missouri, examining the killing of African-American teenager Michael Brown by a white police officer.

In New York, protesters in the rain passed out a list of demands to the media regarding the Garner death in July.

The top demands were for all officers involved to be fired, for a special prosecutor to be appointed to investigate all complaints of excessive force and for the state Legislature to make a chokehold punishable by significant penalties.

A die-in at Macy's

Earlier, Eric Garner's daughter Erica told CNN's "The Lead with Jake Tapper" that she wanted to see people punished for her father's killing.

"Justice to me is basically doing what's right," she said. "I wouldn't be happy with (Pantaleo) just losing his job or being suspended or still getting paid. I wouldn't want that. I would want him to face time in jail."

She said that anyone who contributed to her father's death should go to prison.

Protesters flooded Macy's iconic Herald Square location and staged a die-in as holiday shoppers looked on. Later, the flood of demonstrators shut off Times Square to traffic for 10 minutes before the crowd headed down 42nd Street, shouting, "This is what democracy looks like."

They stopped again in Bryant Park and ringed a set of shops. Many of the workers in those stores came out and, in support, raised their hands in the air.

It was also a short stop, as the crowd set off up Sixth Avenue, traversing against the flow of yellow cabs and other cars. A cacophony of car horns greeted the protesters and cabbies also held their hands out the window to give their approval.

Only about 50 people protested in Chicago, but they marched with few breaks for hours.

In Washington, the demonstrators held several four-minute long silent die-ins to empathize with the family of Michael Brown, a Missouri teenager who lie in the street for four hours after he was fatally shot by a police officer.

"I'm not an angry black man. I'm an outraged, hurt black man," one of the protest organizers told CNN.

Six protesters shouted "Hands up, don't shoot" inside the Verizon Center before an NBA game between the Washington Wizards and the Denver Nuggets.

Near Boston -- site of one of the largest demonstrations of the night -- a mass of protesters staged a die-in, several dozen of them blocking an intersection by lying on the road.

As many as 1,000 people were marching Friday evening from Tufts University in Somerville, Massachusetts, near Boston to Harvard Square, according to a police estimate.

"People who don't already realize what is happening, maybe they will open their minds a little bit or people that do realize and don't care will realize that people are angry and it's not OK," Nicole, a Boston demonstrator who wouldn't give her last name, told CNN affiliate WHDH when asked why she marches.

'So many people realize this is a problem'

Those who turned out to protest were a mix of ages and races.

Chuck Helms, a 67-year-old New Jersey resident, marched in New York clad in a union-issue hard hat and satin Occupy Wall Street jacket.

A sign dangling around his neck said, "Remembering my brothers. BLACK LIVES MATTER." The sign included photographs of Eric Garner, Trayvon Martin, Tamir Rice and Akai Gurley -- all black men whose controversial deaths made headlines. Gurley was shot dead last month by a police officer in a dark stairwell of a New York housing project.

Brooklyn DA: Grand jury to investigate shooting of unarmed man

"It's a shame that people have to die for us to become focused," Helms said.

At least two people in New York were detained by police, who will not report on arrests until Saturday morning.

In Chicago, Elizabeth Huston, a paralegal, joined in for the first time.

"So many people realize this is a problem. This is disproportionally affecting black men and women," she said.

In Cleveland, protesters there marched over the death of Tamir, 12, who police say had a lifelike air gun and didn't comply with an officer's commands.

"CPD what do you say? How many kids have you killed today," they yelled.

Cleveland cop who shot 12-year-old slammed for 'immaturity' in past job

The family of Tamir filed a wrongful death suit Friday against police over the killing, according to the Cleveland Plain Dealer.

Growing movement

The demand for change in how law enforcement deals with minorities has been broad, with protests involving untold thousands of demonstrators from coast to coast, in towns both large and small.

"It's happening in every city, every town. It's happening here in Pittsburgh," Julia Johnson told CNN affiliate WPXI on Thursday.

In many ways, it appears to be based on the Occupy Wall Street movement, which generated protests in New York and elsewhere in 2011 over inequality, corporate influence and other issues.

The largely leaderless and underground movement is using social media to organize protests, which have morphed from a wide-ranging agenda to a tight focus on the issue of police violence against black men.

The mostly peaceful protests shared many similarities with the protests of the Civil Rights era -- marches, signs, civil disobedience.

One Asian-American protester felt inspired by the 1960s marches, but said she believes that struggle shows change will take a long time. "If you think about the civil rights movement, it took 10 years for anything to happen between the protests and the boycotts of the buses to the actual Civil Rights Act," she said.

Author and CNN commentator Michaela Angela Davis was marching in a mixed crowd of mostly white students chanting "black lives matter."

The blocked streets didn't bother her so much. It's democracy, she said.

"I feel like we are seeing the American project at work. It is messy; it is difficult."

NYC officials: Fewer complaints against police

Meanwhile, New York officials said that complaints against police officers had fallen significantly in the second half of the year, compared with July to November 2013.

A report that tallied complaints said 1,813 were made so far since July 1 of this year, 26% less than the number of complaints filed with the Civilian Complaint Review Board in the same period of the prior year. Excessive force allegations fell by 29%.

The dip followed a slight rise in the first six months of the year, but, overall, allegations have declined in 2014.

"Over the past 11 months, my administration has implemented a series of initiatives and reforms aimed at bridging the gap between the NYPD and the communities they serve," Mayor Bill de Blasio said in a written statement. "From ending the overuse of stop and frisk, to dropping the city's legal challenge to the racial profiling ban, to changing the department's policy on possession of small amounts of marijuana, we're steadily bringing crime down while drawing police and community closer together."

CNN's Ray Sanchez reported from New York, Athena Jones reported from Washington and Steve Almasy reported and wrote in Atlanta. Michael Pearson, Bill Kirkos, Dave Alsup, Ben Brumfield, Jason Carroll, Ralph Ellis, Dan Merica, Dana Ford and Greg Botelho and Melanie Whitney contributed to this report.

@highlight

Daughter of Eric Garner says officers should go to prison

@highlight

Demonstrators marching in New York hand out list of demands that starts with police firings

@highlight

About 1,000 people in one protest in Boston area, police estimate

@highlight

Protests came after jury opted not to indict officer who put Garner in a chokehold