Perugia, Italy (CNN) -- Prosecutors fighting to keep American student Amanda Knox behind bars for murder in Italy defended on Monday the DNA tests that linked her to the killing of British student Meredith Kercher.

Knox is appealing her conviction and 26-year sentence for the murder of her housemate in 2007, with her defense team arguing that DNA evidence used in her original trial is not conclusive.

This summer two new forensic experts, professors Carla Vecchiotti and Stefano Conti, cast doubt on the DNA evidence that played a role in the convictions of Knox and ex-boyfriend Raffaele Sollecito.

"I think the prosecution is trying to take the independent experts' testimony away and frankly, I don't see that happening," Knox's father, Curt, told reporters after court adjourned Monday. "I mean, I think the independent experts have done a very good job in evaluating the information ... and I don't see it breaking down at this point. I see that it has been good for Amanda."

Patrizia Stefanoni, the Italian state police forensic expert who conducted the initial DNA examination presented at Knox's trial, testified Monday regarding the methods and equipment she used.

Stefanoni told prosecutor Manuela Comodi she was using older equipment at the time. While police now have better equipment that can analyze smaller amounts of DNA, she said the testing methods remain the same.

Authorities testified in 2009 that a knife found in Sollecito's home had traces of Knox's genetic material on the handle and Kercher's in a tiny groove on the blade. DNA on Kercher's bra was also traced to Sollecito.

Vecchiotti testified that the knife tested negative for blood and the amount of DNA said to be Kercher's was so low, it could not be examined again with any conclusions. Vecchiotti and Conti also said there was no evidence the knife had been "thoroughly washed," as prosecutors argued during the trial.

Stefanoni said according to the protocol she used, the amount of DNA on the knife was sufficient and clearly attributable to Kercher. She said the new experts have equipment capable of examining very small DNA samples and that testing should have been done.

"Stefanoni has thoroughly and calmly clarified the principal elements of the work she carried out -- in a clear manner, given the complex subject ... during the examination at the time," Francesco Maresca, attorney for the Kercher family, said Monday. "I think she managed to get the court's full attention and to have damaged the independent forensic work."

Vecchiotti and Conti also said the clasp from Kercher's bloodied bra, which allegedly contained Sollecito's DNA, was "dirty" and had been allowed to rust, making further testing futile. The evidence, the two argued, should be "inadmissible."

Stefanoni is expected to testify about the bra clasp Tuesday. She testified Monday that she wore anti-contamination equipment when examining the DNA evidence.

"The appeals trial is very different from the first trial, obviously," Curt Knox said Monday. "And I see that, especially with the appeals trial asking for an independent review ... with the way the information came back from the independent experts, I see that this is turning (in) Raffaele and Amanda's direction."

Asked about his daughter, he said, "I got to hug her for a few seconds. She is anxious. She is happy that court is back in session again. It has been a long summer for her, knowing that she is innocent. ... She is anxious, she is hopeful and she is looking forward to a decision hopefully by the end of this month."

As the appeal heads into its final weeks, Kercher's sister on Sunday urged people not to get caught up in the details but to "please remember our beautiful Meredith."

"Amongst the media frenzy that has developed throughout, Meredith has been forgotten because she is no longer with us, yet this should be about her and what really happened on that tragic evening," Stephanie Kercher said in a statement distributed by Maresca, the family attorney.

Knox and Sollecito were convicted in 2009 of killing Kercher, 21. Sollecito was sentenced to 25 years in prison.

A third defendant, small-time drug dealer Rudy Guede, an immigrant from the Ivory Coast, was also jailed in connection with Kercher's death. He was sentenced to 30 years for murder and sexual violence following a fast-track trial in 2008, but his sentence was later cut to 16 years.

Kercher, a British exchange student, was found dead, seminaked and her throat slashed in the villa she and Knox rented in the central Italian university town of Perugia.

The two professors have said records about the machine that did the DNA testing were missing, suggesting the testing process itself may have been unreliable.

On Monday, prosecutor Comodi said the records had been found and asked the judge to admit them as evidence.

The defense argued they should not be admitted because they were not in the files originally given to the new experts. Comodi said Vecchiotti and Conti could have had them if they had asked for them.

Forensic experts for the two sides are expected to return to the stand Tuesday. This stage of the appeal is scheduled to run at least through Saturday.

Final arguments and summations are expected this month.

Kercher's sister Stephanie said the family was feeling "great concern as the rumours surrounding the original DNA evidence findings are spreading."

She said it was difficult for Kercher's family to understand how the evidence, so carefully developed and presented at trial, could be deemed irrelevant, and also to understand how a small amount could be useless when there is no determination of how much should be present.

Knox's defense seems "to focus and rely heavily on these two pieces of DNA evidence, but can we just remember for a moment what this case is actually about: my sister, a daughter brutally and selfishly taken from us nearing four years ago ... not a single day goes by that we can grasp any peace or closure."

She urged the public to remember the blood-splattered crime scene as well as 10,000 pages of evidence presented in the case.

"We still have confidence in the Perugia police and every faith in all those involved in court and the investigation," Stephanie Kercher said. Her family is asking that the appeals court assess each piece of evidence, "both scientific and circumstantial, as well as any witnesses who have taken the stand independently of any other information or media."

Maresca said Monday that Kercher's family has faith "in the whole baggage of evidence" aside from evaluation of the DNA on the knife and bra clasp.

"Please do not let Meredith die in vain," Stephanie Kercher said. "Her courage and strength fight on and we will seek justice so she can rest in peace." Her sister, she said, put up a fight for her life and did not give up, "and we will not give up now."

CNN's Hada Messia contributed to this report.

@highlight

NEW: A police forensic expert testifies about methods used in initial DNA examination

@highlight

NEW: Curt Knox says his daughter is "anxious ... looking forward to a decision"

@highlight

Victim's sister says Meredith Kercher has been forgotten in the "media frenzy"

@highlight

Amanda Knox was convicted of killing roommate Kercher in 2009 and sentenced to 26 years