At least four people have been shot dead and hundreds injured as demonstrators clash with police over new laws limiting the right to protest in Ukraine, the head of the protest movement's volunteer medical service, Oleg Musiy, told CNN on Wednesday.

Ukraine's Interior Ministry earlier said it was investigating a death, the circumstances of which are not clear. Local media reports suggest the man may have fallen from a statue or monument.

In a statement Wednesday, U.S. State Department spokeswoman Marie Harf condemned the growing violence, particularly against journalists and peaceful protesters.

"Increased tensions in Ukraine are a direct consequence of the Ukrainian government's failure to engage in real dialogue and the passage of anti-democratic legislation on January 16," Harf said. "We urge the Government of Ukraine to take steps that represent a better way forward for Ukraine, including repeal of the anti-democratic legislation and beginning a national dialogue with the political opposition."

iReport: Video shows heavy clashes between police, protesters

The leaders of three opposition factions met with President Viktor Yanukovych and a government working group Wednesday to try to resolve the crisis, the President's official website said.

They are Vitali Klitschko, leader of the UDAR party; Arseniy Yatsenyuk, of the Fatherland party; and Oleh Tiahnybok, of the Freedom party, or Svoboda.

A statement on Yanukovych's website said the first stage of negotiations -- a meeting of more than three hours -- had ended.

Klitschko accused Yanukovych's government of having the blood of protesters on its hands.

"We did not receive any answers," Klitschko told demonstrators after the meeting, referring to calls for snap elections and the resignation of the government. "When we talked about canceling the new laws that make each of us here a criminal, we heard that maybe this can be a point of negotiations. I will be with the people. If I have to fight, I will fight.  If I have to go under bullets, I will. I will stand up for the people, because I want to live in a different country."

He added, amid the chants of supporters: "If tomorrow the President does not make a step forward, we will attack."

Demonstrators have been rallying in the snowy streets since the weekend in protest against the laws that went into effect Wednesday.

Televised images Wednesday showed ongoing clashes between police and protesters who've massed around barricades on Hrushevskoho Street, near the burned-out shells of police buses.

The Interior Ministry said Wednesday that more than 70 people have been detained since midday Sunday.

The ministry said 195 police officers had been injured and 84 hospitalized since the situation turned violent Sunday.

The clashes are an escalation of weeks of largely peaceful public protests prompted by Yanukovych's decision in November to spurn a planned trade deal with the European Union and turn toward Russia instead.

The European Union and United States have urged all parties in Ukraine to exercise restraint and find a democratic solution to the political crisis.

Russian Foreign Minister Sergey Lavrov also warned Tuesday that the situation in Ukraine was "getting out of control" and urged dialogue between all the parties.

UDAR posted what it said was a joint statement by the three opposition factions saying Yanukovych and Interior Minister Vitaliy Zakharchenko bear direct responsibility for the deaths of protesters.

The U.S. ambassador to Russia, Michael McFaul, tweeted Wednesday that he was "watching with sadness" the events in Kiev.

The U.S. Embassy in Kiev said in a prepared statement that it has "revoked the visas of several Ukrainians who were linked to the violence" in response to actions taken against protesters in November and December.

"Because visa records are confidential under U.S. law the Embassy will not comment on individual cases," it said. "We are considering further action against those responsible for the current violence."

Masks, helmets banned

The controversial new protest laws have sparked concerns they could be used to put down demonstrations and deny people the right to free speech.

They include provisions barring people from wearing helmets and masks to rallies, from setting up tents or sound equipment without prior police permission, and from traveling in convoys of more than five vehicles without authorization.

A separate Interior Ministry order allowing riot police to use firearms came into force Tuesday, according to the official Ukrainian legislation website.

Ukraine's Institute of Mass Information, an organization promoting media rights and freedom of speech, said 36 journalists had been injured while reporting on the clashes in recent days.

Ukraine's national union of journalists called on the Interior Ministry on Wednesday to issue an order forbidding police to use violence against journalists.

'Deep crisis'

EU foreign policy chief Catherine Ashton, who visited protesters in Kiev last year and met with Ukraine's leaders, condemned the escalation of violence overnight and urged restraint.

"The use of force and resort to violence is not an answer to the political crisis. All acts of violence must come to an immediate end and be swiftly investigated," she said.

"Those responsible will have to be held to account. Ukrainian citizens' rights of assembly, freedom of expression and media must be fully respected and protected. I am deeply concerned about attacks on journalists and about reports of missing persons."

The president of the European Commission, Jose Manuel Barroso, said he was "shocked" by news of protesters' deaths and called on all sides to refrain from violence.

"I would like to explicitly underline the fundamental responsibility of the Ukrainian authorities to now take action to deescalate this crisis and in particular the need for them to engage in a genuine dialogue with the opposition and with civil society on the ways to overcome this deep crisis," he said in a news release.

"We are also following with great concern the recent restrictions on fundamental freedoms including freedom of expression and freedom of the media."

Ukraine's future ties

In December, despite weeks of protest by anti-government demonstrators, Yanukovych agreed to a deal with Russian President Vladimir Putin for Moscow to buy Ukrainian debt and slash the price Kiev pays for its gas.

The tumult in Ukraine goes to the heart of its future ties with Russia and the rest of Europe. Ukraine is split between pro-European regions in the west and a more Russia-oriented east.

The protests have unfolded since November 21, when Yanukovych changed his stance on the EU trade pact, which had been years in the making.

The demonstrators say an EU agreement would open borders to trade and set the stage for modernization and inclusion. Ukraine's government says the terms needed to be renegotiated to protect Ukrainians better.

@highlight

Interior Ministry says more than 70 people detained since midday Sunday

@highlight

At least 4 people killed, says head of protest movement medical service

@highlight

Interior Ministry says 195 police officers have been injured, 84 hospitalized

@highlight

The clashes are an escalation of weeks of largely peaceful anti-government protests