Washington (CNN) -- Attorney General Eric Holder announced Monday that Khalid Sheikh Mohammed and four other 9/11 terror suspects will face a military trial at the Guantanamo Bay detention facility in Cuba.

The decision is a sharp reversal for the Obama administration, which wanted the terror suspects to have federal civilian trials.

Besides Mohammed, the other suspects to face charges of participating in the 9/11 plot are Walid bin Attash, Ramzi bin al-Shibh, Ali Abdul Aziz Ali and Mustafa Ahmed al-Hawsawi. All five are at Guantanamo.

In announcing his decision, Holder blasted Congress for imposing restrictions on the Justice Department's ability to bring the men to New York for civilian trials -- a course of action he promised in 2009.

"After thoroughly studying the case, it became clear to me that the best venue for prosecution was in federal court. I stand by that decision today," Holder said.

"As the president has said, those unwise and unwarranted restrictions (imposed by Congress) undermine our counterterrorism efforts and could harm our national security. Decisions about who, where and how to prosecute have always been -- and must remain -- the responsibility of the executive branch."

Holder insisted, "We were prepared to bring a powerful case against Khalid Sheikh Mohammed and his four co-conspirators -- one of the most well-researched and documented cases I have ever seen in my decades of experience as a prosecutor."

He added, "Had this case proceeded in Manhattan or in an alternative venue in the United States, as I seriously explored in the past year, I am confident that our justice system would have performed with the same distinction that has been its hallmark for over 200 years."

Holder had promised to seek the death penalty for each of the five men. He warned Monday that it is an "open question" if such a penalty can be imposed by a military commission if the defendants plead guilty.

He expressed confidence in the military, however, to conduct "fair trials" and deliver "just verdicts."

President Barack Obama's primary concern is that the accused perpetrators "be brought to justice as swiftly as possible," White House press secretary Jay Carney told reporters.

Holder's plan to hold a nonmilitary trial had been sharply criticized by both Republican leaders and key members of the New York congressional delegation. Among other things, critics cited cost and security concerns tied to a trial in Manhattan. They also argued that the suspects -- who are not American citizens -- should not receive the rights and protections provided to defendants in civilian courts.

Rep. Lamar Smith, R-Texas, chairman of the House Judiciary Committee, said in a written statement that it is "unfortunate that it took the Obama administration more than two years to figure out what the majority of Americans already know: that 9/11 conspirator Khalid Sheikh Mohammed is not a common criminal, he's a war criminal."

Rep. Peter King, R-New York, head of the House Homeland Security Committee, called the decision a "long-awaited step in the right direction."

"These terror trials belong in a military commission at Guantanamo," he said. The decision is a "vindication of President (George W.) Bush's detention policies."

New York Mayor Michael Bloomberg said it's "more appropriate" for the trials to be held in a "secure area."

"What I've read about military tribunals is they're not an automatic kind of thing," he said. "They are a different form of a legal system, but something that this country can implement and not be ashamed of."

Holder said he respects the different views expressed in Congress and elsewhere, but insisted he is in a better position to make the final decision.

"I know this case in a way that members of Congress do not," he said. "Do I know better than them? Yes."

A number of Democrats and civil liberties activists have expressed dismay at the idea of holding military trials, warning that such a move represents a dangerous breakdown in the U.S. judicial system.

Sen. Patrick Leahy, D-Vermont, the chairman of the Senate Judiciary Committee, said the decision was disappointing in light of the fact that the U.S. justice system is "the envy of the world."

"Federal courts have convicted hundreds of terrorists," he noted. "When Americans are murdered on American soil, we should not be afraid to bring those responsible for those heinous acts to justice in American courts."

Mason Clutter, an attorney with the progressive Constitution Project, said his organization is "extremely disappointed by the administration's decision to try what is arguably the most important criminal case the U.S. has ever seen in an untested and flawed system instead of in our legitimate criminal justice system."

"Our civilian justice system has a proven capacity to handle complex terrorism cases," Clutter said. "Today's decision will only continue to delay justice for the victims of 9/11 and their families."

Hina Shamsi, director of the American Civil Liberties Union's National Security Project, called the decision "a devastating blow to the rule of law."

"Cases prosecuted by (military commissions) now are sure to be subject to continuous legal challenges and delays, and their outcomes will not be seen as legitimate. Americans deserve better than this, and the world expects more of us."

A senior defense official told CNN, "We weren't out advocating for this decision. But we do have a court system (at Guantanamo Bay) that is both prepared to handle, and is already handling, people accused of crimes relating to terrorism."

The official said a lack of funding from Congress on more permanent detainment options for terrorist suspects within the continental United States "left the Justice Department short on options."

Obama promised to shut down the Guantanamo Bay detention facility within a year of taking office -- a promise he was unable to keep in the face of congressional resistance.

Holder promised Monday that the administration will continue working to shut down the facility and lift the restrictions on civilian trials imposed by Congress.

CNN's Ted Barrett, Carol Cratty, Terry Frieden and Ed Henry contributed to this report

@highlight

The decision is a reversal for the Obama administration, which had wanted civilian trials

@highlight

Holder has promised to seek the death penalty for all the suspects

@highlight

Trial will be held at Guantanamo Bay, Cuba