In a dusty, run-down neighborhood on the outskirts of Lucknow, the capital of one of India's poorest and most conservative states, Uttar Pradesh, a vigilante group is making a name for itself.

But these are no ordinary vigilantes.

They're girls -- mainly teenagers -- who patrol their local streets protecting women and girls from sexual harassment. In their matching black and red black salwar kameez -- the traditional garb worn by women across South Asia -- they target offending males who have over-stepped the mark.

The punishment? Humiliation, sometimes worse.

Their motivation is painfully clear. Every single girl in the so-called "Red Brigade" has been a victim of sexual assault -- some have even been raped by their own family members, they say.

In most cases, the crimes have gone unpunished and the victim left to suffer the trauma in silent shame. These girls have been forced to act, they say, because no one else will.

OPINION: Rewiring of society's attitude needed

Cultural stigma

While sex crimes are not exclusive to India, the number of reported rapes there has increased dramatically, from 2,487 in 1971 to 24,206 in 2011, according to official figures. But campaigners say this is the tip of the iceberg.

Most women in India -- a country where a cultural stigma keeps many victims from reporting the crime -- have stories of sexual harassment and abuse on public transportation or on the streets, according to the Indian Council on Global Relations.

The issue appeared to reach a tipping point in India in December last year, when a 23-year-old woman was raped and fatally beaten by a group of men while traveling home on a public bus in Delhi. The attack provoked outrage across the world and sparked nationwide demonstrations in India, as protesters called for tougher laws on sex crimes and a change in attitudes towards women.

With global attention trained on India following the appalling case in the capital, the authorities acknowledged that action was needed. Home Minister Sushilkumar Shinde said India plans to recruit more female police officers -- currently only 7% of the Indian police force is female, according to government figures. The first fast-track court hearings have also been introduced to try to expedite cases in a justice system bogged down by red tape. It means sessions of the trial, once it begins, should take place nearly every working day until a verdict is reached.

Still, new cases continue to shock the nation, such as the 7-year-old girl who was raped in a train bathroom last weekend after she was lured away from her parents.

OPINION: Death penalty not the solution

Fightback on

The fight against sexual discrimination on the streets of Lucknow preceded the international attention on sex crimes in India. The self-defense group was started several years ago by teacher Usha Vishwakarma, who discovered that an 11-year-old girl she taught in the modest school block opposite her family home had been raped by her uncle.

Not long after this revelation, Vishwakarma found herself facing the unwanted attention of a colleague, who then tried to attack her. She managed to fight him off, but when she tried to report the incident, the local police were unimpressed. No one seemed to care.

"This really upset me. It really affected me -- I would see any man in the street and would get upset and angry," Vishwakarma, 26, told CNN. She said people in her community thought she had gone mad. But still nothing happened to her attacker.

Eventually she learned that all of her students had experienced some form of abuse -- from lewd comments and cat-calls, to molestation and rape. Many of the girls said they were afraid to go out alone for fear of being groped or worse. It was then that Vishwakarma decided the girls had to protect themselves amid the deafening silence from within their own community.

The "Red Brigade" was born -- the red in their uniform is to symbolize danger and struggle, while the black represents protest.

In groups of four or five, the girls approach males deemed to be harassing a girl and order them to stop. If the perpetrator refuses to heed their warning, they punish him by mocking him publicly -- a significant slight in such a male-dominated society. Vishwakarma admitted they have been forced to resort to violence on more than one occasion -- though she emphasized this doesn't go beyond slapping.

"The whole idea is to humiliate them," she said. "We are well within our rights -- this is self-defense. The police are not supportive so we have to defend ourselves."

Martial means

And defend themselves they can, if their regular martial arts classes are anything to go by. In a dusty gym on the other side of town, the girls -- 15 of them -- are put through their paces on threadbare mats by a local Kung Fu instructor.  He drills them in several techniques, from punching and kicking, to breaking the hold of an attacker approaching from behind. A faded picture of martial arts legend Bruce Lee gazes down approvingly, as each of the girls attacks the instructor's padding with intense focus and conviction. They have plenty to be angry about.

Gyan, their instructor, explained that he's teaching the girls for free. "I'm doing it for my own daughter," he said.  "These girls are brave and what they are doing is humbling."

The session ended with the girls lining up and bowing respectfully at their instructor. They have clearly learned how to channel their anger -- an asset on the unforgiving streets outside.

But it's not just Kung Fu training the girls receive -- the group provides a lot of support on gender issues, sexuality and health. It even helps younger children to attend school.

Protest

Hours later, the girls were joined by several other supporters for a protest on the side of a busy highway in the center of Lucknow. Led by Vishwakarma, the girls held placards in English and Hindi demanding safety for women and chanted for stricter punishment for sex offenders.

The scale of their task is perfectly illustrated by this small band of determined girls fighting against the tidal wave of Lucknow's late afternoon traffic. Some commuters clinging from buses look quizzically at the small protest, while others ignore the scene completely.

Asked whether they are dealing with a deep-rooted cultural problem, Vishwakarma's 16-year-old sister, Lakshmi, shook her head emphatically. "This is not a cultural problem -- it's a social problem because men have a higher social status than girls."

The roadside protest may only have attracted a small number of people, but for Vishwakarma, the Red Brigade is making a difference. "Those who were voiceless before -- the girls -- now have a voice. Now they speak for themselves and are emboldened," she said.

With two daughters campaigning against a hugely divisive issue in India, Vishwakarma's mother admitted she had reservations about what they were getting into.

"I was scared initially -- I asked 'why is she was doing this?' There was also a lot of pressure from within the neighborhood that she should not be doing what she was. Because she would hold meetings late at night, people would say 'your daughter is not coming back home until late at night, which is not good.'

"Then someone said to me 'let her to what she wants to do.' I now feel what they are doing is good and helping to bring a lot of change -- many boys who used to harass girls no longer do so because they are scared."

Asked where she gets her courage from, Vishwakarma replied simply: "When you suffer, you get that courage. When you are victimized, you get that courage."

@highlight

The Red Brigade is a group of young girls fighting against sexual abuse

@highlight

Many sex crimes against women go unreported in India due to cultural stigma

@highlight

Rape of a young girl on a public bus in Delhi in December provoked outrage

@highlight

Many feel women's issues, including sexual abuse, are not taken seriously