Bellefonte, Pennsylvania (CNN) -- Five men and four women have been selected to be jurors in the Pennsylvania trial of Jerry Sandusky, the former Penn State assistant football coach charged with child rape.

About 220 potential jurors reported for duty Tuesday, after the court whittled the number to about 600 based on answers to questionnaires sent to prospective jurors' homes. Of those, about half were sent home and asked to return Wednesday.

"We are now making good progress," Judge John Cleland said late Tuesday afternoon.

Twelve jurors and four alternates will eventually be selected.

Sandusky, 68, has been under house arrest since being charged with sexually abusing 10 boys for at least 15 years. Prosecutors allege he met some of his accusers through Second Mile, a charity he created for underprivileged children.

He has pleaded not guilty to the charges. He and his attorney, Joe Amendola, were in attendance Tuesday.

Keys to the case against Sandusky

Opening statements are expected to begin Monday, the judge said, and the trial is likely to last about three weeks.

Sandusky supposedly wrote love letters to one of his alleged victims, Victim 4, ABC News reported late Tuesday. They will be read into testimony, ABC said.

When asked by CNN about the report, the attorney for Victim 4, Ben Andreozzi, said he expects that letters from Sandusky to his client will be introduced at trial, but declined to comment on their content.

Gifts Sandusky allegedly gave to Victim 4 may also be introduced as evidence by prosecutors, according to a source close to the case. Those gifts could include golf clubs and football jerseys, the source said.

A source close to another alleged victim, Victim 1, said Victim 1 received birthday cards and notes from Sandusky, but that they were not sexually explicit in nature. They included statements such as, "I love you," but did not contain anything overtly sexual, that source said.

Authorities allege that Sandusky abused some of the boys on the Penn State campus. The case has shaken the university, raised questions about its response to the allegations and drawn criticism from those who claim Penn State put its reputation ahead of protecting potential child victims.

University President Graham Spanier and iconic head football coach Joe Paterno lost their jobs soon after Sandusky's arrest amid criticism that they did not adequately handle the matter when allegations involving Sandusky arose years earlier. Paterno died of complications from lung cancer in January.

Mike McQueary, a former graduate student considered to be a key witness in the Sandusky case, has testified that he alerted Paterno in 2002 that he'd seen what appeared to be Sandusky sexually assaulting a boy in a shower in Penn State's athletic facilities, an allegation that authorities didn't learn of until years later.

Paterno apparently told the university's athletic director, Tim Curley, but no one notified police. Curley and Gary Schultz, Penn State's senior vice president for finance and business, are now facing felony charges of perjury and failing to report the allegations to authorities.

Prosecutors said later that the McQueary incident took place about a year earlier than was originally alleged, causing defense attorneys for Curley and Schultz to argue that one of the charges should now be dropped. Both of them have pleaded not guilty, and their attorneys have said that prosecutors "charged this case before (they) knew the facts."

Potential jurors were asked Tuesday about their relationships with Penn State, local law enforcement and Second Mile, and whether they had contributed to any of those entities. Several reported knowing Sandusky or his wife, while others said they had volunteered at Second Mile. Others said they were current or former Penn State employees.

Prosecutors plan to call more than 50 witnesses during the trial, and the defense plans to call about 100, including Jay and Sue Paterno, Joe Paterno's son and widow; McQueary; his father, John; and Spanier, among others.

The prosecution is preparing witnesses for their testimony next week, according to several sources close to the case. The 28-year-old man known as Victim 4 is expected to testify first, with Victim 1, who started the investigation by coming forward in 2008 and alleging years of abuse, to follow, the sources said.

McQueary and his father were told to be in town and ready to testify next Wednesday or Thursday, one of the sources said.

Cleland told members of the jury pool that jurors in the case will not be sequestered, saying he will trust them not to read newspapers or follow the case online.

He told the prospective jurors that after he speaks with them, groups will be taken to another room for questioning and then to a different room for more questioning from the judge and attorneys.

If they are selected, he said, they will be taken to a different room. "We're using all the rooms," Cleland quipped as pool members chuckled.

Sandusky listened intently to the judge as he spoke to the jury pool, also chuckling at times. But he looked down when the judge discussed the charges against him.

As jury selection in the case began Tuesday, Penn State released a statement, saying, "The acts that Jerry Sandusky is accused of committing are horrible and if proven true, deserve punishment."

The university said it would not comment on the specifics of the legal case, but said it hopes that the trial "provides answers we are all seeking" and that "the legal process will start to bring closure to the alleged victims and families whose lives have been irrevocably impacted and that they can begin the healing process."

Several of Sandusky's alleged victims, including Victim 4, asked a judge to protect their identities at trial. However, Cleland ruled Monday that the alleged victims' identities may not be concealed during the trial, although they will be protected through the jury selection process.

"Courts are not customarily in the business of withholding information," Cleland's ruling said. "Secrecy is thought to be inconsistent with the openness required to assure the public that the law is being administered fairly and applied faithfully."

Prosecutors in Sandusky case present new, graphic details

But, the judge noted, "It is also to be hoped that various news organizations that will report on the trial will use what has become their professional custom to protect the privacy of alleged victims."

CNN generally does not identify alleged victims of sexual assault.

Victim advocacy groups criticized the judge's decision late Monday, expressing their hope that it would not have a chilling effect on the reporting of child sexual abuse.

"The judge placed a significant burden on this class of victims by stating that they have 'a duty to the community to testify' about the crime, but denying them privacy protections in exchange for that testimony. By bravely coming forward, victims serve in the interest of public safety; they should be assured that their privacy will be protected," the Pennsylvania Coalition Against Rape, the National Center for Victims of Crime and the National Crime Victim Law Institute said in a joint statement.

"In society, sometimes we question why rape victims are reluctant to come forward," Andreozzi, attorney for Victim 4, said Monday after the ruling. "So now we have our answer. ... We are disappointed."

"We are not asking to close the courtroom, only to use a pseudonym," he said.

His client will still testify, he said, "but at what expense to his emotional well-being?"

He said he expects the defense to attack his client on the basis of a meeting he had with Sandusky in the years after the alleged abuse.

"My client couldn't break free," said the attorney, describing the relationship between Victim 4 and Sandusky as "complex."

Psychologist flagged Sandusky as 'likely pedophile' in 1998 report

After news of the scandal broke last year, The New York Times published an extensive interview in which Sandusky attempted to clarify his relationships with young people.

"If I say, 'No, I'm not attracted to young boys,' that's not the truth," he said, according to the story. "Because I'm attracted to young people -- boys, girls -- I ..."

His lawyer, who was present at the interview, spoke up at that point to note that Sandusky is "not sexually" attracted to them.

"Right. I enjoy -- that's what I was trying to say -- I enjoy spending time with young people. I enjoy spending time with people," Sandusky continued. "I mean, my two favorite groups are the elderly and the young."

CNN's Susan Candiotti, Ross Levitt, Jason Carroll and CNN contributor Sara Ganim contributed to this report.

@highlight

The jury includes five men and four women

@highlight

More than 150 witnesses are expected at the trial

@highlight

Sandusky, 68, faces charges of child rape

@highlight

Prosecutors allege that he abused 10 boys for more than 15 years