(CNN) -- On June 28, 2007, Nokia was the top selling mobile-phone company in the world, people stopped working when they left their computers, Android phones didn't exist, and high-powered executives were addicted to thumbing on their BlackBerrys.

The next day, Apple's first iPhone went on sale.

At $600, it was a luxury item at first. But five years later, the phone's dramatic impact can be seen in our daily lives, schools, factories and boardrooms. To date, more than 217 million iPhones have been sold, and they're being used by construction workers to read blueprints, doctors to diagnose patients, governments to improve services and parents to quiet their kids in restaurants.

To ring in its 5th birthday, here are five ways the iPhone has made a mark on the world.

Photos: Our mobile 'addiction'

A new way of interacting with computers

In 2007, we were a nation of skilled texters, banging out OMG-filled coded messages at lightning speeds on numerical keypads and physical keyboards. The iPhone was lacking either of those, instead offering a nothing-but-screen keyboard.

It was a classic Apple move toward dead-simple usability, and it helped bring a slice of computing to a whole new audience, including technophobes, kids, senior citizens and people with visual or hearing impairments.

Suddenly, users could navigate their phones with a few swipes of the finger. Kids intuitively seemed to know how to use it. And the phone ushered in a new wave of touchscreen devices.

After the hefty price tag, the lack of a physical keyboard was the first complaint many reviewers lodged against the iPhone. It didn't scare off consumers, though, and Apple sold a million iPhones in less than three months. Typing speeds on the iPhone still may not rival a pair of BlackBerry thumbs at their peak, but predictive-text software, spell check and, later, cut and paste have made it a usable alternative.

In October, Apple tried to shake up input again with the introduction of the Siri voice-assistant feature. The voice-recognition technology encouraged users to speak commands and questions instead of of tapping them in on the screen.

Rise of the app

The iPhone's killer feature was not that tough, expansive glass touchscreen. It was the mobile operating system, iOS, and the tightly controlled App Store released a year later in 2008 that made the iPhone into, well, whatever you wanted it to be.

The original device was useful enough: It shipped with a built-in Apple apps for checking the Internet, weather, e-mail, texts, stocks, calendars and the time. But when the App Store opened, people suddenly had access to a stockpile of well-designed third-party apps, and developers were able to build an astonishing variety of custom apps.

With the right app, an iPhone could track the sun, sync shopping lists, be a drum machine, take restaurant reservations, be a cash register. Meanwhile, Apple's TV ads made "there's an app for that" into a catchphase and a headline cliche.

In classic Steve Jobs style, Apple took complete control of the sales and app-approval ecosystem. Apps have to be approved by Apple before they can be sold, meaning fewer spam apps and viruses make it through to consumers. It also means the company can reject apps as it pleases -- say, when a feature competes with an Apple product -- to the occasional displeasure of the developer community.

The App Store has also created a new mini-economy. Apple has paid out more than $5 billion to developers, and that's after taking a 30% cut off all app sales for itself. Today, there are more than 650,000 mobile apps available in the App Store, ranging from free to $1,000 for specialized business applications.

24/7 Internet

The iPhone ushered in an age of all Internet, all the time. For better or worse, it's blurred the lines between work and home lives, made communication a round-the-clock habit and led to a host of new rules about when and how it's appropriate to use smartphones (not while walking, driving, playing trivia or on a date, please).

The phone, whose price soon dropped to $200 or less with a two-year wireless contract, gave users instant access to a multitude of ways to communicate: texts, e-mail, Twitter, Instagram, Grindr, Foursquare, Facebook, FaceTime. There's even a so-so phone on there. Mobile phones had limited Internet access before the iPhone, but the device's browser was a huge improvement, displaying webpages more like they actually looked on a desktop computer.

All this connectivity brought a new disorder: smartphone addiction. A recent study by gadget-resale site Gazelle found that 15% of respondents would rather give up sex than go without their iPhones for a weekend. That type of titillating stat is not surprising to anyone for whom the iPhone is the last thing they see at night and first thing they check in the morning.

Supply-chain activism

As Apple grew from underdog into the largest company in the world by market cap (it made $108 billion in 2011), its manufacturing chain was pushed to greater and greater limits -- and into the spotlight. The Foxconn plants in China that produce Apple's iPhones, iPads and other products were called out in the press and by activist groups for poor working conditions, long hours and low wages.

While bad press for Apple, the controversy drew much-needed attention to electronics supply chains. The Foxconn plant was called out for producing Apple products, although it also assembles products for other major electronics companies including Microsoft, Nintendo, Sony and Intel.

To quell the backlash, major tech companies are feeling the pressure and changing how they operate. When he took over as Apple CEO, Tim Cook agreed to allow a third party, the Fair Labor Association, audit its China factories and address any issues that were found. And just this week, Google unveiled a media-streaming device, the Nexus Q, which is made in the U.S.

An industry revived

The iPhone may have helped kill the BlackBerry, but it gave birth to a new beefed-up genre of mobile devices. Google went on to release its own more developer-friendly mobile operating system, Android. Microsoft threw its hat into the ring with Windows Phone OS. Most major mobile phone companies now produce touchscreen smartphones.

Some might say the iPhone and its cousin, the iPod Touch, helped spawn the larger iPad, with its identical touchscreen interface. That hit device was birthed in 2010 and quickly created a new gadget market, leaving rivals scrambling to catch up. Now Amazon, Google and Microsoft all have new or forthcoming tablets.

The iPhone's popularity as a portable gaming device -- oh, how we love flinging virtual birds at virtual pigs! -- also helped usher in a new era of mobile gaming.

Five years after the iPhone hit the market -- and the culture -- the tech industry as a whole is thriving and innovating. It probably won't be another five years before the next big thing shakes up technology again.

'CrackBerry,' Jelly Bean, Apple get just desserts

@highlight

iPhone went on sale June 29, 2007, when Nokia and BlackBerry ruled the phone world

@highlight

Despite its hefty price tag ($600 for the basic model), the iPhone was an immediate hit

@highlight

The phone helped pioneer touchscreen interfaces, mobile apps, smartphone addiction