(CNN) -- If you've seen "The Social Network" or taken a few minutes to really look at your Facebook page, you may have started to figure out that what you get out of Facebook and what Facebook gets out of you are very different things. As a MetaFilter commenter once said, "If you're not paying for something, you're not the customer; you're the product being sold."

This week, Facebook acquired the hugely popular 2-year-old photo-sharing site Instagram, paying an astounding $1 billion. Even though it was available only on Apple devices until last week, Instagram has attracted 30 million users who upload about 5 millions photos every day. With its filters and other features, Instagram helped make amateur photography a lot better-looking.

Aside from picking up a bunch of snap-happy users who'll push their Instagram photos to their Facebook timelines, what is it that Facebook really gets from its big purchase? After all, Facebook already has smart ways to display pictures, and users are uploading 250 million of them each day. So it's not more pictures that Facebook needs.

Sure, the deal will help Facebook get a hook in the mobile market. That's important because Apple hasn't made it easy for Facebook to move its empire onto smart phones despite a fairly snazzy app. Facebook only has to look at the numbers to know that more and more people are doing what Steve Jobs once referred to as "interpersonal computing" on their handheld devices.

That's all good stuff for Facebook. But there's something Facebook gets from buying Instagram that could be even more valuable in the long run.

When you are the product, Facebook needs to sell you to somebody; namely, the advertisers. It's a pretty straightforward transaction: Someone pays Facebook and uses the copious and detailed information that Facebook has gathered about you to stick a targeted message into the "sponsored" message area of your screen when you log in to your account.

The problem is that right now, most of those ads feel like spam, or at least slightly improved versions of those horrifying ads for miracle creams and belly fat reduction that have been all over Internet.

To help make those ads more interesting, Facebook has come up with something it calls "Sponsored Stories." You may have seen them show up. They're your friends' posts being repurposed as ads and placed straight into the sponsored section of your Facebook page.

Posts as ads may sound scary, but in a world where we're constantly being bombarded with advertisements, there's something almost comforting in knowing that your friends are slowly becoming a more powerful tool for advertising than many of those million-dollar ad agencies pushing Budweiser or insurance policies at you. Certainly, you're more likely to care more about the endorsements of your friends than any celebrity, even if it's Angelina Jolie.

But so far, most of those "Sponsored Stories" are primarily made from words. With only a tiny bit of space for a sponsored ad, a picture can be worth a thousand words. And here comes Instagram's role: By allowing people to push their images straight into their Facebook feeds (and straight out again as a commercial), Facebook has a unique powerful tool for integrating images in a way that were only dreamed of before.

How would it work? Imagine that I take a picture of a new Fiat 500 through Instagram and posted it to my Facebook timeline along with my text. "Just saw the new FIAT 500. Looks cool! (Like!)" Facebook will want to sell that post back to Fiat as something the car company can promote on my friends' pages. Turning that image into an advertisement means that my endorsement stays on my friends' pages long after the original post has been topped by other updates.

Because Facebook usually gets paid only if someone clicks on an ad, this kind of advertisement works to its advantage, since it is way more personal, is way less spammy and adds genuine value to your experience. ("Andrew is into Fiats? I'll have to call him up when I buy mine.")

Like it or not, brands are something that have been deeply integrated into the fabric of our lives (as has Facebook). Facebook's success proves that most of us don't mind sharing our lives directly with our friends. After all, it's a less lonely life when you know that your friends have something to say about everything you do. By using Instagram's images to sell that feeling of personal connection directly to advertisers, founder Mark Zuckerberg can grow Facebook's ad revenue while creating a marketing experience that seems more personal and seamless to the users.

For a company that's about to go public and already competing head to head against brilliant, powerful businesses like Apple and Google, adding the power of images to its mix of personal stories and marketing seems like a smart move.

The opinions expressed in this commentary are solely those of Andrew Mayer.

@highlight

Facebook acquired the popular photo-sharing site Instagram for $1 billion

@highlight

Andrew Mayer: Deal will gain Facebook users and a stronger hook in the mobile market

@highlight

He says the real use of Instagram is to help Facebook grow its advertising revenue

@highlight

Mayer: It's a smart move for Facebook to try to create a more personal marketing experience