(CNN) -- The U.S. Coast Guard and Environmental Protection Agency on Saturday authorized BP to use chemical dispersants underwater to help break up the oil leaking into the Gulf of Mexico.

BP and other authorities have already used more than 436,000 gallons of dispersants on the ocean's surface, but the Coast Guard says using it underwater could be even more effective.

CNN takes a look at what dispersants are, how they work and what other effects they may have on humans and the environment.

What are dispersants?

Dispersants are a common product used to clean and control oil spills in the ocean.

They are special fluid chemicals that bond to the oil molecules and separate them from water molecules, thus breaking up the oil. The result is tiny oil droplets that can biodegrade more quickly than a mass of oil.

Though they are chemicals, they are generally less harmful than the highly toxic oil, the Coast Guard and EPA say.

How are dispersants used?

Dispersants are usually used on the surface of the ocean and distributed by aircraft flying over an oil spill. BP said this week it has made more than 120 such flights to spread dispersant in the Gulf of Mexico.

Using it underwater is a new idea, and BP says it hopes to inject the dispersants directly into the oil flow at a point close to the main leak on the seabed. The technique could help break up and disperse the oil before it reaches the surface, BP says.

Are dispersants harmful to the environment?

Experts say dispersants, while toxic, are much less toxic than oil. Using them on an oil spill produces the "lesser of two difficult environmental outcomes," says EPA administrator Lisa Jackson.

But some experts, including Ken Rosenberg of Cornell University's Lab of Ornithology, say dispersants still pose a problem for the environment.

"Almost certainly it's going to have major effects down in the water to the marine life and, ultimately, this is the same marine life on which the birds and animals on the surface are dependent," Rosenberg told CNN.

Scientists have warned that fish eggs and larvae, shrimp, coral and oysters are potentially most at risk from dispersants. The chemicals can also contaminate the skin of ocean-farmed fish if their cages are near where dispersants are used, according to the International Tanker Owners Pollution Federation, a nonprofit group that offers technical guidance on cleaning up spills.

Do dispersants pose any harm to humans?

The dispersant being used by BP is made by the Nalco Holding Co. based in Naperville, Illinois. The company would not discuss the exact chemical makeup of the dispersant, Corexit 9500, in part because the formula is a trade secret.

Corexit 9500 comes with a warning that it can cause irritation to the eyes, skin and respiratory tract with prolonged contact. Toxicologists and environmental scientists say, however, that dispersants are unlikely to cause immediate harm to people.

Charlie Henry, scientific support coordinator with the National Oceanic and Atmospheric Administration, has said the dispersants being used in the Gulf show "fairly low toxicity."

CNN's Caleb Hellerman contributed to this report.

@highlight

Dispersants are a common product used to clean and control oil spills in the ocean

@highlight

They are chemicals, but less harmful than the toxic oil, Coast Guard and EPA say

@highlight

BP will try using dispersants underwater to break up oil gushing into Gulf of Mexico