LAUREL, Maryland (CNN)  -- Seth Owusu knew at a young age that he wanted to help his countrymen.

Seth Owusu shows children in his native Ghana how to use a computer during his visit in June.

"I came from Ghana," Owusu recalls. "It all started when I was in primary school and we had some missionaries come to the school."

The visit touched Owusu, who was 8 years old at the time. He tried to figure out why these missionaries had journeyed so far.

"I couldn't understand why somebody would travel thousands of miles just to come to a very rural, poor dirt road," he said. "I thought it was great. I wanted to transfer that feeling to somebody else."

That passion followed Owusu when he immigrated to the United States at age 24. He began working at hardware store, where he was tasked to pick up and deliver items.

Owusu used a small bar code scanner to enter information about the items he'd pick up, his first encounter with a computer-like device. "I had no idea what a computer was," he said.

After work one day, he went home and decided to learn as much as he could about computers.

Just after he graduated from a technical college, Owusu established Entire Village Computer Organization, a small nonprofit organization that donates refurbished used computers to schools. He runs EVCO with the help of four volunteer staff members in Ghana.  Watch Owusu and children with the new computers »

EVCO goes much further than simply dropping off the computers in villages.

"We make a three-calendar-year commitment because we don't want it to be a teaser, where it's working two months and after that, it's gone," Owusu said.

He says technicians go to the schools if there is a broken computer, and they also show teachers how computers can be fixed if they fail again.

Owusu and other members of EVCO spend hours in each village, not only installing and teaching about computers, but also giving motivational speeches and teaching about other topics.

"In the donation ceremony ... we have everybody there," Owusu said. "We talk about how the Internet has revolutionized everything; how we live in the global community. We talk about staying in school. We talk about HIV/AIDS. We talk about kids' behavior, peer pressure. We talk about a whole range of things. So it's a community affair."

Before each trip to Africa, Owusu picks up and refurbishes donated computers, doing most of the work himself. The garage and his shop in the basement of his home in suburban Maryland are crowded with piles of CPUs and monitors.

But most of the work goes into planning his trips, he says. Much of his free time is spent combing through applications from various villages and working out logistics.

"Before we visit a village, it takes about six months," he said. "My wife, she thinks I'm crazy ... I work eight hours and I come home, and the moment I sit down ... I work for the next eight or 10 hours."

Owusu traveled to Ghana again late this spring and was able to incorporate a new program -- this time for younger children who have traditionally been left out.

"There's nothing we can give them, other than little school supplies and soccer balls and things like that," he said.

The new program, Photos and Fun, lets the children take photos and display them in classrooms.

"Most of these kids haven't ever seen a digital camera before," Owusu said.

Last year, EVCO also began to donate computers to villages in Nigeria. Owusu hopes to add one more African country to the list each year.

"If we can go to a country and plant the seed there, this program can take care of itself," Owusu said. "We can be a major player in education in rural communities and help the people who need help and cannot get it."

EVCO has donated 120 computers and visited 18 villages in Ghana and Nigeria. Owusu says the nonprofit group has seen an improvement in villages and a higher interest in education in schools that have received EVCO donations.

"The first school we donated to in 2005 ... the population was 700 when we donated the computers. Two years later, the school grew to 1,300 students.

In order for Owusu's dream to come true, he has had to sacrifice many things. "I sold my house in 2006 to support one of the trips," he said.

He works in the "Geek Squad" department at a Best Buy electronics store in Washington. He says his employer has been very accommodating, but because of the economy, his hours have been cut. He recently decided to step down from his supervisor position because it was too demanding and he wasn't able to put in the hours needed to spend with EVCO.

But for Owusu, it's all worth it. "It's been amazing," he said. "It's been just amazing."

@highlight

Seth Owusu grew up in Ghana, where he was inspired by missionaries

@highlight

After he moved to the United States, he trained in computers

@highlight

Owusu runs a charity that takes refurbished computers to his native country

@highlight

He and his staff see more interest in education in villages that receive donations