Beijing (CNN)Diplomacy can be a lot like theater -- with a whole cast of characters jostling for spotlight and applause.

On the world stage, Chinese President Xi Jinping has emerged as a force to be reckoned with since he took the leading role in the world's most populous nation in late 2012.

For the 61-year-old Xi -- considered China's most powerful leader in decades -- his marquee appearance last November as the host of a global summit has offered good clues on his future moves.

During the 2014 Asia Pacific Economic Cooperation gathering in Beijing, Xi met and entertained more than a dozen other leaders from countries that have been called China's friends, enemies and -- more often than not -- "frenemies."

No "frenemy" relationship is more important -- or complex -- than that between the United States and China, the world's reigning and emerging superpowers with huge bilateral trade as well as conflicting strategic goals.

"It's difficult to find space on containers -- ships are full even in normally slow seasons," said Ben Schwall, an American buyer of lighting equipment based in southern China.

His optimism on the rebounding U.S. demand for Chinese-made goods echoes the sentiment of many analysts, who see the world's two largest economies cooperating more on the economic and trade front.

Tensions remain high, however, over geopolitical issues ranging from alleged state-sponsored cyber attacks, to territorial disputes involving what Washington views as Beijing bullying its smaller neighbors.

With China's defense budget growing at a double-digit rate annually, Xi -- who also heads the ruling Communist Party and the world's largest standing army -- hasn't been shy in showing off the country's latest military wares, including its first aircraft carrier and a new generation of stealth fighter jets.

China's fast-expanding global clout comes as the administration of U.S. President Barack Obama -- whom Xi met several times during the APEC gathering -- finds its hands tied by a host of other domestic and international issues.

"Obama's famous 'pivot to Asia' policy has been disrupted," said longtime political analyst Willy Lam with the Chinese University of Hong Kong.

"He is still keen to assert U.S. supremacy in Asia Pacific -- so the U.S. will continue to boost ties with Vietnam, Philippines and India to form a wheel to contain Chinese influence."

Shi Yinhong, an international relations professor at Beijing's Renmin University, predicts increasing confrontation between Beijing and Washington - a worrying prospect as Xi is set to make his first state visit to the United States in September.

"The U.S. government will have to decide whether it's going to accept China's strategic interests in the western Pacific."

These interests include a group of tiny, uninhabited islands in the East China Sea, claimed by China as well as Japan, a key U.S. ally in Asia.

Diplomatic ties between the two historical rivals had soured so much over the dispute that both sides resorted to invoking Voldemort, the fictional villain in the Harry Potter books, in their heated rhetoric about each other.

Amid rising fears of potential military clashes, Xi finally agreed to meet Japanese Prime Minister Shinzo Abe during the APEC summit -- for the very first time since they took power in their respective countries.

Despite their now-infamous photo-op -- with Xi barely looking at Abe as they awkwardly shook hands in front of a sea of flashing cameras -- many others have managed to look beyond the two men's frosty demeanors.

"The two governments have resumed some senior-level talks -- that's remarkable progress," said Shi, the Chinese professor in international relations.

"But China will still confront Abe as well as talk to him -- it'll do a combination of both."

Indeed, while Chinese foreign affairs and defense officials have attended recent bilateral talks in Japan, Beijing has reportedly started building naval facilities in an island near disputed waters and also announced plans to hold a rare military parade in September -- with state media describing a major goal being to "frighten Japan."

Besides Japan, though, China seems to have adopted a similar two-pronged approach in the South China Sea, where it is locked in a bitter territorial dispute with several Southeast Asian nations over another group of uninhabited islands sitting on resources-rich waters.

"On one hand, China is trying to ease tensions; on the other hand, it's staking out bigger claims in the South China Sea," said Hong Kong analyst Lam.

"Some of China's nervous neighbors are asking: Shall we call on the U.S. to boost defense cooperation or shall we come to terms with the Chinese?"

One neighbor that seems to be seeking a third option is North Korea.

Long considered close Communist allies whose "great friendship cemented in blood" from the Korean War, China and North Korea have grown apart in the past decade with Pyongyang's steadfast refusal to negotiate its nuclear disarmament.

Relations have become further strained after Xi came to power -- and recent reports by China's state media on North Korean army deserters killing Chinese civilians in border towns in several armed robberies have created a strong public backlash.

"They keep demanding things from China and China has received very little in return," said Deng Yuwen, a former editor of an influential Communist Party journal who was once punished for calling on China to abandon the Pyongyang regime.

"This kind of one-way relationship is not sustainable," he added, pointing to the lifeline China provides to North Korea through energy supply and trade.

"A new leader would certainly want to change this, especially because North Korea -- which is like a spoiled brat -- can't change its ways."

Breaking with tradition, Xi has yet to agree to a meeting in Beijing with North Korea's young supreme leader. Kim Jong Un's first official overseas trip, instead, is reported to be a visit to Moscow in May -- a sign of his effort to pursue other allies.

"Once he's traveled around, Kim will realize North Korea can't live without China," predicted Deng.

"They want to get close to Russia, but Russia has too many of its own problems to worry about."

Like other great powers before it, China is facing more and more tough choices in international affairs.

Adopting the "carrot and stick" approach, Beijing now dangles cash or flexes muscles in front of various countries -- and throws in a charm offensive starring its glamorous singer First Lady when needed.

As he amasses ever more power at home, a self-confident Xi has been expanding China's influence around the world, even in regions long considered out of its reach like Africa and Latin America.

"Xi is changing China's foreign policy, which will be much more proactive in the foreseeable future," said Shi. "He's very different from his predecessors -- he's obviously more hardline."

As China prepares to usher in the Year of the Sheep, which begins on February 19 based on the lunar calendar, few expect to see President Xi take any meek steps on the global stage in 2015.

@highlight

No relationship is more important -- or complex -- than that between the United States and China

@highlight

China is becoming bolder in territorial disputes in the East and South China seas

@highlight

China and North Korea have grown apart in the past decade, leader seen as "spoiled brat," analyst says