(CNN) -- The top ski destinations know that pleasing the downhill crowd is only part of the snow-filled picture.

After all, in the United States alone winter at ski resorts is a $6 billion a year industry, according to the National Ski Areas Association.

Mountain biking, Frisbee, golf and zip line adventures are a few activities popular at ski resorts during the "green" season, but what's a non-skier to do when the landscape is white? If you've had your fill of snowmobiling, sleigh riding and tubing, here's a smattering of extraordinary pastimes for non-skiers at some of the premier U.S. ski meccas.

7 swanky hotels on the U.S. slopes

ALTERNATE ADVENTURES

Snowkiting in Dillon: If you prefer waterskiing to snow skiing, don't shy away from Colorado's triple-threat of Breckenridge, Keystone and Arapahoe Basin ski resorts â€” even if it's the middle of winter. In a location centrally located to the three ski areas, Colorado KiteForce is replacing downhill thrills with a new winter sport sure to get your adrenaline pumping. It involves a frozen lake, but no ice skates. Instead, strap skis or a snowboard on your feet and let kite power pull you across the frozen tundra of the Dillon Reservoir. It's like windsurfing on the ocean, but with a frosty twist. A two-hour beginner lesson is $175 per person; group rates are available.

7 stunning European ski lodges

Snow biking in Telluride: Mountain bikers flock to Telluride, Colorado, from spring to fall, but there's no reason to stop riding when the snow falls. Local outfitter BootDoctors offers tours on "fat bikes"-- mountain bikes with oversized wide tires that can be ridden on traditional bike trails but excel in the snow. Rentals are $39 per day, including a helmet. Guided Big Tire Bike and Brew trips, which end with a tour and tasting at Telluride Brewing Co., are $99 for a half-day and $149 for a full day.

Newfangled snowshoeing at Lake Tahoe: The option of snowshoeing is nothing new to non-skiers, but at California's Northstar resort, the normally low-key concept is evolving into a competitive sport. Along with tours tailored to families, stargazers and those who want to snowshoe by moonlight, the resort also hosts snowshoe skills and running clinics, a.k.a. intense workouts for the athletes among us. Once you're up to speed in your snowshoes, take part in the Snowshoe Social & Race Series, with upcoming competitions January 27 and March 23.

Winter safaris in Yellowstone: Guests at the Four Seasons Resort in Jackson Hole, Wyoming, may opt for enhanced access to the wildlife of Yellowstone National Park on small-group winter safaris. Five guests at a time can join a wildlife biologist and a naturalist on a four-hour journey tailored to the group's wishes. Gourmet snacks are served inside the Mercedes SUV, and safari riders enjoy the use of Swarovski spotting scopes and binoculars. Included in the price, but not guaranteed: appearances by elk, moose, bears, eagles and bighorn sheep. Cost depends on size of group, starting at $125 per person.

FOOD & BEVERAGE BUZZ

Go gourmet in the Green Mountains: Adventure dining may not be an Olympic sport, but you'll wish it were after you indulge in a five-course feast inside the Killington Ledgewood Yurt in Vermont. It's a unique wilderness retreat accessible only by sleigh and may be the closest you'll come to dining in a Hobbit hole. The yurt's executive chef can cater to special diets upon request, but the regular menu includes signature prime cuts of meat and local New England produce. Alcohol is additional and there are set "family nights" with a different menu and lower rates. Make advance reservations for this Friday or Saturday night adventure; regular Friday night rates start at $109.

Revel in the Rockies: You won't needs skis, snowboards or skates to enjoy the scenery at 10,700 feet, but you will need to take the Zephyr Express chairlift up the mountain to be wowed at Winter Park. The moon lights the way as you rise above the Continental Divide and the spectacular Fraser Valley, en route to an award-winning parade of Colorado culinary delights in the dining room of The Lodge at Sunspot. A three-course Easter brunch is also an option this year on March 31. Rates vary.

Brewing up fun in Breckenridge: If your taste leans more toward choosing small batch bourbon or bitters over green trails or blue, you have reason to head for Breckenridge well beyond the action on the slopes. The awards keep piling up for the spirits made at the Breckenridge Distillery, which bills itself as "the world's highest." A tasting room and tours make this a destination worth checking out -- and here's why it's unique: The bourbon whiskey is made from Rocky Mountain snowmelt, and hand-harvested alpine herbs go into creating the bitters.

COOL CLASSES

All about Alta: Give your brain a break and sit down for a fireside chat with historians, musicians, documentary filmmakers and ski experts brimming with local lore about Utah's Alta Ski Area, celebrating its 75th birthday in 2013. Area ski resorts and the Salt Lake City REI store take turns hosting this popular lecture series run by the Alta Historical Society throughout the winter months. The chats are free and run 45 minutes to an hour. Check out the schedule at www.altahistory.org.

Trade texting for chopping: That's the goal at the Park Hyatt in Beaver Creek, Colorado, where complimentary teen-focused cooking classes are held weekly at the 8100 Mountainside Bar & Grill. Creations include cold weather "mocktails," gourmet pizzas and sushi rolls. Move over Starbucks, here's another perk for parents: There's a class that teaches teenagers the art of making barista-style coffee at home.

School at St. Regis: You may yearn for detention once you enroll in these educational sessions held at the elite St. Regis Deer Valley resort in Park City, Utah. Three clinics are open to resort guests and the public, with instruction on champagne sabering, chocolate infusion and how to create the perfect Bloody Mary. Champagne Sabering 101 is held every night at twilight and this ritual -- where a sword is used to slice off the top of a champagne bottle -- must be seen to be believed. Attend the clinic and bring home a skill sure to impress friends and family at your next gathering. The nightly sabering demonstration and tasting is free, but a private lesson with a sommelier can be had for $250, including a bottle of Charles de Fere champagne. The Bloody Mary and chocolate clinics are held regularly and cost $16 per person.

SNOW SEASON SMARTS

Check with your travel agent, tour operator or hotel if you're on a trip and suddenly decide you've had enough of the slopes. Rules vary by location, and you should always investigate your options. For example, at Sun Valley ski area in Idaho, there's an official lift ticket exchange program that lets you trade in a "downhill" day for a long list of options including a massage, ice skating and lunch or a shopping credit.

AprÃ¨s ski is always an option for skiers and non-skiers alike. One spot to try: Tamarack Lodge atop Heavenly Mountain in Lake Tahoe, California -- where December saw a record-breaking 12 feet of snowfall -- and they're celebrating this lofty designation: Forbes named Unbuckle at Tamarack the No. 1 aprÃ¨s ski party in North America.

Do your pre-trip homework beginning with regional tourism board websites for recommendations on museums and music venues. They are generally open year-round and offer constant cultural respite from the chill of the great outdoors. Aspen, Colorado, is one example of a ski spot that doubles as a cultural destination. It's home to museums, concert halls and music venues such as the intimate Belly Up where shows often sell out faster than an expert skier can speed down a bunny slope.

@highlight

Non-skiers will find plenty to keep them entertained at U.S. ski resorts

@highlight

Snowkiting is one alternative for the active traveler

@highlight

If you prefer something a little less intense, consider a gourmet diversion