Brussels, Belgium (CNN) -- NATO and Russia remained at odds over the alliance's plans for a missile defense system in Europe after a foreign ministers meeting in Brussels Thursday.

NATO Secretary General Anders Fogh Rasmussen said "differences remain" over the plans, but he rejected Russia's complaints that NATO was ignoring Moscow's concerns the missile defense system could be used against it.

"We listen and we have listened today," Rasmussen said after a meeting of NATO's 28 foreign ministers with Russian Foreign Minister Sergey Lavrov. "We take Russian concerns seriously."

Rasmussen's tone was softer than his comments Wednesday, when he said Russia's threats to withdraw from the START treaty and deploy ballistic missiles on its southern border to counter the missile shield were reminiscent of a confrontation of a bygone era and reflect a "fundamental misunderstanding of the West's intentions."

"We do not consider Russia an enemy," he said Thursday after the meeting. "We consider Russia a partner."

Lavrov said after the talks that NATO was unwilling to compromise

"Unfortunately our partners are not yet ready for cooperation on missile defense," he said, adding the Moscow needed "clear guarantees" the missile defense system would not target its own nuclear deterrent.

"We stand ready for dialogue provided that legitimate concerns of all parties are taken into consideration," Lavrov said. "We can find a mutually beneficial solution, we still have some time but time is running out every day."

The Obama administration and its European allies have tried to ease Russia's fears over the project by insisting that the system is directed toward countering the missile threat from the Middle East from which Russia also needs protection.

U.S. Secretary of State Hillary Clinton attempted to make that argument again following the meeting.

"We will continue to press forward on missile defense; we'll be transparent. We have explained that our system cannot and will not threaten Russia, does not affect our strategic balance with Russia," she told reporters. "No other country will be given a veto over what threats we perceive are most salient. Ballistic missiles against the territory we are pledged to protect are not coming from Russia in our assessment but from other locations. It's not directed at Russia, not about Russia; it's Iran and others who are threatening to develop missile technology."

Since NATO approved the U.S.-designed system at last year's summit in Lisbon, Poland, Romania, Spain and Turkey have agreed to deploy parts of it.

NATO asked Russia to participate in the system but negotiations have been deadlocked over Russia's demand for a legally binding treaty guaranteeing the shield would not be used as a deterrent to Moscow's own systems.

Rasmussen said he hoped a political agreement with Moscow could be reached before a summit between NATO and Russia in Chicago next May. That is when NATO is expected to declare an interim operational capability of the system.

Last month, Russian President Dmitry Medvedev threatened to withdraw from the START treaty on nuclear weapons reductions and deploy ballistic missiles in its exclave of Kaliningrad on its border with Europe if NATO moved ahead with the plans for missile defense.

Tensions increased last week when Dmitry Rogozin, Russia's ambassador to NATO, suggested Moscow would close transit routes that send vital supplies to troops in Afghanistan.

More than half the supplies for NATO forces in Afghanistan now arrive from Afghanistan's northern border with Russia and Central Asia. The so-called Northern Distribution Network has become even more important to the war effort in Afghanistan now that Pakistan has shut down its border crossings into Afghanistan following a U.S. air attack killed two dozen Pakistani soldiers late last month.

U.S. officials have said that Rogozin has indicated that his remarks were taken "out of context," but he has yet to clarify his remarks.

Rasmussen said such threats to close the supply routes were an "empty threat" because stabilizing Russia was "clearly in Russia's self interests."

Moscow "knows from bitter experience that instability in Afghanistan has negative repercussions in Russia as well," he said, referring to the Soviet occupation of the country in the 1990s.

Tensions remained high with Russia over comments by Hillary Clinton this week voicing "serious concerns" about recent Russia's parliamentary elections and calling for an investigation into allegations of fraud and vote-rigging. Russia's Foreign Ministry described Clinton's comments as "unacceptable" and Medvedev said Russia's political system was "none of their business."

NATO ministers also discussed Afghanistan and plans to gradually transfer security control to Afghan forces before foreign combat troops plan to withdraw by the end of 2014, as well as tensions with Pakistan over last month's attack. The United States has expressed condolences for the attack and is leading an investigation into the incident.

Rasmussen on Wednesday expressed regret for the attack and called for renewed cooperation between NATO and Pakistan in Afghanistan.

"I fully agree that at the end of the day we need a positive engagement of Pakistan if we are to ensure long-term peace and stability in Afghanistan," he said.

The NATO meeting follows Monday's conference in Bonn, Germany, where some 100 nations and international organizations pledged to keep supporting Afghanistan beyond the 2014 withdrawal.

@highlight

NEW: Clinton says "it's Iran and others who are threatening to develop missile technology"

@highlight

" We believe our defenses would be more effective if we cooperate," NATO chief says

@highlight

Missile defense topped the agenda at a meeting of the NATO-Russia council

@highlight

NATO has asked Russia to participate in the system, but negotiations have been at an impasse