(Health.com) -- More than 100 million people are expected to tune in to Super Bowl XLV this weekend, but only some of them are football fans.

Thanks to pregame hype and Hollywood-quality production values, Super Bowl commercials have become the main attraction for many viewers. But are these blockbuster ads bad for our waistlines?

Food and beverage companies are expected to account for roughly one-third of the ads that will air during Sunday's game, according to Advertising Age. (Car companies will take up another one-third or so, with the remainder split among websites, film studios, and retail chains.) Viewers and partygoers -- including millions of children -- can expect to see ads from Doritos, Coca-Cola, Pepsi, Snickers, and Budweiser.

Health.com: 25 diet-busting foods you should never eat

In other words, a high proportion of ads are pitching soda, snacks, and other junk foods loaded with calories, sugar, sodium, and fat.

"Studies show [that] if you see an ad for a product and try it for the first time, you like it more than if you didn't see the ad," says Jennifer Harris, Ph.D., the director of marketing initiatives at Yale University's Rudd Center for Food Policy & Obesity, in New Haven. "It really is shaping our preferences as well as triggering us to eat more."

Yes, advertising works

Humor, suspense, and sexy people digging into supersize bags of Doritos have become a staple of Super Bowl commercials. It's the oldest trick in the book: Make a product or brand attractive and appealing by surrounding it with attractive and appealing stuff.

It's tempting to believe that this strategy won't work on you. In the real world, nearly everyone recognizes that people who consume a lot of soda, junk food, and beer are often overweight and unhealthy -- not exactly what's depicted on-screen. And yet we give in to the ploy.

Health.com: 11 healthy Super Bowl snacks

"We know the effects of excessive snacks are quite adverse to people's health. If you drink a lot of beer, you aren't going to get all the attractive women," says Frederick J. Zimmerman, Ph.D., an economist and professor of health services at the UCLA School of Public Health. "That may seem obvious, but those images work on us on a subconscious level."

Zimmerman believes the true culprit behind the obesity epidemic isn't high-fructose corn syrup, sodium, or saturated fat, per se, but rather the ubiquitous marketing that makes foods containing those ingredients appealing to Americans.

In his research on the health effects of television on children (and more recently adults), Zimmerman found that the number of commercials people see is more closely linked to the risk of being overweight or obese than the total time they spend watching TV.

Health.com: How junk foods are marketed to kids

And the subconscious impact of Super Bowl ads might be even greater than that of everyday commercials, because the ads are part of the entertainment, Harris says. "If you see a commercial trying to give you information, you know exactly what it's doing," she says. "But if you're just being entertained, you're not looking at it in that same way, which is probably what makes it more effective."

The power of advertising has largely had a negative effect on our health, but in theory that power could be harnessed for good, says Jonathan H. Whiteson, M.D., who has seen the fallout from the obesity epidemic firsthand as the director of cardiac and pulmonary rehabilitation at New York University's Langone Medical Center.

"We're led to the watering hole -- or really to the burger and the beer,"  Whiteson says. "If fruit companies and tap water companies were advertising, we'd be going in that direction instead."

Can commercials make you hungry?

Research suggests that TV commercials can prompt you to eat. Advertising triggers an "automatic eating response" that can make you eat more of "basically any food that's in front of you," Harris says.

Health.com: How the pros curb food cravings http://www.health.com/health/gallery/0,,20394811,00.html

This effect was demonstrated during an experiment that Harris and her colleagues at the Rudd Center conducted in 2009. The researchers randomly divided 98 young adults into three groups and showed each group an episode of the TV show Whose Line Is It Anyway? The participants were told that the study was about the effect of TV on mood.

The episodes the groups watched were identical -- except for the commercial breaks. One version contained ads for junk foods (such as candy, soda, and fast food) that emphasized "fun and excitement," another version had ads for nutritious foods (such as oatmeal and OJ), and a third version contained no food advertising at all. (All three versions had some nonfood commercials as well.)

After watching the show, the study participants were moved to another room, where they were told that they could eat as much as they wanted from an array of snack foods, ranging from healthy (vegetables and dip) to not so healthy (cookies). The participants who saw the unhealthy snack commercials ate the most food -- even if they reported not feeling hungry.

The volunteers in experiments like these generally don't think that advertising can affect their behavior in this way, Harris says. "Most people believe they have more control over everything than they actually do," she says. "Once people know they are influenced, then they're better able to control behaviors."

Commercials and parties: a dangerous combo?

Super Bowl partygoers probably won't have to go far to fulfill their cravings for the soda, chips, and other foods that they see in high definition. There appears to be a certain synergy between Super Bowl ads and the menu at most Super Bowl parties.

Health.com: The ultimate TV party

A 2001 study in the Journal of Marketing Communications that analyzed the "likability" of every Super Bowl ad that aired in the 1990s found that viewers consistently ranked ads from "party-food marketers" -- including Anheuser-Busch, Pepsi, and Frito-Lay -- high on the likability scale. By contrast, ads for "party-busting products" such as over-the-counter medications were far less popular with viewers.

"Consumers are sending a clear message that certain products interest them more than others during Super Bowl broadcasts," the authors concluded. "It is a good strategy to continue to advertise food and beverage products extensively during the Super Bowl because consumption peaks during the game."

Indeed, Americans are said to consume more food on Super Bowl Sunday than on any day of the year except Thanksgiving. According to Whiteson, that's not such a good thing.

"A little bit of soda is okay, a hot dog is okay," he says, but he adds that even just one day of excessive drinking or gorging on chips and soda is enough to do real harm. (Some studies suggest that a big meal can even trigger a heart attack.)

Super Bowl may trigger heart attacks

The larger problem, Whiteson says, is that the dynamic on Super Bowl Sunday isn't all that unusual. The relationship between TV commercials and unhealthy eating may be more pronounced on the biggest football day of the year, but it's simply an exaggerated version of what has become a part of everyday life.

"The foods that are eaten are a reflection of what people are doing throughout the year, not an isolated event," Whiteson says.

Copyright Health Magazine 2010

@highlight

A high proportion of ads are pitching soda, snacks, and other junk foods

@highlight

There's a certain synergy between Super Bowl ads and the menu at most parties

@highlight

The relationship between TV commercials and unhealthy eating may be more pronounced