Perth, Australia (CNN) -- The underwater hunt for wreckage of Malaysia Airlines Flight 370 has started in the southern Indian Ocean, the Australian agency coordinating search efforts said Friday.

But the area where two naval ships are deploying sophisticated technology remains nothing more than an educated guess at where the plane may have hit the water.

The Royal Navy survey ship HMS Echo and the Australian naval supply ship Ocean Shield are searching along a single 240-kilometer (150-mile) track, said retired Air Chief Marshal Angus Houston, the head of Australia's Joint Agency Coordination Centre.

The Ocean Shield is equipped with the TPL-25, a giant underwater microphone that will listen for the pings from the flight recorders and the Bluefin-21, an underwater robot that can scour the ocean bed, looking for signs of wreckage.

Time is running out in the efforts to detect the pings, as the batteries that power the recorders' beacons are expected to run out in the coming days.

And there are no big, new clues behind the area where the underwater search is concentrated. It's based on the same kind of analysis of radar, satellite and other data that investigators have used to determine a series of shifting search areas in recent weeks.

"The area of highest probability as to where the aircraft might have entered the water is the area where the underwater search will commence," Houston said at a news conference Friday. "It's on the basis of data that arrived only recently, and it's the best data that is available."

'Just a guess'

Until searchers can find a confirmed piece of debris from the plane, which would give them a clearer idea of where the main wreckage might be located, there is no certainty the technology is being pointed in the right direction.

"Really the best we can do right now is put these assets in the best location -- the best guess we have -- and kind of let them go," U.S. Navy Cmdr. William Marks told CNN. "Until we get conclusive evidence of debris, it is just a guess."

A huge search is also continuing above the waves.

Friday's area of focus covers about 217,000 square kilometers (83,800 square miles) of the Indian Ocean, 1,700 kilometers (1,050 miles) northwest of the western Australian city of Perth, authorities said. A total of 14 aircraft and nine ships will scan the area over the course of the day.

Officials have warned of a potentially prolonged hunt for the missing passenger jet, which vanished nearly four weeks ago with 239 people on board. Long days spent combing vast tracts of ocean have so far turned up no traces.

'We cannot be certain of success'

Australian Prime Minister Tony Abbott on Thursday described the search as "the most difficult in human history" and warned there was no guarantee the missing plane would be found.

"We cannot be certain of ultimate success in the search for MH370," he said at a news briefing in Perth, the western city that is serving as the hub for search operations. "But we can be certain that we will spare no effort -- that we will not rest -- until we have done everything we humanly can."

Abbott was speaking during a visit to Perth by Malaysian Prime Minister Najib Razak, who met with members of the search teams who have been scouring a remote part of the southern Indian Ocean for traces of the jetliner.

"They told me of the difficulties of a search like this, of distance and weather and of maintaining morale over a long period," Najib said.

His visit came on the 27th day of the hunt for the passenger jet, which disappeared March 8 over Southeast Asia.

Investigators are yet to provide an explanation of why the plane flew way off course or pinpoint exactly where it ended up. Officials say that an analysis of the available data suggests the jet's journey finished in the southern Indian Ocean.

6 missteps in the investigation

'Till hell freezes over'

Weeks of combing vast areas of ocean have turned up plenty of floating junk, like old bits of fishing gear, but so far no sign of the plane.

Authorities say they will persevere despite the challenges.

"We'll keep going till hell freezes over," Kim Beazley, Australia's former defense minister and current ambassador to the United States, told CNN's Wolf Blitzer. "It could take months, it could take years."

Malaysian officials held a briefing for Malaysian relatives of those aboard MH370 Thursday evening at a Kuala Lumpur hotel, but those present told CNN nothing new had emerged.

Mohammad Sahril Shaari, whose cousin Mohammad Razahan Zamani was a honeymooning groom on the plane, said the three-hour session had felt like a "waste of time."

He added, "I was hoping for some news that they had tracked the plane or some parts of it, but nothing like that happened."

Selamat Bin Omar, the father of another passenger, Malaysian civil flight engineer Mohammed Khairul Amri Selamat, said officials explained in detail the satellite data that has led investigators to the search area in the southern Indian Ocean.

But, he said, "They could not tell us if the plane crashed. They said they were still looking into it."

Ocean Shield: A mission of hope in search for Flight 370

Police investigation continues

With the hunt at sea so far proving fruitless, there are no signs of a breakthrough in the investigation into those on board the plane.

All 227 passengers have been cleared of any role in hijacking or sabotage or having psychological or personal issues that might have played a role in the plane's disappearance, the inspector general of Malaysian police, Khalid Abu Bakar, told reporters Wednesday.

Police said a review of a flight simulator found in a pilot's house proved inconclusive. And senior Malaysian government officials told CNN last week that authorities have found nothing about either of the two pilots to suggest a motive. There have been no such public comments about the other 10 crew members, however.

Investigators are still questioning relatives of all of those on the plane -- having already interviewed about 170 people -- as well as those who may have had access to it.

That includes scrutinizing those who prepared food for the flight, those who packed the cargo, and those who were to receive the cargo in China.

"Everything from beginning to end," said Khalid, stressing that getting answers won't be easy or quick.

"We have to clear every little thing," he said. "You cannot hurry us in whatever we are doing."

His comments were echoed by K.S. Narendran, who spoke to CNN's Erin Burnett from India. His wife, Chandrika Sharma, was on the flight.

"This is an event that is so unprecedented and I think that is so significant that it can never be allowed to get off the screens, get off the radar," he said.

"My concern is that if we don't really get to the bottom of it, we cannot really be certain that we are safe and that we are secure every time we board a flight."

Flight 370: High-tech search tools

Inside the flight simulator

Read the cockpit transcript

CNN's Elizabeth Joseph reported from Perth, Jethro Mullen reported and wrote from Hong Kong, and Laura Smith-Spark wrote in London. CNN's David Molko, Will Ripley, Kyung Lah, Greg Botelho and Tom Watkins, and journalist Ivy Sam contributed to this report.

@highlight

NEW: Two naval vessels begin the underwater search using listening technology

@highlight

They focus on the "area of highest probability" of where the plane may have hit water

@highlight

The overall search resumes Friday with nearly two dozen ships and aircraft

@highlight

The search is "the most difficult in human history," Australia's Tony Abbott says