New York (CNN) -- Three years ago I began research on a book dedicated to the national pastimes: shopping and buying.

The plan was to devote the first half of the story to what I called the "sell side": the retailers, marketers and consumer researchers who have their sights trained on us. The second half would be about us, the "buy side." I would explore all that attracts us -- bees to nectar-- to specific stores and products, why some of us are cheapskates and others have holes in our pockets.

Then, a not-so-funny thing happened. Between the time I started my reporting and the time I handed in my finished manuscript, both the sell and the buy sides had cratered. Home prices crashed. Credit markets collapsed. The government tried feverishly to glue broken banks back together. Unemployment went up and up and up.

The result: consumer spending -- as in that which drives 70 percent of the U.S. economy -- was running on fumes. Department store sales sank by double-digits. "The golden age of spending for the American consumer has ended and a new age of thrift likely has begun," said a Wall Street analyst. "Sixty percent off is the new black," quipped a magazine fashion writer.

Gone, seemingly overnight, were the throngs of buyers from Europe and Asia who had been dragging their wheelies down Fifth Avenue in New York, loading up on shoes and handbags and leaving us American shoppers feeling, even then, like poor country cousins. Word spread that we were now living in "the Wal-Mart moment," which was likely to be rather drawn out. Our longstanding fetish for bigger, faster, flashier, pricier was no more..

With the most hyped shopping day on the calendar -- Black Friday! -- upon us, we all might take a deep breath and focus, not just on where to find the best door-busters, but on more important questions: What is going on out there? In the buying and selling universe, are we witnessing a permanent change in values? Have we all turned forever frugal?

The fact is, nobody's quite sure right now. Over the past several months, there have been small signs of recovery. Consumer confidence surveys offer a glimmer of hope.

On the "sell side" retailers are viewing the holiday selling season with slightly more optimism than when they put in their holiday purchase orders six months ago. And it seems reasonable to hope that we've at least touched bottom and that the consumer escalator is on the way up again, however fitfully.

But on the buy side -- our side -- things have changed dramatically, and in some ways for the better. We're shopping more with our heads, not just our hearts; we're thinking about the things we buy.

A woman in Boston -- affluent, accomplished, largely unscathed by the financial collapse -- told me that when she now looks back on the expensive shoes and clothes she bought routinely just a few years ago, she "just can't believe what I was doing."

The Internet is now a daily, indispensable tool we use to search for better prices and seek counsel from others with firsthand knowledge of brands and stores we might be considering. The result: Up and down the socioeconomic ladder we're shopping more prudently.

We're paying down credit card balances and placing greater value not just on the new and novel, the cool and the trendy, but also on value itself. Does it work? Is the price fair? Will it last?

And yes, we're also splurging now and then -- on impulse purchases that can make a day all the more sweet: a new hairstyle, a brightly colored this-or-that for spring, an electronic gadget that performs amazing tricks, some useful, some just diverting.

There are those who would tell us that purchases like this -- "unnecessary!" "juvenile!" etc. -- are signs of character weakness, that we are routinely "conned" into buying useless things by manipulative Mad Men, but I think it's more complicated. Because if there's one thing I learned after three years of watching folks shop and buy -- in good times, then bad -- it isn't that we buy that's been our problem, it's how we bought that was the issue: recklessly, and with little more than a piece of plastic or phantom home equity.

But that was then. This is now, and a little self-reward -- a from-me-to-me purchase here, an I-love-you purchase there -- are hardly crimes in my book. Assuming, of course, they don't bring down the house -- this holiday season and beyond.

The opinions expressed in this commentary are solely those of Lee Eisenberg

@highlight

Lee Eisenberg says a down economy has turned American spenders into scrimpers

@highlight

It's early to tell whether consumer habits have shifted permanently, he says

@highlight

Eisenberg: Consumers are placing a new importance on value when they buy