Editor's Note: Peter J. Wallison is the Arthur F. Burns Fellow in Financial Policy Studies at the American Enterprise Institute. He was General Counsel of the Treasury and White House Counsel in the Reagan administration, and is the co-author of two books on Fannie Mae and Freddie Mac. A Republican and supporter of John McCain, he occasionally serves as a volunteer surrogate for the campaign.

Peter Wallison says Congress blocked reform that could have headed off the costly bailout.

WASHINGTON (CNN) -- In announcing the takeover of Fannie Mae and Freddie Mac, Treasury Secretary Henry Paulson noted that the "flawed business model" of these companies was in part responsible for their failure.

Fannie Mae and Freddie Mac are called government sponsored enterprises (GSEs) because they have government charters and perform a government mission: providing liquidity to the mortgage market and assisting in the financing of affordable housing.

The flaw in their business model is that they are owned by private shareholders but backed by the government. As a result, lenders do not care about the risks the companies are taking because they know that the government will eventually step in to protect them against losses on their loans.

That meant Fannie and Freddie were able to borrow funds in the capital markets at very low rates and in essentially unlimited amounts.

This allowed them to grow in both size and profitability over the last 20 years, doubling every five years. Now we see the consequences -- the Treasury has been compelled to step in with a rescue plan that has been estimated at the outset to require what Paulson estimated could be about $200 billion of taxpayer money.

Concerns about the flawed business models of Fannie and Freddie are nothing new. Many people, including such experts as Alan Greenspan, have been arguing for years that Fannie and Freddie should be reined in, that they were creating huge risks for the taxpayers, and that eventually these turkeys would come home to lay their eggs. iReport.com: Are foreclosures driving down your neighborhood's value?

These warnings began in earnest near the end of the Clinton administration, especially by Secretary of the Treasury Lawrence Summers, and were carried forward by the Bush administration, which supported legislation that would provide stronger regulation for Fannie and Freddie.

But these warnings were ignored in Congress. Although there were efforts by a number of Republicans in the House and Senate to adopt tougher regulatory legislation -- beginning in 1999 -- these efforts were resisted by Democrats, primarily Sen. Charles Schumer of New York and Sen. Chris Dodd of Connecticut, who is currently the chairman of the Senate committee with jurisdiction over the GSEs.

To their credit, when the problems of Fannie and Freddie finally became too obvious to ignore, the Democrats in the House and Senate voted for stronger regulation of the two companies and to give the Secretary of the Treasury broad authority to bail them out. But by then it was far too late to save the taxpayers.

In the current election season, the American people should want to know why it is that they as taxpayers will now be compelled to bail out these companies.

John McCain was one of the Republicans who supported GSE reform, but he and the others faced an insurmountable defensive phalanx in Congress -- the result of a strong lobbying and political support program engineered and operated over many years by Fannie Mae and Freddie Mac.

The fact that the Republicans controlled Congress during much of this period shows the validity of McCain's comment in his convention acceptance speech that "We were elected to change Washington, and we let Washington change us."

Among other things, Fannie and Freddie orchestrated substantial contributions to the campaign funds of their congressional supporters. They hired some former congressional staff members as lobbyists and engaged lobbying firms that had strong relationships with members of Congress, including lobbyists who are active in both of this year's presidential campaigns

They got people who were homebuilders, Realtors and members of the securities industry -- all groups that profited from Fannie and Freddie's activities -- to hold fundraising events for key members of Congress of both parties; they staged ribbon-cuttings and other events in the congressional districts of their supporters in order to provide them with favorable publicity; they established charitable arms that contributed to community groups who in turn supported them when some in Congress sought tougher regulation.

This is a prominent example of Washington's culture of corruption. The government put its credit behind the two companies; this enabled them to grow and dominate the housing finance market; they used their resulting financial and political power to gain and retain the support of key members of Congress; and the process continued until they collapsed -- at which time the taxpayers have to clean things up.

This could all have been prevented if Congress had acted years ago to eliminate the GSE business model. There are three possible models -- privatization, nationalization or liquidation. Congress and the president can decide which it will be, but the worst idea is to reconstitute them as GSEs.

Unfortunately, that seems to be the choice Treasury Secretary Paulson made in the plan he announced Sunday. In that plan, a conservator will be appointed for Fannie and Freddie, and they will be nursed back to financial health with injections of taxpayer funds by the Treasury. A conservator has only the power to stabilize the companies.

A better idea would have been to appoint a receiver, who could have wound down the companies over time and prepared them for one of the three possible future models.

Instead, the failed business model is likely to be kept in place because of its support in Congress. It is thus no surprise that Sen. Schumer was quoted as follows right after the Paulson plan was announced: "This plan will be met with broad acceptance in Congress because it doesn't prejudge the ultimate fate of Fannie Mae and Freddie Mac.'' We know what that means.

The American people sense that something is seriously wrong in Washington. The Fannie and Freddie debacle shows how right they are.

The views expressed in this commentary are solely those of the writer.

@highlight

Peter Wallison: Mortgage giants are government-backed, private companies

@highlight

The flawed model let them borrow regardless of risk, Wallison says

@highlight

Now taxpayers are stuck with paying billions to bail them out, he says

@highlight

Wallison: Congress blocked reforms to keep companies under control