Washington (CNN) -- Republican leaders on Wednesday named fiscal conservatives for their six picks for a new congressional "super committee" charged with crafting a plan to reduce the country's mounting deficits.

In separate announcements, House Speaker John Boehner and Senate Minority Leader Mitch McConnell filled the GOP spots on the 12-member bipartisan panel created in last week's debt ceiling deal, passed by Congress and signed into law by President Barack Obama.

Boehner, R-Ohio, chose Reps. Jeb Hensarling of Texas, Dave Camp of Michigan and Fred Upton of Michigan, while McConnell, R-Kentucky, picked Sens. Jon Kyl of Arizona, Pat Toomey of Pennsylvania and Rob Portman of Ohio.

All six are known for conservative stances on economic issues. Hensarling is the Republican Conference chairman and will be co-chair of the panel with Democratic Sen. Patty Murray of Washington state, who was appointed Tuesday by Senate Majority Leader Harry Reid.

"The debt crisis is a legitimate threat to our nation's future, and the American people cannot afford to wait any longer," Hensarling said in a statement after his appointment. "Everyone can agree that we must stop spending money we don't have, and the time to act is now."

He added that the committee "will not be able to solve the crisis in a matter of months, but we can work together to tackle these challenges in order to bring back jobs, hope and opportunity for the American people."

Toomey, despite his credentials of fiscal conservatism, noted Wednesday that he recently voted to eliminate the ethanol tax subsidy and believed there were other subsidies or loopholes that could be ended as part of broad tax reform. Many conservative Republicans oppose any moves that could increase tax revenue.

"The goal should be to broaden the base and lower rates so that we can create an environment that's more conducive to economic growth," he said.

The committee will follow up on negotiations that started last year with the bipartisan debt commission appointed by Obama, then continued in Congress, including work by the so-called Gang of Six senators -- three Democrats and three Republicans. Both the debt commission and the other group recommended comprehensive packages that included tax reform, changes to politically sensitive entitlement programs such as Social Security and Medicare, and spending cuts.

Obama will bring "very specific ideas about" how "the committee could come together in a balanced way to significantly reduce the deficit," White House press secretary Jay Carney told reporters Wednesday.

Former Republican Sen. Alan Simpson of Wyoming, who co-chaired Obama's debt commission, told CNN on Wednesday that the new special committee has plenty of information to work with and shouldn't need a lot of time for further collecting or analyzing of issues.

Committee members "don't need to sit around here and gather more information," Simpson said, adding that the actual negotiating is "going to be tough."

Among the choices announced Wednesday, Camp is the House Ways and Means Committee chairman, while Upton chairs the House Energy and Commerce Committee. Upton has taken some moderate positions in the past, including attempts to decrease tax cuts in the George W. Bush administration that remain contentious today.

In a statement Wednesday, Upton said that "much more needs to be done to bring down health care costs, promote economic growth and begin to tame runaway government."

"No one believes this is going to be easy," he added.

On the Senate side, Kyl, the No. 2 Republican behind McConnell, is a staunch advocate for the military, which is targeted for deep spending cuts if the special committee fails to come up with an agreement that passes Congress by the end of the year.

Portman is a former White House budget director in the Bush administration with a reputation for working with Democrats. His fellow Ohio senator, Democrat Sherrod Brown, said Wednesday that Portman "has shown a willingness to find common ground by looking at both tax reform and spending cuts in order to reduce the deficit."

Toomey, elected to his first Senate term last year with the support of tea party conservatives, sits on the Senate Budget and Banking Committee. He told reporters Wednesday that he expected the special committee to begin its work soon, and that it would require Republicans working with Democrats to succeed.

"It has to be an exercise in finding common ground between Republicans and Democrats, but it also has to be constructive with respect to reducing our deficit and it has to be pro-growth as well," he said.

A day earlier, Reid, D-Nevada, appointed Murray, Max Baucus of Montana and John Kerry of Massachusetts as his three Senate Democrat picks. Reid went with veteran legislators including a former Democratic presidential candidate in Kerry, the Foreign Relations Committee chairman and the more moderate Baucus, who chairs the Finance Committee and has fought Republican efforts to privatize Social Security.

Reid named Murray, a war critic and champion of benefits for military veterans, the co-chair of the special committee.

In a joint statement after their appointments, the three Democratic senators said that Americans want the committee to operate without "the red-hot partisanship and brinkmanship of the last months."

"This is not going to be easy. Our challenge is to find common ground without damaging anyone's principles. We believe we can get there. This committee was designed to require bipartisanship, and we are going to work hard with our Republican colleagues to attain it," their statement said.

House Minority Leader Nancy Pelosi, D-California, has yet to announce her three House Democrat choices.

She has until Tuesday to complete the committee that will have six Democrats and six Republicans, equally divided between the House and Senate.

The committee will try to work out $1.5 trillion in deficit reduction, after an initial round of more than $900 billion in spending cuts in the debt ceiling agreement. It is required to complete its work by November 23. Congress then has until December 23 to vote on the proposal, with no amendments permitted.

A simple majority on the panel -- seven of 12 members -- is needed to approve whatever package it comes up with, meaning that it will take a lone member of either party to push something through by voting with the other side. The committee's proposal would then need a simple majority in each chamber of Congress to make it to Obama's desk.

If the committee fails to reach agreement or Congress fails to pass whatever package it recommends, a trigger mechanism will enact further across-the-board cuts in government spending, including for the military.

Carney said Wednesday that Obama continued to call for a balanced approach that includes increased tax revenue, entitlement reforms and spending cuts.

"And we are not alone," Carney said. "The American people overwhelmingly support the balanced approach that the president supports."

According to a new CNN/ORC International Poll released Wednesday, 63% of respondents say the so-called super committee should recommend increased taxes on higher-income Americans and businesses, with 36% disagreeing. By a 57-40% margin, respondents say the committee's deficit reduction proposal should include major cuts in domestic spending.

However, further cuts in defense spending get a mixed review, with 47% favoring them and 53% opposed.

Nearly two-thirds of respondents oppose major changes to Social Security and Medicare, while nearly nine in 10 don't want any increase in taxes on middle-class and lower-income Americans.

Months of rancorous negotiations on deficit reduction have failed to resolve a fundamental dispute between Republicans and Democrats involving the size of government and whether to raise revenue while cutting spending. Obama is pushing for a comprehensive plan that includes spending cuts, increased tax revenue and entitlement reforms, while Republicans seek to shrink government by proposing spending cuts and entitlement reforms without increased revenue.

An impasse over the tax revenue issue led to the debt ceiling agreement, which imposed the initial round of spending cuts and set up the special committee to work out further deficit reduction. The agreement also enables the federal debt ceiling to be increased through 2012, allowing the government to borrow what it needs to meet its obligations.

The brinkmanship of the negotiations, with uncertainty over whether the government might default if no deal was reached, was one reason why Standard & Poor's downgraded the U.S. credit rating from AAA to AA+ on Friday.

One of the main Republican arguments against tax increases for the wealthy is that they would inhibit job creation. The poll results showed that only a third of respondents agree with that stance, while 62% say taxes on the wealthy should be high so the government can use the money for programs to help lower-income Americans.

The CNN poll was conducted by ORC International from Friday through Sunday, with 1,008 adult Americans questioned by telephone. The survey was conducted both before and after Friday night's announcement of the S&P downgrade. The poll's overall sampling error is plus or minus 3 percentage points.

Late Tuesday, Republican National Committee Chairman Reince Priebus slammed Reid's choice of Murray and asked the Senate leader to withdraw her appointment.

"Harry Reid's appointment of Patty Murray to co-chair the Select Committee on Deficit Reduction is absolute proof that Democrats are not serious about deficit reduction," Priebus said in a statement. "As chair of the Democratic Senatorial Campaign Committee, Murray is the Senate Democrats' fundraiser-in-chief. The Select Committee is no place for someone whose top priority is fundraising and politics."

CNN's Dan Lothian and Paul Steinhauser contributed to this report.

@highlight

NEW: Carney says President Obama will offer ideas to the panel

@highlight

Sen. Toomey says he expects the committee to begin its work soon

@highlight

Boehner, McConnell announce their Republican choices for the panel

@highlight

A new poll shows most Americans back tax hikes for the wealthy