Friday marks the anniversary of the assassination of Osama bin Laden in Pakistan by U.S. forces. Three years on, the core organization of al Qaeda has been significantly depleted. However, the danger from so-called "home-grown" terrorism may yet be on the rise, fuelled by foreign nationals returning from key international theatres of war such as Syria.

In the United Kingdom, for instance, Charles Farr, director of the Office for Security and Counter-terrorism, recently asserted that the threat from UK nationals travelling to participate in the Syrian conflict is the "biggest challenge" to UK security services since 9/11. The total number of UK nationals who have fought in Syria is estimated at up to 366 by the International Centre for the Study of Radicalisation (ICSR) at Kings College London, with a significant number believed to have been killed there.

Moreover, ICSR estimates that as many as 11,000 foreign fighters overall may have fought in Syria, from more than 70 countries, a number which is reported to be a higher concentration than anywhere since Afghanistan in the 1980s. A central concern here is that many of these individuals, which include potentially as many as 2,000 from Western Europe, plus individuals from North America, Australia, South-east Asia, and Africa, will return from Syria to their respective homelands battle hardened with significantly greater terrorist capability and resolve.

And given that the relatively large number of these foreign fighters makes them collectively difficult to track with precision, further home-grown attacks appear increasingly likely. While this offers propaganda value for al Qaeda, such individuals often lack thorough indoctrination of the network's core messages, even though some, including last year's London and Boston terrorists, appear to have been partially motivated or inspired by them.

This reflects, in part, the continued diminution of al Qaeda's central organization which is unlikely to be able to provide operational support for home-grown terrorists. It also means that these people, while highly dangerous, do not individually represent the same level of threat to international interests as larger cells and terrorist groups, and are thus less likely to be able to perform major, spectacular attacks in the mould of 9/11.

Thus, while bin Laden's successor, Ayman al-Zawahiri, has sought to seize on home-grown Western terrorism, and indeed the chaos in Syria, for propaganda purposes, this cannot disguise the central al Qaeda organization's declining fortunes. Al-Zawahiri lacks bin Laden's personal authority within the terrorist network, and the core has also been weakened by the assassination of numerous other senior terrorist leaders.

A fundamental challenge for al-Zawahiri is that while the central al Qaeda leadership appears to remain located largely in Pakistani tribal areas and borderlands, the wider network has becoming increasingly de-centralized and dispersed. The problems this can cause were underlined earlier this month in Syria when a jihadist group called Islamic State of Iraq and Greater Syria (ISIS) accused al Qaeda of having "deviated from the correct path," and "divided the mujahedeen in every place."

The origin of the dispute probably lies in an edict from al-Zawahiri to ISIS to confine its activities to Iraq after it was accused of abuses of civilians and rival rebels in Syria. Al-Zawahiri has instead recognized the al-Nusra Front as the official al Qaeda affiliate in Syria and called for jihadist unity behind it.

Accompanying this dispersal and de-centralization has been shifting the focus of al Qaeda groups and franchises whose attention is more on "local" national or regional issues, rather than the broader international designs of bin Laden. In part, this also reflects the greater difficulty of attacking key international targets many of whose defences have significantly hardened since 9/11.

There has also been evolution in the geographical focal points of al Qaeda activity with terrorist nodes of growing importance, for instance, in key African and Middle Eastern countries, such as Yemen, where political upheaval since bin Laden's death has allowed terrorists and other insurgents to secure greater foothold. And reflecting this changed risk pattern, U.S. forces are re-deploying as a result.

For instance, the CIA has expanded its staff in Yemen, and also enhanced its air bases in the Gulf from which it can launch drone strikes into the country. Only last week, Washington launched a major drone attack which, according to the Yemeni government, killed at least two dozen militants, including foreign fighters, in an al Qaeda training camp in the remote mountainous area of Abyan.

Meanwhile in Africa, U.S. forces have also scaled up facilities in numerous states, including Kenya, Ethiopia, and the Central African Republic. This is intended to allow for greater aerial surveillance coverage and drone strikes, especially in North Africa, plus sites for military hardware storage.

So while the central core of al Qaeda has been diminished since bin Laden's demise, much of the wider terrorist network remains potent, albeit more focused on local grievances than grander international ambitions. However, danger may be growing from home-grown threats fueled by battle-hardened individuals returning from foreign theaters of war, especially Syria, with greater terrorist resolve and capabilities.

@highlight

Friday marks third anniversary of assassination of Osama bin Laden in Pakistan by U.S. forces

@highlight

Al Qaeda is depleted, but danger of home-grown terror on rise, writes Andrew Hammond

@highlight

11,000 foreign fighters overall may have fought in Syria, from more than 70 countries

@highlight

Al Qaeda franchises now focus more on "local" issues, Hammond says, threatening Western security