(CNN) -- Jeff Kohnstamm had a bit of an unusual childhood. He grew up in a virtual museum.

Even now when he wanders around the lobby at Oregon's iconic Timberline Lodge, Kohnstamm, 47, sometimes flashes back to being a kid on a tricycle, winding his way around original furniture designed by Depression-era artisans.

For Kohnstamm, whose family has operated the federally owned property for a half century, the Mount Hood ski lodge has become a living scrapbook of his life.

From birth until college he divided his days between school in neighboring Portland and Timberline -- with its rustic stone masonry, massive wooden beams, paintings, wood marquetry, custom wrought iron accoutrements and linoleum murals.

"There are museum aspects of this place, and I suppose the government could say, 'let's make it into a museum and have ropes and glass and charge admission,' but we'd rather it be a ski lodge than a museum."

Since its birth in the late 1930s as a New Deal project to create hundreds of jobs for Portland workers, craftsmen and artisans, Timberline has dug out its own place in American culture.

But it also bills itself as America's only year-round ski area.

'Heeeeere's Johnny!'

And, if the photos strike you as familiar, it may be because Timberline has built a respectable resume as a location for films such as "Bend of the River," starring Jimmy Stewart, "All the Young Men," starring Sydney Poitier and the horror classic "The Shining" with Jack Nicholson.

In a way, you could say the Timberline played the starring role in that 1980 film.

The lodge stood as the haunted Overlook Hotel, but only in exterior shots. All interior scenes were shot elsewhere, said Kohnstamm, who helped the film crew during the shoot.

"I did some work outside for the crew's helicopter shots," he said. "We'd have to make sure that the place looked desolate and that no one was around. I remember hiding in the trees so they could get the shots."

Growing up at the lodge for Kohnstamm meant making fast friends with children of guests who vacationed there every year. It was the place where he enjoyed his first legal beer on his 21st birthday -- in the lodge's Ram's Head Bar with its breathtaking view of the Cascade Mountains.

The site for hundreds of guests' weddings over the years, Timberline was where Kohnstamm's own younger brother chose to tie the knot.

It was where his late father announced the Christmas Eve arrival of Santa and a pair of authentic reindeer for guests' wide-eyed children. "I still kinda think it was really Santa Claus," he laughs. "Why not?"

Night skiing

But as one might expect, so much about growing up at Timberline revolved around skiing.

Kohnstamm learned to ski at age 3. Later, he says, to get them away from the TV, "my mom would make us go out and ski for at least an hour before we could watch football."

"At one point during adolescence we convinced Dad that it would be a good idea to ski all night long on New Year's," he said. "It got kind of crazy for a while there. We had all these people skiing and sleeping and whatever all over the place."

Now listed on the National Register of Historic Places, Timberline came uncomfortably close to being destroyed before Kohnstamm's father began operating it in 1955.

Four previous operators hadn't had much success running the lodge, and in 1953, the U.S. Forest Service thought of Timberline as more of a headache than anything else, Kohnstamm said.

Options at the time included either burning it or dismantling it until Kohnstamm's father, R.L. Kohnstamm, entered the picture. The family's permit to operate Timberline expires in 2038.

'You've really got something big here'

Local snowboarding entrepreneur John Ingersoll remembers R.L. Kohnstamm, who passed away in 2006, as a visionary.

Ingersoll founded High Cascade Snowboard Camp in 1989, when most U.S. ski areas were shunning the relatively new sport.

"It was one of those memories that you'll never forget," Ingersoll said, remembering a day on a snowfield in the early 90s.

"R.L. stopped me and he looked me in the eye and made sure that I got it. He said snowboarding was going to be really big. 'You've really got something here, John,' he told me."

Today, Ingersoll says Mount Hood's snowboarding camps gross millions of dollars each year. Last summer High Cascade's 22-foot halfpipe hosted several U.S. Olympic team members, including 2010 gold medallist Shaun White.

Although White stayed at Timberline during his visit last summer, many guests come with no intention of boarding or skiing or hiking, said Sarah Munro, author of "Timberline Lodge: The History, Art, and Craft of an American Icon."

"The artwork has made Timberline its own destination apart from the mountain," she said. "It retains the feel of the 1930s -- that early period of auto-recreation and being in hotels with big lobbies when all the guests came together at dinner. It's sort of a living museum."

Strolling around the lodge offers guests one surprise after another: wooden stair post newels carved in the shape of bears, owls and other animals; wrought iron fireplace andirons forged from train rails; lamps, iron-fashioned door handles and specially designed seat cushions. The main lounge is dominated by an amazing three-story stone chimney with six fireplaces.

"Much of the building's massive beams are held together with unique joints and big wooden pins that lock the things together," said Gary Larsen, the U.S. Forest Service administrator. "I've always enjoyed that and the interaction between the black wrought iron and the natural wood."

Old stimulus, new stimulus

Ironically, the New Deal project which cost about $1 million in 1937 is benefiting from $4.25 million in 2009 federal stimulus. Adjusted for inflation, $1 million in 1937 equals more than $15 million now, according to federal calculations. $4.25 million now, equals about $282,000 in 1937.

The new stimulus funds are earmarked for painting, replacement of a water main and improvements for disabled guests, Kohnstamm said. It's unclear how many jobs will be created by the stimulus funds, but Kohnstamm guesses about a hundred jobs and ten different projects.

"The building is old and it faces huge environmental pressures being at that elevation in that kind of weather," said Jeff Jaqua, Timberline's newly retired archeologist with the U.S. Forest Service.

"Things like electrical wiring, plumbing, water lines, sewer lines -- unseen components of the lodge -- really need a lot of attention,' Jaqua said. "The Forest Service is trying to address that."

Jaqua, Larsen, Munro, Ingersoll and Kohnstamm have written about their love for the hotel in an upcoming book "Timberline Lodge: A Love Story -- Diamond Jubilee Edition," due out this fall.

It wasn't until Jaqua began caring for Timberline's treasures 20 years ago that he really began to understand the bond that many guests form during their visits.

"Everybody owns it," he said. "That was the big surprise to me. I didn't expect the general public to be so in love with it."

@highlight

Oregon's Timberline ski lodge, setting for "The Shining," showcases  Depression-era art

@highlight

Jeff Kohnstamm describes growing up among paintings, carvings, amazing architecture

@highlight

Mount Hood embraced snowboarding early; Shaun White, Hannah Teter train there

@highlight

U.S. built it for $1 million in 1930s; it's getting $4.25 million in '09 stimulus funds