(CNN) -- Fifty years ago this month, the assassination of President John F. Kennedy numbed the world.

But as the front pages of history were being printed, there was one scoop slipping by virtually unnoticed: the western hemisphere was witnessing a youthquake.

Only weeks earlier, "Beatlemania" was born, when thousands of screaming girls at London Heathrow greeted a young boy-band home from a short tour of Sweden. Passing through the airport was stalwart American TV host Ed Sullivan who, on seeing the hysterical adulation offered up to four mop-topped boys, decided to have them on his show.

Whether anyone was aware of it at the time, the youth revolution was underway. It had been gathering momentum all through 1963 -- pied pipers with guitars inspired young people to seize the day, to reject the lives led by their parents, and create their own music, fashion and culture.

Times they were a-changing

The Beatles went from relative obscurity at the start of 1963 to performing in front of 73 million Americans -- nearly a third of the population -- on the Ed Sullivan Show at the beginning of 1964.

Pop groups -- most still fresh from school -- were suddenly being invited to the likes of Buckingham Palace and the White House. President Lyndon B. Johnson had one band, The Dave Clark Five, frogmarched up the steps of Air Force One -- so he could get their autographs.

A generation that had been tolerated became a generation to be wooed. Their stage had been built; 1963 was the opening night -- and so radical was their new path, such a break from the past, that they'd no sense of what was waiting for them.

"We would sit in a club, me, the Stones, the Beatles, the models -- and we'd talk about how it would only last a couple of years and then we'd have to get jobs like our parents," recalls Terry O'Neill, the celebrated British photographer who chronicled the sweeping changes in London in 1963.

"Ringo was going to be a hairdresser, Mick Jagger thought he'd have to work in a bank. The models just thought they'd let their hair down before they found a husband or got a proper job as a secretary.

"But suddenly, in that one year we realized, the lives we were living weren't just a rite of passage. We could be anything we wanted to be. Nobody was going to stop us. None of us were trained. Eric, Keith, Paul and John, none of them could read a note of music. I picked up a camera. I had no idea what I was doing. But nobody told us we couldn't.

That, says O'Neill, is what was truly special about 1963. "We could be whatever we wanted to be, whatever we wanted to say we were."

A hard day's night

Speaking to me in his last interview weeks before his death last year, legendary hairdresser Vidal Sassoon put the sense of youthful irreverence and creativity that would define an era into context.

"After the war, Britain was broke, we were broke, [so this meant] the kids were brought up in an extraordinary mood of rebuilding and rebelliousness," he said.

Sassoon, a working-class boy from London's East End, had focused his ambition to be a hairdresser and moved upmarket into London's mega-posh Mayfair. While his salon had served the aristocracy and the wives of rich and powerful men, Sassoon -- in the spirit of the age -- resisted establishment conventions and created a stark, geometric statement of youthful independence: The wedge bob cut.

"I walked past his salon one day and saw this photograph of a haircut. It was the five point bob," says Mary Quant -- who would herself service the burgeoning cult of youth by severing 12 inches off a hem, thereby inventing the minidress. "I wanted to look like that model. Everyone I knew wanted to look like that model."

In a recording studio in Manhattan, Rolling Stones guitarist Keith Richards says that the youth of 1963 changed the world "with guitars, patterns, scissors, paint brushes, cameras, and mold-breaking, often naÃ¯ve ideas.

Time is on my side

"For years we'd been told, 'you'll go into the army, that'll sort you out'. Then suddenly we didn't have to go into the army," Richards says.

The post-war draft had ended in Britain and was being scaled down in the United States. Young people had grown up expecting to do three years of military service and then, out of nowhere, "we had those years back," says Richards.

All that newly discovered free time led to a burst of expression that was, at times, shocking. That year, a young Andy Warhol moved into a fire- house on New York's East Eighty-seventh Street to stretch the boundaries of the art world, and a young David Hockney invented his own palette.

A clothing company called Levi's recognized a trend and launched its pre-shrunk jeans; Timothy Leary was fired by Harvard and began his Millbrook experiment; the Monterey and Newport folk festivals created a new template for the mass celebration of youth.

And it wasn't just the prosperity and the freedom to explore new music and wear new fashions to dance and parade in: The contraceptive pill became widely available to young women, liberating them from fear of unwanted and adolescence-curtailing pregnancy.

In that one year, nobodies made names for themselves that would span half a century, and whose contribution to art and culture will continue to span centuries to come.

It's thanks to Jagger, Dylan and the Beatles; to Quant, Sassoon; and to the countless other fashion mavens, musicians and artists who emerged that year that 18-year-olds today command the attention of politicians and Wall Street.

Before 1963, youth was largely acquiescent and acquisitive. After 1963, they were impossible to ignore. They were catered to. They were marketed to. They were listened to. They were heard.

@highlight

1963 was the most important year for art and culture, argues author Robin Morgan

@highlight

Amid political turmoil was the birth of a 'global demographic power shift'

@highlight

Likes of Beatles, Rolling Stones, Andy Warhol and Vidal Sassoon signaled first rise of youth