(CNN) -- When an earthquake hit Haiti in 2010 a quarter of a million people lost their lives, homes were flattened and communities torn apart. The capital Port-au-Prince became a sea of devastation in which shelter was hard to find.

Those affected flocked to find safe ground. Amid the chaos, the Sylvio Cator stadium became a makeshift refuge for those hordes rendered homeless by the disaster.

Thousands poured through the gates at the national home of soccer, seeking sanctuary on turf that usually only plays the role of host for 90 minutes at a time.

A year on from the disaster some 7,000 people still live in and around the stadium, a grim reality replicated on nearly every green space in the rubble-strewn city.

But slowly, soccer -- like the community it represents -- is starting to reassert itself.

The scene is still far from normal as helicopters laden with medical supplies use the pitch -- once the preserve of players only -- to land and take off from.

For the man charged with trying to rebuild the country's decimated football community, it provides yet another challenge to etch onto an exhausting list.

Haiti's Football Federation (HFF) president, Yves Jean-Bart, recalls how the earthquake that brought the country to its knees spared nothing for the beautiful game.

"Our national headquarters collapsed in just a few seconds," he told CNN. "Of the 50 people present at the time of the earthquake one dozen were injured and 32 found dead.

"We also lost inventories of national equipment; the federation's archives were not recovered. Our trophies, the awards we have received throughout the history of the federation, pictures of witnesses of our glorious years were not found in the rubble. It was a complete disaster.

"On top of it all, right after the earthquake all fields were occupied by millions of refugees of the earthquake who had lost everything. Currently we no longer have any soccer field that we can use in Port-au-Prince and surrounding towns for a decent game."

This represents a big problem for the country, whose passion for football is described by soccer's governing body FIFA as "amongst the most intense on the planet."

Yet despite the infinite challenges, the HFF have worked tirelessly to get soccer back on its feet and were still able to launch their domestic league and cup tournaments, if a little later than advertised.

Just two months after the tragedy, and despite losing their coach Jean-Yves Labaze to the earthquake, Haiti's under-17 women's team competed in a qualifying tournament for the World Cup.

This courage of purpose saw the team given FIFA's Fair Play award at a recent ceremony, where the team captain, Hayana Jean Francois, summed up the country's feeling towards soccer when she told the audience: "If there was no football, we would be nothing."

It is this enthusiasm that has been the catalyst for recovery according to many, allied with offers of assistance from the likes of Guyana, the United States, England, Qatar, Spain and Canada.

English Premier League star and France international Florent Malouda felt moved to visit the country to support the Yele Haiti charity, founded by his friend, hip hop star Wyclef Jean. The Chelsea midfielder was stunned by what he saw.

"We went to Port-au-Prince and it was chaos," he said. "People were trying to rebuild their lives but there was no water, no electricity. Some of the first tent camps on the road from the airport had already been destroyed by the wind.

"I wondered how they could live in such difficult conditions. But when you spoke to people you could feel that, no matter what happens, they were still positive and they still believed in life. It was really inspiring."

For Malouda, Haiti's love for soccer remains despite the crisis: "I'd say football must be their second religion. They know everything about football. They just love it. That's the power of football. It's all about joy and passion, and it lets them forget their problems."

FIFA have been at the forefront of the international aid effort, donating $3.25 million, and its president, Sepp Blatter, told CNN: "One year after the earthquake, we have not forgotten about Haiti and we are still committed to supporting them.

"We know that football remains a contributor to the positive spirit of many youngsters in Haiti, and that it can bring some hope for them in these difficult times."

The tragedy galvanized the international football community and help flooded in from companies such as Digicel, Adidas, Walt Disney and German television station SAT-EIN.

Plans to bring the crumbling Sylvio Cator stadium back up to scratch are in motion and construction of a new headquarters for the HFF has already begun.

Once completed it will be a particularly poignant reminder of Dr Jean-Bart's colleagues who were entombed in the previous HFF hub.

"We held a memorial service for our colleagues who did not make it in April on the site of our collapsed headquarters, an extremely moving ceremony," he explained.

"On our new website as well as our new headquarters we will have a special place dedicated to their memory, but we know it will never be enough to demonstrate our gratitude for all that they have done for soccer."

The HFF hasn't replaced any of those who were lost, and now operates with a threadbare staff, but thanks to help from around the world Dr Jean-Bart says the future is dominated by hope.

"Overall, we would say that it is thanks to all the 208 associations of FIFA, who showed us their support and affection that we never felt alone throughout this long journey.

"Since 2003 we've been going from one catastrophe to the next. Personally, I never imagined that there was so much solidarity in our family, such a passion to get back on track, everyday I see that the courage and the willpower is getting stronger and stronger.

"What we are most satisfied with is being able to keep doing of all our activities just like before the quake. We are extremely proud of being able to get back up and handling every situation going on in our country.

"Haiti never really had much except for talent and the passion for soccer."

@highlight

Haitian soccer is slowly rebuilding after the devastating earthquake of January 2010

@highlight

The country's football federation headquarters were flattened and 32 officials killed

@highlight

Aid has poured in from soccer's governing body FIFA and nations around the world

@highlight

Haiti under-17 women's captain says: 'If there was no football, we would be nothing.'