New York (CNN) -- The rash of stories about priestly sexual abuse in Europe, especially in Ireland and Germany, has put many Catholics on the defensive. They should not be. While sexual molestation of any kind is always indefensible, the politics surrounding this story is also indefensible.

Employers from every walk of life, in both the U.S. and Europe, have long handled cases of alleged sex abuse by employees as an internal matter. Rarely have employers called the cops, and none was required to do so.

Though this is starting to change, any discussion of employee sexual abuse that took place 30 and 40 years ago must acknowledge this reality. Thus it hardly comes as a surprise that Cardinal Sean Brady in Ireland did not summon the authorities about a case involving a priest in the 1970s. What is surprising is why some are now indicting him, acting as if his response was the exception to the rule.

Selective indignation at the Catholic Church is not confined to Brady. Why, for example, are the psychologists and psychiatrists who pledged to "fix" abusers treated so lightly? After all, employers from the corporate world to the Catholic Church were told over and over again that therapy works and to give the offender a second chance.

Indeed, the zeitgeist of the day was that rehabilitation not only works, it is virtuous. That such advice was wildly oversold can now be agreed upon by almost everyone, and that is precisely why it smacks of politics to deny how strongly held the rehabilitative ideal was. Had the Catholic Church simply tossed the offenders out, it would have been branded as heartless.

There is also much noise about Cardinal Joseph Ratzinger -- now the pope -- approving the transfer of a priest out of his archdiocese in Germany for therapy. That happened 30 years ago. Again, he did exactly what virtually every other leader, clerical or secular, did.

Anyone who maintains that in North America or Europe it was common practice for employers outside the Catholic Church to file a police report about suspected wrongdoing by their employees needs to put up or shut up: Where is the evidence?

Beyond that issue, the focus on sexual abuse in the Catholic Church is far out of proportion to the attention given by the media to the sexual molestation of minors when committed by non-Catholic clergymen. According to a report by the New York Times in October, the Brooklyn district attorney's office had filed charges in 26 cases of sexual abuse involving members of the ultra-Orthodox Jewish community.

Just this month, Rabbi Baruch Lebovits was found guilty on eight counts of sexually abusing a Brooklyn boy. Yet the Times, which has run several stories on the decades-old cases in Ireland and Germany, never reported it. And none of it merits the kind of attention given to priests. Catholics aren't fooled.

Public school teachers accused of sex abuse are either transferred to another school district -- it's so common that it is called "passing the trash"-- or they are assigned to what, in New York, they call a "rubber room" (these are places where teachers draw full salary and benefits doing makeshift administrative work). Both the teachers unions and state law allow this outrage to continue. Maybe if the media concentrated on this problem, solutions would follow. But the politics of the day being what they are, don't bet on it. It's a lot sexier to nail the Catholic Church.

The hyper-concentration on the Catholic Church is not by accident. The Church preaches an ethic of sexual restraint -- a profoundly countercultural idea -- so when a priest fails, it's tempting to highlight it. Human nature being what it is, that's understandable. But it's also immoral. Quite frankly, if sexual abuse is wrong, it should not matter what the identity of the abuser is. Selective justice is the highest form of injustice.

The opinions expressed in this commentary are solely those of Bill Donohue.

@highlight

Bill Donohue says church treated sex abuse as internal matter, as did other leaders

@highlight

He says critics are unfairly implying Church acted differently in failing to disclose such cases

@highlight

He says other faiths, professions have had similar problems but less publicity