Baghdad (CNN) -- A wave of explosions across Baghdad killed dozens of people Thursday and spread fears that Iraq's government could collapse in the wake of the U.S. military's departure.

At least 65 people were killed and at least 196 were wounded in 20 explosions just days after the final U.S. troops withdrew, police said.

The attacks targeted civilians across all walks of life. One took place at a market. Another, at a school as children were arriving. A third was at a coffee shop.

The attacks were a painful reminder of Iraq's most violent years.

The seemingly coordinated explosions Thursday struck during the height of morning rush hour, hitting a number of Baghdad's primarily mixed Sunni-Shiite neighborhoods. Nine car bombs, six roadside bombs and a mortar round all went off in a two-hour period, targeting residential, commercial and government districts in the Iraqi capital, two police officials told CNN.

Analysis: Bombings expose Iraq's deepening sectarian divisions

There have been no immediate claims of responsibility, though the attacks resemble previous bombings that have been claimed by both Sunni and Shiite insurgents as well as al Qaeda in Iraq.

The deadliest attack was a suicide car bombing outside the offices of the Integrity Commission, the country's main anti-corruption body. At least 23 people were killed and 43 others were wounded in the explosion, which also damaged part of the building, police officials said.

The violence comes as Iraq's Shiite, Sunni and Kurdish political leaders square off over a warrant issued for the arrest of Vice President Tariq al-Hashimi, who is accused of organizing his security detail into a death squad that targeted government and military officials.

Shiite Prime Minister Nuri al-Maliki has demanded that Kurdish lawmakers hand over the Sunni vice president, who has denied the charges and refuses to return to Baghdad from northern Iraq's semi-autonomous Kurdish region.

Finance Minister Rafie al-Issawi told CNN he does not believe the violence is directly connected to the latest political developments, "but there is a good environment for terrorists to be active in these bad circumstances."

Terrorists "will justify their criminal activities" and argue that the solution to Iraq's woes "isn't in the political process," said al-Issawi, a member of the Sunni-backed Iraqiya minority political bloc.

The head of Iraqiya, former Iraqi Prime Minister Ayad Allawi, complained that the bombings "reveal the weakness of the security and intelligence services to achieve security and stability because some of these services were busy chasing down political forces." He accused those services of creating confusion in the political process, "which is essentially broken."

Al-Maliki meanwhile, called on "clerics, politicians, parties, tribal leaders and all the national groups to bear responsibility in this delicate situation, support the security forces and unify ranks."

"The criminals and those who stand behind them will not be able to change the course of events and the political process or escape punishment that they will face sooner or later," he said.

The U.S. Embassy in Baghdad issued a statement condemning the attacks.

"We extend our heartfelt condolences to the families and communities of these victims," the statement said. "It is especially important during this critical period that Iraq's political leaders work to resolve differences peacefully, through dialogue, and in accordance with Iraq's constitution and laws. Senseless acts of violence tear at the fabric of Iraqi unity and do not in any way help the people of Iraq or any of its communities. "

]At the Medical City hospital in central Baghdad, doctors treated the wounded whose bodies were peppered with what appeared to be shrapnel from explosions.

Images of bloodied, battered bodies and destroyed storefronts and homes were broadcast on Iraqi television stations.

While violence in Iraq has fallen off in recent years, the latest spate of attacks are among the worst since August when a series of coordinated bombings killed at least 75 people in 17 Iraqi cities.

The attacks come amid heightened sectarian tensions, raising fears that the political turmoil in Iraq could spark a return of sectarian bloodshed that nearly ripped the country apart during the height of the war.

Al-Hashimi has denied the charges against him, saying the accusations are politically motivated amid the rivalry between his Sunni-backed Iraqiya minority political bloc and al-Maliki's Shiite majority bloc.

The warrant for al-Hashimi's arrest was issued just days after Iraqiya suspended its participation in parliament, claiming it was being cut out of the political process by al-Maliki.

The prime minister has said failing to hand over al-Hashimi or allowing him to flee to another country "could cause problems."

Al-Issawi, the finance minister, told CNN that before U.S. troops left, Iraqi officials made clear their fears of what could happen.

"So many times we warned the Americans, both the political and security situation (are) very fragile. Unfortunately, no one listened."

In a speech this month about bringing the U.S. troops home, President Barack Obama said, "Iraq is not a perfect place. It has many challenges ahead. But we're leaving behind a sovereign, stable and self-reliant Iraq, with a representative government that was elected by its people. "

"There can be no fuller expression of America's support for self-determination than our leaving Iraq to its people. That says something about who we are," Obama added.

Sen. John McCain, R-Arizona, cited the latest violence in an interview Thursday with CNN's "American Morning."

He complained that the president is "spouting how we have left a stable and Democratic Iraq."

"Unfortunately, what I anticipated is taking place," he said, adding that the United States should have maintained a "residual force" in the country.

CNN's Jomana Karadsheh, Arwa Damon, and Josh Levs contributed to this report.

@highlight

The head of the Iraqiya bloc says the attacks reveal a "weakness" of services

@highlight

Prime Minister al-Maliki vows the attackers "will not escape punishment"

@highlight

20 different explosions targeted residential and commercial districts of Baghdad

@highlight

Finance minister: We warned the U.S. but no one listened