(CNN) -- In a new report, the U.S. National Intelligence Council predicts the winding down of "Pax Americana" and China's ascent as the world's top economy by 2030.

That is, unless several "Black Swan" events skew their predictions.

On Monday, the report "Global Trends 2030: Alternative Worlds" forecast that U.S. economic and international influence will decline in the next two decades as a shift of global power moves from the West to the East, and from the North to the South. The relative importance of the U.S. as a global actor will decrease, as its economy and that of its western allies will decline. Meanwhile, rising states such as China, India and other Asian nations will contribute an increasingly large share of global financial growth.

"With the rapid rise of other countries, the 'unipolar moment' is over, and 'Pax Americana' -- the era of American ascendancy in international politics that began in 1945 -- is fast winding down," the report states.

However, despite a weaker economy, the U.S. will probably remain "first among equals," the report says, adding that it is very unlikely that any other nation could replace the U.S. as the leading world power.

The report is largely optimistic about technological and economic advances in the next two decades. The numbers of people living in poverty is likely to drop sharply in East and South Asia, the Middle East and North Africa, with sub-Saharan Africa lagging behind. "Under most scenarios -- except the most dire -- significant strides in reducing extreme poverty will be achieved by 2030," the report notes.

What are those dire scenarios? The report gives a list of eight "Black Swan" scenarios -- a reference to Nassim Nicholas Taleb's book "Black Swan," which posits that history is built on unforeseeable, surprise events.

Global Trends 2030's potential Black Swans

1. Severe Pandemic

"No one can predict which pathogen will be the next to start spreading to humans, or when or where such a development will occur," the report says. "Such an outbreak could result in millions of people suffering and dying in every corner of the world in less than six months."

2. Much More Rapid Climate Change

"Dramatic and unforeseen changes already are occurring at a faster rate than expected. Most scientists are not confident of being able to predict such events. Rapid changes in precipitation patterns—such as monsoons in India and the rest of Asia -- could sharply disrupt that region's ability to feed its population."

3. Euro/EU collapse

If Greece were to leave the euro zone in an unruly way, it could result in eight times the collateral damage as the Lehman Brothers bankruptcy, which could lead to a broader crisis in the EU in the future, the report says.

4. A Democratic or Collapsed China

"China is slated to pass the threshold of US$15,000 per capita purchasing power parity (PPP) in the next five years or so—a level that is often a trigger for democratization," the report notes. "Chinese `soft' power could be dramatically boosted, setting off a wave of democratic movements. Alternatively, many experts believe a democratic China could also become more nationalistic. An economically collapsed China would trigger political unrest and shock the global economy."

5. A Reformed Iran

"A more liberal regime could come under growing public pressure to end the international sanctions and negotiate an end to Iran's isolation. An Iran that dropped its nuclear weapons aspirations and became focused on economic modernization would bolster the chances for a more stable Middle East."

6. Nuclear War or WMD/ Cyber Attack

"Nuclear powers such as Russia and Pakistan and potential aspirants such as Iran and North Korea see nuclear weapons as compensation for other political and security weaknesses, heightening the risk of their use. The chance of nonstate actors conducting a cyber attack—or using WMD (weapon of mass destruction) —also is increasing."

7. Solar Geomagnetic Storms

"Solar geomagnetic storms could knock out satellites, the electric grid, and many sensitive electronic devices. The recurrence intervals of crippling solar geomagnetic storms, which are less than a century, now pose a substantial threat because of the world's dependence on electricity," the report says.

8. U.S. Disengagement

"A collapse or sudden retreat of US power probably would result in an extended period of global anarchy; no leading power would be likely to replace the United States as guarantor of the international order."

CNN's Matt Smith contributed to this report

@highlight

A report predicts that China will surpass the U.S. economy by 2030

@highlight

Despite a weaker economy, the U.S. will probably remain "first among equals," the report says

@highlight

The report lists "Black Swans," unpredictable events that might upend predictions

@highlight

One "Black Swan" event suggests U.S. disengagement could cause global anarchy