(CNN) -- Air-raid sirens haunted the night sky. It was March 11 1941 and the Luftwaffe was on the attack. There was fear, panic, death and ruin.

The northern English town of Manchester was under siege; Old Trafford was under siege.

With each bomb that fell upon the old stadium -- home to one of the world's most iconic clubs Manchester Untied -- a piece of James Gibson's heart was shattered.

The man who had built United up from financial ruin was left facing the destruction of a decade of hard work.

The grandstand was obliterated, the stadium left for ruin like an ancient battleground. This was not the Theatre of Dreams, but the Theatre of Shattered Dreams.

Dying embers

Mention United and talk inevitably turns to the club's Â£1.4 billion value, the longevity of its remarkable manager Alex Ferguson, players like Ryan Giggs and Robin van Persie, or their American owners -- the Glazers.

Sculptor shows softer side of formidable Ferguson

But if it had not been for Gibson, it is unlikely there would be the United we know today.

There would be no 19 league titles or three European Cups. The likes of George Best, Denis Law and Bobby Charlton would never have pulled on the red and white.

The "Busby Babes" would have never existed.

The youth set-up, which produced such gems as Duncan Edwards, Paul Scholes, Ryan Giggs and David Beckham, would never have come to fruition.

The rivalry between United and Sunday's opponent Liverpool would never have been fashioned.

'The Gibson Guarantee'

Even by the times the Lutfwaffe flew over Manchester, Gibson had already resuscitated an ailing giant.

It was on December 19th 1931 that Gibson took on a club crippled by debt and financial neglect after the the Wall Street Crash and the death of a benefactor had left United on the brink of collapse.

On that fateful day, Walter Crickmer, the club secretary, went cap in hand to Gibson, a man who had made his money supplying uniforms for tram workers.

Ferguson's 25th anniversary

An avid football fan, Gibson handed over $165,000 in today's money, allowing the club to appease its debtors, pay staff and players and provide a large Christmas Turkey for families of employees.

It was to go down in history as "the Gibson Guarantee".

"My great-uncle was such a kind, generous and lovely man," said Alan Embling, who has organized an exhibition in Gibson's honor in Manchester.

"He was the kind of man who would have given somebody the shirt off his own back if they had really needed it.

"He would do anything to help anybody and it's a real honor for me to have been related to such a man.

"Unfortunately, a lot of the history books about United have glossed over what he did, which is a real shame."

What Gibson did -- as chairman and president of the club -- was invest heavily in the club, wiping away huge debts and appoint the club's first Scottish manager -- Scott Duncan.

Together, they ensured United survived relegation to English football's third tier in 1934, allowing them to tackle debts which would be valued at an estimated $1.4 million today.

"My great uncle knew that the only way to solve the money crisis was to get more people into games," added Embling.

"In those days there was no sponsorship, there was no merchandising. It was all about the pitter-patter of feet on the terraces.

"That's why he did so much to make it easier for fans to get to games. He understood what they wanted."

Youth Academy

Gibson realized the importance of community and the impact the club could have on it.

He negotiated with the local railways for steps to be built from the platform at the nearby train station to lead to the stadium, while he also arranged for trains to make unscheduled stops on their way to London.

It helped attendances rise and encouraged those without the luxury of a car to make the trip to Old Trafford. Today, a red plaque still shines upon the railway bridge on Sir Matt Busby Way with Gibson's name enshrined.

Even more crucial was the establishment of the club's youth academy, which was set up during the 1936/37 season.

With little money to invest in players, Gibson was determined to find talent within the local area which would help improve United's fortunes on the pitch. It was to prove a masterstroke.

The youth team won the Chorlton Amateur League in 1939, scoring a remarkable 223 goals in the process. It laid the foundations for generations of young talent which would go and bring success for many a year to come.

But on that fateful March night, as German bombers blitzed Old Trafford, all Gibson's hard work was undone.

Football's most poisonous rivalry?

With the stadium all but destroyed, United were effectively homeless and the club's future was once again hanging by a thread.

Gibson moved quickly, arranging a deal for United to play its home matches at Maine Road, home of local neigbor, Manchester City.

But with rules in place which required a license to be granted by the government for rebuilding work, it took seven years for Gibson to get started on restoring Old Trafford.

Tragedy

It was not until 1948 that Gibson truly began to see the fruits of his labor.

With the renovations and repairs starting at Old Trafford and the arrival of Matt Busby as manager, the club began to excel. In the two years following the end of the war, United had finished second in the league on both occasions and in 1948 the club reached the FA Cup final

Great Scot! Why Scottish coaches rule

Under Busby, who had been appointed by Gibson despite having no previous managerial experience, the team went on to achieve greatness. With its last FA Cup victory having come in 1909, Busby's team faced a Blackpool side boasting the great talents of Stanley Matthews and Stan Mortensen. It was a day that Gibson had dreamed of.

The likes of Johnny Morris, Jack Rowley, Stan Person and Charlie Mitten, all of whom had grown up around the streets of Manchester, were ushering in a new era of success.

Tragically just hours before Gibson was set to make the trip down to Wembley he suffered a stroke.

Perhaps that helped motivate the players as they claimed a 4-2 win and the team took a detour on the way home to visit their stricken owner. It was there that they left the FA Cup, for Old Trafford had not been finished yet.

"It was a wonderful gesture for the players to come and see him," recalls Embling.

"I remember that they kept the FA Cup in the spare bedroom. There were a lot of spare bedrooms, but I'll never forget it.

"There was nowhere to keep it as Old Trafford was still being renovated and I'll never forget my aunt taking me into the bedroom and opening the wardrobe.

"I was only a young boy and I had my paws on the FA Cup. I know it wasn't the original but even still, it was amazing."

Pride

While United returned to playing at Old Trafford in August 1949, Gibson lived just another two years until he suffered another stroke, passing away in September 1951. Just months later, United won the league title for the first time in 40 years.

During his lifetime, it is estimated that Gibson invested around $3.3 million in today's value, while both his wife, Lillian and son, Alan, also went on to serve the club's board for years to come.

Gibson's family will attend Sunday's game against Liverpool, sitting in the same stadium which would have faded into the abyss had it not been for the dreams and determination of one man.

From the seeds sown by Gibson, United would go on to flourish with European Cups, FA Cups and league titles galore thanks to the work of Busby and later, Ferguson.

Busby, who survived the tragedy of the Munich air disaster where seven United players were among the 21 people killed, cheated death to help restore the club once again.

Under Busby, United would go on to great triumphs, triumphs of which Gibson would have been so proud.

The story of James W Gibson will be told in an exhibition at Hale Library, Leigh Road, Hale, January 14-21.

@highlight

James Gibson is the man credited with saving Manchester United from financial ruin

@highlight

Club was heading for extinction in 1931 before Gibson emerged as a benefactor

@highlight

Rebuilt Old Trafford after stadium was damaged during Nazi raids in World War Two

@highlight

Appointed Matt Busby as manager, the man who brought glory to the club on the pitch