(TIME.com) -- With pollen and other spring allergens in the air, researchers investigated whether place of birth affected the risk of developing allergies, and the answer turns out to be — yes.

Having an allergic reaction — with its sneezing, wheezing, itchy eyes and runny nose — is an all too familiar experience for many Americans, particularly children. About 11% of youngsters suffer from asthma, and up to 20% may experience some immune-based reaction to allergens such as pollen, dust, animal hair and even foods. But this relatively high prevalence seems to be unique to the United States, so researchers delved into whether different environmental exposures, dictated by where children were born, could affect risk of allergic disease.

Reporting in JAMA Pediatrics, the scientists studied 91,642 kids between the ages 0 to 17, all currently living in the United States, who participated in the 2007- 2008 National Survey of Children's Health. The children or their parents answered questions about where they were born, and if they were born outside of the country, they were asked to note how long they had lived in the United States.

The researchers also collected medical information about the children's allergic diseases, including asthma, eczema, hay fever and food allergies.

TIME.com: Bullying over food allergies

When they compared place of birth with allergic-disease prevalence, the scientists found that children born outside of the United States were less likely to develop asthma or allergies compared with those born in the United States: 20% of foreign-born kids developed allergic diseases compared with 34% of the American-born children. The prevalence of asthma was even lower, with those born outside of the country 47% less likely to develop the condition than those born in the United States.

Even after the researchers accounted for factors that could affect rates of allergies, such as race or ethnicity and socioeconomic status, the strong association between being born in the United States and the higher risk of allergic diseases remained.

TIME.com: Why we're going nuts over nut allergies

In fact, it was clear that the U.S. environment played some role in the trend, since foreign-born children who had lived in America for more than 10 years were three times as likely to develop allergic diseases as those who spent less than two years Stateside.

And foreign-born children whose parents were also born outside of the United States seemed to benefit from additional protection from these conditions: 18% of these children developed allergic disease compared with 33% of foreign-born children whose parents were born in the United States.

The results confirm those of previous studies that found higher rates of asthma among American children compared with kids from other countries, and investigators have also reported similar differences in allergic diseases between immigrants and native-born citizens in Italy, Israel and Australia.

What does birthplace have to do with how the immune-system functions? The most likely explanation could involve the "hygiene hypothesis," which suggests that improved sanitation methods and efforts to keep germs at bay may deprive young, still-developing immune systems from being trained to recognize and react appropriately to the right types of irritants.

"The hygiene hypothesis suggests that early-life exposures to infection or an unclean environment may protect against allergies. Children born and raised outside the U.S. likely have more and/or different infectious exposures than those born in the U.S.," says study author Dr. Jonathan Silverberg of St. Luke's-Roosevelt Hospital Center in New York. "That American cities are 'too clean' may be overstated. However, previous studies suggest that rolling in the dirt from time to time may be a good thing for kids."

TIME.com: Why kids with known food allergies are still at risk

Parental behaviors and cultural practices may also play a role.

"Parents born and raised outside the United States may, for example, follow a healthier diet or have foods with a different antigenic profile than typically encountered in the Western diet," the authors write. "Some cultures more commonly use spices, such as curcumin, and green tea that have antiallergy and inflammatory properties."

Such factors could explain why having foreign-born parents seemed to lower risk of allergic disease in their children even further; the finding held even after the researchers accounted for differences in race, ethnicity, socioeconomic status, and whether or not the child lived in a metropolitan area.

Sneezing and wheezing solutions: Surprising ways to relieve spring allergies

In terms of what features of the American lifestyle or culture could be contributing to an increased risk of these diseases, previous studies from the same team of scientists suggested that factors such as climate, obesity, the Western diet and various types of infections could play a role.

The current study wasn't designed to identify which specific environmental factors might be the most influential, but Silverberg says, "one of our goals is to determine which factor [or factors] have the greatest impact on allergic disease, and to help develop public-health interventions to decrease rates of allergic disease in the U.S." — because those influences would likely be far easier to change than where you're born.

This story originally published on TIME.com:

Location, location: Being born in the U.S. puts kids at higher risk of allergies

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

The U.S. environment seems to play some role in the allergy trend

@highlight

'Hygiene hypothesis' may have something to do with it

@highlight

Parental behaviors and cultural practices may also play a role