UYUNI, Bolivia (Reuters) -- On the edge of the world's biggest salt desert, villagers optimistically scrawl "salt for sale" signs on their mud brick homes. In backyards, mountains of the stuff are heaped like year-round snow drifts.

The sparse beauty of Bolivia's Salar di Uyuni is attracting growing numbers of tourists.

But mining salt is no longer the only way to survive in this cold, arid corner of southwestern Bolivia. The Salar de Uyuni is becoming a must-see for adventurous visitors to South America, changing at least some fortunes in the poor village of Colchani.

"There's nothing here apart from salt... Tourists used to arrive and they wouldn't buy anything, so we thought, 'How can we improve things?"' said Fermin Villca, who now sells ashtrays and llama figurines carved from salt stone.

Stretched between distant Andean peaks like a shimmering white carpet, the Salar de Uyuni is home to pink flamingos, 1,000-year-old cacti, rare hummingbirds and hotels built entirely from blocks of salt.

Earlier this year, leading travel publisher Rough Guides listed the Salar as one of its top 25 wonders of the world, alongside far better-known attractions such as the Taj Mahal, Grand Canyon and Great Wall of China.

And word is spreading. At least 60,000 tourists visited the roughly 4,250-square-mile salt flat last year, and local officials say their numbers are steadily rising.

Apart from freezing night temperatures and fierce desert sun, visitors have to brave a grueling journey on unpaved roads to reach the Salar, which lies about 185 miles south of the capital La Paz near the Chilean border.

Some 40,000 years ago, it was part of a lake that covered a large swath of the Andean highlands. The moon-like landscapes of the salt desert are part of what was left when it dried up.

In the nearby town of Uyuni, residents and local officials have ambitious plans for its future as a hub for tourism, which has fast overtaken llama-herding and quinua-farming as the impoverished region's main economic activity.

At the recent start of a road-building scheme to link Uyuni with the city of Potosi, the provincial governor said he wanted Uyuni to be "the world's top tourist city" with the help of the highway and new attractions such as a llama museum.

Even before the road has been paved, some officials have also proposed the construction of a high-speed railway using profits from the region's revitalized silver-mining industry.

But with frequent power cuts, a lack of drinking water and only basic hotels, they admit they have a long way to go.

"There's no center to deal with the garbage. The wind blows and all the garbage ends up back in town," said Martin Calvimontes from the non-governmental organization Inagro, which is trying to promote better practice in tourism.

For tourists who want to stay on the Salar itself, there are several hotels made from salt bricks -- beds, chairs and cocktail bars included.

"People want to test it's really made of salt by licking the walls," said Raul Garcia, a workmen building a new salt hotel, as he crammed coca leaves into mouth. "They're very impressed when they see that it's all made from salt."

The view from the hotel's windows is flat whiteness, fringed by the peaks of mountains on the horizon beneath a bright blue sky. The silence of the Salar is only broken by the occasional tour group speeding by in a four-wheel-drive vehicle.

Uyuni tourism director Ovidio Copa expects twice as many tourists to be visiting the Salar within five years as word of its otherworldly beauty gets out.

"The Salar has the ability to captivate people with its silence and tranquility," he said, sitting before the towering cacti of one of the salt flat's islands. "Its intrinsic beauty is the attraction." E-mail to a friend

Copyright 2007 Reuters. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed.

@highlight

Salar di Uyuni, the world's biggest salt flat, attracting growing numbers of tourists

@highlight

Bolivian wilderness described as one of world's 25 wonders by Lonely Planet

@highlight

60,000 tourists visited last year; numbers expected to double within five years