(CNN) -- Chingaiz Khan was an unknown quantity when he arrived for a junior weightlifting tournament in South Waziristan nine years ago.

Chaotic and intensely religious, the Pakistani region is known by locals as "the most dangerous place in the world."

The 12-year-old Chingaiz, with his short, jet-black hair and smooth, unblemished skin, looked younger than the other boys. But, despite it being his first ever tournament, he was still stronger than everyone else.

For his father Shams-Ul Wazir, a local college lecturer, the decision to register his son for the tournament paid off handsomely.

Chingaiz was crowned the junior boys' weightlifting champion, the first step on a journey that would take him into the world of professional sport.

Except Chingaiz wasn't really his name.

Chingaiz was actually called Maria Toor Pakay.

Chingaiz was a girl.

"I suggested the name of Chingaiz Khan for her since she had always been like a boy," explained Al Wazir in an interview with HBO. "She liked the name very much."

Girls and boys

This isn't a story of deception, but rather a tale of necessity.

Maria Toor Pakay is Pakistan's number one squash player, ranked 49th in the world. She also comes from an ultra conservative region in Pakistan that is home to the Taliban.

Female participation in any form of public life is strongly discouraged, by both words and deeds. Education, working, sports; anything involving women leaving the house unaccompanied by a male relative was seen as the work of the devil.

Teen athlete fled Taliban stronghold to pursue dream

But Pakay had talent. Her weightlifting triumph gave her access to a world of sporting options that would otherwise have been out of bounds to her as a female, and she discovered the discipline where she would make her name.

Squash is one of Pakistan's most popular games and Pakay excelled at it. By the age of 21 she had gone pro and broken into the world top 50, an incredible rise up the world rankings. She is one of only three Pakistani women in the top 200; by contrast the nation has 15 men in the same strata.

Yet her success has come at a price. Pakay and her father have been threatened with retribution by the local Taliban for insulting their culture and their religion.

"My area, my tribal regions are called the hub of terrorism and extremism," said Pakay.

"It's the home to the Taliban, and it's called the most dangerous place in the world. But I have a big vision for my country, and for my people it will be stopped. I always thought that maybe I'm the chosen one."

Standing up

Pakay realized at a young age that she was different to other people she saw in her community.

"When I was four and a half, I told my parents that I want clothes like my brother," she said.

"I want to play with boys, there's more freedom, I felt. And I am not like girls who play with dolls. I want the toy guns and things like that."

Such behavior was anathema to the deeply conservative community she was born into. But her father agreed. Rather than forcing his daughter to conform, he thought about how best to realize his daughter's talent. It was he who came up with the plan to cut his daughter's hair and enter into competitions with the boys.

"They (religious elders) sent me to a mental asylum 'cause they thought that I had deviated from the culture, and that I was crazy supporting women's rights," he recalled.

"They said I was spoiling the whole environment and that all women would want the same rights."

With the boys' junior weightlifting title under her belt, Pakay decided to enter a boys' squash tournament. Her disguise was scuppered by bureaucracy.

"My dad said, 'This ... that's my son,' " Pakay recalled of the moment her father presented her to be registered. But the official dropped a bombshell. "He said, 'OK, we need the birth certificate, too.' "

Threat

Shams-Ul Wazir decided to come clean, and entered her in the girls' competitions. She destroyed the opposition and, at the age of 15, was national champion. It was then that the trouble started.

"I found a letter on the windshield of my car. It was signed by the name of 'Taliban,' " her father said.

"They told me -- they threatened me -- 'Stop your girl from playing squash because it is bringing a bad name to our culture and to Islam.' They told me, 'If you do not do this then you will have to suffer very bad consequences.'

"I ignored that threat ... (but) we were very much concerned that she might get shot or she might get kidnapped."

The warning terrified Pakay. Scared for the safety of her family, she decided not play in public.

"I told my dad that I might need a gun. I don't know what to do," she said. "He said, 'It's your decision. I never stopped you from anything. You wanna play or not?'

"Squash is everything for me. And I know that when a girl is kidnapped, it's the biggest dishonor. I'm not gonna bring dishonor for them, ever."

So Pakay played in the house, lonely and miserable. From dusk until dawn she hit the ball against the wall with her "Jonathan Power" racket. Her father knew that if he wanted his daughter to realize her potential, she had to leave Pakistan.

"He said, 'Okay, if you wanna play, just leave the country. That's all you can do.' "

The Power of persistence

Pakay agreed. For three long years she would write to everyone. Clubs, players, educational institutions. Nothing. But then, when she was 18 years old, she received her only reply. She recognized the name. It was the same name that graced her first racket: that of former world champion Jonathan Power.

"I couldn't believe that there was a woman squash player from Waziristan, let alone, one that could actually play," said Power of the day he received Pakay's email.

Power retired at the top of his game, as number one in the world. He never left squash. Instead he set up a national academy in his home town of Toronto, looking to find talent in people from places squash rarely reaches. Pakay's letter melted him. It read:

Dear sir,

I'm Maria Toor Pakay Wazir. I belong to South Waziristan agency of Pakistan's tribal areas on the Pak-Afghan border. South Waziristan one of Pakistan's most turbulent tribal agencies and the home to Taliban is also my home. Here girls of my age are passing their lives in such miserable conditions.

They are restricted to four walls despite having the desire to come out of the Stone Age and get assimilated with the rest of the world.

I will be waiting for your positive response.

Regard,

Maria Toor Pakay Wazir, professional squash player.

Power was moved to reply, and soon Pakay was on a flight to Canada.

"It's unbelievable," he said.

"She left on just hope, on a one-way ticket and 200 bucks on an email promise from me."

World champion

The aim for Pakay is to be world champion. She works from morning to night with Power, moving up the rankings as she gets close to realizing her dream.

Being away from her family is tough. She talks to them every day on the internet. She scours the news sites looking for information on suicide bombings and killings, praying they are nowhere near her home. So far, they haven't been.

"The timeline is 'till she's world champion and she goes home with a trophy," Power asserted confidently. "There is no substitute."

Yet in a region where some revile a woman's sporting success, a world championship has extra problems. More publicity, greater exposure, increased danger. That doesn't matter to Pakay. Success could open up opportunities for others like her, playing squash or lifting weights or kicking a soccer ball in their bedrooms as they wait for the world outside to change.

"Someone wants to kill me? Kill me once I bring the change and I become a world champion," she said.

"But not before."

@highlight

Maria Toor Pakay is Pakistan's No. 1 squash player despite difficult circumstances

@highlight

Pakay fled her native Waziristan after threats from the Taliban, moving to Canada

@highlight

Her father was warned that she was in danger for embarrassing the region's culture and religion

@highlight

Former squash star Jonathan Power is training her to become a world champion