Russia became more isolated Tuesday than it has been at any time since the end of the Cold War after new, hard-hitting sanctions were announced by the European Union and the United States, U.S. officials said.

U.S. President Barack Obama said the measures would take an "even bigger bite" out of the stagnant Russian economy than sanctions Washington and the EU had already implemented against Russia over its disputed annexation of Crimea and its support of pro-Russian rebels fighting the Ukrainian government.

"The major sanctions we're announcing today will continue to ratchet up the pressure on Russia including the cronies and companies supporting Russia's illegal activities in the Ukraine," he said from the White House South Lawn. "In other words, today Russia is once again isolating itself from the international community, setting back decades of genuine progress."

He said the EU sanctions showed to him a waning patience with Russian President Vladimir Putin and the impact of the shoot-down of Malaysia Airlines Flight 17, which had many Europeans among the 298 people on board when it exploded over volatile eastern Ukraine.

Some of the new EU sanctions target eight "cronies" of Putin and three "entities" by limiting their access to EU capital markets, an EU official said on condition of anonymity. The people and entities will be named Wednesday, the official said.

Three state-owned banks named Tuesday by Washington means five of the top six financial institutions in Russia were on the sanctions list, according to a senior Obama administration official. Four-fifths of their debt is in U.S. dollars, the official said.

New sanctions will also impact the future of Russia's important oil businesses with technology licensing restrictions, another senior administration official said. Restrictions will affect Russia's ability to produce oil from deep-water wells and shale fields, sectors it is only beginning to explore.

The sanctions, however, are not part of a new Cold War, Obama said.

"What it is, is a very specific issue related to Russia's unwillingness to recognize that Ukraine can chart its own path," Obama said.

The EU sanctions also will block new arms contracts between Europe and Russia, prohibit the export of European goods that can be used for both civilian and military purposes and limit the export of energy-related equipment, the EU said in a written statement Tuesday evening.

The European Union had previously been reluctant to issue harsher sanctions against Russia because both regions rely on one another for about $500 billion in trade and investment each year, according to CNNMoney.

"It is meant as a strong warning: Illegal annexation of territory and deliberate destabilization of a neighboring sovereign country cannot be accepted in 21st century Europe," the European Council's statement reads.

One of the senior administration officials said Russia hasn't been this isolated "since the end of the Cold War."

Obama said Russia could choose a different path.

"It didn't have to come to this. It does not have to be this way," Obama said. "This is a choice that Russia and President Putin in particular has made. ... The path for a peaceful resolution to this crisis involves recognizing the sovereignty, the territorial integrity and the independence of the Ukrainian people."

Investigators thwarted again

Meanwhile, international investigators and observers were prevented for the third straight day from reaching the MH17 crash site.

The Dutch Justice Ministry said its team was unable to leave the city of Donetsk because of violence.

The 50-strong team of Dutch and Australian experts, accompanied by monitors from the Organization for Security and Co-operation in Europe, was also forced to abandon its attempts to reach the site Sunday and Monday.

Dutch investigators have yet to lay eyes on the wreckage or the human remains believed still to be strewn across the huge debris field near the town of Torez.

U.S. and Ukrainian officials have said that a Russian-made missile system was used to shoot down MH17 from rebel territory. Russia and the rebels have disputed the allegations and blamed Ukraine for the crash.

Dutch Prime Minister Mark Rutte asked Ukrainian President Petro Poroshenko in a phone call Tuesday morning to halt the fighting around the crash site so that investigators can access it, Rutte spokesman Jean Fransman said.

Ukraine FM: The bitter lessons of MH17

Reports of ballistic missiles

The United States and others say Russia has provided arms to rebels in eastern Ukraine, including heavy weapons such as a missile system like the one believed used to down the Malaysian airliner 12 days ago.

Despite previous sanctions, the flow of weapons continues and on Tuesday the fighting appeared to have entered a dangerous new phase. There were reports that Ukraine's government in the past 48 hours used short-range ballistic missiles against the rebels, three U.S. officials told CNN.

The weapons have a range of about 50 miles (80 kilometers) and pack up to 1,000-pound (454-kilogram) warheads. If the reports are accurate, they are the most deadly missiles used in the conflict to date.

The U.S. officials did not specify where the missiles hit or what damage they caused.

One U.S. official said there has been no reaction from Russia so far.

Another of the U.S. officials said using the missiles is "an escalation, but Ukraine has a right to defend itself."

Ukrainian Foreign Minister Pavlo Klimkin acknowledged that his country's military has short-range missiles, but denied that the military fired any.

In a joint news conference with Klimkin, U.S. Secretary of State John Kerry praised Ukrainian officials for proposing a peace plan that includes "serious and substantive dialogue with the Russian-backed separatists."

Russia: Checkpoint came under fire

Russia's Foreign Ministry said in a statement on its website that a Russian checkpoint had come under fire from Ukrainian forces.

It says Ukrainian officers used automatic weapons and grenades at the Gukovo customs checkpoint, causing damage.

On Tuesday, Klimkin, the Ukrainian foreign minister, denied that Ukrainian forces had fired into Russia.

The defense minister for the self-declared Donetsk People's Republic, Igor Strelkov, said that there had been "extremely severe" battles between his rebel forces and the Ukrainian military in the area of Shaktarsk and Torez.

He said a number of injured rebel fighters, as well as some medical personnel, had been evacuated from Donetsk to Russia. Moscow has denied arming and supporting the rebels, but Strelkov's words indicate that Russia is serving as a kind of haven for the rebels.

Strelkov also denied his fighters had the weapons system needed to shoot down an airliner.

How rebels built up an arsenal capable of reaching the skies

INTERACTIVE: Is 2014 the deadliest year for flights?

To punish Russia, Europe must be prepared to suffer

@highlight

President Obama says sanctions will hit Russian arms, energy and finance sectors

@highlight

This is not part of a new Cold War, Obama says

@highlight

EU official: Some of the individuals affected are Putin 'cronies'

@highlight

Investigators are prevented from reaching the Malaysia Airlines Flight 17 crash site again