American democracy faces a very real threat. The power of money is overwhelming the power of average voters to influence government decisions. While this is an old lament in politics, social scientists are now finding very concrete proof about the damage being done.

The problem revolves around the way in which we fund our political campaigns. Opponents of campaign finance reform are having a field day. Over the past few years, they have watched with delight as the political parties and Supreme Court have slowly eviscerated the Watergate-era campaign finance reforms.

When the Supreme Court issued decisions citing constitutional barriers to the regulation of campaign finance and independent organizations have figured out new ways to influence politicians, opponents of reform proclaim that the system is better off. At a minimum, they argue that money and lobbying has always been part of this nation's politics: There is nothing much to do about it and the republic has survived.

Their arguments ignore the horrendous consequences that the influence of private money has on our democratic system.

The opponents of reform turn a blind eye toward the substantial evidence of how the nation is creating an unequal playing field that leaves many citizens virtually disenfranchised even when they retain the precious right to vote. Policies such as the tax system are skewed toward wealthier Americans, thereby worsening the cycle of inequality from which the nation can't seem to escape. As Elizabeth Warren recounts in her new book, the big banks had overwhelming influence as policymakers handled the crash of 2008.

At the most obvious level, the constant stories about the influence of money and lobbyists fuel  public skepticism about the democratic process.  The disillusionment caused by the role of money in politics  discourages political participation.

But the effects are even worse than we might think. In an academic article that will make heads turn, the political scientists Martin Gilens (Princeton) and Benjamin Page (Northwestern) have found that as a result of our political processes, wealthier Americans have disproportionate influence on the kinds of public policies the government enacts. Average citizens matter, but only when they are in agreement with wealthier Americans. If not, they tend to lose.

Based on a sizable database of public opinion and a study of 1,779 policy initiatives over 20 years, Gilens and Page report that a majority of Americans have little or no influence on the kinds of policies that the government produces. "When a majority of citizens disagrees with economic elites and/or with organized interests, they generally lose." Because of the way  our system works, wealthy interests have the ability to block changes that they oppose.

Wealthy interests were almost 15 times as likely to obtain their preferences from policymakers on issues like tax policy as were ordinary citizens.

This is the culmination of changes that have been taking place for several decades. The mobilization of business interests and wealthier Americans accelerated in the 1970s after the role of the federal government had expanded.

As Paul Pierson and Jacob Hacker showed in their outstanding book, "Winner Take All Politics," the strengthening and thickening of the organization of the corporate and financial communities in Washington resulted in highly sophisticated lobbying operations and campaign donation techniques that enhanced their ability to influence policymakers.

Over the next few decades, the result was congressional decisions such as regressive   tax cuts that favored wealthier Americans (starting with Ronald Reagan's 1981 tax cut) and economic deregulations that have favored their interests, such as freeing up the financial sector in the 1990s.

At the same time that wealthier interests were mobilizing to fight against campaign finance regulations put into place after Watergate, presidential candidates in both parties, including George W. Bush (in 2000, for the primary elections) and Barack Obama (in 2008, for the general election), ultimately decided to reject the publicly financed campaign system that had required them to accept spending limits.

The political parties introduced new mechanisms, such as soft money, to get around regulations while the Supreme Court dismantled the 1974 reforms through a series of historic decisions.

One of the most damaging results of these changes has been that the political benefits flowing to those with greater financial means worsens the economic inequality that has become such a defining part of modern times.

These kinds of findings should be shocking to Americans and offer more than enough evidence about the   dangers we are unleashing through the continued dismantling of the campaign finance laws and the failure to impose serious regulations on lobbying.

For all the arguments about free speech and the need to compete, we should take a close look at   a political system in which most Americans don't have a voice in the process and where, even worse, the outcomes are biased toward certain segments of the nation who can pay to play. This is one issue where the left and right, as well as the slim center, can find agreement.

Given Supreme Court decisions such as FEC v. Citizens United and FEC v. McCutcheon, a constitutional amendment might be necessary if there is to be any possibility of limiting contributions and spending. In the meantime, states might become the central arena for experimenting with new reforms.

Unless reform takes place, Gilens and Page have shown us that the nation is allowing money to slowly undercut the democracy that built America.

@highlight

A new study shows that the wealthy have far more influence than the average American

@highlight

Julian Zelizer says study raises disturbing questions about power of campaign money

@highlight

If wealthy shape policy, the inequality divide in America will only get worse, he says

@highlight

Zelizer: It may take a constitutional amendment, and state action, to reform system