In the neon canyons of Hong Kong's Tsim Tsa Tsui -- Hong Kong's main urban shopping precinct -- the proliferation of one type of shop has cropped up along its bustling streets in recent years.

Slotted in between the malls and luxury brand boutiques, the shops open onto the street and are bathed in a harsh fluorescent light. Inside, they sell a limited and identical range of dried goods, off-the-shelf pharmaceuticals, dried baby formula -- and very little else.

"Most of our customers are mainland Chinese," said one shop employee, who requested anonymity, as he frantically tapped data into the shop's computer. "I don't know how many we get through here a day -- a lot."

For some local Hong Kongers, the shops represent an assault on the amenity of the city and highlight an economy geared increasingly to the needs of cashed-up Chinese day-trippers, rather than local people.

"The truth is that most mainlanders who come are not real tourists," columnist and TV show host Michael Chugani wrote recently in an opinion piece for the South China Morning Post.

"They are grocery shoppers. Hong Kongers have to compete with them not only for daily necessities but also for space on the MTR (mass transit system), in restaurants and shopping malls."

Increasing visitor numbers

For Hong Kong locals this is not about to change any time soon.

Hong Kong's Secretary for Commerce and Economic Development Greg So Kam-leung predicted visitor numbers to Hong Kong would jump from last year's 54.5 million to 70 million in three years, the bulk of whom will be mainlanders.

The figure, he said, is likely to climb to 100 million by 2023.

Last month, about 100 radical Hong Kongers descended on Tsim Tsa Tsui to protest against the growing phenomenon, waving placards describing mainland shoppers as "locusts," hurling abuse at Chinese tourists and scuffling with police.

Demonstrators staged a follow-up protest at the nearby Mongkok shopping precinct in Kowloon the following weekend, wheeling suitcases (viewed as a ubiquitous accessory for mainland Chinese shoppers), causing congestion outside shops by faking "shopping fatigue" and yelling "I have come to buy baby milk powder" in fractured Mandarin at visitors.

Protest backlash

The protests, however, also sparked a strong backlash.

A group calling itself The Voice of Loving Hong Kong organized counter-protests in Mongkok and the Hong Kong government has even looked at amending its race hate laws to protect mainland visitors.

"The government understands that growth in the number of tourists has a certain level of impact on the lives of Hong Kongers. But tourism has contributed a lot in creating job opportunities. It makes up 4.5% of our economy," So Kam-leung said.

Nevertheless, some Hong Kongers have expressed alarm at the strain on its resources from the influx of mainland Chinese.

Even Beijing's top official on Hong Kong affairs this week acknowledged the extent of the problem, telling a closed meeting of of Hong Kong delegates at the annual National People's Congress in Beijing that the problem "had been taken note of."

Laws introduced last March limit the purchase of infant milk formula to just two tins for travelers leaving Hong Kong. A series of mainland food scandals -- most notably in 2008 when milk formula adulterated with melamine caused infant deaths across China -- has sparked an ongoing run on Hong Kong's top brands.

'Zero-birth quota'

The Hong Kong government lin 2012 also introduced a "zero-birth quota" policy to curb the number of pregnant mainland women having emergency deliveries in Hong Kong in order to gain Hong Kong residency and other benefits for their children.

In 2011, a record 43,982 mainland mothers gave birth in Hong Kong, according to local health officials, placing a massive strain on the city's hospitals.

"Protests mocking mainland visitors as locusts and protesters mimicking mainlanders by wheeling suitcases in shopping malls are over the top," Chugani told CNN. "But although these protests are small, they reflect the genuine feelings of many Hong Kong people who don't join because they don't want to be seen as anti-mainlanders.

"I speak fluent Cantonese and most people I talk to say they feel overwhelmed. So while the mocking protests are not justified, they do send a message shared by most Hong Kong people."

Rising costs

In many cases, it is the growing economic strength of mainland China that has raised tensions.

Hong Kongers fear that rising commercial rents and an almost unbroken bull run on residential property prices, fueled in part by mainland Chinese demand, has priced them out of their own city.

Hong Kong property agent Barry Ma, convener of a loose grouping that opposes increased mainland influence in Hong Kong, told CNN at a small rally at Sha Tin in Hong Kong's New Territories that they wanted to strengthen the "one-country, two-systems" policy that underpins the relationship between Hong Kong and Beijing.

"Hong Kong is an open society and we welcome everyone," Ma said. "The problem is not just housing or education or our hospital and medical system -- it is our whole environment; it is just so crowded now.

"Tai Po where I work is the last district in Hong Kong before the mainland and we just receive so many people coming down from Shenzhen," he said. "Even people who don't care about politics are starting to complain -- they are starting to hate mainland people.

"Catching a train used to take just five minutes but now you need an hour to organize it; there are just so many people."

For those mainland shoppers fortunate enough not to run into the small groups of placard wavers last week, however, Hong Kong offered its usual mix of bargains and brashness.

A Shantou resident from east Guangdong in mainland China, who gave his name only as Xie, said he'd encountered no hostility on a day trip to Hong Kong.

"Hong Kong people have treated us pretty well and the relations between Hong Kongers and mainlanders are fine," he told CNN.

@highlight

Hong Kong protests target shopping hordes from mainland China

@highlight

They say local economy is geared to needs of cashed-up Chinese day-trippers, excludes locals

@highlight

Hong Kong visitor numbers are expected to jump from 54.5 million to 70 million in three years

@highlight

Hong Kong taken measures to curb mainland Chinese pressure on maternity beds, baby formula