(CNN) -- Christina McHale, energy sapped and unable to train properly, knew something was wrong last year. Exercises she once did easily were becoming harder and getting through matches was proving difficult, too.

It was a surprise, since the young American prospect was considered a player with good stamina and has already earned a reputation for wearing down her opponents, not vice versa.

After a first-round victory at the French Open, McHale felt particularly exhausted.

"I won 6-4 in the third set, but I remember saying to my coach that I feel like I've just been hit by a bus," the 21-year-old recalled.

At first she thought it was a sinus infection. Then a couple of months later, following the Olympic tennis event at Wimbledon, McHale picked up a stomach bug and had to go to hospital. Her ordeal dragged on.

"I kept going back to the doctors because I wasn't getting better," McHale said. "I was still feeling very low on energy and they were like, 'No, you should already be over the stomach virus.' So then they started doing more tests, and that's when they found out what it was."

The diagnosis was mononucleosis, a viral illness that can linger for weeks, months or even years. It has earned the nickname of the "kissing disease" because it can get passed from one person to another through saliva. Fortunately for McHale, her bout was coming to an end.

McHale, though, isn't the only tennis player in recent years to be afflicted with mono or the name it's also known by, glandular fever.

Others on the list

Top men's players Roger Federer, Andy Roddick, Robin Soderling, Mario Ancic and John Isner have been struck down, while Heather Watson, like McHale a player with promise, revealed she had mono in April.

Jarmila Gajdosova, another promising player on the women's tour, announced last week on Twitter that she had mono.

Soderling and Ancic weren't as lucky as the likes of Federer, McHale and Watson, who hopes to return to action at the French Open, which starts this weekend. Indeed the severity of cases varies, as does an individual's capacity to fight off and cope with infections.

Soderling, the French Open finalist in 2009 and 2010, hasn't played since 2011 and it is looking increasingly likely that he won't ever come back.

The Swede with the massive forehand -- who handed Rafael Nadal his only defeat at Roland Garros -- started to feel unwell in the spring of 2011 and later said it was a mistake to compete at Wimbledon that year.

Ancic, hailed as a potential winner at Wimbledon after reaching the semifinals in 2004, attempted to play through his flu-like symptoms during a Davis Cup series against Germany in 2007.

He said he felt so dizzy in his singles opener he missed a ball completely, but he still contested the doubles a day later.

He was ready to play the deciding fifth rubber if needed, although with Germany already clinching the tie he was replaced by a young Marin Cilic.

"God saved me," Ancic, known for his work ethic and willingness to play through injuries, said in an interview in 2007.

Ancic re-emerged on the tour but was never the same and a teary-eyed Croatian had to retire two years ago aged 26.

Andy Murray, the current world No. 2, feared he had mono four years ago, and it's an illness he's still wary of, telling the Daily Telegraph in March: "You can get run down and end up missing two or three months of the year because of an illness.

"Your immune system gets run down and then you lose weight. It's happened with a lot of guys with glandular fever the last few years so it's something everyone has to look into."

Continuous travel, training

Former pro Justin Gimelstob isn't surprised that tennis players are susceptible.

The players have to, at times, switch continents on a weekly basis, and they travel 10-11 months in a year.

Unlike golf, cricket or Formula One, others sports that require continual global travel, the players also push themselves to the limit physically.

The career of Gimelstob, who now commentates and serves as a player representative on the ATP World Tour's board of directors, was blighted by a back injury.

"I think that's the thing people don't understand -- the heightened intensity does damage to your body, immune system, energy levels, on the fitness of your muscles, ligaments, tendons," Gimelstob said.

"It's just a very tough sport. I truly believe that Nadal, Murray, (Novak) Djokovic and Federer, these guys aren't only the best tennis athletes in the world, they are some of the best athletes in the world.

"There's a whole culture of being tough and strong and pushing through pain and being a warrior.

"But I can tell you right now at 37 years old walking my dog, my body feels the brunt of probably doing a lot of things and pushing through barriers I probably shouldn't have. That's the product of an individual sport."

At first Leslie Findley, a consultant neurologist in England who has treated marathon runners, footballers and tennis players with mono, said it was a "myth" that those involved in tennis are more vulnerable than other athletes.

But he subsequently acknowledged that when factoring in their travel, the severity of the illness can intensify.

"We know people with fatigue illnesses related to the effects of viruses travel badly," he said.

"If you take someone with a chronic fatigue syndrome and stick them on an airplane at (London's) Heathrow to the United States they'll do an eight-hour flight. That can have a devastating effect on them for days afterwards."

Preventing mono can be difficult, but Findley said it's important that players heed warnings. If they suddenly develop a cold, fever, sore throat or stomach issues, it's vital to rest instead of continuing to train and play matches.

Stopping not easy

As Gimelstob pointed out and Findley knows through his own experience in working with sportsmen and women, that isn't always easy.

"When you and I have the flu, we go to bed and within a week or two we'd be back to normal," Findley said.

"Why these people get symptoms that go on for weeks, months and years is usually because -- and I'm now generalizing -- they don't stop when they have the first symptoms and tend to push through, and they're under stress."

Diagnosing mono isn't simple, either, said Findley.

He said there is a lack of specialists and that doing a battery of tests at the outset may not be efficient. He will usually spend nearly two hours talking to patients in a first consultation before making a clinical diagnosis.

"Then there are a limited number of blood tests that need to be done to make sure there is nothing else contributing to it," Findley said.

The women's tennis tour said in an email that player health and well being was a "priority." But the age of many of its pros is another reason why tennis players would appear to be at risk.

"Mononucleosis most commonly occurs in people between the ages of 15 and 24, which is our athlete population," said Kathleen Stroia, senior vice president, sport sciences and medicine & transitions, with the WTA.

The men's tour said in an email that mono "has not been of unusual concern for the players or the ATP Medical Services."

"Professional athletes are not immune to illnesses which affect the general public in general," said Gary Windler, medical advisor to the ATP World Tour.

"While we are concerned about and take all injuries and illness seriously, and although some high profile players have suffered from glandular fever in recent years, the incidence of this particular illness amongst our players in general has not been unusually high."

McHale didn't think her tour needed to do more to help players.

"I think we're probably more susceptible to getting it because our bodies are more run down from traveling so much," she said.

"Also sometimes I take a water bottle -- they all look the same -- to the court and all of a sudden I'm like, 'This wasn't my water bottle.' Sometimes it gets transferred like that.

"I know a lot of my friends have gotten it. They're not athletes. For them it wasn't a big issue. It's amplified when you're an athlete."

Tough comeback for McHale

Her road back hasn't been smooth.

McHale, like others before her, didn't stop playing for a while. But after losing five straight matches, she finally decided to sit out the remainder of 2012 and not contest the European indoor swing. The losing streak rose to eight by the time this January's Australian Open ended.

As high as No. 24 in the world last summer, her health issues largely contributed to her ranking sliding to 55th.

She has resumed training fully and played for nearly three hours against 2012 French Open finalist Sara Errani in Rome on Wednesday but knows she must be careful.

"They did tell me there's a chance I could get a relapse, so I have to take it easy if I'm feeling extremely exhausted," she said. "But I think I'm past that point. I don't feel any side effects of what I had. I feel like I'm fully over it now. I was lucky my case wasn't extremely bad like some others."

@highlight

Some of tennis' biggest names, including Roger Federer, have been felled by mono

@highlight

Extensive training, matches and traveling may make players more vulnerable

@highlight

Diagnosing the illness can be difficult, says an expert who has worked with athletes with mono

@highlight

The men's tennis tour says cases of mono haven't been unusually high