Editor's note: Jeffrey A. Miron is senior lecturer in economics at Harvard University.

Economist Jeffrey Miron says it's better to cut taxes than to raise government spending.

CAMBRIDGE, Massachusetts (CNN) -- When the Obama administration takes office in January, it will propose a fiscal stimulus consisting of increased government spending and lower taxes.

By all accounts, the package will be big -- at least $700 billion, and possibly $1 trillion, over two years.

The goal will be to end or moderate the recession. According to the textbooks, government spending raises the demand for goods and services. Tax cuts also spur demand by putting more income in the hands of consumers or more after-tax profits in the hands of businesses.

Is a fiscal stimulus good policy? The answer is no if the stimulus consists of increased spending. The stimulus may be good policy, though, if it consists of lower taxes.

Consider first the increased spending.

If the new spending is for projects that are beneficial for society overall, and if the private sector cannot or will not undertake these projects, then the expenditure is worthwhile independent of what it does to fight the recession. A standard example might be repair of the interstate highway system.

This justification for additional spending is far from compelling, however. No doubt some roads need repairs, but the U.S. already spends huge amounts on its highway system. The U.S. could address existing deficiencies by increasing the use of toll roads and charging drivers extra at rush hour, or by repealing prevailing wage laws that inflate construction costs.

Similar caveats apply to other proposed increases in government spending.

Research on alternative energy is fine, but government funding is likely to come with costly strings and political interference.

A better policy is higher taxes on gasoline and other fossil fuels, which would enhance the private sector's incentive to undertake such research.

Additional spending on education makes sense in some cases, but the level of spending is already substantial. Improvements in education are more likely to come from expanded school choice and elimination of policies that limit efficiency, such as rigid hiring and firing rules negotiated by unions.

Even if certain components of the nation's spending are too low, nothing guarantees that new spending will be directed to these areas. Instead, experience suggests that much will be for repairing "bridges to nowhere," especially those located in the districts of influential legislators.

The Keynesian argument for a spending stimulus does not, of course, assume this spending is for projects that have economic or social value. The theory, in fact, suggests that digging ditches and then filling them up is effective at stimulating the economy.

This cannot make sense in the long run; government spending must be paid for with taxes, so it ultimately comes at the expense of private spending. Projects that do not make economic sense are then pure waste.

Yet the history of government spending indicates the stimulus package will include countless zoos, aquariums, museums, parks and other pork barrel projects for which the private demand does not come close to justifying the investment. In many cases, these projects will persist for decades.

Even in the short-run, the economic effect of public spending is often weak since it partially crowds out private spending. Research subsidies for green technologies, for example, mainly give private companies money for research they would otherwise undertake themselves. In any case, spending operates with a substantial lag, so it can kick in long after it is needed. The case for a spending stimulus is therefore weak.

Consider instead using tax cuts to simulate the economy. Most tax cuts enhance economic efficiency by giving the private sector better incentives. Reductions in the corporate income tax, for example, increase the incentives for investment, while reductions in personal income taxes raise the incentives for work and saving.

Tax cuts also stimulate demand via the standard Keynesian channels of increased disposable income for consumers and higher cash flow for businesses. Tax cuts thus improve economic performance in the long run and the short run.

Recent analyses of past tax cuts and spending increases, moreover, suggest that cutting taxes is the more effective approach. Any stimulus package should therefore consist mainly of tax cuts.

Whether a major tax cut is desirable depends on one's view about the current size of government.

For those who believe government should be at least as large as it is now, tax cuts are problematic because they add to an already dismal deficit picture. Social Security and Medicare, in particular, are projected to boost the deficit dramatically, implying higher tax rates will be required to achieve budget balance.

Rigid focus on the deficit might not be appropriate in a recession, but the long-run outlook still suggests caution about any policy that increases the current deficit.

For those who advocate smaller government, the case for a tax cut is easier; short-run increases in the deficit are not a major concern if government should be smaller (and can eventually be reduced in size) in the long run.

If the level of spending is too high, the U.S. can have its cake and eat it too: cut taxes now to improve efficiency and stimulate the economy and cut spending later to balance the budget.

Is the U.S government too large? This is not the place to address that question, but it is the crucial issue that policymakers and society must confront. If the level of spending is about right, then the U.S. must raise taxes sooner or later. A tax cut now therefore means an even larger increase down the line.

The overall point is that government spending should be determined by long-run costs and benefits, while taxes should be sufficient to pay for programs that make sense on these grounds. Concern with stabilizing the economy in the short run is understandable, but it often generates policies that are counterproductive over the long haul.

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Jeffrey Miron: Obama administration planning big economic stimulus package

@highlight

He says the choice is whether to spend more or to tax less

@highlight

Cutting taxes will give people and companies incentives to boost economy, he says

@highlight

Miron: More government spending will fund unnecessary or pork barrel projects