Paris (CNN) -- The new Human Rights Watch report "Torture Archipelago" documents in excruciating detail the use of torture in government detention facilities in Syria, including how, where, when and under whose command this torture was carried out. Documenting human rights violations in Syria is anything but easy, so how did we do it?

Since the beginning of anti-government demonstrations in March 2011, Syria has been doing whatever it can to keep independent observers from finding out what exactly is going on. For many months, it refused to issue visas for such work, and widespread violations were committed with few independent witnesses.

Some journalists from outside Syria bravely crossed the border without official permission, to provide valuable first-hand accounts of attacks and violations. But crossing the border illegally can be dangerous. Several journalists have been arrested and others killed on these assignments, making Syria one of the deadliest countries for journalists at the moment.

News: Report describes brutal torture in Syria

In April of this year, Syria finally agreed to the deployment of 300 United Nations observers and to grant visas to some journalists, but those who got into Syria have faced difficulties on the ground. When members from the U.N. observer mission, accompanied by several journalists, tried to investigate claims of a massacre in the small village of Qubeir on June 7, Syrian government forces initially prevented them from entering the village. When the observers finally entered the village one day later, they saw clear evidence that something terrible had happened.

Journalists on the scene reported that "the smell of burnt flesh still hung heavy in the air" and that "blood was in pools" in a house. But somebody had removed the bodies. It is hard to not draw the conclusion that government forces held up the U.N. observers while somebody tried to clean up the crime scene.

News: In Syria, a massacre feels eerily familiar

On June 16, the U.N. observer mission suspended its patrols in Syria because of increased fighting. The observer mission had also come under attack on several occasions.

Further complicating the work of impartial observers is the increasing amount of propaganda from both sides. We have long since stopped trusting any information coming from the government, but we cannot always trust information from opposition activists either. Some are reluctant, for example, to admit that a victim was an opposition fighter, instead presenting the person as a civilian.

So how does Human Rights Watch overcome these challenges?

We get the best evidence when we are able to examine the crime scenes ourselves. Despite significant risks, we have entered Syria without official permission on several occasions to investigate alleged violations. The last time, in April, we visited five towns that had just been attacked in the northern province of Idlib. We photographed bullet marks and blood traces on walls where people had been executed during the army's attack. We interviewed neighbors who had found the bodies, and in one case, we even spoke with a wounded person who had survived an execution attempt.

But rights-abusing governments cannot count on hiding the truth even if they manage to keep observers out. Syrians are still leaving the country in large numbers. By comparing information from multiple, separate, detailed witness accounts, we are wresting out the truth despite the best attempts of Syria's intelligence agencies.

"Torture Archipelago" is based on more than 200 long and detailed interviews. We asked former inmates of government detention centers not only about the torture, but also about the layout of buildings, the location of the interrogation rooms and torture chambers, and the names of guards and fellow inmates. We documented scars and studied photographs. We asked former detainees to draw the layout of the detention floor, and we asked them to point out on satellite imagery the exact building where they were detained and tortured.

We posed the same questions to defectors from the army and intelligence facilities who visited or worked in these facilities, many of whom gave us names and ranks of their superiors overseeing these detention facilities.

What we found is that Syrian authorities are running a network of underground detention facilities. We have identified the locations, names of commanders, and torture methods of many of these. While the actual number is probably higher, the 27 detention facilities listed in our report are those for which multiple witnesses have indicated the same building and described in detail the torture methods being used there.

By publishing this information, we are putting Syrian authorities on notice that their crimes will not stay secret. It can take time -- it has taken us several months to map these detention facilities -- but with enough perseverance, the truth will come out about the violations taking place in Syria. The question then becomes: Who will hold those responsible to account?

The opinions expressed in this commentary are solely those of Ole Solvang.

@highlight

Ole Solvang: Report based on more than 200 interviews tells about Syrian government torture

@highlight

Syrian authorities are running a network of underground detention facilities, he says

@highlight

Solvang: With this information now public, Syrian authorities' crimes will not stay secret

@highlight

The question now, Solvang says, is: Who will hold those responsible to account?