Washington (CNN)Mitt Romney is eyeing another shot at the White House, but many Republicans, including those who admire and respect the party's most recent nominee, are wondering exactly what rationale he has for mounting another campaign in 2016.

After all, in 2012 Romney lost all but one of the battleground states, trailed President Barack Obama 332-206 in electoral votes and Republicans panned his gaffe-prone campaign, chaotic convention and creaky tech operation.

One working theory behind Romney 3.0 -- he thinks he got it right on the big issues that decided the last election and that voters have got buyers remorse.

"He is been proven right on so many of the issues, certainly domestic policy but (also) foreign policy. He almost looked prophetic there talking about Russia and talking about the war on terror," said Utah Republican Rep. Jason Chaffetz on CNN's "State of the Union" on Sunday.

Aides have told reporters, including CNN's Gloria Borger, that Romney sees vindication in a world tipping into chaos and an economic recovery that left the middle class behind.

At the GOP's winter meeting in San Diego on Friday, Romney said he has given "serious consideration" to a new run for the presidency, and his lacerating criticism of Obama suggested he believes he has earned his chance.

So how do Romney's critiques and promises stand up as he yet again sets foot on the road to the White House?

Foreign policy

Romney's best case for proving he was right may lie overseas.

Not even the most committed Obama supporter could convincingly argue that the world is more stable than in 2012.

It's only two years since the President brandished his own first term record of ending wars and killing Osama bin Laden to pound Romney as heir to a disastrous Republican foreign policy legacy.

But assumptions underpinning Obama's statesmanship have started to fray. The rise of ISIS has raised questions about his decision to pull all troops out of Iraq and his reluctance to plunge into Syria's civil war. The standoff with Vladimir Putin has left his "reset" of relations with Russia looking naive.

"The results of the Hillary Clinton/Barack Obama foreign policy have been devastating," Romney said Friday, arguing that terrorist attacks in places like France and Nigeria proved "the world is not safer."

As he watched crises consume Obama's foreign policy last year, Romney penned an 'I told you so' op-ed in the Wall Street Journal entitled "The Price of Failed Leadership."

"Able leaders anticipate events, prepare for them, and act in time to shape them," Romney wrote.

"Some simply cannot envision the future and are thus unpleasantly surprised when it arrives. Some simply hope for the best. Others succumb to analysis paralysis, weighing trends and forecasts and choices beyond the time of opportunity."

Many Romney aides believe Russia proves his point.

In the 2012 campaign, long before Putin annexed Crimea, the Republican said that Russia "is without question our No. 1 geopolitical foe."

Obama reacted with derision. "The 1980s are now calling to ask for their foreign policy back because the Cold War's been over for 20 years," he crowed in the third presidential debate.

But time hasn't been kind to that zinger.

While there is a debate whether Washington and Russia are really locked in a true Cold War, the Kremlin is doing a passable imitation of the Soviet Union. Russian aircraft are buzzing NATO planes in Europe and Russia stands accused of incursions in Ukraine. Moscow rewrote the borders of Europe by biting off Crimea and Putin warns the West wants to "chain" the Russian bear.

While Romney predicted Moscow's belligerence, it's impossible to know whether tougher U.S. rhetoric would have changed Putin's calculations -- or antagonized him even more.

And the administration argues that far from being the actions of a geopolitical foe, Putin's nationalism represents the thrashings of a weakened and desperate regime, that hardly poses a threat to the United States. And Obama might have adopted a tougher approach to Russia himself, had he not had to coax along European nations who were more reluctant than Washington to impose sanctions.

Some of Romney's other 2012 foreign policy bets are yet to play out.

He said that Iran's nuclear program is potentially the longest term threat to the United States.

"If we re-elect Barack Obama, Iran will have a nuclear weapon," he said in a Republican debate in 2011.

So far, Iran has not gone nuclear. Obama says an interim deal has frozen Tehran's atomic advances and a final pact is being sought to stop the Islamic Republic short of the bomb.

On Iraq, Romney hammered Obama in 2012 for not reaching a deal with Baghdad to leave a residual force behind after the war.

Obama pounced, saying that meant his opponent wanted to keep U.S. troops in the country. Two years on the tables have turned and Obama has dispatched up to 3,000 troops to train Iraqi forces to take on ISIS -- though the administration insists that they will not be doing any fighting.

Romney was also spot on when he warned the next few years would bring more "chaos and tumult" in the Middle East and that "jihadists" would continue to spread. But given the region's agonized history, it hardly takes a strategic genius to make such a prediction.

The economy

Romney argued in 2012 that Obama's economic policy led to an anemic recovery from the worst recession in 70 years.

He complained Obama broke his promise to cut the budget deficit in half and cited Congressional Budget Office (CBO) figures projecting trillion dollar deficits for four years following 2014.

While Romney was wrong about that, the latest CBO estimates do offer some support to his wider point. The nonpartisan body expects the deficit to only be around $500 billion in 2015 but sees a rising trend with trillion dollar deficits in 2022 through 2024 owing to higher health care costs and rising interest payments on federal debt.

Romney's critique of the uneven economic recovery is also accurate.

"If you are elected president, we will continue to see a middle class squeeze with wages going down," he said in the first debate.

He warned that if Obama got four more years in the White House, the national debt would approach $20 trillion. The figure is now $18 trillion. But Romney's claim the U.S. economy is on "the road to Greece" was always hyperbole.

Romney also underestimated the pace of the recovery.

"You're going to get a repeat of the last four years," he said at the second presidential debate.

He promised to get unemployment under 6% or lower in his first term. Consider that promise beaten -- by Obama. In December, the jobless number was 5.6%. Romney also promised to create 12 million jobs. In the first two years of Obama's second term the economy has pumped out 5.2 million jobs and could approach Romney's target before he leaves office. Last year was America's top year of job growth since 1999. But Republicans still call this the slowest economic recovery on record.

Health care

Nowhere was the 2012 debate more intense or more dripping with spin and falsehoods than Obamacare -- on both sides.

In almost every campaign rally, Romney claimed the average American family would see health costs rise by $2,500 annually because of the president's reforms.

Statistics don't yet offer a full picture of Obamacare's impact on costs -- and the law has so upended the health care industry it is difficult to draw firm conclusions.

But a Kaiser Foundation survey found that health care costs for family coverage in employer-sponsored plans rose 3% in 2014, well below Romney's figure.

In the wider marketplace, the picture is complicated because some people who did not have health care before can now get it under Obamacare.

Others have chosen better plans now available which may cost more. And some patients who bought Obamacare are now paying less for health care. Total spending for health care in the nation rose 3.6% in 2013, slower than the 4.1% rise the year before, according to the Centers for Medicare and Medicaid Services. Growth in private health insurance premiums meanwhile grew at 2.8% in 2013 compared to 4.0% the year before. But Republicans point to extra costs -- claiming for instance that many people now face higher deductables.

Romney was correct to say however that millions of Americans would lose their insurance policies under Obamacare, rejecting the president's health care whopper "If you like your health plan you can keep your health plan."

But that's only half the story. While many people lost plans -- some because they did not reach quality thresholds set by Obamacare -- the White House says millions also signed up to new policies.

Statistics from the Centers for Disease Control and Prevention bear out that claim, finding that in the first half of 2014, 12.2% of Americans had no health insurance, compared to 17.3% the year before.

@highlight

Romney feels vindication over 2012 campaign

@highlight

Warned Russia was a threat and of chaos in the Middle East

@highlight

But Romney underestimated the pace of economy recovery