(CNN) -- In recent years, so much has been going on in the world of commercial aviation that putting together a "top 10 events" forecast has been easy -- major new airplane programs have been announced, airline consolidation has taken place and disputes between China and Europe over carbon emissions have held major airplane orders hostage.

Not in 2015.

Looking at the year ahead, it's a challenge to muster a list of five events likely to grab the general public's attention, much less 10.

The year 2015 is more about program execution.

New airplanes from Airbus and Bombardier are scheduled to enter service (EIS) in 2015 and the Airbus A350 XWB, scheduled for delivery to its first customer December 22, will also see its EIS in January.

Boeing's 787s are in a lull: more than 200 have been delivered and the next version, the 787-10, isn't scheduled for delivery until 2018.

Embraer is between airplanes, so to speak. Its new, re-engined E-Jet E2 isn't scheduled for delivery until 2018 and the current generation E-Jet marches on.

Yet even though they do lack the pizzazz of years past, there are still a handful of important events and milestones to look forward to in 2015.

New airplanes to enter service

The Airbus A320neo, the New Engine Option, and the Bombardier CSeries, are supposed to enter service in 2015.

Each is powered by the Pratt & Whitney Geared Turbo Fan (GTF), a 20-year research-and-development gamble that brings PW back into the arena as a major player in single-aisle airplane powerplants.

"Supposed to" because new airplane programs from Airbus, Boeing and Bombardier have been replete with delays.

So far, the flight-testing of the A320neo -- which had its first flight in September -- seems to be going flawlessly, but unknowns can emerge. The A320neo's EIS is scheduled for October.

For CSeries, EIS of Bombardier's bet-the-company jump into the big leagues with its first "mainline" jet is an event that was originally supposed to happen in December 2013.

Then the fourth quarter of 2014.

The first flight of the airborne test program didn't happen until September 2013.

The planned fourth quarter 2014 EIS may have been achieved had it not been for a major engine failure of PW's GTF during a ground test in May.

The fault was traced to a poorly designed oil seal and not the game-changing engine architecture.

The entire flight test fleet was grounded for three months while the cause and a fix were identified.

Had CSeries been on time, it would have been two years ahead of the A320neo.

Now, it'll be a toss up as to which airplane enters service first.

According to the Canadian investment bank aerospace analyst at Desjardins, CSeries should have its EIS in October 2015.

Bombardier will only say the second half of 2015, but MTU, a major supplier on the CSeries Pratt & Whitney engine, narrows this down to the fourth quarter.

No matter. EIS for two airplanes in the same month or the same quarter, or even the same year, is a major industry event.

For Airbus, the A350 XWB, the response to the Boeing 787 and the challenge to Boeing's flagship 777-300ER, was set to be delivered December 22 to launch customer Qatar Airways.

The real flow of deliveries and service entry begins in January.

Declining oil prices mean increased profits

The price per barrel of oil dropped dramatically in 2014.

It'll probably continue to fall in 2015.

Some believe the price could hit $40 a barrel.

If so, it probably won't stay there for long before rebounding to $60-$80 and, maybe, back to $100.

Don't expect any order cancellations or deferrals because of lower oil prices.

The lower oil prices may give new, short-term life to some older airplanes like the Boeing 757, 767, 777 and 747-400; and Airbus A300-600R and early A330s. But that's about it.

Don't look for lower airfares driven by cheaper oil, either.

Airline management knows this is a time to reap profits that are elusive in a high-oil price environment.

Air shows will be lackluster

As always, international air shows are huge industry and media events.

This coming year, the Paris Air Show is in June and the Dubai Air Show is in November.

Unlike the air shows of recent years, at which airplane program launches were announced, the Big Four airplane manufacturers -- Airbus, Boeing, Bombardier, Embraer -- have tapped out their new airplane launches.

Paris and Dubai will focus more on commercial airplane orders than anything else, and even these are expected to be off compared with previous years.

The peak of the order cycle has come and gone and for the moment, we're on the downside of the bell curve, especially with oil prices falling and reducing the urgency to place more orders.

Besides, with Airbus and Boeing backlogs out to 2020, there are few slots available for which to place orders.

ATR, the France-based turbo-prop manufacturer with more than 80% of the market, might announce a major upgrade of its venerable ATR-42/72 series with a new engine, new wing and other systems, but turbo-props command neither the market size nor the headlines of the big jets.

An ATR New Engine Option (neo), while important to the airlines, won't capture the imagination of the air show or reporters.

Asian aviation marches along ... slowly

COMAC's C919 (China), the challenger to the Airbus A320 and Boeing 737 families, is in development and so is the equivalent Irkut MC-21 (Russia), but neither will take to the skies in 2015.

The AVIC/COMAC ARJ21 (China) is supposed to enter service in 2015 after a seven-year delay, and this time it actually might do so.

But only a few have been sold outside of China and prospects that there will be more orders are dim.

The airplane is largely a learning effort by the Chinese on how to develop an airliner, and the experience has been painful.

The Mitsubishi MRJ90, Japan's first commercial airliner since the 1960s, is set to enter flight-testing in 2015.

KC-46A flight-testing will draw geek attention

The real aerospace geek will watch for the flight-testing of the Boeing KC-46A aerial refueling tanker for the U.S. Air Force.

The airplane, based on the commercial Boeing 767-200ER, is already late and approaching $1.5 billion over budget.

Its first flight was supposed to be last fall; now it's planned for this spring. Or maybe before.

Even Boeing and the Air Force aren't sure when the bird will fly.

Boeing won the contract in a bitter, bitter fight with Airbus, which proposed its A330 MRTT (multi-role tanker transport).

Although not without its own challenges, the MRTT is in service in Britain and Australia and has been ordered by several other global air forces.

Scott Hamilton is managing director of Leeham Co., which provides consulting services to the aerospace industry.

@highlight

The coming year won't yield as many big aviation stories as years past

@highlight

The Airbus 320neo and Bombardier CSeries are expected to enter service in 2015

@highlight

Declining oil prices should help airlines reap increased profits

@highlight

Major air shows will be lackluster compared with years past