San Diego (CNN) -- Now that we have Sonia Sotomayor, a Latina, on the Supreme Court, the esteemed body will soon find itself in the middle of a telenovela.

The storyline involves the contentious issue of affirmative action, which is central to Fisher vs. University of Texas, a case that is scheduled to come before the court this fall. It will cast a spotlight on two of the court's justices: Sonia Sotomayor and Samuel Alito. Affirmative action seems to be intensely personal to both of them, though for very different reasons.

First, let's take a minute to note just how similar Alito and Sotomayor are in terms of their background. Both are baby boomers, born just a few years apart. Alito is 61 years old and Sotomayor is 57. They grew up in neighboring states. Alito is from New Jersey and Sotomayor is from New York. Both came from ethnic, working-class families. Alito's parents were teachers, Sotomayor's father was a tool-and-die worker and her mother was a telephone operator. Finally, both went to Princeton University and Yale Law School, where both served as editors of the Yale Law Journal.

Given all those similarities, what could these two Supreme Court justices possibly have to argue about? Affirmative action. That's what.

Will the Supreme Court strike down affirmative action?

Alito has highlighted in a 1985 job application for promotion to officials in the Justice Department of the Reagan administration that he belonged to a group called Concerned Alumni of Princeton. And what were the Princeton alumni so concerned about? Why, that there were supposedly too many women and minorities being admitted to the prestigious but predominantly white institution.

Sotomayor has said that she is a "product of affirmative action" and the "perfect affirmative action baby." Although she graduated with honors from both Princeton and Yale Law School, she admitted that her test scores "were not comparable" to her classmates at both schools.

Now imagine how these two justices will weigh in on the case of Fisher v. University of Texas.

This is not the first time that the University of Texas at Austin has found itself in the eye of a storm because of its admissions policies.

In the 1990s, Cheryl Hopwood successfully sued the law school at UT for its affirmative action program. In an attempt to preserve diversity gains, the Texas Legislature passed the "10 percent rule," which required public universities in the state to admit students from the top 10 percent of the graduating class of every Texas high school. The idea was that ethnic diversity can be achieved without explicitly considering the race factor.

But, in 2003, after the Supreme Court gave public colleges and universities the green light to take race into account as a factor in admissions, the University of Texas revised its policies accordingly to admit students who didn't make it into the top 10 percent.

This is the policy now being challenged. Abigail Fisher and Rachel Michalewicz, two white students who didn't get into the University of Texas as undergraduates in 2008, claim that it was their race that kept them out, since minority students who they considered less qualified were admitted.

Were there no other white students admitted to the University of Texas that year? We can assume there were, and so the idea that it was the plaintiffs' race that kept them out is questionable.

Even so, commentators who follow the Supreme Court closely are predicting that the case will deliver a death blow to affirmative action for public colleges and universities. There are at least five justices who will probably oppose racial preferences, including Alito. Meanwhile, the dissenters are likely to include Sotomayor. Don't be surprised if her dissent in this case will contain a tone that is unmistakably personal.

Maybe Sotomayor will reflect on Thurgood Marshall's dissent in the landmark 1978 Supreme Court case, Regents of the University of California v. Bakke, which also involved a challenge to race-based admissions.

In that case, a majority of the justices agreed that Allan Bakke, a 32-year-old white male, should have been admitted to the University of California Davis Medical School. Bakke had been denied admission, he claimed, because of a special program that set aside for African-Americans 16 of the 100 seats in the entering class. Marshall -- who was the only African-American justice on the Court and probably the only one who ever experienced racial discrimination firsthand -- did not agree that Bakke should have been admitted, and he wrote a powerful dissent that none of his white colleagues could have written.

It is at moments like this -- when more women and minorities are in places of power and influence -- that we see the payoff of affirmative action and other efforts to expand educational and professional opportunities for all Americans. We're all human. We view controversial issues with our heart, as much as with our head. We see them through a lens shaped by personal experiences.

As a Mexican-American graduate of an Ivy League university, here is what my lens tells me. Part of what Alito and the other Princeton alumni were really concerned about was that -- if something wasn't done to keep women and minorities out of prestigious colleges and universities -- one day, white males may have to deal with them as equals. Watch how Sotomayor handles this case about affirmative action, and you'll see: That day is here.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

The Supreme Court will hear arguments for Fisher vs. University of Texas

@highlight

The case will determine the fate of affirmative action in public universities

@highlight

Ruben Navarrette: Samuel Alito and Sonia Sotomayor will likely take the issues personally

@highlight

Navarrette: The ways we see issues are often shaped by personal experiences