(CNN) -- Despite appearances to the contrary, the West doesn't have a Ukraine problem.

It is clear from the large demonstrations that have swamped the streets of Kiev in recent weeks that the Ukrainian people want closer integration with the European Union, to secure higher prosperity and cleaner government.

The problem lies with Russia and its determination to keep Ukraine within its orbit using threats and inducements. In contrast to the EU's adherence to democratic institutions, competitive markets and the rule of law, Vladimir Putin has a rival integration project based on his own model of corrupt state capitalism.

Read more: Ukraine, Russia sign economic deal

It used to be said that the best way to encourage political and economic reform in Russia would be to use the power of example by making a success of reform in Ukraine.

The events of the last few weeks may cast doubt on whether that approach is enough.

The focus of Western policy-makers should also be on how to re-engage Russia, not least because the decline of the country's energy dominance and the failure to modernize its economy is breaking its growth. Political repression is adding to these problems by stifling the creative energies of the middle class.

Without meaningful reform, Russia faces long-term stagnation and the risk of a major systemic crisis.

A troubled Russia that strives to hold back the countries around it is not in anyone's interests. But what scope do western governments have to influence change for the better?

The "Ukraine first" approach came into vogue because Russian leaders simply brushed aside criticism of their record on human rights and business standards.

If anything, President Putin's tone suggests an increasingly belligerent attitude. Despite this, there are underused levers of persuasion that could form the basis on new transatlantic approach towards Russia, especially in the fields of trade and economic relations.

Read more: Beware Russia's power play in Ukraine

Unlike the Soviet Union, Russia is becoming highly integrated into the global economy and dependent on the advantages it brings. Growth and state revenues require access to foreign export markets.

Large investment shortfalls, especially in the energy sector, demand inflows of foreign capital and technology. Russia now enjoys the privileges of WTO membership and aspires to join the OECD.

Its elites like to take advantage of international mobility to enjoy life in the West. These needs and preferences create points of leverage that the West could be using to much greater effect.

By insisting that its status within the global economy is conditional on its maintenance of agreed standards, we can push Russia to address deficiencies relating to property rights, investor protection, judicial independence and the rule of law.

The EU and the U.S. are already showing that a rules-based approach to business standards can have an impact. In targeting Russians responsible for human rights violations committed against those seeking to expose unlawful activities carried out by government officials, for example, the 2012 U.S. Magnitsky Act provides a powerful deterrent to corruption.

Separate provisions of the act press the U.S. administration to implement a rule of law for the business agenda with Russia addressing investor protection.

European and American leaders should keep such lessons in mind as they negotiate the planned Transatlantic Trade and Investment Partnership (TTIP). Closer economic ties can provide opportunities to influence third party countries.

One of the TTIP's aims is to "enhance co-operation" on principles of global concern. For Russia, this could involve the adoption of a common position on the country's OECD application, investor protection and a crack-down on corruption and economic crimes.

Read more: Putin defends Russia's record on free speech

TTIP could even be accompanied by an agreement to treat an attack on the economic interests of one as an attack on the economic interests of al -- a sort of economic counterpart to NATO's Article 5.

For example, the so-called Magnitsky Act mandates the U.S. government to seek compensation of American investors who had their assets illegally seized with the break up of Yukos Oil. European investors in Yukos suffered the same fate. TTIP could incorporate principles of collective action and mutual support in such cases.

Initially Russia wouldn't like these measures, but it has far more to lose from a damaged trade and investment relationship than the West does.

Read more: Who broke the law, Snowden or NSA?

Europe and North America are bound together in their support for an open global economy.

It is in their interests to prevent countries like Russia from taking advantage of that openness without abiding by the fair market rules that undergird it, or respecting the wishes of independent countries like Ukraine to develop their own economic ties.

But the country that stands to gain most is Russia itself. Only major economic change will guarantee the growth and prosperity it needs to be strong in the world, and that economic change can only come through partnership with Europe and the U.S.

Read more: Putin pardons oligarch

Read more: Protestors warn of "blood and war"

The opinions expressed in this commentary are solely those of Al Larson.

@highlight

The West doesn't have a Ukraine problem, but rather one with Russia, Al Larson argues

@highlight

Larson says the focus of Western policy-makers should be on how to re-engage Russia

@highlight

The trade negotiations between the U.S. and EU could be used to increase pressure

@highlight

North America and Europe are bound together, and need to keep Russia in the fold