(CNN) -- Now that President Obama has set the timetable for withdrawing U.S. troops from Iraq, the debate has begun over its possible consequences.

U.S. troops secure a street in in the southern Dura district of Baghdad, Iraq, this week.

Does it provide enough time for Iraqis to forge a functioning government and an economy that benefits everyone? And if it doesn't, could a civil war be the result?

The plan, as outlined in a February 27 speech by Obama, calls for most U.S. troops to leave Iraq by August 2010. A "transitional force" of 35,000 to 50,000 troops will remain in the country to assist Iraqi security forces, protect Americans and fight terrorism, Obama said. Track Obama's First 100 Days

All troops will be withdrawn by the end of 2011, a date established last year by the Bush administration and the Iraqi government. Another condition of that agreement requires U.S. troops leave Iraqi cities by June 30 this year.

Obama's plan is predicated on a relative decrease in violence in Iraq and the belief that Iraqis are increasingly becoming more capable of ensuring security.  Watch Iraqi reaction to Obama's plan »

With the exception of February 2009, Iraqi civilian deaths have been steadily dropping since the fall of 2007, according to statistics compiled by an Iraqi Interior Ministry official. U.S. military casualties in Iraq have also generally decreased when compared to 2006 through 2007. Casualties: The names and faces who've fallen

The U.S. military attributes the decrease in violence to three main factors: the so-called "surge" of U.S. troops, implemented at the beginning of 2007; the Sunni "Awakening" movements, in which local communities turned against al Qaeda in Iraq; and the ceasefire announced by radical Shiite cleric Muqtada al-Sadr.

Yet, it's very much a question whether the disparate Iraqi groups and communities used that decrease in violence to work toward settling some thorny issues, Iraqi experts and observers said.

"The surge failed," Thomas Ricks, the longtime Washington Post correspondent, said during a CNN interview on February 20. Ricks has written two books about the Iraq war: "Fiasco" and the recently published, "The Gamble."

"Its purpose was to lead to a political breakthrough. It improved security but didn't achieve that larger purpose. And because of that, none of the basic questions in Iraq have been addressed."

Ricks said those questions include the final form of the Iraqi government, the relationship between the main sectarian groups and how oil revenue will be shared by them.

The political question

In Iraq, the year began with a round of provincial elections and will end with parliamentary elections. In between are a host of other important political events and other elections that will shape Iraq's future.

"This is the critical year of decisions for Iraqis. What direction do they want to go?" said J. Scott Carpenter, an expert at the Washington Institute for Near East Policy. He served in the Coalition Provisional Authority in Iraq and the State Department.

An important decision yet to be made is the form of the Iraqi government. Will it be a strong, central government, or will it be a loose confederation that will parcel out power to its various provinces and regions?

Carpenter said the results from the provincial elections indicated the Iraqis preferred the former. "They said very, very clearly 'we're tired of the sectarian nonsense. We want services delivered. We want a government that functions. We're Iraqi, first and foremost.'"

The stakes, however, were low in the provincial elections; the provinces have little money to spend and not much power to exercise, Carpenter said.

"That's not going to be the case in the parliamentary elections," he predicted. "The question is whether or not you can have national parliamentary elections in which real competition takes place and at the end of the day, whoever loses those elections accepts those results."

It is that prospect -- an embittered, defeated group that turns to violence to achieve what they couldn't in the electoral process -- that is unnerving. And there are a range of possibilities that could result in such a situation, experts say.

The sectarian question

The war has fundamentally altered Iraq's political structure, with the Shiites emerging as the governing political class, Carpenter said. "That has been a huge thing for the Sunni minority to swallow. So, the digestion is going to take some time."

Sunni Iraqis, especially in volatile areas such as Anbar province, will have to be incorporated into the political dialogue and provided jobs, experts say.

Meanwhile, the Kurdish-Arab relationship is worsening, observers say. "During the years of warfare between Sunni and Shiite Arabs, the Kurdish issue lay dormant. But now, it has roared back to the forefront," Michael O'Hanlon and Kenneth Pollack, Iraq experts at the Brookings Institution, wrote in a New York Times op-ed published February 26.

The issues do not involve sectarian hatred but "the cold, hard issues of land and oil and cash, as well as the distribution of power between Iraq's center and its regions and provinces," they wrote.

The Kurds, who have long sought to establish a state, have operated with relative autonomy for the past few years. They also hold oil-rich regions in the northern parts of Iraq.

A law detailing how oil revenue would be shared between the different groups has yet to be formally agreed on, further contributing to political tension. "There are oil revenue sharing mechanisms in place. It's that they don't have the sanction of law which is what the Kurds desperately want," Carpenter said.

Observers say that accommodating the interests of these various groups while assuaging their fears has been and will be a considerable challenge.

"The Kurds have ambitions of their own. The Sunnis have needs of their own. The Shiites have divisions of their own," said Simon Serfaty of the Center for Strategic and International Studies. "The reconciliation of those communities and the willingness to live within a single unit is still in question."

There are many other questions when it comes to Iraq: What to do with the 4 million refugees displaced to some neighboring countries? Is Muqtada al Sadr sincere in his ceasefire or is he waiting for the U.S. troops to leave before he acts? What about the many Iraqis being held by coalition forces? Are the Iraq security forces truly ready to take the lead? See map of Obama's global challenges

With such questions in mind, observers and lawmakers voice a range of opinions on the impact of the "surge" and Obama's policy to withdraw troops. Some say they are confident that Iraq is edging toward stability; others are not as confident.

"There are still people who predict Iraq will have a civil war, that all the surge did was kick the can down the road a couple of years. Whether that's true or not, we don't know," said Ricks, the author.

Carpenter, who describes himself as an "inveterate optimist" when it comes to Iraq, says he is hopeful for a positive outcome. "Most of these groups and these leaders have looked into the abyss and not seen what they wanted to see, so have a reason for accommodation," he said. "Time is the critical factor, time for accommodation and time for political deals."

Whether the 19 months of time provided by the Obama timeline is enough might be the most important question of them all.

CNN's Jomana Karadsheh contributed to this report.

@highlight

President Obama: Most U.S. troops to leave by August 2010

@highlight

Iraqis scheduled to hold parliamentary elections in December

@highlight

Questions over political power and revenue sharing remain