Washington (CNN)Election Night 2014 was more than a landslide win for congressional Republicans -- it was a historic moment for black Republicans in particular.

Come January, newly elected representatives Mia Love of Utah and Will Hurd from Texas along with Sen. Tim Scott -- who won election to the South Carolina Senate seat he had been appointed to -- will make up the largest number of black Republicans serving in a single Congress since Reconstruction.

Changing demographics -- a growing Hispanic population in particular -- spell trouble for Republican national candidates and the party is eager to broaden its appeal to minorities to help them win the presidency in 2016 and beyond. The key question is whether these three conservative politicians from red states can help woo more black voters to a party that has struggled to attract them for decades.

"(Republicans) made black voter engagement a top priority by committing time, talent and resources across the country in pivotal states and urban centers. The midterm results are the beginning fruits of that labor," said Tara Wall, a spokesperson for the Republican National Committee, who acknowledged there was still much more work to be done.

A racial controversy over a speech a top a House Republican gave to white supremacists while a state politician in 2002, could make that work harder.

And it's not clear that simply having a black candidate draws more black voters, said CNN contributor and polling expert Keating Holland, pointing to the two Senate races in South Carolina, where both Lindsey Graham, a white Republican, and Scott were running. Scott brought in 10% of the black vote to Graham's 6%.

"That tells me that having a black Republican on a ballot gets a handful of votes," Holland said. "It may increase the Republican share of black vote by low single digits."

The Republican Party's focus so far has been more on biography than ideology -- finding black candidates who fit the conservative mold but have a compelling story that could appeal to blacks.

Mia Love, the Mormon former mayor of Saratoga Springs, Utah, first made a splash on the national stage as a speaker at the Republican National Convention in 2012. She stressed her background as a child of Haitian immigrants who arrived in America with $10 in their pocket and raised her with an ethos of self-reliance. Arriving on Capitol Hill for new members' orientation shortly after Election Day, Love stressed her desire to represent everyone, regardless of race or gender.

"All the issues that we face in this country, they're not black issues, they're not white issues, they're not gender-specific, they're people issues and I'm doing everything I can to get the decision making closest to people," she said as she made her way to the welcome reception.

Her campaign to become the first black Republican woman ever elected to Congress focused on conservative principles like local control of education and blasting Obamacare.

Scott, who is the first black senator elected in the South since Reconstruction, has focused on issues like tax reform, expanding school choice and reigning in government spending.

But he has also addressed the historic nature of his election.

"In South Carolina, in America, it takes a generation to go from having a grandfather who is picking cotton to a grandson in Congress," he wrote in a series of tweets. "We are thankful for those trailblazers who came before us and said the status quo was not enough."

He added: "We have too many young people being trapped in poverty because other people are defining them with low expectations."

Campaign ads for Hurd, a former CIA officer from San Antonio, emphasized issues like securing the border and his respect for conservative values that he said would help create jobs. He is the first black Republican Texans have ever sent to Congress, but he told CNN, his victory went beyond race.

RELATED: GOP agenda for Congress

"It's exciting," Hurd said outside new member check in station at a Capitol Hill hotel. "When my parents moved to San Antonio in 1970, there were houses they weren't allowed to get because of the color of their skin and now they have a son, you know, who's in Congress, and to me this is a victory for the voters of Texas and the voters of my district that have gotten beyond skin color."

Hurd was elected with the help of white and Hispanic voters, while Love and Scott won with support mostly from white voters.

Black turnout for certain Republican candidates this year hit double-digits in Florida (12%), in Arkansas, South Carolina and Wisconsin (10%) and in Ohio, where Republican Gov. John Kasich won 26% of the black vote. It's news Republicans are applauding as a sign the party is making inroads with black voters, whose strong Democratic leanings are well documented.

Potential presidential hopeful Sen. Rand Paul, R-Kentucky, believes that the GOP could attract blacks in even bigger numbers.

"If Republicans have a clue and do this and go out and ask every African-American for their vote, I think we can transform an election in one cycle and that doesn't mean that we go to a majority of African American votes in one cycle but I think there's fully a third of the African American vote that is open to much of the message, because much of what Democrats have offered hasn't worked," Paul told Politico.

That's wishful thinking, analysts say. While the election of Love, Hurd and Scott is a good sign for Republicans as they try to broaden their base, it's important not to read too much into their wins, said Larry Sabato, director of the University of Virginia's Center for Politics.

"Obviously, he's dreaming," Sabato said, of Paul's goal of capturing one-third of the black vote. "I just don't think it's practical to spend a lot of time and money on the African-American vote because it's so heavily Democratic and so intensely Democratic. Look at the intensity of African-American support and it's very high."

In the last two presidential elections, more than 90% of black voters supported the Democrat, Barack Obama, who also happened to be black. But even in 1972, the most recent low-point in terms of black vote share, the white Democrat George McGovern got a whopping 82%.

One big problem is the perception that the Republican Party is not as open to minorities. A September analysis by David Wasserman, the U.S. House editor for the nonpartisan Cook Political Report, found that in 1950, 98% of House Democrats and 97% of House Republicans were white men. By this year, 89% of House Republicans were white men. Just 47% of Democrats, by comparison, are white men.

"They won by getting white voters," said Amy Walter, national editor for the Cook Political Report." If Republicans don't have policies that attract minority voters, then having candidates who are minority isn't going to be enough."

Paul is one exception on the policy front, a Republican whose focus on criminal justice issues like incarceration rates and other matters, like school choice, appears aimed at drawing black support. While that outreach is significant, it's not clear he is speaking for anyone else in his party, said Ron Brownstein, a CNN senior political analyst and editorial director for the National Journal.

So for now, it seems that the biggest impact these black Republicans may be having is on white Republicans.

"Here is what we see happening throughout the country, people are aligning their votes for values and voting for candidates who are not of their own complexion," Scott told CNN's Erin Burnett the day after the election.

Meanwhile, the Congressional Black Caucus, which is dominated by Democrats, is ready to accept the new class of black Republicans with open arms and say they could help improve bipartisanship.

"I've reached out to congratulate all of the newly elected African-American members of Congress on their win, including Representatives-elect Love and Hurd, and to invite them to join the Congressional Black Caucus," said CBC Chair Rep. Marcia Fudge, D-Ohio. "Government is most effective when both parties work together for the greater good of the country. I have no doubt that all of the new Members of the CBC will bring their own unique perspective and skills, further solidifying our strength as a caucus."

Love, Hurd and Scott are being sworn in as the Republican Party deals with a controversy over Majority Whip Steve Scalise's 2002 speech to a white nationalist group run by former Ku Klux Klan leader and Neo-Nazi David Duke. The then-state-representative has apologized for speaking to the group and said he did not know about it's racist leanings. House Speaker John Boehner, R-Ohio, and Majority Leader Kevin McCarthy, R-California, have thrown their support behind Scalise and Rep. Cedric Richmond, D-Louisiana, an African-American who is also the only Democrat in the Louisiana congressional delegation has also come to his defense.

Congresswoman-elect Love released her own statement of support.

"I believe he should remain in leadership. There's one quality that he has that I think is very important in leadership, and that's humility. And he's actually shown that in this case," Love said on ABC's "This Week." "He's apologized, and I think that we need to move on and get the work of the American people done."

Still, CNN political commentator and Republican strategist Kevin Madden acknowledged the controversy could complicate the party's efforts to expand its appeal to minorities heading into 2016.

"It certainly presents challenges anytime you are a party like ours that has demographic challenges and is trying to overcome those demographic challenges," Madden said. "This will be an element in that conversation. What's important is that we address it head-on, and that we continue to promote an agenda that is going to attract more African-American voters, that's going to attract more Latino voters, that's going to attract more African-American candidates to run within our party."

@highlight

The new Congress will feature three black Republicans, a record

@highlight

Republicans reached double-digit support from black voters in some states

@highlight

But experts say the GOP has a long way to go before it attracts a large percentage of black voters