(CNN) -- For those who've resolved to only spend their tourist cash in up-and-coming destinations with strong environmental and human rights records in 2014, nonprofit Ethical Traveler has taken care of the research for you.

Every year, the California-based team reviews policies and practices in the developing world, then selects the 10 countries that are doing the most to promote human rights, preserve their environments and support social welfare -- all while creating a lively, community-based tourism industry.

"By visiting these countries, we use our economic leverage as travelers to support best practices," says Ethical Traveler.

In alphabetical order, the 2014 top 10 are:

1. The Bahamas

2. Barbados

3. Cape Verde

4. Chile

5. Dominica

6. Latvia

7. Lithuania

8. Mauritius

9. Palau

10. Uruguay

"Once again, no Asian country qualified for our list," says Ethical Traveler.

"The human rights and environmental records of these nations continued to be found wanting. Equally unfortunate is that no continental African country made it onto our 2014 list; Ghana was removed because of its declining human rights record this year."

Choosing the top 10

Ethical Traveler's research focuses on three categories: environmental protection, social welfare and human rights.

"For each of these categories we look at information past and present so that we understand not only the current state of a country, but how it has changed over time," says Ethical Traveler.

"This helps us select nations that are actively improving the state of their people, government and environment."

Information sources include Freedom House, the Millennium Challenge Corporation, Reporters Without Borders, UNICEF, GLBT resources and the World Bank.

"After identifying about two dozen 'short list' performers, we turn to detailed case research, focusing on actions these governments have taken over the year to improve (or in some cases, weaken) practices and circumstances in the countries," says the report.

The list has to have something to offer tourists.

Each "best ethical destination" offers opportunities to check out incredible natural beauty and interactions with local people and cultures in a meaningful, mutually enriching way, says Ethical Traveler.

Researchers stressed that just because these destinations made the list, none scored perfect marks.

"This year, the most prevalent bottleneck issues were the treatment of indigenous populations and of gay citizens," says the report.

"In particular, Chile and Dominica need to increase their efforts to respect the rights of their indigenous citizens."

Criticisms include outdated laws criminalizing homosexuality, which are on the books in some of this year's countries, including Barbados, Dominica and Mauritius.

"However, anti-homosexual laws are laxly enforced in these countries," says Ethical Traveler.

"In Dominica, rights groups feel encouraged that the country has started a dialogue on this issue and, while homosexuality is still illegal in Mauritius, recent steps point to positive change. When considering these countries for inclusion in the 2015 list, progress on this issue will receive our attention."

The full report, in PDF form, can be found on the Ethical Traveler website.

@highlight

Nonprofit group Ethical Traveler highlights developing nations with promising human rights records

@highlight

No Asian or continental African countries made the 2014 list

@highlight

"By visiting these countries, we use our economic leverage as travelers to support best practices," says Ethical Traveler.