(CNN)President Obama's new budget includes a mixed bag of tax reforms, including progressive proposals to create a fairer income tax, as well as misguided corporate giveaways.

On the individual side, he would increase taxes on the very wealthiest Americans to pay for tax cuts for lower- and middle-income Americans, including limiting tax benefits of itemized deductions for the best-off Americans, scaling back gigantic tax breaks for capital gains and large estates, and ensuring that hedge-fund managers pay their fair share. Each of these steps would reduce glaring inequities in our tax laws that allow the Warren Buffets of the world to pay lower tax rates than their secretaries.

On the tax-cutting side, Obama would expand tax credits for child-care and education expenses, boost the earned-income tax credit for childless workers, and give a new tax break to two-earner couples. Critically, these tax cuts would be paid for by the loophole-closers already mentioned.

Unfortunately, these sensible proposals are almost certainly dead on arrival in the GOP-led Congress.

But on the corporate side, the president's plans actually have a chance of being taken seriously by congressional Republicans — possibly because his ideas are more in line with the ideological push for lower corporate tax rates.

The president's plan would impose a one-time 14% tax on the $2 trillion in untaxed income that multinational companies collectively have stashed in tax havens. While 14% is certainly higher than the single-digit rate companies such as Apple and Microsoft have paid to date on their offshore cash, it's still a lot less than the 35% these companies should be paying on their profits, and it's less than what many other businesses are already dutifully paying. Members of Congress have made similar proposals, including Sens. Barbara Boxer and Rand Paul, who recently proposed taxing foreign profits at 6.5%. Put another way, the president and lawmakers' theory on taxing offshore profits appears to be "getting something is better than nothing."

But we can do better.

In the wake of a titanic debate last year over what should happen to the corporate tax rate, Obama's budget is equally notable for failing to include a comprehensive proposal to eliminate tax giveaways.

The President has said that he wants a revenue-neutral corporate tax change that collects the same amount of revenue by lowering the corporate tax rate while eliminating loopholes. But his budget proposal is silent on how to accomplish this goal. The goal of corporate tax reform should be raising more revenue, not the same amount.

Measured as a share of the economy, the U.S. corporate tax is lower than almost every other developed nation -- and our corporate tax collections are at nearly their lowest point since World War II. This decline has been driven by rampant tax avoidance by big multinational corporations.

Citizens for Tax Justice released a report which found that 111 Fortune 500 corporations have found a way to pay zero corporate income taxes in at least one of the last five years despite being consistently profitable. And more than 70% of the Fortune 500 companies now have subsidiaries in foreign tax havens. All of which makes it even more absurd that President Obama would reward these tax dodgers with a special low tax rate on their foreign cash hoard.

There is some good in the president's tax reform proposal. In particular, the low-income tax credits will encourage work and pull millions of workers out of poverty. Unfortunately, it is hard to imagine these ideas receiving a real hearing this year.

But the President's plan to lower the corporate tax rate and reward companies that stash their profits offshore with a lower tax rate -- coupled with his budget's lack of detail on a road map to eliminating corporate loopholes -- signals there is fertile ground for compromise that would fail to achieve a fair and sustainable corporate tax.

@highlight

Robert McIntyre: Obama's progressive plans to create a fairer income tax won't get through GOP-led Congress

@highlight

But the president's proposals for corporate tax reform may fly, maybe because they go easy on corporations