(CNN) -- We have many heroes: historic figures who battled for freedom, a man who jumps on the railway tracks to save someone from certain death, a whistle-blower who identifies corruption in government or industry. While these forms of heroism focus on a willingness to take risks in the service of other people or noble ideals, the most ancient notion of heroism focuses on humanity's ability to transcend its own physical limitations.

Occasionally, there is a man or woman who appears to be almost superhuman in strength and physical ability. The Greeks had Achilles and Athena. Up until yesterday, we had Lance Armstrong.

It is unlikely that we will ever know the truth about Lance Armstrong's situation -- was it truly a heroic journey, battling his own body's limits to demonstrate the pinnacle of human capability -- despite the intense personal costs of competing in the Tour de France? Or was it a tainted attempt to win glory? And why can't it ever be simple -- why can't we have a hero who is beyond reproach?

Cyclists say 'good riddance'

As a researcher who focuses on heroic action and the ascription of heroic status, I know that heroism is rarely simple. In fact, in a paper that I authored with my colleagues Kathy Blau and Dr. Philip Zimbardo, we argued that heroism is fundamentally paradoxical.

First, the action of heroism is typically an intensely private and personal endeavor, even when these actions are taken under the glaring spotlight of the media; but the ascription of heroic status is a fundamentally public activity -- the personal actions taken by one individual are observed and interpreted by others, rightly or wrongly.

If we consider the possibility that Armstrong's 500-plus drug tests were negative as an indicator that he never doped, this is an incredible testament not just to his physical strength, but his moral fortitude. If this is the case, he was able to resist an ongoing temptation that occurred in private, after all the cameras where off and the fans had gone home.

This brings us to our second paradox. It is human nature to at once hunger for and elevate exemplars of heroism, while we simultaneously often want to negate the actual actions of a real hero. One of the implications of our research is that all forms of heroism result in some level of controversy; seeing someone run into a burning building to save another may look heroic to one bystander but foolish to another.

Lance Armstrong faces lifetime ban

A lot rides on the outcome. If a woman who goes into a building is successful in rescuing the trapped victim in the inferno, she is a hero. But if she fails, or she is injured, the risk she took is seen as having been too great, even though the actual risk calculus she took in the moment of action does not change.

Moreover, someone willing to act heroically fundamentally challenges our own notions of ourselves. Heroes are, in some ways, subtly dangerous to our sense of social order. Even though they are human, just like the rest of us, their actions are outside of the normal human experience.

If there is a whistleblower in our office -- even if his or her motives are noble -- it is human nature to search for an alternative explanation. Maybe this person was really disgruntled at the boss. With Lance Armstrong, there is a natural tendency, perhaps in all of us, to say, "See, I told you so, no one could be that good."

The sad part of Armstrong's story -- of the titles being stripped away -- is that we lose either way. If he did dope, it is just another example in a recent string of high-profile heroic failures. Joe Paterno's career, built up over many years of good decisions, was washed away by an incident he should have acted on. The captain of the Costa Concordia's momentary lapse led to the deaths of 32 people; abandoning ship before his passengers led to his disgrace.

But if Armstrong didn't dope, it won't matter. The news cycles will have already done their work. There is doubt now, and that is often the beginning of the end of our willingness to attach the word "hero" to someone in our own minds.

We have lost a figure who was willing to challenge the limits of human performance, to show us what we are truly capable of if we put everything we have into accomplishing a seemingly insurmountable goal. Armstrong's story of setbacks and triumphs brought us closer to the essence of the human endeavor.

What's behind the Armstrong headlines?

While it is easy to say that one slip-up means someone can't be hero, it is also important for us to remember that negating all of this person's actions over a few mistakes also lets us off the hook. No hero is without flaws. None of us is. But if we allow ourselves the luxury of saying, "See, he's just like the rest of us," we no longer have to challenge ourselves to perform at the limits of our own personal capability.

The opinions expressed in this commentary are solely those of Zeno Franco.

@highlight

Zeno Franco: Sometimes we pick heroes who, like Armstrong, transcend physical limitations

@highlight

But heroism a paradox: It's private, but it acquires the heroic label as a public activity, he says

@highlight

At the same time humans hunger for heroic exemplars of heroism, while negating real heroism

@highlight

Franco: If we revel in Armstrong's fall as equalizing, we let ourselves off the hook for heroism