(CNN) -- We've all been there: your plane? Delayed. The taxi driver? Borderline deadly. Your language skills? Severely lacking. Your trip is just beginning, and you're ready to hoof it back home.

Then you arrive at your hotel: You reach for your suitcase to find that it's making its way through gilded doors in the hands of a dapper bellman. You follow inside and immediately inhabit a more peaceful world. In the case of the Four Seasons in Florence, a series of 15th-century bas-reliefs by Flemish artist Jan van der Straet encircles you. It might look like a polished museum, but you're in the hotel's lobby, a place where celebrations are held, aperitifs served and new guests welcomed with cocktails and room keys.

While often unsung, a hotel lobby has a very important role. It's the property's gateway, responsible for a first impression that can last a lifetime. Which is not to say that any two great lobbies are alike. They can be as distinct as a hotel's location.

Executive travel: America's best small towns

In fact, many of the best hotel lobbies reflect that sense of place. Take the Amanpuri, Aman's signature property on Phuket Island, where the makha-wood lobby with pitched roofs was modeled after an Ayutthaya period temple. Across the world at the new $250 million Mukul Resort & Spa in Nicaragua, the check-in desk is crowned with an oval palapa and chandelier made of 152 baskets woven by locals.

Stellar views can also anchor an inspiring space. The Southern Ocean Lodge on Kangaroo Island in South Australia welcomes you with an oversize kangaroo sculpture (crafted from recycled metal) and panoramic Southern Ocean scenery. At the brand-new Oberoi, Dubai, a towering 252-room hotel, the iconic Burj Khalifa, currently the world's tallest building, is framed by two-story windows.

No matter the view or design, though, the best entryways appeal to our five senses and withstand the test of time. "Hotel lobbies have seen many new trends over the last few years, from a private living room concept to a front desk free space," says Rome-based tour operator Uri Harash, founder of Perfetto Traveler. "Still, the hotels that nail that first impression have a host of similar qualities—they're sharp, beautiful, welcoming and unique."

Singita Sasakwa Lodge, Singita Grumeti, Tanzania

While the Edwardian-style safari lodge's antique English furnishings and zebra-hide rugs are striking, it's the view at the end of its lobby that makes you feel like the Lion King. French doors open to a manicured lawn that then links, almost like an infinity pool, to the golden Serengeti beyond. Even safari experts are impressed: "The entryway to this property is one of the most memorable welcomes of any lodge in East Africa," says Dennis Pinto, managing director of luxury tour operator Micato Safaris. "The combination of colonial opulence paired with the views towards Tanzania's untamed plains is truly exceptional."

St. Regis Lhasa, Tibet

Thanks to the hotel's vantage point at 21,000 feet (it's the highest St. Regis in the world), the third-floor lobby looks out on the hilltop Potala Palace, the former residence of the 14th Dalai Lama. The property is also modeled after the nearby Sera Monastery, giving it "an immediate Tibetan sense of place," notes Guy Rubin of tour operator Imperial Tours, based in Beijing. Red lacquer columns and wooden statues of monks in prayer by a local artist help frame the view; a central table topped with religious and artisan works—prayer beads, a Buddha bust and urns—also graces the serene space.

Executive Travel: World's most outrageous yacht travel

Amanpuri, Phuket, Thailand

Travelers are welcomed to Aman's flagship property with cold towels and refreshing lemongrass-ginger tea before entering the soaring lobby, modeled after an Ayutthaya-era temple by the resort's architect, Ed Tuttle. Golden walls are crafted from local makha wood while open-air spaces overlook a deep blue pool, towering royal palms and, in the distance, the Andaman Sea. It's a serene introduction to the property, where 40 guest pavilions (opt for Nos. 103 and 105 for water views) and a clutch of two-bedroom villas dot 100 tropical acres.

The Oberoi, Dubai, United Arab Emirates

The latest property from Indian hotel family Oberoi, a 252-room tower in Dubai that opened in June 2013, overlooks the iconic Burj Khalifa, currently the world's tallest building, from its radiant lobby. Here, original works by Indian artist Mrinmoy Barua adorn the walls, 41-foot gold chandeliers descend through marble floors into a downstairs banquet and the international elite gathers for cocktails—the Cuatro Meses Mojito made with Añejo gold rum is one staff favorite—and Cuban cigars. Sophistication continues throughout the property, where rooms, starting at 560 square feet, have deep soaking tubs, hand-tufted rugs and downtown city views.

Tierra Patagonia, Chile

Interior architects Alexandra Edwards and Carolina diPlano aimed to bring the outside in at the Tierra Patagonia. To that end its lobby, which shares a sprawling open layout with a lounge and bar, has panoramic views of Torres del Paine Park and Lake Sarmiento. Floor-to-ceiling windows are made of a double-paned glass, so even when landscapes whip wildly outdoors, guests stay cozy in low-slung furnishings around a 360-degree fireplace. Try a glass of carmenere wine made from Chile's namesake grape.

Executive travel: Most outrageous hotel concierge requests

Mukul Resort & Spa, Rivas, Nicaragua

In addition to 37 plush suites and villas, 1,670 jungle acres and an 18-hole golf course, the new $38 million Mukul Resort & Spa in Nicaragua has a lobby worth bragging about. It's topped with an oval palapa, crafted by 15 people over the course of a month, as well as a chandelier dreamed up by interior designer Paul Duesing: The artful piece made up of 152 baskets was created by local artisans.

Southern Ocean Lodge, Kangaroo Island, Australia

Sunshine the Boomer Roo, a giant sculpture crafted from discarded farm machinery by local artist Indiana James, greets guests as they enter the open lobby at this Kangaroo Island resort. He might momentarily steal attention from the understated furnishings, a collection of exquisitely fashioned pieces by Khai Liew, but he can do little to compete with the scenery. The resort sits on a cliff, affording it uninterrupted views of the Southern Ocean from panoramic windows.

Aria Hotel, Las Vegas

While the City of Sin is full of impressive lobbies—at the artful Cosmopolitan and glittering Wynn, among others—the Aria entryway in Las Vegas' $8.5 billion CityCenter campus deserves a shout-out for its sophistication and dedication to sustainability. Its crowning feature is the 87-foot-long, 3,700-pound sculpture of the Colorado River, located behind the check-in desk. Made of reclaimed silver by artist Maya Lin (best known for the Vietnam War Memorial in Washington, D.C.), the sculpture quietly draws attention to the hotel's commitment to environmentalism. Other design elements—abundant natural light and live flowers and trees—are also green minded.

Aviator Hotel, Hampshire, United Kingdom

TAG Group was the money behind this 2008 hotel, build with aviation-inspired architecture in mind (air travel and motorsports are among the company's subsidiaries). Its curving walls continue from the exterior inside where a stark white stairwell—often compared to New York's Guggenheim—greets guests. Sleek design carries on throughout a central, light-filled rotunda with chocolate plaster walls and taupe stone floors. Black American walnut elevators zip up and down four floors, and a glass-enclosed fireplace offers views into the hotel's posh Brasserie.

Executive Travel: Best get-fit retreats around the United States

Four Seasons Florence

You'll feel like you're walking into a polished museum when entering the Four Seasons in Florence, a 15th-century palace and 16th-century villa on 11 acres that opened its doors in 2008 after a painstaking seven-year renovation. Notable families during the Renaissance often embraced public displays of wealth, and to that end the hotel's lobby greets travelers with a series of fine bas-reliefs depicting mythological and classical scenes, created by Flemish Mannerist artist Jan van der Straet beginning in 1555.

Ace New York, New York City

Everyone in New York wishes the Ace Hotel lobby was their own personal living room, which is why you'll spot journalists armed with iPads at slate-topped tables mingling with hip execs meeting over cappuccinos in plaid armchairs. The lobby bar, a 10-by-25-foot space, was reclaimed from a Park Avenue apartment; the twin staircase is covered in a graffiti mural by artist Michael Anderson. Be sure to make a reservation in the neighboring Breslin restaurant for chef April Bloomfield's juicy lamb burger.

Mandarin Oriental Tokyo

This lobby is all about its 38th-floor vantage point, which affords the sky-high space with a 360-degree lookout over the Tokyo skyline. From the lobby's west side, the Imperial Palace and Mount Fuji, now on UNESCO's World Heritage List, rises in the distance; to the east, guests will spot the Tokyo Skytree—the world's tallest broadcasting tower—as well as the Sumida River. The opulent lobby also has an intimate sushi bar and the eight-seat Tapas Molecular Bar, where a 20-course tasting menu is served.

InterContinental Miami

This waterfront hotel in downtown Miami already had a lobby that centered on art—30 years ago, Henry Moore's Spindle sculpture was brought in by helicopter before brick and mortar was built around it—and now the hotel is fresh from a $30 million, tech-savvy renovation. Lounge pods, each with a touch-screen coffee table (known as a digital concierge in IC speak) where guests can order drinks and read up on local nightlife, dot the lobby. An expansive video wall, with a live feed of downtown Miami, also lights up the background.

© 2012 American Express Publishing Corporation. All rights reserved.

@highlight

The St. Regis Lhasa, in Tibet, has a vantage point at 21,000 feet

@highlight

Mandarin Oriental Tokyo's lobby offers a 360-degree lookout over the Tokyo skyline

@highlight

Aria Hotel in Las Vegas features an 87-foot-long sculpture of the Colorado River by Maya Lin