(CNET) -- When it comes to 3D television, I don't see it. Literally. The technology that's supposed to convince me that a 3D image exists when I look at a 2D screen doesn't work for me.

Nor does it work for a small but significant percentage of the population -- 4 percent to 10 percent, depending on which expert you ask. Me, and millions of people like me, are being left behind by content and hardware companies as they move to 3D.

I don't mean to complain. It's not the end of the world. Flat-viewers, like me, can watch 2D versions of 3D content. I saw "Avatar" in the non-3D version. As a bonus, the theater was nearly empty--the 3D showing down the hall was more crowded. Plus, we didn't have to wear those dorky glasses.

Of course, we are social beings, and not being able to view 3D means that group or family outings to 3D showings are awkward for the flat viewers, who may have to sit through a showing that will cause headaches or just look bad to them.

But the flat-viewer's experience with 3D imagery can vary. While I find viewing 3D imagery uncomfortable, Daniel Terdiman, another person at CNET who can't see 3D, saw the 3D version of Avatar and wore the 3D glasses. It looked fine to him, just not 3D.

Manufacturers are mute

At CES this year, the trend toward 3D in home television sets was unmissable, but there was no mention by the manufacturers of how this move would affect flat viewers. I was curious how the hardware companies, which fight for every point of market share jealously, could cavalierly ignore the large number of us who won't like this new direction.

It's a lot of market. How are they planning to deal with losing it?

Oddly, none of the HDTV manufacturing companies I reached out to could provide a direct comment on this topic, but I did talk with people familiar with the industry and with an optometrist who has a vested interest in promoting the growth of 3D content viewing.

Bruce Berkoff of the LCDTV Association and formerly a marketing executive at LG, noted that for all the hype around 3D, the television manufacturers are not really investing much in putting products on store shelves, nor are they expecting consumers to pay for it yet.

Adding the capability for televisions to display alternating images for stereoscopic viewing through electronic shutter glasses is not expensive. It's the glasses themselves that are, and only a few 3D-capable sets actually come bundled with them. So consumers will be able to soon buy televisions ready for 3D without spending much.

Berkoff, and everyone else I talked to about 3D TV, reminded me that a good 3D TV is also a good 2D TV. You should be able to turn off the 3D display features and view content designed specifically for 3D but in 2D: You just show the view for only one eye. If the refresh rate of the program is high enough, you should not notice much of a difference in picture quality.

Get your eyes examined

From the optometrist's perspective, the inability to process stereoscopic imagery is, for many people, a treatable condition. Dr. Brad Habermehl, president of the College of Optometrists in Vision Development, told me, "You don't have to be a 3D refugee if you get to the root of the problem. The majority of stereo-blind people really can be helped."

Habermehl says that there are methods to teach people to see in 3D. Using graduated methods and physical aids (lenses) as "training wheels," he says, people can eventually learn how to "point both eyes to focus on the same space." It's like riding a bike. Once you learn, the training wheels come off and you can't imagine not doing it. "Vision is definitely learned," he says. "That's what vision training is."

The doctor sounded to me suspiciously like a spokesperson for the 3D television manufacturers, or at least a recipient of some marketing dollars from them. But he's not.

"It would be nice if they would fund us," he said. But after reminding me that "Avatar" had already made $1 billion in box office receipts, he added, "I don't think the industry is worried about this."

Personally, I have no interest in undergoing medical treatment just so I can spend more money on consumer electronics. Although Dr. Oliver Sacks, in a compelling New Yorker article, did make me wonder what my kind is missing.

And regardless of whether you see in 3D or not, the technology is inexorably changing the visual language of movies and television shows. When directors create shows for 3D, they can't rely on cinematic methods viewers are used to in 2D for conveying action, depth, and movement.

Hard cuts and swooping camera moves can disorient viewers new to 3D. The new standard of practice is to lock down the camera and move the action around it, instead of the reverse, which is the case in today's 2D movies. Good 3D movies today will appear subtly more stately and cinematic than 2D shows.

The future of the 3D feature

For all the hype at CES, 3D for the next few years is likely to be a "feature" in the new crop of TVs, according to Gary Merson of the HDGuru3D site.

"It's not black-and-white to color," Merson says. "It's a feature, like Internet connectivity and stereo."

He also points out that the content is not there yet, and that many consumers have only recently upgraded their tube televisions to HD flat screens.

For people like me, for whom the world is flat, this feature can not roll out slowly enough.

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

The author's eyes will not let him see 3D images on a TV or movie screen

@highlight

A small but significant percentage of the population cannot see 3D images

@highlight

They may be left behind by Hollywood and TV makers' rush to 3D technology

@highlight

TV makers say users can turn off 3D display features and just view content in 2D