San Diego (CNN) -- Gaming has become an important part of Comic-Con International, the annual gathering that brings 150,000 attendees to San Diego for a celebration of comics, movies, television and pop culture.

Game publishers and developers are offering exclusive hands-on opportunities to fans, including the chance to demo upcoming games on next-generation consoles from Sony and Microsoft.

Sony has a booth inside the mammoth San Diego Convention Center where gamers can play games like "Driveclub," "Knack" and "Octodad: Dadliest Catch" on its forthcoming PlayStation 4. Microsoft has set up shop inside the Hard Rock Hotel across the street, where Xbox One games like "Ryse: Son of Rome," "FORZA Motorsport 5" and "Project Spark" are on display.

Perhaps the most interesting place to play a next-gen game here is on board the 1863 windjammer Star of India, which is docked behind the Convention Center at the Fifth Avenue Landing. Players can control the virtual Jackdaw pirate ship in Ubisoft's much-anticipated "Assassin's Creed IV: Black Flag" game, which ships October 30.

Game publishers also are setting up free arcades throughout the neighboring Gaslamp District for the hordes of fans who don't have a convention badge. Sega's Pop-Up Arcade is offering the first public hands-on with the Wii U and Nintendo 3DS game "Sonic Lost World," along with other titles.

Inside PetCo Park, home to baseball's San Diego Padres, Nerd HQ has an arcade filled with old-school coin games like "Donkey Kong" and "Centipede" alongside the latest Xbox 360 games from Microsoft. It even has the new Kickstarter virtual reality setup, Virtuix Omni, with Oculus Rift 3D head-tracking goggles for a full immersive experience.

Also inside the ballpark is the second variation of Ruckus Sports' "The Walking Dead Escape," which allows fans of the AMC TV show to experience the undead live. The spectator option includes The Walking Dead Fan Festival, featuring "The Walking Dead" video games from Telltale Studios, including the new PS Vita version of the game.

Outside the stadium, Warner Bros. Interactive Entertainment is promoting its 2014 open-world combat game, "Mad Max," by offering fans photo ops with a replica of the Road Warrior's car. The game is being developed by Avalanche Studios and will serve as a standalone story in the movies' fictional universe.

For attendees who do have those coveted badges, gaming also has been incorporated into convention panels. "South Park" creators Trey Parker and Matt Stone are in town to talk about their collaboration with developer Oblivion on the role-playing game "South Park: The Stick of Truth." And fans will learn what's next for the groundbreaking hit "Defiance" at a panel with creators and actors from the hit TV show plus game developers who have launched a massively multiplayer online (MMO) action game set in the same universe.

Here are five promising games from San Diego Comic-Con.

"Batman: Arkham Origins" (Warner Bros. Interactive Entertainment; October 25; Xbox 360, PlayStation 3, PC, Wii U)

With WB Games Montreal taking over this popular franchise, gamers will take control of the Dark Knight very early on in the Batman mythology. This prequel, which is set on Christmas Eve in a snow-swept Gotham City, has the Black Mask putting a hit on Batman. Gamers must use all of Bruce Wayne's resources as they contend with eight criminal masterminds, including the Penguin, Deathstroke, Deadshot and the Joker, along with their assorted thugs.

This Batman is aggressive and athletic, and he has a few new toys like the Batwing and the remote claw, which allows him to target multiple enemies in one swoop. Players will also explore new areas from the comic book mythology like Amusement Mile, Old Gotham and the city's docks.

Much like Christopher Nolan's films, the "Arkham" franchise has excelled at bringing a fresh take to the Caped Crusader, and this third game is shaping up as another crossover hit.

"Dead Rising 3" (Capcom; November; Xbox One)

It wouldn't be Comic-Con without zombies. This latest game from Capcom Vancouver may be set 10 years after the events of "Dead Rising 2," but everything about this next-generation horror game is different -- beginning with the horror. The humorous tone of previous iterations is taking a back seat to real scares in this open world game. These zombies are frightening and a lot tougher to deal with.

The city of Los Perdidos offers plenty of challenges (it's so large, you can actually fit the first two game worlds inside it), since it's been overrun by the undead. It's a huge seamless playground that's completely destructible. Vehicles, including a hearse, are at your disposal as transportation and another weapon against zombies.

Players take control of mechanic Nick Ramos, who has the ability to build some very cool customized weapons. The game also utilizes Kinect voice, allowing players to distract zombies with voice commands. And the Xbox SmartGlass opens up exclusive missions and second-screen functionality for what looks like a bloody good time.

Share your mini-interviews from Comic-Con

"Octodad: Dadliest Catch" (Young Horses; 2014; PlayStation 4, PC)

Sony has embraced independent developers with its PS4 console and invited them onstage during its E3 news conference last month. One of those featured games comes from the Chicago-based Young Horses, and it's unlike any next-generation game out there. Players take control of an orange octopus somehow passing as a human by wearing a blue suit. The challenge is in accomplishing mundane tasks like shopping at a grocery store or cooking on a grill while controlling your tentacles to walk and pick things up. Those suction cups quickly get in the way, however.

The objective is to remain unnoticed by the humans (who don't seem to mind an octopus until he starts flinging plates across the room by accident). The challenges get progressively more difficult, as players must navigate a wedding ceremony without tripping on banana peels or knocking over the priceless vases that line the aisle.

This game offers plenty to laugh at and requires a lot of skill to complete.

"Total War: Rome II" (Sega/The Collective Assembly; September 3; PC)

In this real-time strategy game, players must assume control of a powerful ruler from the earliest days of the Roman republic with the goal of conquering the world. This sequel to the popular PC game returns us to the rich history of ancient Rome and incorporates everything from epic battles featuring hundreds of soldiers, horses, catapults and African war elephants to the political intrigue of diplomacy and nation-building.

Players can zoom in to the battles as soldiers slice and dice their way through enemy lines. The game also allows naval battles, meaning warships can destroy enemy vessels, and sailors can board and fight the survivors. Even novices can command huge battlefields, moving from skirmish to skirmish with the click of a mouse.

If you have a higher-end PC, the developers have brought every detail, from the weapons to the landscapes, to life in high-definition glory. History has never been so much fun.

"Watch Dogs" (Ubisoft; November 19; Xbox 360, PlayStation 3, PC, Wii U, Xbox One, PlayStation 4)

Ubisoft is introducing a massive open-world game that recreates the city of Chicago and allows players to control every camera, traffic light and El train within it. Playing as Aiden Pierce, a hacker with a smartphone that connects to Chicago's central operation system, players can access every element of the city's infrastructure and learn about every citizen who surrounds them.

All of this power creates superhero-like capabilities through technology. Players must decide how to use this power and gauge their own morality level by choosing to help crime victims or aid the bad guys. Every action will have repercussions, as the police and even citizens will get involved. The game utilizes Xbox SmartGlass, allowing a second player to either help or hinder Pierce as he explores this world.

@highlight

Developers are offering hands-on opportunities at San Diego Comic-Con

@highlight

Sega is offering a public hands-on with the Wii U and Nintendo 3DS game "Sonic Lost World"

@highlight

Warner Bros. Interactive is promoting its 2014 open-world combat game, "Mad Max"

@highlight

Trey Parker and Matt Stone are promoting a role-playing game, "South Park: The Stick of Truth"