(CNN) -- Thomas Eric Duncan traveled from Liberia to Texas before testing positive for Ebola.

The first Ebola case diagnosed in the U.S. has raised many questions and concerns, which CNN has been responding to on social media using the hashtag #EbolaQandA.

You can check out the latest updates on the story at CNN.com/Health.

We'll continue to answer them online and on TV, but here are some of your most frequently asked questions:

How long can Ebola live on a surface?

In one study by the Centers for Disease Control and Prevention, the Ebola virus lived on a surface in a perfectly controlled environment for up to six days. But the environment at an airport, for example, or a school is not perfectly suited to support viruses.

Studies done in Ebola Treatment Units in Africa, CDC spokeswoman Abbigail Tumpey says, show the virus can live on surfaces for a few hours at most.

"Ebola is a vicious virus inside the body, but it dies very quickly on surfaces," she said. "It' s not a hardy virus. It's a very wimpy virus."

Ebola is easily destroyed outside of the body, experts say. UV light, heat and exposure to oxygen all deactivate the virus over time.

CDC Director Dr. Thomas Frieden said that while it's theoretically possible for someone to catch Ebola by touching a surface that an infected patient sneezed on, for example, past outbreaks have shown that direct contact with a patient's bodily fluids is the way the virus is spread.

What kills the virus?

Health care workers -- and CNN's reporters -- in West Africa rely on bleach. But the CDC says any EPA-approved disinfectant -- Chlorox, Lysol, etc. -- will work on a nonporous surface. A dishwasher or washing machine will also kill it, Tumpey says.

Would any bodily fluids this patient flushed contaminate the water system?

The virus wouldn't survive long in water, Jean-Paul Gonzalez at Metabiota, a company that tracks global infectious diseases, told NPR. The virus depends heavily, he said, on its host -- either a human or animal -- to stay active.

U.S. sanitary sewers and our waste water treatment system will kill the virus, Tumpey agrees. "There's no concern there."

Could the virus become airborne?

Right now, "common sense and observation tell us that spread of the virus via coughing or sneezing is rare, if it happens at all," the World Health Organization says.

It's possible Ebola could eventually be transmitted through the air. Experts say the chances are relatively small that Ebola will make that jump. But every time a new person gets Ebola, the virus gets another chance to develop new capabilities. Ebola is an RNA virus, which means every time it copies itself, it makes one or two mutations.

Yet WHO says, "Speculation that Ebola virus disease might mutate into a form that could easily spread among humans through the air is just that: speculation, unsubstantiated by any evidence."

Will Duncan receive an experimental drug?

Maybe. Dr. Thomas Frieden, director of the Centers for Disease Control and Prevention, said Tuesday the Dallas hospital was discussing all treatment options with the patient and his family. There is no approved drug or vaccine for Ebola.

The experimental drug given to Dr. Kent Brantly and Nancy Writebol, the first Ebola patients flown to the United States, is called ZMapp. The company that produces ZMapp has said it is out of doses, though it is working to create more.

Dr. Rick Sacra, the American doctor treated for Ebola in Nebraska, was given another experimental drug called TKM-Ebola. There are reportedly still doses of this drug available.

Only the facts: Ebola experimental drugs

Are the people who were on his flights at risk?

No. The Ebola virus spreads only when someone is exhibiting symptoms. This patient arrived in the United States on September 20, according to the CDC, and didn't get sick until several days later. So he wasn't contagious on the flight.

He was put in isolation at Texas Health Presbyterian Hospital on September 28 and will not be released until he is free of the virus.

But how can they be sure he wasn't sick earlier?

That's a fair question. They can't be 100% sure. But the first sign of Ebola is generally a high fever. And everyone leaving Liberia has their temperature checked before they're allowed to board a plane.

Plus, health experts have said that anyone who is sick enough to be contagious probably doesn't feel well enough to travel in the first place.

Why didn't the hospital release Duncan's name and photo earlier?

The Health Insurance Portability and Accountability Act's Privacy Rule prevents hospitals or medical providers from releasing identifiable patient information without the patient's permission.

When do Ebola symptoms start, and what are they?

Ebola symptoms typically appear eight to 10 days after infection. But they can start anywhere from two to 21 days after infection.

Early symptoms include a high fever, muscle aches and chills -- similar to early symptoms of the flu. The virus then progresses to severe vomiting and diarrhea, with a possible rash and painful cough. Patients near death sometimes bleed from their eyes, mouth or other orifices as they begin to bleed internally.

Why aren't U.S. borders being closed to travelers from this region?

The easiest way to prevent an Ebola outbreak in the United States is to prevent travelers from the region from flying here in the first place, right?

"We cannot make the [Ebola] risk zero until the outbreak is controlled in west Africa," Frieden said Thursday. He says isolating those countries completely through travel restrictions would make it more difficult to assist in controlling the outbreak and would eventually put the United States at greater risk.

Think about all the health care workers, volunteers and military personnel who are selflessly going to West Africa to offer assistance. Should they be forced to stay overseas until the outbreak is over? Would as many go if they knew they wouldn't be allowed back?

"The international community is really asking us to continue operations," said Gert Sciot, a spokesman for Brussels Airlines. "We are a vital link for logistics and all kinds of material that need to go into (Liberia)."

The CDC has warned against any nonessential travel to the region. U.S. Customs and Border Protection agents have been trained to spot common Ebola symptoms. Temperatures are not checked on arrival, but if a passenger arrives who is exhibiting symptoms, major international airports have the ability to quarantine him or her immediately.

Customs agents have also begun distributing a CDC fact sheet on Ebola to travelers at major international airports.

How the Ebola virus spreads

I'm traveling to Dallas soon. Should I be worried?

Not really. The CDC and local health departments are working to find anyone Duncan came in contact with while he was contagious, and monitor them for symptoms. If any of them become contagious, they will be placed in isolation as well. But just to be safe, follow the basic rules of infection prevention: Avoid people who are sick and wash your hands frequently.

Complete coverage on Ebola

@highlight

People on the same flights with Ebola patient are not at risk, CDC says

@highlight

Ebola symptoms typically appear eight to 10 days after infection

@highlight

The Ebola virus can live for up to six days on a surface in a perfect environment

@highlight

Bleach is the method used in West Africa to kill it