Although I know my downward dog from my one-legged king pigeon pose, I'm relatively new to yoga.

Yet even almost breaking my nose while attempting a handstand wasn't enough to take away the enjoyment of attending a 10-day yoga retreat in the Himalayan foothills.

The Basunti retreat in Himachal Pradesh, north India, is set in a wildlife reserve in the Kangra Valley and offers immersion into one of the most spiritual regions of India.

It's home to a leopard, mongoose, snakes, scorpions, butterflies, birds and sole fish, to name a few resident creatures.

David Butterworth, co-owner of the retreat with his wife Izzy, is the resident storyteller.

In one of his many animal-themed Basunti anecdotes, Butterworth explains how he once saw a sole fish jump out of a pond and snatch a spotted dove in flight.

Though yoga retreats are on offer year-round, one of the best times to go to Basunti is October, when Bridget Woods Kramer is visiting. (This year, she'll be at Basunti October 3-12.)

Kramer is one of the world's most acclaimed instructors of Anusara yoga -- a practice that focuses on the heart and individual ability of each student.

Finding inner strength in the Kangra Valley

The Basunti day starts at 7 a.m. with a two-hour yoga session in the thatched shala facing the peaceful waters of the Kangra Valley.

At the entrance stands a striking brass statue of the Hindu god Shiva, a symbol of strength.

Practice begins gradually, with a talk by Kramer about Hindu gods and goddesses that resonate with yogic teachings and the benefits of yoga.

A herd of cows quietly makes its way past, giving us curious glances as we twist and turn and try to maintain our balance.

Kramer says the need to stand tall and strong in yoga translates into everyday life: "It's a reminder to stand tall in the face of fear."

She caters to all levels, encouraging partner work or individual practice.

Students on my retreat range from complete beginners to new or accomplished yoga teachers.

Although I come crashing down on the marble floor while attempting a handstand, by the next attempt, and with a lot of encouragement from Kramer, I feel I could maintain the position for ages.

Well, at least two seconds and with the support of three people.

What I come to realize is that these seemingly acrobatic poses require self belief and confidence; the harder the pose, the more I have to silence my fears and gather resilience from within -- which makes me feel stronger on the whole.

"I could tell you could do it," Kramer says, reassuringly. "I knew you were just feeling scared."

Before the day's second two-hour yoga session in the evening, we climb to the top of Basunti's main building roof, accompanied by religious chanting and traditional drumming from the local temple during evening prayers.

The roof is encircled by plants and trees, all enclosed by Himalayan peaks, which gradually fade as the sun sets and night falls.

Evening practice focuses on breathing techniques -- something that sounds simple enough but that we take for granted in everyday life.

Using exercises to ease and open up areas of the chest and back change the way we feel, our posture and allows energy to flow freely through our bodies.

Homegrown produce and ancient treasures

After a physically challenging but awakening session, a bell signals dinnertime, accompanied by the chanting of crickets, while guests mingle on the verandah.

Basunti provides freshly prepared meals using local produce and has its own well.

Visitors can try Basunti's homegrown lemons, aloe vera plants and traditional Indian neem plant, known for its effective healing properties.

Orange, mango and papaya trees are also on the grounds.

After a few days of lounging at Basunti, it's easy to forget you're in vibrant India.

A boat ride in the nearby Maharana Pratap Sagar lake, a trip to the Dalai Lama's residence of McLeod Ganj, where he often gives talks, or a visit to the rock temples of Masroor, a few hours drive away, are reminders of the diversity outside the retreat's walls.

Basunti will also arrange visits to a local shawl shop, which has beautiful original designs that make the perfect gifts.

The Kangra Valley itself is steeped in history.

"The earliest settlers would have been Harappans from the Indus Valley civilization, evidence of this I have found when the water level recedes and the banks are exposed," says Butterworth.

Treasures he's uncovered include Grey Ware pottery from around 1100-800 BC, as well as coins from the Mauryan dynasty through to the Mughal Empire and East India Company.

Butterworth's family originates from the British Midlands, but he's the seventh generation born in India.

"I'm a good Punjabi boy!" he laughs.

Butterworth built the retreat himself using local laborers and resources.

Sitting on what was originally a corn and winter wheat field, the construction of Basunti began in 2006.

Today, it embraces the surroundings with wide, open spaces in between the buildings which contain beautifully designed, well appointed rooms.

Getting there

The Basunti retreat is about a three and a half hour drive from Amritsar -- a private car collects visitors from the airport.

Guests can also stay in Amritsar and ask to be picked up from their hotel.

Yoga retreats are held throughout the year, hosted by teachers from around the world who specialize in a variety of styles.

Basunti also hosts regular painting, fishing and photography retreats.

The Basunti website has the full 2014 schedule.

@highlight

India's Basunti retreat is located in the Kangra Valley, one of the most spiritual regions of India

@highlight

Acclaimed Anusara yoga teacher conducts annual 10-day yoga sessions at Basunti

@highlight

Wildlife includes a leopard, mongoose, snakes, scorpions, butterflies, birds and fish