(CNN) -- President Barack Obama will find that much has changed in Mexico when he arrives on May 2. Our neighbor to the South -- and second-largest export market -- has moved far ahead with reforms.

As Congress crafts comprehensive immigration legislation, Democrats and Republicans must keep in mind that Mexico is changing rapidly, and policies crafted to reflect yesterday's Mexico will not help the U.S. make the most of the potential of today's and tomorrow's Mexico.

Mexico's future is bright, and tapping into this growth and economic prosperity is vital to U.S. competitiveness. But the U.S. needs immigration reform to build on its huge bilateral trade with Mexico -- more than $1 billion in goods and services each day, or $45 million an hour.

Mexico's President Enrique PeÃ±a Nieto has achieved in less than five months in office what eluded previous administrations for six years. In the second half of 2013, he hopes to add energy to the improvements in education and telecommunications that are sailing through under the umbrella of the Pact for Mexico political agreement.

Demographic and economic transformations in Mexico mean that the U.S. can expect the number of Mexicans coming into the U.S. to slow to a trickle. Mexicans make up about 58% of the 11 million in the U.S. without authorization.

The Pew Hispanic Center reports zero net migration from 2005 to 2010, with about 1.4 million Mexicans both entering and leaving the United States. Pew demographers even raise the possibility that the return flow may be exceeding the number of Mexicans coming north.

The reasons for the drop in Mexican migration are a combination of changes in the "push" and "pull" factors that determine migratory patterns. The decline in the "pull" factor is all too well-known -- it's no longer so desirable to migrate to the U.S. for jobs.

But Mexico's rise also means that going north is a less attractive option for getting ahead in life. Its economy grew at more than double the rate of the U.S. last year, with a projected 3.5% growth in 2013. Between 2005 and 2008, as noted in Americas Society and Council of the Americas "Get the Facts" series, the number of new Mexican businesses created each year increased by 27%, which is 2.5 times the G20 average.

Over the same period, the number of students in Mexico graduating from advanced university level programs increased by 11%.

If the February education reform, aimed at improving standards to boost the overall quality of education, is successful, more young Mexicans will have the training to compete in the 21st century workforce. In the past decade, the Mexican middle class grew by 17%, and in just two generations, the fertility rate dropped nearly 70% -- signaling the end of the youth bulge that contributed to the "push" to the United States.

Mexico is a hub of business activity. Despite the insecurity in certain parts of the country, Mexican entrepreneurs and foreign companies are setting up shop.

Guadalajara is fast-becoming Mexico's Silicon Valley with tech entrepreneurs from across Mexico flocking to the capital of Jalisco state. At the same time, as wages rise in China, firms are relocating their manufacturing options to Mexico, where wages remain competitive and where products have easier access to the U.S. and Canadian markets through the North American Free Trade Agreement.

Comprehensive immigration reform will open a gateway to one of Latin America's fastest-growing economies. By providing a pathway to citizenship for the undocumented immigrants of Mexican origin, reform will make it easier for laborers to cross borders, which will harness the competitiveness of both countries. It would also show that the U.S. is a true economic partner with Mexico and the rest of the Americas.

Legal status would open the door for these immigrants and their children to further increase their contributions to the U.S. economy and to start small businesses that would capitalize on their cross-border networks. This is a highly likely scenario as immigrants are more likely to start a business than those born in the U.S., and Mexicans represent the greatest number of foreign-born small-business owners.

At the same time, greater emphasis on a demand-driven visa system would create new ways for workers to enter the U.S. who will be increasingly needed as baby boomers retire.

Also critical for increasing cross-border trade is improving efficiency at the border. Any new border security plan should improve infrastructure and technology to reduce the congestion that delays trade. Improved trade means more U.S. jobs, with 6 million, or 1 in 24 jobs, across 22 states attributed to bilateral commerce.

Undocumented immigration will keep declining as more Mexicans find new opportunities at home. That means the big question for Congress to consider should be how to ensure that our immigration system helps North American competitiveness and prosperity, and how the U.S. can attract the workers -- including Mexicans-- it will need.

@highlight

Jason Marczak: Obama will see a Mexico on the rise economically when he visits

@highlight

Marczak: Immigration law needs to address the Mexico of today and tomorrow

@highlight

Immigration reform will open up one of Latin America's fastest-growing economies, he says

@highlight

Also critical for increasing cross-border trade is improving efficiency at the border, he says