(CNN) -- For millions in the United States, daily activities like going to work or school are accompanied by bothersome gastrointestinal problems, such as abdominal pain or constipation.

You may think these symptoms are too embarrassing to discuss with anyone. But trust me, these are common problems, and you your doctor wants to hear about them!

It's important to be candid with your physician about all your GI symptoms and how frequently they are occurring. You may have a chronic GI disorder such as ulcerative colitis, Crohn's disease or celiac disease. Or you may have a functional bowel disorder; two of the most common are irritable bowel syndrome with constipation (IBS-C) and chronic idiopathic constipation (CIC).

What are IBS-C and CIC?

IBS-C is one of the four major subtypes of IBS, a chronic functional GI disorder that arises from an abnormal functioning of the GI tract, not from structural or biochemical abnormalities.

Symptoms of IBS-C include abdominal pain or discomfort, hard and infrequent stools, and incomplete bowel movements. The cause of IBS-C is not known, but it may be related to a number of factors such as hypersensitivity of nerves in the intestines, dysfunction of brain-gut communication, or altered GI tract motility and water imbalance.

CIC has similar symptoms, such as hard stools, and infrequent and incomplete bowel movements, but is usually not associated with pain. Although "idiopathic" means the cause is unknown, potential factors may include changes in water balance and motility in the colon.

Who is affected by the conditions?

Though estimates vary, as many as 13 million adults in the United States may suffer from IBS-C; 35 million adults may suffer from CIC.

How are IBS-C and CIC treated?

The first step in getting a proper diagnosis and treatment is to have an open conversation with a physician, telling him or her how you feel. Let the physician know the details of any symptoms you experience, how often and what you've tried in the past to help alleviate them.

There is no cure for IBS-C or CIC, but there are ways to help manage symptoms:

Change your diet. Increasing fiber in your diet may help create softer stools that are easier to pass. Try eating more foods that are high in fiber, including fruits, vegetables, beans and bran flakes.

Be careful to add fiber to your diet slowly to reduce the risk of gas and bloating. Avoid fatty foods, alcohol and caffeinated drinks like coffee or soda, which are commonly known to worsen symptoms.

In addition, some people with IBS may have intolerances to certain sugars such as fructose or lactose. Limiting intake of foods containing these sugars may be helpful.

Drink plenty of water. Drinking six to eight glasses of water per day is important to stay hydrated, which may help pass stools more easily.

Increase exercise, reduce stress. Stress and anxiety can trigger symptoms of several GI conditions. Increasing exercise like walking or yoga, and learning relaxation techniques may help you deal with stressful situations. However, be sure to talk to your doctor before starting any exercise program.

For some, changing diet and lifestyle may not be enough. Physicians may also recommend appropriate treatment options for patients based on the nature and severity of their IBS-C and CIC symptoms. It's important that patients inform their physician about treatments that have or have not worked for them in the past.

Over-the-counter products. OTC treatment options such as laxatives and stool softeners are available and approved to treat occasional constipation. These products are not intended for long-term use without supervision of a physician and are not approved by the Food and Drug Administration for IBS-C or CIC treatment.

Prescription medication. There are prescription medications approved by the FDA for the treatment of IBS-C and CIC.

GI health should be a part of your daily life. I encourage patients to speak to their doctor about their symptoms, sparing none of the nitty-gritty details.

@highlight

As many as 13 million adults in the United States may suffer from IBS-C

@highlight

To get a proper diagnosis and treatment, have a conversation with your doctor

@highlight

Some people with IBS may have intolerances to certain sugars

@highlight

OTC options such as laxatives and stool softeners are not meant for long-term use