(CNN) -- When others dismissed Detroit as a falling knife unworthy of investment, David Egner saw something else.

Egner imagined Detroit regenerating from within, with damaged civic tissue repairing itself to foster new life and commerce. As president of a foundation named for a patriarch who emigrated to Michigan 130 years ago and immediately launched a business, he was in a position to test his idea.

The secret, Egner figured, is harnessing the collective power of what he calls "anchor institutions": in this case, Wayne State University, Henry Ford Health System and Detroit Medical Center.

Through what emerged as the Midtown Project, Egner's Hudson-Webber Foundation, alongside other funders, is finding ways to hitch the fortunes of these institutions to the fortunes of the surrounding neighborhoods.

Hudson-Webber's research partner, Omar Blaik from U3 Ventures, compiled the data that confirmed the hunch: The anchor institutions carry breathtaking heft.

At a moment when the City of Detroit has been declared insolvent and foundations are looking for innovation, the approach carries two critical lessons for community development.

First, investors must build from assets, not deficits.

Many foundations like to use quality-of-life indicators to guide their philanthropy. I have been involved in a number of these efforts over the years, and too often, foundations find it irresistible to direct their charitable giving to whatever problem tops the charts. It feels like the right approach; if dropout rates emerge as the worst problem in a neighborhood, why not tackle it?

Problem is, whether the needle moves on this indicator or not, the approach is unlikely to contribute to broader neighborhood transformation.

Hudson-Webber's method reveals the potential of another kind of analysis, one that is based on the untapped power of existing assets.

It turns out Wayne State, Henry Ford and Detroit Medical employ about 30,000 people, hire 3,300 associates every year, enroll 32,000 students, control about half of Midtown's real estate and -- perhaps most important -- spend about $1.7 billion every year on goods and services.

Blaik found that about 4.5% of the $1.7 million in spending on goods and services was going to Detroit vendors; the rest is what Blaik calls leakage. If Detroit businesses could step up to provide quality goods and services at the right price -- this is a business play, not charity -- then even small upward ticks would represent enormous amounts of investment and, in turn, jobs.

Midtown Detroit Inc. organized vendor fairs to introduce local businesses to the big institutions and made sure local businesses got to see all the requests for proposals coming from the anchors.

As a result, a local bakery, a local print shop and a local construction firm were among the firms winning $20 million in business from the anchor institutions. The contracts created jobs for area residents and enabled the small businesses to ratchet up their capacity.

The successes point to the second critical lesson for foundations: Instead of limiting themselves to traditional charitable gifts -- building a playground, offering scholarships to deserving high school students -- the approach strengthens the connections between neighborhood residents and the marketplace.

By aligning work force training with the needs of the anchors, the Midtown Project has placed 50 local residents in entry-level jobs. Once up to full speed, Susan Mosey of Midtown Detroit believes, the arrangement can place 200 residents a year into jobs.

Midtown Detroit Inc. is also rebuilding a strong neighborhood residential core. Incentives to lure renters and buyers have drawn more than 1,000 residents to the neighborhood.

While the experiments are ongoing, the results are promising. Post-Great Recession, cities had to find new approaches to revive neighborhoods. It's not enough to build low-cost housing, says Bruce Katz, founder of the Brookings Institution's Metropolitan Policy Program, and there is no massive investment coming from the federal government.

"The cavalry is not coming," said Katz, who describes local innovations from across the country in a new book, "The Metropolitan Revolution: How Cities and Metros Are Fixing Our Broken Politics and Fragile Economy."

Cities cannot wait for old programs to return, Katz says. They are not coming back.

Instead, cities should build from whatever assets they have at hand and make a new kind of business case for investment, from within and without.

U3 Ventures' Blaik believes that focusing on anchor institutions forces a discipline that prevents wishful thinking. Foundations, with their government and private-sector partners, can base expectations on the realities of supply and demand for hiring, business activity and residential growth.

In the end, anchor institutions may present the best hope for neighborhood transformation simply because of their scale. When it comes to sources of employment, investment and connectivity, the scale and power of the Midtown Detroit anchors dwarfs anything a foundation could sustain.

Even better: Instead of assuming residents need a handout, the approach gives residents an opening to participate in capitalism.

The opinions expressed in this commentary are solely those of John Bare.

@highlight

John Bare says nonprofits in Detroit saw an opportunity to spark the economy

@highlight

He says that by bringing together key stakeholders, jobs were created, projects launched

@highlight

Organizations saw that together, their massive size would provide opportunities, he says