(CNN) -- Courtney Hight told herself not to cry as police handcuffed her outside the White House. "I knew I was doing the right thing," she said. "So I did not cry."

On a cloudy day last month Hight, a former member of the White House Council on Environmental Quality, took a huge career risk and joined more than 1,200 protesters who were demanding that President Obama deny a building permit for Keystone XL, a planned oil pipeline that would stretch from Alberta, Canada, to Texas.

The project, the protesters say, threatens to poison ground water across the heartland and extend America's reliance on climate-changing fossil fuels.

Pipeline owners, Alberta-based TransCanada, say the project will pose no ground water risk and will provide jobs and decreased U.S. dependence on Mideast oil. A final decision on the permit is expected by the end of this year.

Since the pipeline was first proposed, Obama has said the decision rests with the State Department, but Hight and others point out that the president has the power to make the final call.

Hight, 32, worked as a grassroots student organizer. She joined Obama's campaign in 2007, rising to a position of Florida's youth vote director. For her and many other participants, the protest outside the White House represented a deeply personal threshold they'd never before crossed: "It was the first time I'd ever remotely said anything critical of the president," she said.

Many other Obama supporters have found themselves critical of the president's environmental policies. A big reason why Hight and other environmentalists, including former Vice President Al Gore, find themselves aligned against Obama goes back to his 2008 nomination speech when he pledged to fight the affects of climate change.

"I am absolutely certain that generations from now, we will be able to look back and tell our children that ... this was the moment when the rise of the oceans began to slow and our planet began to heal," Obama said during the speech.

"That's great poetry, but it's not true anymore," says Joseph Romm, who served as acting assistant secretary of energy during the Clinton administration. "There's no question there's been a shift in what he campaigned on and what he has done -- most specifically in the area of climate change, but in other areas like air pollution."

What Obama could do to help slow the rise of the oceans

It's a tough political climate for supporters of clean energy alternatives, such as solar or wind power.

Almost every issue in Washington -- including the environment -- is overshadowed by concerns about the struggling economy and unemployment.

Fossil fuel industries, blamed by many for climate change, are creating jobs and bolstering economies in the heartland and the Northeast.

"We still are suffering from a lack of an energy policy that can deal both with our environmental challenges, but also our economic challenges," Obama said during a Democratic National Committee event last month.

Cody Pedigo, a 30-year-old welder in Bowling Green, Kentucky, understands the challenge, and he has a lot riding on the White House's decision about the pipeline.

"I want to see oil production, but I do care about the environment and I think there's a lot of ways we can work both of them together," said Pedigo, who is between jobs and with his wife Cherry is raising two boys, Jacob, 9 and Joshua, age 6.

The country has been burning oil for a long time, he said, "and it ain't going to change overnight."

He's very confident that he'll be able to snag a job on the project if it's green-lighted.

"Financially, what a job on the Keystone pipeline would do for me is get me out of more debt and help me lower my monthly bills," says Pedigo, a third-generation pipe-liner who's been welding since age 18.

Environmentalists say Obama reneges on promises

Environmentalists were incensed last month when Obama decided to delay tougher ozone air pollution standards until at least 2013. The president's decision threatens the health of children, the elderly and victims of chronic lung diseases, the American Lung Association said.

Some of the president's supporters reacted harshly to the ozone standards decision, Gore who posted on his blog that "Obama appears to have bowed to pressure from polluters" who fear the cost of following tougher air pollution standards.

Gene Karpinski of the League of Conservation Voters -- which endorsed Obama in 2008 -- said the administration was "caving" to industry and the president's decision was a choice to "punt."

Former Obama campaign staffer Elijah Zarlin, who also was arrested at the protest at the White House, said the president is "missing an opportunity to lead this country in a better direction."

The White House insisted the delay wasn't political, but rather a need for further scientific study before implementing new rules, which would have cost 7.3 million jobs by 2020, said the Manufacturers Alliance.

The American Petroleum Institute told the Wall Street Journal that the White House is "beginning to understand that the regulatory burden does more to chill job creation than just about anything else out there."

The White House declined to directly respond to specific questions about Obama's environmental stance, but spokesman Clark Stevens, in a written statement for this story, strongly defended the president's record.

"In just a few years the Obama administration has put in place some of the most important public health protections since the passage of the Clean Air Act, achieved historic fuel economy standards that will save billions of barrels of oil and over a trillion dollars for families, while also expanding the clean energy economy, creating jobs, keeping America competitive, and putting our country on track to double renewable energy generation from sources like wind and solar in the president's first term," Clark wrote.

Will the pipeline create jobs?

Building the pipeline will directly create 13,000 construction jobs and indirectly generate 7,000 construction jobs, according to Ray Perryman of the Perryman Group, which TransCanada hired to provide an economic analysis of the project.

Imagine 1,500 well-paid workers coming into any community and spending their money at stores, restaurants, motels, trailer parks and apartments, says Danny Hendrix of the Pipeliner's Union local 798 out of Tulsa, Oklahoma.

"It's like the circus coming to town -- but they stay," Hendrix said.

But pipeline and community officials agree the project will leave very few permanent jobs.

The lasting benefit from Keystone XL, says TransCanada spokesman Jim Prescott, would be greater economic stability in the U.S. energy sector by providing a reliable flow of about 1.1 million daily barrels of Canadian and U.S. oil to Texas refineries.

An onshore pipeline would be less likely to be interrupted by hurricanes than oil delivered by oil tankers or from offshore oil rigs, Prescott said. "That keeps thousands of workers at those refineries employed."

Does clean energy kill jobs?

The Perryman Group estimates that some $5 billion of the pipeline's $7 billion total price would be spent on direct construction costs, such as materials and labor. That $5 billion -- if invested in clean energy production such as wind or solar power -- would generate slightly more jobs, says economist Heidi Garrett-Peltier of University of Massachusetts' Political Economy Research Institute and the Center for American Progress, an influential liberal think tank.

Solar panel maker Solyndra went bankrupt last month despite receiving about a half billion dollars in federal loan guarantees initiated by the administration. A top energy official with the program has resigned in the wake of criticism.

Ex-staffer: Obama needs to be 'the guy that he was'

So now, the green movement is putting the White House on notice.

The next three to six months present a "very critical time" for the relationship between Obama and environmentalists, says League of Conservation Voters' Karpinski.

Many of Hight's former colleagues she met during the '08 Obama campaign say they're frustrated by the White House environmental track record so far.

"There is an element of feeling something owed," she says. "He made a promise. This was a big promise that he talked a lot about. And now he risks letting them down."

The green community, advocates say, will be watching. Along with the pipeline, three other looming questions could serve as tests for the president's commitment to the environment.

-- How hard will Obama fight in Congress for proposed EPA rules to regulate mercury and other toxic pollution from power plants?
-- Will Obama consistently stand up and block efforts in Congress to limit the EPA's authority?
-- How hard will Obama fight to establish the EPA's first-ever standards for greenhouse gas emissions from power plants?

But the giant green issue for many will be the pipeline.

"It's going to influence a lot of people," says Romm. "The cumulative weight of all these decisions will."

Bill McKibben, a top organizer of the White House sit-in, calls it "gut check time" for the president. "It's time for him to do some heroic things on the environment."

As ex-Obama campaign staffer Zarlin put it, "If he's going to win the election, I think he needs to get back to that guy that he was."

@highlight

Green advocates worry Obama softening on environment

@highlight

Environmentalists call on Obama to stop oil pipeline

@highlight

White House defends its record on "clean energy economy"

@highlight

Arrested ex-White House adviser: Obama "made a promise"