(CNN) -- Less than a day after officially concluding 12 tumultuous years as mayor, Michael Bloomberg sat stone-faced in the front row at the inauguration of his liberal successor, Mayor Bill de Blasio, as one speaker after another made blistering, thinly veiled attacks on Bloomberg's legacy.

The Rev. Fred Lucas, one of the clergymen who delivered the opening invocation, asked God to turn "the plantation called New York City" into a better place. Actor Harry Belafonte used his turn at the podium to call for an end to what he called the city's "deeply Dickensian justice system." And the newly elected public advocate, Letitia James, ticked off a litany of criticisms of Bloomberg's police, education and economic policies.

The attacks, which dominated an inauguration ceremony that is normally a celebration of municipal unity, jarred many observers. "As outside observer, hard to understand the bitter partisanship at De Blasio ceremony," noted an Israeli journalist on Twitter. "There's a time for everything, and this isn't it."

Things got so heated that, an hour into the event, former President Bill Clinton, who administered the oath of office to de Blasio, tried to reset the tone by offering the first praise of Bloomberg, noting that the departing mayor "leaves the city stronger and healthier than he found it." De Blasio himself departed from his prepared speech to ask the crowd to applaud Bloomberg.

The criticism was partly a matter of political overreach: Polls suggest that a majority of New Yorkers, while ready to turn the page on the Bloomberg years, also think the city is on the right track. Forty-nine percent approve of what Bloomberg did for the city, including innovative programs aimed at low-income residents.

But over the years, Bloomberg -- a Wall Street veteran and a multibillionaire with a chilly managerial style -- became an irresistible target for those who decry the gap between rich and poor. At a time when homelessness in New York has soared to a record-high 50,000 people (PDF) sleeping in city shelters every night, Bloomberg's habit of jetting off to a home in Bermuda on weekends was fodder for criticism from opponents.

The same was true of Bloomberg's free-spending ways: One conservative estimate places Bloomberg's spending on his campaigns and other political efforts at an eye-popping $650 million from his personal fortune, overwhelming liberal Democratic challengers in 2001, 2005 and 2009.

It was easy for liberal politicians to point the finger at Bloomberg as a symbol of inequality, but as de Blasio will soon discover, the issue won't vanish with the Bloomberg administration. Slate business correspondent Matthew Yglesias has wisely suggested that progressives not get too giddy over what the de Blasio equality agenda can deliver in the foreseeable future.

"Everyone should take a deep breath or two," he wrote in August. "Economic inequality is a serious issue and municipal governance is a serious matter, but the fact is that the two have relatively little to do with each other."

Poverty has bedeviled New York and other cities for centuries, and mayors have scant power to affect broad trends like the decline of manufacturing, the loss of low-skilled jobs to foreign countries and the destruction of jobs by automation and the information revolution.

But New York's newly-elected mayor won last November on a campaign promise to use the power of government to attack yawning gaps of wealth and income between rich and poor. Even before taking office on New Year's Day, de Blasio began ratcheting up the rhetoric, explicitly positioning his new administration as a place the rest of the nation should watch for clues about how to address economic inequality.

On Wednesday he told the inauguration crowd, "We are called to put an end to economic and social inequalities that threaten to unravel the city we love."

A large audience will indeed be watching to see whether de Blasio -- or any mayor -- can make the mighty wheels of the national economy spin in the direction of uplifting the poor. If he can crack the code, an effective attack on economic inequality will be making news long after the ungracious sendoff of Bloomberg has faded from memory.

The opinions expressed in this commentary are solely those of Errol Louis.

@highlight

Errol Louis says speakers at inauguration of NYC Mayor de Blasio slammed his predecessor

@highlight

It was partly as political overreach on issue of inequality, implicating Bloomberg, he says

@highlight

But solving inequality not so easy, relies on factors largely out of a mayor's reach, he says

@highlight

Louis: De Blasio promises to reverse inequality; nation will indeed be watching to see how