(CNN) -- Modern football is a melting pot of cultures, as players from a variety of ethnic backgrounds share top billing as superstars.

It is not always a comfortable mix, as can be seen by the recent racism rows involving John Terry and Luis Suarez.

But football's pantheon of stars has not always been such a rich multicultural tapestry. Far from it.

Back in the sport's infancy in the late 1800s, in its homeland of white-dominated Britain, there were no official leagues and only a handful of domestic cup competitions.

International matches were the pinnacle of competition, with England and Scotland contesting the first in 1872 -- and few were played outside the UK and Ireland until the formation of FIFA in 1904 .

And it was Scotland which, in 1881, provided football with its first black international player -- British Guiana-born Andrew Watson.

"He was the son of a Glasgow merchant who traded out in the West Indies and parts of South America as well," curator of the Scottish Football Museum Richard McBrearty told CNN.

"It's a story of the time, I suppose. Andrew would've been born out of wedlock to a wealthy white merchant and his mother who was native to British Guiana."

Social attitudes of the time meant that Watson, while enjoying financial support and a good education, was never truly recognized and acknowledged by his father.

"Anything that had to be signed, due to school or education, was usually done through an intermediary," McBrearty explained. "So he was recognized as being of the blood, but there was a distance."

Early records of Watson show him joining Glasgow team Parkgrove -- which at the time enjoyed a higher profile than now-famous neighbors Glasgow Rangers -- in both a playing and off-pitch capacity.

In his role as match secretary, Watson created history by becoming the first black football administrator. In 1880 he joined Queen's Park, the biggest of the Glasgow clubs and Scotland's preeminent football power.

The following year he represented Scotland in his first of three international outings, captaining the country in a landmark 6-1 victory over England at London's Oval ground -- now an international cricket venue.

"Even to this day with some of the fantastic teams England have played over the years, such as the Hungarians of 1953 and Pele's Brazil, that victory for Scotland remains England's heaviest defeat on home soil," said McBrearty.

The Scotland team led by Watson pioneered a revolutionary passing game at a time when football was played in a very individual manner.

"He is a hugely important figure within football. He captained Scotland against England, which was absolutely the highest accolade you could have at the time. It was also at a time when Scotland were very successful in international football," McBrearty said.

"The way the game was played at that time, Scotland were devising a short passing game. The margin of victory was because Scotland were the first to promote a real team-based passing ethos. Watson was right at the forefront of that."

Despite his prominent role in the national team, Watson still occasionally encountered abuse which was symbolic of a less enlightened age.

"What we come across in a very polite article about Watson is that he encountered 'splenetic players' on the field. Now that suggests to me that the color of his skin was a subject of attack," McBrearty said.

"That's an insight into the fact that, even in that time, this was clearly happening and Watson had to rise above that as a footballer and more widely as a human being."

Watson's demeanor off the pitch is something McBrearty believes is also of note, saying he had a reputation as a gentleman.

"Certainly there is widespread praise that he wins. The adoration that he has is clearly because he manages to rise above the difficulties that he encounters on the field of play."

After leaving Queen's Park, Watson headed to England to play for the now-defunct Swifts club in London.

McBrearty believes Watson became the first black player to play in the English FA Cup during the 1882-83 season.

Watson passed away in Sydney, Australia in 1902 aged 44, but McBrearty thinks the contribution he made to football has paved the way for the big-name black players we see in the game today.

"He's massively important to global football, not just Scottish football, not just British football. He's one of the first few pioneers. He played international football, he captained the international team and they happened to be the best there was at that time.

"As football spreads across the globe with black players who are now among the best in the world, and you look at the legacy of fantastic Brazilian players like Pele and Garrincha, it really stems back to guys like Watson."

@highlight

Andrew Watson was the first black player to play international football

@highlight

He captained Scotland on his debut, a 6-1 win over archrivals England

@highlight

It remains the heaviest home defeat suffered by England

@highlight

Watson was born in British Guiana and the son of a Glasgow merchant