When I was in fourth grade, I wrote Vice President Al Gore a letter about my passion for saving the planet. I was ecstatic when he wrote back. I believed then, as I do now, that he is a strong voice for science and the environment.

Since writing that letter as a 10-year-old, I've earned degrees in atmospheric science and environmental engineering. At the same time, I've learned to value the role that science plays in informing public policy.

Meanwhile, Al Gore has become the most visible champion of climate science in public life. He famously won the Nobel Peace Prize for his work on climate education, along with the Intergovernmental Panel on Climate Change, a group of scientists that compiles climate research from around the world.

They and other scientists have concluded that human activity -- primarily burning fossil fuels -- puts heat-trapping emissions into the atmosphere that makes heat waves more extreme, increases global sea level, and alters historic precipitation patterns.

Unfortunately, Vice President Gore took some heat for some comments he made about hurricanes and climate change in an interview with the Washington Post. Initially, the paper misquoted him as saying a new "Category Six" was being added to the familiar hurricane scale, which maxes out at Category Five. Category Five storms are those that have sustained winds of more than 157 miles per hour.

As Jason Samenow, the paper's weather editor, pointed out, there are no plans by the National Hurricane Center -- the federal office responsible for categorizing storms -- to create a new category. Later though, we found out that Gore merely  indicated that some scientists were "proposing" a new category. Although there is no official proposal on the table, in recent years, at least one scientist has publicly stated the scale might need to be changed. For his part, Samenow later retracted the balance of his criticism

This isn't the first time there's been a public back-and-forth over the science linking hurricanes and climate change. Scientific understanding there is still evolving.  And we know that even a sub-Category One storm can be terribly destructive, especially when riding atop rising seas.

When discussing science, politicians -- and scientists -- should lead with what we know with more confidence. In the case of climate change, scientists know with great certainty that sea level is rising.  According to the National Oceanic and Atmospheric Administration (NOAA), global average sea level has risen 8 inches over the past century. And new NOAA coastal planning tools show that the United States can expect an additional rise of a foot or more in the next few decades. By the end of the century, scientists find, we can expect 3 feet or more, depending on how much more we overload our atmosphere with carbon.

In human terms, that means many places we now call home will face growing risks from encroaching seas, including iconic shore towns and boardwalks and major cities like Miami. In the short term, we know sea-level rise is making every coastal storm, including hurricanes, more damaging and more deadly.

The hubbub has also distracted from important points Gore made in the rest of the interview. The rest of Gore's interview was accurate -- and important. He correctly explained that atmospheric levels of carbon dioxide, the chief heat-trapping gas, continue to rise. Countries, including the United States, are far behind the pledges they made to limit warming.

He also pointed out growing support at the local level for dealing with climate change. Communities from Florida to New Jersey are already grappling with how to zone and build and plan in a world of higher temperature and rising seas.

Fortunately, there's increasing discomfort with rejections of climate science among the political class. While some supporters of climate policy reform occasionally overstate the effects climate change will have on extreme weather, opponents of climate policy often go completely off the rails, accusing scientists of possible criminal behavior and rejecting the reality of climate change itself. The latter actions are far more damaging to dialogue around climate policy. In fact, they poison our public discourse. You can't deal with a problem if you refuse to acknowledge it exists.

The reaction to Gore's words -- scorn from his detractors and defense from his allies -- demonstrates just how broken the discussion has become. Our national discourse around climate change has fallen victim to growing political polarization and the outsize influence of special interests on our democracy. Far too many politicians are scared of even acknowledging climate change.

Thankfully, there are some depolarizing voices in the debate, such as former Rep. Bob Inglis, R-South Carolina. He takes the science as a given and is pushing for climate policies that differ from those President Barack Obama recently announced. In other words, he's willing to have a real debate that respects the science.

Those are the conversations we deserve, not more public arguments about the science. And I know my fourth-grade-self would agree.

@highlight

Washington Post corrected report that Al Gore cited creation of Category 6 storms

@highlight

Gore was referring to a scientist's statement that such a category might be needed

@highlight

Gretchen Goldman: It's safer to talk about scientifically clear data such as sea level rise

@highlight

She says Gore's basic points were correct, including the rise in CO2 levels