Toulouse, France (CNN) -- The suspect in a deadly shooting spree at a Jewish school in France knows he is being hunted and might carry out another attack, Paris Chief Prosecutor Francois Molins warned Tuesday.

He said the killer is "very determined" and has committed premeditated murders, targeting victims based on their race or religion.

"The criminal is anti-Semitic or terrorist," Molins said. "One does not exclude the other."

The shooting on Monday was the third fatal attack on minorities in southwest France in eight days.

The region remains on scarlet alert, the highest level in France, after a teacher and three children -- two of them his own young sons -- were gunned down Monday at Ozar Hatorah, a Jewish school in Toulouse. The other victim, the daughter of the school's director, was killed in front of her father.

In Monday's incident, a man wearing a motorcycle helmet and driving a motor scooter pulled up in front of the Jewish school just before 8 a.m. and started shooting, authorities said. He shot his victims in the head, local journalist Gil Bousquet said.

The gunman then fled, Interior Ministry spokesman Pierre-Henry Brandet said. The same method was used in the earlier soldiers' shootings.

One of the guns used Monday was also used in the killings of French soldiers of North African and Caribbean origin on March 11 and March 15, said Elisabeth Allannic, a spokeswoman for judicial authorities in Paris.

The first victim was a 39-year-old man, shot in Toulouse, while the other two were 24 and 26, according to French authorities.

A court in Paris has opened an investigation into the three killings, under anti-terrorism powers.

It is the first time a scarlet alert has been declared, French media reports say. The status means the state can implement sweeping security measures to guard against an imminent threat of major terrorist attacks.

Measures include increased security at schools, heightened surveillance of Jewish and Muslim sites, restrictions on traffic and access to public buildings, additional police on duty and extra scrutiny of passengers and baggage on public transport, the local Haute-Garonne authorities said Monday in an online statement.

France, with one of the largest Jewish populations in Europe, had 389 reported acts of anti-Semitism in 2011, according to the Representative Council of Jewish Institutions in France, known by the French acronym CRIF.

The group issued a statement saying that while it is too early to determine definitively the motive for the crime, it appears to be a case of anti-Semitism. It called for increased security at places of worship and study as the investigation continues.

Exceptional measures have been put in place to find the suspect as soon as possible, Molins told reporters in Paris. Investigators must verify witness accounts and analyze some 7,800 hours of surveillance footage, he said.

The witness accounts indicate that the criminal is slim and around 1.75 meters tall (5 foot, 9 inches), he said.

All the victims were shot in the head at point-blank range, he added.

Interior Minister Claude Gueant said authorities are investigating the possibility that neo-Nazis may have been behind the attacks.

The gunman wore a camera on his chest during the attack, Gueant told Europe 1 on Tuesday.

The minister said a witness told authorities about the device, but it was not clear whether it recorded the crime, Gueant said.

France observed a minute of silence in memory of the victims on Tuesday morning, with President Nicolas Sarkozy marking it at a school in Paris.

"This happened in Toulouse, in a religious school, to children from Jewish families, but it could have happened here," he told the students. "It could have been the same assassin. These children are exactly like you."

Fear, confusion on streets of Toulouse

The bodies of the four victims arrived at Paris-Charles de Gaulle Airport, said an official with the Consistory of Paris, a group representing Jewish communities.

Sarkzoy and Joel Mergui, the president of the Consistory of Paris, were present to receive them.

The bodies were to be flown late Tuesday to Israel and buried Wednesday morning in Jerusalem.

Sarkozy wrote Monday to Israeli Prime Minister Benjamin Netanyahu to express his condolences for the loss of the victims, three of whom -- the teacher and his sons -- held dual Israeli-French citizenship.

The teacher was born and raised in Bordeaux, in southwestern France, but pursued his religious studies in Israel. He married and had children before returning to teach at the Toulouse school, the consistory said.

The decision to send the bodies to Israel was made because of their faith rather than their nationality, the consistory said. As practicing Jews, their burial in the birthplace of Judaism ensures that their remains will not be tampered with, it added. Forty percent of French practicing Jews are buried in Israel, the consistory said.

Sarkozy, who is running for re-election, suspended his campaign in light of the wave of violence against minorities.

France has a complex history with the far right.

There has been steady if minority support for the National Front party founded by Jean-Marie Le Pen and now led by his daughter, Marine. The senior Le Pen came in second in the 2002 presidential elections, and his daughter is a candidate this year.

Sarkozy himself said in an interview earlier this month that France has too many immigrants.

"Our system of integration is working worse and worse, because we have too many foreigners on our territory and we can no longer manage to find them accommodation, a job, a school," he told France 2 TV on March 6.

Historian and author Patrick Weil told CNN it is likely that public shock over the attacks will calm the campaign rhetoric directed at minorities.

Security heightened in U.S. synagogues

Police in New York, Washington and San Francisco increased patrols of synagogues and Jewish institutions, with New York Police Commissioner Ray Kelly citing fears someone might stage a "copy-cat" attack. But he and the city's mayor stressed there was no "specific" intelligence indicating an active threat.

CNN's Anna Pritchard, Bharati Naik, Jim Bittermann and Dheepthi Namasivayam contributed to this report.

@highlight

Witnesses describe the gunman as slim, 5-foot-9, prosecutor Francois Molins says

@highlight

All the victims were shot in the head from point-blank range, the prosecutor says

@highlight

Interior Minister Claude Gueant says authorities looking at possible neo-Nazi involvement

@highlight

The gunman who killed 4 at a Jewish school was wearing a camera, the minister says