(CNN) -- Old and new diplomacy clashed in the flare-up between Egypt and the United States over the arrest and interrogation of Bassem Youssef -- considered the "Jon Stewart of Egypt" -- who skewers politicians of all stripes on his popular TV show, El Bernameg.

In the world of traditional diplomacy, governments had more control over what was said about them and by whom. As the Egyptian and U.S. governments discovered the hard way, that control is long gone in the world of 21st century diplomacy with its 24/7 social media and powerful nongovernmental voices.

When Youssef, accused of insulting President Mohamed Morsy and Islam, was summoned for questioning by the Morsy-appointed prosecutor general, this latest repressive action by the Muslim Brotherhood government sparked an international outcry.

The response from the United States came in two forms. First, the State Department expressed "concern" about Youssef's detention, citing it as "evidence of a disturbing trend of growing restrictions on the freedom of expression" in Egypt. Then, Jon Stewart mounted an eloquent -- and humorous -- defense of Bassem Youssef and freedom of expression through that well-known diplomatic channel, "The Daily Show."

In a commendable act of public diplomacy, i.e., engaging with the people and not just governments, someone from the U.S. Embassy in Cairo tweeted a link to "The Daily show." After all, the program addressed a current issue in Egyptian politics, with a humorous message about shared values between Egypt and America, such as freedom of expression.

Failing to see the humor in the situation, the Egyptian government and the Muslim Brotherhood struck back. The presidential office tweeted a stern reprimand to the U.S. Embassy: "It's inappropriate for a diplomatic mission to engage in such negative political propaganda."

Faced with the choice of appeasing the Egyptian government or defending freedom of speech and dissent -- as practiced by Bassem Youssef and Jon Stewart -- the U.S. Embassy in Cairo chose the former, and shut down its Twitter feed.

This decision, reportedly made by Ambassador Anne Patterson, not only violated what the United States allegedly stands for -- the rights of citizens to criticize and hold their governments accountable -- but also displayed a stunning ignorance of how Twitter and, well, the Internet work.

Once something is out on Twitter, it's out. Shutting it down will not expunge it, and will only blow up into a negative story.

That is exactly what happened. Within minutes of the shutdown, Twitter was flooded with condemnation of the U.S. government for caving to Muslim Brotherhood pressure and failing to defend basic freedoms.

Although the embassy feed was reactivated within an hour, reportedly at Washington's request, the stories and tweets about the shutdown lingered. That the reinstated embassy feed deleted all tweets about the Youssef case reinforced the sentiment already prevalent in Egypt that the United States sides with Morsy over the Egyptian people.

In one act of traditional diplomacy, trying to appease the host government, the U.S. Embassy undermined the good will earned by the nontraditional diplomacy of Jon Stewart.

As a television host, Youssef exemplifies "soft power," or the power to influence others through attraction. Other spinoffs of "The Daily Show" in Afghanistan and Iran, among other places, are adopting not only Stewart's smart and biting humor, but also core American values such as free speech.

In our brave new world, where governments and citizens alike are held up to scrutiny of 24/7 media and social media, and where private-sector television shows can wield more influence than governments, walking the walk as well as talking the talk has never been more important.

The United States cannot present itself as the defender of free speech when it suppresses free speech. In removing the tweets about Bassem Youssef and Jon Stewart, the U.S. Embassy in Cairo undercut its own soft power. Who in Egypt will listen the next time an embassy official talks about the importance of free speech or free media?

The opinions expressed in this commentary are solely those of Cynthia Schneider.

@highlight

Bassem Youssef, the "Jon Stewart of Egypt," was arrested for mocking Egypt's president

@highlight

Cynthia Schneider: In the world of 24/7 social media, old and new diplomacy clashed

@highlight

She says U.S. Embassy should not have closed its Twitter feed after a rebuke from Egypt

@highlight

Schneider: The U.S. must defend free speech, including its actions on the Internet