(CNN) -- European leaders are meeting to attempt to resolve the debt crisis in Greece and prevent it infecting other countries -- an outcome that could potentially tear apart the 17-member eurozone and lead to another global economic slump.

So what can they hope to achieve, what's behind the crisis and how serious is it?

Who is meeting and why?

Eurozone leaders are gathering in Brussels, including French President Nicolas Sarkozy and German Chancellor Angela Merkel. They are meeting to discuss ways to bring Greece's spiraling debt problem under control, chiefly through a multi-billion dollar bailout package.

They are also addressing concerns that Greece's woes could infect other eurozone countries.

Why is Greece in trouble?

Years of unrestrained spending, cheap lending and a failure to implement financial reforms left Greece badly exposed when the global economic downturn struck.

This revealed partly-fiddled statistics that showed debt levels and deficits exceeded eurozone limits.

As the dust settled, it emerged that Greece is teetering on the brink of default as it faces debts of about $500 billion. It has become reliant on international funds to make repayments.

How bad is it?

Bad enough to warrant an initial $145 billion bail out last year. Now, with the crisis showing no sign of abating, another multi-billion dollar bail out is in on the table.

The initial package assumed Greece would eventually be able to borrow again from the open market, but high lending rates mean this has been impossible and a second rescue is needed. This, however, will only be forthcoming if European leaders can agree on terms.

Why is the rest of Europe worried?

Greece's woes reflect badly on the credibility of the euro. A default from Greece is also bound to rekindle fears of possible defaults by other bailed-out euro nations, like Portugal and Ireland, and re-ignite the debate on whether the eurozone can survive.

See a map of Europe's debt levels

This could knock the whole bloc into the red, affecting the global economy. And if European countries continue to resort to rescue packages involving bodies such as the International Monetary Fund, this would further damage the euro's reputation and could lead to a substantial fall against other key currencies, especially the U.S. dollar.

Why is the second bailout package a problem?

The eurozone's leading economy Germany has been at loggerheads with the rest of Europe over how Greece should repay its spiraling debt.

Germany has been pushing for a "soft restructuring" of Greece's loans -- a move that would make private investors share the burden -- but the European Central Bank has warned any compulsory restructuring could lead to a broader crisis.

Talks between finance ministers have until now failed to reach consensus, resulting in the latest summit between eurozone leaders.

Can a deal be reached?

Early indications are favorable. Sarkozy and Merkel -- arguably the two most influential participants -- have reportedly thrashed out a possible solution ahead of the summit.

Details aren't clear but the Financial Times says they have already run the plan past European Union President Herman van Rompuy and Jean-Claude Trichet, the president of the European Central Bank.

That said, many European leaders involved in the talks will be wary of agreeing to anything that commits them to using public cash to fund the bailouts. Some are also likely to argue that any deal reached now can only be palliative, failing to stop the crisis spreading at a later date.

What are the likely solutions?

There are several possibilities. The most basic fix would see a reduction in interest payments made by Greece on earlier rescue loans and a fresh bailout of about $150 billion to plug impending holes in the Greek economy.

Another option is a rollover of debt -- which would buy time, but not solve the problem.

There is also talk of a controversial $42 billion tax on banks. This would raise bailout money without putting a strain on the public purse, but would involve a major legal shake up across the eurozone.

Also up for discussion is a $628 billion expansion of eurozone crisis funds to deal with further problems.

What if no deal is reached?

The doomday scenario sees a dramatic slide in confidence as investors retreat from European financial markets. This pushes up the cost of borrowing across the region, triggering new fears about the threat of debt crises in Spain and Italy.

This begins to drag on countries with debt exposure to Spain and Italy. Eventually, the whole eurozone could be pushed the brink, generating financial shockwaves across the world that will herald a new global economic slump.

What is Greece doing to help itself?

To be fair, Greece isn't standing idly by. It has already imposed hugely unpopular austerity measures against an explosive backdrop of public discontent. It is also taking drastic steps to ease its debt burden by selling off numerous assets.

It is looking at an extensive privatization program that could see it unload prized assets including stakes in banks, railways, utility firms, ports and the postal service.

There is also a plan to offload Hellenikon, Athens' former international airport. Other measures include floating Olympic and tourism property assets on the stock exchange and issuing gaming licenses. The target is to raise about $71 billion by 2015.

@highlight

European leaders are meeting in Brussels to try to solve Greece's economic crisis

@highlight

France's Sarkozy and Germany's Merkel have reportedly thrashed out a plan ahead of summit

@highlight

Any deal will have to address threat of Europe-wide contagion leading to global financial slump