(CNN) -- In its ruling in Windsor v. United States, the Supreme Court paved the way for states and the federal government to legally recognize the marriages of same-sex couples. As we near the one-year anniversary of that historic decision, here's a look back at the history of marriage equality, how we got here, and where the fight for equality still has to go.

In the beginning, there was Adam and Steve...

OK, that's not exactly true. I don't know; I wasn't there personally. But we do know that gay coupling has been around for a long time. Around 350 B.C., in "The Symposium," Plato said there should be an army composed of same-sex lovers. In fact, there was such an army: the Sacred Band of Thebes. They were renowned for their valor and frequent victories.

Fast forward a bit: In 1972, just five years after the United States Supreme Court overturned anti-miscegenation laws that barred interracial marriages, the Supreme Court dismissed a case brought by two men who were denied a marriage license in Minnesota. A year later, Maryland became the first state to pass a law explicitly banning marriage between same-sex couples. And so we enter the dark era of explicit attacks and prohibitions on same-sex marriage equality.

It went downhill for a while. In 1996, President Bill Clinton signed into law the Defense of Marriage Act, banning federal recognition of same-sex marriages and authorizing one state to not recognize a same-sex marriage performed in another state, even though the Constitution requires states to honor each other's laws. Anyway,  35 states adopted laws defining marriage as solely between a man and a woman, with 26 of those states putting that discrimination in their constitutions.

You with me so far? Meanwhile, in the midst of all these anti-gay marriage laws still being adopted, in 2004 a judge in Massachusetts ruled that it was unconstitutional under the state constitution to allow only opposite-sex couples to marry. Four years later, the California and Connecticut Supreme Courts made similar rulings. A year later, in 2009, the Iowa Supreme Court did the same. That same year, Vermont and Maine become the first states to legislatively enact marriage equality.

Voters, legislatures and courts kept wrestling with the issue. But in 2012, a majority of voters in Maine, Maryland and the state of Washington passed marriage equality ballot measures, and voters in Minnesota struck down a constitutional amendment that would restrict the state's definition of marriage.

It's as if the new century brought a new day for gay couples. And there was no turning back.

Same-sex parent families: Share your story

Today, 19 states and the District of Columbia allow same-sex couples the freedom to marry. In an additional 11 states, judges have ruled in favor of marriage equality but the cases are tied up in appeals. Fully 3/5 of our country is now firmly on the side of equality and fairness, as are the American people. In 1996 when Clinton signed the Defense of Marriage Act, only 27% of Americans supported same-sex marriage. Today, 55% of Americans think same-sex marriages should be fully recognized, valid and equal. Among 18- to 29-year-olds, 78% support marriage equality. And those numbers are steadily growing, even among conservatives.

Does marriage equality fix every problem facing the gay community? Heck, no. In 29 states, lesbian, gay and bisexual Americans can still be fired from their jobs based solely on their sexual orientation. In 33 states, transgender Americans can be fired based solely on their gender identity. We still don't even have a federal law banning discrimination based on sexual orientation or gender identity. Gay men in America earn 10% to 32% less than similarly qualified straight men working in the same occupations. Transgender men and women are both more likely to be the victims of violent crime and more likely to be incarcerated. In some states, same-sex couples are discriminated against in the ability to adopt children.

Being able to get married and be as happy â€” or miserable â€” as married straight couples in America doesn't make other issues of anti-gay discrimination go away. But marriage equality is a big and important movement toward fairness and justice for all â€” a movement that is, at this point, unstoppable.

@highlight

Sally Kohn: It's almost a year since the Supreme Court struck down DOMA

@highlight

Kohn: Marriage equality is an important movement toward fairness and justice for all

@highlight

She says despite progress, there is still discrimination against gays and lesbians

@highlight

Kohn: There is no turning back, with most Americans supporting same-sex marriage