(CNN) -- The Taliban have been forced out of power, Osama bin Laden is dead, and al Qaeda, by many accounts, is not nearly as powerful as it once was.

But 10 years after the start of the war in Afghanistan, many issues still plague the country.

Insurgent violence remains a major problem, as the Taliban have regrouped in recent years. Questions also persist about the long-term viability of the Afghan government led by President Hamid Karzai.

U.S. President Barack Obama has said that combat operations in Afghanistan will end by 2014, but the country's future is still very much in the air. Where will Afghanistan be 10 years from now?

CNN.com asked five people -- either Afghans or Afghanistan experts -- to explain what they think is the most important thing needed for a successful Afghanistan. Here's what they had to say.

Menon: Disperse power to the provinces
Rajan Menon is a professor and the chairman of the international relations department at Lehigh University. He recently wrote "The End of Alliances," which examines U.S. foreign policy.

After a decade fighting the Taliban, the United States still faces a resilient insurgency, one that will neither surrender nor pursue serious negotiations.

But the Taliban's tenacity is not the main problem; it's that Afghans overwhelmingly (and rightly) regard President Hamid Karzai's regime as irredeemably inept and corrupt. Battlefield successes against the Taliban won't matter unless an Afghan government emerges with the capacity and legitimacy to govern.

The United States can scarcely remake the Afghan government. But it can goad Karzai to disperse power to the provinces. If locally elected politicians with grass-roots support replace central-government appointees, the Taliban will find it harder to operate.

Simultaneously, the U.S. should accelerate the training of Afghan security forces. It should be doing its utmost to help Afghanistan build the most effective military and police force possible.

This is the most feasible strategy given the enormity of the problem and paucity of time. Anything more ambitious is wishful thinking.

Calls to get tough with Pakistan are commonplace. But squeezing Pakistan would generate a backlash in a country already rife with anti-Americanism. Besides, it wouldn't work.

Nayib: We must unite as a nation
Naweed Ahmad Nayib is an Afghan iReporter living and working in Kabul. He is also studying at the American University of Afghanistan, majoring in political science and public administration.

The most important thing Afghanistan must do is prioritize the idea of one nation -- a nation without tribal, ethnic or other differences. Until we are united under one identity, we won't be successful in the future.

In order to have a legitimate government with the participation of large segments of the population, the government has to unite the people. The government also has to work with the nation's interests at heart and not their own.

The importance of governance at the local and regional level is very important; therefore it is vital that power is shared among all groups equally. And high-level government positions should be appointed on merit, not corrupt political deals or non-transparent criteria.

The system must also work to exclude the involvement of warlords in the system. None of them has knowledge or the experience to be a part of this system, but most of them are actually running it now.

In the long run, Afghanistan has to transform from a centralized model of governance to a decentralized one. That way, every province can come up with creative ideas and further build the bond between the communities and the government.

Mosadiq: Defend basic human rights
Horia Mosadiq, Amnesty International's Afghanistan researcher, has more than 15 years of experience advocating for human rights, justice and gender issues in Afghanistan. In 2007, she brought victims of war crimes to testify before Karzai. She is also a survivor of human rights abuses in Afghanistan.

Hopes were high in Afghanistan following the international intervention 10 years ago. But since then, human rights gains have been put at risk by corruption, mismanagement and attacks by insurgent groups who have shown systematic contempt for human rights and the laws of war.

Today, many Afghans dare to hope for improvements in human rights in their country: to be able to go about their lives without fear of attack, to have access to basic services, education and work. For women, there is also the hope that they will have genuine and meaningful representation in policy and decision-making.

For success, it's imperative that the Afghan government and its international supporters back these hopes with concrete action to defend them.

There have been many international conferences on Afghanistan, much talk, and new benchmarks for success have been discussed and set many times. Yet a lack of success -- rather, many failures -- has not been acknowledged or properly remedied, either by the Afghan government or its international partners.

An Amnesty International scorecard on the state of human rights in Afghanistan has found some progress in enacting human rights laws, reducing discrimination against women and increasing access to education and health care.

However, progress on justice and policing, human security and displacement has faltered. Civilian deaths are increasing, and Afghans living in areas heavily affected by the insurgency have seen a serious deterioration in their living conditions.

The Afghan government's international allies, including the U.S., have repeatedly said that they will not abandon the Afghan people. For success in Afghanistan, they must stand by this commitment and ensure that rights are not swept aside as the international community seeks an exit.

Daiyar: Education, development can help fight extremism
Abbas Daiyar is an Afghan journalist on the editorial board of the Daily Outlook Afghanistan, Afghanistan's first independent English-language newspaper. His views can also be found on his blog, Kabul Perspective.

Afghanistan is a war-ravaged country that has gone through three decades of crisis and chaos.

For all those years, governance has been nonexistent. There has also been a lack of socioeconomic structures. So Afghanistan cannot become a model society overnight.

Of course, peace and security are the utmost requirement to Afghanistan's future success, but there are other major factors to consider.

We have not had a stable political system for the entire history of Afghanistan. We have never had a peaceful transition to power, just bloody coups and assassinations. During our entire history, the strongest rulers in Kabul have never had control over all parts of Afghanistan.

We need a viable alternative, decentralized power and a continued movement toward a democratic system that assures long-term political stability in the country.

Only a stable and democratic system can ensure good governance and socioeconomic development, which is the remedy for most of Afghanistan's problems. Religious fanaticism, a root cause of militant extremism, is a product of ignorance and illiteracy. It can be fought through education.

Jones: Afghans must feel empowered
Kimberly Jones is a faculty associate at the Middle East Center for Peace, Culture and Development at Northeastern University.

A successful Afghanistan requires a more pronounced shift away from the rhetoric and reality that is still underlying some policymaking. Instead of "fixing" or "patching" Afghanistan, there should be an increased focus on empowerment, particularly at the local and regional levels.

Empowerment should center on creative strategies and tactics designed to transform the conflict: facilitating economic self-sufficiency, reducing corruption and creating sustainable local and national governance institutions. This is about the Afghans building something from the bottom up and being able to set and meet goals so their expectations for the future are realistic and aren't frustrated. This is about security -- theirs and ours.

An empowerment approach must unfold with the understanding that Afghanistan is a complex country partly because of its diversity. With differences in ethnicity, religion, tribes and clans, careful planning will have to ensure that one particular group doesn't have an unfair advantage over another. It will also need to give due consideration to the influence of Afghanistan's neighbors, some of whom do not play well with one another and want to manipulate Afghan politics for their own ends.

History has taught us that the Afghans cannot, and indeed should not, be controlled. Over time, empowerment places responsibility and accountability with the Afghan people for their own affairs -- where it should be.

@highlight

It has been 10 years since the start of the war in Afghanistan

@highlight

Progress has been made in the country, but some issues still remain

@highlight

Afghans, Afghanistan experts describe what they think the country needs most