A historic deal was struck early Sunday between Iran and six world powers over Tehran's nuclear program that slows the country's nuclear development program in exchange for lifting some sanctions while a more formal agreement is worked out.

The agreement -- described as an "initial, six-month" deal -- includes "substantial limitations that will help prevent Iran from creating a nuclear weapon," U.S. President Barack Obama said in a nationally televised address.

The deal, which capped days of marathon talks, addresses Iran's ability to enrich uranium, what to do about its existing enriched uranium stockpiles, the number and potential of its centrifuges and Tehran's "ability to produce weapons-grade plutonium using the Arak reactor," according to a statement released by the White House.

Iran also agreed to provide "increased transparency and intrusive monitoring of its nuclear program," it said.

There was no immediate reaction from Israeli Prime Minister Benjamin Netanyahu, who has consistently asked the West to be wary of any deals with Iran.

However, Israeli Intelligence Minister Yubal Steinitz reiterated the Israeli government stance when he said Sunday morning that the last-second amendments put into the agreement are "far from satisfactory."

"This agreement is still bad and will make it more difficult than before to achieve an appropriate solution in the future," he said.

Obama warned that if Tehran violates terms of the deal, "We will turn off the relief and ratchet up the pressure."

You can be sure that President Obama will speak to Prime Minister Netanyahu" on Sunday about the Iran agreement,

A senior administration official said Obama will speak with Netanyahu sometime Sunday.

"Ultimately, we understand why Israel is particularly skeptical about Iran," the official said, adding, "This is not simply about trusting the Iranian government. There are strict verification measures."

Iranian Foreign Minister Mohammad Javad Zarif called the deal an opportunity "to avert an unnecessary crisis."

Zarif said he hopes the nuclear agreement will lead to "concrete steps" to improve relations between Iran and Western powers.

As part of the deal, according to Zarif, Iran retains the right to nuclear technology, including the enriching of uranium under the terms of the Treaty on the Non-Proliferation of Nuclear Weapons -- which requires it not to create nuclear weapons or enable other countries to obtain them.

Iran has agreed to what U.S. Secretary of State John Kerry described as "unprecedented international monitoring" of its nuclear program.

"The first step, let me be clear, does not say that Iran has a right to enrich uranium," Kerry said, appearing to contradict claims earlier by Iran's Deputy Foreign Minister Seyed Abbas Araghchi.

Araghchi -- on Twitter feed commonly attributed to him by Iranian media -- said that "our enrichment program was recognized."

In exchange for Iran's concessions, sanctions on its oil revenues will be eased. But Kerry said the agreement does not roll back the "vast majority of the sanctions that are currently in place."

The deal was formally announced by Catherine Ashton, the EU's foreign policy chief, in Geneva where the foreign ministers representing Iran, the United States, Britain, China, Russia, France and Germany were meeting.

But closed-door negotiations had been taking place for a while.

A senior administration official told CNN that in the months leading up to the Geneva talks, U.S. and Iranian officials held private, previously unknown discussions to generate ideas for the wider P5+1 negotiations.

The official said talks began after Hassan Rouhani was elected Iran's president, and that as the discussions were occurring, U.S. officials were briefing the P5+1 partners. The official suggested other partners were meeting with the Iranians and briefing the U.S. about the progress of those discussions.

The Iran nuclear deal is a first step requiring actions by both sides, which have "a strong commitment to negotiate a final comprehensive solution," Ashton said.

According to a statement released by the White House, the deal halts Tehran's nuclear program, including halting the development at the Arak reactor and requiring all of the uranium enriched to 20% -- close to weapons-grade -- to be diluted so it cannot be converted for military purposes.

The Arak heavy water reactor under construction southwest of Tehran had been a sticking point in earlier negotiations.

For years, Iran and Western powers have left negotiating tables in disagreement, frustration and at times open animosity.

But the diplomatic tone changed with the transfer of power after Iran's election this year, which saw President Hassan Rouhani replace Mahmoud Ahmadinejad.

Caustic jabs at the United States and bellicose threats toward Israel were a hallmark of Ahmadinejad's foreign policy rhetoric.

He lambasted the West over the economic sanctions crippling Iran's economy and at the same time, pushed the advancement of nuclear technology in Iran.

Rouhani has struck up a more conciliatory tone and made the lifting sanctions against his country a priority.

Despite the sanctions, Iran today has 19,000 centrifuges and is building more advanced ones, according to Mark Hibbs, a nuclear policy expert at the Carnegie Endowment for International Peace.

Most world powers believe that Iran could not realistically build a usable bomb in less than a year, Hibbs said.

@highlight

Iran's foreign minister says Iran retains the right to nuclear technology

@highlight

But it does not retain the right to enrich uranium, Secretary of State John Kerry says

@highlight

The deal includes substantial limitations to prevent the creation of nuclear weapons, Obama says

@highlight

The deal follows marathon talks that stretched into early Sunday morning