(CNN) -- Before he came to this country in summer 1964, my father never could have envisioned the tradition he would create in America. He came here from Louth Village, County Louth, in the midlands of Ireland to follow my mother, who had come here on a job search.

My father stumbled upon the horse and carriages on Central Park South and hit the jackpot. He was a third-generation blacksmith and went to work immediately as the stable hand and blacksmith to the carriage trade. He would work all day, fixing problems with the carriages and then shoeing horses.

The stable owner allowed him to drive a carriage on weekends to earn extra pay. He worked like this until 1967, when he purchased his first carriage. This is the origin of my family tradition. The horse and carriages have put the bread and butter on my family's table since 1967 and I intend on keeping it that way for years to come.

The iconic carriage industry is a big part of what makes New York special. We are a gateway to enjoying the city, providing a slow-paced tour of Central Park, the greatest park in the world. We carry visitors from all over, providing them with a memory that lasts a lifetime. In my 26 years driving a carriage, I have participated in hundreds and hundreds of engagements, weddings, anniversaries, proms, birthdays, movies, TV commercials and sitcoms -- and provide a special moment for all my regular customers.

I am the proud owner of two draft horses -- Tyson, an 11-year-old Morgan and Percheron cross, and Jokinson, a 7-year-old Percheron mare. Tyson is my "lead" horse, which means he is my best horse. Draft horses such as mine and the others used in the carriage trade have been born and bred, for centuries, to pull loads.

Opposite view: Ban New York's horse-drawn carriage rides

On average, my horses work alternate days, so they generally work three to four days a week. I have owned many horses in my 26 years in the business and have never been involved in an accident nor have any of my horses been seriously injured.

The horses that pull the carriages are treated exceedingly well. The stables themselves are open to inspection 365 days a year. The Department of Health inspects them four times a year, and the New York Fire Department conducts an inspection at least once a year. Every horse gets checkups from a licensed New York state veterinarian and a minimum of five weeks out of the city to pasture. If a horse goes across state lines he must be seen by a vet before leaving and before returning. Our industry wants transparency when it comes to our horse care. We welcome it.

In 2010, the Carriage Operators of North America invited Harry Werner, an equine veterinarian and former head of the American Association of Equine Practitioners, to check out the horses' working and living environments in New York. He says he and other veterinarians paid their own way and found clean stalls, excellent veterinary care and food, and no inhumane conditions or neglect. He told The New York Times recently that the "demeanor of the horses was, to a one, that of a contented horse."

There are 68 licensed carriages, 220 licensed horses and about 300 licensed drivers, of which 160 are employed. The carriage industry has 144 pages of regulations that cover everything from where we can operate to how much insurance we should carry. The industry is monitored by five agencies: the ASPCA, Health Department, Mounted Police division of the NYPD, Department of Consumer Affairs and the Parks Department.

On January 1, the new mayor of New York was sworn in to office determined to end my beloved industry, one that is also loved by New Yorkers and people all over the world. Mayor Bill de Blasio believes there is no place in New York City for horse drawn carriages and wants to replace them with antique-style cars. He says the business is inhumane, but has flat-out refused to see how the horses are treated or meet with the men and women who work with them.

Members of Teamsters Local 553 union have extended an open invitation to him and City Council Speaker Melissa Mark-Viverito to visit and see for themselves how the industry works, and to this date they have declined.

There are horse and carriage rides available in many U.S. cities: Chicago, Philadelphia, New Orleans, Salt Lake City, Honolulu, Boston and Charleston, South Carolina, are just a few. Horse people around the world are watching to see what happens here in the next few months. Banning the practice in New York could set a precedent that would put hundreds of people out of work. I will fight the ban.

We have a legitimate, thriving, well-regulated industry. It is 99% walk-up: People love the chance to get up close and pet a beautiful horse in an urban environment. The horse is the star. That special experience can't be replaced with an electric car.

The opinions expressed in this commentary are solely those of Stephen Malone.

@highlight

Stephen Malone's carriage business goes back to his dad, who came from Ireland

@highlight

He says carriage rides are iconic New York; tourists come from all over to enjoy a ride

@highlight

Malone: Horses are treated very well; stables are open to inspection 365 days a year

@highlight

Malone: It is a thriving, well-regulated industry that can't be replaced with antique cars