(CNN) -- Do you ever get sick of your phone ringing? What about Facebook fatigue? Does Twitter sometimes give you stress headaches, making you occasionally wish you could just yank the plug on your online life?

Do you get nervous when your smart phone rings? A report says you're not alone.

Well, you're not alone, according to a recent report from the Pew Internet and American Life Project, a nonprofit research group in Washington.

The report, written by John Horrigan, the project's associate director of research, says 7 percent of Americans use the Internet as their primary means of social communication and also feel conflicted about that fact. These online social network users, which Horrigan calls "ambivalent networkers," are so connected they feel like they can't quit.

But Horrigan, who counts himself among this group, says there is hope for these conflicted techies.Take a quiz to find out what kind of tech user you are

"I do think it's a matter of society and individuals in society understanding these tools. So tools can be used for good and tools can be used for ill as well. They can have negative impacts," he said.

CNN spoke with Horrigan by phone about the various ways people are using cell phones and the Internet today, including the 14 percent of people who use neither. The following is an edited version of that conversation:

CNN: Tell me about the report.

Horrigan: We recently produced a report called "The Mobile Difference," which places American adults into 10 different user types, depending on how they feel about information technology, what kind of information technology they have in their lives and how they use information technology in their lives.

CNN: You give the names for these categories some fun titles. Tell me more about what we know about these groups of people.

Horrigan: The most high-tech group we labeled the "digital collaborators." The digital collaborators are the ones with the most technology, doing the most with it and loving it the most, and really are about not just using technology to communicate with others but to cultivate their creative lives.

Another is the "ambivalent networkers," which is a fun group in that they're the youngest of any group ... they're the most active in using mobile devices for a range of different purposes, yet, at the same time they express fairly high levels of concern about always being available to others.

CNN: I find that group interesting. What's behind that conflicted sentiment?

Horrigan: There's a sense that it might be costly for them not to be on the network. So if you think of that group of "ambivalent networkers" as being a youthful group, all of whom have cell phones, probably the very majority of their social networks are online.

They're always texting or communicating or e-mailing to keep in touch and make plans. So if you're in a social milieu like that and you want a break, you may feel like going off the grid would be a bad thing, because you won't know what your friends are up to, you won't know what the plan is for Saturday evening, or you might worry that your friends will be worried if you're not instantly responsive to their queries.

CNN: Do you have a sense whether those negative feelings are a growing trend, or if people are becoming more mobile and on the whole are liking it?

Horrigan: What I think the message is with all these new tools -- Twitter, for instance -- is that Twitter is a great way to put yourself out there. It also could be a tool for managing your connectivity.

You might start to use your Facebook page or your Twitter account as a means to say, "Hey guys, I'm shutting down for a while, so don't worry about me if I don't respond to you immediately."

So I think a challenge for people going forward is to see these tools as tools, meaning you can use them to identify yourself as being offline at a particular moment, and not see them as perpetual obligations to be available at all times to all people.

CNN: Have you heard of any interesting ways people might be dealing with that?

Horrigan: I think it's fairly well known in the tech community that traffic for blogs and so-forth dives on the weekends, so I think people tend to use the weekends as a way to take a little bit of a breather.

CNN: The people who are off the network entirely, do you have a sense if that population is growing, or if those people will eventually end up on the network?

Horrigan: The off-network share of Americans was approximately the same in 2008 as it was in 2006, when we looked at it before.

I think that will shrink over time as people become more dependent on the cell phone, which we do see as a rising trend. People who are off the network tend to be older and lower income. I think as time marches on you'll see technology that's tailored more towards older Americans. So we can expect that [group] to shrink over time, but maybe not at a tremendously rapid rate.

CNN: If you were to pick one of these groups, which would you fall into?

Horrigan: I took the test and I was an "ambivalent networker." I answered on the quiz that I sometimes don't get all too charged up when that cell phone rings or vibrates. So I'm someone who does like to have a bit of a break from the Internet from time to time or with cell phone availability. And I kind of struggle with that occasionally.

CNN: How do you handle that?

Horrigan: It's a matter of self-discipline: turning the cell phone off from time to time and spending, when I can, part of the workday not in front of the computer.

@highlight

CNN talks with researcher about how people today use phone and Internet

@highlight

Some high-tech people feel conflicted about their gadgets

@highlight

Research group says 7 percent of U.S. adults fit this category

@highlight

About 14 percent of adults don't have cell phones or Internet access, Pew says