(CNN)Few European Union politicians will have raised a New Year glass in expectation of a brighter future. Many fear that 2015 could be the year in which both the euro and the European Union itself begin to unravel.

Once again the troubles will begin early in Greece, a country carelessly admitted to the euro before its finances were properly in shape, and which has twice had to be bailed out and bullied into efforts to get its economy onto a sound footing.

Once again the Greek economy is at the heart of a euro crisis. The failure of the Greek government led by Antonis Samaras to win a majority vote for its favored presidential candidate means that Greece faces a snap general election on January 25, news that saw the Greek stock market fall 5% in one day.

Polls suggest that the likely winner in the Greek general election will be Alexis Tsipras and his left-wing populist party, Syriza. The problem with that for the EU is that with more than a quarter of the Greek population unemployed, despite some signs of recovery in the economy, Syriza is winning wide support for its pledge to dump most of the pledges attached to its bailouts by the rest of Europe.

Tsipras wants to end the austerity program imposed largely at Germany's insistence, reverse cuts in the minimum wage and repudiate much of Greece's debts. Although Tsipras has toned down his previous rhetoric and says he wants Greece to remain in the euro, it is hard to see how it could if he wins and holds to his election promises.

Greece's departure would be the first major blow for the euro, and the wider EU. But Greece is not alone in having euroskeptic parties riding high in the opinion polls. Both Spain and Portugal have elections scheduled in 2015.

In Spain, Podemos, a party strongly opposed to austerity programs designed to keep the country within euro rules is currently heading the polls.

Portugal, facing the consequences of a 78 billion euro bailout ($97 billion) is racked by uncertainty following the arrest of government officials and leading politicians in both major parties over financial scandals.

While "eurocrats" in Brussels hope that the likely turmoil in Greece will lead voters in Spain and Portugal to play for safety, it could have the opposite effect, emboldening voters to swing behind populist parties without coherent financial programs.

In Italy too, three of the four biggest parties -- Forza Italia, the Northern League and comedian Beppe Grillo's Five Star Movement -- are making increasingly euroskeptic noises.

The biggest threat to Europe's future, though, comes from the general election in the United Kingdom, a country which has stayed outside the euro.

Political scientists acknowledge that the UK election, due in May, is the hardest to call in living memory. The euroskeptic United Kingdom Independence Party (UKIP) has proven both by victory in the 2014 European Parliament elections and by success in recent by-elections for the Westminster Parliament, that it can take votes from both major parties, the Conservatives and the Labour Party.

Participation in the coalition government has badly damaged the Liberal Democrats, the Conservatives' partners, and in the aftermath of the referendum on independence for Scotland, the Scottish National Party is polling at a level that suggests it could wrest at least 20 Westminster seats from Labour, which has always depended on a hefty contingent of MPs in Scottish seats to win national elections.

Neither major party looks capable of winning a UK election in its own right, but who the partners would be in any coalition formed to govern after May is totally uncertain. Already the administration likely to be formed then is being dubbed "The Government of Losers."

Should the Conservatives led by David Cameron again emerge as the largest single party and form part of another coalition government, he would have to implement his pledge to stage an "In or Out" referendum on continued UK membership of the EU, after he has sought to renegotiate the terms of that membership with other leaders in Brussels.

The danger for the EU is that in countering the appeal of UKIP, Cameron has been led into ever more vigorous vows to curb the numbers coming in, or to deny them welfare benefits if they do.

If Europe fails to agree a compromise on the principle of free movement across borders within the EU then the expectations Cameron has aroused will be disappointed and many Conservatives will be likely to join UKIP supporters in voting against Britain's continued membership of the EU if the referendum is staged in 2017.

That possibility poses a dilemma for other European leaders like Angela Merkel, who has long insisted that the principle of free movement is sacrosanct.

On January 1, 2015, EU leaders were able to celebrate one measure of progress: Lithuania became the last of the three Baltic states which entered the Union in 2004 to ditch its old currency, the litas, and to become a fully-fledged member of the euro club.

It may be the last thing those EU leaders have to celebrate for quite some while. OPINION: UKIP's victory throws Britain into political abyssOPINION: Will Cameron's gamble take UK out of Europe?

@highlight

2015 looks like being a very difficult year for the euro and the European Union, Oakley says

@highlight

Anti-austerity party Syriza could win snap election in Greece, threatening to reverse reforms

@highlight

Spain and Portugal have euroskeptic parties riding high in polls, and elections due soon