(CNN) -- The International Criminal Court is still trying to link Libyan leader Moammar Gadhafi, his son and his brother-in-law to rapes, but it does not yet have enough evidence to do so, prosecutor Luis Moreno-Ocampo said Tuesday.

It has evidence that rapes have taken place in Libya's civil war, he said, but he cannot prove Gadhafi ordered them.

The court issued arrest warrants Monday for Gadhafi, his son Saif al-Islam Gadhafi, and his brother-in-law Abdullah al-Sanussi on other charges.

Saif Al-Islam Gadhafi is a close adviser to his father. His arrest warrant came two days after his 39th birthday. Al-Sanussi serves as Gadhafi's head of intelligence.

The warrants are "for crimes against humanity," including murder and persecution, "allegedly committed across Libya" from February 15 through "at least" February 28, "through the state apparatus and security forces," the court said in a news release.

The court could file charges against "one or two other names, but in principle the first investigation focuses on these individuals," Moreno-Ocampo said Tuesday.

The court is not asking international forces operating in Libya to arrest the suspects, he said, explaining that Libya has the primary responsibility to do so as a United Nations member.

NATO confirmed in a news conference that it is not seeking to arrest anyone, as that is not part of its mission.

Lt. Gen. Charles Bouchard of NATO gave a mixed assessment of the mission to protect civilians, saying Libyans were writing "Thank you, NATO" on their roofs.

But, he said, Gadhafi's forces were using civilians as human shields, making NATO operations "more difficult, but not impossible."

And he said NATO had reports that government forces had "put down very severely" attempts to demonstrate against Gadhafi's rule.

"Security forces continue to inflict pain and harm on the population," Bouchard said at a briefing in Naples, Italy, where Operation Unified Protector is based.

NATO struck civilian and military locations in the Badr Al-Osta Milad area of Tripoli on Tuesday, Libyan state TV reported without further details.

Elsewhere Tuesday, rebels attacked a government weapons depot some 30 kilometers south of Zintan, an opposition stronghold in western Libya. It was a location that had previously been a target of NATO attacks.

Two people died and four were injured in the fighting, according to Khalid Shhop, a doctor stationed at the depot. Rebels overtook government forces and were later seen carting away ammunition, he said.

At the International Criminal Court, Moreno-Ocampo insisted it is only a matter of time until Gadhafi is arrested, pointing out that Bosnian Serb war crimes suspect Ratko Mladic was finally seized more than 15 years after a warrant for his arrest was issued.

"The arrest warrants are not going away," he said, noting that 161 warrants had been issued in connection with the Yugoslav wars of the early 1990s -- and that 160 suspects have been seized.

Libyan rebels could also face arrest warrants, Moreno-Ocampo said.

But "by far the greatest crimes committed in Libya are committed by the Gadhafi forces," he said, explaining why the court investigation began with them.

And he batted away questions from reporters about whether an ICC arrest warrant would discourage Gadhafi from stepping down, saying the decision to investigate him came from a unanimous U.N. Security Council resolution, not the court.

It was "not our idea," he said.

In rebel-held Misrata, where fighting has raged, a crowd cheered Monday following the announcement of the arrest warrants.

The announcement at The Hague came as fighting inside Libya inched closer to the capital. A rebel fighter, Hassan al-Jiwali, told CNN that rebel forces were 80 kilometers (50 miles) from Tripoli on Monday.

Libya is not a signatory to the Rome Statute that established the international court's authority, but Moreno-Ocampo said Tuesday it still had a responsibility to arrest Gadhafi and his allies because it is a member of the United Nations, which ordered the investigation.

He said the rebels could also arrest Gadhafi and hand him over.

The court does not have the power to enter Libya and arrest the leaders.

The U.N. Security Council referred the matter to the ICC through a resolution February 26, following widespread complaints about Gadhafi's efforts to crush a rebellion. The resolution said that, while "states not party to the Rome Statute have no obligations under the statute, the Security Council urged all states and concerned regional and other international organisations to cooperate fully with the court and the prosecutor."

Gadhafi's backers rejected the court's authority.

"This court is nothing but a cover to the military operations of NATO," said Libyan Justice Minister Mohammed Al Qamod. "It is merely a political tool for exerting pressure and political blackmail against sovereign countries."

Libyan Deputy Foreign Minister Khalid Ka'eem offered a similar view.

"Both the International Criminal Court and the chief prosecutor have neither the legal competence nor the moral compass in any way to pass judgment on anyone, let alone the Libyan people," he said.

Michael Rubin, an analyst with the conservative American Enterprise Institute, said the court's move could damage efforts to get Gadhafi to end his 42-year reign, because he would not seek refuge in a country that is a party or signatory to the Rome Statute.

"The ICC's arrest warrant symbolizes the dirty underside of international law," Rubin said. "While the ICC makes itself feel good and diplomats can chatter about their commitment to international law, the fact of the matter is their action takes off the table any possibility that Gadhafi could flee to a retirement haven outside Libya. In effect, the ICC arrest warrant tells Gadhafi to fight to the death."

Most African countries are parties or signatories to the Rome Statute. The ICC website lists a total of 47 non-signatories in the world, 13 of them in Africa and the Middle East.

Journalist David Adams contributed to this report.

@highlight

NEW: Rebels attack a weapons depot near the western city of Zintan

@highlight

Prosecutor says he can't prove Gadhafi ordered rapes in Libya's civil war

@highlight

The court issued arrest warrants for Gadhafi on other charges Monday

@highlight

Libyan civilians are writing "Thank you, NATO" on their roofs, a general says