(CNN) -- Powerful winds and a tornado spawned by a 1,000-mile-long storm system pounded communities in northwest Georgia on Wednesday, overturning dozens of vehicles and trapping residents.

The tornado caused significant damage in Adairsville, Georgia.

One person died in that town and another died in Tennessee, authorities reported. At least 17 people were injured in Georgia, two critically.

The Adairsville death marks the first person killed by a U.S. tornado in 220 days, a record for most consecutive days without such a fatality, said CNN meteorologist Dave Hennen.

Severe weather 101

The storm churned eastward, prompting severe thunderstorm and flash-flood warnings in eastern Tennessee and western portions of the Carolinas. The front has led to nearly 400 reports of severe wind and 20 of tornadoes over two days, from Texas to Pennsylvania.

In the Adairsville storm, winds caused significant damage to a motel and a manufacturing plant, according to Craig Millsap, fire chief and interim emergency management director for Bartow County. The motel's guests are believed safe and workers at the Daiki plant have all been accounted for, he said.

Daiki employees hid in a kitchen and bathroom as the tornado snatched the roof off and left much of the plant in ruins. Two workers suffered minor injuries.

The driver of a commercial truck that was overturned near Adairsville said the storm "grew legs and just started accelerating." He told CNN Atlanta affiliate WGCL he was unscathed. "There is no way in the world that if you see this debris behind me I should be alive."

The National Weather Service reported major structural damage and overturned cars in downtown Adairsville, where a news crew for CNN affiliate WSB-TV witnessed a tornado form and touch down Wednesday morning.

The death came when a building collapsed, Millsap said.

10 deadliest U.S. tornadoes

Nine people in Bartow County suffered non-life-threatening injuries, according to the Georgia Emergency Management Agency.

The storm caused major damage on and near Interstate 75, the Georgia Department of Transportation said. The weather service, citing emergency management officials, said dozens of cars had been overturned near Exit 306 at Adairsville.

Officials reported up to 100 homes damaged in Bartow and Gordon counties. Georgia emergency officials reported eight injuries in Gordon County, north of Adairsville. Two of the injuries were described as critical.

Interactive: Check your forecast

"There have been a number of entrapments, and deputies, firemen and emergency personnel have all been working to free those people," said Robert Paris, Gordon County's chief deputy sheriff. "I don't believe we have any more trapped at this time."

The tornado struck a subdivision that also was hit by storms in 2011, Paris said. "This one appears to be much, much worse. But this was almost the same path. There were some people that had to go through both of them."

Gov. Nathan Deal declared a state of emergency for both counties. State officials late Wednesday afternoon said they had no reports of anyone unaccounted for, but searches of homes and businesses were continuing.

Trees and power lines were down as the result of a possible tornado in Georgia's Gilmer County, the weather service said.

KFVS: Power outages from storm

Utilities reported about 21,000 customers without power in west and north Georgia and metropolitan Atlanta.

In Tennessee, a 47-year-old man died early Wednesday when high winds toppled a tree onto a roof in Nashville, the Tennessee Emergency Management Agency said. CNN affiliate WSMV said the victim was in a building next to a home.

Other injuries were reported in Chester, McNairy and Henderson counties, emergency management spokesman Jeremy Heidt said.

The National Weather Service also reported severe weather or damage Wednesday in Texas, Mississippi and Alabama. Tornadoes were confirmed in Marion County, Kentucky, and Harrison County, Indiana.

In the mountains of North Carolina, iReporter Matt Able said most of the roads around Appalachian State in Boone were impassible because of flooding. He sent in video of people driving down U.S. 321, which was under several inches of water.

"People were driving down the middle of the (four-lane) road to avoid being swept away by the fast-moving water," he said.

WBKO: Tractor trailer flips on I-65

Northern Florida, southeastern Georgia, much of South Carolina and portions of North Carolina, Virginia and Maryland were under a tornado watch Wednesday night.

CNN meteorologist Chad Myers said the massive storm system was 1,000 miles north to south, moving eastward in a belt that will eventually stretch from New York to Florida.

"If it's hot and humid where you are, then you are still in the danger zone," Myers said.

The strong cold front causing the severe weather brought huge extremes in temperature readings. Thermometers reached the low 80s in parts of southeast Georgia and South Carolina, the 50s in Tennessee and the 30s in Illinois.

WFIE: Storms blow new roof off tri-state church

Earlier, in Alabama, the storms blew the metal roof off a building in Sheffield, CNN affiliate WHNT said. The storm also damaged a church steeple in Rogersville, the station reported.

In Kentucky, winds blew off much of the roof of the Penrod Missionary Baptist Church and damaged several homes, CNN affiliate WFIE reported.

In Nashville, the weather service listed dozens of damage reports across the region: a funnel cloud was reported early Wednesday in Jackson County, there were dozens of reports of downed trees and power lines, and law enforcement reported damage to homes and businesses.

CNN affiliate WSMV also reported the partial collapse of an office building in Mount Juliet, Tennessee.

"I built it myself to take an event like this. And it looks like a freight train hit it," the station quoted building owner Dewey Lineberry as saying. "It's just destroyed. It laid the building down on top of cars, it put the building on top of people. It's unbelievable."

Workers who were inside the building when the storm hit took cover under mattresses, the station said.

The storm came dangerously close to WSMV, the station reported: Workers had to move to a safe room when a buzzer in the newsroom alerted them of storm danger around 4 a.m. Wednesday, the station reported.

WKRN: Confirmed tornado

CNN iReporter Matt Davis said overnight storms damaged a historic brick structure on Fairvue Plantation in Gallatin, Tennessee.

"The plantation was a horse farm. Those (structures) have been standing there for 100 to 200 years. It was sad to see those collapsed and caved in. It's historic to the neighborhood," the high school student said.

On Tuesday, the storms raked Arkansas, Louisiana and Mississippi, among other places, with heavy rain and high wind.

Photos: Finding art in icy weather

CNN's Ben Brumfield, Ryan Rios and Miguel Marquez contributed to this report.

@highlight

NEW: Streets flood at college campus in western North Carolina

@highlight

Much of the affected region goes through huge temperature fluctuations

@highlight

A Georgia TV news crew sees tornado form; damage is reported in Adairsville

@highlight

A Tennessee man dies when a tree falls on his home, emergency managers say