Minot, North Dakota (CNN) -- A spontaneous burst of applause broke out at a Saturday press conference in Minot, North Dakota, when the city's mayor said the Souris River should crest overnight -- about 12 feet higher than flood stage, but several inches short of what had been feared.

"This is great news," said Mayor Curt Zimbelman.

This prediction from the National Weather Service proved a rare bright spot in what has been, and continues to be, a trying time for citizens in Minot and neighboring communities.

The Souris River, which locals call "The Mouse" after the French translation of its name, flows through the center of Minot, a city of about 36,000. About a third of the city's population is under evacuation orders, while at least 3,000 homes have been flooded.

One resident, Stuart Dull, told CNN about how he, his wife and two children feverishly packed up their belongings ahead of the approaching waters. What they could move out is stashed in a garage, while the family has found a temporary home in a relative's basement.

"Words kind of escape me," said Dull, describing his feeling after later sneaking back toward his home and seeing it under water. "It's a sense of despair ... and it's maybe a check on some of the things that you hold dear."

Stuart Collum said he spotted the silver chimney and black roof of his house, where he has lived since 1968, on Saturday -- with the rest of the dwelling under water.

"I hate to say it, but I had tears in my eyes this morning. It's a sickening feeling because I knew when I come back it won't hardly be worth fixing. It's almost 100 years old," he said.

These personal struggles come as local, state and federal authorities rush to minimize the damage to property and maximize security and safety of residents. To the latter point, Minot officials announced a "boil-water order" Saturday afternoon, telling residents to boil tap water for at least a minute before consuming in order to kill any dangerous organisms.

Around 6 p.m. Saturday, following a hot and sunny day, residents got a fresh scare when tornado sirens started blaring as a powerful thunderstorm bore down on Minot.

Joshua Scheck, a National Weather Service official, told CNN, "The city of Minot pulled the sirens out of extreme caution." The clouds indicated a system that could generate tornadoes, but the intent was even more to alert the scores of National Guard, police and other personnel working to address the flooding to seek cover from the coming storm.

"There was no sign of vertical rotation or tornadoes," said Scheck, noting the storm system should pass through the city by 7:30 p.m.

The focal point in Minot continues to be the Broadway Bridge, a critical north-south route through town. Officials have been working round-the-clock to prevent the river from inundating nearby routes, all part of larger efforts aimed at preventing Minot by effectively being split in half by the flooding.

"It's really important that (Broadway) bridge stays open," said Cecily Fong, spokeswoman for the North Dakota Department of Emergency Services.

On Saturday afternoon, the National Weather Service reported water levels at that bridge stood at 1,561.62 feet with an expected crest around midnight of 1,561.8 feet. This is well above the flood stage of 1,549 feet, but still below the worst forecasts -- and the reason for the outpouring of relief, after Zimbleman's announcement at a press conference.

Republican Rep. Rick Berg said he had been in touch with officials in Washington -- which has authorized FEMA to grant assistance -- and expressed optimism that the government will work well with residents to overcome the challenges.

"You're seeing people at the highest levels working together, putting politics behind them," said North Dakota's lone congressman. "And I've seen American flags (that) reminded me how, in the face of challenges, we come together as a country."

Berg, though, cautioned that this was a "marathon" that still had a ways to go. For instance, water levels near the Broadway Bridge were still expected to remain around 1,561 feet through Tuesday -- well above the record of 1,558 feet -- with a slow drop over the coming week.

And the worst is yet to come in other North Dakota locales. In the small city of Sawyer, for instance, water levels Saturday morning were 5 feet above flood stage and forecast to rise much further, to 30.5 feet, through overnight Sunday.

This situation prompted the evacuation Saturday of the city's 350 residents as water from the Souris River began to slosh up a main street through town, according to a U.S. Corps of Engineers official.

Water began flowing up First Street on the northwest side of town early Saturday morning, said Shannon Bauer, a public information officer with the U.S. Army Corps of Engineers. The river stood at five feet above flood stage Saturday morning. It is forecast to rise nearly 2 1/2 more feet at Sawyer before cresting on Monday, according to the National Weather Service.

Crews are engaged in a "touch and go" struggle to build a temporary levee to stop the flow of water through the now-vacant town, according to Bauer.

"We have not given up," Bauer said.

To the northeast, in Minot, about 15% to 20% of the city was under water as of Friday. Fire Department Battalion Chief John Hocking called the conditions there "by far the toughest we've ever seen."

Ken and Janelle Herslip own one of those homes. Located less than a mile from the Souris, it's already flooded and more water is expected, Ken Herslip said Saturday.

Even though a crew of more than three dozen friends and family helped them evacuate on Monday -- scouring the house of everything that wasn't attached to the walls, Herslip said his wife is still devastated.

"We've had many homes over our life and she finally got the house of her dreams," he said. "She is absolutely devastated, bawling all the time."

Herslip, who built the house, isn't so busted up. No one was hurt, and they can build again, he said.

Still, he said, "it will never be the same."

Dull voiced similar sentiments after the floodwaters forced him and his family out of their home -- leaving them safe, even as they're left largely helpless without flood insurance as the waters roll in. An overwhelming positive from this whole ordeal, he said, is how city residents have rallied to support one another.

"The community that we live in, they're absolutely great," said Dull. "All around, there are people helping people, strangers helping you move, everyone is so helpful.

"I just can't say enough about living in this town ... It's comforting to know that people care for you, even strangers."

CNN's Mike Pearson, Jim Spellman, Alta Spells, Phil Gast and Sara Weisfeldt contributed to this report.

@highlight

NEW: Tornado sirens go off in Minot, but there's no sign of any twisters

@highlight

National Weather Service says the Souris River's crest will be below forecasts

@highlight

The worst isn't over, though, as rising waters prompted the evacuation of Sawyer, North Dakota

@highlight

The Souris River has already topped its record crest from 1881