(CNN) -- Five months into the country's uprising, a defiant Syrian regime continues its relentless assault on pro-reform protesters in the face of international rebuke and calls for restraint.

The government has maintained the same narrative: it is going after armed terrorists. But opposition activists say it is a systematic, sustained slaughter.

Here is an explainer of what is happening inside and outside Syria as efforts to resolve the crisis continue.

What are the protesters demanding?

Initially, protesters wanted basic reforms, more freedoms, a multi-party political system and an end to emergency law. Some of these reforms have, on paper, been implemented by President Bashar al-Assad, but it was far too little and, by the time it came about, too late.

The protests started in March in reaction to the arrest of schoolchildren in the town of Daraa for painting anti-government graffiti and snowballed.

Protestors now want a Syria free of the Assad regime and true democratic elections. Assad has been in power since 2000; his father, Hafez, ruled Syria for three decades.

How widespread are the protests?

Demonstrations have erupted in several of Syria's largest cities -- Damascus, Hama, Deir Ezzor and Homs -- as well as the southern city of Daraa, where protests began months ago.

But Aleppo -- considered the largest city -- has been relatively quiet. It is the economic center of Syria and the city's merchant class has been unaffected by the protests, for the most part.

How many people have died in the unrest?

The Syrian Observatory for Human Rights, a London-based activist group, said more than 2,000 people -- mostly demonstrators -- have died since the uprising began in mid-March. Rami Abdul-Rahman, head of the observatory, said the dead include more than 1,600 civilians and more than 370 Syrian security forces.

CNN is unable to independently confirm death tolls or events in Syria, which has restricted access to many parts of the country by international journalists.

How has the Assad regime reacted to other uprisings?

There are fears from some in Syria of a repeat of the 1982 massacre by Syria's military -- acting under orders from Assad's father, Hafez al-Assad -- in which thousands of civilians are believed to have perished.

The bloody crackdown by the Alawite-dominated government against a Muslim Brotherhood uprising took place in the western city of Hama. Estimates of the number of casualties vary from 3,000 to 40,000. A 1983 Amnesty International report put the death toll on both sides as between 10,000 and 25,000.

Many activists are already comparing what is now in Hama under Hafez al-Assad's son -- but in slow motion rather than a single, devastating strike.

The city has been at the epicenter of the anti-government movement roiling the country, prompting security forces to roll in with tanks in early August. Scores were killed.

What attempts has Assad made to meet protesters' demands?

He lifted the state of emergency that had been in place for nearly half a century. He also abolished a court set up to try people posing a threat to the regime.

But, at the same time, arbitrary detentions have continued, as has the use of force against demonstrators.

In July, the Syrian regime held a five-day "national dialogue" conference in Damascus, saying it was designed to solicit viewpoints not only of Assad's loyalists, but also those wanting real change.

But many opposition activists boycotted the meeting and called its stated mission a farce, given claims that the government has violently targeted hundreds who have openly called for change.

Who are Assad's allies?

Russia and China are key players, particularly when it comes to exerting influence in the United Nations. Turkey is an important trading partner, but its relationship with Syria appears to have cooled.

In early August, Saudi Arabia's King Abdullah condemned the crackdown on anti-government protesters, saying there was "no justification for the bloodshed."

While it is noteworthy that Saudi Arabia has openly criticized Syria, it is not surprising. Saudi Arabia is wary of Iran's influence in the region -- and Syria is Iran's closest ally there.

Can the United Nations take military action?

The Security Council tends to build its approach on an incremental basis when faced with a country or issue that splits opinion. Due to history, location, politics and power, Syria has more allies than Libya and is unlikely to face similar U.N.-mandated action.

A Security Council resolution authorized the use of force to protect civilians in Libya. But the ensuing NATO's military campaign over Libya has drawn some criticism, which might play a role in holding off on similar action in Syria.

Russia and China usually feel it is not the Security Council's role to get involved in what they say is a matter for the internal affairs of U.N. member countries.

Syria's key role in the Middle East peace process has also made military attacks extremely unlikely.

What role is social media playing in the uprising?

If Egypt was the "Facebook revolution," Syria is the YouTube revolution. If not for activists posting videos to YouTube, the outside world would not have a window into what is happening in Syria.

Why is there no likelihood of U.N. sanctions or military action against Syria?

The Security Council tends to build its approach on an incremental basis when faced with a country or issue that splits opinion. Due to history, location, politics and power, Syria has more allies than Libya is unlikely to face similar U.N.-mandated action.

A Security Council resolution authorized the use of force to protect civilians in Libya. But the ensuing NATO's military campaign over Libya has drawn some criticism, which might play a role in holding off on similar action in Syria.

Russia and China usually feel that it is not the Security Council's role to get involved in what they say is a matter for the internal affairs of U.N. member countries. That said, they may eventually budge to at least join other members of the Council in expressing concern or condemnation of what is happening in Syria.

But it will take more displays of Syrian brutality for Russia and China to go along with sanctions. Syria's key role in the Middle East peace process has also made military attacks extremely unlikely.

Is social media still playing a part in the uprising? Is it likely to have a decisive role in the final outcome?

It's huge. It's not the same as we saw in Egypt, which has been labeled a Facebook revolution because of the role of social networking sites. Syria is the YouTube revolution.

If activists weren't posting videos to YouTube, we would have almost no window into what appears to be happening in Syria. Will it be decisive? Yes, absolutely. The reason why people have been able to have such a strong debate about crimes against humanity, about abuses, about the atrocities allegedly committed is because we've had these images on hand.

CNN's Thair Shaikh contributed to this report.

@highlight

The Syrian uprising began in mid-March, with no clear end in sight

@highlight

A human rights observatory says more than 2,000 have died

@highlight

Syria has more allies than Libya is unlikely to face similar U.N.-mandated action