(CNN) -- Newly released 3-D images of two mummified baby mammoths provide a window into the lives and deaths of creatures that roamed Siberia over 40,000 years ago.

Details in the x-ray scans have let researchers look at things like the specimens' bone structures, causes of death, and even how healthy they were before they died. By comparing the specimens to each other, to other mammoths, and to their only living cousinsâ€”elephantsâ€”researchers have added a lot to what we know about mammoths.

Computed tomography (CT) scanning uses millions of ultra-thin x-ray slices to build 3-D models of solid objects. The scans tell scientists how solid objects are put together without having to take them apart. The donut-shaped machines are relatively common in hospitals, and there are some veterinary machines that can do full-body scans of dolphins and small whales. But the size and shape of a mammoth with its limbs frozen in place, even a baby one, means it can't be safely fit into machines designed for long, thin, living things.

But scientists aren't the only ones interested in scanning the insides of large objects. Outside of Detroit, the Ford Motor Company has a large, industrial CT scanner they use to look inside big, awkward objects like car transmissions and engine blocks. And when one of the mammoths was being transported in a FedEx truck from Chicago's Field Museum to the Liberty Science Center in New Jersey in 2010, scientists at the University of Michigan saw an opportunity.

"We knew the drivers had to sleep at some point in the route," said mammoth expert Daniel Fisher. So he and his colleagues convinced Lyuba's Russian handlers to make an overnight detour to Detroit.

Read more: Get Ready to Learn a Bunch of Awesome New Science About Pluto

The things Fisher and his colleagues learned from the resulting 3-D images made big news. Lyuba was only a month old when she died, and is one of the most well-preserved mammoths ever found. The new research published today in the Journal of Paleontology compares Lyuba's scans to those of another relatively well-preserved baby mammoth, Khroma, who died several thousand years before, and several thousand miles away. Fisher's team was able to recreate, with reasonable certainty, how the two mammoths died. Combined with other research, they also used these scans to get a broader picture of how young mammoths lived.

Lyuba's trunk, trachea, and lungs were filled with sediment. Fisher thinks this happened when she inhaled mud and choked to death after she fell into cold water. The scans also revealed traces on her face and in her lungs of an iron-rich mineral that usually occurs in oxygen-poor places like lake beds. Fisher thinks this means she fell and settled at the bottom of a Pleistocene lake, which has since dried up.

Besides an oddly-compressed left ribcage, Lyuba's largely intact body suggests she spent most of the next 40,000 years in the tundra tucked peacefully away. Her postmortem existence became more turbulent after she was discovered by reindeer hunters in 2007. According to Fisher, their leader recognized Lyuba's importance and trekked many miles in the snow to alert the authorities. In the meantime, a less-civic-minded relative sold Lyuba to a local shop that put her on display for tourists. The Russian authorities found her, but not before dogs had chewed off her ear and tail. Science has treated her more respectfully, but she's still been thawed, refrozen, chemically preserved, sawed into, prodded, poked, shipped, and scanned since she was rescued.

Khroma fared a little worse than Lyuba. Not only did she have a broken back, her body had been picked at by ravens and arctic foxes.

But after surviving thousands of Siberian winters, it was the Russian bureaucracy that almost did her in. Soon after they found Khroma, Russian scientists sent samples of her tissue to a microbiology lab. "There was somebody at this lab who claimed they found Anthrax on this baby mammoth," he said. The Russians decided the carcass should be incinerated immediately.

Read more: 30 Years After Chernobyl's Meltdown, Gripping Photos Expose the Human Fallout

Fisher and other mammoth experts delayed the destruction by calling for an investigation. That summer at an annual conference on mammoths, the scientists tried to come up with a strategy to save Khroma. Finally, they convinced the Russians to let them destroy the bacteria by putting the mammoth inside a nuclear reactor. Still frozen (Lyuba was chemically desiccated in a manner similar to Vladimir Lenin), Fisher says Khroma spent five days at a French power plant and then went to a French hospital for partial-body scanning.

Khroma never made it to a full-body CT machine, but her scans were still informative. Like Lyuba, her trunk, mouth and throat were filled with sediment, suggesting she also choked to death. From tusk samples, Fisher determined that Khroma was about two months old when she died. She had a wider head and jawbone than Lyuba, and more well-developed feet and shoulders than the younger mammoth. The researchers are unsure if Khroma actually grew that much in just a month, or if her bigger bones indicate she's from an undescribed sub-species.

The two mummies set a baseline for comparing other young mammoth remains and will help researchers build a fuller picture of how they grew and were cared for, Fisher says. They can also reveal how similar mammoths were to elephants, their only living relative. For example, Khroma's skull is slightly smaller than an elephant's of the same age, which suggests mammoths developed more slowly.

Mammoths also had smaller ears, fatty humps, and coats of long hair, but Fisher says they're more alike than different to their modern cousins. "We've learned with direct, physical evidence how similar they are: how similar in family structure, life history, and very similar bodies."

Read more from WIRED:

The TSA's Instagram Feed Is Terrifying and Totally Awesome

The Eerie, Crumbling Bunkers of the Nazis' Atlantic Wall

How Working on Multiple Screens Can Actually Help You Focus

7 Years of War in the Middle East Captured On Camera

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

University of Michigan scientists compare 3-D scans of two mummified baby mammoths

@highlight

The resulting images of the scan suggest they both choked to death

@highlight

Lyuba, the younger of the two, died when she was one month old, 40,000 years ago

@highlight

Khroma died several thousand years earlier