(CNN) -- Embracing the hair you're born with sounds like it should be the easiest thing in the world, but for some, it's a huge challenge.

Nikki Walton, a 29-year-old licensed psychotherapist whose own journey to hair acceptance has grown from a passion into a business, knows that hurdle all too well.

As the founder of CurlyNikki.com, Walton now confidently boasts a lush, natural texture that lives up to her online nickname, "Curly Nikki." On her website, she leads the charge for a community of women seeking a resource and a space where they can let their hair down, just as it is, no straightening required.

But Walton can vividly recall the days when straight hair meant beautiful hair, and if she couldn't be seen with it straight, she'd rather not go out at all.

As a young adult, Walton would feel "gorgeous" and "ready" to take on the world when her dark hair's natural twists and turns were straight, sleek and swinging thanks to a stylist's heat tools.

But when that style fell flat and the frizz began to appear, "I would become an introvert; I didn't want to do anything," she said.

Eventually, the boyfriend who was driving her to and from hair appointments -- and who's now her husband and father to their 2Â½-year-old daughter -- intervened.

"He said, 'This isn't healthy. I don't know if you've noticed, but you need to step back and assess this. You're pretty, and I want you to feel pretty no matter what the condition of your hair is,' " Walton recalled. "And he was right. My hair was running my life. My confidence was in flux with my hair."

That conversation inspired Walton to take action, and she soon found herself researching ways she could work with the kind of hair she was born with. Once she unchained herself from her flat iron, she found not only a more genuine confidence but a new freedom to live her life as she chose -- not as her hairstyle mandated.

"Once you get to that freedom," she said, "you'll be very excited to help those around you achieve that as well."

Walton has been lending that helping hand on CurlyNikki.com for the past four years, and she recently compiled her accumulated wealth of hair care know-how into a book, "Better Than Good Hair: The Curly Girl Guide to Healthy, Gorgeous, Natural Hair."

Walton describes the guide as a little like "What To Expect When You're Expecting," mixed with the approachable, easy-to-understand wisdom she extends on the Web.

Depending on the person, opting to wear one's hair in its natural state can feel like a rebirth of sorts. Some women may choose to cut much of their hair off -- doing a "big chop," as it's called -- to get rid of heat-damaged or chemically straightened locks. For others like Walton, who opted to wear her hair more naturally but skipped the dramatic haircut, there's still a learning curve to figure out how to wear one's natural hair texture.

"In my house," Walton said, "any time we had somewhere important to go, if it was Easter Sunday (or) Christmas Mass, we had to make sure our hair was pressed and braided neatly. That's what my mom knew, that's what her mom knew, so we didn't even question it."

By the time she was in middle school, Walton would want to "shrink into a hole" at the salon while she waited for a stylist to blow dry her freshly washed hair.

"I didn't want people to see my hair. I couldn't even look at myself in the mirror," she recalled. "I didn't even know what my real texture looked like. ... I just knew that if it got a little bit wet, or if I sweat(ed) a little bit too much, I put my hands into my roots, and it felt terrible."

As a result, Walton had to do both a habitual and a mental shift when she decided that having healthy hair was more important.

That new way involved regularly trimming her hair herself and wearing what she calls "low-manipulation" styles, like buns, which meant she wasn't putting added stress on her hair with constant washing and styling.

Celebrity hairstylist and salon owner Ted Gibson concurs with Walton's careful, routine trimming, which he says is essential whether you chemically straighten your hair or are as natural as can be.

"Sometimes women, when they get a relaxer, they don't want to get a haircut, but that's part of the service for us," Gibson said. "Getting your ends trimmed is essential in growing your hair and making your hair so that it's in better shape. Hair will split after a period of time, and that's sometimes where thinning hair comes from."

It took Walton about a year and a half to get rid of her damaged bits, and at the time, she was simultaneously working on being able to leave the house with her new, natural 'do.

At first, "you have that spotlight effect, because you think everybody's staring at you, because you're very self-conscious," Walton said. "And most people aren't staring at you, and if they are, maybe they're thinking good things, not the negative things you're projecting onto them."

On her site and particularly in her book, Walton emphasizes how necessary confidence is to the process.

"This is your hair, and people have to accept it because you do. And when you exude that confidence, people get that from you and they don't bother you. Often, we have to fake it till we make it, because people will be able to detect that insecurity."

The phrase "natural hair" is thrown around a lot, and it can mean different things to different people. There are those who would agree with celebrity stylist Laini Reeves, for whom being natural starts with the product.

"Being a hairdresser, I look for two things: I look for performance, and I look for ingredients. It's hard to find completely 100% natural hair care that has the performance that you need, but technology is becoming so advanced that the chemists know how to alter ingredients that make it have the performance," said Reeves, who's worked with stars like Amy Adams and Emily Blunt.

For example, if you're a curly, you might want to check out coconut oil to use as a conditioner, Reeves said, in an effort to rebuild the hair and get a softer texture.

"My advice to anybody: Read the label and educate yourself," Reeves said. "I'm not an extremist. I'm not anti this or that; I just like to make more conscious decisions in my life."

Walton, too, cautions against the perception that maintaining natural hair means standing against chemical straighteners or straight hair overall.

"It's all about achieving versatility and achieving healthy hair and achieving the freedom to be able to wear your hair curly or straight," she said. "The goal that I had for myself was to feel just as attractive and just as professional and sexy with my hair curly as I felt when it was straight. I'm there in that place now, and I want other women to be able to experience that too. That level of confidence, we call it genuine self-esteem -- the kind that doesn't fluctuate."

There's also a side benefit to all of that confidence, Walton added.

"Accepting what your hair does naturally will help you attain a better quality of life," she said. "You can straighten your hair and do whatever you want to do, because we're women; we like to change it up. It's that key of getting comfortable in your own skin. My quality of life has greatly improved now that my first thought and consideration is not my hair."

Have you struggled with going natural? Share your experiences in the comments section below.

@highlight

Therapist and blogger Nikki Walton helps women find confidence with their natural hair

@highlight

Walton's written a book, "Better Than Good Hair," to guide women in their hair journey

@highlight

The keys for her have been regular trims and low manipulation

@highlight

Embracing one's natural texture can improve your quality of life