WASHINGTON (CNN) -- A slim majority of Americans think churches should stay out of politics, according to a new survey.

John McCain, the Rev. Rick Warren and Barack Obama together for a CNN broadcast forum on faith.

The survey suggests that for the first time in more than a decade, there has been a shift away from the view that religious groups should influence social and political issues.

Fifty-two percent of poll respondents said churches should stay quiet, while 46 percent said churches should express political views.

The biggest shift has come among Republicans, one of the authors of the poll said.

"Overall, the number of people who say churches should not endorse political candidates is up slightly, but among Republicans it is up 11 points, and among white evangelical Republicans it is up 19 points," said Greg Smith, a research fellow at the Pew Forum on Religion & Public Life.

"There is a slight uptick, from 40 percent to 46 percent, among people who are uncomfortable to have politicians talking about religion, but it is up 10 points among Republicans," he added.

Four years ago, seven out of 10 conservatives approved of religious institutions expressing political views. But five out of 10 conservatives in Thursday's poll said it was appropriate.

It seems that the more important social issues are to conservatives, the more likely they were to say that religion and politics should not mix.

Among people who said gay marriage was a very important issue, the number saying houses of worship should keep out of politics doubled, from 25 percent to 50 percent. Among those who said it was not important, the number was essentially unchanged.

Respondents were also more likely to say houses of worship should not meddle in politics if they considered the major political parties to be hostile to religion.

The new figures bring Republican views into line with those of Democrats and independents. A 14-point gap between Republican and Democratic views on the subject in August 2004 fell to one point in the new survey.

But Smith cautioned against reading the survey to mean basic conservative philosophy was changing.

"It appears to be frustration with the contemporary political landscape more than an underlying philosophical shift," he said. "It is not the case the conservatives are uncomfortable with a political role for religion, but we do see increasing discomfort with churches getting involved with politics."

"Voting intentions among white evangelicals have not changed at all," Smith added. Republican candidate Sen. John McCain "has a huge lead even among younger evangelicals."

But social conservatives are lukewarm about McCain as compared to President Bush.

Nearly seven out of 10 white evangelical Protestants and conservatives said they supported McCain; the number was slightly higher for Bush in August 2004. But four years ago, 57 percent of them said they backed Bush strongly. The number is 28 percent for McCain this year, with 40 percent saying they backed him, but not strongly.

The number of people who think religious groups have too much influence over political parties grew -- for both Republicans and Democrats -- as did the percentage of people who are uncomfortable hearing politicians talk about how religious they are.

Americans continue to see the Republican Party as more friendly to religion than the Democrats, although the Democrats closed the gap somewhat since reaching a low point in 2006.

Other survey results showed little change from the past. Two out of three Americans continue to say churches should not endorse candidates for president, and most still feel a president should have strong religious beliefs.

The survey was conducted by the Pew Research Center for People & the Press and the Pew Forum on Religion & Public Life by interviewing 2,905 adults nationwide by phone between July 31 and August 10.

On Saturday, Obama and McCain answered questions that had religious overtones at a forum hosted by the Rev. Rick Warren. The pastor of Southern California's Saddleback Church is author of the best-selling book "The Purpose-Driven Life."

Asked when life begins, McCain was quick to say "at the moment of conception." McCain's response was met with huge applause from the audience. "I have a 25-year pro-life record in the Congress, in the Senate, and as president of the United States, I will be a pro-life president, and this presidency will have pro-life policies," he said.

When Obama was asked about when life begins, the pro-choice candidate said that decision is "above my pay grade." The response garnered criticism from liberal and conservative thinkers who said Obama tried to dodge the issue.

Obama said although he's pro-choice and supports a woman's right to abortion, his goal is to reduce the number of abortions in America.

"On this particular issue, if you believe that life begins at conception ... and you are consistent, then I can't argue with you on that," he said. "What I can do is say, 'Are there ways we can work together to reduce the number of unwanted pregnancies?' "

@highlight

Survey: Republicans change view more than others on church and politics

@highlight

Small majority of Americans think churches shouldn't endorse candidates

@highlight

Researcher: Survey doesn't mean basic conservative philosophy is changing