(CNN)Snow is falling at a faster rate. Wind gusts are getting stronger. And temperatures are frigid.

It may not look bad yet, New York Mayor Bill de Blasio said Monday night, but it will be soon.

"This is literally the calm before the storm. It's about to start in earnest," de Blasio said. "And when it does, it's going to come in very fast and very hard, and people have to be very, very careful. People have to stay off the streets and stay off the sidewalks."

The National Weather Service, which isn't prone to exaggeration, is using terms like "life-threatening" and "historic" to describe the weather system taking aim at the Northeast, with the worst expected to hit Monday night into Tuesday.

The first big storm of the year may drop up to 3 feet of snow on Boston and New York before it ends Tuesday, with freezing rain and strong wind gusts possibly reaching 70 mph. Blizzard and winter storm warnings have been issued from Maryland through Maine and into Canada.

Up to 58 million people could be put into the deep freeze. And the storm could have a far-reaching economic and political impact, even beyond the region directly hit.

The snowfall will be dramatic, but that might not be what causes the most damage, CNN meteorologist Chad Myers said.

A possible source of major problems, he said, will be large wind gusts that send tree limbs crashing down into power lines. That could leave people in some area without electricity for days, he said.

Another area of concern: roads.

"It is no joke to have people stranded on a highway. We've gone through that before," New York Gov. Andrew Cuomo told reporters. "It is frightening how quickly a simple trip to the supermarket can wind up being very dangerous."

Public transportation will shut down and only emergency vehicles will be allowed on the roads in 13 counties -- and on the streets of New York City -- as of 11 p.m., he said.

Connecticut and Massachusetts also put travel bans in place.

In Philadelphia, Mayor Michael Nutter declared a snow emergency starting at 6 p.m. ET Monday. Cars left parked on snow emergency routes will be towed and owners ticketed, he said.

"It's going to be the kind of night where the best thing anybody can do is stay inside," Massachusetts Gov. Charlie Baker said Monday evening.

Track the storm

Here's what you need to know, state-by-state

Sights and sounds of the blizzard

While the worst of the weather isn't expected to hit until late Monday into Tuesday, according to CNN forecasters, it's already snarling travel.

Nearly 7,000 flights have been canceled for Monday and Tuesday, the flight-tracking website Flightaware.com said. And hundreds of flights have already been canceled for Wednesday as well.

American Airlines suspended operations in Philadelphia, Boston and New York late Monday afternoon.

"We plan to resume operations as soon as it is safe to do so," airline spokeswoman Andrea Huguely said.

United Airlines has already canceled all Tuesday flights at Newark, LaGuardia and JFK, as well as Boston and Philadelphia, company spokeswoman Mary Ryan said.

Delta has canceled more than 1,600 flights on Monday and Tuesday. There are no operations planned at Boston's Logan International Airport on Tuesday and "very limited flying at LaGuardia and JFK," spokesman Morgan Durrant said. Some cancellations may also be necessary Wednesday morning, he said.

The major U.S. airlines are offering fee-free rebooking of flights to and from the Northeast on Monday and Tuesday.

Amtrak said it was operating a normal Monday schedule but suspended Northeast Regional and Acela Express service between New York and Boston for Tuesday because of severe weather.

Other Amtrak train routes in the region will operate at reduced frequencies, the rail line said.

Heavier snow will hit Monday night and continue through Tuesday, forecasters said. Some areas will still be getting snow Wednesday.

Officials across the Northeast warned residents to stock up for the storm.

Government officials warned residents to fill up vehicle gas tanks, stock up on food, make sure they have enough heating fuel and to take other steps to prepare for the possibility of being stranded, possibly without power, for days.

Here are more tips from the Federal Emergency Management Agency:

• Make a family communications plan in case you are separated from your loved ones during the height of the storm.

• Make sure to keep ventilation to the outdoors clear when using kerosene heaters.

• Put off travel. But if you have to go out, keep a disaster supplies kit in your car. It should include a shovel, windshield scraper, small broom, flashlight, battery-powered radio, extra batteries, food and water, matches, a change of clothes, a pocketknife, a first aid kit and blankets.

• Check antifreeze levels, battery condition, exhaust and other vehicle systems before venturing out.

• Stay inside as much as possible, stay dry when you do have to go outside, and watch for signs of frostbite and hypothermia, including loss of feeling, uncontrollable shivering and disorientation.

And they did.

While shoppers lined up in supermarkets, Dorot, a nonprofit in New York, collected hundreds of bags of food and water supplies for homebound seniors, WCBS reported.

"I think I'll use some of this, especially the soup," said Norma Amigo, 93, of the Upper West Side. "I will not go out if I think it's slippery out, because I fell two weeks ago."

Christine Carew, a sales associate at Charles Street Supply in Boston, said customers have been coming into the hardware store since it opened Sunday to grab sleds, shovels, ice melt and snow brushes.

When it comes to getting ready for a massive snowfall, she said, Boston residents know what to do.

"We're more prepared for it," she said. "We know it's going to happen."

In Boston's North End, cigar bar manager David Riccio was sweeping the sidewalk Monday night, preparing for the storm to hit.

"They're making it sound really bad, so we'll see," he said.

New York Police Commissioner William Bratton said his force was well-prepared with a fleet of vehicles equipped with tire chains and more large SUVs capable of traversing snowy streets.

"I want everyone to understand that we are facing -- most likely -- one of the largest snowstorms in the history of this city," de Blasio said.

That's saying something. In 2006,  26.9 inches of snow fell, topping the 25.8-inches of snow that fell in December 1947.

New York state has at least 1,806 plows and more than 126,000 tons of salt to spray onto roads across the region.

The National Guard also was positioning six dozen personnel and 20 vehicles throughout the state Monday morning.

In Boston, New England Patriots fans saw their beloved football team off to the Super Bowl at a Monday morning celebration that wrapped up before the storm worsened.

Boston Mayor Martin Walsh said there was no doubt the city would be slammed, so a major effort now is making sure people are safe. That includes checking on elderly residents and working to get homeless people off the streets and into shelters, he said.

The city has 700 pieces of snow-moving equipment and 35,000 tons of salt ready, he said.

"You can't fight Mother Nature, and whatever happens throughout the course of the storm, we just have to do our best to be prepared going into it, which I think we are," Walsh said.

On Plum Island, Massachusetts, Bob Connors said he'll try to ride out the storm but will move to higher ground if things get dicey, according to CNN affiliate WHDH. A 2013 storm destroyed homes on the island.

"When you're living on the edge of paradise like we are now, you give Mother Nature a lot of respect when we need to," said Connors.

Visibility will be a major problem, said CNN meteorologist Judson Jones.

"This is not one of those storms you want to go out in while it's happening," Jones said. "You want to wait for the winds to die down ... before you go to the store."

Tuesday is shaping up to be a day when the reality of the weather sets in.

One of the inevitable aftereffects of snow -- flooding -- will quickly become a problem.

There could be coastal flooding in Massachusetts starting early Tuesday, with pockets of major flooding on east-facing coastlines, the state emergency agency said.

"Plan to work from home is the best advice for Tuesday," Jones said.

CNN's Ralph Ellis, Ashley Fantz, Sara Ganim, Joe Sutton, Dana Ford, Aaron Cooper, Joshua Gaynor, Taylor Ward, Teri Genova and Kevin Conlon contributed to this report.

@highlight

Amtrak shuts down Tuesday service between New York and Boston

@highlight

New York mayor: The storm "is about to start in earnest"

@highlight

Massachusetts governor: "The best thing anybody can do is stay inside"