(CNN) -- The world heard of the plight of a Sudanese Christian wife and mother who, while eight months pregnant, was arrested and sentenced to public flogging followed by execution. Her crime? An Islamic court in Khartoum found her guilty of apostasy, that is, leaving Islam and converting to Christianity. It's a crime punishable by death, according to some interpretations of Islamic law.

Meriam Yehya Ibrahim Ishag, 27, who is married to an American, was released, rearrested, and then released again. It's still uncertain whether her nerve-wracking ordeal is over yet.

But Meriam's plight is nothing new or isolated. Asia Bibi, a Christian mother of five, has been languishing in prison since 2010, sentenced to death in Pakistan for "blasphemy." Her husband and children went into hiding after death threats.

7 terrible countries for Christians

Persecution of Christians is one of the greatest human rights violations in the world today -- and certainly the one least known in the West.

Religious hostilities are on the rise around the world, against Muslims, Hindus, Jews, folk religion followers and more. But the situation is so bad for Christians that the normally diplomatic Pope Francis just asserted: "The persecution of Christians today is even greater than in the first centuries of the Church, and there are more Christian martyrs today than in that era."

To those familiar with the true history of early persecution -- when Christians were habitually tortured to death, set on fire, fed to lions and dismembered to cheering audiences -- his statement may seem exaggerated. But even today, as in the past, Christians are being persecuted for their faith and even tortured and executed.

In Egypt, while Christians were ushering in the 2011 New Year, Islamic terrorists bombed the Two Saints Church in Alexandria, killing 23 worshipers and injuring about 100 people. Coptic Christians and Muslims alike protested the bombing.

Since then, dozens of Coptic churches have been attacked, some torched to the ground. In August 2013, the Muslim Brotherhood and its Islamist allies attacked and destroyed dozens of churches in retaliation for the Coptic Church's endorsement of the anti-Brotherhood revolution, which was joined by tens of millions of moderate Muslims.

In 2010, Our Lady of Salvation Church in Baghdad was attacked during Mass, with 58 worshipers killed and hundreds wounded. Lesser known is that, since U.S. forces ousted Saddam Hussein in 2003, militants have threatened and attacked Christians so often that many have fled the country in fear. In Syria and Iraq alone, Islamists like ISIS have been making life a living hell for "unbelievers."

In Nigeria, the Islamist organization Boko Haram has in recent years attacked hundreds of churches, reserving the worst attacks on Christmas and Easter church services.

A January, 2014, Pew Research Center study on religious discrimination across the world found that harassment of Christians was reported in more countries, 110, than any other faith. Muslims were close behind.

Open Doors, a nondenominational Christian rights watchdog group, ranked the 50 most dangerous nations for Christians in its World Watch List. The No. 1 ranked nation is North Korea, then Somalia, Syria, Iraq, Afghanistan, Saudi Arabia, Maldives, Pakistan, Iran, and Yemen.

More disturbing is that three of these countries -- Iraq, Afghanistan, and Libya -- were "liberated" in part thanks to U.S. forces, while in the fourth, Syria, the U.S. is actively sponsoring the "rebels," many of whom are not even Syrian and some of whom have been responsible for attacks and kidnappings of Christians.

It seems that when some Arab states fail, hostilities against Christians rise.

Of the top 50 nations documented for their persecution of Christians, 41 are Muslim majority or have sizeable Muslim populations, such as Ethiopia and Kenya. It's important to note that Islamic extremists are the culprits within their borders.

Other countries, especially communist ones like North Korea, China, and Vietnam, are intolerant of Christians; churches are banned or forced underground, and in North Korea, exposed Christians can be immediately executed.

Nothing integral to the fabric of these societies makes them intrinsically anti-Christian. Something as simple as overthrowing the North Korean regime could possibly end persecution there -- just as the fall of Communist Soviet Union saw religious persecution come to a quick close in nations like Russia, which if anything is experiencing a Christian Orthodox revival.

Opinion: Christians face abuse around the globe

The reason Islamic radicals persecute Christians can be traced to culture and politics, but also to extreme interpretations of Islamic religious texts that are used to justify that persecution.

The majority of the world's Muslims reject such intolerant readings, but a small minority of Islamists is enough to terrorize the even smaller number of Christians living in Muslim majority nations.

One reason Meriam Ibrahim was not flogged and executed might be that her case became a cause celebre, thanks to the media.

There is a familiar pattern. Back in September 2012, two other Christians under arrest and awaiting execution in the Islamic world were released. Pastor Youcef Nadarkhani, charged with apostasy and sentenced to death in Iran, was eventually released. A teenage Christian girl known as Rimsha Masih, charged with blasphemy in Pakistan, was freed. In each case, freedom came only after widespread international condemnation.

The world must condemn the persecution of all religions -- all cases must be exposed to the light. It's incumbent on nations to control religious discrimination within their borders. And if it's the regime itself that endorses or inflames religious hostilities, the rest of the world must pay attention and denounce it.

Most important, Western nations must make foreign aid contingent on the rights and freedoms of minorities.

After all, if we are willing to give billions in foreign aid, often on humanitarian grounds, surely the very least that recipient governments can do is provide humanitarian rights, including religious freedom.

@highlight

Raymond Ibrahim: Sentencing a Christian mother to death is nothing new or isolated

@highlight

Ibrahim: More countries persecute Christians than any other religious affiliation

@highlight

Pope Francis says persecution of Christians worse than it was in the first days of the Church

@highlight

Ibrahim: Cases need to be publicized and condemned, as Sudanese woman's plight was