(CNN) -- The indictment and possible trial of Texas Gov. Rick Perry for allegedly applying illegal coercion to a district attorney will complicate -- but not kill -- his all-but-certain run for President in 2016. It's a sure bet that voters outside of Texas will forgive, ignore or overlook any outcome short of a conviction.

Perry wouldn't be the first modern presidential candidate to hit the trail with a scandal clanging in the background like noisy cans tied to the back of his campaign bus. But history suggests that a messy local political scene, with all its feuds and ethical shenanigans, is rarely a deal breaker on the national stage.

Most biographies of Franklin D. Roosevelt, for example, focus on his stature as the architect of labor reforms and major New Deal programs such as Social Security, the Works Progress Administration and the Tennessee Valley Authority. Few of the official histories note that Roosevelt's career began as an opponent -- and later, a staunch ally -- of the famously corrupt Democratic Party hierarchy in New York, centered at Tammany Hall, a clubhouse whose members freely trafficked in bribes, kickbacks, rigged government contracts and stolen elections.

"Roosevelt, in the end, came to Tammany. Tammany did not come to him," writes Terry Golway, author of "Machine Made," a masterly work on the history of Tammany Hall. Years later, as President, Roosevelt confided to a friend that "tens of thousands of people are members of Tammany Hall. I do not think they are all objectionable for that reason!"

That fundamental truth -- that local political machines, whatever their ethical shortcomings, are indispensable when it comes to winning elections -- was equally true for Roosevelt's vice president and successor, Harry Truman, who hailed from an even more flamboyantly corrupt political machine in Kansas City, Missouri.

The city machine was run by a notorious leader, "Boss Tom" Pendergast, whose reign ended with a stint in federal prison. Truman never renounced his early patron, and attended Pendergast's funeral days after being sworn in as vice president.

It's tempting to think "that was then, this is now" since Roosevelt and Truman operated in the days before television brought politics into nearly every American home. But consider what happened when -- decades before Watergate -- Richard Nixon weathered a scandal shortly after being named running mate to Dwight Eisenhower in 1952.

Journalists had discovered that the then-senator accepted money and personal gifts from a campaign fund financed by group of conservative businessmen, leading to widespread calls for Nixon to resign from the Republican ticket. Typical of the negative tone was one paper, The Sacramento Bee, that blasted Nixon as "the pet and protÃ©gÃ©, the subsidized front man" for a "special interest group of rich Southern Californians."

Nixon answered the critics by seizing upon the still-new technology of television to deliver what's now known as the "Checkers" speech. (Nixon, staring into the cameras, said the only personal gift he'd received from the fund was a beloved dog, Checkers, that he had no intention of selling or returning.) Nixon also asked for -- and received -- a popular wave of calls from voters to GOP officials telling them to leave Nixon alone.

The Checkers speech, delivered to what was then the largest broadcast audience in history, not only showed the power of a direct appeal to the people, it also demonstrated the public's ability to look beyond the sometimes tawdry details of local politics and focus on the major issues of the day.

Voters accepted Lyndon Johnson as a vice president and later President despite widespread rumors that his election to the U.S. Senate in 1948 by a razor-thin, 87-vote margin was stolen with the help of corrupt Texas political bosses -- charges confirmed decades after the fact by biographer Robert Caro.

And in 1992 when it turned out that presidential candidate Bill Clinton and his wife, Hillary, had ties to an ethically stinky, failed land development deal called Whitewater, voters shrugged it off and made him leader of the free world. No matter how much outrage Clinton's enemies tried to stir up over Whitewater, it never took hold with the voting public, which returned Clinton to the presidency for a second term.

This is not to suggest that Perry's local troubles won't have a national impact. His indictment may scare away some potential supporters, making it harder for him to line up donations and early political support in this crucial pre-election season.

And a conviction -- highly unlikely but possible -- would surely end Perry's presidential hopes.

But the mere fact of a local political squabble casting a shadow on Perry's image ultimately won't automatically knock him out of the running. Far more important will be avoiding debate gaffes such as the famous "oops" incident in 2012 and making headway in early presidential states such as Iowa and New Hampshire, where Perry is currently mired in single digits in the polls.

It may not be much comfort to his supporters, but from the standpoint of presidential politics, Perry is pretty much the same candidate he was before the legal papers got served: a long shot with a tough road ahead of him.

@highlight

Errol Louis: Rick Perry's indictment will complicate, not kill, his chances in 2016

@highlight

He says candidates like LBJ, FDR have run for President before while trailing scandal

@highlight

Political machines are indispensable to winning elections, he says

@highlight

Louis: Perry likely to remain the same long-shot candidate he was before being indicted