(CNN) -- Resolving domestic disputes between elephants and humans is an age old problem, but one not-for-profit organization based in Zambia thinks it may have a solution.

The Elephant Pepper Development Trust (EPDT) is encouraging local farmers to burn briquettes of chili to ward off the stomping giants. It's a technique that Loki Osborn, director of the EPDT, said is very effective given the elephant's delicate sense of smell.

In an interview with CNN, he said: "The hot chili peppers are very distasteful to elephants because of their advanced olfactory systems. They pick up things in the environment that we have no idea about."

"Chilies really irritate them and cause a very short term, very painful experience for them that goes away," he added.

But although the red hot chili peppers may cause some discomfort to the elephants in the short term, it is the lesser of two evils, notes Osborn.

The longstanding conflict between farmers and elephants is devastating both sets of communities.

Farmers sometimes kill elephants in an effort to protect their crops while the latter decimate food and grain stores, occasionally injuring or killing humans and livestock.

What's more -- farmers are bearing the costs of living with elephants and receive little of the benefits, says the EPDT. Even where community-based conservation initiatives exist, and elephants generate large revenues, the money doesn't filter down to local population.

Osborn said that creating an environment where people and elephants can live in harmony is key, but that doesn't necessarily mean taking a conventional approach to conservation.

And that's where the chilies come in.

"The problem with conservation in general, it doesn't produce anything. There's not really much you can sell from conservation of birds in a forest," says Osborn.

"So we thought, if we could get people to grow these chilies to deter the elephants from coming into the fields, buy it back, grind it up and sell it internationally to tell the story about what we're doing but also give a high end market for African products -- maybe we could be a model for other programs."

The EPDT's work is more important than ever as elephant and human populations have significantly increased in southern Africa in recent years, explains Osborn.

According to the World Wildlife Fund, elephant numbers have reached 300,000 in sub-Saharan Africa, however, less than 20% of the elephant range is under formal protection.

And while tolerant of human disturbance to some degree, elephants are unable to survive when the landscape becomes dominated by farmland.

Osborn said: "The world wants to know more about where [our] food is coming from, so having a great story to it really was a powerful thing... I think our kids are going to be very much more interested in that kind of stuff than our generation is now."

The EPDT currently sells the farmed chilies through a website called 'Elephant Pepper' with a slogan: "Elephants Hate Chili... We Love Elephants."

Osborn is hopeful that programs such as the one run by the EPDT will help to spur investment on a continent-wide scale and attract entrepreneurs, who want to set up businesses in the country rather than just provide revenue through aid.

"Africa needs the business minds of the people... to come and spend money here," he said, "you can create 50 jobs without even blinking because labor is relatively cheap; you can have a labor intensive project."

Osborn, a Louisiana native, believes that entrepreneurs must move to Africa to make money and not purely for philanthropic reasons.

"We shouldn't come here with that attitude," he says. "People need jobs here and they need jobs of reasonable pay... If your long term goal is to save these animals, there's got to be something far more creative than what we're currently doing."

@highlight

Farmers in Zambia using chili as relatively harmless way of stopping elephants from destroying crops

@highlight

According to the World Wildlife Fund, elephant numbers have reached 300,000 in sub-Saharan Africa

@highlight

Less than 20% of elephant populations in Africa are under formal protection, WWF statistics show