Los Angeles (CNN) -- Michael Jackson died because Dr. Conrad Murray failed to notice that his patient had stopped breathing while he was hooked up to an IV drip of the surgical anesthetic propofol, an expert anesthesiologist testified Thursday.

Dr. Steven Shafer, probably the last witness before the prosecution rests in Dr. Murray's involuntary manslaughter trial, said Murray should have realized Jackson had stopped breathing about 11:45 a.m. on June 25, 2009.

"When you're there, you see it, you know it," Shafer said.

Phone records and testimony showed that Murray was on the phone with one of his clinics, a patient, and then a girlfriend about the time that Shafer calculated the oxygen in Jackson's lungs became depleted, causing his heart to stop beating.

"Had Conrad Murray been with Michael Jackson during this period of time, he would have seen the slowed breathing and the compromise in the flow of air into Michael Jackson's lungs, and he could have easily turned off the propofol infusion," Shafer said.

Murray could have then easily cleared Jackson's airways and restored his breathing by lifting his chin, he said.

Earlier testimony from paramedics and emergency room doctors said Jackson was clinically dead by the time an ambulance arrived at the pop icon's Los Angeles home nearly a half-hour after Murray realized there was a problem.

The last three prosecution experts, all medical experts, focused the Murray trial on the science surrounding Jackson's death, a contrast to earlier testimony from Murray's girlfriends and Jackson employees.

After the defense cross-examination of Shafer on Friday afternoon, Murray's lawyers will start calling witnesses, including their own anesthesiology expert.

Shafer demonstrated for the jury how he believed Murray set up the propofol infusion by hanging a 100-milliliter vial from a stand with tubing attached that would have led to a catheter port in Jackson's left leg.

"This is the only scenario that I could generate" that would produce the high level of propofol found Jackson's blood during his autopsy, Shafer said.

"This fits all of the data in this case, and I am not aware of any data that is consistent," he said.

Shafer examined and ruled out other scenarios, including Jackson injecting himself with propofol or Murray administering a fatal dose with a syringe. Computer model projections could not identify a scenario that would duplicate the high blood levels found, he said.

Although Murray told police he used an IV drip to give Jackson propofol on previous nights, the defense contends that he did not use it the day Jackson died. Instead, they say, Murray put Jackson to sleep about 10:40 a.m. with a single injection.

Sometime after that, Jackson woke and used a syringe to inject himself, the defense contends,

Shafer said the theory makes no sense.

"People just don't wake up hell bent to grab the next dose in a syringe, draw it up and shove it in their IV again," Shafer said. "It's just a crazy scenario."

The Los Angeles County coroner ruled that Jackson's death was caused by a combination of sedatives with the propofol, which Murray admitted in a police interview that he used to help Jackson sleep.

The defense contends that Jackson swallowed eight lorazepam tablets, a claim based on testing of lorazepam levels in Jackson's stomach contents. Shafer discredited the defense lab tests, saying a new test showed the equivalent of only "1/43rd of a tablet" of the sedative in the stomach.

The level of lorazepam in Jackson's blood was far higher than what would be expected based on the dosages Dr. Murray told detectives he gave Jackson in the hours before his death, Shafer said.

Murray said he gave Jackson a total of 4 milligrams of lorazepam in two separate doses starting 10 hours before his death. Toxicology results indicated that Jackson was given 40 milligrams -- not four -- in a series of 10 doses, he said.

Although the defense recently abandoned the theory that Jackson may have swallowed propofol, the prosecution still worked to use its old theory to discredit Dr. Paul White, the anesthesiologist who will testify soon for the defense.

A report prepared by White in March concluded that oral ingestion of propofol could have killed Jackson, but Shafer testified that it ignores the "first pass effect" that is taught to first-year medical students.

The liver is a "powerful mechanism" for filtering propofol from the digestive tract so that only a very small percentage can reach the blood, Shafer said.

Shafer cited several studies on rats, mice, piglets, dogs, monkeys and humans that he said proves swallowing propofol would have no effect.

"There was no sedation at anytime following oral consumption of propofol," Shafer said, describing the results of research he commissioned on university students in Chile over the summer.

The human study was done not only to prepare for the Jackson trial, Shafer said, but also to counter an effort by the Drug Enforcement Agency to consider tighter restrictions on propofol.

The drug is not currently a controlled substance, but publicity over the theory that Jackson's death might have been caused by oral ingestion prompted federal regulators to considered a new requirement that "it to be handled almost like morphine," he said.

"Patients will be hurt if it is restricted," he said. "Anesthesiologists have to have ready access."

The new study assures that if the drug is abused, it would be done only with the intravenous route, which only health care providers have, he said.

Shafer testified Wednesday that Jackson would be alive now but for 17 "egregious deviations" by Murray from the standard of care required of physicians.

Murray's use of propofol almost every night for two months to help Jackson sleep was so unusual, there is no documentation on the dangers, Shafer said.

"We are in pharmacological never-neverland here," Shafer said, "something that's only been done to Michael Jackson."

The trial, in its fourth week, is expected to conclude with the start of jury deliberations near the end of next week.

@highlight

NEW: A doctor demonstrates IV drips he believes killed Michael Jackson

@highlight

NEW: Murray could've saved Jackson if he was watching him, prosecution expert says

@highlight

"It's just a crazy scenario," doctor says of defense theory Jackson gave himself propofol

@highlight

Murray's lawyers should start their defense Friday