(CNN) -- On Labor Day, we celebrate the American worker. And more than four years since the Great Recession ended in June 2009, the unemployment rate is 7.4%, a big improvement from the high of 10% in the fall of 2009. Unfortunately, the rate is hugely misleading: Most of that improvement was for all the wrong reasons.

Remember, jobless workers are not counted as being part of the labor force unless they are actively looking for work, and the decline in the unemployment rate since its peak has mostly been the result of workers dropping out of -- or not entering -- the labor force.

According to Congressional Budget Office estimates, if the labor market were healthy, the labor force would number about 159.2 million. But the actual labor force numbers just 155.8 million. That means about 3.4 million "missing workers" are out there -- jobless people who would be in the labor force if job opportunities were strong.

Given the weak labor market, they're not actively looking for work and so aren't counted. If those missing workers were actively looking, the unemployment rate would be 9.4%.

We need 8.3 million jobs to get back to the prerecession unemployment rate, considering the 2 million jobs we are still down from the start of the Great Recession in December 2007 plus the 6.3 million jobs we should have added since just to keep up with normal growth in the potential labor force.

Over the past three months, we've added 175,000 jobs a month. At this rate, it will take six years -- until the middle of 2019 -- to return to a healthy labor market.

Federal contract workers deserve justice on pay

Our sustained high unemployment and weak job growth is also hurting wages: When workers have limited outside job opportunities, employers simply don't have to offer much in raises to get and keep the workers they need. The typical worker saw wages drop 2.6% between 2007 and 2012, and with unemployment expected to remain high, wages for most workers aren't expected to grow much -- if at all -- in the next few years.

The reason we are having such a sluggish jobs recovery is not complicated -- there is simply not enough work to be done. Economists refer to this as weak aggregate demand. Another way to say this is that demand for goods and services hasn't picked up enough for businesses to ramp up hiring.

The notion that today's high unemployment is caused by workers not having the right skills for the jobs that are available has been soundly debunked by economists. To solve the economy's key problem, weak aggregate demand, Washington needs to focus on policies that will stimulate demand.

In the current economy, this means fiscal expansion, such as re-establishing the state and local public services that were cut in the Great Recession and its aftermath, and large-scale infrastructure investments. The priority has to be jobs, not deficit reduction.

Filling the jobs gap is only the first step, given that weak wage growth for most workers predates the Great Recession. From 2002 to 2012, wages were flat or declined for a vast majority of workers, a lost decade for wages that comes on the heels of a generation of inadequate wage growth. For almost the entire period since the 1970s, wage growth for most workers has been weak.

This means that in addition to the fiscal expansion in the short run to spur us to full employment, we need policies that will restore the bargaining power of low- and middle-wage workers.

These policies include everything from aggressively increasing the minimum wage until it is equal to half the average worker's wage to updating labor law to keep up with increased employer aggressiveness in fighting unions so that willing workers can join a union. Also, the president needs to take executive action to ensure that federal dollars are never spent employing people in jobs with poverty-level wages.

Broadly, it means making wages grow for not just the affluent but also low- and middle-income workers a key priority in economic policymaking.

The opinions expressed in this commentary are solely those of Heidi Shierholz.

@highlight

Heidi Shierholz: Jobless rate improvement has been caused by all the wrong reasons

@highlight

She says rate down because workers have dropped out or are not entering labor force

@highlight

Shierholz: Demand for goods, services hasn't gone up enough for businesses to hire more

@highlight

She says restore state, local public services: Priority has to be jobs, not deficit reduction