Plane spotters sometimes talk about grabbing a "Wayne's World" moment.

If you've seen the 1992 movie, you may remember when Mike Myers as Wayne and Dana Carvey as Garth are parked near an airport runway. They're reclining on the hood of a funky AMC Pacer, discussing "Babe-raham Lincoln," when suddenly a huge airliner swoops by just a few feet overhead.

That's when they begin screaming above the airplane's deafening roar.

Phil Derner admits it. "I've done that. There are so many times when I just want to ... lay down near the approach lights and watch the planes go overhead and just take it in."

He's talking about plane spotting. Beginning around the mid-20th century, countless plane spotters have been trotting the globe to view and photograph the world's most impressive aircraft.

Schwing!

"Some people like cars," said Derner. "But we like something that's bigger and faster, and it freaking flies."

Derner, who created the plane spotting site NYCAviation.com in 2003, said the hobby is growing more popular as more people are lured in by the magic of flying machines.

Think about it, said Derner, "Something that weighs up to a million pounds is taking to the air, and you know the next time it comes down is going to be on the other side of the world. I think that's fascinating."

"It's a passion that keeps me sane," said Chicago-based spotter Kevin Koske.

Read this plane spotting how-to.

Intrigued? We've listed some tips and suggested vantage points below. But first, let's talk about what's arguably the most famous plane spotting destination on the planet: Maho Beach on the tiny Caribbean island of St. Maarten.

You may have seen Maho in unbelievable interweb photos showing giant airliners flying just a few dozen feet above the beach.

These photos went viral years ago, and no, they aren't Photoshopped. They're real.

"If you like airplanes, Maho is like the cherry on top" of a beautiful beach vacation, said Justin Schlechter, a 747 pilot who's visited Maho several times. For Koske, Maho is the "mecca of airplane spotting."

The beach sits at one end of a short runway at Princess Juliana International Airport.

The short runway forces approaching planes to come in low, about 30 to 50 feet over the beach.

Larger planes need to touchdown as close as possible to the end of the runway because they need as much runway as they can get.

As a result, plane spotters get one of the world's closest public views of giant airliners as they take off and land.

"It's a lot closer than you can get at a typical airport, in the States especially," said Schlechter. Read more about Schlechter's trips to Maho.

There's a bar on the beach, the Sunset Bar & Grill, where customers cheer with each flyover. "They go crazy," said Dianne Carbon, an employee there.

"People literally try to see if they can touch the planes," she said. "In our office, when they're taking off or coming in, it's almost like it was an earthquake."

But paradise for plane spotters also has its dangers.

When airliners prepare for take off and rev their engines, daredevils will stand against the airport fence and hold on. The jet blast is powerful enough to throw people off the fence and onto the ground.

Spotters say their hobby is more than a celebration of aviation. It's about fully recognizing the majesty of machines that give us the super power to defy gravity.

And, perhaps surprisingly, it's also about camaraderie.

Yes, that is correct. Plane spotting at popular vantage points comes with a social bonus. "When you have a group of 20 people with a lot of different personalities and people from all walks of life, it's a very diverse group, and we have a great time," said Derner.

Some plane spotters will even hook up on occasion, Derner said, because obviously there's nothing more romantic than a roaring Airbus A380 blotting out the moon and lighting up the night sky.

Derner said he met his girlfirend, his "Babe-raham Lincoln" if you will, a year and a half ago when she responded to his tweets about plane spotting. Oh yeah, and she's a pilot.

Koske, who's a Chicago radio host when he's not chasing aircraft, made a long anticipated journey to Los Angeles last September to visit Imperial Hill, the primo vantage point for spotters at LAX. "To finally go out there and spend four days spotting, sun up to sun down, was just great."

What's on his bucket list? Amsterdam, a spotter-friendly airport with aircraft rarely seen in the United States.

Excellent, as Wayne might say.

You told us: Top 5 spots for plane geeks

TipsAs promised, here are a few plane spotting tips shared by Derner, Koske and aviation enthusiast Rob Mark at Jetwhine.com:

1. In general, stay off airport grounds. Airport security for obvious reasons can be very sensitive about curious strangers wandering the property with expensive photo gear. Worst case: you could be arrested and your equipment could be confiscated. Best case: you could be politely asked to leave. Some airports such as Amsterdam and Frankfurt offer public observation areas.

2. "Always carry ID and wear a smile," said Derner. Police patrolling areas around the airport may question you. Most of the time, they're OK with plane spotting activities. But sometimes they're not. Rule of thumb: be nice.

3. Some of the best spots are located in parking lots of private businesses. If asked by an employee, you must leave.

Where planes go to die

Spots

This isn't a ranking list or obviously a comprehensive list, but here are a few good plane spotting sites:

1. Eagle County Airport, Colorado: The Costco parking lot at 170 Cooley Mesa Road, Gypsum, Colorado

2. O'Hare International Airport, Chicago: southeast of the airport at the USG Building parking lot near Mannheim Road and Lawrence Avenue

3. LaGuardia Airport, New York: Landing Lights Park, south of the airport off 25th Avenue between 78th and 79th streets; Planeview Park south of the airport on 23rd Avenue next to Vaughn College

4. John F. Kennedy International Airport, New York: southeast of the airport in the parking lot near Bay Boulevard and Rockaway Turnpike

5. Los Angeles International Airport: Imperial Hill, south of the airport near Imperial Avenue and Sheldon Street; In-n-Out Burger, northeast of the airport near West 92nd Street and South Sepulveda Boulevard

6. Manchester Airport, England: south of the airport off Altrincham Road, according to plane-mad.com

7. Frankfurt, Germany, airport observation deck: Terminal 2, Concourse E next to McDonald's

8. Amsterdam Schiphol airport Panorama Terrace: between Arrival Halls 1 and 2 and via Arrival Hall 3

9. Ronald Reagan Washington National Airport: Gravelly Point Park, Arlington, Virginia, north of the airport off George Washington Memorial Parkway

The place where dead airplanes come back to life

Daytrippers

One more thing: if you find yourself booking airline day trips to spot planes in nearby cities, well, clearly you're hooked.

Derner admits to hopping flights from New York to Ronald Reagan Washington National Airport's unique gawking spot built on a landfill. It's called Gravelly Point Park. Watch a cool YouTube video.

What's so special? Planes zoom as low as 100 feet above your head as they aim for the runway about 400 feet from the park. Aside from its amazing proximity to the aircraft, Gravelly Point rocks because it's within walking distance of the airport terminal.

"You don't have to rent a car," said Derner. "Just walk over, watch planes and then just fly home."

One final tip for newby plane spotters, and it's a direct quote from that scene in "Wayne's World:" Like Wayne says as the airliner passes overhead, "Keep looking up!"

These people really love to fly

Do you have any favorite plane spotting locations? Have an incredible memory of one? Let us know in the comments below.

@highlight

Countless plane spotters travel the globe photographing aircraft

@highlight

Maho Beach on St. Maarten may be the most famous spotting destination

@highlight

Other popular spots include JFK, LGA, LAX, Manchester UK

@highlight

Tips from expert: Carry ID, wear a smile, stay off airport grounds