Washington (CNN) -- President Obama weighed in on the Scottish independence referendum Wednesday night when he tweeted in favor of a united UK.

But for the most part, faced with the prospective divorce of its closest friend, the United States is following the advice column carefully: don't take sides, keep your opinions to yourself, and avoid getting dragged into the fray.

The complicating factor in this potential split? One side has a nuclear arsenal. Who gets custody of that?

Thursday's independence referendum in Scotland, and with it the possible split of the 300-year-old United Kingdom, could have consequences big and small, including in the United States. The "special relationship" heralded by presidents and prime ministers for decades would be fundamentally altered, though American officials refuse to speculate in which ways.

As British Prime Minister David Cameron said on Tuesday, a "yes" result on independence would amount to a "painful divorce" between Scotland and the rest of Great Britain, not a "trial separation."

That prospect has elicited only a few sentences of official U.S. reaction. President Barack Obama said in June the U.K. had been an "extraordinary partner" to the United States and had done well for itself as a combined entity.

"We obviously have a deep interest in making sure that one of the closest allies that we will ever have remains strong, robust, united, and an effective partner," Obama said then. "But ultimately these are decisions that are to be made by the folks there."

Opinion: Scotland, you want out? We'll take your place

Those few words -- with the emphasis on "united" -- have been repeated by officials in Washington as the formal U.S. stance without any further explanation. But there's little doubt the U.S. government, from Obama on down, wants to see Scotland remain where it is.

"It would just be rude to comment on the internal deliberations of a democratic country," explained Jeremy Shapiro, a former State Department official who is now a fellow at the Brookings Institution in Washington. "Of course the United States has an opinion. I think they recognize, however, that stating that opinion is not always even very helpful to promoting it."

Rules of diplomacy aside, U.S. officials are eyeing the referendum vote carefully two days before Scots head to the polls. Here are a few ways the United States could be affected by a "yes" vote.

Photo blog: Scottish teens face historic vote

National security

It's only been two weeks since Obama and Cameron hailed a reinvigorated NATO alliance from a golf course in Wales. Should Scotland vote to go it alone, expect fresh questions about NATO's ability to counter Russia in Eastern Europe.

All of Britain's nuclear weapons -- its only contribution to a Western nuclear deterrent -- are housed at the Royal Navy's base on Scotland's West Coast. A "yes" vote would throw into question the future of the Trident nuclear program, which consists of four Vanguard-class submarines armed with ballistic missiles on lease from the United States

The main pro-independence party says it opposes nuclear weapons, vowing to remove and ban them in a future Scottish state. Where the weapons would go remains an open question.

Opinion: Why UK would miss Scotland

Also in dispute: an independent Scotland's ability -- and willingness -- to contribute to Western military coalitions, which have become ever-more visible as the U.S. rallies support behind its efforts against Russia and ISIS terrorists in Iraq and Syria.

NATO chief Anders Fogh Rasmussen said this week that Scotland would have to reapply to join the group like any other country and gain approval from each of the 28 member states -- a tough-to-imagine prospect in a period when the appetite for expansion within NATO remains low.

UK party leaders promise Scotland new powers ahead of independence vote

In rejoining the alliance Scotland would need to commit to spending 2% of its gross domestic product on defense spending, which given the uncertain economic outcome of an independence vote appears unachievable.

"This is less about the nuclear deterrent than about demonstrating weakness and disunity at a critical point in NATO's history in the face of a sort of newly resurgent threat from Russia," Shapiro said. "The whole idea of one of its key members breaking up...doesn't really appeal to the United States at this critical moment in dealing with Russia."

Economy

The uncertainty surrounding the economy of an independent Scotland could wind up costing Americans, who enjoy a close-knit trade relationship with Britain and the larger European Union.

A main sticking point in the referendum campaign remains which currency a Scottish state could use -- be it the pound, Euro, or something new. Banks based in Scotland have said they'll decamp to London if the "yes" votes prevail, and an already-shaky European financial recovery could be quickly halted.

"If Scotland votes for independence, expect significant turmoil not just in the City, but on Wall Street as well," Niles Gardiner, a former aide to the late British Prime Minister Margaret Thatcher, wrote in the Telegraph last week. "Fears over the economic fallout from Scotland breaking off from the UK will spook US markets, frighten investors, and add to an air of uncertainty exacerbated in recent months by Russia's invasion of Ukraine."

Would go-alone Scotland be richer outside UK?

Perhaps the greatest fear for the United States is that a successful independence movement in Scotland could spark further movements in the rest of Europe. Potential breakaway regions in Spain and Belgium are already eyeing the Scottish vote carefully.

Those regions, like Scotland, would face questions about what currency they'd use and how their economies would be structured, driving the EU -- a major U.S. trade partner -- into further uncertainty and economic turmoil.

What to know about Scotland's vote on independence

@highlight

U.S. isn't saying a lot about potential Scottish independence

@highlight

Obama tweeted he's interested in "strong, robust, united" Britain

@highlight

An independent Scotland would have consequences for U.S.