It has long been said that in war, "truth is the first casualty."

It is generally accepted, however, that the United States, the world's leading democracy, should try to make truth-telling a common practice when it goes to war.

When Gen. David Petraeus was U.S. commander in Afghanistan in 2010 he issued guidance to his troops, one of the key points of which was to "be first with the truth." The guidance explained, "Avoid spinning, and don't try to 'dress up' an ugly situation. Acknowledge setbacks and failures, including civilian casualties, and then state how we'll respond and what we've learned."

Yet, in Yemen where the U.S. has been fighting a small, undeclared war for the past four years, we have now arrived at the ironic point where America's main enemy there, al Qaeda in the Arabian Peninsula, is doing a better job of truth telling than the U.S.

In a video message released on Sunday, a leader of al Qaeda in Yemen apologized for an attack on a hospital in the Yemeni capital of Sanaa earlier this month in which civilians were killed.

According to the al Qaeda leader, the attackers were targeting the Yemeni Ministry of Defense, but one fighter made a mistake and attacked a hospital inside the defense ministry: "We confess to this mistake and fault. We offer our apologies and condolences to the families of the victims," said the al Qaeda leader.

While al Qaeda has publicly -- and, no doubt, self-servingly -- apologized for killing civilians at the Yemeni hospital during the attack in Sanaa on December 5, at the same time American officials have said nothing publicly about a U.S. drone strike that took place a week later on a suspected convoy of militants in western Yemen on December 12.

The target of this strike turned out to be a wedding party and at least a half dozen civilians are reliably reported to have died.

This gets to a key problem of the secretive American drone program. Its clandestine and unaccountable nature means that when the U.S. does make a mistake, as it inevitably will, instead of apologizing and making some kind of compensation to the civilian victims of a botched strike -- a common practice when the U.S. military inadvertently kills civilians in wartime -- American officials instead say ... nothing.

Or worse, they make claims that the program is somehow perfect and never kills civilians as Obama's then top counterterrorism adviser, John O. Brennan, improbably claimed of the drone program in June 2011 when he said that for almost a year, "there hasn't been a single collateral death because of the exceptional proficiency, precision of the capabilities we've been able to develop." Brennan is now the CIA director.

Seeking to redress some of the problems in the drone program, on May 23 President Barack Obama gave a major speech about his counterterrorism policies in Washington in which he said, "Before any strike is taken, there must be near-certainty that no civilians will be killed or injured -- the highest standard we can set."

Did Obama's speech and the new policy it sought to inaugurate make any difference to the drone program? Short answer: Yes.

Since that speech the Obama administration has dramatically cut the number of CIA drone strikes in Pakistan and has slightly slowed the number of strikes in Yemen.

There were 14 drone strikes in Pakistan during the past seven months; an average of one strike every 15 days. In the year before Obama's speech, drone strikes happened every eight days. And there have been no reliably reported civilian casualties in Pakistan from drone strikes since Obama's May speech, according to an analysis of the drone program by the New America Foundation.

The pace of drone strikes fell in Yemen after Obama's speech, too, but not as much as it did in Pakistan. Since May 23, there have been 16, an average of about one strike every 13 days. During the previous year, a strike occurred about once every 10 days.

It's worth noting that the civilian death rate has fallen steadily overall in both Pakistan and Yemen over the past several years, but the strike on December 12 in Yemen and the civilian casualties it caused is a reminder that there is definitely room for improvement.

What can be done?

One idea to make the drone program as accountable as possible is to set up an internal U.S. government body that is independent of the CIA and Pentagon that would conduct reviews of the drone strikes after they have occurred.

One could imagine, for instance, that a small, nonpartisan group of experts on security and law, similar to the group that Obama appointed to analyze the activities of the NSA, could review the aftermath of drone strikes to examine whether the victims of the strikes were in fact militants who posed some kind of threat to the United States. Such additional oversight would make CIA targeters and drone operators all the more diligent to avoid mistakes.

@highlight

An al Qaeda leader apologized for hospital attack; U.S. mum on drone that hit wedding party

@highlight

Peter Bergen says al Qaeda arguably is doing a better job of truth telling

@highlight

He says U.S. needs to make greater accountability a priority for drone program

@highlight

Bergen: Pace of drone strikes has slowed since Obama's speech in May