(CNN) -- Nearly one-fifth of American 4-year-olds are obese, and children of color are at higher risk, according to new research.

Obese children are at risk for early onset of diabetes, fatty liver and musculoskeletal problems.

Researchers calculated the body mass index from a sample of 8,550 Hispanic, black, white, Asian and Native American 4-year-olds. The children were born in 2001, and in 2005, their height and weight were measured -- 18.4 percent of them were obese.

"Significant differences in the prevalence of obesity between racial/ethnic groups were evident at 4 years of age," the researchers wrote in the April issue of the Archives of Pediatrics and Adolescent Medicine.

Using body mass index, they found that 31.2 percent of American Indian/Native Alaskans, 22 percent of Hispanics, 20.8 percent of blacks, 15.9 percent of whites and 12.8 percent of Asians were obese.

"It's surprising that there are large differences by racial/ethnic group by that age," said Sarah Anderson, an assistant professor of epidemiology at The Ohio State University and lead study author.

Anderson and co-author Robert Whitaker's analysis showed that children were becoming obese even before encountering soda and candy vending machines in schools.

"These results really do point to the need for us to focus attention on early childhood and the need for research to understand how these differences can emerge so early," Anderson said. "To do that, we may need to understand the different family and cultural factors that are at play in these children's lives."

The cause for the early health disparities is hard to pinpoint, childhood obesity experts said.

"It's always possible there are biological factors within ethnic groups," said Dr. Tom Robinson, director of the Center for Healthy Weight at the Stanford University School of Medicine. "We know most of the changes that have occurred in body fat tend to occur from being in an environment that promotes very easy access to high-caloric foods and limited opportunities for physical activities."

Michael Rich, an associate professor of pediatrics at Harvard Medical School, called the disparities between ethnic groups disturbing.

"The expectations, lifestyle, behaviors are different on a cultural and socioeconomic basis," he said. "Kids who live in the inner city, whose neighborhoods are perceived as dangerous, stay at home more, sit more, eat more snacks, because that's all they can get at the local bodega. There are no supermarkets to get produce. That's what mom is eating, so that's what kid is eating. What we're dealing with here is whole life issues."

Previous research has shown that older children are becoming less active and spending more time in front of a computer or TV.

"That is displacing physical activity," said Dr. Sarah Barlow, director of the Obesity Center at Texas Children's Hospital in Houston. "You can imagine strollers, less outdoor play -- all those kinds of things that have shifted how much activity younger kids are getting. At the same time, portion sizes are increasing for everybody."

According to data from the Centers for Disease Control and Prevention, adults fare no better. Approximately 45 percent of blacks, 36.8 percent of Mexican Americans and 30 percent of whites are obese.

"It's a very bad sign if we see obesity at a young age," Robinson said. "When we see children obese at age 4, we're likely to see complications -- high blood pressure, abnormal lipids -- which can lead to heart disease and stroke, diabetes in children."

Diseases commonly seen in 40- or 50-year-olds are presenting in 6- and 7-year-olds. Obese children are developing type 2 diabetes, fatty liver disease and musculoskeletal problems, which occur because their bodies can't carry that much weight, doctors said.  Calculate your child's body mass index.

"The heavier you are as a child, the likelier that extra weight will follow you through life," Robinson said. "That's why we see adolescents who need weight-loss surgery, because they have life-threatening complications from obesity."

If you have an obese child...

The first step is for the parents to acknowledge that the child is overweight, instead of making excuses or comparing him or her to heavier children. Many of the parents of obese children are overweight themselves, which makes that acknowledgment difficult, said Rich, who is also director of the Center on Media and Child Health at Children's Hospital in Boston.

"While it's important to focus on it and take it seriously, it's also important not to give up or feel hopeless," he said. "Then you won't try. You want to look at it for what it is and not be defeated by it."

When you're trying to help your child achieve a healthy weight, remove the stigma attached to obesity.

"It should always be about health, not about losing weight," Rich said. "You're trying to build the positive."

He recommended the 5-2-1-0 plan. Eat at least five servings of fruits and vegetables, cut screen time down to two hours or less, exercise at least one hour, and have zero soda and sugary drinks.

Such changes, which are not seismic shifts to lifestyles, can help the child get into a health weight.

"It's easier to start that way, rather than try to change habits when they're 8 or 12 or 16," said Barlow, an associate professor of pediatrics at the Baylor College of Medicine in Houston, Texas.

While it's possible for some kids to outgrow the excess weight, she warned parents not to count on that. "We've seen over time that the environment doesn't promote that," she said.

@highlight

Research: 18.4 percent of 4-year-olds in the United States are obese.

@highlight

Native Americans, Hispanics, blacks at most risk; whites and Asians at lowest risk

@highlight

Socioeconomic and lifestyle factors play a role in likelihood for obesity