London (CNN) -- Russia's beef with the west has escalated after the country banned fruit, vegetables, dairy and meat products from a host of Western nations including the U.S., Australia, Canada and those of the European Union.

And by hitting agriculture in particular, Russia has deliberately gone for a sector key to the EU's founding treaties -- one which evokes all sorts of emotive and divisive rhetoric.

As we have seen from the decades-long, fraught battles over reforming the bloc's most expensive scheme -- one which gobbles up some 40% of its budget -- food production has the capacity to get Europe's citizens pretty upset.

Spearheaded by France in the days of post-war shortages, the Common Agricultural Policy saw the then European Community granted the power to subsidize exports to give non-EU countries. That gave Russia, for instance, a taste for European produce.

It's a strategy that worked.

Which foods are off Russian menus?

Two decades after the Iron curtain shut out the EU's goods completely, Russia is now the bloc's second largest consumer of foodstuffs after the U.S., taking $15.8 billion of foodstuffs annually.

Western brands have invested heavily in Russia and relied on the country as a key growth story they can sell to investors.

And while EU officials crunch the numbers to assess the impact of Europe's food sector, you can imagine CEOs of the region's biggest listed companies will be scrambling to find an alternative source to make up for those lost sales.

But Europe's agriculture policies could also cost its members dear if the Russia ban stays in force for its full one-year duration or even beyond that time frame.

Why? Because if the sanctions cause a glut of food, the EU may be forced to buy up extra stocks to keep its farmers in business.

Yet in hitting the EU's agriculture sector, Russia is serving up just one dish on a menu that could include other damaging measures across an array of industries.

They would be measures designed to hit different EU countries in different ways -- pitting their individual economic interests against their supposed common goals.

Though Russia hasn't used its ultimate weapon, energy, in the fight yet. Curtailing Russia's gas flow to Europe would jeopardize Germany's manufacturing powerhouse and sanctions on cars and parts would hurt its sizeable automotive sector, which is already heavily geared towards Moscow for exports.

But it's not just Russia's retaliatory sanctions that have the propensity to cause discord among EU members.

Western sanctions on Russia's finance sector threaten London's City which has already put up a robust defense against interference from Brussels. Further talk of canceling France's multi-billion dollar warship contracts for Russia has left President Hollande indignant.

Tit-for-tat actions, such as the ones we have witnessed between Russia and the West, often have a way of balancing themselves out.

Russia is already making a show of seeking new food suppliers like Brazil to make up the shortfall. But setting up new trade relations will require time and effort before those items make it to supermarket shelves.

In the meantime, though it'll be hard cheese for EU's agriculture sector and Russia's consumers too.

READ MORE: Explore CNN's infographic on the foods that are banned from Russia

READ MORE: Europe's growth stalls after Putin factor hits

@highlight

Russia has banned food and agriculture imports from a host of Western nations in a tit-for-tat move

@highlight

Western brands have invested heavily in Russia and relied on the country as a key growth story

@highlight

But Russia has now served up one dish on a menu that could include other damaging measure