(CNN)In the first week of 2014, I wrote a column suggesting that it was going to be "the year of China." By that, I meant that China was going to shape the news in powerful ways, economic and political. For a start, China's 30-year economic superboom (with growth rates averaging around 10%) was going to slow, with global consequences. Also, China would begin to face a more complex set of political challenges, with its growing middle class, worsening environment and rising nationalist sentiment.

I'd give myself a decent grade for the prediction, but not perfect by any means. China did face political challenges, particularly in Hong Kong, and ones that suggest something about the future for all of China. (Remember, Hong Kong is far richer than the rest of China and so, perhaps, is a window into the country's future.) And China's economy has slowed. Even the official numbers put growth around 7%, and many believe that's a pumped-up number.

But the central sense in which the prediction proved true was that as China's growth slowed, so did its enormous appetite. "That giant sucking sound" over the last decade has been the sound of China importing all kinds of raw materials to fuel its industrialization. Foremost among those was oil, since China's energy needs have grown by leaps and bounds.

Morgan Stanley's Ruchir Sharma has pointed out that over the last decade, China's demand for oil has grown 7%, year on year. In 2014 China's growth in demand for oil was zero -- nada. The great global gas guzzler went quiet.

That single fact is probably the main explanation for the collapse of oil prices in 2014 (along with the steady rise of oil and gas production in the United States). This decline in the price of oil is the signature trend coming out of 2014, and if it persists will shape the economics and politics of the world in 2015 and beyond.

What I did not predict in any way about the last year was Russia's rising belligerence -- most dramatically seen in its determined efforts to keep Ukraine as an "allied" country, using military means, and in the process risking economic sanctions and diplomatic isolation. But in a sense, this is also a story with oil as its backdrop. Over the past decade, as oil prices quadrupled, so did Russia's per capita GDP -- and President Vladimir Putin's popularity. His rising confidence, and the swelling resources of the Russian government, emboldened him to act aggressively in Georgia in 2008, and last year in Ukraine. Economic sanctions have hurt Russia, but the greatest blow has been the sudden drop in oil prices, which will shape the next chapter of this tale.

The drop in oil prices has had effects on every continent, in direct and indirect ways. Cuban President Raul Castro's decision to try to make amends with the United States is an important example. After Cuba lost its Cold War patron, the Soviet Union, it found a new one in Hugo Chavez's Venezuela, which subsidized the ailing Castro regime. But Venezuela has been troubled for a while, and Chavez's successors do not have his political skills, which makes them rely even more on patronage and repression. All this has become more difficult as Venezuela's oil revenues dry up. The Cuban regime must have recognized that its sugar daddy was unlikely to keep sending it subsidies, which might explain its efforts to have the U.S. embargo relaxed.

The general rule about falling oil prices has been simple: Producing countries like Russia and Venezuela will suffer, while consuming countries like China, India and Indonesia will benefit. And that's a very useful guide with one important exception -- the United States is both the top producer and consumer of oil.

For most Americans, the effect is clearly positive. Falling gas prices are like a huge tax cut, money that stays with consumers and is likely to be spent on other things. For American oil producers, it's not such good news, though they will try to lower costs and become more efficient.

Economics aside, the trends look pretty positive for America. Many of the complications it faces in the world are fueled by high oil prices. From Russia to Iran to Venezuela, lower oil prices could make combative countries more cautious. Meanwhile, the American economy continues to grow, with a recovery that appears sustainable and increasingly robust. American technology companies continue to dominate the industries of the future. American society remains vibrant, fueled by immigration. Even American government -- certainly compared with its peers in Europe and Japan -- has performed extremely well.

It's quite possible that 2015 will turn out to be the year of America.

Watch Fareed Zakaria GPS Sundays at 10am and 1pm ET. For the latest from Fareed Zakaria GPS click here.

@highlight

Fareed Zakaria: 2014 was year of China, 2015 might be America's

@highlight

Falling oil prices could make combative nations more cautious, he says