CIMA, California  -- Driving along a pockmarked road amid rocks and Joshua trees in a lonely southern California desert, religious controversy might be the last thing you'd expect to encounter.

A judge ruled the Mojave Cross must be covered until a First Amendment issue can be resolved.

And if you don't look too closely, you're likely to zip right past the focus of a hotly contested Supreme Court battle.

A federal judge has ordered the Mojave Cross, a war memorial erected by a veterans group 75 years ago, to be covered. It's boxed in plywood.

The issue is less about what the cross symbolizes and more about where it sits: In the middle of the Mojave National Preserve, which is government land.

The high court on Wednesday will consider whether the display violates the First Amendment's provision for a separation of church and state.  Watch details of the cross case »

More specifically, does an individual who protests the cross have legal standing to take the case to court? Do congressional efforts to minimize the appearance of a constitutional violation carry any weight?  View details on other cases awaiting the Supreme Court »

"Religion is always very hard fought in the Supreme Court, and this is no exception," said Thomas Goldstein, a Washington appellate attorney and co-founder of scotusblog.com.

"A single cross on a single plot of land has given rise to this huge constitutional controversy. The court will look at whether Congress, with a kind of wink and a nod, (can) say that this governmental cross is now on private land or are we (going to) say, no this is a governmental war monument and it has a religious symbol on it."

Riley Bembry, who served as a medic in World War I, helped erect the cross in 1934. It sits on a 4,000-foot plateau and was a place of reflection for many vets who retreated to the desert in part to recover from severe lung diseases caused by mustard gas attacks during the Great War. An annual Easter service is held there, but until recently only locals knew about it. The site is not on any maps.  Watch a video about the Mojave monument »

Bembry never got permission from the government to erect the cross, but for decades nobody seemed to care. He was the caretaker of the memorial for five decades until he died in 1984.

In 1994, 1.6 million acres of desert -- including the land with the cross on it -- was transferred to the National Park Service. A few years later, a resident wanted to put up a Buddhist shrine near the cross. The request was denied.

Frank Buono, a former deputy superintendent of the preserve, filed a lawsuit with the help of the ACLU, claiming federal officials were acting unfairly.

"He thinks that the government is in effect misappropriating this sacred symbol and trying to give it just a secular meaning," said Peter Eliasberg, managing attorney of the ACLU of Southern California.

"It strikes me as sort of odd that it just happens to be in that shape," Eliasberg said. "If what they really wanted to do was have a war memorial, there are hundreds of other shapes that it could be in. ... Mr. Buono does not have an objection to the government having a war memorial there that's in the shape of a soldier, or that's in the shape of the Vietnam memorial."

A federal court ordered the cross removed earlier this decade. A judge ruled that until the dispute is settled the cross had to be covered.

In 2001 Congress got involved. Lawmakers prohibited the Park Service from spending federal dollars to remove the display. A year later, they designated the site a national memorial similar to the Washington Monument and Mount Rushmore.

More importantly, the Republican-led Congress agreed to transfer one acre of land around the cross in exchange for five private acres inside the preserve. A San Francisco, California-based appeals court turned that offer down, saying it failed to satisfy Constitutional concerns.

The land swap "would leave a little donut hole of land with a cross in the midst of a vast federal preserve" the court said.

The Supreme Court has traditionally taken a case-by-case approach to similar First Amendment cases. Among other things, it has upheld tax exemptions for churches and the mention of "God" on U.S. currency.  Test your Supreme Court knowledge »

At the same time, it has banned government-sponsored school prayer and imposed limits on public aid to parochial schools.

In 2005, a Ten Commandments monument on the Texas Statehouse grounds was allowed to stand because it was surrounded by historical markers. But the same day, the placement of Ten Commandment parchments in two Kentucky county courthouses was ruled unconstitutional. The high court called them "a governmental effort substantially to promote religion."

Earlier this year, the justices ruled that a small religious group could not erect a granite monument in a Utah park next to an existing Ten Commandments display.

This time, the Obama administration will argue in favor of keeping the cross and allowing the land transfer.

The implications of the case could extend beyond the Mojave Cross. Individual gravestones are not at issue, but war memorials have long featured religious imagery.

"There are 5 million veterans that we represent ... would be quite shocked and horrified to know that those memorials and the symbols chosen by vets 75 years or 100 years ago would suddenly have to be torn down by a bulldozer," said Hiram Sasser, attorney for the Liberty Legal Institute.

Wanda and Henry Sandoz have been taking care of the memorial since Bembry passed away. They shake their heads over the legal fight that will take them to Washington.

"I hope it won't be too long before we can look at the cross again without that stupid box," Wanda Sandoz said.

"Yep, really. We'll repaint it," Henry Sandoz said.

"I already bought some white paint," Wanda Sandoz said.

CNN national correspondent Kate Bolduan contributed to this report

@highlight

A war memorial erected in the shape of a cross was covered by plywood

@highlight

The cross is located on government property

@highlight

Justices will decide whether the display violates the First Amendment

@highlight

It's "sort of odd that it just happens to be in that shape," said an ACLU attorney