Jerusalem (CNN) -- Israel will not open a criminal investigation into the airstrike that killed 10 members of a Palestinian family and two of their neighbors during the November 2012 war with Gaza.

Israel's Military Advocate General (MAG) revealed its decision last week in a report that examined allegations of misconduct during Operation Pillar of Defence.

The report looked into 80 incidents during the eight days of intense fighting that included Israeli air strikes and Palestinian rocket launches. The independent advocate general said it needed more information on 15 cases, but found no basis for a criminal investigation in the other 65 incidents -- including the strike that killed 10 members of the Al-Dalou family.

On November 18, the Al-Dalou family -- including five women and four small children -- was inside their three-story home when the Israeli air force dropped a bomb that obliterated the dwelling. The explosion also heavily damaged two neighboring houses, killing two other people. Neighbors tried desperately to pull people out of the rubble alive but none survived.

The Military Advocate General report called the deaths "regrettable" but said the military took "various precautions to reduce the possibility of collateral damage" and "the incident did not raise suspicion" of a criminal offense.

During the conflict, the Israeli military changed its story several times as to who the intended target in the home was. The day of the strike, CNN was told the target was Yahia Rabia, who the military said was the head of Hamas' rocket unit. He was not among the dead. Human Rights Watch said the military then changed its story, saying it was targeting Mohmmad Al-Dalou, who did live in the home, identifying him as a Hamas militant.

Jamal Al-Dalou denied the allegation about his now-deceased son. But in the days and weeks after the incident, Human Rights Watch said it found evidence on the ground and on the Internet that lead the group to believe Mohammad Al-Dalou was a low-level member of Hamas' armed wing and therefore a legitimate target. But the rights group still condemned the way in which Israel went about trying to kill him.

"Under the laws of war, that person would be a legitimate target. The Israeli strike blew up an entire house, severely damaged the neighboring houses and killed 12 people -- to us that looks very disproportionate. The level of damage to civilians and civilian infrastructure was not adequately related to an attack on one militant," Human Rights Watch Senior Researcher Bill Van Esveld said shortly after the group put out its own report on the November war.

In an unspecified number of cases, however, the Military Advocate General report did admit mistakes were made that lead to civilian deaths.

"There is indeed basis for the claim that as a result of IDF attacks, uninvolved civilians were killed or injured, or civilian property damaged, usually as unintended damage resulting from an attack against military targets or alternatively from operations errors where civilians were mistakenly identified as terrorist operatives," the report said.

The Palestinian Center for Human Rights, one of the non-profit groups that sent evidence and filed complaints about some of the deadly strikes, attacked the findings of the report.

"...PCHR believes that Israel's legal system is used as a smokescreen, to provide an illusion of investigative rigor, while in fact providing systematic cover for widespread violations of international law," that group said in a statement.

The report is also being condemned by Human Rights Watch as "insufficient" and at times "based on a mistaken interpretation of the laws of war."

"Just saying that the fatal consequences of an attack were unintended or a mistake does not, of course, make the attack lawful," Van Esveld said in an e-mail to CNN.

Jamal Al-Dalou, the father and grandfather who lost almost all of his immediate family in the November 18 airstrike, including four grandchildren under the age of 8, told CNN the incident has left him feeling like he, too, is dead.

"I call on everyone and the world whether American or British or an Arab or Jew or Christian. I call for the free world and the ones who have democracy and ethics to stand with me and support me and bring the Israeli government to justice for what they have done to me. They have massacred my entire family," he said.

Israel's military said it conducted some 1,500 strikes during the November incursion in Gaza and took many precautions to avoid killing civilians. In videos shown to CNN, the military illustrated how it dropped leaflets, aborted many missions if civilians were in the line of fire, and used high-precision weapons with pinpoint accuracy to avoid collateral damage.

"Any loss of human life is a tragedy. And as we proved in Operation Pillar of Defence, we are putting great effort in order to reduce the amount of civilian casualties in the state of conflict," Lt. Col. Peter Lerner said.

But Palestinians scoff at Israel's assertion, saying if that is true, why were so many civilians killed?

According to a United Nations report, at least 168 Palestinians were killed by Israel during the conflict -- 101 of them civilians, including 33 children and 13 women. Israel disputes that breakdown of the numbers, telling CNN it killed at least 100 "terrorists" during the war. Six Israelis, including four civilians, were killed by rockets fired by armed groups in Gaza during the conflict.

The Israeli MAG report also said the son of a BBC journalist who died in the fighting was likely killed by a Palestinian rocket and not Israeli fire, as had been widely reported. The U.N. Office of the High Commissioner for Human Rights also looked into that case and last month reached the same conclusion.

Human Rights Watch accused Israel of war crimes in the fighting and lodged the same charge against Hamas and other Palestinian armed groups in Gaza for indiscriminate rocket attacks on Israeli population centers. Both governments have denied the charges.

TIMELINE: Israel-Gaza conflict

READ MORE: Q&A: Gaza strikes could be beginning of ground attack

READ MORE: Calm elusive as rockets rain in Gaza, Israel

@highlight

An airstrike on a family home in Gaza in November left 10 people dead

@highlight

The patriarch of the family says he feels he is dead, too

@highlight

Israel's Military Advocate General said no criminal probe needed in the case