The Supreme Court on narrow grounds struck down a Massachusetts law Thursday creating no-protest "buffer zones" on public property surrounding health clinics that perform abortions.

In what is a free speech dispute that touched on the larger political and social controversy over abortion, the court ruled unanimously.

It did not strike down all such laws, but the ruling gives room for the state to go back and craft new, less restrictive protest zones.

"Here the commonwealth has pursued those interests by the extreme step of closing a substantial portion of a traditional public forum to all speakers," said Chief Justice John Roberts. "It has done so without seriously addressing the problem through alternatives that leave the forum open for its time-honored purposes."

Massachusetts officials said the issue was more about public safety and pedestrian access on local sidewalks. Anti-abortion supporters countered that their First Amendment rights were violated.

The decision could affect a broader range of free speech areas -- over issues such as war, taxes, corporate bailouts and elections -- where the location of the message is often key to its effectiveness.

Eleven women's health clinics across Massachusetts are covered by the fixed buffer zones.

The current state law strengthened earlier restrictions that had created a floating 6-foot protective bubble around clinic patrons approaching the facility.

Abortion rights supporters said it was ineffective, since they claimed it led to blocked entrances and a gauntlet of protesters surrounding patients and staff.

Some past anti-abortion protests have turned violent in the United States.

The state's 2007 revised "selective exclusion law" makes it a crime for speakers other than clinic "employees or agents ... acting within the scope of their employment" to "enter or remain on a public way or sidewalk" within 35 feet of "a reproductive health care facility."

Anti-abortion activists say the law has kept them from effectively talking with patients approaching the clinic entrances.

Demonstrators have appeared regularly at clinics in Boston, Springfield, and Worcester and say they are unfairly singled out for exclusion on public property.

Four more conservative justices would have taken the ruling further, saying the law was discriminatory, and that state should not be given the opportunity to go back and adopt new rules at selected facilities.

"The obvious purpose of the challenged portion of the Massachusetts Reproductive Health Care Facilities Act is to 'protect' prospective clients of abortion clinics from having to hear abortion-opposing speech on public streets and sidewalks," said Justice Antonin Scalia.

"The provision is thus unconstitutional root and branch and cannot be saved, as the majority suggests, by limiting its application to the single facility that has experienced the safety and access problems to which it is quite obviously not addressed."

The last time the high court took a close look at the issue was in 2000, upholding Colorado's broad "no approach zone" regulations.

Municipalities in Montana, Florida, California and elsewhere have since enacted similar "fixed" and "floating" buffer zone laws for clinics. Those laws will now have to be revisited in light of Thursday's opinion.

The sidewalk outside the Supreme Court itself is the scene of daily anti-abortion protests sponsored by Bound4Life, where mostly young Christian adults stand silent wearing red tape across their mouths with the handwritten word "LIFE."

@highlight

Law created no-protest zones on public property surrounding clinics that perform abortions

@highlight

The ruling gives room for the state to go back and craft new, less restrictive protest zones

@highlight

Massachusetts officials: Issue was more about public safety, pedestrian access to sidewalks

@highlight

Anti-abortion supporters: First Amendment rights were being violated