London (CNN) -- Recordings until recently locked inside a college library in the United States might help solve a decades-old murder mystery, but the release of those tapes threatens to damage the fragile peace in Northern Ireland.

The investigation into the December 1972 abduction and killing of widow Jean McConville in Belfast was revived by authorities after the release of interviews made by Boston College as part of the Belfast Project. The interviews conducted with former Northern Irish paramilitary fighters provide an oral history of the decades of fighting.

Participants in the project were told their recorded interviews would be kept secret until their deaths. Last year a U.S. court ruled that tapes of deceased interviewees that contained claims about the killing be given by Boston College to police in Northern Ireland.

One of those featured in the tapes was Brendan Hughes, a now-deceased former commander of the Irish Republican Army (IRA), a Catholic paramilitary group, who accused Sinn Fein leader Gerry Adams of involvement, an allegation he denies.

On Wednesday, after recordings made by deceased members of the IRA were passed to police, officers arrested Adams in connection with the killing -- though he has not been charged with an offense.

McConville, a mother of 10 children, was taken from her home in Belfast. She was reportedly killed by the IRA because the group believed she was a spy for the British army. Her family say they do not believe she passed information to the British.

McConville's remains were found partially buried on a beach in County Louth in 2003. She died of a single gunshot wound to the back of the head.

"They came about tea time and they dragged her out of the bathroom and dragged her out," remembers McConville's daughter, Helen McKendry, who was then a teenager.

In the tapes, Hughes told his interviewer about McConville: "I knew she was being executed. I knew that. I didn't know she was going to be buried or disappeared as they call them now."

Adams denies any involvement in the killing. "I believe that the killing of Jean McConville and the secret burial of her body was wrong and a grievous injustice," Adams, 65, said in a statement posted on his party website. "Malicious allegations have been made against me. I reject these.

"While I have never disassociated myself from the IRA and I never will, I am innocent in the abduction, killing or burial of Mrs. McConville," Adams said.

Long associated with the IRA, once considered the armed wing of Sinn Fein, Adams is a prominent Catholic politician who helped broker peace in Northern Ireland. Today, Sinn Fein is Ireland's second-largest opposition party.

Martin McGuinness, a Sinn Fein member and the Deputy First Minister of Northern Ireland, told reporters in Belfast that the arrest was unnecessary, unjustified and politically motivated.

He said he had seen the "dark side" of Northern Ireland policing "flex its muscles in the course of the past couple of days" and that the arrest was a "'deliberate attempt to influence the elections that are due to take place in three weeks' time."

McGuinness said he was confident that Adams would be able to rejoin election campaigning shortly and would "continue to lead our party in a very positive way."

Northern Ireland is part of the United Kingdom, and Protestant loyalists wanted to keep it that way. Catholic nationalists were fighting to force the British out and reunite the north with the rest of Ireland.

Known as the Troubles, the conflict lasted 30 years, ending in 1998 with the Good Friday Agreement that brokered peace. The agreement provided a political framework for power-sharing among the parties.

Reminders of Irish 'troubles' rise to surface

The IRA admitted in 1999 to killing a number of people who have become known as "The Disappeared" -- those who vanished during the Troubles.

Police investigating these killings say they were alerted to the secret archive of interviews by the book, "Voices from the Grave," written by Belfast Project archive manager Ed Moloney, which is based on transcripts from two of the recorded interviews.

Hughes said in his taped interview that McConville was killed because the IRA believed she was working with the British Army. The McKendrys dismiss this claim though, saying she was too busy looking after her 10 children to be an informer.

The Northern Irish police vow to "follow the material in the Boston Archives all way to court if that's where it takes them ... they say detectives have a legal responsibility to investigate murders ... and follow all lines of inquiry."

The British government's then most senior politician on Northern Ireland, Owen Paterson told CNN in 2012 that no one person was above the law.

"We have to support the police to have complete operational independence in pursuing every line of inquiry in bringing those who committed crimes to justice," Paterson said.

It remains to be seen if Adams will charged in a court of law. Former IRA man Richard O'Rawe recorded a statement for the Boston College archives and said lawyers had told him under UK law tapes of interviewees could never be used in court.

"I find it just imponderable, why the police are going down this road when they must know that there is no chance of obtaining any convictions at the end of this," O'Rawe said in 2012.

Like many other Catholics, O'Rawe said he believed the police are biased against them, trying to settle old scores and bring Adams and others down. But for Helen McKendry, herself a Catholic, getting access to the tapes is about much more.

For her, it's not only about justice but a release from the pain of never knowing the truth.

"They tried to destroy what life I have now," she said. "They are the people who committed the crimes in this. They should be worried."

Gerry Adams' arrest praised by murder victim's family

@highlight

Recordings inside a U.S. college library might help solve an old murder mystery

@highlight

But the release of those tapes threatens to damage the fragile peace in Northern Ireland

@highlight

Known as the Troubles, the conflict lasted 30 years, and ended in 1998

@highlight

The IRA admitted in 1999 to killing a number of people who have become known as "The Disappeared"