(CNN) -- A 4.0-magnitude earthquake struck eastern Ohio on Saturday, one week after a similar but smaller tremor rattled the region, the U.S. Geological Survey reported.

The quake was centered 5 miles northwest of Youngstown and 6 miles southeast of Warren, the agency said. The quake's epicenter was 55 miles east-southeast of Cleveland, and 145 miles northeast of Columbus.

According to the preliminary estimate, the earthquake struck 1.4 miles deep.

There was a lot of shaking "and a rumbling sound," said Jimmy Hughes, a former Youngstown police chief running for sheriff of Mahoning County. "I could see the house move... It seemed like the ground was moving. "

The quake struck one day after Ohio Department of Natural Resources Director James Zehringer announced that work would be halted on a fluid-injection well in Youngstown, due to fears it could be contributing to a recent apparent spike in seismic activity in the area. According to the U.S. Environmental Protection Agency, an injection well "is a device that places fluid deep underground into porous rock formations, such as sandstone or limestone, or into or below the shallow soil layer."

The decision came after the state of Ohio invited experts from Columbia University to collect more information about seismic activity in the area. The well is owned and permitted to North Star Disposal, a Youngstown company, according to the state.

"While conclusive evidence cannot link the seismic activity to the well, Zehringer has adopted an approach requiring prudence and caution regarding the site," the department said in a press release.

Ben Lupo -- CEO of D&L Energy, an independent natural gas and oil exploration, production and marketing group that oversees the North Star well -- recently told CNN affiliate WKBN that there's full cooperation with experts, though he expressed grave doubts that the injection wells were to blame for the quakes.

"We have approximately 1,000 wells between Ohio and Pennsylvania and we've never had a problem ... with an earthquake or spill," Lupo said.

One of the Columbia University experts, Dr. Won-Young Kim, said that a problem could arise if fluid moves through the ground and affects "a weak fault, waiting to be triggered." He explained the underground waste "slowly migrates" and could cause issues miles away, adding that the danger could persist for some time as the water travels and seeps down toward the fault.

"In my opinion, yes," the recent spate of earthquakes around Youngstown is related to this fluid-injection well, Kim claimed -- though there has been no definitive determination, by the state or authorities, indicating as much.

There have been "moderately frequent" reports of earthquakes in northern Ohio since the first one was reported in 1823, the federal agency noted. A 1986 tremor, measuring magnitude 4.8, caused some damage. Another in 1998 measured a 4.5 and was centered in northwestern Pennsylvania.

According to the Ohio Seismic Network, a 2.7-magnitude earthquake struck around Youngstown around 1:24 a.m. on December 24.

"No damage was reported," the network said on its website.

The state of Ohio has documented 11 "seismic events" in 2011 -- each of them, at that point, of magnitude 2.7 or lower. The Department of Natural Resources Director noted that a 4.0 magnitude quake, like the one on Saturday, releases approximately 40 times more energy than a 2.7 magnitude tremor.

Youngstown police Sgt. Michael Kawa said that the latest tremor "shook the whole building we were in," but that there were no signs of significant damage in the city. That appeared to hold true elsewhere in the eastern Ohio city, based on early post-quake surveys.

"A lot of house alarms, it shook the buildings," Kawa said of the aftermath. "The fire department hasn't reported any major damage."

Within just over three hours of the quake, nearly 4,000 people from 357 zip codes and 23 cities -- including one as far as Salem, Massachusetts, 515 miles from the epicenter -- had submitted reports to the U.S. Geological Survey's "Did you feel it?" form on its website.

Ohio is far from the Earth's major tectonic plates, with the nearest ones in the Atlantic Ocean and the Caribbean Sea, the U.S. Geological Survey explains on its website. Still, there are many known faults in this region, with the federal agency noting that it is likely there additional "smaller or deeply buried" ones that haven't been detected.

"Few, if any, earthquakes in the seismic zone can be linked to named faults," according to the geological survey.

CNN's Dan Verello contributed to this report.

@highlight

NEW: An expert says he thinks an injection well is related to the spate of Ohio quakes

@highlight

NEW: An energy company owner says the wells have never caused any problems

@highlight

NEW: A Youngstown man says after the tremor, "I could see the house move"

@highlight

The quake was centered 5 miles northwest of Youngstown and 1.4 miles below the surface