(CNN)  -- Although women the world over have been doing it for centuries, we can't really blame a guy for being a guy. And this is especially true now that we know that the male and female brains have some profound differences.

Our brains are mostly alike. We are the same species, after all. But the differences can sometimes make it seem like we are worlds apart.

The "defend your turf" area -- dorsal premammillary nucleus -- is larger in the male brain and contains special circuits to detect territorial challenges by other males. And his amygdala, the alarm system for threats, fear and danger is also larger in men. These brain differences make men more alert than women to potential turf threats.

Meanwhile, the "I feel what you feel" part of the brain -- mirror-neuron system -- is larger and more active in the female brain. So women can naturally get in sync with others' emotions by reading facial expressions, interpreting tone of voice and other nonverbal emotional cues.

Perhaps the biggest difference between the male and female brain is that men have a sexual pursuit area that is 2.5 times larger than the one in the female brain. Not only that, but beginning in their teens, they produce 20 to 25-fold  more testosterone than they did during pre-adolescence.

If testosterone were beer, a 9-year-old boy would be getting the equivalent of a cup a day. But a 15-year-old would be getting the equivalent of nearly two gallons a day. This fuels their sexual engines and makes it impossible for them to  stop thinking about female body parts and sex.

And so begins the 'Man Trance'

All that testosterone drives the "Man Trance"-- that glazed-eye look a man gets when he sees breasts. As a woman who was among the ranks of the early feminists, I wish I could say that men can stop themselves from entering this trance. But the truth is, they can't. Their visual brain circuits are always on the lookout for fertile mates. Whether or not they intend to pursue a visual enticement, they have to check out the goods.

To a man, this is the most natural response in the world, so he's dismayed by how betrayed his wife  or girlfriend feels when she sees him eyeing another woman. Men look at attractive women the way we look at pretty butterflies. They catch the male brain's attention for a second, but then they flit out of his mind. Five minutes later, while we're still fuming, he's deciding whether he wants ribs or chicken for dinner. He asks us, "What's wrong?" We say, "Nothing." He shrugs and turns on the TV. We smolder and fear that he'll leave us for another woman.

Not surprisingly, the different objectives that men and women have in mating games put us on opposing teams -- at least at first. The female brain is driven to seek security and reliability in a potential mate before she has sex. But a male brain is fueled to mate and mate again. Until, that is, he mates for life.

Despite stereotypes to the contrary, the male brain can fall in love just as hard and fast as the female brain, and maybe more so. When he meets and sets his sights on capturing "the one," mating with her becomes his prime directive. And when he succeeds, his brain makes an indelible imprint of her. Lust and love collide and he's hooked.

The 'Doting Daddy Brain'

A man in hot pursuit of a mate doesn't even remotely resemble a devoted, doting daddy. But that's what his future holds. When his mate becomes pregnant, she'll emit pheromones that will waft into his nostrils, stimulating his brain to make more of a hormone called prolactin. Her pheromones will also cause his testosterone production to drop by 30 percent.

These hormonal changes make him more likely to help with the baby. They also change his perceptual circuitry, increasing his ability to hear a baby cry, something many men can't do very well before their wives are pregnant.

And a word to the wise for all the young mothers who are reluctant to let your husbands hold and care for your newborn. The more hands-on care a father gives his infant, the more his brain aligns with the role of fatherhood. So, hand over the baby.

His emotions run deep

Although men have earned the reputation for being more stoic than women, they actually have stronger emotional reactions than we do. They just don't show it very often.

Studies of men's faces show that the male brain's initial emotional reaction can be stronger than the female brain's. But within 2.5 seconds, he changes his face to hide the emotion, or even reverse it. The repeated practice of hiding his emotions gives men the classic poker face.

It's his poker face and his analytical response to personal problems that can put him in the doghouse. She's crying as she talks about what's wrong with the relationship, and instead of hugging her, his mind is racing to find a way to resolve the problem as soon as possible. With practice and because of the way their brains are wired, men use their analytical brain structures, not their emotional ones, to find a solution.

They enjoy this advantage, but women often take affront to it. When you're telling your husband your problem and he tries to solve it instead of hearing you out, you may think he's being insensitive. But that's not what's going on in his brain. He's working to solve the problem so he can relieve your pain as quickly as possible. Not because he doesn't care or doesn't want to listen, but because he loves you.

'Lovable Grandpas' and 'Grumpy Old Men'

As men age, the male brain hormones change and the male brain and body goes into the stage of life called andropause. The king of male hormones -- testosterone -- goes down and the queen of female hormones -- estrogen -- goes up. Whether Grandpa is your kids' hero or the grouch they hate to visit depends a lot on how he handles these hormonal changes. For example, if his testosterone levels drop to an abnormally low level, he can feel tired,  irritable and even depressed. Some men in this condition seek hormone replacement therapy and others find relief in exercise, more frequent sex, and spending more time with other people.

The grandpa that kids can't wait to see is the one who's feeling the effects of the hormone oxytocin, often called the "cuddle hormone." He's fun and playful and likes to hear what his grandchildren have to say. He's much more patient with your children than he was with you, when you were growing up. The love circuits of the mature male brain can be hijacked by his grandkids, even more than they were by his own children.

The 'Lonely Hearts Club'

Not only is the mature male brain more receptive to closer bonds, but it's also more sensitive to loneliness. Nobody thrives when they're lonely, but it seems to take a major toll on older men. Sixty percent of divorces in couples over the age of 50 are initiated by women, leaving their husbands shell-shocked and devastated.

Once his wife leaves, unless he makes a point of socializing more with other people, his brain stops getting the social workout it needs to make him feel good about himself. If he becomes a loner, his social-approval circuits don't get activated. In brain scan studies of older males researchers have found that the brain's pleasure and reward areas, the VTA and the NAc, remain more active in men who are social. So don't begrudge the divorcee or the new widower some socializing and seeking female companionship.

The bottom line

The human brain is the best learning machine on the planet and human beings are capable of making major changes in our lives. But there are some things that the male brain and female brain are not likely to change anytime soon. And it makes more sense to deal with these brain realities, than to argue with them or ignoring them.

The best advice I have for women  is make peace with  the male brain. Let men be men.

The opinions expressed in this commentary are solely those of Louann Brizendine.

@highlight

Louann Brizendine: Male and female brains mostly alike, but some profound differences exist

@highlight

Men's sexual pursuit area 2.5 times larger than the one in the female brain, she writes

@highlight

She says testosterone drives the "Man Trance"-- or a  glazed-eye stare at breasts

@highlight

Brizendine: A wife's pheromones cause "Daddy Brain." Later, "Lovable Grandpa" or "Grumpy Old Man"?