San Francisco, California (CNN)  -- Before the protests of tuition hikes last week, a colleague posted the following: "Need suggestions for protest songs. We have a DJ but need to give her a play list." The requests started coming in: Joan Baez, the Dixie Chicks, The Clash.

I wondered about the overlap between songs on a professor's play list and those on a student's. So I went to class and asked students to tell me what they wanted to hear. The list included Dead Prez, Lyrics Born, B-Side Players and Erykah Badu, among many others. This is the protest play list of a new generation.

My introduction to protest songs came through my mom.

As the daughter of a Chicano movement activist, I attended protests against wars in Central America and rallies in response to police repression.

Last week, I marched in solidarity with people across 17 states calling for well-funded, accessible public education.

While at the March 4 rally, I realized that California's public education system has had a great impact on who my mother and I are today.

As a 15-year-old immigrant newly arrived in Los Angeles, my mother was placed in remedial classes because she didn't speak English. She struggled with the language but excelled in math. Yet her high school counselor directed her to work at a local tortilla factory.

This was the early 1960s, just a few years before students responded to educational inequities through organized acts of civil disobedience that would later be referred to as the East Los Angeles blowouts.

It was only by chance, and without parental or institutional guidance, that my mom enrolled in East Los Angeles College. Like many other low-income and working students, community college was her entry into higher education.

It was not until her mid-30s that she enrolled in the California State University of Los Angeles while working full time. I was in elementary school and remember going to campus with her on days that my dad was working, even during an in-class exam. This was my first exposure to a university classroom.

Since then, I have taught at the California State University of Los Angeles and the University of California at San Diego. I am currently an assistant professor at San Francisco State University.

Watching preschool teachers and children participating in the recent marches reminded me that my education began at Head Start. My mom enrolled me in this program, which provided early reading and math skills and set a foundation for my educational development. I stand in solidarity with early childhood educators.

At the protest, I watched high school students confidently take the stage and list their demands and hopes for a better future. I wish that my mom, as a teenage immigrant, could have aired her own frustrations with the 1960s educational system. Today's high school students inspire me, and I am proud of today's teachers, who support their students.

I ran into some of my own students at the rally. One asked where she could hear the DJ playing her song request.

We searched through the sea of people and realized the turnout was much larger than we had imagined. The protest play lists of multiple generations filled the air with music.

Young fans of Dead Prez marched and chanted alongside older fans of Joan Baez. They all recognized the need for well-funded, accessible public education.

Rising student fees have placed barriers between thousands of eligible students and their dreams of higher education. In addition, budget cuts and the subsequent elimination of course offerings have extended the number of years necessary to graduate.

Many of my students have taken on multiple jobs to finance their education. I hear their stories and imagine my mom trying to attend Cal State L.A. today.

Younger generations in the U.S. have consistently achieved a higher level of education than the generation that came before.

But for the first time since World War II, we are in danger of reversing that trend. Students and educators view education as a public good available to all and will continue mobilizing to restore funding for public education.

Will they receive support or will education become a luxury available to fewer and fewer people?

The opinions in this commentary are solely those of Katynka Z. Martínez.

@highlight

Katynka Z. Martínez : Protest songs at education rally ranged from old school to hip hop

@highlight

Martínez:  Whichever generation, all were fighting for accessible, affordable higher education

@highlight

Writer's mom immigrated to L.A. at 15 and went to college; she couldn't afford it today

@highlight

Rising fees keep thousands of eligible students from realizing their dreams, she says