(CNN) -- When Americans pick up their prescriptions from the pharmacy or reach for a prescription bottle from their medicine cabinet, they probably don't think much about where the drugs were made or whether they are safe.

What most Americans don't realize is the staggering fact that the number of drug products manufactured outside the United States has doubled between 2001 and 2008. Nearly 40% of all drugs taken by Americans come from overseas, and nearly 80% of the active pharmaceutical ingredients used to make these drugs also come from foreign countries -- mainly China and India.

I support the global marketplace, but we must be aware that without the proper enforcement of quality standards, the trust we put in the safety of the prescriptions we take can be broken at any time by a supplier in China, a counterfeiter in India or an importer from Thailand.

Too many people believe incorrectly that the U.S. Food and Drug Administration has the authority to properly monitor our drug supply system for safety. Under current law, the FDA does not have the authority to require a manufacturer to notify the agency if a drug has been corrupted, to recall pharmaceuticals that the FDA believes are unsafe, to refuse imported pharmaceuticals that are counterfeited at the border or to ensure that drug manufacturers are responsible for quality controls throughout their supply chain. These are authorities we must give to FDA if we are to truly oversee the safety of our drug supply.

Even more worrisome is the inability of the FDA to conduct comparable inspections of domestic and foreign pharmaceutical manufacturers. It lacks the necessary funding and personnel.

Domestic pharmaceutical facilities are inspected, on average, every two years by the FDA, whereas foreign drug facilities are inspected only every nine years. According to the Government Accountability Office, some of the 3,765 foreign drug establishments in the FDA's database may never have been inspected. An increasing demand, coupled with an expanding globalized drug market, blatantly calls for a more globalized and fully equipped FDA.

A globalized FDA not only would ensure safety; it would also level the playing field for our manufacturers.

FDA approval is the gold standard in the world marketplace: domestic pharmaceutical and ingredient manufacturers in the United States are held to that high standard. Their foreign counterparts should be, too. These competitors are from countries like India and China, nations that are home to 70% of the world's drug manufacturing sites, up from just 49% in 2004.

Now, more than ever, U.S. manufacturing facilities should be rewarded, not penalized, for retaining jobs in the United States. It is not only fair and the right thing to do to protect American competitiveness, it's critically important for the health of American consumers.

Although improved drug safety authorities for the FDA are important, they will be ineffective without a reliable funding stream, free from political whims, to implement them. A chronically underfunded agency, like the FDA, cannot successfully oversee our drug supply's safety without a stable funding source that will allow the agency to hire the staff it needs to conduct inspections overseas or to monitor pharmaceuticals that are entering our country. The re-authorization of the Prescription Drug User Fee Act, which expires in October, offers an opportunity to remedy these problems.

As we begin debate and negotiations around the Prescription Drug User Fee Act, we have a responsibility to ensure that we are equipping the FDA with the resources, personnel and authorities to assure the pharmaceuticals Americans take every day are neither contaminated, counterfeited, corrupted nor mislabeled.

It is hard to believe that it already has been three years since the contaminated blood thinner heparin, which authorities believe originated in China, killed several people and caused multiple cases of serious illness. Although fears generated by this crisis may have subsided, the reality that it can happen again should be fresh in the minds of those of us on the Hill as we reauthorize the Prescription Drug User Fee Act, and give the FDA more authority in the process.

This is not and should not be a partisan issue. We must focus not only on making, and ensuring timely access to, the latest innovative drug treatments, but on establishing one quality standard for every drug sold in the United States. American consumers, and their families, deserve no less.

Join the conversation on Facebook.

The opinions in this commentary are solely those of John Dingell.

@highlight

John Dingell: 40% of drugs, 80% of ingredients are from overseas, mainly China, India

@highlight

We have no monitoring system to prevent counterfeit or contaminated drugs, he writes

@highlight

Dingell: The FDA lacks the authorization to ensure these drugs meet U.S. standards

@highlight

We need to pass legislation that gives FDA proper funding and authority, he says