Cairo (CNN) -- A leather-faced Egyptian fruit seller said it best: "The revolution was like a beautiful woman. She charmed us, and we fell in love with her and killed the tyrant to marry her, but she was just a trick -- another burden to add to our heavy load, and we are falling out of love."

Strolling through the streets of my native Cairo for the first time in four years, I can see the heartbreak on every face.

From the lines at gas stations to the crowds at public metros, every Egyptian looks exhausted and disappointed.

Tahrir Square, the epicenter of revolt last year, now looks miserable, too. The icon of defiance has been reduced to just a bare patch of dry sand with a few dilapidated tents.

As one driver told me, "If you want drugs, hashish or to hire a thug, go to Tahrir Square."

The legacy of the revolution now lives in the streets, where a lack of security means many women feel less safe and are less likely to leave their homes by themselves after dark.

It lives in the abandoned tourist sites and four-star hotels, where managers with only 20% occupancy rates struggle to stay afloat amid numerous worker strikes and an uncertain economic climate.

It lives in the cafes, where youngsters angrily dismiss our cameras, tired of the spotlight, irritated with the attention and seemingly embarrassed with the revolution that was once a point of pride.

Cairo is both familiar and unrecognizable since my visit to the city in 2008 when my grandmother demanded I destroy a pamphlet on workers' rights out of fear the Egyptian authorities might harass me.

This time, before I can even finish asking a question about elections, my family erupts into a furious debate, each member siding with a different candidate and attacking each other for supporting "fellul" -- or remnants of the old regime.

No one, however, seems certain of their loyalties to any particular candidate, and even the weakest of arguments or the strangest of rumors can shift public opinion overnight.

In a park in the posh neighborhood of Zamalek, activist Jawad Nabulsi asks a ticket seller, "Who will you vote for?" The middle-aged man replies, "Shafik," a presidential candidate and former prime minister in the dying days of Hosni Mubarak's regime.

Unhappy with the answer, Nabulsi tells him to vote for moderate Islamist candidate Abdelmonen Abol Fotoh.

"If you really thinks he is better, then I will vote for him," the ticket seller responds.

Egypt's fickle voters repeat the scenario every day in buses and offices. So each morning, it seems residents have chosen a different president -- only to abandon him the next day. This has left analysts and citizens alike without any clear expectation of who will win Egypt's first-ever free elections.

Read more about Egypt's historic presidential elections

Egypt's indecision lies in its limited range of candidates, essentially leaving constituents with frontrunners who are either former members of Mubarak's regime or Islamists.

"It's like all these years we have had these soccer players sitting on the sidelines, and now that we see them in the field playing we can see all their weaknesses and failures," one student at a downtown cafe said.

The country of 81 million seems so distracted with who has the soccer ball, many seem completely unaware of what or where the ultimate goal for Egypt's future stands.

The day Mubarak stepped down in February 2011, I cried in the CNN newsroom, feeling for the first time ever that my people -- crippled by 30 years of dictatorship -- could not just walk but actually run towards freedom.

But some Egyptians have lowered their expectations, moving from the revolutionary chant of "bread, freedom and social justice" to the murmured remark, "just let us live."

The revolutionary movement -- splintered and fragmented under the pressure of rebuilding the country -- failed to create a unified coalition or a clear post-revolution strategy.

"I know the revolutionaries are hated right now. The country is blaming us for everything, and at the same time we have seen so much blood we feel conflicted about calling upon people to demonstrate," protester and blogger Sara Abdelrahman said.

Some Egyptians say the situation has deteriorated.

"Everything is worse! The price of everything has increased. People can't make a living. We can't eat. The situation is awful, and the hardships are greater," one woman said at a Cairo metro.

The Supreme Council of the Armed Forces, the target of many demonstrators' rage, has pledged to hand over executive power to a civilian president by the end of June, completing the transition to a freely elected government almost 16 months after the revolution started.

Far from the headscarves and Muslim beards dominating Cairo's streets, female protesters in jeans and free-flowing hair said the revolution is ongoing, but admitted the downfall of Mubarak's regime had yet to accomplish much for Egypt.

"Nothing changes overnight. The military stole the revolution, and we are struggling to win it back," said Amal Bakry, a member of the group No Military Trials for Civilians. "But we will continue fighting and continue to struggle against the regime until every last corner of the country is liberated."

@highlight

A year after Egypt's revolt, many are disappointed with the situation in the country

@highlight

Some voters have been shifting allegiances to different presidential candidates

@highlight

Abdelaziz: The revolutionary movement failed to create a clear post-revolution strategy

@highlight

"Nothing changes overnight," one activist says