(CNN) -- Now, 45 years later, I still see it.

I still feel it.

Among the most exhilarating moments of my life was when I touched the fingertips of Robert Francis Kennedy.

That's ultimately where I'm going. Until then, let's discuss the months, weeks and days before everything stood still for a 12-year-old that bright Thursday afternoon on a mostly empty street in northern Indiana. This journey of fate began in a classroom of politically astute sixth-graders at Benjamin Harrison Elementary School in South Bend, Indiana. It was the spring of 1968, when turmoil was everywhere, and it was just the start of horrors to come for what would rank among the most violent years in American history.

Just like that, courtesy of the Tet Offensive in late January and early February, the Vietnam war went from winding down to raging out of control. There were nerve gas leaks in Utah. There was the Orangeburg Massacre in South Carolina, where state police killed three college students protesting a segregated bowling alley.

Then there was our discussion in a back corner of that classroom involving a small gathering of sixth-graders on who deserved the Democratic nomination that year for the presidency of the United States. It was a discussion that had nothing to do with the scheduled agenda of our teacher, Mr. Petrass, and it was a discussion that came out of nowhere.

What about Lyndon Baines Johnson who couldn't solve Vietnam, but who had done more with Civil Rights than any president since Abraham Lincoln? Three years earlier, in Mrs. Plummer's third-grade class, she ushered us to the window to see LBJ's helicopter fly by in the distance en route to landing in town to kickoff his "Great Society" program.

For those who despised war, Minnesota Sen. Eugene McCarthy made sense. He even caused Johnson supporters to squirm in early March by finishing a tight second to the sitting president in the New Hampshire primary.

One more name ... RFK.

He actually spurred the conversation. He was charismatic, and he was highly sympathetic to the black community of which I was a part. Not only that, he was a Kennedy, which was as magical a name then as it is now. On March 16, a few days before our discussion, he did what many thought he would do earlier: He declared he was running for the Oval Office that once belonged to John Fitzgerald Kennedy, his brother who was assassinated five years earlier.

During JFK's administration, Robert was the ruthless attorney general who doubled as the confidant of the president. In 1968, his edges became softer, partly because of his ongoing grief, but mostly because of his sense of mission. He was a 42-year-old senator from New York who was obsessed with helping the poor, and he was an outspoken champion of racial and social justice.

Robert Kennedy also was anti-war. The same as McCarthy. The difference was that McCarthy wasn't a Kennedy. Neither was Johnson nor Hubert Humphrey, LBJ's vice president, who later ran for president after Johnson shocked the universe by abruptly dropping from the race at the end of March.

Our consensus was RFK.

Consider, too, our discussion involved white and black kids. In fact, most South Bend schools were racially mixed, and such was the case even when my parents moved through the school system during the 1940s and 1950s.

South Bend also was the definitive blue-collar town back then as the headquarters for Studebaker cars, Singer Sewing Machine and the Bendix Corporation. Plus, you had the free thinkers at the University of Notre Dame within the city limits. Notre Dame is the world's most famous Catholic university, and the Kennedys are Catholic. Despite their overwhelming wealth, RFK became the face of the Kennedys' desire to help the less fortunate while promoting racial harmony.

Translated: South Bend was made to hug Kennedys.

With that in mind, several days after our discussion in Mr. Petrass' class, a wonderfully crazy thing happened. The principal announced over the intercom that school was finishing early that afternoon to give everybody a chance to stand on the curb in front of the building to see a passing motorcade -- RFK's motorcade. He had landed in town to begin his campaign for the Indiana primary, which would be his first primary since announcing his candidacy.

My birthday is in October, but it came early back then, along with Christmas, Thanksgiving Day and the Fourth of July.

Robert Kennedy?

We were just talking about the guy.

There were no cell phones during the spring of 1968. No Internet. No opportunity to contact the parents, other relatives or friends to inform them about our pending dance with history -- and, yes, even then, we knew this would be something huge for the ages. So my crew of sixth-graders joined hundreds of others on the edge of Western Avenue waiting. We waited some more. We kept waiting. As 20 minutes became a half-hour, the crowd dwindled to half.

By the time the wait reached an hour, it was clear RFK was MIA.

My brother, Dennis, and I were in the same grade. We thought of waiting some more, but we decided to begin our usual half-mile walk home. We moved down Western Avenue, looking over our shoulders along the way -- hoping, praying. Nothing. The motorcade must have gone a different way to the South Bend airport en route to wherever, or maybe RFK just left earlier than expected.

Or maybe ... nah. We kept walking.

Once we got home, we were supposed to start our daily routine. Off with the school clothes, then on to homework and house chores. Then we could enjoy the great outdoors. School day after school day, we did that routine without fail, but this time, Dennis talked me into altering things to take a quick spin around the block on our brand-new bikes.

Good thing.

Soon, we heard sirens. We glanced at each other with wide eyes, and without a word, we pedaled faster than a sunbeam toward Western Avenue, which was a block or so in front of us. We jumped off our bikes with the banana seats and stingray handle bars, and after a group of South Bend motorcycle cops passed by, a convertible headed our way with flashing lights. We knew. We just knew. So we stood there, waiting, hoping, just the two of us, with nobody else in sight on the street. The convertible got closer, and the man sitting on its right side stood up with his light-colored hair waving in the wind as he gave a signal to the driver to slow down.

With the car shifting into a lower gear, the man leaned over as much as he could without tumbling out of his car. It was RFK, alright, and as his convertible kept traveling toward its destination in slightly less than a hurry for that moment, he touched my brother's fingertips and then mine.

We watched the motorcade fade into the distance. Then, after Dennis and I looked at each other with even wider eyes, we unleashed the biggest "WOW!" of joy ever known.

That was in contrast to the sorrow we felt two months later after our mother shook us out of our beds in the middle of the night/morning of June 5. We rushed to the television in our parents' room to see a heavy dose of live grief across the television screen. The man with that light-colored hair waving in the wind was gunned down in the kitchen of The Ambassador Hotel in Los Angeles, and this was after he moved closer that evening to the Democratic nomination by winning the California primary.

It was as if a family member had died.

We touched fingertips.

As the years became decades, I kept thinking: When did that happen? Then came last autumn, when I satisfied my curiosity. I was back in South Bend for a Notre Dame football game, so I dedicated an afternoon to searching old South Bend Tribune newspaper editions at the public library. Within the hour, I found a brilliantly written story of RFK's 1968 trip to northern Indiana in the Tribune's evening edition, and it mentioned how Kennedy was leaving South Bend for Indianapolis.

I got chills. I touched RFK's fingertips a few hours before he gave one of the most passionate speeches ever. He spoke without notes. He urged a potentially angry crowd to stay calm. He preached the need for everybody in Indianapolis to practice nonviolence, especially since he had experienced the suffering that comes from the gruesome death of a brother.

It was April 4, 1968 ...

The day Martin Luther King Jr. was killed.

The opinions expressed in this commentary are solely those of Terence Moore.

@highlight

Terence Moore was 12 when Robert F. Kennedy reached out and touched his fingertips

@highlight

Hours later on that day, Kennedy gave a passionate speech advocating nonviolence

@highlight

Moore made a sad yet fascinating discovery upon looking up that speech's date

@highlight

Moore on RFK's assasination: "It was as if a family member had died"