(CNN) -- The varying response to Egypt's uprising across the Middle East largely reflects different views on the role of the Muslim Brotherhood; while Turkey has condemned the coup, an assortment of voices from Israel to the Gulf to the Syrian government have all been cheering this sudden blow to the Islamists who seemed to be in the ascendance across the region just a few months ago. Regional governments who feared the rise of the Muslim Brotherhood are broadly pleased to see the army return as the key power-broker, as they believe it will restore order, stability and predictability.

But the army did not act alone. It was enabled to move by mass popular protests that temporarily brought extremely disparate groups together -- united only by their opposition to Morsy. The lesson the protesters will be drawing is that protests still work. While Egypt's future is too uncertain to make it a model that others immediately want to emulate, this fresh demonstration of the power of the street will again inspire protest movements elsewhere in the Arab world, whether demonstrating against long-established authoritarian regimes, or newer elected Islamist counterparts. Just as the protesters may in time grow more skeptical about the role of the army, the authoritarian governments that are welcoming the change in Egypt may also come to regret applauding a fresh uprising.

Read more: A day after coup, a new and uncertain order in Egypt

Egypt's foreign policy did not change dramatically under the Brotherhood -- nor is it likely to change dramatically under a weaker transitional government of national unity. Even after elections, the likely scenario is a coalition government representing a fragmented polity, probably preoccupied with internal issues more than taking dramatic foreign-policy stances. But the overthrow of the Arab world's first elected president from a Muslim Brotherhood party has international reverberations, since the Muslim Brotherhood exists in some form in virtually every Arab country and beyond.

For years, local branches of the Muslim Brotherhood have been judged to be the most well-organized opposition movements in many of the authoritarian countries of the Arab world, where heavy restrictions on civil society and party organizations have often pushed political opposition underground and into the mosques. After the Arab uprisings, parties associated with the international Muslim Brotherhood were the most successful groups in elections in Egypt and Tunisia, though less so in Libya. They've been major players in the uprisings in Yemen and in Syria. And before all this, it was Hamas -- an offshoot of the Muslim Brotherhood -- that won the Palestinian parliamentary elections in 2006, the last time elections were permitted in the Palestinian territories.

Read more: Get ready for extremist backlash

The only country where the Brotherhood has been able to consolidate power over a number of years has been Turkey, whose ruling party, the Justice and Development Party, is associated with the organization. Turkey has also faced hefty protests in recent weeks as opponents of the government accuse Prime minister Recep Tayyip Erdogan of arrogance, crude majoritarianism, and trying to impose a monolithic Islamist identity on a diverse society -- but while these criticisms echo those made of Morsy, Erdogan has been able to consolidate his power to a far greater degree, not least because he has overseen a decade of successful economic development, whereas Egypt's economy has suffered from 2011 as political uncertainty has deterred investors and tourists.

All this means the stakes in Egypt are very high. Mohammed Morsy and his supporters, whose thinking has been shaped by their years in opposition under a dictatorship, were well aware that they faced regional opposition, but hoped that if they were careful not to alienate the West, they would be allowed to remain in office. Thus, they focused on consolidating their domestic power, but did not seriously challenge the regional order; Morsy brokered a ceasefire when conflict erupted between Israel and militias in the Gaza Strip last year, and the Brotherhood emphasised its openness to and interest in Western investment.

But they often erred by trying to discredit all of Egypt's diverse and vocal political opposition as if it was merely a foreign-sponsored counter-revolutionary force. Just at the time when they most needed to reach out, as the scale of the opposition became evident in this week's street protests, they spoke disparagingly about the opposition, saying, for instance, that protesters were being sponsored by Ahmed Shafiq, Mubarak's last prime minister, who Morsy narrowly defeated in the presidential run-off a year ago, and who is now living in the Gulf.

Indeed, many in the Gulf will be glad to see the Muslim Brotherhood "brand" damaged, even if they have their doubts about the methods of mass street protests. The United Arab Emirates' foreign minister, Sheikh Abdullah bin Zayed Al Nayhan, was among the first officials to congratulate Egypt after the military announced a new president would take charge. This came just two days after the UAE sentenced 68 dissidents, including a cousin of the ruler of the emirate of Sharjah, to jail sentences for plotting to overthrow the government, accusing them of belonging to an underground group associated with the Brotherhood. Earlier this month the UAE also arrested several Egyptians accused of forming an underground Muslim Brotherhood cell there.

The news poses much more of a dilemma for Qatar, which, unlike all the other Gulf monarchies, was quick to lend its support to Arab protest movements, at least as long as they stayed outside the Gulf. The tiny, gas-rich emirate has built strong ties with the Muslim Brotherhood ruling parties in Egypt and Tunisia. Now, its 33 year-old new emir, who has been in power only two weeks since the abdication of his father, may need to chart a different course and make some hurried outreach to a wider range of political movements -- which might include more conservative Islamist groups, like Egypt's Salafist parties, as well as leftist and liberal groups. The new emir has congratulated Egypt's new president, though not as quickly as the UAE or Kuwait did.

Israel's cabinet has been ordered not to speak publicly about Morsy's overthrow, presumably for fear that if Israeli officials comment, they'll immediately be blamed, in a region prone to conspiracy theories. In fact their feelings are likely to be mixed: Israel sees the Muslim Brotherhood's ideology as a profound security threat, but they had continued to cooperate with the Egyptian authorities on border security, and will now be concerned that the fresh political uncertainty could distract the army from securing the large and often lawless Sinai region along Israel's border, home to a number of jihadi movements.

The United States has also sent mixed messages: it did not want to call for the overthrow of an elected president just one year into office, though it had been warning him to listen to his people. But Obama has stopped short of calling Morsy's overthrow a military coup, even though the intervention of the army to change the president and suspend the constitution fits virtually every known definition of a coup. The semantics are political: the U.S .wants to retain leverage with the Egyptian military, and if it labels their actions a coup, it would ordinarily be obliged to cut off its military aid, normally around $1.2B per year.

The beleaguered Syrian president, Bashar al-Assad, has also been cheered by the sight of a military coup against the Muslim Brotherhood, since the Syrian Muslim Brotherhood forms a significant part of the opposition to his own military regime. Assad has declared this the end of political Islam, blithely ignoring the fact his own main external allies are Iran and Hezbollah.

The Brotherhood's critics see Morsy's overthrow -- along with the political transition in Qatar and even the protests in Turkey -- as the end of an era for these Islamists. For their part, the Brotherhood will see this as a temporary reversal, just as Turkey too faced successive military coups. The question is whether Egypt, and other countries in the region, will be able to accommodate a movement that is no longer a majority but is still the best organized political force in many countries, or whether it will again be driven underground.

The opinions expressed in this commentary are solely those of Jane Kinninmont.

@highlight

Kinninmont says differing views on Egypt's uprising reflect views on the Muslim Brotherhood

@highlight

Regional governments who feared the group's rise are broadly pleased, she says

@highlight

However, Kinninmont says governments applauding the uprising may come to regret it

@highlight

Demonstrations in Egypt will again inspire protests elsewhere in the Arab world, she says