My first foray into deep water brings me face to face with some of the islands' most ebullient locals.

As shoals of slim surgeonfish, parrotfish and clownfish wind between the gray rocks and drift in the current, they suddenly appear -- six Galapagos sea lions -- fat sleek bullets that zoom right up to my mask, upside down and mouths open, before twisting away at the last minute.

Clambering back into the Zodiac dinghy -- or panga, as they're known in the Galapagos -- for the short return trip to the National Geographic Endeavour, one fellow "explorer" quizzes our accompanying naturalist.

"Oh, they won't bite you," he reassures us. Less reassuringly, he adds: "Maybe. But just a little."

All the animals throughout the Galapagos National Park, more than 3,000 square miles of islands and islets 600 miles off Ecuador's mainland, are unperturbed by our presence.

As there are no big predators -- or people -- on most of the islands the animals show no fear.

And because many species are endemic to the Galapagos or even one of its 13 main islands, there's literally nowhere else in the world that you can have this kind of encounter.

Sailing for science

I'm aboard the conservation-focused, naturalist-led Lindblad Expeditions-National Geographic Endeavour, a ship that lets passengers connect with life both above and below the waves through kayak and Zodiac excursions.

Unbelievably, the uninhabited islands are much as Charles Darwin experienced them in 1885.

Floreana, the second island on which Darwin landed, still has a "post office" that dates back to whaling days when crews would leave mail in a rum barrel.

People still leave postcards here to be hand delivered by future visitors (those I addressed to the UK arrived within two weeks via hands unknown).

"It's a land left untamed ... One of the last parts of the world that's really wild," says fellow passenger Jim Calaway, an investments portfolio manager from Illinois.

Daily recaps and talks by eminent scientists give cruises their characteristic research-meets-education feel.

Voyages also have a strong photography slant, with most on-board naturalists certified as photo instructors by National Geographic.

On Espanola, we boulder-hop along rough trails to reach an albatross nesting site, often stepping over groups of inky charcoal black marine iguanas.

Genovesa's rough, lunar landscape seems inhospitable but teems with seabirds, including half a million red footed boobies -- the largest population in the world.

Walking through prickly pear trees along a sandy path to Santa Cruz's aptly named "Cerro Dragon," (Dragon Hill) we spot 28 dusty-yellow-brown Galapagos land iguanas.

During that afternoon's ride to the eastern shore of Santa Cruz, dubbed "El Eden" for its scenic beauty, naturalist Giancarlo Toti doles out photo tips in time for us to snap a great blue heron feeding its gulping chick.

"I love these cruises because there's always one special thing for everybody," says Toti. "This for me was the most special thing this time -- the heron feeding its chick. I have never seen that before."

Exploration highlights

Exploring the Galapagos Marine Reserve -- the second largest in the world at more than 50 square miles -- is as integral to the expedition experience as the guided hikes across the islands.

On one of the daily snorkel expeditions I spot octopi, manta rays and a solitary Galapagos penguin, puffed up as if to officiate, on various excursions.

Although the Endeavour -- named for Captain Cook's former command -- doesn't offer scuba diving, single-day excursions can be arranged with a local operator; it's also the only ship cruising the park with an underwater specialist and a remotely operated vehicle on board.

While tourism to the region has tripled in the last 20 years -- just over 200,000 people visited the Galapagos last year -- visitors cruising the islands with responsible operators are helping to correct the damage caused by over hunting and species introduced by sailors, whalers and pirates.

Sixty percent of each visitor's $100 entrance fee goes directly to the Galapagos National Park Service, funding rangers, naturalists and conservation work.

Expedition leader Paula Tagle says only 84 ships have been allowed in the national park since she began working there in 1997, of which only four are similar in size to the 96-passenger Endeavour.

There are strictly enforced park rules -- all visitors must be accompanied by a naturalist and vice versa, with no more than 16 people at any one time -- GNPS also schedules itineraries and landings for every ship to reduce pressure on the islands.

The downside of such regimentation is there's no lingering. The upshot is never seeing another ship or any other "explorers."

With an ever-growing influx of tourist dollars comes more domestic migration to the Galapagos.

Tagle says poorly controlled growth in the inhabited areas and other types of non-cruise tourism are what need attention, rather than the national park area.

"I think 55% of visitors now do the [island hopping] kind of tourism versus 45% that come to the ships to spend the night, like [on the Endeavour].

"But even more are going to the towns that have grown in a disorganized way," she adds.

Tortoise breeding

Hearing the story of Lonesome George, the last known of the Pinta Island tortoises and the symbol of the Galapagos (he died at the Charles Darwin Research Station on Santa Cruz in 2012) brings home the importance of the conservation controls.

Although George's caretakers are still watching his two female companions in the hope that they might yet lay eggs -- female tortoises can store viable sperm in their bodies for up to three years before fertilizing themselves -- the species is now believed to be extinct.

But many initiatives at the Darwin facility have been a success, including a project to revive Espanola's dwindling tortoise population using "Super" Diego, an especially virile Espanola tortoise returned to the Galapagos from San Diego Zoo.

"Eighty percent of the center's hatchlings -- so anywhere from 70 to 150 hatchlings a year -- come from Diego and his five girlfriends," naturalist Gilda Gonzalez tells me, with a wink.

Santa Cruz is also a great place to see giant tortoises in their natural habitat.

After a quick stop at a local sugar cane mill -- and a warming tot of the local moonshine -- we arrive at a highland farm, pull on rubber boots and stride off into orchards full of wild tortoises, flattening bushes and bulldozing saplings as they move from one juicy cluster of leaves to the next.

Keen eyesight and hearing is not their strong suit -- smell is a giant tortoise's best sense -- so we approach from behind to pose for surreptitious photos as they continue their methodic chomping.

It's only when we pass a tortoise close to the path that he notices us and retreats into his shell with a long, deflationary hiss.

"Today we are very lucky to see 11 tortoises -- sometimes there aren't any up here," says naturalist Ximena Cordova.

"It takes them three months to come up to the highlands to mate and three months to go back to the lowlands to give birth. These guys are smart -- they're waiting up here for the females to come back."

For me, seeing these huge hulking carapaces thriving once again in their natural habitat, is one of the most memorable encounters of the trip.

"Conservation is a big theme and every day we talk about results here, results there ... I think it gives hope to people to restore other places," says expedition leader Tagle.

"We have a saying -- if you can make it here, you can make it anywhere."

Lindblad Expeditions-National Geographic operates 10-day expeditions (a seven-day cruise + transfers) aboard National Geographic Endeavour and National Geographic Islander departing San Cristobal and Baltra, year-round.

Cruises are priced from $5,490 per person based on double occupancy, exclusive of international flights and internal flights to Galapagos; +1 212 261 9000.

@highlight

Blue-footed boobies, Galapagos penguins and marine iguanas are some of the species only found in the Galapagos

@highlight

The Galapagos National Park is over 3,000 square miles of islands and islets located 600 miles off Ecuador's mainland

@highlight

GNPS designs the itinerary and scheduled landings for every ship to reduce pressure on the islands