(CNN)What is beauty? What role does it have in spirituality? Is it in the eye of the beholder?

These seemingly innocuous questions have snowballed into a bitter polemic on the Catholic altar, where a battle of aesthetic titans has ensued: religious scholars versus the so-called "starchitects" who have earned multimillion-dollar contracts to build megachurches for the new millennium.

To arbitrate, Italian photographer Andrea Di Martino looked to find meaning in these newly built houses of God.

"I wanted to photograph new-but-already-established churches from this millennium ... but I had to explain to a lot of people that I wasn't documenting the demise of the Catholic Church or even the loss of churchgoers but how these churches have now become part of the establishment," he said.

From Turin to Rome, Di Martino zigzagged through cities where celebrity architects hoped their designs would add to Italy's great architectural landscape.

Photographing the works of architectural giants such as Paolo Portoghesi, Mario Botta, Richard Meier, Renzo Piano and others, Di Martino explored whether there is a historical continuum with the traditions of Brunelleschi, Bernini, Da Vinci and other artistic geniuses whose religious reverence helped build some of the world's greatest monuments.

Di Martino used a formal approach, photographing these churches from an egalitarian perspective. His camera takes a centralized position to allow the architectural concepts to get fair play.

Photography, he hoped, could translate the aesthetic decisions behind some very controversial and expensive designs that, to some people, are unrecognizable as churches.

In Turin, which hosts the Holy Shroud, Di Martino photographed Botta's Church of Santo Volto. Standing in what was a depressed steelwork factory, the church has received endless accolades by design experts around the world. But it has also been criticized by Vatican members and religious scholars who say they are extremely materialistic, devoid of spiritual references and divorced from the Catholic dogma.

At the other end of the discussion, these new architects are building a new vision for the future. Botta's work is often called "revolutionary" and "genius," and some have put it in the company of Le Corbusier and Niemeyer.

The crux of the issue: Is there a continuum with the past? Does it follow the Catholic Church's norms, defined by decree, for what is a church?

In an online interview, Botta acknowledged the struggle.

"To build a church nowadays is to come face to face with millenary history and, whether I like it or not, I find myself (confronting) these historical issues," he said.

Di Martino said that when he stood outside photographing these churches, he rarely got a positive response.

"I know you can't build Baroque churches today, but there is definitely a disconnect between the populace and the ideas of these architects," Di Martino said.

"The big issue is that we are in search of a model that can represent our era. And we haven't found one."

Vatican officials have lashed out against what they see as a diversion from dictates on how to build a church according to Catholic liturgy.

These laws, however, have been subject to interpretation.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The Diocese of Turin, for instance, defends its decision to stand by Botta's design, claiming it adheres to Catholic dogma on aesthetics. The seven-tower church with skylights is a symbolic play on the use of natural light in ritual and divinity. The industrial-looking church complex blends in with the area associated with Turin's working class. To the common eye, these towers may seem more like giant chimneys, a reference to the industrial, working-class area.

Photographing inside this monumental building is a different story. Liturgical tradition is referenced, but only slightly. Di Martino photographs the pixelated image of the Holy Face, a "half-cross" by the altar, every element illuminated by natural light. A possible allusion that God is omnipresent in the digital age?

In Rome, Meier was tasked to build a church in the city's somewhat derelict outskirts of Rome in an area called Tor Tre Teste. Perched like a white pearl amid tired tower blocks and parking lots, Meier's Jubilee Church is simple and reflects light like other Meier buildings. It is a clean, clear-cut design. But where is the recognizable iconography and other elements that help situate Catholics in this era of rationalist architecture?

Di Martino, who said his style is really photojournalism, has great interest in social issues. Photographing modern buildings makes sense in his body of work, he said.

"I approach architecture in the same way. I am interested in how man is placed in this design, even though I photograph these buildings without people," he said.

"They are not there, but I still like to narrate their story."

Andrea Di Martino is an Italian photographer based in Milan. You can follow him on Facebook and Twitter.

@highlight

Despite expensive price tags and celebrity architects, Italy's new churches have their critics

@highlight

Some say the buildings are too materialistic and lack a connection with the past

@highlight

Others have praised the architects for building a new vision of the future