(CNN) -- In her 1976 keynote address to the Democratic National Committee, Texas Rep. Barbara Jordan said words I will never forget:

"We believe that the people are the source of all governmental power; that the authority of the people is to be extended, not restricted. This can be accomplished only by providing each citizen with every opportunity to participate in the management of the government.

"We believe that the government which represents the authority of all the people, not just one interest group, but all the people, has an obligation to actively seek to remove those obstacles which would block individual achievement -- obstacles emanating from race, sex, economic condition."

That explains why I am a Democrat.

Beyond that, ensuring every American's right to vote and working to get out the vote -- every vote, regardless of party -- has been a lifelong goal, a personal quest.

Today, unfortunately, the right to vote seems to have become a partisan issue. Democrats seek to guarantee and expand voting rights. Republicans try to undermine and suppress voting rights.

It wasn't always this way. In 1965 when President Johnson realized that the previous year's Civil Rights Act was not enough, that the country needed a Voting Rights Act to protect the rights of citizens -- particularly blacks and minorities -- he called on the minority leader, Republican Sen. Everett Dirksen of Illinois, for help.

Clinton helps launch push against voter 'restrictions'

Dirksen responded, and the bill passed. His words remain relevant: "The right to vote is still an issue in this free country. There has to be a real remedy. This cannot go on forever, this denial of the right to vote by ruses and devices and tests and whatever the mind can contrive to either make it very difficult or to make it impossible to vote."

We agree. That is why I am proud to be launching the Democratic National Committee's new initiative -- the Voter Expansion Project -- where we are taking action to expand voting opportunities for all. We're moving beyond simply protecting the vote and becoming the leader in expanding the vote.

The Voter Expansion Project's mission is clear: Ensure that every eligible citizen can register, every registered voter can vote, and every vote is accurately counted.

Let me repeat that -- our mission is to ensure that every eligible citizen can register, every registered voter can vote, and every vote is accurately counted. I believe in the marketplace of ideas. I also believe that every citizen should have equal access -- through their voice and their vote.

Today, too many Republicans are making it harder for working Americans, students, women, people of color and the elderly to participate in the process. In states like Ohio, North Carolina, Florida, Texas, Wisconsin and many others, we see Republican-controlled legislatures engaged in voter suppression efforts, such as curtailing early voting, requiring restrictive IDs, etc.

That's not the American way. As Ronald Reagan said, "For this nation to remain true to its principles, we cannot allow any American's vote to be denied, diluted or defiled. The right to vote is the crown jewel of American liberties, and we will not see its luster diminished."

So as an American, I invite Independents and, yes, Republicans to join us. In fact, I ask my Republican friends -- and adversaries -- to answer Dirksen's challenge -- "How then shall there be government by the people if some of the people cannot speak?" Answer it as he did -- by working for the people, by trusting the people -- all the people.

But let me also be clear: As a Democrat and as an American, I don't believe we can wait. I am committed to the Voter Expansion Project because it will expand the vote by creating more access, engage more voters, protect the vote by breaking down barriers, demystify the process and make sure every vote is counted.

More specifically, the Voter Expansion Project has four main goals: 
1. Voter education -- train campaign staff, volunteers and voters about the rules and regulations in order to demystify the voting experience
2. Election administration -- work closely with election administrators to ensure they have the training and resources to conduct a fair election
3. Legislation -- advocate for laws that improve the voting experience and increase participation
4. Litigation -- fight laws that make registering to vote and casting a ballot more difficult to decrease participation

We will work with any group that helps further those goals. In addition, the Voter Expansion Project will, on a state-by-state basis, provide a network of voter advocates and a hub of information and best practices. It will provide consulting and advice to individuals and voter advocacy groups. It will also prepare tools and reports that will provide resources for expanding the vote. Finally, it will prepare a "Voter Bill of Rights."

Yes, the Voter Expansion Project is an initiative of the Democratic National Committee. Yes, it will utilize the DNC's experience in voter protection and its resources for voter advocacy.

But every citizen and every civic and political group should be on board with the Voter Expansion Project. Lyndon Johnson, a Texas Democrat, and Everett Dirksen, an Illinois Republican, recognized that expanding the vote benefited both parties and the country. They worked together for that. So should we.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile was inspired by Barbara Jordan to fight for voters rights

@highlight

She is launching a project to ensure that everyone can vote and all votes get counted

@highlight

Brazile: "We're moving beyond simply protecting the vote"