Washington (CNN) -- A Republican presidential debate on Tuesday focused on national security issues exposed deep fault lines within the GOP over how to grapple with the nation's challenges overseas.

The eight Republican candidates who took to the CNN debate stage in downtown Washington differed on a range of issues confronting the United States, including the war in Afghanistan, aid to Pakistan and cuts in defense spending.

The issue of illegal immigration also arose again as the newest Republican front-runner, former House Speaker Newt Gingrich, called for a "humane" approach to immigration policy, a position at odds with many conservative activists who dominate key nominating contests in Iowa, South Carolina and Florida.

Gingrich stressed the importance of securing the United States border with Mexico and penalizing employers who hire illegal immigrants.

But he expressed sympathy for people who entered the country illegally and since became contributing members of society.

Blog: The CNN debate as it happened

"I don't see how the party that says it's the party of the family is going to adopt an immigration policy which destroys families which have been here a quarter-century," Gingrich said. "And I am prepared to take the heat for saying, let's be humane in enforcing the law without giving them citizenship, but finding a way to give them legality so as not to separate them from their families."

The answer was reminiscent of Texas Gov. Rick Perry's response to a question about a 2001 bill he signed that granted in-state college tuition to the children of illegal immigrants.

In a September debate, Perry said Republicans who oppose the legislation "don't have a heart" -- and his standing in the polls plummeted in the following days.

Romney, the party's de facto front-runner for much of the year, pounced on Gingrich's remarks.

"Amnesty is a magnet," Romney said. "When we have had in the past programs that have said that if people who come here illegally are going to get to stay illegally for the rest of their life, that's going to only encourage more people to come here illegally."

iReport: What makes a good presidential candidate?

Minnesota Rep. Michele Bachmann, a member of the House Intelligence Committee who had one of her strongest debate performances of the cycle, also chided Gingrich.

"We need to move away from magnets, not offer more," said Bachmann, who is in single digits in the polls and pegging her candidacy to a strong showing in the Iowa caucuses.

The debate was held at Daughters of the American Revolution Constitution Hall in downtown Washington and was co-sponsored by the Heritage Foundation and the American Enterprise Institute, two conservative think tanks.

Gingrich entered the debate with fresh momentum in the Republican race and found himself in the spotlight for much of the evening.

According to a CNN/ORC International Poll released on the eve of the debate, 24% of Republican and GOP-leaning independent voters said they are most likely to support Gingrich for their party's nomination, with 20% saying they back Romney, who is making his second bid for the presidency.

Gingrich's four-point margin over Romney is within the survey's sampling error. A CNN poll released one week ago had Romney at 24% and Gingrich at 22%. Gingrich was at 8% in a CNN poll in October.

The new front-runner got the first question of the night, which sparked a feud with the libertarian-leaning Texas Rep. Ron Paul over the USA Patriot Act.

"I would look at strengthening it because the dangers that are posed are so great," Gingrich said about the legislation.

Paul, who has been sharply critical of the Patriot Act since it was signed into law by former President George W. Bush in October 2001, called it "unpatriotic" because it "undermines our liberty."

Paul took on the role of the lonely isolationist throughout the debate, calling on the administration to withdraw American troops from commitments overseas as a way to slash government spending.

He also questioned the point of humanitarian aid, including money to combat AIDS and other diseases in Africa.

"I think the aid is all worthless," Paul said. "It doesn't do any good for most of the people. You take money from poor people in this country and you end up giving it to rich people in poorer countries."

In the night's sharpest clash, Romney and former Utah Gov. Jon Huntsman battled over the American military presence in Afghanistan.

Huntsman, a former ambassador to China and the sole candidate with diplomatic experience, said he wants to withdraw most American troops from the country and instead rely on Predator drones and a small contingent of forces to fight terrorists.

"Are you suggesting, governor, that we just take all our troops out next week?" Romney asked.

"Did you hear what I just said?" Huntsman fired back. "I said we should draw down from 100,000. We don't need 100,000 troops, many of whom can't even cross the wire."

When Romney said the president should rely on the generals on the ground, Huntsman again responded aggressively.

"At the end of the day the president of the United States is commander-in-chief," he said. "Of course you're going to listen to the generals. But I also remember when people listened to the generals in 1967 and we heard a certain course of action in Southeast Asia that didn't serve our interests very well."

The candidates were also pressed on how they would change airport security measures if elected president.

Texas Gov. Rick Perry said he would privatize the Transportation Security Administration.

Former Pennsylvania Sen. Rick Santorum said his administration would apply "more scrutiny" to Muslim passengers in airports, as did former Godfather's Pizza CEO Herman Cain.

"If you take a look at the people who are trying to kill us it would be easy to figure out," Cain said.

Later, Minnesota Rep. Michele Bachmann dueled with Perry over his proposal to scrap all funding for foreign governments like Pakistan, which may not agree with American interests, and ask them to make the case for American funding.

Perry said the government should stop writing "blank checks" to Pakistan, but Bachmann called that proposal "naÃ¯ve" because the country has nuclear weapons that must be protected.

"Al Qaeda could get a hold of these weapons," Bachmann said.

@highlight

GOP candidates debate national security, foreign policy

@highlight

Debate was the 11th major showdown between the Republican candidates

@highlight

Gingrich was latest front-runner in the polls heading into debate