Los Angeles (CNN) -- Most Americans know of the Zapruder film of the JFK assassination -- the one and only visual recording of the killing of an American president.

Less known is another controversial recording -- this one an audio tape -- of the other Kennedy assassination, that of the president's younger brother.

It is the one and only sound tape of the RFK murder in 1968. Sen. Robert F. Kennedy was fatally shot in a Los Angeles hotel while making his own bid for the White House five years after President John F. Kennedy's murder.

That long-forgotten sound recording -- uncovered by a CNN International senior writer and highlighted on CNN BackStory in 2009 -- is now at the heart of an ongoing court effort by convicted RFK assassin Sirhan Sirhan to win a new trial or freedom.

In their first in-depth court filing, prosecutors this month addressed the existence of the tape and a controversial analysis of it by an audio expert: the sounds of 13 shots can be counted on the tape, even though there were only eight bullets in Sirhan's sole gun, which he had no opportunity to reload.

So, was there a second gunman involved in RFK's assassination?

Just as the Zapruder film raised questions in some theorists' minds about whether a second gunman was involved in JFK's death, the audio tape is being used as evidence in Sirhan's new legal effort to assert a second assassin was involved in RFK's murder.

In documents filed this month in federal court, California Attorney General Kamala Harris acknowledged the existence of the recording of the RFK shooting made by freelance reporter Stanislaw Pruszynski, who was covering Kennedy's presidential campaign and was about 40 feet away from the hotel kitchen pantry shooting.

Acoustic expert Philip Van Praag, featured in the CNN BackStory program, said his analysis of the tape concluded that at least 13 shots were fired.

That meant a second gun had to be involved, according to his analysis.

In her overall legal argument, Harris dismissed the second-gun assertion, citing "debunking" evidence.

But California's top prosecutor was finally forced to engage the second-gun analysis, and that legal development marked a new chapter in one of America's great political tragedies -- RFK's death -- and the case of the man convicted of his assassination, according to Sirhan's attorneys.

RFK assassin faces parole board

Prosecutors' engagement of the second-gun argument was stated clearly in court papers, when the California attorney general said about Sirhan's petition: "Petitioner at most has shown that, according to Van Praag, two guns could be heard firing 13 shots in an audiotape of the shooting."

At another point, Harris stated: "The mere possibility that more than one firearm was discharged during the assassination does not dismantle the prosecution's case."

Convicted RFK assassin denied parole

William F. Pepper, a New York attorney now representing Sirhan, said this month's court filing raised public "recognition" of a second gunman now being advanced by Sirhan and his attorneys.

Mindful of a nation's pain surrounding the Kennedy assassinations, Pepper is careful to note he was a political supporter of RFK in the 1960s. He adds that in 1999, he represented Rev. Martin Luther King's family in a wrongful death lawsuit concerning King's April 4, 1968, murder and successfully persuaded a Memphis, Tennessee, jury to find Lloyd Jowers responsible as an accomplice in the King assassination.

Pepper believes Sirhan was hypno-programmed to be a diversion gunman for the real assassin in RFK's murder.

"What is of interest is that there now seems to be more recognition of the fact that there was a second shooter, well positioned to put three bullets into the Senator from close powder burn range behind him, whilst Sirhan was always some distance in front of him," Pepper said in an e-mail to CNN.

Sirhan's insistence on the presence of a second gunman is highly controversial -- and it is questioned by some, such as legal expert Robert Shapiro, the defense attorney who gained prominence for successfully defending O.J. Simpson in the 1990s.

Sirhan seeks prison release

In fact, when Shapiro was in his last year of Loyola Law School in Los Angeles in 1968, he was at the Ambassador Hotel where RFK was shot. Shapiro had just heard Kennedy's speech after winning the California primary for the Democratic presidential nomination, but Shapiro said he was in a room next to the pantry where Kennedy was fatally wounded and Shapiro only heard, not saw, the gunfire, he said.

"So let's say that there was a second gun. Does that relieve him of any responsibility?" Shapiro said of Sirhan. "Even if there is a second, third or fourth gun, it's irrelevant to his claim that he's not responsible."

Shapiro remembers the night of RFK's assassination as "horrifying and one that you'll never forget."

"That's like 44 years ago. Unbelievable. I remember it vividly," Shapiro said. "I think about it now when I go by there and see a school being built there," on the site of the old Ambassador Hotel.

"It's interesting, but conspiracy theories will come out on every single case imaginable," he added.

Shapiro isn't a party in the latest court action.

In rebutting Sirhan's contentions, Harris criticizes the method of analysis used by the acoustic expert.

"As reflected in Van Praag's declaration, his conclusions depend on numerous assumptions he made in recreating the shooting, such as the location of Pruszynski's recorder, the make and model of the 'second' gun, the location of this second gun during the shooting, and the number of shots fired by petitioner before he was grabbed by others," Harris wrote in court papers.

Prosecutors rebut jailed RFK assassin's claims in freedom quest

"Moreover, Van Praag's tests necessarily involved his own personal interpretation of whether impulse sounds in the recording were actually gunshots. In turn, there is no dispute herein that Van Praag's interpretation or opinion about the number of shots and firearms is not universally accepted by acoustics experts and that the opinions of qualified experts are available to rebut or challenge Van Praag's controversial opinions," Harris said.

Harris further stated that even if it could be proven "that a second gunman successfully shot Senator Kennedy, (Sirhan) would still be guilty of the charged crimes" under California law.

Countering that, Sirhan's defense argues he was hypno-programmed to be the diversion, and that is based on a psychological examination by Daniel Brown, an associate clinical professor in psychology at Harvard Medical School who has interviewed Sirhan for 60 hours over three years, Pepper said.

"The inescapable conclusion was that Sirhan was subject to hypno-programming which involved the use of drugs and hypnosis," Pepper said in an e-mail. "Consequently, he was not in control of his actions on that night and cannot be legally responsible for them.

"I mention, as well, that Dan Brown's conclusion was precisely the same as that of Dr. (Edward) Simson-Kallas, who extensively examined and worked with Sirhan when he was in prison right after the trial," Pepper said.

Simson-Kallas was a prison psychologist, according to court papers.

"That these techniques were developed and used by the CIA over a 50-year period was also well documented, in our brief, by Professor Alan Scheflin, the leading expert on these practices," Pepper wrote to CNN. Scheflin, of the Santa Clara University School of Law, is an expert in the field of mind and behavior control.

Because Sirhan was under the mind control of conspirators, he wasn't legally responsible for his actions, and he should be freed or given a new trial, his attorneys contend.

The attorney general, however, said the psychological evaluation of Sirhan is undermined by a failure to provide "any concrete evidence ... about when, where and how (Sirhan) was programmed, about the identity of the 'malevolent hypnotist,' or about how the hypnotist happened to find (Sirhan) as his or her ideal subject for mind control.

"Without any independent evidence that (Sirhan) was actually hypno-programmed against his will to write about his intention to kill Senator Kennedy, to plan the murder, and to shoot Senator Kennedy on June 5, 1968, Brown's opinions about the possibility of mind control are insufficient evidence of actual innocence," Harris wrote.

Sirhan and his legal team have until February 22 to file in U.S. District Court in Los Angeles their response to the attorney general, Pepper said.

Was there a second RFK shooter?

@highlight

California attorney general responds in-depth for the first time to an audio tape of RFK's shooting

@highlight

Convicted assassin Sirhan was hypno-programmed to be a diversion for real gunman, his lawyers say

@highlight

A long-lost audio tape belonging to a reporter reveals a second gun, an expert says