(CNN) -- Iranian authorities have released an American-born graduate student on bail after holding her in prison for nearly a month, an Amnesty International spokeswoman said Tuesday.

Graduate student Esha Momeni was arrested last month in Iran and jailed after an alleged traffic violation.

Esha Momeni, 28, had been working on a project on the women's movement in Iran when she was arrested October 15 for an alleged traffic violation, according to California State University-Northridge and Change For Equality, an Iranian women's movement.

She had been held in solitary confinement in Tehran's notorious Evin Prison, Change For Equality said.

"We're really happy she's been released on bail," Elise Auerbach of Amnesty International said Tuesday. She said she learned of Momeni's release Monday through Amnesty's researchers in London, England, and from Momeni's family and friends.

Melissa Wall, a journalism professor at the university and an academic adviser to Momeni, confirmed the young woman's release in an e-mail.

Wall said they were waiting to see what will "happen next in terms of charges or conditions or sentencing." The university will hold a rally and vigil Wednesday calling for Momeni's return to California, she said. The event had been planned before Momeni's release.

Auerbach, the Iran specialist for Amnesty International USA, said she did not know the exact bail amount, only that Momeni's parents had handed over the deed to their home in Iran in return for their daughter's release.

"This is a real problem for her family because the state of their home is in doubt," Auerbach said, adding that if the Iranian government determines Momeni has violated the bail conditions, it can take her family's home.

Auerbach said Momeni has not been charged, "but there is some indication that they're planning on charging her."

Tehran's deputy general prosecutor, Hasan Hadad, has "deliberately leaked" to the state-run media his intentions to charge Momeni with propaganda against the state, Auerbach said. The Iranian judiciary has not commented on Momeni's release.

"A lot of people have faced that charge," Auerbach said. "It's kind of a vague, loosely worded charge that's kind of convenient. They can use it against whomever they want basically."

Auerbach said Momeni is not the only woman involved with Change for Equality who has been jailed recently; at least three women who worked with the group are being detained, she said.

Ronak Safarzadeh was arrested in October 2007 and charged with enmity with God, a charge akin to treason, and is being held in Sanandaj Prison; Hana Abdi, 21, recently was sentenced to 18 months at Sanandaj for gathering and colluding to commit a crime against national security; and Zeynab Beyezidi, 26, was sentenced in August to four years at Mahabad Central Prison for belonging to an illegal group, the Human Rights Organization of Kurdistan, Auerbach said.

As of Tuesday morning, the Iranian government had not returned Momeni's passport and travel papers, Auerbach said, adding that "there is a pattern that after people are released from detention they are still kept in Iran."

Among the examples, Auerbach said, are Haleh Esfandiari, an Iranian-American scholar with the Woodrow Wilson Center in Washington, and Mehrnoushe Solouki, a French-Iranian journalism student at the University of Quebec.

Esfandiari, 67, was arrested in 2007 while visiting her ailing mother in Iran. She was charged with harming national security and held for 105 days in Evin Prison. She was released August 21, 2007, after her mother posted $330,000 bail, but did not leave Iran until September 2, 2007.

Solouki was arrested in February 2007 and accused of "trying to make a propaganda film," according to Reporters Without Borders. She was released from Evin Prison the following month after her parents' house was offered as bail, but Solouki was not allowed to leave Iran until January, the group reported.

Momeni's father, Gholamreza Momeni, initially condemned his daughter's arrest, saying that even if she confessed to a crime, "anything my daughter may say in solitary confinement is worthless," according to roozonline.com, a news Web site run by exiled Iranian journalists.

The father gave a different account to the state-run Islamic Republic News Agency last week, however, and said he was angry that his daughter had engaged in "illegal activities."

"I got so angry that I and her mother decided not visit her," he told IRNA on Friday. "I deny all that has been attributed to me by Web sites and believe them to be the personal interpretations of the reporters."

He added, "As an Iranian, I love my country and do not wish any harm to the Islamic republic."

Hadi Ghaemi, coordinator for the International Campaign for Human Rights in Iran, said it was not clear under what circumstances Momeni's father talked to IRNA, but the remarks seem "very suspect."

"It really doesn't make any sense for him to make a verdict on his daughter's guilt," Ghaemi said Saturday, the day after the IRNA report was published.

CNN could not reach Gholamreza Momeni for comment Tuesday.

Since Momeni's arrest became public, Amnesty International, other human rights organizations and her university have called for her immediate release.

"We have concern for this young person because, like many young people, she is a dreamer, she's a thinker, she's a researcher," university Provost Harry Hellenbrand said last month.

Momeni "has the best interests of young people and women in her mind," he said.

The Los Angeles-born graduate student had been filming footage for a project on the women's rights movement, and interviewing volunteers for the One Million Signature campaign, launched in 2006 by Change for Equality.

The campaign seeks to collect signatures on a petition demanding that Iran rewrite its constitution to recognize men and women as equal.

According to the CSU-Northridge newspaper, the Daily Sundial, fellow graduate student Peyman Malaz said Momeni was "determined to better the lives of Iranian citizens."

Nayereh Tohidi, chairwoman of the school's gender and women's studies department, told the paper she, too, was involved in the campaign and had advised Momeni on her work.

"She has not been a part of any political parties, any clandestine movements," Tohidi said. "She has done nothing wrong."

Ghaemi said he believes Tehran wants to stifle the women's rights movement, and Momeni's arrest was meant to intimidate like-minded scholars or activists.

"We see here detention as a method of pressuring that movement on a broader scale," he said. "The government would very much like to quiet these women."

CNN's Eliott C. McLaughlin contributed to this report.

@highlight

Amnesty: Esha Momeni's parents gave Iranian government deed to their house

@highlight

Momeni shooting footage for project on Iranian women's movement when arrested

@highlight

Fellow student tells paper Momeni "determined to better the lives" of Iranians

@highlight

Momeni could still be charged with propaganda against the state, Amnesty says