(CNN) -- Music conductor Caroline Carson loves the sound of fighter jets.

Rushing to the window of her office at the University of New Orleans, where she directs the choral studies program, she saw the Blue Angels in the air practicing for an upcoming show.

Searching online later for more about their aircraft, she learned that Lockheed Martin was inviting Twitter users to apply to attend a ceremony marking the delivery of the last F-22 Raptor to the U.S. Air Force. Carson had only been Tweeting for about a year when her application was accepted to the Lockheed Martin "Tweet Up," which brought Twitter users together in May to tour the Georgia facility, meet and greet F-22 pilots, have free lunch and Tweet about the experience.

"I really felt connected to my father by going to this Air Force ceremony," said Carson, who traces her love of flying to her late father, who was a bomber pilot in World War II.

"I'm sitting on a plane and we take off -- and I know the science of flying -- but I still think 'how is this possible?' " said Carson, who also blogged about the experience. "Humanity has always looked toward the sky, and that's very human nature to look up."

Aviation enthusiasts like Carson aren't interested in your complaints about airline security or packed planes or high prices. To them, the thrill of flight has never gone away, and modern airline technology and design are more fascinating than ever.

One big change: No longer satisfied with simple snapshots of the newest Dreamliner for their photo albums or attending air shows or collectors' conventions, these enthusiasts are sharing their journeys online as they try to see and fly the newest airplanes, catch a glimpse of the latest in fighter plane technology or collect the most arcane aviation industry books or snacks. (Use the hashtag #avgeeks to find their postings online.) Sites range from one-man shops to businesses with paid staff and advertising.

"While air travel has become a chore for a lot of people, thanks mostly to the security hassles and airline fees, the fact that you can board a plane, get some sleep and wake up two continents away â€” for a reasonably affordable price â€” can all be traced back to the incredible underlying technology that allows an aircraft to run safely and efficiently for 14-20 hours a day, day in and day out," said Matt Molnar, editor of NYCAviation, an aviation website.

Airplane boneyard: Aviation geek lists 5 places worth a visit

"The mind-boggling logistics of running an airline -- from scheduling all the pilots and flight attendants to getting catering trucks where they need to be to cleaning the lavatories -- are also pretty amazing to me," said Molnar, who grew up in Queens, New York, obsessed with the airline traffic taking off and landing at nearby LaGuardia and Kennedy airports.

Some sites like NYCAviation aim to be the news source for aviation worldwide. Simon Hradecky's Aviation Herald reports every aviation incident and accident that he can track. Matt Cawby's blog reports everything he can capture on video or via camera coming in and out of Boeing's Paine Field. The AMARC Experience explores the amazing aircraft collection at "the Boneyard," the Pentagon's 2,600-acre parking lot for about 5,000 retired military aircraft near Tucson, Arizona.

The place where dead airplanes come back to life

Have you seen the Boeing Dreamliner?

For some aviation enthusiasts, catching a glimpse of the newest planes, documenting their finds and sharing their photographs is what brings them joy. A top catch these days is the Boeing 787 Dreamliner, which Paul McCarthy photographed during Boeing's "Dream Tour" stop in Sydney last month.

"Anything about aviation is exciting but the one thing that is really appealing is that change is the only constant," wrote McCarthy, community manager of Airliners.net, via e-mail from his home in Sydney. (Airliners.net hosts an active aviation community and includes a renowned collection of aviation photography.) "No matter what sector, there is always change and no matter what flight it is always different from the previous one. I can also go to the airport to photograph and be assured there will always be something different."

Still, access to a less-exciting Boeing 737-800 can still delight enthusiasts in the right context. Molnar, the NYCAviation editor, flew on a new Boeing 737-800 from the Boeing factory in Washington state to its new home in Rwanda.

"In the U.S. there are hundreds of 737s flying around and the average citizen doesn't blink an eye when American or Southwest receives a new one," said Molnar. "But in Rwanda there was practically a national celebration when we arrived to welcome their first factory-new aircraft."

Do you want a pool table or a trip to Jamaica?

Architect Mark Leininger credits his parents for choosing travel to China, Antigua, Colombia and other foreign destinations over material things throughout his childhood, instilling a love that has endured. Case in point: He remembers asking his mother for a pool table in third grade.

"Do you want a pool table or a trip to Jamaica?" she replied. He wisely opted for the travel, collecting the airline timetables that used to pile up at airport ticket counters in the pre-Internet era.

Back then, Leininger also constructed model airports and airplanes at home. Now he designs actual airports as associate director of Skidmore, Owings & Merrill, including Boston Logan's international terminal. But he's still a superfan, happily collecting aviation industry books in many languages wherever he travels around the world and attending collectors' conferences when he can.

Writer Ryan Ver Berkmoes has loved traveling since he demanded the window seat on a flight to Chicago -- at age 3. He also has a drawer filled with old timetables, and more recently, printed menus from his travels around the world as an author of Lonely Planet travel guidebooks.

"At age 6 my favorite place in the world was O'Hare airport where we would change planes," he said. "I was a little terror with my family, ordering them from, say gate E12 to F6 to make our connections and checking the black and white monitors all the way to make certain nothing had changed."

Despite the hassles of modern-day travel, "I still get a thrill when we surge down the runway to takeoff," said Ver Berkmoes. "I like anything that includes a feeling of movement. I'm a big fan of turbulence. (It) makes you feel like you're going somewhere."

Companies join the conversation

An aviation company can no longer roll a plane out of the factory or take it on a test flight in the middle of the night and not expect to be tracked by aviation enthusiasts. People are going to find out through Flight Aware, Cawby's blog or elsewhere.

"Why shouldn't we start the conversation and make people feel like they're part of something?" asked Boeing spokesman Doug Alder. "We're self-proclaimed aviation geeks, too."

Boeing hosts "Randy's Blog" which follows the world travels of a top Boeing marketing VP. It has also hosted three "Tweet Ups" to give aviation geeks an insider's view of Boeing and some company freebies. (The company now has four Twitter handles: @boeingairplanes, @boeingdefense, @boeingcareers and @boeing.)

It's the worldwide tour of the Boeing 787 Dreamliner that attracted thousands of new of aviation lovers to Boeing's Twitter handles, according to Alder. "We said when it was coming, when it was going, what it was doing while it was there," he said. "Even when events were not open to the public, we were able to give behind scenes images and take you there."

Perhaps one of aviation's more devoted bloggers is Cawby, who spends nearly 16 hours of almost every day outside Paine Field, the airport outside the Boeing factory in Everett, Washington. He records everything that comes out of the Boeing factory, gets video and pictures, and listens to radio traffic. A couple days ago, he said he rented a helicopter to get shots from the air of the airplanes below.

Surprisingly, he professes no love for aviation. He likes recording the news coming out of Paine Field and the fact that people like reading his blog and tweets. "There's an airplane factory here and there's brand new airplanes coming out and I get all of them," he said, speaking from his vantage point at Paine Field. "You can see everything here."

As if to prove his point, Cawby said he hasn't flown since 1972. He prefers to drive.

You told us: Top 5 spots for airplane geeks

@highlight

Despite the hassles, aviation enthusiasts still enjoy the thrill of flying

@highlight

Aviation geeks are sharing their passions for flight via blogs and Twitter

@highlight

Aviation companies are taking to social media to cultivate a following