(CNN) -- The horrific new report accusing Syria's embattled regime of torturing and killing thousands of detainees in government custody may not be a game-changer for the peace talks set to open in Switzerland on Wednesday, but they may well shift the narrative -- if only for a day.

Syrian President Bashar al-Assad has played some powerful cards ahead of the Geneva 2 talks. He has cranked up the airstrikes in Aleppo, Syria's biggest city and one of the main flashpoints of the three-year civil war that has devastated the country. And he sent Foreign Minister Walid Moallem to Moscow last week to announce a cease-fire proposal in an attempt to set the stage for opposition groups to look bad if they don't agree to the deal.

But when Syrian officials step in front of the cameras in Switzerland this week, the questions won't be about ceasefire deals. They'll be about the report, first revealed by CNN and the Guardian in an exclusive on Monday, alleging systematic "crimes against humanity" being committed against prisoners in Syrian jails.

4 things to know about Syria

There may be moments of discomfort for Foreign Minister Moallem here, but they'll be fleeting ones. It would be quite normal for the Syrians to question the authenticity of the photos depicting torture and starvation of prisoners, to brush the issue aside or shift the focus to the atrocities they claim have been committed by rebels (or "terrorists," as they're known in government parlance). We certainly won't see the Assad regime admitting culpability over this.

And while the timing of the report's release clearly seems intended to push some much-needed wind into the sails of the groups opposed to Assad , it's hard to see how they'll benefit much from the new revelations. Organizationally, the opposition is a mess. Several of the largest groups, including the Syrian National Council, aren't even showing up to the talks. Rival rebel factions are massacring each other by the hundreds in the streets and alleys of cities across Syria.

Even worse, none of the politicians who make up the majority of the Western-backed Syrian opposition are in the country, so they aren't in control of the military forces battling Assad's troops on the ground. The U.S. State Department said they hope a few rebel army leaders show up to the talks, but again, who are they and what weight do they actually carry? The principal rebel commander the U.S. was backing, Free Syrian Army general Salim Idris, fled the country in December. The influence of the group is being increasingly diminished by Islamist and al Qaeda-backed militants who the U.S. does not support.

All in all, no one is expecting any major breakthroughs during one day of talks. U.S. Secretary of State John Kerry, who will attend the first day of talks in Montreux before they move to Geneva over the weekend, has said in the past that negotiations to end the Vietnam war took years. The best case scenario for these talks is more talks -- and that none of the parties get up and storm out.

In terms of negotiations, when will we see some substantial compromises? Assad recently told reporters that we're still months away from him announcing a date for planned 2014 national elections. It seems increasingly likely that Assad will again run for president. But there's always the possibility that he could use the ongoing war to postpone elections altogether. Let's face it: how could you really hold elections when eight million people are displaced in Syria? The regime would control the balloting and accounting processes: who would provide security? It would be crazy to think international monitors could reliably observe national polls with a full-blown war happening all around them.

If -- and probably when -- Assad won an election, it is clear the opposition would simply continue to refuse to recognize him as the legitimate leader of Syria. But until the yet-to-be announced date for a poll approaches, we aren't going to get to a decisive moment in peace talks. It's too early to say, and we're still so far away from any compromise points.

EXCLUSIVE: Gruesome Syria photos may prove torture by Assad regime

CNN's Nick Thompson contributed to this report.

@highlight

The new report accusing Bashar al-Assad's regime of torture may shift the focus of the peace talks

@highlight

Syrians may question the authenticity of the photos, writes CNN's Nic Robertson

@highlight

Organizationally, the Syrian opposition is a mess, he says

@highlight

Robertson: No one is expecting any major breakthroughs during one day of talks