Syria-Turkey border (CNN) -- The dead are everywhere.

Nonexistent until last June, the encampment of about 1,600 people now is a haven of peace compared with the terror experienced in the country just 300 yards away. Housed in neat, white tents in southern Turkey, with cooking stations in between, people here do not have to worry about being silenced, tortured, arrested or killed.

In other words, they don't live in fear of what they say happened all around them on a daily basis -- and still happens -- in their war-torn nation of Syria.

EU slaps new santions on Syria

They are, however, left with the memories of people killed. And they share them freely, in the form of grainy videos showing their loved ones' funerals, pictures on cell phones of their missing sons and stories about the horrors they escaped but many of their countrymen still endure.

"They want the world to understand them. They want the world to bear witness," Fouad Ajami, a senior fellow at Stanford University's Hoover Institution, said Monday from the camp. "They also see the camera as a way of holding onto the memory of this lost world, a world that is very achingly close."

The fighting has prompted thousands to flee Syria, setting up new lives in a number of makeshift camps in neighboring nations. The United Nations estimates at least 9,000 people have been killed over the past 14 months in Syria.

President Bashar al-Assad's government blames the violence on "armed terrorist gangs," while the opposition and many in the international community say it is the result of the regime's bloody crackdown on dissent. Not including arrests, opposition groups actually estimate the death toll is at more than 11,000 and growing.

A month after 'cease-fire,' where does Syria stand?

Two of those killed are sons of Abu Mohammed, who recalled from the camp in Turkey how they had been fatally shot by security forces while demonstrating in Syria about a year ago. Another son is missing, believed to be arrested and possibly killed without ever having never met his 7-month-old son.

Mohammed cannot justify why Syrian security forces killed his sons and the children of so many others. But he knows why they spoke up, and why many are still fighting.

"We had young men that cried out and shouted, 'Freedom!', and they were killed for that?" he asked rhetorically.

"We just want freedom. What's wrong with asking for freedom?"

Through a hole in a fence, past olive groves and across rolling farmland, that sense of freedom lives -- albeit tenuously.

While the Syrian government exerts control over most of the country, there are exceptions.

The police station of one town, for instance, was turned into makeshift barracks for fighters from the rebel Free Syrian Army. At a school, where al-Assad's government still pays the teachers' salaries and for textbooks, students in blue uniforms burst into chants slamming their president.

Outside town, opposition fighters take up positions along roads. They take a 19-year-old prisoner who, they say, was headed to enlist in al-Assad's armed forces, sparing him only after he vows to join their fighting force instead.

Even with this sense of ownership and fragile freedom, there is little sense here that the end is near. That's especially true back at the refugee camp in Turkey, where expectations are low that they will return home safely anytime soon.

The cease-fire that was to take effect last month hasn't ended the violence. One Syrian activist, identified as Zaidoun, says the government is "playing games" even with the scores of unarmed U.N. monitors in the country. Zaidoun said the government decreases attacks wherever the monitors are, then fills the void after they leave by pounding communities with mortars and gunfire.

Zaidoun says he has all but given up hope that people from outside Syria will intervene and stop his people's suffering. But he still has faith that the dreams of he and other opposition will be realized.

"It's OK. We know now that world is happy watching us being killed, and we will do it on our own," he said.

"Even if it takes 10 years, we are on the streets and we will not change, we will not retreat, and we will not give up."

@highlight

Hundreds of Syrians pack a camp in Turkey, one of several set up for refugees

@highlight

They came here to flee violence that U.N. says has killed at least 9,000 people

@highlight

Rebel fighters control some areas in Syria

@highlight

A man whose two sons were killed asks: "What's wrong with asking for freedom?"