(CNN) -- On the one hand, there's the need to respect and protect people's constitutional right to congregate and express their opinions. On the other, there's the need to make sure all people and all property are safe and secure.

But, if and when these responsibilities' conflict, where do you draw the line?

That's a question authorities in Ferguson, Missouri, are having to answer this weekend. In fact, they've had to answer it every day and night since 18-year-old Michael Brown was shot dead by a police officer.

The shooting stirred anger, indignation and emotional, expansive, racially-charged protests. At times, these protests have been followed by looting -- as happened overnight Friday -- and confrontations with police.

"If there was an easy way to separate those who hurt from those who helped, we would. But it's hard," Gov. Jay Nixon said. "And sometimes, especially at night, we can't."

Acknowledging "the balance is important" between maintaining security and protecting the First Amendment right to free speech and peaceable assembly, Nixon on Saturday decided that -- for five hours daily, at least -- security will take precedence. He's instituted a curfew for Ferguson to last between midnight and 5 a.m.

Governor imposes curfew in Ferguson

"This is not to silence the people of Ferguson or this region or others, but to contain those who are drowning out the voice of the people with their actions," Nixon said. "We will not allow a handful of looters to endanger the rest of this community."

His decision stirred instant indignation among many gathered at the community meeting where he announced it. Some screamed out that authorities' priority should be to provide justice to Brown's family, not to clamp down on those calling for it.

Carissa McGraw is one of those protesters who don't think the curfew makes sense, accusing authorities of being focused more on intimidating people than addressing their core concerns and calls for justice. The order might further fuel residents' animosity by giving the implication that police don't trust them to be on the streets.

Beyond that, McGraw simply thinks having a curfew won't work -- and, in fact, might make things worse for community-police relations if it leads to confrontations.

"They're not going to do this," McGraw said of people abiding by the curfew. "You have people who -- at this point -- do not care what authorities say right now."

Rebuilding trust seen as key

The shooting of Brown spurred animosity among Ferguson residents toward their police force. The fact that Brown was black while the man who shot him, officer Darren Wilson, is white added fuel to the tension.

The police response in the days afterward didn't help, with some criticizing it as too militarized and heavy-handed. Nor did Ferguson police Chief Thomas Jackson's decision to release video and documents calling Brown the "primary suspect" in the robbery of a box of cigars from a convenience store, only to add hours later that this robbery wasn't related to why Wilson confronted the teenager.

Multiple officials -- from U.S. Attorney General Eric Holder to Missouri State Highway Patrol Capt. Ron Johnson, who has been overseeing the security in Ferguson since Thursday -- have spoken about the need to rebuild trust in the community for law enforcement.

But as community members' shouting down of Johnson and the governor at a meeting Saturday illustrated, it hasn't happened yet. Far from it.

The situation did appear to calm significantly Thursday, when Johnson literally and figuratively embraced the protesters rather than confront them. Then came Friday night and early Saturday morning, violence that McGraw said she believes was "instigated by the police officers themselves (who) were in their militant stance against the people.

"At that point, the people were like, 'Wow, we're supposed to have our freedom. We're supposed to be able to do this. And you're still being very aggressive.' "

Ex-FBI official: 'No choice' but to have curfew

There are also those who think police weren't aggressive enough as men looted stores around Ferguson overnight Friday. While some activists criticized authorities for using armored vehicles and tear gas in one instance, on the other side store owners ripped police for not stepping in and arresting those responsible.

Not being as aggressive could invite more criminal acts in Ferguson, claims Tom Fuentes, a former FBI assistant director and CNN law enforcement analyst.

"If I was a police officer on the street once again in that situation, I'd be scared that the message went out to all the hooligans in the greater St. Louis area, if you need a new TV set or you need something, come to town because we're not going to stop you when you start looting stores," Fuentes said.

"That's a horrible message to send."

In Fuentes' opinion, authorities had "no choice" but to institute and enforce a curfew. A full week in, the situation has not gotten much better -- as the unrest overnight Friday shows.

As Cincinnati Police Chief Jeffrey Blackwell said, "There is no excuse for looting to be going on six days later in a community in the United States."

If people go after more stores, what are police supposed to do? If they throw rocks or Molotov cocktails at police, what's wrong with having them wear riot gear and armored equipment? And, the bottom line, how long can this go on before authorities step in and clear the streets?

If the protesters aim to get their message out and, in so doing, get justice for Michael Brown, then "we must first have and maintain peace," Nixon said. And having a curfew should help in that regard, he argued.

"The eyes of the world are watching," the governor added. "This is a test of (whether) a community -- this community, any community -- can break the cycle of fear, distrust and violence and replace them with peace, strength and ultimately justice."

Cincinnati chief: Some residents must 'stand up'

Will Ferguson pass that test? Will residents and the police come to see other as being part of the same solution, rather than seeing each other as the problem?

A big part on how that relationship turns out might depend on what happens with officer Wilson, including whether he's charged and/or convicted in Brown's shooting.

But beyond that, the most important thing all parties must do is talk, Blackwell said. Really talk.

"Their needs to be words of healing," the Cincinnati police chief said of what police and other officials must express. "There needs to be a strategic dialogue that is aimed at resolution and reconciliation."

It's not all on police, though. The people of Ferguson -- especially the leaders among them -- also have a responsibility to speak up, act out and take care of their community, according to Blackwell. That means working with police as partners, not as adversaries, for the common good.

"There needs to be some people that stand up," Blackwell told CNN. "... The people in Ferguson that stand for justice and stand for peace need to be in the trenches with law enforcement, right now."

What's next as authorities probe Ferguson shooting?

@highlight

Ferguson, Missouri, has seen large protests, some violence

@highlight

Residents are angry over police shooting a teen, the police response afterward

@highlight

Authorities say they respect rights to assemble, but also have a duty to maintain security