Las Vegas (CNN) -- If so-called "smart TVs" are so clever, why do we feel so dense when trying to compare them?

Each television manufacturer has its own take on what the software that lets a TV connect to the internet should look like. These myriad smart TVs, with their varying degrees of technological intelligence, were on display throughout the Consumer Electronics Show.

Many of the systems developed independently by the various companies look strikingly similar, but offer different features and content.

Most provide access to YouTube's and Netflix's streaming video services. Some, like Sharp's Quattron series, have Pandora for internet radio and Facebook. Others let you tweet from the TV screen using a keyboard remote.

Samsung's new Web-connected TV and LG's Smart TV platforms can stream video from a computer or from a few smartphone models using a protocol called DLNA. Setup isn't a cakewalk.

Compounding the confusion is when TV makers put lesser-known services, like Vudu, Rovi or CinemaNow, front and center.

To top that off, several major TV manufacturers produce separate models that run completely different platforms.

Sony's Bravia TVs can access Hulu and a number of other services. But Sony's Google TV sets can't get Hulu.

Toshiba's Net TV system can do Skype, along with other applications. But its Yahoo Connected sets have another set of apps that look and perform differently.

Samsung introduced the fourth version of its connected TV platform at CES, and signed partnerships with Hulu and Adobe. Samsung also announced that it would make a Google TV set and a set-top box, both of which can run Adobe's software but not Hulu's.

"That is different than our smart TV," Samsung president Tim Baxter said in an interview, "but for some consumers who are looking for that solution, we want to be able to serve that."

Another advantage of having products with Google's software on them: "The brand name means something," Baxter said. The name Google resonates with certain potential customers that Samsung may not impact.

Google and Samsung partner in various areas, most tightly in mobile. Samsung says it wants to offer a wide array of platforms. That's consistent with how it runs its phone business, building smartphones that use either Google's Android or Microsoft's Windows Phone 7.

"We want to offer choice," said David Steel, Samsung's marketing executive. "You won't see us choosing one platform over another."

But Google TV is stumbling over obstacles from TV networks that don't want their internet content available on the big screen. Add to that, the search-centric software has been plowed by critics for being poorly design.

Perhaps so the company can retool, Google TV's footprint at CES is small, being showcased sparingly by early partners.

"Being able to use your television set as an internet-search appliance really isn't what people think of when they come to the TV," TiVo CEO Tom Rogers said in an interview. "They're looking for a television experience. ... That's something that you have to be very television-focused, very television-centric to deliver."

TiVo's Premiere box can access some internet services, in addition to recordings. Several other companies are producing Web-connected boxes that can hook up to TVs, but those could be less desirable as new TVs come with Wi-Fi functions and Web features built in.

Google's inability to find the right formula for TV software, like it did for smartphones with Android, leaves a major opportunity for software makers.

Google's longtime competitor, Yahoo, makes an operating system for the big screen. Startups like Boxee are trying to fill this niche by creating attractive internet software that is provided to manufacturers for free. So far, they've had limited success.

So unlike the smartphone area, which is dominated by just a few players, there are at least a dozen platforms with different sets of apps, interfaces and features.

After sales of LCD TV sets grew last year, sales are expected to slow 13% this year, according to a report by research firm DisplaySearch. In addition, smart TVs may not prove to be a big selling point. Samsung's Baxter says less than half of people who buy the company's internet-enabled TVs actually connect them to the Web.

For Samsung, standing out in a sea of smart TV platforms could come down to unique methods for connecting its various products together.

The Samsung TV platform can run third-party apps, like a smartphone does, and some of them can even interact with a phone. For example, there's a Samsung TV app that lets you draw on a Galaxy S phone and see your artwork on the big screen.

"Where we think we have a big opportunity going forward is the link between 4 inches, 7 inches and 55 inches," Steel said, referring to the screen sizes of Samsung's smartphones, tablets and big-screen TV.

@highlight

Connected TVs have a major presence at CES

@highlight

The offerings can be confusing since there are so many platforms

@highlight

Several manufacturers produce similar TV models that run completely different software