Iranian centrist candidate Hassan Rouhani won the Islamic republic's presidential election Saturday after campaigning on a "hope and prudence" platform in which he appealed to traditional conservatives and reform-minded voters alike.

Rouhani spoke of reforms without threatening Iran's supreme leader or its institutions, of which he is a product. The former national security council chief promised an environment with greater personal freedoms and even indicated he would free political prisoners and jailed journalists.

In his campaigning, Rouhani also pledged to improve the economy and unemployment, and as a former nuclear negotiator, he said he would reduce the high tension between Iran and the outside world by addressing sanctions related to Iran's nuclear program.

Young and old Iranians continued their celebration of his victory as Saturday became the early minutes of Sunday. They honked horns and flashed victory signs with their fingers.

In a message through the semiofficial Fars News Agency, the 65-year-old Rouhani thanked God "that once again the sun of rationality and moderation is shining over Iran again to send the voice of unity and cohesion of this nation to the world."

He cited "all moderates, all reformists, and all principlists."

"This victory is the victory of wisdom, moderation, growth and awareness, the victory of commitment and religiosity over extremism and ill tempers," Rouhani said.

In a sign of how the West is interested in how much change Rouhani could bring to Iran, the British Foreign Office immediately called upon Rouhani to set a new course for the country.

"We call on him to use the opportunity to set Iran on a different course for the future: addressing international concerns about Iran's nuclear program, taking forward a constructive relationship with the international community, and improving the political and human rights situation for the people of Iran," a Foreign Office spokesman said.

The administration of President Barack Obama hopes "the Iranian government will heed the will of the Iranian people and make responsible choices that create a better future for all Iranians," a White House spokesman said.

"The United States remains ready to engage the Iranian government directly in order to reach a diplomatic solution that will fully address the international community's concerns about Iran's nuclear program," the press secretary's statement added.

While the White House respected the vote, it charged that the election occurred "against the backdrop of a lack of transparency, censorship of the media, Internet, and text messages, and an intimidating security environment that limited freedom of expression and assembly."

U.N. Secretary-General Ban Ki-moon offered his congratulations and called on Iran to take a "constructive role in regional and international affairs."

In Syria, an opposition coalition in that country's two-year civil war said it hoped Rouhani would end Iran's support of President Bashar al-Assad's regime.

"With its continued support for Assad, Iran has used all political, military, and economic means to block Syrians from achieving democracy and freedom," the Syrian Coalition said in a statement from Istanbul, Turkey.

"The Syrian Coalition also hopes that Iran recognizes the Syrian people's plight for free elections, rights and freedoms and that it halts all support to the oppressive Assad regime," the group said.

Opinion: Will Rouhani alter Iran's policy on Syria?

High turnout reported

Iranian officials reported a high turnout, with nearly 73% of some 50 million registered voters -- men and women, young and old -- turning out, Interior Minister Mostafa Mohammad-Najjar announced Saturday.

The lines extended into the streets at times Friday, as voters waited to pick their choice to succeed two-term President Mahmoud Ahmadinejad in the country's 11th presidential election.

Rouhani takes Ahmadinejad's mantle as one of the country's most visible figures, at a time when it is dealing with painful economic sanctions tied to international concern about its nuclear program.

But he won't be Iran's most powerful man. That distinction belongs to Ayatollah Ali Khamenei, who has been Iran's supreme leader since 1989. He's got plenty of backing, from conservative citizens to loyalist militia groups to, most notably, the Revolutionary Guard.

Rouhani has all-round credentials in Iran's institutions that include senior cleric, former commander of Iranian air defenses and is an intellectual with three law degrees, including from a university in Scotland.

He has a reputation for shunning extreme positions and bridging differences.

While he has represented Khamenei on Iran's security council since 1989, he has avoided being perceived as a pushover and has taken exception with the supreme leader on being too rigid toward the international community, according to an Iranian scholar at Stanford University.

Rouhani has accused state-run media of censorship and publishing lies.

Ahmadinejad congratulated Rouhani.

"I have always deeply believed in the vast and endless capacities of the Iranian nation for development and greatness," Ahmadinejad said. "I believe that all peaks of glory can be conquered by believing and trusting in the Iranian nation and by respecting different interests and tastes."

On the streets of Tehran, one celebrating group of two young men and two young women said that if Rouhani does what he promised, they would be "very happy" with him.

The other candidates were two-term Tehran Mayor Mohammad Bagher Ghalibaf, Saeed Jalili, Mohsen Rezaei, Ali-Akbar Velayati and Mohammad Gharazi.

Velayati, Ghalibaf and Jalili, who is Iran's chief nuclear negotiator, are considered close to Khamenei and would have been unlikely to challenge his authority. Of the three, Jalili had enjoyed the most popular support going into the vote.

Results showed that Rouhani secured 18.6 million votes -- or 50.7% of the 36,704,156 votes tallied.

Second was Ghalibaf, with 6.1 million votes, and third was Jalili, with nearly 4.2 million votes.

Moments after Rouhani was declared the winner, supporters started filling the area near Tehran's Haft-e-Tir Square, waving the campaign's purple flags, a witness told CNN. Motorists honked, and pedestrians held their fingers high with the V sign.

Earlier, British Prime Minister David Cameron told CNN's Richard Quest that the international community "will have to deal with whatever the situation is."

"We have to remember this is always only an election between a restricted number of candidates, it's not democracy as we know it," he said.

"We have a very clear message to the Iranian government, which is that there is an option that gets Iran back into the international community, back into the family of nations. But it's got to be proper cooperation on this nuclear dossier, where so little progress frankly has been made. Otherwise, we will continue with the sanctions."

Powerful support

It was Iran's Guardian Council, an unelected body made up of six clerics and six lawyers operating under the oversight of the supreme leader, that drew up the restricted list of candidates from the 680 who initially registered.

Eight candidates were approved, two of whom subsequently dropped out.

The final six contenders didn't include any women. Nor did they include Ahmadinejad's aide and protege Esfandiar Rahim Mashaei, who was among those excluded by the Guardian Council.

Rouhani had the backing of the highly influential former President Akbar Hashemi Rafsanjani and appears to have won over parts of Iran's subdued reform movement.

The 65-year-old cleric's campaign began to gather steam last month, when he dared to accuse the state media of censorship and lies during a live interview on state TV, and then criticized the government's tight grip on security at a televised rally a few days later.

Despite his growing popularity among opposition circles, Rouhani has long been a part of Iran's ruling establishment.

The only cleric among the candidates, he has close ties to Khamenei and served in Iran's parliament for two decades. He was also Iran's lead nuclear negotiator from 2003 to 2005 and  holds seats on several powerful decision-making bodies.

Hours into the voting Friday, Rouhani complained of a voting irregularity. A reform candidate, Mohammed Aref, who dropped out of the race earlier in the week, was still on some ballots.

Rouhani was worried that voters might mistakenly select Aref, which would amount to a vote thrown away. It was not clear how many ballot papers were concerned.

CNN's view on the streets of Tehran

CNN's Erin Burnett on 2013 vs. 2009 elections

2009 chaos

Four years ago, when allegations of election fraud sparked widespread protests, Iran's police and the Basij, a feared paramilitary group, cracked down on the opposition Green Movement.

Protesters were jailed, and human rights groups alleged many were tortured and killed behind bars while the government quashed the uprising.

Reform politicians representing the movement, including Ahmadinejad's election rival, former Prime Minister Mir Hossein Moussavi, have been under house arrest since 2011.

Despite the unrest, Ahmadinejad's re-election was formally certified by the clerical establishment.

@highlight

U.N.'s Ban Ki-moon calls on Iran to take a "constructive role" in the region

@highlight

Rouhani cites "the victory of commitment and religiosity over extremism and ill tempers"

@highlight

Hassan Rouhani appealed to traditional conservatives and reform-minded youths

@highlight

British Foreign Office spokesman asks winner to set "a different course" for Iran