The hair. The girls. The screaming.

The jolt created by The Beatles' invasion of America couldn't happen today. We're just too connected.

In today's world, the Fab Four's frenzied Hamburg and Cavern concerts would be all over YouTube. Twitter would be abuzz about this new group with the funny hair and the screaming fans. Countless cell phones would be raised in glory at their every move.

There would be no element of surprise, no sense of unveiling.

But 50 years ago, it was revelatory.

5 things to know about Beatlemania

On February 9, 1964, The Beatles made their U.S. debut on "The Ed Sullivan Show." Sullivan was a Sunday night staple, one of the great variety shows, a TV version of vaudeville with comedians, acrobats and song-and-dance acts.

Into this staid carnival came four fresh-faced Englishmen with their hair and guitars.

Americans had heard their music in the first few weeks of 1964 -- "I Want to Hold Your Hand" was already the No. 1 song in the country and other Beatles numbers were making their way up the charts -- but John, Paul, George and Ringo were essentially unknown, two-dimensional photos at best.

The Sullivan appearance kicked off the American strain of Beatlemania, a fever that had already infected their native Britain. It would last for years, morphing along with the band as they performed in stadiums, retreated to the studio, experimented with drugs, married, divorced, bickered and eventually broke up.

The Beatles of myth, The Beatles of reality

Now, a half-century later, The Beatles are back -- and Beatlemania has struck again.

CBS is airing a special devoted to the group. Capitol Records, The Beatles' label, is re-releasing the band's 13 U.S. albums. CNN is airing "The British Invasion," a look back at the musical revolution the band spawned. It's co-produced by Tom Hanks, who expertly recreated the time in his 1996 film "That Thing You Do!"

Everybody with a memory -- not least Paul McCartney and Ringo Starr, the surviving members of The Beatles -- is making the rounds.

At the Grammy Awards on Sunday night, McCartney and Starr reunited for a song and were frequently singled out by presenters. Yoko Ono and Olivia Harrison, John Lennon and George Harrison's respective widows, presented the album of the year award. The audience, invariably, cheered.

In many ways, the Sullivan appearance marked the beginning of a cultural revolution.

The Foo Fighters' Dave Grohl perhaps said it best on the Grammys red carpet.

"The Beatles," he observed, "are the foundation of everything we do."

'It was an unreal situation'

But first came the hair, the girls, the screaming.

"It began with shrieks, sirens and total panic," wrote Gail Cameron in Life magazine of their arrival at New York's John F. Kennedy Airport -- renamed just weeks earlier for the fallen president -- rarely failing to mention a "mop of hair" or "Beatle haircut."

Newsweek scoffed. "Visually, they are a nightmare: Tight, dandified Edwardian beatnik suits and great pudding bowls of hair," the magazine wrote.

The hair, to a postwar world used to crew cuts and short back-and-sides, was novel. Reporters asked to touch it. Fan clubs gave away snippets, like pieces of the One True Cross.

But the screams? They had screamed before -- for Liszt, for Sinatra, for Elvis -- and they would scream again. But they had never screamed like this. The scene at JFK, the crowds around New York's Plaza Hotel, the jet-engine squeals inside CBS' Studio 50 for the debut appearance on "The Ed Sullivan Show" -- they were, literally, unheard-of.

"I did (cue) cards for Presley, and I remember kids yelling. But nothing close to what happened (then). You can't compare the two," says Vince Calandra, at the time a 29-year-old production assistant for Sullivan. "It was an unreal situation."

Did you get swept up in Beatlemania? Share your memories here

The Beatles were like aliens dropped into the United States of 1964. Kennedy's assassination 10 weeks earlier had left a gloom on the land. Together, the two events created a dividing line between Then and Now.

"A lot of people don't understand why (Sullivan) was a seminal moment in the history of America and, for that matter, the history of the world," former Arkansas governor and presidential candidate Mike Huckabee recalled in a recent speech.

"The country had just gone through a very painful time of mourning. ... There was an extraordinary amount of despair, heartbreak, disappointment," he continued. "I think people forget that we were still grieving as a nation.

"The Beatles brought something to America more than music. They brought hope."

As former Rolling Stone editor Ben Fong-Torres told CNN's Piers Morgan this week: "They were a novelty. They were so different. And they were so good and they were so charming and they were so cute."

At the time, though, only the true insiders -- visitors to Britain, Sullivan's scouts, international correspondents -- knew what to expect. They knew that something was happening, but even they didn't know just what it was.

They would find out.

'You could buy this stuff?'

The United States was a different country. It's somehow appropriate that The Beatles' appearance was in black-and-white. The mod, colorful '60s were partly a result of their handiwork.

"When we got here, you were all walking around in f**kin' bermuda shorts, with Boston crew cuts and stuff on your teeth," recalled John Lennon in 1970. "We just thought, 'what an ugly race.' "

The effect was immediate -- and overwhelming.

In a country of 192 million, more than 73 million people saw The Beatles on Sullivan -- a record for an entertainment program and an incredible figure even in a three-network era, when 25 million viewers was a good performance. Other shows would surpass it -- "Who Shot J.R." on "Dallas," the finale of "M*A*S*H" -- but in our fragmented cable-and-Internet world, only the Super Bowl gets bigger audiences nowadays.

The Beatles also helped revive rock 'n' roll. Yes, Motown and surf music and girl-group pop were making inroads, but in their retooling of Chuck Berry riffs, R&B grooves and Everly Brothers harmonies, The Beatles carried it to another level.

"Back at the radio I caught 'I Saw Her Standing There' and was instantly convinced it was the most exciting rock 'n' roll I'd ever heard," rock critic Greil Marcus, then a Berkeley college student, wrote in "The Rolling Stone Illustrated History of Rock and Roll."

When a friend showed him the freshly purchased single, he was agog.

"You could buy this stuff?" he asked.

Back to The Beatles

Buy it they did. The Beatles dominated the charts. They had been booked on three straight Sullivan shows; the second one, broadcast from Miami, had ratings almost as high as the first. By April 4, they had all five of Billboard's top five singles. The next week, they had 14 songs in the top 100. Both are records likely never to be broken.

Indeed, so much of what The Beatles did is now unassailable. Radio stations aren't as wide open as they were back then; nobody would ever program so many songs by the same artist. The iTunes charts seem to change hour by hour, so trends are washed away within days. Music has splintered into countless microgenres.

So much of popular music -- both the business and the artistic inventiveness -- can be traced to The Beatles. If they're back, they've never really gone away.

Three years ago, the group's 1969 album "Abbey Road" was the best-selling vinyl album of the year. Thirteen years ago, the greatest-hits package "1" was the No. 1 album in the country, wrapping up an eight-week stint at the top. Almost 20 years ago, all three of the "Anthology" volumes went to No. 1. And so on.

The Beatles are part of our cultural DNA.

The hair? It's now the norm. The squeals are dedicated to the boy band du jour. The music still reverberates.

In February 1964, though, who could know what the future would bring? Not even The Beatles imagined becoming household names. And most observers -- besides the cheering fans -- could only see another fad, there to entertain the masses and make way for the next one.

"The only thing that's different is the hair, as far as I can see," Ray Bloch, Sullivan's musical director,told a reporter. "I give them a year."

@highlight

50th anniversary of Beatles on "Ed Sullivan Show" is February 9

@highlight

Event was most-watched entertainment program of its time

@highlight

Beatles' performance helped kick off cultural revolution