COMO, Mississippi (CNN) -- Mary Dowden smiles when she thinks about this moment in history. At 80 years old, she's the granddaughter of a slave who was born in a cotton field outside of Como, Mississippi.

Mary Dowden, 80, is the granddaughter of a slave. Barack Obama is bringing white and blacks together, she says.

It's difficult to put into words how she feels about Barack Obama, the issues so complex for a black country girl who lost both her parents by the age of 18 and then had to work a hard-scrabble life as a sharecropper.

"I was really afraid for him, because I didn't want nobody to kill him," she says when asked about casting her ballot for Obama.

But she pauses and smiles. "I'm awfully proud of him, as a black person."  Watch "white and black is coming together" »

Did she ever think she would see this moment?

"No, I didn't," she says. "I always thought that, you know, the white was over the black, that they was the leading folks, that one nation is gonna be over another one, and that would be the white over the black. I never thought it would be a black president."

With Obama's election, CNN.com traveled to the town of Como to talk with African-Americans about their experience growing up black in Mississippi and what this moment in history means to them.

Como is a town of 1,400 people 45 miles south of Memphis, Tennessee, along Interstate 55. It is a hard-hit rural community, home to a school with the dubious distinction of being among the worst-performing schools in the nation. In 2007, the IRS froze the town's bank accounts for not paying payroll taxes.

A railroad track cuts through the middle of town. Even to this day, blacks largely live on one side of the track; whites on the other side.  See the hard-scrabble life of a slave's grandson »

Dowden is a living testament to a life of struggle, sacrifice and ultimately success. When she was 10 years old, her mom cooked a dewberry pie after working the cotton fields all day. She then went to a friend's house and died.

"It was real devastating," Dowden says softly. "I was 10. My sister was 12, and we didn't know how to do nothing. And we had to take care of our little brother."

She missed one year of schooling because her father, Moses Wilson, couldn't afford schoolbooks. He died four days after she turned 18.

She had two photos of her parents, but they were lost over the years. She knows even less about her grandparents.

"All I know is, he said that his momma was sold. She was auctioned off," Dowden says. "I don't know where she was from. I don't know anything about her."

Dowden is a mother of 12. One son died when he was 3; another died when he was 47. "It was hard both ways."

Across town, a group of African-Americans have gathered at Cistern Hill Church to talk about the good times and the hard times -- and hope for a better future. They range in age from 74 to 18.  Watch "I started working when I was 6 years old" »

Aubrey "Bill" Turner, 26, perks up when talking about Obama.

"He's going to bring a sense of respect in Mississippi, that it's not just a white man's country. You can be young, you can be black, and you can do anything that you want to do," Turner says. "You do have a chance. And he's gonna put that all on the table for us."

Turner has a tattoo across his neck that reads "Mr. Ssippi." His grandfather was well-known fife musician Otha Turner, whose music was featured in the movie "Gangs of New York."

His grandfather, he said, always taught him "to respect white people, because one day you're gonna want that respect, too."

Others nod with excitement about the prospects of a black president. They point out that they've supported white presidents over the years and always voted for them.

"It just happened to be a black man [this time] that was qualified to be president and enough people wanted him in that position and voted for him," says William C. Wilbourn, 59.

But Wilbourn acknowledges, as a black man, it's an awesome moment in the nation's history. "It feels real good."

Elnora Jackson, 74, says she was robbed of the privilege to vote for decades. So whenever there's an election, she votes "every time I get a chance."

Those gathered here chuckle when they talk about the town of Como. It was, they say, always a bit different than the rest of Mississippi. The downtown strip was built in such a way that there weren't really any back doors. Blacks could walk in the front doors of businesses in the old days.

That's not to say it was a honeymoon, either. There was a white water fountain in town that was guarded; blacks could cook at a burger stand, but they couldn't buy food there. School buses with white kids would pass black children walking to and from school. They'd hurl bricks and insults at them.

"When I was growing up, it was painful," says Arilla Kerney, 63. "I prayed and asked the Lord to forgive them."

There's one day that all the elders remember well. It was in June 1966. The Rev. Martin Luther King Jr. swung through Como on a march through Mississippi to motivate black people to register to vote. Black children had been told to stay away for fear of any reprisals.

But Lucy Thomas, a 4-foot, 8-inch woman with a "small frame and big voice," gathered about 20 black children. They walked hand-in-hand, barefoot and dirty, down the road to the intersection of Highways 51 and 310, where King and the Freedom Marchers were huddled. Descendant of slave owners crosses the tracks

One by one, the children shook King's hand.

"It was just amazing to see Dr. King come through Como, Mississippi!" says Dorothy Kerney-Wilbourn, who was among the children that day.

She says that about 20 miles down the road, there was a peach orchard where white men were up in trees with guns.

"We were walking down the highway, marching and singing freedom songs, and they were up in trees with guns. That was a frightening moment," Kerney-Wilbourn says with a laugh. "Their concept of the blacks was just so different. But we showed them that we were there for peace."

Mary Dowden remembers that day, too. She said a white man said to her, "They should send all the black boys back to Africa."

Dowden got in the man's face. "I told him, 'You can't send me back to Africa, because I didn't come from Africa! I was born and raised here. Where you gonna send me back to?' "

She smiles. "He didn't like that. ... He didn't say nothing. He shut his mouth up."

Obama has helped change the conversation in these parts like few others.

Dowden, the granddaughter of a slave, holds her chin high. Referring to Obama, she says, "It's his time."

He hasn't taken office yet, but he's already brought change.

"Right now, I think the white and black is coming together."

@highlight

Mary Dowden, 80, is the granddaughter of a slave

@highlight

She says she was afraid for Barack Obama because "I didn't want nobody to kill him"

@highlight

CNN.com traveled to Como, Mississippi, to talk with blacks about Obama

@highlight

Obama's inspiration: "You can be young, you can be black, and you can do anything"