(CNN)In just two years, Bonita went from full-time work to a part of the new underclass of unemployed. The longer it's been since she was forced to leave her job with the Boston Housing Authority, the harder it gets to return to the ranks of the employed.

Even though the 46-year-old mother of five has an accounting certificate and a mind for numbers, prospective employers "don't so much as look at me because of my age or because of my work gap," she says, referring to the period of time she's been unemployed. "It's always like, 'OK, thank you, we'll call you within two weeks.' Then three weeks go by. And when you call them, they say, 'Oh, didn't you get a letter? We've found a more suitable candidate.'"

Two years after his release from prison, Travis was still struggling to find full-time, stable employment. He put out applications, but his phone didn't ring. The odd jobs, like cleaning cooking equipment for restaurants, helped, but after months of relying on his family for support with little to contribute in return, he felt like a bum.

"I wanted to be one of the people who get up and go to work every day without breaking the law and have a quality of life," he told Monica Potts in a story she wrote for the American Prospect. Yet with no other options in sight, he turned for a time to what he knew to be a reliable source of income -- selling drugs in his West Baltimore neighborhood—before finding help.

The stories of Bonita and Travis stories aren't outliers -- more and more Americans are finding themselves relegated to the margins of the economy, despite their best efforts to escape that fate. It breeds hardship and hopelessness, and it also violates a basic tenet of our social contract when temporary setbacks become permanent obstacles. The numbers reflect the extent of that permanence; the longer you've been out of work, the harder it is to find it again.

That's a troubling reality because for most Americans, the path to success isn't straightforward; it's punctuated with obstacles and pitfalls. To the immigrant in search of a fresh start, the entrepreneur in pursuit of a new business venture, or the countless families striving for a better tomorrow, it's the promise of a second chance that animates the American Dream. Many of the Sooners, forty-niners and other pioneers who built our country were running from failures back east.

On Tuesday, President Obama will give his State of the Union address. One key issue he should address is the problem of long-term unemployment. While the unemployment rate has improved, there are many Americans who have fallen off the radar.

To restore an economy capable of reaching its potential and renew our claim to be a nation that encourages its citizens to pursue their aspirations, we have to stop defining people by their failures. We need to rebuild the "second-chance" economy.

As Bonita found out, in today's economy being unemployed now often makes you unemployable. One-third of the 10.5 million people who are currently jobless qualify as "long-term unemployed," meaning they have been out of work for longer than six months. And in most parts of the country, discrimination against them is perfectly legal: just take a look at the map below.

With three unemployed workers for every job opening, employers can be selective. In startling research, Rand Ghayad, a labor economist at Northeastern University, found that prospective employers consistently threw out resumes of applicants with a recent stint of unemployment in favor of applicants with consistent work histories -- even applicants with less education or no relevant work experience.

It should be unsurprising, then, that Brookings estimates that in any given month, only 11% of the long-term unemployed will have attained steady, full-time employment a year later.

And being consigned to the "long-term unemployed" category is more likely to result from bad timing than lack of talent. The single-greatest factor determining whether someone will bear the mark of "long-term unemployed" is what the unemployment rate was when he lost his job.

Workers may invest years in their education and acquiring the skills that make them successful at their jobs -- only to be rejected because of factors beyond their control. Not only can this create a scarring effect that can permanently diminish their earning potential, it also results in a tremendous loss of human capital at a time when the economy is still struggling to recover.

While discrimination against the long-term unemployed is permissible under the law, for individuals with a criminal conviction, it's often mandatory. A groundbreaking report by the National Association of Criminal Defense Lawyers recently documented over 45,000 legal barriers faced by those with a criminal record  -- in employment, housing, student financial aid, access to a business license or a driver's license, or even the right to vote.

Though targeted restrictions in the interest of public safety are needed, many others -- such as New York state's prohibition against employment as a bingo caller -- are simply arbitrary and punitive.

The impact of these barriers is massive and disproportionately affects communities of color (that's partly because, as you can see below, communities of color have a much higher chance of going to prison than their white counterparts).

Since 1980, the number of incarcerated Americans has more than tripled -- reaching the highest rate in the world -- and one out of every 34 Americans is either behind bars, on probation, or on parole, many for non-violent drug offenses. The striking breakdown between the types of crimes is below.

In all, according to the National Employment Law Project, at least 65 million Americans, totaling more than one in four adults, have a criminal record, that subjects them to these mandatory "collateral consequences" (such as being unable to get a driver's license or to qualify for student financial assistance) on top of their formal sentence. These policies keep ex-offenders on the outside of their families and communities, as well as of the economy and democracy.

And, in the era of big data, the past doesn't stay there. Instead, past missteps and misfortunes will linger in permanent and public view. With the click of a button, information from employment histories and civil and criminal records to credit reports and foreclosures can be summoned and used to deny access to employment, housing, or the public assistance needed just to put food on the table. This data -- often full of inaccuracies -- will leave scars on millions of people, in many cases inflicted by automated processes that another human being never touches.

What can be done? To start delivering on the promise of a second-chance economy, policy efforts must focus on four key principles:

-- Employers must stop discriminating against applicants without a job

That means removing employment status as a requirement in job postings and making sure human resources representatives aren't discarding the resumes of unemployed applicants on sight. Some states have passed laws prohibiting  discrimination against the unemployed. And in December 2013, a House bill was introduced that offered tax incentives to employers of the long-term unemployed.

Though the bill was ultimately unsuccessful, laws alone aren't the answer because they're so difficult to enforce and monitor. Beyond legislation, the government could fund programs that build partnerships between corporations, local community colleges or workforce development organizations to align training of the currently unemployed with the jobs most needed within the company. It could also prioritize the long term unemployed in its own hiring practices.

-- Entering the criminal justice system shouldn't be a one-way street out of the economy

Through "ban the box" laws (in other words, prohibiting the use of boxes applicants must check to indicate they're unemployed), states and cities across the country are already limiting the impact of past incarceration on employment prospects. States could strengthen these efforts by both reducing first-time incarceration and taking a more holistic approach to reentry that connects ex-offenders with the basic tools they need to get jobs and manage money.

For starters, states should provide each individual leaving a correctional facility with a state-issued ID—a prerequisite to employment, opening a bank account, and accessing a range of other services and opportunities.

-- Give people who have encountered adversity the financial tools they need to start over

Everyone needs a safe, affordable place to store and transfer money. New York is working with major financial service providers to remove barriers to bank accounts imposed by ChexSystems, a database that banks use to estimate risk posed by potential customers. The city's Department of Consumer Affairs estimates that this and similar databases have prevented more than 825,000 residents in New York City alone from opening an account, often as a result of isolated mistakes, like overdrafts, rather than the fraud it was intended to detect.

-- Big Data shouldn't be a tool for economic exclusion

In an era of increasingly automated decision-making, we need to both ensure the privacy of those interacting with data systems, and strengthen the integrity of those systems. We can start by following this set of guidelines laid out by a high-profile coalition of civil rights groups. Among them -- give individuals control over how a corporation can gather data from them; allow people to ensure that the data used to make decisions about them is accurate.

We've all heard about the "right to be forgotten" ruling in Europe. Although it raises important concerns about the freedom of information, the response to that ruling shows that all of us -- and particularly those with blemishes on their record -- need a chance to make a fresh start.

These are just a few examples of how we can begin to replace our policies and practices that double down on disadvantage with ones that restore second chances.

A real second-chance economy will not only benefit those who are shut out of economic citizenship, but will also restore the dynamism and growth to our economy that will create jobs for everyone who wants to work.

@highlight

In President Obama's State of the Union address, he should look at solutions for the jobless

@highlight

The longer people have been out of work, the harder it is to find a job

@highlight

We must have policy that stops discrimination against the long-term unemployed