(CNN) -- In 2010, the Year of the Tiger, about 3,600 of the majestic predators remain in the wild, their existence threatened by habitat-loss and poaching.

If there is one man who can give hope to a species whose numbers have plummeted from 100,000 only a century ago, it would be Russian Prime Minister Vladimir Putin.

Beginning Sunday, Putin and the World Bank will co-host the International Forum on Tiger Conservation, bringing together the leaders of 13 nations to discuss what could be the best and last chance to save the wild tiger. The summit will feature high level officials from every major tiger country, a first in the history of tiger conservation.

Putin, the former KGB officer, has a tough political image. But in the conservation community, he is first and foremost a champion of the tiger. For him this is personal.

In 2008 he received a female tiger cub as a birthday gift. Mashenka spent at least three days sleeping in a wicker basket at Putin's home before being given to a zoo. The pair met the Russian press and images of Putin with Mashenka flooded the media.

In the same year, Putin ventured to Siberia's conservation area where he got between a rampaging tigress and some volunteers. After tranquilizing the animal, he helped put a tracking collar on her and she is now featured on his personal website. "Does she see anything?" an official asked of the tranquilized tigress. "Yes, she does. And she'll remember you," Putin joked.

Barney Long, the head of the WWF U.S. Tiger Program said the scale of the summit is "almost solely down to Putin. It is he who is reaching out, turning this from technical meetings into a real political event."

"It's not often that heads of government do get involved to this degree," said Sabri Zain of TRAFFIC, an organization trying to halt illegal trafficking and poaching.

Putin will be joined in St. Petersburg, Russia, by the leaders of the last remaining countries where tigers exist in the wild, Bangladesh, Bhutan, China, India, Indonesia, Cambodia, Laos, Malaysia, Myanmar, Nepal, Thailand, and Vietnam. That is less than 7 percent of their historic range.

"Russia is well placed to host the summit. They are already a leader in terms of taking steps to try and save their own species. The Siberian tiger is one of few success stories," Zain said.

Russia's far east is now home to roughly 400 Siberian tigers, accounting for 9 percent of wild tigers in the world.

And conservation experts agree, the world needs to know that Russia's conservation formula -- strict legislation targeting poaching and illegal trade in tiger parts -- can find success elsewhere.

But Russia too must remain vigilant, experts say. It has recently come under fire for relaxing patrol efforts against poachers.

Hunters caught with slain, endangered tiger

"We know how to save tigers. What we don't know how to do is keep the political will and financial support going. We can get a large scale reaction when a population is at the brink, but when recovery starts the pressure comes off," said the WWF's Long.

India, too, has had some success in recovering wild tiger populations. A recent TRAFFIC report credits India with the most seizures of illegal tiger parts in the past decade, representing up to 533 animals poached, but numbers are increasing.

"In Russia and also southwest India we have seen that with a clear focused effort there is solid evidence of tiger numbers going up," said Steven Sanderson, president of the Wildlife Conservation Society.

But the tiger country with the richest economy, China, still fuels the market for tiger parts despite government efforts to curb the trade, experts say.

In 1993 the Beijing government banned domestic trade in tiger bone. And tiger-based remedies have officially been taken out of medicine books.

But devotees of traditional medicine linger, and demand has grown to include an array of tiger-based luxury products for China's elite.

TRAFFIC's Zain suggests that a lack of dedication from high level officials means that China is still a prime destination for poachers trying to make a quick profit.

In poorer nations like Indonesia and Myanmar, sparse resources outweigh political will, experts say.

"These countries may have the will but not the means to put the boots on the ground. Poachers drive around in SUVs with advanced satellite equipment and often police have to catch a bus," Zain said.

Conservation officials are hoping for remedies to emerge at Putin's four-day summit. If not, experts say, the wild tiger will be extinct by the next Year of the Tiger in 2022, and that won't bode well for wildlife overall, said Long.

"If we can't rally to save the world's most iconic animal, how are we going to save the rest of the planet?"

@highlight

13 nations with wild tiger populations meeting in St. Petersburg, Russia

@highlight

Russian Prime Minister Vladimir Putin is force behind four-day summit

@highlight

Wild tiger population has fallen to 3,600 from 100,000 a century ago