Tallahassee, Florida (CNN) -- Florida Gov. Rick Scott met with protesters overnight and defended his position to not amend his state's controversial "stand your ground" law.

"Tonight, the protesters again asked that I call a special session of the legislature to repeal Florida's 'stand your ground' law," Scott said in a written statement. "I told them I agree with the Task Force on Citizen Safety and Protection, which concurred with the law."

Scott issued a proclamation Friday for a "statewide day of prayer for unity." The proclamation calls Trayvon Martin's death a tragedy, notes that "emotions are running high" and calls for Floridians to show unity.

Earlier, Scott said that he mourns with Martin's parents, but that he stands by the findings of the task force, which consulted with citizens and experts.

The protesters are students and members of Dream Defenders, an activist group that participates in civic engagement and promotes nonviolent social change.

They walked into Scott's office Wednesday, led by Amon Gabriel, 9, and asked to speak to the governor.

After the protesters camped there for three days, Scott met with them overnight and told them he has not changed his position. The Dream Defenders say they will continue their sit-in until their demand is met.

"We'd like the repeal of 'stand your ground' or some type of modification where we can hold people responsible to a level that humanity expects, where we don't have 17-year-olds getting gunned down with no justice for them and their families," said the group's legal and policy director, Ahmad Abuznaid.

A call for reforms

On Thursday, Florida officials joined state House Democratic Leader Perry Thurston in urging that reforms be made to the controversial law.

One of those officials, Senate Democratic Leader Chris Smith, is refiling his legislation to change "stand your ground."

"We have a clear case that shows SYG has very troubling problems, and those problems are central to the well-being of Floridians," he said.

Though former neighborhood watch volunteer George Zimmerman's defense never cited "stand your ground" laws in its case, the jury was instructed to consider them during deliberations. The jury acquitted Zimmerman of all charges Saturday in the 2012 shooting death of Martin, an unarmed 17-year-old.

Stevie Wonder says he'll boycott 'stand your ground' states

The Florida version of the law states, "A person who is not engaged in an unlawful activity and who is attacked in any other place where he or she has a right to be has no duty to retreat and has the right to stand his or her ground and meet force with force, including deadly force if he or she reasonably believes it is necessary to do so to prevent death or great bodily harm to himself or herself or another or to prevent the commission of a forcible felony."

Eight other states have laws worded similarly, while 22 total states, including Florida, have laws stating that residents have no "duty" to retreat from a would-be attacker, according to the National Conference of State Legislatures.

Civil rights groups attack the laws as racially motivated and are planning nationwide demonstrations. Stevie Wonder is refusing to perform in any state with such a law.

U.S. Attorney General Eric Holder said the laws "try to fix something that was never broken" and now encourage "violent situations to escalate in public."

But just as adamantly as the laws are decried, the National Rifle Association has stood by the measures it helped many states adopt.

"The attorney general fails to understand that self-defense is not a concept; it's a fundamental human right," said Chris W. Cox, executive director of the NRA's Institute for Legislative Action. "To send a message that legitimate self-defense is to blame is unconscionable."

What are the chances of repeal?

As for those Dream Defenders at the Florida governor's office, their protest may be futile. Scott's office noted that the gubernatorial task force recommends the law stay in place, though with minor tweaks, including limiting neighborhood watches to observing and reporting.

Daniel Webster, director of the Johns Hopkins Center for Gun Policy and Research, said he doubts the protests will change anything. Overturning laws isn't incredibly common already, and with "stand your ground," there are complicating factors.

The NRA is strong in the 22 states that have the laws, and "I think there is some popular appeal to the notion, the very general notion, that citizens should be able to protect themselves and you shouldn't have to, in essence, run from crime."

Also, the laws are relatively new, most of them enacted in the past eight years, and it's unlikely the same legislators who put "stand your ground" laws on the books would suddenly be inclined to think they were wrong.

"The more common response is, they're going to dig their heels," he said.

As a parallel, Webster offered the "Draconian" drug sentencing laws of the 1980s, which hugely expanded incarceration rates, were outrageously expensive and did little to improve public safety. Yet, the country is only now examining those laws and considering their repeal.

"I assume, in part, that's because the people who passed them are no longer there," Webster said.

The trickiest factor, however, is that proponents and opponents of "stand your ground" can find in the Zimmerman case assertions to support their beliefs, he said.

One side believes Martin attacked Zimmerman, and Zimmerman had no choice but to fire his weapon to defend himself. The other side believes Zimmerman racially profiled Martin, followed him against a dispatcher's order and then shot a teen who was only reacting, perhaps out of fear, to being followed.

"You can find whatever you want to back your assumptions," Webster said.

Putting on his gun policy expert hat, Webster said he felt the laws are a "very bad idea," and they don't do what they were intended to do: deter criminals and protect the citizenry.

Doubts about 'stand your ground'

After Florida expanded its "Castle Doctrine" laws to a "stand your ground" provision in 2005, the National District Attorneys Association released a report. It said a "diminished sense of public safety" after 9/11, a lack of confidence in the criminal justice system's ability to protect victims, a perception that due process trumps victims' rights and a decrease in gun legislation spurred the creation of "stand your ground" laws.

The study cited concerns from law enforcement officials, including doubts that it would deter criminals.

"There must be appreciation among the would-be criminals that deadly force can be used against them, leading to a change in criminal behavior," the study said. "Unfortunately, attendees at the National District Attorneys Association symposium expressed little confidence that criminals would take the provisions of the Castle Doctrine into consideration before committing a crime."

Webster pointed to a Texas A&M University study examining crime in more than 20 states that passed Castle Doctrine or "stand your ground" laws from 2000 to 2010. Researchers found that not only was there no decrease in robbery, burglary and aggravated assault, but there was an 8% spike in reported murders and non-negligent manslaughter.

"The data are pretty compelling, showing that it increased justifiable homicides, and it increased homicides overall," Webster said. "In all likelihood, it really led to more altercations similar to the Zimmerman-Martin exchange."

Additional protests this weekend

The Zimmerman verdict has been met by strong reactions.

A national "Justice for Trayvon" day is slated for Saturday in 100 cities, led by the Rev. Al Sharpton. The protesters will call for federal civil rights charges against Zimmerman.

The rallies will take place outside of federal court buildings in cities across the country, including New York, Los Angeles and Chicago.

CNN's Rich Phillips in Tallahassee and Zaina Adamu in Atlanta contributed to this report, as did InSession's Jessica Thill.

@highlight

NEW: Florida's governor calls for day of prayer for unity

@highlight

22 states have laws saying residents have no "duty" to retreat from attackers

@highlight

The National Rifle Association defends the laws, saying self-defense is a "human right"

@highlight

Gun policy expert: The laws are a "very bad idea"; research shows they increase homicide