(CNN) -- In politics, as in life, big things often come in small packages.

Margaret Chin stands 4 feet 11, but the veteran community activist is casting a long shadow over the political landscape in New York.

Chin is poised to win election next month as the first Chinese-American on the New York City Council to represent New York's Chinatown, one of the largest concentrations of Chinese outside of mainland China.

She ousted a two-term incumbent in September's Democratic primary and will be on the ballot November 3 in a district that overwhelmingly favors Democrats.

If elected, she also will be the first Asian-American woman to join the 51-member body responsible for governing the country's largest and most diverse urban area.

Her likely win is another milestone in the political rise of a rapidly growing Asian-American community.

For Chin, a 56-year-old Hong Kong immigrant, the long road to political victory has not been easy. As she closes in on a probable November victory, though, she's confident the lessons learned along the way will serve her -- and her constituents -- well.

Chin's American story began almost a half century ago, during the Kennedy administration. Her father, seeking new opportunities, left China for Colombia. A few months later, he became an undocumented U.S. worker, scratching out a living as a waiter in the Bronx section of New York.

When the family's immigration papers came through in 1963, he borrowed money to bring them to America. Margaret, the third of five children, remembers her dad's exhaustion and pain after spending long days on his feet.

She also remembers the skills he perfected preparing the restaurant's dim sum, a traditional Chinese morning meal.

"He made the best shrimp dumplings," she recalled in a recent CNN interview. "He had the technique down pat on how to make the skin so thin. They were wonderful."

Chin's father died a long time ago, but his decision to pursue the American dream -- starting as an undocumented immigrant -- left a lasting impression on his only daughter. Today, immigration reform is one of her passions.

"People are here because of the opportunities America has to offer," she said. "They work hard. They struggle. We need to fix our immigration system so more people can help build the country."

Chin is campaigning on a range of traditional lunch-bucket issues -- affordable housing, job creation, and better care for senior citizens. Repairing the city's aging infrastructure is also a priority in a sprawling Manhattan district that encompasses Chinatown as well as Wall Street, Soho, the Lower East Side, Tribeca, and Battery Park City.

More than four in 10 people in the district are Chinese-American, according to campaign spokesman Jake Itzkowitz. The bulk of those residents -- including Chin's mother, a retired garment worker -- live in rapidly gentrifying Chinatown.

They and other Asian-Americans make up the fastest-growing minority group in New York City.

"This City Council district was drawn in the early 1990s in part to enable Chinatown residents to elect a candidate of choice," noted Margaret Fung, head of New York's Asian American Legal Defense and Education Fund.

"Eighteen years later, an Asian-American has finally been chosen. It's a significant step forward for Asian-American political representation."

Chin is one of three Asian-Americans now positioned to win seats on the City Council, Fung noted. John Liu, the Democratic nominee for comptroller, is poised to become the first Asian-American to win a citywide office.

In the past decade, the total nationwide population of Asians and Pacific Islanders jumped to almost 13 million, a nearly 50 percent increase since 1990, according to the Asian American Action Fund.

While Asian-Americans make up roughly 4 percent of the nation's population, they have been slow to win office on the national or state level. They currently hold only 1 percent of the seats in Congress, the Action Fund notes.

In politically powerful California, according to the Action Fund, Asian-Americans and Pacific Islanders account for well over 10 percent of the population, but hold less than 8 percent of the seats in the state legislature.

Chin draws a parallel between the transformation of New York's Chinatown, home to a growing number of young professionals and a vibrant commercial hub, and the gradual political maturation of the Chinese-American community.

One of the reasons Chinatown has not yet had a Chinese-American representative in City Hall, she believes, is because the community did not know how to mobilize effectively.

"A lot of Chinese-Americans simply did not understand how the political process works," she said.

"New York is a largely Democratic city, but they didn't know that many elections are basically decided in the Democratic primary. So they didn't register as a member of either political party."

Chin helped lead the fight for local election ballots printed in Chinese in the early 1990s.

"There's often not an accurate Chinese translation for English names, and vice-versa," she noted. "Too many people couldn't understand the ballots. Other people who got the registration process right were still turned away at the polls because election workers couldn't understand their names."

Chin has run three losing Democratic primary campaigns for the City Council -- in 1991, 1993, and 2001. The current campaign is different, she said, partly because of greater mobilization among Chinese-Americans and partly because of her own political education.

This time, Chin launched her campaign two years before the primary. She left her job with the advocacy group Asian Americans for Equality so she could run full time.

"I have to credit my husband, Alan, for that," she said with a laugh. "He told me, 'If you want to do it, focus. Quit your job and do it.' It's great to have family support."

Her son Kevin, studying photography in Santa Barbara, California, provides moral support from afar.

Chin also stepped up fundraising operations, raising and spending the legal limit of $161,000 in the primary. Her campaign headquarters, located in the ground floor of a Chinatown apartment high rise, is humming most days with five to 10 volunteers.

The campaign has one paid staffer. More than 400 people have volunteered to answer phones, stuff envelopes, and knock on doors -- the unglamorous nuts-and-blots work of many campaigns.

One factor working in Chin's favor is voter backlash against a recent decision to repeal a two-term limit for City Council members and the mayor. The City Council member Chin defeated in the primary, Alan Gerson, was one of several incumbents ousted largely as a result of that issue.

Mayor Michael Bloomberg also backed the repeal, and is now seeking a third term. Chin disapproves.

"Eight years is enough," she argued. "You can do a lot of good in that time. I won't serve more than two terms."

Bloomberg may be popular, but the billionaire businessman's agenda doesn't always sit well with Chin, who remains in many ways a New Deal-style Democrat.

"He needs to be a mayor for everyone. I think he's favoring the more well-to-do," she said. "New York City's working families have lots of needs, and he hasn't always been there for them."

Chin's likely election as the first Chinese-American to represent Chinatown comes amid other historic political developments.

Gov. David Paterson is New York's first African-American governor as well as the first legally blind governor in the United States. And President Barack Obama, of course, is the nation's first African-American president.

So could there be an Asian-American president one day?

"Sure," Chin said, "but I'd really like to see a woman president. We are long overdue."

Could she be that woman?

Absolutely not, she replied with a chuckle.

"The City Council is enough," she said. "It took me a long time to get to this point. And soon it will be time to give someone else a chance."

@highlight

Margaret Chin's likely win is a milestone for growing Asian-American community

@highlight

Chinatown's community has taken awhile to understand the political process, Chin says

@highlight

This is Chin's fourth attempt to win election; this time she quit her job to campaign full time