(CNN) -- In a bookstore, I saw a woman taking photograph after photograph of newly released titles that were arranged on a shelf. She was using her phone to take the pictures.

I didn't understand. Why would anyone want to take pictures of books?

Then, at a restaurant, waiting for a table, I heard two men, also waiting, talking. One said he had just ended a frustrating day at the store he owned.

"Do they think I'm a showroom?" he said.

He mentioned people who had come into his shop that day, had looked at the merchandise, had taken notes -- and then had left.

"Do they think I don't know what they're doing?" he said.

It is a relatively new phenomenon. Among retail merchants -- owners of stores both small and large -- it has a name:

"Showrooming."

No one showrooms by choice.

And it represents a potential sea change in American life. Its implications are vast.

As described in an article by reporter Amy Zimmerman in the Wall Street Journal, showrooming is "when shoppers come into a store to see a product in person, only to buy it from a rival online, frequently at a lower price."

Say a merchant owns a retail store -- a brick-and-mortar store, on a city street. He or she hires staff, pays rent, writes checks for electricity and telephone service, pays for janitorial work, pays real estate and sales taxes, invests heavily in merchandise.

And hopes against hope that customers will come in, look around and buy something. This is how the retail sales business has always worked.

But in recent years, as online companies without a single physical store have risen to prominence, something new has occurred.

People will come into stores, look around, stop at items they particularly like -- and instead of carrying them to the cash register, will take photos of them, or type a description into their smartphones.

Then, in many cases, they will go home, enter the product into a search engine and find some online-only merchant -- a merchant who has no real-life stores -- who is selling the item for less money.

A tap of the "Enter" key, a few keystrokes to provide credit card information, and the item -- the item the person has examined and liked in the brick-and-mortar store -- is on its way to the buyer's home.

It's all so effortless.

The online merchant wins. The purchaser wins.

Who loses?

You know the answer. The loser is the owner of that real-life store: the person who has stocked the merchandise, hired the staff, paid to keep the store cool in summer and warm in winter, written the rent checks and the tax checks.

It is no wonder merchants are feeling frustration and anger that their stores are being considered as little more than showrooms by some shoppers -- showrooms displaying merchandise that, if the people wandering the aisles go home and buy from an online vendor, will provide not a cent in revenue to the owner of the real store.

Do the customers ever look into the eyes of the proprietor of the store and wonder if this new way is fair to him?

As Brad Tuttle of Time magazine has written:

"Most consumers don't really care how, or even if, a retailer makes money. All they care about is which one has the best products at the cheapest prices. The ideal situation is one in which they can inspect merchandise in person, and then buy it at the cheapest price without having to schlep it to and from the car, and without having to pay extra for delivery."

What's the difference, you may ask? Why does this matter?

It will matter when and if critical mass is reached, and online-only merchants, who don't have to underwrite the expense of having traditional stores on city streets, reach dominance. Then, one by one, the stores that have unwillingly become showrooms for the online merchants will fold up. And the American downtown-and-mall landscape will begin to look barren.

A doomsday scenario? Perhaps. But "just browsing" has taken on a different meaning in the context of shoppers who go home and use their computers' browsers to find online retailers who will undercut the conventional stores.

Last weekend I was in central Ohio for the annual charity race we hold to raise cancer-research money in memory of my late friend Jack Roth. I asked his daughter, Maren, who owns a women's boutique called Rowe, whether she was familiar with the showrooming phenomenon.

She said she has seen it with her own eyes, in her own store. "If they tell you how much they like an item, and take a picture of it and then leave the store and you never hear from them again, it's a pretty good indication that they may be going home and looking for a better price online," she said.

"And if they call the store later and ask you to tell them the specific style name and number of the item -- then you really know. They're putting the merchandise they saw in your store into a search engine."

It's not just smaller merchants like Roth. Target, the retail-store giant, wrote a letter to its vendors this year that said, "What we aren't willing to do is let online-only retailers use our brick-and-mortar stores as a showroom for their products and undercut our prices without making investments, as we do, to proudly display your brands."

What all this will eventually do to old-style stores is anyone's guess. Perhaps they will be judged to have outlived their usefulness.

In the meantime, merchants will continue to open their doors each morning in the hopes that the people who come in will really intend to buy something.

There is a longstanding axiom that business owners are supposed to believe in: "The customer is always right."

But in this emerging era in which people come into stores taking photos and making lists, with no intention to give the store owner their business, worried merchants can't be blamed if they look around their shops and ask themselves:

Who, and what, is a customer?

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: A new practice called' "showrooming" a threat to brick and mortar businesses

@highlight

He says shoppers take pictures of an item, or make notes, and then buy the item online instead

@highlight

He says running a store costly, how can merchants compete if shoppers "showroom?"

@highlight

Greene: Even big stores, like Target, worry. Showrooming may lead to stores' demise