(CNN) -- A drive to turn China's only tropical island into a golfing haven is causing uproar among environmental groups.

Luxury golf resorts are springing up in all corners of Hainan as the local government steps up its campaign to transform the island into the Hawaii of the east.

The biggest project is Mission Hills Hainan, a vast undertaking that when finished will have at least 10 courses and cover an area nearly one and a half times the size of Manhattan.

Environmentalists are alarmed by the potentially damaging effects of golf course construction on an island featuring rainforests, mountains, volcanoes and more than 300 endangered species.

"Where does this begin and where does it end?" said Jonathan Smith, chief executive of the Golf Environment Organization, a non-governmental organization aimed at promoting sustainable golf.

"What level of economic development can Hainan sustain while still having functioning ecosystems? You have to set a threshold on the level of development that can hit a region otherwise you will simply destroy its natural and cultural aspects," Smith told CNN.

Golf development in Hainan has gone into overdrive since January, when the state announced plans to make the island an international tourist destination by 2020, sparking a full-scale property boom.

Clearwater Bay Golf Club is planning to compliment its three courses with a six or seven star hotel, while Yalong Bay Golf Club has bought the land to open a second course.

But those developments are dwarfed by the scale of Mission Hills, where there are three courses, a 525-room hotel, 11 restaurants and plans for three conference rooms, three shopping malls and a spa.

In October, Hollywood actors including Hugh Grant and Matthew McConaughey will join multiple major winners Greg Norman and Nick Faldo for the Mission Hills Star Trophy, with the winner set to scoop $1.28 million.

The sheer scale of development has also raised eyebrows at international environmental activists Greenpeace.

"Because Hainan is known for its vast and dense rainforest, it is very important to China and to the world," Yi Lan, a forest campaigner for Greenpeace China, told CNN. "Any large-scale construction of golf courses would damage the local ecosystem.

"We are very concerned about the rapid development of golf courses in Hainan and we think the local government should take strong measures to ensure the golf projects do not damage the local ecosystems."

Dan Washburn, a China-based journalist who has visited the Mission Hills complex in Hainan, says although the development mostly occupies an area designated as wasteland, fruit trees have been uprooted and local residents displaced from their homes.

He told CNN: "I met with the head of a local environmental group who thought he had secured rights to open up a forest park on part of the land. They had worked for years to get approvals from the government and local village groups.

"Then, all of a sudden, they were told their plans had been shelved. They soon found out the reason why. It was because of the Mission Hills project."

Mission Hills, which also owns a massive 12-course golf complex in Shenzhen on the Chinese mainland, say their Hainan project has created thousands of jobs and was subject to stringent environmental impact assessments.

"Mission Hills has always strived to balance economic benefits to the community with proper stewardship of the environment," Dr Ken Chu, Group Executive Vice Chairman and Group Chief Executive Officer of the Mission Hills Group, told CNN by email.

"By incorporating low-density development with vast open-space greenbelts, our current project in Haikou has transformed a barren, lava-rock landscape into an economically productive community."

Their claims are backed up by the local government, with spokesman Mr. Zhao telling CNN that the location of the complex followed "careful" investigation.

"Therefore, the project will not pollute the environment," he said.

But those statements are not enough to pacify environmental groups, with Greenpeace vowing to investigate the case.

"You have to say that the Mission Hills developments have been high-impact in environmental terms," says Smith.

"You can't deny that when there's the level of earth-shifting and movement of land form that there has been in the previous development. It's large-scale and each development couldn't really be defined as light touch.

"Then you have the longer-term concerns over where does the water come from, where does the energy come from? Is it all fossil fuels? How much energy is required to desalinate or treat the sewage water?"

Shane Templeton, a golf course consultant on Hainan for six years, says the sport can bring huge benefits to the island's economy if it is kept in balance with the local infrastructure.

"Golf is great for Hainan and it's a vehicle for bringing a lot of foreign exchange, but it's got to be done carefully and within reason," he told CNN.

"I don't know who is regulating these people. You don't want 50 golf courses but no buses and no sewage systems -- it's got to grow together with everything."

Smith wants to see an end to the clandestine culture surrounding golf course construction in China.

"What we would like to see is more transparency," he said. "We would like to see the government's plans for the levels of development in Hainan clearly depicted so that people can understand the levels and type of development that are likely to take place in such regions."

"There comes a point, particularly on an island setting, where too much development puts too much pressure on the natural resources, and the cultural heritage and the landscape of that particular region."

@highlight

Hainan is at the center of an environmental row over development of golf courses

@highlight

Mission Hills has three courses, a 525-room hotel, restaurants and plans for shopping malls

@highlight

Greenpeace alarmed by trend on island which has rainforests and rare species

@highlight

Golf Environment Organization calls for transparency over course development