(CNN) -- The adage says "a picture is worth a thousand words," but when Leeann Lewandowski happened upon a photograph of her late mother on Facebook after her home was destroyed in Superstorm Sandy, she was speechless.

"The first thing I see on my Timeline is my mother holding my daughter, Katie, on the day that she was born. I'm usually a very cheery person, but I absolutely crumbled," said Lewandowski, a 47-year-old elementary school teacher and mother of twin 14-year-old girls from Union Beach, New Jersey.

Union Beach is a small seaside community with fewer than 6,500 residents, and Sandy hit it hard, destroying nearly 200 homes and decimating the coastline.

"It was kind of like 'The Wizard of Oz,'" said resident Pamela Vasquez.

A hot tub was found a block and a half away from where it once sat. Remnants of wooden decks floated in the tide. Family photo albums were buried under piles where multistory houses once stood.

Powerless in New Jersey post-Sandy

Jeannette Van Houten also lost her Union Beach home in Sandy, but buried among the devastation she found a calling -- to return memories of happier times to the 1.8-square-mile township by reuniting residents with the family photographs that Sandy scattered to the winds.

The day after the storm, Van Houten went for a walk along the shoreline to assess the damage and she stumbled upon a photograph of a couple attending a wedding. She leaned down, picked it up and, suddenly, her mission became clear.

"Photos are the only things that hold us to the past. My niece was murdered in 2008 and the only thing we have left of her is our photos," said Van Houten.

She soon started a Facebook page where she uploaded the pictures she found, hopeful that through the power of social media, residents of the small community would see them and be able to identify the faces and families in the photographs.

Since she started, Van Houten has uploaded more than 2,000 photos to the Facebook page -- and she's still looking each day for more lost memories among the debris. About 60 families have reclaimed photos so far, she said. And some people, like Lewandowski and her daughters, have since joined the effort.

Read more: Remembering the victims

After all, Van Houten is the reason Lewandowski saw her late mother on Facebook and broke down that day; Van Houten is the reason she got a rare memento of her mother back.

"My mother, very much like myself, hated having her picture taken. That day, I didn't see anything but a picture of my mother holding my baby. I even posted 'Today is going to be a good day.' It's such a gift," said Lewandowski.

Vasquez, who also lost her home, found baby photos of her now grown children on Van Houten's Facebook page.

"You hold your memories in your heart, but yet to be able to look back, it's amazing," she said. "My husband's parents are both gone and we had a picture of both of them in our living room. We don't have them anymore. It's nice that somebody's out there trying to find your memories and give them back to you."

Paying it forward, Vasquez has also begun to take photos she finds to the police station to be uploaded to the online forum.

Read more: Salvaging smeared memories in Sandy's wake

"You can lose your home, you can lose your possessions. Volunteers can help you get food, get shelter, get clothing, but in the end, if no one thinks of picking up the photos or the objects that were miles from where they were supposed to be, people don't feel whole," said Van Houten.

As more communities that were ordered to evacuate are allowed to re-enter their neighborhoods, similar initiatives have begun to pop up along the badly beaten Jersey Shore.

Map: See images of destruction, recovery across the East Coast

Jeannie Esti recently started the For Shore Photos Project, which asks residents and cleanup volunteers to collect photographs that were strewn about in the storm surge.

Esti lives in Rhode Island now, but she grew up in Mantoloking, New Jersey, where her parents still live.

Her childhood home was luckily left unscathed, but in the backyard, she found kitchen cabinets, books, even a little boy's football helmet signed by the actor and former football player John Amos. And, of course, photographs.

"I grew up with sand in my pants in my whole life," she said. "It's that moment where you sit back and think these could be my pictures."

For those without photo scanners, Esti has teamed up with local New Jersey businesses like Joe Leone's specialty food stores in Sea Girt and Point Pleasant as drop-off locations for lost-and-found photos that are then collected and uploaded to the For Shore Photos Facebook page.

"Photography is so common and ubiquitous that we take it for granted, and we don't realize how important it is to us," said Marina Berio, who heads the general studies program at the International Center of Photography. "It's the despair of losing part of yourself. Your very memories are being taken away from you."

Jenika McDavitt, a photographer who studied psychology at Yale and runs the blog "Psychology for Photographers," agrees.

"We as humans become habituated to our environment. We forget the way that grandma's house looked. When you find a photo that shows those things that you are habituated to and you forgot, it brings back all those memories that you forgot to stop and remember," she said.

When Hurricane Katrina devastated the Gulf Coast in 2005, Sue Weber of Erie, Pennsylvania, also recognized the power of photography and started The Picture Project.

After seeing a reporter on television hold up a picture that was found in the middle of the street of a child in a dance costume, Weber had a revelation similar to Van Houten's.

"Then it hit me -- many families on the Gulf Coast had lost their entire history in family photos due to Katrina and I should do something about it," she said.

Partnering with Kodak, the Biloxi Sun Herald and United Van lines, among others, The Picture Project was able to return thousands of photos to their rightful owners.

Weber's revelation also came about because of the coffee table book "The Last Album: Eyes from the Ashes of Auschwitz-Birkenau," which sat in front of her during the news report.

Weber had attended a presentation at the Erie Museum by the book's author, Ann Weiss, several years prior.

During a tour of the Auschwitz-Birkenau concentration camp in 1986, Weiss discovered an archive of more than 2,000 photographs confiscated from Jewish families at the death camp.

Trying to keep the family business afloat after Sandy

"They wanted to bring their emblem of who they were, and they wanted to remember the lives that they lived and the people that they loved. Or even, just remember the people they themselves once were," said Weiss.

Weiss fought red tape to obtain the pictures and after doing so, traveled around the world tracking down any survivors, family members and friends that they might belong to.

Being stripped of family memories in the Holocaust is very different from losing belongings in a natural disaster, Weiss pointed out, but the end result of both is profound loss.

"I think all photos are incredibly important because photos are the emblem of our lives. They're tangible proof that we lived, that we're here and when there's a natural disaster -- after the people and after the pets -- what's the first thing we want to save? It's always the pictures," she said.

"Pictures encapsulate our lives, our dreams, our essence of who we are."

Like CNN Living on Facebook

@highlight

Jeannette Van Houten is trying to reunite Superstorm Sandy victims with lost photographs

@highlight

Van Houten uploads 2,000 photos to Facebook, hoping people will recognize them

@highlight

Similar photo reunion projects were started for Hurricane Katrina and the Holocaust

@highlight

"Photography is so common and ubiquitous that we take it for granted," expert says