Yangon, Myanmar (CNN) -- The Myanmar government, which has freed hundreds of detainees in recent years, is setting up a committee to look into releasing political prisoners after long refusing to admit they were being held in the Southeast Asian country's jails.

President Thein Sein, whose government has introduced a string of political reforms that have led to improved ties with Western nations, ordered the establishment of the committee to define the term "political prisoner" and review relevant cases, authorities said Thursday.

Terrorized, starving and homeless: Myanmar's Rohingya still forgotten

Myanmar is gradually emerging from decades of authoritarian military rule that resulted in internal oppression and international isolation.

Thein Sein, a former military official, has overseen the introduction of greater political freedoms, peace talks with ethnic rebels and the successful participation of pro-democracy leader Aung San Suu Kyi and her party in legislative elections.

Western governments have responded by easing economic sanctions and stepping up diplomatic ties. In November, President Barack Obama became the first sitting U.S. president to visit Myanmar, giving a powerful symbolic nod to its fledgling reforms.

Friday, the United States welcomed news of the committee's formation.

"By establishing an inclusive, transparent review mechanism to ensure the release of all remaining political prisoners, the government has taken an important step towards national reconciliation," State Department spokeswoman Victoria Nuland said.

From Burma to Myanmar: Land of rising expectations

Doubts still remain about the commitment to lasting reform by officials in Myanmar, also known as Burma, in the light of sectarian unrest in the western state of Rakhine, recent fighting between the military and ethnic rebels in Kachin, and a heavy crackdown on protesters outside a copper mine project.

A stumbling block in talks

One stumbling block the Myanmar government has come up against in talks with other political parties and governments is its refusal to use the term "political prisoner" to describe some of those behind bars, according to Ye Htut, a spokesman for the president.

Myanmar: Testing the limits of reform

"We cannot negotiate because of this term," he said by phone. "That's why President Thein Sein instructed to form this committee to find the definition."

The government, which pledged to set up such a mechanism during Obama's visit, says it hopes the committee will include representatives from other political parties and groups representing political prisoners.

The Assistance Association for Political Prisoners (AAPP), a prisoner rights and support group, said the government had invited it to help with the committee's work.

The initiative is "a good sign," said Bo Kyi, joint secretary of AAPP, which is run by former political prisoners. But he added that "we have to wait and see until more political prisoners are released."

Hundreds believed to still be in prison

Aung San Suu Kyi spent many years under house arrest before authorities released her in 2011. A lot of members of her party, the National League for Democracy, were imprisoned under the military junta.

The new committee will try to determine the the number of political prisoners being held in Myanmar, Ye Htut said, noting that the government had received different estimates from different organizations.

"The president also wants to release more political prisoners to implement national reconciliation," he added.

As many as several hundred political prisoners remain behind bars in Myanmar, Human Rights Watch, a U.S.-based advocacy group, said in a report last week.

Furthermore, it said, "freed political prisoners face restrictions on travel and education, and lack adequate psychosocial support."

Asked whether he would visit political prisoners around Myanmar, Bo Kyi of AAPP said he would rather "see my colleagues outside, not in the jails."

Journalist Phyo Wai Lin reported from Yangon, and CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Kocha Olarn in Bangkok, Thailand, contributed to this report.

@highlight

NEW: United States lauds "important step"

@highlight

A prisoner group says it has been invited to work on the project

@highlight

Myanmar long refused to acknowledge political prisoners in its jails

@highlight

Human Rights Watch estimates that hundreds of political prisoners remain behind bars