(CNN) -- The size of a specific part of the brain may help experts pinpoint when autism could first develop, University of North Carolina researchers report.

The amygdala helps individuals process faces and emotions.

Using MRI brain scans, researchers found that the area of the brain called the amygdala was, on average, 13 percent larger in young children with autism, compared with control group of children without autism. In the study, published in the latest Archives of General Psychiatry, researchers scanned 50 toddlers with autism and 33 children without autism at age 2 and again at age 4. The study adjusted for age, sex and IQ.

"We believe that children with autism have normal-sized brains at birth but at some point, in the latter part of the first year of life, it [the amygdala] begins to grow in kids with autism. And this study gives us insight inside the underlying brain mechanism so we can design more rational interventions," said lead study author Dr. Joseph Piven.

A normal-sized amygdala helps a person process faces and emotions, behavior commonly known as joint attention.

"When you see a face, you scan it, identify if it's friend or foe and make a decision about whether to move forward or avoid it," said Dr. Barry Kosofsky, chief of neurology at Cornell Medical Center, who was not affiliated with the study.

UNC researchers conducted diagnostic assessments, in addition to the MRI scans, to monitor the children's behavior. They found toddlers with a large amygdala also had joint attention problems.  Watch Dr. Gupta explain the findings »

"We would basically try to get the child to look one way, we'd turn and point to a clock and see whether or not the child would notice it," explained Piven. "The 2-year-olds without autism would see your face, see where you are looking and join you but the children with autism, with large amygdalas, would not."

Autism experts agree joint attention difficulty is a key characteristic of autism. It also is the only behavior linked to a large amygdala, according to the study. Researchers found no association between repetitive behavior or other social behaviors and a large amygdala.

"This is a core feature of autism, and it raises a very provocative possibility that if they [joint attention problems] aren't caused by changes in the amygdala, they are certainly associated with it," said Kosofsky.

Autism experts say such findings are critical in developing new ways to treat and diagnose autism earlier.

"Many studies have observed the brain grows too big in kids with autism, but this study finds that by age 2, the amygdala is already bigger and stops growing," said Kosofsky. "So it tells us the critical difference has already developed. It now poses the question: Are children born with autism or does it develop in the first two years of life?"

Parents cannot run out and ask their doctor to check the size of their child's amygdala to determine their child's autism risk, but researchers hope over time, it can be used as a clinical tool to diagnose the mysterious developmental condition, which affects as many as 1 in 150 children.

"Once we understand the neurological circuits, we may be able to detect if a child has problems in those circuits as early as 6 months of age," said Piven. "If we are able to combine those things, we can better predict and guide interventions. We need to let the pattern of early brain development guide us to predict who is at higher risk and who would benefit from early intervention."

UNC researchers are conducting a follow-up to their initial findings. They're recruiting 500 infants who are also siblings of children with autism for national infant brain imaging study.

"By tracking the behaviors and brain volume growth from birth in high-risk babies, we can pinpoint when the brain first begins to grow larger than normal and provide therapy or medications to limit the growth or symptoms a lot earlier than we are doing now," said Piven.

Autism is the fastest-growing serious developmental disability in the United States. It's newly diagnosed in 67 children every day. The average age for diagnosis 3.

@highlight

Study: The amygdala in toddlers with autism is 13 percent larger than unaffected kids

@highlight

Size of brain area linked to ability to process faces as friend or foe

@highlight

Autism is believed to affect as many as 1 in 150 children

@highlight

University of North Carolina researchers hope findings result in earlier intervention