The Food and Drug Administration on Thursday took a step toward essentially a total ban on artificial trans fats in America's food supply.

This is not a trivial change. Not that long ago, trans fats were a part of all kinds of processed foods. Partially hydrogenated oils, as they are otherwise known, tend to improve both the shelf life and flavor of many foods. Trans fats have been around for more than a hundred years. They're used in a wide range of foods, from frozen pizza to microwave popcorn to packaged cookies.

But trans fats are amazingly bad for you. By the 1990s, evidence was building that trans fats carried a significant risk for increasing coronary heart disease. Specifically, they were found not only to increase your level of  low-density lipoprotein (LDL, or bad cholesterol) but to decrease your level of high-density lipoprotein (HDL, or good cholesterol). Because of this, the negative effects of trans fats are about double those of saturated fat (which isn't that good for you, either).

It gets worse. Trans fats also increase your level of lipoprotein(a) and triglycerides, both of which are thought to be associated with cardiovascular disease.

These laboratory findings bear out in all kinds of epidemiologic studies showing that a diet containing higher levels of trans fats carried greater health risk than a diet similarly high in saturated fat.

There has been a longstanding argument that we should stop using trans fats. The American Heart Association recommends that people's diets contain 2 grams or less of trans fats a day. That amount is what you might normally get in dairy products and meat. But if you eat processed foods, you'll end up consuming more trans fats.

In 2006, the FDA started mandating that food labels list the amount of trans fats in foods in order to make consumers aware of their hazard.

Some companies have made an effort to stay away from trans fats. McDonalds stopped using them 7 years ago. Burger King has a minimal amount in its foods, and that's from small amounts that are present naturally in meat and cheese. New York banned trans fats in restaurants in 2007. It was a controversial decision at the time, but consumption of trans fats in the city has dropped dramatically because of the ban.

The Centers for Disease Control and Prevention says that removing trans fats from the U.S. food supply could prevent about 20,000 heart attacks a year and 7,000 deaths from cardiovascular disease.

Finally, the FDA issued a Federal Register notice announcing that trans fats are not "generally recognized as safe." Such a notice allows a period of time for people and businesses to comment and offer opinions and evidence if they believe that trans fats should not be banned.

Of course, there are costs to such a move. The FDA estimates that it will cost about $8 billion initially to remove trans fats from the food supply. It believes the 20-year costs to be between $12 billion and $14 billion.

I think it's likely that processed food producers will comply. There's almost no good evidence -- or argument -- to support the continued use of trans fats. In fact, it's been reported that some manufacturers have voluntarily lowered the use of trans fats by almost 75% in the past eight years. Given these moves, it's not hard to imagine them going the rest of the distance.

There is some irony in this, of course. Trans fats first became more common in our diet because they were believed to be safer than animal fats (think margarine instead of butter). Turns out the opposite is true. The FDA's actions are putting us on the road to correcting that mistake, hopefully sooner rather than later.

@highlight

The FDA took a first step toward eliminating artificial trans fats in food supply

@highlight

Aaron Carroll: FDA made the right move, since trans fats are very bad for people

@highlight

He says evidence shows trans fats increase bad cholesterol and heart disease

@highlight

Carroll: It's likely food suppliers will comply despite the costs of removing trans fats