(CNN) -- What makes a city "cool"?

If it means being loaded with atmosphere, charm, great food and nightlife, yet ignored by the bulk of travelers, then Lisbon deserves consideration as Europe's coolest capital.

Here's why.

1. Nightlife that can outlast Madrid's

If you think Madrid stays out late, try a night out in Lisbon.

The city is less about heaving clubs and more about a roving nocturnal flow that ends (maybe) when dawn rises over the Tagus River.

The main action is in the Bairro Alto, where more than 250 appealing bars line a web of streets between graffiti-plastered walls.

Next is the riverfront, in the hip neighborhood around Cais do Sodré railway station.

Typical of the offbeat flavor here is the converted brothel Pensão Amor (Rua do Alecrim 19, +351 21 314 3399) where ace cocktails accompany erotica and DJ sets.

Capping a Lisbon night are pre-dawn traffic jams at Santa Apolonia docks -- they're created by the popularity of Lux, the king of Lisbon superclubs (Cais da Pedra +351 21 882 0890).

2. Experimental cuisine

Once known largely for bacalhau (dried cod), quaint old coffee houses and louche taverns, the Portuguese capital now claims a range of restaurants.

Seafood remains a staple, but the trend is for modern, sophisticated and affordable.

A high bar is set by wunderkind chef José Avillez at his Michelin-starred Belcanto (Largo de Sao Carlos 10, +351 21 342 0607) or his more casual bistro Cantinho (Rua dos Duques de Bragança 7, +351 211 992369).

Avant-garde European and Portuguese cuisine describes Avillez's menu, which stretches from sea bass with seaweed to lamb with vegetable puree.

Further down the scale, Lisbonites love juicy bifanas (pork buns) in backstreet eateries.

No traveler to Lisbon should miss the famed egg tarts (pasteis de nata).

The little bundles of caramel-y custard in chewy pastry are eaten in style at the original tiled café, Antiga Confeitaria de Belem (Rua Belém 84-92, +351 21 363 7423).

3. Irony

You'd think Lisbonites would brag about their achievements -- first global empire, world's best custard tarts, sea bass with seaweed that actually tastes great.

On the contrary, along with the rest of the nation, they excel in that ages old literary device/defense mechanism: irony.

As Portuguese writer Fernando Pessoa once eloquently summed up the prevailing national outlook: "I'd woken up early, and took a long time getting ready to exist."

That old entertaining melancholy has resurfaced with the austerity of recent years, helping Lisbonites remain (almost) content and always witty, even in tough times.

4. Beaches and castles

Lisbon is a place to inhale salty Atlantic air, sunbathe and hit the waves.

Dolphins surf and ferries ply the River Tagus.

Half an hour away by train are the beaches and ornate casino of Estoril.

A bit further, Cascais is for eaters -- lots of grilled fish and seafood stews served in domed cataplana dishes.

The other big day trip is to Sintra. Forty minutes from Lisbon's main station (Rossio), it's a time-warp town, located in lush, wooded hills peppered with whimsical palaces and mansions that epitomize centuries of aristocratic opulence.

5. Fabulous design

Wherever you look in Lisbon, sharp contemporary design is a hallmark.

Stylish leather goods, bold wine labels, interiors combining vintage with the latest designer pieces, spectacular buildings -- this is a city that loves to look good.

Pritzker-prize winning architect Alvaro Siza Vieira set the modernist tone with his gravity-defying pavilion for Expo 98.

Lisbonites gather to appreciate good design at MUDE (Rua Augusta 24, +351 21 888 6117), their mutant fashion and design museum, where austere low-tech blends with baroque flounces.

6. Big art

Large European capitals such as London, Paris, Berlin and Madrid may have blockbuster art collections, but Lisbon's half million inhabitants have access to their own rare panoply.

The classic is the Gulbenkian Foundation (Av. de Berna 45A, +351 21 782 3000), where superlative Oriental and Western art occupies an airy 1960s building and landscaped gardens.

In Bélem, the Museu Berardo (Praça do Império, +351 21 361 2878) focuses on big names of 20th- and 21st-century art, from Picasso to Jeff Koons.

Museu de Arte Antiga (Portuguese site only; Rua Janelas Verdes, +351 21 391 2800) is a 17th-century mansion packed with 500 years of artwork that reflects Portugal's globetrotting history.

Lisbon's latest exclusive is the impressive Museu do Oriente (Avenida de Brasília, Doca de Alcântara, +351 21 358 5244), a superbly converted salt cod warehouse full of Asian exhibits where you can book a nighttime visit followed by dinner in the riverfront restaurant.

7. Fascinating streets

There's no getting bored wandering in Lisbon, thanks to the intricately patterned cobblestones under your feet -- a civic point of pride that blossomed after Lisbon's 1755 earthquake and continues today.

Even Lisbon's walls demand attention, thanks to an obsession with azulejos (ceramic tiles).

Top examples are found at the Museu Nacional do Azulejo (Rua da Madre de Deus 4, +351 218 100 340), while the peeling façades of the Alfama and Mouraria districts show dozens of variations.

@highlight

Lisbon was the first global city -- it still feels like it

@highlight

Its inhabitants are experts at irony and creativity

@highlight

They challenge Madrileños for nightlife stamina

@highlight

They make the best custard tarts on the planet