New York (Financial Times) -- BP has put in place safety systems for offshore drilling that are ahead of any other company's, the UK oil group has said as it prepares for the trial over the 2010 Deepwater Horizon disaster.

The company has set out for the first time details of how it has restructured its operations and invested in new technology in an attempt to show that the mistakes that led to the fatal explosion and huge oil spill in the Gulf of Mexico will not be repeated.

Richard Morrison, who is about to take over as president of the company's operations in the Gulf of Mexico, said changes brought in since the disaster represented a greater investment in safety than for any of BP's competitors, and were "laying the foundations for a very safe company".

BP's new safety procedures will have no direct bearing on the civil trial over the spill, which is scheduled to start on February 25.

However, the company has been talking about what it sees as profound changes in its practices in order to improve its image in the US, and with other governments and companies worldwide.

Mr Morrison highlighted changes such as a new unit in Houston focused on monitoring wells being drilled offshore to watch for signs of trouble: a function that he said had no parallel in other companies.

BP is also setting up its own training facility to teach engineers and supervisors how to manage possible leaks of oil and gas of the kind that caused the Deepwater Horizon disaster, which an instructor described as aiming to be "the Harvard of well control".

BP is now more active in the Gulf of Mexico than ever, with seven rigs drilling wells, and was the region's largest producer of oil and gas last year. Facing challenges in other parts of the world, and having sold its Russian joint venture TNK-BP, it sees the US as central to its plans for future growth.

However, the aftermath of the Deepwater Horizon still overshadows the company's prospects. In its settlement last year with the US Department of Justice of the criminal charges against it, BP admitted that negligence on the part of its employees -- along with other companies -- was a "proximate cause" of the accident.

That led to debarment from new federal contracts, which means that BP cannot take out any new drilling leases in the gulf until the ban is lifted.

The DoJ said last year in a memo filed to the court in New Orleans hearing the civil case over the spill that it planned to prove BP had acted with "gross negligence or wilful misconduct" that had caused the accident. BP denies this gross negligence.

The Deepwater Horizon disaster followed other failures including a leak from a pipeline in Alaska in 2006 and the Texas City refinery explosion in 2005, which killed 15 people in one of the US's worst industrial accidents of recent years.

After those accidents Tony Hayward, who took over as chief executive in 2007, promised to restructure the company to focus on safety "like a laser".

Mr Morrison said the company had been pushing ahead with those changes, which had not been fully implemented at the time of the Deepwater Horizon accident, and introducing new systems and technologies as a result of the lessons it had learnt from its investigation of the disaster.

For example, he said staff of BP's new Safety and Operational Risk organisation, set up by Mr Hayward's successor Bob Dudley in 2011, now had the authority to order that an operation be stopped, when the previous safety body had more of an advisory role.

Another change was that the importance of process safety -- focusing on an operation as a whole, rather than small individual accidents -- was one of the lessons of the Texas City disaster and has now been emphasised in the drilling operations as well as BP's refineries, Mr Morrison said.

© The Financial Times Limited 2013

@highlight

UK oil group claims it has drilling safety systems ahead of any other company's

@highlight

BP blamed in large part for 2010 Deepwater Horizon oil spill in Gulf of Mexico

@highlight

BP has new unit monitoring wells being drilled offshore, training facility

@highlight

DoJ: BP acted with "gross negligence" for its part in Deepwater Horizon spill