(CNN) -- It's hard to overstate how frustrated Republicans have been over the last few years by their failure to gin up a juicy Obama administration scandal.

They tried with Solyndra and "Fast and Furious," but those turned out to be gigantic nothing burgers. Well now at last, they may have something, in either Benghazi or the IRS targeting conservative groups. Unlike Benghazi, where even the Republicans claiming it was "worse than Watergate" can't quite say what the misconduct was (unless you consider squabbling over talking points to be a nefarious and earth-shattering crime), the IRS affair is pretty straightforward.

From what we know, employees in the Cincinnati IRS office singled out conservative groups applying for tax-exempt status for extra scrutiny. If that turns out to be true, then it was absolutely wrong and the people responsible should be held to account, as everyone in both parties up to and including President Obama has agreed. But this controversy shines a light on a larger problem in the way our tax system interacts with our political system.

Obama says some IRS employees 'failed,' order accountability

Many Americans are probably hearing the term "501(c)(4)" for the first time, but a full context requires understanding two related types of groups. The first is 501(c)(3) groups, which are charities that are supposed to have no involvement in partisan politics; the second are the 501(c)(4) groups, which are permitted to be a little more involved in the political process, with more latitude for lobbying and electioneering.

If you make a contribution to a 501(c)(3) organization, it's tax deductible, but a contribution to a 501(c)(4) isn't. (Both kinds of groups are charitable entities that don't have to pay taxes on the money they take in.)

In its 2010 Citizens United decision, the Supreme Court declared that 501(c)(4) organizations would now be permitted to engage in "express advocacy" during election campaigns, meaning they could explicitly urge the election or defeat of candidates for office.

Nevertheless, 501(c)(4) groups are still supposed to be primarily nonpolitical and devoted to "social welfare." They can engage in some politics, but it's supposed to be a minority of their activities. Even before Citizens United, however, the law in this area was flouted so routinely that it made a mockery of the IRS mandate to keep charitable organizations from being partisan.

Though they exist all over the country, Washington in particular is full of organizations whose partisan political purpose is apparent to everyone, but which nonetheless are considered "social welfare" groups. Some exist to advance conservative ideology, and some exist to advance liberal ideology.

Opinion: Obama's second-term curse? Not so fast

Everyone in the organization, with the possible exception of the receptionist or the deputy assistant IT director, comes from the same party. When election season rolls around, their efforts turn to the campaign. If the group focuses on economic policy, it will issue reports on why the tax plans offered by the other side's candidate are bogus. If it's a foreign policy group, its representatives will assail the foreign policy record of the other side.

If the organization is big enough, it might even be set up as two organizations, a 501(c)(3) that can accept tax-deductible contributions and a 501(c)(4) that can't. They'll both be in the same office, run by the same people.

There are multiple organizations that use this structure. For example, on the right you have the Heritage Foundation and its (c)(4) twin, Heritage Action, just like on the left you have the Center for American Progress and its (c)(4) twin, the Center for American Progress Action Fund. Whatever the spirit of the law, dancing close to, but not over, the line of what's permissible in the law's letter is a daily concern for groups like these. As long as you're careful about how you phrase your communication ("candidate Smith's tax plan is a disaster" is fine; "No one should vote for candidate Smith" is a no-no), the IRS will probably leave you alone.

But after Citizens United, things changed. Groups like Heritage and the Center for American Progress are large organizations that do many different kinds of work on all kinds of issues. But now there are organizations with virtually no purpose other than influencing elections that apply for tax-exempt status, claiming that they'll be engaging only in "education" or "research."

You may have heard, for instance, of Crossroads GPS, the group Karl Rove and other Republican strategists created to help defeat Barack Obama in the 2012 election. It had a counterpart on the Democratic side, a group started by former Obama staffers called Priorities USA. Both raised tens of millions of dollars, which they spent on dueling ads in the presidential campaign.

Yet both Crossroads GPS and Priorities USA applied to the IRS as 501(c)(4) "social welfare" organizations, claiming that politics wasn't their primary purpose. If you believe that, I have a bridge in Brooklyn I'd love to sell you. But if their attorneys craft the language in their applications carefully enough, the IRS will approve their application. IRS approval of 501(c)(4) status means not only that the organizations don't have to pay taxes, but also, unlike super PACs, they don't have to disclose their donors -- and keeping your donors secret is one of the chief attractions of the 501(c)(4).

The danger now is that because of this affair, instead of scrutinizing all 501(c)(4) applications regardless of the applicants' ideological perspective, a chastened IRS will let more and more applications slide by with minimal inspection.

"Dark money," so called because 501(c)(4)s don't have to reveal their donors, could come to dominate our elections even more than it has since 2010. We could see the blooming of a thousand weeds, as everyone who wants to pour money into campaigns while hiding their identity starts a 501(c)(4) under the fiction of "social welfare," and the IRS won't stop them.

The IRS obviously needs better internal controls to ensure that it treats all groups by the same standards. But one reason this misconduct occurred was that after Citizens United, the IRS was deluged with thousands of applications for 501(c)(4) tax-exempt status, and many of the organizations were obviously political groups claiming to be "social welfare" organizations.

If we're going to have a special set of rules for groups focused on elections and lobbying -- which we should -- then we need rules that mark clearer lines between political and nonpolitical activity, and an agency with the will and the resources to enforce them. This scandal could be an opportunity to make the system work better. Or it could cause it to deteriorate even further.

The opinions expressed in this commentary are solely those of Paul Waldman.

@highlight

Paul Waldman: Republicans looking for a juicy Obama administration scandal

@highlight

Beyond obvious wrongdoing, IRS scandal sheds light on flawed system, he says

@highlight

Laws allow obviously political groups to pose as social welfare organizations, he says

@highlight

Waldman: Expanding this loophole would allow more "dark money" into politics