At the start of a big week for the Higgs boson, the most sought-after particle in all of physics, scientists in Illinois said Monday that they had crept closer to proving that the particle exists but had been unable to reach a definitive conclusion.

The scientists outlined their final analysis based on more than 10 years of research and 500 trillion particle collisions using the U.S. Department of Energy's Fermilab Tevatron collider near Batavia, Illinois, whose budgetary woes shut it down last year.

What is the Higgs boson and why is it important?

Their announcement came two days before researchers at the Large Hadron Collider under the Alps are due to unveil their latest results at an eagerly awaited seminar at the CERN particle physics laboratory in Geneva, Switzerland.

"Our data strongly point toward the existence of the Higgs boson," Rob Roser, a spokesman for one of two independent experiments at the Tevatron, said in a statement. "But it will take results from the experiments at the Large Hadron Collider in Europe to establish a discovery."

Read more: The woman at the edge of physics

Finding the Higgs boson would help explain the origin of mass, one of the open questions in physicists' current understanding of the way the universe works.

The particle has been so difficult to pin down that the physicist Leon Lederman reportedly wanted to call his book "The Goddamn Particle." But he truncated that epithet to "The God Particle," which may have helped elevate the particle's allure in popular culture.

More science news from CNN Light Years

The results from the Tevatron, stemming from the two different experiments, suggest that if the Higgs boson does exist, it would have a mass between 115 and 135 GeV -- about 130 times the mass of the proton.

Before the Tevatron closed, the experiments there sent beams of particles whizzing around a four-mile circumference in opposite directions. Traveling at a fraction below the speed of light, the particles would crash into each other, creating conditions similar to those at the dawn of the universe for scientists to observe.

But so far, neither the results from the U.S. collider experiments nor from the the Large Hadron Collider, located 328 feet underneath the border of France and Switzerland, have enough statistical significance to constitute a discovery.

"It is easier to look for a friend's face in a sports stadium filled with 100,000 people than to search for a Higgs-like event among trillions of collisions," said Luciano Ristori, a physicist at the U.S. facility.

Attention now turns to the latest analysis of data from the $10 billion European machine, the world's most powerful particle smasher.

"We now have more than double the data we had last year," Sergio Bertolucci, the director for research and computing at CERN, said last month. "That should be enough to see whether the trends we were seeing in the 2011 data are still there, or whether they've gone away. It's a very exciting time."

Scientists getting clearer picture of 'God particle'

@highlight

U.S.-based scientists say their data points toward the existence of the Higgs boson

@highlight

Finding the Higgs boson would help explain the origin of mass

@highlight

But the research at the Tevatron collider doesn't provide a conclusive answer

@highlight

Attention now turns to a seminar Wednesday on data from the Large Hadron Collider