(CNN) -- English contains more words than any other language on the planet and added its millionth word early Wednesday, according to the Global Language Monitor, a Web site that uses a math formula to estimate how often words are created.

The Global Language Monitor says the millionth word was added to English on Wednesday.

The site estimates the millionth English word, "Web 2.0" was added to the language Wednesday at 5:22 a.m. ET. The term refers to the second, more social generation of the Internet.

The site says more than 14 words are added to English every day, at the current rate.

The "Million Word March," however, has made the man who runs this word-counting project somewhat of a pariah in the linguistic community. Some linguists say it's impossible to count the number of words in a language because languages are always changing, and because defining what counts as a word is a fruitless endeavor.

Paul J.J. Payack, president and chief word analyst for the Global Language Monitor, says, however, that the million-word estimation isn't as important as the idea behind his project, which is to show that English has become a complex, global language.

"It's a people's language," he said.

Other languages, like French, Payack said, put big walls around their vocabularies. English brings others in.

"English has the tradition of swallowing new words whole," he said. "Other languages translate."

The Internet, global commerce and global travel have accelerated the trend by putting English in contact with many other linguistic groups. This has made English more rich and more complex -- hence all of the new terms, he said.

Still, Payack says he doesn't include all new words in his count. Words must make sense in at least 60 percent of the world to be official, he said. And they must make sense to different communities of people. A new technology term that's only understood in Silicon Valley wouldn't count as a mainstream word, he said.

His computer models check billions of Web sites -- including the Global Top 5,000 media sites -- dictionaries, scholarly publications and news articles to see how frequently words are used, he said. A word must make 25,000 appearances to be deemed legitimate.  Learn about how other languages stack up »

Payack said news events have also fueled the rapid expansion of English, which he said has more words than any other language. Mandarin Chinese comes in second with about 450,000 words, he said.

English terms like "Obamamania," "defriend," "wardrobe malfunction," "zombie banks," "shovel ready" and "recessionista" all have grown out of recent news cycles about the presidential election, economic crash, online networking or a sports event, he said. Other languages might not have developed new terms to deal with such phenomena, he said.

Language experts who spoke with CNN said they disapprove of Payack's count, but they agree that English generally has more words than most, if not all, languages.

"This is stuff that you just can't count," said Jesse Sheidlower, editor at large of the Oxford English Dictionary. "No one can count it, and to pretend that you can is totally disingenuous. It simply can't be done."

The Oxford English Dictionary has about 600,000 entries, Sheidlower said. But that by no means includes all words, he said.

For example, Sheidlower said "great-great-great-great grandfather" could be considered a word, but wouldn't be in the dictionary. There's a similar problem with numbers, which may be counted up by their pieces -- "twenty" and "three" -- but not always as a group, as in "two-hundred twenty-three."

Part of what makes determining the number of words in a language so difficult is that there are so many root words and their variants, said Sarah Thomason, president of the Linguistic Society of America and a linguistics professor at the University of Michigan.

In the language of native Alaskans, she said, there are dozens of words for snow, but many of them are linked together and wouldn't be counted individually. Does that mean, she asked, that "slush," "powder" and other snow words in English should be counted as one entry?

Thomason called the million-word count a "sexy idea" that is "all hype and no substance."

Linguists and lexicographers run into further complications when trying to count words that are spelled one way but can have several meanings, said Allan Metcalf, an English professor at MacMurray College in Illinois, and an officer at the American Dialect Society.

"The word bear, b-e-a-r -- is that two words or one, for example? You have a noun that's a wild creature and then you have b-e-a-r, [which means] to bear left or to bear right, and there's many other things," he said. "So you really can't be exact about a millionth word."

Payack said he doesn't consider his to be the definitive count, just an interesting estimation based on set criteria he has helped develop.

"It's always an estimation," he said. "It's like the height of Mount Everest is an estimation. The height of Mount Everest has changed five times in my lifetime because as we get better tools, the estimates get better."

He said the count is meant to be a celebration of English as a global language. And, while he says other languages are being stamped out by English's expansion, it's a powerful thing that so many people today are able to communicate with such a vast list of words.

@highlight

Web site estimates English got its millionth word at 5:22 a.m. Wednesday

@highlight

English accumulates new words from other languages and from its global reach

@highlight

Linguists question group's formula, which estimates rate of new words

@highlight

English has more words than any other language, site says