(Editor's note: Marnie Gustavson is Executive Director of PARSA, a Seattle-based nonprofit working with widows, orphans and the disabled in Afghanistan. She spent her teenage years in Kabul, where she now lives with her family. For more information about PARSA, read here and here

Marnie Gustavson says the real Afghanistan is more textured  than could be seen from secure bunkers.

KABUL, Afghanistan (CNN) -- In my Afghanistan, the days are compiled images of Afghans living their simple lives.

My Afghanistan is a kaleidoscope of real people, from the stick-thin bearded Paghmani man, an imposing 6-foot-5, rhythmically lifting rocks, 12 hours a day, seven days a week for $4 a day, his shalwar kameez billowing in the hot summer breezes; to the grin of the boy in his blue shirt as he labors to cut the alfalfa after school to feed the flock of big-bottomed sheep.

To the kiss of the old widow, her family gone, whose feet hurt incessantly; she's forgotten the English she once knew when she worked for the government. And of course, to the communities my organization works with to help them better their lives through direct education and training programs.

A Pashtun orphan, about 11, enters my office with a plate of freshly picked summer apricots. He was rescued from a madrassa that trained him how to throw grenades and to be a suicide bomber. He spends time with me when he gets a chance, tidying my desk, pulling my papers out of the copier and stacking them.

We can't speak much as I do not know Pashtun and he hasn't yet learned Dari or English, but he tucks his head into the crook of my neck for a couple of minutes watching me type. In these gentle moments, he begins to unwind and I experience the fragile connection that is being created between our worlds.

Living and working in Afghanistan for nearly five years now, I do not recognize most of what the international news accounts of this area report as anything remotely close to my experience.

A visiting journalist recently observed with some surprise that "parts of Afghanistan are at war and parts are peaceful." Indeed, like Ireland and many other sites of civil unrest in the world, there are pockets of peace and pockets of war.

The things that concern me most as I go about my day-to-day activities are not suicide bombers, kidnappings, and the "insurgency." These are all just a backdrop to the much more textured story that is Afghanistan, though it rarely touches the lives of the 2,500 or so foreign aid workers who live and work in Kabul. Yet these stories of violence dominate the news outside and thus color the way the world imagines Afghanistan.

Internationals living in the country are constantly bombarded with "threat alerts" and rarely visit the desperately poor Afghan communities their projects are ostensibly attempting to help. This is what concerns me: how my country is spending development dollars here without really being here.

The results of the fear that dominates the management of most development projects are an incompletely informed group of international professionals working in Afghanistan who can literally spend years here without seeing the country but through the windows of their armored cars.

Living as they do under cloistered, fearful conditions behind razor-wired walls, venturing out only to a select list of "secure" locations, they make often questionable decisions on spending, frequently without the input of Afghan nationals. From this entrenched, isolated position, they are managing hundreds of millions of dollars of international development funds.

When news reports talk about Afghanistan's high levels of corruption, they do not lift the veils to see that the development projects themselves are actually enabling it with security conditions that resemble apartheid.

While folks at home are hunkering down, Afghanistan projects are concerned with tripling their monthly "burn rates" and managing projects remotely -- projects that almost certainly are less than the books indicate, or worse, have been paid for several times over by different organizations.

It is time for those controlling the funding investment in this country to listen to their citizens, especially Afghan-Americans and other Americans like me and my family who live and work here. We are the people on the front lines, and connected as we are to the community here, we have much to offer in the way of supporting the success of the donor efforts.

The good news is that there are more than a few Americans in this country who have the privilege of experiencing the Afghan people the way I do. But so far, my attempts to connect them with the American mission here as the new administration "rethinks" the strategy for Afghanistan have been unsuccessful as calls and e-mails to the ambassador have gone unanswered.

There is a story of a young American worker for a nongovernmental organization who stopped on the road recently to pull out a van that was stuck in the snow, having veered into the oncoming lane when the sun was going down.

In the car were two women, three small children and an elderly man, plus the two men who were attempting to dig out the wheels with sticks. It took less than 10 minutes to pull them out, and they were grateful for the help... they'd been there for nearly four hours and many trucks and security vehicles had passed them without offering a helping hand. They thought they would either freeze or be pushed over the brink of the cliff once it darkened. I know that story is true because the young man is my son Reese and I was with him.

I propose a simple and very Afghan solution to the Afghanistan dilemma: We need to be good neighbors. Offer help. Be visible. Take some risks to communicate with ordinary people.

My young Pashtun orphan, trained to kill, is now growing up in an institution where he mixes with internationals, with the very "infidels" he was previously conditioned to hate. ... Are these not the ways for us to build bridges into this community? With shared meals instead of divisive policies? These are not new thoughts, but they are often unspoken and certainly not practiced in America's Afghanistan, which is a world divided by sandbags, concrete T-beams and armed guards.

The opinions expressed in this commentary are solely those of Marnie Gustavson.

@highlight

Marnie Gustavson: Afghanistan is a complex place with pockets of war and peace

@highlight

She says the image of Afghanistan provided in the media isn't complete

@highlight

She says some aid organizations hide behind fences and miss the real story

@highlight

Gustavson: We must build bridges to the young people of Afghanistan