Atlanta, Georgia (CNN)  -- This is a story of two test drives, albeit two very different ones.

Recently I got behind the wheels of two highly anticipated new-model electric cars -- the first of what could be a new wave of electric vehicles in the United States.

Made available for my scrutiny as a typical driver were the all-electric Nissan Leaf and the plug-in hybrid Chevrolet Volt. I drove the Leaf about five miles around the city streets of Atlanta (with a brief highway detour) and the Chevrolet Volt 630 miles from Orlando, Florida, to Raleigh, North Carolina.

It was 15 minutes in the Leaf versus 10 hours in the Volt. Both driving experiences showed me that these cars are very much like piloting a "normal" vehicle -- with one difference -- it's much easier to sneak up on people.

Electric range/gas mileage

We drove the Leaf at a Georgia Power/City of Atlanta/Nissan event near the CNN headquarters. The route was about 2 miles and we deviated another couple of miles by taking it exit-to-exit on the Downtown Connector (luckily it was before our 180-minute rush hour). With such a short drive, neither we nor any of the other 20 drivers who came out to the test drive came close to wearing down the battery.

When I took my turn behind the wheel, we had 73 miles of electric range left. When I exited the vehicle, there were 68 miles remaining.

Nissan says the car should go 100 miles on a full charge, but that depends on weather conditions and driving style.

A few days later we hopped in the Volt in Orlando. A team of Chevy engineers and PR folks were traveling north to Raleigh for some public events.

Heading east on I-4, I had about 40 miles of electric range. As I accelerated I paid scant attention to the green ball on the digital display that tells you how economical you're driving. With a half-day's drive in front of me, I wasn't interested in saving power, only time.

About 38 miles east of Orlando, driving about 70 mph, the batteries were down to the minimum.

Now, in a purely electric-powered car you'd have to pull over and charge up. But the Volt has a gas-powered generator that comes on when the batteries are nearly depleted. It creates electricity to keep the batteries minimally charged to drive the car (and at certain points it helps turn the wheels).

We traveled the remaining 600 miles on gas-powered electricity, and at speeds about 8 to 10 mph over the limit, we averaged about 37.1 mpg.

Related story: Range-anxiety a concern for electric car buyers

Noise

It's nearly impossible to describe the absence of noise, but both cars are eerily silent. It's like riding in a golf cart; you turn it on but there's no sound. Even when you're merging into traffic at 70 mph in the Leaf (hey, I was going with traffic), the vehicle makes very little noise.

When I ran down the Volt battery, the gas engine kicked on without much fanfare. I was told it was about to happen and I still didn't really hear it start. I pretended to notice, but I was guessing. With the radio on, I doubt you'd hear it at all.

When we drove into Savannah, Georgia, for lunch, we took the car down an alley to park. A happy couple -- full of local food and sunshine -- sauntered aimlessly in front of us, oblivious to the fact that our car was creeping up three feet behind them.

So I pulled the bright lights bar to activate the horn designed to let pedestrians know there's a Volt nearby. The pedestrian horn is quieter and more polite sounding than the regular Volt horn, which is accessed from where you'd expect it to be on the steering wheel.

Pickup

Electric cars can get up and go. At least initially. Both cars responded impressively to a foot mash on the pedal from a dead stop. I never got a chance to test the Leaf's passing ability on the highway, but I sure did during the Volt journey.

We encountered a few slower cars in the left lane. I drive an old Acura TL, with 210,000 miles accumulated in my own journeys to North Carolina. Based on my car's performance, I guessed the amount of time my TL needs to make a highway pass and applied it to the Volt.

Most of the time, I'd clear the car enough to pass -- but not with the same amount of room to spare. And a couple of times I had to slow down, fall back and get in line again. It just seemed to take a long time to go from 60 mph to 70 mph.

Comfort

The Leaf and the Volt are smaller cars and I'm a semi-big man (6-1, 240). Both had comfortable front seats, but the leg room in the back was a little cramped, especially if the driver is my height or taller.

My back did get a bit tight after three hours straight in the Volt's driver's seat, but I switched on the heated seats. Although my glutes got a bit toasty, it did help with my lower back. We drove about four hours at a time and each time I got out to stretch my legs, I wasn't stiff or leg wobbly at all.

My colleagues who came along on the Leaf ride were a bit shorter than me, and they had no problems with legroom or headroom.

Styling

These cars aren't going to get looks at stoplights, until people realize they are electric cars. That's when you get the questions. But to me, they're both nicer looking cars when you see them in person. The Leaf was red -- and it drew raves from the test drivers. One said she thought even her teenage daughter would approve.

We caught a few people on the highway snapping camera-phone pictures of the Volt. (There were four Volts in the caravan, so by the time you passed the third one, you had time to figure out what was going on).

Many buyers will care more about how the cars are fueled than they will about the cars' styling. But they also won't be caught driving a car as ugly as some of the previous electric vehicles on the market.

Overall

Both cars live up to their hype. The Leaf is cute and peppy and has enough room for five people for a short trip. The extras -- like satellite navigation that can find charging stations and the ability to start the air conditioning or heater a few minutes before you get in the car -- are great. It will cost $32,780 before a federal credit of $7,500 and state credits of up to $5,000.

Details on electric car tax breaks

A hundred miles should cover most commutes and errands, so the Leaf would make a good second car, a car for a high school driver, or the in-town resident who has easy access to charging.

The Volt is a car for people who want to run on batteries during the workweek and be able to go on a weekend trip without renting another car.

It's a small car on the outside, but has the feel of an expensive car on the inside (although at $41,000 before a federal tax credit, it is a bit pricey for most people).

Chevy is throwing in bells -- like a free OnStar driver assist package for five years -- and whistles -- like an automatic climate system that warms the front seats and passenger cabin to a comfortable temperature when it's cold outside.

Second opinion: CNNMoney's car critic drives the Volt

These cars will be on the road soon, and you might not even notice, unless you happen to see them plugging into to an electrical source to charge their batteries.

While they have much in common with their totally gas-powered brethren, that's what makes these two electric cars significant, and possibly, game-changing.

@highlight

Writer test drives Nissan Leaf in Atlanta and drives Chevy Volt up the East Coast

@highlight

Cars are zippy off the line, and super quiet even at 70 mph

@highlight

They look better in person, writer says

@highlight

Most buyers will be interested in environment, but will also get good, fun car