(CNN) -- On Tuesday morning, the U.S. Court of Appeals for the District of Columbia Circuit killed a regulation that is key to making Obamacare work. Its decision in Halbig v. Burwell, if it were the last word on the matter, would have significant -- and damaging -- consequences for millions of Americans who purchase health insurance on exchanges established and run by the federal government.

Fortunately, it won't be the last word on the matter. And the decision issued later Tuesday by another federal appellate court -- the 4th Circuit -- in King v. Burwell makes clear why: The D.C. Circuit's decision got basically everything wrong. It misunderstood the text, structure and purpose of the Affordable Care Act. The Justice Department has already indicated that it will ask the entire D.C. Circuit to review the Halbig v. Burwell decision, and when it does, it will no doubt reverse it.

These two cases are both part of what Judge Harry Edwards, the dissenting judge in Halbig, termed a "not-so-veiled attempt to gut" the Affordable Care Act. As the members of Congress who led the enactment of the law made clear in a "friend of the court" brief they submitted to both courts this year, the fundamental purpose of the statute was to achieve universal health care coverage, and the Internal Revenue Service providing tax credits that act as subsidies so low- and middle-income Americans can pay for health care is central to doing so.

The plaintiffs in these challenges argue that these tax credits should not be available to people who buy insurance in the 36 states with exchanges operated by the federal government -- that is, who got their subsidized health coverage through HealthCare.gov, not a state-run exchange. It's a position that's not only completely without legal merit -- "tortured" and "nonsensical," according to one of the 4th Circuit judges -- it's also one that would critically undermine how Obamacare works.

What the Obamacare court decisions mean for you

But rather than looking at the law as a whole and considering what it was attempting to accomplish, the D.C. Circuit judges focused on one small provision of what is a long and complicated statute. Edwards called the plaintiffs' argument "illogical when cast in the context of the statute as a whole."

Indeed, the plaintiffs themselves appeared to recognize how flawed their argument, based on the statute's language, was and thus manufactured an explanation for why Congress would have written the statute to eliminate the tax credits on federally facilitated exchanges. According to the plaintiffs, Congress wanted to encourage the states to set up their own exchanges. The only problem, as Edwards noted, is that the "claim is nonsense, made up out of whole cloth." The legal reasoning in the majority's opinion is so weak it is difficult to understand it as anything but a political decision.

And that is what makes particularly galling the judges' professed "reluctance" to reach their conclusion. These judges assert that their hands were tied by the "limited" role of judges in our democratic system. In other words, they imply, their decision -- which could have massive consequences for millions of Americans -- was actually an exercise of judicial restraint.

Appeals courts differ on Obamacare

There's nothing restrained about misreading a law's text, disregarding its structure and ignoring its purpose. In fact, it was the 4th Circuit judges who exercised true judicial restraint. Two of those judges concluded that the statute was unclear and that they should therefore defer to the agencies charged with implementing the law -- in this case, the IRS, which would provide the tax credit subsidies. (The other judge concluded that the statute is unambiguous, but in the other direction, and requires that tax credits be available on federally facilitated exchanges.)

As those judges recognized, where a law is unclear, the proper role of a judge is generally to defer to a reasonable construction offered by the executive branch agencies charged with implementing the statute.

The judges in Halbig seemed so determined to undermine the Affordable Care Act that they ignored this bedrock legal principle. Fortunately, they won't have the last word on the subject.

@highlight

Brianne Gorod: D.C. Circuit panel got it wrong by dealing blow to how Obamacare works

@highlight

She says 4th Circuit ruling was right and that both challenges part of right's attempt to gut law

@highlight

D.C. Circuit ruled against federal subsidies for millions signed up, ignoring law's intent, she says

@highlight

Gorod: Review of decision by entire D.C. Circuit Court will likely reverse flawed decision