(CNN)  -- When international supermodel Naomi Campbell took the witness stand Friday in the trial against Liberia's former President Charles Taylor, Western media outlets showered unprecedented attention on this largely ignored war crimes trial.

But many witnesses besides Campbell have testified since the trial began in January 2008.

Judges have heard accounts of bravery and fortitude by ordinary civilians whose limbs were amputated, who were raped or forced into slavery; stories of horrifying acts of wickedness by faction commanders and their fighters; and the unsavory involvement of outsiders, often business opportunists. These business leaders' willingness to seek profit in diamonds, timber, rubber or weapons on the back of the war is shocking. Yet despite the dramatic and horrifying nature of this testimony, the trial garnered only minimal Western media coverage.

That is, until the trial took a surprising twist, with supermodel Naomi Campbell and actress Mia Farrow testifying about a dinner in South Africa that happened nearly 13 years ago. At that dinner, then-newly elected President Charles Taylor allegedly gave the supermodel a parcel of rough diamonds.

The judges will ultimately determine what exactly happened that night and how it relates to Taylor's case. But the Campbell-Farrow-diamond saga might bring public attention to an issue that goes far beyond the celebrities and even the trial itself.

The supermodel, perhaps unintentionally, said it best when she described the gift she received at that dinner in South Africa. She called them "dirty little stones" unfamiliar to her because she was used to seeing diamonds "shiny and in a box." Campbell's comment spoke not only of her relative naïvety, but of the troubling nexus between Western economies and some of the world's worst resource-based conflicts and most corrupt regimes, particularly in Africa.

The wars in Liberia and Sierra Leone were perhaps the first and most vivid examples of the new nature of post-Cold War conflicts in Africa. The Liberian civil war and eventually the larger regional war involving four neighboring countries started on December 24, 1989, the day that some mark as the end of the Cold War.

The old client patronage support system for belligerents quickly evaporated. Commercial entities and transnational organized criminal networks, often overlapping, filled the void, providing weapons and a market for resources that sustained military campaigns conducted by both governments and rebel forces.

In Liberia, it was timber, rubber and gold. In Sierra Leone, it was diamonds. But the pattern was evident in other wars as well, whether it was diamonds, oil, timber, or even rare minerals like coltan, used in today's cell phones.

Commentators in the West typically point to the corruption and human rights abuses of African leaders, as if this happens in isolation. But it is a two-way street. In nearly every armed conflict or instance of a highly corrupt regime coupled with some desired resource, a network of outsiders extending from organized criminal networks to reputable financial institutions facilitates and exacerbates some of the world's worst abuses.

This is not simply about a few unsavory businessmen willing to make back-room deals. It is also about major international financial institutions that exercise little due-diligence as they oppose stricter transparency regulations. It's about major corporations that transact with shell companies representing criminal networks, or that make payments to off-budget bank accounts. In short, it involves the "see no evil" approach by some of the world's largest mineral extraction, oil and financial institutions.

For the people of Sierra Leone and Liberia, Naomi Campbell's association with this whole affair is of little consequence. But it is a cruel reminder of another stark fact: In the years of war that engulfed both countries, not only were thousands of innocent lives lost and people maimed, not only were women and girls raped or made sex slaves, not only were children conscripted to fight, but the people's resources also were stolen out from under them and never returned.

The diamond industry has given almost nothing back to Sierra Leone, despite the critical role diamonds played in the war. The same is true for segments of the timber industry that profited from the deforestation of Liberia during the war.

I hope the recent media attention surrounding Naomi Campbell will last beyond fashion critiques of the custom-fitted suit, bouffant hairstyle and high-heeled shoes she wore to court, and chatter of a celebrity feud between her and Mia Farrow.

Instead, I hope Campbell's appearance at court will raise awareness about a truly significant and profound issue -- how some within the affluent economies of the world profit from the world's worst conflicts and their "dirty little stones."

The opinions in this commentary are solely those of Christopher Santora.

@highlight

Christopher Santora: Naomi Campbell brought attention to Charles Taylor's war crimes trial

@highlight

Since 2008, he writes, judges have heard of rape, amputation, slavery, child soldiers

@highlight

Big businesses complicit by profiting from timber, diamonds in war zones, he says

@highlight

Dirty secret is that affluent countries profit from the world's worst wars, he writes