The United States appears to have just scored a big win in Syria in taking out a key al Qaeda bomb-maker plotting to blow up American passenger jets, but it could come at significant cost because the same strikes appear to have also killed fighters belonging to two powerful jihadist rebel groups who were fighting ISIS and not previously focused on targeting the United States.

U.S. officials said the strikes overnight Wednesday in Idlib province to the west of Aleppo targeted Khorasan, a group of veteran al Qaeda operatives previously based in Afghanistan and Pakistan.

A U.S. defense official told CNN's Barbara Starr one strike likely killed David Drugeon, a skilled French bomb-maker in the group, while he traveled in a vehicle.

U.S. strike reportedly kills key bomb-maker.

Drugeon, 24, was one of the most active bomb-makers within the Khorasan group, a U.S. intelligence official told Pamela Brown, and was working on non-metallic explosive devices which the group hoped to smuggle on board Western passenger aircraft.

Among the devices Khorasan were developing to try to beat airport security: bombs made out of clothing dipped in explosive solution and explosives concealed in personal electronics and printer cartridges. Drugeon was also looking to recruit and train Western operatives for attacks in Europe, according to officials.

Bomb-maker's beginnings

The Pentagon said the strikes, in the vicinity of Sarmada, hit five Khorasan targets, including vehicles, buildings, and bomb-making and training areas.

But reports from the ground suggest that facilities and vehicles belonging to Jabhat al Nusra and Ahrar al Sham were the ones hit overnight and that there were civilian casualties.

According to the Syrian Observatory for Human Rights, the strikes hit a Jabhat al Nusra vehicle in Samarda, the Jabhat al Nusra headquarters in the town of Harim -- just 14 miles from Sarmada, another Nusra building in al-Muhameen and a headquarters building belonging to Ahrar al Sham near the Bab-al Hawa border crossing with Turkey just a few miles from Samarda.

Airstrikes target another Islamist group

This suggests U.S. intelligence believed Khorasan operatives were being hosted by elements belonging to the two jihadist groups. The strikes "did not target the Nusrah Front as a whole," the Pentagon stated Thursday, in an apparent concession that Nusra facilities were indeed in the firing line.

On September 22, Nusra fighters were also apparently killed in cruise missiles strikes in Idlib province that the United States said were targeting Khorasan. Eyewitnesses interviewed by Human Rights Watch said the strikes hit a Nusra compound near the village of Kafr Deryan, but also killed several civilians in the village.

Stirring the hornets' nest

The deaths of Nusra and Ahrar al Sham fighters could create serious blow-back for the United States.

Although Jabhat al Nusra is an al Qaeda affiliate and has ties to -- and some overlap of personnel with -- the Khorasan Group, its top leadership has not to date made attacking the United States and the West priority. The worry is that al Nusra could pivot away from its current focus on overthrowing the Assad regime toward plotting attacks in the West.

While Khorasan has at most dozens of operatives, Nusra has thousands of fighters in its ranks, including hundreds of Western passport holders. It also operates training camps on a significant scale, controls a significant and growing swath of territory in Syria and has deep financial pockets.

Nusra leader Muhammad al-Julani -- in a rare public declaration -- described the Western missile strikes as an assault on Islam, and warned the Western public: "This is what will take the battle to the heart of your land, for the Muslims will not stand as spectators watching their sons bombed and killed in their lands, while you stay safe in your lands."

Islamist rivals in Syria find a common enemy

Ahrar al Sham, a powerful and well-funded Salafi-jihadist rebel group with widespread popularity among Syrian Sunnis, has to date kept its distance from al Qaeda and shown virtually no interest in its ambitions of global jihad.

According to Charles Lister at the Brookings Doha Center, its leadership in recent months appeared to be gravitating toward more moderate positions. And Ahrar al Sham, like Jahbat al Nusra, has been involved in fierce fighting against ISIS over the last year.

But Ahrar al Sham and Nusra leaders' anger over Wednesday night's strikes could see them soften their opposition to ISIS.

In a Twitter message posted Thursday, Ahrar al Sham railed against the U.S.-led coalition for "leveling to the ground" a headquarters building and called for an immediate halt to fighting between different rebel groups in Syria.

Khorasan likely still a threat

U.S. intelligence is still assessing the impact of the strikes on Khorasan. Several of the group's leaders may still be alive. U.S. intelligence agencies were almost certain that the head of the group -- Muhsin al Fadhli, a 33-year-old Kuwaiti operative who was part of Osama bin Laden's inner circle before 9/11 -- survived the September 22 cruise missile strikes.

Another senior operative in Khorasan is Abdul al Charekh, a 29-year-old Saudi former internet propagandist who ran al Qaeda's finances in the tribal areas of Pakistan before decamping for Syria at some point after 2012.

And the group has at least one other operative with bomb-making knowledge: Abdelrahman al Johani, a Saudi operative in his mid-40s who U.S. intelligence believes has been plotting terrorist attacks against the West from Syria since becoming one of the founding members of the Khorasan Group in mid-2013.

Al Johani, who remains on Saudi Arabia's most wanted list, was part of al Qaeda's leadership council and its counterintelligence chief in the tribal areas of Pakistan before moving to Syria around 2012. Saudi counterterrorism officials believe he previously received training in explosives and toxins.

According to the United Nations, before joining Khorasan, al Charekh and al Johani had senior positions with Nusra in Latakia province, with the latter being in charge of foreign fighter networks, illustrating the overlap and ties between the two groups.

Technological race to keep Western planes safe

U.S. officials believe al Qaeda's affiliate in Yemen, al Qaeda in the Arabian Peninsula, has transferred bomb-making know-how to the Khorasan Group. Between 2009 and 2012, AQAP master-bombmaker Ibrahim al Asiri orchestrated three terrorist plots to bring down American aviation.

In 2009, al Asiri fitted out a Nigerian AQAP recruit with an explosive underwear device containing PETN, a white, powdery, difficult-to-detect explosive, but the attempted attack failed to bring down a passenger jet landing in Detroit on Christmas Day.

Al Asiri used the same explosive compound concealed in printer cartridges in a plot to blow up cargo jets headed to the United States just before the 2010 midterm elections. And according to Western counterterrorism officials, he used ETN, a closely related chemical compound, in a third plot targeting U.S. aviation with a more advanced form of the underwear device. The plot was thwarted by a Saudi-British spy in 2012 who was recruited for the suicide attack and retrieved the device.

Experts tell CNN the latest generation of airport security scanners, including multi-view X-ray machines, and "explosive trace detection" -- which involves running a hand-held device over the surface or inside of cabin and checked luggage, "sniffing" the air for minute quantities of explosive -- have a good chance at detecting PETN and similar explosive compounds but offer no 100% guarantee, especially if the explosives are well-concealed and sealed.

Western intelligence agencies believe al Qaeda groups such as AQAP and Khorasan are continuously trying to develop new ways to beat airport security. It is an arms race between al Qaeda bomb-makers and outfits developing explosive detection technologies that could not have higher stakes.

@highlight

Official: A U.S. airstrike in Syria appears to have killed French bomb-maker David Drugeon

@highlight

Drugeon is part of the militant Khorasan Group

@highlight

But airstrikes likely killed other fighters not directly targeting U.S.

@highlight

And that could possibly soften their opposition to ISIS