If the Curiosity rover had been sent to Mars in ancient times, it might have found itself sinking in a stream.

The 2,000-pound super-rover, which made its now-legendary landing on Mars on August 6, has come across stones in conglomerate rock suggesting that water must have flowed there in the past.

One such rock outcrop is called Hottah, after Hottah Lake in Canada's Northwest Territories. It looks like someone took a jackhammer and lifted up a sidewalk, said John Grotzinger, lead scientist for the Curiosity mission, at a press conference Thursday.

The consensus is that "this is a rock that was formed in the presence of water," Grotzinger said. "We can characterize that water as being a vigorous flow."

In and around this bedrock, Curiosity has come across rounded gravels. The rocks appear to have been subjected to a sediment transport process, carried by either water or wind, said scientist Rebecca Williams of the Planetary Science Institute in Tucson, Arizona.

The gravels seem too large to have been transported by wind, meaning it's likely that this is a stream bed.

A second rock outcrop, called Link, holds similar evidence. Scientists used data from Curiosity and the orbiters at Mars to enhance their understanding of the area.

The water flowing in these rock formations was probably somewhere between ankle and hip deep, said Curiosity science co-investigator William Dietrich of the University of California, Berkeley.

What we've done on Mars, and what's next

Scientists believe the water and sediment flowed down the crater into an alluvial fan -- a geological formation created by material that water transports. At least intermittently, this fan appears to have extended down to the area where the rover landed.

It's hard to say how long ago this water flowed -- an estimate would be "thousands to millions of years," Dietrich said.

Previously, scientists have used data from past Mars missions to speculate about channels on the planet, and whether water could have flowed in them. This is the first direct observation of streambed material, Dietrich said.

There are no plate tectonics on Mars, meaning the planet does not have moving plates underneath the surface that cause quakes. So why does this Hottah rock formation look the way it does?

Grotzinger hypothesizes that "Somewhere near this outcrop, a small impact occurred and lifted the beds up and rotated them," he said.

Read more about space and science on CNN's Light Years

The rover did not employ any of its chemistry tools to examine the area; rather, scientists made their judgments about the rocks based on photos.

Curiosity is now three-quarters of the way between Hottah and Glenelg, its next official stop. Glenelg was chosen as a target because it has three types of terrain, including layered bedrock, making it a potentially interesting place for Curiosity to try out its drill.

An unsolved mystery is whether life could have been supported on Mars. Water is a necessary ingredient, but an energy source and carbon are also essential.

Curiosity can detect organic molecules and tear them apart to deliver details about them back to Earth, but they would still not be definitive evidence that life existed. Such molecules can come from nonliving sources, and Curiosity doesn't have the technology to make that distinction. That will have to wait for another mission.

This rover's ultimate destination is Mount Sharp, a 3-mile-high mountain with layers of sediment that will provide more opportunities to search for organic molecules.

Curiosity recently tested out its contact instruments on a rock called Jake Matijevic. It used its Alpha Particle X-Ray Spectrometer (APXS) instrument to touch the rock, and the Mars Hand Lens Imager (MAHLI) to take close-up photos. Another instrument, ChemCam, shot laser pulses at the rock and finished its testing on Monday.

The $2.6 billion mission is slated to last for two years, but previous rovers have far outlasted their estimated lifetimes.

The Spirit rover operated from 2004 to 2010, and the Opportunity rover has been chugging along since 2004. These twin rovers had initial mission periods of only 90 days.

Meet a Mars rover driver

@highlight

The Mars rover Curiosity finds stones suggesting past water flow

@highlight

In bedrock are rounded gravels too large to have been moved by wind

@highlight

Scientists believe water and sediment flowed down the crater of an alluvial fan

@highlight

The mystery is whether Mars could have supported life remains unsolved