(CNN) -- The civil war in Syria is morphing into a fight between ethnic and religious factions, the United Nations said Thursday.

"As battles between government forces and anti-government armed groups approach the end of their second year, the conflict has been overtly sectarian," the U.N. Commission of Inquiry reported.

The commission, tasked by the U.N. High Commissioner for Human Rights to report on Syria, made the assessment in one of its periodic reports compiled from interviews. This review covered the time from September 28 to December 16.

The update says government forces and its militias, dominated by Alawites, have been attacking Sunnis -- who are "broadly (but not uniformly)" backing the armed groups opposing President Bashar al-Assad's government. And anti-government armed groups have been targeting Alawites.

Other minority communities, including some Christians, Armenians, Palestinians, Kurds and Turkmen, "have also been caught up in the conflict, and in some cases forced to take up arms for their own defense or to take sides."

But the "sectarian lines fall most sharply" between Alawites and Sunnis.

"In recent months, there has been a clear shift in how interviewees portray the conflict," the report said, describing the conflict in sectarian terms.

One person described shelling by government forces in Latakia province as fire from positions in "Alawite villages." Another described escalating tension in Daraa province between Shiites and Sunnis.

The "increasingly sectarian nature" of the fighting is a motivator for proxy groups fighting in Syria. Anti-government armed groups are made up of Sunnis coming from the Middle East and North Africa, the report said.

Shiites from other countries are entering the conflict on behalf of Syria. The Lebanese Shiite group Hezbollah said its members are fighting. There are reports of Iraqi Shiites coming to fight in Syria and Iran's Revolutionary Guards providing "intellectual and advisory support."

Christian communities spread across Syria have been under the gun and on the move. Homs, for example, once had been home to about 80,000 Christians, but the commission said most have escaped to Lebanon.

"The dangers are evident," the commission said. Entire communities are at risk of being forced out of the country or of being killed inside the country. With communities believing -- not without cause -- that they face an existential threat, the need for a negotiated settlement is more urgent than ever."

More than 40,000 people have been killed in the conflict, including at least 85 on Thursday, the opposition Local Coordination Committees of Syria said.

In a Palestinian refugee camp, a possible breather

Government and rebel negotiators at the Palestinian Embassy forged an agreement to end the fighting in the ethnic powder keg of Yarmouk, a densely populated Palestinian refugee camp in Damascus where fighting has raged.

Abu Mohammed, a spokesman for the pro-rebel Palestine Refugee Camp Network, said representatives for Syrian forces and the Free Syrian Army rebels decided that all armed groups, including the army and the rebels, should withdraw from the camp and leave it as a neutral zone.

Also under the agreement, the pro-government Popular Front for the Liberation of Palestine-General Command is to be dismantled and its weapons surrendered. The camp is to be managed by the independent Freedom Organization and the Islamic Jihad.

But, he said, "the implementation of the truce has been problematic" because of "intermittent" government shelling on Yarmouk and clashes on the camp's outskirts.

The U.N. report referenced the Palestinians as one of the groups hit by the civil war.

When Hamas, the movement controlling Gaza, broke with the government this year over its actions, "divisions within the community hardened," and pro- and anti-government groups emerged.

Last month, mortar attacks killed 20 Palestinians in Yarmouk, and both sides blamed the other. And a prominent Syrian-born pro-al-Assad Palestinian was killed.

Airstrikes on Sunday in Yarmouk killed and wounded residents, damaged a mosque and "left the camp devastated." The assault prompted a denunciation of the government from the Palestine Liberation Oraganization.

The fighting forced the escape of many people to other places in Syria and to Lebanon, but Mohammed said several thousands have returned and some shops are opening.

Many displaced Palestinians have been living for decades in Yarmouk, a nearly square-mile district about five miles from the center of Damascus. Formed in 1957, the urban enclave is the largest Palestinian refugee community in Syria.

Russia wants talks but isn't wedded to the al-Assad regime

Meanwhile, Russia, long friendly to the al-Assad regime, is looking past the Syrian government for a solution.

Russia's president declared Thursday that its goal is to end the bloody conflict in Syria, not help the nation's embattled president cling to power at all costs.

"We are advocating the solution that would prevent the collapse of the region and the continuous civil war," Russian President Vladimir Putin said in Moscow. "Not retain al-Assad and his regime."

U.S.-Russia ties stuck in the past

To do that, he said, talks between opposing sides are crucial.

"First, people should negotiate, agree on how their participation would be guaranteed ... not first destroy everything and then try to negotiate," Putin said.

Al-Assad has not visited Moscow much in his tenure, and Russia does not have "special economic relations" with Syria, according to Putin.

Russia is "not concerned" about al-Assad's fate, he said.

"We understand what's going on (in Syria). We know that this family has been in power for 40 years," he said.

U.S. officials have accused Russia and China of blocking tough efforts against al-Assad by vetoing U.N. Security Council resolutions against the Syrian government.

CNN's Laura Smith-Spark contributed to this report.

@highlight

"Sectarian lines fall most sharply" between Alawites and Sunnis, report says

@highlight

Many communities are caught up in the conflict

@highlight

Palestinians in Yarmouk refugee camp work to forge peace

@highlight

Putin says Russia wants talks but isn't wedded to al-Assad