(CNN)The investigation into the crash of Germanwings Flight 9525 has not revealed evidence of the co-pilot Andreas Lubitz's motive, but he suffered from suicidal tendencies at some point before his aviation career, a spokesman for the prosecutor's office in Dusseldorf, Germany, said Monday.

Investigators have not found any writings or conversations where Lubitz shared his motives or confessed to any plans, prosecutor's spokesman Christoph Kumpa said.

However, medical records reveal that Lubitz was suicidal at one time and underwent psychotherapy. This was before he ever got his pilot's license, Kumpa said.

Kumpa emphasized there's no evidence suggesting Lubitz was suicidal or acting aggressively before the crash.

It is believed that Lubitz locked the captain out of the cockpit and deliberately crashed the plane Tuesday into the French Alps, killing all 150 on board.

The prosecutor's office confirmed what some media outlets had reported about doctors deeming Lubitz unfit to fly, though there were no physical illnesses found.

In short, investigators in Germany and France are not yet ruling anything out.

Much attention has focused on Lubitz's state of mind, with suggestions that he may have had mental health issues.

Lubitz, 27, passed his annual pilot recertification medical examination in summer 2014, a German aviation source told CNN. He had stated working as a commercial pilot in 2013, Lufthansa said.

An official with Lufthansa, which owns Germanwings, said that the exam only tests physical health, not psychological health.

It's unknown if Lubitz mentioned his problems on a form that asks yes-or-no questions about physical and mental illness, suicide attempts and medications. European pilots must fill out the form to be recertified.

Federal aviation authorities, not the airline, issue the form. The form is privileged information and Lufthansa never sees a pilot's completed form, said an airline spokesperson.

The airline would only get a "clear to fly" notice from the aviation doctors alerting the airline that a pilot has completed recertification.

Lubitz had visited an eye doctor because of vision problems, a European government official familiar with the investigation told CNN.

The pilot complained he was not seeing as he should, but the doctor told him the cause was psychosomatic, the official said. In part because of this, the doctor deemed Lubitz unfit for flying.

Lubitz told a different doctor --  a neuropsychologist -- that he was too stressed with work, the European official said.

The dates of these visits are unclear, but they could have been earlier this year.

The official said he is not aware of any suicidal tendencies reported by Lubitz to the doctors, but that investigators believe he was suicidal.

Airline officials have said that if Lubitz went to a doctor on his own, he would have been required to self-report if deemed unfit to fly.

A Dusseldorf clinic said he'd gone there twice, most recently on March 10, "concerning a diagnosis." But the University Clinic said it had not treated Lubitz for depression.

The speculation about Lubitz' mental state is based on a letter found in a waste bin in his Dusseldorf apartment.

The note, which was "slashed," said Lubitz was not able to do his job, Kumpa said Friday.

Britain's most senior psychiatrist, Sir Simon Wessely, told CNN's Christiane Amanpour on Monday that when a pilot is "acutely depressed or suffering from really any physical illness" that impairs abilities, they cannot fly an aircraft safely.

"We don't let pilots fly with depression ... because they're impaired in concentration, memory and attention, which isn't good for a pilot," said Wessely, who is president of the Royal College of Psychiatrists and an adviser to the British army.

One of the strongest pieces of evidence to emerge from the crash so far comes from the cockpit voice recorder.

The sounds recorded on the recorder, known as a "black box," firms up a theory by investigators that the co-pilot locked the captain out of the cockpit and then crashed the plane.

"For God's sake, open the door!" Capt. Patrick Sondenheimer screamed as he banged on the cockpit door, pleading with the co-pilot.

Thirteen minutes later, the plane slammed into the French Alps.

The audio from the plane's cockpit voice recorder has not been released, but the German newspaper Bild published Sunday what it claims is a summary of the transcript from the recording.

CNN cannot independently verify the information, which Bild says is based on 1.5 hours of audio that was on the cockpit voice recorder.

According to Bild's report, Sondenheimer told co-pilot Lubitz that he didn't manage to go to the bathroom before takeoff. Lubitz told him he could go anytime.

After reaching cruising altitude, Sondenheimer asked Lubitz to prepare the landing.

Once that's finished, Lubitz again told the captain he "can go anytime."

There is the sound of a seat being pushed backward after which the captain says, "You can take over."

At 10:29 a.m., air traffic radar detects that the plane is starting to descend.

Three minutes later, air traffic controllers try to contact the plane and receive no answer -- shortly after which an alarm goes off in the cockpit, warning of the "sink rate," Bild reported.

Next comes the banging.

Sondenheimer begs Lubitz to let him in. Passengers then begin to scream, according to the transcript obtained by Bild.

Another three minutes pass. A loud metallic bang is heard at 7,000 meters (almost 23,000 feet).

A minute and half later and 2,000 meters (about 6,500 feet) lower to the ground, an alarm says, "Terrain -- pull up!"

"Open the damn door!" the pilot says.

It's 10:38 a.m., and the plane is at 4,000 meters (about 13,000 feet). Lubitz's breathing can still be heard on the voice recorder, according to Bild's report.

Two minutes later, investigators think they hear the plane's right wing scrape a mountaintop.

Screams can be heard one final time.

France's accident investigation agency, BEA, told CNN that the agency was "dismayed" by the voice recording leak to Bild.

Martine Del Bono, a spokeswoman for the agency, said the leak could not have come from a BEA agent. She said the agency considers the report mere "voyeurism."

Cockpit recordings are some of the most sensitive and closely held parts of aviation crash investigations. They're never officially released, according to CNN aviation reporter Richard Quest.

Quest called it "unbelievable" that the black box audio would be leaked in this manner.

Communications between air traffic control and a plane's cockpit can be downloaded privately, but that's less common in Europe than it is in the United States.

An edited and redacted version of the transcript is usually published in part of a final report on an incident.

Although search teams have recovered the cockpit voice recorder, the flight data recorder remains missing. That device could reveal crucial details about what happened during the final moments of the flight.

About 150 German investigators -- some specializing in homicide cases and others in identifying remains -- are in the French Alps at the site of the crash, Dusseldorf police said Monday. Meanwhile, police continue to examine evidence collected from the apartment of Lubitz and from his parents' home, police said.

French investigators at the crash site said they are optimistic they will be able to identify most of the passengers but added that "it may not be possible to find the human remains of all the 150 passengers, as some of them may have been pulverized by the crash."

Of the 150 passengers, 78 had been identified through DNA, Lt. Col.  Jean-Marc Menichini told CNN.

Weather conditions slowed the rescue work Monday, Capt. Yves Naffrechoux of the High Mountain Gendarmerie unit said.

A new path under construction to the crash site will reduce the time it takes to reach the area, he said.

Le Vernet Mayor Francois Balique told CNN the path was within 100 meters of being finished. He commissioned a backhoe to build the path, he said.

"I felt the family members wanted this and they asked me to get them as close as possible, as if every meter mattered to them," he said.

The path will allow all-terrain vehicles to reach the site with fewer risks than with helicopter transfers.

Family members of those aboard Flight 9525, meanwhile, are making the grim pilgrimage to the crash site.

A total of 325 people have so far traveled to the site, Germanwings Chief Operating Officer Oliver Wagner said Monday at a news conference. He detailed what the airline is doing to support relatives of the victims.

CNN's Pamela Brown, Pamela Boykoff, Antonia Mortensen, Sandrine Amiel, Frederik Pleitgen, Karl Penhaul and Margot Haddad contributed to this report.

@highlight

European pilots must fill out forms that ask about mental and physical illnesses

@highlight

Road to crash site is almost finished, says mayor of Le Vernet, France

@highlight

German newspaper Bild releases a timeline of the flight's final moments