(CNN) -- If voters in the United Kingdom were offered the chance tomorrow, in a snap referendum, to change the name of the nation to "Team GB" the result would hardly be in doubt.

Such is the mood of euphoria fostered by the country's gold medal-winning performers, and London's successful staging of an Olympic Games that some had predicted would become the latest in a long tradition of Great British cockups, that a country more used to wallowing in sporting failure is waking up to the unfamiliar feeling of giving itself a collective pat on the back.

A little more than two weeks ago, London was a city pregnant with angst, the final preparations dogged by a security scandal that required 18,000 military personnel -- almost double the number of British troops currently deployed in Afghanistan -- to be drafted in to guard venues, fears of transport meltdown and lingering arguments over spiralling costs and an uncertain legacy.

Now all of that has largely been pushed aside. Even self-styled sporting skeptics have been forced to abandon all pretense of curmudgeonliness as the nation basks in a self-congratulatory golden glow.

"Admittedly I'm the guy who wrote that I'd rather drink paint than have to sit in a stand and watch this stuff, but that was last week and the world has since changed," wrote Hugo Rifkind, summing up the endorphin-fueled mood swing in the Times newspaper.

At a constellation of sites clustered around the Greenwich Meridian, London delivered a stellar spectacle that largely ran like clockwork.

The showcase Olympic Park proved an elegant setting as Usain Bolt cemented his claim to be the all-conquering, swaggering sporting icon of his generation by defending his 100- and 200-meter sprint titles, and Michael Phelps confirmed his status as the greatest Olympian in history, adding four golds and two silvers to his total haul of 22 medals.

Elsewhere, beach volleyball, played out incongruously amid austere ministries of government and not a little sniggering from the stands, served up a novelty hit in a country where beaches are more associated with donkey rides than bikinis, while the city's landmarks and parks offered telegenic backdrops and enthusiastic crowds whenever the games ventured onto the streets, culminating Sunday in a men's marathon bathed in sunshine.

These were an open-minded and progressive games, in which a handful of women from Saudi Arabia, Qatar and Brunei competed for the first time, and where the double amputee Oscar Pistorius, nicknamed Bladerunner, bestrode the gap between Olympics and Paralympics, by representing South Africa on the track.

Yet the ultimate success and atmosphere of any major sporting event inevitably hangs on the fortunes of the hosts, and in this regard British competitors could hardly have delivered more.

A tally of 29 gold medals and third place in the medals table represented Team GB's best performance at an Olympiad since 1908, leaving the country's traditional sporting antagonists such as Australia, Germany and France flailing in its wake.

In cycling, London's homegrown hero Bradley Wiggins achieved cult status by riding to victory in the time trial just days after he had become the first British winner of the Tour de France. In the velodrome, home riders raced to seven of the 10 gold medals on offer, prompting frenzied French speculation that the British had developed "magic wheels."

But it was a glorious Saturday night in the main stadium that would be Team GB's defining moment, as heptathlete Jessica Ennis, long jumper Greg Rutherford and 10,000-meter runner Mo Farah all won gold in quick succession.

In the disparate backgrounds of the country's champions, some saw further proof of the sort of self-confident, inclusive society that Danny Boyle had sought to capture in an opening ceremony widely acclaimed as "bonkers and eccentric" but dismissed as "multicultural crap" by one right-wing lawmaker.

Asked by a journalist whether he would prefer to be representing his country of birth, Farah, who left war-torn Somalia for London when he was a young boy and who would subsequently also stride to gold in the 5,000 meters, seemed to sum it up: "Look, mate, this is my country. This is where I grew up, this is where I started life. This is my country and when I put on my Great Britain vest, I'm proud. I'm very proud."

Still, others also drew quiet inspiration from the performance of the flame-haired and freckled Rutherford. "Seeing a ginger in the Olympics #hope," one teenager posted on Twitter.

Even some of the Games' gaffes would prove triumphant vignettes. If all that was missing from the faux-green and pleasant land of Boyle's tone-setting re-imagining of British history was a village idiot, the Olympic Village soon found a ready-made one in the bumbling figure of Boris Johnson.

Photographed stranded on a zipwire high over east London, wearing an unflattering blue safety helmet and clutching a pair of Union flags, London's maverick mayor proved himself immune to politics' normal gravitational laws, returning to Earth to dodge questions about whether his "good Olympics" had fueled prime ministerial ambitions.

"How could anybody elect a prat who gets stuck on a zip wire?" was Johnson's knowingly self-deprecating reply.

For a city of London's stature and international reputation, it might have surprised some observers that pessimists and doomsayers had been so confidently vocal in the buildup to the games.

But British administrators had previous history of delivering dismally on grand projects, from the debacle of the unloved Millennium Dome -- re-purposed for the games as a basketball and gymnastics arena -- to the lengthy, budget-busting delays in rebuilding the Wembley football stadium, and the scrapping of plans to host the 2005 world athletics championships.

Even Queen Elizabeth II's rain-soaked Golden Jubilee in June, endured with stiff upper lip stoicism by monarch and monarchists alike, appeared to offer a foretaste of grim gray skies and the embarrassing spectacle of a once mighty imperial power in perpetual decline.

More seriously, preparations for the games were inextricably linked to the 2005 London bombings that killed 52 people just one day after the city had celebrated winning hosting rights. Nagging fears of a further atrocity would justify a heavy-handed security operation that included the deployment of warships in the Thames, rocket batteries on rooftops and a no-fly zone in the skies overhead, and the confiscation of family picnics at the entry to Olympic sites.

Ultimately though, the games can be judged to have delivered a cathartic and regenerative moment for a city which just one year ago found itself under scrutiny for the wrong reasons amid the worst urban unrest in decades.

If the face of London then was of a hooded looter clutching a stolen television, now the legions of purple-shirted volunteers, widely hailed as the heart and soul of the games, have become ambassadors for a society seemingly more at ease with itself in all its colors and contradictions.

Whether that spirit of goodwill can be kept alive when the afterglow has faded and Britons wake up to headlines about their worsening economic problems and a coalition government in deepening disarray remains to be seen.

The wider United Kingdom, which mostly seemed to put regional rivalries and London-bashing aside for the duration of the games, still faces the existential threat posed by the 2014 referendum on Scottish independence, though the sight of gold medal-winning Scots such as Andy Murray and Chris Hoy posing with Union flags will have done no favours to the nationalist cause north of the English border.

Attempting to make snap historical sense of seemingly seismic shifts in national mood is also a notoriously fickle business, and in the UK in particular there should be a wariness of getting caught up too exuberantly in the moment.

The collective outpouring of grief that followed the death of Princess Diana in 1997 is now looked back on by many with bemusement, as is the brief "Britpop" moment of the mid-1990s, dubbed "Cool Britannia" by Vanity Fair magazine, which soon lost its lustre, exposed as a feeble parody of British music's 60s heyday.

Other countries to have experienced a similar bounce in fortunes on the back of sporting triumph have also struggled to cling to the moment. France's celebrated victory on home soil at the 1998 World Cup, achieved by a team of black, white and Arab footballers, was widely hailed as a watershed moment for multiculturalism there, but few were still talking so complacently about social integration by the time the banlieues exploded into rioting in 2005.

London's organizers, keen to distance themselves from the awesome projection of China's growing power put on by Beijing in 2008, were always modest about their expectations, choosing to draw instead on the spirit of the city's post-war "Austerity Games" in 1948 by pledging to host an event humbler in scale than its predecessor but warmer in tone.

But, above and beyond that, the city triumphed in putting on a show rich in human spirit at its most optimistic that will shine with luminosity in the collective memory long after the extinguishing of the flame.

@highlight

Britain widely hailed for its staging of 2012 Games, says Simon Hooper

@highlight

Hooper: All previous doubts over security and cost were brushed aside

@highlight

2012 saw great achievements by male and female athletes

@highlight

Olympics have revitalized London, one year after riots, Hooper argues