(CNN) -- Investigators have pinpointed two men as "possible suspects" who were seen in images near the finish line of this week's Boston Marathon -- moments before twin bombs there exploded, killing three and injuring about 180 others -- a law enforcement official said.

A circular sent out Wednesday to federal and state agencies features the photos "in an attempt to identify the individuals," who were described as being of "high interest" to investigators.

One of the men is seen carrying a black backpack. An FBI official earlier said that authorities believe the bombs were placed inside a black nylon backpack or bag.

The source said that authorities had not yet identified the two men by name and that the photographs were not being released to the public for fear of impeding the investigation.

Earlier Wednesday, two official sources with knowledge of the investigation identified a man -- who also hasn't been named -- as a possible suspect in the attack.

Seen on a video, this man wore a white baseball cap. One of the sources added that the cap was on backwards and the man was also wearing a light-colored hooded sweatshirt and a black jacket.

It was not immediately known if this man is one of those alluded to in the photographs distributed to law enforcement officials.

This movement in the investigation came two days after the horrific blast shook the city, during what is traditionally one of its biggest and most beloved events each year.

By Wednesday, authorities had made "significant progress" in the case but no arrests, a federal law enforcement source told CNN's John King.

Sources previously told CNN that a suspect was in custody, but both Boston police and the FBI denied that any arrests had been made.

A Boston law enforcement source told CNN, "We got him," but wouldn't clarify whether that meant a suspect has been identified or arrested. Some federal sources said it was even too early to say investigators had identified the suspect, but several sources in Boston told CNN that they have a clear identification.

Speaking on CNN's The Situation Room, Massachusetts Gov. Deval Patrick said investigators were closer to cracking the case "every hour." But he urged patience with the probe.

"What I would say and I would ask of everyone is we give law enforcement the space to do their work," Patrick said. "When they are ready with a complete picture, they will tell us what that picture is."

He added, "I wish they had nailed the perpetrator within minutes of this catastrophe, but I understand from experience it's going to take some time."

Earlier Wednesday, investigators revealed more details about the makeup of the bombs, which exploded 12 seconds apart. One had been housed in a pressure cooker hidden inside a backpack, the FBI said in a joint intelligence bulletin. The device also had fragments that may have included nails, BBs and ball bearings, the agency said.

The lid of a pressure cooker thought to be used in the device was found on a rooftop at the scene, a federal law enforcement official with firsthand knowledge of the investigation told CNN.

The second bomb was also housed in a metal container, but it was not clear whether it too was in a pressure cooker, the FBI said.

The U.S. government has warned federal agencies in the past that terrorists could turn pressure cookers into bombs by packing them with explosives and shrapnel and detonating them with blasting caps.

The bombs

Photos obtained by CNN show the remains of a pressure cooker found at the scene, along with a shredded black backpack and what appear to be metal pellets or ball bearings. Scraps of at least one pressure cooker, nails and nylon bags found at the scene were sent to the FBI's national laboratory in Virginia, where technicians will try to reconstruct the devices, the agent leading the investigation said Tuesday.

The pieces suggest each of the devices was 6 liters (about 1.6 gallons) in volume, a Boston law enforcement source said. The recovered parts include part of a circuit board, which might have been used to detonate a device.

A law enforcement official said Monday's bombs were probably detonated by timers. But the FBI said details of the detonating system were unknown.

While the clues moved the investigation forward, they did not make it immediately apparent whether the attack was an act of domestic or foreign terrorism.

"If your experience and your expertise is Middle East terrorism, it has the hallmarks of al Qaeda or a Middle East group," former FBI Assistant Director Tom Fuentes said. "If your experience is domestic groups and bombings that have occurred here, it has the hallmarks of a domestic terrorist like Eric Rudolph in the 1996 Atlanta Summer Olympics bombings."

Things we know

Fuentes said he has investigated both types of terrorism -- from Iraq to the United States -- and finds the Boston attack has elements of both. "It has the hallmarks of both domestic and international (attacks), and you can see either side of that."

Opinion: Why is this so rare?

Third victim identified

Boston University identified graduate student Lingzi Lu as the third person who died in Monday's bombings.

Previously identified were Krystle Campbell, 29, of Arlington, Massachusetts, and Martin Richard, 8, of Dorchester, Massachusetts.

"She was the best," Campbell's distraught mother, Patty, told reporters Tuesday. "You couldn't ask for a better daughter."

Martin "was a bright, energetic young boy who had big dreams and high hopes for his future," his school said in a statement. "We are heartbroken by this loss."

The hunt for the attacker

The attack left Boston police with "the most complex crime scene that we've dealt with in the history of our department," Commissioner Ed Davis said Tuesday.

Authorities sifted through thousands of pieces of evidence and a mass of digital photos and video clips. They have pleaded for the public's help in providing additional leads and images.

"Someone knows who did this," said Rick DesLauriers, the special agent in charge of the FBI's Boston office, said. "The community will play a crucial role in this investigation."

Medical personnel treating the wounded found evidence suggesting the bomb maker or bomb makers sought to maximize the suffering.

Dr. George Velmahos, head of trauma care at Massachusetts General Hospital, said his team found "numerous" metal pellets and nails inside patients' bodies.

"There are people who have 10, 20, 30, 40 of them in their body, or more," Velmahos said.

'Human spirit' still alive

Dr. Ron Walls also said one patient had more than 12 carpenter-type nails.

"There is no question some of these objects were implanted in the device for the purpose of being exploded forward," he said.

Victims continue recovery

As investigators continued to search for a suspect, those wounded in the incident continued to recover.

Boston-area hospitals had released at least 112 of the 178 people injured in the attack, according to CNN's tally late Wednesday. Of the 66 people who were still hospitalized, 13 were in critical condition.

Boston Medical Center has two patients in critical condition, down from 11 just after the bombings, Dr. Peter Burke, chief of trauma care, told reporters Wednesday. Ten patients are in serious condition and seven are in fair condition, he said.

Spectator Steve Byrne was standing with a group of friends near a mailbox when the second blast went off. Now his face is scarred with shrapnel wounds. A BB pellet remains lodged in his neck. Doctors said they couldn't remove it because was too close to nerves that control his vision, but he was out of the hospital on Wednesday.

Compared to how his friends are suffering, he told CNN's AC360 that he feels lucky.

Four out of the five friends he was watching the marathon with have lost limbs, he said. One friend had 70 nails in his leg.

He remembers the explosion in vivid detail: the blast that was so strong that it burned his clothes off; the carnage around him; and the haunting, slow-motion daze of searching for his friends.

"We were having a great day and waiting to see our friend cross the finish line," he said, "and then all of the sudden it turned in a flash."

He told CNN he's worried about the financial burdens his friends could face as a result of the explosion.

One friend is a carpenter and "both his hands are incinerated. He can't go to work, and the bills keep coming in."

"It's not just the hospitals. It's everyday life that doesn't stop. ... We're just hoping the mayor, the governor, President Obama don't let us as citizens down."

Beyond those seriously wounded, the incident affected thousands, including Candace Rispoli, who was cheering on a friend when the festive atmosphere turned into a "terrifying hell." She suffered minor injuries.

"I personally will never participate in an event of this nature in a city in fear that something like this could happen again," she said. "I keep replaying the moments of terror over and over in my head and am just still in utter shock. Always seeing terrible things of this nature happen all over the world on TV, my heart would always go out to those directly affected. But I never imagined in a million years I would be a spectator at the Boston Marathon running for my life."

CNN's Susan Candiotti, Fran Townsend, Matt Smith, Dave Alsup, Henry Hanks, Rande Iaboni, Gloria Borger and John King contributed to this report.

@highlight

NEW: Authorities ask federal and state agents to help identify two men seen in photos

@highlight

NEW: The men are of "high interest" in the probe into the Boston Marathon blasts

@highlight

NEW: One of the men is seen in photos carrying a black backpack, an official says

@highlight

3 people were killed and about 180 injured when 2 bombs went off near the finish line