In America, summer holds a special place in our hearts: lazy afternoons, camping at the lake, warm evenings gazing at the moon. For children, especially, summer can unleash the free flow of discovery. For older children, summer often brings their first job.

But this idyllic picture masks the reality that for too many children, particularly those from low-income families, languid summers can be educationally detrimental, and for families in which both parents work, summers are a logistical nightmare.

Considerable research shows that the primary reason the achievement gap between poor children and their more affluent peers widens over the course of their school careers is the long break in learning over the summer. It's called summer slide.

During the school year, disadvantaged children manage to catch up somewhat to more advantaged students. But during the summer, they lose those gains while their more advantaged peers -- whose parents can afford to arrange for summer enriching activities -- maintain theirs.  And a persistent achievement gap among children only leads to economic and social gaps that continue into adulthood.

These gaps destabilize our society. Surely, eliminating the long summer break by making our school year longer, at least for schools serving poor neighborhoods, seems a ready solution to a problem that has enormously negative implications.

An analysis of charter schools in New York by economist Caroline Hoxby revealed that students are most likely to outperform peers, both in traditional district schools and at other charters,  if they attend schools that are open at least 10 days more than the conventional year.

Families with resources can often find educational summer programs and camps that broaden their children's skills and then figure out how to transport children to these activities. But even so, the question remains: Does it really make sense for children to be out of school for up to 12 weeks in the summer?

Requiring students (and teachers, for that matter) to stay in school for more days is complicated and must overcome at least two significant obstacles. First, more days of school usually carries a price tag to cover costs of additional staff time, transportation and keeping buildings running. Second, although public attitudes are changing, overhauling such an ingrained institution as the long summer break won't be accomplished easily.

The response to the first issue is to weigh the long-term costs of the summer break against the short-term costs of a longer school year.

Balsz Elementary School District in Phoenix, for example, has extended its school year to 200 days, paying teachers 9% more to work the additional days. Since the longer year has been implemented, proficiency rates on state tests have risen, failure rates have fallen, and the achievement gap is disappearing. Clearly, the relatively small increase in budget yields large dividends for the students who attend. Students graduating middle school proficient in algebra and reading have opportunities open to them that are simply nonexistent for students at risk of  failure.

Then consider the Brooklyn Generation School in New York, which has developed a model in which the students in grades nine through 12 attend for 200 days, but the teachers, on staggered schedules, are there for only 180. That means they earn salaries equal to their peers throughout the city. There is no shortage of innovation that can bring the benefits of a longer year to students.

And what of the idea that summer should be a time of respite from the stresses of school?

There are two wrong notions wrapped up in this perspective. The first is that somehow summer is automatically a magical time for children. Such may be the case for children from middle- and upper-class homes, but for those whose families can't afford camp or other activities, summer is often a time of emptiness and tedium. As one Balsz fifth-grader, happy to be back at school in August, declared, "Sometimes summer is really boring. We just sit there and watch TV."

The second, more significant, misperception is that school is automatically bereft of the excitement and joy of learning. On the contrary, as the National Center on Time and Learning describes in its studies of schools that operate with significantly more time, educators use the longer days and years to enhance the content and methods of the classroom. It provides more openings for hands-on learning, student collaboration and inquiry-based learning, where students push themselves to learn. Why shouldn't children have these same opportunities during the summer as they do in cooler months?

It is true that just having more time, whether it's more days during the year or more hours during the day, does not guarantee a superior education. Educators must use that extra time well and be committed to addressing individual students' needs and not waver in their drive for excellence. Yet, we do know that teachers who lack sufficient time with students, and students who spend too much time away from productive learning, are fighting an uphill battle in an environment where we hold increasingly high expectations for our children.

There is no reason to scale back these expectations. Our future as a nation depends upon having a well-informed, highly skilled work force and citizenry. We should expect our schools to furnish today's students with the education they will need to excel in our global society. But we must also be willing to provide schools the tools they need to ensure this outcome, including the flexibility to turn the lazy days of summer into the season of learning.

Follow @CNNOpinion on Twitter

@highlight

Jennifer Davis: Children lose educational gains in summer, do better with a longer school year

@highlight

Davis: Students from low-income families really fall behind peers with more advantages

@highlight

Phoenix district extended school year; scores on state tests went up, she says, failure rates down

@highlight

All students do better, she says, and it provides opportunities for more creative teaching