Choosing healthier foods at the grocery store may soon be a little easier.

The Food and Drug Administration is proposing several changes to the nutrition labels you see on packaged foods and beverages. If approved, the new labels would place a bigger emphasis on total calories, added sugars and certain nutrients, such as Vitamin D and potassium.

The FDA is also proposing changes to serving size requirements in an effort to more accurately reflect what people usually eat or drink. For example, if you buy a 20-ounce soda, you're probably not going to stop drinking at the 8-ounce mark. The new rules would require that entire soda bottle to be one serving size -- making calorie counting simpler.

This is the first overhaul for nutrition labels since the FDA began requiring them more than 20 years ago. There has been a shift in shoppers' priorities as nutrition is better understood and people learn what they should watch for on a label, administration officials said.

"You as a parent and a consumer should be able to walk into your local grocery store, pick up an item off the shelf, and be able to tell whether it's good for your family," first lady Michelle Obama said in a press release.  "So this is a big deal, and it's going to make a big difference for families all across this country."

The proposed labels would remove the "calories from fat" line you currently see on labels, focusing instead on total calories found in each serving. Nutritionists have come to understand that the type of fat you're eating matters more than the calories from fat. As such, the breakdown of total fat vs. saturated and trans fat would remain.

Put down that doughnut: FDA takes on trans fat

The proposed labels would also note how much added sugar is in a product. Right now, it's hard to know what is naturally occurring sugar and what has been added by the manufacturer.

"Now when Americans pull a product from the supermarket shelf, they will have a clear idea of how much sugar that product really contains," American Heart Association CEO Nancy Brown said.

Chemically, added sugar is the same, but studies show many Americans eat more sugar than they realize. The American Heart Association recommends you limit added sugar to no more than half your daily discretionary calories. That means for American men, about 150 calories a day, or nine teaspoons. For women it's a smaller amount -- no more than 100 calories per day from added sugar, or about six teaspoons of sugar.

The FDA also plans to update the daily values for certain nutrients such as sodium, dietary fiber and Vitamin D. For instance, the daily limit for sodium was 2,400 milligrams. If the new rules take effect, the daily value  will be 2,300 milligrams, administration officials said.

Food and beverage companies would also be required to declare the amount of Vitamin D and potassium in a product, as well as calcium and iron. Research shows Americans tend not to consume enough Vitamin D for good bone health. And potassium is essential in keeping your blood pressure in check.

Vegetarian diet could help lower your blood pressure

Administration officials said about 17% of current serving size requirements will be changing, and the FDA is adding 25 categories for products that weren't commonly around 20 years ago (think pot stickers, sesame oil and sun-dried tomatoes).

Most of the required serving sizes will be going up; no one eats just half a cup of ice cream, for instance. Others, like yogurt, will be going down.

"This will help people better understand how many calories they actually consume, especially if they plan to eat all the food in a container or package," Brown said.

While the American Heart Association and advocacy group Center for Science in the Public Interest commended the FDA's changes, they noted that there was more to do.

Both organizations said the FDA's sodium recommendation was still too high. Brown said the association will continue to recommend sodium intake be limited to 1,500 milligrams a day.

CSPI said it will also request that the FDA include a daily value of 25 grams for added sugars. "Thus, the Nutrition Facts label for a 16.9-ounce bottle of soda would indicate that its 58 grams of added sugars represents 230 percent of the DV," the group said in an e-mail.

With this announcement, the FDA has opened a 90-day comment period, during which experts and members of the public can provide input on the proposed rules. The FDA will then issue a final rule. Officials said they hope to complete the process this year.

Manufacturing companies will then have two years to implement the changes.

Nutrition labels have remained pretty much the same for decades. It wasn't until the late 1960s that most food labels listed any nutrition information.

At the time, labels with calorie or sodium counts were mainly used on products the FDA considered to have "special dietary uses," for people with high blood pressure who were watching sodium, for instance.

Most people were making meals at home then, so there wasn't a huge demand for this information. That changed as more people started eating processed foods.

Noticing the trend, the White House pulled together a conference of nutritionists and food manufacturers in 1969.  Nutrition labeling was voluntary at first. It wasn't until 1990 that the FDA required nutrition labels for most prepared and packaged foods. Labels for raw produce and fish remain voluntary.

More Americans today are interested in what's on these nutrition labels, research shows.

A USDA study released last month showed 42% of working-age adults between 29 and 68 looked at these labels most or all of the time when shopping. Some 57% of Americans older than 68 did as well. That's up from 2007, when 34% of working-age adults looked at the label, and 51% of Americans older than 68 did.

The increase is good news as the United States struggles with an obesity epidemic. Some studies have shown that people who read labels eat healthier. More than a third of all Americans are obese, according to the Centers for Disease Control and Prevention.

Obesity rates drop for 2- to 5-year olds

@highlight

The Food and Drug Administration is proposing changes to nutrition labels

@highlight

New labels make calorie counts easier to read and highlight added sugar

@highlight

FDA also wants to change required serving sizes in some products, such as soda

@highlight

Proposal will undergo 90-day comment period, may be implemented next year