(Financial Times) -- Bollywood films are known for their upbeat finales, but the industry behind them also has plenty to celebrate. India's Hindi-language film business marks its centenary this month, while a new feature toasting the nation's cinematic heritage, Bombay Talkies, premiered at the Cannes Film Festival last week.

Indian filmmakers are in fine financial fettle too, as a boom in multiplex screens brings record audiences in to see their song-and-dance spectaculars, making last year the sector's most successful ever by sales.

But a management revolution is brewing in a business that dates its birth to the first screening of a silent film in Bombay in May 1913, and one brought about by the arrival of some of the biggest names in the global entertainment business.

US-based studios such as Disney, Viacom and Fox are attempting to win a larger share of the Indian film market, which is both the world's most productive and most popular, churning out more than 1,000 films annually and selling more than 3bn tickets last year.

Money is one motivation: Indian film revenues are projected to increase by more than half to $3.6bn over the next four years, according to consultants KPMG, helping the country surpass Britain as the world's fifth-largest film market by sales.

Openness to outsiders is equally as important, however, especially to international participants seeking growth across the developing world.

"Which of the large emerging film markets is as free of regulation as India? Here there are no restrictions. Anyone can come and make what they want," says Ronnie Screwvala, the head of Disney UTV, India's largest film producer by revenue.

"The only other potentially really large market, China, is full of limits on how many films foreign groups can make and distribute."

Disney is the most prominent of the new foreign arrivals, following its acquisition last year of UTV , a large Indian film and television group, in a deal worth $454m.

Viacom may follow suit as industry observers expect the US conglomerate to buy out the remainder of its 50-50 joint venture with Network 18, an Indian media company.

Rupert Murdoch's News Corp is increasingly prominent, with its Fox Star Studios division building on the success of the company's larger and more established Star India cable television business.

Hollywood's biggest names have nonetheless had to grapple with an unusual challenge as they attempt to crack the Indian market, says Jehil Thakkar, head of media entertainment at KPMG in Mumbai, namely the unusual reluctance of local film-goers to warm to their main product.

India has proved almost uniquely resistant to imported English-language films, with foreign efforts taking only 9 per cent of the country's box office last year compared to about half of the market in China.

Consequently only a few dozen English-language films are released each year, as India's public show a clear preference for films in Hindi, alongside those produced in more than a dozen other local languages.

In response, the foreign participants have adopted an unusual approach: setting themselves up as domestic film studios, which attempt to beat Bollywood at its own game by producing Indian-language films, overseen with minimal interference from their parent groups in California.

"In nearly every other world market, the Hollywood studios have basically established local distribution offices to push their own American movies," KPMG's Mr Thakkar says. "But India is the only place where they have been forced to go local with a vengeance."

These hybrid international businesses have proved commercially successful so far, says Vikram Malhotra, chief operating officer of Viacom18, while introducing a shake-up on the financial side of an industry that until recently was dominated by small, family-controlled production houses.

Alongside two domestic studios -- the film arm of industrialist Anil Ambani's Reliance empire and Eros International, a film producer traded on Aim, London's junior stock market -- the big US studios account for the majority of funding for Indian films too.

"In a very short span of time, the financing architecture of the industry has changed completely," says Mr Malhotra, who estimates that roughly three-quarters of film funding in India is controlled by larger corporate groups, up from about a tenth only 10 years ago.

Such companies still face challenges as they aim for future growth. Domestic ticket prices remain among the world's lowest, for instance, while India, despite the opening of new multiplex cinemas, still has far fewer screens per capita than most other big markets.

This limits profitability. Even hit Bollywood films rarely earn more than Rs1bn ($18.5m), a fraction of their Hollywood equivalent.

The industry is also yet to crack the global export market: its products are popular with India's sizeable diaspora, but there is little sign of a long-hoped-for "crossover" Bollywood hit capable of winning over a wider international audience.

Nonetheless, the scale of the change brought by the arrival of international groups is clear.

"For 95 out of the 100 years of Bollywood there were no corporations at all. It was one big family business, based on handshakes and hugs, often with quite dubious sources of finance," says the head of one large Indian entertainment group, speaking on condition of anonymity.

"Now you have professionals running the businesses, and professional sources of finance too. It has upended the entire power structure of this industry, and for the better."

© The Financial Times Limited 2013

@highlight

Bollywood celebrates its centenary this month

@highlight

US studios are vying for a share of the Indian film market

@highlight

Film revenues in India projected to reach $3.6bn over next four years