(CNN) -- Who is Stanislas Cordova? That's the burning question at the heart of "Night Film," the anticipated follow-up to best-selling author Marisha Pessl's 2006 literary debut.

Pessl burst onto the scene in 2006 with "Special Topics in Calamity Physics." She received a six-figure advance, almost unheard of for a first-time author, a ton of hype and even some snarky backlash over her photogenic looks. But the book lived up to expectations, selling some 200,000 copies and landing on The New York Times' list of Best Books of 2006.

Seven years later, "Night Film" is hitting bookstores this week amid greater expectations and even more hype. Movie rights are already spoken for by Chernin Entertainment, the studio behind "Oblivion" and "Dawn of the Planet of the Apes," and critics are raving about Pessl's multimedia storytelling approach, which takes readers beyond the novel's pages to explore the story of a mysterious director and the washed-up reporter out to expose him.

Pessl's fictional mash-up of Stanley Kubrick, Roman Polanski and David Lynch hasn't been seen in public for 30 years. His movies are so frightening no theater will show them; his cult of fans meet in abandoned buildings and underground tunnels for secret screenings.

Investigative journalist Scott McGrath tried to expose Cordova years ago and it backfired, costing him his job, marriage and reputation. When Cordova's daughter turns up dead in an apparent suicide, McGrath sees an opportunity to exact revenge against the man he blames for his downfall.

Pessl weaves into the narrative excerpts from magazine articles, newspaper headlines, police reports, crime scene photos and screen shots of online message boards. She also wrote and directed several short films being featured over the next few weeks on YouTube that offer clues into the book's mystery, including snippets and trailers from Cordova's films.

Pessl said she wanted to give readers another way to interact with the story, hoping her fans obsess over "Night Film" just as she did writing it.

Fast facts: Marisha Pessl

Age: 35

Hometown: Grew up in Asheville, North Carolina; lives in New York City.

For fans of: Psychological thrillers like Gillian Flynn's critically acclaimed "Gone Girl," and "The Secret History" by Donna Tartt.

Five questions with Marisha Pessl

CNN: What was the spark behind this book?

Pessl: It was definitely Cordova and the idea of this underground, hidden figure. I'd done a lot of research on filmmakers and the idea of an auteur and patriarch who invites people to his estate to make a film, like Kubrick shot his films on a set that had been built on his estate so he didn't have to leave. That was a germinating idea for me in terms of Cordova.

Also, the idea of someone hidden, our world is so overexposed right now. People don't get out of bed without tweeting about it. People don't make art these days without begging people to interact with it, to buy it, to consume it in some way. I wanted to create the antithesis of all that, a figure who went out of his way to become completely underground, who didn't care about selling any kind of product. It was really about a return to mystery in our lives and finding that again in our overexposed world.

CNN: The book has a compulsive, driven feel to it. Was it that way for you writing it?

Pessl: The writing process was exactly as obsessive. In some ways the writer's experience with the material can't help but drip down onto the pages. I wouldn't call it anxiety because I really did love creating this world, but there were things that kept me awake at night. I think that sense of dislocation and claustrophobia and not exactly knowing where I was going, only that I was driven to find out what was there at the very end. I had all those same experiences as a writer that my characters did, simply because of the nature of this book. I wanted to push myself to the end of my writing experience and then see if I could take myself even further. I really wanted to challenge myself.

CNN: Tell me why you used a multimedia approach to the story?

Pessl: I wasn't trying to break any boundaries but I wanted to find the best means by which to tell the story. I personally love archives and I love going through old antique stores and looking at old wedding photographs, and old class photos of people in kindergarten in the 1920s. I love looking at the ephemera people leave behind when they're no longer here. I wanted to bring that feeling to "Night Film" and through those bits and pieces bring Cordova's world to life. I wanted to make his world really immediate to the reader.

There's a voyeuristic quality that I think is really compelling to be able to peruse old reports. I definitely went through a lot of old police blogs and read through crime scene reports. It's absolutely fascinating the level of detail that goes into describing things like the blood spatter pattern and the positioning of the body, it's absolutely fascinating. In this CSI world, where everyone knows a lot about forensics, it made sense to give that to readers, rather than just telling them about it.

CNN: Did the book turn out the way you'd envisioned?

Pessl: I think it became even darker and more gnarled. I wanted a really dark, mythical odyssey, something really immersive. I began writing it around the time of the financial crisis in late 2008, when it felt like the world was in such a state of chaos. Every time you turned on the TV there was more bad news and it seemed as if things were really dire. In New York City people were really down and I know I wanted an escape. I wanted something that was thrilling, and enigmatic, that moved, but also multi-layered with great characters. I thought more in terms of a mood and a feeling and an experience. That was the story I wanted to read and I think as writers we always write what we wish existed. So I wanted something dark but I think it's critical even in those dark places to have lightness. Even when things were dire, as they were in 2008, there's always time for humor, which is why my character Scott has so many asides in the book.

CNN: While your book is dark, there's also a feeling of hope?

Pessl: The book does have some dark places but our world is dark, and experiences that people go through are horrifying. Though evil exists, my world view is there's always hope. With the human spirit there's always the possibility of transcendence and something good. In the end, I don't think we live in a hopeless, amoral world. I think goodness exists and I wanted to convey that while allowing the reader to step to the edge and formulate his or her own conclusions.

@highlight

"Night Film" is the latest thriller from best-selling author Marisha Pessl

@highlight

Pessl's novel centers around a reclusive horror director and the reporter out to expose him

@highlight

Pessl wrote and directed several short online films offering clues to the book's plot

@highlight

"Night Film" is drawing comparisons to last summer's best-seller "Gone Girl"