(CNN) -- "I did not really realize I was getting life until the date of sentencing. When my attorney told me, I told him that I wanted to take back my guilty plea... they denied me."

Timothy Tyler says his life ended when he was 23-years-old. That was two decades ago, when he was arrested and later sentenced to a mandatory double-life term in prison without the possibility of parole for conspiracy to possess LSD with intent to distribute. A self-described "Deadhead," Tyler was busted after mailing five grams of the hallucinogenic drug to a friend who was working as an informant for the federal government.

He's had more than 20 years to fixate on that moment, years of "what ifs" and "whys." More than 20 years of feeling like he died, until now.

Changes on the horizon

Though the Obama administration has been campaigning for prison reform for some time, it has recently begun to take concrete steps to alleviate overcrowded federal prisons that are flooded with non-violent offenders.

The Justice Department announced changes to its clemency criteria this week, a move that will likely lead to a wave of sentence commutation requests being sent to President Barack Obama by thousands of prisoners who've been convicted of non-violent drug crimes.

"We are launching this clemency initiative in order to quickly and effectively identify appropriate candidates, candidates who have a clean prison record, do not present a threat to public safety, and were sentenced under out-of-date laws that have since been changed, and are no longer seen as appropriate," Deputy Attorney General James Cole said at a news conference Wednesday.

The clemency changes would be open to prisoners who have met a set of specific conditions: they must be low-level, non-violent offenders without a significant criminal history and must be serving a federal sentence that would likely be shorter if they were convicted today. They must have served at least 10 years of their sentence and have demonstrated good conduct in prison, with no history of violence before or during their prison term.

The pending changes are the latest step in an ongoing effort Attorney General Eric Holder calls "Smart on Crime," which also seeks to remedy the once-common wide disparity in sentences handed down over powder versus crack cocaine, based on guidelines first enacted by Congress more than 25 years ago.

In January, Holder urged Congress to pass the bipartisan "Smarter Sentencing Act," which would allow judicial leniency in the sentencing of those convicted of federal non-violent drug crimes.

And in April, the U.S. Sentencing Commission voted unanimously to back a Justice Department proposal to change the sentencing formula for drug offenders that could shorten prison stays for as many as 70% of federal drug defendants. "This reduction in the federal sentencing guidelines, while modest, sends a strong message about the need to reserve the harshest penalties for the most serious crimes," Holder commented.

Of the more than 200,000 inmates in the federal prison system, some estimates show the new clemency criteria could apply to about 2,000 prisoners. But the number is likely to fall to perhaps hundreds after government lawyers review the applications.

Sentencing guidelines

The history of federal mandatory minimum sentencing for drug offenses dates back to the 1950s, when a mandatory 10-year sentence could be imposed for crimes such as selling heroin to a juvenile. In the 60s, then-President Richard Nixon proposed sentencing reforms that would eventually result in nearly all mandatory minimum penalties for drug offenses being repealed. But the alarming rise of cocaine use, particularly crack cocaine, in the 1980s sent Congress scrambling to react to the epidemic and prompted the hasty revival of the laws that had been viewed so unfavorably two decades before.

Though the primary goal of legislation such as The Anti-Drug Abuse Act of 1986 was to target and successfully prosecute "kingpins" or major drug traffickers, thousands of low-level offenders, like Tyler, have been swept up and imprisoned based on outdated guidelines.

While he understands why some may have trouble sympathizing with a three-time drug offender, Tyler offers perspective.

"A life sentence, people don't really understand it. A man raped his daughter, got probation. A man killed people with his car, got probation. They don't understand. If they did 10 days in jail they would understand... they can't comprehend."

In 1991, Tyler was a fixture in the Grateful Dead fan community. His days were often spent crisscrossing the country alongside fellow "Deadheads." Now, his days are spent alongside convicted murderers and rapists, his nights locked down at 9:45 p.m. "I actually thought that I would get 262 months-327 months, which is a lot of time, but it had a release date," he explained.

Tyler was arrested on his way to a Grateful Dead concert in California and was eventually extradited back to Florida, the state in which he mailed his LSD delivery. On the day he was sentenced, he tried his best to conceal his emotions for the sake of his sister, who was present in the courtroom. But "once I walked out of the courtroom while seeing my sister's eyes tearing up, I could not hold back my own," he remembered.

Crack cocaine at heart of once-common sentencing disparity

Wouldn't take plea deal

Tyler was initially offered a plea bargain with a 10-year sentence in exchange for testimony against his co-defendants. Had he accepted the deal, he would have been released about 10 years ago. But the decision wasn't that easy. One of his co-defendants was his own father. Tyler maintains that his father had never ingested LSD, but like his son, was only assisting a friend in obtaining the drug. Tyler did not testify against his father, who was convicted on a lesser offense.

"My dad was just helping his friend acquire some because he knew I was able to get it," Tyler told CNN over the phone from Canaan Federal Prison in Pennsylvania. "He certainly did not think he could get 10 years for a simple envelope."

Admittedly, Tyler was an avid user of LSD and was often called upon by friends to procure the illegal drug, which was often in abundance at Grateful Dead concerts. "When I was arrested, me and my friends considered LSD to be sacred or a sacrament," he said.

And though his two previous encounters with law enforcement for similar crimes had resulted only in probation, his third offense triggered the federal government's mandatory sentencing guidelines that would ensure he never spends another day as a free man.

According to Tyler, his public defender never explained to him the federal minimum mandatory guidelines, and by the time he did learn about them, it was too late. The guidelines did not allow the judge to take into consideration Tyler's age, mental state, drug addiction, or the absence of violence when he decided his punishment. The guilty plea he thought would soften his sentence and spare his father effectively ended Tyler's chances of ever stepping outside of prison again. "I loved my father just like I loved my adopted family at the concerts, so I could not go against him or them."

Following sentencing they sat together in prison, father and son, contemplating the bleak future that awaited them both. "He did tell me after sentencing while we were in the same jail together that he would not live long enough to complete his sentence," Tyler remembers. His father's premonitions proved true when he passed away in federal prison in April of 2001, with only 18 months left to serve.

Does the punishment fit the crime?

Tyler's supporters -- including his most ardent advocate, his sister Carrie -- don't think his punishment fits his crime. "I don't think I've done more wrong to society than has been done to me," Tyler explains. He can't help but get emotional thinking of his father. "My dad died in prison, how much blood does society feel they need?"

Many of his supporters believe that minimum mandatory sentencing is an inhumane and inefficient way to fight the war on drugs. More than 300,000 people have signed a change.org petition calling for clemency in Tyler's case. In addition, groups such as Families Against Mandatory Minimums, the ACLU, and the Clemency Project are lobbying for his release. "People have been becoming more aware, evolving it seems. Based on that and the current President and Attorney General Holder, maybe there is hope for others too because there are about 3,700 others who are doing life for non-violent [offenses]," Tyler explains.

And though legislation such as the "Smarter Sentencing Act" is a perfect example of the turning tide on the issue, Tyler says only one person can help him gain his freedom. "The only thing I can wish for now is a commutation of sentence from the President."

Considering that Obama issued clemency in December of 2013 for eight non-violent drug offenders, and the recent changes in clemency criteria, this isn't out of the realm of possibility.

While daydreaming about freedom may be a nice thought for Tyler, he's cautiously optimistic about his chances of actually being released. "I never thought about it 'til recently. I never thought about it but I have some supporters out there and maybe I will. I know my sister is wishing that would happen."

As he waits, Tyler -- or Inmate #99672-012 -- takes it one day at a time. "I hold out, live day to day, stay healthy, keep a positive attitude."

"I can beat any man around in handball, which is a big thing in prison."

Rules change means more drug offenders eligible for clemency

CNN's Evan Perez contributed to this report.

@highlight

Tyler is among the thousands serving life sentences for non-violent drug crimes

@highlight

The Justice Department recently announced changes in clemency rules

@highlight

The new criteria could shorten prison stays for many inmates