New York (CNN) -- Americans can expect a roaring debate over social issues in the discussion of  the next Supreme Court nominee, but in the end, President Obama's choice to succeed Justice John Paul Stevens is likely to be confirmed, CNN senior legal analyst Jeffrey Toobin says.

Toobin, author of "The Nine: Inside the Secret World of the Supreme Court," said the large Democratic majority in the U.S. Senate gives Obama a strong chance of getting his choice confirmed. He says, though, that the ideologically divided court has undergone a lot of turnover in the past five years, and it's impossible to predict how it will evolve.

Toobin notes that one thing is fairly clear: Obama will probably begin his search for a new justice with the candidates he did not select when he picked Sonia Sotomayor for the court last year.

Toobin spoke with CNN on Friday. Here is an edited transcript.

CNN: What do you think is the most significant role that Justice Stevens played on the court?

Jeffrey Toobin: As the senior associate justice on the court, he had the second most formal authority to assign the writing of opinions after the chief justice, and he was undoubtedly the leader of the liberal wing and a very successful one.

CNN: Now, who will assume that senior associate justice role?

Toobin: The senior associate justice role would be Antonin Scalia now, but he votes with Chief Justice [John] Roberts most of the time. So the senior liberal on the court would now be Ruth Bader Ginsburg, who is a less outgoing person than Justice Stevens.

CNN: Do you expect we'll see a marked change in how the court operates?

Toobin: The court doesn't change dramatically in terms of its operations. But as Justice Byron White used to say, "You change one justice, you change the whole court," and I expect that will be true. By Supreme Court standards, the last five years have been a period of enormous turnover. It's not at all clear which side will be ahead when it's all over.

CNN: Do you expect that there's any potential the president's nomination could change the complexion of the court?

Toobin: I am certain the president will nominate someone who is generally sympathetic with Stevens and Obama's own politics, but history shows it's folly to predict with precision exactly how a justice will evolve over decades.

CNN: What do you think are the two or three things that are most important to Obama in making this decision?

Toobin: I think the most important criterion is a justice of integrity and intelligence. The second is a justice who shares his general views about law and the Constitution, and third is someone who can get confirmed.

CNN: What kind of a justice does he need to nominate in order to get a confirmation that is relatively easy?

Toobin: He has 59 Democratic senators, so it's overwhelmingly likely that anyone he nominates will get confirmed. It's important to remember that. By historic standards, this is a very large majority. Yes, it is possible there will be a filibuster, but there has never been a successful filibuster to stop a Supreme Court nominee in the modern era.

CNN: And how important is age as a factor in his decision?

Toobin: I think age is a huge factor, because one of the big appeals of Supreme Court nominations is that they serve for life, and a 49-year-old nominee will likely serve 10 years more than a 59-year-old nominee.

CNN: Of the recent issues that have been before the court and the issues that are coming up, which of them are likely to be raised in the course of the debate over the nomination?

Toobin: There are certain evergreens of constitutional conflict that come up, though nominees rarely address them directly. One is abortion, another is affirmative action, but to be sure, there will be questions about gun rights, there will be questions about the constitutionality of health care reform, and there will always be issues that we can't even anticipate.

CNN: And do you think this resonates beyond Washington this year?

Toobin: I do. When you're talking about the Supreme Court, you're talking about social issues, which many people care very deeply about, so I think this is not just a Beltway issue.

CNN: You've said that you're a law school classmate and friend of [Solicitor General] Elena Kagan. What's your view of her?

Toobin: I think she is a formidable possible nominee. She seems to meet many of the criteria that Obama has talked about: intelligence, integrity, a consensus-builder, and she was just confirmed by the Senate as solicitor general last year, which is not a guarantee that she would get confirmed but certainly can't hurt.

CNN: In her role as a law school dean, she was noted for bringing on conservative scholars?

Toobin: That's correct. She was known as a real defender of ideological diversity on the faculty.

CNN: Who do you think are the two or three other leading candidates?

Toobin: I think presidents generally don't like to reinvent the wheel with their Supreme Court candidates. The finalists before were Kagan, [Judge] Diane Wood of the 7th Circuit and Janet Napolitano, the secretary of Homeland Security. I expect the list will begin with them and may include others.

One illustration of how much the country has changed is that Stevens is the only Protestant on the court. It is a court now of six Catholic justices and two Jewish justices, compared to a time when there used to be a Catholic seat and a Jewish seat.

CNN: Do you think Obama would be mindful of that in making a selection?

Toobin: I think religion now is more of a curiosity than a criterion for nomination. So, yes, he would be aware of it, but I don't think it would make a difference.

@highlight

Obama will likely begin search for nominee with candidates he didn't pick last time

@highlight

Jeffrey Toobin says social issues will be front and center in debate over nominee

@highlight

He says Obama's majority in Senate means he will likely get choice confirmed