(CNN) -- The kind of insect evidence found by investigators in the trunk of Casey Anthony's car does not prove that a body was stored inside, a bug expert for the defense testified Friday in the Orlando woman's murder trial.

Prosecutors used their cross-examination to vigorously challenge forensic entomologist Tim Huntington on his experience, an experiment on a pig and why he omitted a key opinion on a stain photo from his pretrial report.

Jurors previously heard from prosecution witnesses who testified that the discovery of one leg of a kind of fly commonly found around decomposing bodies, as well as more numerous examples of a different kind of fly, suggested that a body had been stored in the trunk for no more than three to five days.

Prosecutors allege that Anthony killed her 2-year-old daughter, Caylee, and stored her body in the trunk before dumping it in a wooded field in June 2008. Prosecution witnesses have testified about a subtle stain and a strong odor inside the car as evidence that a body had been decomposing inside the trunk.

But on Friday, Huntington told jurors that the evidence is not convincing.

"In my opinion, one leg of a blow fly doesn't mean anything," said the Concordia University (Nebraska) faculty member.

The other insects found in the trunk, phorid flies, are frequently found in household garbage and are not as closely tied to human decomposition, he said.

Huntington questioned the relative dearth of flies found in Anthony's trunk, describing experiments he conducted with freshly killed pigs placed in a closed trunk and left to rot.

He said the experiment revealed heavy insect infestation and significant staining from fluids leaking from the pig's body, even in weather cooler than that of the Florida summer.

Prosecutor Jeff Ashton also asked whether Huntington had experimented with encasing a pig's body in a blanket, two trash bags and a laundry bag, which is how prosecutors claim Caylee's body was disposed. Huntington said he had not tried that.

He also said the pig study had nothing to do with the Anthony case. "I would have handled it very differently" and replicated circumstances in the Anthony case if he knew he was going to testify, Huntington said.

The nation's youngest board-certified forensic entomologist told jurors that from looking at a photo, he did not believe a stain found in the liner of the trunk came from human decomposition.

But Ashton got Huntington to admit that he has never previously made such an opinion in a courtroom and was never qualified as an expert on such identification.

Huntington told jurors that he did not include his opinion on the stain in his pretrial report because he focused on insects recovered in the trunk.

Huntington said it would be almost impossible to clean up decomposition fluids, especially not with paper towels -- a reference to testimony by a prosecution witness that fly-ridden paper towels inside a garbage bag in the trunk appeared to have been smeared with fluid that could have come from a decomposing body.

The flies were attracted not to that type of material but rather to spit from chewing tobacco or possibly something inside a salami container found in a trash bag in the trunk, Huntington said. Later, he testified that little or no food was found in the trash.

"It's a bag of trash with trash-feeding insects in it," Huntington said. "There's nothing remarkable about that.

"I think there was never any reason to think there was a body in the trunk."

Huntington said he had no prior experience with cases involving decomposing bodies in trunks.

Ashton also questioned what impact the high levels of chloroform detected in the trunk would have on insects, asking whether it could repel or kill them.

Huntington said it seemed unlikely but conceded that he had not studied the issue and that he was unaware of any other scientists who had.

Outside the courtroom, an ex-convict whom defense attorneys say had telephone conversations with Anthony's father, George Anthony, around the time of Caylee's disappearance held a brief news conference to say he had nothing to do with the case.

"I have no idea who George Anthony is. I've only seen him on TV. I've never talked to him." said Vasco Thompson, whose surprise appearance on the defense's witness list this week has caused ripples.

Anthony's defense attorneys claim that Thompson, a convicted felon who served prison time for kidnapping, is linked to Anthony's father through cell phone records, including four telephone calls made the day before Caylee was reported missing.

The defense said it needs to question Thompson "to determine the existence of relevant admissible evidence in this trial."

Thompson said he doesn't know anything. He said he didn't even have the telephone number until February 2009.

"They dragging me in this for some reason I don't know," Thompson told HLN's Nancy Grace. "It's been totally crazy, ma'am, for the last two or three weeks."

Thompson's attorney, Matt Morgan, said the whole ordeal has been upsetting for his client.

"It's just another attempt by Casey Anthony to try to create some kind of reasonable doubt," he told Grace.

Prosecutors allege that Anthony, 25, killed Caylee in 2008 by using chloroform on her, putting duct tape over her nose and mouth, or a combination of the two. They allege she then put the little girl's body in black garbage bags and stored it in her trunk before dumping it in woods near her home.

Anthony faces seven counts in Caylee's death, including first-degree murder, aggravated child abuse and misleading investigators. If convicted, she could face the death penalty. She has pleaded not guilty, and her defense attorney has said that when all the facts are known, his client's innocence will become clear.

The defense has said Caylee was not killed but rather drowned in the family pool June 16. Defense attorney Jose Baez told jurors in his opening statements that Anthony and her father panicked when they discovered the body and covered up her death. George Anthony rejected that scenario in his testimony the first week of the trial.

Friday was the second day of the defense case in the trial.

On Thursday, Baez questioned FBI examiner Heather Seubert and Orange County, Florida, Sheriff's Office crime scene technician Gerardo Bloise, who said that testing found no blood on any of Anthony's clothes, in her car trunk or in the interior of the car.

Seubert also tested three pieces of duct tape found at the scene where Caylee's remains were recovered, two of them covering the mouth portion of her remains. She testified that a DNA profile generated on the outside of the tape matched another FBI forensic examiner, Lorie Gottesman.

Testing on the inside of the tape was inconclusive, but a possible indication of DNA there did not appear to match Caylee, Casey Anthony or George Anthony, she said.

The trial resumes Saturday morning.

In Session's Mayra Cuevas, Ilana Rosenbluth and Michael Christian contributed to this report.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

NEW: "They dragging me in this for some reason I don't know," says Vasco Thompson

@highlight

Witness wraps up his testimony under rigorous cross-examination

@highlight

Defense bug expert: Flies were attracted to tobacco spit, not a body

@highlight

Expert says his experience with similar cases is limited