(CNN) -- Why was it that, while others in your class were happy to study law or go into finance, you wanted to be a popstar? Or maybe you were the rebel: an unruly and disruptive influence the teachers disliked. That said, you could have been the procrastinator -- somehow never getting started -- or the dreamy idler living in an invented parallel universe.

Their commonality? All are signs you are a High-FF: someone with a high fear of failure as I call them in "What's Stopping You?" my book on understanding, accepting and navigating the insecurities that drive career failure.

Fear of failure was first uncovered in the 1960s by psychologists such as John Atkinson. Working at Stanford University, Atkinson conducted a series of experiments on children -- setting them reward-based tasks in order to test their motivation.

He noticed they divided into two camps: those focused on winning the reward, who approached the task with what he called a "need for achievement," and those focused on their seemingly inevitable failure, who had what Atkinson termed a "fear of failure" based on their desire to avoid the public humiliation of failure.

See also: Is happiness the secret of success?

In one experiment the children played a game of hoop-the-peg, with greater rewards offered for greater distances. The "need for achievement" kids stood a challenging but realistic distance from the peg -- adding concentration if they failed. Those with fear of failure, meanwhile, stood either right on top of the peg or so far back that failure was almost certain.

Of course, those choosing the impossible distance effectively disguised their fear of failure, not least because everyone failed at such a distance. Yet that was the better response. Many of the fear of failure kids became disruptive -- intonating that they didn't care for the game with some even trying to halt the entire process.

Norman Feather (an Australian psychologist) undertook similar experiments and came to similar conclusions, although also found he could manipulate the response by telling the children the task was "very difficult." This encouraged the High-FF kids to continue -- the humiliation of failure having been lowered. And 1970s experiments by Carol Dweck and Ellen Leggett concluded that children were either "mastery oriented," meaning they were focused on acquiring new skills (and were unconcerned by temporary setbacks), or "ego oriented," which meant their main concern was to not lose face.

The impact of fear of failure

From here, it's easy to see how such a divide can impact our career progression: indeed, our entire lives. High-FFs keep their ambitions either low or -- as a mask for their insecurities -- extraordinarily high (knowing that failing to become a TV star will be kindly judged). It's the challenging but achievable career choices (such as joining the professions) that are avoided by High-FFs.

See also: ambition could make you rich, but not happy

So is there a way out? Not from our fears. Mainstream psychologists deride those -- such as hypnotists and acupuncturists -- that claim they can instantly cure our fears and phobias, stating they simply inject alien personality traits into us. These will eventually be revealed as such, producing an inevitable reckoning. Yet we can learn to accept our fears as part of us, and then navigate their destructive consequences.

To do this, however, we need a plan. So here are my seven steps to overcoming (but not curing) fear of failure.

1. Discover your true values. If those popstar goals are a mask you'll need to go back to square one and calculate what really motivates you. This requires you to establish the values and principles that underline your existence. It's these that should drive your goal setting, not your insecurities.

2. Establish your goals. With your values written down, visualise yourself 10-years' hence. Every detail should be imagined: house, car, partner, office, dog (or cat). Importantly, also focus on the details of your career. What will you do day-to-day, where and with whom? Then ensure it dovetails with your values -- otherwise it will almost certainly fail.

3. Work out the milestones. The 10-year horizon is long-enough to make anything possible: including professional exams. Yet you have to ensure the path you take is the right one. So visualize yourself in five years' time. What has to be in place to ensure the 10-year goals are achievable? Then do the same for two years -- thinking about the needs for the five-year horizon. Then one year. Then six months. Then three months, one month and one week. And what can you do tomorrow to make sure the one-week goal is conquered?

4. Develop a strategy and tactics. Of course, goals fail without strong execution, while "busyness" can lead us in the wrong direction. We need a strategy -- a plan that ensures our actions lead us towards our objectives. So undertake a SWOT analysis: looking at your strengths, weaknesses, opportunities, threats. This should help a strategy emerge because we can execute tactics on our strengths while developing skills to overcome our weaknesses. Meanwhile, we can pursue the opportunities (if goal-focused) and plan to navigate the threats.

5. Execute efficiently. According to Stephen Covey, all activities fall into four boxes: urgent and important, urgent and unimportant, not urgent and important, and not urgent and unimportant. We spend our time on urgent-box activities neglecting the not-urgent-and-important box that is vital for achieving our long-term goals. Yet if we start here, our activities become driven by our goals allowing us to control urgent-and-unimportant activities (otherwise called interruptions) and potentially reframing our not-urgent-and-unimportant activities as refreshing moments where we can enjoy our progress.

6. Deal with people. For High-FFs, other people are a problem. Too often, we become reactive and defensive, or potentially manipulated by people leveraging off our insecurities. Yet dealing with difficult people is possible once we have "developed our compassion" -- i.e. we've stopped seeing the world from our own perspective and, instead, seen it from theirs. If done genuinely, we can then forge win-win strategies that turn potential enemies and barriers to our progress into allies that can help us achieve our goals.

7. Find your unique gift. Still struggling? Just maybe you haven't found your unique gift. Everyone has a special talent or insight that they should first discover and then offer to others. Mine was a curiosity regarding my condition (as a High-FF) and a background in writing. I combined the two to write "What's Stopping You?" What's yours?

The opinions expressed in this commentary are solely those of Robert Kelsey.

@highlight

Fear of failure can impact our careers, and our whole lives, argues author Robert Kelsey

@highlight

Fear can make people set their ambitions low, or extraordinarily high, to mask their insecurities

@highlight

Kelsey outlines seven steps to overcoming our fears