(CNN) -- For many decades, unlike their counterparts in many Western countries, Chinese police did not carry guns. Even the armed police in China, charged mainly with guarding foreign embassies, government buildings and important facilities, would normally only carry unloaded guns, keeping the bullets separate.

A police officer firing a gun was a rarity, because China was a safe country.

Recently, however, a major shift is occurring that is significantly changing the landscape, as China faces its own "war on terror."

With the war in Afghanistan winding down, there has been an intensification of terrorist attacks in China. Most bear the same tell-tale fingerprints. They originate from China's Xinjiang Autonomous Region, which borders Afghanistan, and are perpetuated by extremists from China's Uyghur minority, a mainly Turkic-speaking Muslim population.

They aim to indiscriminately kill innocent, unarmed people in public places, demonstrating a complete disregard for human life.

The deadly terror attack Thursday on Urumqi, the capital of Xinjiang, was the just the latest in a spate of such attacks to strike China since a jeep plowed into a crowd in Beijing's Tiananmen Square in October, killing five.

This week's attack also involved vehicles -- in this case SUVs that drove into crowds at an open market as its occupants tossed out explosives, leaving at least 39 dead and 90 injured, according to Chinese state media.

Other attacks have been carried out by knife-wielding mobs, such as the attack on Kunming train station in March that left 29 dead, according to state media.

An attack the following month on an Urumqi train station also involved a knife-wielding mob that swarmed the station after an explosion was detonated. Three people were killed, included two suspected attackers, and 79 injured, according to state media.

Days later, men with knives attacked travelers at a train station in Guangzhou, injuring six people, according to Chinese police.

There have also been foiled attempts at hijacking airplanes.

Faced with an intensification of such attacks, right-thinking people in China are united in unreservedly condemning these crimes against humanity. The Chinese people want peace and stability at home, and many are demanding that the government take resolute measures to combat these terrorist attacks.

In response, the Chinese government has authorized the arming of police, and instructed them to shoot -- to kill, if necessary -- in combating such attacks.

The government has also significantly beefed up the police presence in many cities, particularly at bus and train stations, airports, public squares, schools and other public places which tend to be the targets of such attacks.

READ MORE: Q&A -- tensions in China's restive far west

The Chinese government believes the Uyghur terror groups have been strongly influenced by foreign terror groups.

Chinese Uyghur Islamic extremists have previously found their way to Afghanistan, with some winding up in Guantanamo.

China's concern is that such infiltration will see terrorist attacks in China intensify in coming years, in light of a likely resurgence of violence in Afghanistan following the withdrawal of American and NATO forces from the country.

Faced with the potential threat of intensified terror attacks, China will need to significantly beef up law-enforcement capacities further and raise public awareness about potential attacks.

China will also need to significantly increase international and regional cooperation to effectively deal with any resurgence of terrorism in Afghanistan in the coming years.

In this context, the Shanghai Cooperation Organization, the Conference on Interaction and Confidence Building Measures in Asia, and other multilateral frameworks will have significant roles to play in rallying countries in this part of the world to unite in their common struggle against terrorism.

Effectively combating terrorism will require an international united front.

The international community will not be well served if we start to label terrorist attacks against one country as terrorism, but terrorist attacks against another country by another name.

Put simply, an attack that aims to terrorize people by killing and injuring innocents indiscriminately is a terrorist attack -- and should be universally condemned and dealt with as such.

Double standards and hypocrisy will only further embolden terrorists, and will leave more innocent people as victims of such crimes.

No decent person -- and no religion -- should condone or justify terrorism.

If the international community is united, terrorism in China or anywhere else in the world will never win. Let us unite in our common fight against terrorism and extremism in the world, and prevail.

@highlight

Terror attacks in China intensify as war in Afghanistan winds down

@highlight

Most originate from Xinjiang, a region bordering Afghanistan

@highlight

Chinese terrorists believed to be influenced by foreign groups

@highlight

Chinese demand government clamps down on terrorism