(CNN) -- Syria denies that it has used, or even possesses, chemical weapons, accusing the United States and Britain of lying in order to pressure the embattled Damascus government.

Syrian Information Minister Omran Al-Zoubi talked to Russia TV on Friday, dismissing a claim by U.S. officials a day earlier that they had evidence the chemical weapon sarin had been used in Syria on a small scale.

"Everything that the American minister and British government have said lack credibility," Al-Zoubi said. "It's baseless, and it's a new tactic to put political and economic pressure on Syria."

Al-Zoubi said the Syrian government is the one that called for an investigation of an incident in which it claimed chemical weapons were used by "terrorist groups." The government routinely labels rebel fighters as terrorists.

Syria does not have chemical weapons and would not use them if it did, he said.

The Americans "want to manipulate the issue, to let whoever used the chemical weapons ... get away (with it), and to repeat the Iraq example," Al-Zoubi said.

After a meeting on Friday with Jordan's King Abdullah, President Barack Obama reiterated U.S. "preliminary assessments" that "chemical weapons have been used on ... populations in Syria."

He didn't backtrack from his earlier statements that it would be a "game changer" -- as far as how the world deals with Syria -- if it's proven definitively that President Bashar al-Assad's forces used chemical weapons on his own people.

Still, Obama didn't specify what actions the United States might take if that determination is made. For now, he said, the United States is planning to continue its own "very vigorous investigation" and to work with its Middle Eastern allies and the United States.

"We to have act prudently," the president said. "... But I think all of us, not just in the United States but around the world -- recognize how we cannot stand by and permit the systematic use of weapons like chemical weapons on civilian populations."

Israel, for one, is asking the United States to take the lead in crafting a response to the evidence of chemical weapons.

"I think the U.S., as the leader of the Western world, should lead the efforts with our partners in Europe and Israel and to take action with what we're seeing happening today in Syria," Israeli Deputy Defense Minister Danny Danon said on Friday.

Opinion: Obama must act on Syria chemical weapons

While he didn't offer specifics, Danon said that Israeli military intelligence also has information indicating "Syria has used chemical weapons."

Also Friday, U.N. Secretary-General Ban Ki-moon asked the man heading the world body's investigation into chemical weapons use in Syria to report to U.N. headquarters on Monday for "consultations," a U.N. spokesman said.

Ban had "taken note" of comments Thursday from the U.S. government that it has evidence sarin has been used in Syria.

The U.N. leader has repeatedly asked the Syrian government to give U.N. inspectors unrestricted access to the country as it looked into chemical weapons use allegations. The team, led by Swedish scientist Ake Sellstrom, is ready to head to Syria within 48 hours if an agreement is reached.

"We remain in close contact with the Syrian authorities, most recently through another letter (Thursday) urging the Syrian government to grant unconditional and unfettered access to the mission," U.N. spokesman Martin Nesirky said. "The secretary-general strongly urges the Syrian government to respond swiftly and favorably so that this mission can carry out its work in Syria."

Russian foreign ministry spokesman Alexander Lukashevich responded Friday by criticizing Ban's position as "nothing but a demonstration of a politicized approach."

"The inspection system proposed is analagous to that used at the end of the previous century in Iraq, which -- unlike Syria -- was under U.N. sanctions," Lukashevich said in a statement posted on the foreign ministry's website.

"It is difficult to understand why the U.N. secretariat prefers to take its cue from those who care not about concrete steps to prevent attempts to use chemical weapons in the Syrian crisis but to change the regime of a sovereign state."

Earlier this week, the Russian foreign minister also warned against a repeat of the "Iraqi scenario" in which claims that Saddam Hussein's government possessed so-called weapons of mass destruction were the basis of the U.S.-led invasion. He also said that international investigators were asking "too much" by demanding access to all facilities in Syria and to have the right to interview any Syrians.

Read more: What is the Syrian Electronic Army?

In a letter sent to lawmakers before U.S. Defense Secretary Chuck Hagel announced there was evidence sarin has been used in Syria, the White House said that intelligence analysts have concluded "with varying degrees of confidence that the Syrian regime has used chemical weapons on a small scale in Syria, specifically the chemical agent sarin."

The White House cautioned that the "chain of custody" of the chemicals was not clear and that intelligence analysts could not confirm the circumstances under which the sarin was used, including the role of al-Assad's regime.

British Prime Minister David Cameron said that he supported Obama and that the use of chemical weapons should constitute a "red line," the UK Press Association reported.

But if a red line has been crossed, Cameron was less clear on what the next steps should be.

Asked if the development could result in sending troops into Syria, Cameron said he didn't want to see that.

"But I think we can step up the pressure on the regime, work with our partners, work with the opposition in order to bring about the right outcome," he said, according to the Press Association. "The question is how do we step up the pressure. And, in my view, what we need to do -- and we're doing some of this already -- is shape that opposition, work with them, train them, mentor them, help them, so that we put the pressure on the regime and so what we can bring this to an end."

The Syrian government has been battling a rebellion for more than two years, bringing international condemnation of the regime and pleas for greater international assistance.

The United Nations estimated in February that more than 70,000 people had died since the conflict began.

The opposition Local Coordination Committees in Syria reported that 139 people, including 16 women and 14 children, had been killed across the country on Friday. Twenty-nine of those deaths were in and around Damascus, while 27 were in Homs province.

Members of the rebel Free Syrian Army clashed with government forces in at least 115 places around Syria on Friday, during which the opposition group reported 235 bombing attacks -- including from warplanes and surface-to-surface missiles.

CNN's Yousuf Basil, Sara Sidner, Saad Abedine and Michael Pearson contributed to this report.

@highlight

NEW: Team looking into chemical weapon use in Syria asked to report to U.N.

@highlight

NEW: A Russian official criticizes the U.N. leader for taking a "politicized approach"

@highlight

Syria accuses the U.S. and Britain of lying, says it doesn't even have chemical weapons

@highlight

Obama says if it's proven Syria used such weapons, it would be a "game changer"