(CNN)  -- California voters have just rejected Proposition 19, the ballot initiative that would have legalized marijuana under state law. Where did Prop 19 go wrong?

Prop 19 failed in part because many proponents emphasized the wrong arguments for legalization. Many advocates promised major benefits to California's budget because of reduced expenditure on marijuana prohibition and increased revenue from marijuana taxation. Other supporters claimed that Mexican drug violence would fall substantially.

Both claims were overblown. The budgetary benefits, while not insignificant, would have been small compared with California's fiscal mess. Mexican drug violence is mainly associated with the cocaine and methamphetamine trades, as well as from marijuana traffic to other states.

Many voters sensed that Prop 19 supporters were overreaching, and this made them suspicious of all the arguments in its favor. Common sense should have recognized that since marijuana was close to legal already, Prop 19 would not have had dramatic effects.

Prop 19 failed also because it overreached. One feature attempted to protect the "rights" of employees who get fired or disciplined for using marijuana, including a provision that employers could only discipline marijuana use that "actually impairs job performance." That is a much higher bar than required by current policy.

This provision allowed Prop 19 opponents to claim that workplaces would become infested with impaired pot users. That assertion is not well-founded, but that is not the point. Prop 19 did not need to address employee marijuana-testing in the first place.

A more effective position for Prop 19 supporters would have been that employee marijuana-testing should be unencumbered by state or federal law. That would allow employers to protect themselves and their employees against perceived risks from marijuana, thereby promoting support for legalization.

A final problem with Prop 19 is that it would only have legalized marijuana under state law, since federal law also bans marijuana. U.S. Attorney General Eric Holder, moreover, announced just weeks before Tuesday's election that the administration would enforce the federal law fully even if Prop 19 passed.

This legal limbo would have kept the marijuana market underground, limiting tax revenue and continuing the ills of black market. This ambiguity also dimmed support by making state-level legalization feel like an empty gesture.

So what is the path to legalizing marijuana in the United States?

First and foremost, advocates must emphasize that in a free society, the burden of proof should be on prohibitionists to justify the interference with liberty that results from outlawing marijuana, a burden the prohibitionists have never met. Any calm assessment of marijuana versus alcohol, for example, shows that alcohol is the substance with the greater potential for harm.

Ancillary benefits of legalization are naturally important: by eliminating the black market, legalization promises reduced crime and corruption, fewer infringements on civil liberties, better quality control for marijuana users, along with budgetary benefits. But these considerations are unlikely to convince the majority until more people agree that government should not interfere in the private decision to consume marijuana.

Marijuana advocates should also focus on federal law, in addition to or even instead of state law. Legalization proponents have long despaired of affecting change at the federal level and assumed that state-by-state change would someday bring down federal prohibition. That position is understandable, and it has achieved some success, such as the decriminalization of medicalization of marijuana in many states.

Yet it's hard to see the federal apparatus yielding ground without direct elimination of its authorization; the stakes for those who hold this power are too high. Legalizers can also argue compellingly that no reasonable interpretation of the Constitution justifies federal imposition of a marijuana ban.

A final key to legalizing marijuana is to get conservatives, not just liberals, more involved. A number of well-known conservatives have advocated legalization, such as Milton Friedman, George Schultz, and William Buckley, but the general perception is that legalizers are "stoners, " acting mainly out of self-interest.

Yet legalization can appeal to conservatives, especially if the arguments emphasize freedom, personal responsibility, and the Constitution, along with up-front clarity about the goal: legal production and use of marijuana for adults, whatever their motivations. Past liberal efforts, such as medical marijuana, invite charges of hypocrisy and weaken support.

Marijuana can and should be legal, Prop 19's failure notwithstanding. But the strategy for achieving that end must change.

The opinions in this commentary are solely those of Jeffrey A. Miron.

@highlight

Jeffrey A. Miron: Prop 19 advocates didn't present right reasons for making pot legal

@highlight

Voters were wary of claims of dramatic positive change if it were legalized, he says

@highlight

Miron advises advocates to argue pot prohibition interferes with individual liberty

@highlight

Another key to legalizing marijuana is to get conservatives involved, he writes