(CNN) -- Russia's policies on foreign adoptions made headlines when the government announced it would no longer allow Americans to adopt Russian children. But hidden away in Russian orphanages are thousands of children with disabilities who aren't orphans, whose harmful treatment has long been hidden from public view -- even from most Russians.

When I visited a Russian orphanage last year as part of a human rights investigation, a volunteer led me to a crib where a boy under 3 feet tall, wearing a diaper, smiled at us. "This is Roman," she said. "He's 18 years old. He has Down syndrome." Roman reached for me to pick him up and I felt his protruding ribs. I could hardly believe he was 18. Yet the birthdates labeling the cribs of other equally frail and undersized children revealed that most were also teenagers with conditions including Down syndrome, cerebral palsy, and blindness.

In fact, well over 165,000 children live in Russia's state orphanages for children with disabilities, comprising nearly 50% of the country's orphanage population. A 2012 report by an international children's advocacy organization noted that of 10 countries surveyed, Russia had the highest rate of children living in institutional care. The vast majority of children with disabilities living in Russian state orphanages have living parents, but many children are there after doctors gave parents dire assessments of their child's prospects for development.

State orphanages are typically geographically isolated, and children living there are often cut off from their families and communities and from the variety of experiences available to other children, such as attending school. It is also often difficult for anyone not living or formally employed in these institutions to visit -- even children's parents. I spoke with parents of institutionalized children with disabilities who told me that staff discouraged them from regularly visiting their children or taking children home for weekend visits, on the basis that too much attention would "spoil" children and make it difficult for them to readjust to institutional routines.

I visited 10 orphanages across Russia, gaining access to those few institutions where staff were willing to let me in. I spoke with children and activists who are fighting to protect their rights, and I learned that life in institutions, and the neglect, isolation and even violence it can entail, are what rob children of potential.

In most orphanages I visited, staff relegated children they deemed to be "too disabled to learn," to separate wards where they lay in cribs with little attention except to change their diapers or adjust their feeding tubes. Members of staff used rags to tie many children's heads, limbs and torsos to their cribs or other furniture, or sedated children to prevent them from trying to leave their rooms or from knocking their heads against crib railings. Orphanage staff told me many children forgot how to walk after months of being tied up or confined.

It is tempting to attribute these children's conditions to lack of material resources, yet that was not the issue. I saw playrooms with new dolls, books and games arranged out of children's reach. I saw wheelchairs stacked in hallways, while children who could have been on the playground lay in their cribs. One activist told me that the majority of children with disabilities in Russian orphanages receive little or no education.

Due to such a lack of attention, education, health care and adequate nutrition, children's disabilities grow more pronounced, or children develop new impairments. Psychologists and other child development specialists agree that life in institutions contributes to physical underdevelopment, stunted intellectual development, and difficulties forming stable relationships. Violence that children may experience in institutions can lead to severe developmental delays, additional disabilities, and irreversible psychological harm.

The reality is that the sooner children are moved out of orphanages and into families, the better their chances of making up for lost time. I met many Russian children with disabilities whose birth, foster, or adoptive parents raised them to be active, happy children, despite the gloomy predictions of doctors and adoption officials. School-age children who could neither walk nor talk learned to do so after loving parents adopted them or took them home and marshaled resources for them to study and receive health care.

Russia's international human rights obligations include ensuring that children are not separated from their parents against their will, and protecting children from all forms of violence and neglect. The government has taken steps in this direction, including a strategy outlining plans to reduce the use of institutional care and curb child abandonment during 2012-2017. But this and other federal policies lack clear plans for implementation.

As I undertook my research, I met social workers, psychologists and disability rights experts who tell parents of newborns with disabilities about positive examples of families who have raised children with disabilities. I visited organizations that provide these families with services such as parents' support groups. And I met activists who shepherd prospective Russian foster and adoptive parents through bureaucratic red tape so they can take children home.

So many of the children I saw would be better served if the government focused on maintaining a network of support services to keep children with their families and in their communities, rather than rely on what is currently an abusive orphanage system. There is a network of caring people already. What it needs is government support and the will to make this happen.

@highlight

Andrea Mazzarino: Many nonorphan kids with disabilities in Russian orphanages

@highlight

State orphanages are typically geographically isolated, she says

@highlight

Lack of attention, adequate nutrition make disabilities grow more pronounced, she says