(CNN) -- Iranian media outlets have "systematically stirred up" widespread contempt toward the country's 300,000-strong Baha'i religious minority, the group says.

The Baha'i International Community issued a report Friday entitled "Inciting Hatred: Iran's media campaign to demonize Baha'is."

The report "documents and analyzes more than 400 media items over a 16-month period." The result, the Baha'is say, is an "insidious state-sponsored effort" to discredit the Baha'is with "false accusations, inflammatory terminology, and repugnant imagery."

Iranians officials at the United Nations and in Tehran could not be reached for comment.

Among "recurring themes" in media coverage about Baha'is, the report said, is that they are "anti-Islamic," a "deviant" and "cult-like" sect, agents of Zionism, spies for Israel and the West, morally corrupt and an influence in the shah's government, toppled in 1979.

New themes have emerged in recent months, the report says.

The report says the Baha'is have instigated opposition to the regime, influenced "anti-regime" Iranian human rights activists, including Nobel Peace Prize winner Shirin Ebadi, controls or influences foreign broadcasters, such as the BBC and Voice of America, and helped plan and participated in the 2009 Ashura protests against the presidential elections earlier that year.

The group also said the media "uses brainwashing to entice Muslims away from their faith," and "security attractive young women to lure converts."

"This anti-Baha'i propaganda is shocking in its volume and vehemence, its scope and sophistication," said Bani Dugal, Principal Representative of the Baha'i International Community to the United Nations.

"It's all cynically calculated to stir up antagonism against a peaceful religious community whose members are striving to contribute to the well-being of their society," she said. "The parallels between the campaign of anti-Baha'i propaganda in Iran today and other state-sponsored, anti-religious campaigns of the past are undeniable. History shows us that such campaigns are among the foremost predictors of actual violence against religious minorities -or, in the worst case, precursors of genocide."

The Baha'i faith, founded during the 19th century in Iran and now with 5 million to 6 million adherents worldwide, is a monotheistic religion that focuses on the spiritual unity of humanity.

But Iran's Shiite Muslim ruling ayatollahs regard the faith as blasphemous because its founder, Bahaullah, declared himself to be a prophet of God. Muslims believe the Prophet Mohammed was the last prophet of God.

The group said the anti-Baha'i messages are "originates with and are sanctioned by the country's highest levels of leadership, including Supreme Leader Ayatollah Ali Khamenei."

Iran, however, claims that international media are an arm of a Baha'i conspiracy.

Those claims are "both ludicrous and funny, if it wasn't so sad," said Mohamed Abdel Dayem, the program coordinator for the Committee to Protect Journalists' Middle East and North Africa program.

"Any international media outlet that carries news that is not identical to the Iranian government's line is accused of being an agent of fill in the blank: The Baha'is, the Americans, the Mossad."

The U.S. Commission for International Religious Freedom -- an independent, bipartisan federal agency -- regularly documents the Iranian regime's actions toward the Baha'is.

A USCIRF official said the Iranian government's media campaign to denigrate and vilify the Baha'i community is part of its long-standing policy to not only incite violence against Baha'is but also to seek a slow death of the community's very existence in the country.

"The longer you wear down a community by demonizing them, intimidating them, depriving them, and arresting and imprisoning them - the hope is that you achieve your goal of total eradication," said Dwight Bashir, deputy director for policy and research at USCIRF.

The Baha'i report cities more than 200 "specious and misleading articles" by the semi-official Kayhan newspaper. USCIRF also singles out Kayhan.

"Among those responsible for this media initiative has been Hossein Shariatmadari, managing editor of the government-controlled Kayhan newspaper, who was appointed by Supreme Leader Ayatollah Khamenei himself," Bashir said.

"Kayhan's articles about the Baha'i community have been a combination of vitriol and falsified information that has served to justify many of the egregious actions taken by the government against members of the community. As a consequence, USCIRF has urged the U.S. government to add Shariatmadari to its sanctions list of Iranian officials responsible for severe violations of human rights, including religious freedom," said Bashir.

Faraz Sanei, Iran researcher with the Middle East and North Africa division of Human Rights Watch, said rights groups have long documented the government's "systematic campaign, both in law and practice, to target Baha'is and "deprive them of of their ability to freely manifest the beliefs and teachings of their faith."

Sanei said the "report provides valuable insight into the mechanics of a less documented and more insidious element of this campaign - anti-Baha'i propaganda propagated by official and semi-official media outlets, and the degree to which hate speech further exposes an already vulnerable minority group to discrimination and attacks by private actors."

@highlight

The Baha'is say Iranian media are demonizing them

@highlight

Rights groups underscore the report's contentions

@highlight

Iran's rulers believe the Baha'i faith is blasphemous