(CNN) -- "How much did you weigh when you were born?" Dr. Alfred Brann asks the first time we talk.

It's not a typical, get-to-know-you kind of question, but it seems almost normal coming from Brann. He's a pediatric neurologist who specializes in perinatal medicine and reproductive health in the United States and developing countries.

Each year, worldwide, nearly 1 million babies die on the day they are born, according to a new report from Save the Children. Giving birth is also risky for mothers; nearly 800 women die every day during pregnancy or childbirth. While we've made significant strides in reducing child and maternal mortality rates since the 1970s, there are still many lives to save.

"Almost all newborn deaths originate from preventable and treatable causes," the report authors write. "We already have the tools available to save about three-quarters of the newborns who needlessly die each year."

Brann has worked his entire life to ensure that moms and their babies have the best chance of survival.

In 1983, he co-wrote the American Academy of Pediatrics' first official "Guidelines for Perinatal Care," which is still being used by doctors to ensure pregnant women and their infants receive quality care.

Now, as director of the Global Collaborating Center in Reproductive Health at Emory University in Atlanta, Brann's primary focus is on preventing low birth weight by improving women's health care.

Brann recently spoke with CNN about his work and the personal loss that inspired his passion. The following is an edited version of that interview:

CNN: Why are you so passionate about this issue?

Dr. Alfred Brann: My mother died during my birth in 1934 in Arkansas. She was 30 when I was born. She was born in the 1900s and she went to college -- unusual for (women at that time).

I think if there had been a cesarean section possibility, then my mother would have survived. It was unclear whether she had an old rheumatic heart disease that may have affected a valve. Or ... there was a lot of malaria at the time. The possibility might have been that she had malarial heart disease and was really tired out and couldn't make labor.

They had to pull me out. My mother died shortly after that.

CNN: What are the most common health issues associated with a low birthweight?

Brann: A low-birthweight infant is at greater risk for respiratory distress, bacterial infections, gastrointestinal tract problems and the effects of jaundice. In surviving infants weighing less than 3.5 pounds, problems of neurodevelopmental disabilities include cerebral palsy, impaired mental development, blindness and hearing deficits.

CNN: The center at Emory has developed what's called a "systems approach" to reducing maternal and infant deaths. Why is that important?

Brann: We have to treat the triad of the mother, the fetus and the newborn in a very special, continuous way. There has to be a systems approach to care.

(Infant) mortality, you see, we don't have a vaccine to prevent that. It's not like polio; it's not like smallpox. From the moment a little girl is born... all the things that influence her life, all the factors that influence her life, are extremely important.

We clearly understand that the missing link in all (maternal and infant deaths) is the absence of women's health. That's not pregnant women's health, you see. It's women's health.

It's critical that we change our whole view, that the woman is more than a vessel for making children. Her health is very vital.

CNN: What's the goal of the center?

Brann: "The role in those in leadership must be to continuously reevaluate what is unacceptable." That's (a quote) from the doctor that eradicated smallpox.

I've sort of moved from (saving) the high-risk, critical, intensive-care tiny babies to finally asking myself, "Where are all of these babies coming from, and can we have fewer?"

Yes, we need continued research on finding out why things happen. But there is a moral imperative in implementing what we already know works. And the collaborating center has been about that mission.

CNN: What have you've learned working in developing nations?

Brann: We've probably ... worked in some 30 different countries. (We are) in active projects right now in Russia and in Mexico. We have been working in Cuba a number of years. Our center is working in places like Afghanistan, and the Central Asian republics, some in sub-Saharan Africa. I've worked in all those regions.

The message, I think, there is the fact that if you do not have malaria, then the issues surrounding women's health and pregnancy outcomes -- whether it's in the delta of Mississippi, in south Fulton County in Atlanta, Islamabad, in Beijing, in Havana, in Mexico City -- all around the world, the issues of women's health are the same.

CNN: What do you mean?

Brann: Women in low-resource settings have difficulty controlling their lives. You didn't choose your parents, and... you didn't choose your color of your skin. You didn't choose the country in which you're born. If you think carefully, that probably influences 90% of our (health) outcomes. We have maybe 10% left.

It's just great to be involved in helping to improve a system of health care through which we never ask to come.

We work within ministries of health, and also within universities, so that we can help design systems that influence all of the population.

CNN: What is most crucial for a woman to have a healthy baby?

Not too early, not too many, not too soon and not too late.

The best outcome for a healthy pregnancy is to be wanted, planned and have access to prenatal care with appropriate nutrition and delivered by a skilled attendant ... followed by access to modern contraception for appropriate child spacing.

@highlight

Dr. Alfred Brann is a pediatric neurologist who specializes in perinatal medicine

@highlight

Brann works to ensure both moms and their babies have the best chance of survival

@highlight

He believes a cesarean section may have saved his mom, who died during childbirth