(CNN)  -- It was both painful and strange for Robert Soulas and his wife, Corinne, as they stared across the Atlantic. The ocean still held the bodies of their daughter and son-in-law, three months after the crash of Air France Flight 447.

That day in 2009, standing along the shoreline of Brazil's festive Ipanema Beach was as close as the Soulases could come to the spot hundreds of miles offshore where 24-year-old Caroline Marie and Sebastian Vedovati, 34, had taken their last breaths.

"You are crying, you are praying, you are thinking about your child, while beside you, you can hear people laughing and playing," said Robert Soulas on the phone Wednesday from his home outside Paris. "It was not a good country for grieving -- for crying."

The Soulases' daughter and her flight attendant husband were among the 228 victims aboard the Airbus A330 which disappeared from radar between South America and Africa en route from Rio de Janeiro to Paris. In the two years since the crash, the Soulases say they've been haunted by the pain of not knowing why the plane went down.

Map of Flight 447's route

It was only this month that searchers were able to find the aircraft's flight data recorder and cockpit voice recorder -- the so-called black boxes -- in mountainous terrain under 13,000 feet of ocean.

The first information from that data is expected to be made public on Friday.

Investigators will be able to ID bodies, official says

But if data from those devices had been uplinked from the plane to satellites immediately before the crash, would hundreds of victims' loved ones have been spared some anguish?

"If we'd had the technology before, we would now have the causes of the crash and it would be less painful," said Robert Soulas, a 59-year-old electrical engineer who works in the French defense industry. He helps lead a group of more than 300 others who also lost loved ones aboard Flight 447, all of whose grief would be less intense, he said, if they could only know why.

Did the plane crash because of pilot error or bad weather or equipment malfunction? Speculation has been easy to come by, but answers have been elusive.

What caused the crash?

Two years ago in Washington, the Air France crash spurred U.S. aviation safety officials to look into uplinking critical flight data to orbiting satellites from airplanes flying across vast oceans.

Here's how advocates say such a system would work: Currently flight data recorders use computer chips to record information about how the plane is working in flight. Another device, the cockpit voice recorder, records audio from crew members including pilots. If the plane crashes over a large body of water, the devices can't be retrieved without help from special recovery teams.

See photos of Flight 447 black boxes and wreckage

A new system being researched by the National Transportation Safety Board would uplink airplane data about its location, direction, equipment functions and about 30 other parameters to orbiting satellites, which would then beam the data back to the ground for storage. In the event of a crash, that data could be easily accessed from the storage sites and then analyzed for clues to what caused the disaster.

Advocates say such a system -- although pricey -- could save millions of dollars in operations to recover on-board flight data devices. Searching for the Air France devices and aircraft wreckage cost $40 million, according to a report by France's aviation investigation agency, the Bureau d'Enquetes et Analyses. "Fortunately they found these boxes," said Greg Feith, a former NTSB investigator, "but who knows, tomorrow we could lose another airplane and not be so lucky."

The time saved by having immediate access to aircraft data offers critical safety benefits, said Feith, because experts could warn airlines sooner about potential equipment problems blamed for the crash.

But skeptics cite several reasons why in-flight data uplinks might not work, including high costs, limited bandwidth, security concerns, privacy issues, and cumbersome aviation bureaucracies.

In fact, two powerful government bureaucracies with oversight of the U.S. aviation industry -- the National Transportation Safety Board and the Federal Aviation Administration -- disagree about the promise of in-flight uplinks.

"While the technology may exist, the use of telemetry for commercial airplanes is not currently practical due to bandwidth issues," said an FAA spokeswoman.

Jim Cash, the NTSB's chief technical adviser for vehicle recorders, who's been studying flight recorder technology for decades, is optimistic about a solution.

Bandwidth issues can be beat, Cash says, by limiting data and only uploading it to satellites when necessary. The data upload would begin automatically if the plane shows signs of distress during flight. "You wouldn't get a continuous data stream -- it would be activated by an automatic trigger -- but at least you would get the data when it counts," said Cash. The NTSB and France's BEA are asking the industry for data from past accidents to help design "trigger criteria" that would be used to activate the uplink system.

"Airbus is seriously looking at providing that triggering criteria technology as standard equipment on large aircraft," said Cash. A BEA report on the crash of Flight 447 said uplink technology would cost more than $10,000 to retrofit each airliner. However, Cash says much of the satellite uplink technology already exists aboard many of the world's newer airliners as part of a ground-to-plane messaging technology called the Aircraft Communications Addressing and Reporting System.

Sarasota, Florida-based L-3 Communications Aviation Recorders makes about 60% of flight data recorder and cockpit voice recorders used on U.S. aircraft, according to vice president of engineering Tom Schmutz. "People can't understand why we can't simply strap a cell phone onto an airplane and move a bunch of data around," said Schmutz. "This is a complicated system. Complicated systems cost a lot of money. They don't always work right. I'm a little skeptical about, one, how necessary it is right now, and two, how realistic it is that somebody's going to foot the bill for this in the short term."

Representing the airline industry, the Air Transport Association says it's concerned about the potential cost and wants to assess the overall need for such a system within the aviation community.

But Peter Goelz, former top NTSB administrator, says an uplink system "ought to be ordered immediately for all extended range aircraft right away. We ought to just do it. There's no reason not to."

"The aviation industry historically fights what they consider to be extraneous safety mandates, particularly if it costs them money that they cannot immediately recover," said Goelz, who compared the situation to the cargo hold fire that led to the 1996 Florida crash of ValuJet Flight 592, which killed all 110 passengers and crew.

Goelz said he and his NTSB colleagues fought industry push-back for their recommendation that smoke detectors and fire suppression systems be mandatory equipment in airplane cargo holds. "It cost about 10% of what they thought it was going to be, and we haven't had any fires in cargo holds since then," he said. "There's always an opposition."

Industry figures worry about other questions that may trouble developers of the uplink system, including how to protect the data from hackers. Uplinked audio likely would have to be encrypted, experts say, because privacy laws protect audio from cockpit voice recorders from being released to the public.

The NTSB considered other methods of collecting data from troubled aircraft, including "deployable" systems that would eject from distressed planes to be picked up later by search teams. Researchers determined satellite uplinks to be the most promising. The Transportation Security Administration is looking into the possibility of using similar technology to monitor hijacked aircraft, said Cash.

At their home in France, the Soulases hope clues from the newly found data recorders will shed some light on why their loved ones died, two long years ago. "I will be in peace when I know the truth," Robert Soulas said. "I need to know exactly what happened."

@highlight

Experts question why black box data isn't uploaded to satellites

@highlight

Critics: It's expensive and needs too much bandwidth

@highlight

Advocates: It would have eased grief for Air France crash victims

@highlight

Search for Flight 447 black boxes cost $40 million