It took only moments to feel the impact of what was happening here.

We had just landed in Conakry, the capital of Guinea. In the fields right outside the airport, a young woman was in tears. She started to wail and shout in Susu, one of the 40 languages spoken in this tiny country of 12 million people. The gathered crowd became silent and listened intently.

The young man sitting next to me quietly translated, although I already had my suspicions. He told me the woman's husband had died of Ebola, and then quickly ushered us away.

It is probably not surprising the airplane bringing us into Conakry was nearly empty, as are all the hotels here. Not many people in the United States have ever visited Guinea, or could even identify where it sits in West Africa. It is already one of the world's poorest countries, and the panic around Ebola is only making that worse.

Some of it is justified. That's because this time, the outbreak is different. In the past, Ebola rarely made it out of the remote forested areas of Africa.

Key to that is a grim version of good news/bad news: because Ebola tends to incapacitate its victims and kill them quickly, they rarely have a chance to travel and spread the disease beyond their small villages. Now, however, Ebola is in Conakry, the capital city, with 2 million residents. Equally concerning: it's just a short distance from where we touched down, at an international airport.

It has gone "viral," and now the hope is that it doesn't go global.

Ebola: What you need to know

When I asked doctors on the ground about that scenario, they had split opinions. Several told me the concern is real but unlikely. Most patients with Ebola come from small villages in the forest and are unlikely to be flying on international trips, they told me. Furthermore, they don't think Ebola would spread widely in a western country; our medical expertise and our culture -- not touching the dead -- would prevent it.

Others aren't so sure.

No one wants to test that theory.

WHO: Ebola outbreak one of 'most challenging'

With Ebola, there is an incubation period of two to 21 days. Remember these numbers. This is the range of time it takes to develop symptoms after someone has been exposed.

With an international airport close by, that means you could be on the other side of the world before you develop the headache, fever, fatigue and joint pain which make up the early symptoms of an Ebola infection. The diarrhea, rash and bleeding come later. Hiccups is a particularly grave sign with Ebola. It means your diaphragm, which allows you to breathe, is starting to get irritated.

There is a lot we know about Ebola, and it scares us almost as much as what we don't know.

We do know Ebola, a simple virus with a small genome, is a swift, effective and bloody killer. The mortality rate is higher than 50% and in some outbreaks reaches 90%.

Ebola appears to kill in a clever way. Early on, it strategically disarms your immune system, allowing the virus to replicate unchecked until it invades organs all over your body. It convinces your blood to clot in overdrive, but only inside your blood vessels. While those blood vessels choke up, the rest of your body starts to ooze because the clotting mechanisms are all busy.

You start to hemorrhage on the outside of your body.  Nose bleeds, bruising, even a simple needle stick will refuse to clot. But, it is the bleeding you don't see -- the bleeding on the inside -- that causes even more catastrophic problems.

Many patients die of shock, within an average of 10 days.

What is ebola?

It sounds like the stuff of horror movies. But despite the real danger, Ebola is not at all easy to "catch." If it were, my wife would have refused to let me come in the midst of an outbreak.

To become infected, you generally need to spend extended time with someone who is gravely ill, and come into contact with his or her infected body fluids. That's why family members and health care workers are the most likely to get sick.

Over the last three weeks, at least 112 people have died, including 14 health care workers.

With some infections, you can shed and spread the virus long before you get ill. That's not the case with Ebola. It's only after you are sick and feverish do you become contagious. However, it only takes a miniscule amount to infect and kill.  A microscopic droplet of blood or saliva on your bare hand could enter through a break in your skin. And, whether you realize it or not, we all have breaks in our skin.

Since I was a kid, I have been fascinated with outbreaks. I learned in medical school that new pathogens generally make a jump from animals to humans, a process called zoonosis.

This is happening in areas where human and animals come into continuous contact. David Quammen refers to it as "Spillover," in his book of the same name. A stew of ducks, geese, chickens, pigs and humans in southeast Asia led to the spillover of avian flu, H5N1. Contact between pigs and humans in Mexico led to swine flu, H1N1; pigs and fruit bats were the recipe for Nipah fever in Malaysia.

The best guess is that fruit bats may be a natural reservoir for the Ebola virus too, but this has not been confirmed. Quammen makes the point: Ebola didn't enter our world -- we entered its world.

Pathogens can be predators, like lions, tigers and bears. A virus may not plan the way a big cat does, but in a sense it stalks its prey -- waiting for the moment of opportunity, then attacking with fury. Because it can lie silent for years, it's also easy to see Ebola as a killing ghost, like Jack the Ripper.

Presumably outbreaks begin through some human-animal contact, but since that contact is ongoing we don't know what it is that leads Ebola to rear its ugly head. We don't know how to treat the illness or vaccinate against it. We certainly don't know how to cure it.

I thought about all of this as I left that woman in the airport, and I have thought about her a great deal since then. Her grief made an impression on all of us.

It also made this mysterious, exotic virus the world knows, but doesn't fully understand, so much more real and frightening. For the next 21 days (the outer range of the incubation period) the woman we saw will be monitored for a fever or any early signs she may have contracted Ebola from her husband. If she exhibits symptoms, she will be isolated and treated with fluids, oxygen and nutrition.

That is all that can really be offered. Again, there is no cure for Ebola.

For her neighbors, in Guinea and across its border, another critical number is 42 -- as in 42 days, or two incubation periods. If the health care teams here don't see any new cases during that time then they officially say the outbreak is over. We are not there yet, not even close.

The clock is ticking.

How to help

@highlight

Dr. Sanjay Gupta is in Guinea reporting on the Ebola outbreak

@highlight

Ebola has spread to Conakry, the capital city with 2 million residents

@highlight

It has gone "viral," and now the hope is that it doesn't go global, Gupta says

@highlight

Ebola, a simple virus with a small genome, is a swift and bloody killer