(CNN) -- Barely more than a week into the new school year and a gunman armed with an assault rifle has attacked an elementary school in Decatur, Georgia. Fortunately, the gunman was apprehended before anyone was injured or killed.

Although the outcome of this most recent attack was significantly better than the carnage witnessed in the Sandy Hook Elementary School shooting in Newtown, Connecticut, last December, parents need to be proactive when it comes to their children's school security plans. Before sending their precious little ones back to school, every parent should ask their school administrators the following questions:

1. Does the school have a crisis response plan customized for its campus?

Over the last decade, many states have mandated that schools have crisis response plans. This sounds like a good idea in theory. But because they were mandated, many schools have simply copied generic plans provided by the state or another school district in order to meet their legal requirements. Make sure that your school has a crisis response plan that has been specifically designed for its unique characteristics, demographics and personnel.

2. Does your campus regularly practice school safety drills?

If your campus does not regularly practice basic school safety drills such as lockdowns, shelter-in-place and evacuations, ask the administrators why not? There is no good reason they can give you for not being prepared. The old adage "practice makes perfect" not only applies to reading, writing and arithmetic. Most school safety experts advise campuses to practice such drills at least once per semester with teachers and school staff also drilling during in-service training days.

3. What should parents do if there is an emergency at the school?

Your school should be providing you with information regarding your role as a parent during a school crisis. Whom do you call? Where do you go? What do you when you get there? What documents do you need to bring, if any? Many school districts require all parents to show proper identification to pick up their child after a "nontraditional release" such as an evacuation. Make sure you know the school and districts policies for such an incident.

4. Have both staff and students received training on what to do during an active shooter incident?

It is imperative that administrators and teachers know what to do during a school crisis but it is equally as important for students to know what to do to survive an incident. Demand to know exactly what training is provided to staff and students. Does the school provide materials so you can discuss the training with your child and provide additional practice if necessary?

5. Has the school partnered with its local law enforcement agency to practice emergency response procedures?

Although many schools have crisis response plans, most have not taken time to personally work with their local law enforcement agencies to co-develop plans and practice drills. Real-time practice scenarios are essential to a comprehensive school safety plan. When school and law enforcement plans are not in sync with each other, important procedures that could save lives may be missing.

We can never predict when something terrible will happen. But the least that you can do as a parent is to make sure your child's school has taken the necessary measures to act in the safest and best possible way should an unanticipated disaster -- such as a shooting -- occur.

The opinions expressed in this commentary are solely those of John Matthews.

@highlight

A gunman armed with an assault rifle attacked an elementary school in Decatur, Georgia

@highlight

John Matthews: Parents need to be proactive about their children's school security plans

@highlight

He says an important question is: Does the school regularly practice safety drills?

@highlight

Matthews: Real-time practice scenarios are essential to a strong school safety plan