(CNN) -- Living in Tokyo, Japan, during the late '90s, Geoffrey Barnett found it extremely difficult -- even dangerous -- to ride his bicycle to work every day.

"The traffic is incredible, and there's so much pollution," said Barnett, an Australian who worked in the city as an English teacher.

His students shared his frustration, and they would often talk about Tokyo's jam-packed streets during class.

"It was always a topic of discussion that motivated the students to talk, because it was a part of their life as well," Barnett recalled.

Out of those frequent discussions evolved Barnett's idea for Shweeb, a system of personal, pedal-powered monorail pods that he hopes can one day become an alternative form of urban transit. With Shweeb, pods hang from an elevated track that, theoretically, would stretch to destinations throughout a city.

"Cumbersome, jammed-up cities of today should be rendered into completely accessible worlds once you've got a way to shoot over the traffic," said Barnett, who derived the name Shweeb from the German word "schweben," which means to hang, hover or float. He left Tokyo in 2000 to design a prototype.

Barnett's vision received a significant boost last month when Google awarded Shweeb $1 million for research and development. Shweeb was one of five winners of Project 10^100, Google's "call for ideas to change the world."

The public suggested more than 150,000 categories for Google to consider. Five were eventually chosen, including "drive innovation in public transportation."

"The cost of innovation in public transportation is often very high, sometimes in the billions of dollars," Google spokesman Jamie Yood said. "We looked for a concrete project where the funding available to us with Project 10^100 has the potential to yield impact. Shweeb's innovative approach toward low-cost and environmentally friendly urban transport has the potential for significant impact in the future."

Google tests cars that drive themselves

During its global search, Google was able to see a Shweeb prototype in action. Since November 2007, Shweeb has been a star attraction at Agroventures, an adventure park in Rotorua, New Zealand. People of all ages can race the bullet-shaped capsules on a closed track there.

"We've been able to prove a lot of good things about the technology: that we can get the transmission working at high speeds so we can swing around corners, that it's efficient," said Barnett, 40. "It's going faster [up to about 28 mph] than most of our customers would be going on a bicycle.

"The downside is that because it's set up as a racetrack, we don't really give the customers the chance to enjoy it as an efficient way to move. They're under a lot of pressure to put in all their energy and get a good [lap] time."

Barnett said the first concern people usually have about Shweeb is that it might be hard work, but he said it's anything but.

"Although it is pedal-powered like a bicycle, it's got none of the resistances that are inherent in a bicycle, being that you're riding feet-first into the wind with a very small frontal area," he said. "The wind resistance is really low compared to a bicycle. ... I can see people of any age and any fitness level being able to cover a kilometer [0.62 miles] without any effort at all, let alone sweat."

Barnett envisions people using Shweeb -- which uses no fuel, no batteries and has no emissions -- for short trips in major urban centers where residential towers are relatively close to central business districts.

That's about the only place that Robert Lang, an expert in urban studies, could see it working out. Lang, a sociology professor and director of Brookings Mountain West at the University of Nevada at Las Vegas, says Shweeb might be a viable solution, but only in the few areas with a high population density.

"It would make sense in China and New York and places like that, but you wouldn't have that much opportunity through much of urban America," Lang said. "There's not the imperative for congestion relief like there is in the center of London or New York."

Lang said he sees light-rail trains and plug-in hybrid vehicles, not Shweeb, as the future of urban transit because they fit existing expectations and institutions.

"It doesn't require any change in behavior," he said.

As one might expect with any new technology, there are plenty of questions surrounding Shweeb. How large will the pods be? Will there be room for cargo or another passenger? Can they function in severe weather? What about hills? The Shweeb website has answers for all of these questions and more, but the system is still very much in the conceptual phase.

For example, many people have expressed concern about slow riders holding up traffic on the monorail, where there's nowhere to pass. Barnett says there would be no need to pass, however, because shock absorbers would allow the pods to stack together and let the faster people "push" the slow rider in front.

"The Shweebs behind the front one can push it along so the front one is taking the wind resistance but all the ones behind her are basically extra engines to counter that wind resistance," he said. "They'll act as a team. Everyone will just go up to a higher gear, and they'll all pedal together and all their energies will be combined."

But Barnett acknowledges that he still needs more testing to make sure this idea works efficiently. So the next step for the company is to build a flat, straight track about a mile or so long. Barnett has been in talks with several sites about hosting the new test track, and he estimates that it is probably about a year and a half to two years away from completion.

While there's still a long way to go until his ultimate vision can be fulfilled, Barnett said he feels encouraged by Google's vote of confidence.

"It just felt like a real affirmation of what I've believed in for the last 10 years, and it just felt like what they wanted for a system that would change the world was exactly what I've been trying to push for what feels like a lifetime now," he said. "But then on top of that, there's also just a huge responsibility that you've got all this goodwill from all around the world, and you've got to not let them down."

@highlight

Shweeb, a pedal-powered monorail, wins $1 million from Google

@highlight

Inventor pushes "a system that would change the world"

@highlight

Google says Shweeb could be a low-cost, eco-friendly solution to traffic woes

@highlight

But expert sees more potential in light-rail trains and plug-in hybrid cars