(CNN) -- Nearly five years into its war against drug cartels, Mexico on Wednesday was rebuked by a human rights organization that found a pattern of abuses by security forces.

Human Rights Watch released a report based on interviews with victims, government officials and documents, concluding that the military and federal police offensive has resulted in a growing number of human rights violations that are not investigated adequately.

Mexican President Felipe Calderon deployed the first of more than 45,000 troops in 2006 to combat drug cartel violence, but, according to Human Rights Watch, instead of solving the problem, it has "exacerbated a climate of violence, lawlessness, and fear in many parts of the country."

The human rights organization conducted its research in five states in distinct parts of Mexico affected by the drug violence -- Baja California, Chihuahua, Guerrero, Nuevo Leon and Tabasco. So the study included hot spots like Ciudad Juarez, which is in Chihuahua, while excluding other fronts in the drug wars, like Sinaloa or the border state of Tamaulipas.

In short, the organization found in those five states more than 170 cases where there was evidence of torture, 39 "disappearances" with evidence suggesting the involvement of security forces, and evidence of 24 cases of extrajudicial killings.

The pattern that emerges, according to Human Rights Watch, is that these are not isolated acts, but rather "examples of abusive practices endemic to the current public security strategy."

Likely aware of the upcoming report, Mexico's Defense Ministry last week gave a robust defense of its record and self-policing ability with the announcement of the convictions of 14 servicemen, including two officers for homicide.

A military tribunal found the soldiers guilty in the 2007 shooting deaths of five people at a military checkpoint in Sinaloa.

The Defense Ministry, known as SEDENA, said its army is "always ensuring adherence to the law, observing human rights, and in those cases where there is a presumed violation of individual rights, the start of investigations to find the responsible party."

Since the beginning of the campaign, SEDENA has kept a constant open channel of communication with Mexico's National Commission on Human Rights, the ministry said.

During that time, 89 complaints against the military resulted in recommendations to SEDENA by the human rights body, the ministry said.

"That is, only 1.53% of all the complaints" filed have resulted in action by the human rights commission, the ministry said.

But Human Rights Watch found something more pervasive.

In the more than 170 torture cases it found, the tactic was mostly used to extract information about organized crime and to elicit confessions, the organization said.

Common types of torture recorded included beating, asphyxiation with plastic bags, waterboarding, electric shocks, sexual torture and death threats," the organization said.

In the case of the 39 disappearances, Human Rights Watch depended on the testimony of witnesses who saw people being taken by security forces, but who state officials deny arresting or ever having in custody.

In one of several testimonies gathered by Human Rights Watch, a widow tells of how she; her husband, Arnulfo Antunez, 37; and two children were driving in Ciudad Juarez last year when they were pulled over by federal police. According to the wife, the police yanked Antunez out of the car "in a bad way" and then went to the couple's home, which they ransacked. According to the organization, the police tore the place up and left with documents.

The wife filed complaints with several state and federal police bodies, providing the plate numbers of the police cars that took her husband. Two weeks later, Antunez's body was found in an abandoned house, with syringes around his body. Human Rights Watch said that while it looked like an overdose, examinations showed that Antunez had died from blows to the head; prosecutors dragged their feet on the investigation; and to date, there is no progress in the investigation.

This was an example of the 24 suspected cases of extrajudicial killings carried out by security forces, according to the organization.

In all, the group conducted more than 200 interviews with government officials, security forces, victims, witnesses, human rights defenders and others.

The report also criticized Calderon for generalizing that the majority of victims were involved in organized crime themselves. Calderon has said that up to 90% of victims had ties to the drug underworld, but Human Rights Watch found that figure to be unreliable.

Among the report's recommendations, it suggests ensuring civil trials for all alleged military misconduct and enforcing due process to guarantee detainee rights.

Eric Rojo, a security analyst, said the report's findings are not surprising.

"You cannot have 45,000 soldiers around the country, fighting this battle, and claim that there are no violations of any kind. That would be impossible," he said.

However, he said, the organization falls short of proving its allegations.

"The thing I find interesting is that (in) all of these years, Human Rights Watch has yet to raise a human rights violation against the Zetas, the Gulf Cartel, the Sinaloa Cartel, the Juarez Cartel and all of these people who have violated the human rights of many thousands of Mexicans, a large number of which are dead by their own hands," he said.

CNN's Rafael Romo contributed to this report.

@highlight

A new report says Mexican security forces are behind some abuses

@highlight

Human Rights Watch found evidence of torture, kidnappings and killings

@highlight

The military says only a tiny fraction of complaints result in action