A group of men who devoted their lives to hunting powerful storms died in the middle of the chase.

Tim Samaras, his son Paul Samaras and Carl Young were killed Friday while following a tornado in El Reno, Oklahoma, relatives told CNN on Sunday. Their work tracking tornadoes was featured on the former Discovery Channel show "Storm Chasers."

They were among 13 people killed in storms that struck Oklahoma on Friday night, according to Oklahoma City Fire Chief Keith Bryant.

At the intersection where authorities said the three storm chasers were killed, crews hauled away a mangled white truck Sunday that had been crushed like a tin can. The metal frame of their storm-chasing vehicle was twisted almost beyond recognition. The windows had been smashed to bits.

Canadian County Undersheriff Chris West confirmed that three storm chasers had been killed but declined to provide additional details about the circumstances of their deaths.

"We also want to say that storm chasers and meteorologists and news stations, that's part of the vital link in getting the word out to people so that they don't become victims," he said. "A lot of these individuals have dedicated many years of their lives to going out and assisting and tracking storms, and getting footage and putting themselves in harm's way so they can educate the public to the destructive power of these storms."

Friday's tornado took a sudden turn that surprised many observers, CNN meteorologist Chad Myers said.

"It was a wobbler. And it was big. ... I think the left-hand turn made a big difference on how this thing was chased as well and why people were killed and why people were injured in their vehicles," he said. "A vehicle is not a place to be in any tornado, especially a big one like that, and those men doing their job, those field scientists out there doing their jobs, were killed in the process."

Tim Samaras founded TWISTEX, the Tactical Weather Instrumented Sampling in Tornadoes Experiment, to help learn more about tornadoes and increase lead time for warnings, according to the official website.

In 2004, he told CNN that being near storms was part of the job.

"In order to get directly in the path, you have to be close," he said.

"Actually I'm pretty focused on our safety, certainly, and I'm focused on getting the data and getting the right spot," he said. "You only have one chance to do it."

A dangerous job

"They all unfortunately passed away but doing what they loved," Jim Samaras wrote in a statement posted on his brother's Facebook page.

Myers, who also covered Friday's storm in Oklahoma, said Tim Samaras was known for his attention to safety.

"There's just no one safer than Tim. Tim, he would never put himself in danger," Myers said. "He certainly wouldn't put his son in danger."

One of Samaras' goals, Myers said, was collecting more data to help government officials.

"We all know that this is difficult and dangerous and sometimes things go wrong. But I think to portray Tim as just a chaser out for a thrill is just the wrong thing," Myers said. "I just want people to know that Tim was a scientist. He was out there to put probes out there. He was out there to learn and understand and to make science more understandable. ... We all go out there and we try to protect the public, but Tim was even one step higher."

Samaras had received 18 grants from the National Geographic Society for his research, said Terry Garcia, the organization's executive vice president of missions. In a written statement, he described Samaras' studies of lightning as "pioneering."

"Tim was a courageous and brilliant scientist who fearlessly pursued tornadoes and lightning in the field in an effort to better understand these phenomena," he said.

"Though we sometimes take it for granted, Tim's death is a stark reminder of the risks encountered regularly by the men and women who work for us," Garcia said. "This is an enormous loss for his family, his wide circle of friends and colleagues and National Geographic."

Doug Kiesling, a videographer who chases storms and calls himself "The Weather Paparazzi," said the three men were more than storm chasers. "They're researchers," he said.

"This thing is really shaking up everyone in the chasing community," he said. "We knew this day would happen someday, but nobody would imagine that it would happen to Tim. Tim was one of the safest people to go out there. ... He's had close calls, but he's always had an escape route."

El Reno Mayor Matt White didn't provide details about those killed after the tornado struck, but he stressed the importance of staying indoors when powerful storms hit.

"We had to deal with not only strong winds, but we had extreme hail, extreme softball-size hail. El Reno had a lot of damage to the roads," he told reporters on Sunday. "In these situations, we can't stress enough to people to stay inside and do what the weather men and women tell us to do."

Close call: One storm chaser's story

Friday's storm was particularly unpredictable, according to Mike Bettes, an anchor and meteorologist for The Weather Channel who had a close call himself. The tornado swept up the tornado-hunt truck he and a crew were traveling in, tossed it 200 yards into a field and smashed it to the ground.

"I think this was just an erratic tornado. I think the size of it and the speed of it changed very, very quickly," he told CNN on Sunday morning. "I think the direction of movement changed quickly. And I think there were a lot of people out there that, you know, ended up getting stuck in positions we didn't want to be in."

Bettes described the experience as the scariest moment of his life.

"I saw people in my life, I saw their faces flash right in front of me. And it just seemed for a moment, everything was in slow motion,  especially when we were floating," he said. "I kind of felt like I was being lifted to heaven or something. I was conscious through the whole thing and remember the whole thing, but it's still a surreal moment."

Bettes and several others emerged with scratches and bruises. One crew member had broken bones, he said, but was in good spirits.

The experience left him rattled and unsure whether he'll go out to chase storms again. But Bettes said he had no doubt about the value of storm chasing.

"We show weather, and we like to be out there and show people what these things can do, and help give advance warning. A lot of times the storm spotters out there serve a very valuable purpose. They give ground truth to what meteorologists from the National Weather Service are doing," he said. "But seeing it in person, seeing it for real, and giving that real time information, I think really supplements the warning. It helps people take shelter ahead of time."

"Storm Chasers" aired for five years on the Discovery Channel. The last season ended in the fall of 2011. The network expressed condolences in a statement Sunday.

"We are deeply saddened by the loss of Carl Young, Tim Samaras and his son. Our thoughts and prayers go out to their families," the statement said.

Photos from a professional storm chaser

Tornadoes rip through heartland again: How to help

Powerful storms leave trail of damage, death

The latest round of storms to hit the heartland left a fresh trail of damage and destruction in its wake as tornadoes struck and floodwaters surged.

Tornadoes tore through the Oklahoma City and St. Louis areas Friday, ripping up homes and sending thousands scrambling for cover.

On Saturday morning, a spokeswoman for the state's chief medical examiner's office said two children and seven adults were killed in the Oklahoma storms.

On Sunday, Oklahoma City Fire Chief Keith Bryant said searchers had found the bodies of four additional victims that died in the storm -- two adults and two children who died while seeking shelter in a storm drain. Deputy Fire Chief Marc Woodard said the body of another child had been recovered Sunday afternoon, and the search for six other people unaccounted for will continue Monday.

The flash flooding that accompanied Friday night's storm swept the bodies up to four to five miles downstream, Woodard said.

The impact of the severe weather extended beyond Oklahoma.

In Missouri, a tornado left a path of "over 10 miles of significant damage ... that caused dozens and dozens of houses to be literally blown up," Gov. Jay Nixon told CNN affiliate KSDK on Saturday.

No one was killed in that tornado, but three people drowned in the state, Nixon said.

In Arkansas, flooding claimed the lives of at least four people -- a sheriff, a wildlife officer and two women they were trying to save from a home deluged by floodwaters, officials said. The house collapsed in the middle of the rescue attempt, Arkansas Game and Fish Commission spokesman Keith Stephens said.

@highlight

Oklahoma City fire chief says 16 people were killed statewide

@highlight

Tim and Paul Samaras and Carl Young were killed chasing a tornado on Friday night

@highlight

They were known to viewers of a former Discovery Channel show, "Storm Chasers"

@highlight

Crews haul away a mangled white truck that was crushed like a tin can