New Orleans, Louisiana (CNN) -- BP will try again within the next day to cap a well that has gushed millions of gallons of oil into the Gulf of Mexico, the energy company said Friday.

The latest attempt will involve inserting a tube into a ruptured pipe, collecting oil and sending it to a vessel on the surface, said Mark Proegler, a BP spokesman.

The insertion tube was on the sea floor, and engineers planned to move it into place later in the day, Proegler said.

The company has lowered a smaller containment dome for use if the insertion tube does not stem the flow of oil into the water, Proegler said.

But Adm. Thad Allen, commandant of the U.S. Coast Guard, said twice Friday that the containment dome, referred to as a "top hat," was the first choice, followed by the insertion tube.

Officials could not explain the discrepancy.

Neither procedure would be a permanent solution, Allen said Friday in Mississippi. The procedures, he said, "will reduce the leakage, not stop the leakage."

The ultimate solution, Allen said, will be achieved by relief wells that are being drilled near the leak site. Those will take weeks, if not months, to complete, BP has said.

After much discussion over whether the use of subsea dispersants could cause ecological damage, Coast Guard Rear Adm. Mary Landry said Friday that officials have concluded that it "is an option we can consider and will move ahead with."

The decision was made after the results of three tests were analyzed, she said. "This is not a decision that was made lightly, but it is a series of tradeoffs. You're really trying to minimize the impact on the environment as best as possible."

Doug Suttles, BP's chief operating officer for exploration and production, said the company has spent more than $450 million responding to the spill and that more than 14,000 people are involved in the effort.

To date, more than 1.2 million feet of boom have been deployed and another 400,000 feet of boom have been staged for deployment, he said. In all, the company is trying to accumulate 3.5 million feet of boom.

The forecast this weekend and early next week "looks very favorable to use all tools," he said, citing burning, skimming operations and use of surface and subsurface dispersants.

Suttles said the spill has had "limited impact" on shore, with oil being found in four locations in Louisiana, two in Alabama and one in Mississippi.

In Washington, President Barack Obama criticized executives from BP and two other companies for blaming each other for the catastrophe.

"It is absolutely essential that, going forward, we put in place every necessary safeguard and protection so that a tragedy like this oil spill does not happen again," Obama said after meeting Friday with Cabinet members to discuss the spill.

Read about oil spill responses

"This is a responsibility that all of us share," Obama said. "The oil companies share it. The manufacturers of this equipment share it. The agencies in the federal government in charge of oversight share that responsibility. I will not tolerate more finger-pointing or irresponsibility."

BP's efforts to plug the leak come amid growing concern that the company has been low-balling how much oil has poured out of the well.

Rep. Edward Markey, D-Massachusetts, sent BP a letter Friday asking for details from federal agencies about the methods they are using to analyze the oil leak.

Markey, who chairs a congressional subcommittee on energy and the environment, said he would launch a formal inquiry after learning of independent estimates that are significantly higher than the amount BP officials have provided.

"The public needs to know the answers to very basic questions: how much oil is leaking into the Gulf and how much oil can be expected to end up on our shores and our ocean environment?" Markey said in a letter to BP. "I am concerned that an underestimation of the flow may be impeding the ability to solve the leak and handle management of the disaster."

Track the oil spill

BP has said since the April 20 explosion of the Deepwater Horizon drill rig that about 5,000 barrels -- or 210,000 gallons -- have been pouring out of the well a day. The company says it reached that number using data, satellite images and consultation with the Coast Guard and the National Oceanic and Atmospheric Administration.

"I think that's a good range," Suttles said Friday.

But a researcher at Purdue University said BP's estimate is low. Associate Professor Steve Wereley said that about 70,000 barrels of oil are leaking each day, based on an analysis of video of the spill.

"You can't say with precision, but you can see there's definitely more coming out of that pipe than people thought," he said. "It's definitely not 5,000 barrels a day."

A BP executive rejected that assertion Friday.

"Well, that's not what our experts, multiple experts, not only from BP, and the industry say," said Bob Dudley, BP managing director for the Americas and Asia. "This crude is what's called a light-sweet crude. It has lots of gas and when it comes out, it expands very rapidly, a little bit like bubbles in a soda pop. So it's very difficult to look at it and say that the volume will be much higher. We certainly don't see that at the surface."

The dispute over the size of the leak caps a week in which congressional committees grilled executives from BP and two other companies: drilling contractor Transocean Ltd., which owned the rig, and oilfield services contractor Halliburton, which was responsible for cementing the well shut once drilled.

The companies blamed each other.

BP pointed to Transocean, which said BP was responsible for the wellhead's design and Halliburton was responsible for the cement finishing work. Halliburton, in turn, said its workers were just following BP's orders, but that Transocean was responsible for maintaining the rig's blowout preventer.

iReport: Send your photos, videos

Obama took exception Friday.

"I did not appreciate what I considered to be a ridiculous spectacle during the congressional hearings into this matter," the president said. "You had executives of BP and Transocean and Halliburton falling over each other to point the finger of blame at somebody else. The American people could not have been impressed with that display, and I certainly wasn't."

Obama said the federal government also was taking responsibility for its role. "For too long, for a decade or more, there's been a cozy relationship between the oil companies and the federal agency that permits them to drill," Obama said. "It seems as if permits were too often issued based on little more than assurances of safety from the oil companies.

"That cannot and will not happen anymore. To borrow an old phrase, we will trust, but we will verify."

As a result, Obama said, the Mineral Management Service will be restructured, with the part of the agency that permits oil and gas drilling and collects royalties separated from the part of the agency in charge of inspecting the safety of oil rigs and platforms and enforcing the law. "That way, there's no conflict of interest, real or perceived," Obama said.

In addition, Obama said, the administration has ordered immediate inspections of all deepwater operations in the Gulf of Mexico, and no drilling permits will be issued until a 30-day safety-and-environmental review is completed.

Obama also announced a new examination of the environmental procedures for oil and gas exploration and development.

Learn more about efforts to stop the leak

BP, the Coast Guard and state and local authorities have scrambled to keep the oil from reaching shore or the ecologically delicate coastal wetlands off Louisiana. They have burned off patches of the slick, deployed more than 280 miles of protective booms, skimmed as much as 4 million gallons of oily water off the surface of the Gulf and pumped more than 400,000 gallons of chemical dispersants onto the oil.

On Friday, the National Oceanic and Atmospheric Administration closed off to fishing another part of the Gulf of Mexico over which the federal government has jurisdiction. NOAA has now closed 19,377 square miles (50,187 square kilometers), which is 8 percent of the Gulf area within 200 miles of the coast, called an exclusive economic zone. The closed area a week earlier had been 4.5 percent.

Investigators are still trying to determine what caused the April 20 explosion at the rig, which sank two days later. Eleven workers are missing and presumed dead.

CNN's Eric Fiegel, Brian Todd and Ed Lavandera contributed to this report.

@highlight

NEW: Subsea dispersants 'an option we ... will move ahead with'

@highlight

14,000 people involved in clean-up and efforts to stop the leak

@highlight

1.2 million feet of boom deployed to prevent oily water from reaching shore

@highlight

Obama critical of company executives for trying to shift blame to one another