"Since I was a child my family has made an almost weekly trip to have lunch in Skaneateles," says Rachel Dickinson, based in the nearby New York State town of Ithaca and author of Falconer on the Edge.

"If you're lucky, you can get a table at the Sherwood Inn, where you look out on the small park with the white gazebo that fronts the lake."

As the weather turns crisp and the days gradually shorten, nature takes its cue to bring on the color—and the leaf-peepers come out in force. Like Dickinson, many head to Skaneateles, one of the best towns for experiencing fall colors, according to Travel + Leisure readers who voted in the America's Favorite Towns survey.

The top-scoring towns represent the full color spectrum, from the blazing scarlet, orange, and deep purples of New England's hardwoods to the golden carpet of aspens covering the Rocky Mountains.

"Autumn leaves are nature's stained glass," says professional photographer Michael Clemmer, whose images have appeared in National Geographic Society publications and calendars around the world. "They can be beautiful in moody muted light or when brightly lighted from behind."

If you want to photograph autumn in all of its deciduous glory, he cautions: "Don't shoot in the middle of the day unless it's cloudy because the bright sun washes out color. Morning and evening light are best."

Clemmer's No. 1 rule? "Don't let taking photos keep you from enjoying the scenery."

Check out these favorite fall-foliage towns, from Colorado to Vermont, and then get out there to see the colors for yourself.

1. Oakland, Maryland

Oakland took top honors as the best town in America for leaf-peeping, thanks primarily to the blazing colors found just nine miles north of town at Swallow Falls State Park. As the Youghiogheny River flows through rock gorges, the oldest stands of eastern hemlock and white pine—more than 360 years old—blanket the area in gold, orange and red.

For five days in early October, residents turn out for the annual Autumn Glory Festival, including two parades, concerts and band competitions. Oakland also embraces the Halloween spirit, hosting a hayride along the lakefront that passes scenes of zombies and ghosts.

Travel + Leisure: America's best cities for fall travel

2. Lake Placid, New York

The Adirondack Mountains are famed for their fall colors, and T+L readers gave Lake Placid the silver medal for autumn foliage. Red and silver maples, birch, aspen, oaks and beech trees stretch out along the Olympic Trail scenic byway (which runs through Lake Placid), providing a striking show of color for its 170 miles.

Or take the Fall Foliage Train tour on the Adirondack Scenic Railroad. Prime viewing time tends to be in early to mid-October, which conveniently coincides with the Lake Placid Brewfest.

3. Stillwater, Minnesota

When the leaves start showing their colors in Stillwater—on the western banks of the St. Croix River dividing Minnesota and Wisconsin—visitors converge on the town's many Victorian bed-and-breakfast inns.

One of the best ways to take in nature's show is by river cruise on a replica of an 1890s paddleboat. Autumn here kicks off with the annual grape stomp competition, with prizes given for best style, and it culminates in the long-running fine-art and music festival.

4. Stowe, Vermont

As the air gets crisp in Stowe, the sugar maples come alive in intense shades of gold, orange and scarlet blanketing the surrounding Green and Worcester mountain ranges. In general, the best time to capture these brilliant hues is the end of September through mid-October; the Trapp Family Lodge ("the family that inspired The Sound of Music") makes a charming base of operations, especially during the popular Stowe Oktoberfest.

Travel + Leisure: America's best fall color drives

5.Ludlow, Vermont

Before the snow bunnies take over Okemo Mountain and its ski resort, the 3,344-foot peak is one of the loveliest places in the valley for fall colors—with a 360-degree view that includes the Green Mountains to the west and the Okemo Valley region to the east.

Just drive to the top, park, and hike the short distance to the fire tower. Other prime viewing spots are along the nearby Scenic Route 100 Byway: the President Calvin Coolidge State Historic Site and Coolidge State Park, both affording panoramic, mountaintop views.

6. Portsmouth, New Hampshire

Like so many New England towns, Portsmouth is awash in early American history. At Strawbery Banke Museum—a 10-acre outdoor museum—you can take in the fall color as you roam the waterfront district and its restored homes built in the mid-1600s.

By car, watch the foliage as you drive down the 18-mile scenic Coastal Byway. Or leave the driving to the captain on a 2.5-hour inland river cruise highlighting foliage and local lore.

7. Whitefish, Montana

The mountains framing Whitefish—doorway to Glacier National Park in the Flathead Valley—are a dramatic study in contrasts in autumn, when the golden aspen and larch flash against a backdrop of dark evergreens.

Kayaking or canoeing on Whitefish Lake, the largest natural freshwater lake in the West, is one of the best ways to catch views of Big Mountain and the forests around it. If you prefer driving, follow Highway 35 along the east side of the lake and return in time to polka the night away at the annual two-weekend Oktoberfest.

Travel + Leisure: Best carry-on luggage

8. Snowmass Village, Colorado

Snowmass Village and nearby Aspen—which bears the name of Colorado's most ubiquitous tree—are visited only briefly by autumn. But catch it while you can because it's one of the best times to explore this area, with seasonably mild days and not-too-cold nights, and the predictable celebrity sightings when the Aspen Film Festival rolls into town.

The preferred local ways to experience fall color are biking and hiking, whether it's along the exceptionally beautiful Crater Lake Trail near Maroon Bells or the moderate Smuggler's Loop at Hunter Creek.

9. Lake Geneva, Wisconsin

When Chicago's upper crust started putting up mansions on Lake Geneva in the late 19th century, they enlisted some of the top landscape architects to design grounds and plant trees that would showcase autumn colors for as long as possible, from early September through November.

Three-mile-long Snake Road on the north end of the lake is one of the best drives in the fall, or enjoy a fall foliage cruise. Better yet, splurge on a view from a hot air balloon.

10. Glenwood Springs, Colorado

Autumn can start making an appearance as soon as early September in these parts, and leaf-peepers trek to Glenwood Springs in droves to watch summer green change to aspen gold at the confluence of the Colorado and Roaring Fork rivers. Bike or hike along the 44-mile Rio Grande Trail that leads up to Aspen.

If you have to pick a drive, choose the one over Independence Pass, where a short hike will bring you to a summit overlooking 18 mountains higher than 14,000 feet. You can even choose to leaf peep by Segway. Back in Glenwood Springs, relax at the world's largest natural hot springs pool.

See all the top towns for fall colors

@highlight

These towns were made to celebrate fall

@highlight

Admire the changing colors in Lake Placid's Adirondack Mountains

@highlight

A river cruise in Stillwater, Minnesota is a favorite autumn pleasure

@highlight

Catch views of Big Mountain by canoeing on Whitefish Lake