At the Exploratorium, one does not stand stiffly in front of musty exhibits and read tiny placards. There is no room for boredom or passively observing. The installations at this interactive science museum are hands on -- they require touching, building, playing, experimenting and thinking.

And in the Exploratorium's shiny new space, the experience is just as much for adults as it is for children.

On Wednesday, the doors open on the Exploratorium's first new home in its 44 years, the $300 million renovated Pier 15 on the Embarcadero, San Francisco's eastern stretch of waterfront. It is three times larger than the old museum, the cavernous exhibit hall at San Francisco's Palace of Fine Arts, which was originally built for the 1915 World's Fair. The Exploratorium was originally opened in that location in 1969 by physicist Frank Oppenheimer.

The new quarters have taken the original spirit and contents of the old Exploratorium and given them a sophisticated makeover. The building has sweeping views of San Francisco Bay, the city skyline and the Bay Bridge's new nightly light show. Though the Exploratorium costs up to $25 to enter, the 330,000-square-foot museum is rimmed with free public space: a wind sculpture, a giant sundial and wooden pylons in the water that track the tides and colors of the bay. A bridge next to the pier doubles as an art installation, enveloping the area in a thick artificial fog once an hour.

Inside, 600 exhibits fill the bright space, about 400 of which made the move from the old location. Some old favorites are dusted off and given new life, like a wonderful giant concave mirror that plays tricks on the eyes and the ears. A brand new exhibit that's bound to be a hit lets you recreate past rainstorms, down to the size and speed of the raindrops.

The installations dabble in every scientific discipline, including electricity, sensory perception, weather, light, astronomy and sociology. They employ everything from magnets, pendulums and electricity to dancing, awkward social interactions, algae and a cow eyeball.

There are artificial tornadoes in glass tubes, a creepy video art installation, a cooperative Pac-Man game, and a place to send text messages to fish. The exhibits stimulate the brain without requiring any right or wrong answer, happy to leave the lessons open to interpretation.

"The Exploratorium is really a laboratory," said senior scientist Ron Hipschman, who has been with the Exploratorium for 41 years. "We're not making objects. We're making activities; we're doing."

The culture of the Exploratorium has long been intertwined with the Maker Faire, the Bay Area festival that celebrates do-it-yourself projects. And its new shop, tinkering space and learning space expand on that maker spirit. The area where exhibits are tested and built with an impressive collection of large machinery is situated at the heart of the museum, now completely open so anyone can watch and chat up the staff and students at work.

Tinkering and learning spaces invites visitors to build their own creations, such as animations or elaborate paths for marbles, while teenage employees in orange vests circulate around the floor to offer guidance.

The best new additions focus on the Bay Area's history and ecology. A new glass observatory at the end of the pier has killer views and exhibits specific to the location, such as tactile displays explaining the tides and the bay's unique weather systems.

Even the building itself is a giant science experiment. There are sensors all around, in the nearby water and on the roof, that collect scientific data such as the amount of dissolved carbon dioxide in the bay. This is gathered to track ocean acidification and shared with schools and scientific institutions. All the data will also be available for free on the Exploratorium's website.

Furthermore, the Exploratorium aspires to make the pier a net zero building, meaning it will eventually generate as much energy as it uses. It has 6,000 solar panels on the roof that can generate 1.3 megawatts of power, and it uses seawater from the bay to cool and heat the building.

The staff is still getting acquainted with the new space and discovering the best ways to manage power, such as identifying the most efficient times to open and close the window shades. One early discovery: It's cheaper and easier to pump in the seawater during high tide.

Education remains a major focus of the Exploratorium, which hosts webcasts, builds apps, trains science teachers and sells exhibits to other museums around the world. At the front of the building, a new forum will host music events, movie nights and science lectures.

When the doors open on Wednesday morning, crowds of fans will find that the unique atmosphere, which people loved about the original Exploratorium, made the move intact.

@highlight

San Francisco's Exploratorium reopens Wednesday in a $300 million new home

@highlight

The interactive science museum, on the city's Pier 15, has 600 exhibits

@highlight

The museum has a grownup feel that makes it as much fun for adults as for kids

@highlight

Even the building itself is a giant science experiment, with sensors all around