Hong Kong (CNN) -- On Friday morning, a man walked through the entrance of an elementary school and, without warning, began ruthlessly cutting down children at the school. Before he was subdued, nearly two dozen were hit.

While it sounds like the horrific massacre in Connecticut, this attack took place about 8,000 miles away in central China. And while several of the victims were reported in critical condition, none of the 22 children were killed. The 36-year-old suspect in China -- which has strict gun control laws -- attacked the children with a knife, according to local reports.

"The huge difference between this case and the U.S. is not the suspect, nor the situation, but the simple fact he did not have an effective weapon," said Dr. Ding Xueliang, a Harvard-educated sociologist at the University of Science and Technology in Hong Kong.

As the world shares in the horror of the attack that left at least 28 dead, including 20 school children, the attack has rekindled the gun-control debate in the U.S. and international wonder at the propensity of gun-related deaths in America.

Police: 20 children among 26 victims of Sandy Hook School shooting

"In terms of the U.S., there's much easier availability of killing instruments -- rifles, machine guns, explosives -- than in nearly every other developed country," Dr. Ding said.

"In the United States, we had 9,000 people killed with guns last year, in similar countries like Germany 170 (killed with guns), in Canada 150. There's a reason for that," Rep. Jerrold Nadler, D-New York, told CNN's Piers Morgan.

"The proof in the pudding is that in every other industrialized nation except the United States, they have reasonable gun control laws, and they have hundreds of people killed each year -- not 9,000 or 10,000 a year -- killed by guns."

Analysis: Why gun controls are off the agenda in America

The United States has, by far, the highest rate of gun ownership in the world, with 88.8 guns per 100 people, followed by Serbia (58.2), Yemen (54.8) and Finland/Switzerland (45.7 each), according to GunPolicy.org, an international database at the University of Sydney.

While nations such as South Africa, El Salvador and Thailand have much higher rates of gun homicides per year, the United States rate of 3.12 deaths per 100,000 people is the highest among industrialized nations.

Read more: How do we stop the violence?

But as the attack in China Friday shows, no nation is immune from incidents of mass violence. In July 2011, a gunman killed 77 people in a bomb attack and gun rampage in Norway. Anders Behring Breivik was sentenced to 21 years in prison for the crime last August. In 1996 a gunman killed 16 children and their teacher in the town of Dunblane, Scotland. The year before that, 35 people were killed in a shooting in Port Arthur, Tasmania.

The attack Friday in China recalled a spate of fatal attacks by knife and cleaver-wielding culprits targeting school children in 2010. In April that year, Chinese authorities executed a man who killed eight children in a knife attack the month before. There were three more attacks in the same year injuring at least 44 children.

Read more: Who was the suspect Adam Lanza?

A number of measures were introduced at the time, including increased security at schools across the country and a regulation requiring people to register with their national ID cards when buying large knives.

Dr. Ding, the Hong Kong sociologist, said mainland China schools he has visited in the past two years have beefed up security in the wake of the knife attacks.

"I think these kind of attacks become more frequent in many countries, not just China and U.S., because of a number of different factors," Ding said. "Number one is the increased pressure for individuals. Today's world is very different from the world we saw 50 years ago ... individuals in their daily life face much more uncertainty, risk, financial pressure and competition."

"The second thing is we live in a global village now, where the spread of information -- especially bad news -- is so instantaneous," said Ding, leading to more copycat crimes across the globe.

"I don't think we should limit the free press ... but people are watching this, they are learning from these kind of attacks. They are becoming more and more organized, better planned -- and that is horrible."

Complete coverage of the Connecticut school shooting

@highlight

Hours before the U.S. attack, a man injured 22 children in a Chinese school incident

@highlight

Incident illustrates the wide gulf between gun control laws in the U.S. and abroad

@highlight

Attack rekindles international wonder at the propensity of gun-related deaths in America.

@highlight

The United States has, by far, the highest rate of gun ownership in the world