TBILISI, Georgia (CNN)  -- Georgian President Mikheil Saakashvili signed a cease-fire agreement on Friday, which the U.S. said means Russian troops must begin withdrawing.

The office of French President Nicolas Sarkozy, who brokered the agreement, said Russian President Dmitry Medvedev also had confirmed Russia's cooperation.

"His country will sign a cease-fire accord with Georgia and scrupulously respect all agreements, including a troop withdrawal," Sarkozy's office said.

Fighting that started last week has died down in the region, but Russian forces remain. The warfare raged for several days until Sarkozy's diplomatic efforts helped lessen the violence. Sarkozy undertook the role because he holds the rotating presidency of the European Union.

U.S. Secretary of State Condoleezza Rice said the priority now was "all Russian troops and irregulars that entered Georgia with them must leave immediately."

Rice said international observers followed by neutral peacekeepers should be dispatched quickly to Georgia and its separatist regions of South Ossetia and Abkhazia, where Russia has a peacekeeping mission.

Saakashvili warned at a news conference with Rice that "this is not a done deal yet" unless it included ways of stopping a repeat.

"We are under Russian occupation," he said.

The Russian Foreign Ministry confirmed that President Dmitry Medvedev has agreed to sign the document but added that it was not clear whether it has been amended since Russia made the commitment to sign.  Watch Rice demand Russia's withdrawal »

The conflict began late last week, when Georgia launched a military incursion into South Ossetia in an effort to rout separatist rebels.

Russia -- which supports the separatists, many of whom claim Russian citizenship -- has peacekeeping responsibilities for the region and responded by sending tanks into the province for what it said was peace enforcement. From there the violence spread into Georgia and Abkhazia. iReport.com: How is the Russia-Georgia conflict affecting you?

Under the cease-fire, about 1,500 Russian peacekeepers are allowed to remain inside, and can do patrols about 6 kilometers outside, the "zone of conflict," a reference to South Ossetia and Abkhazia.

They are not permitted to patrol in Gori and other Georgian cities and cannot hamper aid distribution or control ports, highways or railroads, the officials said. The limited exception for the Russian peacekeepers is allowed only until a more robust international peacekeeping force can be deployed.

Analysts see the conflict in Georgia, which is seeking NATO and EU membership, as having wider international implications as Russia seeks to reduce Western influence on its doorstep.

President Bush earlier chided Russia for Cold War-style behavior in its territorial conflict with Georgia, accusing it of "bullying and intimidation" as international pressure grew on Moscow to withdraw its troops from the region.

Medvedev remained defiant over Moscow's actions, saying Russia had brought peace to the region.

Russian troops remained in control of two key Georgian cities despite pledges of a withdrawal. The Russians occupied the cities of Gori and Poti after conflict flared over the breakaway province of South Ossetia.  Watch devastation in port of Poti »

Reports emerged Friday of widespread looting in the decimated city of Gori and witnesses said they heard small-arms fire in South Ossetia, one of the two disputed territories at the center of the conflict.

But Russia's military spokesman said Friday that "there's absolutely no firing" under way in Georgia and that his government is concentrating on getting humanitarian aid to residents there.

Bush said the United States stands "with the people of Georgia and their democratically elected government."  Watch President Bush on 'why Georgia matters' »

Medvedev said Russia will "guarantee" peace in the Caucasus region but made no commitment to remove Russian forces from Georgia or its breakaway territories.  "Peace needs to re-established in the region and guaranteed and underpinned so that no one again will get idiotic ideas, and this I see as the main task of the Russian Federation," Medvedev said.

German Chancellor Angela Merkel, in a news conference with Medvedev, called for the withdrawal of Russian troops from central Georgia, where they remain in control of large areas of the country.

International rights body Human Rights Watch on Friday accused Russia of dropping cluster bombs -- outlawed by more than 100 nations -- on Georgia, killing civilians. The claim was denied by Russian officials.

A senior U.S. State Department official familiar with negotiations said the version of the one-page, six-element agreement that Rice carried to Tbilisi closed a loophole in the hastily written preliminary peace plan that Georgia and Russia agreed to Tuesday.  View a map of the region »

Under Rice's plan, new wording would clarify that Russian would have a "very limited to a light patrolling ability, such as a few kilometers outside of South Ossetia, not the right to maintain a presence inside Georgia."

It is unclear how many people have been killed in the conflict, but various claims put the figure in the thousands.

The U.N. High Commissioner for Refugees said Friday that it estimated that more than 118,000 people have been displaced by the fighting, citing statistics supplied by the Russian and Georgian governments.

About 30,000 people from South Ossetia fled to Russia, according to officials in the Russian region of North Ossetia, and up to 15,000 people from South Ossetia went south into Georgia proper, the Georgian government said.

Around 73,000 people in Georgia proper are displaced, including most of the population of Gori. A further 732 Georgians living in Abkhazia were evacuated from the remote Khodori Valley.

CNN's Cal Perry, Diana Magnay, Frederik Pleitgen, Zain Verjee and Elise Labott contributed to this report.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Sarkozy's office says Russian President Dmitry Medvedev will sign deal

@highlight

Georgia signs cease-fire agreement

@highlight

Georgia president: We are under Russian occupation

@highlight

Conflict began when Georgia launched action against rebels in South Ossetia