(CNN)The family of an unarmed biracial 19-year-old killed by police in Madison, Wisconsin, is pushing for peaceful protests online and in the streets.

"Our hands are stained with the blood of my nephew, and we are all left to deal with the aftermath," Turin Carter, the teen's uncle, told reporters on Monday.

Carter stressed that his family wasn't anti-police, but said Tony Robinson's death "highlights a universal problem with law enforcement and how its procedures have been carried out ... specifically as it pertains to the systematic targeting of young black males."

But he said the problem goes beyond the chants of "black lives matter" that have already been used at protests over the case.

"I encourage everybody to show support regardless of race because this is truly a universal issue. ... We don't want to stop at just 'black lives matter,' because all lives matter," he said.

The deadly confrontation has made Madison the latest epicenter of protests.

Here's what we know about the Friday night shooting.

The incident started when authorities got a call that a black male was yelling and jumping in front of cars, Madison Police Chief Mike Koval said.

Dispatchers identified him as Tony Robinson, according to 911 audio obtained by WKOW.

A little later, the dispatcher says, "Apparently Tony hit one of his friends. No weapons seen."

About four minutes later, the dispatcher says, "I got another call for the same suspect at [the same address]. He tried to strangle another patron."

About 30 seconds later, an unidentified officer says, "Shots fired, shots fired."

When Officer Matt Kenny went to the apartment, he heard some commotion and forced his way in, Koval said.

"Once inside the home the subject involved in this incident -- the same one allegedly out in traffic and that had battered someone -- assaulted my officer," Koval said.

After that, according to the chief, "The officer did draw his revolver and subsequently shot the subject."

Koval said it's understandable why protesters are outraged.

"He was unarmed. That's going to make this all the more complicated for the investigators, the public, to accept, to understand ... why deadly force had to be used," he said.

A neighbor in the duplex said she heard it all happen. Two brothers shared the other apartment in the duplex, and Robinson was their friend, Kathy Bufton said.

"I heard rustling and things being knocked over and my kitchen ceiling actually kind of shook. ... I figured something was going on," she said. "I heard somebody go down the stairs. And then I heard the shots."

There were 4-6 shots fired, Bufton said.

For the family, that's a horrifying reality.

"It takes one bullet from a trained gunman to end a life. It takes one bullet," Carter said Monday. "And we know how many were fired."

This isn't the first time Kenny used lethal force.

In 2007, he shot and killed a man in what the police chief described as a "suicide by cop."

Kenny was exonerated of wrongdoing and received a commendation.

During the confrontation Friday night, Kenny suffered a blow to the head, Koval said. He has been placed on paid administrative leave pending an investigation.

"It's a stressful period for him and his family, but he also understands that a family here has suffered a tragic loss and he understands that there has to be an investigation," said James Palmer, executive director of the Wisconsin Professional Police Association.

Under Wisconsin law, officer-involved shootings are investigated by an outside agency, in this case the Division of Criminal Investigation. Once the division completes its investigation, the report will go to the local district attorney, Koval said.

Palmer declined to comment on the ongoing investigation, but said there are some circumstances when an unarmed person could still be seen as posing a deadly threat to a police officer.

"The real fear for any officer when he's being attacked, generally speaking, is that their weapon will be taken away," Palmer said, "and an unarmed individual can become armed very quickly."

Wisconsin Circuit Court documents indicate Robinson pleaded guilty in December to an armed robbery that occurred last April.

His mother, Andrea Irwin, painted a different picture of the teen: "My son has never been a violent person, never," she told CNN affiliate WKOW. "To die in such a violent way baffles me."

The police chief refused to comment on Robinson's criminal history or run-ins with police.

"I could but I choose not to," he said at a press conference Saturday.

"I frankly think it is, for our purposes today, wholly inappropriate and I am not going to blemish anyone's character, particularly someone's as young as his."

On Monday, Robinson's uncle told reporters his nephew wasn't a saint and had made some poor decisions, but was still a "good, kindhearted kid."

"We paint him as a human being, a 19-year-old who made a terrible mistake at one point, which is completely dissociated from this act," he said.

Madison Mayor Paul Soglin, who said he met with Robinson's family the night of the shooting, said officials aren't going to put the teen on trial.

"That's not what this is about. What this is about is finding out exactly what happened that night and to determine, then, responsibility," he told CNN's "AC360." "We know that he was not armed, and as far as the police chief and I are concerned ... the fact that Tony was involved in any kind of transgression in the past has nothing to do with this present tragedy."

Because Robinson did not have a weapon, the death spurred memories of other unarmed black men killed by police: Michael Brown in Ferguson, Missouri. Eric Garner in Staten Island, New York.

Over the weekend, protesters filled streets in Madison. On Monday, demonstrators packed the Wisconsin State Capitol. They chanted and carried a banner with a familiar message: "Black lives matter."

Asked the difference between Ferguson and Madison, Carter said Monday the cases are "similar, but different," noting that his nephew's "racial ambiguity" was an important part of his identity.

"Tony's racial ambiguity reinforces the fact that America's racial lines are completely, 100% blurred," he said. "My sister is a white mother of black children who had black and white relatives. We are all multiple races and we each have our own complex heritage."

Among the protesters are members of the Young, Gifted and Black Coalition that was formed last summer after the Michael Brown shooting in Ferguson.

The group wants more reactive policing in African-American neighborhoods, said group member Brandi Grayson.

She said Madison police park on street corners in African-American neighborhoods and wait for something to happen, which leads to residents being hassled. That doesn't happen in white neighborhoods, she said.

"In light of so many things that have happened not just across the country, but in our own community, it's understandable that the reaction at the scene and of some of our citizens is extremely volatile, emotional and upsetting," Chief Koval told CNN affiliate WKOW-TV.

"And we understand that. That's absolutely appropriate under these circumstances. We would urge, obviously, that everyone exercise restraint."

Koval said he knows it may be difficult for Madison to move forward after Robinson's death. He visited the teen's grandmother over the weekend but was advised by them to not visit the mother yet because the emotions are still too raw.

"We need to start, as any healing or any reconciliation should, with an 'Im sorry,' and I've done that privately, and I'm attempting to do that publicly and that's the only way we can sort of begin the healing or the rift that may take years, if at all, to mend," the police chief said.

"But the effort has to be there. So we have to acknowledge it, we have to own it, we have to say we are sorry at the outset for it and then we have to show affirmative steps in moving forward to bring the community back into the fold, as it were."

CNN's Rosa Flores, Gary Tuchman, Brianna Keilar, Ralph Ellis, Joe Sutton and Greg Botelho contributed to this report.

@highlight

Uncle: The shooting highlights "systematic targeting of young black males"

@highlight

Tony Robinson, 19, was unarmed when an officer killed him

@highlight

The officer who shot him suffered a blow to the head