Editor's Note: Donna Brazile, a Democratic strategist, is chairwoman of the Democratic National Committee's Voting Rights Institute and founder of Brazile & Associates, a political consulting firm. She was the campaign manager for the Al Gore-Joe Lieberman ticket in 2000 and wrote "Cooking with Grease."

Donna Brazile says Barack Obama's inauguration is a huge milestone in the fight for equal rights

WASHINGTON (CNN) -- Today Barack Obama will be sworn in as the 44th president of the United States of America.

This is the day for which so many prayed, so many marched and so many more sacrificed.

This is a day of jubilation and celebration.

This is the day to rejoice and recommit ourselves to restoring the American dream for us all.

Barack Obama's election offers our country the opportunity to open a new chapter that will allow us to turn the corner on past prejudices and racial politics.

When Sen. Obama announced his candidacy for president in 2007, most people, black and white, thought it would be, at best, an interesting sideshow.

After Obama's victories in the early primaries, there came the controversial videos of the Rev. Jeremiah Wright, broadcasting a racial divisiveness that cast even greater doubt on an Obama candidacy. But the senator moved quickly to reassure people that Wright's jaundiced view of America did not reflect his own.

Americans wanted to move beyond racial categorization and the politics of division. Obama understood that. And so did the voters. But African-Americans didn't believe it.

Seventy-one percent of black voters had never thought a black candidate for president would get elected in their lifetime, according to a national poll released in November by CNN/Opinion Research Corp. Yet 59 percent of white respondents said they had thought it was possible.

Obama did not just win the caucuses in Iowa  -- a state with a white population of more than 94 percent -- he resoundingly captured it. Other primary victories, once thought improbable, soon followed.

These included Georgia, and Virginia, the former seat of the Confederacy.

On Election Day, Obama won a higher percentage of the white vote than John Kerry did in 2004, though he did not get a majority of whites.

Unlike other black presidential candidates before him, Obama did not run as "the black candidate." He ran as a Democratic candidate, a U.S. senator from Illinois, and a progressive. And America, by larger margins than in previous recent elections, voted for the progressive Democratic U.S. senator from Illinois who happened to be biracial.

For too long, race has been the stain on the American fabric. As Secretary Condoleezza Rice reminded us, race has been our "nation's birth defect." At times during the long primary and general election, race became a subtle distraction -- but the American people rejected it and it was never the primary issue.

Nor was it the primary issue for Americans who voted for Barack Obama. The vast majority of those who voted for and against Obama did so based on the content of his political prescriptions and platform -- not the color of his skin.

A lot of lessons were taught November 4. Obama's election revealed the possibility of three new truths for African-Americans: White America may not be as racist as African-Americans thought they were; a solution to our country's lingering racial problem may eventually be found; and the Rev. Martin Luther King's dream that one day all people will be judged by the content of their character rather than the color of their skin is alive and within reach.

Obama's election has inspired 6 in 10 blacks to forecast better race relations in the United States. "A majority of blacks now believe that a solution to the country's racial problems will eventually be found," said CNN polling director Keating Holland.

"In every previous poll on this topic dating back to 1993, black respondents had always said that racial problems were a permanent part of the American landscape. Even in the most recent polls taken last week, a majority of African-Americans said that a solution to the country's racial problems could be within reach; now blacks and whites agree that racial tensions may end."

Yes, of course, racism still exists in America. But if a black man can become president of the United States of America, then aren't all Americans now free to believe they can achieve any goal they set for themselves?

So on this day, let us all rejoice and be glad. Let us celebrate this moment in American history and let us resolve to find common ground. Let us resolve to join together as a nation to ensure that racial prejudice in America, as well as an ethic of non-achievement based on excuses and low expectations, dies the same death it did in the November ballot box.

What our founders envisioned -- what President Lincoln and the Rev. King fought and died for, we are perhaps finally ready to achieve. This is a remarkable moment. Though not the apex we need to reach, it is still a mountaintop, alive with possibilities, a dream no longer deferred.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Obama's inauguration is a time for rejoicing and rededication

@highlight

Brazile: Hardly anyone took Obama seriously as a candidate two years ago

@highlight

Brazile: He didn't run as an African-American candidate but as a Democrat

@highlight

Brazile: We are perhaps ready to achieve what Lincoln and the Rev. King fought for