(CNN) -- Africa's oil and gas potential will grow significantly over the next two decades, driven by population growth, urbanization and the emergence of a wealthier middle class on the continent. Six of the top 10 global discoveries in the oil and gas sector in 2013 were made in Africa, with more than 500 companies currently exploring deposits there. There were nearly nine million barrels of crude oil produced daily in Africa last year, with more than 80% of it coming from established players such as Algeria, Angola and Nigeria.

This is all good news for Africa, but look behind the figures and the story is more about gas than oil.

Excitement remains around large gas finds in Mozambique and Tanzania, but even here there is much hype and unknowns.

The scale of these East African finds is not in doubt but developing these discoveries will be massively expensive and a long-term investment. Mozambique's gas investment in particular will be dependent on what future gas prices will be -- and this is changing quickly due to the oil and gas revolution.

Changing landscape

Ten years ago, gas investments in the Gulf of Guinea were made to service the U.S. market. Today, that market has disappeared and the U.S. itself is exporting gas, while Angola, Nigeria and Equatorial Guinea are now exporting to Europe and Asia.

Indeed, a decade ago it was unimaginable that Algerian, Angolan and Nigerian oil exports to the United States would have plummeted so dramatically and that India would so soon become the second largest importer of African oil after China.

The lesson is that the international market can change quickly in response to technological innovation and geo-politics.

If China and Australia develop their shale gas reserves, or if South Africa discovers and develops major reserves under the Karoo, then East Africa's mid-term prospects could change significantly. Qatar -- the world's largest source of liquefied natural gas -- could decide to export more, also changing the calculus. The gas sector is currently concentrated in Africa, with nine-tenths of annual production volumes coming from Nigeria, Libya, Algeria and Egypt.

Gas is more costly to develop and export. I worry that governments in East Africa have become intoxicated by industry hype and have not managed public expectations -- not only is future gas pricing less certain, but the profits following the large investments are much lower than oil.

Unlocking the potential

There is no doubt that Africa remains significantly under-explored by oil and gas companies. The price of oil and the incentives for exploration partly determine this, but major investors are also cautious because of the lingering challenges of corruption, lack of infrastructure and regulation.

As regulatory frameworks tighten in the U.S. and Europe, international oil companies have to be more careful about how they conduct their business. The corruption allegations over ENI in Nigeria are a reminder of this -- but it is not only big oil companies that are impacted.

The Securities and Exchange Commission (SEC) investigation into U.S.-listed Cobalt International Energy has ensured that despite its exciting hydrocarbon in the Angolan pre-salt concessions it is unable to farm out to a major or super major International oil company and its share price has suffered. Likewise, the Houston-based oil and gas company Hyperdynamics Corporation's share price tumbled in 2013 when the U.S. Department of Justice and the SEC requested documents relating to its business in Guinea.

Look carefully and you can see the oil industry responding to greater scrutiny. In Angola this year, the Norwegian oil company Statoil successfully flipped its equity exposure from a partner that raised eyebrows to two small international oil companies with better probity records.

Although finding oil and gas in Africa can still be low cost, developing it needs deep financial investment and long-term commitment. African governments that manage better their regulatory and business environment are more likely to attract this type of investment that is needed to unlock their natural resource endowments, which in turn can generate revenue.

Read this: How Africa's resources fuel the world

Read this: Africa's giant infrastructure projects

The opinions expressed in this commentary are solely those of Alex Vines.

@highlight

6 of the top 10 global oil and gas discoveries in 2013 were made in Africa

@highlight

Yet, developing these finds requires massive, long-term investments

@highlight

Countries must improve regulatory and business environment to attract investors