(CNN) -- The much-touted July 2011 date for the beginning of a withdrawal of U.S. combat troops from Afghanistan, a center piece of the administration's "AfPak" strategy announced by President Obama in December 2009, now seems unlikely to amount to much.

According to a senior U.S. administration official, there is presently "no judgment on the scale or pace of those reductions." Translation: Don't expect a significant drawdown of American forces in the summer of 2011.

Indeed, there has been a strategic shift in the Obama administration policy towards Afghanistan -- first apparent at the Lisbon conference of NATO members in November. The headline is that the United States will maintain combat troops in Afghanistan until December 2014. And NATO will continue to have some kind of role in Afghanistan, likely advising and training units of the Afghan army, into 2015 and beyond.

This shift doesn't seem to have registered much as yet with the American people, a record 60% of whom are now opposed to the Afghan War, according to a Washington Post poll.

Indeed, in his brief remarks on Thursday about the Afghan-Pakistan strategy review, the president did not mention the fact that American troops will remain in Afghanistan until the end of 2014, likely in substantial numbers.

According to a wide range of U.S. military and civilian officials and Afghan politicians interviewed in Afghanistan over the past few days, the 2014 withdrawal date is a potential game-changer, allowing time for the build-up of a more effective Afghan army, while disappointing Taliban leaders who had been assuring their fighters that the Americans would be withdrawing in mid-2011.

The 2014 date also signals to the Pakistanis that the U.S. commitment to Afghanistan is a long-term one and they might as well end their tolerance or support for the Taliban and its allies headquartered on their territory.

The good news in the review for the U.S. government is that parts of the Taliban heartland in central Helmand and Kandahar province have been reclaimed from the insurgents. One U.S. official says that a surge of Special Operations Forces raids against the Taliban have been devastating to the "middle management" of the group and "literally hundreds have been taken off the battlefield."

The calculus is that the more pressure that is placed on the Taliban militarily the more that they might consider suing for peace. However, the Taliban leadership has repeatedly and publicly said that they are not in any form of peace negotiations with the Afghan government and there isn't evidence that contradicts this.

Further positive news in the review is that Kabul, where around 15% of the Afghan population lives, is safer than for a very long time. A U.S. official points out that in past months "Kabul has been remarkably quiet." Certainly, Kabul's streets are more clogged with traffic than ever and Kabul residents say they feel safer.

The White House also asserts that "Al Qaeda's senior leadership in Pakistan is weaker and under more sustained pressure than at any other point since it fled Afghanistan in 2001." That point is borne out by a count by the New America Foundation of reported U.S. drone strikes in Pakistan which found that five al-Qaeda leaders were killed by drones in 2010 and six the year before.

Another positive development the administration cites is that the Afghan National Army is growing rapidly, and has met its recruitment goals three months earlier than expected. At the Kabul base that trains around half of the Afghan army recruits, Afghan officers said last week that they are churning out 2,800 graduates a month.

That said, it's not possible to think of a single significant operation the Afghan army has conducted without American support.

The bad news according to administration officials is that while the Pakistani military has been aggressive against al Qaeda and Pakistani Taliban groups that have attacked the Pakistani state, no action has been taken against other militant groups based in Pakistan such as the Quetta shura, which is headed by Taliban leader Mullah Omar, and coordinates attacks against U.S. and NATO forces in southern Afghanistan.

Nor has there been any action taken against the Haqqani network, which is behind most of the attacks on coalition forces in eastern Afghanistan, nor against two smaller Pakistan-based Taliban militias: Hizb-i-Islami and one led by Commander Nazir.

Indeed, an administration official says "some of the evidence swings the other way -- active support and at least tolerance" by the Pakistanis for a number of the Taliban factions. This is the paradox of Pakistan, which a U.S. official characterizes as "both our closest counterterrorism partner and a base for terrorist groups that threaten the region and even the homeland."

Administration officials explain that in "coming months" the United States will negotiate with the Afghan government to extend American commitments to Afghanistan well beyond 2014.

That commitment could take the minimalist form of a simple political statement that the U.S. will be in Afghanistan for the long term, or it could take a maximalist form -- a defense treaty on the model of the one the United States has with South Korea, a model that is frequently cited admiringly by Afghan officials.

Or it could be something in between those positions, such as a Status of Forces Agreement of the kind that the United States signed with Iraq in 2008, which is legally binding but does not require the two-thirds majority in the U.S. Senate that is necessary for the ratification of a full-blown treaty. That agreement allowed U.S. forces to remain in Iraq in an advisory role but not in combat operations.

A U.S. official says that such a long-term pact will "speak to the Afghans, speak to the Pakistanis and indirectly to the Taliban: You can't wait us out here."

Whatever form this new commitment takes, it's obvious that the Obama administration is in Afghanistan for the long haul.

@highlight

Bergen says there has been a strategic shift in the Obama administration policy towards Afghanistan

@highlight

United States will maintain combat troops in Afghanistan until December 2014

@highlight

NATO will continue to have some kind of role in Afghanistan, likely advising and training units of the Afghan army, into 2015 and beyond.