Bamako, Mali (CNN) -- An effort to halt advancing militant Islamist forces has resulted in "many deaths" in northern Mali, a military spokesman said -- with the fatalities including Malian soldiers, insurgents and a French pilot killed in a helicopter raid.

Mali is being joined by France -- its former colonial ruler, which recently sent troops there -- as it tries to beat back advances by forces linked to al Qaeda. Much action recently has focused in and around the key northern city of Konna, which insurgents took on Thursday only to retreat the following day after a combined air and ground assault.

"There were many deaths on both sides, both rebels and government soldiers," Malian defense ministry spokesman Lt. Col. Diara Kone said Saturday of the fighting in the northern part of the country. The government, in a statement read on state TV, said 11 of its soldiers died and about 60 were wounded in the battle for Konna.

The French pilot died while taking part Friday afternoon in an aerial operation targeting a terrorist group moving on the town of Mopti, near Konna, French Defense Minister Jean-Yves Le Drian said.

The aerial offensive -- which includes strikes by French fighter jets -- continued through Friday night and into Saturday, the minister added.

"Every means was used in fighting the Islamists, including two attack helicopters. They sent the Islamists fleeing," Kone told CNN. "This shows that the Malian army is capable to fight."

French President Francois Hollande also cheered after "a blow was delivered and heavy losses were inflicted," which he credited in part to the efforts of his nation's troops.

"But our mission is not over," he said Saturday.

The Islamist forces' movement in recent days from their strongholds in the deserts of northern Mali prompted France to help address what Le Drian called a "serious" and deteriorating situation, even as France has resisted efforts to get involved in curbing other rebellions in such former colonies as the Central African Republic.

Mali's interim President Dioncounda Traore declared a state of emergency nationwide Friday and called for "a general mobilization" to defend against the radical Islamists' advance.

State of emergency declared in Mali

"Terrorist groups want to destabilize the country," the French minister said. "We are determined to prevent them doing so, within the strict framework of international law."

Radical Islamists make push southward

After decades of military rule, Mali held its first democratic elections in 1992. It remained stable politically until March, when a group of soldiers toppled the government, saying it had not provided adequate support for them to fight ethnic Tuareg rebels in the country's largely desert north.

Tuareg rebels, who'd sought independence for decades, took advantage of the power vacuum and seized swaths of land. A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals, who themselves wound up in control of a large area as the Tuaregs retreated.

The United Nations says amputations, floggings and public executions -- like the stoning of a couple in July, who'd reportedly had an affair -- became common in areas controlled by radical Islamists. They applied a strict interpretation of Sharia law by banning music, smoking, drinking and watching sports on television, and damaged Timbuktu's historic tombs and shrines.

Read more: Northern Mali a 'magnet for international jihadis'

Already, the armed groups' activity -- along with a pervasive drought -- has led hundreds of thousands of Malians to be displaced.

And the Islamists' movement southward has raised concerns among leaders in West Africa and elsewhere, some of them calling for swift and decisive military intervention to aid Mali's government, based in Bamako.

The Economic Community of West African States plans to hold an emergency meeting in Abidjan, Ivory Coast, to prepare to send troops to Mali to help government forces, a spokesman for the organization said.

The spokesman, Sunny Ugoh, said West African troops are expected to number 3,500 and will operate in the framework of the United Nations resolutions.

The meeting will also discuss any "additional measures need to be taken," he added.

Read more: International leaders push for military intervention in Mali

Several hundred French troops have been deployed to Mali, where about 6,000 French citizens live, according to Le Drian.

"Our determination to combat terrorism is total," the French defense minister said. "France will do all it can to combat the jihadist groups who have launched this offensive in recent days."

'The terrorists' breakthrough must be stopped'

Hollande said the influx of troops from his nation and others is to "allow Mali to recover its territorial integrity in accordance with U.N. Security Council resolutions."

"France, in this operation, is not pursuing any interest ... other than safeguarding a friendly country, and (France) does not have any goal other than fighting against terrorism," the French president said Saturday. "That is why its action is supported by the international community and saluted by all African countries."

Though its troops are posted in locations around Africa, French leaders earlier said they wouldn't send combat troops to Mali and that they'd scale back France's military interventions on the continent.

So its decision to get involved in Mali, an operation Hollande said "will last as long as necessary," underlies the seriousness of France's concern about the situation there. French hostages have been taken in neighboring Niger by al Qaeda in the Islamic Maghreb, and Paris appears intent on containing any further militant expansion in the heart of Africa.

Read more: What's behind the instability in Mali?

"The terrorists' breakthrough must be stopped," said French Foreign Minister Laurent Fabius, justifying France's efforts "to train and reshape the Malian army." "If not, (all of) Mali falls into their hands, with a threat to the whole of Africa and Europe."

The U.N. Security Council last month authorized a one-year military peacekeeping mission in the country. ECOWAS members pledged thousands of troops, and the Security Council has urged other nations to contribute forces as well.

Hollande spoke Saturday evening with British Prime Minister David Cameron, who consented for the United Kingdom to "provide logistical military assistance to help transport foreign troops and equipment quickly to Mali" -- but no "British personnel in a combat role" -- a Downing Street spokesman said.

France has been in contact with U.S. Defense Secretary Leon Panetta about the situation, as well as its African and European allies, according to Le Drian.

The U.S. military is weighing its options -- which could include logistical support and intelligence sharing with France -- said a U.S. defense official, who declined to be named because no decisions have been made.

"This is a serious issue, and ... the United States is committed to going after terrorists wherever they may be in order to protect American interests, but also those of our partners and allies around the world," Pentagon spokesman George Little said this week.

Journalist Katarina Hoije reported from Bamako, while CNN's Pierre Meilhan and Greg Botelho reported and wrote the story from Atlanta. CNN's Vladimir Duthiers contributed to this report.

@highlight

NEW: West African states to meet Wednesday to prepare for troop deployment

@highlight

An al Qaeda wing rooted in Mali's north has advanced, alarming many internationally

@highlight

France joins Malian forces in intervening, and a French pilot is killed in a raid

@highlight

France's president cheers military progress, but says "our mission is not over"