The Los Angeles riots 20 years ago this week were sparked by the acquittal of four L.A. police officers in the brutal beating of suspect Rodney King a year earlier. The turbulence that led to more than 50 deaths and $1 billion in property damage all began with a traffic violation.

A poor decision to drink and drive led to a 100-mph car chase and a chain of events that would forever change Los Angeles, its police department and the racial conversation in the United States.

King, then a 25-year-old convicted robber on parole, admittedly had a few drinks under his belt as he headed home from a friend's house.

When he spotted a police car following him, he panicked, thinking he would be sent back to prison.

So he took off.

Rodney King: What happened in 1991

"I had a job to go to that Monday, and I knew I was on parole, and I knew I wasn't supposed to be drinking, and I'm like, 'Oh my God,'" King told CNN last year.

Realizing he couldn't outrun police but fearing what they might do to him when they caught him, King said he looked for a public place to stop.

"I saw all those apartments over there, so I said, 'I'm gonna stop right there. If it goes down, somebody will see it.'"

It did go down.

Four police officers, all of them white, struck King more than 50 times with their wooden batons and shocked him with an electric stun gun.

" 'We are going to kill you, n****r,' " King said police shouted as they beat him. The officers denied using racial slurs.

King was right in his expectation of a beating, but his hope of having a witness was fulfilled in a big way.

Not only did somebody see it, somebody videotaped it -- still a novelty in 1991, before people had cellphone cameras.

The video showed a large lump of a man floundering on the ground, surrounded by a dozen or more police officers, four of whom were beating him relentlessly with nightsticks.

One officer's swings slow down as he appears worn out by his nonstop flailing. King was beaten nearly to death. Three surgeons operated on him for five hours that morning.

The dramatic video of the episode appeared on national TV two days later. At last, blacks in L.A. -- and no doubt in other parts of the country -- had evidence to document the police brutality many Americans had known about but had denied or tolerated.

Overheard on CNN.com: Rodney King 'had demons. But called them his own'

"We finally caught the Loch Ness Monster with a camcorder," King attorney Milton Grimes said.

Four LAPD officers -- Theodore Briseno, Laurence Powell, Timothy Wind and Sgt. Stacey Koon -- were indicted on charges of assault with a deadly weapon and excessive use of force by a police officer.

In April 1992, after a three-month trial in the predominantly white suburb of Simi Valley, three of the officers were acquitted of all charges. But the jury, which had no black members, was deadlocked on one charge of excessive force against Powell. A mistrial was declared on that charge.

Powell's attorney, Michael Stone, said the unedited video worked against King and helped prove the officers' case.

"Most of the nation only saw a few snippets where it's the most violent. They didn't see him get up and run at Powell," Stone said.

"In a use-of-force case, if the officers do what they're trained to do, how can you find them guilty of a crime? And the jury understood that."

Still, black Los Angeles exploded in outrage.

Rioters rampaged through the streets, looting businesses, torching buildings and attacking people who were in the wrong place at the wrong time.

On the third day of rioting, King emerged from seclusion to make a plea that echoes to this day: "People, I just want to say, can we all get along?" he said. "Can we get along?"

The rioting ended, but the divisions and debate did not.

Nearly a year later, the four officers were tried in federal court on civil rights charges. This trial would be very different from the first: It took place in Los Angeles, two African-Americans were picked for the jury and King actually testified this time.

"There was no way in the world that any jury would acquit all of the defendants again," Stone, the defense attorney, told CNN.

King's own testimony may have hurt the federal case, as he hedged on whether police had used racial slurs during the beating. King told CNN in 2011 that slurs definitely were uttered, but he said he vacillated on the stand because his mother had advised him to avoid talking about race.

Ultimately, Koon and Powell were found guilty, while Briseno and Wind were acquitted.

"It was like ... I just hope we just get one. I hope we just get one on that," King said. "If we get one, we're good. So to get the two, I was really happy."

"We got half-justice," his attorney, Grimes, growled, but the verdicts and the 30-month sentences seemed to satisfy the community. There was no unrest.

One more trial awaited: Rodney King's lawsuit against the city of Los Angeles.

This time, there was only one African-American on the jury, and she was a force to be reckoned with.

"Half of them had no sympathy whatsoever," Cynthia Kelly told CNN, referring to her fellow jurors. "They did not care at all. They just didn't care. Like, 'He broke the law. He deserved what he got.'"

"I told them they were crazy!" she recalled. "It was about justice for what happened to him. No one deserves to get beat like that."

Eventually, the other jurors came around, and King was awarded $3.8 million in damages.

It was finally over. But the aftereffects continue to this day.

King sometimes still wears a protective vest in response to a fear of reprisal and some genuine threats. And he's had several more run-ins with the law, including a 90-day jail stint in 1996 for a hit-and-run involving his wife at the time.

Last year, on the 20th anniversary of the beating, King was pulled over without incident and ticketed for a minor traffic violation. Later in the summer, he was arrested on suspicion of drunken driving. He pleaded guilty in February to a misdemeanor reckless driving charge in connection to that arrest. He was fined $500, given 20 days' home detention, placed on probation for three years and ordered into a nine-month sobriety education program.

People have long wondered why King kept getting into trouble.

"The trouble that they see me in is a part of my life that I'm working on," he told CNN last year. In 2008, he appeared on the VH1 reality show "Celebrity Rehab."

"I'll always have an issue when it comes to alcohol. My dad was an alcoholic, the addiction part is in my blood," he told CNN. "What I've learned to do is to arrest my addiction. Arrest it myself, so I don't get arrested."

Things have changed at the LAPD in the past 20 years. The upper ranks are much more diverse. Changes also have been made -- sometimes under court order -- in the way certain neighborhoods are patrolled and in how complaints are handled.

"The main impact that the Rodney King case had is that it accelerated change," journalist Lou Cannon said. "It's not tenable any longer in the United States of America for a police force of a major city to govern without having the community being a part of that governance."

King has just released a memoir, "The Riot Within," in which he describes his difficult upbringing and reflects on the beating and its aftermath.

In an interview this week on CNN, King said he has forgiven the officers who beat him nearly to death.

"Yes, I've forgiven them, because I've been forgiven many times," he said. "My country's been good to me, and I've done some things that wasn't pleasant in my lifetime and I have been forgiven for that.

"... It's like something happening bad in my own house," he continued. "This country is my house, it's the only home I know, so I have to be able to forgive -- for the future, for the younger generation coming behind me, so ... they can understand and if a situation like that happened again they could deal with it a lot easier."

Photos: Rodney King and the LA Riots

Rodney King dead at 47

A timeline of events in Rodney King's life

@highlight

This week marks 20 years since the L.A. riots

@highlight

Riots broke out after none of the cops involved were criminally charged

@highlight

King says he has forgiven the officers who beat him nearly to death