ANTIGUA, Guatemala (CNN) -- For many years, Guatemala has been a place of relatively uncomplicated adoptions for American parents. The small country's government estimates as many as 17 babies leave each day for adoptive parents in the United States.

Carolina, a 3-month-old Guatemalan girl, was bound for the U.S. until Guatemalan authorities intervened.

But that number could soon drop to zero because of concerns over alleged improprieties in the Guatemalan adoption process. Guatemalan President Oscar Berger announced recently that adoptions to the United States will be suspended on January 1, 2008, a decision that could leave nearly 3,000 babies currently in the adoption pipeline in legal limbo.

"This is our heritage, our future," said Carmen Wennier, head of Guatemala's Social Welfare bureau, who has criticized the adoption system.

Guatemala has the highest per capita rate of adoption in the world and the United States represents the largest number of adoptions, with an estimated one of every 100 Guatemalan babies sent to the United States, according to the U.S. consulate in Guatemala. U.S. officials estimate more than 5,000 adoptions from Guatemala will be processed this year, an annual high which would make Guatemala the second biggest origin of adoptive babies to the United States, behind China.  Adoption on hold after agency raided »

Adoption has been a hotly contested issue in Guatemala for years. While adoptive parents in the United States undergo rigorous screening, adoptions in Guatemala are processed under a notary system that allows lawyers and judges to place children for adoption. Both Guatemalan and U.S. officials fear the system leads to practices such as paying birth mothers for children, or, some instances, using coercion.

"We have thousands of cases of Guatemalan children who have been adopted to the United States and have had terrific experiences as adoptive children there, and frankly, have probably experienced a life more full of opportunity and support than they would have if they had been abandoned in Guatemala," U.S. Ambassador to Guatemala James Derham said. "What we want to do is make sure that all adoptions are consistent with these kinds of ideas."

Both U.S. and Guatemalan officials say gaps in the regulation and the high sums of money at play - adoptions can cost up to $30,000 to complete -- may have created unintended incentives in a country where the U.S. State Department estimates 80 percent of the population lives in poverty.

For prospective adoptive parents awaiting children in the United States, the recent developments are wrenching. But despite the State Department warnings, dozens of Americans still fill major hotels in Guatemala City meeting babies they expect will soon be theirs.

Several hotels in the city offer adoption packages and baby-friendly amenities to prospective adoptive parents. The couples stay there when they come to first see the babies while waiting for paperwork to be processed or to pick them up at the end of the adoption process.

Many of those couples say the charges of coercion of birth mothers are overblown and that thousands of abandoned children will be condemned to a life of poverty if greater restrictions on adoptions are imposed.

"Nobody reports on what will happen to these children if the adoptions are stopped," said one American parent who asked not to be identified. "The city will be filled with street kids."

The increasing scrutiny of adoptions from Guatemala already has thrown some adoptions into flux. Carolina, a 3-month-old Guatemalan girl, was just months away from joining her adoptive parents, Ellen and Sean Darcy, in their Boston, Massachusetts, home, when she and 45 other babies were seized from Casa Quivira, an adoption agency, by the Guatemalan government.

"Casa Quivira was the last stop on an assembly line," Wennier told CNN. "They had the final product and they had to sell it at the best price."

Guatemala police arrested Casa Quivira's lawyers and charged them with child abduction. No plea has yet been entered, but the agency's owners, American Cliff Phillips and his Guatemalan wife, Sandra Gonzalez, deny doing anything illegal.

"We can respond for the work of Casa Quivira and we will make all the efforts to clear our name, to get these kids home," Gonzalez said through tears. She adamantly denies Casa Quivira wanted to do anything more than help save children from poverty and make American families whole.

Carolina's adoptive mom in the United States, Ellen Darcy, is worried about Carolina's future, but she wants the investigation to go forward so she'll know if the adoption was legitimate.

"We want to know. We don't want to complete an adoption that is anything but completely legal and where this little girl has been relinquished willingly," she said. The Darcy's already have one child they adopted from Guatemala, a boy named Dylan, and they were excited for Carolina's arrival.

In Guatemala, birth mothers are required to sign a document in court in which they state they are relinquishing their child, but they are not interviewed by a judge as to their reasons. To stem corruption, the U.S. Embassy has added its own requirement that birth mothers appear with the baby when proceedings to request a Visa for the baby begin. In August, they also began requiring two DNA tests to confirm the identities of mother and child.

But proponents of stricter adoption guidelines in Guatemala said that even those tests are not sufficient. The Guatemalan Office of the Attorney General said it has 80 confirmed cases so far this year of adoption irregularities, including baby stealing and false DNA tests.

The Guatemalan Chief Prosecutor's Office recently launched a criminal investigation into the two laboratories contracted to take DNA samples from birth mothers and the children.

The U.S. Consulate and adoptive parents said those allegations do not taint the more than 4,000 adoptions that were processed legitimately last year. But due to the uncertainty expected from then anticipated changes in process, the State Department has recently issued a warning advising American citizens not to initiate any new adoptions from Guatemala.

Like other parents and prospective parents, Ellen Darcy, as she waits in her Boston home for baby Carolina, is concerned about the children.

"I'm not worried about the American couples. That's a non-issue. I'm worried about the kids," she said. "If they aren't given an option to be raised abroad, that they will perish and spend their entire childhood in an orphanage in state custody with nobody to encourage them or be a parent or take a vested interest in them. The American parents will be fine. It's the kids." E-mail to a friend

@highlight

Guatemala has long been a source of relatively fast, uncomplicated adoptions

@highlight

But adoptions to U.S. parents are supposed to cease as of January 1, 2008

@highlight

Officials in both countries are concerned about abuses in the adoption system

@highlight

Still, the U.S. says last year's 4,000-plus adoptions are untainted