If a teen carrying nothing but a comb can do it, who else could breach airport security and hop aboard the bottom of a plane?

That's the question many are asking after a 15-year-old boy sneaked into the wheel well of a Boeing 767 and flew from San Jose, California, to Maui, Hawaii.

The city of San Jose, which owns and operates Mineta San Jose International Airport, is not planning to pursue criminal charges against the teen, said Rosemary Barnes, a city public information manager.

Immediately after the incident became known, many pointed the finger at the Transportation Security Administration.

While the TSA does play a part in an airport's overall security, its role is largely limited to inside the airport building -- the checkpoint security.

Local and airport police handle the outside -- the perimeter security.

"Perimeter security is a shared security," John Sammon, a top TSA administrator, said at a congressional subcommittee hearing in 2011. The TSA depends on local police and airport personnel to play the lead role, he said.

Against this backdrop, Sunday's incident has one California state lawmaker calling for better safety.

"I have long been concerned about security at our airport perimeters," state Rep. Eric Swalwell tweeted. "#Stowaway teen demonstrates vulnerabilities that need to be addressed."

'No system is 100%'

In the case of San Jose International Airport, security responsibilities lie not just with the TSA, but also with airport and city police.

Six miles of chain link fence enclose the airport. Much of it, according to CNN affiliate KGO-TV, is only 6 feet high, topped with barbed wire. Security cameras offer added surveillance, and "many eyes and ears" monitor the grounds, Barnes said.

The airport has surveillance video showing an unidentified person walking on the airport ramp in the dark and approaching a Hawaiian Airlines Boeing 767. But "we do not know at this time if this is the teenage stowaway," Barnes said.

Federal investigators who interviewed the teen in Maui said he scaled the airport fence in San Jose, Barnes said.

"No system is 100%," Barnes said. "And it appears that this teenager scaled a section of our perimeter and was able to proceed onto our ramp under cover of darkness and into the wheel well of an aircraft."

Hawaiian Airlines defended its inspection process.

"Before an aircraft is put into service, safety and security inspections are conducted by Hawaiian Airlines vendor maintenance personnel to visually review any compartment accessible from the ground, including the wheel well. This is standard operating procedure.

"Cockpit crews also conduct exterior walk-arounds at the gate to perform system checks prior to departure. The wheel well is not included as part of this checklist. At this time, the wheel well doors are closed and the area is not visible.

"Our process meets or exceeds TSA requirements and industry standards," the airline said.

CNN aviation expert Michael Kay said it was a "physical feat" that the boy got past all sorts of people, apparently unnoticed.

"Clearly there's a big security breach here, which in the post-9/11 world order is a concern."

Reevaluating protocols

The boy landed in Maui on Sunday and told authorities he ran away from home in Santa Clara, California. He didn't have any ID; all he had was a comb.

He told investigators he crawled into the wheel well and lost consciousness when the plane took off.

An hour after the plane landed at Kahului Airport, the boy regained consciousness and was captured on security footage crawling out of the left main gear area of the plane.

Officials at Kahului said they were re-examining their safety protocols to avoid a repeat.

Maui airport district manager Marvin Moniz  told CNN affiliate KHON that people have scaled the barbed wire fence and gotten onto the tarmac before, but none of them ever got onto a plane.

"We went out, we did our rounds, did our checks, and it did not appear at any one point that there was entrance onto the airfield," he said.

The airport has multiple levels of security, he said: more than 200 cameras, a private security firm, airport police and the TSA.

"What we can't catch with cameras, we do vehicle patrol. We do foot patrols," he told reporters.

Not the first time

Plenty of people have hitched a ride on a plane by holing up in a wheel well. Most don't survive.

In February, crews at Dulles International Airport in suburban Washington found the body of a man inside the wheel well of an Airbus A340 operated by South African Airways.

In 2010, a 16-year-old boy died after he fell out of the wheel well of a US Airways flight bound for Boston from Charlotte, North Carolina.

A report detailing his death found there were not enough security officers at the Charlotte Douglas International Airport, one of the fastest-growing airports in the country.

The most recent known case of someone surviving was on a short domestic flight in Nigeria. A 15-year-old boy sneaked into the wheel well of a flight from Benin City to Lagos, thinking it was a flight to the United States, according to an FAA report. The ride lasted only 35 minutes.

Stowaway risk

Apparently, some airports have a greater risk of stowaways than others. Many incidents involve people desperately trying to escape their countries.

After speaking with some Boeing 767 captains, Kay said, "There are designated airfields around the world that various airlines have put a designation of stowaway risk."

"What that means is that when the aircraft lands -- Accra in Ghana, for example, in West Africa ... what the engineers will do is they will drop those doors," Kay said.

"So when the pilot or the first officer does their walk-around, they can actually look up and see the enormity of the undercarriage bay."

But those checks aren't mandated worldwide.

Physical feats

It's not difficult to climb inside a wheel well, said Jose Wolfman Guillen, a ground operations coordinator at Chicago's O'Hare International Airport.

"You can grab onto the struts and landing gear assembly kind of like a ladder, and you just jump on the tire and climb into the wheel well."

But after takeoff, many scenarios could kill a stowaway hiding in the landing gear wheel well.

Inside, there's not much room -- even less than in the trunk of a car, Guillen said. A stowaway would need to guess "where the tire is going to fold in when it closes after takeoff. There's a high risk of getting crushed once the gear starts going in."

The boy's survival is "dumb luck, mostly," said Dr. Kenneth Stahl, a trauma surgeon at Miami's Jackson Memorial Hospital. The temperature outside the airplane could have been as low as 75 or 80 degrees below zero, said Stahl, who is also a pilot. "Those are astronomically low temperatures to survive."

The boy was probably so cold that "he was essentially in a state of suspended animation," he said. Being young probably worked in his favor, too. "No adult would have survived that," Stahl added.

The boy could face permanent brain damage from the experience -- in fact, it's "more likely than not," he said. He could face neurological issues, memory problems or a lower IQ.

The teen also could have frostbite or a kidney injury because when the body freezes, particles of muscle enter the bloodstream and damage the kidneys, Stahl said.

Concerns about safety

The FBI dropped out of the investigation once it was confident the teen didn't pose a threat.

But the boy wasn't the only lucky one on this journey; so were the passengers and officials.

"If someone can climb inside here, then someone can put something a little more sinister in there," Kay said.

"And that's the connection that security officials need to make."

5 stowaway attempts that didn't end tragically

@highlight

"Our process meets or exceeds TSA requirements," Hawaiian Airlines says

@highlight

A 15-year-old boy survives a five-hour flight hiding in a plane's wheel well

@highlight

The feat raises concerns about what else could slip through an airport's perimeter

@highlight

A San Jose airport spokeswoman says the airport is investigating