Los Angeles (CNN) -- When film documentarian Maria Agui Carter and other Latino producers banded together 13 years ago to address their underrepresentation in mass media, the mission seemed daunting and desperate, Carter said.

"We used to be few hundred people that started in 1999, very frustrated at lack of access, trying to kick down the doors" of major media and film making outlets, Carter told CNN. "Through our own community building, we finally realized that we are the ones that we were waiting for."

The National Association of Latino Independent Producers now touts a newsletter of industry trends with 10,000 subscribers, and this week the group will address how the nation's second-largest group watches more television, buys more movie tickets and consumes more media than any other ethnicity -- and yet comprises less than 1% of executives in Hollywood.

"We are celebrating the incredible explosion of Latinos in the media both in front and behind the camera," Carter, board chairwoman of NALIP, said Tuesday.

"There are great improvements in the representation of Latinos, especially in television, but there are very few directors, vice presidents and above, film and TV executives and very few at the major and mini-major studios and few in the (talent) agencies and the management companies," Carter said.

"That, of course, affects the opportunities that Latinos in the media are able to take advantage of," she said.

The group's efforts have taken on urgency as the latest U.S. census shows that Hispanics have exceeded the 50 million mark and are officially the country's second-largest population group, surpassing African-Americans.

At its annual conference beginning Friday in Universal City, California, the group will honor actress Rita Moreno, who has won an Oscar, an Emmy, a Tony and a Grammy Award, and will feature a keynote speech by director Robert Rodriguez, who will be launching a new cable network called El Rey for Latino and general audiences. NALIP describes itself as the nation's pre-eminent association for Latino independent film and video makers.

The NALIP 2012 conference, called "Diverse Voices, Universal Content," is chiefly sponsored by Time Warner (the parent company of CNN) and the National Latino Media Council.

"It's a deeply empowering moment because it's the one time of year when Latinos in the media gather into one community," said Carter, who also writes, directs and produces documentaries and feature films through her firm Iguana Films.

"We have generated a really powerful feeling of belonging and an ethos of Latino artists supporting one another," she said.

The group points out how the presence of minority industry writers in film and television has been stuck at 6% since 1999 and the percentage of minority directors is even smaller. Meanwhile, Latinos are estimated to spend $1 billion on U.S. filmed entertainment and hold $1 trillion in general market buying power, NALIP says.

On Saturday, the organization will discuss "race and the media" in a closing plenary that will look at how systemic, economic and cultural factors affect representation in mass media.

Joseph Torres, a NALIP board member and co-author with New York Daily News columnist Juan Gonzalez of "News for All the People: The Epic Story of Race and the American Media," said among the ways to remedy the inequities is continued training of "the new generation of film makers."

Advocacy groups also need to hold media companies accountable through federal laws and policy, said Torres, who also is senior director at the national media reform and public interest group Free Press.

Government policy "determines who are the corporate gatekeepers, who owns media outlets under mergers, and whether the Internet will continue to remain a communications network for people to express themselves," Torres said.

One such example is how the Federal Communications Commission and the U.S. Justice Department last year approved the merger of Comcast and NBC Universal, and now Comcast is starting the Aspire cable network for African-Americans led by Magic Johnson; the Revolt network for pop music by Diddy Combs and MTV veteran Andy Schuon; and Rodriguez's El Rey network, Torres said.

The El Rey network would be "the biggest opportunity, the biggest bellwether trend, for opening mainstream media to Latinos," Torres said.

"It's one of the biggest opportunities to come around in a while for Latinos, to have a presence in cable television," Torres said. "It's going to be an opportunity for jobs and producing content."

@highlight

National Association of Latino Independent Producers has 10,000 followers of its newsletter

@highlight

"We are celebrating the incredible explosion of Latinos in the media," group's leader says

@highlight

But the group will discuss challenges at an annual conference this week