Four years after Jerry Ford's presidency ended in the ashes of his Watergate pardon of Richard Nixon, he vaulted back onto center stage at his party's 1980 national convention.

It started as a buzz on the floor of the Joe Louis Arena on Detroit's newly renovated riverfront -- talk of a Republican "dream ticket" to take on President Jimmy Carter. The intriguing scenario would pair GOP primary victor Ronald Reagan and for what would have been the first time in history, a former president as his running mate.

It became a roar when Ford granted an interview to CBS' Walter Cronkite to acknowledge that discussions were taking place.

"This was supposed to be a very ho-hum convention," recalled Bernard Shaw, who co-anchored CNN's inaugural convention coverage just six weeks after the launch of the 24-hour news network, working "up in the rafters with a couple of pieces of plywood over chairs for myself and Daniel Schorr."

But it turned into "a very brokered affair," Shaw said, "with Ronald Reagan and Gerald Ford flirting with the idea of a shared presidency."

Biden to be in Tampa during Republican National Convention

The actual discussions involved close aides to the two men, including former Ford administration officials who a close Ford friend believes were trying to advance their own agendas.

"If I remember correctly, Jerry Ford came up to me earlier that day and told me that he was into these discussions, but he didn't think they were going anywhere," Peter Secchia, Michigan's GOP national committeeman at the convention, said in a recent telephone interview.

All the media attention that day was focused on the role Ford might play in a Reagan White House, with major responsibilities over foreign policy and fiscal issues, and the possibility of top Cabinet positions for such Ford administration luminaries as Henry Kissinger and Alan Greenspan.

Secchia, a business owner in his district befriended by Ford during his early years in Congress, never actually worked for Ford but later served as U.S. ambassador to Italy, appointed by the man Reagan chose for vice president that very night -- George H.W. Bush.

Reagan makes surprise, post-midnight announcement

Bush's selection was hastily arranged after the talks with Ford broke down. The pick was announced by Reagan in a surprise post-midnight appearance at the convention hall a night earlier than scheduled with Bush watching on TV from his room across the street at the Hotel Pontchartrain.

By all accounts, it happened in a matter of minutes after Bush agreed during a short phone call to disavow his pro-choice posture on abortion and his condemnation of what he had branded "voodoo economics."

Reagan told the convention that Bush had endorsed his GOP platform planks calling for a constitutional ban against abortion and advancing the principles of "supply-side economics" that still guide the party today.

Poll: Ahead of GOP convention, presidential race in dead heat

Secchia never bought into the idea of a Reagan-Ford ticket for a simple reason overlooked by most observers at the time -- both men then lived in California "and one of them would have had to move." The Constitution bars each state's representatives to the Electoral College electors from voting for a ballot in which both candidates are from their state.

In other words, a Reagan-Ford ticket would have forced California's electors to vote Democratic, whatever the popular vote. He did not believe either man would have been willing to change his primary residence, as Ford's onetime chief of staff Dick Cheney did when he moved back to Wyoming from Texas to become George W. Bush's running mate 20 years later and perhaps the most influential vice president in modern history.

Shaw, now retired, has covered 14 political conventions dating to 1968 when Republicans nominated Richard Nixon in Miami Beach at what Shaw called the first convention "perfectly scripted for TV."

He also was in Chicago for that year's Democratic Convention, disrupted by anti-Vietnam war street protests, a vicious police response and a party division over the war that was a big factor in Hubert Humphrey's November defeat by Nixon.

Today's conventions tend to be even more scripted than Nixon's GOP gathering in 1968, but Shaw says "occasionally the curtains part and you get a chance to see the real rawness of politics and the fight for power."

In convention speeches, history is made

He said journalists should avoid any preconceived attitude that conventions are non-events. "A reporter who goes to a convention with the notion that these are meaningless -- the days of smoke-filled rooms are over -- is the reporter who is ill-equipped for the job," Shaw said.

Drama at both conventions in 1980

In 1980, there were two good examples of that -- and I had the privilege of covering both the Republicans in Detroit and the once-again divided Democrats at New York's Madison Square Garden, the first of seven political conventions I've worked at as a newsman.

For the Democrats, it was the year that Ted Kennedy refused to give up after losing to a sitting president in his party's primaries and pursuing a challenge of delegate rules until just before a scheduled floor vote for the nomination.

In a stirring concession speech, he gave a passing tip of the hat to Jimmy Carter -- "I congratulate President Carter on his victory here" -- and then brought the delegates to their feet when he bowed out of the race by saying: "For me, a few hours ago, this campaign came to an end.  For all those whose cares have been our concern, the work goes on, the cause endures, the hope still lives and the dream will never die."

Ann Romney expected to kick off GOP convention

Then, after Carter's acceptance speech, the moment we had all been waiting for -- the traditional embrace of the nominee and challenger, a moment that never came.

Kennedy climbed back up the podium, and with the crowd cheering his every movement, twirled around the stage shaking hands with party dignitaries, their spouses, the first lady and finally the president -- an awkward looking gesture that was over in the blink of an eye.

"This is a schizophrenic convention," Dan Schorr told CNN's audience. "They nominated Mr. Carter and they gave their love to Mr. Kennedy. They have given their votes to one and their hearts to another."

The senator then quickly exited, only to return for another quick handshake and pat on the shoulder for the president at a moment the two men had the stage mostly to themselves.

"There's no embrace," Schorr said. "No holding of hands, no V for victory," Shaw added.

In November, the Reagan-Bush ticket won in an electoral landslide. Carter was handicapped by his divided party, high inflation and rising interest rates, and a hostage crisis in Iran that dragged on until the moment Reagan was sworn in as his successor.

Agencies warn of possible anarchist activity at conventions

Bush presents Quayle in dramatic fashion

After eight years in office, Bush became the party's presidential nominee and presented his running mate to GOP delegates in New Orleans in dramatic fashion, arriving near the convention site on a riverboat that also was transporting a clueless traveling press.

"We didn't know who it was going to be," recalled George Weeks, who covered that convention as a columnist for the Detroit News after serving as chief of staff for William G. Milliken, Michigan's Republican governor in 1980.

There were several big name possibilities, including Rep. Jack Kemp, father of "supply side" economics and mentor for Mitt Romney's running mate, Paul Ryan. Sen. Robert Dole of Kansas, a future presidential nominee, and his wife, Elizabeth, transportation secretary for much of Reagan's presidency were other names mentioned.

Way down on the list -- a name I had first noticed in a New York Times "veepstakes" story that morning or the day before -- was a little known senator from Indiana, Dan Quayle, a baby-faced baby boomer who, at 41, was even younger than Ryan.

His selection on Day 2 of the convention may even have been a surprise to him. He got the word from Bush only a short time before the announcement, and hurried over to the riverfront for a rally with Bush and their cheering supporters.

"It's not a lark, it's Quayle," local TV reporter Gary Tuchman, now a CNN correspondent, told viewers of WPEC in West Palm Beach, Florida, announcing the news in a live shot just "100 feet from where Quayle was standing."

"It was still the pre-Twitter days, and the viewers were learning it from me," he says now with a laugh.

Politics, parties keep some away from conventions

A less-than-stellar debut for a rising star

The Bush-Quayle ticket triumphed in November over another former Massachusetts governor, Michael Dukakis, and Sen. Lloyd Bentsen of Texas, who had been chosen at their party's convention in Atlanta now remembered mostly for the nearly disastrous debut performance of a rising Democratic star, 41-year-old Arkansas Gov. Bill Clinton.

Clinton, who already had a reputation as a spellbinding orator, was picked to place Dukakis' name in nomination a night after a rousing Jesse Jackson address party officials feared would steal the thunder from Dukakis, the political embodiment of laid back.

But Clinton went on so long -- more than 33 minutes, nearly twice his allotted time -- the clearly annoyed delegates were squirming in their seats, some even booing.  As the young governor uttered the words, "In closing ...," the hall erupted in boisterous cheers.

Just four years later, it was Clinton who was getting nominated, and later elected, depriving the senior Bush of a second term.

This year he will return to his 1988 role, delivering the nominating speech in Charlotte, North Carolina, for Barack Obama's bid for re-election.

"This party loves Bill Clinton," said Mark Brewer, state Democratic chairman in Michigan for the past 17 years who will attend this year's convention as a "super-delegate."

After all these years, still "The Comeback Kid."

Memorable convention moments

(Editors Note: Paul Varian has covered presidential politics off and on since the 1972 elections, including seven national party conventions over a 20-year period for United Press International and CNN.)

@highlight

1980 conventions were dramatic occasions for both Democrats and Republicans

@highlight

1980 RNC was supposed to be "ho-hum" but turned into a "very brokered affair"

@highlight

1980 DNC was "schizophrenic" -- Democrats nominated Carter and gave their love to Kennedy

@highlight

1988 RNC drama came when little-known Sen. Dan Quayle was announced as Bush's running mate