(CNN) -- With all due respect to arachnophobes, I love spiders. Some might call me obsessed, but I've been studying spiders and spider silks for many years now and don't see an end in sight. There is simply too much to do.

Spiders have been around for over 300 million years and are found in nearly every terrestrial environment. There are more than 40,000 species living today and each spins at least one type of silk. However, most spiders spin more than one type of silk. For example, the orb-web weaving spiders that are commonly seen in gardens during the day or near porch lights at night, typically make seven kinds of silk. Each silk is chemically and functionally distinctive.

An individual spider can produce multiple varieties of silk because it has numerous silk glands inside its body. Some silk glands make one type of silk, another set of silk glands makes a second type of silk, and so forth. One of the unforgettable moments in my life was the first time I dissected a spider and saw its stunningly beautiful, translucent silk glands.

Spiders make good use of their many silks. When you look at an orb-web, there's one type of ultra-strong and fairly stiff silk that makes up the scaffold. This silk, which is also used as the safety drag line, is tougher than almost all biological and man-made materials. The sticky spiral of the orb-web is composed of two different silks, one a glue and the other a highly stretchable fiber. The glue and the fiber are produced in separate glands and the spider dots the glue onto the fiber while building the web.

TED.com: Put a value on natural

Spider silks, with their magnificent diversity and amazing properties, are the perfect system to engage people from different walks of life. Geneticists, engineers, biotechnologists, artists, natural historians, and comparative biologists (like me) can forge exciting collaborations.

Researchers around the world are working on silks spun by spiders from around the world. Inspiration and knowledge are being exchanged along a modern version of the ancient silk road.

Speaking of the ancient silk road, I'm often asked what's the difference between spider silk and silkworm silk, the kind of silk in a typical silk scarf or blouse. Silk used in textiles is spun from the mouths of caterpillars to form cocoons that protect them while they transform into moths. A silkworm has only one pair of silk glands and can make one type of fiber.

TED.com: Silk, the ancient material of the future

Spiders, in contrast, have many silk glands, and the silk emerges from spinnerets located towards the rear of their bodies. Spiders are also able to spin silk from when they are very young and continue to do so throughout their lives.

Researchers are drawing inspiration from spider silks to produce novel, protein-based, eco-friendly materials for use in medical, cosmetic, electronic, textile, industrial, and other applications. The potential is enormous, especially considering the mind-boggling diversity of spiders and their silks.

For me, each day begins and ends with wanting to learn a little more about the secrets of spider silk.

The opinions expressed in this commentary are solely those of Cheryl Hayashi.

@highlight

Cheryl Hayashi: Spiders spin many different kinds of silk

@highlight

Some are among the strongest materials on earth

@highlight

There are 40,000 species of spiders and each spins at least one kind of silk

@highlight

She says researchers are working on ways to use lessons from spider silk to engineer new materials