ATLANTA, Georgia (CNN) -- All Lyle Petersen wanted to do was get his mail.

Lyle Petersen,  a CDC expert who was infected with West Nile virus, says, "it will ruin your summer."

In the time it took him to walk down his driveway in Fort Collins, Colorado, chat briefly with a neighbor and return to his house, Petersen got infected with a potentially serious mosquito-borne illness called West Nile virus. Within hours of being bitten, he said, he began to feel symptoms he recognized.

And how was he sure so quickly? Petersen, as director of the division of vector borne diseases at the Centers for Disease Control and Prevention, is one of the foremost experts in the world on the condition. A blood test confirmed his suspicion.

"From my own experience, I can tell you it's not a very mild illness," Petersen cautioned. "It will ruin your summer."

Experts are expecting another epidemic of the disease this summer. The incidence of West Nile virus has remained the same for the past four years, and Petersen says he doesn't expect this year to be any different. It should reach its peak between mid-July and mid-September.  Health Minute: More on West Nile virus risk »

"People tend to discount this as a significant problem," Petersen said, "but more than 1.5 million people have been infected so far in the United States, and about 300,000 have had West Nile fever."

West Nile virus emerged in the U.S. nine years ago. The virus is spread by the bite of an infected mosquito. Mosquitoes contract the illness by feeding on infected birds.

The CDC reported that in rare cases, West Nile virus has spread through blood transfusions, organ transplants and breastfeeding. The disease is not spread through casual contact.

The symptoms range from mild to severe and typically develop between three and 14 days after a person is bitten.  Explainer: West Nile 101 »

Debbie Koma, a 50-year old hairdresser from Atlanta, Georgia, developed West Nile virus two years ago. She described it as "unlike anything that I ever had before. I was sick as a dog."

She recalled being hospitalized for three days with a high fever, a horrible headache and body aches. After 14 days, she was strong enough to get out of bed, but she says her strength didn't fully return for three months.

Petersen had a similar experience when he was stricken five years ago.

"I discovered I had West Nile virus because I am a long-distance runner," he said. "About halfway through one of my runs, I felt terrible. Within a couple of hours, I was lying in bed with severe headaches, eye pain, muscle pain and fever, which lasted about a week. I basically couldn't get out of bed for a week."

It wasn't just Petersen who became sick, but his daughter and the neighbor were complaining of West Nile virus symptoms hours after being swarmed by mosquitoes at the mailbox.

A medical doctor, Petersen actually tested his own blood in the laboratory and diagnosed his own illness.

Like Koma, he was sick for a couple of months. His chief symptom: severe fatigue. "I could barely walk up the stairs," he said.

"This is not a mild illness, and people should try to avoid it."

Petersen mentioned that some patients with West Nile virus can develop a severe neurological disease that can be fatal.

There is no effective treatment for the virus. In more serious cases, the CDC recommends that patients be hospitalized so they can receive supportive care with intravenous fluids.

Researchers are working to develop a vaccine, but Petersen notes that it will be years before it is available to humans.

The best way to stop the spread of West Nile virus is through prevention, he said.

"Wear mosquito repellent, especially around dawn and dusk, which are peak mosquito biting times," Petersen suggests.

He says bug sprays that contain concentrations of the chemical DEET up to 50 percent work the best. Be sure to read the label or check with a doctor regarding the acceptable concentrations for children.

Spraying repellent that contains permethrin on clothing is another option. Experts caution not to put the chemical directly on exposed skin.

Petersen added that a natural product such as oil of lemon eucalyptus CQ may also be effective. The CDC says vitamin B and ultrasonic devices do not work in preventing mosquito bites.

Another way to reduce the risk of getting bitten by a mosquito is to get rid of standing bodies of water around the house, Petersen said.

"The mosquitoes that spread West Nile virus often breed around people's homes in small containers like flower pots, rain barrels and bird baths," he explained.

Even by taking precautions, Petersen concluded, the disease won't be eradicated in the U.S. anytime soon. "I think West Nile virus is here to stay, and I can't tell you how many cases will occur this summer, but there will be epidemics."

@highlight

More than 1.5 million people have been infected in the U.S.

@highlight

Symptoms typically develop between three and 14 days after being bitten

@highlight

High fever, headaches, body aches and severe fatigue are a few symptoms

@highlight

Best way to stop the spread of West Nile virus is through prevention