After paying five homeless people outside his studio in Manila to help chew 700 pieces of bubble gum, Louie Cordero began to wonder what he had undertaken in the name of art.

"Well, it certainly took longer than I imagined it would, and they thought it would, too" he recalls.

After two days of aching jaws, the potent mix of gum, spittle and resin went to create one of Cordero's larger-than-life sculptures; a bright green figure that is part tribal warrior, part horror flick monster, but all Cordero's imagination.

It is now starting to turn brown as the sugar in the gum oxidizes, but Cordero is still turning his wild machinations of surreal, twisted biomorphic figures into sculptures and paintings, and is one of a group of contemporary artists from the Philippines turning heads with a vibrancy and unique Filipino vision.

Awash with tubes of bright acrylic paint, Cordero's studio in the Cubao area of Manila has been his main base for around 10 years and is situated just a few minutes away from the stadium where Muhammad Ali and Joe Frazier had their "Thriller in Manila" bout in 1975.

Working on two new pieces for this month's Hong Kong International Art Fair while sipping industrial strength coffee, Cordero admits that while his attitude to his work hasn't really altered in a decade, local artists are seemingly starting to punch above their weight.

"Things have changed a lot in terms of financial gain and artistic gain. For new artists, they have a thing about doing it in the international scene or being represented. Now it's a career that has to be strategized," he says.

"In Manila there used to be more artist run galleries. Now big galleries are here and looking for the new artist that wants to sell for big money. Every week now there's like three openings, before it used to be one show per month."

It's a long way from the 34-year-old's life when he graduated from the University of the Philippines College of Fine Arts.

Back then he couldn't afford paint so spent days drawing comic strips (one of which has gained a cult following in the Philippines and Japan) or taking illustration jobs to pay the bills. Joining with friends and contemporaries he also ran artist spaces for impromptu exhibitions. Since then he's moved on to feature in joint exhibitions in Hong Kong and prominent solo shows including one in New York in 2010.

Inspired by an explosive mix of comic art, pop culture and gore-fest films, Cordero also retains a strong Filipino flavor in his art, drawing on everything from jeepney art, turbulent politics and the almost inescapable impact of religion in Philippine society.

"We've been occupied and colonized by American and Spanish so most of the artists here contemplate on that concept or hang-ups from it, especially the Catholic influence that we get from school age upwards," he says.

Playing with religious imagery can still cause huge controversy in the Philippines. Last year a collage by artist Mideo Cruz at the Cultural Center of the Philippines depicted Jesus with a wooden penis glued to his face. It was condemned  by church groups and even attracted the ire of former first lady Imelda Marcos. The resulting furor led to the exhibition being closed.

Cordero admits to gleefully prodding the country's cultural soft spots when he was younger with a 2001 piece that mixed in Jesus and Ronald McDonald, but thinks Cruz was just unlucky.

"He was the center of the whole nation's tensions. When I started I was like that, now I'm not so scandalous with my work; it's more like you're young and full of angst, and you're very idealistic.

"If you're dealing with religion, it's very sad because people, priests and politicians will condemn you if you touch on that sensibility. You can do it, but it can become a circus.

"It's fine if you do it just for art people, but for the common people, still not that many go to art exhibition. You need that sensation for people to go."

If the public's tastes are not so Catholic in the Philippines, art collectors are starting to wake up to the breadth and diversity of work by contemporary Filipino artists. Last month a painting by Filipino artist Ronald Ventura entitled "Grayground" sold at Sotheby's in Hong Kong for $1.1 million, making it the first piece by a contemporary Southeast Asian artist to fetch more than $1 million.

"If Ventura's work is going for over $1million, and the likes of (established 19th century painter) Juan Luna couldn't meet its reserve price, there's something going on (in the art market)," says independent curator and Cordero's partner Isabel Ching.

Next door to Cordero's studio is a fabrication workshop run by Jeremy Guiab, where Cordero's latest projects - thrones made of fiberglass bones and twisted totem polls - are being made. A gold mine of curios and industrial oddities, it's also a hub for local artists, from those fresh out of art school to longer-serving artists like Romeo Lee.

"I've been around since the 1980s. Filipinos started in a struggle, now it's the new generation's chance, and they're smart," says Lee. "But for the old generation like me, I'll keep going, and I'm happy if someone now wants to pay more for my art."

With an increasing interest in the work of Cordero and his contemporaries like Nona Garcia and predecessors like Manuel Ocampo, has come a desire from collectors to know where they come from, says Magnus Renfrew, director of Hong Kong International Art Fair,

"It's relatively early days for the international profile of art from the Philippines," says Renfrew. "But it is becoming more and more the case that collectors are willing to engage with artists from a wide variety of cultural and aesthetic backgrounds."

Among the sparks of spot-welding and smell of resin in the workshop, Cordero is content to continue to mix things up in his own work regardless of the changing tastes of collectors or galleries.

"I don't know what I'm doing; it's the challenge. That's the reason I do art: to keep challenging myself and saying this is what I want to do."

@highlight

Manila-based artists finding their feet on the international stage

@highlight

Louie Cordero's visceral paintings and sculptures full of Philippine culture

@highlight

Unique mix of cultures and history creates diverse group of artists, says Cordero

@highlight

International art collectors more open to Philippine art, says head of Hong Kong Art Fair