Hong Kong (CNN)An ancient Chinese system of summoning good luck, feng shui -- literally wind and water -- is part of the fabric of Hong Kong life.

Shopping malls, office towers and homes draw on its principles in their design in an attempt to create prosperity.

And individuals often consult feng shui masters to decide on the best date to get married, give birth or move house.

The run-up up to the Lunar New Year is the busiest time of year for Kerby Kuek, a feng shui practitioner who has published 15 books on the subject.

His clients, which include some of Hong Kong's biggest companies, all want their "annual audit" to maximize their good fortune in the year to come.

He took time out to take CNN on a tour of the city's feng shui hot spots, where the cosmic energy will help you do the Year of the Sheep proud.

It's hard to believe that Times Square, the crowded, traffic-clogged heart of Hong Kong shopping district Causeway Bay, enjoys some of the city's best feng shui.

But imagine the towering skyscrapers are mountains and the endless procession of cars, taxis and delivery trucks a meandering river and it all begins to make sense, says Kuek.

Causeway Bay benefits from what Kuek calls a "feng shui meridian" between four peaks and it's built atop two "dragon pulses" that flow into Hong Kong in the form of mountain ranges.

It's this that attracts the hordes of free-spending shoppers that make the place a goldmine for retailers and landlords.

If you can put up with the crowds and the noise, Causeway Bay is also lucky place to call home, says Kuek, who lives here.

How to get there: Causeway Bay MTR

Two bronze lions stand guard at the entrance to the HSBC Building in downtown Hong Kong, protecting the money within.

Some locals like to stroke their paws and noses in a hope their good feng shui fortune will rub off.

The bank, says Kuek, harnesses energy from the five mountains nearby -- benefiting it and the surrounding buildings.

But it's a different tale a short walk away at the IFC or International Finance Center -- Hong Kong island's tallest building.

Built on reclaimed land that interrupts the flow of water in the harbor, the building's "unkind energy" leads to grievances -- not least, he says, for the family that built it.

The three Kwok brothers behind property developer Sun Hung Kai became embroiled in a years-long family feud and the eldest has been indicted on misconduct charges in a corruption case that gripped the city.

How to get there: Central MTR

The striking Hong Kong government headquarters, known as Tamar, were the focus of massive pro-democracy protests that rocked the city late last year.

This was no coincidence according to Kuek.

The government has been beset by difficulties since it moved to the new building in 2011.

Like the IFC, the building is sited on reclaimed land and radiates "bad energy" he says.

"Reclamation is changing Hong Kong's feng shui," he says.

"We should stop now or things may get worse."

How to get there: Admiralty MTR

Just south of Hong Kong's border with China, a small path in the village of Sheung Shui leads to this ancestral hall.

It was built in 1751 for the now rich and prosperous Liu clan to worship their ancestors, but the plot of land originally belonged to the rival Kan clan, says Kuek.

In order to claim the "feng shui hot spot" for themselves, the Liu clan chased out the Kans and built their hall.

But to appease the ancestors of their rivals, they made offerings to the Kam's forefathers as well as their own.

To this day, the Kans are unhappy about the "kidnapping" of their ancestors and blame the Liu clan for their family's bad fortune.

This spring they'll perform a ritual to invite their ancestors back to their own hall, says Kuek.

How to get there: Sheung Shui MTR, 15 minute walk

Che Kung Temple in Shatin is as good a place as any to ring in The Year of the Sheep, but it hasn't always been an auspicious spot.

The original temple was built by villagers 300 years ago in an desperate attempt to halt the spread of a plague outbreak.

Legend has it that the epidemic began to subside the day the temple was completed, says Kuek.

On the third day of the Lunar New Year, which this year falls on Saturday, it now attracts crowds of worshipers who light incense and wish for good health.

It's also where, each year, a government official draws a fortune stick in a divination ritual thought to foretell Hong Kong's luck in the coming year.

The message is written in classical Chinese and interpreted by a feng shui master.

How to get there: MTR Che Kung Temple Station

A 15-minute boat ride from the stilted fishing village of Tai O lies a tiny village with a shady past.

In the 1950s and 60s, many of the village's women left to work as prostitutes in Macau, Kuek says.

Alarmed, village elders consulted a local feng shui master, who identified an "obscene rock" on the headland near the village that resembled a naked man "showing off his private parts," he tells me.

Using explosives, they blasted off the protruding part and within a few years village life was back to normal.

How to get there: Bus to Tai O from Tung Chung MTR

The Peak is an unbeatable vantage point for taking in Hong Kong's celebrated skyline and also happens to offer up the city's most auspicious feng shui.

Surrounded by water on four sides and with a direct line of sight to Lion Rock in Kowloon, the houses that cling to the mountainside are home to Hong Kong's rich and powerful.

The winding Barker Road that links Victoria and Magazine gaps, taps the best flow of "cosmic energy," says Kuek.

Inhabitants include a U.S. ambassador, the city's financial secretary and a handful of tycoons, he adds.

How to get there: Take Peak tram from Central

@highlight

Feng shui is an important part of Hong Kong life

@highlight

Shopping malls, office towers and homes draw on its principles

@highlight

Feng Shui master Kerby Kuek takes CNN on a tour of city's hot spots