Washington (CNN) -- Amid anger and frustration on both sides of the aisle, the Senate is set to take up a bill to help people with disabilities, displaying some rare bipartisanship before the 113th Congress is adjourned.

Eight years after the Achieving a Better Life Experience Act was first introduced by Republican Rep. Anders Crenshaw of Florida, these individuals will soon be able to create tax-free bank accounts to amass assets in their own name, something current law strongly discourages.

"What we're doing is really helping them help themselves," Anders said in a press conference Thursday. "We will open the door to a brighter future to so many people -- so many people in America that live everyday with disabilities."

Congressmen from both side of the aisle touted its passage, saying that this gives the targeted people economic freedom to save and live independently if desired.

Families and friends will now be able to give money to their loved ones without fear of it being purged by service agencies that may help them with their daily lives.

"We believe that individuals across this country with disabilities have a lot of ability," said Democratic Sen. Bob Casey, who is shepherding the bill in the upper chamber. "And we believe that we have an obligation to do everything we can to give them tools that they need to live a full life."

The idea stemmed from Stephen Beck of Pennsylvania, whose daughter, Natalie, was born with Down syndrome. He lobbied Anders and many other members of Congress to take up his cause for most of the last decade.

"We decided that we would name this legislation after him, to honor him and all of the people that worked so hard all these years to make this dream a reality," Anders said.

When the House took up the bill last Wednesday, it had 380 members signed on as co-sponsors. The bill passed with 404 votes.

Beck, who reportedly cheered quite loudly after the vote from the gallery of the House.

Beck died suddenly just this week of a heart attack

Anders took to the floor again afterwards to rename the bill as The Stephen Beck, Jr. Achieving a Better Life Experience Act of 2014, which passed unanimously.

For many members of Congress though, this is not just an intangible idea to legislate. It's very personal.

Republican Rep. Cathy McMorris-Rodgers of Washington's son, Cole, was diagnosed with Down syndrome just three days after he was born.

While going over the list of potential medical complications to be aware of, she was also given the financial advice many other parents are given after this diagnosis -- don't save money in Cole's name.

"I was like, hmm, seems like that's sending the wrong message to a new parent who is excited, ready to save, ready to sacrifice, so this child can have an opportunity for a better life," she told CNN's Dana Bash. "We incentivize savings for retirement, for health care, for education -- it only makes sense that those children with disabilities would also have that same opportunity."

Cole joined the congresswoman on the House floor during its passage.

Democratic Sen. Amy Klobachar's daughter spurred into action while her daughter was fed through a feeding tube for almost all of the first two years of her life.

"I was able to see life through the eyes of a parent with a child with a disability, even though she didn't end up having one," she said reflecting on her time living with this and her subsequent involvement in the disabilities community. "You can see the struggles they go through every single day... I think every member of Congress knows someone that has been through something like this."

Alex Sessions, the Eagle Scout son of Republican Rep. Pete Sessions of Texas, is a young adult with Down syndrome and is learning how to contribute on his own. When his father told him the bill passed, he smiled and said his favorite word.

"'Can.' His 'can.' And 'thank you'," the congressman emotionally recalled. "He will recognize the real difference because he wants to live independent."

"To a disabled person, this is like what might be the glass ceiling -- where they have been looking at opportunities not to be excluded, and not to be treated differently, but to be treated just like everybody else," he said. "To have a 529 savings account. To have, as in Alex's case, where his grandfather, if he wrote a check to all the grandkids but excluded Alex, for fear of losing what might be a government benefit at some point."

As the bill heads to the Senate and possibly the White House, advocates on both sides of the aisle hope this trend will continue.

"There are still people of good will that want to work together to get things done," Klobuchar said.

"I just think it's a great example, with the holidays coming upon us, of a spirit that I hope to see carried on into the New Year," McMorris-Rodgers added.

@highlight

Legislation regarding people with disabilities has bipartisan backing in both chambers

@highlight

It allows people with disabilities to creat tax-free bank accounts

@highlight

The bill passed the House with 404 votes and now goes to the Senate