Hong Kong (CNN) -- Taiwan's de facto representative offices in Hong Kong and Macau -- China's two special administration regions (SAR) -- will come out of hiding this week after operating incognito for nearly 45 years, a move that experts say defines a thawing of historically frosty cross-strait relations.

Functioning in Hong Kong under the moniker of the "Chung Hwa Travel Service" since the 1966 Chinese Cultural Revolution, the office has often been mistaken as a private travel company because of its title, said James Shi Chu, Taiwan's Director General of Hong Kong & Macau Affairs.

The new office will be renamed and upgraded on July 15 to the Taipei Economic and Cultural Affairs office, a title indicative of its true functions, Chu said.

The decision to rename Taipei's hub in Hong Kong delineates a warming of relations between Beijing and Taipei, said Joseph Cheng, a professor of political science at Hong Kong City University.

And although Taiwan liaised solely with Hong Kong, Cheng said the local government "dared not do anything with Taiwan without the formal approval of Beijing, period."

Contact between China and Taiwan -- a self-ruled island -- has historically been defined by instability and limited diplomatic communication, Cheng said. China views Taiwan as a breakaway province, separated since the civil war of the 1940s.

But relations began improving shortly after the 2008 election of current Taiwan President, Ma Ying-jeou. Although Ma is the leader of the Kuomintang Party (KMT) -- which lost control of mainland China to the Chinese Communist Party during the Chinese civil war in 1949 -- his policies have been largely friendly toward mainland China since being elected.

Taiwan is also Hong Kong's fourth largest trading partner, with a total trade value of more than US$35 billion, according to the Hong Kong government. Mainland China remains Hong Kong's most lucrative trade partner, valued at roughly US$400 billion - just fewer than 50% of the SAR's total trade activity.

Because of its misleading name, the Hong Kong office's efforts to improve economic and cultural relations were "undermined," Chu explained. "In Taiwan, the re-designation of the Chung Hwa Travel Service has become the so-called barometer to gauge the relationship between Hong Kong and Taiwan."

The current relationship is "extremely close," Chu said, in both economics and tourism. He said that 31,000 flights helped more than 3 million people from both sides visit each other for business and pleasure in 2010.

Chu insisted that Taipei had no formal or informal contact with Beijing over the upgrading of their economic and cultural office in Hong Kong or Macau.

"Over the past eight months, we directly dealt with the Hong Kong authority only. We had no discussion on this with Beijing," Chu said. "But I wouldn't be surprised if the Hong Kong government sought from Beijing for these negotiations."

However, Beijing government spokesman Yang Yi welcomed the announcement, heralding the upgrading of relations as a milestone in cross-strait relations.

"This is a remarkable step in the development in Taiwan-Hong Kong-Macau relations, it's also a great achievement of the improving relationship among the four districts [of the] cross-strait," Yang said in an interview with Taiwan's Central News Agency.

Chu said the Taiwan Cabinet also approved Hong Kong's request to open an analogous economic and cultural office in Taipei.

The new office will operate in a similar fashion to Hong Kong's economic offices in mainland China and facilitate "trade between Hong Kong and Taiwan, investment promotion and enhancing cultural exchanges between the two places," the Hong Kong government said in a statement.

"The formal setting up of Hong Kong's multi-functional office in Taiwan signifies that the development of Hong Kong-Taiwan relations has entered a new phase," Hong Kong's Constitutional and Mainland Affairs Bureau told CNN in a statement. "We believe that there will be more frequent interaction between Hong Kong and Taiwan, and that the dimension of work will be deepened."

Under the current "one country, two systems" policy -- which defines China's policy toward its two SARs --, Hong Kong and Macau enjoy a high degree of autonomy, a capitalist economy and a political system separate from the mainland. Mainland China, however, is responsible for the defense of the two regions as well as their foreign affairs.

These stipulations are slated to end when the two regions are reintegrated with mainland China in 2047 and 2049, respectively.

Hong Kong University professor Danny Gittings said the announcement marked a significant step toward normalizing relations between China, Taiwan, Hong Kong and Macau.

"This certainly is unprecedented because Hong Kong has never had an office in Taiwan," said Gittings, the program director at the school's college of humanities and law. "You couldn't even conceive this until relations became much warmer."

CNN's Shao Tian contributed to this report.

@highlight

The renaming of Taipei's hub in Hong Kong delineates a warming of relations with Beijing

@highlight

Taiwan is Hong Kong's fourth largest trading partner, with a value of more than US$35 billion

@highlight

Taiwan President Ma Ying-jeou has been largely friendly toward mainland China since his election