(CNN) -- Citizens of South Korea chose their 18th president this week -- Park Geun-hye, who will be the nation's first female leader.

Park, 60, was the candidate of the ruling conservative New Frontier Party, also known as Saenuri. To some observers' surprise, Park's campaign had repeatedly highlighted her gender as a marker of her superiority to her rival, Moon Jae-in, a 59-year-old candidate of the opposition Democratic United Party, who is currently a member of the National Assembly.

For example, her television advertisements promoted Park as a prepped woman president who understands feminine leadership that is responsible and subtle. Park also made pledges appealing to women in workplace and family. She even equated the birth of a woman president with political cleanup and innovation in South Korea.

Looking at Park's future presidency from afar without considering its historical and social context, it is rather tempting to celebrate it as a sign of positive social change in the conservative Asian country -- women have finally arrived. Or have they?

Certainly, there is an affirmative note in the conservative party's calculation that they need to woo women voters and promote feminine leadership as a positive alternative to a male leadership soiled by corruption and power struggle.

We can appreciate its significance even more when this change is juxtaposed with the 1990s when many pregnant women in South Korea aborted female fetuses to ensure that they would have at least one son among one or two children they were willing to bear. The positive meaning of feminine leadership is also a step forward from older generations of women leaders in South Korea and elsewhere, who either downplayed their gender or ignored it altogether to avoid any negative consequence for their political career.

However, looking into it, the gender politics of Park's candidacy is replete with contradictions and ironies. Here are a few examples.

First, her political career, including her prominence in national politics since the 2002 presidential election, has been propelled and maintained by her father's posthumous political fortune.

She is the daughter of Park Chung-hee who ruled the country with a repressive iron fist from 1961 to 1979. Her father came to power through a military coup d état and his rule ended when he was assassinated by his own Korean CIA director.

In the aftermath of the Asian financial crisis (1997-1998) and disillusionment with civilian presidents who were democratically elected, a growing number of Koreans became nostalgic about her late father whose collective memory had been largely negative. In multiple national surveys conducted at the turn of the second millennia, an increasing number of respondents chose her father as "one of the greatest leaders" or even the greatest leader in Korean history.

Park began her political career in 1998 when she was elected to be a National Assembly member representing the city of Daegu through a special election.

Conservative Koreans have adored her as the daughter of the national hero. In fact, during the later years of her father's presidency, known as Yushin Dictatorship (1972-1979), young Park played the role of the first lady because her mother was assassinated in 1974 by a North Korean agent who intended to kill her father. This experience shaped her views on major historical and current issues in South Korea that often echo her father's. To progressive Koreans, her father's specter looms too large to consider Park as a symbol of new feminine leadership.

Second, evaluating her record as a politician in her own right without reducing her to her political pedigree, there is little to celebrate. She lacks a track record of practicing such positive feminine leadership and supporting policies to promote gender equality and empower social minorities in general.

On the contrary, she is known for her inability to communicate with people spontaneously and her lack of empathy for difficult lives of grassroots populace because of her privileged position throughout her life. Her admirers praise Park for her composure and discipline, but these positive qualities are not specifically related to her feminine leadership and commitment to empowering women and other social minorities. Therefore, the vociferous emphasis on these issues in her presidential campaign was nothing but expedient rhetoric to win the presidential race.

Third, comparatively speaking, the rise of Park's political star echoes the ironic situation of women politicians elsewhere (such as Margaret Thatcher, Golda Meir, Megawati Sukarnoputri and Sarah Palin), promoted by conservative or leftist parties that have rarely prioritized or supported gender equality in their policy making and implementation.

Park also conforms to the recurring model of female political leader who is a daughter, a wife, or a sister of a powerful male leader. This reveals that high social status overrides female gender in many societies and especially in a patriarchal society.

Women politicians in such situation may conjure up a powerful illusion that women are also individuals (like men) with equal right to run for public offices at all levels. Their presence also reflects a popular sentiment for gender equality that has spread globally in recent decades. Yet such women politicians are more likely to be window dressing to garner public support than agents of progressive social change toward equality and empowerment of women and other social minorities.

The opinions expressed in this commentary are solely those of Seungsook Moon.

@highlight

Park Geun-hye to become 18th president of South Korea -- its first female leader

@highlight

Moon writes it's easy to look at Park's future presidency as sign of social change

@highlight

Park's father's legacy has propelled her political career, writes Moon

@highlight

Moon: Park's political record lacks support of policies promoting gender equality