Washington (CNN) -- A man charged with drunk driving won his case at the U.S. Supreme Court on Wednesday, after the justices concluded police should have first obtained a warrant before conducting a blood test against his will, shortly after arrest.

At issue was a balancing test between timely gathering of accurate evidence and privacy interests.

The high court struck down Missouri's guidelines giving police broad discretion to forego getting a judge's prior approval before executing a search.

"We hold that in drunk-driving investigations, the natural dissipation of alcohol in the bloodstream does not constitute an exigency in every case sufficient to justify conducting a blood test without a warrant," said Justice Sonia Sotomayor.

Law enforcement wants flexibility to conduct such "searches"-- saying alcohol dissipates over time and that delays getting a magistrate to sign off on a blood sample can mean justice denied.

But civil rights advocates say these kinds of "invasive" medical procedures are unnecessary and unconstitutional, absent any extraordinary circumstances negating the warrant requirement.

The ruling did not provide a bright line rule for either side. But it affirmed the existing standard that the "totality of the circumstances" must be considered by police, and was not properly applied in this case.

The court did not offer law enforcement specifics on how much time can elapse before police would reasonably be able to forego warrants and order blood tests.

Half the states prohibit warrantless blood draws by police in "run-of-the-mill" DUI cases.

The appeal involves Tyler McNeely, 25, who was stopped in the middle of the night two years ago near Cape Girardeau, Missouri, for speeding. He failed four field sobriety tests administered by highway patrolman Mark Winder.

McNeely then refused a portable Breathalyzer test on the scene, and was placed under arrest. The corporal then transported the suspect to a local hospital when McNeely said he would not consent to a breath test at jail.

A blood test was ordered unilaterally by the officer, again over the man's objections, performed by a trained phlebotomist.

The motorist's blood-alcohol content was 0.154 percent, nearly twice the state's legal limit. Court records show the time lapse between the initial stop and the blood test was about 30 minutes.

State courts subsequently divided over whether the test could be admitted as evidence, prompting the Supreme Court appeal.

The Fourth Amendment protects "the right of the people to be secure in their person ... against unreasonable searches and seizure," and that "no warrants shall issue, except under probable cause."

The high court's guiding standard has long been "reasonableness" and the justices here again said the warrant requirement can be suspended under exigent circumstances, such as the risk of endangering lives or destruction of evidence.

But the court has also said state intrusions into one's own body generally require prior review and approval by a judge.

The Obama administration is backing Missouri, saying there is a strong federal interest in deterring drunk driving.

The court's nuanced opinion was not a total defeat for law enforcement.

Indeed, the per se threat of a needle-- with or without a warrant-- may be enough of an incentive for suspected drunks to agree to less invasive breath tests. Both sides concede that dynamic already exists in many cases.

But Chief Justice John Roberts issued a separate "concurrence" to the ruling, lamenting the lack of the court's specificity.

"A police officer reading this court's opinion would have no idea, no idea, what the Fourth Amendment requires of him, once he decides to obtain a blood sample from a drunk driving suspect who has refused a breathalyzer test," he said.

The decision will likely mean police may be required to adopt more extensive guidelines on its testing policies, narrowing the emergency exceptions to the warrant requirement.

The practical effect may be to force officers to streamline and speed up the warrant process, so that drunk drivers are tested before it is too late to preserve the evidence.

Sotomayor acknowledged that in her opinion.

"Technological developments that enable police officers to secure warrants more quickly, and do so without undermining the neutral magistrate judge's essential role as a check on police discretion, are relevant to an assessment of exigency," she said.

More than 10,000 people were killed in alcohol-related motor vehicle incidents in 2010. That is one death every 51 minutes. Another 500,000 people on average are injured annually in booze-fueled crashes.

@highlight

Case involved rights of suspect in Missouri drunk driving case

@highlight

Question was whether police needed a warrant before seeking a blood test

@highlight

Decision will likely mean police may be required to adopt new guidelines