Los Angeles (CNN) -- In an expanding investigation into teacher misconduct, Los Angeles school officials are going back 40 years in their internal review of teacher discipline cases in an effort to determine whether any of the instructors should also be referred for possible license revocation, a school spokesman said Friday.

Los Angeles School Superintendent John Deasy has asked the principals at more than 1,000 schools to search the files of the past 40 years for "any cases of possible employee misconduct," spokesman Tom Waldman told CNN.

The 40-year period is a significant expansion from the past four years of misconduct cases that the system has already reviewed.

So far, Los Angeles school officials have referred the discipline cases of 604 teachers from the past four years to state authorities who have powers to revoke a teacher's credentials, officials said.

Of those 604 cases in which teachers were fired or facing discipline, 60 teachers were accused of sexual misconduct with pupils on or off campus or with minors who weren't students, school officials said.

The California Commission on Teacher Credentialing will investigate 366 of the 604 teacher cases to determine if licenses should be revoked, which is a six-month process, spokeswoman Anne Padilla said. Most of the cases focused on allegations of teacher misconduct that involved student safety.

Padilla said Friday that 122 of the 604 cases were referred back to the school district for further information because the state agency didn't have the authority to investigate.

She also told CNN that 103 of the 604 cases were duplicates and were already being investigated by the agency's committee on credentials. "For the vast majority, no final action has been taken. They are still in process," Padilla said about the 103 cases.

The referral of the cases to state licensing investigators comes as the nation's second largest school system deals with a crisis of teacher misconduct. The district has been reeling from a scandal at Miramonte Elementary School, where two teachers have been charged with lewd acts on pupils, including one teacher accused of putting children in adult-like bondage situations and placing semen-filled spoons at their mouths.

The state license of that teacher, Mark Berndt -- who has pleaded not guilty to 23 counts of lewd acts on pupils -- has been suspended as the state agency monitors his criminal case, and a license revocation occurs upon a conviction, Padilla said.

If an appeal to a conviction is made, the suspension of teaching credentials continues, Padilla said.

This week, the California Senate approved a bill that would empower school boards to fire teachers for misconduct and expedite the firing process of instructors accused of offenses involving sex, violence or drugs, said Democratic state Sen. Alex Padilla, who authored the legislation.

The bill now goes to the State Assembly for a vote.

"Because a school board is ultimately responsible for ensuring a safe learning environment, the school board should be empowered to dismiss employees they determine to be a serious threat to the health and safety of students," Sen. Padilla said in a statement.

The lurid allegations at Miramonte prompted the Los Angeles system to do an internal review of its handling of past teacher misconduct cases, and the district determined that 604 cases needed to be referred to state licensing authorities for review, though "a substantial number" of other misconduct cases had already been reported to the state, school officials said.

One parent, Alvaro Salgero, told CNN that he was concerned about child abuse in the school system.

"It tended to be a safe place, but from what I hear, it seems that's not happening in some places," Salgero said. "There isn't sufficient security for children.

"We're able to realize that there wasn't much of an investigation with teachers and they didn't investigate them before giving them a job, and those who suffer are the children, the pupils," Salgero said.

The 604 cases include teachers who were disciplined or were about to face discipline since July 2008, according to Ira Berman, Los Angeles Unified School District director of employee relations, and Vivian Ekchian, the district's chief human resources officer.

The cases also include teachers who were fired by the school board or who left the district after termination proceedings were initiated or while an allegation of misconduct was pending, Berman and Ekchian said.

The system doesn't know whether any of the teachers who were fired or who left the district are still in the classroom in other school districts.

The 604 figure also includes teachers who were suspended for 11 days or more for a variety of reasons not involving sexual misconduct with students, the two officials said.

"The safety of our students is our No. 1 priority," Ekchian said in explaining why the system referred the 604 cases to the state.

The system's internal investigation arose after parental outrage after charges were filed against former Miramonte teacher Berndt, who resigned from the system last year but was not referred to the state for possible license revocation, district spokesman Waldman said.

Berndt, 61, pleaded not guilty in February to allegations he bound young students, then photographed them with semen-filled spoons held at their mouths and three-inch cockroaches crawling across their faces, among other graphic depictions.

"We had not informed Sacramento to revoke Mr. Berndt's credentials," Waldman said.

Berndt is being held on $23 million bond and faces 23 counts of lewd acts on a child. The 23 victims were between 7 and 10 years old, and all but two of them were girls, the Los Angeles County District Attorney's Office said.

Authorities have said they have discovered roughly 600 images allegedly taken by Berndt in his classroom.

Los Angeles Unified School District Superintendent Deasy has said Berndt was removed from his teaching job in January 2011 after school officials learned of the police investigation.

A teacher for 30 years, Berndt initially challenged the school district's decision to dismiss him. But he eventually dropped his appeal and resigned last spring.

His arrest in January led to broader fallout over the adequacy of safeguards for the school's students and the prospect of more victims.

Days after Berndt was taken into custody, another Miramonte Elementary teacher -- Martin Springer, 49 -- was arrested and charged with three felony counts of lewd acts with a girl younger than 14. He has pleaded not guilty.

The LAUSD board subsequently shut Miramonte for two days, during which the board reconstituted the entire staff in the 1,400-student school. Miramonte is in unincorporated Los Angeles County within the Florence-Firestone area, about six miles south of downtown Los Angeles.

@highlight

Los Angeles school officials are now going back 40 years in their review of past teacher misconduct

@highlight

They have just reviewed the past four years of teacher discipline cases

@highlight

L.A. school officials referred 604 teacher cases to state authorities in charge of license revocation

@highlight

California Senate passes a bill that makes firing teachers for misconduct easier