Obesity rates in children 2 to 5 years old have decreased significantly over the past decade, according to a new study published Tuesday.

While there were no significant changes in obesity rates for most ages between 2003-2004 and 2011-2012, researchers saw a 43% decline in this group's rates -- from 13.9% to 8.4%, according to the study published in JAMA, the journal of the American Medical Association.

A big part of a child's obesity risk is already established by age 5, according to a study published in January.

The study findings were announced the same day as first lady Michelle Obama proposed new rules to limit the types of foods and beverages that can be advertised in schools and marked the fourth anniversary of her Let's Move! initiative to combat child obesity.

Under the suggested federal regulations, companies would no longer be permitted to use logos of high-calorie products such as regular sodas on cups, vending machines or posters.

The move is part of the first lady's ongoing efforts to combat childhood obesity in America.

According to the new JAMA study, close to 17% of children aged 2 to 19 were obese in 2011-2012. That number has remained fairly constant since 2003-2004, dropping just 0.2%.

More than a third of adults over 20 were obese that same year, a number that held steady over the study's time period. The prevalence is often higher in women and in Hispanic and non-Hispanic black populations.

Four years ago this month, Obama announced that she was taking on childhood obesity with a new initiative called Let's Move! The comprehensive program was part parental education, part government reform -- with a bit of celebrity encouragement thrown in.

"About one-third of our children are overweight or obese. None of us want that for our country," Obama said at the time. "It's time to get moving."

Let's Move! had several objectives under its broader ambition of "solving the challenge of childhood obesity within a generation." Obama wanted to increase physical activity and improve nutrition in schools, overhaul nutrition labels to make healthy choices easier for families, decrease the number of calories in restaurant meals and eliminate food deserts -- areas without access to fresh, healthy foods -- in cities across America.

First Lady: Childhood obesity is about fitness, not looks

In December 2010, President Barack Obama signed the Healthy, Hunger-Free Kids Act into law, which was designed to encourage better eating habits in schools by giving the federal government more authority to set standard for food sold on school grounds. The $4.5 billion act provided more money to subsidize free meals and help administrators offset the higher costs of including more fruits and vegetables in school lunches.

Then in June 2011, the USDA dismantled the traditional food pyramid and replaced it with a new icon called MyPlate. The plate emphasizes fruits and vegetables, telling Americans to fill half of every plate they eat with produce. Another quarter of the plate should be lean protein; the last quarter should be whole grains. A small portion of dairy -- perhaps a glass of low-fat milk -- can be added on the side.

The first lady also tackled nutrition and physical education in childcare facilities around the country. Let's Move! offers guidelines for childcare providers: one to two hours of physical activity a day; limited screen time; more fruits and vegetables at meals served family-style when possible; no fried foods and no sugary drinks.

And that's not all.

"Food manufacturers have pledged to cut 1.5 trillion calories from the products they sell. Local grocers and national chains such as Walgreens and SuperValu are building new supermarkets and expanding existing stores to sell fresh food in 1,500 underserved communities," Obama wrote in an op-ed for CNN in 2012.

"Restaurants are transforming their kids' menus, packing them with healthier options. Mayors are planting gardens and refurbishing parks. Congregations are sponsoring summer nutrition programs for kids and exercise ministries for families."

Even Disney and the Department of Defense are jumping on board.

In January 2012, the USDA issued its new rules for school meals, which are being phased in over a three-year period. Cafeterias must offer fruits and vegetables at every meal, reduce sodium and some types of fat and keep to calorie minimums and maximums. The government agency followed up six months later with new rules for snack foods. The regulations set limits for fat, salt and sugar sold in school vending machines and snack bars.

The USDA has faced opposition over the new rules -- from student athletes who say they're not getting enough calories to administrators who say kids just aren't buying the healthier options.

Which raises the question: With all these new guidelines and regulations, are kids really getting any healthier?

It's a difficult question to answer, as the most comprehensive data collections about obesity are still a few years behind. But there have been signs of progress.

Steven Hanus, a elementary physical education teacher in the Chicago suburbs, says he's noticed a change in his students -- and their parents -- over the past five years.

Overall, the kids are in better shape, he says. Parents are asking Hanus more questions as well, about how to keep their kids moving at home. And he's received strong support from administrators in his quest to find new ways to interest students in fitness. Recently, his first-graders were given pedometers for the first time.

Related: Not your mama's gym class

"From our top level down, the initiative to keep kids moving and active has definitely been a big part of the district," Hanus says. "It's made us all a little more aware of how active we are."

Another study published in August 2013 that analyzed data from preschool children in low-income families showed a small but significant decline in the group's obesity rates between 2008 and 2011.

"It's a bright spot for our nation's young kids, but the fight is very far from over," CDC Director Dr. Tom Frieden said at the time.

Obama agrees.

"While childhood obesity rates are beginning to fall, we still have a long way to go before we solve this problem once and for all," the first lady said Tuesday. "We can't slow down and we can't turn back now."

Let's Move! recommends children engage in physical activity for a total of 60 minutes every day, and adults should move for 30 minutes daily.

Show the White House how you move on Twitter, Facebook, Instagram and Vine using the hashtag #LetsMove.

@highlight

A new study shows a decrease in obesity rates for kids ages 2-5

@highlight

Research has shown a child's lifetime obesity risk is established by age 5

@highlight

Michelle Obama proposes new limits on food/beverage advertising in schools