Greenville, South Carolina (CNN) -- Lauren Zanardelli and Graham Foster are the kind of customers the government needs to make Obamacare work.

The chefs own and operate a bright orange hipster magnet called the Neue Southern Food Truck. The farm-to-table vehicle stands out in Greenville, South Carolina, even among the new gastropubs that dot the city's charming Main Street.

Today Zanardelli and Foster are zooming around their rented kitchen on the edge of town, preparing deep-fried Brussels sprouts, Ramen with seaweed and pumpkin sweet rolls. They won't have time after their 12-hour work day to explore the new health insurance marketplaces that opened this morning, but they look forward to seeing what Obamacare can offer them.

And that's good news for health care insurance companies.

Young and fit people like Zanardelli, 31, and Foster, 28, have to buy into the system to support the law's mandate that all people must have health insurance next year. Under Obamacare, companies can no longer deny policies to people with pre-existing conditions, and some 48 million Americans are uninsured, according to the latest U.S. Census Bureau figures.

What insurance companies will save on medical costs for the healthier population will help pay for the older, sicker people who are entering into the insurance market for the first time. But because they're young -- and don't foresee getting sick any time soon -- some Millennials may decide to skip insurance and risk paying a fine.

Zanardelli and Foster have health insurance now, but it's pricey and "it covers nothing," Zanardelli said. She hasn't been to the doctor in years and shells out about $200 a month. Her policy doesn't cover prescriptions either.

"If it's not generic, I can't afford it."

She says her family warned her about this when she left her teaching job in Charlotte to follow her passion for cooking.

"One of the first things my parents said was that I was really going to miss that good health insurance, and they were right. I'm healthy, but I really do," Zaradelli said. "Ultimately, though, it's worth it. ... This doesn't feel like work to me. I love what I do. New insurance will make this even better."

The owners of Neue Southern met in 2011 when they enrolled in the culinary arts program at Johnson and Wales University in Charlotte.

The two chose to move to South Carolina after working under well-known chefs in New York. The foodie fast lane, they decided, wasn't for them. When they scanned the country for opportunities, the food trucks in their East Village neighborhood inspired them. Why not bring a slice of the East Village to Greenville, where Foster got his first taste of cooking in the kitchen of his German-born grandmother?

They were true foodie pioneers. Zanardelli says the people of Greenville welcomed their European take on old Southern favorites, but when it comes to health insurance they may have been better off somewhere else.

South Carolina ranks near the bottom in the nation when it comes to access to care and health outcomes, according to the latest edition of America's Health Rankings.

While Obamacare is federal legislation, the Supreme Court ruled that states could decide how they would handle the implementation. Leaders in South Carolina have been downright antagonistic to the legislation.

"Just because the Supreme Court says something is constitutional doesn't make it constitutional," one South Carolina state senator, who introduced an anti-Obamacare bill this year, told the Spartanburg Herald-Journal.

The senator's bill failed, as did others -- one of which would actually have made it a crime for a state or federal official to implement any provision of Obamacare -- but the state did successfully refuse to expand Medicaid. It has not set up its own health care marketplace.

Obamacare exchanges 101: What you need to know

"We don't talk politics around here because there goes half our client base, either way," Foster said while mixing the base for the Ramen. "But politics aside... we need something better than what we have."

For the more than 726,000 people in South Carolina without insurance there are parts of the federal legislation that will help them. Many will be able to buy policies through the federal health insurance marketplaces. And many, such as the chefs of Neue Southern, will be eligible for tax breaks and subsidies to help them pay for any policies bought through these marketplaces.

The policies themselves will also be much more comprehensive.

All health insurance plans will now have to cover preventative health care and at least nine other kinds of care, including hospitalization, outpatient care, emergency services, mental health and substance abuse care, maternity and newborn care, prescription drugs, lab tests, rehab, and pediatric care. Premiums will vary depending on the depth of coverage. Out-of-pocket costs for an individual are capped at $6,350.

Infographic: Obamacare insurance rates

When Zanardelli and Foster do get a break from work they say they will shop around and figure out which policy best fits their needs.

Health care coverage could come in handy right now for Foster. He struggled with a double ear infection for weeks. A doctor at the local urgent care center told him ear drops would cost him $130; he paid to avoid permanent damage to his ears. Now he has a sinus infection. Unfortunately, even if he were to buy insurance through the exchanges today, the policies won't kick in until January.

Not having insurance, they say, is not an option -- even if the fine would be a lot cheaper than the least expensive policy option.

"I think of this as an investment in our future health care," Zanardelli said. "Most of the younger people we hear object to Obamacare are looking at the present and how it affects them now. We are relatively healthy, but in a few decades we will likely need medical attention."

"We feel optimistic it will be something that can work better for us health wise and be affordable," she continued. "That would be a beautiful thing."

@highlight

Insurance companies will save money on young to help pay for older, sicker population

@highlight

Under Obamacare, companies can no longer deny people with pre-existing conditions

@highlight

South Carolina ranks near the bottom in the nation when it comes to access to care

@highlight

State has refused to expand Medicaid and has not set up its own health care marketplace