(CNN) -- Think Paris, and the Eiffel Tower, the Champs-Élysées and haute couture come to mind. But the City of Light also is rich in African-American history. Keeping this history alive are tour companies that share it, up close and personal, with visitors to France.

From legendary entertainer Josephine Baker to internationally acclaimed artist Henry Ossawa Tanner to World War I's ragtime-and-jazz-playing "Harlem Hellfighters," Paris has embraced African-American culture like few other places. Because of that legendary embrace -- one that black folks in the States had heard about since the 1800s -- Paris loomed large in their imaginations. To many who didn't always feel welcome in their native country, the city sounded like a place where they could emotionally exhale.

"It's always been about freedom for us," says Marcus Bruce, the Benjamin E. Mays Professor of Religious Studies at Bates College and author of "Henry Ossawa Tanner: A Spiritual Biography." He's now researching a book on African-Americans at the worldwide Paris Exposition of 1900 and exploring their Parisian lives in the 19th and 20th centuries.

Legendary Harlem-born author James Baldwin, who left for Paris in 1948, said "African-Americans discover in Paris the terms by which they can define themselves. It's the freedom to work beyond the assumptions of what we can and can't do as African-Americans. It's a different rhythm and pace. We can imagine ourselves in new ways in that space."

10 fabulous free finds in Paris

That's where these treks through African-American history come in.

Walking the Spirit Tours

Julia Browne launched Walking the Spirit Tours in 1994, and it became the first company to focus specifically on black American history in Paris.

Back then, she says, "I'd contact travel agents in the States and they would say, 'Why would people want to do that?'" Times have changed for Browne, who is based near Toronto and frequently travels to France to lead tours.

For example, Browne's "Writers, Artists & Intellectuals" tour traipses through the lively Latin Quarter and chic Saint-Germain-des-Pres. Her guests get to peek inside the Parisian café where Richard Wright wrote and see the urban landscapes that inspired Boston-born painter Lois Mailou Jones. "The Entertainers" tour strolls still-vibrant Montmartre, the quartier where both Josephine Baker and Ada "Bricktop" Smith once owned clubs.

Snapshots: City of Light -- and love

While 85% of Walking the Spirit tour-goers are African-American, "We do a lot of school groups from Switzerland, Canada, Germany, the Netherlands, Turkey and more and more French schools and organizations. It's professors in European universities who are teaching black studies," says Browne.

"For African-Americans or black Europeans, it creates a tremendous sense of pride and belonging. "Paris is not just a foreign city," says Browne, a certified France specialist who also offers black history tours elsewhere in France.

Browne has hired a 20-something Walking the Spirit tour guide who moved to Paris from the States to pursue a singing career, and her experience in the city "brings it up to date. People enjoy hearing the real, on-the-ground stories from her."

A new DVD vividly captures much of what Browne's tours bring to life. In "When African Americans Came to Paris," Browne, award-winning documentarian Joanne Burke, and writer/cameraman David Burke feature six short videos that offer a fascinating, early 20th century look at black Americans in Paris.

Walking the Spirit Tours operate year-round, with prices ranging from $60 to $70 per adult, with children up to age 15 half-price.

Black Paris Tours

Oakland, California, native and former broadcast journalist Ricki Stevenson fulfilled a lifelong dream of moving to the City of Light, and in 1997 launched Black Paris Tours. Her talk show host roots are obvious as she recounts the experiences of now legendary black American expatriates for guests. With the historic Arc de Triomphe on the famed boulevard Champs-Élysées as the backdrop for her tour's start, Stevenson uses laminated photos and sketches as props that help bring this brand of American history to light.

"I can do five tours in one week and they won't be the same. It really depends on the people," says Stevenson, who like Browne frequently gets university groups from around the world. Her tours also have attracted American celebrities and politicians, including R&B star Brian McKnight and former San Francisco Mayor Willie Brown. "It really depends on the level of interest, the level of understanding. I've had professors of African-American history on the same day, and it was just magic."

As she's done for years, Stevenson punctuates her historical soundtrack with a primer on Parisian protocol: "How to be polite, what to expect, so that they get into being French for a minute." She advises her guests to always greet store owners and clerks with a friendly bonjour or bonsoir when entering and au revoir when leaving; to keep their voices low when on trains and buses and in restaurants.

"They may come as tourists, but I want them to leave as travelers who don't just pick up souvenirs. I try to make that correlation so they understand where they are, what the culture is.

"Having been a travel reporter for six years and traveling all over the world, I want to see where people go to shop. Take me to the 'hood. I want to see us (black Parisians) as much as possible."

Since spring 2012, one of Black Paris Tours' four guides functions as a "nightlife coordinator" for guests who want to experience Paris after dark. This French-speaking guide arranges evenings on the town for guests, handles plans for dining, entertainment and transportation -- and will accompany them on these adventures.

Black Paris Tours operate Monday-Friday except during late December and January. Adult tour prices range from €70 (about $94) for a two-thirds day tour to €100 (about $134) for a full-day walking-bus tour (doesn't include €10 lunch). Children from age 5 to 15 are €30 each. Discounts are available for groups of eight or more.

Entrée to Black Paris

When Houston native Dr. Monique Y. Wells began leading tours in Paris more than 10 years ago, most of her guests were university study-abroad groups. She still gets them, but Entrée to Black Paris now has expanded to offer 12 different African-American history walks, including "Black History in and Around the Luxembourg Garden" and "Montparnasse -- The Artists' World."

Wells' company specializes in private, guided tours, and her most popular is "Black Paris After World War II," which Wells says offers "a lot of talk about the entire African-American diaspora experience."

"It's important for African-Americans to see there are other race struggles going on in the world," says Wells, whose e-book "Black Paris Profiles," shares the stories of 24 black American and Afro-Caribbean folks who reinvented their lives here.

"And for people who are not black and taking the tours -- if they are Americans -- to see just how much the African-American presence has brought to Paris. The Paris they know would not be the same, and it's important for them to understand that."

Wells mentions jazz, first introduced to France by black Americans. Not only has this music led to a French-grown jazz culture, but "so much art from the 20th century has been influenced by jazz."

Culinary contributions also figure into Entrée's year-round tours. "When I moved here, you could not find sweet potatoes on mainstream menus," says Wells, a co-author of "Food for the Soul: A Texas Expatriate Nurtures Her Culinary Roots in Paris."

Now, she says, this African-American Southern food staple is everywhere -- and served thinly sliced and fried as a bite-sized hors d'oeuvre or soup garnish.

Passionate about helping tourists explore French culture through food, Wells this month will start joining Jacksonville, Florida-based Chef Amadeus for "The Southern Passion Lounge in Paris," an Internet radio show. Broadcast the third Thursday of each month at 1 p.m. ET, they'll transport listeners to Parisian eateries through food, wine and music -- and also will spotlight French restaurants and chefs in the States.

The newest Entrée to Black Paris offering takes guests to the western Parisian suburbs for the "Josephine Baker Tour in Le Vésinet." They'll see Le Beau Chêne, the mansion Baker owned and called home for 18 years, have lunch at a nearby American-owned bed and breakfast and learn about Baker's life over dessert.

Wells and husband Tom Reeves also operate Discover Paris!, a service offering everything from gourmet food tours to self-guided downloadable walks to presentations on "Black Paris and the Myth of a Colorblind France."

Entrée to Black Paris' prices range from $25-$30 for self-guided walking tours to $325 for private, guided walking tours for between one and 15 people (no per-person charge). Activities such as museum art walks and the "Josephine Baker Tour in Le Vésinet" are group-only; contact info@parisinsights.com for prices.

Maureen Jenkins is a freelance travel, food and lifestyles writer who has visited nearly 35 countries and territories. She just returned to her native Chicago from a year in France and blogs about international travel at UrbanTravelGirl.com.

@highlight

Tour companies highlight the welcome many African-Americans found in Paris

@highlight

Black artists, musicians and writers flocked to Paris to find greater freedom of expression

@highlight

Tours go to many vibrant Paris neighborhoods to retrace the steps of notable residents