(CNN) -- At the end of April 2010, a couple of weeks before the WHO announced a major 2011 U.N. summit on Non Communicable Diseases (NCDs), I left Merck to start Arogya World, a U.S.-based non-profit with a bold mission -- to change the course of chronic disease. This was the beginning of a very personal journey for me, and the expression of a heartfelt desire to gather like-minded people and make a meaningful contribution to global health.

At the core of our work is compelling science. According to the WHO, 80% of heart disease, 80% of diabetes and 40% of cancers can be prevented by increasing physical activity, healthy eating and avoiding tobacco.

At Arogya World, we believe deeply in the power of prevention. Globally, we shine a spotlight on NCDs -- heart disease, diabetes, cancers and chronic lung diseases -- and advocate for their prevention. In India we are implementing programs for diabetes prevention through lifestyle changes. There we launched mDiabetes, our flagship program, a groundbreaking one-million-person diabetes prevention mHealth effort conducted with Nokia -- and an ongoing Clinton Global Initiative Commitment.

Over the last two years, we have collected a group of committed, passionate individuals -- including advisors like Raj Dave -- and immersed ourselves in the difficult task of moving hearts and minds.

Our approach is to leverage strong science, medical and non-medical experts, public-private partnerships and modern technology to make measurable public health impact -- improving lives and livelihoods around the world.

Why NCDs? Why India?

Two out of three deaths in the world today are caused by NCDs, some 80% of them in developing countries. By year 2030, NCDs are estimated to cause more than five times the number of deaths from HIV, TB, malaria and maternal and child mortality, combined. And the cost is staggering -- projected to be trillions of dollars in lost productivity over the next two decades. NCDs have become a world crisis, changing the face of global health as we know it, demanding urgent political action and international co-operation.

Twenty percent of India's people have one chronic disease, and 10% more than one. Diabetes (which runs in my father's family) is at catastrophic levels in India, where more than 50 million people live with the disease, and 1 million die from it each year. And Indians get diabetes on average 10 years earlier than their Western counterparts.

Half of India (more than half a billion people) is under 25 years of age. As these young people get into their 30s and 40s and start getting diabetes in large numbers, the public health impact will be huge.

Our immediate goals in India are:

1) Educate at least 1,000,000 Indians in diabetes prevention.

2) Execute and measure the effectiveness of interventions targeting consumers, schools and the workplace.

3) Bring about behavior changes proven to prevent diabetes in 50,000 people.

And, we want to use what we learn to establish a scalable model for prevention of chronic diseases. mDiabetes is key to achieving these goals.

In September 2011, at the Clinton Global Initiative Annual Meeting, we pledged to reach one million people from all over India over a period of two years, and to measure the effectiveness of our program.

We're sending text messages on diabetes and its prevention twice a week in 12 languages, providing six months of content at no charge to the consumer. We were joined by many partners in this big, bold effort - Nokia, Emory University, Aetna, Johnson & Johnson, Biocon and Ipsos -- and we thank them for partnering with an unknown (we prefer the epithet "small but mighty") non-profit.

With Emory University, we developed diabetes awareness and prevention messages with a strong emphasis on science and proven principles of behavior change. We then reviewed them for cultural relevancy and technical accuracy with our Behavior Change Task Force, a group of medical, health promotion and consumer communications experts. To date, we've reached 100,000 consumers, and are on track to reach one million by next year.

See a 1 minute video on Arogya World's work in India

We are measuring results, so that we can correct course as needed and improve program effectiveness. This is no pilot -- we have completed the first phase of research with 750 consumers, and will be conducting more rigorous evaluation of behavior change.

What is the promise of mDiabetes?

We want to evaluate the effectiveness of mDiabetes in both urban and rural India, and then expand our program to include other NCDs such as heart disease, etc. Ultimately, we wish to establish a scalable chronic disease prevention model.

There are many reasons why we are genuinely excited about the promise of mDiabetes:

1) Mobile phones have a broad reach in the developing world -- some 75% of the mobile subscriptions today are in the developing world. In India alone there are more than 900 million mobile subscribers.

2) And it is the same developing countries that are hardest hit by NCDs -- mHealth could provide helpful and cost effective solutions.

3) Initial results from the Message Refinement phase of mDiabetes research are encouraging: overall, consumers reacted very favorably to the messages and found them clear, compelling and useful.

Eighty-five percent said they would be willing to share the messages -- we find that extremely promising.

If effective, mDiabetes could be replicated in other countries, and evolve into a global solution to the NCD crisis. Developing countries, already burdened by the scourge of infectious diseases and maternal mortality, are finding it hard to grapple with the growing burden of NCDs, and would likely find such an approach affordable and easy to adopt.

The Political Declaration on NCDs adopted unanimously at the UN Summit in September 2011 by all countries, asked for a "whole of society" approach to tackle NCDs, one of the greatest health and development challenges of the century.

We at Arogya World agree -- NCDs are our collective responsibility to fix. mDiabetes and the rest of our work, including our global advocacy for NCD prevention, are this one NGO's response to that call to action.

The opinions expressed in this commentary are solely those of Dr. Nalini Saligram.

@highlight

Arogya World's key focus in India is diabetes prevention through lifestyle changes

@highlight

80% of diabetes can be prevented by increasing physical activity, healthy eating and avoiding tobacco.

@highlight

Twenty percent of India's people have one chronic disease, and 10% more than one.

@highlight

mDiabetes hopes to send diabetes awareness and prevention messages to one million people by next year.