HONG KONG, China (CNN)  -- Bamboo, woven into the shape of human stomachs. Red, sky blue and orange pencil shavings glued onto a large canvas form a woman's traditional hair clip. A collage of magazine clippings, drawings and found materials depict Cambodia's tumultuous modern history.

Leang Seckon's "Prison Guard" depicts Duch, who is facing a genocide tribunal starting Tuesday.

These are a few of the offerings on hand in Hong Kong at one of the first large international exhibitions of artists from Cambodia. The work by 14 artists varies in practice-- video, photography, collage, wood shavings, paper, bamboo and painting-- as well as in themes, from reflecting on the Southeast Asian nation's genocidal Khmer Rouge regime to the emerging modern Cambodia, with traffic lights and all.

"Every artist in this show is referencing ancient tradition and recent history," said Phnom Penh-based curator Erin Gleeson, noting the wall-size depiction in folded paper of the serpent Naga (which in Cambodian culture represents the people's mythical birth) to a collage of 20th-century Cambodia and its six different regime changes.

"The show is looking at the present -- 'Forever Until Now' is the title -- and it is this lineage of the past, you see that in the show, and then you see artists that arrive at the present," she added.

The show opens Friday and runs through March 22 at 10 Chancery Lane Gallery. Gallery owner and director Katie de Tilly said she believed it was important the artists get international exposure.

" ... it's really at the beginning of their art emergence. Obviously, they've had a very hard history," she said. "This is really the beginning of contemporary Cambodians who are expressing very original ideas in their artworks and I think that that's what makes it very unique and to show to the rest of the world."

Cambodia, which lost an estimated one-quarter of its population or at least 1.7 million people -- including an estimated 90 percent of its artists -- under the 1970s Khmer Rouge regime, has a small but growing artistic community: there are some 50 practicing artists out of its 14 million people, Gleeson said.

The genocide and ensuing war, which only ended in the last decade or so, stifled the development of the arts in one of the world's poorest countries.

"The legacy of that is now in every facet of a developing society," said Gleeson, who noted the country had no art books when she arrived in 2002 on a fellowship to teach art history. "There's an absence of infrastructure for them, there's an absence of materials, there is no art store. ... they are quite inventive about mixing materials to make them of a higher quality or last longer, but in many cases they don't know archival techniques."

The harsh weather conditions -- a dusty, hot season and a rainy monsoon -- add to the trying work conditions.

"Everything's against them," she added. "Their parents in many cases are coming from a really disadvantaged background, as the majority of the country is economically."

Some of the art included in the show looks at the Cambodia of today, such as Leang Seckon's "Three Greens" -- an acrylic painting showing children in school uniform crossing a road with a yellow light, red light and three green lights, along with cows and roosters. The piece shows the changes in a country that recently got stop lights, with animals, people and traffic mingling on the main roads of the capital.

Sopheap Pich, a Cambodian-American whose family migrated to the U.S. in 1984, works with bamboo and rattan -- materials often used in Cambodian traditional farming and crafts -- to make sculptures.

His work, "Cycle 2," is the joining of the stomachs of an infant and an elderly person that for him brought up ideas of Cambodian traditional village life.

"You belong to each other, you help each other out," he said. "But also, if you look at the lines and you see how it's shaped by hand, it's not very perfect, so it's also about struggle...

"You could say it's a cycle of trying to hold onto each other, now we are living everywhere in the world, Cambodians are all over the planet," he added. "All this technique and pattern that I am quite obsessed with ... it's about this idea of trying to hold on with very simple means."

Chan Dany, a 25-year-old artist who graduated from one of the country's three art schools, creates textured patterns that appear almost like tapestry using pencil shavings in various colors. The works on display in the show are from a series based on Cambodian architectural decor, such as door and window shutter carvings, and include ancient Khmer forms whose shapes are derived from nature.

"When I started learning art, the teacher introduced a lot of new ways of making art, new ideas that were very difficult for me, so I had to think a lot," he said through a translator. "So then I looked around at what my classmates were doing and I started to think about what they weren't using for their work, so I started to collect the things that they didn't use when they were making art and started to think about my way of making art using those materials."

"I like the first piece I did (using the pencil shaving technique) because I had never done it this way before and since then I kept on making it," he said.

The younger artists "seem to be expressing something more fresh," while the work by artists from the older generation is "much more heavy," de Tilly said.

Some of the works of the Khmer Rouge period include a painting by Vann Nath, one of seven people to survive the regime's infamous S-21 torture prison. His painting, "Pray for Peace," depicts women wearing traditional Cambodian funeral scarves praying en masse under troubled skies by stormy seas.

Another work, Leang's "Prison Guard," tells the life of Duch, a former teacher who ran S-21 and goes on trial Tuesday before a U.N.-backed tribunal on charges that include crimes against humanity.

The art scene has been growing slowly in the Cambodian capital of Phnom Penh over the last few years: Sopheap started a group to promote contemporary Cambodian art practices and two art institutes offer programs apart from the Royal University of Fine Arts.

One factor that has also made Cambodian contemporary artists different from their counterparts, for example in neighboring Vietnam, has been the lack of outside influence, such as was the case with Chinese contemporary art 30 years ago, de Tilly said.

"Cambodia still is very much influenced by itself and so the development is happening on a slower pace but as well very interesting," she said. "They seem to not have as much international exposure to materials, magazines, publications, so you really do feel -- it was the same just after the Cultural Revolution in China -- that they didn't have exposure to many publications and things, and so their art was developing at that moment in time."

" ... it's very interesting to document it and see what's going to happen in the future," she said.

Part of the exhibit will be shown at another of the gallery's venues in Hong Kong and will run through April 25.

@highlight

Fourteen artists, ranging in age and practice, displaying their works

@highlight

One work depicts Duch, a former Khmer Rouge leader facing genocide tribunal

@highlight

Cambodia's arts were stunted by the 1970s genocide and civil war

@highlight

Some 50 artists now practicing their craft in the Southeast Asian country