(CNN) -- Smart, successful, funny and handsome. Robin Williams seemed to have it all. And yet, today he is dead. Apparently, by his own choice.

But why? What went wrong?

The joy, spontaneity and humor of Robin Williams likely masked the daily torment he endured in his on-again-off-again struggle with depression. He made us laugh out here, but he was in pain in there. Unfortunately, I know that pain.

In his death, we have lost one of the most talented and creative spirits on the planet. Still, his death by suicide should be a wake-up call for us all. It is to remind us that many of us are walking a fine line -- smiling on the outside while slowly dying on the inside.

I didn't know Robin personally, so I am unable to speak with any certainty as to why he chose to end his life. But I have experienced that kind of torment and pain. For years, I, too, struggled with depression. And many days, I still do.

Complete coverage on Robin Williams

Those who are suffering will do just about anything not to feel the pain anymore. And in those moments, their brains become their worst enemies. It often takes an outside force to provide light, to make sure those dark thoughts aren't, as in the case of Robin, our last thoughts.

According to the Centers for Disease Center, suicide rates increased from 2000 to 2011 from 10.4 deaths per 100,000 to 12.3 deaths per 100,000.

The rate of suicide is higher and rising among men. In 2011, 78.5% of suicides were by men, at a rate of 20.2 deaths per 100,000.

The rate of suicide is rising in all age groups except 85 and older and is highest in individuals 45 to 64, according to the American Foundation for Suicide Prevention.

We know and feel that the stigma of mental health is making it even harder for those of us who need support to reach out and get it. Living with depression is isolating and demoralizing and often reinforces the pain that we are in.

We can't let these tragedies continue. The ripple effect is immeasurable. Now, his loss has to change how we move forward.

When someone dies, it is tragic. But when someone dies by suicide, there are so many competing emotions from all who are touched that there is no understanding the impact. We all wonder 'why?'

No two lives are identical and to make judgments about another's choice is often more destructive than helpful. But we have to remember that everyone is dealing with their own stuff behind their own mask. We don't know what's really going on, so we must be careful not to judge.

Too many are dying because of the deafening silence. Everyone you know goes through or is going through the fire, and that's the truth.

For me, depression has been part of my journey for a very long time. Long before I knew what to call it, there it was walking with me, side by side. There it was, holding my hand, invading my thoughts causing me to sleep longer, eat more and rarely smile whenever I spent time alone with myself.

I learned to dance the dance, to smile for my friends, for my parents, for the audience, for the camera. I smiled, all while inside a hurricane was sweeping me into an ocean of darkness.

You are ashamed. I was ashamed. We are all somehow very ashamed to admit to others our feelings of doom.

There is no one size fits all reason for depression's presence. For some it is childhood demons. For others, a chemical imbalance. It can be brought on by stressful situations or hang around forever in the background like a stubborn gray cloud.

Just as there is no single explanation for this emotional predator, there can be no one-size-fits-all solution. It starts with sharing and admitting the pain. Nothing can be fixed until we admit that it is broken, until we acknowledge that there is a problem. From that point forward, we must work toward our healing solutions, because we are fighting for our life.

My battle with depression has diminished greatly, although I'm not sure that it will completely disappear. What I do know is that having it gone completely is a personal goal that I've set and will continue to take whatever steps are necessary to accomplish it.

Writing my book "Black Pain: It Just Looks Like We're Not Hurting" was part of the journey. I wanted to help other people better understand what they were going through. Now I've co-founded with Madeline McCray the New Legacy Leaders Project to carry the mission forward. The mantra of the initiative, "Our Vision Our Journey, Beyond Depression, Obesity and Poverty to Wellness and Prosperity."

How can we stop our best and brightest, our loved ones, from killing themselves when alone in that darkness? How can we make a difference?

First, we have to take off the mask. We must begin to share our pain. By talking about it, everyone will realize that they are not alone. And they do not have to go through this journey alone.

Next, we must get involved and demand that our elected representatives support legislation that make resources available for everyone to get the support and help they need.

Lastly, we've got to reach out to each other. When you see someone struggling, don't just ignore them, write them off or assume they'll just "snap out of it." Call them, visit them, keep an eye on them. Have a cup of coffee and just listen. We all have a shared responsibility in the health and well-being of our society, one friend at a time.

Robin Williams' death is a stark reminder to all of how much work there is to do. He was brilliant, and he brought joy to so many others. Yet it seems that inner peace escaped him. But he is at peace now. Still, those he left behind -- his family and friends -- are left to try to make sense of it.

Videos: The world according to Robin Williams

It might not ever make sense.

You never really know what goes on inside someone's head. We all wear a mask.

Join us on Facebook.com/CNNOpinion.

Dr. Dawn Porter contributed to this article. For more information on battling depression go to CNN.com/Impact or call the National Suicide Prevention Lifeline at 1-800-273-8255.

@highlight

Terrie Williams has seen first-hand the impact mental illness has had on herself, others

@highlight

Suicide is a major cause of death, highest among those 46-64

@highlight

Williams says depression is often a secret: "You never really know what is going on"