(Health.com) -- There's a food movement afoot: Eating well to look, feel, and perform our very best is hot.

And as Jamie Oliver and Michelle Obama alike are showing us, this isn't a matter of choking down foods because they're good for you. It's about filling your plate with delicious fare.

"Food, if it's chosen well, can reshape our medical destinies for the better," says Dr. David Katz, director of the Yale Prevention Research Center. It can also improve our mood and focus. Here's how to graze your way to a supercharged you.

Power up: Your stamina

Artichokes. If you've been huffing and puffing up the stairs lately, try these spiky-leafed vegetables. They're loaded with magnesium, a mineral vital for more than 300 biochemical reactions in the body, including one of the most important -- generating energy, says Forrest Nielsen, a U.S. Department of Agriculture research nutritionist."If you're not getting enough magnesium, your muscles have to work harder to react and you tire more quickly."

And about 68% of us aren't getting our proper share of this mighty mineral. For women, the goal is 320 milligrams (mg) per day. One medium artichoke gets you 77 mg of magnesium (a good deal for only 60 calories!). Other top sources include nuts, legumes, and whole grains.

Spinach. These tasty leaves are a great source of iron (especially if you don't eat meat), which is a key component in red blood cells that fuel our muscles with oxygen for energy. But researchers in Sweden recently identified another way in which these greens might keep you charged: Compounds found in spinach actually increase the efficiency of our mitochondria, the energy-producing factories inside our cells. That means eating a cup of cooked spinach a day may give you more lasting power on the elliptical machine (or in your daily sprint to catch the bus).

Health.com: The best foods for every vitamin and mineral

Power up: Your mood

Walnuts. Walnuts are packed with tryptophan, an amino acid your body needs to create the feel-great chemical serotonin. (In fact, Spanish researchers found that walnut eaters have higher levels of this natural mood-regulator.) Another perk: "They're digested slowly," Katz says. "This contributes to mood stability and can help you tolerate stress."

Asparagus. Those green spears are one of the best veggie sources of folate, a B vitamin that could help keep you out of a slump. "Folate is important for the synthesis of the neurotransmitters dopamine, serotonin, and norepinephrine," says Dr. David Mischoulon, associate professor of psychiatry at Harvard Medical School. All of these are crucial for mood.

A cup of cooked asparagus has 268 micrograms (mcg) -- two-thirds of the 400 mcg RDA for women. Add a cup of enriched pasta -- which is fortified with folic acid, the synthetic form of folate -- and you'll have a feel-good meal indeed.

Health.com: Healthy recipes to boost your mood

Power up: Your skin

Salmon. There's wrinkle prevention on your plate: "Salmon is rich in a fatty acid called eicosapentaenoic acid (EPA), a type of omega-3 that naturally helps block the release of UV-induced enzymes that diminish collagen, causing lines and sagging skin," says Dr. Ariel Ostad, a dermatologist in New York City. Bonus: Omega-3s also regulate oil production in the skin and boost hydration, which helps keep your complexion dewy and acne-free.

Strawberries. They may not have the smoothest complexion themselves, but strawberries can get you one. They're loaded with antioxidants that help your skin repair damage caused by environmental factors like pollution and UV rays. Plus, they're packed with vitamin C (less than a cup gets you your entire 75 mg RDA) -- the vitamin associated with fewer wrinkles and less dryness, per research in the American Journal of Clinical Nutrition.

Try them in a homemade facial, too. "Direct application of the antioxidants in strawberries -- as well as the natural exfoliant they contain, alpha-hydroxy acid -- will give you great results," Ostad says.

Health.com: The best diets for your skin

Power up: Your memory

Eggs. Have your over-easies before you hit the Easter egg hunt. The yolks are chock-full of choline, a key nutrient for recall. "Your body needs choline to make a brain chemical called acetylcholine, crucial for storing memories," says Dr. Steven Zeisel, director of the Nutrition Research Institute at the University of North Carolina at Chapel Hill. The recommended dietary allowance (RDA) for choline is 425 mg. There are 147 mg in a large egg; other good options are nuts and red meat.

Blueberries. Eat them regularly and you may reap big brain benefits. In one recent study, people with age-related memory decline who drank roughly two and a half cups of blueberry juice per day for 12 weeks (the equivalent of eating a cup of blueberries) made significant improvements on memory and learning tests compared with those who drank a placebo juice.

The secret component? A type of antioxidant called anthocyanins, says study co-author Robert Krikorian, professor of clinical psychiatry at the University of Cincinnati: "Anthocyanins have been shown in animal studies to increase signals among brain cells and improve their resilience, enhancing learning and memory."

Health.com: 9 foods that may help save your memory

Power up: Your weight loss

Spring garlic. The slim-you benefit of this seasonal treat lies in a compound called allicin, which gives garlic its pungent smell. "Allicin may keep you from overeating by stimulating satiety in the brain," says Tara Gidus, a dietitian in Orlando. Spring garlic has a milder, sweeter taste than the dried white bulbs you buy later in the season. Enjoy it diced on salad for a fat-fighting side or lunch.

Legumes. Beans are one of your best bets if you're trying to drop pounds, says Dr. Joseph Colella, a bariatric surgeon at Magee-Womens Hospital in Pittsburgh. "Your body has to work to break down the bean to get through the fiber," he explains, "so you're actually expending energy to digest it."

Even better, Colella says, the protein in legumes activates an "I'm satisfied" message in the hunger center of your brain.

Health.com: Best superfoods for weight loss

Copyright Health Magazine 2011

@highlight

Wise food choices can help us feel and look better

@highlight

Foods like spinach, walnuts and blueberries can pack a health punch

@highlight

Salmon and strawberries can help energize your skin