(CNN) -- More than 200 indigenous people who refused to vacate their land in eastern Paraguay were sprayed late last week with what some believe was pesticide, sending seven to the hospital, a government cabinet member said this week.

The 217 members of the Ava Guarani community in the Itakyry district suffered vomiting, diarrhea, headaches and nausea, said Esperanza Martinez, Paraguay's minister of health. Although one person was in serious condition, she said Monday, the rest are improving.

"For us, it's very clear that this is an acute community-wide intoxication caused in a premeditated manner by an unknown substance," Martinez said on her ministry's Web site. "But it is very clear because all of the similar symptoms occurred after this incident."

The Amnesty International human rights organization said Tuesday it "condemned the use of apparently toxic pesticides to intimidate an indigenous community after they resisted being forcibly evicted from their ancestral lands."

The tension in Paraguay is identical to that found in other parts of Latin America, where the rights of indigenous communities collide with the business interests upon which nations' economies depend. The traditional ancestral homes of indigenous communities are sought for use by mining, oil, logging, agricultural and ranching businesses.

Some in Paraguay say that legal protections often are not enough.

"A new constitution recognizes indigenous rights, but political reality is proving to be quite different from the constitutional ideal; the problems facing Paraguay's indigenous people are not likely to go away anytime soon," the University of Maryland's Center for International Development and Conflict Management said in a 2006 study. "The economics and politics of Paraguay make sustained improvement unlikely."

Government critics say not much has changed in three years.

"Indigenous peoples' lives are being put in jeopardy by those who should protect them," said Louise Finer, Paraguay researcher at Amnesty International. "The risk faced by the Itakyry communities was predictable. Insufficient action was taken to protect them from the threats they faced from this renewed attempt to evict them from their ancestral lands."

The latest incident occurred Friday near the border with Brazil, when more than 200 Ava Guarani community members refused to leave land local soy growers say belongs to them.

An eviction order against the indigenous people was supposed to be carried out Friday, but a district prosecutor canceled the mandate right before it was to be executed.

"And, according to what the indigenous said, that apparently angered the soy growers, who went there to try to remove them," Paraguayan Health Minister Martinez said. "They went in trucks to try to forcefully remove them."

Amnesty International said the Ava Guarani fought back against the 50 men who tried to evict them.

"The indigenous peoples resisted using bows and arrows," the rights group said in a release Tuesday.

Police were present, which limited the fight, Martinez said.

"Afterward," she said, "came a low-level flight by airplanes where the people were working in their fields, in their community orchards, with the spraying of a liquid over the people who were there, who later presented with massive symptoms."

Officials are investigating who may have been responsible, she said.

Amnesty International urged Paraguayan officials to step up their efforts to protect the indigenous communities.

"The Paraguayan authorities -- the executive, congress and the judiciary -- must work together to address the immediate needs of the communities after this attack, but also to ensure that it does not happen again." Finer said.

The native populations have been losing ground since the 1700s.

"As agriculture and grazing came to occupy larger and larger tracts of land, the traditional subsistence foraging and hunting of most of the groups could not support their numbers, and they were forced to take extremely low-wage jobs," the University of Maryland's conflict and development group says. "Indigenous peoples throughout Paraguay are among the very poorest of society."

Indigenous communities also were legally disenfranchised, the study said.

"Until the 1960s, only one law addressed the future of indigenous groups in Paraguay, and well into the 1970s it was not a crime to kill 'Indians,' " the university study said.

Some recent government efforts to help indigenous communities have been tied up in courts.

"In 1996 and 1997 the Paraguayan Indigenous Institute, the state body that advises on protecting indigenous peoples' rights and processing land claims, acquired 2,638 hectares (6,518 acres) of the indigenous communities' ancestral land on their behalf," Amnesty International said in a recent release. "However, landowners have taken legal action against the five communities."

More recently, the Inter-American Court of Human Rights ordered Paraguay in 2005 and 2006 to return ancestral lands to two indigenous communities. It was not clear Tuesday whether that order had been carried out.

The University of Maryland study points out that the indigenous population of Paraguay consists of 17 ethnic communities divided into five linguistic groups: the Mascoi, Mataco, Zamuco, Guarani and the Guaykuru. These communities live on either side of the Paraguayan River, in the sparsely populated Chaco region to the west, and along the Brazilian border to the east. Less than half of the indigenous population remaining in Paraguay lives in the Chaco; fewer groups, related to the Guarani, remain in the east.

About 95 percent of Paraguayans are mestizo, of mixed Spanish and Amerindian ancestry, the CIA World Factbook says.

The official language of Paraguay is Spanish. However, the university report said, the majority of Paraguay's 7 million residents speak Guarani better than they speak Spanish. Spanish is used mainly in public speech, while Guarani is used in everyday speech.

The 1992 constitution stipulated that all government documents be published in Spanish and Guarani. But despite the general population's fluency with Guarani, the study said, Paraguayans do not consider themselves of Indian descent and their culture is thoroughly Hispanicized.

@highlight

Seven indigenous Paraguayans hospitalized after land dispute

@highlight

200 in Ava Guarani refuse to leave land soy growers say belongs to them

@highlight

After dispute, planes flew over fields and sprayed villagers, official says