In what his campaign billed as a "major foreign policy speech" Monday, lasting about 20 minutes, Republican presidential nominee Mitt Romney took on President Obama's handling of protests in Iran after disputed elections three years ago.

Demonstrators were met with deadly violence by the government.

"When millions of Iranians took to the streets in June of 2009, when they demanded freedom from a cruel regime that threatens the world, when they cried out, 'Are you with us, or are you with them?' -- the American president was silent," Romney said.

The facts:

Obama's initial response to the protests became a source of controversy at the time, and his political enemies have brought it back up at various times since.

In the very first days of the Iran protests, the president did not weigh in publicly.  After more and more images of violence surfaced, he condemned the actions of the Iranian government, and later toughened his talk.

Complete coverage: CNN Fact Check

The non-partisan Council on Foreign Relations describes it this way: "While Obama initially opted for a muted response, the Iranian regime's violent crackdown of opposition supporters complicated his administration's attempt to balance outreach with its defense of human rights."

Assessing the accuracy of Romney's attack requires a look at the timeline.

On June 13, 2009, Iran announced that incumbent President Mahmoud Ahmadinejad won a landslide victory.  His main opponent, Mir Hossein Moussavi, had already alleged blatant violations.  After the announcement, angry crowds of Moussavi supporters took to the streets.

The protests continued the next day as Ahmadinejad supporters turned out by the tens of thousands to hold counter-demonstrations.  CNN's Christiane Amanpour, on the streets of Tehran, reported on "riot situations, lots of marches, people shouting 'Down with dictatorship.'"

Scores, or even hundreds, of riot police were deployed, and there were "running battles between some of the street protesters and some of the riot police," Amanpour reported.  "And we've seen people who have been hit with batons and taken refuge in people's homes along the march route to try to get out of the way of that."

By the next day, June 15, Moussavi supporters were holding the country's largest protests since the 1979 revolution.

Romney calls for strong U.S. role in world affairs

That day, June 15, Obama gave remarks on the situation.  He said he was watching the news from Iran.  It is "up to Iranians to make decisions about who Iran's leaders will be," he said, adding that "we respect Iranian sovereignty and want to avoid the United States being the issue inside of Iran."

But, Obama said, "I am deeply troubled by the violence that I've been seeing on television. I think that the democratic process -- free speech, the ability of people to peacefully dissent -- all those are universal values and need to be respected."

He said it was his understanding that "that the Iranian government says that they are going to look into irregularities that have taken place," and emphasized that he would continue to seek diplomacy with the country.

Just over a week later, on June 23, after more and more images of violence came to light and amid some calls for the president to take a tougher stance, he did just that.

"The United States and the international community have been appalled and outraged by the threats, beatings and imprisonments of the last few days," the president said, adding that he strongly condemns "these unjust actions."

The undecided: What will sway them?

Asked why he would not spell out potential consequences for Iran over its behavior, the president replied, "Because I think that we don't know yet how this thing is going to play out. I know everybody here is on a 24-hour news cycle. I'm not."

An analysis for CNN.com said Obama was attempting to balance realism with idealism.

Others have used similar terms as Romney to describe the president's initial handling of Iran.

"His silence validated the mullahs, despite the blood on their hands and the nuclear centrifuges in their tunnels," presidential hopeful Tim Pawlenty alleged last year in the race for the Republican nomination.

Conclusion:

During the first couple of days of the protests and violence, Obama did not weigh in publicly, but by a few days in, he was not "silent" -- and a week later, took a tougher stance.

Obama ad: Romney is 'reckless' with foreign policy

Fact Check: Did Obama say he wants 'daylight' between U.S., Israel?

Fact Check: Romney's comparison of past, present Navy pointless

Fact Check: Has Obama 'not signed one new free-trade agreement'?

@highlight

Romney said Obama was "silent" when Iranians took to the streets in 2009

@highlight

Obama's initial response was "muted," the Council on Foreign Relations says

@highlight

Obama made public remarks a few days in

@highlight

A week later, the president used tougher language against Iran