(CNN) -- Earlier this year, the Justice Department filed a $5 billion lawsuit against Standard & Poor's -- one of the nation's Big Three credit rating agencies, which also include Moody's and Fitch.

The lawsuit accuses S&P of knowingly giving AAA ratings to financial products the agency's analysts understood to be unworthy.

Handing out sparkling ratings to deeply flawed securities represents a serious breach of trust on the part of a credit rating agency. But it was common practice for the Big Three. And in no small way, this practice enabled the financial meltdown of 2008.

Under the current so-called "issuer pays" model, agencies are paid by the Wall Street firms whose products they are rating. The agencies thus have a financial motive to satisfy issuers with a high rating: If an agency declines to give a particular product its seal of approval, the issuer can simply take its business -- and its fees -- elsewhere.

In the lead-up to the financial crisis, the Big Three gave out AAA ratings to subprime mortgage-backed securities. The securities, of course, turned out to be toxic, but the agencies were paid anyway.

What's worse, when Wall Street ran out of questionable mortgages to securitize, it created a whole new market based on bets on those securities, bets called "derivatives." The Big Three kept on handing out AAA ratings to these complicated new products, and were again paid handsomely to do so.

The rating agencies made hundreds of millions of dollars, but in the end, it was American taxpayers who paid the price -- losing their savings, their homes and their jobs in addition to having to pay billions to bail out banks.

In the wake of that catastrophe, there is bipartisan agreement that the credit ratings process needs serious reform. That is why we worked together on an amendment to the Dodd-Frank financial reform law -- and why the Franken-Wicker provision passed with bipartisan support.

Our amendment was designed to bring accountability and transparency to the ratings process. In short, we want to replace pay-for-play with pay-for-performance, opening up the ratings process and establishing a competitive marketplace that rewards accuracy.

The final version of Dodd-Frank required that the Securities and Exchange Commission complete a study of the ratings system before acting. Nearly three years later, that study is complete, finding that "inherent" conflicts of interest in the system contributed to the 2008 crisis. At our urging, the SEC held a roundtable earlier this week to discuss moving forward.

During the open comment period on its report, the SEC received just 32 letters on the issue -- six of them coming from rating agencies. We are pleased that the roundtable sought greater public engagement, including input from the investors and consumer advocates. But now comes the real test of whether the SEC is truly committed to preventing another recession.

Ultimately, the decision to move forward will be led by its new chair, Mary Jo White. White's close ties to the financial industry -- she was a defense attorney for many of Wall Street's biggest players -- have rightly raised concerns about her ability to police it. Her defenders argue that, as a former prosecutor who's taken on gangsters and terrorists, White won't be bullied into going easy on bad actors in our financial sector.

But it's up to White to prove that she's up to the task. And how aggressively she takes on the credit rating industry after the roundtable is the first key test to demonstrate that her Wall Street background won't impede her ability to be the watchdog we need. It will also be a test of how serious the Obama administration is about preventing another financial meltdown. Make no mistake: we will be watching closely that, under her leadership, the SEC will implement credible reform.

A responsible credit rating industry is critical to protecting the public interest -- and there is bipartisan support for reform that restores accountability, transparency and integrity to the system. This week's roundtable was a step forward. We hope that the new SEC head will follow through on the reform that, as we learned the hard way in 2008, is long overdue.

The opinions expressed in this commentary are solely those of Al Franken and Roger Wicker.

@highlight

Franken, Wicker: Justice Dept. sued S&P for fraud in AAA ratings ahead of financial crisis

@highlight

They say ratings agencies got rich, taxpayers paid price, crisis touched off call for reforms

@highlight

They say SEC's new study on ratings system shows conflict of interests led to financial crisis

@highlight

Senators: New SEC chair, May Jo White, has ties to industry, must prove she'll enact reforms