(CNN) -- Despite most humans' land-centric view, Earth is an ocean planet. The global ocean covers more than two-thirds of our planet's surface and makes life as we know it possible: it produces half of the oxygen we breathe, helps regulate our climate and provides the single largest habitat for life on Earth.

Yet, with nearly 2 miles or 3,000 meters of water covering more than half the surface of our planet, much of this vast realm remains unexplored and unexamined. But not unconsidered.

Indeed, our progress is not limited by scientists' and engineers' imaginations, but rather by the rate and cost of development of technologies suitable to pursue the cause. Advances in satellite technology provide us with global coverage in the study of Earth's atmosphere. But in the case of the ocean, that approach quite literally only grazes the surface.

What happens in the vast, deep ocean, out of sight and beyond the reach of sunlight and satellites? Here's one example why we should care: in 1977, diving in the human occupied vehicle Alvin, scientists investigating a volcanic ridge 2500 m (1.5 miles) below sea-level found something totally unexpected -- lush ecosystems thriving at hydrothermal vents fueled by chemical energy released from the Earth's interior.

This discovery, made just three years after new technology first enabled Alvin to reach these depths, changed our understanding of how life can function here on Earth, and opened entirely new fields of research.

We now know that the hot-springs that sustain these "vent" ecosystems occur in every ocean basin and are host to hundreds of previously unknown animal species.

In the past 30 years, those new species have been discovered at a rate of about one every two weeks -- and we still have more than 75% of this 55,000-kilometer (>34,000-mile) volcanic ridge system to explore. These same sites also host large metal deposits, which could become essential mineral resources for us in the future and some of these same systems may even reveal how life first originated -- on Earth and beyond.

Given all the discoveries that we have made from an up-close investigation of these ocean ridges, we can't help but wonder what we might find at the far end of the same plate tectonic cycle where seafloor is drawn back into the Earth's interior at deep-ocean trenches.

To date, only three humans have ever ventured to these deepest parts of the ocean -- the 1960 dive of Jacques Piccard and Don Walsh in the Bathyscaphe Trieste went unmatched until James Cameron's dive in his Deepsea Challenger last year. These were pioneering dives that took great courage.

But to truly explore ocean trenches, scientists need to study them methodically which requires routine access to emerging technologies such as the Hybrid Remotely Operated Vehicle Nereus, which dove to the Challenger Deep in 2009, to the Cayman Trough in 2010 and will return there this summer, and to the Pacific in 2014.

If our study of trenches progresses at the same rate as our past exploration of ocean ridges, however, another 30 years may pass before we've explored even one-fifth of them. And it's not just the trenches that need to be explored but the vast ocean volumes themselves.

Despite a decade of internationally-coordinated global investigation through the Census of Marine Life, for example, Earth's largest ocean basin, the South Pacific, also remains its least understood. We believe the deep Pacific, for now, remains relatively untouched by the atmospheric pollutants (bomb-test radionuclides, chlorofluorocarbons) that are already penetrating deep into the Atlantic. But how to characterize its pristine state before it is too late?

Put simply, we need to innovate beyond the conventional ways of doing our work.

In addition to direct human exploration of the seafloor, we need to mobilize a new generation of collaborative self-powering robots that can explore the oceans, top to bottom, while maintaining communication to shore-based scientists at all times. These robotic systems must be programmed with enough decision-making autonomy to know when to diverge from a mission to follow something important and unexpected that they have encountered, and to know when to alert a scientist on shore to solicit input on what they should do next.

The development of these kinds of vehicles and systems is already underway, through partnerships between leading robotics laboratories and deep ocean engineers, in efforts such as the new Center for Marine Robotics at Woods Hole Oceanographic Institution, but we need to turbo charge that effort. As the technology expands and improves, we will also need to find new, more effective ways for humans and robotic systems to interact over the vast and remote distances involved.

The technologies we need for this comprehensive exploration and understanding are within our grasp. And we'll need the knowledge that results to cope with the many challenges we faceâ€”climate change, food and resource depletion, pollution. Understanding our Earth's oceans has never been more crucial: they aren't just a defining feature of our planet; they're our life support system.

The opinions expressed in this commentary are solely those of Chris German.

@highlight

Oceans make life on Earth possible providing oxygen and regulating our climate

@highlight

Much of our oceans remain unexplored but new technology is advancing knowledge

@highlight

Machines like Woods Hole Oceanographic Institution's "Alvin" explore deep ocean

@highlight

Woods Hole's Center for Marine Robotics pioneering new underwater vessels