(CNN) -- Friday morning, a Connecticut school for young children was turned into a living hell.

It had been a place of innocence, a haven where boys and girls learned, laughed and played.

Now, it was a place of shock and sorrow, a grisly crime scene.

The shooting spree at Sandy Hook Elementary shattered sleepy Newtown and it shattered America's notions of what constitutes a safe place.

It happened just days after a gunman shot three people, killing two of them, at an Oregon mall filled with Christmas shoppers. For three days that place also became a crime scene.

Earlier this summer, another place, a movie theater in Colorado was also marked a crime scene after a gunman shot 12 people to death at a screening of the newest Batman movie

Timeline: School violence in the U.S.

There have been other recent slaughters that have rattled America including one at an Arizona shopping center where people came to meet Rep. Gabrielle Giffords.

These are not places of darkness. They are not places where people expect the worst of mankind to surface.

"There really is no safe place. That is just our imagination," said Daniela Schreier, a forensic and clinical psychologist at the Chicago School of Professional Psychology.
And what is perceived as safe seems to be shrinking after a spate of high-profile crimes.

Places like the Newtown school are part of an assumptive world, said psychologist Robin Gurwitch of Duke University Medical Center. They are places where people take their safety for granted.

"Events like the Connecticut school shooting shatter that notion and we are left reeling." Gurwitch said. "What we held as our ideal has now been turned upside down."

Even President Barack Obama wiped away tears and paused to collect himself Friday as he spoke of "beautiful little children" killed Friday.

"Our hearts," he said, "are broken today.

"We've endured too many of these tragedies in the past few years and each time I learn the news, I react not as a president, but as anybody else would, as a parent," Obama said. "And that was especially true today. I know there's not a parent in America who doesn't feel the same overwhelming grief that I do."

Parents: It 'doesn't seem possible'

Or feel anxiety over having to send their children back to school on Monday.

It's not that violence has not occurred in elementary schools before.

In 1989, a 24-year-old drifter aimed his AK-47 and killed five children on an elementary school playground in California. As far back as 1959, a convict exploded a suitcase of dynamite on a school playground in Houston and killed five people, including three children.

But the school shootings that have made recent headlines, starting with Columbine in 1999, have mainly occurred at high schools. The fact that the Connecticut shootings, one of the deadliest in U.S. history, involved such young children makes the tragedy that much harder to fathom, Gurwitch said.

"We begin to think: Is it safe to even step outside?" Gurwitch said.

Some people deal with that potentially debilitating thought with denial -- that this sort of thing happens in Connecticut or in Oregon or in Colorado but it can never happen where they are.

"You have to tell yourself that," Schreier said. "Otherwise you will never go to a mall or to a school."

It's already intimidating enough with metal detectors everywhere from airports to libraries.

As horrific as the Newtown shootings are, the reality is that most schools in America still are safe, said Howard Kassinove, director of the Institute for the Study and Treatment of Anger and Aggression.

It's just that people's perceptions are more easily swayed in this era of instant information.

He likened it to a news story about a shark attack.

"What you have is this notion of one person being bitten by a shark in Australia and the news goes around the world and all of a sudden, you think shark bites are prevalent," he said.

Photos: Shock and horror

Friday's shooting was almost instantly on television: images of horror repeated many times. That is why, perhaps, that some people worry more, Kassinove said.

And they become anxious.

"The only thing we can do is to sit down with our children and talk about it, especially with the little ones," Schreier said.

Talk about this new world we live in.

Declan Procaccini, whose daughter attends Sandy Hook Elementary, did just that.

"It was only a week ago we were talking about this type of situation and I said the chances of it happening are one in a zillion at Sandy Hook," he said. "I was wrong about that."

He said he has been doing his best to soothe his children.

"It's funny -- a bomb hit and there is a lot of smoke and it's still here," he said. "I haven't had enough time to really plan, but hopefully by the time they do go back to school, I will have done a good enough job of making them feel as comfortable (as I can)."

His children were already asking him when this might happen again. The game, he said, was changed from this moment on.

Opinion: Now is the time to talk guns, mental illness

@highlight

Places that were considered safe are turning into crime scenes

@highlight

That Friday's shooting happened in an elementary school was especially hard to take

@highlight

The Newtown tragedy turned everything upside down, said a psychologist

@highlight

Some people cope with this kind of tragedy by thinking it can't happen to them