The research engineer's rising career seemed enviable. Shane Todd of Montana was working abroad in Singapore on the latest cell phone and radar technology, coveted by global corporations.

Todd was found dead at age 31, however, in his Singapore apartment last June, and his death has become an international controversy that involves local police, the FBI, an independent forensic analysis and, the parents allege, corporate intrigue found on their son's hard drive.

Singapore police have been investigating Todd's death as a suicide by hanging. They refer to a pulley system around a toilet and over a door in Todd's flat.

His parents, however, say that's absurd and they assert foul play.

Shane Todd's suicide note spoke of family events that never happened, they say.

The family hired a Missouri forensic pathologist, who said photos of their son's body and the Singaporean coroner's report show a different story: homicide.

In the wake of family's revelations about the hard drive, Singapore police on Friday asked the FBI for assistance pertaining to evidence on U.S. soil.

The hard drive ended up in the parents' possession when they packed up their son's apartment, and the mother had thought the device was a small speaker for a computer, she said. They later discovered it really was a hard drive, they said.

Parents Mary and Rick Todd met with a U.S. State Department representative this week in Washington.

The FBI, which earlier said it was watching the case, didn't immediately respond to a request for a comment on the Singapore police announcement.

Eric Watnik, a spokesman for the U.S. Embassy in Singapore, said the FBI will comply with the request. "The request is focused on issues entirely within the United States," he said. "To be clear, the investigation into Shane's death continues to be led by the Singaporean police."

Documents on the hard drive and its login activity suggest their son was working on a project that may have led to his death, his parents say.

The circumstances of their son's death have upended the couple's life in Marion, Montana.

"I just fell to the floor and said it couldn't be my first-born son. It couldn't be," said Mary Todd, mother of four boys, who learned of her eldest child's death from his girlfriend.

Rick Todd, an airline pilot whose wife told him of his son's death right after he flew a long flight, said: "I just, just screamed in the airport."

Shane Todd worked for the Institute of Microelectronics in Singapore from December 2010 until his resignation last May 2, the government research institute said.

He is believed to have died during the overnight hours of June 22 and June 23, the family said.

Though the institute said he was "thought of highly by his supervisor and peers," he disliked his job, his parents said.

That's another reason why his suicide note is suspicious, his parents said: It thanked his company.

The note also spoke of his family drinking Shirley Temples on a beach -- an event that never occurred, they said.

"When I read the note I handed it back to the officer and I said my son may have killed himself, but he did not write this note," Mary Todd said of meeting with authorities in Singapore last year.

The couple also found no evidence of a pulley system: there were no pulleys or holes in the ceramic walls in the bathroom, Mary Todd said.

Shane Todd's apartment appeared as if he were about to return to the United States: clean clothes were folded and boxes packed. A plane ticket sat on the table. He also had a new job lined up, the family said.

Holding a doctorate in electrical engineering, Shane Todd worked for his prominent employer, helping to develop faster, more powerful semiconductors by using the compound gallium nitride.

In his last months, Todd expressed stress about his work and even fear for his life, his family said. He wondered if his work might be illegal or a risk to U.S. national security, his parents said.

After his death, Todd's parents found that his hard drive contained a proposal between the Singapore outfit and a prominent Chinese telecom firm, Huawei, to build a powerful amplifier using gallium nitride technology.

The Todds showed the documents to CNN.

Huawei has been at the center of controversy.

It and another Chinese telecom company, ZTE, were cited last October by the U.S. House Intelligence Committee, which said the two firms "cannot be trusted to be free of foreign state influence and thus pose a security threat to the United States and to our systems."

That comment referred to the firms' business practices, and the committee report said, "the United States should view with suspicion the continued threat of the U.S. telecommunications market" by the Chinese companies.

Huawei rejected the committee report, calling the findings "baseless."

In reference to the proposal found on Todd's hard drive, Huawei and the Institute of Microelectronics in Singapore insisted they had no such project or even a business relationship, though they acknowledged preliminary talks.

Nothing became of those talks, they said.

"There is speculation by the Todd family that Shane's death was related to a project undertaken by IME with Huawei. Neither IME nor Shane was involved in any classified research project," IME said in a statement.

"The research and development carried out in IME is to advance economic growth for Singapore and deliver on healthcare and social benefits," it said.

IME isn't commenting further because Todd's death is under police investigation. "IME has cooperated fully with the authorities and will continue to do so," the institute said.

Huawei spokesman Scott Sykes said that gallium nitride, or GaN, technology improves power amplifier efficiency and is "widely recognized as a key technology for next-generation wireless base stations."

"IME approached Huawei on one occasion to cooperate with them in the GaN field, but we decided not to accept, and consequently do not have any cooperation with IME related to GaN," Sykes said in a statement to CNN.

The Singapore police have said they received "no response" from the Todd family to share evidence, including the hard drive.

"If they were not comfortable handing evidence in their possession to the Singapore Police Force (SPF), they could seek the FBI's help to review the evidence," a spokesman said. "As there has so far been no response to this request, SPF has sought the FBI's assistance to engage the family and for FBI to examine the evidence."

On February 20, Singapore police told the Financial Times that they had already examined the hard drive.

The couple, however, doubts that because the police description of the drive doesn't match the one they found in their son's apartment, they said.

The drive shows someone accessing it for only three minutes the night their son died and then again four days later, right before the parents visited his apartment for the first time, the parents said.

A forensic analysis of the drive shows someone reviewing, creating and deleting files during those two access events, the family said. That forensic analysis was conducted by a computer expert, the family said.

Singapore officials have invited the Todds to a coroner's inquest, scheduled to be held sometime this month. The parents aren't saying whether they would to return to Singapore.

Meanwhile, Max Baucus (D-Montana), chairman of the Senate Finance Committee, said his staff has met with U.S. Embassy and Singaporean officials in Singapore, and he has spoken with White House officials "to ensure this issue on their radar," a spokeswoman said.

Rick Todd had pictures taken of his son's body when it was returned to the United States.

The photos show bruises on Shane Todd's hands and a lump on his forehead, which the independent forensic pathologist said showed a fight, the parents said. The back of Shane Todd's neck was cut, the family said.

Shane Todd most likely was strangled by a wire, the pathologist told the family. Bruises also indicated that Shane Todd was trying to squeeze his hands under the wire, the family said. There was little fluid in his lungs; hanging typically takes several minutes making the lungs heavy with fluid, the pathologist told the parents.

"It's hard," Rick Todd said. "Every time I open those pictures, it's difficult.

"But we will go to the ends of the Earth to see justice is done," he said.

Check out the latest news from CNN.com

@highlight

Singapore police investigate engineer Shane Todd's death as a suicide hanging

@highlight

But an independent forensic pathologist concludes homicide

@highlight

Todd's hard drive shows he worked on a project that may have led to his death, family says

@highlight

FBI will comply with Singapore police's request for help on U.S. soil, embassy says