(CNN)The Pentagon's recent statement that Iran may have conducted air strikes against ISIS targets in Iraq's Diyala Province is tantamount to a U.S. tacit approval of Iran's growing military footprint in Iraq.

No military operation of such scale evades detection from U.S. radars. Even if not pre-approved or coordinated, Iran's air and ground operations against the murderous thugs of self-proclaimed caliph Abu Bakr al-Baghdadi make the Islamic Republic effectively a U.S. partner in the fight against America's greatest enemy: Islamist fundamentalism.

The U.S. strategy towards the Middle East since the Arab Spring has been defined by proactive disengagement and hesitance.

Haunted by the legacy of Iraq and Afghanistan, the American public has no stomach to get bogged down in lengthy ground-intense military operations -- particularly not to fight a fight that at least in Washington is perceived to be primarily a matter of regional concern.

And it seems as if apart from a general war fatigue and casualty aversion back home, U.S. President Barack Obama does not want to be remembered as the President who embarked on a third Middle East adventure. As a hostage of public opinion, Obama in his second term increasingly appears to be the lame-duck choosing a path of minimal resistance overseas, making decisions not based on long-term strategic considerations but based on a short-term approach of damage control.

In Libya, Syria and Iraq the U.S. has taken a backseat calling on local partners and proxies to take over. Any ex-ante foreclosure of boots on the ground means that the U.S. will not bring its military might to bear to deal with those threatening to tear the Middle East apart.

In Syria the U.S. ignored the problem of Bashar al-Assad, in Iraq it turned a blind eye to Nouri al-Maliki's policies of exclusion while allowing Libya to degenerate into a state of anarchy. Without a sustainable proactive strategy towards the Middle East, the U.S. policy towards the region was more often than not shaped in reaction to quickly escalating events on the ground.

As a result, the U.S. today looks at a region where the states of Libya, Syria and Iraq have effectively ceased to exist. The socio-political vacuum has been filled by transnational non-state actors of whom many subscribe to the black banners of jihadism -- something that leaves the American public deeply unsettled.

The broadcasted images of U.S. citizens being brutally beheaded in front of a global audience shook America to its core. After years of relative disengagement and idleness, Obama is now forced to do something in Syria and Iraq at last. Thereby, the overriding principle seems to be to keep the military footprint as small as possible.

The major burden of intervention has to be borne by force multipliers who operationally as well as strategically substitute U.S. willingness and capability -- all this in a war that is no longer about protecting the revolutionary achievements of the Arab Spring but about primarily containing the threat of Islamist fundamentalism.

In this war, Libyan renegade general General Khalifa Haftar, al-Assad and Iran are the lesser of two evils. The unlikely coalition formed the multilateral response of the U.S. administration to the dilemma of reconciling public security concerns with public war fatigue. Everyone seems welcome. Yet, Iran appears the more reliable partner: a regional superpower with the necessary capability, strategic will and input on the ground.

Good cooperation with Tehran, even if indirect, allows the U.S. to put pressure on its Arab partners in the Gulf to step up their game against Islamist fundamentalism in the region.

At the same time the U.S. wants the Cooperation Council for the Arab States of the Gulf to constructively commit to providing the options on the ground, the U.S. is no longer able or willing to provide. Not to forget, the rapprochement with Iran also allows Obama to put a final end to Netanyahu's saber rattling vis-à-vis Tehran. The U.S., although committed to Israel's security, will not be available for a military solution to the Iranian nuclear question.

The American-Iranian rapprochement on the region's most sensitive battlefield of all things, further undermines America's position in the Middle East.

Apart from losing the hearts and minds of the region, America's credibility as a superpower is in doubt as long as capability is constrained by the political unwillingness to use it.

Without the American willpower to take a more long-term strategic approach to tackling the socio-political root causes of regional upheaval, regional players, including al-Assad, will step in to develop their own strategy independently. The result will be a gradual intensification of regional confrontation along sectarian and ideological fault lines -- a confrontation to which the U.S. will be a mere onlooker.

@highlight

The U.S. strategy towards the Mideast has been disengaging, writes Andreas Krieg

@highlight

President Barack Obama increasingly appears to be the lame-duck, he writes

@highlight

Krieg: Good cooperation with Tehran allows the U.S. to put pressure on its Arab partners

@highlight

America's credibility as a superpower is in doubt, he says