(CNN) -- If you grew up in the 70s, 80s and 90s, there's a good chance that whole portions of your brain are still clogged up with the jingles, catchphrases and slogans that defined a golden era of television advertising.

But in a new age of digital, on-demand and recorded viewing, when the fast-forward button is a weapon of choice, there are signs the 30-second TV advertisement could be on its way out, perhaps sounding the death knell for a marketing tool that became part of the cultural landscape.

It already appears to be happening in some countries. In 2009, Britain became the first major economy to spend more on online marketing than on television, with the internet accounting for 23.5% of all ad money, compared to TV's 21.9%.

This is bad news for TV ad connoisseurs who, as the 30-second slot evolved from basic product promotion into a sophisticated medium producing cinematic masterpieces and some of the sharpest humor ever broadcast, have come to revere them as works of art.

Anyone doubting the power of these should cast their mind back to the adverts of their youth. There are generations of Americans who consider the "Nestea Plunge" a normal way to enter a swimming pool and for whom the words "plop plop, fizz fizz..." will always mean Alka Seltzer.

Likewise few Britons of a certain age can listen to Bach's Air on a G String without thinking of deadpan cigar advertisements. Nor can they forget the bizarre Martian robots that mocked earthlings for peeling potatoes rather than eat instant mash.

And then there were the Guinness ads. In a league of their own, these multi-million dollar wide screen epics barely made any reference to the beer they were marketing, instead relying on moodily-lit images of surfers facing tides of white horses, or convicts taming wild mustangs.

In a post-economic crisis world, big spending on television ads now seems out of place. Smaller budgets, coupled with new digital viewing habits, have led to numerous predictions about the imminent extinction of the 30-second slot.

But in a turnaround that few in the industry predicted, television advertising seems to be enjoying a renaissance, helped by rapid expansion in developing countries and by the platform that was once considered TV marketing's sworn enemy -- the internet.

"A lot of research is showing it is on the way back in, and if you look at some of the most successful campaigns of the past year or so, they're all TV commercials," said Chris Arnold, a former creative director at Saatchi & Saatchi who now runs the Creative Orchestra agency.

Forecasts back this up. Statistics produced by the Magnaglobal data mapping agency show that while worldwide internet advertising budgets will grow 12.5% annually to $117.5 billion by 2016, TV spending will also rise between 6% and 9% annually to $243.3 billion.

"Great TV commercials are still the epicenter of a lot of stuff," said David Droga, head of Manhattan-based ad agency Droga5.

"People started inventing tech to avoid advertising so advertising has to get better which is a good thing. It puts the onus back on advertising to do better by the consumer. Not just bombard them into submission, but actually earn their attention. Inform them, entertain them, and respect them."

Some internet developments are actually helping drive viewers back to old watching habits. The popularity of "double screening" -- using Twitter or other networking tools to chronicle what they see on TV -- is believed to be boosting the size of audiences watching in real time.

Advertisers can also harness the internet to give TV slots greater impact, allowing them to focus budget on production instead of paying for air time. A recent ad by British dairy firm Yeo Valley featuring rapping farmers ran once in a primetime slot but enjoyed 1.8 million YouTube hits.

While the United States, Japan China, Italy and Brazil are currently the world's largest television advertising markets, much of the industry's growth is now focused in developing countries where internet penetration is comparatively low.

Emannuel Alozie, associate professor of media communications at Governors State University in Illinois and author of "Marketing in Developing Countries," says television still counts for up to 80% of advertising budgets in nations like Kenya, Nigeria, China, India and Argentina.

"It is still a growth area in these countries, but they are still lacking in terms of expertise and technical abilities," he said. "Television is big and with radio it is the dominant form, and I don't think we're going to see what we see in the West with the internet."

But, says Martin Sorrell, chief executive of WPP -- the world's largest advertising group -- this could change as cell phones offer cheap ways to access the internet, even in developing countries, and thus a perfect new platform for advertising.

"It is true in the West, internet and mobile new media, social networking is more important from an advertising and marketing services point of view, but the speed of adaptation of the faster-growing markets is going to be greater because mobile has leapfrogged the PC as a cheap form of accessing the internet," he said.

Such developments aren't worrying the ad men just yet. Says Arnold, even as technology advances, advertisers shouldn't forget that many people still choose to passively consume television in the old fashioned way.

"People are still sitting there comatose in front of the TV and it's a really good place to flog stuff to them."

@highlight

UK has seen more advertising money spent on the internet rather than TV

@highlight

Academic says television is still dominant form of advertising in developing world

@highlight

Industry experts says digital era has raised TV advertising's game