(CNN)As another snowstorm barrels toward the already-buried Northeast this weekend, some folks have had just about all they can take.

Dr. Steve Schlozman, an assistant professor of psychiatry at Harvard Medical School, wrote this week that he has "developed a new sympathy for my daughter's hamster," on WBUR's Common Health blog.

"She's seen the same cage, the same scene, the same everything, day in and day out," Schlozman wrote. "But alas, my kid's hamster cannot work scissors, or a remote control for the television, or engage in any sort of higher order thinking."

But too much time for thinking in the winter can lead to trouble. Millions of Americans experience a serious mood change during the winter months, when there is less natural sunlight. The condition is called seasonal affective disorder, or SAD. According to the National Institute of Mental Health, it's a type of depression, with symptoms such as:

• Sad, anxious or "empty" feelings

• Feelings of hopelessness and/or pessimism

• Feelings of guilt, worthlessness or helplessness

• Irritability, restlessness

• Loss of interest or pleasure in activities you used to enjoy

• Fatigue and decreased energy

• Difficulty concentrating, remembering details and making decisions

• Difficulty sleeping or oversleeping

• Changes in weight

• Thoughts of death or suicide

While the specific cause of SAD remains unknown, researchers have narrowed down a few factors that may come into play.

"Our inner clock, whose timing cycle does not necessarily match day and night outdoors, needs to stay in sync with rest-activity cycles dictated by family and work life," says Michael Terman, a professor of clinical psychology in psychiatry at Columbia University's College of Physicians and Surgeons. "This is both very disorienting and a trigger for mood slumps and depression."

"Since the inner clock relies on sunlight to stay in sync, winter sunrise is later and winter nights are longer, melatonin can overshoot into the day, causing grogginess or 'brain fog,' for several hours," Terman says. Melatonin is a hormone that regulates sleep and wake cycles.

Serotonin, one of many brain chemicals that affect mood, also varies seasonally, with lower levels in winter.

According to the Mayo Clinic, SAD is diagnosed more often in women than in men, but men typically experience more severe symptoms. Younger people have a higher risk of SAD, and those affected are more likely to have blood relatives with SAD or another form of depression.

So, how can you beat the winter blues? You've got a few options:

Light therapy is typically the treatment most people try first. You sit a few feet from a specially designed bright light, which mimics natural outdoor light. Solid scientific data is lacking, but light therapy appears to cause a change in brain chemicals linked to mood and seems to be effective for most people in relieving SAD symptoms.

You don't need a prescription from your doctor. There are options on websites such as Amazon for under $100. The U.S. Food and Drug Administration doesn't regulate light-therapy products and, as you might expect, some of the manufacturers' claims are confusing and overreaching. The general consensus is to look for a light box that provides white light -- as opposed to blue or "full spectrum" -- with 10,000 lux of illumination and a broad diffuser screen that filters out UV rays.

Most patients report phototherapy generally starts working in just a few days and results in few side effects; at worst: headaches, mild nausea, feelings of restlessness and trouble sleeping.

If light therapy doesn't work, you might ask your doctor about a prescription for an antidepressant, especially if your symptoms are severe.

Keep in mind that it might take a few weeks for the medication to fully kick in.

Additionally, you may have to try a few different medications before you find one that works well for you and has the fewest side effects.

If you want to go the natural route, psychotherapy is another option to treat SAD. Psychotherapy can help you identify and change negative thoughts and behaviors that may be making you feel worse, learn healthy ways to cope with SAD and learn how to better manage stress.

Of course, the best solutions to any problem are sometimes the simplest.

• Get outside. Bundle up and take a walk, even a short one. Even on a cold or cloudy day, outdoor light can help -- especially if you soak it in within the first few hours or waking up in the morning.

• Make time to work out. Exercise helps decrease stress and anxiety, both of which can increase symptoms of SAD. As we all know, being more in shape can make you feel better about yourself, too, which can lift your mood.

• Last but not least: socialize. When you're feeling down, it can be hard to be social, but that's when it's most important to connect with those around you. So grab your spouse, your kids, a neighbor and let us see what you're up to by posting on social media using the hashtag #CNNsnow.

@highlight

Yet more snow heading to Northeast United States this weekend

@highlight

Many are tired of it, but some are SAD. Here are suggestions to help cheer up