(CNN) -- NASA scientists revealed Friday a first-of-its-kind image from space showing reflecting sunlight from a lake on Saturn's largest moon, Titan.

It's the first visual "smoking gun" evidence of liquid on the northern hemisphere of the moon, scientists said, and the first-ever photo from another world showing a "specular reflection" -- which is reflection of light from an extremely smooth surface and in this case, a liquid one.

"This is the first time outside Earth we've seen specular reflection from another liquid from another body," said Ralf Jaumann, a scientist analyzing data from the Cassini unmanned space probe.

Jaumann said he was surprised when he first saw the photos transmitting from Cassini, orbiting Saturn about a billion miles from Earth.

"It was great because if you look at photos of planets, you mostly see nothing is happening. But in two hours we saw a glint of light getting brighter."

Titan's similarities to Earth have attracted NASA's attention for decades. It's the only body besides our own in the solar system that is believed to have liquid on its surface. Like Earth, Titan has an atmosphere which is mostly nitrogen.

Experts believe the presence of liquid on a planet or moon improves the chances that some kind of life could develop there.

The photo comes from the spacecraft Cassini, which has been searching for this kind of reflection since it began circling Saturn in 2004.

Scientists with the University of Arizona were able to use previous data from Cassini to learn details about the reflection's location on Titan.

The glint appears to be coming from the southern edge of a lake called Kraken Mare -- a massive body of methane that covers about 150,000 square miles (400,000 square kilometers). That's larger than the Caspian Sea, which is the largest lake on Earth.

The hunt for the specular reflection took five years, NASA said, because the moon's northern half had been shrouded in winter darkness.

"Next, we want to find out more about Titan's liquid," said Jaumann. "Do we have some kind of weather there? Do we have changes with seasons? Does it rain? How does the liquid methane run across the surface?"

But Jaumann sounded a note of caution regarding the prospect of life in this case.

"The temperature on Titan's surface is something like minus-180 degrees Celsius," he said. "That means it's very cold. But you never know."

The project is based out of NASA's Jet Propulsion Laboratory in Pasadena, California.

This is not the first evidence of liquid on Titan. In 2008, project members used infrared technology to discover a large lake in the moon's southern hemisphere.

But this recent discovery is a sure sign that liquid exists on the moon's northern half. That region is believed to include larger basins that could hold more liquid.

@highlight

NASA photo from Cassini probe is first-ever of liquid on another world, says scientist

@highlight

Image shows sun reflecting from a lake on Saturn's moon, Titan

@highlight

Planets with liquid are thought to be more likely to develop life

@highlight

Scientists have been studying Titan because of its similarities to Earth