(CNN) -- It shouldn't be a surprise. An image of a woman holding her own, looking smart and strong in the workplace, is more inspiring than a photograph of a stressed female executive struggling with a briefcase and a howling baby.

But at a presentation Wednesday at the Cannes Lions advertising festival in France, Facebook COO and Lean In founder Sheryl Sandberg, and Getty co-founder and CEO Jonathan Klein revealed what had spurred them to create the Lean In collection, a curated selection of Getty imagery that shows women in a more diverse light - and revealed why it's better for business.

"We still live in a world - and this is a shocker," Sandberg said wryly, "but it's still overwhelmingly run by men.

"Less than six percent of CEOs in any country, including the [United States], are women."

"There is huge cultural variety around the world," Sandberg continued, "But the stereotypes of men and women are actually exactly the same.

"Men are told to lead, to be results focused. Women are told they should speak when spoken to. Little girls are called bossy, little boys are called leaders.

"As human beings when something surprises us, or goes against our expectations, we dislike it. So if we show images of women leading, we actually change this."

Klein said, "There is nothing more powerful than an image that captures something in the moment ... that gets people to change their minds."

Stepping away from stereotypical images showing women in passive or objectifying situations, the collection offers alternative representations of women doing physical jobs, working in robotics, aging gracefully and - Sandberg said emphatically - "not laughing eating salad."

The Lean in/Getty partnership, which launched in February, was greenlit by Sandberg when Getty's Pamela Grossman and Lean In's Jessica Bennett presented Getty findings that suggested commercial clients were starting to look for a broader representation of women to use in their creative.

And it's working. Getty has seen sales of the images in the 2,500-strong collection -- all of which were previously available -- jump by 54%. "I wish we could see that pattern repeated across the entire Getty archive," joked Klein.

Lean In's push for a wider diversity of imagery in the media is part of a broader commercial trend towards a presentation of womanhood that's more reflective of the lives of real women. Sandberg, who attributes this to the appeal of authentic user-generated content on social media, highlighted the groundbreaking example of Dove's "Real Beauty" campaign, which celebrated a wide variety of female body types in addition to the lean silhouette traditionally favored by the media.

She also pointed to more recent examples such as Pantene's "Labels against Women" viral hit, produced for P&G Pantene by BBD Guerrero, Manila, that highlighted the different words ("persuasive" vs "pushy," "dedicated" vs "selfish") applied to high achieving men and women.

Campaigns such as these prove that a more representative approach that's less perfect and more reflective of a diverse, global audience can gain significant social traction - nirvana to advertising executives seeking the holy grail of "earned social media" - industry jargon for trusted consumer word-of-mouth endorsement.

The Pantene Philippines advertisement's 46 million views boosted brand favorability, especially in women aged 18-24, and increased engagement with the brand by over four times, according to the agency. Its follow-up,"Not Sorry," which launched Wednesday also, leverages the success of the popular #sorrynotsorry hashtag and questions why women feel the need to constantly apologize. It's widely expected to repeat the success of its predecessor.

Sandberg then challenged the audience of advertisers and agencies to reflect a more representative world in their creative, citing their potential reach.

"Bestselling books will sell two million copies," she said. "The first Pantene advert got 46 million views. [The campaign will] have reached 40 million people by the time the [latest] campaign is done.

"We can show women with crying babies in briefcases or women hiding under their desks, or we can show women at their desks."

@highlight

A new collection of Getty Images curated in partnership with Lean In shows women in a more diverse light

@highlight

Facebook COO Sheryl Sandberg and Getty co-founder and CEO Jonathan Klein presented the collection

@highlight

The 2,500 images depict the diverse experience of women in contemporary work and life