New York (CNN) -- Two of the three individuals believed to be involved in a potential 9/11 anniversary plot against New York or Washington are Americans of Arab descent who traveled to the United States last week, according to a U.S. government official.

However, another law enforcement official said there is no evidence so far that any of the three individuals came to the United States or are here now.

"Nothing's really panned out yet," the official said.

Still, authorities are operating under the assumption that two of the people have arrived on U.S. soil, and they have been piecing together clues gleaned from flight logs and manifests, among other sources, said the U.S. government official, who declined to be named.

A third person is believed to have been traveling through Europe, though it is not clear whether that person has arrived in the United States, the government official said.

It is still not apparent whether a plot is under way, officials say.

"It's still ongoing," New York Police Commissioner Raymond Kelly said about the potential threat. "Nothing significant has changed. The threat has been identified as being credible and specific and uncorroborated."

American spy networks had intercepted communications of a potential attack from an al Qaeda operative in Pakistan, derived from a source who has provided accurate information in the past, officials say.

No other corroborating evidence of an attack has been uncovered, but it has prompted intelligence officials to sift through communications from other al Qaeda cells.

The information suggests the plan -- thought to involve a vehicle-borne explosive device -- is meant to coincide with the 10th anniversary of the September 11 attacks. The exact type of strike, however, is largely unclear and the plot still remains unconfirmed.

U.S. officials rarely speak on the record about intelligence intercepts. And in the days following the raid on Osama bin Laden's compound, officials indicated al Qaeda had gone to great lengths to avoid having its communications intercepted by the United States.

While the precise nature of communication intercepts is rarely discussed, U.S. officials repeatedly have indicated their comfort with sharing the results of those intercepts.

Authorities also say they have picked up "chatter," or widely divergent communications, from extremists that suggest the newly tapped al Qaeda head, Ayman al-Zawahiri, is in some way involved in the current plot.

Meanwhile, heightened security was visible Saturday in New York and Washington as intelligence officials worked to pin down information about the potential threat.

Three stolen trucks were added to a New York Police Department database because of the threat, said Deputy Police Commissioner Paul J. Browne. The database is connected to the NYPD's digital license plate readers.

"We're adding them in the interest of being prudent," Browne told CNN, emphasizing there is no known link to the terror threat.

Commissioner Kelly echoed that point.

"We're not ruling it out, but there's nothing of significance right now that would connect these thefts to the threat that we're facing," he said.

Two of the trucks were owned by a construction company that operates at the World Trade Center site. They were reported stolen over a week ago.

A Budget rental truck was also stolen in a separate incident from a Jersey City, New Jersey, storage facility August 21.

"Whoever did it went to great lengths to cover their tracks," Browne said. "They cut lines to phones and surveillance cameras."

Browne also said the city has experienced "a three-fold increase in suspicious package calls," while suspicious vehicle calls have doubled.

New York law enforcement officers, meanwhile, have been put on 12-hour shifts.

In Washington, Police Chief Cathy Lanier reported that "suspicious activity and suspicious vehicle reporting sky-rocketed last night."

"I can tell people in this community (are) really on it," said Lanier, adding that her force had beefed up staffing.

In neighboring Prince George's County, officials are trying to locate two missing U-Haul vans, though a police spokesman said authorities "are not viewing this as terrorism-related." Cpl. Evan Baxter said the vans were reported stolen Saturday.

On Saturday, President Barack Obama met again with his senior national security team about the threat, according to a White House statement.

The U.S. president has "directed his team to pursue vigorously all threat information and to ensure a heightened state of vigilance and preparedness," the statement said.

U.S. Vice President Joe Biden also weighed in Friday, saying the information was at least in part gleaned from the May raid against bin Laden in Abbottabad, Pakistan.

"This is the first ... credible piece of information we've gotten," Biden told NBC's "Today" show. "All hands are on deck."

It is not clear how the bin Laden raid helped authorities connect the dots to the prospect of an anniversary attack, but Biden downplayed the threat of a widely sophisticated plot involving multiple conspirators.

He said the administration's principal concern is a plot from a "lone actor, not some extremely complicated plan like it took to take down the World Trade (Center) towers or the plane in Shanksville (Pennsylvania) or the Pentagon."

On Saturday morning, police officers stopped and searched for a third day box trucks as they approached the George Washington Bridge, which links New Jersey with New York, as well as the Queens-Midtown Tunnel, the Holland Tunnel and the Verrazano-Narrows Bridge, connecting the boroughs of Staten Island and Brooklyn.

Police manned checkpoints in Midtown and downtown Manhattan, where they examined vehicles, particularly vans and trucks, for possible bombs.

They are also sweeping parking garages for explosives and using digital license plate readers to check for stolen vehicles, officials said.

Authorities say they are seeking people who could help disrupt the threat and are questioning individuals who have previously raised security concerns.

New York Gov. Andrew Cuomo, meanwhile, has directed state police and asked National Guardsmen to help secure areas during the anniversary weekend, bolstering an already heightened level of security.

"We already had a great security plan in place, and in an abundance of caution, we're deploying more resources," he told reporters. "We shouldn't allow this threat to diminish the importance of the 9/11 anniversary, because that would be doing just what the terrorists want us to do."

A senior U.S. administration official said Friday that it is the "origin" of the intelligence information that is causing particular concern.

U.S. officials believe that operatives came out of the tribal Pakistan-Afghanistan border region -- a volatile semi-lawless area that is home to extremist groups -- and that they are part of al Qaeda "central."

The official also noted a possibility that Pakistan-based groups such as Lashkar e-Tayyiba or Tehrik-i-Taliban Pakistan could be involved.

Intelligence officials believe al Qaeda "likely maintained an interest since at least February 2010 in conducting large attacks in the Homeland timed to coincide with symbolic dates, to include the 10-year anniversary of the 9/11 terrorist attacks," according to an intelligence bulletin issued Thursday.

Bin Laden's death and the "removal" of senior al Qaeda figures since then could add to the organization's desire to stage an attack on a symbolic date such as September 11, the bulletin said.

In Washington, local officials said the city has a robust plan in place and has been on heightened alert since September 1.

"I want to urge all of our citizens ... to remain calm and let our law enforcement professionals do their job. At the same time, we ask people to remain vigilant," Mayor Vincent Gray said. "If you see something, say something."

Federal officials said they are taking the threat seriously, while trying to temper the news by saying such threats are commonplace in connection with key dates.

"The FBI has been in a planning mode for months with the local and state police officers, as well as the other intelligence agencies, to prepare for this weekend," said James McJunkin, assistant director in charge of the FBI's Washington field office. "What we have here is a little bit more of a public display than we normally have."

CNN's Mike M. Ahlers, Lesa Jansen, Allan Chernoff, Thomas Evans, Terry Frieden, Jessica Yellin, John King, Jim Barnett, Pam Benson, Fran Townsend and Ross Levitt contributed to this report.

@highlight

NEW: NYPD Commissioner Kelly says the possible threat is credible, specific and uncorroborated

@highlight

"Nothing's really panned out yet," says a law enforcement official

@highlight

Officials are trying to locate two missing U-Haul vans in Maryland

@highlight

Two of three people believed involved in possible plot traveled to U.S. last week, an official says