Visiting the Jefferson Memorial in Washington never gets old to me.

Not only is it architecturally stunning, but the quotes on the four panels surrounding the sculpture of our third president stir a profound sense of patriotism and spiritual clarity inside me.

"We hold these truths to be self-evident: that all men are created equal."

"Almighty God hath created the mind free."

"God who gave us life gave us liberty."

And then there's my favorite:

"I am not an advocate for frequent changes in laws and constitutions, but laws and institutions must go hand in hand with the progress of the human mind."

That quote goes on to talk about the importance of having a fluid Constitution, one that reflects the society of the time as opposed to "the regimen of their barbarous ancestors."

It's really quite profound when you think about it: a founding father granting future generations permission to make changes to a document with the ink barely dry on the original. And we have taken Jefferson up on his suggestion, such as granting women the right to vote.

But that tends to be the nature of most of the biggest changes that have been made to the Constitution: affecting the rights and behavior of citizens as opposed to the structure of the government itself.

Today, given how money, special interest groups and technology, including electronic media, have diseased the entire political process, I believe it's time we considered some sweeping changes.

And I believe those changes should start at the very top -- the president. There are three ways America can make the presidency better equipped to respond to the 21st century world.

The first would recognize that the functioning of the federal government is impeded by a president's bid to run for re-election. So how can we change that? We start by eliminating second terms.

President Obama's open mic comment, telling Russian President Dmitry Medvedev that he would have "more flexibility" to discuss missile defense after the November election, wasn't as much an appalling gaffe as it was an accurate assessment of the inherent flaw of a two-term system for presidents.

In an election year, each time the president goes to Congress with a new initiative it's inevitably going to be met with  partisan grandstanding and resistance.

And that's just one negative byproduct of having two terms for a president.

When you think about it, the first year is spent operating under the previous administration's budget, and part of the third and all of the fourth are spent running for re-election. Essentially we give a new president about 18 months to focus on creating meaningful policies. A good chunk of the rest of the term is spent fundraising.

But what if we were to amend the Constitution so that each president gets only one six-year term? He or she spends five years focused on governing without handwringing over a bid for re-election.

The second change: a requirement that no person could be elected president without prior military experience.

I'm OK with GOP candidates questioning Obama's foreign policy. I'm not OK with all of this tough talk about Iran, with the risk of starting another war, by Mitt Romney and Newt Gingrich, who chose not to serve during the Vietnam War.

Military experience does not necessarily mean serving in wartime, and clearly military experience alone doesn't guarantee a sharp strategic mind (insert President George W. Bush joke here).

But it just seems logical that if you're going to be called commander in chief, there should something tangible on your resume to suggest that title has been earned and not handed to you by a super PAC. It was our 34th president, Dwight D. Eisenhower, who said, "I hate war as only a soldier who has lived it can."

When I hear Romney, Gingrich and Rick Santorum speak about Iran, their words are not spoken through the filter of Eisenhower's insight, but rather shouted arrogantly out of a megaphone at some people who hate Obama.

It's so twisted that the views of the only candidate with military experience, Rep. Ron Paul, are routinely dismissed as being naive by a handful of warmongers who don't look as if they've ever thrown a punch in their lives.

While I agree with the overall tone Obama has taken in the Middle East, I believe he too would have been better served with military experience. It certainly would have added credibility to his push to overturn the "don't ask, don't tell" policy as well as his decision on the Afghanistan surge.

The third change I would like to see may seem small, but it's a long overdue amendment: Raise the age of eligibility to run for president from 35 to 45 -- and cap it at 70.

I know, I know, President Reagan was great -- for some -- but we don't need to be wondering if the person we elect is going to die while in the White House. And since 35 is the new 25, we definitely don't need an inexperienced youngster with his or her finger on the button either.

We're living longer and getting married later, so it would only stand to reason that we alter the age window to reflect those changes.  And in this same vein, it would also make sense to establish term limits on members of Congress, and cap the amount of money one can spend on elections.

If we all take a look around, we'll see a good chunk of our political process has been kidnapped by career politicians and lobbyists, working to serve each other more than the American people. In order to rescue this process we must do what Jefferson encouraged us to do -- adapt.

Change.

And I believe such changes should -- no, need  to -- start at the top.

@highlight

LZ Granderson: Thomas Jefferson urged America to keep its government current

@highlight

He says it's time to update the rules about the American presidency

@highlight

LZ: Presidents should get only one six-year term and should have done military service

@highlight

He says only those between 45 and 70 years old should be eligible to run