(CNN) -- Teams of investigators were out at daybreak Wednesday examining damage to NASA's Wallops Flight Facility after an unmanned rocket exploded shortly after launch on the Virginia coast, NASA spokeswoman Rachel Kraft told CNN via email. NASA is warning people in the area not to touch debris if they find any.

The Antares rocket, built by NASA contractor Orbital Sciences Corp., and its Cygnus cargo spacecraft "suffered a catastrophic failure" shortly after liftoff Tuesday evening, the company said. The crash caused a huge fire and scattered debris over a large area.

Orbital Sciences told CNN it would issue a statement on the status of the investigation later Wednesday.

The cargo module was carrying 5,000 pounds of supplies and experiments meant for the International Space Station.

Officials say no one was injured or killed in the explosion, but NASA says debris may be scattered around the launch area and some may have fallen into the ocean.

Rocket explodes in fireball. What happened?

The public is being warned to forget about grabbing up rocket debris as souvenirs. "It had a lot of hazardous materials on board that people should not be looking for or wanting to collect souvenirs over," said Frank Culbertson, a former NASA astronaut and now a manager at Orbital Sciences Corp. "If you find anything that washes ashore in the local area or came down on your farm or in your yard ... definitely do not touch it and keep people away from it."

"There may be a possibility of debris washing up onto some of the beaches into some of the areas surrounding the island," Bill Wrobel, director of NASA's Wallops Flight Facility, said a news conference Tuesday. If people do find any debris, they're being urged to call NASA at 757-824-1295.

NASA says teams started assessing damage to Wallops at daylight Wednesday.

"Damage was contained to kind of the south end of Wallops Island," Wrobel said. "That's predominately where many of the pieces came down."

Opinion: Rockets blow up; we move on

'You see a big fireball'

The rocket lifted off at 6:22 p.m. ET, but about six seconds after launch, there was an explosion and the rocket fell to the ground, engulfed in a huge fireball.

It seemed to be going perfectly when Ed Encina saw the launch brighten up the sky from his vantage point about 3 miles away.

"And then, all of a sudden, you see a big fireball," said Encina, a Baltimore Sun reporter.

He recalled a loud boom that caused "your feet (to) shake a little bit," as well as flames enveloping a roughly 100-yard area around the launchpad in a marshy area with brush.

CNN iReporter Dymetria Sellers, who watched from a drawbridge because the NASA visitors station was full, recalled a "breathtakingly beautiful" sight when the rocket ascended, followed by mass confusion as flames lit up the early nighttime sky moments later.

"About 30 seconds later, we could hear and feel two booms reach us, and it was apparent the rocket had exploded," she said.

Did you witness the rocket explosion? Please share your images

Mark Kelly, a former NASA astronaut, said such a colossal fire was to be expected after the launch failure.

"It takes a lot of propellant to take a spacecraft of that size moving 25 times the speed of sound," Kelly told CNN, explaining how fast the rocket should have gone on its way to the space station. "So when it fails, it's usually pretty catastrophic."

Orbital Sciences will lead the investigation into the explosion. NASA and the Federal Aviation Administration will assist.

"What we know so far is pretty much what everybody saw on the video," Culbertson said. "The ascent stopped, there was some, let's say disassembly, of the first stage, and then it fell to Earth. ... We don't really have any early indications of exactly what might have failed, and we need some time to look at that."

They'll examine debris and review video of the launch and telemetry from the spacecraft. "We have reams and reams of data that comes down from the rocket during launch," Culbertson said.

Payload included student experiments

The cargo included crew supplies, hardware for the space station, spacewalk equipment and several experiments designed by students. No classified payloads were on board the spacecraft, said Kraft, the NASA spokeswoman.

One experiment from Duchesne Academy of the Sacred Heart in Houston would have tested how pea shoots grow in space. The school said on its website that students, parents and teachers were shocked and disappointed by the explosion, but that it wasn't a total loss.

"The amount of learning that occurred as a result of being part of this program through the Center for the Advancement of Science in Space (CASIS) is incredible and the students and their teachers ... should always be proud of this accomplishment," the school said.

Also lost in the blast was a study called Drain Brain, which was designed to help learn more about blood flow in space, and an experiment called Meteor, which may have helped find previously undetected meteor showers.

The cargo also included more than 1,300 pounds of food for the space station. NASA four to six months' worth of food is stashed on board, so there is no worry the crew will go hungry.

Also, a Russian Progress resupply vehicle arrived at the space station Wednesday. And SpaceX is scheduled to take up supplies in December.

"The station is in great shape; the crew is in good shape," said Mike Suffredini, the space station's program manager.

Opinion: Don't overreact to rocket explosion

CNN's Greg Botelho, Chandler Friedman, Kevin Conlon, Jareen Imam and Dave Alsup contributed to this report.

@highlight

Public urged to stay away from rocket debris

@highlight

NASA teams checking damage to Wallops Flight Facility

@highlight

The International Space Station has plenty of supplies, NASA says