West Palm Beach, Florida (CNN) -- Working as a guidance counselor five years ago in Palm Beach County, Estella Pyfrom noticed that fewer students had access to a computer after school.

The sluggish economy forced many families to prioritize their money and use it for more pressing needs.

"They needed food. They needed to pay their mortgage or their rent," said Pyfrom, a former teacher. "Some of them lost their cars. So I knew it was a serious problem."

Without a computer at home, or reliable transportation to get to a computer, Pyfrom feared that many of these students would get left behind.

So she bought a bus, filled it with computers and brought technology to the kids.

Her mobile computer lab, Estella's Brilliant Bus, has provided free, computer-based tutoring for thousands of students since 2011.

"If people don't have some knowledge of technology, they're going to be limited," said Pyfrom, who retired in 2009 and used money from her savings to buy the bus. "It's absolutely essential that they get involved technologically."

Pyfrom is determined to help poor children get the same educational opportunities as other children. According to the Institute of the Study of Labor, students who lack access to a home computer are less likely to graduate high school.

"The digital divide is absolutely real," said Pyfrom, 76. "And it didn't just become a reality. It's been there for years, and it's getting bigger and more important."

Pyfrom's custom-designed bus is outfitted with 17 computer stations that are connected to high-speed Internet via satellite.

Emblazoned on its side are the words "Have Knowledge, Will Travel" and "We bring learning to you." The bus travels to schools, shelters and community centers throughout the county.

"We serve children starting with age 3 all the way through senior citizens, based on what the needs are," Pyfrom said. "We are bringing the learning and the technology to the neighborhoods. They all can benefit from that."

Pyfrom and her army of volunteers hold regular classes and tutoring sessions about four days a week. They offer lessons in computer and Internet basics as well as reading, math or science classes that supplement what children are learning in school.

Sometimes, the bus simply serves as an open computer lab.

The rules on the bus are few and simple. Among them, gum and Facebook are not allowed. Pyfrom takes a no-nonsense approach to her mobile classroom.

"Excuses don't get the job done," she said. "You do whatever it takes to make things happen. That's the only thing that works."

The computers are loaded with educational software, providing interactive exercises that reinforce state-mandated curricula. Children receive their own account login and password, allowing them to continue their work from anywhere they can access the Internet. Users can only advance to the next level in a subject once they reach 90% proficiency in the current one, and the software allows Pyfrom to track their progress.

For older students, the bus brings GED and college preparatory assistance, anti-bullying and peer mediation classes, and student leadership training.

Pyfrom and her team provide about 8,000 hours of instruction to at least 500 children a year. She hopes the extra time will help bring students up to their grade level in reading, vocabulary, math, science and life skills.

Freddy and Brianna Rodriguez are two students benefiting from Pyfrom's bus. Adopted from foster care, the siblings struggled with their grades when they entered junior high school.

"If I didn't have the bus to come to, it'd be hard to get to a computer," said Brianna, 13. "My grades have gotten better. The one-on-one time, it helped me."

In working with the students, Pyfrom found that many parents didn't know how to use a computer. Now her bus helps them, too.

"They're learning right along with the kids," Pyfrom said. "They don't feel threatened, because what I say to them is, 'If your 4-year-old can use a computer and click a mouse, so can you.' "

On the bus, adults can receive online banking tutorials, resume assistance and help searching for jobs and affordable housing.

Pyfrom's efforts to help low-income families haven't stopped with her bus. She also partnered with a community nonprofit to help provide meals to 3,000 residents each month. Through that work, she's identified other ways her bus can help struggling neighbors build up technological proficiency necessary in the marketplace.

"We want to do what we can do in (each) neighborhood to make things better for all," Pyfrom said. "We run into people who really want to better their lifestyles and are without help. We can help them make a big difference in their neighborhoods."

To keep up the momentum of her efforts, Pyfrom has continued to pour her savings into maintaining and modifying her bus, so far spending about $1 million, she says.

An easy retirement is not something she aspires to.

"I'm not tired yet. And I don't think I'm going to get tired," she said. "I'm constantly charged up. I look at the faces of the children and I get energized."

Pyfrom is determined to see her services expand throughout the state, even the country. She estimates she has enough savings to keep her bus running for another two years, but she hopes to find financial support before she runs out of money.

"I don't think about what I'm not able to do or not going to be able to do," she said. "I plan for the things that I think I'm going to do, need to do and want to do. And I think most of them are going to happen.

"We've got to keep rolling. We're going to keep taking the service to the neighborhoods, and we are going to keep making a difference."

Want to get involved? Check out the Estella's Brilliant Bus website at www.estellasbrilliantbus.org and see how to help.

@highlight

Estella Pyfrom's mobile computer lab is for those who lack computer, Internet access

@highlight

The "Brilliant Bus" helps poor students improve their grades, prepare for college

@highlight

It's also giving adults a chance to better themselves, improve their quality of life