(CNN) -- U.N. Secretary-General Ban Ki-moon, distressed over a call to attack the hotel where Ivory Coast's president-elect and U.N. security forces are based, said Thursday that the forces are "authorized to use all necessary means to protect its personnel" and any others at the location.

"Any attack against peacekeepers constitutes a crime under international law, for which the perpetrators and those who instigate them will be held accountable," Ban said.

A spokesman for Alassane Ouattara, declared the winner in a November 28 runoff election, brushed off the threats to attack the hotel.

"I don't see anyone taking this hotel by any means," Patrick Achi told CNN. "So really I'm not taking (this) seriously."

Tensions have been mounting in the West African nation for more than a month after the disputed presidential election.

World leaders have urged self-declared President Laurent Gbagbo to cede power in favor of Alassane Ouattara, who is considered the rightful winner of last month's poll.

Read about how the stalemate is rooted in deep divisions

Expressing his concern about "the deteriorating situation in Cote d'Ivoire," Ban said he was "deeply alarmed" to learn of the call by supporters of Gbagbo to attack the U.N.-protected Golf Hotel in Abidjan, where Ouattara has his headquarters.

Youth and employment minister Charles Ble Goude said on state television RTI Wednesday that supporters should "liberate this place with your bare hands" after January 1.

In the broadcast, the minister said Ouattara supporters were calling for international intervention in the political standoff.

Ban said the U.N. Operation in Ivory Coast has a "significant number of military and police personnel deployed to provide security for the Government of Cote d'Ivoire and key political stakeholders" as part of its mandate from Security Council resolution 1962 (2010).

"Any attack on the Golf Hotel could provoke widespread violence that could reignite civil war," said Ban, calling on people "contemplating participation in the attack to refrain from such dangerous irresponsible action."

He urged Ivorians to "contribute instead to the restoration of lasting stability and democracy in their country."

Meanwhile, the nation's new ambassador to the United Nations warned that the country is "on the brink of genocide," citing the more than 170 deaths that came in the violent aftermath of the election.

Youssoufou Bamba, Ouattara's newly appointed ambassador, said Ouattara is concerned about the human rights violations following the elections.

"As you know, there is a massive violation of human rights ... 172 people killed only because they want to demonstrate, they want to speak out, they want to defend the will of the people," the ambassador told United Nations officials Wednesday.

"We think it's unacceptable. Thus, one of the messages I try to get across during the conversations I have conducted so far, is to tell we are on the brink of genocide," said Bamba, whose credentials were accepted by Ban on Wednesday.

Bamba later elaborated on his comments, telling CNN by phone that he is worried about the killing of Ouattara partisans and saying he had heard reports of homes being "marked" in areas where they live.

The Rome Statute of the International Criminal Court defines genocide as the intent to destroy national, ethnic, racial or religious groups, but the targeting of political entities are also included in some generic definitions of the word.

Francis Deng, special adviser of the U.N. secretary-general on the prevention of genocide, and Edward Luck, the special adviser of the secretary-general who focuses on the responsibility to protect, said some leaders in the country are stoking violence between different elements of the population for political purposes.

"Given the history of internal conflict in Cote d'Ivoire," they warned, "such actions are highly irresponsible."

They cited unconfirmed reports that Gbagbo and forces under his control are using inflammatory speech to spark hatred.

Deng cited "extremely worrying" allegations that the Abidjan homes of Gbagbo's political opponents had been marked to identify their ethnicity.

Luck cited the 2005 World Summit Outcome Document, in which heads of state promised to protect people in the countries from genocide, war crimes, ethnic cleansing and crimes against humanity.

"This responsibility entails the prevention of these crimes, importantly including their incitement," he said.

"We would like to remind all parties in Cote d'Ivoire, as the secretary-general did in his statement of two weeks ago, of this solemn commitment and of the fact that they are accountable for their actions under international law."

The international community -- including the United States, the United Nations, the African Union and the European Union -- recognize Ouattara as the president-elect of Ivory Coast. The endorsement is based on the results of a November runoff election certified by the country's Independent Electoral Commission and international observers.

The country's Constitutional Council -- whose members were all appointed by Gbagbo -- invalidated the results, citing reports of voting irregularities in some parts of the country, and declared the incumbent president the winner.

Earlier Wednesday, Presidents Yayi Boni of Benin, Ernest Bai Koroma of Sierra Leone and Pedro Pires of Cape Verde met with President Goodluck Jonathan of Nigeria, who chairs the Economic Community of West African States (ECOWAS), a spokesman for the group told CNN.

Details of their talks were not immediately available.

The three presidents traveled to Ivory Coast earlier this week, but failed to persuade Gbagbo to step down. ECOWAS has threatened military intervention.

The political stalemate has led to violence, with scores of people killed in violence in the aftermath of the vote. The U.S. State Department has ordered the departure of family members and nonemergency personnel at the U.S. Embassy in Abidjan.

Also Wednesday, a onetime aide to former U.S. President Bill Clinton resigned as Gbagbo's attorney, saying in a letter to Ivory Coast Ambassador Charles Koffee that efforts to arrange a phone call between Gbagbo and U.S. President Barack Obama had been thwarted by unidentified officials in Gbagbo's government.

Lanny Davis, who served as special counsel to Clinton, said he had urged Gbagbo to invite "an independent international investigation of his claims of electoral fraud and violence, and to respect the results of that review, as a path to the peaceful and mediated resolution of this crisis."

The proposed phone call from Obama, which Davis said was being arranged by a senior State Department official, would have presented Gbagbo "with options for a peaceful resolution, that would avoid further bloodshed and be in the best interests of his country and the people of the Ivory Coast," according to the letter by Davis.

"Unfortunately, as you know, the decision was made in Abidjan not to allow President Obama's call to be put through to Mr. Gbagbo, despite my repeated objections to that decision," Davis wrote in the letter. "Nor have I been able to reach Mr. Gbagbo directly myself to offer him this advice, despite repeated requests, as recently as the last twenty-four hours."

Davis' letter said he would continue pushing for a peaceful resolution.

Earlier, French Foreign Ministry spokesman Bernard Valero told reporters in Paris that only ambassadors sent with the approval of Ouattara would be recognized by European Union countries.

Gbagbo's government has threatened to expel ambassadors of countries that recognize Ouattara's appointees, according to spokesman Ahoua Don Melo.

More than 15,000 refugees have fled for neighboring Liberia amid the standoff, according to the U.N. High Commissioner on Refugees.

CNN's Moni Basu, Alanne Orjoux, Jill Dougherty, Elise Labott, Richard Roth and journalist Eric Agnero contributed to this report.

@highlight

NEW: U.N. secretary-general describes the situation as "deteriorating"

@highlight

Scores of people killed in violence following disputed runoff election

@highlight

Self-declared President Laurent Gbagbo is urged to cede power

@highlight

World leaders consider Alassane Ouattara the rightful winner