(CNN) -- While Apple is busy pushing a smaller tablet to take on Google and Amazon's 7-inch offerings, Google is thinking big.

The company has teamed up with Samsung for the new Nexus 10 tablet, a direct competitor to the full-size iPad.

The Nexus 10 is a solid entry into the category, with excellent hardware and a stunning screen. It comes in two models and prices: the 16GB version is $399, and the 32GB tablet costs $499.

CNNMoney: Google unveils new Nexus tablets and phone

The tablet doesn't go on sale til November 13, but we got our hands on one early. Here are our impressions:

What's Inside

The real selling point of any tablet it its operating system. And if you've ever read the comments on a gadget article, you know that people feel very strongly about which OS and ecosystem is the best.

Apple's intuitive iOS -- the system running on iPhones and iPads -- has dominated the market, but competition has cropped up over the years. Google's Android system has had some issues, but it's been slowly improving with each release. Now Microsoft is in the ring with Windows 8, whose tablet system is a refreshing and fun entry that could win over new users.

The Nexus 10 is running a new version of Google's operating system, Android 4.2 (still called Jelly Bean). This new update packs some subtle improvements and fun surprises, although it still catches in a few spots, such as built-in apps getting stuck on simple tasks.

The main screen is easily customizable. Tap on the middle button on the dock to bring up a grid of all apps, then arrange them any way you like on one of the multiple lock screens, or keep them tucked away in the application view. There are widgets you can add to the background, like interactive photo albums and the weather.

In the top left corner is a drop-down list of notifications, and settings are in the top right. The new Android has a swipe-typing feature, so you can drag your finger around the on-screen keyboard to spell a word, only taking your finger off the screen between words.

Searching is front and center on the Nexus 10, with multiple places to start a search either by typing or speaking a request. The Google Now feature shows "cards" below the search bar, populated with information it thinks is relevant to you, such as nearby restaurants or public transit schedules. It also can now pull key information, like a flight itinerary, straight from your e-mail account.

One of the most exciting new features is support for multiple users. Unlike a smartphone, a tablet can get passed around the family or office. Having separate profiles is a great feature that other tablet makers will hopefully pick up soon. (The Kindle Fire and Windows 8 devices have kids' modes, but adults share gadgets, too.)

There are many options for customizing the tablets' settings and appearance, and if you're not careful the end result can be a messy and overly confusing interface. If Apple is a strict parent who claims to know what's best for you, Google is the cool uncle who lets you eat ice cream and finger paint on the new sofa.

Ecosystem

Tablets are tools that companies can use to sell you more content, apps and services. Amazon is able to sell its $199 Kindle Fire HD for such a low price because the company makes its money by selling users books, movies, TV shows, apps and even physical goods through the device. Apple makes gobs of money off content in the iTunes store, books and apps.

Google is no exception, which means there's a subtle sales pitch lurking around every corner. The Google Play store surfaces when you first open the Nexus 10, showing you a selection of books and magazines in the middle of the main screen (the first ones are free, you see). Apps for reading books, listening to music, reading magazines and watching movies are all extensions of the Play store.

Google is so excited about how nice magazines will look on the Nexus' high-res screen that it's included two separate apps for looking at them: Currents and Play Magazines. (In another example of needless doubling up of apps, there is a Gmail app and an Email app.)

The Nexus 10 would also really like you to have an account for Google+, the company's social network.

What's outside

The physical designs of tablets have been somewhat unified since Apple's iPad set the standard in 2010. Today's tablets are thin, usually black rectangles whose fronts are dominated by a touchscreen, with minimal buttons and ports scattered around the edges.

Google and Samsung have tried to give the form their own spin. The Nexus 10 is all black, with rounded corners and a familiar sheet of Gorilla Glass covering the entire front side, including the 10-inch screen and its black border. There's a mic jack, a micro HDMI port and a micro-USB charging port. (For people juggling multiple gadgets, it's always a relief when a new addition sticks with the nonproprietary micro-USB option.)

The back is coated in a rubbery textured material that gives it a pleasingly sturdy feel, and the smooth shape makes it easy to hold. To some it might feel cheap, but the extra grip actually makes the device seem less precious and more usable, like a case isn't necessary to protect it from damage. The optional front cover should suffice for keeping the important bit -- that big smooth screen -- safe from scratches.

And it's a fighting weight: just 1.33 pounds, slightly lighter than the full-size iPad's 1.44 pounds.

Screen and speed

Turn on the Nexus 10 and its bright, vivid HD screen blocks out the rest of the design. In the battle of specs, Google just inched in above Apple in the screen resolution department.

The screen quality is key for this size of tablet. Ten-inch tablets are often media consumption devices, so movies and photos need to look crisp and vivid. They're also being bought as a replacement for laptops, so this monitor needs to be good enough to work and play on.

The Nexus 10 delivers with a killer screen. The 2560-by-1600 screen packs in 300 pixels per inch (compared to the newer iPad's 264 pixels per inch). Movies and TV shows are rendered in full 1080p.

A beautiful screen is no good without speedy graphics, and luckily the Nexus 10 has a powerful dual-core A15 processor.

Cameras

Taking a photo with a tablet is odd, but as the saying goes, the best camera is the one you have with you. If all you have is an unwieldy rectangle with which to capture a moment, the Nexus 10's back camera is a fine pick. It has a flash and can capture 5-megapixel images and shoot 1080p videos.

Tablets are fantastic tools for video chatting, but the front camera always gets cheated on specs. The Nexus 10 is no exception. Its front-facing camera has no flash and captures 1.9 megapixel images and 720p videos.

The camera hardware is average, but there are some nice touches in the software. The view is clutter free when you're composing a shot, but tap anywhere on the screen and a nifty control dial appears that lets you adjust settings such as exposure compensation, scene mode, white balance and flash.

In the gallery view, you can do detailed edits, including the option to instantly Instagram-ize your images by adding filters and borders.

The final touch is the panorama mode. There's the regular rectangular pano mode, which can capture and stitch together 360-degree images. But the winner is the photo sphere mode, which can go in all directions to capture a complete, street view-esque image of your surroundings.

@highlight

Google's new 10-inch tablet is a direct competitor to Apple's full-size iPad

@highlight

The 16GB version will cost $399 and the 32GB version $499

@highlight

It will be running a new version of Android's Jelly Bean operating system

@highlight

The tablet goes on sale November 13