Washington (CNN) -- President Barack Obama heads to El Paso, Texas, on Tuesday to give a speech on the need for comprehensive immigration reform -- a perennial hot-button political issue that both Democrats and Republicans hope to use to their advantage in 2012.

Obama has held a series of meetings with key Latino officials and reform advocates in recent weeks. Despite an aggressive push for substantive policy changes from his political base, the president recently indicated he has ruled out acting on his own to implement provisions of a reform bill that failed to win congressional approval last year.

Nevertheless, immigration reform "remains a priority" for the administration, White House Press Secretary Jay Carney said Monday. There has been bipartisan support for reform in the past, Carney noted, and "we think we can build support for it again in the future."

The issue requires "focus," "education," and "persistence," Carney said. "The sooner it gets done, the better for the country."

Carney said the president's speech is likely to highlight border security improvements and the economic costs stemming from a failure to change course.

Republican leaders have indicated an unwillingness to consider broader changes -- including a path to citizenship for undocumented immigrants -- until the Mexican border is brought under tighter control.

Conservative frustration has boiled over in recent months in form of a rash of state-level proposals to apprehend and deport illegal immigrants. Key parts of an Arizona law requiring police officers to check a person's immigration status while enforcing other statutes were recently blocked by the federal courts.

The Justice Department sued Arizona, arguing that only the federal government has the authority to dictate immigration policy.

Progressive reform advocates, meanwhile, have been frustrated by Congress's inability to pass the DREAM Act, which would offer legal standing to immigrants who entered the United States illegally as children under the age of 16 and have lived in the country for at least five years.

The bill would require, among other things, a high school or General Education Development diploma, two years of college or military service, and criminal background checks.

Advocates say the bill would give legal standing to young people brought to the United States by their parents who have bettered themselves and served their new country.

Republican opponents equate the measure to amnesty, and have said it would signal to the world that the United States is not serious about enforcing its laws or its borders. They have also called the bill unfair to immigrants who, in many cases, waited years to come to the country legally.

The measure was defeated by a Republican filibuster in the Senate last December after winning passage in the House of Representatives. Most analysts believe it has little chance of clearing the GOP-controlled House now.

Regardless, the immigration issue remains politically potent. Obama won several Western states in 2008 -- including Colorado, New Mexico, and Nevada -- partly on the rising power of the Latino vote. Democrats believe Hispanic voters might put traditionally Republican Arizona in play next year.

In the long run, Democrats are also hoping to use their advantage among Hispanics to make inroads in core GOP states such as Texas.

Obama won over two-thirds of the nationwide Hispanic vote in 2008. His approval rating among Hispanics hovered around 68 percent during the first three months of this year, according to the most recent CNN/Opinion Research Corporation polls.

For their part, Republicans have depended on the immigration issue in the past to fire up conservative voters. Some analysts also believe that if Democrats push too hard, too fast on immigration, particularly in tough economic times, it could push swing voters toward the GOP.

@highlight

President Obama will discuss the need for immigration reform Tuesday in El Paso

@highlight

Republican leaders have opposed reform without tighter border controls

@highlight

Immigration reform is believed to have little chance of clearing the GOP-controlled House

@highlight

Both Democrats and Republicans view immigration as a potent political issue