QINGDAO, China (CNN) -- Another round of toasts and exclamations of "hajiu" sounded out around me. I took a sip and set down my small glass of Tsingtao beer as my new friends downed theirs and refilled. Our seafood dinner, perched on the single cluttered table of a tiny antique shop, was punctuated regularly by such moments.

A worker operates the giant fermentation units at the Qingdao Brewery plant in Qingdao.

I joined in happily, although somewhat bemused, at each increasingly beery celebration of our host, the worldly Captain Jau. My company, a gathering from four regions of China, was engaging me in Chinese drinking etiquette, in the city of Qingdao.

A few drinks in the People's Republic of China led me to discover European delights and other unexpected finds in this modest city.

You'd be forgiven for not knowing where Qingdao (pronounced Chingdao) is. The Chinese city in Shandong province doesn't roll off the tongue as easily as Beijing, Shanghai, or even Xi'an.

The 2008 Olympics gave it a place on the map as China's sailing hub; no longer a secret that holiday-making officials could keep for themselves.

But my American spell-check doesn't recognize it (which says more about my spell-check), and you can still find pre-Cultural Revolution manhole covers. So what is it about this city that seduces the unassuming traveler?

Nestled on the coast of Shandong province, almost exactly halfway between its big sisters, Beijing and Shanghai, Qingdao features as a handy pit-stop on East coast itineraries. It boasts great infrastructure, a charming climate, alfresco eateries, good coffee, sandy beaches, German history, international hotels, a brand new airport and even a famous brewery.

Qingdao could pass itself off as a miniature Seattle if it weren't for the fact that pretty much no one outside of the five-star hotels speaks English, and that communism still articulates itself through the tourist beaches, stoically named Number One to Number Six.

"In mainland China, Qingdao's history is uniquely international; in fact, more of the city's cultural identity is wrapped up in its German colonial past than even its prominent role in the emergence of Daoism" said Eric Blocher, editor of the English-language magazine Red Star.

"The local culture bureau once joked to us that Qingdao is a 'cultural desert', because it doesn't have the dynastic lineage of Nanjing or Xi'an, or opera for that matter," Blocher said. "But that's not what makes a city livable, or even fun -- if your office is in downtown, you're never more than five minutes from a protected beach; there's always excellent seafood close at hand; you can buy China's best beer fresh, for 10 cents a pound, and walk around drinking it out of a plastic bag."

Following this key advice, I visited Qingdao during the International Beer Festival in late August, an event aimed largely at a domestic Chinese market. The West knows beer. China does not. The annual Beer Festival aims to change this. While the bright lights and myriad beers flowed, one thing was obvious: this was for the tourists.

True Qingdaonese people are fiercely proud of Tsingtao beer, produced just down the road on Beer Street, and little else is drunk here in homes or bars. Pijiu, beer in Mandarin, is hajiu in Qingdaonese, the regional dialect. When in doubt, this does as well for a toast as anything else. Indeed, there is no better way of celebrating an occasion than by toasting the guest of honor with a bag of fresh beer.

If I was the guest of honor at Captain Jau's table, I certainly wasn't living up to expectations. Particularly not for my self-appointed etiquette guardian and "pure Qingdao boy," Loukas. As I raised my glass for a sip and Loukas jumped to toast the good weather for the nth time, it all became clear. In Qingdao, a beer glass is never raised without a toast.

This serves three (frankly ingenious) purposes; beer is drunk in unison; beer isn't consumed too rapidly, since constant toasting would ruin conversation; and everyone finds ways to honor each other for the purposes of toasting. Captain Jau was particularly in favor of the latter as our eccentric host was made subject of most cheers, likewise teaching us the salutations he had learned from the many foreign guests he had cooked for. From the French "salut!" to the German "prost!" to the Turkish "serefe!" Most popular of all was homegrown "hajiu!"

Alcohol is enjoyed throughout China. Microbreweries are yet to catch on here like they have in Japan and Singapore. For now Tsingtao holds the monopoly, and Qingdao's people aren't complaining.

The Tsingtao Brewery, founded in 1903 by German settlers, confiscated by the Japanese in 1915, turned over to state ownership in 1949 and finally privatized in the early 1990s, has witnessed a colorful history. The largest stakeholder, Anheuser-Busch, recently sold majority ownership to Japanese Asahi Breweries.

Residents are the first to introduce you to their biggest export. Outside every shop is a barrel or two of Tsingtao, with a ream of clean plastic bags ready to be filled with cheap 3.5 percent beer. Tsingtao beer tastes crisp and sweet (most likely from rice mixed in to cut down on the cost of barley. It is bought by the pound and weighed to prevent gaseous volume manipulation. A pint, when sold in this method, costs around 1.5 renminbi, or 22 U.S. cents.

Beer is a way of life here and has been ever since the Germans arrived and erected tree-lined avenues, red-roofed houses and a brewery. The Germans are gone but the beer stayed. And with it, three hajiu-loving generations tell you about their happy memories.

"When I was little, buying beer was one special job I did for my dad every summer day," explained Irene Cheung over a fresh bag of beer. "I was the little girl proudly and carefully carrying the plastic bag home."

It is easier to identify Qingdao by what it is not -- smoggy, crowded Beijing, or nightlife hub Shanghai -- than what it is or hopes to be. This may be the very reason why Qingdao remains largely unvisited by the West. And while there may not be much more than good weather, food and beer to keep you content, that may just be enough to hop on the three-hour flight from Hong Kong, or the one hour 20 minute-journey from Beijing or Shanghai.

Following Olympic-based investment, more than 3,000 factories have sprung up in the airport suburbs. You can source anything from shoes to jewels to Durex condoms among the largely Korean-owned industries. If these things aren't up your street, head elsewhere; like functionally named Beer Street, Bar Street, or my personal favorite, Coffee and Tea Craft Street.

"We used to have to put on parties so that there would be material to justify an English-oriented lifestyle magazine," editor Blocher said. "Now we have trouble keeping track!"

Check out English-language newspaper Red Star, for informative listings and an insight into the growing English-speaking population that has stumbled upon and stayed in Qingdao.

@highlight

Qingdao is located in northeast China, north of Shanghai

@highlight

The city hosts a beer festival and is home to distinctive European architecture

@highlight

The Tsingtao Brewery was founded in 1903 by German settlers