(CNN) -- Last month's assault and massacre at the In-Amenas gas plant in Algeria by an al Qaeda battalion led by Moktar Belmoktar put into sharp focus the growing threat of Islamist jihadists in north and west Africa. It also brought back vivid memories of my own 130-day kidnap ordeal also at the hands of Belmoktar's al Qaeda group in Niger and Mali in 2008/09. Here is an extract from my book...

A Season in Hell

TORTURE

With some ceremony, a DVD was produced and inserted into the laptop drive and we were maneuvered around to have pride of place in front of the screen. The others pressed around, the younger ones in front. There were three or four pre-pubescent boys among them, their faces rapt with anticipation as their screen-lit faces excitedly tried to watch us and the laptop simultaneously.

'Mr. Marlboro': The veteran jihadist behind the attack in Algeria

Soon we heard a loud pulsing, urgent, musical beat and the screen was filled with a black flag, the lower half of which was covered with white Arabic script and in the upper portion, there was a globe surmounted by an AK-47 assault rifle; the Al Qaeda banner. Using the traditional and mandatory Islamic opening, a voice intoned in Arabic, "In the name of Allah the most merciful..." and the centre of the screen began to fill with images and vignettes of all kinds of horrors: those aircraft slamming into the twin towers. US and allied vehicles being destroyed in Iraq and Afghanistan by IEDs (Improvised Explosive Devices); video cameras slaved to the sights of Dragunov sniper rifles blasting the heads off GIs and then murdering those who came to their assistance; suicide bombers driving explosive-laden trucks through fences and into buildings or crowds immediately followed by massive explosions. Sometimes such scenes would carry sub-titles giving the date and location of the horror. In other instances, there would be clips of the happy, excited suicide bomber explaining his joy at the prospect of martyring himself for such a noble purpose.

Power struggle: The North African gas industry targeted by militants

There would also be clips of their "Great Emir", Bin Laden, uttering in his quiet and reasonable sounding voice his latest threats to tear the heart out of the degenerate West. Then some stocky, heavily bearded, white robed and turbaned American, who we were told was Adam Gadahn, a Jewish Californian convert to Islam and Al Qaeda, made his first of many appearances. Gadahn was ridiculing -- in English, with Arabic sub-titles -- the American President and issuing dire warnings aimed at US audiences of the disasters that would befall America if the USA and her allies did not quit "Muslim lands".

Read more: Algeria crisis is a wakeup call for America

While Bin Laden was lionized by the young men around us, the star of each show was the brash, in-our-face (and happily defunct) Abou Musab al-Zarqawi, a Jordanian who was the former leader of the Iraqi franchise of Al Qaeda. Zarqawi had walked their talk regarding cleansing "Muslim lands" of the presence of infidels with passion, utter ruthlessness and without compromise. He was their man of action. He did, in their view, what others merely talked and fantasized about. The scene the young ones loved best on what we came to call "TV Night", was Zarqawi standing, legs planted wide, with a fierce and vicious open-mouthed grin on his face, firing the entire 100 round magazine of a SAW (a Belgian light machinegun), just past the camera with the sound jacked way up. We could almost hear his scream of whatever the Arabic equivalent is of "GET SOME!"

Read more: Algeria hostage crisis may be future of terrorism

Each time an episode of mayhem and destruction would occur on the screen, the crowd pressing around Louis and me would shout, "Allahu Akbar" and immediately swivel their eyes to watch how we were enjoying the show. Without my glasses, I could read none of the signs or sub-titles, so Louis would read them out loud until I quietly asked him to stop. The video did not need a great deal of interpretation.

Obviously, these propaganda videos were intended to pump up the boys, to remind them that they were part of a large global cause in which sacrifice was a major element. And it was having the desired impact; particularly for the younger mujahideen whose eyes glistened with excitement as they watched the Western infidels being butchered and humiliated over and over again. The senior members of the Group were less caught up in the show and the laptop operator was choosing the clips to be displayed with some care. I could only imagine what he was skipping and I did not for a moment presume that they were being avoided out of generosity but rather cold, hard pragmatism. They did not want to break their hostages, at least, not yet.

In many ways, both for the assembled Belmokhtar Group of AQIM, and for me, the scenes that elicited the strongest emotion were the all-too-familiar images of black-hooded, orange-clad figures, chained hand and foot, shuffling around those tiny cages in Guantanamo. These were indignities perpetrated by my side -- the 'good guys'. Those scenes of German Shepherds, fangs bared, straining to get at broken men cowering in corners and those piles of horrified naked bodies forced into obscene intimacy and, always, the iconic black-hooded figure, mutely perched barefoot on a box in a short black poncho with wires dangling from his outstretched fingers in the disgraceful Abu Ghraib prison in Baghdad, made me, in the midst of my own mental anguish, feel deep shame.

The leaden and menacing stares of our Al Qaeda captors eloquently made a mockery of our aggressive Western claims to harbour higher or superior values. The look on their faces declared that we had abandoned any alleged moral high-ground, which they, at least for the moment, sought to occupy with regard to their treatment of Louis and me, if only to demonstrate to themselves their own moral superiority.

It is therefore at least paradoxical that those wretched videotapes and photos of Guantanamo and Abu Ghraib may have resulted in Louis' and my captivity being less violent than it otherwise might have been, for it seemed to me that we were spared worse treatment because our abductors were anxious to demonstrate that they didn't stoop to such stuff, which, of course, we know is not generally the case. That particular myth, however, with that particular Group of AQIM hostage-takers, probably served us well.

Thus, I found that the most appalling of those TV Night videos images were not the mass murders and individual assassinations perpetrated by Al Qaeda and their allies against our soldiers and civilians, which were never easy to behold, but less difficult to understand. That was simply Al Qaeda being Al Qaeda. That was what they were. Rather, it was the intimate and almost palpable proof of our side's methodically applied, officially sanctioned, and so casually administered barbarity, that had been parsed into the bureaucratic banalities and legal niceties of officially sanctioned abuse and torture which was so hard to absorb. Viewing such scenes, I could not help but believe that if we were capable of such outrages and so carelessly willing to resort to torture-as-entertainment, then we had indeed strayed into truly dangerous ethical territory.

The ease with which faux-legal language was coined in Washington and unopposed throughout the West in a cursory attempt to legitimize the illegitimate; the arbitrary manner in which long-standing international conventions were set aside; and the glibness with which word-games and were employed to condone such practices, should have stunned us all. The methodical development of "black sites" and concepts like "extraordinary rendition" (sub-contracting torture) and "enhanced interrogation"; the invention of ersatz juridical explanations of why was not torture, and other such despicable behaviour, indeed made a mockery of our Western pretensions to be champions of human rights and international justice. Further, without a shred of doubt, they have massively increased recruitment to the Islamist cause and markedly amplified the threat against Western interests and the security of individual Americans and their friends and allies.

If the dreadful events of 11 September 2001 could so easily dismantle the bulwarks of free, just and open societies which had taken us centuries to build, then, yes, our claims to a higher moral standard were in fact a sham, and surely there were no effective limits to what we were prepared to visit upon our enemies, or merely anybody who got in our way.

No, these were not made-in-Canada practices, justifications and facilities, but how easily we in our country and our friends throughout Europe abandoned our much-vaunted principles and meekly, often enthusiastically, went along. The bulk of our usually vocal human rights advocates and politicians were muted or stunned into silence when the need to avenge the insult and atrocity of 9/11 was allowed to pervert the law and sully the reputation of our friends and neighbours; perversions which have done and continue to do the West incalculable harm throughout the world. We are clearly guilty by such association. And Louis and I were reaping the consequences.

The opinions expressed in this commentary are solely those of Robert R. Fowler.

@highlight

Massacre in Algeria put into focus the threat of Islamist jihadists in Africa

@highlight

Fowler spent 130 days held hostage by al Qaeda group in Niger and Mali

@highlight

He shares his experience in an extract from his book, "A Season in Hell"