Hong Kong (CNN)It's not just Asia. Around the world, we're becoming collectively more near-sighted.

Near-sightedness, or myopia, means nearby objects appear clearly, but those farther away look blurry.

The rates of myopia have doubled, even tripled, in most of East Asia over the last 40 years, researchers say. Several places like Hong Kong, Singapore and Taiwan have rates in the 80%. In South Korea, myopia rates among 20-year-olds have leaped from 18% in 1955 to over 96% myopia in 2011.

And it's a global issue -- rates of myopia are also rising in Western nations like Germany and the United States.

"It's about 40% in the U.S., compared to about 25% in the 1970s," said Dr. Michael Chiang, clinical spokesperson for the American Academy of Ophthalmology.

But researchers say reducing risk of myopia is easy, free and readily-available: Get some sunlight.

Sometimes, though, the easiest solutions are the hardest to implement.

The epidemic of myopia amongst East Asians has triggered cultural questions about why so many young people develop vision problems.

Many have long believed that reading, studying or staring at your phone caused short-sightedness. And there's the usual grumblings that young people spend way too much time glued to their screens.

But researchers are focusing on a different cause.

"If children get outside enough, it doesn't matter how much they study they do. They don't become myopic," said Ian Morgan, researcher at Australian National University.

Researchers say kids and teens need to get sunlight during the critical years of their development while their eyeballs are still growing.

The mechanics of how sunlight protects their eyes are not clearly understood. One theory suggests that sunlight triggers the release of dopamine in the retina; another speculates that blue light from the sun protects from the condition.

The solution is simple. Have kids "spend more time outside, have less demands (from) the schools and relax a bit," said Seang Mei Saw, professor of epidemiology at the National University of Singapore.

But studying and play time are often at odds with each other.

In Asian cultures where there is heavy emphasis on education and hyper-competitiveness, forcing playtime is easier said than done.

"The problem is teachers and parents are probably not going to let kids," said Dr. Nathan Congdon, professor at the Zhongshan Ophthalmic Center at the Sun Yat Sen University in China. "There's a limit to how many hours kids can go outside."

There have been some attempts to protect children's eyesight.

In China, students have been mandated by its education ministry to perform daily eye exercises. Since 1963, rows of students sit at their desks and massage the pressure points around their eyes as a revolutionary-era anthem blares through the PA system.

Despite these eye exercises, rates of myopia in urban China have soared to nearly 90%, according to recent studies.

"China has among the highest rates of myopia and it's the only country in the world that does eye exercises, so it's probably not working all that well," said Congdon.

Their effectiveness has been doubted by experts in China, but the exercises remain a part of the students' daily experience.

Myopia may seem like a minor inconvenience. People have to deal with glasses, contact lenses and even laser eye surgery. But researchers say there are serious implications of such high rates of myopia among young people.

In Singapore, 82% of 20-year-olds are myopic. By the time these young adults hit their 60s, many of their vision problems are likely to get worse.

"They grow older and the epidemic is then in older adults," said Saw, head of the myopia unit at the Singapore Eye Research Institute.

As people age, they can become at higher risk for severe eye disorders such as high myopia, glaucoma (optic nerve damage), cataracts (clouding of the lens) and retinal detachment. These conditions could lead to vision loss and blindness.

To negotiate the expectations of parents and classes, researchers are experimenting ways to help students get increased exposure to sunlight.

One of the studies underway is the "bright light classroom" where the school's walls and ceilings are made of see-through plastic that allows in light. Hundreds of students attend this unusual  elementary school in Guangdong province.

"It's a potential way to increase the amount of light, in hopes of preventing myopia and allow kids to continue (their) education without inconvenience for them," Morgan said.

Researchers want to measure the rates of myopia among students in these "bright light classrooms" compared with those in traditional classes.

Building schools costs money -- especially experimental see-through schools. But researchers say there are low-cost solutions.

In one Taiwanese study, teachers locked the students out of the classroom during recess and lunch time. In that 2013 study, students boosted their time in sunlight by 80 minutes during the school day.  Fewer children in that school became nearsighted compared with those from another school that didn't follow such a policy.

Researchers hope with greater understanding of this condition, far-sighted policies could save the next generation of children's eyesight.

@highlight

East Asia sees soaring rates of myopia, with 80-90% of young adult population affected

@highlight

Evidence that myopia rates are increasing in Europe and the U.S.

@highlight

Scientists advice for kids: Go outside and play