(CNN) -- Mexico's international image may be taking hits because of the violence produced by drug cartels, but it hasn't hurt its tourism industry, officials say. International tourism to Mexico has increased 2.1% in the first five months of 2011 compared to 2010, and it remains the top destination for Americans traveling abroad.

Statistics from the U.S. Department of Commerce show that fewer Americans are traveling abroad, but a bigger percentage of those who do are going to Mexico. Mexico also reported double-digit increases in the percentage of visitors from Russia, Brazil and China, among others.

"The data doesn't lie," Mexico's deputy secretary for tourism, Ricardo Anaya, told CNN. "Tourists keep choosing Mexico."

The unrelenting battles between rival drug cartels and police and cartels have provided nearly unlimited fodder for those who write off Mexico as a dangerous destination.

The truth, Anaya said, is that the violence is limited to certain geographic areas that can be avoided by tourists.

The border area, for example, where much violence has been recorded, is 1,200 miles from the resort town of Cancun -- that's like avoiding travel to Houston because of problems in New York, he said.

According to surveys by Mexican tourism authorities, 98% of those who do visit Mexico say they will come back, and 99% recommend it to others.

Opinion: Why you should go to Mexico

Much of the growth has been fueled by new programs to incentivize tourists from emerging economies, such as the so-called BRIC countries -- Brazil, Russia, India and China.

For starters, Mexico began allowing holders of U.S. visas to enter Mexico, opening up the possibility of tourists to the United States extending their trips south of the border.

Also, Brazilians, Russians and Ukrainian visitors can gain travel permission to Mexico on the Internet, with no need for a visa.

Finally, for travelers from other countries, visas to Mexico in many cases can be obtained through a travel agent, erasing the need for trips to embassies.

In 2011 to date, Mexico has seen a 40.9% increase in Brazilian tourists, a 58.1% increase from Russia and 32.8% increase from China, according to Mexico's tourism ministry.

For U.S. travelers specifically, the Commerce Department's most recent data -- for 2009 -- shows that 31.7% of all U.S. international tourists go to Mexico. From 2002 to 2009, while U.S. tourism to Canada fell by more than 27%, tourism to Mexico from the U.S. increased by 5.1%. This happened even though the overall number of Americans traveling abroad decreased, from a peak of 64 million in 2007 to 61.4 million in 2009.

When Kendra Young, a high school teacher in Texas, told her friends that she and her husband's family were going to Cozumel for a yearly retreat, she was met with skepticism. Are you worried, they would ask? Are you still going?

"I think people see all of Mexico as one entity," she told CNN.

It was the third straight year that she traveled to the same resort, and security was not a concern for her. Young is pregnant, and she was more worried about food-borne or water-borne illness.

She was aware of several State Department travel warnings to Mexico's cartel hot spots, but she also knew that the area she was traveling to was not affected. Her group planned to stay on the resort, where they felt safest, but on the advice of resort staff they trusted from the previous trips, they ventured into the city without worries.

"Unfortunately, there are the headline-grabbing things -- the drugs, the violence -- but I don't think that's indicative of what's happening in the entire country," Young said.

Anaya pointed out that Americans are not unaware of the violence -- 80% of Americans who travel to Mexico go to six places, none of which have had travel alerts. The destinations are Cozumel, Riviera Maya, Cancun, Puerto Vallarta/Nuevo Vallarta, Mexico City and Los Cabos, he said.

Some beach destinations, like Acapulco, have been the scene of some of the drug cartel bloodshed, but still managed to increase its tourism 3% in the first five months of 2011 compared to last year, thanks to national, rather than international, tourism.

But some pitfalls of tourism in Mexico persist.

Tucson, Arizona, resident Denise Hermosillo and a couple of friends made the six-hour trek last week from her home to Bahia de Kino in the state of Sonora, Mexico. This area is not under a travel warning, but is not among the top destinations for American tourists.

"I was scared out of my mind to go there," Hermosillo said. Friends of hers who are in the military are not allowed to cross the border and urged her not to do the same. But she wanted to go to the beach to write for a book she is working on, and Bahia de Kino is the closest one.

On the first day of her vacation, her group was pulled over by a police officer, who promptly asked for $100 in exchange to letting them go. In the moment she was frightened, all those stories about bloody ends in Mexico rushing to her mind. But she negotiated the bribe down to $20 and her group was allowed to continue on their journey.

"It was pretty pathetic, I thought. What are you going to do with 20 bucks?" she said. Still, she was unable to relax during her vacation.

Would she go back? She doesn't know.

Would she recommend Mexico to a friend? Maybe, but only if you are traveling with someone who could act as a guide.

@highlight

Mexico remains the No. 1 destination for Americans traveling abroad

@highlight

Tourism officials have worked to diversify their tourism base

@highlight

Initiatives have brought more tourists from Brazil, Russia and China

@highlight

Some tourists have good experiences, some bad