On the Sunday after the Newtown massacre, President Barack Obama traveled to Connecticut to comfort the grieving community. As the president offered what he could to the town, other American communities, in less visible ways, were grappling with their own menace of violence.

In Camden, New Jersey -- a city that has already suffered 65 violent deaths in 2012 , surpassing the previous record of 58 violent deaths set in 1995  -- 50 people turned out, some bearing white crosses, to mourn a homeless woman known affectionately as the "cat lady"  who was stabbed to death (50 of the deaths so far this year resulted from gunshot wounds.)

In Philadelphia, on the same Sunday, city leaders came together at a roundtable to discuss their own epidemic of gun violence; the year-to-date total of homicides is 322.  Last year, 324 were killed. Of those victims, 154 were 25 or younger. A councilman at the roundtable asked, "How come as a city we're not in an outrage? How come we're not approaching this from a crisis standpoint?"

The concerns go beyond Philadelphia. In the week following the Newtown massacre, there were at least a dozen gun homicides in Chicago, Detroit, Baltimore and St. Louis alone. In a year of highly publicized mass shootings, inner-city neighborhoods that are plagued by gun violence have continued to be neglected and ignored.

According to the Centers for Disease Control and Prevention, large metropolitan areas account for more than two-thirds of deaths by gun violence each year, with inner cities most affected. The majority of the victims are young, ranging in age from their early teens to mid-20s, and black.

To track these violent deaths, many communities and media organizations have set up agonizing online trackers -- homicide watches or interactive maps -- that show each subsequent victim as just another data point. These maps are representative of a set of issues far larger than the nameless dots suggest.

In the immediate aftermath of Newtown, as politicians and public figures across America grapple with the horrible truths of gun violence, far less visible from the national spotlight is the steady stream of inner-city victims.

The media is fixated, and with justification, on the string of high-profile massacres that have rocked the nation in Aurora, Colorado; Tucson, Arizona; Virginia Tech; and now in Newtown. Yet in many of America's neighborhoods most affected by the calamity of gun violence, there is a warranted exasperation -- residents are tired, tired of the ubiquity of guns, tired of fearing for their children's safety, tired of being forgotten.

Critiquing a narrow media focus doesn't deny the horrible, tragic nature of the massacre at Sandy Hook Elementary School; mass shootings, however, make up only a small fraction of America's shockingly high level of gun crime.

In his study "American Homicide," Randolph Roth showed that while the overall risk of being murdered is higher in America than it is in any other first-world democracy, homicide rates vary drastically among groups.

According to Roth, if current trends are maintained, one out of every 158 white males born today will be murdered, but for nonwhite males it is likely one of every 27 born today will be murdered.

The stark difference in these racial trends can be traced to the high levels of racial segregation in America's cities, which have created a spatial barrier between poor inner-city youths of color and more mainstream America -- a barrier that is often responsible for the lack of media and political attention paid to inner-city problems.

Many experts claim that actually it is the spectacular nature of mass shootings that naturally magnifies media coverage and explains the resonance of these tragedies to the broader public. Inner-city violence on its own, however, does not suffer from a lack of awful, spectacular violence and calamity. In fact, the gruesome nature of violence in inner cities has contributed to widespread social desensitization to gun violence. How then do we explain the differing public responses?

An indicator of the difference of attention levels lies in the tone of the public rhetoric in the wake of mass shootings: "This was supposed to be a safe community," and "This kind of thing wasn't supposed to happen here."

These statements imply that in America's leafy-green small towns and suburbs, gun violence is a shocking travesty; it strikes against America's perception of what is acceptable. In contrast, gun violence in the American metropolis has been normalized, and the public and media display a passive indifference toward the lives of inner-city youths.

This normalization of inner-city violence is due in part, to the isolation and segregation of America's ghettos from wider America, but it is also due to a sense that the victims of inner-city violence are responsible for their own condition.

As Robert Sampson, a professor at Harvard University, has highlighted, the gun violence in American cities is born out of neighborhood characteristics such as poverty, racial segregation and lack of economic opportunity.  This shortened explanation for the high levels of inner-city violence has often been mistaken to imply that it is the direct choice of inner-city residents to remain either in poverty or in their segregated community that leads to their victimization.

In reality, the victims of inner-city gun violence are the victims of a dual tragedy. The first is that the poverty and segregation, which play a crucial role in spurring the downward cycle of crime, are the result of social arrangements predicated on longstanding oppression and prejudice.

Through a complex mix of violence, institutional arrangements and exploitation, black Americans were pressured into ghettos, which are the hotbeds of contemporary gun violence. Their inability to escape their conditions is not a choice but rather the byproduct of continued structural discrimination. Slowing the tide of inner-city deaths through gun control is therefore a modern-day civil rights issue.

If the refusal of America's national politicians to move on gun control before Newtown represents a political failure and a paucity of American will, then the disregard for the lives of inner-city youths stricken by gun violence on a daily basis is an illustration of the limits of American compassion.

The slaughter of young children en masse should be a moment of reckoning for any society, but there is a day-by-day, child-by-child slaughter occurring in America that has gone on too long and is yet to be reckoned with.

If Newtown should teach us anything, it is that all of us in America share this same short moment of life, and that we all seek to ensure safety, security and prosperity for our children.

As Vice President Joe Biden and the presidential task force meet to negotiate about what new gun laws to recommend, they must look to Sandy Hook Elementary and beyond. We need to protect the children of Newtown from the threat of future gun violence, but the children of Chicago and Camden and Detroit deserve the same long-term security.

We may not be able to ensure absolute security for America's children, but through smarter policy America can surely save more of its children from gun violence.

Follow @CNNOpinion on Twitter.

@highlight

While America was mourning Newtown victims, guns were claiming lives elsewhere in U.S.

@highlight

Authors: Media focus on mass shootings, but continuing violence also needs coverage

@highlight

They say inner cities suffer an epidemic of gun killings, and young are particularly vulnerable

@highlight

Authors: There is a day-by-day slaughter of children that must be stopped