WASHINGTON (CNN) -- The beautifully ornate Catholic church in the nation's capital has seen its share of history and controversy.

Cardinal Theodore McCarrick and Chief Justice John Roberts attend Red Mass in 2005.

In 1963, the Cathedral of St. Matthew the Apostle was the site of John F. Kennedy's funeral. After the service, on the steps outside, the slain president's young son famously saluted his father's memory.

But the church is also the site of an annual Mass that has drawn criticism for what many see as an unhealthy mix of politics, the law and religion.

Washington's annual Red Mass, which celebrates the legal profession, will be held this year on Sunday, October 4 -- the day before the Supreme Court begins its new term. Several justices traditionally attend, along with congressional leaders, diplomats, cabinet secretaries and other dignitaries.

Past presidents have also attended, though there is no word yet on whether President Obama will appear.

It is a Catholic service, but power brokers of other faiths are asked to attend the invitation-only event. Justice Stephen Breyer, who is Jewish, is a regular.

The Mass "takes its name from the color of the vestments. ... [It] goes back centuries, to Rome, to France to England," Washington Archbishop Donald Wuerl said.

"There was the idea [to] bring all the people who are involved in the law ... once a year so that together, they can simply pray for the wisdom of God."

The church, built starting in the 19th century, is considered one of Washington's hidden gems. Tucked between modern office buildings a few blocks from the White House, it is a mix of architectural styles, a hint of ancient Roman style, a splash from the Italian Renaissance and a definite Byzantine flavor.

St. Matthew, noted Monsignor Ronald Jameson, was the patron saint of civil servants, appropriate in a city where the federal government dominates the workforce.

Five justices attended last year's Red Mass, which was similar in tone to other recent gatherings. Cardinal John Patrick Foley, who has held several prominent positions in the Catholic Church, noted many parts of the Bible "sound very much like American ideals" and reminded the members of the high court to build a society "of justice, of peace and of love."

Critics of the service, however, find the attendance of leading decision-makers, including members of the highest court in the land, to be inappropriate.

"The truth is, this was set up as a way to basically lecture and give information to the justices," said the Rev. Barry Lynn, president of Americans United for Separation of Church and State. "There is no other institution that has this special way to talk to the justices on the Supreme Court."

The Red Mass was started in Washington in 1952 by the John Carroll Society, a lay Catholic group of prominent lawyers and professionals. Chief Justice John Roberts' wife, Jane, is an officer of the group.

Lynn, an ordained minister with the United Church of Christ, noted the Mass was begun after several high court decisions that were disapproved of by the archdiocese.

"They figured if they got all the justices together and chatted them up in a worship service, they might be able to convince them to see the law their way," he said.

In 1989, a top church official used the occasion of the Mass to call for a return to "religiously based moral values" and lament the "inviolable, impenetrable and towering wall" between church and state.

In 1986, Washington Cardinal James Hickey attacked the Supreme Court's Roe v. Wade ruling legalizing abortion.

Among those in attendance that year were then-Chief Justice William Rehnquist and Justices Antonin Scalia and William Brennan, both Catholics.

One member of the court who no longer attends is Ruth Bader Ginsburg who, like Breyer, is Jewish. Ginsberg said she grew tired of being lectured to by Catholic officials.

"I went one year, and I will never go again, because this sermon was outrageously anti-abortion," Ginsburg said in the book "Stars of David: Prominent Jews talk About Being Jewish" by author Abigail Pogrebin.

"Even the Scalias, although they're much of that persuasion, were embarrassed for me."

Six Catholics now sit on the high court: Roberts, Scalia, Anthony Kennedy, Clarence Thomas, Samuel Alito and Sonia Sotomayor.

Church officials, however, said they do not attempt to lobby or seek to persuade anyone who attends the service. Wuerl likens the experience to putting aside the partisanship and troubles in the world and seeking comfort in a shared community and a sacred place.

Americans have "been very careful about ... not allowing any one tradition or church to become the state church," he said. "But from the very beginning, we've always said we need to hear the voice of faith in all the discussion that is a part of determining what we want to do."

Lynn takes a different tack.

"I don't think there is any doubt that people in that congregation, including the Supreme Court justices, are going to listen to what is said. They might hear something phrased in a way you might never hear it in the court, but it might become a lingering factor in their decisions. ... People who are concerned about the Red Mass worry about this kind of undue influence, an influence that no other group, religious or otherwise, has on those nine men and women."

Their sharply differing perspectives show that, more than two centuries after the Constitution's ratification, the interpretation of the First Amendment and the role of religion in American society remain hotly contested questions.

CNN's Elaine Quijano contributed to this report.

@highlight

Annual Catholic Mass in Washington celebrates the legal profession

@highlight

It began in 1952; several Supreme Court justices regularly attend

@highlight

It is touted as a chance for those involved in law to pray for wisdom

@highlight

Critic says Mass set up to "lecture and give information to the justices"