(CNN) -- With the passing of Nelson Mandela it might be timely to put aside out-of-date and ill-informed views of Africa, and see it the way Africans seem to: With a high level of optimism.

Two-thirds of respondents to a CNN survey of more than 9,000 people across South Africa and 19 other African countries say they feel more confident about the future than when Mandela came to power.

Corruption tops their list of fears -- particularly in Nigeria -- but generally they believe their leaders are "doing their best."

The survey, conducted on smartphones, PCs and web-enabled feature phones, was an attempt to give a sense of the mood of Africans about their future and Mandela's legacy.

It suggests a positive outlook, and perhaps surprising high levels of patience with African leaders, and immense respect for Mandela as a leader for Africa not just South Africa. The survey is weighted towards South Africa with 4,871 respondents, but gives insights to other countries across a hugely diverse continent where Mandela had a huge impact.

Think you know Africa? Think again

If you think of Africa as war-torn, corrupt, beset by crippling poverty, starvation and a raging AIDS epidemic, that's not the reality or how Africans see themselves and their future.

"People in South Africa, including the youth, must keep on respecting, loving, and caring about other people," said one respondent, a 19-year-old woman from South Africa. "The youth must also take education as a weapon, to live as Madiba said." "We are one nation' and we must live in peace, build our nation to a better place, and always remember him."

Nigerian blogger and columnist Tolu Ogunlesi, writing for CNN, said: "Where once the continent was defined by its AK-47s ... it is now more likely to be defined by those mobile phones that have made this survey possible."

While corruption seems to be their greatest single concern, Africans generally give their leaders pretty good reviews, the survey suggests.

Half said their leaders were "doing their best," and one in four said their leaders were living up to Mandela's vision. Only a quarter said their leaders were doing badly.

While a clear majority of respondents voiced optimism their own future and those of their family, there was a split down the middle from people across the continent about how South Africa would do after Mandela.

Just under half said the country would succeed without him, while an equal number said it would "struggle." Only 3% predicted it would fail. The numbers in South Africa were very similar.

Given a choice of five options, respondents listed corruption as the greatest challenge facing their country, followed by the gap between rich and poor, poverty, and HIV/AIDS, with war coming last.

Questions and thousands of answers

CNN International asked:

1. Are you more or less optimistic about your own and your family's future now than ... when Mandela came to power in South Africa?

Across Africa, 64% said they were more optimistic, 12% less optimistic. South Africa, the greatest proportion of the entire survey, was almost identical with 65% more optimistic. In Nigeria, the most populous country in Africa with the second-highest number of respondents, 64% expressed greater optimism. Ivory Coast respondents were the most optimistic with 91% but the sample was insignificant. Rwanda had the highest percentage of "less optimistic" at just under 28% but a majority were still optimistic.

2. How well have your country's current generation of African leaders lived up to Mandela's vision?

Across Africa, less than a quarter felt their leaders had performed "well" but 52% said their leaders were doing their best. The remainder ticked the "badly" box. In South Africa, where President Jacob Zuma was booed at Mandela's memorial service this week, 55% said the leaders were "doing their best", with 20% saying their leaders had done badly and 24% saying they'd done well.

3. How do you think South Africa will progress without him?

In South Africa, accounting for half the total sample, half the respondents said the country faced a "struggle" without him while almost the same proportion said it would "succeed". Across Africa the proportions were almost identical given the weight of South Africa in the survey overall.

4. Which group in South Africa has most embraced Mandela's message of reconciliation?

In answer to a question most relevant to South Africa itself, nearly 60% of respondents said all races had equally embraced the aim of reconciliation.

5. What is the greatest challenge in your country in the post-Mandela era?

Of the total Africa sample, 37%, identified "corruption" as the biggest challenge, with 23% identifying the gap between rich and poor. Sixteen percent put HIV/AIDS as the greatest fear.

Of South African respondents 27% rated corruption as the biggest concern and 23% the wealth gap. In Nigeria by contrast, 57% rated corruption their greatest conern.

Mobile gives mass coverage

The Africa After Mandela survey for CNN International surveyed 10,000 people in 20 countries from the Ivory Coast to Mozambique using mobile market research methods developed by Jana Mobile, Inc. People who took the survey received a small payment of mobile airtime in return for answering five multiple-choice questions and two open-ended ones.

The survey findings were not statistically weighted as they are in public opinion polling, and may not be representative of the overall population of the continent.

Mobile phone use has skyrocketed in Africa, climbing from 9.2 million subscribers in 2000 to more than 648 million subscribers in 2011 -- more users than the U.S. or the European Union, according to the World Bank. Cheap handsets and low-cost connections mean they have spread to even the poorest areas and mobile is by far the fastest-growing way of connecting to the Internet in Africa.

More than three-quarters of respondents were between the ages of 15 and 25. Thirteen percent were aged 26 to 30, and 10% were older than 30. Across Africa as a whole 40% of the population is under 14 and 56% are between 15 and 64, according to data from the African Economic Outlook. In South Africa, 30 per cent are under 14.

The survey did not reach some of the most war-ravaged places in Africa, such as the Central African Republic and the Democratic Republic of the Congo.

CNN International conducted a similar project with Jana earlier this year to gauge the sentiment in the continent around the chances of an African winning the Papacy.

Last words on Mandela

CNN's request for answers to more open-ended questions about Mandela's legacy and what he meant to the thousands asked for views, produced an outpouring of poignant comments.

In a "word-cloud" which shows the phrases most-used in the thousands of replies: Hero. Great Man. Father. Freedom. Leader are most prominent.

"Africa's booming mobile economy is a subject we report on in the context of the pace of economic and social change across the continent so it is exciting to be able to participate in the phenomenon," said CNN International Digital General Manager, Peter Bale, explaining the intention behind the survey.

"Mass research by mobile is an emerging method which challenges traditional polling by its sheer scale, made possible by the growth of the Internet and mass adoption of mobile phones in even the poorest communities. It gives us an opportunity to add the views of thousands of people to the reporting we do."

"With Nelson Mandela's death, using a mass mobile survey allows us to collect the views of thousands," he said.

Jana grew out of a Massachusetts Institute of Technology health project in Kenya where blood supply data around the country was delivered by mobile phones in return for small payments of airtime. It now offers market research over mobile networks around the world.

The survey was conducted by mobile phone in 20 countries this week on Monday, Tuesday and Wednesday. A total of 9,286 people responded. They hailed from Benin, Burundi, Cameroon, Ghana, Guinea, Ivory Coast, Kenya, Mali, Mozambique, Niger, Nigeria, Rwanda, Senegal, South Africa, Swaziland, Tanzania, Tunisia, Uganda, Zambia and Zimbabwe.

The respondents were active users of Jana's rewards platform, mCent, and may not be representative of the overall population.

Opinion: Optimism may be rife among the young, but economic freedom remains a dream

Challenge your own preconceptions: Take the 'ignorance' test

@highlight

Two-thirds said they were more optimistic about the future than when Mandela took office

@highlight

One in four Africans surveyed say their leaders are living up to Mandela's vision "well"

@highlight

Just under half of South African respondents said the country would succeed without him

@highlight

Survey of more than 9,000 people in 20 countries was undertaken by CNN in partnership with Jana