Washington (CNN) -- All eyes were on the problem-plagued Obamacare website Monday after the administration said it would smoothly handle most users following its botched launch two months earlier.

White House spokesman Jay Carney told reporters that 375,000 visitors went to HealthCare.gov by 12 noon ET, almost half the total daily capacity of 800,000 that officials announced Sunday as a result of a round-the-clock effort to fix the site.

However, Carney provided no details about how many of those visitors were able to sign on and enroll in insurance exchanges set up under President Barack Obama's signature health care reforms.

A new function created in the latest technological overhaul completed Sunday put people trying to sign up in an online waiting queue if capacity exceeded demand. They could wait until their turn came to enter the system, or ask to receive an e-mail when they could try again at the front of the line.

Three CNN journalists who attempted to sign on Monday ended up in the new queue around midday and then two hours later. Their wait lasted a few minutes before they received a prompt on their screen to proceed with enrollment.

Later in the day, users proceeded directly to enrollment without waiting, indicating reduced volume at the end of the afternoon, as officials had predicted.

Having declared the site working as intended on Sunday, the administration effectively painted a target on it for detractors led by conservative Republicans, who will look for any anecdotal evidence of continued problems with the 2010 Affordable Care Act.

The Republican National Committee wasted no time Monday, distributing a list of media reports that noted administration officials warned people to expect continued glitches with the problem-plagued online portal.

"President Obama and his administration repeatedly claimed the Obamacare website would be fully functioning by the end of November, but this has proven to be just another broken promise," said RNC Chairman Reince Priebus. "The Obama administration had over three years to build HealthCare.gov, and all they've produced is a non-functioning website, wasting hundreds of millions of taxpayer dollars."

Administration: We met the website deadline

Obamacare site fix: 5 things to look for

Carney made clear more glitches were likely in coming weeks and months, arguing that any major website has periodic problems that must be addressed.

"It does not mean that there will be no problems with the website going forward," he said when asked by reporters if HealthCare.gov was truly fixed or merely functioning at a minimal level.

To Carney, the bottom line was that as of Monday, "more people are visiting the site and are able to effectively go from beginning to end" compared to the unsuccessful launch in October and through November.

On Sunday, officials announced they had met their self-imposed November 30 deadline for getting the site working for the "vast majority" of users, saying response times and error rates had been slashed while capacity increased.

Jeffrey Zients, a former administration official brought in to oversee the website fixes after its launch, compared the hardware upgrades so far to widening a highway on-ramp from two lanes to four.

That means chronic breakdowns, error messages and delays users experienced two months ago when the website went live have mostly disappeared, he said, noting the average response time was less than 1 second and the system's "uptime" -- a measure of system stability -- was consistently surpassing 90%.

It all means that HealthCare.gov can now handle its original intended volume of 50,000 concurrent users for a total of 800,000 visitors a day, according to Zients.

Upgrades, trouble-shooting, and old pizza

In a commentary in USA Today, Health Secretary Kathleen Sebelius advised consumers to try the website in off-peak hours -- mornings and evenings on weekdays or else on weekends -- and noted the new feature for times of high demand "that allows users to opt to receive an e-mail when it's a better time to come back."

She emphasized that consumers have time to sign up, with a December 23 deadline to get coverage that starts on January 1 and a March 31 enrollment deadline to avoid a financial penalty for not having insurance in 2014.

Back-end problems remain

Insurers: Site glitches persist

Meanwhile, insurers warn that more work is needed on the "back-end" functions of the website that process payments and provide enrollment information to the companies.

"Insurers are still getting enrollment files that are duplicative and have missing or inaccurate information," Robert Zirkelbach, spokesman for health insurance industry trade association group America's Health Insurance Plans, said in a statement to CNN. "In some cases they are not getting the enrollments at all."

The administration chose to stress the positive on Monday with a statement saying November enrollment figures on HealthCare.gov were expected to be higher than the previous month.

An administration official familiar with the matter told CNN that about 100,000 people signed up for coverage last month alone on the site. The official cautioned the number was preliminary and final numbers would be released in mid-December.

Joanne Peters, a Health and Human Services spokeswoman, said enrollment through alternate channels and successful exchanges in 14 states would help bolster November figures.

In October, the first month of a six-month enrollment period, just over 106,000 people signed up for Obamacare. Less than 27,000 of them did so through the HealthCare.gov website, which was supposed to be the main enrollment portal.

Initial enrollment figures lower than hoped

Website progress garners muted reaction from Congress

Marilyn Tavenner, the official charged with implementing Obamacare as director of the Centers for Medicare and Medicaid Services, told a congressional hearing last month that the administration initially hoped to enroll 800,000 people by the end of November. The overall enrollment target by March 31 is 7 million.

A properly functioning HealthCare.gov is crucial to implementing the most vital provisions of the health law that require people to have health coverage.

In theory, the law would create large pools of younger, healthier participants whose premiums would help offset the cost of providing care for older policy holders who use the health care system more.

The program must convince younger people who might be less inclined to pay for coverage they don't think they need.

To GOP opponents, the law needs to go. They focused on canceled coverage for some individual policy holders as an example of how Obama and Democrats failed to fulfill a pledge that people could keep health insurance they liked.

GOP Obamacare playbook: Spread negative perception

"This isn't just about a broken website, it's about a fundamentally flawed law," said Michael Steel, spokesman for House Speaker John Boehner, while conservative Republican Sen. John Cornyn of Texas said Monday the administration lied to the public about the health care reforms and other issues.

"That's the one thing I find most aggravating about what's happening in Washington these days, particularly about this administration, which is a lack of accountability and the willingness to mislead people or provide them just demonstrably false information and expect to be able to move on," Cornyn said during a Google Hangout online conversation.

CNNMoney: Premiums influenced by state roles

Another Republican attack line -- that people are paying more for their health care under Obamacare, despite Obama's claim that costs would go down -- may depend on where they live, according to a CNNMoney report.

In Oregon and Maryland, state regulators challenged the premiums that insurers wanted to charge for Obamacare policies, forcing the companies to lower their rates, said the report by CNN's Tami Luhby.

But in states like Florida and Texas, regulators took a hands-off approach, allowing premiums that insurers filed to sail through.

Like most things Obamacare, the treatment was infused with politics, with several states run by Democrats more active and public about negotiating with insurers while some GOP-led states disassociated themselves from the process.

Rate reviews by states have proved effective in lowering premiums, according to a study last year by the Kaiser Family Foundation. The average rate allowed after a review was 2.6 percentage points lower than the average rate initially requested in the individual market, though there was a wide variation between states.

"If states were more aggressive in reviewing rates, you saw more of a decrease," said Cynthia Cox, policy analyst at Kaiser.

Obama: People do think I'm trustworthy

CNN/ORC Poll: Are Obamacare's flaws fixable?

High court to hear Obamacare birth control case

CNN/ORC Poll: Obama's marks for management, trustworthiness take hit

CNN's Martina Stewart, Kevin Liptak, Z. Byron Wolf, Ashley Killough, Lisa Desjardins and Jim Acosta contributed to this report.

@highlight

HealthCare.gov handling visitors without delay early Monday evening

@highlight

Like all websites, some continuing problems will occur, officials say

@highlight

Republicans continue relentless attacks on Obamacare

@highlight

NEW: Preliminary figures show November website enrollment about 100,000, official said