From bombs to drugs, humans have long relied on dogs' astonishing sense of smell to sniff out danger. Now, our four-legged friends are also helping to combat poaching.

Meet Lumi and Cooper, two energetic, highly driven and undeniable cute canines that are Gabon's latest recruits in the fight against the illegal wildlife trade.

The determined trackers are specially trained to use their nose for odor to detect endangered wildlife and plant species, such as ivory, leopard skin, shark fin, iboga tree products and primate meat.

Read this: Drone ranger spies on poachers

Hard-working and obsessed with their tennis ball, which is their reward after a find, the four-legged detectives regularly sweep a number of pinch points in Gabon's capital of Libreville and its surroundings.

Accompanied by their trained handlers they search luggage at the international airport and do checks at the train station, they sniff containers at the city port and they are deployed at roadblocks, picking up scents inside vehicles.

"These dogs would work until they drop, they will do anything to get their tennis ball," says Ruth Starkey of the Wildlife Conservation Society, which provides technical support  to the Gabonese National Park Agency (ANPN). "They are extremely energetic and very driven -- making quick work of previously arduous searches. It's the handlers that have to keep up and ensure the dogs' safety."

Read this: Could horn sale end rhino slaughter?

World-class sniffers

Louise Wilson, director and head of training at Wagtail UK, the detection dogs company that provided ANPN with Lumi and Cooper, says the sniffer dogs' biggest advantage is their ability to search fast, efficiently and without bias.

"Say you have 300 bags for a human team to search, humans would have to open every single bag and look through every single box or wrapped up item in that bag," says Wilson. "A dog doesn't need to do that; a dog can easily run over each bag and spend three seconds per bag sniffing it to be able to find the illegal item,"  she adds.

In addition to speeding up the searches, Guy-Rostan Nteme, the ANPN coordinator for the sniffer dogs unit, says the canines are providing law enforcement agents with valuable information that helps improve park protection.

"During a search operation the dog performs the so-called 'light' (search)," he says. "Where it may have found something, agents proceed in more depth."

Rampant poaching

Gabon, a beautiful country on the West African coast, is a haven for a variety of wildlife and plant species. About 75% of the country is covered by a dense and pristine rainforest sheltering elephants, antelopes, gorillas and numerous tropical birds.

Yet a recent surge in poaching, fueled by the growing demand for ivory products in Asia, has led to the decimation of many of the animals populating Gabon's national parks. More than 11,000 elephants have been slaughtered by poachers since 2004, according to a recent survey.

Read this: Boy's website helps tourists spot big beasts

"It's not as simple as a poacher killing an elephant, it's bigger than that," explains Starkey. "It's increasingly becoming organized crime, and this makes the ivory trade similar to the drug trade so we need to use similar methodology to combat it," she adds.

Lumi and Cooper

Faced with this shocking reality, conservations started exploring innovative ways to tackle the problem.

In January 2012, the Gabonese authorities invited Wagtail UK to run a feasibility study and gauge whether dogs could improve the detection rate of prohibited products in the country.

A few months later, the project was given the green light and Wagtail was handed the hard task of finding two dogs in the UK that would suit Gabon's environment.

What followed was an intense eight-week training period.

Wilson says it was crucial to find high-energy dogs that could cope with intense heat; the recruits also needed to be non-aggressive looking, since they'd be mainly working in public spaces, and also feel comfortable being around people that might not be used to handling dogs.

"We probably had to work with about 350 dogs, if not more," says Wilson.

In the end, Lumi, a very enthusiastic, lemon-colored cocker spaniel, and Cooper, a calmer, intelligent, reddish small Labrador, were chosen.

"Cooper likes to work alongside a handler, whereas Lumi is a bit more independent," says Wilson. "Lumi likes to push the handler into the area where he wants to search, rather the other way around," she adds. "Their two characteristics are so different but as a team it works perfectly."

Encouraging results

The government-funded project became operational in late April, following a three-month training course for the dogs' handlers.

So far, conservationists say, the results have been very encouraging.

"It's more successful than I imagined," says Starkey. "We've not yet had a big find, for example, whole tusks hidden in shipping containers, but we're continually getting small quantities of worked ivory, dried shark fin and bushmeat," she adds.

In addition to what the canines are finding, the existence of the sniffer dogs unit has motivated the other law enforcement agents to do their job even more rigorously, says Starkey.

"A friendly competition has been set up between the dog team and the customs team (about) who'll find the most ivory," says Starkey. "It's a nice knock-on effect that was unexpected."

Looking ahead, officials say they plan to gradually build up the unit, deploying 16 dogs over the next five to 10 years.

Until then, however, Lumi and Cooper will keep on sniffing to help save Gabon's elephants and other endangered species -- and get to play with their tennis ball.

@highlight

Gabon has launched a dog unit to fight poaching

@highlight

Two dogs are sweeping pinch points, sniffing vehicles, cargo and luggage

@highlight

They are trained to detect ivory and other endangered species

@highlight

There are plans to expand the dog unit in the future