New York (CNN) -- The heir to the Saudi throne, Crown Prince Sultan bin Abdulaziz Al-Saud, died in a New York hospital early Saturday, officials said, raising succession questions in the key oil-producing country at a time of regional turmoil.

Sultan, the half-brother of King Abdullah, was thought to be in his 80s. He had been ill for some time -- various reports indicated that he was battling cancer -- and was receiving treatment in New York.

Saudi television broke into normal programming early Saturday to announce the death. It broadcast Quranic verses and footage of pilgrims in the holy city of Mecca.

Sultan's body will be flown back to Saudi Arabia and a burial is scheduled for Tuesday.

He had served for decades as the Saudi defense minister. President Barack Obama called him a "valued friend" of the United States.

"He was a strong supporter of the deep and enduring partnership between our two countries," Obama said. "On behalf of the American people, I extend my deepest condolences to King Abdullah, the royal family, and the people of Saudi Arabia.

Robert Jordan, a former U.S. ambassador to Saudi Arabia, called Sultan a "staunch ally."

"His passing marks the end of a significant era in Saudi Arabia," he said. "The steps taken to select a new Crown Prince will be scrutinized by the world and will provide insight into King Abdullah's vision for future leadership of the Kingdom."

Ascension to the Saudi throne does not pass from father to son. Rather, it's a complex process and decisions are always cloaked in secrecy in the conservative kingdom.

King Abdullah set up the Allegiance Council in 2006 to allow for more transparency in succession. It is unclear when this group, made up of members of the royal family, will be employed to make a decision on the next crown prince.

Sultan's death leaves his brother Nayef, a reputed conservative, as the likely successor to the king.

Abdullah appointed Nayef in 2009 as the country's second deputy prime minister, a post held by the second in line to the throne.

Nayef has been the interior minister since 1975 and as such, he oversaw the kingdom's counterterrorism efforts. Saudi Arabia is one of the only countries that has truly dismantled a domestic al Qaeda network, said Christopher Boucek, a Saudi expert at the Carnegie Endowment for International Peace.

"Nayef is widely seen as a hard-line conservative who at best is lukewarm to King Abdullah's reform initiatives," said a classified U.S. Embassy cable leaked by the website WikiLeaks.

"However, it would be more accurate to describe him as a conservative pragmatist convinced that security and stability are imperative to preserve Al-Saud rule and ensure prosperity for Saudi citizens," the cable said.

But Boucek said little has changed.

"The king is still in charge, and nothing will change until the throne passes from him to the next brother."

Gregory Gause, a University of Vermont professor who has authored books on the Gulf states, said Nayef is hardly one to blaze a path for political reform, but that's not to say Saudi Arabia will feel any reverberations.

"There is truth to the idea that Nayef is not someone who sees political reform as a major goal of the government," Gause said. "But I do not want to say that if he were to become king, he would act in the same way as he is now."

Saudi Arabia is not immune to the sort of popular uprisings that have brought down regimes in Tunisia, Egypt and Libya. The nation suffers from the same political and economic issues, Gause said.

But the difference, he said, is that Saudi Arabia is wealthy and the king has recently deployed huge amounts of money for housing and salaries.

Also Saturday, Abdullah left a hospital in Riyadh following successful back surgery, the Saudi Press Agency reported. Abdullah, 87, will complete his recuperation at the royal palace. It was the monarch's third back surgery in the past year.

Meanwhile, Saudi Arabia's leadership mourned Abdullah's half-brother.

"Crown Prince Sultan lived his life in service of his country and also serving the Arab people and the people of Saudi Arabia," said Saleh Al-Namla, a member of Saudi Arabia's Shura Council. "He was very much loved by the country."

He took a leading role in Saudi Arabia's involvement in the 1991 Gulf War against Iraq, heading a coalition of about half a million troops from more than 30 countries.

Of his many children, perhaps the best known internationally is Prince Bandar, Saudi Arabia's former ambassador to the United States.

Bandar served as ambassador from 1983 to 2005 and was friends with the family of former President George W. Bush.

CNN's Jamie Crawford, Mohammed Jamjoom, Moni Basu, Nic Robertson and Rima Maktabi contributed to this report.

@highlight

King Abdullah leaves Riyadh hospital after back surgery

@highlight

President Obama says the United States has lost a 'valued friend'

@highlight

Sultan had been ill for some time and died in a New York hospital

@highlight

Prince Nayef, a reputed conservative, is a likely successor