San Francisco (CNN) -- As Nokia prepares for its next crucial venture into the U.S. and high-end smartphones, the Finnish cell-phone maker is missing a crucial piece: an abundant catalog of applications.

Nokia is attempting to woo app developers with such incentives as pre-installing their software on the forthcoming phone, prominent promotion for their products and funding development of an app, according to three people involved in the negotiations. A vibrant app store has become a major selling point to smartphone customers.

In the past, Nokia, which sells the highest volume of mobile phones worldwide, has made efforts to work with some creators of apps for its platforms. A Nokia spokeswoman said the company offers app developers a variety of incentives, some in partnership with Microsoft, which include coding assistance and marketing. "We do not disclose these arrangements, as each is different," she said. Microsoft declined to comment for this story.

The premiere phone, which is codenamed Sea Ray and currently being field tested by company executives, will be Nokia's first to run Windows Phone 7, the year-old mobile operating system from Microsoft. Nokia is expected to release the phone in the next few months, say two executives who are familiar with the plans but not authorized to speak publicly. On Tuesday, Microsoft began distributing the new version of Windows Phone, which will run on the Nokia device.

Last year, Microsoft made similar offers to developers that make apps trendy on other platforms. Some companies took the cash, but others declined because they feared wasting time working on a platform that would prove unpopular and then having to maintain it. The people involved in the Nokia negotiations expressed similar concerns.

One veteran app developer, Ken Sun, said that when he was working at eBay, Microsoft offered his team money to fund the development of a Windows Phone app. Sun, who is now a product manager for Mint financial software, declined to comment on current talks with Microsoft. Developers that turned down earlier offers from Microsoft and are fielding new deals from Nokia should be able to "double dip," or collect payments from both companies, Sun said.

Todd Moore, who makes a sleep-companion app called White Noise, received a free Windows Phone device from Microsoft last year in exchange for building his app for the platform. But the version for Windows Phone has performed poorly compared to other platforms and has not generated enough revenue to fund ongoing development, he said.

"It was kind of a horrible experience," Moore said. "The whole thing was just a complete mess. I had to get on the phone with Microsoft just to get my app published."

Offering prizes in exchange for apps is not unheard of. Sony and Adobe Systems recently held a contest for Android tablet apps in which the companies will pay $200,000 in November to the winning developers.

Hardware manufacturers and carriers occasionally approach developers with free promotion on their app stores in exchange for offering software for a particular system or storefront, but dispensing cash in private deals as Nokia is doing is less common, according to people familiar with the matter.

In a crowded smartphone market quickly being dominated by Google's Android and Apple's iPhone, Windows Phone has struggled to gain traction. That's partly due to its meager offering of apps, as well as a lack of commitment from phone manufacturers and cellular carriers that have favored Android for their flagship products. Microsoft is hoping to solve both problems with its long-term "strategic partnership" with Nokia, the highest-volume cell-phone manufacturer worldwide.

At the same time, Nokia is hoping to regain smartphone sales sapped by competitors. Nokia's share of the smartphone-platform market sunk to 22% in the second quarter from nearly double that a year ago, according to Gartner, a Stamford, Connecticut-based tech research firm. Nokia said on Thursday that it plans to cut 3,200 jobs, which comes after laying off 7,000 workers in April.

Mobile versions of Windows had 1.6% of the mobile operating-system market in the most recent quarter, less than it had a year ago, according to Gartner's data. In contrast, Google had 43%, and Apple had 18%.

"We felt that with Windows Phone we had a greater chance of maintaining long-term differentiation," Nokia CEO Stephen Elop, a former Microsoft executive, said at a conference in June. However, "we need the Windows Phone ecosystem to grow overall."

Nokia is opening its wallet in the hope of spurring that growth.

@highlight

Nokia is offering to pay developers to make apps for its new phone, sources say

@highlight

Such payments from phone manufacturers are unusual

@highlight

Microsoft did something similar last year, but its Windows Phone app catalog is still lacking

@highlight

Nokia is set to launch its first Windows phone by the end of the year, sources say