(CNN) -- The upheaval in Ukraine has spiraled into an increasingly tense dispute between Russia and the West.

The United States and many European countries are demanding that Moscow scale back its deployment of troops in Ukraine's southern region of Crimea. But Russian President Vladimir Putin so far appears unfazed by the pressure.

By Russia's account, its soldiers are protecting the human rights of worried, vulnerable Russian speakers. But in the U.S. view, Russia is violating international law.

Caught in the middle is Ukraine's shaky new government.

With armed men are locked in an uneasy standoff in Crimea, the consequences could be deadly. And their effects may ripple out far beyond Ukraine's corner of Eastern Europe.

What is Russia trying to achieve?

Some commentators have suggested that Putin has overplayed his hand by sending troops into Crimea, creating a situation that will hurt both Ukraine and Russia. But others say it's a calculated move based on the assessment that the West will fail to come up with a strong, unified response.

"Putin's broader plan is to recreate some kind of 'Soviet Union lite,' a ring of countries under Moscow's control, with the goal of boosting Russia's geopolitical standing," Ulrich Speck, a visiting scholar at the Carnegie Europe think tank in Brussels, writes in an opinion article for CNN.

If Putin gets what he wants in Ukraine, Speck says it augurs badly for other neighboring countries with Russian populations. He points to Moscow's "de facto-annexation" of the Georgian regions of Abkhazia and South Ossetia after the war between Russia and Georgia in 2008.

"Beyond Ukraine, this conflict is also a defining moment for future Russian foreign policy," Speck says. "If Moscow succeeds in Ukraine, it will come to the conclusion that it can act like an empire."

On the ground in Crimea: Relaxed but eerie

What options are available to the U.S. and the West?

Washington is preparing potential sanctions that could freeze the overseas assets of Russian individuals and companies and impose travel bans on some Russian officials.

But for many of the measures to really bite, Obama needs to get key European allies on board, some of whom appear reluctant to take too hard a line on Russia.

The United States has already halted trade and investment talks and military-to-military engagements with Russia.

Questions remain over how broad the sanctions will be, and whether the United States can persuade its European allies to implement them.

"Inside the EU there is no unity about the proper reaction," says Speck.

One option for defusing the crisis, mentioned by U.S. Vice President Joe Biden, would be the deployment of international monitors in the Crimea to provide the protection to Russian citizens that Moscow says its troops are providing.

But Russia isn't showing any signs it intends to pull back its soldiers for the time being.

What can Obama do about Russia's invasion of Crimea?

Why doesn't the United States respond militarily?

Nobody in Washington appears eager for a military confrontation with America's nuclear-armed former Cold War opponent. "The last thing anybody wants is a military option in this kind of situation," said Secretary of State John Kerry.

U.S. officials say they are trying to find a way to deescalate the situation in Ukraine rather than provoke a wider conflagration.

But the situation would become a more complicated if Russia moves troops beyond Crimea into other parts of Ukraine, risking an all-out war with Kiev.

Some people are suggesting measures that include a military element but don't go as far as direct confrontation.

Republican Sen. Lindsey Graham of South Carolina called for the revival of plans for a NATO missile defense shield in Poland that Russia had strongly opposed.

What is Russia's interest in Ukraine?

What are the wider effects of the crisis?

The standoff has had a significant effect in global markets, pushing up the price of oil. Russia is a key exporter of oil and natural gas.

But experts say the world's need for Russian energy supplies -- and Russia's need for the revenue generated -- should ensure the taps stay open throughout the crisis.

Concerns over Moscow's involvement in Ukraine has hurt Russia's currency, the ruble, as well as its stock markets.

The share prices of international companies that are heavily invested in Russia have also suffered.

Ukraine, meanwhile, is one of the world's top exporters of corn and wheat, whose prices could rise on concern those exports could come to a halt.

What is Ukraine saying?

Ukraine's Interim Prime Minister Arseniy Yatsenyuk, who has accused Moscow of declaring war, vowed that his government would not give up Crimea.

"Nobody will give Crimea away," he said. "There are no grounds for the use of force against civilians and Ukrainians, and for the entry of the Russian military contingent,"

Former Ukrainian Prime Minister Yulia Tymoshenko said that if diplomacy fails to persuade Moscow to withdraw its forces from the Ukrainian region of Crimea, the world should apply the "strongest means" on Russia.

Asked by CNN's Christiane Amanpour if she was calling for the West to use military force against Russia, Tymoshenko avoided giving a direct answer, saying she "cannot solve this issue."

Russia says that ousted Ukrainian President Viktor Yanukovych, whom Moscow still recognizes as the country's legitimate leader, requested that Russia send in military forces.

What is the atmosphere like in Crimea?

Reporters on the ground say the standoff is a strange one. Russian soldiers wearing no military insignia have taken up positions around the region. They have blockaded Ukrainian troops in their bases. But for the time being, the situation remains surprisingly calm.

It has been "a very low-key kind of invasion," CNN correspondent Diana Magnay reported Monday from Simferopol, the Crimean capital.

But Russian forces "have complete operational control of the Crimean peninsula," a senior U.S. administration official told CNN.

It appears that there is a "war of information" in the region "between those who watch Russian state TV and those who are getting their news from the West, none of them listening to the calls from Kiev for unity in this country," Magnay reported.

@highlight

The presence of Russian troops in Ukraine's Crimea has ratcheted up tensions

@highlight

U.S. President Barack Obama appears to have limited options to pressure Russia

@highlight

A military response isn't considered to be a realistic possibility

@highlight

The crisis is roiling global markets, pushing up the price of oil and hurting the ruble