Abu Dhabi (CNN) -- The legal battle being fought by former Egypt president Hosni Mubarak under charges including being complicit in the killing of protestors will sustain a climate of uncertainty for the country's president Mohamed Morsy.

The Middle East's most populous country is struggling to stabilize 27 months after the uprising that toppled Mubarak. The economic squeeze is on. Unemployment and the budget deficit are in the double digits.

In this climate, it is nearly impossible for the relatively new president to sign on to cuts in fuel and food subsidies called for in International Monetary Fund negotiations over a bailout.

Those negotiations have lasted nearly a year and the two parties put out a joint statement after talks during the IMF-World Bank spring meetings this weekend.

"The authorities are firmly committed to addressing Egypt's economic and financial challenges with the objective of restoring sustained and socially-balanced growth, and they are already taking encouraging actions in this direction," they said, after bi-lateral discussions.

But one could read that as holding tactic, allowing the Morsy administration to buy more time.

Cairo has some breathing room thanks to a cash injection by Qatar, which recently signed over $3 billion in emergency funding. Other money from the oil rich Gulf States have been either pledged or delivered by Saudi Arabia and the United Arab Emirates.

Foreign investors like to tick boxes on their check list when sizing up opportunities or measuring risks. That list usually includes: A consistent legal system; rule of law covering foreign investment, ample foreign exchange reserves and a stable currency; a sizable market with better than average economic growth.

Egypt has one tick: It's a big market with nearly 90 million consumers. Other items on the list, which both investors and ratings agencies want, are not in place.

After three decades as an underground opposition movement under the banner of the Muslim Brotherhood, the Freedom and Justice party is finding it difficult to govern.

CNN iReport: 'Oceans of garbage'

The army commander of armed forces Abdel Fattah al-Sisi has suggested the country's instability could collapse the state. President Morsy then suggested this may eventually require the implementation of extraordinary measures to maintain control.

During a recent interview in Abu Dhabi, opposition leader and Nobel Laureate Mohamed ElBaradei told me: "Everybody wants to protect the nation, not only Mr Morsy." He then added: "But the solution is not a military one, not a security one, it is a political one."

ElBaradei is urging a post-Apartheid type commission for reconciliation which would help "unite political Islam with the rest of the country." This, he believes, will help pave the way for economic stability.

A month ago, when Moody's cut Egypt sovereign credit rating for a sixth time, the agency said there was a 40% chance of default in the next five years. Foreign reserves have tumbled over 60% in two years and provide a financial cushion of just three months.

That is where the IMF loan of $4.8 billion comes into play. If an agreement can be reached by June, as some are suggesting, then another $10 billion from the European Union and regional donors could be unlocked.

In the meantime, uncertainty brought on by the court cases of the former president and the political challenges against the current one may well keep global investors at bay.

@highlight

Egypt's climate of uncertainty is making leadership difficult for president Mohamed Morsy

@highlight

Negotiations over a bailout from the IMF have already lasted a year, and are in a holding pattern

@highlight

Investors and ratings agencies want Egypt to deliver more stability, but the country is still struggling

@highlight

Charges against the former president and political challenges against Morsy are problematic