(CNN) -- Six months ago, Malala Yousafzai was lying in a hospital bed, recovering from a Taliban attack in which she was shot point-blank in the head and neck.

The shooting was meant to silence, once and for all, the outspoken Pakistani teenager who had dared to defy the Taliban's ban against girls in school.

But it backfired: Instead of silencing the 15-year-old, the attack only made her voice more powerful.

Malala's story has raised global awareness of girls' education, a cause she has championed for years. And now that she's out of the hospital and back in school, she is determined to keep fighting for equality. She will be speaking at the United Nations this summer, and her memoir is set to be published later this year.

"God has given me this new life," she said in February, her first public statement since the shooting. "I want to serve the people. I want every girl, every child, to be educated."

Worldwide, there are 66 million girls out of school, according to UNESCO -- many more than boys, who don't have to face the same discrimination and obstacles that girls do in some countries.

After hearing of Malala's shooting, however, more people have become aware of the disparity and joined her fight. Three million people across the world signed the "I am Malala" petition to demand universal girls' education. World leaders and celebrities such as Madonna and Angelina Jolie have voiced their support and helped raise money for the cause. And in Pakistan, there have been rallies and calls for change.

"It seems that Malala's courage has awoken Pakistan's silent majority who are no longer prepared to tolerate the threats and intimidations of the Pakistan Taliban," said former British Prime Minister Gordon Brown, a U.N. special envoy for global education.

Malala's crusade started years before the shooting, when she started writing a blog for the BBC about life in Pakistan's conservative Swat Valley. Her father, Ziauddin, continued to operated a school there despite a Taliban edict that girls in the region are banned from getting an education.

In her blog, Malala talked openly about the challenges and fears and threats her family faced. At first, she wrote anonymously, but she eventually became a public figure, giving on-camera interviews with CNN and other news outlets.

"I have the right of education," she said in a 2011 interview with CNN. "I have the right to play. I have the right to sing. I have the right to talk. I have the right to go to market. I have the right to speak up."

The media attention drew the ire of the Taliban, which says it was behind Malala's shooting in October. She was riding home in a van with some of her schoolmates when masked men stopped the vehicle and demanded to know which one of them was Malala. When Malala was identified, the men opened fire on her and two other girls, both of whom also survived their injuries.

"We do not tolerate people like Malala speaking against us," a Taliban spokesman said after the shooting.

Malala was critically injured in the attack, but she suffered no permanent brain injuries. She underwent several successful surgeries in Pakistan and the United Kingdom, where she now lives after her father was given a job with the Pakistani Consulate.

In March, she went back to school for the first time since the attack, attending an all-girls high school in Birmingham, England.

And while she recovers from her injuries, she is continuing to raise awareness and money for education. Last month, she announced a $45,000 grant to a fund that was set up in her name -- and the first to benefit will be girls from the Swat Valley.

"We are going to educate 40 girls, and I invite all of you to support the Malala Fund," Malala said in a video that was played at the Women in the World summit in New York. "Let us turn the education of 40 girls into 40 million girls."

Jolie, a U.N. special envoy, will be donating $200,000 to the Malala Fund, according to Women in the World. The fund was set up by the Vital Voices Global Partnership, a nongovernmental organization founded in 1997 by Hillary Clinton.

"In parts of the Indian subcontinent, Afghanistan and Africa, intimidation and violence are the daily reality of life for many girls who want to go to school and the many educators who want to teach them," Brown wrote in a recent op-ed for CNN.com. "Even today, five months after Malala's shooting in the Swat Valley, her school friends remain in fear of violence simply for attempting to return to school."

On July 12, her 16th birthday, Malala will speak to the United Nations about the issue.

Since her shooting, she has become the face of girls' education, a global symbol. She has been nominated for the Nobel Peace Prize, and last year she was selected as a runner-up for Time magazine's Person of the Year.

"She is the daughter of the whole world," her father told CNN. "The world owns her."

More: Girl Rising

CNN's Ashley Fantz, Jason Hanna, Shaan Khan and Laura Smith-Spark contributed to this report.

@highlight

Malala Yousafzai, 15, has become a global symbol for girls' education worldwide

@highlight

She was shot in October by the Pakistan Taliban, which she defied by going to school

@highlight

But instead of silencing Malala, the shooting has only served to strengthen her voice

@highlight

She is now attending school in the UK; in July, she will speak at the United Nations