(CNN) -- It's a congested, sprawling transport hub surrounded by 1950s architecture and predominantly used by commuters or tourists to cross the city of Istanbul.

But proposed changes to Taksim Square have seen it become the flashpoint for protests that have swept through Turkey in the past week, leaving thousands injured and focusing the world's attention on the government of Prime Minister Recep Tayyip Erdogan.

Taksim has been no stranger to violence. In 1977, at least 34 protesters died during May Day clashes with police. May 1 rallies in the square were banned in 1980 and were only allowed to legally resume in 2010. On May Day this year, there were riots after city authorities again refused to grant trade unions and youth groups permission to demonstrate in Taksim, blaming construction work being carried out in the square.

Professor Ersin Kalaycioglu, professor of political science at Istanbul's Sabanci University, said significantly, Taksim Square was also known as "republic square," because it was built by the Republic of Turkey's founding fathers to commemorate the war of liberation. "Taksim Square is connected to Istiklal Caddesi -- Independence Avenue -- and Cumhuriyet Caddesi -- the Avenue of the Republic. So there is a lot of symbolism that has to do with the Turkish Republic," he said.

Read more: Amid protests, Erdogan returns to Turkey

The Turkish word "taksim" translates as "divide" and Kalaycioglu said Taksim Square was so-named because the area used to be the site of Istanbul's main reservoir, where the water was divided up.

In the 20th Century and earlier, the area was only partially inhabited, he said, housing a military barracks and military training ground and a cemetery running down the slopes and a military hospital that still remains.

"In the 1930s the cemetery was moved to another part of town and the area was opened up for apartment buildings -- and at one point it was one of the 'poshest' parts of the city," he said. "Most of the apartment buildings face the Bosphorus [the strait that connects the Black Sea and the Sea of Marmara]," he said. "Because of its majestic view, [Taksim] is an attraction in its own right." It was estimated that millions of people went through the area to work every day, Kalaycioglu said.

Since the protests, however, Taksim has been blocked to traffic. This impromptu pedestrianization inadvertently reflects the authorities' plan to divert all traffic from the square. Kalaycioglu said plans to take the traffic underground included a pedestrian curb but after the tunnel was dug it was discovered that not enough room had been allowed for foot traffic. That was when the government decided to slice off part of Taksim's Gezi Park -- one of the last green spaces in Istanbul's center -- "which the ecologists and architects of the city started to argue against."

Read more: Is Gezi Park Turkey's Tahrir Square?

"When machines were sent in to take down the trees, the people who had been protesting there tried to stop them and a row intervened between the construction company and the protesters -- and police intervened," Kalaycioglu said.

But in an interview with CNN's Christiane Amanpour, Mevlut Cavusoglu, the deputy chairman of Erdogan's AK Party said the project for Taksim Square had enjoyed cross-party support. "This project was actually supported by all the political parties in the city council and it was adapted unanimously at the city council," Cavusoglu said. He added that the number of trees in the square would be increased by the project -- with plans to replant 10 of those being removed from Gezi Park.

Cavusoglu denied reports that a mall was part of the project. "The building of a shopping mall has never been considered here in Taksim Square. What is [being] considered is the pedestrian way and putting car traffic under the tunnel and enlarging Taksim Square," he said. "Only old military barracks is considered to rebuild. "

Watch: Turkish politician denies mall was ever planned

Turkey's Ottoman past

The barracks being reconstructed are from the 19th Century, a period when Turkey was still ruled by Ottoman sultans, who declared themselves the "caliphs" -- or spiritual leaders -- of the Muslim world. In 1922, first president of the Republic of Turkey, Mustafa Kemal Ataturk, sent the last sultan into exile and two years later, banned the caliphate and declared Turkey a secular state -- so the ideals of the Republic of Turkey clash with those of the country's Ottoman past.

The plans to rebuild Ottoman-era barracks had raised two different issues -- the physical change and the idea behind it, said Benjamin Fortna, professor of Middle Eastern history at SOAS (School of Oriental and African Studies), University of London.

"The idea -- building a replica of a past building - probably suggests to some people that the government's trying to link itself to the Ottoman past. But of course the square does exist from the Ottoman period." Fortna said many people objected to a "kind of glorification" of the Ottoman era, which the early republic had tried to "ignore and denigrate."

Kalaycioglu said the barracks had also been associated with the massacre of Christian army officers during a major uprising against constitutional rule in 1909. "In the minds of the people, [the uprising] was the conspiracy of the sultan who tried to get rid of the officers in 1908 by using religious provocation," he said. "That left an indelible mark in the minds of the people that religion could be deployed as a major factor against modernization."

That concept was "at the very base" of Erdogan's AK Party, Kalaycioglu said. The plans for Taksim Square also including the building of a mosque, he said. This meant "anybody objecting to the project would be objecting to a mosque" and the AKP was presenting objectors as atheist, secular, communist, anti-democratic and anti the people, he said. "The masses on their side will be conservative and Sunni Muslim," he said.

The proposed mosque would also overshadow the statues of the major figures of the republic represented on the Monument to the Republic in Taksim Square, Kalaycioglu said.

Taksim's lack of religious connotations was "probably one of the reasons that it was favored by the republic as a modern urban space," Fortna said. The plan to build a mosque in Taksim was therefore "highly controversial and something that those with a secular orientation in the city and the country itself would resist," he said. "The other side would see it as a natural place to have a mosque."

Read more: Why Turks are so angry

The term "secular" -- most often understood in the West as referring to the separation of religion and government -- was often applied to Turkey, Fortna said. "But in Turkey itself they use the French term 'laÃ¯que.' In Turkey you really have the situation that's related to the founding of the republic - that the state will kind of control religion," Fortna said. "So, for example, the Directorate of Religious Affairs is responsible for deciding the text that Muslim clerics can deliver in their Friday sermons. "

Kalaycioglu said the government also planned to demolish the Ataturk Cultural Center. They [Erdogan's government] want to get rid of anything and everything to do with Ataturk," he said. Kalaycioglu suggested that another example of this was the government's proposal to close down Ataturk Airport -- Istanbul's main international hub -- and build a new airport in the north. He said this would involve excavating a new channel between the Black Sea and the Sea of Marmara. "All this to get rid of the name of Ataturk. There's a lot of ideological baggage."

'Contested space'

Fortna said Taksim had long being a contested space and plans to change it would always be likely to cause controversy. "Because it's such a central location and because of its particular make-up and associations -- whatever happens there will probably be heavily scrutinized and criticized," he said.

"Taksim is a place where demonstrators habitually gather. There's always a May Day protest for example. It's a place where people would naturally gravitate -- it's one of the few places where there's a fairly large open space in the city," he said.

The current demonstrators have demanded Erdogan's resignation, accusing his government of creeping authoritarianism, while the prime minister has said the protests are part of an attempt by opponents who lost to his AK Party to beat it "by other means." "The issue of trees in Gezi Park thing is just the trigger," he said on Monday.

Kalaycioglu said the number of protesters had surged after evidence emerged of a brutal police response to the initial Taksim demonstration. He said the government had "started to argue that it was just a group of marauders" but that a huge majority seemed to be ordinary citizens, from all ages and walks of life and the government had eventually realized this and pulled the police out of the scene.

In his interview with Amanpour, Cavusoglu -- Erdogan's deputy -- acknowledged that police had been heavy-handed and said their actions would be investigated but insisted that the government represented the Turkish people. "At each election the people have been increasing their support for our government and our prime minister," he said. "We are the democratic government and democratically elected parliament."

But Kalaycioglu said the protests had spread spontaneously through Turkey, "motivated by the same theme." The government was "jumping on freedom of expression and freedom of the press," he said. "The big issue there is, is of course freedom of expression and to be treated as stakeholders -- not as cockroaches. More is at stake than just Taksim Square."

@highlight

Taksim Square was where Istanbul's water was distributed -- Taksim means divide

@highlight

The site is seen as symbolizing the seclar Turkish republic founded by Ataturk

@highlight

Erdogan's government's plans to alter Taksim's Gezi Park prompted protests

@highlight

The police's heavy-handed response saw demonstrators' numbers surge