Washington (CNN) -- The Supreme Court could act as early as Friday on pending requests for injunctions in two separate, high-profile cases-- health care reform and same-sex marriage -- that put Justice Sonia Sotomayor in an unusually pivotal role.

Religious-affiliated non-profits -- including a Denver-based home for the elderly run by Catholic nuns -- have asked the high court to block enforcement of the requirement in the Affordable Care Act to provide birth control and other reproductive health coverage to their workers.

The emergency application was filed Tuesday with Sotomayor, a day before it was set to take effect. She issued a temporary stay, at least until the Obama administration could file a legal response.

Supreme Court to take up contraception case

That deadline is Friday at 10 a.m. ET. The Catholic-affiliated groups would have the option of submitting a final rebuttal before the court acts.

Obamacare challenge

The appeal again thrusts the politically charged Affordable Care Act, also known as Obamacare, into the national legal spotlight.

President Barack Obama's signature domestic initiative, ruled constitutional by the court in 2012, became even more controversial this past fall during its flawed public rollout.

The current case spotlights a major sticking point in the law over contraception coverage.

The mandate was designed by the administration to give women employed at nonprofit, religious-based organizations -- such as certain hospitals and private faith-based universities -- the ability to receive contraception through separate health policies with no co-pay.

A court ruling on this matter could ultimately impact dozens of religious groups and businesses that have mounted legal challenges in recent months.

The White House has said the birth control requirement is lawful and "essential to a woman's health."

The Supreme Court in March will take up a related challenge to the birth control mandate, when it hears arguments over whether some for-profit corporations should be exempt, again on religious liberty grounds.

Utah asks Supreme Court to block same-sex marriage

Same-sex marriage

Sotomayor is also taking the lead in a separate appeal involving Utah's law banning gays and lesbians from legal wedlock.

A federal judge struck down the statute as unconstitutional on December 20, and the state then asked the high court to block -- at least temporarily -- enforcement of the judge's ruling.

She has not yet acted on the state's request, but gave lawyers for a coalition of same-sex couples until Friday at noon ET to file a legal response.

Again, the state could submit a final rebuttal, and then the court would decide. An order could come as soon as that afternoon.

In the Utah case, U.S. District Judge Robert Shelby said the state's law "conflicts with the United States Constitution's guarantees of equal protection and due process under the law."

The issue on enforcement is tricky since hundreds of marriage licenses have already been issued by some Utah counties in the nearly two weeks since the decision was announced.

Voters there approved a law banning same-sex marriage in 2004.

Any action from the high court on the enforcement question would be temporary and not offer the final word on the constitutionality of the state's ban on same-sex marriage.

A Denver-based federal appeals court will take up the larger issues on an expedited basis in coming weeks, but in the meantime has allowed those marriages to continue.

The state argued Tuesday in its high court appeal that "as a result of the district court's injunction, numerous same-sex marriages are now occurring every day in Utah. And each one is an affront ... to the interests of the states and its citizens in being able to define marriage through ordinary democratic channels."

Sotomayor on hot seat

Why is Sotomayor the point person for these two hot-button emergency appeals?

The simple answer is: location.

One of the duties of the individual justices is to handle "applications" -- time-sensitive appeals, such as requests for an injunction against some government mandate, or a stay of execution.

Each justice is assigned a particular "circuit" -- a region of the country or judicial jurisdiction -- to handle these applications. So Sotomayor deals with the 10th Circuit, which includes Colorado, Wyoming, Utah, New Mexico, Oklahoma, and Kansas.

Her chambers were given separate heads-ups Tuesday by both the state of Utah and by lawyers for a Colorado-based religious-affiliated group that the appeals would be coming, so she was prepared to act.

Sotomayor has the discretion of deciding these kinds of appeals herself, or she can ask the entire court to weigh in.

There is no specific deadline for her or the court as a whole to act, but they are generally handled relatively quickly.

But any decision from the high court at this stage would be limited in nature, dealing only with whether to block enforcement temporarily, until the larger legal and constitutional issues work their way fully through the various federal courts in both the marriage and healthcare cases.

The marriage case is Herbert v. Kitchen (13A687).

The health care case is Little Sisters of the Poor v. Sebelius (13A691).

@highlight

Two requests for injuctions puts Sotomayor in unusually pivotal role

@highlight

Sotomayor blocked part of Obamacare law that required contraceptive coverage

@highlight

Utah is asking court to block judge's ruling that struck down ban on same-sex marriage