The drive from Tallinn to Auvere in North-Eastern Estonia was long and dark. The winter sun had yet to rise and we saw little of the outside world from our misty car windows.

But as we arrived at Narva, Estonia's border with Russia, a picture began to form of the economic strength of this region. In front of us, swaths of land were being bitten into and scooped up by colossal Soviet diggers.

That's because underneath this grey-brown land is a soft-brown sedimentary rock that is rich in oil.

But unlike shale oil and shale gas which is drilled and often associated with fracking, oil shale is found in rocks just 30 metres underground.

Read more: General Electric exec to Europe: Open your borders, create jobs

The rock is blasted and crushed, before releasing oil when heated. It will then be burned to create electric power or processed even further to produce liquid fuel.

They have so much of the stuff here -- 18 million tonnes are mined here every year -- that they are completely energy independent.

Eesti Energia's CEO, Sandor Liive, tells me that around 90% of the power produced in Estonia is made of oil shale and they even have enough to provide for their neighbors.

Read more: How saffron could save Greek farmers

"Our production of electricity in Estonia is 11 terrawatts. Estonia consumes less than eight terrawats, so we are a very strong electricity exporter today."

But this is not a new industry for Estonia.

Read more: Driverless cars: From Hollywood to real world

They have been squeezing rocks here for a century and, now that they're making money, companies such as Eesti Energia are investing heavily on new plants, Liive told me.

"Commercial utilization of oil shale started nearly 100 years ago. Estonia got our independence in 1918 and actually Estonia independence is very much close links with the oil shale industry, because in 1924 we already had oil plants in operation, and even gasoline was produced," he said.

"As you can see from here, during last three years, we have invested one billion euros here. So this is not only 100 years of history but this is actually modernization and continuous development of technology and new investments."

Read more: Spain's booming Rioja economy

During our visit here, one of their proudest achievements -- the Enefit 280 oil shale plant, which will double output of kerogen oil -- was already taking shape.

But talk of new plants, more open-cast pits and more shifting of land makes environmentalist cringe. Valdur Lahtvee is one of those calling for Estonia to ditch this primitive way of mining, arguing that there are enough renewable resources in the country to have 100% power supply based on renewables.

Watch more: Maastricht: The birthplace of the euro

He should know -- he used to work at Eesti Energia. Now, he's the Director of Climate and Energy Programme at Stockholm's Environment Institute.

"Oil shale is the dirtiest fuel used today in European Union. The external cost of the oil shale power is 18 euro cents, coal is about is 10 cents per kw hour, wind is 0.4 euro cents  -- that gives you a picture of the ecological footprint of the oil shale used," he told me.

Watch more: A history of defaulting on debt

"Oil shale industry contributes approximately 4% of Estonia's GDP, but, at the same time, total national emissions it provides 90% of the hazardous waste, about 80% of the major air emissions and 70/80% of the water used. So, it has a really huge impact to the environment."

It's a charge that I put to Eesti Energia's CEO who counter-argued by telling me that for the land they shift is replanted with trees.

One thing is very clear, the environmental impact is very predictable. Off course, we mine, we have some mining impact -- we move the land, but we put it back and we plant a lot of trees. I think in [the] energy business anyway, and in any industry, [there is] an environmental impact, even in the wind turbine has an environmental impact."

He continued: "Yes, they don't emit Co2 in the place where you produce electricity but you know a lot of environmental impact has been done getting metals, transporting it and building it. I think it's very important in the oil shale case that you know what you get, you know that this environmental impact is very predictable."

Read more: Bumpy road ahead for London cabbie business

The problem is Estonia won't want to let go of its oil shale dependence, because it's competitive. It's cheaper than Russian gas, onshore and offshore wind. On top of that, it would cost companies too much to change their Soviet infrastructure.

And then there is political pressure, Lahtvee told me. "There is biomass, there is a nice wind condition, we are a coastal country, by the Baltic sea so there is a lot of  wind. But mainly the question is we have inherited these power production systems, these power plants; it's much more costly to replace."

Lahtvee pointed to political pressure, too.  "Elections are every four years, and the voters will ask what will happen with their electricity or their energy costs. Politicians always try to answer that "we keep the power prices down." Therefore, the system stays without major changes."

But these advantages may not last. Estonia's oil shale gamble assumes that oil prices will remain high, and that the price they pay the European Union for carbon emissions remains low.

This may be the case (carbon is hovering around four euros a tonne). But some in the European parliament are calling for prices to be pushed back up as much as fifty euros a tonne, a price that could be damaging for a business like this one which has built itself mostly on shale.

While Liive may be worried about oil prices and emission costs, he tells me it's not enough to make him lose sleep.

So, for the time being, Eesti Energia is powering on. Its international arm Enefit is betting on shale selling beyond its borders, with a plant in Jordan and recently bought land in the U.S. state of Utah.

A risky strategy. But if shale does stay strong, Estonia could win big.

@highlight

Estonia is using oil shale to generate energy. Oil shale is found in rocks just 30 metres underground

@highlight

Oil shale industry contributes approximately 4% of Estonia's GDP. 90% of the power produced in Estonia is made of oil shale.

@highlight

18 million tonnes are mined of oil shale every year-that in Auvere in North-Eastern Estonia.