Washington (CNN) -- If House Republicans have their way this summer, the Bush-era tax cuts would become permanent, "Obamacare" would begin to be dismantled and energy regulations would be rolled back.

On Friday, House GOP leaders unveiled their summer agenda with an eye on the fall campaign, including those and other items that probably won't become law, but will highlight the party's message on the economy.

In a memo to GOP members, Majority Leader Eric Cantor promised a vote on the most contentious issue --extending the Bush-era tax cuts that expire at the end of the year â€” before the House begins its monthlong summer break in August.

Republican leaders have been mum on the details, but the measure is expected to renew the current rates for some period and lay out a framework for tax reform that lowers rates across the board. Many of the details, however, including which deductions would be eliminated, would be put off until next year.

Cantor's memo says the House will focus in the coming months on "addressing job creation and the economy, reducing spending and shrinking the size of the federal government while protecting and expanding liberty."

In addition to the tax issue, the majority of items Cantor cites for floor action -- votes to repeal portions of Obamacare, roll back "job-inhibiting" red tape and press for more domestic energy production -- will land with a thud in the Democrat-led Senate.

Senate Majority Leader Harry Reid has made it clear that anything the GOP-led House passes dealing with taxes or deficit cuts is DOA in the Senate. With the November election five months away and almost zero motivation for bipartisan cooperation, the reality is that any major action will be postponed until after the election.

The fiscal cliff

Another thorny issue facing Congress: how to deal with automatic spending cuts to federal agencies scheduled to go into effect in January as part of the budget deal last summer. Republicans in the House and Senate are pushing bills to fence off any impact on defense with deeper cuts to domestic programs.

In a recent letter to GOP senators, Reid said the Republican line in the sand against new revenues means no deal on these issues can happen.
"Unfortunately, it appears that Republicans' blind adherence to tea party extremism is making it impossible to reach this sort of balanced agreement before the election," Reid wrote.

Cantor's memo leaves out how the House will deal with some lingering and politically charged issues before the election.

Both Democrats and Republicans say they want to avoid interest rates on student loans doubling in July, but there is no agreement yet on how to pay for legislation to head off the increase. The House passed a bill targeting what the GOP says is a "slush fund" that pays for public health programs as part of the health care law. Democrats want to offset the costs with a tax on some businesses. After the Senate failed to pass either party's preferred plan, the standoff continues.

Transportation, women, drugs, post office on agenda

While both chambers passed legislation -- the "Violence Against Women Act" -- that funds programs combating domestic abuse, the issue has become a political battle, with Democrats arguing GOP resistance to expanding protections to gays and lesbians and native Americans amounts to a "war on women." Republicans counter that Democrats hijacked the measure for political purposes and are picking a "fake fight" to appeal to female voters.

House and Senate leaders are also still negotiating details on a multiyear transportation bill that gives states billions of dollars for new infrastructure projects. But both sides are tangling over how long to authorize the federal program and the GOP's insistence that the bill include authorization for the Keystone pipeline that would transport oil from Canada down to the Gulf of Mexico.

There are some areas where bipartisan action is expected. After the Memorial Day holiday the House will take up a bipartisan intelligence bill, and legislation reforming how the Food and Drug Administration approves new drugs, a measure that passed overwhelmingly in the Senate.
The House will vote on Oversight Committee Chariman Darrell Issa's proposal to overhaul the postal service, which will need to be reconciled with a different package the Senate passed this month.

Dialing up the rhetoric

The Republican agenda signals the rhetoric on the House floor in June and July will match the sticky Washington heat. The GOP is planning votes on energy bills most Democrats oppose, pushing for more drilling on public lands and removing federal regulations on energy producers.

Nadeam Elshami, spokesman for House Democratic Leader Nancy Pelosi, immediately dismissed the GOP calendar.

"The Republicans have spelled out an agenda that fails to address jobs and will hold the middle class tax cuts hostage because the GOP refuses to let millionaires, Big Oil and corporations that ship jobs overseas pay their fair share," Elshami said.

While both parties eagerly await the ruling from the U.S. Supreme Court on whether the president's signature health care law will stand, the House will vote to repeal a tax on medical devices that helps fund the law and overturn a provision of the law that would prohibit the use of personal spending accounts to pay for over the counter medications.

GOP congressional leaders have been huddling on how to address health care if the high court strikes down the law, but aides caution that nothing has been decided on what kind of reforms Republicans would pursue if they were given a clean slate.

Continuing their pledge to slash federal spending, the House will also vote on bills reducing federal agencies' budgets, but few of these bills are expected to pass the Senate, so both sides are gearing up for negotiations on a short-term bill to keep the government funded after the current authority runs out in September.

While there may be a flurry of activity this summer on Capitol Hill, it's safe to say the December "lame duck" session of Congress will be a jam-packed month where most of these issues will be resolved.

@highlight

House Republicans want to roll back regulation, dismantle "Obamacare"

@highlight

None of these measures will likely become law, but are election-year manuevering

@highlight

Congress must act by the end of the year to avoid dire fiscal consequences