(CNN) -- Senegalese-born Marieme Jamme is at the forefront of the technology revolution that is slowly transforming Africa.

As chief executive of Spot One Global Solutions, a UK-based company that helps information technology organizations gain a foothold in emerging markets, she encourages global investment in African IT infrastructure.

Armed with a strong desire to help Africa realize its potential, Jamme is outspoken about what the continent needs and how she can help.

"I bring the skills to make sure they understand the only way we can develop our continent is to just be normal and to be who we are and work very hard rather than just putting all this power behind it and hiding behind powers, because it doesn't make any sense," she says.

See also: 10 African tech voices to follow on Twitter

Jamme is also a regular international speaker, a blogger and the co-founder of Africa Gathering, a global platform that brings together entrepreneurs and experts to exchange ideas about Africa's development -- all part of her efforts to keep the African narrative relevant and positive.

"I kind of like protect Africa when people talk bad about the continent," Jamme says. "I try to bring good narratives about Africa now because I see something different in the continent."

Born in Senegal into privilege, Jamme describes herself as a "lost girl" while growing up. A rebellious spirit, she wanted to succeed in life relying solely on her efforts and not on her family's connections.

"I am a rebel, because I had to completely dismiss my identity. I had to refuse my status as an aristocrat to be just a normal person, because I didn't believe in that," she says.

In 1992, she moved to France after her father's death. There, she worked in restaurants and took on cleaning jobs to fund her studies.

"I fought all the way to be where I am today," she says. "I was very eager to go and find my own identity -- I was very interested in technology and that's what I wanted to do, so that's where I am."

See also: Web savvy Africans fuel growth in online shopping

Passionate about Africa and technology, Jamme has found it necessary to set up base outside her continent, making England her new home today. She says she can achieve more by not living in Africa where gender barriers still hamper many women from realizing their potential.

"I'm free in London, I can make decisions," she says. "I go to Africa twice a month, so I'm very aware of what's happening in the continent...but I think as an African woman, as a Senegalese-born, if I wanted to make an impact in my continent I have to have a freedom to do that. I have to have a freedom to write. I have to have a freedom to talk, to speak, to mention what's happening in my continent."

See also: Africa's 'father of technology' on sparking a tech revolution

In recent years, a rise in the usage of mobile phones coupled with the emergence of a thriving tech scene, has helped to improve lives and bring people together across Africa. While Jamme praises the power of technology, she is also quick to sound a note of caution.

"I think now we really need to be cautious on how mobile phone is affecting the continent right now and really make sure we scrutinize all these big organizations going into Africa," she says. "And we need to be careful in Africa, because Africa now is a destination for investment. People are interested in the continent -- 10 years when I used to talk about Africa nobody cares about it, but now everybody want to get into the continent because it's booming."

Underwater cables bring faster internet to West Africa

For Jamme, the critical issue is to make sure that the continent's young population gets good education so that they can find jobs and create opportunities that will make the most out of this technology boom.

"We need to make sure there's a way of building, having infrastructures in Africa, making sure the youth are getting educated," she says.

Read more: In numbers: The life of an African child

For the last five years, Jamme has also started mentoring young Africans, helping them to set up their businesses and teaching them how to strategize and sell their ideas. She says she finds great satisfaction in being able to help her continent by shaping the lives of young people and giving them the confidence to compete on the global stage.

"I'm very proud I've got an identity as an African woman and I think my voice is being listened around the world," she says. "The very simple thing we do is changing the continent. I think now we're influencing governments in Africa, we're working with many organizations to reshape the narratives about Africa. I bring technology companies in the continent, so there's an identity there right now, so we're trying to keep that up -- we're very proud in what we do in Africa."

@highlight

Senegalese-born Marieme Jamme is highly renowned in the Africa tech scene and beyond

@highlight

She runs a UK-based company that helps IT companies gain a foothold in emerging markets

@highlight

Jamme has also set up a platform that brings together leading voices to share ideas about Africa's development

@highlight

She is a mentor to young Africans, helping them to start businesses