Indianapolis (CNN) -- Let's just come out and say what a lot of people are thinking this Super Bowl weekend: Indianapolis? Really?

Hard-core fans who blow wads of cash every season to get their championship tickets punched want to know: Has the NFL reached a point when this iconic face-off between our national gladiators can be hosted by any team city?

Even a cold-weather, landlocked, midsize burg surrounded by corn and guided by a mysterious force called "Hoosier Hospitality"?

Because, sorry sports fans, let's be real: This ain't New Orleans, Miami or Southern California -- or any of the sunshiny February playgrounds that have dominated location choices for 45 years.

This is smack in the heart of "flyover country," where many fans of the New England Patriots and New York Giants have never before dared to venture. You can picture them trying to locate the home of the Indianapolis Colts on a map, saying, "It's in one of those 'I' states, like Iowa, Idaho or Illinois."

There's no need to mince words. Indy natives have heard it all before: "Nap-town," "India-no-place."

"Hoosiers," as Indiana residents call themselves, are used to being underestimated, and they often take advantage of the benefits of low expectations. (Full disclosure: The author is an Indiana native, but, like many of his kind, he is unable to explain the origin of the word "Hoosier.")

After decades of strategizing, planning and selling the city to NFL team owners, Indy says it's ready to host Super Bowl XLVI. "It's the pinnacle," said former Mayor Bill Hudnut, who started the campaign rolling in the early '80s.

Without a doubt, preparations have transformed the town's look and feel. The community has poured hundreds of millions of taxpayer dollars and corporate coin to build new hotels, spruce up landscaping and resurface miles of streets.

As a result, a sea of Patriots blue, Giants blue and Colts blue has been flowing through the downtown area -- now dubbed Super Bowl Village. More than 300,000 have walked through the neighborhood in the past week, officials said. Former Colts head coach Tony Dungy told CNN affiliate WRTV-TV that the city is putting "its best foot forward." The fans are "going to be pleasantly surprised," he said.

There's more to Indy than the Super Bowl

Restaurants, hotels and the village all surround Lucas Oil Stadium -- creating a compact, walkable Super Bowl district that veterans say is unique to almost all previous venues except perhaps New Orleans. "I think the setup here is fantastic," NFL Commissioner Roger Goodell told WRTV.

Streets have been renamed Raiders Road, Chiefs Avenue -- one for each NFL squad. "Mike Epps and Snoop Dogg are coming in tonight!" a fan shouted to a friend wearing a Giants jersey. Buildings are draped with majestic, gigantic multistory banners, and the street signs are adorned with the ubiquitous face of Madonna, the Super Bowl halftime headliner

Parlor games?

"Oh no, here we go," say local skeptics -- eyes rolling. "This is the part where the media elite play that tired parlor game that comes up every time Indiana takes the national stage."

Does Indianapolis have to prove anything by hosting the game? Is this about some kind of cornfed inferiority complex that Hoosiers have been trying to shake for decades?

"We're not about that," said Dianna Boyce of Indianapolis' Super Bowl host committee. "We let our actions speak louder than our words."

It's all a little shocking for those who remember what this neighborhood was like 30 years ago. There wasn't much here.

For workers at the old brick-walled Hurst's HamBeens building on McCarty Street -- a stone's throw from the stadium -- there were no bars or nightspots for hanging out after quittin' time.

"You could count the number of restaurants on one hand," Boyce said. "You just didn't come downtown to have fun back then."

In the old days, Indianapolis meant the "brickyard" -- the Indianapolis 500, said Tom Griswold, longtime co-host of the Indy-based syndicated radio program "The Bob & Tom Show." "But after the arrival of Peyton Manning, now they say 'the Indianapolis Colts.' "

The image of Manning's face looms large on a building-size Papa John's banner in Super Bowl Village.

Fourteen years after Manning joined the Colts, Americans are indeed talking about the $90 million quarterback. Specifically, they're talking about his neck.

Manning's recovery from neck surgery -- perhaps the most talked about neck in the history of sports -- threatens to overshadow Sunday's game, which will feature Manning's brother Eli as quarterback for the Giants.

Most people know the injury forced Peyton Manning to sit out the Colts' entire season, resulting in two wins and 14 losses -- a stinking record after 2010's 10-6 season.

Now the Colts face an epic decision about whether to pay Manning a $28 million bonus to stay on the team or to cut him loose as a free agent.

Has Manning played his last game with the Colts?

Indianapolis had its own epic decision to make in the early '80s. At the time, the city had no NFL team. Yet Hudnut, then the mayor, greenlit construction of a $77 million-domed football stadium.

Indy was putting out bait to lure the NFL.

"Stones of steel," said a fan who recalled the story while walking through Super Bowl Village on Tuesday. "It took guts."

Before the stadium was finished, the Colts had agreed to move from Baltimore to Indy, triggering a generation of hatred among the Maryland city's fans over the "theft" of their storied franchise. It was a major step toward using sports to crank up Indy's status and economic standing. Soon the city was hosting NCAA basketball's Final Four and the NBA All-Star Game.

"Gradually in the '80s and '90s people who knew the city regarded Indianapolis as quite a town -- even though people who didn't know Indy still thought of it as a brickyard and a cornfield," Hudnut said.

Fast-forward to Sunday when perhaps more than 112 million people will watch the NFL world championship "taking place in little old Indianapolis," said Griswold, the radio host. Mission accomplished.

The hosting seems to be going well so far -- thanks in part to unusually warm temperatures in the low 50s at a time when it's usually a few degrees above freezing. "We're loving it. I had to get out here in the village and see everybody!" Boyce said.

"Outstanding" was how Colts wide receiver Reggie Wayne described the weather for WRTV. "Everyone seems to be enjoying themselves," Wayne said, a year after a freak cold snap put a damper on events surrounding the Dallas Super Bowl. "I haven't heard one bad complaint."

In 1982, Detroit opened the door to cold-weather Super Bowl hosting. New York is scheduled for 2014.

"Our plan was to eventually get into the rotation for future Super Bowls," Hudnut said.

"Let's get through the first one, first," the NFL's Goodell told WRTV. "I think the hospitality and the way they have done this will reflect very well on Indianapolis going forward."

Talk of the town

The village -- a $12 million, three-block, "family-friendly festival" with shops and restaurants -- has been built not just for Sunday, but for the future. "After the fans have long gone, other people are going to be able to come in and use this space for decades," Boyce said.

Meantime, Boyce said she expects Indy to demonstrate the spirit of "Hoosier Hospitality." "We're a friendly folk," she said. "People say hi to you when you walk down the street. It's all the time, not just when the Super Bowl is here."

What's getting the most attention? The zip line is the talk of the town.

For $10, you can climb the zip line's 95-foot tower, attach yourself to a metal cable and fly 80 feet above the crowd to another tower 650 feet down the street. "It's the new version of the bungee jump," one woman said.

Fans reported the wait last Sunday for the zip line was seven hours.

That's almost as long as TV's Super Bowl pregame show.

Homeless complaints

But not everyone in Indianapolis is awaiting the big game. Justin Baranowski, 33, a homeless man from California, said, "Starting at the end of last week the police started pushing us away from certain areas that we're allowed to be in," including the Super Bowl Village.

Authorities insist officers aren't cracking down because of the game, but they said police are working with private organizations to help get the homeless into shelters. "We're not moving anyone against their will," said Marc Lotter, spokesman for Indianapolis Mayor Greg Ballard.

The city is sharing its Super Bowl gravy with needy segments of the community. A neighborhood without a grocery store now has a food cooperative thanks to private and NFL funds, Boyce said. Another area received a 20,000-square-foot community youth center, including a gym, classrooms and weekly programs such as cooking, fitness and finance.

Hosting this game is "a step of a higher level than we've ever taken before," Hudnut said. "We had to prove that we could be major league."

So what's next for Indy? A Democratic or Republican national convention may not be out of the question, he said.

And what about Sunday? "The best sign of success will be that the city doesn't become the story," Griswold said. "The story needs to be about the game. I honestly think the best report would be people saying that 'the game was great and -- oh yeah by the way Indianapolis was really nice. I had a really good time.' "

@highlight

Indianapolis is hosting its first Super Bowl as the Giants take on the Patriots

@highlight

City officials set Super Bowl goal almost 30 years ago

@highlight

More than 300,000 are visiting downtown area dubbed Super Bowl Village

@highlight

Initial NFL hosting reviews are positive a year after cold snap marred Dallas Super Bowl