Washington (CNN) -- As the Senate this week casts its first round of votes on immigration reform, a divided Republican conference on the other side of the Capitol may be a roadblock to any immigration measure passing Congress this year.

And that internal split will soon pose a critical test for House Speaker John Boehner.

One side of the divide was clear during a closed meeting last week among House and Senate conservatives -- the first time they've sat down to talk about a comprehensive immigration reform plan that includes a path to citizenship for undocumented workers.

Immigration reform clears key Senate hurdle

Two of the Senate's GOP "Gang of Eight" members -- Marco Rubio of Florida and Jeff Flake of Arizona, who are pushing the Senate's bipartisan plan -- faced off with well over 100 Republican members of the conservative Republican Study Committee (RSC). Rubio is considered key to bringing conservatives on board, and Flake used to be a member of the RSC.

Navarrette: Rubio's wild immigration ride

The meeting only seemed to harden conservative opposition.

Rubio distances self from immigration plan he helped draft

Alabama GOP Rep. Mo Brooks summed up the reaction of many House GOP members who attended the session, telling CNN those senators explaining the merits of that plan "were doing their best to put lipstick on a pig."

Georgia Rep. Tom Price, a leading conservative, told reporters it was "highly unlikely" the majority of House Republicans would vote for a bill similar to the Senate deal that permits citizenship after a series of conditions are met because he and GOP colleagues don't trust the Obama administration to enforce the laws currently on the books.

Ayotte backs Gang of Eight immigration plan

Bipartisan House plan on the rocks

While many House conservatives agree immigration reform is a critical priority for Congress, they part with President Barack Obama, Senate Democrats, and some in their own party who believe allowing eventual citizenship to those in the country illegally is part of the solution. They vow that they won't support any bill that adds to the deficit and they want to see a tougher approach to border security.

5 things you should know about immigration reform

But there is a bloc of House GOP members -- including 2012 vice presidential candidate Rep Paul Ryan of Wisconsin -- that is pushing for a similar bipartisan approach that the Senate is taking up this week, which includes a path to citizenship. The group represents a minority within the House GOP conference.

That bipartisan effort suffered a significant setback last week. A working group, similar to the Senate's "Gang of Eight," has been on the verge of unveiling legislation for months, according to multiple sources. But Rep. Raul Labrador, one of the four GOP members in the group, abruptly dropped out. Like Rubio, who is needed to attract Republican votes in the Senate, reform backers hoped Labrador would play the same role in the House.

Labrador was frustrated he couldn't get support for his detailed proposal laying out how undocumented workers in the U.S. would be barred from any taxpayer-funded health care benefits.

Labrador leaves House bipartisan immigration group

Labrador told CNN his decision to leave the group and Rubio's call to add tougher border security measures to the Senate bill "means maybe what we'll get is real immigration reform with conservative ideals that most Americans want."

Bipartisan House immigration talks foundering

Florida Rep Mario Diaz-Balart, who is still part of the group and has been involved in immigration negotiations for more four years, tried to downplay Labrador's exit, praising him and saying "this has always been a very difficult issue," and said he remained committed to pushing ahead.

Boehner repeatedly stresses that he supports the work of the House bipartisan group, but he won't weigh in on any policy details. He has vowed any legislation would follow "regular order," meaning any bill will go through committees.

'A special path to citizenship is very problematic'

After backlash from many of his rank and file members for cutting "backroom deals" on the debt ceiling and other issues, the Speaker wants time to educate his members on immigration reform and gain some buy-in for any bill or set of bills. That approach means House Judiciary Committee Chairman Bob Goodlatte of Virginia will wield significant power in the coming weeks.

Goodlatte disagrees with the Senate Democrats' strategy to move one comprehensive bill, saying he prefers to move a series of discrete immigration measures through his committee.

Goodlatte has focused his attention on the border security and employer verification aspects of reform and told reporters he has major concerns with moving legislation that sets up a process eventually allowing those already in the U.S. illegally to become citizens.

"A special path to citizenship is very problematic" Goodlatte said.

Obama: No one will get everything in immigration reform

Given the internal divisions Boehner has been careful not to signal whether he will move immigration in one package or allow votes on separate bills. But the Speaker appears to be prodding his members to get moving. He told reporters at his weekly news conference last week he expected the Judiciary panel to have "some vehicles" to move by the end of the month.

Reform advocates worry that if the House breaks up any comprehensive bill and moves it in pieces it could kill momentum for immigration this year, but the process is important so that Boehner can say the House has input and Democrats are open to different options.

When immigration efforts shift to the House it's notable that the political dynamic is much different that it is in the Senate.

After Latinos went overwhelmingly for Obama in the 2012 election, many Republicans conceded the party needed to soften its stance and back legalization for undocumented workers this year to attract more Latino support.

Many Senate Republicans feel pressure in states with high Hispanic populations to reverse their previous opposition to comprehensive immigration reform, or else suffer major losses among minority voters.

But House districts have become more solidly red and blue after redistricting so there is less concern among most House Republicans that opposing immigration reform would hurt their chances at re-election.

If the Senate passes legislation with a significant bipartisan vote there will be intense pressure on Boehner to act.

He and other top House GOP leaders recognize passing major immigration legislation helps their party's long-term electoral prospects and could be a major issue in recapturing the White House in 2016.

But the Speaker risks antagonizing many of his members by proceeding with a bill that would ultimately need a majority of Democratic votes to pass.

How Boehner decides to proceed with immigration in the House could affect his political fortunes.

Brooks gave a warning to Boehner as he considers the next step, telling CNN, "If the Speaker allows a vote on any immigration bill that results in the passage despite a majority of the Republican conference voting against it, then it will be interesting to see if he can muster the votes to get re-elected after the next election."

@highlight

Conservatives oppose any plan with path to citizenship for undocumented immigrants

@highlight

Boehner could be straddling divide if Senate passes bipartisan immigration bill

@highlight

House Conservatives see no pressure to pass bill because of they represent solidly red districts

@highlight

Boehner's future threatened if he allows vote on bill that conservatives will reject