Washington (CNN) -- A Canadian company has reapplied for a permit to build the Keystone XL pipeline that would connect the tar sands oil development in northern Alberta to the U.S. Gulf Coast, the State Department announced Friday.

TransCanada Corp. wants a permit for a section of the pipeline that would run from the Canadian border to connect to an existing pipeline in Steele City, Nebraska, according to a State Department statement.

The issue has become a political football in the United States, with Republicans accusing the Obama administration of delaying the project in an election year to placate the environmental lobby.

Top Republicans, including presumptive presidential nominee Mitt Romney, say the issue shows that Obama's energy policies are harming economic growth.

The administration says Republicans are trying to force approval of the pipeline project before necessary review has been completed.

Earlier this year, the State Department, which has authority over permits for international pipelines, rejected TransCanada's first application because it lacked an alternate route to avoid a vital aquifer in Nebraska.

Last month, TransCanada proposed an alternate route through Nebraska, and state officials say it will take six to nine months to fully review it.

In its statement Friday, the State Department said it was "committed to conducting a rigorous, transparent and thorough review."

"We will begin by hiring an independent third-party contractor to assist the department, including reviewing the existing Environmental Impact Statement (EIS) from the prior Keystone XL pipeline review process, as well as identifying and assisting with new analysis," the State Department's statement said.

It said that previous estimates for a final decision on the 1,700-mile pipeline -- intended to carry between 500,000 and 700,000 barrels of crude oil a day -- targeted the first quarter of 2013.

Last year, the Obama administration postponed a decision on the pipeline until 2013, citing concerns raised by Nebraska officials and environmental groups about the original route near the Ogallala Aquifer, which provides drinking water for much of Nebraska and is important for the state's agricultural economy.

Republicans accused Obama of putting off the issue until after the November election, then forced the addition of a provision to speed up approval of the project in the December debt ceiling agreement despite warnings by Obama that the 60-day timeline for a decision would guarantee rejection.

The State Department turned down the application in February, and TransCanada then proposed a new route through Nebraska.

Supporters, including the oil industry, say the pipeline would create jobs and reduce the country's dependence on oil imported from volatile regions.

Republican leaders have continued pressuring Obama and Democrats to speed approval of the pipeline, saying the project has already undergone several years of review.

The American Petroleum Institute, which advocates for the oil industry, called Friday for the government to approve the new permit application without further review.

"The earth hasn't moved, the geology hasn't changed, the information remains the same, so there should be no reason for a re-review," said API Executive Vice President Marty Durbin. "The pipeline will be state of the art and has already been thoroughly examined for more than three years, including three environmental assessments."

Opponents, including environmentalists, say that the pipeline might leak and that it would lock the United States into a particularly dirty form of crude oil that might ultimately end up being exported anyway.

Anthony Swift of the Natural Resources Defense Council called Friday for a thorough review of the new application that examines the proposed pipeline as well as the merits of tar sands oil development.

"The world of oil and our understanding of the dangers of tar sands have changed since the first time TransCanada applied for a permit for Keystone XL back in 2008," Swift wrote on the group's website. "The process for evaluating this permit request needs to be thorough, rigorous, transparent and free from conflicts of interest."

Obama announced in March that he would approve the southern portion of the pipeline, which runs from Cushing, Oklahoma -- a key repository of U.S. oil -- to the Gulf. He had said he was always in favor of permitting that portion, even when the administration blocked the full project.

Currently, there are not enough pipelines to take the oil being produced in Canada and North Dakota to refineries and terminals on the Gulf. That means Midwest refineries can pay lower prices to get it.

Giving the Canadian oil easier access to the Gulf means the glut in the Midwest goes away, making it more expensive for the region, but it would increase the amount of that oil available to global markets.

Mike Linder, director of the Nebraska Department of Environmental Quality, told CNN last month that it will take at least six months for the state to fully review the alternate route proposed by TransCanada.

Linder, a Republican who is a political appointee, said the first step would be public hearings. TransCanada will then consider that feedback to determine the specifics of the proposed alternate route, he said.

Once TransCanada submits that final proposal to his department, it should take 30 to 60 days for the review to be completed and a draft supplemental impact statement prepared, Linder said.

CNN's Jamie Crawford contributed to this report.

@highlight

NEW: Environmentalists and the oil lobby differ on the need for further review of the project

@highlight

The pipeline has become a political football in a U.S. election year

@highlight

Republicans accuse the Obama administration of stalling the project

@highlight

Federal and state officials say it will take months to decide on the new permit request