(CNN) -- In Mexico City, the government ran out of surgical masks after handing them out to one of every five residents.

A mother and son wear face masks as protection from swine flu at Sydney international Airport in Australia.

Manufacturers and pharmacies in Europe are also reporting a surge in demand for face masks. And a Texas-based surgical mask producer says it's ramping up to meet demand and expects a shortage of masks.

But their real value seems to be in keeping people who are already ill from spreading the virus, rather than protecting healthy people, experts said.

Dr. Richard Besser, acting director of the U.S. Centers for Disease Control and Prevention, said Monday in a press briefing that the "evidence is not very strong" for masks' value outside of health care settings, and outside of settings in which people come into face-to-face contact with a person with an infectious disease.

"We would not recommend that people generally wear masks in their workplace as a precautionary measure," he said.  Watch for more on staying safe from swine flu »

The World Health Organization (WHO) also warns against relying on face masks, especially for those not infected with the virus.

"They are mainly useful for people who are already sick, to prevent spreading. Not so much to stop people from catching the virus," Sarah Cumberland of the WHO told CNN.

The United Kingdom's Health Protection Agency also told CNN that the use of face masks was not necessary or recommended for protection against the swine flu virus.

Although it's not known for sure how much benefit a surgical mask has in preventing the transmission of swine flu, people who have the illness may consider wearing one as a way to reduce the amount they cough and sneeze onto others, said Dr. Arthur Reingold, head of the epidemiology division at the University of California, Berkeley, School of Public Health.

"I think that this is a perfectly reasonable thing for someone with a respiratory illness to do," he said.

More effective than soft surgical masks is the N95, which is an example of a "respirator." This kind of tight-fitting face covering protects people against breathing very small particles, which may contain viruses. The downside is that it's more expensive, uncomfortable to wear for long periods of time and has to be custom fit, Reingold said, so it's suited for people working in high-risk laboratories.

Masks carry both physical and psychological benefits, said Dr. Julio Frenk, former health minister of Mexico and current dean of the Harvard School of Public Health.

Masks are a "reminder to people that they should avoid close contact with other persons," he said. "They also have this effect of isolating people and reminding them that they should not be kissing people, shaking hands, things like that."

For health care workers, it's important to have high-efficiency masks, which protect better against infectious diseases, he said.

But people in the United States should generally not have to wear masks because the cases are localized, he said. By contrast, it is more of a widespread problem in Mexico, especially in the capital city, a "huge urban conglomeration."

Measures such as closing schools are the most effective in stopping the spread of the disease, he said. Mexico's schools are closed until at least May 6.

By early Tuesday, the swine flu outbreak in Mexico was suspected in 152 deaths and more than 1,600 illnesses, the country's health minister said.

Swine flu has reached  phase 4 (out of 6) on the pandemic scale, according to the WHO guidelines, but has not yet attained the status of global pandemic.

During a flu pandemic, people should consider wearing a face mask if they are sick with the flu, live with someone who has the flu or need to be in a crowded place, the CDC Web site says.

If you are caring for a person thought to have pandemic flu or will be close to someone who may have it, consider a respirator, for example an N95 or high-filtering face piece respirator, the CDC Web site says. Some health care workers, such as nurses and doctors, use respirators when dealing with patients who have airborne diseases, the CDC said. iReport.com: Worried about swine flu?

In the current swine flu situation, rather than masks, the CDC is pushing hand-washing, covering coughs and refraining from "giving somebody that little kiss of greeting," Besser said.

"If you're in an infected area or if you have the swine flu, it's probably best not to, to not give a kiss, but we're not recommending an end of affection during the period. It's a period of time when we need a little more affection, but doing it in a way that isn't going to transmit a respiratory disease would be a CDC approach," he said.

@highlight

Manufacturers and pharmacies are reporting a surge in demand for face masks

@highlight

It is unknown exactly how much protection a surgical face mask provides

@highlight

A more effective type of mask is called an N95, which is expensive

@highlight

Doctor: Masks carry both physical and psychological benefits