(CNN) -- Since Kim Jong Il's death was announced on Monday, many people have marveled at the mourning scenes featured on North Korean state television, made viral on the Internet: North Koreans prostrate, weeping, hitting the ground. Many have asked whether the anguish is genuine. How could citizens mourn the passing of a totalitarian, such a gross abuser of human rights?

The answer may be found in the human rights abuses themselves.

It is a lamentable characteristic of totalitarian regimes that they often demand acts of deceit from those they oppress. Often it is a matter of simple survival. Those who hate the regime are obliged to demonstrate patriotism. To fail is to risk persecution. The only alternative is to flee, a choice made by tens of thousands of North Koreans in the past two decades.

North Korea is unambiguously a totalitarian state. An estimated 200,000 North Koreans are held under brutal conditions in remote forced labor camps called kwan-li-so. Citizens are deprived of the freedom to speak, to dissent, to assemble, to seek remedies for grievances. Perhaps worst of all, there is no freedom from fear -- knowing that one can be imprisoned and tortured for minor trifles, sent to a kwan-li-so for being related to someone who displeased the state, or face a kangaroo court trial and possible public execution for a long list of political or economic "crimes."

Even those who manage to keep out of trouble suffer from the government's deadly economic mismanagement and a "military first" policy: death from famines, widespread stunting in children from persistent malnutrition and untreated illness. It is difficult for many North Koreans to obtain adequate money or food without committing acts that are criminal or, given the crackdown on economic crimes, potentially suicidal.

For many, to live in North Korea is to live in fear for one's very existence. In a context like this, there is no way to know what is genuine and what is theatrical. Totalitarianism and fear impair the idea of truth and the concept of objectivity.

Rather than focusing on the televised tears of mourners for Kim Jong Il, we should be asking what needs to be done to ensure that someday North Korean television will show the tears of the fathers, mothers and children who have seen their relatives suffer or die because of the acts and omissions of Kim Jong Il and his father, Kim Il Sung, before him, during their unbroken 63-year rule.

The "Great Successor," Kim Jong Un, is still largely untested and doubts persist about whether he is really in charge in Pyongyang, but many hope that change is more likely now than a week ago.

The international community should use this transition period to press the new leader to break from the criminal tyranny of the past and steer the country in a new direction. Kim Jong Un could start by taking note of calls made in the latest U.N. General Assembly resolution on North Korea, and allowing a visit by U.N. special rapporteurs.

Change needs to come to North Korea, in one form or another. Those who will lead North Korea now, Kim Jong Un and the generals and ministers who control the state apparatus, need to remember that history has not been kind to tyrants. Totalitarian regimes can linger, and often do, but ultimately gross injustices are unsustainable and those who commit them can (and now often do) face the punishments of international justice.

The opinions expressed in this commentary are solely those of John Sifton.

@highlight

Many wonder if North Koreans' grief over the death of Kim Jong Il is genuine, says John Sifton

@highlight

Sifton: How could citizens mourn the passing of such a gross abuser of human rights?

@highlight

In a totalitarian society, those who hate the regime are obliged to show patriotism, he says

@highlight

For many, to live in North Korea is to live in fear for one's very existence, Sifton says