Did the National Football League make $10.5 billion in 2013, pay its chief executive Roger Goodell $44.2 million, yet pay no taxes to Uncle Sam?

Well, yes and no.

The National Football League pays taxes through its various money-making offshoots such as NFL Properties and NFL Ventures, but the league office in midtown Manhattan, which paid Goodell his very handsome salary, doesn't.

The reason goes back to 1942 when the IRS ruled the NFL was a trade association for its now 32-member teams and therefore exempt from taxes as a nonprofit under section 501(c)6 of the tax code.

Just to be safe, the NFL lobbied Washington in 1966 on the eve of its merger with the American Football League.

Two powerful Louisiana politicians, Sen. Russell Long and Rep. Hale Boggs, wanted a football team in New Orleans. Then-NFL Commissioner Pete Rozelle wanted antitrust protection and confirmed tax-exempted status for the league office.

The Saints were born in New Orleans and in exchange, Rozelle got his wish slipped into an unrelated federal bill on investments and depreciation.

Sports attorney and expert on the NFL's tax exemption, Andy Delaney, told CNN, "Pete Rozelle was a forward-looking guy, I can't imagine what those two lines (of text), maybe three is worth today."

Millions, it turns out, according to Sen. Tom Coburn, an Oklahoma Republican who wants the tax-exemption for professional sports teams gone.

For all the professional sports leagues -- including the PGA Tour and NHL among others -- that use the loophole, "It amounts to like $10 million a year. $10 or 11 million a year. Probably $110 million over the next 10 years. But the point is why should they have that?" Coburn told CNN.

Coburn has introduced the PRO Sports Act to strip the NFL and others of the decades-old exemption.

What the NFL pays -- and doesn't -- in taxes

According to NFL spokesman Brian McCarthy, "every dollar of income that is earned in the National Football League -- from game tickets, television rights fees, jersey sales and national sponsorships -- is subject to tax.  None of this income is shielded in a tax-exempt entity.  Instead, the NFL's 32 clubs pay tax on all of these revenues."

But that's not 100% true, Coburn said.

"The individual owners and teams pay taxes. We're not going after them, but what they do is they can put all this confluence of money into the league office and do this as a nonprofit, which means they're not paying taxes like every other business that would be in a trade business like they are," Coburn said.

The nonprofit NFL raked in more than $326 million from April 2012 to March 2013, almost of all of which came from "membership dues and assessments" or league fees paid by the member teams, according to a CNN analysis of IRS documents.

Those dues are tax deductible for the teams as "business expenses" according to the IRS.

Delaney thinks the NFL calling itself a nonprofit is too much.

"I don't think anything they are doing is illegal, but it is not in the spirit of a nonprofit, nonprofits don't have directors with salaries north of 40 million," he said. "It's a business, and they should call it that."

Goodell's salary, which comes from the NFL's nonprofit arm, rivals some of the top-paid CEOs in the corporate world. Goodell's compensation would rank in the top 20 for CEOs of U.S. public companies and above the leaders of Disney, Visa and Yahoo, according to a chart of total compensation compiled by the AFL-CIO.

NFL's team in Washington

Redskins owner Dan Snyder may lead D.C.'s on-the-field franchise, but former Obama adviser Cynthia Hogan just recently became the new team captain of the NFL's real powerhouse squad: its lobbyists.

According to a CNN analysis, the NFL employed 20 lobbyists in 2014 and spent more than $1 million in efforts to sway lawmakers.

In a swanky building just blocks down Pennsylvania Avenue from the White House, the NFL employs six lobbyists, including four on its own payroll. The other two come from powerhouse law and lobbying firm Covington and Burling, which also employs former NFL Commissioner Paul Tagliabue.

Tagliabue is not a registered lobbyist as of this writing, instead he "uses his experience as chief executive and board member of the National Football League, major businesses and nonprofits to advise clients on matters of organizational structure and governance, develop strategic risk mitigation approaches and assist in managing unfolding crises."

Sheila Krumholz, executive director of the Center for Responsive Politics, which runs the transparency website Opensecrets.org, says the NFL's lobbying team is "all pro," and almost all are "former government employees, former Hill staffers. So they have good access by buying the help of people who know how to navigate Congress."

Nineteen of the 20 worked for Congress,  largely in the offices of House and Senate leaders, according to a CNN review of lobbying disclosures.

The NFL even paid another influential lobby shop, Elmendorf | Ryan, to lobby against Coburn's bill, which thus far has been benched -- referred to the Senate Finance Committee with no action expected anytime soon.

But that may be changing. Both Sen. Cory Booker, a New Jersey Democrat, and Sen. Maria Cantwell, a Washington Democrat, have introduced bills similar to Coburn's legislation. Booker wants the tax money to go to preventing domestic violence. Cantwell wants the NFL to scrap the Redskins moniker.

If the NFL were to lose its tax exemption, there's  precedence for it. Major League Baseball gave up its nonprofit status in 2007, and the National Basketball Association never had one.

@highlight

The NFL has for-profit business, but the league office is technically a trade association

@highlight

Therefore, it pays no taxes and owners can deduct the dues they pay

@highlight

Commissioner Roger Goodell makes as much as some of the highest paid CEOs

@highlight

Some in Washington are trying to change the law while others lobby against it