(CNN) -- A child was killed Friday because that child went to school.

The shooting Friday at a high school in Marysville, Washington -- just miles from my home in Seattle -- is a tragedy on two levels. First, most profoundly, two people are dead, four others wounded, and the parents, relatives, friends, teachers and classmates of the shooter and his victims have had their lives grievously changed.

But this is not the first shooting in and around schools and colleges in America since the most infamous shooting at Sandy Hook. There have been many. (The exact numbers differ depending on how you count.) The other tragedy, then, is that gun violence -- in schools, in workplaces and across our communities -- has become virtually normal in America.

It should not be. It cannot be. It is not normal, in a civilized nation, to have over 30,000 gun deaths a year. It is not normal, in a civilized nation, to expect educators and parents and first responders to have plans at the ready for a shooting at their school. It is not normal, in a civilized nation, to assert that the best solution to gun violence is for more people to have more access to more guns.

So the question we must confront is: Are we a civilized nation? Earlier this week, I listened to a BBC correspondent open a report on the shootings in Ottawa, Ontario, by saying: "In a scene reminiscent of America... ." That is not the kind of exceptionalism America should be proud of.

Though the Ebola crisis makes us rightly careful about using the word "epidemic," it is no overstatement to say that the United States has been in a years-long epidemic of gun violence. The sheer volume of homicides, accidental killings, suicides and merely disabling injuries is staggering. The number, both in absolute and per capita terms, exceeds by many times that of any other developed country on Earth.

What also makes this an epidemic is that it is contagious. The more it spreads, the more it spreads. The more that a minority of citizens block prevention and treatment, the less effective prevention and treatment become for all. To put it bluntly, gun violence is orders of magnitude more deadly to Americans than Ebola.

So, what do we do about the public health crisis of gun violence? We have to turn to both law and norms. Many gun-rights absolutists respond to the death and mayhem of a Marysville or a Sandy Hook by saying that a particular gun law -- say, background checks for gun purchases -- wouldn't have prevented that tragedy.

But when someone driving under the speed limit dies in a car wreck, we don't throw out speed limits and declare them an ineffective burden. We recognize that speed limits and seat belt laws are part of a grown-up system of rules that reduce the overall likelihood of traffic fatalities.

In precisely the same way, a requirement of background checks for gun purchases reduces the overall likelihood that people will die of gun violence. That's why in the state of Washington, I've been working with other citizens to secure passage of a ballot initiative that will create such background checks. And it's why that measure seems to most people here not like tyranny but like common sense.

The challenge extends beyond lawmaking to norm-setting. The coalition of parents, faith leaders, educators, businesspeople and others in Washington who are uniting behind background checks do so in the name of a core social norm: responsibility. All our American rights -- and particularly Second Amendment rights -- come with responsibilities.

The responsibility, for instance, to minimize the danger inherently created by the circulation of weapons that can kill en masse. The responsibility to foster a culture of safety, especially for our youth.

When middle-aged "open-carry" activists walk into Kroger with semi-automatic rifles slung over their shoulders, they aren't exercising their rights with an ethic of responsibility. They're trying to intimidate their way to respect and esteem. They're acting out, demanding attention and rejecting curbs on their desires. That's not being a citizen. It's being a toddler.

We the people get to decide whether that's normal. Whether it's acceptable or laughable to brandish firearms in the produce aisle. Whether it's tolerable or disgraceful that we average more than one school shooting a week now. Laws like background checks can help set a tone for what's OK. But ultimately, with our family and friends and neighbors, each one of us must decide what kind of civilization we expect in the United States.

Somebody's child was killed Friday because that child went to school. Somebody has to do something about it. In ways full of both risk and responsibility, you are that somebody.

@highlight

Eric Liu: A child was killed because he went to school in Marysville, Washington, today

@highlight

Liu: Steady stream of shootings makes them virtually normal. Is this "American exceptionalism"?

@highlight

It's contagious epidemic. Gun activists wrongly say background checks won't help, he says

@highlight

Liu: We the people must set tone, standards, with laws, norms. It's our responsibility