(CNN) -- Oscar wants to take you back in time.

The nominees for the 84th annual Academy Awards were announced Tuesday morning, and if there's a theme, it's how many nominations hearken back to previous eras in film history. Among the best picture nominees alone, there's a silent film ("The Artist"), an Old Hollywood throwback ("War Horse"), a film that pays tribute to film's early days ("Hugo") and even that most distinctive of comedy types, a Woody Allen film ("Midnight in Paris").

If either "Hugo" or "The Artist" -- two films-about-films -- wins, it would be a groundbreaker, says longtime Oscar watcher Tom O'Neil of GoldDerby.com.

"No film about Hollywood has ever won best picture," he says, observing that classics such as "A Star is Born" and "Sunset Boulevard" couldn't pull off the trick. ("Sunset Boulevard," in fact, lost to a film about Broadway -- "All About Eve.")

"Hugo," the story of a young boy and his adventures among clocks, trains and interesting people, led all nominees with 11 nods. "The Artist," a silent film that borrows a plot from "A Star is Born" and images from a host of movie classics, was second with 10.

Complete list of Oscar nominees

The sheer number of nominations makes the pair front-runners for best picture: In the last 20 years, the film with the most nominations has won 15 times, observes O'Neil.

But neither has created much heat with audiences -- or the Academy, says Los Angeles Times Awards Tracker reporter Nicole Sperling.

"Everyone's been waiting for the one film to really catch them and they can all get behind, and that never seemed to happen," she says. "You see that reflected in the nominations. It feels diluted in a sense. Even though 'The Artist' and 'Hugo' are leading the pack, I don't think anyone would call 'Hugo' a front-runner."

Old hands and snubs

The Academy also paid tribute to its own past. Some of the names behind the best picture nominees -- Allen, "Hugo's" Martin Scorsese, "War Horse's" Steven Spielberg, "The Tree of Life's" Terrence Malick -- evoke the 1970s, when Hollywood was energized by the arrival of a new breed of filmmaker, one raised on genre classics and foreign films. Except for Malick, who's been nominated only twice before, the rest have become Academy veterans.

Other nominees are also old hands at the game. George Clooney added a couple more nominations -- one for acting ("The Descendants") and one for writing ("The Ides of March") -- to his haul. Meryl Streep ("The Iron Lady") and Allen are well into double digits for Oscar nominations.

On the other hand, one of the most renowned filmmakers of recent years -- the music-video-and-TV-commercial bred David Fincher -- was overlooked for both best picture ("The Girl With the Dragon Tattoo") and best director.

Indeed, Oscar didn't smile on everyone. Albert Brooks -- another 1970s-era name -- was widely touted for a supporting actor pick for his performance as a brutal mobster in "Drive," but came up empty, no doubt providing more material for his neurotic comedy. Michael Fassbender, who gave two of the best-reviewed performances of the year in "Shame" and "A Dangerous Method," was also overlooked, as was Ryan Gosling ("Drive," "The Ides of March").

Steve Kloves, who has adapted all but one of J.K. Rowling's Harry Potter novels for the screen -- and been widely hailed for capturing the books' detail and humor -- didn't get a nomination, either. To date, Kloves' only nomination has been for his adaptation of Michael Chabon's novel "Wonder Boys."

And perhaps most shockingly, Pixar was shut out of best animated feature for "Cars 2" -- the first time the famed animation studio has been snubbed in the category.

"That sends a powerful message that they need to up their creativity in their movies," says O'Neil. "They're rubber-stamping their past successes with things like 'Cars 2,' and they're being punished at the Oscars today." Audiences felt the same way: Of Pixar's 12 features, "Cars 2" is 11th in total box office, and dead last if the take is adjusted for inflation.

In recent years the Academy hasn't cared about box office as much, anyway. "The Hurt Locker," which won best picture two years ago, topped out at $17 million domestically. Of this year's best picture nominees, only "The Help" was a blockbuster, topping $100 million; "The Artist," despite its reviews and honors, has yet to make $15 million domestically.

The wide net indicates the power of the "screener," says O'Neil. Once upon a time Academy members had to catch all the movies in theaters. Now they receive DVDs -- or screeners -- at their homes and can see a broader range of possibilities.

"There's a very noticeable trend," says O'Neil. "Lately they've been paying attention to these screeners, and the box office doesn't matter. They're trying to send another statement." Such nominees as Demian Bishir, who picked up a best actor nomination for "A Better Life," probably owe their slots to these marketing efforts.

The Oscar glow

Which is one reason the Oscars still matter. Audiences at home might ask, "Who is Demian Bichir?" But to agents, casting directors and promotion execs, the words "Oscar nominee" can make a difference. There's a reason you now see Jeremy Renner ("The Hurt Locker") and Christoph Waltz ("Inglorious Basterds") in bigger roles.

This year, the talents to watch include Rooney Mara ("The Girl With the Dragon Tattoo"), Octavia Spencer ("The Help") and the two stars of "The Artist," Jean Dujardin and Berenice Bejo.

And Melissa McCarthy, who nabbed a best supporting actress nomination for "Bridesmaids," has certainly gotten a career boost. The actress already has an Emmy for "Mike and Molly." The Oscar nomination was a "pleasant surprise," says Sperling.

Still, the major nominees' low box office could hurt the ratings for the Academy Awards broadcast, scheduled for February 26. Traditionally, audiences like to have a rooting interest, and it's hard to root for films that most people haven't seen. In the last five years, the Academy Awards' best rating came in 2010, when box office champ "Avatar" was up for best picture. (Host Billy Crystal, always a popular figure, could help.)

Will the nominations boost the box office? If "Hugo" and "The Artist" can't build on their grosses now, they probably never will, says Sperling.

Her Times TV critic colleague, Mary McNamara, finds Oscar bait wanting. "Film is suffering from 'who cares syndrome,' " she said last week. " 'The Artist' -- the seven people who saw it liked it. Yet the Academy rejects 'Harry Potter.' That should win best picture, I think."

Unless the Boy Who Lived can pull the ultimate wizard's trick, that's not going to happen.

@highlight

Oscar nominations reference old films, old names

@highlight

"Hugo" and "The Artist," leading nominees, look back at pre-World War II era

@highlight

No nomination for Pixar -- a first for the animation studio

@highlight

Box office for major nominees has been low -- will nods help?