New York (CNN) -- The premiere of "Gone with the Wind" took place in Atlanta, Georgia, on December 15, 1939, but not without a territorial struggle of its own, a war between the states of California and Georgia.

Producer David O. Selznick of course wanted it in Hollywood. But William B. Hartsfield, the feisty mayor of Atlanta, with a rampant Junior League and the full force of its citizenry behind him, argued it was "their" story and won the day.

Selznick was terrified that he and the hyper-glittery event would be ridiculed by Northerners. Margaret Mitchell, by then a Pulitzer Prize winner and long past her scapegrace flapper days, was terrified the movie would be a vulgar travesty, embarrassing her in front of her friends.

It was, of course, a triumph -- for the South it was like a sweet vindication for their humiliation at the hands of Sherman's army. For Selznick, the biggest gamble of his life would go on to win 10 Oscars and become a success beyond his wildest dreams. In its day the longest and most expensive film ever made, it had cost $4,250,000 to produce. It would go on to become a global hit and, with dollars adjusted for inflation, it remains the biggest blockbuster of all time.

But the tensions and ironies present at the premiere were an indication of fault lines that, without ever completely tarnishing the film as an audience favorite, would plague its 70-year history. How could it not be so in a movie that told "our" nation's history, the Civil War and Reconstruction, from the unreconstructed South's point of view?

A hundred-thousand people turned out on a bitter cold night and there were bands on every street and old men marching in Confederate uniforms. The stars arrived in full force ... the white ones, that is.

Not permitted to attend the premiere in segregated Atlanta were the black cast members, including Hattie McDaniel, who would go on to win an Academy Award for her portrayal of Mammy (and would be the first black to do so). Among the three days of festivities was an all-white Junior League ball serenaded by the Ebenezer Baptist Church Choir, an all-black boys choir directed by the Rev. Martin Luther King Sr. and including a 6-year-old Martin Luther King Jr. among its members.

Many of the young who watch "Gone with the Wind" today are horrified -- not only are all blacks slaves, but they are also apparently content with their lot; Reconstruction is an unalloyed disaster. Yet calling the movie racially retrograde is a misnomer. It is very much of its time and place, it's just that we can't bear to look at that time and place -- itself a mark of how far we've progressed.

Most critics today wouldn't touch "Gone with the Wind" with a 10-foot pole -- it's easier to dismiss it as racist or overblown or an apologia for the plantation culture than to take a fresh look at how it has fared and why it has endured for 70 years.

I'm speaking from experience, as I recently published a book about "Gone with the Wind" -- the novel and film. While doing some National Public Radio interviews and responding to listeners' questions, I was struck by how the film continues to raise tempers and inflame feelings.

An elderly gent from South Carolina ranted on about Sherman's burning of the local church, while a youngish black woman said the movie should be consigned to the dustbin of history ... after admitting she'd seen it 500 times. But no less surprising was the huge number of well-considered (and favorable) online responses -- a long, thoughtful appreciation by a black female historian, another from a black male librarian in North Carolina, and other passionate pro-"Gone with the Wind" responses from across the spectrum, some under the guise of "guilty pleasure."

Young-ish black women have told me of responding to the book as teenagers, much as I did, even reading it under the covers with a flashlight. For my generation, Scarlett was outspoken, a renegade, a feminist in hoop skirts, maybe the first of a long line of teenage rebels with a barely defined cause, a vendetta against grown-up hypocrisy.

For my generation of '50s adolescents, it was the book's raciness that made it deliciously taboo (Margaret Mitchell said her own mother wouldn't have let her read it until she was 18). For young black teenagers in the '70s and '80s, it wasn't the raciness as much as the rebellion, the stubborn selfishness of Scarlett -- and they were defying parents who would be horrified to know their daughters could sympathize in any way with a slave-owning plantation mistress.

Yes, the movie may be overblown, may be guilty of giving the South an undeserved moral victory, yet it tells a complicated story in swift, riveting brushstrokes, pulls out all the emotional stops so that even those of us not besotted with the film can hardly resist individual scenes: Just try to stop watching once engaged.

Crafted by the geniuses of the studio system, "Gone with the Wind" is a panoramic epic that never loses sight of its main characters, and -- also startling to young viewers today -- those characters endure vast quantities of pain and suffering in a world turned upside down. There are star-crossed lovers (the fierce beauty of Vivien Leigh, the gentleness beneath the swagger of Clark Gable), the agony of war, of economic loss and devastation, the resilience of a woman who won't accept defeat.

Most original of all is Scarlett herself (you hate her and you love her), a heroine of ambiguous morality who is revolutionary in Hollywood terms in that she refuses to be chastened, brought to heel, transformed by love.

The movie crosses race and gender lines and shows that single-issue sympathies are out of date. We can finally take a more nuanced approach, appreciate just how majestic Hattie McDaniel's performance is. (When she was criticized at the time by the NAACP she famously retorted, "I'd rather get paid $700 a week playing a maid than $7 a week being one.")

After the controversy, Hollywood made a concerted effort to expand roles for blacks. It has been a slow and arduous process as we can see by the fact that despite a record number of African-American performers, no black director has won an Oscar. But if there'd been no "Gone with the Wind," it might have started later and taken even longer. The movie is a cultural touchstone that, as one reader wrote to The Wall Street Journal, "shows us not only where we've been, but also how far we've come."

The opinions expressed in this commentary are solely those of Molly Haskell.

@highlight

"Gone with the Wind" premiered 70 years ago today

@highlight

What was in its day the longest, most expensive film ever remains biggest blockbuster of all time

@highlight

Black cast members were forbidden from attending the premiere in segregated Atlanta

@highlight

Film, though criticized for being overblown, crossed race and gender lines