(CNN)Turkey would be willing to put its troops on the ground in Syria "if others dos their part," Turkish Prime Minister Ahmet Davutoglu told CNN's Christiane Amanpour in an interview that aired Monday.

"We are ready to do everything if there is a clear strategy that after ISIS, we can be sure that our border will be protected. We don't want the regime anymore on our border pushing people against -- towards Turkey. We don't want other terrorist organizations to be active there."

"We want this humanitarian policy on the other side of the border. Second: military strategy, security. If there is there any threat against our national security, we will take all the measures -- all the measures."

Turkey, Syria's northern neighbor, has been central to the civil war there since it began over three years ago. Then-Prime Minister Recep Tayyip Erdogan broke with his longtime ally, Syrian President Bashar al-Assad, to support Syria's opposition.

Ever since, the government has been trying to convince the international community to do more to stop al-Assad.

U.S. President Barack Obama, long wary of becoming involved, has become convinced that he must intervene in the Syrian war, but only to stop ISIS, not to go after the leader he nonetheless says long ago lost the legitimacy to govern.

'Our approach should be comprehensive'

"We shouldn't be separating pre-ISIS and post-ISIS Syria," Davutoglu told Amanpour. "From the first early days of the crisis until now, no other country did more than Turkey; what Turkey did against the attacks, brutal attacks of the regime, as well as against ISIS."

He said that American airstrikes in Syria were necessary but not enough for a victory.

"If ISIS goes, another radical organization may come in," he said. "So our approach should be comprehensive, inclusive, strategic and combined ... not just to punish -- to satisfy our public opinion -- to punish one terrorist organization, but to eliminate all terrorist threats in the future, and also to eliminate all brutal crimes against humanity committed by the regime."

"We want to have a no-fly zone. We want to have a safe haven on our border. Otherwise, all these burdens will continue to go on the shoulder of Turkey and other neighboring countries."

Right now on Turkey's border, ISIS has been vying for control of the Syrian town of Kobani; CNN crews on the border witnessed what appeared to be an ISIS black flag flying on the eastern side of town.

"We will do everything possible to help people of Kobani because they are our brothers and sisters. We don't see them as Kurds or Turkmen or Arabs. If there is a need of intervention to Kobani, we are telling that there is a need of intervention to all Syria, all of our border."

The rise of ISIS, and the international military strikes against it, have forced hundreds of thousands of refugees across Turkey's border in recent weeks, to join the nearly 1 million refugees that the United Nations refugee agency says are already there.

"People are asking us to receive refugees, and they are praising us, OK. But at the same time, they are saying please control your border. How can you control a border if, in three days, 180,000 people are coming? In three days!"

On the front lines of Syria's war, Turkey is trying to dispel the idea that the United States can become involved in Syria by going after ISIS but not al-Assad.

"We said chemical weapons are the red line. He used chemical weapons. What happened to him?"

"We didn't do anything."

"He killed people by punishing through hunger. He surrounded cities, neighborhoods, and kept them hungry. And we have seen -- you showed in your program -- 50,000 photographs who were killed by these methods, by Syrian regime. And everybody was silent."

"And now, because of these crimes, there was no reaction, these radical organizations -- I mean ISIS -- misused this atmosphere and told these people the international community doesn't defend you. Nobody defends you. Only I can defend you by my own means. This was the source of ISIS."

Davutoglu said Turkey warned the West "several times" about the rise of radicalism in Syria.

"We talked to our European and American colleagues that if there is no solution against these crimes against humanity by the Syrian regime, there will be a rise of radicalism. At that time, there was no name of ISIS, but we were telling them."

A porous border, a diplomatic spat

Disagreements over how much America should involve itself in the Syria civil war are not the only source of tension between Turkey and the United States.

Last week, U.S. Vice President Joe Biden blamed Turkey in part for the rise of groups like ISIS.

"They poured hundreds of millions of dollars and thousands of tons of weapons into anyone who would fight against Assad," he said. "Except that the people who were being supplied were al-Nusra and al Qaeda and the extremist elements of jihadis coming from other parts of the world."

The vice president apologized to Erdogan in a phone conversation this weekend.

"This is really a very unfair accusation," Davutoglu said.

"What we expect, Christiane, are two things: fairness and empathy."

"America, the United States of America, has a border with Mexico, and there are two states on both sides. Is it easy to control all the border?"

"One point six million people came (to Turkey). This is the combined total, combined population of Washington, D.C., Boston and Atlanta."

"You can imagine which type of risks and challenges we are facing. Either we will close the borders, which means nobody can come in, which would be against our culture."

Turkey has nonetheless openly supported the moderate opposition.

"We didn't hide that we are supporting the moderate opposition, Syrian National Coalition, by all means. If others listened to our advice -- our allies and the permanent members of the U.N. Security Council -- if they had protected and supported the moderate opposition, today we wouldn't be facing such a big crisis of ISIS."

Turkey in transition

Davutoglu has been Prime Minister for a little over a month, having previously been foreign minister.

The change comes as Erdogan has transitioned to the office of president, having won a landmark election -- the first time Turks directly elected their president.

Though the role of president is officially ceremonial, Erdogan has talked openly about changing the constitution, and many critics say he has become increasingly authoritarian in his governing style.

"I made some important changes" in the Cabinet, Davutoglu said. "That was my own choice. I don't want to make big changes because there will be a new -- another election in 2015."

"I also told and I promised my people that there is a need for a new constitution because this constitution is a product of a military coup d'etat. But the main change of constitution is -- will be directed to human rights and not state-centric constitution."

On the eve of Davutoglu's ascension to prime minister, a prominent Turkish writer said in The New York Times that he could have a calming effect on the country's politics.

"Although Mr. Erdogan chose him because they seem to agree on all major issues, Mr. Davutoglu could still help Turkey by bringing his gentle, polite and smiling persona to the country's bitter and hate-filled political scene," Mustafa Akyol wrote.

"First of all, the assumption is wrong," Davutoglu said. "In many aspects, in fact, there have been many reforms in last three, four years."

"About my style, everybody has his personality, and this does not mean these are alternatives to each other. These could be complementary and inclusive in that sense. And I will, from academic life until now, I had the same personality, my personality didn't change and will not change."

@highlight

Ahmet Davutoglu: U.S. airstrikes in Syria were necessary but not enough to beat ISIS

@highlight

"If ISIS goes, another radical organization may come in," he says

@highlight

All terrorist threats and "crimes against humanity" committed by Syria must end, he says

@highlight

"We will do everything possible" to help "our brothers and sisters" in Kobani, he says