(CNN) -- While I was working in Colombia many years ago, a young boy said to me: "The day we take peace as seriously as a football match, we will achieve it."

His words were simple, yet they carried profound implications: Football can inspire the passion needed to change the world. This encounter also taught me another important lesson: The best ideas come from listening to people and communities.

Why football should be used to change lives

Today, these two ideas form the basis of streetfootballworld's work across all five continents. We believe in the power of football to change lives -- and we believe that the power to change communities lies in the communities themselves.

The capacity for social change that lies within the streetfootballworld network is immense -- but how can it be maximized?

READ MORE: Building on the BRICS

Russia is one country which has huge potential to action change leading up to the 2018 FIFA World Cup, which it will host. It must prepare a strategy which delivers a lasting social legacy for its people.

In the 2018 Local Organizing Committee's recent annual report, CEO Alexei Sorokin emphasized the importance of creating a sustainable long term legacy. While we fully support this sentiment, our experience shows that it requires careful preparation and involvement across all stakeholders.

Russian football has made headlines with some spectacular investments -- both domestically and on the international stage.

If this level of commitment can be transferred to the social sphere, Russia has the potential to lead the way to a pioneering sporting legacy. In this sense, 2018 is a unique opportunity -- and one which it would be a shame to waste.

So how can it be done?

It has become fashionable to talk about the legacy of large sporting events such as World Cups and Olympic Games. Such events carry with them an enormous potential to create real, lasting social change.

But this only works if local needs are at the center of any approach. Streetfootballworld bridges the gap between host communities and organizing committees to ensure this is the case.

WATCH MORE: Could the BRICS get a bank?

In 2010, streetfootballworld teamed up with FIFA to make social change an integral part of the World Cup. With the construction of 20 community health, education and sport centers as part of the "20 Centres for 2010" campaign, the World Cup environment was able to be used to help assist communities across the African continent.

These Football for Hope Centres are hosted by community-based organizations, thus impacting target groups, building upon effective programs and responding to local needs.

The 2010 initiatives were successful due to a combination of local expertise and global commitment. We showed how an entire continent could be reached.

In 2012, streetfootballworld implemented RESPECT your Health, the official community health programme for UEFA EURO 2012 in Poland and Ukraine. Working together with local sports institutions, schools and volunteers, we used the passion for the game to spread important messages about healthy lifestyles via a train-the-trainers approach -- thus multiplying the effect and reaching more young people.

READ MORE: Can BRICS nations reshape aviation?

Over 800 coaches continued to use the specially designed RESPECT your Health curriculum long after the tournament -- demonstrating that sport (and especially football) is an effective way of guaranteeing a sustainable legacy.

Russia must focus on its five year countdown

Similar approaches will be needed if the 2018 World Cup is to make an impact on the vast expanse of Russia.

Ahead of the 2014 FIFA World Cup in Brazil, we're campaigning to give as many people as possible a voice to express what a positive legacy means to them. We are using the momentum of the World Cup to support innovative ideas for change on a local level.

A true social legacy is dependent on local ownership and active participation. Like in Brazil, the passion for football is huge in Russia -- and over the next five years, Russia has the chance to show that football can be more than just a game.

The opinions expressed in this commentary are solely those of Jurgen Griesbeck

@highlight

Streetfootballworld works to improve communities across the world through football

@highlight

Founder Jurgen Griesbeck says Russia has five years before its World Cup to action change

@highlight

Griesbeck says change requires careful preparation, and involvement by all stakeholders

@highlight

Russia has a significant opportunity and should not waste it, he argues