(CNN) -- In many ways, the Middle East makes a strange -- and at times perilous -- hotbed for caricature.

Many of the region's leaders have a poor reputation for humor, and often, the list of banned topics makes for a long read. For those that dare to satirize a taboo, the punishments can be harsh: arrest, torture, exile, even death.

"The one thing a tyrant can't stand is to be laughed at," says Robert Russell, the executive director of the Cartoonists Rights Network International, a group that monitors the threats facing editorial cartoonists globally.

"If there's rebellion in the streets, they can bring out the tanks, but if everyone is laughing at you, what defense do you have? It undermines the authority of a tyrant to be laughed at."

Despite the dangers that await many Arab cartoonists, some of the region's more contentious countries are actually experiencing a political satire renaissance.

According to Jonathan Guyer, a Cairo-based Fullbright Scholar who is translating Egypt's cartoons into English for his blog, Oum Cartoon, the country is experiencing "a golden age of caricature."

"On any given day, a newspaper could have ten comics. You'll see dozens of Morsys above the A1 fold being mocked," he says, referring to the ousted Egyptian president. "You just wouldn't see that in American papers."

Video: The artist that sculpted Saddam

Still, he notes, the country's media is more reticent about publishing images critical of the military.

"A couple of artists told me they got warning calls from the military, but more as a kind of gentle, backroom nudge," he explains.

In other countries, the nudges are less gentle. The assault of Syrian cartoonist Ali Ferzat in 2011 brought international attention to the dangers awaiting those that -- pen and ink in hand -- poke fun at the Arab world's more tyrannical leaders.

For much of his career, Ferzat satirized the political and military order in Syria without singling out any individual. In the months leading up to the Syrian revolution, he broke what he called "the barrier of fear" and started drawing President Bashar al-Assad. In one daring image, the Syrian ruler was depicted standing on the side of the road, thumbing for a lift from deposed (and, at the time, living) Libyan dictator Moammar Gadhafi.

Read more: Iran's cartoonists find new lines of expression

Less than a week after the cartoon was published, Ferzat was accosted outside of his office by masked gunmen.

"The president's boot is better than you," they told him, before breaking every finger in his hands and leaving him for dead.

"At that moment, I thought that I was going to say good-bye to life. But I also thought I had to accept the outcome of what I'd done. I had to stand behind what I believed in," admits Ferzat, who was recently in London for an exhibition of Syrian art organized by the charity Mosaic Syria, who is using proceeds from the sales to fund their relief work.

Hands healed, Ferzat continues to draw politically charged cartoons, but now lives outside Syria. If he was ever reticent about caricaturing the atrocities taking place in his home country, he isn't now.

"I was really happy to start drawing again. It was like a second chance. After what happened to me, I had more resolve to tell the whole world. I went to the front line. It's been even more important for me to speak out against the regime," he says.

Video: Egypt's first comedy factory

Though exile is not an easy life, those cartoonists that haven't managed to escape face a potentially worse fate. Last year, another Syrian artist, Akram Raslan, was arrested and hasn't been heard from since. Russell, who has been lobbying for Raslan's release, fears he may be dead.

"We sent a letter to Syrian ambassador in Washington, D.C, and a few days later heard his trial had been delayed. We thought, 'Oh, how wonderful.' Two weeks later, we heard he'd been killed," he says.

Recognizing the dangers that many cartoonists face, Iranian Nikahang Kowsar who fled Iran in 2003, is working on an online platform that allows cartoonists to use templates to create their own satires anonymously.

"That way, people can use those characters to question the authorities, without having it traced back to, say, the Syrian or Iranian cyber army," he says. "It's our way of giving a voice to the voiceless."

@highlight

Some countries in the Middle East, like Egypt, are experiencing a 'golden age' of caricature.

@highlight

Many cartoonists in the region can face arrest, torture and exile.

@highlight

Syrian cartoonist Ali Ferzat thought he'd say 'good-bye to life' when assaulted by thugs in 2011.

@highlight

Iranian cartoonist Nikahang Kowsar is working on a platform to make cartooning safe.