(CNN) -- Three hundred days: That's how long a private contractor will have to cover a remote area of the Indian Ocean a little smaller than the country of Sri Lanka where officials believe missing Malaysia Airlines Flight 370 ended up.

The time frame for the sea floor search was included in documents released Wednesday by Australian authorities seeking bids from companies to carry out the next phase of the hunt for the passenger jet.

Nearly three months after Flight 370 disappeared over Southeast Asia, searchers have found no trace of the Boeing 777 or the 239 people aboard, making it one of the biggest mysteries in aviation history.

Authorities have not been able to explain why the jet veered dramatically off course during a scheduled flight from Kuala Lumpur to Beijing on March 8 or to say where exactly its errant journey ended.

Hopes of closure for the families of those on board were raised in early April, when a search team in the southern Indian Ocean detected pings that were initially believed to have come from the plane's flight recorders. But last week, Australian authorities said that an exhaustive search of the sea floor around the pings had found no wreckage, ruling it out as the aircraft's final resting place.

'A very challenging task'

Now, officials are preparing for the next stage of the search.

Australia, the closest country to the area where the plane is believed to have entered the ocean, has decided to delegate the management and operation of the new phase to a private company.

The Australian Transport Safety Bureau, which is leading the search at the request of the Malaysian government, said Wednesday that it is accepting proposals for the task until the end of June. The new search is expected to start in August, at the earliest.

"This is a very challenging task, one that relies on very effectively limited information," Martin Dolan, the bureau's chief commissioner, told CNN's "Erin Burnett OutFront" this week. "But information, if analyzed and viewed carefully, can give a lot of evidence about the likely location of the aircraft."

The exact search area is yet to be defined, as an international team of experts is reviewing the satellite, radar and other data that led to the conclusion that the plane flew into the southern Indian Ocean. It will be in the vicinity of an arc hundreds of kilometers long -- the area where investigators believe the aircraft ran out of fuel, about 1,000 miles off the coast of Western Australia.

Dolan said officials remain "cautiously optimistic" that the plane's resting place will be found.

'Holes, trenches, ridges'

The Australian Transport Safety Bureau says the new search area will be around 60,000 square kilometers (23,000 square miles). The winning bidder will have to cover 5,000 square kilometers of the area every 25 days or risk payment being withheld.

The contractor will also have to provide daily progress reports and submit its plans for the following 24 hours, the documents say.

The chosen company will face a stern challenge, operating in one of the most isolated and hostile environments on the planet. The previous phase of the search, both above and below the surface of the water, was repeatedly disrupted by bad weather.

Some of the ocean in the region is so remote, authorities aren't sure exactly how deep it is. The tender documents warn that the search operation will be dealing with depths of up to 6,000 meters (20,000 feet) -- and in a variety of sea states and ocean currents.

The underwater terrain in question could involve "holes, trenches, ridges, steep gradients, isolated features" and a sea floor potentially made of silt, sand, rock and other materials, the tender documents say.

A specialized Chinese ship has begun mapping the ocean floor in some areas already picked out by the Australian Transport Safety Bureau. A contracted commercial survey vessel will join those efforts this month.

Unclear who pays what

The bureau doesn't provide any specific numbers about how much the contractor will be paid. Australia had estimated that the next phase of the search would cost $60 million, with the breakdown of who's going to pay for what still to be announced.

While 26 countries have participated in the hunt for the missing plane, Malaysia, China and Australia have held high-level talks about the future of the search. Malaysia is where the plane is from, but most of the people on the flight were Chinese.

As the official search transitions into its next phase, Malaysia's acting transportation minister released a statement Wednesday outlining the "way forward."

"We have entered a new difficult phase which brings with it new challenges which we will overcome together," Hishammuddin Hussein said. "As we enter the new phase of this search, we are grateful for the continuous support that we have received from the international community."

That continued support from the international community will include "specialized assets and services" from the United States and others, according to Hishammuddin. He said he's asked Defense Secretary Chuck Hagel to continue using the U.S. Navy-owned Bluefin-21, an autonomous underwater vehicle, as well as the remotely operated vehicle Curv-21.

Hishammuddin also announced Wednesday that Singapore-based engineering and technology company Boustead is "finalizing terms" for an oceanographic survey vessel, ROV and deep sea sonar. Malaysia's state-owned oil company Petronas will also be funding a deep towed side-scan sonar and crew, according to Hishammuddin.

As the disappearance of MH370 approaches the 90-day mark, theories about the plane's fate continue to circulate.

An Australian university on Wednesday released an audio recording and other information about an underwater sound that they say could be related to the final moments of the plane.

And independent experts are studying the satellite data that have played a key role in guiding the search to see whether they agree with the official analysis that the plane ended up in the southern Indian Ocean.

Is mystery underwater sound the crash of Flight 370

What happens next in the search for Malaysia Airlines Flight 370?

MH370: Is Inmarsat right?

CNN's David Molko contributed to this report.

@highlight

Australia seeks bids from private companies for next phase of search

@highlight

The chosen contractor will have 300 days to cover a vast swath of ocean

@highlight

Authorities are still determining the exact search area in the Indian Ocean

@highlight

An Australian official says he remains "cautiously optimistic" the plane will be found