(CNN) -- World War I ushered in an era of chemical weapons use that lingers, lethally, into the present day.

Indeed, the German chlorine attacks against French, Algerian, British and Canadian troops around Ypres -- site of the war's most relentless fighting -- in April 1915 presaged a world in which weapons of mass destruction became at least a permanent background anxiety and often a source of intense terror.

World War I, which began nearly 100 years ago, linked science with mass killing and, despite preventative treaties such as the 1900 Hague Convention, created a lasting precedent. Scientific progress now brought new fears as well as hope.

The other combatant nations responded to their maximum extent, with rapidly developed mixtures of retaliation-in-kind and protective technologies and procedures. Perhaps 1 million chemical casualties were inflicted, to little overall military advantage. Although fatalities were eventually kept relatively low, at about 90,000 in total, there was, and remains, deep revulsion at slow, agonizing deaths from tissue damage through blistering of the skin caused by innovations such as mustard gas or drowning through destruction of the lungs.

Opinion: How a century-old war affects you

Many survivors were left blind or permanently disabled. Human distress, dread, "gas fright" and their long-term psychiatric consequences are impossible to calculate. They may have fatefully helped intensify Hitler's psychopathology as he lay brooding upon the Armistice in a military hospital, temporarily blinded by British mustard gas.

Later, in the Geneva Gas Protocol of 1925, the world tried to address its WMD problem through a collective promise of "no first chemical or bacteriological use," backed by uncontrolled arsenals, which it was hoped would deter treaty breach by the hideously plausible and familiar threat of retaliation.

That gamble held precariously in World War II but not in hidden, or conveniently overlooked, one-sided campaigns conducted by Spain, Italy, Japan and Egypt in remote theaters such as Morocco, Ethiopia, China and Yemen. Continued secret research created still more efficient nerve gases, blatantly employed by Saddam Hussein's forces in the 1980s against Iranians and Kurds, without international response. However, the international honeymoon period after the Cold War allowed the negotiation of total, monitored and inspected elimination of all chemical weapons stocks and production facilities under the 1998 Chemical Weapons Convention.

But World War I and its aftermath have left discouraging precedents.

Opinion: The mighty women of World War I

Although banned, in the 1919 Treaty of Versailles, from keeping any chemical weapons, Germany secretly maintained formidable capacities. Its specialists went on to set up joint trials and research facilities in the USSR and to pioneer the whole class of nerve agents. Cheating in arms-control treaties, especially with the assistance of third parties, has remained a lasting political anxiety and an intelligence priority ever since.

We now also know that during World War I, German agents tried systematically to infect Allied livestock with glanders (a serious bacterial disease, transmissible to humans but mainly affecting horses and mules). This was the insidious, but fortunately not then very successful, birth of covert scientific biological warfare -- which, despite the unverifiable and evidently broken Biological and Toxin Weapons Convention of 1971, now persists as an uneliminable security nightmare.

So we are all still partially breathing the yellow-green poison cloud that Nobel laureate Fritz Haber determinedly developed and the generals of the German High Command, locked into the first scientific Total War, reluctantly authorized. (The suicides, apparently through shame and disgust, of both Haber's wife, Clara, and Hermann, one of his sons, seem to add further intimate casualties to his innovation.)

Opinion: How World War I gave us 'cooties'

Haber's weaponization of chlorine for the second Battle of Ypres heralded a period of destructive technological dynamism in which we still live, when, repeatedly, as Bertolt Brecht observed:

"Out of the libraries come the killers.

Mothers stand despondently waiting,

Hugging their children and searching the sky,

Looking for the latest inventions of the professors."

And today, the news remains bad.

Mothers still scan the sky for incoming chemicals.

Chlorine is back.

After 1,400 people were killed with highly efficient sarin nerve agent in the rebel-held eastern suburbs of Damascus in August, the Syrian government agreed to join the 1998 Chemical Weapons Convention and cooperate in its own chemical disarmament, as an alternative to U.S. punitive strikes.

Opinion: The 'bionic men' of World War I

Before completion of that process, reports repeatedly emerged in early 2014 of new attacks using chlorine, which as an industrial chemical used in water purification cannot be removed from the country, although employing it against humans is unquestionably forbidden. Chlorine's lethality, even against unprotected civilians, may be unimpressively low by modern standards, but it reliably continues to terrify.

And while German culpability in the gas attacks in Flanders 100 years ago was clear, the United Nations is still unable to agree, or even yet formally investigate, which side has been conducting chemical attacks of any kind in the long Syrian civil war.

Chemical warfare was universally criminalized in September under U.N. Security Council Resolution 2118. But finally eliminating or even punishing the homicidal employment of chemicals in organized violence is a diplomatic as much as a legal, technical or military problem.

It turns out that some international behavior over chemical killing remains as toxic as in 1915.

WWI: The Golden Age of postcards

@highlight

Paul Schulte says WWI ushered in era of chemical weapons use that lingers today

@highlight

He says such things as mustard gas brought agony: blindness, disability, often death

@highlight

Treaties have sought to rein them in but are not always successful, as in Syria, he says

@highlight

Chemical warfare was universally criminalized, Schulte says, but behavior remains toxic