It's late in Iran on a dark night, moonless or with heavy clouds. Suddenly the silence is broken by sonic booms, followed by the sound of jets roaring overhead.

Flying in tight formation, Israeli fighter planes drop bunker-busting bombs on a nuclear enrichment plant built into the side of a mountain.

Iranian pilots race for their own jets to fight back, but by the time they take to the sky, it's too late. The Israeli jets streak away.

That, at least, is what Israel would like to happen if it decides to attack Iran in an effort to prevent it from acquiring the ability to make nuclear weapons.

But would it be as easy for Israel to destroy Iran's nuclear sites as it was for the Jewish state to strike an Iraqi reactor in 1981 or a suspected one in Syria five years ago?

Experts inside and outside Israel say no.

They envision a much more complicated attack, one that would involve more than 100 planes -- from fighters to refueling tankers -- flying hundreds of miles to bomb up to eight targets around Iran.

Possible site of Iran explosive tests identified, think tank says

Israel hit one target each in Iraq and Syria, but Iran's nuclear assets are spread over multiple sites in different parts of the country. One is buried under concrete. Another is dug into a mountain. Surface-to-air missiles and electronic warfare systems protect them all.

They also are significantly farther away from Israel than the targets in Iraq or Syria.

And they may not be the only sites Israel would need to destroy to achieve its goal.

Bombing Iranian nuclear facilities would be "very complicated," said Ephraim Kam, deputy director of Israel's Institute for National Security Studies.

"It is a very large-scale operation, much greater than the one carried out in Iraq 30 years ago," said Kam, a former colonel who served with an intelligence research division in the Israeli military.

Israel would most likely attack Iran with fighters jets -- the F-15I and the F-16I -- rather than missiles fired from submarines, Kam and other experts said.

"In order to create proper damage to the nuclear plants, you need extremely accurate weapons," Kam said. "I don't know that the missiles are accurate enough."

According to the London-based defense analysis group Jane's, Israel has one squadron -- about 25 planes -- of F-15I jets, which are similar to the F-15 Eagle fighters of the U.S. Air Force. Israel calls its version of the fighter Raam, or Thunder.

It has four squadrons of F-16Is, the Israeli version of the U.S. F-16 Fighting Falcon. The Israeli jet is known as the Suefa, or Storm.

The Israeli fighters lack the range to reach most of the likely targets in Iran, so Israel would also need to put tanker aircraft into the sky, said Douglas Barrie of the International Institute for Strategic Studies in London.

Israel has at least seven KC-707 tankers that it could use for airborne refueling, Barrie said.

It also has at least four KC-130H tankers, versions of the giant Hercules aircraft, but is not likely to use them because their slow speed means the jets would need to slow down to link with them, wasting fuel, he said.

The strike aircraft would carry bunker-busting GBU-28 bombs -- 5,000-pound bombs to "go after hardened and buried sites," Barrie said.

Each F-15I could carry up to three bunker-busters, he said, depending on whether they are configured to carry the maximum number of bombs or the largest possible amount of fuel.

The American military has an even larger bunker-buster, the 30,000-pound GBU-57, but there's "no indication the Israelis have requested that weapon" or that Israel has the B-2 or B-52 bombers needed to deliver it, Barrie said.

Like other experts, he based his analysis on the assumption that if Israel mounted an attack, it would do so without American help.

There would be at least four primary targets, said Emily Chorley, a nuclear expert at Jane's: the Natanz and Fordo nuclear enrichment plants, the Esfahan uranium conversion facility, and the Arak nuclear complex.

Esfahan and Arak are above ground and are "relatively vulnerable to aerial attack," she said.

But Natanz, in the center of the country, is buried under 33 feet of earth and 6 feet of concrete, Chorley said, making it "very hard to penetrate."

Fordo, near the holy city of Qom, is "even more difficult" because it is deeply buried in a mountain, she said.

Dropping a bunker-busting bomb on Fordo actually might make it less vulnerable, Chorley said, since collapsing the entrance without destroying the facility would protect it from further bombing.

"It's questionable whether Israel is capable of destroying it in an air-launched attack," she said.

"Just getting Natanz and Arak without getting Fordo wouldn't be worth the risk," she argued, since Fordo is enriching uranium to higher levels than the other sites.

All four targets are protected by S-200 and Hawk surface-to-air missile batteries, said Chorley's colleague, Jim O'Halloran, a specialist in land-based air defense.

Israel would have at least two secondary targets as well, Chorley predicted -- the Tabriz and Imam Ali missile bases in the west, "to prevent a retaliatory missile attack" on Israel.

It also could try to strike the controversial Parchin military base east of Tehran, which inspectors with the International Atomic Energy Agency have been trying to visit, Chorley said.

Israel also might target the Bidganeh military base, which suffered a mysterious explosion in November. That would bring the number of potential targets to eight.

Iran's single declared civilian nuclear reactor probably is safe, Chorley said.

An attack on the Bushehr reactor would risk spreading nuclear contamination, and could mean killing Russian personnel at the Russian-built facility, infuriating Moscow.

Israel has three potential routes of attack, according to Jane's and other experts, assuming its fighters do not fly all the way around the Arabian Peninsula. Jane's says the Israeli Air Force does not have enough refueling capacity to travel that distance.

The northern route would go through Turkey, with which Israel has tense relations. The southern route would go through Saudi Arabia, which fears its rival Iran getting a bomb but is openly hostile toward Israel.

The central route is the shortest. It runs through Jordan and Iraq. Jordan and Israel are at peace, but there's no guarantee Jordan would formally give Israel permission to fly over its territory.

Iraqi air defenses, meanwhile, "cannot prevent violations of sovereignty," said Charles Hollosi of IHS Jane's. That makes it the "most likely location for air refueling."

Israel will need to decide what altitude its planes would fly at on the way in. Flying higher would protect them from the defenses of the countries they fly over, but will expose them sooner to Iranian radar.

"You're going to be in the cockpit three hours-plus before you get to the target unless you go the central route," said Barrie, the International Institute for Strategic Studies' senior fellow for military aerospace in London.

He doubts the Iranians would be able to detect them coming that far away.

"I don't imagine them having two hours' notice. The Israelis will be desperate to give them as little notice as possible.

"They will try to ensure their aircraft remain below their radar as long as possible," he said. "If you're in an Israeli fast jet you don't want it to be anything like a fair fight."

Barrie noted the Israeli military's success in attacking a suspected nuclear site in Syria in 2007.

"The Israelis, with a mix of electronic warfare and electronic attack, degraded Syrian air defenses to the point where they didn't see the strike package coming in," he said.

"Can the Israelis pull off tactical surprise the way they did with the Syrians in 2007? Going after three or four strike targets is much harder," he said.

Iran's air force has American-made F-14 Tomcats acquired under the shah's regime, which ended in 1979, Barrie said, as well as Russian-made MiG-29s. On paper, they are not a match for the Israeli planes.

"Israel remains the pre-eminent air force in the region -- well-equipped, and they have trained long and hard," he said.

"The Iranians are at an obvious disadvantage in terms of the age and quality of the equipment they have, but they also train hard and will be motivated," Barrie said. "I would be surprised if the Israelis are underestimating the Iranians."

@highlight

An Israeli attack on Iran would involve more than 100 planes, experts say

@highlight

They would need to hit as many as eight well-protected Iranian targets

@highlight

Experts: Israel's air force is superior on paper, but the Iranians train hard

@highlight

Israel has vowed not to let Iran get nuclear weapons