(CNN) -- Can a photo competition change the world? Probably not, but when paired with the brainpower of IBM and the problem-solving capabilities of the world's most advanced artificially intelligent computer systems, it might just stand a chance.

Last November, IBM opened its 12th global research lab -- and first on the African continent -- in Nairobi, Kenya. Though the lab employs 25 PhDs from the world's best universities, as well as Watson -- the AI supercomputer that won Jeopardy against human competitors in 2011 -- the company recognized that in order to truly shape innovation in the continent, it had to first hear from the people who live there.

"If we're going to solve the grand challenges of Africa it has to start here in Africa with us identifying and underscoring what they are," says Erik Hersman, founder of Nairobi's iHub tech hub and CEO of BRCK, and one of the four photo contest judges.

To better understand what areas to invest in, IBM launched its The World is Our Lab photo competition, which invited anyone with a camera (or mobile phone) to contribute images that highlight the continent's grand challenges, city systems and examples of innovation. After three months (and 1,200 submissions), they chose a winner in each of those three categories.

The competition even succeeded in offering the judges a few surprises.

"I saw places in Nigeria I didn't even imagine existed," says Kenyan Mutua Matheka, official photographer for The World is Our Lab project and another judge in the competition.

"The winners each shared an Africa that most of us didn't know or didn't have access to."

Kenyan TV producer Frank Odwesso won in the City System category with his image of a woman on the back of a "boda boda," or bicycle taxi. The judges felt the picture demonstrated how locals in Western Kenya and Nyanza circumvent an unreliable public transport system to create a more efficient means of getting around. Mainly, though, it was the strength of the image that they were drawn to.

"It had the most vibrant colors, and it really summed up Africa to me," admits Matheka.

See the best photos from the competition here

Imole "Tobbie" Balogun won the Grand Challenges category with "Baby Sitting," which highlights the very adult responsibilities imposed on many of Nigeria's children -- either because poverty forces them into jumpstarting their working lives, or because they have to assume the role of caretaker for their siblings.

Visual artist Lawrence "Shabu" Mwangi won the Innovation category, and the competition overall, with "Digital Migration," a shot he took of children playing with scrap in Nairobi's Mukuru slum.

"We have these big dumping sites in Mukuru, and though we try to prevent the kids going to them, they find a way and use the scrap to play with," says Mwangi, who also grew up in the area.

"These kids were playing a role in the television. None of them have a TV at home, but here they had a chance to be reporters -- they could be anything they wanted to be within that television. I just wanted to capture the happiness in that moment," he adds.

See more from Inside Africa

The competition is part of IBM's $100 million Project Lucy initiative, which will employ Watson and other cognitive computing technologies to advance development and create business opportunities in Africa over the next 10 years.

Matheka, a former architect and one of the continent's most respected photographers, says the competition has also shown him how photography has grown in Africa.

"I feel like a lot of African photographers have observed how those in Europe and the U.S. have photographed in Africa, and many us still use that as a template of how Africa should be captured. I think we're starting to get out of that now," he says.

"I think photography is starting to feel more approachable, to include the African public and focus on the textures and people of Africa. We're starting to tell stories for Africans. It's important, because our stories matter, and we need to hear them and to see our heroes so that we can know what is possible."

@highlight

IBM photo competition looked at Africa's challenges and opportunities

@highlight

1,200 submissions captured everyday Africa

@highlight

IBM will use Watson computer to help develop ideas to spur development in Africa