(CNN) -- Pakistani-American businessman Mansoor Ijaz has set off a political firestorm in Pakistan with his claims that he was brokering an offer from Pakistan's civilian leaders to the Pentagon to unseat the leadership of the Pakistani military.

Those accusations forced the resignation on Tuesday of Pakistan's ambassador to the United States, Husain Haqqani, who Ijaz says orchestrated this proposal, which was delivered in a unsigned memo in May to Adm. Mike Mullen, then-U.S. chairman of the Joint Chiefs.

Pakistan is a nuclear-armed state that is home to a number of Taliban groups that attack U.S. and NATO troops in Afghanistan and also is home to what remains of al Qaeda's "core" organization.

Haqqani helped smooth over many tense moments in the important U.S.-Pakistan relationship, including the shooting in January of two Pakistanis by CIA contractor Raymond Davis and the Navy SEAL raid that killed Osama bin Laden in Abbottabad in northern Pakistan in May.

Ijaz has said that the offer to get rid of the leadership of the Pakistani Army was sanctioned by Pakistani President Asif Ali Zardari. The story is an explosive one in Pakistan, where relations between the civilian government and the military leadership are often tense and the United States is deeply unpopular.

Writing in the Financial Times on October 10, Ijaz explained that, "The embarrassment of bin Laden being found on Pakistani soil had humiliated Mr. Zardari's weak civilian government to such an extent that the president feared a military takeover was imminent. He needed an American fist on his army chief's desk to end any misguided notions of a coup -- and fast."

Haqqani denies being involved in any such scheme, and Mullen says that while he did receive a memo that made this kind of offer-- delivered to him by Obama's former National Security Adviser James L. Jones -- he ignored it because it just didn't seem credible.

According to Ijaz, Lt. Gen. Ahmad Shuja Pasha, Pakistan's powerful military intelligence chief, recently traveled to London to meet with him, where he "forensically tested" Ijaz's evidence, which consists of Blackberry messages between Ijaz and Haqqani.

While the affair has already brought down Haqqani, a longtime critic of Pakistan's military establishment and a well-known figure in diplomatic and national security circles in Washington, it could also damage the country's civilian government. Haqqani's wife, Farah Ispahani, is President Zardari's spokeswoman and a prominent member of the governing Pakistan People's Party.

The man at the center of it all

Who is Mansoor Ijaz, the Pakistani-American businessman at the center of this twisted tale? Born to a family of Pakistani immigrants in Tallahassee, Florida, Ijaz grew up in rural Virginia, the son of two college teachers.

After getting an undergraduate degree in nuclear physics from the University of Virginia and an MA in engineering from Massachusetts Institute of Technology, in the early 1990s Ijaz founded Crescent Investment Management, a New York investment firm. Crescent was politically well-connected. Ijaz's partner in the firm was retired Air Force Lt. General James Alan Abrahamson, who played an instrumental role in President Ronald Reagan's Strategic Defense Initiative ("Star Wars").

Another Washington heavyweight, the former CIA director R. James Woolsey, was chairman of the board of Ijaz's publicly listed company, Crescent Technology Ventures PLC, based in London.

In the mid-'90s, Ijaz gave hundreds of thousands of dollars to the Democratic Party, and hobnobbed with the Clintons at fund raising events.

In 2003, journalist Richard Miniter, in a book titled "Losing Bin Laden: How Bill Clinton's Failures Unleashed Global Terror", relied on Ijaz as the principal source for the key part of his thesis, which concerned the five years Osama bin Laden spent in Sudan in the early and mid- 1990s. Miniter described multiple attempts Ijaz made between August 1996 and 1998 to interest the Clinton administration in improving relations with Sudan, as well as Sudanese offers to hand over intelligence on al Qaeda.

In his account to Miniter and in later writings, Ijaz claimed to have helped draft a proposal for Sudan to provide intelligence on al Qaeda to the Clinton administration, and that Sudan had offered to arrest bin Laden. Clinton administration officials did not take Ijaz up on any of his offers to help because they viewed him as "a Walter Mitty living out a personal fantasy," according to Miniter. And the 9/11 Commission, which interviewed Ijaz, concluded that were was no "credible evidence" that the Sudanese had made any offer to hand over bin Laden.

In a 2004 interview with Fox News about Iraq, Ijaz, in his then-capacity as a foreign affairs analyst for the network, made another sensational claim: Chemical warheads were being smuggled into Iraq for a potentially catastrophic attack against American troops. And to top it off, Ijaz strongly suggested that the whole plan was given the green light by hardline Iranian mullahs. The story had everything to attract attention -- Mad mullahs! WMD on the loose in Iraq! (At last!) And the threat of thousands of potential American casualties.

Ijaz now concedes, "This was an erroneous report based on information I had received from a former intelligence official on the ground in Iraq. I did not second source this story." Ijaz also told CNN, "I have written over 170 op-ed columns, appeared over 200 times on television and have not once had a word of what I said retracted due to factual errors." (Ijaz has written one op-ed for CNN.com).

Ijaz told Fox in 2003 that "eyewitness sources" placed Osama bin Laden and his deputy, Ayman al-Zawahiri, in Iran. Asked by host Brit Hume about the sourcing of the story, Ijaz responded, "I can just tell you that the source is unimpeachable. It is from inside Iran. These are eyewitness accounts."

There was, of course, nothing to this story. Ijaz now says, "At the time I made it, I believed the source who had given the data to me."

Described as a "U.S. nuclear proliferation and terrorism expert," Ijaz told the Gulf News newspaper in 2006 that Iran not only had a nuclear bomb, it was seeking to "duplicate them in large numbers before revealing their existence to the world." Five years later, Iran still does not have a nuclear weapon, but Ijaz asserted to CNN, "They had in my view then, and it remains my view now, at least one nuclear weapon stored in component parts."

In August 2003 Ijaz told the British newspaper The Guardian that he had learned that the Bush administration had brokered a deal with Pakistan's dictator, Gen. Pervez Musharraf, not to capture or kill bin Laden so as not to cause unrest in the Muslim world. Ijaz told The Guardian "There was a judgment made that it would be more destabilizing in the longer term (if bin Laden were captured or killed). There would still be the ability to get (bin Laden) at a later date when it was more appropriate."

Ijaz provided no evidence for this claim, and the idea that the Bush administration would do a deal to let bin Laden go free is ludicrous on its face. Ijaz told CNN "I stand by my comments, taken in full context, throughout that article."

Peeling back the layers of the story

Pakistan's government and Pakistani and American journalists continue to look into story behind "Memogate."

What is puzzling about all of this -- if the allegations are true that Ambassador Haqqani used Ijaz to propose a deal to remove Pakistan's military leaders to Mullen -- is: Why would Haqqani use Ijaz to do this?

After all, Haqqani has many formal and informal contacts at the Pentagon, and Ijaz has a history of making sometimes exaggerated or erroneous claims, and his record as an unsuccessful freelance diplomat with Sudan in the 1990s is a matter of public record.

Finally, if Haqqani was looking for a discreet back channel to the Pentagon, Ijaz turned out not to be the ideal messenger as he was the person who outed the whole affair in the pages of the Financial Times last month.

The opinions expressed in this commentary are solely those of Peter Bergen and Andrew Lebovich.

@highlight

Pakistan's ambassador to the U.S. resigns over memo to Adm. Mike Mullen

@highlight

Peter Bergen, Andrew Lebovich: Memo spoke of ousting Pakistan national security team

@highlight

A Pakistani-American businessman disclosed the events in an opinion article

@highlight

Authors: It's unclear why ambassador would use go-between to make the "offer"