(CNN) -- If the Winter Olympics leave you cold, then we are here to help.

Ahead of Friday's opening ceremony in Sochi, let us thaw your icy hearts with 10 reasons why you should watch the snow men and ice queens compete at the Games.

Lessons in luge

Had your fill of football? Tired of tennis? Then help is at hand for the next three weeks.

Once every four years, mainstream sports make way for the obscure delights of bobsleigh and biathlon, curling and luge.

There is even more novelty at the 2014 Games, with 12 new events joining the Olympic program, including ski and snowboard slopestyle and ski halfpipe competitions.

Slopestyle is similar to skateboarding on snow, as athletes use rails, pipes and jumps to make their way down the course.

The halfpipe ski athletes are also set to wow the crowd as they perform tricks in the center of an icy ramp measuring 234 meters in length and 7 meters deep!

Gruesome Games

What do you get if you combine snow, ice and high-speed sport? The answer is accidents.

The Winter Olympics provide plenty of "oohs and aahs" for a willing audience as the athletes try to avoid injury, and not always successfully.

"At the last Olympics (in Vancouver 2010) I was one of the statistics," British snowboard cross star Zoe Gillings, who regularly travel down the slopes at 50 mph, told CNN.

"I damaged the cartilage to my knee but one girl broke her back. Other typical snowboard-cross injuries are broken ankles, concussion, pretty much torn ligaments in your entire body and broken bones all over as well.

"It can be quite gruesome."

A study by the British Journal of Sports Medicine following the 2010 Winter Games found bobsleigh, ice hockey, short-track skating, freestyle skiing and snowboard cross were the most injury-prone sports.

But the International Olympic Committee (IOC) told CNN that, although the severity of injuries differ, a surprisingly similar number of athletes are hurt at the Summer and Winter Games, with 10-11% of all athletes in 2010 and 2012 picking up an injury.

Hot and cold competitors

Once every four years the Winter Olympics surprise us with the fact that sizzling nations, who know no snow, send teams to compete on the white stuff.

The A-Z of countries who have already qualified for Sochi includes African hot spots Togo and Zimbabwe, the Pacific island of Tonga and the Caribbean Cayman Islands.

These athletes from tropical nations often warm the hearts of TV audiences looking for an underdog to cheer on. That was the case in 1988 when the haphazard Jamaican bobsleigh team brought some sunshine to the Calgary Games and inspired the cult film "Cool Runnings."

After a 12-year absence, Jamaica is set to compete in the two-man bob after Winston Watts and Marvin Dixon used crowd funding to help pay their way to Sochi.

Lindsey who?

American ski queen Lindsey Vonn may be gone from the Sochi Games but there is still an avalanche of alpine stars to support.

Californian snowboarder Shaun White -- like Vonn already a household name in the U.S -- and Chicago's superstar speed skater Shani Davis are going for a "three-peat" in Russia.

Davis, the first black athlete from any nation to win an individual Winter Olympics title, and White are both aiming to do what no other American male has done before -- win three successive gold medals.

At Vancouver 2010, more than 29 million Americans tuned in to watch White, Vonn and Davis triumph -- and the prime-time coverage of the Games even managed to end the six-year streak of "American Idol" at the top of the U.S. TV ratings!

There are plenty of global stars to watch, too. The grace and speed of ice dancing queen South Korean Kim Yu-na is not to be missed while best-selling violinist Vanessa Mae swaps her bow for ski poles as she represents Thailand in the slalom.

Hockey heroes

Will the world witness another "Miracle on Ice" at the 2014 Games? There's only one way to find out -- watch the Olympic ice hockey competition.

The USA's victory over an all-conquering Soviet Union side at the 1980 Lake Placid Games is frozen in time as a classic David vs. Goliath encounter, and it also helped the American men go on to win an unlikely gold medal.

Four years ago in Vancouver, the men's ice hockey final served up some more red-hot action on the ice as Canada edged a 4-3 victory over the U.S. in overtime.

The Winter Olympics provides a rare opportunity to see some of the National Hockey League's top names compete on a global stage.

Sid "The Kid" Crosby -- reportedly the highest-paid player in the NHL -- will captain defending champion Canada.

Get your skates on

Who needs spoof movie classic "Blades of Glory" or television's "Skating with the Stars" when you can marvel over the real ice queens, and kings, on the rink in Russia?

American Jackson Haines is credited as the father of figure skating after he sprinkled a dose of ballet moves to his skating routines in the late 1800s, and now today's ice dancing duos express themselves with music from "Les Miserables" to Michael Jackson.

If you thought the moonwalk was hard, just imagine doing it in ice skates.

For those of you whose legs turn to jelly during the annual Christmas trip to the ice rink, the speed skating events offer reassurance that Olympic skaters fall over too.

Steven Bradbury skated into Games legend when he won gold at Salt Lake City in 2002. The Australian watched his rivals ahead of him tumble out in the 1,000m short track final and cruised through to win, becoming the first athlete from the southern hemisphere to win Winter Olympic gold.

Inspiration generation

The 2012 London Olympics set out to inspire a generation, but it is arguably the Winter Games which are attracting a younger, hipper audience.

"The sports that have recently come into the Winter Olympics are the sports that young people are getting into," explains snowboarder Gillings, who says the majority of her fans tend to be between the ages of 12 and 20.

"Sports like snowboard cross, slopestyle and ski halfpipe are definitely the ones that young people are going to be watching."

The IOC, however, says that it does not have a demographic breakdown of its audience.

The Putin Games

The Sochi Olympics have been dubbed the "Putin Games" -- and Russia's sport-loving President Vladimir Putin has staked his personal reputation on their success.

Addressing the IOC in 2007 in support of Sochi's bid to become host, he said: "It is a unique place. On the seashore you can enjoy a fine spring day. But up in the mountains it's winter. I went skiing there six or seven weeks ago, and I know."

Since winning the bid, $50 billion and rising has been splashed on Russia's first Winter Games, making them the most expensive Olympics in history.

Putin has personally overseen the final preparations and in January he again went skiing in Sochi, although he didn't test out the Olympic courses.

The 61-year-old, a keen horseman and judoka, also plays ice hockey and has tried his hand at bobsleigh.

Surely the Winter Games are worth watching if only to see if Russia's president pops up as a surprise entry in one of the events?

Snow language

If you fancy a Pop Tart, a McTwist or a Swiss Cheese Air should you head to one of Sochi's eateries or the snowboarding slopes?

The Winter Olympics is a chance to limber up your alpine lexicon and impress your friends with tongue-twisting terminology.

A guddle or a hog line might sound like something out of Harry Potter but they are actually Scottish-inspired curling terms, while ice dancing carries the threat of death spirals, camel spins and shooting the duck.

Winter warmer

If you still need convincing to watch this month's Winter Olympics, then will the chance to feel warm and fuzzy do the trick?

While the alpine stars brave frozen slopes and numbing ice, why not throw another log on the fire, stir another hot chocolate, fill a hot water bottle and feel nice and snug -- and a little smug -- as you watch their sporting feats from the comfort of your sofa.

@highlight

The 2014 Winter Olympics takes place in the Russian resort of Sochi on 7-23 February

@highlight

There are 12 new events in Sochi including the hip sport of slopestyle and ski halfpipe

@highlight

The Winter Games can be dangerous with 10-11% of athletes picking up injuries

@highlight

Russia has spent $50 billion, and rising, on the Sochi Games