Cairo, Egypt (CNN) -- The running battle between Egyptian police and protesters outside the U.S. Embassy in Cairo continued for a fourth straight day Friday, leading to scores more arrests and at least one death, according to state authorities.

A demonstration in Tahrir Square -- which in early 2011 was the hub of activity in the revolution that led to the ouster of longtime President Hosni Muhbarak -- was peaceful. But as it has since Tuesday, unrest continued outside the American embassy as riot police clashed sporadically with protesters.

One hundred forty-five protesters were arrested Friday and 53 policemen were injured, seven by bird shot, said Interior Ministry spokesman Alaa Mahmoud.

The Interior Ministry later issued a statement stating that one protester -- who was described as an ex-convict with an extensive criminal record -- was killed by birdshot.

At least 15 protesters were injured Friday from tear gas inhalation and eye irritation, said Health Ministry spokesman Mohamed Sultan. Eleven protesters have been hospitalized in the past couple of days, he said.

The tensions in Cairo flared amid widespread rage over an anti-Islam film made in the United States and posted online.

Shortly after dawn on Friday, officers carrying shields and batons and backed by an armored personnel carrier rushed a group of several hundred protesters to quell a violent demonstration that had raged through the night.

After the rush, a smaller number of demonstrators regrouped near the U.S. Embassy across from police lines, and stones and tear-gas canisters once again crossed in the air.

Police fired rubber bullets at protesters. The army began constructing a wall of concrete blocks about 10 feet (3 meters) high across the road leading to the embassy, located about 25 meters (roughly 25 yards) away.

By Friday afternoon, youths climbed the newly built wall and threw rocks at police, witnesses said. Security forces fired tear gas and used water cannons to hold off the rioters.

But 100 to 200 meters away, in Tahrir Square, a few thousand protesters congregated peacefully.

More than 250 people have been injured and 40 arrested this week as riot police faced off against protesters, state media said.

Nearly three dozen of those hurt were members of the nation's security forces, state media said. Those arrested faced charges that included thuggery, assaulting police officers and vandalism near the embassy.

Both the police clampdown and the cancellation of nationwide protests come during a delicate period across the restive Middle East.

In recent days, residents across the region and North Africa have taken to the streets to protest the film.

The region is on edge after the killings of U.S. Ambassador to Libya Chris Stevens and three other American officials at the U.S. Consulate in the Libyan city of Benghazi.

Ties between the United States and Egypt have cooled since the overthrow last year of Mubarak and the election of President Mohamed Morsy, the country's first democratically elected leader. Before he became president, he was a leader in the political arm of the Muslim Brotherhood, the popular Islamist movement.

U.S. President Barack Obama said that relations with Egypt will be shaped by how the country responds to the violence.

"I don't think that we would consider them an ally, but we don't consider them an enemy," Obama told Telemundo in an interview that aired Thursday.

If Egypt takes actions that "indicate they're not taking responsibilities, as all other countries do where we have embassies, I think that's going to be a real big problem," Obama said.

Obama's comments were widely seen as a warning to Egypt, which was considered a staunch U.S. ally under Mubarak and remains a major recipient of American foreign aid. It is the most populous and one of the most influential nations in the Arab world.

When the protests began Tuesday, police and Egyptian troops formed defensive lines around the embassy to prevent demonstrators who had also gathered there from advancing, but not before the protesters had scaled the embassy fence and placed a black flag atop a ladder in the American compound.

Police arrested a handful of protesters at the time, but the failure of Egyptian authorities to take action sooner has been widely questioned, as has Morsy's delayed condemnation of the attacks on American diplomatic missions.

Morsy initially focused his criticism on the anti-Muslim film as an unacceptable slap at Islam.

But after speaking with Obama, Morsy on Thursday directly criticized the violence.

"Those who are attacking the embassies do not represent any of us," he said from Brussels, Belgium, where he was visiting the headquarters of the European Union.

CNN's Ben Wedeman, Mohamed Fadel Fahmy and Ian Lee in Cairo, and Caroline Faraj, Brian Walker, Elise Labott, Paul Cruickshank and Tracy Doueiry contributed to this report.

@highlight

NEW: An Interior Ministry spokesman reports 145 arrests and 53 policemen injured

@highlight

NEW: 1 protester, an ex-convict, is killed by birdshot, the Interior Ministry adds

@highlight

There have been scores of injuries over the last four days near the U.S. embassy

@highlight

One analyst said Obama put Morsy "on notice" to tamp down violence