(CNN) -- Naturalist Beth Pratt has been exploring and celebrating wildlife since she was a child, whether discovering the great whales of Cape Cod with her parents or creating a special luxury habitat for her backyard frogs.

As a young girl she gazed with longing at photos of grizzly bears and wolves, and vowed to see the charismatic mega-fauna of the West. She realized her dream in her 20-year career in environmental leadership has included work at Yosemite and Yellowstone national parks. She's the director of the National Wildlife Federation's California office, living just outside Yosemite.

Pratt has wandered extensively throughout Yosemite's backcountry, hiked the John Muir Trail, swam the mile-long Tenaya Lake in Yosemite and run the Cape Cod Marathon with her father and "survived" (her word) the Tioga Pass Run: a 12.4-mile trek entirely uphill gaining 3,000 feet in elevation to arrive at the entrance of Yosemite.

To mark Earth Day 2013, CNN.com asked Pratt to share some of her favorite spots to find nature. Here are some of her recommendations and what makes each wild place special, in her own words:

Gaylor Lakes Trail, Yosemite National Park, California

Yosemite National Park is my favorite place on Earth, and the area near Tioga Pass is my favorite place in Yosemite. My annual rite of spring is hiking the Gaylor Lakes trail. Depending on the snowpack levels, in some years I've trekked through deep snow, while in other years the trail has been bone dry.

Gaylor Lakes offers an array of wonders -- five shimmering blue, subalpine lakes, views of Yosemite's high peaks, colorful spring wildflowers like lupine and monkey flower, and ruins of the Great Sierra silver mine. There are also possible encounters with some of my favorite critters: the unbearably cute pika and the annual spring love songs of the Yosemite toad and Pacific chorus frogs.

This trail starts right at the Tioga Pass entrance station (almost 10,000 feet in elevation) and is great for all levels of hikers as you can stop at the first view (about three-quarters of a mile) and call it a day or do the whole five-mile loop. The first three-quarters of a mile is all uphill, but you are rewarded with stunning views of Yosemite's high country at the top, including the Cathedral Range, Kuna Crest and Mount Dana as well as middle Gaylor Lake. Don't stop there, as the rest of the hike allows you to wander through a sublime, expansive basin and is much less strenuous.

Mount Washburn, Yellowstone National Park, Wyoming

When I worked in Yellowstone and people asked me what to do if they only had a day in the park, I would recommend the Mount Washburn hike. Yellowstone is in Idaho, Montana and Wyoming, but Mount Washburn is in Wyoming. It's easily the best trail in Yellowstone in terms of bang for your wildlife, wildflower and scenery buck.

In just the drive alone to Mount Washburn in springtime, no matter what your approach, nature will reward you with some unprecedented wildlife sightings, as it's the seasonal baby boom in Yellowstone, which includes the adorable orange bison calves, and gangly elk youngsters, along with grizzly and black bears cubs. Spring is the best time for wildlife viewing in Yellowstone, and my record is eight grizzly bears, one wolf and one moose (and countless bison, bighorn, pronghorn and elk) in one day. Dunraven Pass is usually awash with yellow flowers in springtime as well.

On the hike, you'll be strolling through wildflower gardens, which usually peak in July and August. And you'll likely encounter the herds of bighorn sheep that frequent the rocky terrain. It's rare to see rams here, but the cuteness of the playful antics of the young lambs more than compensates. The hike to the summit is six miles round trip and with access usually in June, just depending on the snowpack.

Great Smoky Mountains National Park, North Carolina and Tennessee

On a visit to the Great Smoky Mountains a few years ago, I searched of course for frogs (the park has 13 species of frogs and toad), but saw a bright red salamander crawling on a rock during a hike, and when I asked my guide about its species, I learned an amazing fact -- the Great Smoky Mountains are known as the "Salamander Capital of the World." The area houses five families of salamanders and 30 species. They are nicknamed "spring lizards" in the Appalachians, although they are technically not lizards. The Hellbender salamander, the largest in the Great Smoky Mountains, can reach 29 inches in length.

Some places to see salamanders in springtime, near any wet area in the park, include Grotto Falls at the Trillium Gap Trailhead; Ramsey Cascades (the tallest waterfall in the park); Cove Hardwood self-guiding nature trail, which starts from Chimney's Picnic Area; and Little River Watershed for the Hellbender salamanders. The Ash Hooper Branch Wildflower Trail is one of the best hikes for wildflowers and also pretty good for salamanders.

Lands End Coastal Trail, San Francisco

I recently discovered the beginning of this incredible trail with magnificent views of California's rocky coast when I went to Sutro Baths at Lands End in search of Sutro Sam, the first river otter in San Francisco in more than 50 years. While I snapped photos of him swimming playfully in the bathhouse ruins, someone yelled, "Dolphins." I turned around and saw bottlenose dolphins and their calves swimming in the Pacific.

For wildlife, more than 200 species of resident and migratory birds have been sighted here. Fall is the big bird migration, but springtime is no slouch either (April and May). For me, what makes this hike special (now that Sutro Sam has ventured off in search of a mate) is the possibility of marine mammal sightings. Aside from the bottlenose dolphins I saw, you might also observe gray whales and harbor porpoises. Harbor porpoises have recently returned to the San Francisco Bay after 65 years, and it's always great to see them frolicking.

I recommend doing the easy 3.5-mile trip that starts at Sutro Baths near the Cliff House Restaurant. If it's clear, you'll get a view of the Marin Headlands and the Golden Gate Bridge, walk among willows, cypress and Monterey Pines, and see some native wildflowers.

Beartooth Highway, Montana and Wyoming

The late CBS News travel correspondent Charles Kuralt called U.S. 212, or Beartooth Highway, "the most beautiful road in America." For me, it's true. My jaw dropped open in awe the entire drive; this was a continual scenic vista on steroids. I recommend you drive this magnificent 67-mile highway by all means, but get out of the car as well. There are many beautiful lakes to see a short walk from the road. The Island Lake trailhead, one mile east of the Top of the World Store at the end of a short road to Island Lake Campground, provides as much or as little a hike as you like.

Be sure to look (and listen) for pika along the route. Besides frog, pika are a favorite critter of mine. These intrepid creatures live at high altitudes and do not hibernate in the winter. Instead they gather vegetation in haystacks to dry for winter forage. And they are also unbearably cute. Listen for their distinctive high-pitched chirping as you walk through rocky terrain.

And the springtime wildflowers are stunning. I cherish the delicate sky pilot because the flowers seem to me like precious gems worn by the mountains. But the endless meadows filled with a purple-blue ocean of lupine, or the sunset orange-red of the Indian paintbrush (Wyoming's state flower) will leave you speechless. The road usually opens, depending on snow conditions, mid-April to mid-June.

Platte River, Nebraska

In college, I drove across country every summer, visiting national parks and other wild areas. One year I visited friends in Kearney, Nebraska, the Sandhill Crane Migration capital of the world. As we strolled along the Platte River, I was disappointed to learn I would just miss the fall stop over. The Sandhill Crane migration is a truly remarkable event.

More than 80% of all of the world's sandhill cranes (about 500,000) make a pit stop in spring here before heading north to their summer breeding grounds. In addition, more than 10 million ducks and geese travel here as well. That's a lot of birds.

The spring migration runs from February to April. If you want to avoid the crowds and get out of the cars, birding friends recommend the North Platte Area such as at Buffalo Bill State Historic Park. In the Kearney area, Audubon's Rowe Sanctuary offers tours for a fee.

Cape Cod National Seashore, Massachusetts

Cape Cod is my childhood wilderness, where I came to love both nature and the outdoors because of my parents' affection for the place. We vacationed there annually throughout my youth, and eventually moved to the edge of Cape Cod, Plymouth, when I was in high school. I remember my dad taking me to see beached whales as a kid -- and live ones on whale watching trips -- and swimming in the waters of Cape Cod National Seashore.

My favorite discovery on the beaches of Cape Cod was the horseshoe crabs. These relics from the dinosaur age transfixed me, and I would collect what I thought back then were dead horseshoe crabs -- I now know it's their molted shells -- and bring them home to study. Finding a live one in the water was always a delight. Watching the horseshoe crabs spawn by the full moon, which they do generally from April to June, has always been a highlight for me.

In my talks about California wildlife, I always end with a photo of a horseshoe crab, even though we lack the animal on the Pacific Coast. For me these ancient creatures engendered my love of wildlife, and they remind me of the wonder of running around the beaches of Cape Cod as a kid, excitedly searching for these prehistoric creatures in the soft sand.

@highlight

An annual rite of spring is hiking the Gaylor Lakes trail at Yosemite National Park

@highlight

Mount Washburn is the best trail in Yellowstone in terms of bang for wildlife buck, naturalist says

@highlight

Children can search the beaches of Cape Cod for prehistoric horseshoe crabs