(CNN)The marriage apocalypse may be coming. Talk to any millennial and you can envision an America virtually marriage-free, with everyone happily single.

I did. And I do.

Recently, I talked about marriage with a group of journalism students from my alma mater, Kent State University. They came to me for career advice, which I gave them, but I also picked their brains about politics, religion and marriage. Their views on marriage intrigued me the most. 'Cause, guess what? They don't care what your generation thinks -- they'll get married if and when they want.

"I didn't go to college for four years to be a mom," 21-year old Candace Monacelli told me. "There's no housewife degree. I've worked my butt off for four years to get this degree. You want to use it. You want to be successful. You want to have that happy part of your life as well."

Jackie Demate, also 21, agreed. "I would have a very hard time justifying spending $20,000 on a wedding when I could go to Europe."

At first I thought Jackie was kidding. So jokingly, I responded, "Wow, some people would say, with that attitude, you are undermining the moral foundation of this country!"

Jackie didn't blink. "But, Europe!" she exclaimed. "I'm really looking for a travel buddy. And I don't think you need a wedding ring to prove that you love someone. I see a lot of people get married too soon or stay together and are unhappy because they are afraid to be alone. And I would rather be alone, successful and happy than in a relationship where I'm not happy. ... I'm OK being single forever. As long as I'm happy."

Before you berate Jackie for prioritizing her love of travel over marriage, consider where she's coming from. A culture rich in divorce. In the United States, almost 42 million adults have been married more than once. That's up from 22 million in 1980 and 14 million in 1960. Percentage-wise, that means that among adults who are currently married, roughly a quarter (23%) have been married before, compared with 13% in 1960.

What a fine example my generation is! Not.

Still, there are no doubt more than a few parents out there wondering where they went wrong. Especially in light of a fascinating Pew Research report on marriage. When asked if society is just as well off if people have priorities other than marriage and children, 50% of respondents were OK with that. And of that 50%, 66% were adults between 18 and 29.

Religious leaders are deeply concerned for moral reasons. Economists are concerned for our collective future. Studies show marriage is correlated with economic well-being, though it is not clear whether the causality arrow goes from marriage toward economic benefit or in the other direction.

A study sponsored by the conservative American Enterprise Institute says:  "From an obvious standpoint, households with two adults are likelier to have two incomes, improving well-being." On the other hand, the study points out, people who have money may be "more desirable marriage prospects."

Bingo on that point. The millennials I talked with prefer their partners to be debt-free and riding high. They also don't want to burden a husband or wife with their own debt.

"Right now, I'm 21 years old. And I'm thousands of dollars in debt," Emily Crille told me. "That wasn't something my parents bore. And it's really hard to plan a wedding, or even think about something like that when you owe so much money, you don't have a job, and you don't have a home."

I felt a certain sense of pride at their sassy attitudes. As a child of divorce I never wanted to get married, either -- until I met my husband at 38. But, when I was in my twenties, waiting to marry the right man and forgoing children put me decidedly and uncomfortably in the minority. I heard the whispers: Is there something wrong with her? Is she selfish? Unlovable?

Perhaps it is selfish to establish a career, travel and have a child on your own. Or, maybe it's exactly right.

Scandinavians are just about there. According to USA Today: "In Norway ... 82% of couples have their first child out of wedlock. The numbers are similarly high for Sweden and Denmark. While many couples marry after having the first or second child, it's clear marriage in parts of Scandinavia is dying."

The article also points out that "Norway ranked first and Sweden second in the United Nations' quality-of-life survey for 2004, which rates per capita income, education levels, health care and life expectancy in measuring a nation's well-being. The USA came in eighth."

In an effort to understand the joys of "sambo," the term for living together in Scandinavia, my producer reached out to Mikael Anteskog Adler, a 35-year-old man from Stockholm, Sweden.

"To put it short," he told us, "marriage costs money (party, clothes, rings, honeymoon trip, etc.) and gives no significant advantages, as there are no economic or legal advantages and no real social pressure to get married, or anyone frowning on premarital sex and cohabitation."

Wow.

Fifty-year-old Anne Lehes, from Gothenburg, Sweden, told my producer, "I believe that one reason for many Swedes staying single is because this is a secular country, so people think they will become fulfilled by their partner, and inevitably they get disappointed and then they don't think the whole thing is worth it."

Maybe Christina Hugosson of Uppsala, Sweden, sums it up best: "The notion that marriage is something that you're pressured into seems horrible to me. ... Marriage should be for love, not a matter of expectations, routine and everyday practicalities."

My Kent State millennials -- true romantics -- would agree wholeheartedly with Hugossan. Emily told me as much, "Marriage is about love. It's not about planning or timing, and that's what we're all kind of waiting for."

Marriage is about love, but you have to be good partners, too. And, as they say, sometimes love isn't enough.

Which brings me back to that idea of a pending marriage apocalypse. Would it be so terrible if we all remained single? If I had remained single? I thought about it. So did my husband. We didn't plan to have children, what was the point?

In the end, we made a decision based on love and practicality. A commitment would not only prove our love, but also force us to get through the bad times couples are sure to endure. Eleven years later we have no regrets. But, we are not you and yours. Would a society without marriage be just as well off as one filled with "I dos"?

I don't know. But I would love to know if you do.

@highlight

Carol Costello: Talk to any millennial and you can envision an America virtually marriage-free

@highlight

In countries like Sweden or Denmark, people don't feel pressured to marry even if they have kids together