Washington (CNN) -- Mitt Romney spent the presidential primary campaign trying to convince conservatives of his right-wing credibility on immigration issues.

He labeled rivals Newt Gingrich and Texas Gov. Rick Perry as soft on illegal immigrants for suggesting some leniency for specific categories, such as students or long-time community members. He rejected the DREAM Act that would provide a pathway to citizenship for some young illegal immigrants. He called part of Arizona's controversial immigration law a model for the rest of the country.

Now Romney's stance of a few months back is under scrutiny as the certain Republican presidential nominee seeks support from the mainstream electorate, including the increasingly significant Hispanic population.

President Barack Obama's recent move to halt deportations of some DREAM Act-eligible immigrants and Monday's Supreme Court ruling against key provisions of the Arizona law brought fresh attention to immigration issues, causing obvious discomfort in the Romney camp.

Analysis: Five things we learned from Supreme Court ruling

The situation requires a delicate political dance, and so far, the former Massachusetts governor has appeared determined to sit this one out as much as possible.

At a campaign event Tuesday, Romney touched on the topic by faulting Obama for failing to enact comprehensive immigration reform, which he said created a "muddle" that Arizona tried to address with its own law.

Romney said Monday that he supported state-based solutions, noting the Supreme Court ruling in the Arizona case went in the other direction, and he promised broad immigration reform if elected president.

However, he provided no details, leaving his surrogates to struggle with interviewers pushing for specifics on Romney's immigration policies.

Mitch McConnell, the normally tough-talking Senate Republican leader from Kentucky, sounded subdued Tuesday when asked by reporters about his stance on the Obama administration's halt in some deportations.

"Discussions are underway both inside the Republican conference and with the (Romney) campaign about that issue," McConnell replied, adding that Obama's move had put the topic on the "front burner." He then turned the microphone over to a GOP colleague.

The day before, Romney spokesman Rick Gorka repeatedly stuck to noncommittal responses when grilled for several minutes about the candidate's stance on a controversial provision in the Arizona law requiring police to check the immigration status of crime suspects.

Such equivocation concerns Republicans seeking more leadership from Romney on an issue that resonates with Latino voters.

"I'm getting increasingly frustrated as a Republican Hispanic not seeing him engage," said Ana Navarro, a Republican strategist and CNN contributor.

Obama's failure to deliver on immigration reform in his first term leaves the president vulnerable, Navarro argued Monday night on CNN, but only if "Romney puts on the gloves and engages."

Immigration reform: Back to square one

"For some reason, he's been unwilling to do so," Navarro continued, noting Romney "dug himself into a hole during the primaries. He's got to proactively dig himself out of that hole. Telling us that Obama is bad is not enough. He's got to tell us that he's good and what his plan is."

Republican Rep. Ben Quayle of Arizona also advised Romney to be more aggressive, saying the candidate should challenge the Obama administration's failure to fully enforce existing immigration laws by halting some deportations and other steps.

"Gov. Romney should be up and talking about this and really hammering it home, saying, 'Look, we're a nation of laws, we need to enforce our laws, and we can't let the president go around Congress and disregard how our legislative process is supposed to work,' " Quayle told Fox News on Monday night.

To Democrats, Romney painted himself into a corner by embracing conservative immigration policies in the primaries to court the political right wing.

"He cannot hug and kiss the tea party and then try to hug and kiss the Latino community," former White House adviser Van Jones told CNN Monday night. "That's why he's hiding."

The Arizona case illustrated the differences between the candidates, Jones said.

"What Alabama was to black folks in the last century, Arizona has now become" for Hispanics, said Jones, who is African-American.

"This president is clear. He does not agree with the direction of Arizona. Where is Mitt Romney? Mitt Romney is being a profile in cowardice. And he's losing Latinos now on both sides of the aisle over his cowardice."

Wendy Schiller, a political science professor at Brown University, cited the stark differences between Obama's immigration move versus conservative ideology that opposes any leniency for illegal immigrants.

"The Republicans can't win by attacking this policy because they're attacking people who are innocent of any crime -- just being with their parents," Schiller said last week about the administration's halt in deporting some young immigrants who came to America as children and were good students or served in the military. "How can you support a policy that would break up families? You can't."

Obama, meanwhile, took a "major, major step toward cementing the bond between the Latino community and the Democratic Party in an active way" by stopping the deportations, according to Schiller.

"This could be the single act by Obama that brings Latinos to the polls in record numbers in 2012," she said.

Navarro, however, said an Obama victory in November would not automatically mean further immigration reforms.

"Obama's going to come in, if he wins a second term, as a lame-duck president from day one into a Congress that is now a poisoned well" because of his unilateral move to halt some deportations, she said.

"We have got one candidate, Barack Obama, who makes big promises, talks real pretty, and then doesn't deliver," Navarro added. "And then we have got another candidate who talks without saying anything and really not making any specific promises. So for Latinos, it's not much of a choice."

CNN's Jim Acosta and Rachel Streitfeld contributed to this report

@highlight

Mitt Romney and his surrogates offer few specifics on immigration policies

@highlight

President Obama and the Supreme Court focus attention on immigration issues

@highlight

Romney's conservative stance in the primaries is problematic now, observers say

@highlight

Tell us your plan, a Latino GOP strategist urges the candidate