(CNN) -- Earl Scruggs, whose distinctive picking style and association with Lester Flatt cemented bluegrass music's place in popular culture, died Wednesday of natural causes at a Nashville hospital, his son Gary Scruggs said. He was 88.

"I realize his popularity throughout the world went way beyond just bluegrass and country music," Gary Scruggs told CNN. "It was more than that."

For many of a certain age, Scruggs' banjo was part of the soundtrack of an era on "The Ballad of Jed Clampett" -- the theme song from the CBS sitcom "The Beverly Hillbillies," which aired on CBS from 1962 to 1971 and for decades afterward in syndication.

But much more than that, he popularized a three-finger picking style that brought the banjo to the fore in a supercharged genre, and he was an indispensable member of the small cadre of musical greats who created modern bluegrass music.

Scruggs was born in 1924 to a musically gifted family in rural Cleveland County, North Carolina, according to his official biography. His father, a farmer and a bookkeeper, played the fiddle and banjo, his mother was an organist and his older siblings played guitar and banjo, as well.

Young Earl's exceptional gifts were apparent early on. He started playing the banjo at age 4 and he started developing his three-finger style at the age of 10.

"The banjo was, for all practical purposes, 'reborn' as a musical instrument," the biography on his official website declares, "due to the talent and prominence Earl Scruggs gave to the instrument."

While Scruggs' status as the Prometheus of the banjo may be overstated, many musicians feel he changed the game. The late John Hartford, a noted banjo musician in his own right, was quoted in Barry R. Willis' "America's Music: Bluegrass," as saying: "Everybody's all worried about who invented the style and it's obvious that three-finger banjo pickers have been around a long time -- maybe since 1840. But my feeling about it is that if it wasn't for Earl Scruggs, you wouldn't be worried about who invented it."

In an article on the Country Music Hall of Fame and Museum's website, bluegrass historian Neil V. Rosenberg described Scruggs' style as "a 'roll' executed with the thumb and two fingers of his right hand" that essentially made the banjo "a lead instrument like a fiddle or a guitar, particularly on faster pieces and instrumentals. This novel sound attracted considerable attention to their Grand Ole Opry performances, road shows, and Columbia recordings."

In 1945, Scruggs met Flatt when he joined Bill Monroe's Blue Grass Boys, for whom Flatt was the guitarist and lead vocalist. Along with the group's mandolin-playing namesake were fiddler Chubby Wise and bassist Howard Watts (alias: Cedric Rainwater).

Scruggs and Flatt left Monroe in 1948 to form the Foggy Mountain Boys, according to the Country Music Hall of Fame website. Along with guitarist/vocalists Jim Eanes and Mac Wiseman, fiddler Jim Shumate and Blue Grass Boys alum Rainwater, the group played on WCYB in Bristol, Tennessee, and recorded for the Mercury label.

He married Anne Louise Certain that year. In the '50s she became Flatt & Scruggs' business manager. They were married for more than 57 years until her death in 2006.

The Foggy Mountain Boys' roster changed over the years, but Flatt and Scruggs became the constants, the signature sound of the group on radio programs, notably those sponsored by Martha White Flour, and as regulars at the Grand Ole Opry. They became syndicated TV stars in in the Southeast in the late 1950s and early '60s, and they hit the country charts with the gospel tune "Cabin on the Hill."

But it was during an appearance at a Hollywood folk club that brought them into contact with the producer of "The Beverly Hillbillies" and led to "The Ballad of Jed Clampett." It was their only single to climb to No.1 on the country charts.

The 1967 film "Bonnie and Clyde" featured their 1949 instrumental "Foggy Mountain Breakdown," with its distinctive Scruggs-style banjo solo perhaps the most ubiquitous of bluegrass sounds.

The duo split in 1969, and Scruggs' fame as a solo and featured act continued to grow, even as his most iconic licks echoed through the years among his acolytes -- basically, anyone who played banjo, and many who picked other instruments.

Playing "Foggy Mountain" on banjo became a staple of Steve Martin's comedy routine, and blossomed into a reverential tribute. In November 2001, Martin and Scruggs were joined by Vince Gill, Marty Stuart, Jerry Douglas and others on "Late Show With David Letterman" to play a fiery version of the song -- soloing alternately on banjo, guitar, mandolin, fiddle, steel guitar and harmonica. Even Paul Schafer took the chorus for a spin on piano.

In an article in the New Yorker in January, Martin wrote, "A grand part of American music owes a debt to Earl Scruggs. Few players have changed the way we hear an instrument the way Earl has, putting him in a category with Miles Davis, Louis Armstrong, Chet Atkins, and Jimi Hendrix."

Flatt & Scruggs were inducted into the Country Music Hall of Fame in 1985, six years after Lester Flatt's death. In 1991, Scruggs, Flatt and Monroe were the first inductees in the International Bluegrass Music Hall of Fame.

His sons Gary and Randy both are accomplished musicians and songwriters, and played with their dad in a 1973 album, "The Earl Scruggs Revue."

People we've lost in 2012: The lives they lived

CNN's Cameron Tankersley, Denise Quan and Andy Rose contributed to this report.

@highlight

Earl Scruggs died Wednesday of natural causes in Nashville, his son told CNN

@highlight

Scruggs and Lester Flatt were part of the musical team that made modern bluegrass

@highlight

He developed the three-finger style that made the banjo a "front" instrument

@highlight

"The Ballad of Jed Clampett" and "Foggy Mountain Breakdown" are signature tunes