Beijing (CNN) -- I was at the last public speech by the former U.S. ambassador to China Gary Locke. During the Q & A session, a Chinese student asked the outgoing ambassador to compare the Chinese dream and the American dream. The ambassador said he didn't know much about the Chinese dream, so he talked instead about the American dream.

Like Americans, the Chinese people also have their dreams -- a powerful country, a good education, a happy family, or a bountiful harvest. Yet the dreams of the ordinary Chinese have never been articulated as powerfully and eloquently as the American dream, until Xi Jinping came into power.

OPINION: China's awkward 'banana' slip

Xi first mentioned the term "the Chinese dream" during his tour of an exhibit at the National Museum of China in November 2012, shortly after he became leader of the Chinese Communist Party. That exhibit is called the Road to National Rejuvenation, and Xi said the Chinese dream is the great rejuvenation of the Chinese nation.

Then on March 17, 2013, Xi fully spelled out his thoughts about the Chinese dream in his first public speech as the newly elected president of China. "The Chinese dream is the dream of the whole nation, as well as of every individual," he said. "The Chinese dream, after all, is the dream of the people. We must realize it by closely depending on the people, and we must incessantly bring benefits to the people."

Publicity campaign

After his speech, the Chinese dream has entered the daily discourse of both the Chinese government and the ordinary Chinese, thanks in no small part to the government's massive publicity campaign. There were countless speeches, contests, essay competitions, scholarly conferences, and TV shows that had the Chinese dream as the central theme. If there had been a contest for the most popular Chinese phrase in 2013, the Chinese dreams would probably have won the title.

Apart from nationwide publicity, there are other reasons why the Chinese dream has become a household phrase. It is much less elusive than Mao Zedong's Thoughts, Deng Xiaoping's Theories, Jiang Zemin's Three Represents, or Hu Jintao's Harmonious Society; it is a term that can be understood by any Chinese. Besides, who doesn't have dreams? Thus it easily resonates with the Chinese people. Finally, Xi promised to realize the dream by depending more on the people and bringing more benefits to them. Thus Xi's dream, at least in its rhetorical form, is a dream for the people, by the people, and of the people. Who doesn't like such a dream?

Reforms

And Xi meant what he said, at least in one area and that is corruption, the most urgent issue facing the Chinese community party. He has launched an unprecedented crackdown on corruption, and 20 high-ranking officials -- vice-minister level and above -- have been investigated or punished within a little more than year.

He also signed two documents -- Eight Regulations and Six Bans -- that have significantly improved bureaucratic efficiency and sharply reduced public expenses on receptions, overseas travel, and vehicle purchases. Because of Xi's tough campaign, China's entertainment businesses, particularly top-end restaurants, clubs, and hotels, have suffered enormous losses, over which the ordinary Chinese are rightfully gloating.

Rampant corruption, be it bribery, buying and selling offices, illegal land grabs, or abuse of power, is certainly the biggest scourge of China today, leading to rising discontent and unrest as well as declining public trust in government. Most importantly, corruption seems to have made it increasingly difficult for the ordinary Chinese to have their dreams come true.

Restoring confidence

China is becoming economically and militarily much more powerful, and the average Chinese is living a much better life. Yet at the same time more and more Chinese seem to have lost faith in the government and the future of China. A prosperous and powerful China should be a land of opportunities for its people, but actually it appears to have become a land of anger and despair for an increasing number of Chinese.

Thus Xi's articulation of the Chinese dream and his campaign against corruption can be viewed as the first steps by the new Chinese leadership to restore public confidence in the party and the government. Thus far, his policies have won enthusiastic support among most Chinese, and Xi has become arguably the most popular leader since Deng Xiaoping.

If the dreams of the ordinary Chinese today -- like those of their ancestors in ancient China -- depend on the good luck of having a sage leader, however, that means China is still under the rule of man, not rule of law. When that leader steps down, or if that leader makes disastrous decisions, the dreams of the Chinese people will be in jeopardy.

With immense popular support at the moment, President Xi should initiate institutional reforms that empower every Chinese to have dreams and to have those dreams come true. These reforms will not only set China on a path of sustainable political and economic development, but also enable the Chinese people to be truly proud of the Chinese dream, just as Americans are proud of the American dream.

The opinions expressed in this commentary are solely those of Tao Xie.

@highlight

March 14 marks one year since Xi Jinping was officially appointed China's president

@highlight

After Xi's first presidential speech, the "Chinese dream" became a household phrase

@highlight

Xi's campaign against corruption can be seen as the first steps to restore public trust, says Xie

@highlight

Xie says reforms will enable all people in China to be truly proud of the Chinese dream