(CNN)"I believe that this nation should commit itself to achieving the goal, before this decade is out, of landing a man on the moon and returning him safely to the Earth." -- U.S. President John F. Kennedy speaking before a joint session of Congress on May 25, 1961.

It was the height of the Cold War and the United States and the Soviet Union were battling it out to be the first nation to put a man on the lunar surface. On July 20, 1969, eight years after President Kennedy implored the U.S. congress for funding for space exploration, NASA's Apollo 11 spaceflight touched down on the moon. American astronauts Neil Armstrong and Buzz Aldrin became the first humans in history to walk on the Earth's nearest neighbor.

Since then a further 10 men have left their footprints on the moon's dusty surface, with the last being Apollo 17 astronaut Eugene Cernan in 1972. But after this golden age, moon exploration was seen as not cost effective for international space agencies.

Then, last year, China sent its Jade Rabbit explorer on a three-month mission to examine the moon's crust. But it suffered a critical malfunction just half way through and bid farewell to humanity in a final report (although it is still functioning, according to Chinese press reports). Now Google is shooting for the stars and calling for private organizations to participate in an international competition for innovators to go back to the moon.

The Google Lunar X Prize hopes to spur exploration on the moon and will see a hefty $20 million jackpot handed to the first team that puts a robot on the lunar surface.

But that's not all -- there are a few scientific objectives a team must complete in order to obtain the ultimate honors from Google. Once on the moon, the robot must travel 500 meters and transmit HD video back to Earth. And they've got to do it all by December 31, 2015.

Read more: Do we need to go back to the moon?

Inspiring innovators

"Competition leads to innovation, and the Google Lunar X Prize has brought together some of the brightest and most talented minds to accelerate the private NewSpace sector," says Chanda Gonzales, senior director of the Google Lunar X Prize.

"We are encouraged to see this prize pushing the industry to take risks and invest in cutting-edge technologies to support lunar exploration, which will result in an entirely new economy around low-cost access to the moon and beyond."

It is now seven years after the prize was launched and 18 private teams remain in the running. Working tirelessly to secure funding (only 10% of financing can come from government sources) as well as designing and building their individual modules, these international innovators are finally moving into the testing phase.

U.S.-based company Astrobotic was set up off the back of the competition's announcement, said John Thornton, the company's CEO.

"The Google Lunar X Prize  is a catalyst to get started but it is not the end game. What we're doing as a company is creating a long-term sustainable business of carrying payloads to the moon so it's like UPS or a FedEx truck that flies regularly to the moon."

In partnership with students from Carnegie Mellon University, in Pittsburgh, Pennsylvania, Astrobotic is building a lander and a rover as part of its Skylight mission to travel to the rather dramatically named Lacus Mortis -- meaning "Lake of Death." The team hopes to explore a pit that it suspects could be linked to a larger cave network underneath the moon's surface.

Journeying to the 'Lake of Death'

"We think that the right way to settle the moon is underground first. You go underground, you pop up an inflatable or a small habitat under there and you have natural protection from the elements. You're protected from micrometeorites that come in and the moon doesn't have an atmosphere to burn them up. You're protected from radiation," says Thornton.

"It's much easier to sustain long-term life on the surface of the moon so it's really a game-changer in the catalyst of the future of the moon. That's why we go there for the first mission: to explore, to see what these [pits] are about, and to cast the vision for the future."

The Astrobotic team will be going down to the wire as it works towards a tentative launch date at the end of 2015 -- right before the competition deadline. And it won't be the only team holding its breath. As part of its funding strategy, Astrobotic has offered to bring up several other prize contenders, essentially creating a secondary moon race within the competition.

Thornton explains: "We'll have other rovers that will deploy from our lander and those rovers will drive out and try to win the X Prize. It will be very much like NASCAR happening live on the moon now and the world will be able to watch, which will be incredibly exciting.

"What you don't want is a provider like us being incentivized to place first and everyone else to come in last. That's not a good scenario for a partnership so the way we've modeled it is in a way that the partners can win and it helps everyone. It's really like a 'coop-petition,'" he adds.

Despite millions of dollars at stake, the Skylight mission comes before the competition, says Thornton. "The mission is more important for us. The X Prize teams will be a small portion of the total payload that flies ... When we land we'll have payloads from all over the world landing and doing various missions, sub-missions and objectives."

A moon bunny?

Another team hoping to reach the lunar surface is Moon Express, which is building a hopper to bounce across the rocky terrain.

"When you are on the moon you have one-sixth gravity and there's no air resistance so we kind of use those to our advantage. And since we already have a spacecraft already designed to autonomously land, it's pretty trivial for it to repeat that and just hop," says the company's public outreach liaison Brad Kohlenberg.

Competitions like this offer the opportunity to get closer to untapped resources as well as inspire future generations, adds Kohlenberg.

"It is recreating what we call the ' Apollo effect,'" he says. "During the Apollo program, we inspired a generation of children who grew up to build their own industries and companies and now these billionaires are reinvesting and building things, investing in space companies.

"You have Virgin Galactic from Richard Branson, you have Elon Musk -- all these people that are called 'Orphans of Apollo' -- people who grew up thinking they would go to college in space and then once they got there, realizing that the space program kind of left them behind and so now they are using their own resources to reinvest in that and make the dreams they had when they were younger a reality."

'It's not about scientific discovery'

For space scientist Lucie Green, this competition is more about technological payoff than scientific discovery.

"These missions are always about process," she says. "So the first mission is about technology -- can we get there? Can we build something that is robust enough to survive in the extreme environment of space? And then the science comes later. So I think first of all, this is very much about a technology development."

Green, who is a Royal Society University Research Fellow based at the Mullard Space Science Laboratory at the University College London, uses Mars as an analogy to reveal why it isn't necessarily a bad thing that little scientific research will come out of this particular endeavor.

"The first technology to land on the surface of Mars was primitive really. It was all about getting to the Martian surface and surviving and here we are several decades after the Viking landed and we're still looking for life, we're still looking at challenging questions. You go, you learn, you feedback. You develop new instrumentation that's more capable, that can record more data, can transmit more data, and can be more sophisticated each time."

She adds: "So for me, this is -- I don't want to say primitive because its not primitive -- but it's not going to be the science be all and end all. This is the start of the process."

SEE: Capturing the Cosmos through a lens

EXPLORE: Take a look under Curiosity's hood

@highlight

Google competition asks teams to send a module to the moon

@highlight

Once on moon, robot must travel 500m, transmit video back to Earth

@highlight

18 private teams are still in the running