Remember those "Where's Waldo" books? You know, the ones featuring a bespectacled, beanstalky character dressed in a red-and-white striped shirt -- and hiding in massive crowds.

Objective: find him, turn page.

A fascinating online project is using that same spot-that-one-thing construct to try to save rhinos and other wildlife from poaching at a wildlife reserve in Namibia.

Part of the MicroMappers effort, the Namibia project gathered 500 volunteers -- "digital rangers," in the group's parlance -- over the weekend to sift through aerial photos looking for wildlife. The goal was to survey more land more quickly than on-the-ground rangers could, and to consequently protect rhinos and the like from poaching or other threats. The online army of volunteers, which included people from dozens of countries, surveyed more than 25,000 aerial photos shot by drones from Friday to Sunday, according to the group's website. They circled wildlife they found, and uploaded their findings. Volunteers could spend as much or as little time as they wanted.

"It is challenging but a really fun challenge," Patrick Meier, director of social innovation at the Qatar Computing Research Institute, which was behind the project, wrote in an email to me. "(It) makes me feel like a digital Indiana Jones or Sherlock Holmes."

So, pick your metaphor: Waldo, Jones or Sherlock.

It's cool no matter how you describe it.

The effort grows out of Meier's work with Ushahidi and others to help citizens map and analyze data in response to natural disasters, like the 2010 Haiti earthquake. It also builds on the citizen science movement, which seeks to involve everyday people in real scientific endeavors, from analyzing whale songs to mapping the structure of proteins. I love these projects -- not just for their do-gooder potential, but also because they encourage people to get involved in the news, and to learn something new about the world.

As Meier put it: "Hopefully now people know where Namibia is on the map!" (Sub-Saharan Africa, by the way, northwest of South Africa and south of Angola).

I also reported on the illegal wildlife trade in Southeast Asia earlier this year for CNN's Change the List project, so the project hit a chord with me for that reason, too. The black market trade in wildlife is massive -- $5 billion to $20 billion per year, according to Defenders of Wildlife. Rhinos are in particular trouble lately. It's a worthy issue and, as Meier explained, an important test of a "micro-tasking" platform that could be used to tackle other crises, including disaster response.

I asked Meier to answer a few questions about the Namibia wildlife project over email. The following is a copy-paste version of that conversation, edited for length and clarity:

Sutter: ​​What's the name of the project and who's behind it?

Meier: It's called MicroMappers, a joint initiative between the Qatar Computing Research Institute and the U.N.'s Office for the Coordination of Humanitarian Affairs (OCHA). In terms of the MicroMappers Wildlife/Namibia deployment, this is a joint collaboration with the Qatar Computing Research Institute, Drone Adventures, Kuzikus Wildlife Reserve, Polytechnic of Namibia, and l'École Polytechnique Fédérale de Lausanne.

Sutter: How did it come about?

Meier: As a digital humanitarian response to Typhoon Pablo in the Philippines 2012. We had experimented with micro-tasking to analyze pictures posted on Twitter to support the U.N.'s Office for the Coordination of Humanitarian Affairs' rapid damage assessment efforts. After this largely successful response, OCHA called me up and asked me if I'd be ready to replicate this effort (micro-tasking) in future disasters.

More recently, given the increasing use of unmanned aerial vehicles (UAVs, or drones) in humanitarian response, we decided to develop the Aerial Clicker. The purpose of the Aerial Clicker is to crowdsource the analysis of aerial imagery for disaster response.

The Qatar Computing Research Institute wanted to test the new Aerial Clicker -- but not in the middle of a disaster. Given our existing collaboration with Drone Adventures (a group aiming to help citizens map the word with drones), I approached the latter and offered to help their partners in Namibia analyze their aerial imagery. This would help the rangers assess whether crowdsourcing could support their future wildlife monitoring and protection work while helping us test the Aerial Clicker in a nondisaster situation.

Sutter: The MicroMappers said over the weekend that about 500 "digital rangers" participated in this project. Who are they -- what sorts of day jobs do they have, etc?

Meier: It's hard to say since many don't sign in to volunteer but, anecdotally, a combination of digital humanitarian volunteers and individuals who are interested in wildlife protection, from all ages and walks of life. I know that several U.S. schools are involved, since several teachers got in touch with me earlier.

Here's a note I got from a woman who is participating:

"I am very grateful and looking forward to being even a small part of MicroMappers.  I donate to National Geographic and also make purchases that benefit conservation of land and the animals that habitate them, including purchases of the book 'Tigers Forever,' etc. It was always my dream to go to Africa to help the wildlife in any way I could, but realistically that is not possible for most. So thank you so much for helping me to participate in this program, and giving us, the public, an opportunity to help,  hopefully this can be another step towards stopping the poachers."

Sutter: What's the end goal? Or what big questions are you hoping will be answered?

Meier: The big questions we're hoping to answer: Can the crowd accurately identify and trace features of interest in high resolution aerial imagery captured by (drones)? Is the Aerial Clicker ready for prime time (i.e. a deployment during a disaster)? Are the resulting traces of high quality enough to develop machine learning classifiers to potentially semi-automate the identification of features in future deployments?

Sutter: Where do the images come from - and who will analyze the findings?

Meier: The images come from Drone Adventures. We will analyze the results together with the rangers at Kuzikus Wildlife Reserve.

Sutter: This seems like adult "Where's Waldo" to me -- but, I guess, with a purpose?

Meier: Yes, "Where's Waldo" with a purpose. Incidentally, one of our next pilots will likely be later this year in the Philippines. A local UAV partner, called SkyEye, is doing some great work around the use of UAVs for disaster response.

After major typhoons in the Philippines, one important element of disaster damage assessment is to determine how many coconut trees have been uprooted/destroyed since this impacts local livelihoods and food security. To date, SkyEye has had to manually count destroyed coconut trees in the many aerial pictures they take. So what we want to do is to upload these images to the Aerial Clicker and launch a similar challenge to determine whether the crowd is able to accurately identify said coconut trees. We're also interested to explore whether these resulting traces can be used to create a machine learning classifier for destroyed coconut trees.

In general, one of the main use cases for the Aerial Clicker is infrastructure damage assessment. That said, given the interest around the Namibia challenge, it's clear that our Clicker (and the other Clickers) could be used for applications beyond disaster response. In fact, an archaeologist who uses UAVs as part of his work got in touch to ask about potentially using the Aerial Clicker and crowdsourcing as part of his archaeology projects. We're psyched about all the other possible applications and keen to explore these and partner with others. This is very much in line with the mandate and focus of the social innovation program that I direct at the Qatar Computing Research Institute.

Sutter: Have you gone digital game hunting yourself? Is it hard?

Meier: Yes I have (although I wouldn't use the word hunting). It is challenging but a really fun challenge -- makes me feel like a digital Indiana Jones or Sherlock Holmes.

There are all those computing games for kids (mostly) that ask players to find certain hidden objects in made-up pictures. It's all fictitious but this (wildlife challenge) is real, so you can have fun while doing something meaningful and learning a few things in the process.

Hopefully, now, people know where Namibia is on the map!

And have learned a few things about wildlife issues in the country.

Sutter: Tell me how this effort fits into the bigger picture - both in terms of the crowdsourcing movement and environmental science?

Meier: I've come into this from the digital humanitarian side of things but there are obviously important overlaps with citizen science, which is why I've spent quite a bit of time learning from the pros in citizen science, like Zooniverse. (I'm collaborating with them on this other project, by the way, and we're hoping to pilot the initiative very soon).

Zooniverse is really great for large-scale citizen science deployments. In our case, MicroMappers seeks to support the "long tail" of citizen science or digital-humanitarian projects, i.e. those projects which simply don't require hundreds of thousands of volunteers but rather a few hundred to a few thousand. That's where we fit in the bigger picture.

Sutter: Is this new? Or how does it push things forward?

Meier: Crowdsourcing the analysis of aerial imagery for wildlife protection is certainly new. I haven't heard of any other project like this. But what MicroMappers really pushes forward is how easy it is to become a digital humanitarian or a digital ranger, for that matter.

The Clickers are specifically designed so that anyone can volunteer without prior experience or special skills. With MicroMappers, we're looking to democratize the digital humanitarian experience.

@highlight

Online project aims to help protect rhinos and other wildlife in Namibia

@highlight

Players are asked to spot wildlife in digital photos shot by drones

@highlight

CNN's John Sutter talks with Patrick Meier, an organizer

@highlight

Meier says participating makes him "feel like a digital Indiana Jones or Sherlock Holmes"