London (CNN) -- Germany has been at the very heart of the European Union since it began 60 years ago as a way of pooling coal and steel resources -- and of preventing future wars on a continent already devastated by brutal conflicts.

But as the region's strongest economy, it has borne the brunt of the cost of recent rescue deals, and the country's troubled history has meant its insistence on unity is viewed with suspicion by some of its neighbors.

So why is Germany still so willing to do all it can to protect the European Union? And will anything shake its faith in the euro?

Why does Germany play such a key role in Europe?

Germany was one of the founding nations of the European Union, which was designed to ensure that the continent would never again be torn apart by war.

Following World War II, Germany's neighbors wanted to hobble any future attempts by the nation to remilitarize; the French decided that the best way to do this was economically, rather than ideologically.

"France wanted to 'tame' Germany, and so the new Europe was built around that Franco-German relationship, starting from a clean slate," said Professor John Loughlin, of Cambridge University's department of politics and international studies

"Germany was completely devastated after the war, and that meant it could begin again from scratch, build a new Germany, a new democratic nation, using economic growth as the basis for that democracy.

"European integration became a part of that, part of the rehabilitation of Germany as a nation among nations."

How has Germany's economy performed over the years?

In the post-war years, West Germany enjoyed a massive boom, as the nation made the most of the support it was offered and the opportunities that came its way to recover from the devastation of WWII.

"The Marshall Plan money coming in helped, but Germany's industriousness also played a big part," said Loughlin. "There is a very strong work ethic, and the country has a large population -- it all combined to allow Germany to re-emerge as a major power."

West Germany flourished in the 1950s, 60s and 70s -- the period of the so-called "Wirtschaftswunder" [economic miracle] -- while other European nations, including France and Britain, struggled.

But reunification with East Germany in 1990 following the fall of the Berlin Wall and the collapse of the Soviet Union dented the country's fortunes.

"The reunification of Germany impoverished the country to a certain extent," said Loughlin. "The new Laender [regions] came in and resources had to be transferred from rich regions to poorer ones."

"People forget that 10 to 15 years ago, Germany was going through a crisis like those affecting Italy and Spain now," said Dr Alex Clarkson, of King's College London's department of German.

"Back then, it was Germany that was seen as 'the sick man of Europe.' The government had overspent, and had to make fundamental economic reforms -- the system was close to paralysis.

"Of course in that case -- as in the case of Canada, South Korea and others -- they were able to reform at the right time, when the going was good. Spain and Greece have to make similar changes now, but of course there is no growth to carry their economies forward."

And how strong is it now?

Germany has long been the economic powerhouse of Europe, but the nation is not immune from the global financial crisis.

It is the continent's largest economy, but it also has a high rate of government debt, at 83.2% of GDP, and higher unemployment -- at 7.1% -- than many of its neighbors, according to 2010 figures.

Much of Germany's might comes from its strong manufacturing sector, which has meant that, unlike many of its neighbors, the country has not had to rely on the financial services industry or the property market, both of which have been badly hit by the global economic crisis.

But experts warn that Germany, which relies heavily on trade with China, may be highly exposed to any future trouble in the Asian markets.

And Dr Christoph Meyer, senior lecturer in European and international studies at King's College London, said despite its success so far, the German economy was not bulletproof.

"There is a lot of uncertainty out there, because the world is facing a wider recession, and in that case, who will buy German products?"

Is Germany propping up the euro?

"The short answer to that is yes," says Meyer. "If Germany was not there as the anchor, offering stability, and with its economic weight -- as one of the world's most successful economies -- behind it, we would not still be talking about resolving the crisis -- it would be over already.

"But that doesn't mean Germany can do it alone."

Chancellor Angela Merkel has insisted even those outside the eurozone must do their bit to resolve the crisis.

What do ordinary Germans think of the crisis?

Experts say it is inevitable that there is a degree of resentment on the part of German citizens, when faced with the responsibility of clearing up another neighbor's mess.

"Most ordinary Germans are quite unhappy with having to bail out the southern European countries, they aren't happy at having to give them their money," said Meyer.

"But then most West Germans weren't happy about giving money to East Germans after reunification either."

He added that while the crisis had initially hit Merkel's popularity among voters, her approval ratings had risen in recent months.

How do other nations view Germany's actions?

The eurozone crisis has provided plenty of fodder for eurosceptic media and politicians across the continent, with many press reports feeding off old tensions and rivalries.

Loughlin said claims in anti-German sections of the media in Britain and elsewhere that the country is "trying to take over Europe" were used by politicians to boost their standing at home, but could do real damage to international relations.

"It is a delicate situation, because there is a real risk of inflaming old passions and resentments," he said. "Those knee-jerk reactions can have major impacts -- we need statespeople, not mere politicians, who can rise above it.

"The idea that German history is repeating, that there is some plot to take over Europe, is ludicrous.

"It comes down to how different countries view the European project -- whether they see it as a market, like the British, the Swedes, the Danes; or whether they see it as a grand political project to create a new political system, like the Germans.

"Everyone is suspicious of each other, and that undermines any plan for greater integration."

Clarkson said Germany was in a Catch-22 situation.

"The Americans, and others, demand that Germany takes action, but when they do, they are accused of trying to take over -- it is the curse of power."

Is there a danger the eurozone crisis could derail Germany's economy?

"Germany has had a 'good recession' until now," said Meyer. "It has benefited from the crisis so far, but now even Germany is having difficulty selling bonds.

"The question is, at what point does the pain start for Germany? It is not hitting people's pay packets at the moment.

"But it is inevitable that the German economy will be hit. There will be costs, be they the massive costs of a disorderly breakup of the eurozone and a move to some other currency, or the -- still large -- costs of the bailout.

"There will be substantial costs, both short term and long term, to allow the peripheral countries of the eurozone to catch up, and when those come through there will be a growth of euroscepticism in Germany."

Why are Germany's leaders so committed to the euro, and how far will they go to protect it?

Experts say Germany is committed to the euro, and prepared to go to great lengths to protect it.

"Germany found it very difficult to give up the Deutschmark -- it was a symbol of the country's recovery, and giving that up to join the euro was a big sacrifice," said Loughlin.

But there are limits to the country's patience.

"It depends on the behavior of the other European partners," said Meyer. "Germany is doing as much as it can, but the other nations have to be reasonable, Germany can't help 'at any price.'

"The other countries need to be ready and willing to address their problems, to make changes -- Merkel can't keep writing blank checks if the conditions aren't being met.

"No-one wants to pour water into a leaking bucket forever."

@highlight

Germany has been at the very heart of the European Union since it began 60 years ago

@highlight

As region's strongest economy, it has borne the brunt of the cost of recent rescue deals

@highlight

Deutschmark was seen as symbol of Germany's post-WWII recovery, move to euro a major sacrifice

@highlight

Germany keen to protect euro, but "no-one wants to pour water into a leaking bucket forever"