(CNN) -- Facebook is holding an Android-related press event next week and already the Internet is in a tizzy. Could this be the rumored, mythical, magical Facebook phone?

The truth is, I don't know. For nearly 18 months, rumors of a Facebook phone — developed by HTC and running a customized version of Android — have continued to persist. And for nearly 18 months, Facebook has publicly denied its interest in building its own phone.

Last September at TechCrunch Disrupt, Facebook co-founder and CEO Mark Zuckerberg went on at length about why a Facebook phone wasn't right for the company.

He said:

"Let's say we build a phone. We're not, but if we did, we could maybe get 10 to 20 million people to use it ... It doesn't move the needle for us."

"The strategy we have is different from every other tech company [like Apple] that's building their own hardware system — we're going in the opposite direction.."

Of course, if a Facebook phone is coming, this wouldn't be the first time that a CEO has said one thing publicly while planning on doing exactly the opposite. At Apple, Steve Jobs was famous for denouncing a product (iPod video) or industry (mobile phones), only to enter that same industry or create that same product later.

So let's assume that a Facebook phone is coming and that it will run some sort of highly-customized version of Android. Does a Facebook phone even make sense anymore, especially given the current market realities and competition in the mobile space?

I say no.

The timing for a phone is no longer right

When the rumors of a Facebook phone first started to spread, the idea made sense — at least from a business perspective. Facebook was not yet a public company and it was desperately trying to transition into being a mobile-first company.

A phone made sense, in part, because the native mobile app experience was so poor. Not only were the old versions of Facebook for Android and iOS slow and lacking in feature parity with the website, the company hadn't started to figure out a way to monetize the apps themselves and offer mobile ad units to buyers.

At the same time, while Android was dominating the mobile landscape from a global perspective, Samsung hadn't solidified its role as the defacto face of the platform. Plus, most phones running Android in 2011 and into 2012 were running Android 2.3 Gingerbread. A customized version of Android built around Facebook was appealing, because Android itself was still lacking in polish and with some core functionality.

That's no longer the case. With every release, Android gets better looking and better performing. Android 4.2 Jelly Bean is its best yet and we're expecting to see an even newer version at Google I/O in May.

Moreover, the face of Android is no longer Google, it's Samsung. The Galaxy brand is tremendously powerful, with the Galaxy S III alone selling over 50 million units since June.

Plus, Facebook is improving on the mobile front. Its mobile apps are native now and the company has mobile ad units and is making changes to its core products — such as the News Feed — to be mobile first and properly monetized.

The market for third place Is crowded

Facebook has over a billion users on the desktop, but its phone ecosystem won't pop up over night.

Even if it uses Android as a base, one has to assume that if Facebook makes a phone, it will want to have more control than allowed as part of Google's Open Handset Alliance. For better or worse, that would mean that it would need to be its own platform.

Apple and Android proper make up the vast majority of the smartphone space. The battle for third place isn't just being fought by Windows Phone and BlackBerry 10; it's also facing competition from the smaller mobile OS's such as Tizen, Ubuntu and Firefox OS.

Those companies are already making inroads in emerging markets, where it's easier to disrupt the iOS/Android duopoly. Facebook wouldn't just be competing with iOS and Google's version of Android — it would also be competing with carriers to actually give the phone a chance.

Microsoft — a company with a much longer and stronger history in mobile — has struggled to gain traction with carriers. Only now, after more than two years of work, is the company outselling iOS in a few select markets. If Facebook thinks it can just waltz in and get carriers to agree to sell its phone, it's mistaken.

Companies such as Huawei and ZTE — companies that sell more phones than HTC, I might add — struggle to get major U.S. carriers to pick up their products, and those products run Android proper.

Facebook will have a hard time getting carriers not only to agree to carry a Facebook phone, but to promote it. Right now, when a user walks into a store, she has to choose from among a few different iPhone models, a countless array of Android devices, some Windows Phone 8 models and even the BlackBerry Z10.

Plus, even if Facebook does make its own phone, it's not as if the company can ignore other platforms. The company has to be ubiquitous and offer its apps and services to everyone. Does it really make sense for Facebook to invest the time and resources in further fragmenting the phone space, when it still has to support the two big players anyway?

What does make sense: A Facebook app store for Android

While I'm not convinced that a phone in any sense makes sense for Facebook, it's clear that Facebook does need to get its hooks deeper into mobile.

For a Facebook phone to be worthwhile — Zuckerberg is right — it can't be just 10 or 20 million, it has to have massive scale. Facebook will have a hard time achieving that scale with its own phone and OS. But that doesn't mean the company couldn't still achieve that sort of scale by going another route.

Rather than building a phone and customizing its own version of Android to fit its needs, Facebook should take some cues from Amazon and consider building its own Facebook app store that runs on Android devices.

By app store — I don't just mean a copy of Google Play or a place for developers to offer their apps on yet another store — I mean a way for Facebook to offer mobile developers a way to build apps that interact and interface with Facebook on a deeper level. These apps could interface with the native Facebook interface more fluidly — and maybe even let developers bring their traditional Facebook apps to Android in a way that doesn't require the same commitment as building a traditional Android app.

Plus, an app store would be a good market test to see if the demand for a Facebook phone actually exists. After all, it would be a lot easier to launch a phone with a slew of supported mobile apps and deep integration.

Look, at one point, a Facebook phone might have made sense. In today's climate and crowded mobile market, that's no longer the case.

This commentary reflects the opinions of the author and not necessarily those of Mashable or CNN.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Facebook is holding an Android-related press event on April 4

@highlight

The event has reignited speculation about a possible Facebook phone

@highlight

Warren: The timing is wrong, and the market is too crowded

@highlight

Warren: Instead, a Facebook app store for Android would make more sense