(CNN) -- A tide of border crossings by children mostly from Central America is not expected to end soon, and some in Congress blame President Barack Obama for policies they claim opened the floodgate.

Holding centers in Texas can no longer accommodate large numbers of children and mothers traveling alone with their kids, forcing the federal government to open additional facilities.

One is in Nogales, Arizona, where pictures of unaccompanied children lying on the floor of a large barren facility raised concerns of a humanitarian crisis.

But Nogales Mayor Arturo Garina said the site, which serves as an overflow center for up to 1,000, is addressing the immediate need for shelter.

"I'm very comfortable with what I saw," he said on CNN's "New Day."

He said there are makeshift cafeterias and medical centers and that telephone banks and computers have been set up to process people and contact relatives.

Border crossers

Unaccompanied children and partial families from Honduras, El Salvador and Guatemala make up the majority of those crossing the border, creating a delicate situation for states, the federal government and immigrants.

Of the 1,200 or so crossing the Rio Grande in eastern Texas every day, up to 400 are unaccompanied children, said Rep. Henry Cuellar, a Texas Democrat who represents the district where most of the crossings occur.

"This is a humanitarian crisis," he said in a phone interview, adding that the government has to figure out how to feed, diaper and care for the children as young as infants.

Many of the immigrants use rafts to cross the Rio Grande, equipped with instructions to follow the river until reaching the Border Patrol site to surrender.

The illegal immigrants include a group of Honduran girls, some as young as 14.

One told CNN she did so "because I want to see my parents in Austin."

The Obama administration is not releasing the statistics or much information about the recent influx.

But Chris Cabrera, a labor leader for Border Patrol agents, told CNN that he expects 60,000 unaccompanied children will cross the border this year.

The Migration Policy Institute has kept track and said that about 8,000 minors crossed alone in any given year. But there was a sharp increase in 2011, including 10,000 in U.S. custody that summer.

"You're talking kids from 17 years old on down to some that are 5 or 6 years old, traveling by themselves," Cabrera said.

Last year, roughly 10% of people caught by Border Patrol agents were minors, according to an agency official.

Why are they coming?

Some members of Congress say Obama's policies and a lack of enforcement are to blame.

"The President has sent the message out he is not going to enforce the law," Rep. Steve King, an Iowa Republican whose commentary on immigration reform drew sharp criticism, told CNN's "New Day." "That message has echoed out."

Critics, such as King, point to Obama's decision in 2012 to stop most deportations of young people brought to the United States as children.

Garina said that could be the reason children are coming in droves, but many involved in the issue say the reasons are much broader and complex.

A recent United Nations report that interviewed 400 young immigrants points to a difficult and complicated web of reasons, including difficult-to-escape gang and societal violence in Honduras, Guatemala and El Salvador as well as dire economic situations and the desire to reunify with their parents or family members in the United States.

State outrage

Texas has been so overwhelmed that federal officials are transporting busloads of immigrants, including minors, to Arizona.

Arizona Gov. Jan Brewer slammed the move. "Not only does the federal government have no plan to stop this disgraceful policy, it also has no plan to deal with the endless waves of illegal aliens once they are released here," she said in a statement.

After the children have been processed, the are transferred to Department of Health and Human Services run facilities at Lackland Air Base in Texas or Ventura County Naval Base in California.

The administration announced that a third facility in Fort Sill, Oklahoma, which will house up to 1,200 minors.

Oklahoma Governor Mary Fallon also criticized the decision, questioning if the site is really going to be a temporary fix or turn into something more permanent as the number of young immigrants is expected to keep increasing.

"I am dismayed by what appears to be an endless cycle of illegal immigration, temporary housing and eventual amnesty for those who have broken our laws. Today's news is the latest in a long line of policy missteps that the American people are paying for."

What's next

U.S. law prohibits the Department of Homeland Security from immediately deporting the children if they are not from Canada or Mexico.

Instead, the children are turned over to Department Health and Human Services supervision "within 72 hours of DHS taking them into custody," an official said.

Relatives living in the United States are searched for and contacted and the immigrant is given a court date. But very few actually show up and the children often become one of the millions of undocumented immigrants.

Obama declared the crossings "an urgent humanitarian situation requiring a unified and coordinated federal response."

Earlier this month, in a memo to the heads of executive departments and agencies, he announced an "interagency Unified Coordination Group to ensure unity of effort across the executive branch in responding to the humanitarian aspects of this situation." The group will oversee coordination with state, local and other agencies.

Homeland Security Secretary Jeh Johnson is establishing the group. In a statement, he said that "addressing the rising flow of unaccompanied children crossing our southwest border is an important priority of this administration and the Department of Homeland Security."

The administration is also forced to ask Congress for more money to address the higher-than-expected number of cases.

Cuellar, who sits on the House Appropriations Committee, said the administration originally asked for $800 million to address the matter, but that number has gone up to $2.1 billion.

Obama vows urgent action as children make perilous illegal journey into U.S.

Supreme Court setback for underage visa applicants

CNN's Gustavo Valdes, Nick Valencia and Josh Levs contributed to this story

@highlight

Up to 400 unaccompanied children are crossing the Texas border each day

@highlight

Most of the children are coming from Honduras, El Salvador and Guatemala

@highlight

Overflow holding facilities have been opened to accommodate the youth

@highlight

Nogales, Arizona, Mayor says the facilities are "better than expected"