(CNN) -- Award-winning entrepreneur Andrew Mupuya was just 16 years old when he decided to take on the world.

That was back in 2008, when both of Mupuya's parents had lost their jobs and could only afford to cover his school fees. "I had to get to meet my basic needs by myself," remembers the Ugandan businessman. "I decided to face the world alone."

Inadvertently, the government of Uganda came to Mupuya's aid. At the time, officials in the country announced that they were considering a ban on plastic bags to curb environmental damage. Mupuya, who was still in secondary school, immediately saw this as an opportunity to launch a paper bag production company.

"I conducted a feasibility study, market research around retail shops, kiosks, supermarkets around Kampala and discovered there is need and potential market for paper bags."

Read this: Sails into sales with bags of love

To start out his small operation, Mupuya figured out he needed a capital of 36,000 Ugandan shillings ($14). He raised the first $11 from selling 70 kilos of used plastic bottles he'd collected over one week. Mupuya then borrowed the remaining $3 from his school teacher and embarked on his entrepreneurial journey producing paper bags on a small scale.

Since then, the business has grown extensively and today, at the age of 21, Mupuya is the owner of Youth Entrepreneurial Link Investments (YELI), the first registered Ugandan company to make paper bags.

The young entrepreneur employs 16 people who produce up to 20,000 paper bags each week. His long list of clients includes restaurants, retail stores, supermarkets, medical centers, as well as multinational companies like Samsung -- YELI has made about 1,000 niche bags for the local stores of the electronics company.â€Ž

"Right now I have 72 clients," says Mupuya. "Ninety per cent of our clients always come back."

Green impact

Mupuya's remarkable achievements and shrewd business skills have been recognized with a number of accolades in recent years. In 2012, Mupuya was the winner of the $30,000 Anzisha Prize, a major award given to young African entrepreneurial leaders who take the initiative to address critical needs in their communities.

"The awards I have won give me courage to push on with my business," says the young entrepreneur.

"It shows to me how I am doing the right thing and it helps me define the impact am creating."

Read this: Playgrounds made from trash

Uganda has attempted to ban plastic bags in a bid to deal with its acute waste management problem and promote environmental conservation. Yet, they are still used in Kampala and often block drainage systems or collect in heaps on the side of the road.

Mupuya, however, believes Ugandans will eventually choose paper over plastic and he even plans to build a recycling operation.

"A paper bag is eco-friendly, it can easily decompose," he says. "But plastic bags take too long, so that is the difference."

'Just the start'

For now, Mupuya sources his paper from Nairobi, the capital of Kenya. His business is housed in Kasokoso, a slum just outside Kampala's bustling city center. Here, everything is done by hand and with precision. YELI employees turn out thousands of bags daily, cutting the paper manually and then folding it and gluing it appropriately.

But this takes time, and as customer numbers grow, the team cannot keep up with the increasing orders. Mupuya says one of the biggest challenges for his startup right now is supply and demand.

"It needs time to produce the right quality and quantity to all clients, because it's run manually," he says. "(It's) quite hard to catch up with some clients who are used to cheap plastic bags," adds Mupuya. "My next step is to get a machine because I am only able to supply 5% of the demands I have."

Read this: Fishing craft to foosball tables, furniture to float your boat

Yet Mupuya says that this is a problem that most clients understand, pushing him to keep thinking big and press ahead with his plans to promote environmental conservation.

"My vision is to have a cleaner Africa by eradicating use of plastic bags and emphasis on paper recycling," he says. "I dream of having a big plant where I am able to supply paper bags all over Africa," adds Mupuya, "putting emphasis on sensitizing about environmental conservation."

"So I believe this is just the start."

READ THIS: Pizza maker 'gets Nairobi naked'

READ THIS: Street vendor builds toilet biz empire

@highlight

Andrew Mupuya founded YELI, Uganda's first registered paper bag production firm

@highlight

He started at 16 after learning about the environmental hazards of plastic bags

@highlight

Now at 21, he employes 16 staff that make about 20,000 paper bags a week

@highlight

Mupuya is the recipient of several awards, including the Anzisha Prize