(CNN) -- One fateful consequence of President Bashar al-Assad's ferocious crackdown on Syrian protesters is the emergence of the domestic armed resistance, the Free Syrian Army.

Forged in neighboring Turkey over the summer by military defectors, the FSA has become a major factor in the opposition to the regime.

The grass-roots armed resistance is growing, attracting civilians as well as military defectors, and has become a thorn in the side of the Syrian military and the pro-regime militias, observers say. But it needs more personnel, better resources and improved coordination to take on the Syrian security presence, they add.

"The FSA is contributing to the strain on regime forces by requiring them to operate almost continuously and engage in frequent combat," said Jeffrey White, a defense fellow at the Washington Institute for Near East Policy.

"This is in addition to the strain created by hundreds of peaceful civilian demonstrations across the country each week. The regime has been compelled to deploy larger forces and conduct more violent operations, increasing both its losses and the international visibility of its actions," he said.

"Although attrition of regime personnel is not yet numerically significant, the spectacle of burned-out government vehicles and dead soldiers likely rallies the opposition and decreases morale among regime loyalists."

White made remarks in a January 27 essay titled "The Free Syrian Army Bleeds the Assad Regime," and elaborated on that analysis in an interview Wednesday.

He said government operations "in recent days have pushed the FSA to a lower level of activity." But he also said the regime "has not been able to eradicate the FSA in any area."

He said the FSA has been engaged in combat in at least six of the country's 14 provinces -- Idlib, Hama, Homs, Deir Ezzor, Daraa, and Rif Dimashq. Rif Dimashq includes the Damascus suburbs.

The fighters have been "inflicting greater losses on regime personnel and equipment than at any time since its involvement in the uprising began," White said.

He said about 180 clashes were reported between early November and late January. One-third occurred in Idlib province and about a quarter in Daraa, while clashes have increased in Rif Dimashq.

The group has operated openly in places like Idlib province and the cities of Homs, Hama and Zabadani, and it has established control over some small pockets.

"Their most common operations include attacking regime positions (primarily checkpoints), defending demonstrators and local areas, and ambushing regime forces," White said.

Rebels say they are not getting weapons and money from outside groups. White said most of the weapons are captured or bought from the Syrian military. Some smuggling is reported, he added.

The rebels are getting better armed, with more and better antitank weapons, and the number of defections is growing, White said.

The FSA's acquisition of advanced antitank weapons is to date "the most significant arms development," he said. It claims to have used an RPG-29, a rocket-propelled grenade launcher, to destroy an infantry fighting vehicle in Daraa.

"Several videos suggest it has guided antitank missiles as well," White said.

"It seems to have no shortage of small arms and light crew-served weapons, including assault rifles, medium machine guns, standard rocket-propelled grenades, and scoped/sniper rifles. The FSA also claims to be employing improvised explosive devices against regime vehicles, and videos have corroborated this. In addition, it has begun using vehicles for tactical troop movement, equipped with improvised armor and machine guns."

There have been a number of cases of soldiers defecting with armored vehicles, he said.

The FSA claimed to have as many as 40,000 personnel. White said 4,000 to 7,000 is a "more reasonable estimate" but there has been a "substantial increase" from November. He said the size of group defections is growing, from the five to 20 people to platoon-sized defections of 30 or so people.

There are 38 named battalions in the FSA, some more closely associated with the central command than others, White said.

While there is guidance from FSA headquarters, there appears to be no day-to-day control. White said FSA battalions appear to be fighting alone and haven't yet shown "they can coordinate operations on a regional basis."

"Essentially these battalions are largely independent operations. There's no substructure underneath the FSA command in Turkey that operates the battalions," he said.

"It is unclear to what extent the FSA's command in Turkey exercises real control over operations, other than providing general guidance. It is also uncertain how much freedom of action Turkey allows these commanders. This means that FSA units are essentially conducting independent actions while the regime conducts coordinated operations."

Civilians have been joining FSA units because of the "synergy" between the resistance group and the populace, he said. Some civilians are locals who simply link up with battalions and there may be local defense groups forming under the Free Syrian Army banner.

"Some of these groups may have civilians who joined them. My sense is that the core, the primary combat forces, are coming from defectors," he said.

The group is also working to develop closer relations with the Syrian National Council, the political opposition.

While coordinating operations is one challenge for the FSA, others are cohesion and military limitations. News of a power struggle has emerged in recent days between FSA head Col. Riad al Assad and a general, Mustapha Sheikh, forming a rival Higher Military Council. Another group, the Al Faroukh Battalion, said it is operating outside the control of both groups.

FSA Lt. Col. Mohamed Hamado told CNN that "many of the officers fighting on the ground have pledged allegiance" to Sheikh. "They operate from the Turkish/Syrian borders at the refugee camps, while we are fighting on the ground and are very organized," he said.

White said any rift wouldn't help them but it's not having an effect on combat. It would have a greater effect if a world player decided it wanted to funnel money to the fighters.

U.S. lawmakers such as Sen. John McCain said Washington should consider arming such rebels.

White said it wouldn't surprise him if international clandestine services are feeling out the FSA to see "what they are made of," but there's no solid evidence of any outside help.

Hamado said that despite the FSA's efforts "it cannot defeat Assad's army with the weapons he is using. He has escalated his attacks by using helicopters, rocket launchers and mortars."

The Syrian regime is dominated by the Alawite minority. The Syrian opposition has a large Sunni component.

Hamado said there are concerns that among world powers that arms would fall into the hands of Islamists.

"The international community is reluctant to donate weapons because the Syrian Muslim Brotherhood is highly represented" in the Syrian National Council.

While Syrian militants wait for outside help, Hamado said the regime has backing from outside entities -- Iran's Revolutionary Guard Corps and the Lebanese militant group Hezbollah in Syria.

"We have captured Iranian fighters from the Revolutionary Guard and broadcast the videos showing the weapons they used to refute claims that they were technicians. Many civilians and eyewitnesses gave testimonials about Iranians storming into their homes during the searches and arrests along with Assad's army recruits."

Based in Latakia, on the coast, Hamado said, he has seen signs of the Hezbollah modus operandi.

"What we know for sure is that the regime is digging trenches around Latakia coast just the same way they are dug in southern Lebanon, which is controlled by Hezbollah. Assad's Army has installed rocket launchers in the mountains of Latakia and are in a process of setting up a self-sustained region similar to the Hezbollah establishment in Lebanon, in order to have a base after Assad falls," Hamado said.

Aram Nerguizian, visiting fellow with Burke chair in strategy at the Center for Strategic and International Studies, said that despite some operational and tactical victories in the provinces of Idlib, Hama and Homs and in some Damascus suburbs, the Syrian military "continues to control many key checkpoints leading to rebel-held neighborhoods and districts."

The FSA needs "better organization, leadership, command and control and more military personnel and hardware" to compete with the government's "security apparatus" and resilient military. Nerguizian said its manpower is in the low thousands and "there are few indications that the force has been able to establish a clear chain of command."

He added that "elements of the armed opposition seem to be operating outside the umbrella of the FSA and cities like Homs and Hama have seen the emergence of home-grown armed groups or militias intent on defending their neighborhoods against the crackdown."

While there have been defections, he said, "there seems to have been far more outright desertions than shifts of forces to the FSA."

As for Syrian military leaders, they back the regime because of fear of reprisals if al-Assad's rule ends and their "deep aversion to prolonged instability." But the prospect of a split in the military could be a good sign for the resistance forces.

"While the Syrian military needed time to absorb the shock of mounting internal opposition, it now appears to be on the offensive and it is likely to remain critical to the survival of the Assad regime. Should it experience real divisions in the future, the FSA may be able to take advantage," Nerguizian said.

CNN's Joe Sterling reported from Atlanta. Journalist Mohamed Fadel Fahmy reported from Cairo.

@highlight

The Free Syrian Army was formed last summer by military defectors

@highlight

Coordinating operations is a work in progress, observers say

@highlight

Many weapons are purchased from Syrian soldiers

@highlight

The FSA sees an Iran and Hezbollah presence in Syria