(CNN) -- One of the Bible's paradoxical statements comes from St. Paul's Epistle to the Galatians: "Power is made perfect in infirmity."

The poetic statement proclaims that when we are weak, we are strong. Pope Benedict XVI's stepping down from what many consider one of the most powerful positions in the world proves it. In a position associated with infallibility -- though that refers to formal proclamations on faith and morals -- the pope declares his weakness.

Interactive: Where does the pope live?

His acceptance of frailty speaks realistically about humanity: We grow old, weaken, and eventually die. A job, even one guided by the Holy Spirit, as we Roman Catholics believe, can become too much for us.

Acceptance of human frailty has marked this papacy. We all make mistakes, but the pope makes them on a huge stage.

He was barely into his papacy, for example, when he visited Regensburg, Germany, where he once taught theology. Like many a professor, he offered a provocative statement to get the conversation going. To introduce the theme of his lecture, the pope quoted from an account of a dialogue between the Byzantine Emperor Manuel II Paleologus and an unnamed Muslim scholar, sometime near the end of the 14th century -- a quote that was misinterpreted by some as a condemnation of Mohammed and Islam.

Opinion: 'Gay lobby' behind pope's resignation? Not likely

Twice, the pope emphasized that he was quoting someone else's words. Unfortunately, the statement about Islam was taken as insult, not a discussion opener, and sparked rage throughout the Muslim world.

The startled pope had to explain himself. He apologized and traveled two months later to Istanbul's Blue Mosque, where he stood shoeless in prayer beside the Grand Mufti of Istanbul. Later he hosted Muslim leaders at the Vatican at the start of a Catholic-Muslim forum for dialogue. It was a human moment -- a mistake, an apology and atonement -- all round.

A similar controversy erupted when he tried to bring the schismatic Society of St. Pius X back into the Roman Catholic fold.

In a grand gesture toward reconciliation, he lifted the excommunication of four of its bishops, unaware that one, Richard Williamson, was a Holocaust denier. This outraged many Jews. Subsequently the Vatican said the bishop had not been vetted, and in a bow to modernity said officials at least should have looked him up on the Internet.

In humble response, Benedict reiterated his condemnation of anti-Semitism and told Williamson that he must recant his Holocaust views to be fully reinstated. Again, his admission of a mistake and an effort to mend fences.

News: Scandal threatens to overshadow pope's final days

Pope Benedict XVI came from a Catholic Bavarian town. Childhood family jaunts included trips to the shrine of the Black Madonna, Our Lady of Altotting. He entered the seminary at the age of 13. He became a priest, scholar and theologian. He lived his life in service to the church. Even in resigning from the papacy, he embraces the monastic life to pray for a church he has ever loved.

With hindsight, his visit to the tomb of 13th century Pope Celestine V, a Benedictine monk who resigned from the papacy eight centuries before, becomes poignant.

In 2009, on a visit to Aquila, Italy, Benedict left at Celestine's tomb the pallium, a stole-like vestment that signifies episcopal authority, that Benedict had worn for his installation as pope. The gesture takes on more meaning as the monkish Benedict steps down.

We expect the pope to be perfect. Catholics hold him to be the vicar of Christ on earth. He stands as a spiritual leader for much of the world. Statesmen visit him from around the globe. He lives among splendid architecture, in the shadow of the domed St. Peter's Basilica. All testify to an almost surreal omnipotence.

Complete coverage of the pope's resignation

In this world, however, walked a vulnerable, human person. And in a paradox of life, his most human moment -- giving up the power of office -- may prove to be his most potent, delivering a message that, as St. Paul noted many centuries ago, "Power is made perfect in infirmity."

The opinions expressed in this commentary are solely those of Mary Ann Walsh.

@highlight

Sister Mary Ann Walsh: Pope Benedict acknowledged that he made mistakes

@highlight

Walsh: In firestorm over scholarly quotes about Islam, he went to great lengths to atone

@highlight

Walsh: Similarly, he quickly reversed a decision that had angered Jews and repaired ties

@highlight

Even his stepping down is a nod to his humanity and his love of the church, she says