Palo Alto, California (CNN) -- If our nation wants to reduce global warming, air pollution and energy instability, we should invest only in the best energy options. Nuclear energy isn't one of them.

Every dollar spent on nuclear is one less dollar spent on clean renewable energy and one more dollar spent on making the world a comparatively dirtier and a more dangerous place, because nuclear power and nuclear weapons go hand in hand.

In the November issue of Scientific American, my colleague Mark DeLucchi of the University of California-Davis and I laid out a plan to power the world with nothing but wind, water and sun. After considering the best available technologies, we decided that a combination of wind, concentrated solar, geothermal, photovoltaics, tidal, wave and hydroelectric energy could more than meet all the planet's energy needs, particularly if all the world's vehicles could be run on electric batteries and hydrogen fuel cells.

We rejected nuclear for several reasons. First, it's not carbon-free, no matter what the advocates tell you. Vast amounts of fossil fuels must be burned to mine, transport and enrich uranium and to build the nuclear plant. And all that dirty power will be released during the 10 to 19 years that it takes to plan and build a nuclear plant. (A wind farm typically takes two to five years.)

Stewart Brand says now is the time for nuclear power

The on-the-ground footprint of nuclear power, through its plants and uranium mines, is about 1,000 times larger than it is for wind. Wind turbines are merely poles in the ground -- with lots of space between them that can be farmed, ranched or left open -- or poles in the ocean. Geothermal energy also has a much smaller footprint than nuclear; solar only slightly more. But while geothermal, solar and wind are safe, nuclear is not.

For nuclear to meet all the world's energy needs today -- 12.5  terawatts (1 terawatt = 1 trillion watts) -- more than 17,000 nuclear plants would be needed. Even if nuclear were only 5 percent of the solution, most countries would have nuclear plants.

What's worse, the nuclear industry wants to reprocess waste to obtain more energy from increasingly scarce uranium. But this only produces more weapons-grade uranium and plutonium.

A global push toward nuclear energy would mean that uranium enrichment -- and efforts at nuclear weapons development -- would certainly grow throughout the world..

Nuclear proponents argue that not enough clean renewables exist to power the world. However, part of our work at Stanford University has been to map world renewable energy resources. Enough wind and solar exist in high-wind and sunny locations over land to power the world for all purposes multiple times over. There is no shortage.

Nuclear proponents also argue that nuclear energy production is constant, unlike fickle winds and sunshine. But worldwide, nuclear plants are down 15 percent of the time, and when a plant goes down, so does a large fraction of the grid. Connecting wind farms over large areas through transmission lines smoothes power supply. Combining geothermal with wind (whose power potential often peaks at night) and solar (which peaks by day), and using hydroelectricity to fill in gaps, would almost always match demand.

Converting to electric vehicles and using smart charging practices would also help to match supply with demand. So would storing energy (with concentrated solar) and giving people incentives to reduce demand. It is not rocket science to match power demand. It merely requires thinking out of the box.

Finally, the costs of land-based wind, geothermal and hydroelectricity are competitive with conventional new sources of electricity; costs of solar and wind over the ocean are higher but declining. Costs of nuclear have historically been underestimated.

In sum, if we invest in nuclear versus true renewables, you can bet that the glaciers and polar ice caps will keep melting while we wait, and wait, for the nuclear age to arrive. We will also guarantee a riskier future for us all.

There is no need for nuclear. The world can be powered by wind, water and sun alone.

The opinions expressed in this commentary are solely those of Mark Z. Jacobson.

@highlight

Every dollar spent on nuclear power is one less spent on renewable energy, says Mark Jacobson

@highlight

He says nuclear power plants take a very long time to build

@highlight

He says mining, transport, enriching of uranium and building plants require fossil fuels

@highlight

Widespread nuclear plants raise risk of spreading nuclear weapons, he writes