(CNN) -- Florida is the traditional tie-breaking primary in the January gantlet -- but there's very little that's traditional about the Sunshine State. It is a sprawling cross section of 10 media markets and one of the most diverse states in the nation, containing communities of voters across the political spectrum.

But we talk about politics in shorthand, and many stereotypes endure long after they are bypassed by reality. So here are three stubborn myths about the Sunshine State to think about as Floridians go the polls on Tuesday.

1) It's senior-citizen central: This stereotype started in the post-war boom, as legions of grandparents sought out the warmth of Florida to ease their aching bones. The state came to be seen as a land of early-bird specials, bad drivers and retirement communities punctuated by amusement parks -- "God's waiting room." But in the 1980s, young families began to move into Florida en masse, following economic opportunity and now-ubiquitous air-conditioning.

Today, just 17% of Florida's population comprises senior citizens -- just above the national average, according to the Almanac of American Politics. Moreover, 22% of Floridians are under-18 -- a number boosted by high levels of immigration from Latin America. And two Florida cities, Gainesville and Tallahassee, are among the top 10 youngest cities in America, with median ages of 24 and 26 respectively. Florida's diversity is no myth -- but the idea that it is defined or even disproportionately dominated by AARP voters doesn't hold water.

2) Cuban-Americans are the Hispanic community: This stereotype goes back to the exodus of Cubans fleeing the tyrannical communist regime of Fidel Castro in 1960. To be sure, a vibrant, passionate and conservative community remains centered in Miami and the surrounding area. The Bay of Pigs Museum remains a staple on any Republican presidential candidate's trip to Miami.

But Cuban-Americans make up only 30% of the Hispanic population of Florida. Southern Florida has become the capital of Latin America, as wealthy families have realized it is the most stable nearby place to put their money and families. Among the Spanish-speaking population are large numbers of Dominicans, Mexicans, Venezuelans, Colombians and Puerto Ricans (who are not immigrants at all, but fellow Americans). Simply denouncing Castro won't be enough to win their votes. Fidel Castro recently weighed in on the GOP primary race and proclaimed it "in all seriousness, the greatest competition of idiocy and ignorance that has ever been" -- except for all the show trials, imprisonments and executions of his political rivals, of course.

Interestingly, despite Mitt Romney's attacks on fellow Republican candidates who support comprehensive immigration reform and the Dream Act, polls show that he is doing surprisingly well with the Hispanic vote this time around.

3) There is a typical Florida voter: Compared with the other states in the January primary ordeal -- Iowa, New Hampshire and South Carolina -- Florida is a complex array of 10 media markets, all with different characteristics. The northern part of the state, from the Panhandle to Jacksonville, is the deep South, a continuum of adjoining Georgia and Alabama. The I-4 corridor, from the Space Coast to Orlando to Tampa/St. Pete, is largely made up of young families -- some native to Florida, but many others Midwest transplants looking for a new start. The tony southeast coast of West Palm Beach is a wealthy enclave with many snowbirds from the Northeast. Miami and the southern tip make up the capital of Latin America.

And Key West is the Caribbean. All of which means it is expensive to run statewide in Florida -- and the messaging is complex. It must appeal to more of a series of nation-states than a state with a homogenized character. It is, to that extent, the best test of a candidate's ability to connect in a national campaign to date in the primary calendar. It is a red state, a blue state and a swing state -- all rolled into one.

Join the conversation on Facebook.

The opinions in this commentary are solely those of John Avlon.

@highlight

John Avlon: Florida is not one-dimensional; it contains left, right and center voters

@highlight

Avlon: It's not "God's waiting room"; Only 17% of residents are seniors, 22% are under 18

@highlight

Cuban-Americans, usually conservative, are only 30% of the Hispanic population, he says

@highlight

Avlon: State has aspects of Latin America, Caribbean, deep South, young, old, rich, poor