(CNN) -- The Web is set to change our lives dramatically over the next decade. This will also raise questions about the use of personal data and the need to balance new powers with ethics.

Here are five ways you can expect the explosion in technology to impact you:

1) Artificial intelligence and ultra-smart software engines will be embedded everywhere.

They will be largely invisible yet become indispensable for most Internet users, and will combine dozens of data streams harvested from our digital breadcrumbs.

Read more: Le Web's next ten years

Mobile devices are the key to this empire and the convergence of TV and the Internet (known as Social TV) will add yet another dimension to this exponential trend: The TV will know who you are.

Powerful, fast, totally customized and self-learning algorithms will feed off our personal data streams, giving us an ever-expanding and free choice of seemingly harmless anticipatory services (think Google Now x 100).

Prediction engines will be able to give a "heads-up" on anything from weather, to stock market changes, to food warnings or even imminent relationship changes.

Read more: Stuck in the digital transit zone

For many of us, this will cross the border into creepiness. Imagine your mobile device recommending that you break your next date because of obvious incompatibility based on what "the system" knows about you. AI will start to literally run our lives (as this Gartner report put it: Sync Me, See Me, Know Me, Be Me).

2) Automation is likely do away with hundreds of millions of "simple" jobs.

It will replace cab drivers (no need, with self-driving cars), check-out clerks (all done on mobiles), data analysts, bank tellers, file clerks, delivery people and others.

Smart software engines and networked cloud systems are likely to replace accountants and book-keepers, among others, while delivery drones will replace delivery drivers.

Robots will become common in many households, such as for basic elderly care, but will remain far from human-like or even sentient for quite some time.

Read more: Inventing machines for the future

Reports such as the Oxford Martin School Future of Employment study have already predicted that nearly half of all U.S. jobs could eventually be automated away.

Clearly, human-only tasks and right-brain skills will need to be much more emphasized in education, as well, and the concept of a minimum guaranteed income may seem a lot less futuristic fairly soon.

We may get paid to just be creative.

3) Augmented reality and "natural" human-computer interfaces will overtake traditional means of making queries.

We are going from typing a request, to speaking, to gesturing to blinking to (scarily) thinking. Some may start to feel like they live inside a machine or that a machine lives inside of them.

Humans are likely to become dependent on digital machines and what they do for us, simply because they will be so easy to use, so powerful, so addictive -- and because they make so much money for those who run them.

Read more: The end of the World Wide Web?

This is not as dystopian as it may sound -- but there are ways to balance the trend.

4) Automated, real-time, mobile and accurate language translation will be with us within five years.

Imagine speaking into your mobile device and having someone else receive the precise translation at almost the same moment, in a multitude of languages.

Then, imagine all these conversations being recorded and added to your profile in your "personal cloud." This will dramatically change the nature of media and advertising. Kids may also question the use of learning languages.

5) Everything will be recorded, photo- and video-graphed, tracked and measured.

Your car's movements, your performance at work, your dietary habits, the meta-data of your communications will all be scanned.

Read more: My year of living open source

The explosive growth of the Internet of Things and the upcoming explosion of Internet access in devices that are wearable, embedded or implanted means we can expect this trend to be all-pervasive within the coming decade.

Do we need to control this?

The most important consequence of such trends will be the reemergence of ethics as a key issue.

Major challenges, such as personal data protection, privacy, human augmentation, "digital obesity" and dependency on technology will be magnified exponentially.

We will no longer ask if something is possible or doable but whether we should do it, where and when.

I predict many of tomorrow's leaders, thinkers, innovators, scientists and creatives will spend time and effort devising something like a "global digital bill of rights and ethics."

Read more: After Snowden, we're self-censoring

The need for global agreements on these key issues will emerge as a direct response to the vastly accelerating abuse of personal data and the powerful AI that crunches it, giving those that control it almost irresistible powers.

I predict even the most technology-friendly or social-network obsessed users will soon start to object to being instrumentalized in such a way.

This will force governments and businesses towards creating a "secure framework" for society.

As with nuclear power, we will need to distinguish between what can be used for bona-fide purposes and what could be used for sinister purposes.

The resulting digital data and AI ecoystem will need to become the global guideline, akin to a kind of "artificial intelligence and automation non-proliferation agreement."

Technology does not have ethics -- but we should.

The opinions expressed in this commentary are solely those of Gerd Leonhard

@highlight

The Web is set to change our lives in numerous ways, the use of artificial intelligence to language translation and more

@highlight

Futurist Gerd Leonhard says machines may eventually know us so well they will tell us when to break off a date

@highlight

Humans will become addicted to digital machines because they are so powerful and easy to use

@highlight

But that will create fears around privacy and lead to discussions on ethics and how we control the power