(CNN) -- Before most Americans had heard of Devyani Khobragade, Indian officials were already giving the world's superpower a good drubbing.

Politicians from left and right refused to meet with a visiting U.S. congressional delegation in New Delhi as uproar over the Indian diplomat's arrest and strip search consumed all of India.

Here's what Narendra Modi, a leader from the opposition Bharatiya Janata Party, tweeted:

"Refused to meet the visiting USA delegation in solidarity with our nation, protesting ill-treatment meted to our lady diplomat in USA."

So how is it that one diplomat's troubles resulted in a massive international row between the world's most populous democracy and its most powerful one? Why is the arrest of one woman threatening to seriously damage warm relations between the two allies?

"There is a lot of protest in India. I personally believe they are politically motivated," Aseem Chhabra, a columnist for Mumbai Mirror newspaper, told CNN. "We have elections coming up in May."

Chhabra pointed to the refusal to meet with the U.S. delegation as political grandstanding.

"Clearly this becomes an election statement: 'Look, we are standing up against the U.S.,'" Chhabra said.

Indian External Affairs Minister Salman Khurshid told parliament that there were larger issues at stake.

"It is no longer about an individual. It is about our sense of self as a nation and our place in the world," he said to usually bickering politicians who have displayed rare unity on this incident.

Khobragade, India's deputy consul general in New York, was arrested and strip-searched last week on charges of visa fraud related to her treatment of maid and nanny Sangeeta Richard.

India claims U.S. marshals overstepped their bounds in their treatment of a diplomat. Indian officials retaliated quickly by removing security barriers outside the U.S. Embassy in Delhi and revoking diplomatic identification cards. People took to the streets to protest what they perceived as American bullying.

U.S. authorities claim their job is to uphold the law and hold violators accountable, no matter who they might be.

Indian diplomat: Does she have immunity?

This is not the first time an Indian official has had an encounter with American law. In recent years, former President A.P.J. Abdul Kalam was told to remove his shoes at airport security. Indian Ambassador Meera Shanker got a pat-down, and India's permanent representative to the United Nations, Hardeep Puri, was detained after he refused to take off his turban, also at an airport.

Not much was made of those incidents. But this time, the consensus is that a lot of people may be spewing hyper anti-Americanism for pure political gain.

Such sentiment has existed in India since the days following independence in 1947 and the country's formation of a strong alliance with the Soviet Union.

"There's a Cold War legacy when India was at odds with the United States over a range of issues," said political scientist Sumit Ganguly.

The Cold War residue surfaces from time to time. And this seems to be one of those times -- when that particular message is playing well. A patriotic stance abroad is helping drum up support for politicians at home before critical parliamentary elections in May, said Ganguly, affiliated with the School of Global and International Studies at the University of Indiana.

"All of these people are trying to demonstrate how tough they can be, how nationalistic they can be, how concerned they are about this woman," he said. "They are engaged in high drama. If Narendra Modi says it's terrible, then Rahul Gandhi has to say it's despicable."

Gandhi, a leader of the ruling Congress Party, is a potential prime ministerial candidate.

At the heart of this case is diplomat Khobragade's treatment of Richard, her maid and nanny. It's an issue that has been trumped -- perhaps intentionally -- by the politics swirling about this case, Ganguly said.

Court documents show that Khobragade lied in a visa application, promising to pay her domestic helper minimum wage of $9.75 an hour even though the actual salary was much less -- $3.31 an hour. Khobragade allegedly instructed the housekeeper to say she would be paid the higher rate and not mention her actual pay.

Opinion: What about the nanny?

Domestic workers are often underpaid and abused in India, and human rights advocates have been frustrated that the focus of the Khobragade scandal has been on politics rather than the alleged crime.

"Something we don't want to talk about or think about is how we treat domestic workers. For God's sake, we treat them like chattel," Ganguly said. "This is a national shame we have not confronted."

In the meantime, global observers worry about the widened rift between India and the United States.

Nicholas Burns, former U.S. undersecretary for political affairs, considers India one of American's most important allies.

"Hopefully this can be diffused so we can go back to working on the very important issues on our agenda," he said.

Ganguly said Indians need to check what he views as their overreaction.

"It's very poorly thought out. This is the most foolish and petulant behavior," he said.

Ganguly said he feared the Khobragde incident has the potential to be quite damaging.

"I think U.S. patience will run out at some point," he said.

Debate: Arrest, strip-search of Indian diplomat 'barbaric?'

@highlight

Indian politicians have taken a nationalistic stance on the arrest of Devyani Khobragade

@highlight

Many observers feel the reaction is aimed at gaining political support ahead of critical elections

@highlight

The political grandstanding has shifted the focus of the incident away from alleged crime

@highlight

Some observers fear this could damage U.S.-India relations