Amman, Jordan (CNN)Was an American hostage held in Syria killed by a Jordanian airstrike? That's what ISIS said in an online posting Friday, claiming that she died in the group's de facto capital, Raqqa.

The posting Friday included a picture of a collapsed building and a claim that the woman -- confirmed by her family to be Kayla Mueller -- was being held there.

But it did not show a body or provide any proof of death.

Jordanian government spokesman Mohammed al-Momani said his country is looking into the claim. But, he said, "we are highly skeptical" because of ISIS's proven lack of credibility, and he questioned whether they could identify Jordanian warplanes so high in the sky or would hold a hostage in a "weapon warehouse."

Later, he told CNN that ISIS uses "these events to manipulate facts and to manipulate public opinion."

"What we know about this terrorist organization is that they are liars when it comes to these things," al-Momani told "The Situation Room with Wolf Blitzer."

Interior Minister Hussein Majali also knocked down the report, calling it another "PR stunt" by ISIS.

"They tried to cause problems internally in Jordan and haven't succeeded," Majali said. "They are now trying to drive a wedge between the coalition with this latest low PR stunt."

ISIS has held a number of hostages from the United States, Britain and Japan. As of now, at least two Westerners are thought to be in its custody: British journalist John Cantlie, who has appeared in a number of ISIS-produced videos, and the American woman, who is a 26-year-old aid worker.

CNN has not previously named Mueller because of a request from the family.

Friday night, her parents, Carl and Marsha Mueller of Prescott, Arizona, issued a statement asking the people holding their daughter to contact them.

"After going to extraordinary efforts to keep Kayla's name out of the media for so long, by securing the cooperation of journalists throughout the world, her name was released today. This news leaves us concerned, yet, we are still hopeful that Kayla is alive. We have sent you a private message and ask that you respond to us privately."

Asked about ISIS's claim of the woman's death in Raqqa, State Department spokeswoman Marie Harf said that she could not "confirm those reports in any way."

"Obviously (we are) deeply concerned...," she added. "We have not, at this point, seen anything that corroborates (ISIS's) claims."

The Prescott, Arizona, native was taken captive in August 2013 in Aleppo, Syria, after leaving a Doctors Without Borders hospital, her family said.

Before that, Mueller graduated from Northern Arizona University and spent years traversing the world -- including India, Israel and her native Arizona, where she worked in an HIV/AIDS clinic and volunteered at a women's shelter. Her going to Syria in late 2012 with the Danish Refugee Council and Support to Life humanitarian agency aligned with that same mission to help others.

What drove her? According to her family, Mueller would say, "I find God in the suffering eyes reflected in mine. If this is how you are revealed to me, this is how you are revealed to me, this is how I will forever seek you."

According to a source close to the family, ISIS had set a deadline of August 13, 2014, for a 5 million Euro ransom to be paid or the group would kill her.

When it comes to ISIS, there's plenty of reason for skepticism.

Most of its hostages have been executed by the terror group, which then touted the grisly deaths online.

That was the case with Jordanian pilot Lt. Moath al-Kasasbeh, who was captured by the Islamist extremist group after his F-16 fighter jet crashed while on an anti-ISIS mission near Raqqa. Video emerged Tuesday of ISIS burning him alive while he was locked in a cage.

After the video came out, Jordanian officials said they have reason to believe al-Kasasbeh was actually killed in early January. That suggested that during the month between, while signaling its openness to a prisoner exchange with Jordan, ISIS had known all along that the pilot was dead.

CNN terrorism analyst Paul Cruickshank is among those very dubious that ISIS is telling the truth this time around, including its claim that the U.S. hostage was alone in the building and that no militants died in the strike.

"It seems very, very convenient for propaganda purposes, from the ISIS point of view," Cruickshank said.

CNN law enforcement analyst Tom Fuentes also cast doubt. The buildings in the photo are damaged but there is no smoke. If the pictures were taken just after an airstrike, there would be smoke from smoldering debris, he said.

Retired U.S. Army Lt. Col. James Reese, a CNN global affairs analyst, says it's plausible a hostage may have been inadvertently killed in Syria.

"We all know that (the U.S.-led military coalition's) intelligence ... in Syria is not as good as we have in Iraq now," Reese said. "So it is plausible (Mueller was killed), and it could be unfortunate. But sometimes ... that happens in these wars."

Though there is no evidence Mueller was killed, U.S. intelligence and law enforcement agencies are working on a theory that she may have died weeks or months ago, sources said.

Intelligence and law enforcement sources said the theory comes from prior intelligence on her captivity and ISIS' past behavior with hostages.

The claim of the Jordanian airstrike killing her likely is a convenient way for ISIS to explain why it killed a woman, which could be problematic for its message, the sources said.

This all comes in the wake of al-Kasasbeh's horrific killing, which spurred outrage in Jordan and beyond.

His father, Safi al-Kasasbeh, afterward called on Jordan and its allies to "annihilate" ISIS. Government officials appear, at least in their rhetoric, determined to do just that.

"(Jordan will extract) revenge that equals the tragedy that has befallen the Jordanians," government spokesman Mohammad al-Momani said.

On Thursday -- a day after executing two jihadists in retaliation -- the Middle Eastern nation launched its first strikes since the news emerged about al-Kasasbeh.

A squadron of warplanes from the Royal Jordanian Air Force on Friday carried out a number of strikes against ISIS targets, the military said in statement. The Jordanian armed forces did not immediately provide details on the number of aircraft nor what targets were hit. Activists told CNN that one strike killed 47 ISIS fighters.

Until now, ISIS hasn't shown any inclination to back down. Just the opposite, in fact: The terror group has been relentless and brutal in its quest to establish a vast caliphate under its strict, twisted version of Sharia law.

The organization's savagery seemingly knows no bounds, not only in its use of captives' killings as grisly propaganda tools but in its campaign of mass killings, rapes, kidnappings and other atrocities while taking over swaths of Iraq and Syria.

Just this week, a U.N. report claimed ISIS has stepped up its use of children in its bloody campaign, even putting price tags on some and selling them as slaves.

Al-Kasasbeh's killing was an attempt by ISIS "to instill terror and fear in the hearts of its enemies," making them less willing to provoke or put up a fight, says a prominent Sunni Muslim cleric who has been exiled from Syria.

"What's happening is the opposite," Shaykh Muhammad al-Yaqoubi told CNN's Christiane Amanpour this week. "The martyrdom of Moath has united Muslims ... against ISIS, leaving no slight room of doubt that these people do not represent Islam. They represent savagery, terrorism and extremism."

That seems to be the sentiment in Jordan, at least, where citizens rallied again Friday in Amman to honor al-Kasasbeh and condemn his killers.

Thousands filled the King Hussein Mosque there, listening to a sermon decrying ISIS as antithetical to Islam and insisting that Muslims cannot stand idly by.

After prayers, crowds spilled out onto the streets to march calmly and defiantly toward Palm Square. Many held up banners and signs -- including Queen Rania, with a poster that read, "Moath, the martyr of justice" -- and chanted, "Long live the King."

Jordan for months has been one of a handful of nations in the region taking part in the U.S.-led coalition, a fight it continued with airstrikes Thursday and Friday at different sites around Iraq and Syria.

For all the efforts of the United States and its allies, Majali, the interior minister, told CNN that the fight is personal for his fellow Jordanians. And King Abdullah II has given "carte blanche ... to the armed forces" to carry it out, Majali said.

"This is definitely not the U.S.'s war. This is definitely our war," said Majali. "... I don't want to equate ourselves with this evil force (ISIS), but we will (take) revenge for our pilot."

CNN's Jomana Karadsheh reported from Jordan and Greg Botelho and Steve Almasy wrote this report from Atlanta. CNN's Nic Robertson, Evan Perez, Jason Hanna, Ben Brumfield, Salma Abdelaziz, Ali Younes, Mohammed Tawfeeq, Barbara Starr, Jessica King and Samira Said contributed to this report.

@highlight

Kayla Mueller's parents ask her captors to contact them privately

@highlight

Activists tell CNN that an airstrike in Syria kills 47 ISIS fighters

@highlight

U.S. officials have no evidence hostage Kayla Mueller killed