(CNN) -- North Korea has withdrawn two mobile ballistic missiles from a launch site in the eastern part of the country, according to a U.S. official, the latest hint of an easing in tensions on the Korean Peninsula.

The disclosure came Monday, the day before President Barack Obama is due to meet with his South Korean counterpart, Park Geun-hye, in Washington.

During a fraught period last month that included near daily North Korean threats of war, U.S. and South Korean officials said they believed Kim Jong Un's regime could carry out a test launch of at least one of the missiles at any time. The United States and Japan responded by stepping up missile defenses in the region.

But the anniversary of the birth of North Korea's founder on April 15, seen as the likely date around which a launch could take place, came and went without either of the missiles being fired. And now they have been sent to a storage facility, the U.S. official said.

The missiles the North has moved from the launch site are believed to be Musudans, an untested weapon that the South Korean government says has a maximum range of 3,500 kilometers (2,175 miles). That would mean the missiles could reach as far as Japan and Guam, a Western Pacific territory that is home to U.S. naval and air bases.

More tests will take North Korea closer to nuclear missile, Pentagon says

Recent tensions

The recent period of tensions flared up after the North's long-range rocket launch in December and underground nuclear test in February, both of which were widely condemned.

Pyongyang's fiery rhetoric intensified in March as the U.N. Security Council voted to tighten sanctions on the regime following the nuclear test. Annual U.S.-South Korean military drills in South Korea also fueled the North's anger, especially when the United States carried out displays of strength that included nuclear-capable B2 stealth bombers.

But a key part of the large-scale training exercises, known as Foal Eagle, concluded last week, and the intensity of Pyongyang's threats appears to have subsided. Its rhetorical exchanges with Washington and Seoul have shifted to include conditions for possible negotiations, although both sides appear to remain far apart.

North Korea is demanding recognition as a nuclear power, something the United States refuses to countenance. And the recent crisis resulted in the closure of the Kaesong Industrial Complex, the last major symbol of inter-Korean cooperation.

Analysts and U.S. officials have cautioned that Kim Jong Un's regime remains unpredictable and that tensions could escalate again in the event of new provocations.

It would be "premature" to make a judgment about whether the North Korean "provocation cycle is going up, down or zig-zagging," Daniel Russel, White House special assistant and senior director for Asian affairs, said Monday.

"No one should be prepared to declare a victory yet," he said, referring to the reports of the missiles being moved off the launch site.

Last remaining South Koreans leave joint industrial complex

A fresh warning from the North

A reminder of the fragile situation came in a North Korean statement Tuesday that accused U.S. and South Korean forces of carrying out naval shelling drills near the two Koreas' disputed western maritime border.

The statement, from the North Korean military's command in the sector near that part of the border, warned of "immediate counteractions" if "even a single shell" from the drills fell within its territorial waters.

But the statement was notably free of the talk of "nuclear war" that peppered North Korean propaganda directed at the United States and South Korea during the height of the tensions in March and April.

At a news briefing in Seoul, Kim Min-seok, a spokesman for the South Korean defense ministry, denied the North's accusation that shelling drills had been taking place in the sea near the border since Sunday.

He confirmed, though, that planned annual naval drills to practice the defense of islands near the border were under way.

In November 2010, North Korea shelled the South Korean island of Yeonpyeong, killing two South Korean marines and two civilians. Pyongyang accused Seoul of provoking the attack by holding a military drill in the area.

The current situation regarding North Korea is chief among the subjects on the agenda for Obama and Park's meeting on Tuesday.

Obama will use Park's visit to "reaffirm the strong commitment" of the U.S. to the defense of South Korea, Russel said Monday.

CNN's Brian Walker and Lesa Jansen, and journalist Soo Bin Park contributed to this report.

@highlight

Two Musudan missiles have been sent to a storage facility, a U.S. official says

@highlight

The U.S. and South Korea said previously the missiles could be fired at any time

@highlight

The disclosure comes after the intensity of North Korea threats has calmed

@highlight

But Pyongyang warns the U.S. and South Korea over naval drills in the region