Odzala-Kokoua National Park, Republic of Congo (CNN) -- "The poachers are usually hiding firearms in the fishing camps," Mathieu Eckel briefs us as his anti-poaching unit's shaky metal boats speed down one of the rivers that snakes it way through the Odzala-Kokoua National Park.

The river's dark waters are stunningly framed by shades of green and cascading vines in this remote corner of the Republic of Congo.

As Eckel's eco-guard unit turns a corner, he gives the order to cut the engines. We're approaching the first suspected site. The boats coast silently against the hum of the forest.

The team quietly assaults, but the camp is deserted.

A member of the team checks the ashes. "It's still warm, they must have left early morning, we missed them by a couple hours," he says.

For the next grueling, hot eight hours, the same scenario repeats itself.

Then, suddenly around a bend, the unit spots rising smoke. They rush ashore, fan out and within seconds the first gunshot rings out. The men sprint through the dense and disorienting terrain, forcing their way though the undergrowth and knee-deep water as even more bursts of gunfire echo through the forest.

Pumped on adrenaline, eco-guard Brice Moupele animatedly re-enacts what happened when he saw the poachers.

"I yelled 'Stop, stop!' and shot in the air," he says.

"The man tried to shoot at me. I tackled him and grabbed his gun, but he was able to escape." Moupele happily displays the captured weapon.

The team finds the poachers' canoe, weighed down with fresh elephant meat. An eco-guard lifts up a portion of the elephant's trunk, still dripping blood. He lifts up heavy chunks of elephant flesh, searching for weapons and tusk on the bottom of the wooden canoe.

"This is what they use to cut off the tusks" Eckel says, holding up a bloodied ax.

It's a sickening reminder of a trade that has decimated the park's elephant population. The non-profit group African Parks -- which runs Odzala -- estimates that Central Africa has lost 62% of its forest elephant population in the last decade. In the week we spent at the park, we only saw one alive.

Opinion: How to end the elephant slaughter

"The ivory we get, it's less than 1%" Eckel estimates. "In this area, it makes a lot of money. It's very difficult to say, maybe one or more elephant is killed a day."

Eckel describes the fight to protect what's left as guerrilla warfare carried out by just 76 eco-guards patrolling an area that is 13,500 km2 (8,390 square miles) -- about the size of Connecticut. Hardly enough, but around 40% of the team members are former poachers themselves.

"They are really motivated to stop the poaching and they know how the poachers work, so it's easy for them to think like them," Eckel explains.

It's part of a program developed by Eckel in the past year in which poachers are given amnesty if they hand over their weapons and confess. But it's still a tough sell in an area where villages live off poaching and there are no other alternatives.

The unit's successes haven't made them any friends. Members often find themselves pursuing neighbors, friends and even family members. They have all been threatened.

Frank Bolangonga tells us three men assaulted his wife down a dark side street in his village.

"She went to buy petrol at the market," he says. "When she was on her way back home they attacked her, tried to rape her, but she was strong. She pulled back and her dress ripped and she ran away."

The threats intensify after arrests and raids, and did so even more after the team brought in Ghislain Ngondjo, better known as "Pepito."

Vianney Evoura, who used to poach for Pepito back in 2004, testified against him in court. They live in the same village and Pepito's relatives have vowed revenge.

"His mother promised to poison me," Evoura says. "I don't go out after dark unless I am with five or six other people, I don't eat out. I am always on alert."

African Parks headquarters is just a 10-minute drive from Pepito's village, which has forced Eckel to send his own family away.

"There was threats of attack on the camp where we live, my family was with me at this time. I don't want to take the risk for them because of my job," he tells us.

But the toughest challenge for Eckel and his team is government corruption. He doesn't trust for a second that the government will follow any leads after the bust on the poachers' camp.

The team finds four guns, one of which Eckel says is military issue. Of all of the weapons the unit has in its stockpile -- a combination of those handed over in the amnesty program and those seized in raids -- the majority come from military stock.

"The military sells firearms to the poachers," Eckel claims. "Sometime we catch military with their firearms inside the park."

In an area where the lines between poachers and protectors tend to blur because of village and family ties, at times the team can't even trust itself.

"To find this in the Congo you must have contact with a ranger," Eckel says, showing a compass found at the poachers' camp. "It's a silver one and it's not an old one."

Also found during the raid was a cellphone.

Dogs help to sniff out poaching

The team torches the camp to send a message and sets off down the river with the poachers' canoe in tow as bright orange flames engulf the ramshackle huts.

But it's far from over.

The next morning, Eckel is busy drawing a map in the sand, strategizing the best way to get into position. One of the numbers on the phone they found is that of a notorious bushmeat trader.

"We had an initial phone contact and we organized a meeting," Eckel explains. "We play like we are the poacher and he thinks we are the poacher."

It's an ambush. Barreling down the road, the team spots the bushmeat trader on his motorcycle. Shouting with guns pointed, they force him to pull over.

"How do you justify that this phone we called you from was found with a poacher?" Eckel asks the trader. "You were saying that you wanted to collect material, ivory."

"I don't know who called me," the trader claims. "Everyone in the village has my number."

The cell phone rings, answered by an eco-guard pretending to be the suspected poacher. The person on the other end of the line issues a breathless warning.

"Remove all the weapons from the camp by the river, we've spotted the eco-guards at the small port."

Meanwhile, the trader breaks, giving up the name and location of the cell phone's owner.

"They are just there, they live there. He's a young guy."

The team detains not one, but two brothers and take them back to one of the unit's checkpoints. One confesses to owning one of the rifles found at the camp, but both deny they shot at the eco-guards and refuse to give up the names of the other members of the gang.

Poachers poison 87 elephants for ivory

They are handcuffed and driven off to jail.

When we return to Brazzaville, we interview Henri Djombo, minister of Forest Economy and Sustainable Development, and ask about the rampant corruption claims.

He denied direct military complicity, but conceded the government needs to clean up its ranks.

"Yes, it is true that there are accomplices to this illegal trading of wildlife, that is not easy," he told us.

He insists that the government is committed to fighting corruption and ending the culture of poaching with impunity.

A few days after the two brothers were detained, their families gave up the names of the rest of the gang members, in hopes of getting the brothers out of jail.

Based on that intel, the unit carried out another raid. One of the eco-guards was severely wounded, run over by a motorcycle as they attempted to detain the suspected poacher.

As the team was transporting the wounded guard to hospital, gang members torched the eco-guard camp at the checkpoint.

Out here, the war on ivory trading is violent and personal.

Opinion: Elephant killings surge as tusks fund terror

China crushes tons of confiscated ivory

@highlight

A group of eco-guards track poachers in a park the size of Connecticut

@highlight

They uncover a canoe filled with elephant meat, a bloody ax

@highlight

Some guards are former poachers, who accepted amnesty and turned in weapons