(CNN) -- Here's what I want for Father's Day: I want my children to develop a passion for science. I've decided to grease the wheels. I've called the best for advice.

His name is Brian Greene, professor of physics and mathematics at Columbia University. He's getting kids engaged at his World Science Festival. He has even written a children's book based on relativity, "Icarus at the Edge of Time."

Icarus was the boy in the ancient Greek myth whose father crafted him wings of wax. The father warned Icarus not to fly too close to the sun. Icarus ignored him. His wax wings melted, and he died.

Greene's reincarnation of Icarus was born on a space ship -- part of a community of explorers on a 25-trillion mile search for life on another planet. He is 14, which gets my attention, because it's about the same age as my oldest daughter.

The length of the spaceship's journey means Icarus must live his whole life within the confines of that ship. "But," writes Brian Greene, the boy "had a palpable yearning for something beyond the life he'd been handed." One day the ship's captain, Icarus' father, announces: "We are making an emergency course diversion to avoid an uncharted black hole."

Icarus has built his own small spacecraft. He has done the calculations. He ignores his father's warning. He sets out to approach the black hole, to get within "a hairsbreadth above the point of no return."

He miscalculates ever so slightly and is thrust 10,000 years into the future. He is found by a new generation and is briefed on the long history he just missed, including the fact that the universe was now, as a result of the mission his father commanded, in an era of interstellar cooperation and lasting peace.

When Greene's wife read the story to their young son, the boy cried at the thought of the permanent separation. My own son, after he heard the story, wanted Greene to write a sequel that could bring Icarus back in time to be reunited with his dad.

I do not want my children to follow Icarus' perilous and lonely path. Or do I?

The young explorer

Greene says he wrote the book in part because he felt the Greek myth sent the wrong message: "That if you're a courageous young spirit, you pay for it with your life," Greene tells me. "My experience as a scientist is that, in order to push the boundaries of knowledge, you need to go where people tell you not to go."

It's an approach to life that psychologist Carol Dweck has found to be critical in a child's development. Dweck is a professor of psychology at Stanford University. And in some ways Icarus is her kind of kid.

Not that Dweck would ever encourage a child to fly near a black hole. But she's impressed that Greene's Icarus took a calculated risk -- not a reckless one. And his goal was worthy.

"It sounds as though Icarus weighed the pros and cons and made an informed decision. He was in search of knowledge and satisfying a real intellectual curiosity."

Mindset

In 40 years of studying children, Dweck has identified a key factor that makes some children more resilient than others -- a characteristic that enables them "to be able to withstand turbulence, to bounce back when they're knocked down." Dweck calls it mindset -- the growth mindset.

With a growth mindset, says Dweck, "people believe their basic abilities can be enhanced, developed through hard work, appropriate risk taking, experimentation, good instruction."

With a fixed mindset, "a child tends to view intelligence as a trait you either have or don't. You are either smart or dumb. That's it."

Kids who have this fixed mindset, says Dweck, see it as "a huge risk to try something hard because then they may stumble and prove themselves not smart." So they play it safe. Too safe. They don't challenge themselves.

When Dweck works with children, she teaches them "how their brains grow new connections every time they move out of their comfort zones -- every time they try hard things."

So, Dweck asks, "How do we create conditions for children to try hard things -- to be appropriately risk taking and resilient?" Her answer: "They are the same conditions that create a growth mindset."

The dinner table

Dweck suggests we find ways to communicate to our children that "we value doing hard things, persisting, focusing -- without preaching, of course. ... Even sitting around the dinner table and asking, 'Who had a great struggle today? What are you going to struggle with tomorrow?' "

The more you listen to Dweck's insights about the growth mindset -- the more you realize how much it has in common with the spirit of science. It's about taking the risk to explore. To discover. To fail. To get back up when you're knocked down and explore some more.

Icarus revisited

"Icarus at the Edge of Time" was performed last month by "Star Trek" actor LeVar Burton and an 80-piece orchestra in a 3,000-seat theater in New York packed with teachers, parents and students. A girl in the audience, Sadie, later asked: "Will Icarus be OK?"

That's what we parents want to know. Will our children be OK when we're not there to protect them?

Brian Greene's Icarus took a risk. He miscalculated. He survived. And he has a growth mindset. He is curious and resilient. I have to imagine, Icarus will be OK.

Do you think encouraging risk-taking in children is a good idea? Share your opinion in the comments section below.

@highlight

Michael Schulder asked some experts how he could interest his kids in science

@highlight

Physics professor Brian Greene wrote "Icarus at the Edge of Time" to inspire kids to take risks

@highlight

Psychologist Carol Dweck says kids can have a "growth mindset" or a "fixed mindset"

@highlight

Those with a growth mindset learn to take on hard challenges, Dweck says