(CNN) -- Twenty-five years ago last September, on the occasion of John Paul II's first visit to the U.S., two young priests appeared on the cover of US News and World Report with the title emblazoned across their chests, "The Pope's Foot Soldiers." I was one of those priests.

Twelve years later, I left the priesthood and the Augustinian order to begin a doctoral program in clinical psychology. Today, I've exchanged my Roman collar for a white collar job consulting leaders and executives in global organizations, helping them to meet the challenges they face in the trenches of corporate life.

As the College of Cardinals gathers in Rome this month to elect a new leader, there's no shortage of talk about the church's current troubles.

Some have suggested that the corporate world might provide the new pope with valuable advice on how to navigate the Church through rough and uncertain waters. But perhaps the most relevant contribution that corporations can offer the papal conclave is how to avoid the mistakes of the recent past in choosing a successor -- specifically, the potential pitfalls of moving a No. 2 senior leader into the No. 1 role.

Throughout the papacy of John Paul II, Cardinal Joseph Ratzinger (who is now the former Pope Benedict XVI) served effectively as a tough minded "COO" reviewing church operations globally, checking the orthodoxy of seminaries and ensuring that his boss' vision of realigning the church around a deeply conservative agenda was effectively executed. By most accounts, he performed this job reasonably well. His success in managing church operations enabled John Paul II to become the "people's pope," traveling the world and conferring with heads of state.

When John Paul died, many saw Cardinal Ratzinger as the perfect successor. He seemed to be familiar with the Church's challenges, was well known and generally well thought of by his peers and his doctrinal orthodoxy seemingly ensured a smooth and stable transition. That, at least, was the hope.

How the pope is selected

In fact, very early on in his papacy it became evident that Benedict lacked the vitality required to lead a scandal ridden church. He also did not have the necessary distance from the church's mismanagement to be a credible voice for change.

In our CEO succession work, we find that organizations often assume that the COO or even the CFO, by virtue of their knowledge of the business and their familiarity to the board, are best positioned to take on the top role.

In making this judgment, they may not be including in their calculus some essential qualities that can make all of the difference between a smooth and successful transition and a short-lived, rocky tenure that leaves the organization drifting and directionless.

Either way, there is no mistaking the critical importance of the leader at the helm. A case in point is Jeff Bezos of Amazon. A few years ago, Amazon was struggling with a business model that wasn't working and a clientele that was flocking to new websites and product lines. His leadership, vision and commitment to innovation has energized his company and brought new life to the brand.

The Church is at the brink of its own transition at the top that could have an enormous impact on its future vitality and direction. It represents a moment filled with opportunity and fraught with challenge. In that light, here are some of the questions that the last conclave should have considered and must be on their agenda this time around:

• What kind of strategic thinking ability has this leader demonstrated that suggest he will be able to pull together and communicate a compelling and unifying vision for the Church's future?

• Has this leader demonstrated an ability to effectively govern a large and complex bureaucracy? Is he a good judge of talent and willing to delegate critical management roles to the right people?

• Is this leader an extraordinary communicator, willing and able to utilize the electronic and social media to reach out to people across cultures and generations?

• Has this leader developed strong relationships outside of the Church with other leaders, both religious and secular, that can be leveraged to break down barriers and forge new and dynamic partnerships?

• How courageous and forceful will this leader be to push for changes that will cultivate broader ownership and participation in decision making among all members?

• Is this person seen as a leader of unfailing integrity who has not in the past and will not in the future succumb to the temptation to compromise core values?

These are the kinds of questions that the current College of Cardinals will hopefully be considering as they gather in Rome this month. They're similar to questions many corporations, confronted with compelling challenges and a need for new direction,have faced as they sought to consider who should fill their top role.

The papal conclave represents a great opportunity for the Church to demonstrate that it's learned some important lessons from the recent past. They can draw from the experiences of other global corporations around them to see that avoiding faulty assumptions and asking the right questions can prevent their having to schedule another conclave in the near future.

The opinions expressed in this commentary are solely those of Brian Frawley.

@highlight

Brian Frawley: Cardinals choosing new pope could learn from business world

@highlight

He says organizations sometimes elevate people in No. 2 positions to top spot

@highlight

Frawley: Choosing Benedict, who served his predecessor well, turned out to be a mistake

@highlight

Frawley: A leader must master strategy, communications, administration, other skills