(CNN) -- The hostage situation at Nairobi's Westgate Mall has raised four fundamental issues. These are Kenya's thinking on security, its state of preparedness, state responsiveness and the regional security dimensions.

Given the death toll, it is tempting to seek easy answers or adopt quick options, including perhaps withdrawing Kenyan troops from Somalia or scaling back Kenya's role in regional security matters.

Kenya has no option but to remain the central cog in the struggle to restore normalcy in Somalia. There are historical reasons for this -- in addition to the fact that Kenyan defense forces are already entrenched in Somalia.

For better or worse, history connects Kenya intricately with East Africa in ways that are difficult, if not impossible, to separate. Not only is Kenya the gateway to several East African countries, some of them are Kenya's main trading partners.

Read more: Al-Shabaab breaks new ground with Nairobi attack

Somalia's security and political history have become a part and parcel of Kenya's socio-economic reality. As an ethnic group, Somalis are separated into five different nations in the horn of Africa. Kenya has citizens of Somali ethnicity living in its north east, a historically marginalized part of the country that at one point preferred an irredentist option. Kenya's poorly policed border with Somalia is over 600 kilometers long. Some Somali are concentrated in Eastleigh estate in Nairobi while many others have spread across Kenya for trade and related purposes.

Given the Somali refugee population in Kenya, it is difficult to differentiate citizens from non-citizens with certainty. Indeed, since Kenyan defense forces entered Somalia in October 2011, north-eastern Kenyan towns have experienced the highest number of attacks from Al-Shabaab -- to which there has been minimal government response.

Read more: How Al-Shabaab picks its targets

This complex regional story is apt for the current metamorphosis and connectedness of global terror networks. Over the years, terror networks have borrowed tactics across regions. Their attacks are increasingly synchronized and Al-Shabaab is no exception to this process. This means that the threat that faces Kenya is real and complex and withdrawal from Somalia is not an option.

But can Kenya's response be different? The tendency in counter-terrorism action has been to borrow strategies from other places and deploy them locally. Kenya has borrowed extensively from the United States and relied on Uganda to mount a counter-terror programme in which security is thought of in military and defense terms.

Here, the use of extra-judicial force is preferred and replaces intelligence and surveillance. Locally, the police still think of security as synonymous with secrecy. They therefore never mobilize communities as key pillars of intelligence gathering and community support for security provision.

Kenya's main challenge is therefore to address the lack of a visible security strategy and/or policy framework. This was apparent in the state of preparedness (or the lack of it) and responsiveness to the attacks at Westgate mall. To be certain, Kenya's security establishment is well organized and impressively presented. The problem is the absence of a clearly articulated security vision and policy framework around which its citizens can collectively rally.

Three layers of strategic response must pave the way toward a Kenyan strategy that can potentially deal effectively with Al-Shabaab. Kenya needs to think beyond defense or purely military approaches, to ensure coherent and better use of security apparatus, and to mobilize society around a unifying security consciousness.

Read more: Al-Shabaab grew amid Somalia's lawlessness

Kenya's anti-terrorism plan is heavy with legislative action that anchors the military approach. This is important but hardly sufficient because there is an inherent danger in packaging security bills that polarize society into "us versus them."

This is the problem that has stalked Kenyan's proposed anti-terrorism legislation. Civil society and political opposition have contended the proposed law contains provisions that might roll back hard won civil liberties and sanction the profiling of innocent people. This view had a valid basis given the arrest and rendition of people to Uganda where the anti-terror law is more draconian. But such extra-judicial approaches simply lead to a dead-end.

The story of the Somali sketched above suggests there is obviously no place to chase "them" away to. Kenya needs to bring its citizens together to recognize security threats, to mobilize them into a common security consciousness and surveillance system that they trust and have confidence in.

This will require intricate work. But Kenya will not be the first country to think in such terms. Other societies have lived through decades of terror and collectively mobilized to challenge it.

The opinions expressed in this commentary are solely those of Godwin Murunga.

@highlight

Kenya shares a 600 kilometer border with Somalia and has many Somali residents

@highlight

Al-Shabaab blamed the presence of Kenyan troops in Somalia for its Nairobi mall siege

@highlight

Godwin Murunga says Kenya needs to unite its citizens around a visible security strategy

@highlight

Kenya has relied too heavily on a military approach to terror threats, Murunga says