Bangkok (CNN) -- Though on the surface it seems like another typical day in central Bangkok -- hot, muggy and busy, with traffic snarls around town -- tension is rising as protesters continue to exert pressure on the Thai prime minister to step down.

Thousands of demonstrators were expected to march on key ministerial buildings on Wednesday to demand an end to the government of Yingluck Shinawatra, ahead of a no-confidence vote in parliament on Thursday.

The escalating political tension has prompted travel updates from 23 foreign governments, according to the Thai Foreign Ministry. Among the countries warning their citizens to be vigilant are the UK, the U.S., Canada, Australia, Germany, Sweden and Singapore.

Locals and tourists appear unconcerned

For those not plugged into official information sources, there are few signs of what's being broadcast around the world -- images of government ministries under siege, rallies filled with thousands of cheering anti-government protesters and video of Yingluck explaining to the nation why she's implementing the Internal Security Act (ISA).

The ISA gives law enforcement officials and the military additional powers, including the right to impose curfews, put up checkpoints, restrict the movement of demonstrators and search for weapons.

Away from the affected sites it's pretty much life as normal in most parts of wider Bangkok. But while it's easy to avoid protests, as of Wednesday morning the situation had become extremely fluid and increasingly worrisome to some observers.

While the number of demonstrators, led by the Democrat Party, has declined from the 100,000 reported on Sunday, protesters claim tens of thousands of people are still on the streets. Authorities say the figure is closer to 10,000.

On Wednesday, they'll split into two or more groups, according to Akanat Promphan, a spokesman for the protesters. He told CNN they plan to march to a number of government buildings, including the ministries for Public Health, Social Development, Labor, and Science and Technology.

Another group is heading to a complex outside the city which houses a number of government offices. A primary target in this location is the Department of Special Investigation.

A city accustomed to protests

The capital's residents have become accustomed to political uprisings, hence the business-as-usual attitude among locals.

Thailand was wracked with turbulence for four years after a 2006 coup, culminating in a 2010 army crackdown on supporters of ousted Prime Minister Thaksin Shinawatra, the older brother of the current prime minister. More than 90 people were killed in the violence.

Foreign government have warned their citizens to be vigilant, despite assurances from the Thai government that authorities will "absolutely not use violence" to disperse the demonstrators.

On its website, the British Foreign & Commonwealth Office said, "A number of political demonstrations have taken place in various locations in Bangkok and elsewhere in Thailand since the start of November 2013."

"Further large scale protests are taking place with little warning, at various locations in Bangkok. The main ongoing protest area situated along Rachadamnoen Avenue including Democracy Monument in Bangkok has now expanded to include protests at a number of government buildings in central Bangkok."

In its security message to citizens, the United States Embassy in Bangkok said. "Even demonstrations that are meant to be peaceful can turn confrontational and escalate into violence."

Russian foreign ministry tells citizens to avoid Bangkok

Though most government warnings advised citizens to avoid protest areas, Russian media reports say their Foreign Ministry advises tourists to avoid the capital completely.

"The possibility of further escalation of the unrest should not be ruled out," the ministry said in a statement quoted by news agency RIA.

"In this respect, we recommend that Russians avoid visiting Bangkok. Those already there should take due care, comply with law enforcement officers' demands and avoid crowded areas."

Protests, what protests?

Security concerns notwithstanding, some tourists who spoke with CNN didn't even realize protests were taking place in Bangkok. Others said they were aware of the situation, but weren't concerned.

British traveler Charles Rowson, 43, who is on a 10-day vacation with his family, said he was keeping an eye on developments.

"I have been reading the local papers to keep up on the political situation and our hotel briefs us daily on the areas to avoid," he said, while waiting for his hotel's courtesy ferry to pick him up from the Saphan Taksin pier.

Tourism is a concern for the nation's travel industry right now, as Thailand enters its high season.

According to the World Travel and Tourism Council, the tourism and travel sector contributed $27.99 billion, or 7.3%, to Thailand's GDP in 2012.

A report on state-run website MCOT cites a senior Bangkok Metropolitan Administration official as saying tourism revenue may fall 10% lower than projected if the political demonstrations continue.

CNN's Jethro Mullen and Kocha Olarn contributed to this report.

@highlight

Despite anti-government protests, Bangkok residents remain calm, unconcerned

@highlight

More than 20 nations issue warnings for citizens to avoid political gatherings

@highlight

Some tourists didn't even realize there were protests taking place in Bangkok