Washington (CNN) -- America's longest war. Much more National Security Agency surveillance. An alphabet soup of new government departments and agencies. Long security lines at airports.

All those things happened in response to the 9/11 al Qaeda attacks on New York and the Pentagon that forever changed U.S. security perceptions and practices.

Now a commission created to examine what happened then says we need to do more now to protect ourselves.

Read the 9/11 Commission's new report

"The 'generational struggle' against terrorism described in 'The 9/11 Commission Report' is far from over," the panel said this week in reference to its assessment a decade earlier. "Rather, it is entering a new and dangerous phase, and America cannot afford to let down its guard."

Its bottom line assessment? "Strenuous counterterrorism efforts will remain a fact of our national life for the foreseeable future."

Here is a look at the report, analyzing what has worked, what hasn't and has to happen now.

WHAT WORKED

Going after al Qaeda's leadership

The immediate reaction to the hijack attacks that toppled the World Trade Center towers and damaged the Pentagon targeted the culprit -- the al Qaeda network of Osama bin Laden operating out of Afghanistan near the Pakistani border.

Years of war in Afghanistan ended the safe haven there for terrorists and achieved the goal of degrading al Qaeda's core, the report said. U.S. special forces eventually killed bin Laden in Pakistan.

Air travel security

Long security lines, reinforced cockpit doors, removing laptops from carry-on bags, no liquids, checking shoes -- all followed the attacks that killed 3,000 people.

A no-fly list that had 16 names before the attacks now has more than 1,000, the report noted.

So far, no similar foreign attack has occurred in America. The closest call came in 2009 when Umar Farouk Abdulmutallab failed to ignite an explosive in his underwear as a Northwest Airlines jet from Amsterdam approached Detroit on Christmas Day.

Expanded government

The Department of Homeland Security. The director of National Intelligence and the National Counterterrorism Center. The Transportation Security Administration. The FBI National Security Branch and the military's Cyber Command.

All exist in response to the 9/11 attacks as part of an unprecedented expansion and reorganization of government security resources.

"These measures have largely succeeded," the report said. "The mass-casualty attacks many feared in the wake of 9/11 did not materialize. Today, in large part because of these many reforms, the United States is a much harder target."

NSA surveillance

The security apparatus also expanded its ability to track telephone and computer communications after 9/11.

Former NSA contractor Edward Snowden leaked classified details of those programs last year, revealing they were much broader and potentially intrusive than publicly known.

A resulting backlash at home and abroad caused the Obama administration to make some changes without substantively changing the ability to monitor suspect communications.

"We believe these programs are worth preserving, albeit with additional oversight," the report said.

The American spirit

The Boston Marathon went on as scheduled this spring, undeterred by the terrorist bombings at the finish line a year earlier, the 9/11 commissioners noted.

"This year's triumphant marathon sent an unmistakable message to the world: Americans will not bend to terrorism," the report said, adding that "the country must continue to prepare for the unforeseen, but it appears to be moving in the right direction."

WHAT HASN'T WORKED

Full disclosure

The new report's biggest takeaway? Tell the people what they need to know.

Prior to the 9/11 attacks, "the government did not effectively explain to the public the evil that was stalking us," it said. "We fear that this is happening again."

On major issues of the day -- a transformed and resurging al Qaeda, the growing terrorist haven spawned by the Syrian conflict, increasing cyber threats -- "public awareness lags behind official Washington's," it said.

"If this gap persists, the political support for needed national security capabilities will fade," the report continued. "In today's very dangerous world, that is something we can ill afford."

Efforts to reduce Islamic extremism

Islamic extremism has increased in the past decade, the report said.

"While al Qaeda's various affiliates are enmeshed in their own local conflicts, hatred of the United States remains a common thread," it added, citing the emergence of groups such as Al Qaeda in the Arabian Peninsula, the Islamic State of Iraq and Syria, Al Shabaab and Boko Haram.

"Partly, this is a consequence of the Arab Spring and the power vacuums and ungoverned spaces that have sprung up in its wake," it said. "Partly, it is the result of America's inability or reluctance to exert power and influence in a number of places."

In particular, the commissioners noted their 2004 report on the 9/11 attacks said that if Iraq became a failed state, "it will go to the top of the list of places that are breeding grounds for attacks against Americans at home."

Today, the Islamic State of Iraq and Syria controls vast territory in those countries, creating "a massive terrorist sanctuary," the latest report said.

A State Department official warned a congressional committee on Wednesday that "ISIS is al Qaeda."

"It may have changed its name, it may have broken with senior al Qaeda leadership such as Ayman al-Zawahiri, but it is al Qaeda in its doctrine, ambition and increasingly in its threat to U.S. interests," said Brett McGurk, the deputy assistant secretary for Iraq and Iran. "In fact it is worse than al Qaeda."

Congress

Not surprisingly, a dysfunctional Congress with some of the lowest approval ratings also gets cited by the 9/11 commissioners.

The funding process for national security is fragmented, with multiple budget categories providing the money. In addition, the Homeland Security Department reports to more than 90 congressional committees and subcommittees.

"While the executive branch has undergone historic change and institutional reform, Congress has proved deeply resistant to needed change," the report said. "It has made some minor adjustments, but not the necessary structural changes in oversight and appropriations for homeland security and intelligence."

WHAT NOW

Prepare better for cyber attacks

According to the report, readiness to deal with cyber attacks "lags far behind the threat."

The commissioners noted the issue got little mention in their 2004 report, but now represents a constant and growing concern.

"One lesson of the 9/11 story is that, as a nation, Americans did not awaken to the gravity of the terrorist threat until it was too late," the report said. "History may be repeating itself in the cyber realm."

It called for government leaders to "describe to the American people, in terms as specific as possible, the nature of the threat and the tools they need to combat it."

"A growing chorus of senior national security officials describes the cyber domain as the battlefield of the future," the report said. "Yet Congress has been unable to pass basic cybersecurity legislation, despite repeated attempts."

Use of military powers

After 2001, Congress authorized the use of military forces against terrorists behind the 9/11 attacks. It remains the legislative permission slip today.

The report said the authorization needs updating, calling on the administration to "clearly explain whether it needs new legal authority to confront threats like ISIS and how far, in its view, any new authority should extend."

Better oversight

Streamline the system so that the NSA and the Homeland Security Department have more clear and direct oversight, the report recommended.

"If Congress is not effectively overseeing these programs, no one is," the report said.

Vigilance

The biggest threat to America is failing to recognize the threat still exists and is growing.

"Many Americans think that the terrorist threat is waningâ€”that, as a country, we can begin turning back to other concerns," the report said. "They are wrong."

The threat remains "grave," it continued, warning "we cannot afford to be complacentâ€”vigorous counterterrorism efforts are as important as ever."

In particular, the report said, "young Americans need to know that terrorism is not going away."

CNN's Mike M. Ahlers and Jeremy Diamond contributed to this report.

@highlight

Americans don't realize the terrorist threat they face, a new report says

@highlight

Get used to "strenuous counterterrorism efforts," the 9/11 commission says

@highlight

It issued a new assessment 10 years after its report on the 9/11 terrorist attacks

@highlight

Cyber attacks have become a major threat, the new report says