A new buildup of Russian troops along the Ukraine border raised concerns Tuesday that Moscow might be contemplating another intervention like the one that annexed Crimea earlier this year.

According to a NATO official, Russia now has about 20,000 troops stationed "in an area along the entire border with eastern Ukraine." The buildup nearly doubled the troop deployment in the last week by adding 8,000 more forces to 12,000 already there, the official said.

It comes a week after the United States and the European Union increased economic sanctions on Russia for supporting pro-Russian separatists fighting Ukraine government forces in the eastern regions of Donetsk and Luhansk, along the border with Russia.

In addition, Russia's Defense Ministry is staging a week of military exercises involving air troops and anti-missile defense forces. The exercises are taking place in Russia's southern Astrakhan region, roughly 500 miles from the border with Ukraine.

Similar military exercises in the region preceded Russia's annexation of Crimea in March, which escalated the Ukraine conflict following the ouster of pro-Moscow President Viktor Yanukovych a month earlier.

Donetsk braces for offensive

Meanwhile, Ukraine government security officials said Monday they were preparing for a "massive assault" on Donetsk city, state media reported. Inside the city, a rebel stronghold for months, shelling has already pushed some residents underground into cellars and half-built basements.

Russia's Foreign Ministry claimed in a statement Monday that the Ukrainian military was firing missiles and using multiple rocket systems in and around the city.

It accused Ukraine's government of wanting to continue the war and called for talks to find a political situation to the crisis.

With escalated fighting and Ukrainian forces making gains, the Russian deployment at the border could portend an intervention under the banner of a peacekeeping operation.

"On a human scale, the situation in the east -- particularly in Donetsk and Luhansk -- is disastrous. Today, with all certainty, there's a need to speak about a true war," Vitaly Churkin, Russia's ambassador to the United Nations, said Tuesday.

Russian troop buildup

The NATO official said Russian forces gathering at the Ukraine border included a "spectrum" of assets: infantry, mechanized divisions, armor, a lot of artillery, conventional and air defense, and special forces and logistics.

"They are very capable Russian regular units and can move in a matter of hours and could significantly disrupt the situation" in eastern Ukraine, the official said.

The Ukrainian government and Western leaders accuse Russia of fomenting instability in its neighbor by arming and supporting the rebels there, which Russia denies.

The downing of Malaysia Airlines Flight 17 on July 17 exacerbated the situation.

Malaysian plane downed

U.S. and Ukrainian officials allege that a Russian-made missile shot down the plane from rebel-held territory, killing all 298 people on board. Russia and the rebel fighters deny involvement.

Earlier this year, Russia amassed about 40,000 troops on the Ukraine border and threatened to invade, NATO said in a fact sheet published last month.

Putin then ordered most of the soldiers to return to their bases, leaving about 12,000 of July 11, NATO said.

On Tuesday, Ukraine's National Defense and Security Council said the Russian deployment now numbered as high as 45,000, and that there had been 26 clashes in the past 24 hours, including six attacks from Russian territory.

Meanwhile, Russian combat aircraft crew will practice firing at air and ground targets in unfamiliar territory, the defense ministry said of the military exercises in the region. The maneuvers will involve 100 aircraft, including fighter jets, bombers and combat helicopters.

In its fact sheet, NATO challenged Russian accusations that the alliance is escalating the crisis in Ukraine by bolstering its support for NATO members in Eastern Europe.

"Over the past months, Russia has also embarked on an unprecedented schedule of no-notice military exercises involving massive numbers of troops and heavy equipment," NATO said, adding: "Russia should explain what its military plans are before it starts accusing others of posing a threat."

Search for remains

An official with knowledge of the MH17 investigation told CNN that a significant part of the crash site was between Ukrainian and separatist front lines, which constantly change.

A 17-vehicle convoy of 110 experts accompanied by nine international monitors made it to the site on Tuesday, the Organization for Security and Co-operation in Europe said via Twitter.

The experts, from the Netherlands, Australia and Malaysia, were hampered in their search efforts Monday by renewed fighting in the area.

Monday's search focused in and around the village of Petropavlivka, in the western part of the huge debris field, but the team was unable to complete its mission after an initial delay.

They did recover some personal belongings of those on the flight, including photo albums and passports, said Pieter-Jaap Aalbersberg, head of the Dutch recovery mission.

"Although some access to the crash site has been secured, we still don't have the unimpeded and complete access to the site -- all of it -- that is essential," Gary Quinlan, Australia's ambassador to the United Nations, said Tuesday.

In addition, a team of about a dozen U.S. military specialists arrived Tuesday in Kiev to assist the recovery effort, Pentagon spokesman Rear Adm. John Kirby told reporters.

"They are military; they will not leave Kiev," he said, adding that the team includes experts in communications, logistics and other areas that can aid the investigation.

"Recovery operations is something, tragically and unfortunately, the U.S. military has to do and has to be good at," Kirby said.

Refugees flee conflict

The ongoing fighting has killed close to 1,400 people -- civilians and combatants -- and more than 4,000 people have been wounded in eastern Ukraine since mid-April, according to U.N. officials.

The fighting has also forced hundreds of thousands of people to flee their homes and seek shelter either elsewhere in Ukraine or across the border in Russia.

The U.N. refugee agency, the UNHCR, said Tuesday that the Russian authorities estimate that around 730,000 Ukrainians have sought sanctuary in Russia this year under a visa-free travel program. This includes more than 168,000 who have reported to Russia's Federal Migration Service.

UNHCR's European director Vincent Cochetel told journalists in Geneva that about 80% of the Ukrainians who have fled to Russia are staying in border areas, while others are with friends or family in other parts of the country.

Many people in eastern Ukraine are Russian-speaking and have strong ties to Russia.

At the same time, nearly 118,000 people are reported to be internally displaced, most of them from eastern Ukraine, based on information given to the UNHCR by Ukrainian authorities and local NGOs.

"In the past seven days more than 6,200 people have been forced from their homes," Cochetel said.

Many have fled with limited possessions, some driven out by the destruction of homes and infrastructure, while others say they fear being caught in the crossfire or suffering persecution.

John Ging, operations director of the U.N. Office for the Coordination of Humanitarian Affairs, called on all sides Tuesday to allow people to move freely and safely.

"The humanitarian situation is deteriorating, and the worrying increase in violence in urban areas puts a greater number of people at risk.

"Until violence is ended, we will continue to see an increase in human suffering, and in the number of people displaced. Immediate action is required to prevent this crisis from worsening," he said, according to prepared remarks.

Donetsk residents hunker down

MH17 crash site: Dangers delay investigators; Ukraine warns of mines

MH17 crash: Get up to speed on the latest from Ukraine

@highlight

Close to 1,400 people have been killed, and more than 4,000 wounded, since mid-April

@highlight

"Today, with all certainty, there's a need to speak about a true war," says Russian official

@highlight

A U.S. military team in Kiev is aiding the recovery effort of downed Flight MH17

@highlight

NATO official says there are about 20,000 Russian troops near the Ukraine border