(CNN) -- Julian Cardona is a photojournalist who works in the "murder capital of the world" -- Juarez, Mexico.

He takes pictures of bodies and survivors, migrants and countrymen, violence and vigils.

The 51-year-old photographer puts his life on the line for such photography because he wants the world to know of a patch of earth that many American journalists -- even those in Mexico, too -- fear to tread and often avoid.

That's because the violence by Mexican cartels and other criminals who control swaths of the borderlands have secured a reputation for ferocious violence and carnage, including to those who dare to chronicle the death toll.

To capture the human suffering and endurance, often in the powerful imagery of black-and-white photographs, Cardona doesn't venture out alone anymore. He partners with other photographers -- who had been competitors under less dark times -- because they believe there's greater safety in numbers.

"When you work as a local journalist, it's more frequent that you (are) facing more risks," he said in an interview at California State University, Northridge, where he spoke to students about cartel violence and where his photos are on display this month.

Cardona has observed how the Mexican side of the border has been a landscape of change, beginning with the North American Free Trade Agreement in the early 1990s to the massive movement of Mexicans to the United States and elsewhere.

Many parts of Juarez are now a "ghost town," he says.

Last year, Juarez recorded 1,933 violent deaths, according to the Chihuahua state attorney's office. That figure is considered exorbitant, especially when compared with the 209 homicides in New York City last year, even though that U.S. city's population is six times greater than Juarez's.

Even so, that figure represented a 38% decline in violent deaths from the year before, when the city counted 3,117 killings. The number of violent deaths was 2,643 in 2009 and 1,607 in 2008. A mere 300 killings were reported in 2007.

Juarez also is known for its high "femicide" rate, the unsolved murders of hundreds of girls and women.

"During my childhood, Juarez was a very calm place, very secure place," Cardona told CNN.

"It's changed to be very insecure and has become for four years the most violent city on the earth," he added.

"You are covering one massacre as another massacre is happening in another district of the city," Cardona said. "We have disappearances of women, we have disappearances of men, we have execution of women, execution of men, bodies of women left in the desert. People who don't pay extortion are assassinated. People who are kidnapped are assassinated, also. People who refuse to give their cars are killed, also. It is a wide spectrum of where you can be killed in Juarez.

"According to some of my colleagues," he continued, "90% of the cases are never investigated. That can give you the idea of the role of the state and this terrible situation."

Before Juarez became synonymous with homicide, the city used to be a party town, with a robust nightlife.

But a University of Juarez study shows that the bloodshed since the early 1990s has displaced 250,000 people, Cardona said.

"In many places it looks like a ghost town, a ghost district," he said.

Cardona dares to enter these haunted places -- as well as populated neighborhoods.

"Most of the time the people I meet are going into turning points of their lives. It's very often I'm a witness to these changes in their lives," he said.

"Under these circumstances, it is incredible how people are still open to talk to a journalist and tell their stories, and how their communities have been devastated by the economy, and how they cannot sustain their lives and families' educations -- they have to migrate to the U.S. -- and also how people struggle to survive and make a living in the U.S. doing very dangerous jobs."

Cardona lives in Juarez, but his parents and siblings live across the border in El Paso, Texas, and don't visit him because of the violence, he said.

CNN's Jade Biesboer contributed to this report.

@highlight

Julian Cardona, 51, visits California to display his photos of Juarez, Mexico

@highlight

Juarez is called "the murder capital of the world"

@highlight

The 51-year-old photographer doesn't venture out alone any more because of the violence

@highlight

Cartel carnage has turned parts of his one-time "calm" hometown into a "ghost town," he says