Athens (CNN) -- The new Greek government, formed after four days of horse-trading by three party leaders, is the country's first coalition in 60 years. Since 1952, a combination of electoral systems and political polarization produced a comfortable single party majority every time an election was held in Greece.

This glorified tradition was supposed to provide the country with stable governments and strong leadership, as two big parties were alternating in power. But after 60 years -- or at least 38, counting from the collapse of the military dictatorship in 1974 -- it has provided the country with an ossified political class, inept public service, deep-routed clientelism and omnipresent corruption.

A retired public servant once described to me the process: "When parties alternate in power after an election, what goes on in the public service is a hand over from one mafia organization to its rival."

Ministers walk into their fiefs, escorted by dozens of political counselors who take over from the counselors of the previous minister and do the job, instead of the top public servants, who are discarded, unless they are party loyalists. Public service has thus become gradually annexed to a party system, distributing the spoils of power. Parliament has been subdued to party leaders, as members of the majority usually express loyalty to the leader, waiting their turn for a ministerial post.

Justice has been also partly subdued: since the heads of the three supreme courts are chosen by the government, career judges learn that they have to have friends in politics, if they wish to have a chance at the top jobs. The result of decades of single party majorities was a special brand of democratic regime. Let's call it "partitocracy:" Two big parties running the country -- and killing it softly, by bribing it to its death.

Does this explain Greece's present economic woes? In part, yes. Greece was the first victim of a euro-wide crisis, which would have hit its small, open, vulnerable economy even if the country were run by the wisest of men with the integrity of monks.

But partitocracy has certainly precipitated the crisis, made Greece the hardest hit among all peripheral economies and, most importantly, made it almost impossible for Greece to reform itself out of the crisis. Public service reform, tax collection reform, electoral law reform are made impossible, because an unreformed party system would always treat reform as a deadly threats.

So, yes! Forming a coalition government, with intra-party checks and balances and the presence of a newcomer, a party that has not participated as yet in corrupt party politics, might be good news for the country.

I am not sure the new government will prove able to negotiate a better deal with its European partners or lucky enough to live through a change in the core European policies that will address the fundamentals of the euro crisis. But I hope that at least it can rid Greece of its main plague: partitocracy.

@highlight

New Greek government, formed after four days of horse-trading, is country's first coalition in 60 years

@highlight

Old form of government has led to ossified political class and corruption, says Pavlos Tsimas

@highlight

This system has led to financial crisis and made it almost impossible for Greece to reform, he says

@highlight

Tsimas says presence of party that has not participated in corrupt party politics might be good news