Washington (CNN) -- Targeted political advertising is heading to a new but very familiar frontier -- YouTube. If you live in Syracuse or Long Island, New York, and go to the popular video sharing site in the next two weeks to find a news clip or view a favorite home decorating show, the first thing that will pop up on your screen will be a political ad.

For the first time a political campaign is targeting voters by ZIP code on YouTube. The U.S. Chamber of Commerce added this new advertising tool to the broadcast media strategy it recently launched focused on a number of House and Senate races, one of the earliest and biggest efforts the pro-business lobby has unveiled to date.

In seven New York congressional districts where the Chamber is running paid television ads, it added a new layer -- running those TV ads on YouTube.

"The stakes of this election are huge for the business community and we recognize as we roll out our different phases of the campaigns, we're going to use broadcast but we're also going to use YouTube," said Scott Reed, senior political strategist for the U.S. Chamber of Commerce. "We're going to use the Internet to reinforce and repeat and repeat and repeat the messages of how important it is to have a growing economy and candidates that are pro-growth."

Anyone who visits YouTube in the next two weeks -- and whose IP address or computer location falls within any of the ZIP codes of the specific New York districts -- will see the Chamber's ad before seeing a video clip. The program, called "TrueView" allows the user five seconds to "opt out," or stop playing the political ad. And the Chamber only pays for the ads that people watch.

Corporate advertisers have been using so-called "pre-roll ads" on websites to sell toothpaste or preview a movie coming to theaters soon. But the technology to target ads to specific ZIP codes was just released in March by Google, which owns YouTube, according to Rob Saliterman, who leads Google's advertising sales to political campaigns and issue advocacy groups.

The Obama campaign pioneered targeting voters online and on mobile devices in 2008, and both parties now feature online outreach components to get out their messages. But this effort is the first instance of a campaign turning to YouTube to aim its political pitch at specific ZIP codes.

Reed calls combining the online ads with TV a "one-two punch." The effort includes a variety of ads, which the Chamber is using to gauge how voters respond to different messages online. Three positive ads promote the pro-business credentials of GOP freshman Reps. Ann Marie Buerkle, Chris Gibson, and Nan Hayworth. Three negative ads, which the Chamber calls "contrast" ads, criticize Democratic Reps. Louise Slaughter, Kathy Hochul and Bill Owens for supporting "Obamacare" and argue they oppose pro-growth policies. One ad combines criticism of Democratic incumbent Rep. Tim Bishop with a plug for his GOP challenger Randy Altschuler.

A Nielson study commissioned by Google last year found that viewers who see advertising across multiple platforms are more likely to retain the message.

The Chamber's strategy demonstrates it believes the same successful experience businesses found with online ads could translate into the political arena.

Dan Maffei, who is challenging Buerkle to retake the central New York seat she knocked him out of in 2010, isn't convinced that this kind of micro-targeting will make a big difference in the fall election.

"It doesn't surprise me that big money is going to come in on my opponent Anne Marie Buerkle's side because she supports these big business things that are good for them, but it's not at all connecting to our local chamber of commerce," Maffei told CNN.

Maffei said his local Syracuse chamber didn't contribute to the ad or sign off on the effort and said the national business lobby's message doesn't mesh with local concerns.

"It's almost like it's just coming in from above with a message that's generic in an attempt to prop her up in a district where she doesn't have that kind of support, even from small businesses," he said.

The Chamber's television campaign is a multimillion-dollar effort, but Reed declined to say how much specifically the chamber is spending on the YouTube component. One expert familiar with online advertising says the average cost of a pre-roll ad is roughly 10 to 15 cents per view. Over the course of two weeks, potentially thousands of users could view each of the ads in the seven districts.

Saliterman stressed that the data collected on the ads does not contain any personally identifiable information, but Google can pull together some aggregate data on age and gender and interest categories based on who watches the ads on YouTube.

Reed calls the data it will get from the YouTube after the two-week run "survey research."

"We're able to go in and look at how long people are on the ads, if they like the ads and stay until the end of the ad, if they stay on more for a positive ad or a contrast ad," Reed said, adding, "this is another tool to help us decide if our ads are penetrating and working and getting to the voters."

It's no surprise that YouTube is the place to start this type of targeted political outreach. More than 2 billion videos are streamed each day on its website and approximately 100 million unique users in the United States click on the site every month, according to YouTube's own statistics.

Earlier this year, the Democratic Congressional Campaign Committee paid to run an ad on You Tube hitting the House Republican's budget proposal and featuring actor Martin Sheen. It targeted users who typed any search for "Medicare."

But the Chamber's move to focus resources to reach voters in specific congressional districts could prove to be a more effective use of money. Television ads are pricey and candidates are often forced to buy time in markets that broadcast outside their particular district's borders. With people increasingly turning to mobile devices to get news or view entertainment programming on their own schedules, fewer people are watching television programs when they actually air.

A study in Ohio last fall conducted by Targeted Victory, a group working with Republican pollsters, found that 40% of likely voters were "going off the grid" and had not watched live television within the previous week.

The Chamber's move is a reflection of the changing environment that can make getting political messages out a greater challenge.

"We know in today's fractured media world, people get their messages from many different places, and the Internet is becoming the top place," Reed noted.

"Technology is very important to reaching voters, and clearly the Obama campaign showed that and we (Democrats) used Twitter and Facebook and all that to get our message out," Maffei said.

But the Democratic candidate said he believes Buerkle's constituents will focus on the GOP congresswoman's record this fall more than the message in the 30-second online ad.

"You have to talk to voters," Maffei said. "You can't just spoon-feed them."

CNN.s Dana Bash contributed to this report.

@highlight

For the first time a political campaign is targeting voters by ZIP code on YouTube

@highlight

U.S. Chamber of Commerce is running the ads in seven New York state districts

@highlight

The technology to target ads to specific ZIP codes was just released in March by Google

@highlight

Google says collected data does not contain any personally identifiable information