Second Life allows people to lead two lives -- one in the real world and another in the virtual. But in a way, Second Life itself leads two lives.

In just fours years of existence, Second Life has moved far beyond people simulating other lives on the Internet.

In its first, well-publicized life, it's a forum for residents to socialize, shop and even have sex via on-screen avatars. In its second life, it's a flexible platform for running inexpensive simulations and experiments.

The latter might prove to be the most important.

"Second Life's real potential may be that of an experimentation platform," says Eric Klopfer, a professor at MIT. He notes the ability within Second Life to rapidly construct objects and experiences "without having to build the world from scratch."

Indeed, it's relatively easy for residents to build objects that others can use, sit on, walk through, pick up and so on. That can mean anything from a hammer to a house to a landscape. And since it's also easy to share, replicate and tweak creations, Second Life is a world of abundance for creators.

That makes it an effective testing platform for trying out concepts quickly and cheaply. David E. Stone, an MIT research fellow, reports creating simulations in three days -- for $350 -- that others proposed building in six months for $60,000.

That's caught the attention of the corporate world. Many companies see potential savings, for instance, in moving parts of their new-employee training programs to a virtual world. Stone has been hired by a range of companies -- from a pest extermination firm to a power plant operator -- to create prototypes of such systems in Second Life.

Security concerns

Testing a concept in Second Life doesn't have to mean hosting the final product there. Security might be a concern, for instance.

"By definition, social networking is open," notes Paul Terlemezian, president of iFive Alliances, a corporate-training consultancy in Atlanta. "That's kind of contrary to corporate training, which is closed and proprietary."

A company, then, might try to find a more secure virtual environment, or perhaps add security elements within Second Life.

Of course, most of the experimenting done in Second Life is far more light-hearted. But it's still often easy to envision commercial or educational applications.

In one YouTube clip a man is seen exercising on a treadmill in front of a large plasma screen that displays scenes from Second Life. Using the wireless controller from Nintendo's Wii console, he appears to indicate which scenery he would like to jog "through" on the screen. If that's a workable concept, the fitness equipment industry might like to know about it.

Other Second Life experiments aim to make experimentation itself easier -- especially important for those with little programming knowledge. This suggests that the level of creativity will only increase.

Many residents who have learned how to create objects -- like a house -- still lack the scripting skills to add behavior to those objects. So Eric Rosenbaum, a grad student at MIT's Media Lab, is building a user-friendly programming tool for easily adding behaviors. When the tool is available, turning a static dance floor into an interactive one that shakes when stepped on could simply require dragging a "Shake" module over it.

How a capability like that might be used is anyone's guess, including Rosenbaum's, he admits. But, he adds, "We could see a blossoming of new content created by people who don't have any background in programming, but who can imagine and create new kinds of experiences in Second Life."

Tapping users' creativity

Of course, back in 2003 when Second Life was launched as a largely user-generated virtual world, how it would be used was anyone's guess. But the whole idea was to tap the creativity of the residents themselves.

"I'm not surprised by the amount of experimentation in Second Life," says Philip Rosedale, founder and CEO of Linden Research, the company behind the virtual world. "I always expected to see resident innovation and creativity."

Yet this aspect of Second Life has been overshadowed of late. Residents who socialize primarily in the virtual world have been chided to "get a first life." Madison Avenue has been lampooned for spending large sums on branded virtual islands that nobody hangs out on. But aside from these cycles of hype and anti-hype, the original goal of uninhibited mass experimentation proceeds apace.

Just as the company gave up some control to encourage creativity, some creations in Second Life operate freely on their own.

Resident-created Svarga Island, for instance, boasts an interdependent ecosystem within Second Life that acts according to the rules of "nature," with tropical plants needing the insects and everything needing the physics-driven rain clouds. Every element acts according to rules, but within that framework there is much randomness -- just like with nature. It's easy to see the educational possibilities.

Some experiments involve bringing things out of Second Life and into the real world. Residents are now looking to three-dimensional printers, among other methods, for turning their virtual objects into real ones.

"The possibilities on Second Life are endless," says Janet Travers, who designs virtual ball gowns she hopes to bring to the real world. "We are only limited by our imaginations."

Other experiments within Second Life are kept out of general view. Stone tells of a surreal encounter he had with a software programmer's avatar about six months ago. On a dark night in the virtual world, he says, "we walked off the edge of his land to a spot deep beneath the ocean and into an underwater cave. He then showed me some achievements in software engineering that were well beyond what I then thought was possible in any environment, real or virtual."

Whether Second Life continues as a popular place to hold such experimentation remains to be seen. Rosenbaum was attracted by its "large existing user base" and "creative culture." Other platforms, though, have drawn attention for their own merits. Croquet, for instance, trumpets being open-source and decentralized.

As a proof of concept, though, Second Life has already been an interesting experiment. E-mail to a friend

@highlight

Second Life's real value may be to test ideas, analysts say

@highlight

Many companies already have moved employee training to Second Life

@highlight

Some creations in Second Life are operating on their own