(CNN) -- The spending bill which funds almost all of the government through September 30, 2015, has a lot of moving parts and special provisions. There's more money to fight Ebola and less money for the IRS. The District of Columbia is prohibited from legalizing marijuana.

But the most important part -- and the most disturbing -- is the repeal of a banking regulation provision passed under the Dodd-Frank law after the financial and economic meltdown of 2008.

In Washington, Wall Street is back in charge. And once Republicans get full control of Congress in January, they will relentlessly attack the financial regulations that help to prevent banks from putting the economy and taxpayers at risk.

At first glance, the deleted regulatory provision is a little obscure. It prohibited banks from trading complex and risky financial instruments from within the bank's main corporate structure, requiring those risks to be taken from separate subsidiaries -- hence the name of the provision, the "swap push out." Such transactions were "pushed out" under the Dodd-Frank law so that insured deposits and access to the Federal Reserve's discount window wouldn't be tied to excessive risks.

Under the Dodd-Frank provision, banks could still do their risky transactions -- they just couldn't back them up with taxpayer-insured deposits. The 2008 financial crisis was caused in part by banks bringing these risks into their core business models, putting the entire financial system in danger when the transactions all went belly up. The result was that taxpayers ended up paying billions of dollars to bail out the banks.

Like other for-profit firms, banks take risks. That's fine. But banks are also the financial system in our society, and aggressive risk-taking can threaten not only their own profitability, but the entire economy. That's what we saw in 2007-2008, when the excessive and unreported risks taken by financial firms almost plunged the world into an economic collapse and kick-started the worst downturn since the Great Depression.

But Wall Street is once again calling the tune, and Congress is dancing to it. The repeal of "push out" was accomplished with no committee hearings, no public testimony in favor or against, and no explicit votes on the provision.

Unbelievably, the repeal provision was taken, in large part word for word, from a memo written by lobbyists for Citibank. A tweet from Rep. Mark Takano, D-California, highlights sentences that are identical, showing how eerily similar the two documents are.

Rep. Kevin Yoder, R-Kansas, inserted the provision into the spending bill, with no debate or discussion. And when opponents got wind of it, banks pulled out the stops on lobbying. A source told Politico that Jamie Dimon, chairman of JPMorgan Chase, made calls directly to legislators to argue in favor of repeal of the "push out" rule.

It was only back in 2012 that Dimon was defending $5.8 billion in losses from these types of risky transactions, in the "London Whale" scandal. JPMorgan Chase later admitted to the Securities and Exchange Commission that the company's traders may have been covering up -- in other words, lying about -- the extent of the losses.

And now Dimon has asked for, and Congress has granted, a relaxation of the very regulations meant to protect taxpayers from having to pay for these kinds of risks.

This victory for the financial industry reflects the sad fact that expensive lobbying works. In the recent election cycle, banks and other financial institutions have so far reported over $1.2 billion in lobbying and campaign contributions, which works out to just under $1.8 million a day, according to Forbes.

Progressive Democrats and conservative tea party Republicans both attacked the deregulation, but the repeal passed anyway. The Obama administration went along with it because officials wanted an overall budget agreement, fearing they would get a worse deal when Republicans have control of Congress in 2015.

Sen. Elizabeth Warren, D-Massachusetts, noted that "Democrats don't like Wall Street bailouts. Republicans don't like Wall Street bailouts. The American people are disgusted by Wall Street bailouts."

This repeal is testimony to how much power Wall Street has over Congress, and it sets the stage for more expensive future bailouts at the expense of taxpayers.

In the next Congress, we will see full-fledged and well-funded attempts to gut much of the Dodd-Frank law, to the benefit of banks but to the detriment of consumers, taxpayers and small businesses. An unidentified senior Republican Senate aide told The Hill the latest rollback of regulation is one of "the first cracks in the Dodd-Frank armor."

I would bet that many tea party supporters and advocates of small government didn't think they were voting to let big banks put the economy, and all taxpayers, at risk once more. But that's what a GOP-controlled Congress looks ready to do. This bad decision on the "push out" rule is likely the first shot in an all-out anti-regulatory war that will enrich the banks further. But it will put the rest of us -- Republican, Democrat and independent alike -- at greater economic risk.

@highlight

Congress passed a spending bill that repealed a critical rule in the Dodd-Frank law

@highlight

Rick McGahey: Essentially, it means Wall Street is back in charge

@highlight

Repeal of provision means risk of banks' transactions will be passed to taxpayers, he says

@highlight

McGahey: Repeal provision was basically from a memo written by lobbyists for Citibank