(CNN) -- Rising from the desert like a space-age skyscraper, there is something equally awe-inspiring and unnerving about the five-star Meydan Hotel.

At night, the sleek glass building glows green and purple, its distinctive crescent roof looming high above the manicured race track below.

It's an opulent and eerily futuristic setting befitting the richest horse race on the planet -- the Dubai World Cup, which kicks off this weekend.

With more than $27 million in prize money on offer over the 11-day carnival, it's little wonder the world's greatest race horses, and their influential entourage, flock every year to the United Arab Emirates.

But can the grand architectural statements and megabucks compete with the prestige of centuries-old races like the Kentucky and Epsom Derby?

The country's ruler, Sheik Mohammed bin Rashid Al Maktoum, seems to think it can, and he's willing to dig into his deep pockets to ensure Dubai is very much on the international horse racing map.

"Prestige has to do with the tradition and culture of the region," said chief executive of the Dubai World Cup Frank Gabriel. "We're 17-years-old, so we're still very young."

"You can have a prestigious race, but you can also have the very best race horses in the world -- which is what we have."

Gulf's sporting muscle

Launched in 1996, the Dubai World Cup is a relatively new player on the horse racing circuit, and carving out a name as an internationally renowned competition has taken huge investment.

While the U.S. and Europe battle against austerity measures, the Gulf's wealthy horse-mad sheikhs are pumping billions of dollars into boosting the region's racing status.

"Throughout my career, Sheik Mohammed has been the most influential man in the horse racing world," said American Dale Romans, who last year won the award for most outstanding trainer in the U.S.

"He breeds thoroughbreds, he buys them, he competes them -- he does everything. He has very deep pockets in the game and he's willing to spread the wealth around."

It's part of a larger campaign by the oil-rich Gulf to become a premier sporting destination -- and not just for horses.

Qatar will be the first Arab state to host the FIFA World Cup in 2022, while investors across the region continue to buy up European football teams.

Among the big players are the Qatar Investment Authority, which owns France's Paris Saint-Germain, and Kuwaiti businessman Fawaz Al Hasawi, who last year bought English club Nottingham Forest.

Cutting-edge course

Back on home turf in the UAE, the $1 billion Meydan Racecourse -- headquarters of the Dubai World Cup -- is the glittering crown in Sheik Mohammed's racing empire.

The grandstand alone is 1.6 kilometers long, while the site boasts a 285-room luxury hotel with roof-top pool, a marina, racing museum, and IMAX theatre.

"It's over-the-top, it's just gorgeous, everything about it is first class," Romans said of the Meydan Hotel where he is staying before competing in Saturday's race.

"It's almost futuristic -- everything is brand new and spotless with shiny glass and metal."

The high-tech course, which champion Italian jockey Frankie Dettori famously described as "like a spaceship from 'Star Wars," is worlds apart from the classic southern charm of the Kentucky Derby's Churchill Downs.

"You can't buy history," said Romans, who won the Dubai Cup in 2005. "You don't have that deep sense of tradition here that you have at the Kentucky Derby."

History of horses

The Middle East's racing circuit may still be forging a name for itself, but the region's passion for horses is centuries old.

The thoroughbred we know today dates back to three Arab horses brought to Britain around the turn of the 17th century.

"The horse is a very significant part of people's lives here," Gabriel said. "People love the sport and they love the culture -- it's about the beauty of the horse."

Eyes on the prize

Dubai's record prize money, field of world-class horses and impressive backdrop will ensure that the eyes of the world are watching this Saturday.

"When I won in 2005 it absolutely changed my career," said Romans. "I went home from Dubai on a different level -- people looked at me differently."

"I had proved I could win on an international stage and I was given better horses to train."

And with $10 million up for grabs in the flagship race, there are still many things money can buy.

@highlight

Dubai World Cup, world's richest race, kicks off this weekend

@highlight

More than $27m on offer over 11-day carnival, financed by Sheik Mohammed bin Rashid Al Maktoum

@highlight

Can futuristic race course compete with prestige of historic derbys?

@highlight

Part of Gulf campaign to raise international sporting status