(CNN) -- U.S. Secretary of State Hillary Clinton was heading to Asia on Thursday for a wide-ranging trip that will take her from the Cook Islands in the Pacific Ocean to China and Russia farther north.

The State Department says the week-and-a-half-long trip is intended to emphasize a strong, long-term U.S. focus on the entire Asia-Pacific region.

"It is a very long, very diverse trip, but the concurrent themes that run through this is a strong, determined effort on the part of the United States to underscore our rebalancing towards the Asia-Pacific region, to make clear that we're here to stay, that we are engaged on an array of issues -- strategic, political, commercial," a senior State Department official told reporters ahead of the trip.

"It spans not just Asia, not just Northeast Asia but Southeast Asia and, increasingly, the Pacific," the official said.

Syrian crisis: Clinton talks contingency plans with Turkey

Clinton's first stop will be the Cook Islands, host of this year's Pacific Islands Forum, one of the region's most significant political institutions. She plans to talk with leaders there about regional challenges with health issues and climate change, as well as commercial interests and problems like illegal fishing.

After that, Clinton plans to head to Indonesia, which is emerging as a major player in the ASEAN, or Association of Southeast Asian Nations, regional forum, and to Beijing, where the official said a full range of U.S.-China issues will be on the table -- including developments on the Korean Peninsula and in Iran, Syria and Afghanistan.

Among the other items on the Beijing agenda may be the dispute that flared earlier this month over the South China Sea.

Countries like Vietnam and the Philippines lay claim to some areas of the South China Sea, but China has declared "indisputable sovereignty" over all of it. When the U.S. State Department earlier this month urged more Chinese diplomacy in the dispute, China blasted Washington for confounding the issue.

"I think one of the messages that we seek to carry on this trip is that it is absolutely essential that cooler heads prevail in every capital," the senior State Department official said.

The official said the best place for dialogue on the South China Sea is between China and the ASEAN forum.

Clinton: Iran's proposal are 'non-starters'

Clinton may also have to deal with another long-running maritime dispute, this one involving a group of islands in the East China Sea claimed by China, Japan and Taiwan. Furious anti-Japan protests erupted across China this month when a Japanese group sailed to one of the disputed islets and symbolically waved Japanese flags.

The State Department official said the United States is ready to play a "steady outside role" when it comes to such decades-long territorial disputes in Asia.

After Beijing, Clinton plans a commercially focused visit to East Timor, visiting a coffee plantation to highlight the decade-old nation's economic development.

A brief visit to Brunei will follow, where Clinton plans to "renew friendships" while sitting down for dinner with Sultan Hassanal Bolkiah. The official said Brunei has been a very helpful partner to the United States in the Middle East and with educational initiatives, and that it seeks more commercial collaboration with the United States.

Closing out Clinton's trip will be a visit to Russky Island off Vladivostok, Russia, for the Asia-Pacific Economic Cooperation Forum. In particular, Clinton plans to discuss intellectual property issues and hold meetings on a new Trans-Pacific Partnership, a regional trade group that came up during last year's APEC summit in Hawaii, the official said.

Japan, Canada and Mexico were among the nations that last year expressed interest in the partnership.

Clinton is also expected to talk with her Russian counterpart, Foreign Minister Sergey Lavrov, about issues including Syria, Iran and the Balkans, the official said.

Clinton warns Sinai could turn into jihadist haven

@highlight

The trip begins in the Cook Islands for the regional Pacific Islands Forum

@highlight

She then heads to Indonesia, Beijing, East Timor and Brunei

@highlight

Clinton will end the trip at the APEC summit in Russia

@highlight

U.S. official: The trip is meant to highlight a U.S. focus on the entire region