(CNN) -- Know your caucuses from your primaries? Your superdelegates from your Super PACs? As Republican presidential hopefuls battle to win the right to take on Barack Obama in November, we've defined the array of words and acronyms that will define this year's election.

Attack ads -- An ad that promotes another candidate's perceived weakness, rather than the good qualities of the candidate the ad wants you to vote for.

Battleground states -- Both sides concentrate their efforts on those states they want to keep from falling into the other's hands, and those they think they could take from the other party. States seen as safe will not see an influx of candidates or cash, as the White House hopefuls consider it better to spend their time and money in the battleground states. This time round, Florida -- center of the controversial 2000 election -- will again be a key state, as will Ohio and Pennsylvania.

Blue state -- Traditionally a Democratic-controlled state.

Caucus -- Local party members get together for an evening of debate before deciding who they will support for their party's presidential nomination. The process is open for all to see and takes place in someone's home or a town hall rather than a voting booth.

Debates -- Debates are held between the Democratic nominees, the Republican nominees, as well as in the presidential campaign between the Democratic and Republican candidates. Rules for answering and the format of the debate are laid down in advance, taking much of the spontaneity out of the debate. But they are still seen as important to the race, and each candidate's performance -- best answer, worst answer, even appearance -- is analyzed in the media for days after. The candidates for vice president typically have their own face-off.

Delegate -- A person chosen at local level to represent the state at the party's National Convention. They are there to support a particular candidate based on the results of the state primary or caucus.

Electoral College -- The Electoral College was created in the early years of the United States. Each state has a number of Electoral College votes depending on its population. California has 55, while a number of smaller states have only three. With the exception of Nebraska and Maine, all electoral votes are cast for the candidate that wins the state, no matter what the margin. A presidential candidate needs 270 Electoral College votes to win the election. The system can mean a candidate wins the popular vote but does not win the election.

Endorsements -- Come in three types: From celebrities, from newspapers and from political figures and organizations. Whether any endorsement sways voter opinion is debatable but all candidates fight hard behind the scenes to earn them. In this election, notable endorsements have included House Majority Leader Eric Cantor and business magnate Donald Trump coming out for Republican candidate Mitt Romney, and actor Chuck Norris endorsing Republican candidate Newt Gingrich. When newspapers give an endorsement, they usually do it in the form of an editorial in support of their candidate.

FEC -- Federal Election Commission enforces U.S. federal election law, discloses campaign finance information and oversees public funding of presidential elections.

Favorite son -- A politician winning support in a state because of connections to that state such as being born there or having held public office there.

GOP -- Grand Old Party, nickname of the Republican Party.

Magic Number -- The number of Electoral College votes a candidate needs in the general election, and the number of delegates a nominee needs in the primary process. In the general election, state wins translate into Electoral College votes based on the state's population. A candidate needs 270 Electoral College votes to win the presidency. In the nominating process, Republicans need 1,144 delegates and each state has its own rules on whether they are assigned as a proportion of the number of votes received or if they all go to the winner of the state vote. Democratic candidates need 2,025 delegates, usually earned as a proportion of state votes, but this time round there is no challenge to incumbent President Barack Obama.

Party national conventions -- A gathering of the party faithful to formally select the presidential and vice presidential candidates. Involves state delegations standing around a state banner and announcing that they come from "the great state of..." This year, the Democrats have their convention in Charlotte, North Carolina from September 3-6; the Republicans will have theirs in Tampa, Florida from August 27-30.

Primary -- Primaries are generally only open to party members. Democrats and Republicans vote for the candidate they want to be their party's presidential candidate. Republican and Democratic primaries do not have to be held on the same day.

Purple state -- A state that regularly swings from one party to the other.

Push polling -- Similar to an attack ad but disguised as opinion polling. During the course of the poll questions, spurious information or disinformation about a candidate will be mentioned to those being surveyed.

Red state -- Traditionally a Republican-controlled state.

Stump speech -- A stump speech is the candidate's form speech in which he mentions key policies, family background and asks for citizens' votes. It is generally repeated in the same form in state after state, county after county, with only minor tweaks for each venue.

Super Tuesday -- Super Tuesday is the biggest single day of the Republican presidential nomination process. This year, 10 states choose their Republican candidate for president, including Ohio, Massachusetts, and Virginia. More than 400 delegates are up for grabs on Super Tuesday, which takes place on March 6.

Superdelegate -- Members of the party hierarchy with an individual vote at the National Convention on who the candidate will be. Their vote does not have to reflect any primary result, or the popular vote of the party. They can pledge support to one candidate and then change their mind later.

Super PACs -- A controversial 2010 court decision swept away restrictions on the amount of money corporations can donate to political action committees (PACs). In the wake of the ruling, a new breed of PACs called Super PACs were formed that can receive unlimited contributions from corporations and unions to use to advocate for or against a candidate. While they are banned from coordinating their efforts with candidates, some Super PACs are run by their former aides or close associates. Super PACs spent $390 million in the 2010 elections and are expected to spend much more in the upcoming elections.

Tea Party -- A conservative, Republican-leaning political movement inspired by the Boston Tea Party in 1773, when colonists protested a British tax on tea by boarding ships in Boston Harbor and dumping tea overboard. The modern movement sprang up in 2009 as a protest over an Obama-backed $787 billion government stimulus package, and says it opposes excessive taxes and big government, and supports a strict adherence to the U.S. Constitution and to federal spending reductions. A number of Tea Party-backed candidates won political office in 2010.

Wedge issue -- A key issue used by one or both parties to show clear differences between the two parties or candidates. Wedge issues are often raised to get each party's "base" supporters out to vote. The abortion issue is used to get out supporters of a woman's right to choose, and supporters of the unborn child's right to life. Gun control is a wedge issue generally separating Democrats who often support stricter gun control legislation from Republicans who are generally against gun-control legislation.

@highlight

CNN defines the terms and buzzwords of the 2012 U.S. presidential election

@highlight

What's the difference between a red state, a blue state and a purple state?

@highlight

Find out who Chuck Norris endorsed in this year's Republican primary race