(CNN) -- Identifying the moment when a political regime begins to decompose is as difficult as dating the onset of a recession. But in histories of the decline of the order built by Vladimir Putin in Russia, last Sunday's parliamentary election is bound to feature prominently.

Despite a campaign marred by what international observers described as "procedural violations," "apparent manipulations," and "serious indications of ballot-box stuffing," the governing United Russia party failed to prevent a sharp drop in its vote total. Official results gave it just short of 50%, down from 64 percent four years ago.

Almost as striking was the surge in backing for three opposition parties that until recently had seemed on their last legs. The Communists won 20%, followed by the social democratic Just Russia party with 13 percent and Vladimir Zhirinovsky's ultra-nationalist Liberal Democrats with 12 percent.

Russian protesters, opposition leader arrested

Putin's regime is unlikely to collapse anytime soon. In many countries, leaders would be delighted to control 53% of the legislature's seats -- the share United Russia will receive after parties that failed to reach the 7% threshold are eliminated.

But the election makes it official: The downward slide has begun. All previous ballots saw United Russia increase its vote. The party held 70% of the seats in the last Duma, enough to change the constitution at will. Those days are gone. Speaking as results came in, a chastened President Dmitri Medvedev even uttered the dreaded word "coalition."

Personally, Putin still enjoys the approval of 67% of Russians. But his ratings, too, have been slipping. His peak -- 87% approval -- came, oddly enough, in December 2007, the month of the last parliamentary ballot. His negatives are also rising, with one-third of Russians now disapproving of his performance and 53% faulting that of the government he leads.

Some members of the disaffected third were evidently among the sports fans at a martial arts fight last month who booed and jeered after Putin stepped into the ring to congratulate the winner. For Putin, himself a judo black belt, it was an unprecedented humiliation.

The souring mood has two main causes. First, the regime's popularity has always rested on the buoyant economy of the oil boom years. From 2000 to 2008, Russians' real disposable income rose by more than 10% a year on average. The global financial crisis put an end to that. Last year, massive government spending on pensions and public-sector wages boosted incomes by a little more than 4%. But so far this year, disposable income has fallen.

Putin's appeal has also been eroded by the relentless accumulation of aggravations: bribe-grubbing traffic police, officials who cannot put out forest fires or prevent terrorist attacks, a deranged cop who shoots customers in a Moscow supermarket, and the violence of Chechnya, now spreading across the North Caucasus. These and dozens of similar irritations are heightened by the tin-eared self-congratulation of official pronouncements.

Putin's victory in next March's presidential election remains all but assured. But the last two times he ran, in 2000 and 2004, three months before the vote his ratings were respectively 79 and 81%, far above their current level. This may be the hardest fight he has faced.

Whatever else they reveal, Sunday's results undercut the image, common in the West, of Putin's regime as an effective authoritarian state. In fact, it is a regime that cannot even steal an election decisively.

A massive effort, involving shameless pressures on voters and manipulation of the rules, apparently only managed to improve United Russia's total by a few percentage points. Two exit polls put the party's vote at 46% and 49%. The respected Levada Center, no stooge of the Kremlin, forecast a result of 51%, which was higher than the officially announced total.

Rather than a classic authoritarian government, Putin's is a peculiar hybrid that has combined genuine popularity with counterproductive attempts to over-manage and eliminate all potential threats. Continually centralizing power, the Kremlin has progressively lost control.

Barring a return to rapid growth, it is not clear how Putin and Medvedev can reverse the slide. They will hear conflicting arguments. Some will urge them to reach out to the middle class with a new package of liberal reforms. Yet, unless they suddenly become willing to genuinely share power, this probably will not buy them much support.

Four years of Medvedev's tweets about modernization and rule of law have inoculated the elites against empty Kremlin promises. At the same time, the elections hardly revealed a hunger for liberal economics or even Western-style democracy. The Yabloko party, made up of unimpeachable democrats and civic activists, won just 3% of the votes.

Another option is to woo the masses with additional bursts of populist spending, at least until the presidential vote is over. Yet with the budget already swelled by anti-crisis measures, such a strategy is dangerous. The long-serving finance minister, Alexei Kudrin, was fired last September after publicly criticizing Medvedev's plans to increase military expenditures.

A third possibility is for Putin to trade in his soft authoritarianism for a tougher, more effective model. Yet, even if he wanted to do this, it is doubtful that he has the kind of skilled and ruthless apparatus that could make it work. It is hard to think of extremely repressive regimes that have succeeded in societies as economically developed, highly educated, and rich in communications technology as Russia's is today. Paradoxical as it might sound, authoritarianism in relatively modern countries relies on a significant degree of consent.

That leaves the most likely outcome a continuing downward slide, perhaps temporarily slowed by improved economic performance or accelerated by striking government failures and scandals. The turbulence is just beginning.

The opinions expressed in this commentary are solely those of Daniel Treisman.

@highlight

Daniel Treisman: Russian elections may mark beginning of Putin's regime decline

@highlight

Putin's in power, he writes, but even ballot stuffing failed to stop the slide

@highlight

Treisman: Decline tied to worsening economy, dysfunctional police, Chechnya

@highlight

Putin must share power or soften his image, he says. Repression won't work