(CNN) -- As a Miami-area homicide detective, Marshall Frank has met some really bad people.

Now retired, the 30-year law enforcement veteran reveals trade secrets about how he "made friends" with criminals and coaxed them to confess.

For example, take Paul Eugene Rowles -- a convicted murderer and sexual predator who died last year in a Florida prison. When he was with Metro-Dade Police in 1972, Frank arrested Rowles for the strangling death of Rowles' Miami neighbor, Linda Fida.

Frank, who spoke with CNN by phone, described the handsome, 6-foot, blue-eyed Rowles as "someone you trust right away, very pleasant to talk to, soft spoken, somebody you wouldn't think would be a dangerous killer. But these killers are the most dangerous of all."

For them, Frank said, killing is "like an addiction, like heroin, and they've gotta have that murder fix."

So, how did Frank get Rowles to confess? "I made friends with him," he said matter-of-factly. "It took half an hour."

But he didn't do it alone. "I had another cop in the room with me, and we knew each other's methods. The other detective just stayed quiet. He was there for support, but not to be a part of the interrogation."

Sitting close to Rowles with his knees almost touching him, Frank said he would lean toward him during the interrogation. "I was really appearing to be interested in him," Frank said. Then they started talking about how Rowles' life, family, father and mother had all affected him and "how that led to what he had just done."

And then Rowles began "blathering the confession out," Frank said. "He started crying."

Although Rowles was sentenced to life in prison, he was paroled in 1985. Nine years later Rowles was convicted of kidnapping and sexually assaulting a minor and sentenced to 19 years. In 2012, DNA testing linked Rowles to the 1992 murder of 21-year-old Elizabeth Foster. Before Rowles died last year, police tried to interview him, without success, to determine if he was behind the disappearance of 20-year-old Tiffany Sessions in 1989. After his death, investigators found a journal in Rowles' cell with a note that read "2/9/89" -- the date Sessions disappeared. "No. 2" was scrawled on both sides of the notation. Police believe it's an indication that Sessions was Rowles' second victim.

Read more about Rowles

In 2003, Frank played a very different role in another Florida murder case. While researching a crime novel, Frank began corresponding with James Duckett, a former police officer who was convicted and sentenced to death for the 1987 murder of an 11-year-old girl named Teresa McAbee. Duckett has been on death row for more than 25 years, as the appeals process plays out. Frank sat face-to-face with Duckett in a prison lunchroom, a conversation both men describe in CNN's documentary series, "Death Row Stories," airing this Sunday at 9 p.m. ET.

See more about Duckett and Frank

Successfully interrogating suspects one-on-one, Frank said, requires patience. "You can't come across as though you're personally involved," he said. "You can't come across like you're mad or angry or impatient or putting pressure on.

Real jailhouse police questioning doesn't happen the way it's portrayed by Hollywood. According to Frank, the clichÃ©, the two-cops-on-one-suspect scenario with angry, screaming interrogators isn't part of the real world.

We've broken down Frank's method into three ideas:

1. "The most important thing is gaining their confidence, respect and cooperation." Frank repeated his theme: "I just kinda made friends."

2. "At the beginning of the interrogation you don't even go into what you're there for. You wait five minutes. Wait 15 minutes, 30 minutes. There's no hurry. What you want to do is get the person talking and feeling good about talking to you."

3. "Eventually you just work your way into whatever the issue is. Next thing you know, someone's just blathering a confession. Believe me that's how it worked."

'I just got a hunch'

During all his years on the force, Frank claims he never arrested the wrong person in a case. But he came close. Frank told a story about a case where he questioned a man whose aunt accused him of raping her.

"During the interrogation he was adamant that he didn't do it," Frank recalled. "Well of course a lot of guilty people are adamant that they didn't do it. But I just got a hunch â€” something about the guy. So I started thinking, 'Maybe we ought to check this out further before we actually book him.' We went back out on the streets, and we found the aunt again, and we polygraphed her. After polygraphing her, she admitted that she had told a lie."

Frank said it turned out the aunt had "an ulterior motive about her wanting to have him arrested." He then freed the suspect.

The 'conveyor belt'

After three decades as a law enforcement officer, Frank has some opinions about America's justice system.

Public defender resources are overburdened, Frank said. Which sometimes contributes to less than fair circumstances.

"It's really an uneven system to have people who can afford a good attorney and other people who can only afford public defenders," Frank said. "I asked a public defender once, 'How do you keep up with the caseload?' And he said, 'It's like Lucille Ball and the conveyor belt: You just can't keep up with it.'"

A lot of public defenders are talented and would like to do a better job, Frank said. "But they're constrained by the enormous stresses and the pressures to keep up with their caseloads.

The death penalty

CNN's "Death Row Stories" draws back the curtain on how murder cases are investigated and prosecuted. It connects the judicial dots between the crimes, the evidence, the trial and the death chamber. Frank joked about his days as a "hotshot detective," when he used to favor the use of the death penalty in some cases.

But in the years after his retirement in 1990, Frank has turned a 180 on the issue. Now 73, Frank has been writing crime novels, which require many hours of research.

"The death penalty is something I researched a lot about," he said. "How many times do we find people who've had life sentences and 25 years later DNA proves them to be innocent? Those same people could easily have been executed by now. I'm sure that there have been people executed who are innocent."

That's just not acceptable, he said.

"I've realized that society can't sacrifice some innocent people once in a while just so it can get all the guilty ones."

Frank said society should consider alternative punishments for dangerous criminals. "Because, basically, putting someone to death is murder," Frank said. "It's intentional murder. Premeditated murder. Isn't it?"

Are overburdened defense attorneys breaking America's justice system? What do you think? Tell us in the comments below.

CNN's Eliott McLaughlin contributed to this report

@highlight

Veteran Miami homicide detective opens up about interrogating suspects

@highlight

Retired detective Marshall Frank writes crime novels and holds seminars

@highlight

Since his detective days, Frank has changed his mind about the death penalty

@highlight

Frank describes how he elicited a confession from convicted killer Paul Eugene Rowles