(CNN) -- For the son of a math teacher, rallying legend Sebastien Loeb is not too concerned by numbers.

Age was no barrier when the Frenchman decided to pursue his motor racing career at 22 years old. The "late starter" went on to win a record nine world rally titles.

Now, after conquering the ice-packed slopes, desert dunes and rocky roads in the globetrotting world of elite rally driving, Loeb says he feels like a kid again as he moves from rally's all-terrain adventures to the uncharted territory of the smooth asphalt of the racetrack.

"Rally driving is the most fun driving you can have, because you slide, you drive on every surface, you jump," Loeb told CNN's Human to Hero series, with a twinkle in his cool, blue eyes.

"But I needed to see something else. I needed to change.

"I'm like a young boy, even if I'm 39! I'm like a young driver again coming into a series and trying to improve."

After a decade of dominating the rally circuit, Loeb has now set his sights on winning the 2014 World Touring Car Championship with his longtime team Citroen.

This championship for racing road cars is the third elite series, in addition to Formula One and the World Rally Championship, which is rubber-stamped by motorsport's governing body the FIA.

It will test Loeb on classic circuits from Sonoma in the United States to Suzuka in Japan, and he has already been tuning up for his new driving challenge by racing a McLaren sports car in the 2013 GT Series, where his team is second overall ahead of this weekend's race in Slovakia.

"There are different types of racetracks: some are really fast, some are really twisty, some have more or less grip, so you always have to adapt," explains Loeb, who has also tested a Red Bull Formula One car but failed to get a race license with feeder team Toro Rosso in late 2009 and later said he was "too old" to start an F1 career.

"It's not easy to get used to the tracks, to get used to a different car, to another driving style, but I enjoy it.

"It's not like when I'm in the rallies and everyone is waiting for me to win and if I don't win they say, 'Oh it's terrible, he didn't win!' "

Loeb retired from fulltime rallying at the end of the 2012 season -- the championship already in the bag, of course -- while still at the top of his game.

He chose to compete in just four rounds of the WRC this year, saying he had no interest in reaching a "perfect 10" of world titles.

"A lot of people ask me, 'Why not 10?' " said Loeb, who won consecutive titles between 2004 and 2012. "The answer is because I don't count!

"When I won my first championship it was the achievement of something, a realization. After that I said, 'OK, the rest is a bonus.'

"It became less about pressure and just driving for passion. It's not a question of numbers."

Loeb was something of a late starter when he began plotting his career growing up in the Alsace region of France on the border with Germany.

He first flexed his muscles as a champion gymnast. At three years old he was following in the gym shoes of his late father Guy Loeb, himself a champion athlete as well as a gymnastics instructor.

One year later, the junior Loeb was the proud owner of a red racing bike and soon showed signs of a competitive instinct, never missing any opportunity to go riding on the streets with his school friends.

But Loeb did not get behind the wheel of a car until, like any other teenager in France, he began driving lessons.

"In my family there was no links to motorsport or even being fans of motorsport," he explained.

"So it was only when I had my driving license that I got to enjoy driving a car. Then I started car racing when I was 22 -- not so young."

At that time Loeb was earning his living as an electrician, a pursuit he describes as "not my passion, just my job."

On the side, he twice entered the Youth Rally, an event for up-and-coming drivers organized by the French Motor Racing Federation.

Although he narrowly missed out on the title, his performances attracted the attention of former amateur racer Dominique Heintz, who, in 1996, decided to help Loeb turn rallying from a hobby into a profession.

"The person that helped me most in my career is Dominique," said Loeb, who now runs his eponymous race team with Heintz. "He gave me the opportunity to start in rallies and is someone who is now my friend."

If Loeb came to motorsport a little later -- most racing success stories are built on a junior karting career -- he soon recognized that he had a natural talent for driving.

"Since the start I was just natural," said Loeb, who now flies a helicopter as a hobby. "For me, it's been more about talent than work.

"The first thing you need is to get a feeling with the car. You need to feel when you have to brake and what speed to enter the corner.

"In rally you need to try to be as close as possible to 100% without knowing the roads really well, so you need a lot of improvisation in your driving.

"The feeling in the car when you reach your limits, when you pull everything together to be the fastest, to beat the others, to be first, this is mainly the feeling I have driving the car and this was just my passion. I love it."

The combination of passion and raw talent attracted interest from French car manufacturer Citroen, and in 2001 Loeb stormed to the junior WRC title.

Two years later, he competed in a full season of the senior WRC for Citroen, losing out on the title by a single point.

Loeb had made his mark, and his unprecedented era of dominance began the following year.

Numbers may not matter to the rallying superstar but, after nearly a decade at the top of the tree, Loeb concedes this time age did play a part in his decision to quit while he was ahead.

"I have other things to do in my life," said Loeb. "It's not like when you start and you're 24 or 25 and you just want to do your passion.

"Now I have a daughter (Valentine) and a wife (Severine). I have a good life, I have everything I need. It's time to enjoy it and rest a bit.

"I never have a fear when I drive but I know it's dangerous, it's one of the reasons I decided to stop rallies.

"When you are in Finland, jumping at 200 kph (125 mph) in the middle of the trees, it's dangerous!"

Loeb may be happy to settle for nine WRC titles, but his driving ambition remains undimmed.

Talk of retirement is for a distant time in the future -- a date to which Loeb has no intention of counting down.

"I don't know, (I'll keep driving) as long as I feel able to go fast, to fight for the win and as long as I enjoy it," he said. "It will be a few years.

"I think I will retire from all rallies soon. I've really tried to prepare for the future to find something to do as a driver -- and now I think I've found it.

"Rallying is difficult but racing (on the track) needs other skills and I still have a lot to improve and a lot to learn."

For now, the son of a math teacher and gymnastics instructor is going back to racing school.

@highlight

Sebastien Loeb is the benchmark in rally driving, winning nine world titles

@highlight

The Frenchman only started racing at the age of 22 but discovered a natural talent

@highlight

Loeb has semiretired from rallying and has switched to racing touring cars

@highlight

The 39-year-old says the new challenge makes him feel young