A new report suggests adult women are nearly half of all video game players. That's a number that can be read in the changing tone of some of today's top games. But it's also one that some female gamers say isn't really as close to even as it should be.

According to the "2013 Essential Facts About the Computer and Video Game Industry" report, produced by the  Entertainment Software Association, 45% of all game players, and 46% of the most frequent  purchasers of games, are female. Adult women make up 31% of the game-playing population.

"This new data underscores the remarkable upward trajectory for video games. It is an entertainment  form enjoyed by hundreds of millions of consumers worldwide," said Michael D. Gallagher, president and CEO of ESA, the trade association that represents the U.S. video game industry. "A diverse and energized consumer base, remarkable new hardware, and outstanding software all combine to foster growth for our industry."

Female gamers are obviously a diverse group. Millions enjoy the shooters, strategy games and other titles favored by "hardcore" enthusiasts. Millions more have eased into the gaming world via social and smartphone games, or through family interactions.

One of the top reasons why people buy video games is an interesting storyline, according to the report. And some women have pointed to a rise in the number of games with complex themes and more scenarios that call for decision-making, not brute force, as a selling point.

And it doesn't hurt that many of those same titles have begun to include female protagonists, or at least the ability to create your own.

'Lady game creators' meet up on Twitter

"Today's game characters are much more customizable than years ago," said Lauren Eleazer, 26, from State College, Pennsylvania.  "This is part of overall game development, but every female gamer I've met appreciates being able to style her character and make it more unique."

Jessica Chobot, a television and Web show host whose work has appeared on gaming site IGN, the G4 network and elsewhere, said the industry has been taking notice of the rise of female gamers, and that the inclusion of female characters in meaningful roles is no accident.

"In a lot of ways, it was the perfect storm for change," said Chobot, who is also a writer for the Zombie Studios game, "Daylight." "The gaming industry's awareness of having to appeal to a wider audience -- one that included women -- has been reflected with the addition of stronger female characters.

"The 2013 re-vamped 'Lara Croft,' 'Mass Effect's female version of Commander Shepard and 'Uncharted''s Elena Fisher and Chloe Frazer are just a few examples that come to mind."

Other strong female characters, like Elizabeth in "BioShock Infinite" or Ellie in "The Last of Us," show the range developers are willing to put in their games to attract a wider audience and provide a different experience from games in the past.

Upcoming games like "Beyond: Two Souls" and a new "Mirror's Edge" appear that they'll continue to put women in the forefront of gaming action and narrative.

But, sometimes, it's the little things that can help draw more women into the gaming fold.

"Control schemes need to do more to take into account people who didn't grow up with a controller in their hands," said Colleen Hannon, a senior editor for the website Gamers With Jobs. "I'm not saying make the game easier; I'm saying give people who need to learn those basic skills a path to learn that doesn't belittle or sideline them."

The sustained and growing pop-culture presence of video games also has been a boon for developers looking to add women to their player bases.

"I think this issue is cultural," said Shannon Gagnon, 28, from Scranton, Pennsylvania. "Since being a geek has become something to be proud of, instead of something to hide, more of my female friends are becoming gamers. But they don't see a lot of games they are interested in, because mostly when you see games advertised it is 'Call of Duty' or 'World of Warcraft.' "

A majority of gamers play games with their family -- 16% play with parents, 32% play with other family members and 16% play with their spouse or significant other. That widening acceptance of gaming is also helping women feel like they belong.

"I've noticed the biggest difference in attitude coming from non-gamers, especially other women, who once found my pastime silly," said Audrey Epple, from Macon, Georgia. "Now, they seem more accepting. It has become the norm."

But despite those cultural shifts, talk to many female gamers and you'll hear stories about a darker side of the hobby -- a persistent "boy's club" mentality that sometimes manifests itself in ugly ways.

Story after story recounts female gamers who, once they ventured into gaming circles beyond family and friends, faced mockery, dismissive attitudes and even abuse from their peers.

In one recent story making the rounds in online gaming circles, a girl went into a certain game's online community, asking about its mechanics.

The first response she got was from a male player, telling her he'd answer if she performed a sex act on him.

Harassment of women in online gaming forums is prevalent enough that there's even a derogatory term -- "white knight" -- for male members who step up to defend them -- the suggestion being that they're only doing so to gain favor with the woman involved.

"Age of the other gamer makes quite a difference," said Eleazer. "Older gamers tend to be respectful of female gamers ... . Anyone 15 or younger doesn't get it, but I blame that on maturity."

Chobot says that kind of attitude is beginning to fade, but that it "hasn't quite changed just yet."

"More and more women can be found in high profile and strong roles within the industry," she said. "Yet, just recently, the comment was made to me, 'You're just a host, right? You don't really play games.' "

Hannon, of Gamers With Jobs, said she thinks the way games are marketed plays a role.

"There are more women over 18 playing games now than boys under 17," she said. "But you wouldn't be able to tell by the contents and comment sections of most game publications, the language/behavior of their fellow players online, or the game design, marketing materials and tactics of most game publishers and developers."

Gagnon said trolls will be trolls, especially during competitive, multi-player games. However, she does think game companies could do more to crack down on the abuse.

"I realize these trolls set out to mock any and all gamers and it's not solely focused on female gamers," she said. "But it certainly feels as if I am being singled out."

There's no reason to think the gaming industry won't have more and more of those female gamers to think about in the years to come.

The ESA shows that 35% of parents are playing computer and video games with their children every week and 58% are playing with them at least once a month.

The computer and video game industry as a whole had $14.8 billion in sales in 2012, according to the ESA report. Given that women are 46% of that purchasing audience, there is a great incentive for game developers to keep women in mind.

They say they aren't looking for special treatment, aren't asking for female-only games and, in many cases, don't even like to be differentiated as "girl gamers." Instead, they say, they want to be entertained, to be challenged, to have fun -- just like the guys.

"More women are getting involved, both behind the scenes and as educated consumers," Chobot said. "The boys' club attitude in gaming needed to stop yesterday."

@highlight

Report: Almost half of video game players in U.S. are female

@highlight

Gamers cite a rise in strong female characters in top titles

@highlight

In gaming circles, though, some say "boys' club" mentality persists

@highlight

Marketing overwhelmingly still targets young males