(CNN) -- Sitting in a meeting at NASA's Science Advisory Committee on Monday afternoon, I heard the news that Sally Ride had died. She was important to everyone in that room -- mostly space scientists and NASA officials. But for a handful of women like me, she was an irreplaceable leader.

Sally Ride, first American woman in space, dies

Sally Ride wasn't the first woman to go into space, or to want to do so, much less the first woman qualified to do so. She would have been the first to tell you that. But as the first U.S. woman in space, on STS-7, the seventh flight of America's new space shuttle, she was the first woman astronaut most Americans knew about. And she used that fame for good.

The first woman in space was Valentina Tereshkova, a Soviet cosmonaut whose pioneering flight took place only two years after her colleague Yuri Gagarin became the first man in space. At NASA, in contrast, there was a 20-year gap between human (male) space flight and Ride's historic flight.

iReport: Sally's first launch confirmed 'women could achieve their dreams'

Her giant step for womankind happened two decades later than it should have. That's why it was so important, especially for those of us women trying to succeed in male-dominated arenas.

As STS-7 blasted off in 1983, I was finishing up my doctorate in physics -- astrophysics, to be more precise -- just as Ride had done a few years earlier. Most of my classmates were men, and I often felt out of place. Whether she shared that sense of being an outsider or not doesn't matter -- the important thing was that, thanks to her notoriety as a NASA astronaut, I found out about one more precious role model, someone in whose steps I could hope to follow. (OK, not the astronaut part -- I am far too chicken for that.) Ride made success seem attainable, even in the men-only world of physics.

Born in 1951, Ride, like all women her age, grew up in a United States led by men, where it was major news if a woman became a pilot, ran for political office or headed a Fortune 500 company.

She was part of a wave of accomplished women who broke through the barriers. Ride was one of the first six women accepted by NASA for astronaut training in a class of 35 selected in 1978. They were all pioneers, but after the STS-7 crew was announced, Ride's name became a household word.

Share your tributes to Sally Ride

The press attention at the time was relentless, but she weathered it with evident calm. For a student like me, it was empowering to see such a talented, poised, accomplished woman take on this challenge -- one of the "first woman this-or-that" breakthroughs I had dreamed about as a child.

One of Ride's astronaut classmates, Kathryn Sullivan, became the first American woman to walk in space. In 1984, Sullivan and Ride were crew mates on the STS-41-G flight, Ride's second time in space. Both flights were on the Challenger. Ride was training for her third shuttle flight when the Challenger exploded, on January 28, 1986. That led to a three-year moratorium on NASA human space flight. Ride served on the NASA board investigating the Challenger disaster, then left NASA in 1987. For her, the bloom must have been off the space shuttle rose.

Sally Ride opens a new frontier for others

Ride could easily have rested on her laurels. Instead, she took on the great challenge of science literacy, especially for girls. She had gotten her doctorate in physics at a time when few women did so. She knew firsthand the joy of doing science and the satisfaction of helping advance knowledge. That must be one of the reasons she worked toward a world in which other women were encouraged to do science, not pushed away.

iReport: Sally Ride inspired me to dream

In 2001 she started a company, Sally Ride Science, that runs science camps and daylong festivals for middle school girls as well as trains science teachers. Sally Ride Science is a partner in the GRAIL MoonKAM, a camera on NASA's Gravity Recovery and Interior Laboratory satellite now orbiting the moon, the first NASA flight project dedicated fully to education and public outreach. Her company is also involved with EarthKAM on the International Space Station. The "KAM" in both names stands for Knowledge Acquired by Middle School Students -- that was Ride's grail.

Light Years: Tributes pour in for Sally Ride

In the early 1960s, as NASA was selecting the Mercury 7 to be America's first astronauts, several dozen U.S. women underwent similar evaluation, in secret. A group of women later known as the Mercury 13, including some of the finest aviators of the day, passed the same grueling physical and psychological tests as the Mercury 7. According to Martha Ackmann, author of "The Mercury 13: The Untold Story of 13 American Women and the Dream of Space Flight," some of the women scored better on the tests than their male counterparts of the Mercury 7. But none was ever accepted by NASA for training.

Unlike Ride, the names of the women pilots and would-be astronauts are not widely known today: Jerrie Cobb, Bernice Steadman, Janey Hart, Jerri Truhill, Rhea Woltman, Sarah Ratley, Jan and Marion Dietrich, Myrtle Cagle, Irene Leverton, Gene Nora Jessen, Jean Hixson and Wally Funk. Some 40 years later, happily, they have been celebrated as pioneers and recognized with awards such as the Adler Planetarium's Women in Space Science award in 2005. I suspect these women appreciate the recognition but would rather have done what Ride did. They would rather have flown in space.

News: Memories of my space flight with Sally Ride

Still, 343 hours in space wasn't all that Ride was about. Her true passion was opening doors for younger women, so they can follow their interests and talents without restrictions.

Today, middle school students at Sally Ride Science learn the excitement and fun of science, the thrill and the challenge. Ride got to walk that walk in a big way. Her legacy is that other women do, too.

Share your tributes to Sally Ride with us on CNN iReport.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Sally Ride, America' first female astronaut, died this week

@highlight

Meg Urry: For a handful of women, she was an irreplaceable leader

@highlight

She says Ride was part of a wave of accomplished women who broke through barriers

@highlight

Urry: In later years, Ride took on science literacy, opening doors for younger women