(CNN) -- A confidential draft U.N. report accuses Iran of exporting arms to the Syrian government in violation of a ban on weapons sales, a Western diplomat said Wednesday on condition of anonymity.

The draft report describes three seizures of Iranian weapons shipments, including two bound for Syria, within the past year, said the diplomat, who was not authorized to release details to the media.

The report was drafted by a panel of experts and submitted to the U.N. Security Council's committee that monitors sanctions against Iran, the official told CNN.

There was no immediate reaction to the report on Iranian government-run Press TV.

The accusation came as al-Assad, in a rare interview, told Russia 24 that weapons bound for rebels were entering his country from neighboring Lebanon and Turkey.

"You can't simply close the borders and stop the smuggling, but you can reduce the flow," he said.

In recent days, violence has spilled over into Lebanon and Turkey, where thousands of Syrians have fled. At least one person was killed and an undetermined number were wounded Thursday in renewed clashes in the northern Lebanese city of Tripoli between factions supporting and opposing the uprising in Syria, Lebanon's National News Agency reported.

Al-Assad put the blame instead on the so-called Arab Spring, during which popular revolutions have toppled the governments of Egypt, Libya and Tunisia.

"If we take into consideration the developments in Syria, the events in Libya and other countries, for the leaders of these countries, it's becoming clear that this is not 'spring' but chaos," al-Assad said.

The Arab Spring movements inspired the uprising in Syria, which began in March 2011 with protests calling for political reforms. It devolved into a revolt with an armed opposition amid a crackdown by al-Assad's forces.

The United Nations estimates that at least 9,000 people have died in the 14 months of conflict, while opposition groups put the death toll at more than 11,000.

CNN cannot independently verify reports of deaths and violence because the Syrian government has severely restricted access by international media.

At least 20 people were killed Thursday in attacks across the country, according to the Local Coordination Committees of Syria, an opposition network that collects casualty reports and organizes anti-government protests. The deaths include 10 in the Damascus suburbs of Daraya and Douma, three in Idlib, three in Daraa, two in Homs, one in Raqqa, and one in Swaida, the LCC said.

Syria blames violence in the country on "armed terrorist groups."

Some groups "continued perpetrating massacres and targeting law enforcement members and citizens, and vandalizing public and private properties" on Thursday, state-run news agency SANA reported.

Thirteen "army, law enforcement and civilian martyrs" were buried Thursday, SANA said.

It added that 72 people from Aleppo, Idlib and Damascus "who were involved in the latest events but didn't commit crimes, gave themselves up with their weapons to the authorities Wednesday."

Opposition groups, including members of the rebel army, say al-Assad's government has been trying to hamper their efforts by accusing them falsely of links to terrorism.

A video posted on YouTube purported to show thousands of anti-government protesters outside Aleppo University, where blue-helmeted men could be seen. The U.N. observes wear blue helmets. CNN could not confirm the authenticity of the video.

While rebel forces, called the Free Syrian Army, say their ranks are filled by defectors from Syria security forces, al-Assad described them as criminals.

"It's not an army, first of all, and it's not free because they get their arms from different foreign countries," he said in the interview.

"That's why they are not free at all -- they are a bunch of criminals who have been violating the law for years and have been sentenced in various criminal cases. There are religious extremist elements among them, like those from al Qaeda."

Al-Assad dismissed the international pressure brought to bear for him to end the violence and step down, vowing that Syria would not bow on any issue.

The United States, the European Union and the United Nations have targeted Syria with a number of economic sanctions targeting al-Assad and his government.

Al-Assad acknowledged the sanctions have hurt Syria's economy.

"The world doesn't consist just of Europe and the United States, and we find alternatives which allow us to overcome these difficulties," he said. "We can support small and mid-sized business, the basic element of our economy is agriculture, and it's hard to affect it with sanctions."

He also called a boycott of recent parliamentary elections by the opposition a failure.

"It seems to some people that if we conducted the reforms earlier, the situation would have been better now. It's not right for one reason -- terrorists spit on reforms. They are not fighting for reforms, they are fighting to bring terror," he said.

Meanwhile, the U.S. government distanced itself from a Washington Post report that said more and better weapons are making their way into the hand of Syrian rebels.

The newspaper, citing unidentified officials and opposition activists, reported that the arms are being paid for by Persian Gulf nations and coordinated, in part, by the United States.

"The United States has made a decision to provide nonlethal support to civilian members of the opposition," Victoria Nuland, a State Department spokeswoman told reporters Wednesday. "... But with regard to any assertions with regard to lethal, we are not involved in that."

The United States has expressed reservations about arming rebels, citing division among the opposition.

Meanwhile, those divisions deepened Thursday with the Syrian National Council, widely perceived by Western countries as a primary coalition for the opposition, coming under fire by a leading opposition activist group.

The LCC called the national council a "failure," and vowed to withdraw from the group. The council has been under fire for failing to unify the opposition groups and bring in international support.

CNN's Amir Ahmed, Nada Husseini and Joe Vaccarello contributed to this report.

@highlight

At least 20 people are killed Thursday, an opposition group says

@highlight

13 "martyrs" are buried Thursday, Syria said

@highlight

A draft report says two shipments of weapons bound for Syria have been seized

@highlight

U.S. government denies report it is helping supply arms to rebels