As a journalist hailing from the Indian state of Chhattisgarh, the epicenter of a violent Maoist insurgency, Shubhranshu Choudhary was regularly confronted with the shortcomings of his profession.

The uprising, described by Prime Minister Manmohan Singh in 2006 as India's "single biggest internal security challenge ever," drew much of its strength from the disenfranchised indigenous communities who are a majority in Chhattisgarh.

Numbering perhaps as many as 100 million across India, the "tribals" live in impoverished rural conditions comparable to or lower than those prevalent in sub-Saharan Africa, according to the United Nations.

Yet despite their centrality to the conflict, the voice of the tribal people was almost completely absent from the national media conversation.

"There's not a single tribal journalist," said Choudhary. "There's a complete disconnect: reader, writer, (media) owners all on one side, this 100 million population on the other. The journalism is completely one-sided."

Not only were the tribal people absent as voices in the media -- they had no access as consumers either, said Choudhary. There were any number of barriers. They spoke different languages to those used in the mainstream press. Many did not read or write. They lived in remote, inaccessible villages, without electricity.

"To reach one village you typically need to cross five rivers and five hills -- and there are no roads," said Choudhary. "The only communication they have is with their wife or husband or people from neighboring villages if they go to market, because there is no radio, TV, magazines -- nothing in those languages."

Choudhary, a former BBC journalist, saw a link between the rural poor's exclusion and the violence wracking the region. "It is natural when your concerns are not heard you find another avenue -- that avenue has happened to be a violent ideology called Maoism."

And so with support from the International Center for Journalists, with whom he is a Knight International Journalism Fellow, Choudhary began an experiment in citizen journalism.

"We understood it would have to be cheap and that voice would be key -- because people are not comfortable with reading and writing," he said. The initial phase of the experiment, which revolved around the internet and community radio stations, "failed completely," he admitted. But then he took a different tack, focusing on mobile phones, which have a 74% penetration rate in India.

"Mobile is the most democratic tool in India today," said Choudhary. Although the mobile penetration rate in rural areas was about half the national level (36%), phones were still a common sight even in the most remote villages. "When we started working in 2004-5 in the villages, we did not see mobile phones. But there has been a sea-change. Mobile phone use has exploded."

Read more: Indian phone features 29 Quran translations

The result, CGNet Swara (roughly, the "voice of Chhattisgarh") is a voice portal that allows anyone with a mobile phone to record or listen to news and items of interest. The operation is simple: on dialing the service's number, users press "1" to record a report, or "2" to listen to one. Once a report is recorded, it is verified and edited by a team of moderators before being made accessible on the service.

The service "did better than we ever expected," said Choudhary. He added that in the two years since it began, Swara has had 9,000 users, logged more than 30,000 phone calls and published 750 news stories, including a number which have had a big impact.

For example, in January last year, Swara published a citizen journalist interview with Pitbasu Bhoi, a disabled man who said he had not been paid wages for 100 days of work on the government's flagship rural job guarantee scheme. Bhoi's infant son had died as he could not afford to bring him to a hospital for treatment. National dailies picked up the story and a light was shone on what activists say is a common complaint of unpaid wages. Bhoi now contributes reports to the service himself.

Other stories have shared allegations including villages being razed in raids by security forces, police brutality, food programs for poor children going months without receiving supplies, and resistance to land being taken over for mining.

"It is the first communication platform of any type for these people," Choudhary said. "When they raise their concerns in their own language, some journalist or lawyer picks it up or authorities hear about it and solve their problem then the circle is completed." The service has also played a role in preserving the tribal languages, he said.

Read more: India's telecoms king looks to Africa

Elisa Tinsley, director of the ICJ's Knight International Journalism Fellowships, and a former world editor at USA Today, said the initiative was a prime example of the type of journalism the program sought to encourage.

"Swara uses an innovative mobile phone system to help isolated communities for the first time have access to local news. And it provides an outlet that allows the people in these communities to be heard, hold governments accountable and create transparency."

Swara works because of the low cost and prevalence of the mobile phone, said Choudhary, and its success has seen it replicated in other parts of the world. In Indonesia, RuaiSwara provides a similar service in Bahasa, while an affiliated service, RuaiSMS, uses text messages to facilitate citizen reporting in West Kalimantan and West Borneo. Other projects modeled on Swara are being developed in Egypt and Afghanistan.

Choudhary is continuing to tinker with the model, with aspirations to overcome legal hurdles and incorporate a shortwave radio component into Swara's operations. For that reason, he said, Swara needs to be especially careful about the accuracy of its reports.

"We are extra cautious not to give the authorities any reason to close us down, because we are the ones bringing out unpleasant stories for them," Choudhary said. "There are people in power who would be very happy to shut us down."

@highlight

Citizen journalism project using mobile phone technology to reach India's tribal communities

@highlight

The state where the service operates has been the center of a violent Maoist insurgency

@highlight

CGNet Swara allows people in remote areas to file and listen to reports from their mobile

@highlight

Founders say it has given a voice to an excluded community