(CNN) -- Sports seasons come and go, but a long-running debate about the use of a Native American nickname and logo by University of North Dakota athletic teams appears nowhere close to a final outcome.

A flurry of activity this week highlights the wide divisions over the Fighting Sioux nickname and logo.

Those supporting the nickname -- including some Native Americans -- filed petitions asking for a vote this summer on the issue. The university announced Wednesday it is required to resume using it because of the filing of the petitions.

The North Dakota Board of Higher Education, which agreed five years ago to retire the nickname, and the state's attorney general will hold a conference call next week to discuss legal options in the imbroglio.

The board of education and university system want an end to the whole matter.

"We've heard from all sides. There certainly are people who said they want to keep it," John Irby, public affairs consultant for the university system, told CNN Thursday. "But the position again is, we should focus on education and this is robbing and stealing too much from the focus. It (education) is becoming collateral damage."

More damage comes in the form of sanctions by the National Collegiate Athletic Association, which has a policy against mascots "deemed hostile or abusive toward Native Americans."

In 2005, the NCAA sought to end the controversy surrounding such mascots by ordering some 20 schools whose nicknames and mascots they deemed "abusive in terms of race, ethnicity or national origin" to either get Native American permission to use their name and likeness, or to come up with new ones.

North Dakota is the last holdout in the NCAA's campaign.

The NCAA reiterated its stance on sanctions Wednesday, saying the "university is subject to the terms of the policy if it uses the logo and nickname."

"Those terms include not being able to host NCAA championship events and a prohibition against using the nickname and imagery on uniforms for student-athletes, along with cheerleaders, (the) mascot or band members, in any NCAA championships," said Erik Christianson, NCAA director of media relations, in a written statement.

"The NCAA sanctions are not a good thing," Irby said. "I have never seen the NCAA back down."

In 2007, the North Dakota Board of Higher Education agreed to drop the Fighting Sioux nickname by August 15, 2011, in accordance with the NCAA's policy.

But that move was met with opposition.

The state Legislature in early 2011 passed a law requiring the university to use the Fighting Sioux nickname. That law, however, was repealed in November 2011 when legislators approved a bill that allowed the school to stop using the moniker.

North Dakotans who favor the mascot responded with a two-pronged strategy.

On one had they are calling for the state constitution to be changed to stipulate the use of the Fighting Sioux name. If certified, that proposal would be on the November ballot. Supporters have until August to submit signatures to gain certification.

The other effort calls for voters to decide in June whether to repeal the law that permitted the school to drop the name. Petitions backing that move were filed Tuesday with Secretary of State Al Jaeger.

The state requires 13,452 certified signatures to put a law repeal issue before voters. North Dakota has about 684,000 residents. Petition supporters said they turned in more than the minimum number of signatures.

"By filing the petitions last night, the law as passed in early 2011 is now again in effect," Jaeger told CNN on Wednesday. "The law passed in November 2011 is now suspended. I have 35 days to review the petitions. If I find the petitions sufficient, it will be certified for the ballot. If not, the bill passed in November will again become the law."

In the meantime, university President Robert Kelley said the school, located in Grand Forks, is resuming the use of the name and logo. "I want to reaffirm our respect for the laws of the state and the processes guaranteed under the North Dakota Constitution," he said in a statement.

There are still vestiges of the nickname on campus, including an ice hockey arena featuring a statue and hundreds of Fighting Sioux logos.

While fightingsioux.com still links to the athletics department, the website now goes under a different web address and does not have the previous logo, a profile of a Sioux warrior.

Doug Fullerton will be paying close attention to how the issue plays out. As commissioner of the Big Sky Conference, he is overseeing North Dakota's ascent from Division II obscurity to the far more lucrative stage of Division I.

"When we invited (North Dakota's football team) into the conference, this was not an issue," he said last summer.

Citing the conference's "close, close ties to Native American tribes" and the threat of boycotts, Fullerton said he has been on 'heightened alert' Wednesday, North Dakota's conference membership -- slated to begin July 1 -- could be rescinded if the college presidents within Big Sky so decide, he said.

The 13 college presidents -- including Robert Kelley of North Dakota -- are scheduled to meet in early June, according to Fullerton.

The NCAA requirement on Native American nicknames has resulted in varied responses among the targeted schools.

The Arkansas State Indians became the Red Wolves; the Indiana University of Pennsylvania Indians became the Crimson Hawks.

Other schools satisfied the mandate by tweaking their name, such as Southeastern Oklahoma State, where the Savages are now known as the Savage Storm. Others, like the Bradley University Braves, whose name does not affiliate with a specific tribe, were allowed to keep their name so long as Native American logos and imagery were eschewed.

Schools with higher-profile athletic programs fared better. The Florida State Seminoles, University of Utah Utes and Central Michigan University Chippewas each obtained permission from their respective namesake tribes to stay the course.

But the North Dakota Fighting Sioux -- winners of seven national championships in men's ice hockey -- were denied such an endorsement from the Tribal Council of the Standing Rock Sioux.

But another tribal body, Spirit Lake, has expressed support for the nickname.

A website, savethefightingsioux.com, calls for keeping the nickname and logo. It lists the Spirit Lake Committee for Understanding and Respect, whose members were among those who filed the petitions.

"We ask you to boldly 'Stand Up' with us, the Dakota Sioux Nation, as we stand on principle against an injustice attempting to rid UND of its traditions and customs," the website reads.

@highlight

U. of North Dakota is the last holdout over an NCAA policy on Native American nicknames

@highlight

University system consultant: Education "is becoming collateral damage" in the dispute

@highlight

The attorney general and higher education board plan to discuss legal options next week

@highlight

A move up to the Big Sky Conference may hinge on the Fighting Sioux nickname