A California lawmaker has scheduled a hearing to examine disclosures of significant fraud in taxpayer-funded drug rehabilitation by The Center for Investigative Reporting and CNN.

Dr. Richard Pan, chairman of the Assembly Health Committee, wants to know how the problem persisted for so long, even as state health authorities expanded their efforts this week to shut down questionable clinics.

"A lot of people seemed to know what was going on, but for some reason, they didn't seem to be acting on what was going on," said Pan, a Democrat who represents the Sacramento area. "It seemed like it was hiding in plain sight."

A yearlong investigation by CIR and CNN found widespread fraud and poor oversight in the state's alcohol and drug counseling program for the poor, called Drug Medi-Cal. It is part of the nation's largest Medicaid program.

In the wake of that investigation, another California lawmaker has called for an independent audit into the troubled program. Los Angeles County officials also are proposing reforms aimed at tightening clinic oversight.

Some clinics say they've done nothing wrong

Some of the clinics, however, are fighting back. Several of those temporarily suspended by the state are filing appeals.

"These people have done nothing wrong," said Arthur Barens, a Los Angeles attorney who is appealing the suspensions of several clinics. "They have not shown us any evidence of wrongdoing. I think that offends any concept of due process."

Pan said he will examine the issue during a hearing on Medi-Cal oversight already scheduled for September. "I'm hoping first to identify where the gaps are that allow the Drug Medi-Cal fraud to happen," he said. "Basically, what broke down?"

State Sen. Ted Lieu, a Democrat who represents parts of Los Angeles County, called for an independent review of the rehab program by the state auditor.

"I want to know ... what can we do to change laws or regulations so the fraud doesn't occur in the future," Lieu told CNN on Tuesday.

He said he was motivated by his belief in rehabilitation programs as a crucial tool for reducing crime and the prison population.

"I became very concerned," Lieu said, "that if we don't fix this fraud immediately, it would undercut the public support for this entire program."

Watch Anderson Cooper's interview with Lieu

Related: California lawmakers order audit of taxpayer-funded rehab program

Infographic: Rehab investigation gets results

State agency widens crackdown this week

The state agency responsible for policing the rehab clinics, the Department of Health Care Services, widened its crackdown this week, announcing Friday it had temporarily suspended 46 clinics with 62 satellite counseling sites -- raising its previous total of suspended clinics by 13. The department won't disclose which clinics have been targeted.

Department spokesman Norman Williams pledged that the dragnet would be expanded even further.

"We're going to make sure people who have defrauded the program are punished," he said on Bay Area public radio station KQED on Tuesday. "You can expect penalties, you can expect jail time and the top thing you can expect is a refocus, a stronger focus on making sure that these things are not happening in the future."

On Wednesday, the state Department of Justice said 36 clinics so far have been referred for investigation.

One client of Barens confirmed that her two South Los Angeles rehab clinics, Changing Steps and Pom-Pom's Castle, were suspended. The state's suspension letter stated that Belinda Baker's clients do not meet requirements for receiving services -- implying that they might not be addicts.

"Every single person we have (has) an addiction problem," Baker said. "They're condemning us without really investigating us."

Baker said another suspended clinic might be the source of her problems. She said a county auditor recently informed her that Able Family Support -- a clinic run by a man with a 2000 organized crime conviction in Texas -- was billing for clients she was serving.

"That place is billing the same people we're billing, and they're sitting right here in group," Baker said. "We're getting caught up in something, and I don't even know what's going on."

Able Family's executive director, Alexander Ferdman, did not respond to a phone call. County authorities have been trying to determine why reporters observed no more than 30 people enter Ferdman's clinic during a stakeout in April. The clinic later billed for seeing 179 clients that day.

Related: Ferdman responds to CNN's questions

Group therapy patient: 'All you can do is pray'

Jerome Sanders, 53, said he's gone to group therapy sessions for a year at Baker's Changing Steps clinic.

He credits the facility with helping him stay off crack cocaine and said he's disappointed that it's stopped offering counseling. "You never get strong enough; all you can do is pray," Sanders said.

Sanders said he hasn't been to another Drug Medi-Cal clinic since Changing Steps closed its doors in mid-July because "there's nowhere to go."

"Every now and then, I'll go to an AA meeting just to keep my sobriety going," he said.

Baker's clinics have been cited in county audits for problems including billing for therapy sessions when counselors were off work and other practices investigators labeled as "directly indicative of a lack of integrity."

Her lawyer, Barens, said audits tend to "result in some kind of adjustment being made, but it's always been very minor."

Barens said his other clients are R.I.G.H.T. Program, the New Choice Recovery Treatment Center, all also in Los Angeles County. Another of Barens' clients was eventually taken off the suspension list, according to county officials.

Barens has requested in-person hearings, he said, and is filing appeals with state officials to speed up the process and restore funding.

All five of his clients and at least three other suspended clinics, including Able Family Support, employ the same medical director, Dr. Howard Oliver. Oliver said the clinics do important work but might be sloppy with their paperwork and employ "uneducated" counselors who make mistakes.

"I don't think it's fair," Oliver said. "They're not dishonest."

The attorney for Immaculate Care Center in Riverside County also said that clinic has been suspended and is appealing.

"It's a really sad state of affairs, especially because we don't know what went wrong," said Joseph Benincasa. "If we did something wrong, we want to correct it."

The suspension letter cites a 2009 fraud prosecution against Immaculate Care's leaders, Godday Imakavar and Japhet Ifejoku. Imakavar was convicted and banned from billing Medi-Cal. The attorney said Imakavar remains on the clinic's board of directors but has little to do with the clinic.

Ifejoku has been a fugitive avoiding the 2009 charges, yet remained the clinic's executive director. Benincasa said he was removed from his post in June, an action that occurred after CIR made inquiries.

Regulators suggest reforms to Drug Medi-Cal

Noting the CIR and CNN investigation and the state crackdown, Los Angeles County regulators suggested reforms to the Drug Medi-Cal program.

In a memo to the county Board of Supervisors, Public Health Director Dr. Jonathan Fielding recommended that the state toughen requirements for clinics to become certified and make certification provisional for the first two years.

"Quite frankly," he wrote in an e-mail, "we've been frustrated in the past over the lax standards of state certification and the time it has taken the state to investigate and take action suspending and removing certification from bad actors."

Fielding called the fraud uncovered by reporters "a tragedy." He said the county won't be satisfied until "every unscrupulous operator is out of business and brought to justice."

At the same time that state authorities began suspending clinics suspected of illegality, county officials announced a more than $191,000 funding increase for New Choice Recovery Treatment Center.

The county immediately suspended those payments, Fielding said, adding that the mistake was "unacceptable" and underscores the need for better communication between the state and county.

Rehab racket: A CNN/CIR investigation of fraud, fakes and felons Part 1, Part 2, Part 3

August 2014 news update: State audit confirms weak oversight, potential fraud at rehab clinics

@highlight

California Department of Health Care Services announces temporary suspension of 13 more clinics

@highlight

Lawmaker sets hearing to examine disclosures of fraud in Drug Medi-Cal program

@highlight

Yearlong investigation by CIR and CNN found fraud and poor oversight in California program

@highlight

Attorney for several clinics: "These people have done nothing wrong"