(CNN) -- President Barack Obama followed in the footsteps of past U.S. leaders with a speech on Wednesday at Berlin's iconic Brandenburg Gate, where he said he would ask Russia to join the United States in slashing its supply of strategic nuclear warheads.

"We may no longer live in fear of global annihilation, but so long as nuclear weapons exist, we are not truly safe," Obama said in the city that symbolized the East-West divide in the decades after World War II.

"After a comprehensive review, I've determined that we can ensure the security of America and our allies -- and maintain a strong and credible strategic deterrent -- while reducing our deployed strategic nuclear weapons by up to one-third," he said. "And I intend to seek negotiated cuts with Russia to move beyond Cold War nuclear postures."

Obama's speech made repeated references to Berlin's post-war history and the resiliency of its people. He called on them to manifest the same spirit that helped bring down the Berlin Wall to now take on broader challenges facing the modern world.

Does cutting U.S. nukes really matter?

"Complacency is not the character of great nations," said the president, who perspired openly despite removing his suit jacket when he started speaking to a sun-drenched crowd. "Today's threats are not as stark as they were half-a-century ago. But the struggle for freedom and security and human dignity, that struggle goes on."

Repeating his campaign themes of equal opportunity and freedom for all, Obama said such ideals can provide the prosperity sought by all nations -- especially longtime allies such as the United States and Germany.

"We may enjoy a standard of living that is the envy of the world, but so long as hundreds of millions endure the agony of an empty stomach or the anguish of unemployment, we're not truly prosperous," Obama said. "We are more free when all people can pursue their own happiness."

In the city rife with Cold War history, Obama also heralded democratic values that helped end communist control.

Nuclear weapons: Who has what?

"Because millions across this continent now breathe the fresh air of freedom, we can say here in Berlin, here in Europe: Our values won," he said to cheers. "Openness won. Tolerance won. And freedom won."

Obama's speech took place almost exactly 50 years after President John F. Kennedy delivered his "Ich bin ein Berliner" -- or "I am a Berliner" -- speech of solidarity with West Berlin near the dividing line with the Soviet-occupied east on the other side of the Berlin Wall.

Berlin is also where President Ronald Reagan delivered a famous line to the Soviet Union in 1987: "Mr. Gorbachev, tear down this wall!"

When Obama referred to Kennedy's speech and repeated the famous phrase, the crowd cheered. He also quoted from Kennedy's speech by calling on people to look "to the day of peace with justice, beyond yourselves and ourselves to all mankind."

Taking on another major issue, Obama called for a new global effort to address climate change, citing threats such as "more severe storms, more famine and floods, new waves of refugees, coast lines that vanish, oceans that rise."

Opinion: Why U.S. needs Germany now more than ever

"This is the future we must avert," he said to cheers. "This is the global threat of our time. And for the sake of future generations, our generation must move toward a global compact to confront a changing climate before it is too late. That is our job. That is our task. We have to get to work."

Analysts said Obama's speech sought to entrench a presidential legacy of leadership on global issues, especially after the lofty expectations in Germany and elsewhere for the candidate who spoke in Berlin five years ago have given way to the realities of the Oval Office.

"It was a president who wanted to kind of put down a stake and say, like JFK, like Ronald Reagan, I share their values as an American president and these are the things I feel like I need to talk to you about today as an American president," said CNN Chief Political Analyst Gloria Borger.

Historian Douglas Brinkley called it a "healing speech," but said "let's not confuse this with Kennedy's very important Cold War talk in Berlin or Ronald Reagan's fighting words about 'tear down this wall.'"

"This was not a moment that's going to be a gold star on history's calendar," Brinkley told CNN.

Opinion: No such things as a safe number of nukes

Beyond New START

Obama's latest proposals on nuclear stockpiles come two years after New START -- an agreement between the United States and Russia -- went into effect. New START, which stands for Strategic Arms Reduction Treaty, calls for each country to limit its nuclear warhead arsenal to 1,550 by the year 2018.

If fully implemented, his proposals on Wednesday would reduce both stockpiles by another one-third -- to roughly 1,000 warheads for each country.

"At the same time, we'll work with our NATO allies to seek bold reductions in U.S. and Russian tactical weapons in Europe," he said.

After New START was ratified, Obama ordered a detailed internal analysis of U.S. nuclear needs and what it would take to deter other countries from attacking, the White House said.

Obama has also said the United States will only consider the use of nuclear weapons in extreme circumstances to defend the vital interests of the United States or its allies and partners.

A White House fact sheet released after the speech called Obama's proposals "new guidance that aligns U.S. nuclear policies to the 21st century security environment."

Obama's guidance directed the Pentagon to reduce the role of nuclear weapons in the overall U.S. security strategy, and narrow the focus of nuclear strategy to deterrence, the White House document said.

The proposals drew immediate criticism from the Republican chairman of the House Armed Services Committee, Rep. Howard "Buck" McKeon of California, who said in a statement that Russia already failed to adhere to existing arms-reduction agreements.

"The president must make clear to (Russian) President (Vladimir) Putin that the United States will not allow itself or its allies to be bullied by Russia or to allow that state to ignore its arms control obligations," McKeon's statement said.

5 key points from Obama's news conference in Berlin

Pressuring Iran and North Korea

The United States will continue working to stop the spread of nuclear weapons, with specific pressure on Iran and North Korea, a senior administration official said.

Obama also will participate in the 2014 Nuclear Security Summit in The Hague, Netherlands, the official said. The president announced Wednesday in his speech that he will host a Nuclear Security Summit in 2016 to work with other countries in securing nuclear materials and preventing nuclear terrorism.

Nuclear deterrence could restrain N. Korea, Iran

Wednesday's speech took place amid a festive atmosphere at Brandenburg Gate, where Obama faced the East in contrast to Reagan's appearance when the Berlin Wall still divided the city.

While the crowd was much smaller than the estimated 200,000 who jammed the area in 2008 to hear then Sen. Obama speak, people waved U.S. and German flags and regularly erupted in cheers and applause.

Near the front was Gail Halvorsen, known as the Candy Bomber for being the first to drop candy to kids during the U.S. airlift of 1948-49 that supplied West Berlin following a Soviet blockade.

Obama paid tribute to that moment, noting that the 92-year-old Halvorsen, who he called "the original candy bomber," was present.

"We could not be prouder of him," Obama said as Halvorsen stood and waved. The president added: "I hope I look that good, by the way, when I'm 92."

CNN's Deirdre Walsh and Holly Yan contributed to this report.

@highlight

NEW: Historian calls Obama's speech good, but not a "gold star" in history

@highlight

President Obama says it's time to "move beyond Cold War postures" on nuclear arms

@highlight

Obama invokes JFK's "peace with justice" call from 50 years ago

@highlight

The president speaks at Berlin's iconic Brandenburg Gate