No matter what you call it -- bonuses, incentives, market or performance pay  -- the Department of Veterans Affairs gave out a lot to senior managers in recent years despite sometimes deadly waits for health care and other problems faced by American veterans.

A top VA official confirmed to a congressional committee on Friday that 78% of VA senior managers qualified for extra pay or other compensation in fiscal year 2013 by receiving ratings of "outstanding" or "exceeds fully successful," and that all 470 of them got ratings of "fully successful" or better.

Such widespread laudatory performance appraisals occurred shortly before CNN started reporting in November how veterans waited excessive periods for VA health care, with some dying in the process. The VA has acknowledged 23 deaths nationwide due to delayed care.

In Phoenix, CNN reported in April that the VA used fraudulent record-keeping -- including an alleged secret list -- that covered up the waiting periods.

A fatal wait: Veterans languish and die on a VA hospital's secret list

That didn't stop the head of the Phoenix VA medical center, Sharon Helman, from getting an $8,500 bonus last year.

Helman's bonus got rescinded earlier this year after the VA controversy made headlines. She was placed on administrative leave but continues to receive her salary, said Gina Farrisee, the VA assistant secretary for human resources and administration, at a House Veterans' Affairs Committee hearing.

Questionable bonuses

Panel chairman Jeff Miller, a Florida Republican, cited numerous examples of what he characterized as unwarranted bonuses to VA officials overseeing a department with such problems in recent years:

•             The medical center director in Dayton, Ohio, receiving a bonus exceeding $10,000 despite an investigation of veterans getting exposed to hepatitis B and C at the facility;

•             The former director of the VA regional office in Waco, Texas, getting more than $53,000 in bonuses when the average processing time for disability claims increased to what Miller called "inexcusable levels."

•             The director of the Pittsburgh health care system getting a top performance review and a regional director getting a $63,000 bonus despite a legionella outbreak in the Pittsburgh VA health care system that led to six patient deaths.

"To the average American, $63,000 is considered to be a competitive annual salary, not a bonus," Miller said.

Farrisee offered administrative explanations about the bonus system that did little to satisfy committee members. In particular, the Helman case in Phoenix got a lot of attention, with legislators from both parties asking how it could happen.

She explained how the bonus should never have been given because Helman was being investigated in connection with the problems at the Phoenix VA facility, and therefore the extra money was eligible to be rescinded.

Can't go back

However, Farrisee said in almost all other cases, a performance rating and resulting bonus can't be rescinded later on.

"If we knew what we knew today at that time, it is unlikely that their performance would have reflected what it reflected at the time the reports were written," she said when asked by Miller about going back to change the performance review results.

However, "you cannot go back and change a rating once it has been issued to an employee as the final rating," Farrisee said, adding that was the law rather than a government rule.

An exasperated Miller called it a law that needed to change as part of an overhaul of a culture throughout the VA motivated more by performance bonuses than serving veterans.

"We can't keep doing it the way it's been being done," he said, to which Farrisee responded: "I concur, Mr. Chairman."

The controversy, with multiple investigations and increasing revelations of problems with newly returned veterans getting care on a timely basis, caused retired Army Gen. Eric Shinseki to resign on May 30 as Veterans Affairs secretary.

Fear kept the VA scandal

His successor, interim Secretary Sloan Gibson, has ruled out any bonuses for senior managers in 2014 as part of initial steps intended to get more immediate care for hundreds of thousands of waiting veterans.

Updated figures

Earlier this week, an updated audit revealed about 177,000 veterans were still waiting at least two months for an appointment at VA medical centers.

Gibson said some of the delays on the audit update appeared worse than previously reported because hospital administrators were beginning to use proper scheduling procedures that accurately reflected the number of veterans waiting.

For example, the update showed more than 43,000 veterans waiting longer than 120 days for an appointment, compared to 13,000 listed earlier this month.

According to Gibson, more appointments have been added, but some VA hospitals lack the capacity to see patients quickly, which also contributed to a spike in the figures.

The VA has reached out to 70,000 veterans waiting for appointments in order to get them into clinics, he said.

At this point, the VA's Office of Inspector General is investigating 69 facilities for allegations that administrators altered appointment data or used secret waiting lists to make patient wait times appear shorter in order to earn financial bonuses.

Farrisee said Friday that schedulers sought to meet their performance goal -- and therefore qualify for bonuses -- by showing veterans got appointments within 14 days.

An internal audit by the VA called that 14-day goal implemented under Shinseki's leadership unattainable and reported 13% of schedulers were instructed to manipulate data in some form.

Gibson has eliminated the 14-day target for the Veterans Health Administration, which has more than 1,700 facilities that serve almost 9 million veterans each year.

Go the VA website

@highlight

A House committee questions bonuses for VA workers despite problems

@highlight

Rep. Miller says VA culture put bonuses over caring for veterans

@highlight

"I concur," VA official says when asked if change is needed

@highlight

Audit update shows hundreds of thousands of veterans wait for care