(CNN) -- Ding, ding.

Passengers lean back as a Hong Kong tram -- affectionately called "Ding Ding" by locals -- signals its slow approach to the station.

One by one, riders board through the doors at the back and struggle to pass through the narrow turnstiles.

Jammed bags are a common sight.

The tram slowly rolls back into action, cruising through the middle of traffic in some of Hong Kong's busiest neighborhoods, just as it has for 110 years.

"The tram is such an icon of Hong Kong because it's closely associated with the big events that have happened here over the last century," says Emmanuel Vivant, director and general manager of Hong Kong Tramways.

"The tram has continued its service and accompanied the city through times good or bad. Thus it's very intimately connected to its people."

Often lacking an on board passenger information system or uniformed station staff, Hong Kong's trams can be intimidating for rail virgins.

But they're worth figuring out.

Namely because they're a fantastic way to get to know the city.

"Trams run along some of the best parts of Hong Kong," says Vivant.

"It's in the middle of the road with a vantage point [if you sit on the upper deck of the tram]. They travel at a relatively low speed, so you have time to take the views in.

"Inside the tram, you enjoy a special atmosphere, even poetic.

"A lot of cities in the world had replaced their tram networks with cars and buses by the 1950s before realizing the importance of the tram in the 1970s. They then rebuilt the tram networks, but it's different. So Hong Kong is very, very lucky to have the (older) tram in this sense."

How to ride the tram

Hong Kong's tram stations usually sit in an "island" in the middle of the street, though a few are on the side of the road.

Stops are marked by stand-alone green signs.

The tram line runs 30 kilometers on Hong Kong Island, stretching from Kennedy Town on the western end of the line to Shau Kei Wan on the eastern end.

It runs in only two directions -- eastbound and westbound -- but some routes go further than others.

It's really quite simple.

First, decide which direction you're heading.

Then, look for the tram that goes to or beyond your station. There is a map at the stops.

For example, if you're in Central and want to go to Causeway Bay, all eastbound trams -- those going to North Point, Shau Kei Wan and Causeway Bay -- stop at Causeway Bay station, with the exception of the one going to Happy Valley.

MORE; Sexy, sophisticated, skintight -- China's iconic cheongsam

Boarding is through the rear door -- passengers don't pay until they exit through the front.

The fare is HK$2.30 (about 30 U.S. cents per ride), regardless of the length of the journey.

Fares can be paid with cash or by swiping one of Hong Kong's all-purpose Octopus cards inside the tram.

For comparison's sake, it costs more than 50 U.S. cents for a one-stop ride on the more commonly used MTR.

QR codes are posted at most stations, allowing passengers to find out the time of the next three arriving trams.

The longest possible tram ride takes around 90 minutes.

Here are a few tram highlights.

Chun Yeung Street, North Point

"My favorite section is the loop at the terminal in North Point," says Vivant.

This route, which actually terminates at North Point, is the only section of a tram route that runs through the middle of a wet market.

"The wet market on Chun Yeung Street used to be less organized and vendors would have their stalls set up in the middle of the tramway," says Eric Lee Tsun-lung, founder of tram fan club Hong Kong Trams Enthusiast and the mini-tram cultural museum, Hong Kong Trams Station.

"When I was young, the tram came and honked 'ding, ding' and the vendors moved to the sides with their stuff before resuming their original position as the tram left," says Lee.

Nowadays, vendors don't set up in the middle of the tracks.

Stalls can be found on both sides of the street though, meaning shoppers can often be seen zipping from one side the other, dodging trams in the process.

Des Voeux Road West, Sheung Wan

On the western side of Hong Kong Island, Des Voeux Road West is packed with dried seafood shops, giving it the nickname "Dried Seafood Street."

"If you go to the Dried Seafood Street in the late morning or early afternoon, you can see something very interesting -- shop owners laying large sieves of dried scallops and salted fishes on the side of the road for sun drying," says Lee. "Some even manage to steal a spot on the roof of the tram station."

In addition to Des Voeux Road West and Chun Yeung Street in the east, Vivant says it's worth taking time to ride the whole route.

"There's the historical area in Sheung Wan, the business center in Central, the commercial center in Causeway Bay and the less eye-catching parts of the east of Hong Kong Island," he says. "It gives you a good idea of all different sides of Hong Kong."

The gallery above has more tram route suggestions.

Tram 120, the oldest running tram

Vivant says Hong Kong Tramways is looking at dedicating a special car for tourists.

In the meantime, there are now 163 trams in operation, each with a different number on the front.

Choosing which one to ride requires special knowledge -- not because of where it goes, but because of its history.

"My favorite is model 120, the only tram built in the 1950s that survives till now," says Lee.

Most of its features are well preserved, including its woven bamboo benches on the upper deck.

"There is only one worker left in the company who knows how to weave these benches," says Vivant.

"There are also two 'party trams' for hire privately, models 28 and 128. Car 128 is our second oldest tram."

Millennium Trams are cars built in 2000 -- models 169 and 170.

"The former management company launched three at that time, hoping it would be the future of Hong Kong trams," says Lee. "But (the cars) were heavily criticized by the public as they look too new, too much like a bus. So they scraped the idea."

Future of the tram

There are about 30 tram cars built after 2010 now in operation, known as seventh generation trams.

"Most of the public hopes that the tram remains how it is, whereas frequent travelers want it to be more comfortable and modern," says Vivant.

"To answer this contradiction, the exterior of the tram shares the same shape as the old tram but it's almost 100 percent new inside. Apart from the wheels or controllers that we reuse sometimes. These are over 80 years old."

Tram cars are now made of aluminum instead of wood, so they're more durable.

New trams have passenger information systems, more handles and new engines.

"Without government subsidies, we have to stay competitive and offer 21st-century service to our passengers," says Vivant.

"It's not commonly known, but we are now 100 percent made in Hong Kong with 150 workers in production and maintenance. We are hoping to use our skills to help other cities rebuild their tram networks."

A four-day tram pass can be purchased on Hong Kong Tramways' website for HK$37 ($4.80); private hire from HK$880 per hour ($113).

Hong Kong Trams Station: Shop no. 18, Level 2, The Peak Galleria

@highlight

Hong Kong's trams have been riding the rails for 110 years

@highlight

A tram ride is one of the best ways to experience Hong Kong

@highlight

Numbers 120 and 169 are special trams to look out for

@highlight

Trams heading through Chun Yeung Street in North Point pass through a wet market