(CNN) -- Experts are always looking for creative ways to increase awareness about public health problems. A new idea from the University of Alaska Anchorage has definitely caught some people's attention.

In an effort to combat fetal alcohol syndrome, researchers are planning to install free pregnancy test dispensers in the bathrooms of some bars.

Alaska has the highest reported rate of fetal alcohol syndrome in the United States, according to a 2010 report by the state's Department of Health and Social Services. Health officials estimate that in Alaska, 126 babies born each year are affected by prenatal alcohol use (out of roughly 731,000 people in 2010, one of the lowest state populations). However, most states don't have comprehensive data about their rates, making it difficult to draw national comparisons.

Fetal alcohol spectrum disorder is an umbrella term used to describe the range of possible lifelong effects from prenatal alcohol exposure, such as physical, mental, behavioral and/or learning disabilities. Fetal alcohol syndrome and spectrum disorder are often used interchangeably.

The university's two-year, $400,000 program begins in December and will be studied closely. Pregnancy test dispensers will be placed in bars that are frequented by women 21 to 44 in six regions of the state. In different bars within the same areas, printed warnings will be posted to provide a control group for the researchers.

Both methods will include a toll-free number, website and QR code to complete a short survey about knowledge and prevention of fetal alcohol syndrome. The surveys are site specific, so the university will be able to measure results for each location individually. Staff will also conduct interviews with bar patrons and staff to analyze the use and effectiveness of the dispensers and confirm the survey results.

The hope: Pregnant women stop drinking that night

The researchers believe offering free pregnancy tests in bar restrooms will encourage women to use them and, if they are pregnant, stop drinking that night.

"This is a rigorous pilot study to evaluate community based intervention," said David Driscoll, director of the University of Alaska Anchorage's Institute for Circumpolar Studies. "It's only part of a much larger set of initiatives."

Questions have been raised about the effectiveness of the program and whether it's worth the cost. Will a free pregnancy test really be used at the bar and stop someone from drinking?

Opponents criticized Alaska state Sen. Pete Kelly's program proposal, saying the money would be better spent on giving away condoms or contraception at bars to prevent unwanted pregnancy. Kelly argued the pregnancy tests will be available to help responsible citizens.

"If you know you're pregnant, you won't drink. That is true for much of the population," the Republican senator said in an interview with the Anchorage Daily News. "Birth control is for people who don't necessarily want to act responsibly."

The paper argued many people using birth control are acting responsibly.

Depending on what stage of her pregnancy she's in and how often a woman drinks, fetal alcohol syndrome can cause, among other things, abnormal facial features, brain damage, hyperactivity, difficulty with judgment and motor skill impairment, according to the Mayo Clinic.

The Centers for Disease Control and Prevention, American College of Obstetricians and Gynecologists and the U.S. Surgeon General all agree that women should avoid alcohol during pregnancy, since no amount has been determined to be safe. Approximately 40,000 babies are born with fetal alcoholism in the United States, according to the CDC.

'Why take the risk?'

Alcohol is harmful to a fetus or embryo at any time -- even before a woman knows she's pregnant, said the National Organization on Fetal Alcohol Syndrome.

"We know that alcohol is a neurotoxin, and we know that it crosses the placenta," said the organization's president Tom Donaldson. "Why take the risk?"

Although not involved in the project, Donaldson is eager to monitor the outcome, and based upon the attention this strategy has gotten, he has high hopes for its success. Until now, fetal alcohol syndrome prevention has relied on advisories and labels, which people aren't inclined to look at. But this creative approach, he says, comes without finger-wagging.

"If a woman chooses to drink or not is based on the moment," he said. "It's not a broad admonition."

Study: paying more for alcohol saves lives

Jody Allen Crowe, founder of the nonprofit organization Healthy Brains for Children, started a similar pregnancy test program in Minnesota and is a consultant on this project. He manufactures and is providing the dispensers and tests, both which include information about fetal alcohol syndrome prevention.

Less than two years after the first dispenser in Minnesota was installed, there are now 10 dispensers located in bars, a youth center and even a convenience story by a community college. Crowe has also moved his project into Canada and is in talks with universities in other states about similar studies.

"We've experienced success so far, but what we need now is empirical, gold standard research," Crowe said. The University of Alaska's study will be able to gather the necessary data to provide tangible results.

There's no numerical data to measure the success of the program, but Crowe said the $3 pregnancy tests in Minnesota are being utilized and replenished. The Alaska study hopes to determine how many women taking the tests actually stop drinking during their pregnancy.

Alaska falls slightly below the national average for alcohol consumption in women ages 18 to 44, according the the CDC.

The state leads the country in rapes, at almost triple the national average. Alaska also ranks in the top 10 for alcohol abuse, with just over 21% of adults reporting binge drinking habits. Both of these factors likely contribute to the high rate of fetal alcohol syndrome among Alaska residents, experts believe.

While it's certainly generating a buzz, experts believe that this program has a strong potential for positive results. The university's study will provide research and quantitative data that could change the face of fetal alcohol syndrome prevention on a national level.

Change the list: The rapist next door

@highlight

In December, the University of Alaska Anchorage will offer free pregnancy tests in bars

@highlight

Alaska has one of the highest rates of fetal alcohol syndrome in the country

@highlight

This state-funded effort will measure the effectiveness of tests