(CNN) -- Segway scooter inventor Dean Kamen freely admits it: He often suffers sleepless nights wrestling over whether to quit a project that's not panning out.

Knowing when to quit a fruitless project is difficult, says the father of the Segway, Dean Kamen, left.

"You end up lying there saying, 'I'm not stopping. It would be an act of shallow cowardice. Or you decide to quit and you say, 'This is one of those ideas that just isn't going to work,' " said Kamen, speaking by phone from his home office in Manchester, New Hampshire.

When to quit -- said Kamen, also the inventor of health care technologies and the Slingshot water purifier -- is "the toughest question there is" for any entrepreneur who survives on creativity and instinct.

"It's not nearly as glamorous as people think to keep working on something and to keep hitting roadblocks and to keep going," he said.

Stubborn, delusionally optimistic, creative, fearless, flexible and focused are some of the ways psychologists and business people describe the personality of an entrepreneur. Surprisingly, another word is ignorant.  Quiz: Do you have the right stuff for entrepreneurship? »

"You need to be in denial or in ignorance about the huge challenges you face," laughs Guy Kawasaki, a former Apple executive and entrepreneur who's starting the self-described "magazine rack" alltop.com. "You have to believe that it wouldn't be hard for you to succeed."

Research by Harvard Business School psychology professor emeritus Abraham Zaleznik has unveiled a darker side to the entrepreneur's psyche.

"Entrepreneurs tend to have a singular weakness that allows them to do things without checking their conscience," Zaleznik said. "Juvenile delinquents act and then try to sort things out afterward. I think entrepreneurs have this tendency."

Another academic researcher on the topic, professor Kelly Shaver of the College of William & Mary, told Forbes magazine in 2002 that successful entrepreneurs "really don't care as much" about what other people think. "They're just happy to go ahead and do what they're doing."

In a recession that has forced employers to eliminate 2.6 million jobs in 2008, people who might otherwise start a business at a time of their own choosing find themselves being pushed into entrepreneurship.

"More people often become self-employed in tough times like this," said John Challenger, CEO of a top employment firm for executives and middle managers.

Between 5 percent and 7 percent of clients at Challenger, Gray & Christmas are choosing to start their own businesses, he said. Workers are more open to starting a small business in the dot-com era, Challenger said. "I think we're in a more entrepreneurial period than we were in the '80s and '90s," he said.

Recessions can be "crucibles" for at-home start-ups. "Some of the best new businesses start in recessions because what they have really makes a difference if the market is interested in it," Challenger said. "There's not a lot of easy money to go around, and they have to fight their way forward."

Great entrepreneurs, said Kawasaki, do more than just fight hard to win their market share. They have vision. They ask what he calls the "fundamental question": Wouldn't it be neat if ... ?

Kawasaki said Apple would have failed without the unique contributions of its co-founder, Steve Jobs. "He asked the question, 'Wouldn't it be neat if people could carry all their music with them wherever they went?' " Result: the iPod.

Psychologist Lynn Friedman, whose clients often include entrepreneurs, said many of them are "tuned into consumer needs." They tend to grow up in nurturing families and learned to value the concept of trying new things.

Jobs described fond memories of his California childhood during an 1995 interview with the Smithsonian Institution, saying his father "spent a lot of time with me . . . teaching me how to build things, how to take things apart, put things back together."

But obviously, Kawasaki said, everybody's not always right about the "wouldn't it be neat" question.

He cited Webvan, the online grocery store that served as many as 10 U.S. cities before going bankrupt in 2001.

"Somebody asked the question, 'Wouldn't it be neat if I could buy lettuce online and they'll deliver lettuce to my house?' "

Webvan failed with sales of $178.5 million in 2000 partly because it was buried in $525.4 million in expenses, according to a 2001 CNNMoney.com article.

"They went about it in a grand way," Kawasaki said. "Sometimes it helps to start small."

Webvan entrepreneur Louis Borders, who stepped down as CEO in 1999, told the San Francisco Chronicle four years later, "I get the strategy set, the operation running, the team in place. That's my role as an entrepreneur."

According to Friedman, entrepreneurs "live in the world of action," and they "often need help with slowing down and thinking several steps ahead."

Kamen, who works hard to inspire future innovators with his FIRST program to promote high school math and science, said every entrepreneurial innovator he's ever seen shares a few characteristics.

"It's not that they're brilliant or well-educated," Kamen said. "They work all the time. They don't let failure demoralize or destroy them. They pick themselves up and keep going and eventually, every once in a while, one of your ideas actually breaks through and works, and it makes all that stuff seem worthwhile."

@highlight

An entrepreneur's personality can influence a business

@highlight

Harvard prof: Entrepreneurs have some tendencies similar to juvenile delinquents

@highlight

Many people choose to start their own business in bad economy

@highlight

Expert: Delusional optimism helps fend off scary challenges