Washington (CNN) -- Private health insurance exchanges still are not able to directly enroll consumers in subsidized health plans offered through Obamacare even though the government has said problems doing so should have been cleared up weeks ago.

Executives from three online health exchanges that contract with both insurance companies and government agencies to enroll consumers eligible for federal subsidies in marketplace plans say the process still isn't ready to go and that more work remains.

This despite several promises from government officials that technical fixes have been made to allow for business to be conducted on those sites, which are alternatives to the troubled HealthCare.gov website and health exchanges sites run by states.

The direct enrollment process designed by the Department of Health and Human Services would allow private marketplaces to direct consumers to a federal data hub to confirm their eligibility for government assistance, and then allow them to return to the third-party sites to enroll.

"We're not going to launch anything that doesn't work, but we can't even start testing for a while yet," said eHealth.com CEO Gary Lauer, weeks after the first round of fixes were announced in mid-November.

"We're still going through all of this. The stuff we've had up to this point has been junk, and that's why I'm so concerned about this. It may not work," he said.

Officials from the Centers for Medicare and Medicaid Services, the agency overseeing HealthCare.gov, announced in November several fixes that were supposed to allow for direct enrollment through private issuers within a matter of days.

After the announcement, consumers should have been able to compare plans on a private exchange, visit HealthCare.gov to receive their subsidy eligibility, and then be directed back to the private site to complete enrollment.

"We believe more improvements need to be made before it's stable enough and consumer-friendly enough," said Michael Mahoney, senior vice president of consumer marketing at GoHealth.com, another private online health insurance exchange.

Launched in 2010, GoHealth has been participating in an alternate form of direct enrollment since late November, but visitors to the site still cannot complete the entire process online as CMS officials promised.

Shoppers can compare plans and get an estimate of what kind of subsidy they may qualify for through the GoHealth system, but in order to officially determine their eligibility and enroll in a plan consumers must call a GoHealth call center.

"We're still working with CMS on a solution where you don't have to interact over the phone," Mahoney said.

Other private exchanges are also using their call centers as a workaround, but one official said companies are still working towards the "holy grail," when customers can enroll online from start to finish.

In November, officials at GetInsured.com told CNN they believed they were days away from launching such a process on their site.

But weeks later, company spokeswoman Andrea Riggs said the direct enrollment process is still not ready for public use even though her company has been in near-daily contact with CMS.

"We're not going to put it in front of the consumer and make noise about it until it's a great experience," Riggs said.

During congressional testimony on December 11, Health and Human Services Secretary Kathleen Sebelius pointed to direct enrollment as a viable option for those who have had trouble enrolling on HealthCare.gov, which experienced enormous problems upon its October 1 launch and was only recently brought up to speed.

In response to a question from Georgia Republican Rep. John Barrow about ways consumers can enroll in insurance outside of the troubled federal website, Sebelius said that private online options were available.

"I know that the e-surance, e-health brokers have a variety of plans available," Sebelius said. "I can't tell you how broad-based that is, but I know a number of companies, you can either sign up in person with an agent or broker or sign up online."

The secretary quickly clarified that in order to check whether a consumer is eligible for a premium subsidy, private issuers had to first check in with the federal data hub. But when pushed, she assured Barrow that online exchanges were participating in the process.

"The e-health insurance folks are now engaged and involved, the brokers involved in that," Sebelius said. "The companies are directly involved, as well as individuals navigating on their own."

While some individual insurance companies are currently using direct enrollment to sign up new customers on their company websites, CMS officials could not point to any private exchanges successfully using the process the way it was intended.

Through private exchanges, consumers can compare plans offered by multiple providers, filter them by coverage features, and even get free advice as to what kind of coverage they may need.

Insurance company sites only allow consumers to choose from plans offered by that specific company.

Lauer said the government is making a mistake by not making it easier for private exchanges like his company to enroll customers, calling the redirect system designed by CMS "byzantine."

Describing himself as a supporter-turned-critic of the ACA, Lauer said at the current pace, he doesn't see how the government can reach its projection of 7 million enrollees using just HealthCare.gov and 14 state-run exchanges.

"There's absolutely no reason why we shouldn't be connected directly to the federal data hub, we've got all kinds of security and requirements built into the regulation," Lauer said, referring to the contract his company signed with CMS. "If they want more regulations, more requirements, bring 'em on. If they want to audit us every day, come on in."

Officials from all three companies CNN spoke with acknowledged that they stand to make money from a surge in online enrollment, but they all emphasized that the advice and assistance provided by their sites is free to consumers.

Private exchanges get paid by insurance companies for the customers they sign up. Meaning their service is not only free to consumers, but also to taxpayers.

@highlight

Three online companies that enroll Obamacare consumers say problems persist

@highlight

eHealth.com CEO says process isn't even ready for testing

@highlight

Government officials said on conference call last month that fixes had been made

@highlight

One CEO says call center operators are reporting customers exasperated