(CNN) -- The internet empowers each one of us to speak, create, learn and share. Today, more than two billion people are online â€” about a third of the planet.

The internet has become one of the motors of the 21st century economy, allowing all of us to reach a global audience at a click of a mouse and creating hundreds of thousands of businesses and millions of jobs.

According to a new OECD study, the net already accounts of 13% of American business output, impacting every industry, from communications to cars, and restaurants to retail. Not since Johannes Gutenberg invented the printing press, or Alexander Graham Bell the telephone, has a human invention empowered so many and offered so much possibility for benefiting humankind.

Today, this free and open net is under threat. Some 42 countries filter and censor content out of the 72 studied by the Open Net Initiative. This doesn't even count serial offenders such as North Korea and Cuba. Over the past two years, Freedom House says governments have enacted 19 new laws threatening online free expression.

Some of these governments are trying to use a closed-door meeting of The International Telecommunication Union that opens on December 3 in Dubai to further their repressive agendas. Accustomed to media control, these governments fear losing it to the open internet. They worry about the spread of unwanted ideas. They are angry that people might use the internet to criticize their governments.

The ITU is bringing together regulators from around the world to renegotiate a decades-old treaty that was focused on basic telecommunications, not the internet. Some proposals leaked to the WICITLeaks website from participating states could permit governments to justify censorship of legitimate speech -- or even justify cutting off internet access by reference to amendments to the International Telecommunications Regulations (ITRs).

Read more: Why aren't robots doing my dishes yet?

Several authoritarian regimes reportedly propose to ban anonymity from the web, making it easier to find and arrest dissidents. Others have proposed moving the responsibilities of the private sector system that manages domain names and internet addresses to the United Nations. Yet other proposals would require any internet content provider, small or large, to pay new tolls in order to reach people across borders.

The upshot? The next garage-based phenomena would face a steep and probably insurmountable financial hurdle in its effort to become the next YouTube, Facebook or Skype.

Let us be clear: We do not advocate for an end to the ITU. The UN agency has helped the world manage radio spectrum and wired and wireless telephone networks, bringing much needed investment to the developing world.

But this inter-governmental agency is the wrong place to make decisions about the future of the internet. Only governments have a vote at the ITU. This includes governments that do not support a free and open internet. Engineers, companies, and people that build and use the web have no vote.

The multi-stakeholder model of internet policy development that is the hallmark of the Internet Engineering Task Force, the Internet Corporation for Assigned Names and Numbers, the Internet Governance Forum, the Regional Internet Registries, among many others, is the only sensible way forward.

Transparency and openness are keys to informed participation in policy making. The proposals for amending the ITRs are not generally available to the public or other stakeholders. The treaty conference and proposals in Dubai are formally confidential. We consider this to be a serious deficiency and an inhibitor to thoughtful policy development.

At Google, we see and feel the dangers of the government-led net crackdown. We operate in about 150 countries around the globe. Our services - including Search, YouTube and Blogger, to Gmail and Maps - have been blocked at some point, temporarily or permanently, in more than 30 different countries.

We're not alone in standing up. Users, experts and organizations from around the world have voiced their opposition to governments justifying their regulation of the internet through the ITU's International Telecommunication Regulations. These include countries not just in the West, but also African internet leaders such as Kenya and North African beacons such as Tunisia.

In all, more than 1000 organizations from more than 160 countries have raised concerns about the upcoming closed-door meeting in Dubai. Internet lovers around the world can learn more about the issue on our website -- and if they choose to do so, can pledge their support.

While some governments argue that the internet needs new global rules to speed its rollout in the developing world, we believe the present market-driven approach is best positioned to keep up with the net's exponential growth. Broadband services are being rolled out. Service interruptions remain rare. Within a few years the net is predicted to be serving four billion users -- more than half of humanity!

The bottom-up, loosely-coupled, bilateral and multi-stakeholder practices that have created the network of networks we call the internet allow for a broad range of business models. The critical technical standards developed by the Internet Engineering Task Force and the World Wide Web Consortium create interoperability.

A state-controlled system of regulation is not only unnecessary, it would almost invariably raise costs and prices and interfere with the rapid and organic growth of the internet we have seen since its commercial emergence in the 1990s.

The net's future is far from assured and history offers much warning. Within a few decades of Gutenberg's creation, princes and priests moved to restrict the right to print books.

History is rife with examples of governments taking actions to "protect" their citizens from harm by controlling access to information and inhibiting freedom of expression and other freedoms outlined in The Universal Declaration of Human Rights.

We must make sure, collectively, that the internet avoids a similar fate.

The opinions expressed in this commentary are solely those of Vinton Cerf

@highlight

Some 42 countries filter and censor content out of the 72 studied by the Open Net Initiative

@highlight

According to an OECD study, the net already accounts of 13% of American business output

@highlight

At Google, Cerf says the company sees dangers of a government-led net crackdown

@highlight

A state-controlled regulatory system is unnecessary and would invariably raise costs