Secretary of State Hillary Clinton said Thursday the United States would be willing to negotiate with the leader of Afghanistan's Taliban if he met conditions that have been laid out.

Testifying at a hearing of the House Foreign Affairs Committee, Clinton did not dismiss the prospect when asked by Rep. Steve Chabot, R-Ohio, whether reconciliation talks with the Taliban and other insurgents would include talking with Taliban leader Mullah Omar.

"You don't make peace with your friends," she said, speaking days after concluding a weeklong trip that included stops in both Afghanistan and Pakistan.

There first would have to be a demonstrated willingness on the Taliban's part to negotiate and to meet the conditions already laid out for joining negotiations, she said.

"We have been clear," she had told the committee earlier, "about the necessary outcomes of any negotiation: Insurgents must renounce violence, abandon al Qaeda, and abide by the constitution of Afghanistan, including its protections for women and minorities.  If insurgents cannot meet those red-lines, they will face continued and unrelenting assault."

But she said it is important for an inclusive Afghan-led peace and reconciliation process, in which the parties talk to former insurgents who are ready to renounce violence.

Pressed during questioning about what makes her certain that insurgents will change course and renounce an extremist ideology, Clinton said she is "very realistic," and recognizes not all of them will.

Some 2,500 fighters have already begun the process of reintegrating and have expressed weariness with the Taliban, she said.  In that vein, she said, there have been recent threads of intelligence showing a debate in these societies on issues such as letting girls go to school that she finds promising.

Talks have not yet reached the stage where it is known how many insurgents harbor a desire to reintegrate, she said.

Clinton last week disclosed a meeting this past summer between the United States and a representative of the Pakistan-based Haqqani insurgent network at the request of Pakistan's intelligence service.  She said such meetings are part of a strategy in which "we want to fight, talk and build all at the same time."

"Part of the reason for that is to test whether these organizations have any willingness to negotiate in good faith," she said. "There's evidence going both ways, to be clear. Sometimes we hear that they will, that there are elements within each that wish to pursue that. And then other times that it's off the table.  So I think that with respect to the Haqqani network, it illustrates this point."

In her opening remarks, Clinton said that while "serious challenges" remain, work in both Afghanistan and Pakistan has "yielded significant results," noting that the success of the U.S. presence in the region sometimes gets lost in the public debate.

"Osama bin Laden and many of his top lieutenants are dead," she said. While "the threat remains real and urgent, especially from al Qaeda's affiliates," al Qaeda's ability to conduct operations has been greatly diminished through cooperation on and off the battlefield, she added.

"Many of our successes against al Qaeda would not have been possible without close cooperation between the United States and Pakistan," she said.

In Afghanistan, where security forces still have a long way to go before they can take on added responsibility, and where extreme poverty and corruption remain key challenges going forward, Clinton noted that there are 7 million more children in school a decade after the United States went to war in the country.  Nearly 40% of Afghan girls are in school today, she said, a sharp reversal from when the Taliban ruled the country and prohibited girls from attending school.

"Working with our Afghan and Pakistani partners is not always easy, but these relationships are advancing America's national security interests," Clinton said. "And walking away would undermine those interests."

The secretary of state expanded on the  "fight, talk, build" strategy that she unveiled on her trip.

As coalition and Afghan forces have increased pressure on the Taliban and Haqqani network operations inside Afghanistan, Clinton said, commanders remain concerned about the ability of these groups to launch attacks on coalition forces from safe havens in Pakistan.  In meeting with their counterparts in Pakistan last week, Clinton, CIA Director David Petraeus and the Joint Chiefs chairman, Gen. Martin Dempsey, urged Pakistan to help squeeze the Haqqani network on both sides of the Afghan-Pakistan border.

"We're not suggesting that Pakistan sacrifice its own security.  Quite the opposite," Clinton told the House committee, noting the sacrifices the Pakistan military has made in the fight.

Pakistan has a huge stake in getting Taliban and other insurgents to the negotiating table as well, Clinton said, and called on the Pakistanis to do so through public statements and closing off the safe havens inside Pakistan.

"For our part, the United States is working with the Afghan government to conclude a new strategic partnership that will provide a framework for cooperation long after the transition is concluded in 2014," she said.  "It will send a strong signal about our enduring commitment to the people of Afghanistan and the future of the region."

The military battle against the Haqqani network continues, Clinton said, with a major military operation in Afghanistan launched last week that captured or killed more than a hundred Haqqani operatives.  As the United States steps up its own efforts to pressure the Haqqani network both financially and operationally, Pakistan plays a critical role in ratcheting up pressure on militants operating on its soil, she said.

"We're already working with the Pakistanis to target those who are behind a lot of the attacks against Afghans and Americans," Clinton said.  "And I made it very clear to the Pakistanis that the attack on our embassy was an outrage and the attack on our foreign operating base that injured 77 of our soldiers was a similar outrage. And it was in both instances terrible, but the fact is we avoided having dozens and dozens of wounded or killed."

Lt. Gen. Curtis Scaparotti,the deputy commander of U.S. forces in Afghanistan, told reporters at the Pentagon on Thursday that Pakistani officials have told him "they simply don't have the capacity to take on" the Haqqani network.

But more worrying, he said, may be "indications" seen by coalition forces that Haqqani attacks have originated from locations "in close proximity to some Pakistani outposts."

"I think the collaboration is, at least in some cases, local collaborations with the insurgents, and we talk very bluntly with our Pakistan counterparts about this,"  Scaparotti said.

Regarding Afghanistan, Clinton addressed questions about the reliability of Afghan President Hamid Karzai following comments last week in which Karzai said he would side with Pakistan if a war between it and the United States ever broke out.  She said she asked U.S. Ambassador Ryan Crocker to decipher the meaning behind Karzai's remarks.  Those comments, Crocker told her, were "taken out of context and misunderstood," and harkened back to the long history of cooperation between Pakistan and Afghanistan going back to the Soviet invasion of Afghanistan.

Clinton said she had had a "productive meeting" with Karzai last week in Kabul, one that continued to build on cooperation on fighting insurgents while closely monitoring the success of the Afghan-led reconciliation efforts with insurgents.

As Afghanistan and Pakistan both move to address change in their society, Clinton said religious minority populations must be protected along with women, and racial minorities. "This is one of our biggest problems in the world right now," she said. "There needs to be a greater acceptance of religious tolerance and in so many places there is  no history of religious tolerance."

Clinton told the committee it is important to build capacity for sustained economic growth and development in Afghanistan, Pakistan and the rest of the region as a means to building lasting stability and security.

"People need a realistic hope for a better life, a job and a chance to provide for their family," she said.  "So it is critical to our broader effort that civilian assistance continues in both Afghanistan and Pakistan."

As the administration works to strengthen oversight and effectiveness of its programs in the region, Clinton told the committee she will be sending a comprehensive status update on civilian assistance to Afghanistan and Pakistan next week that would detail plans for both short-term stabilization and long-term development programs.

As coalition forces draw down their numbers ahead of a planned pullout in 2014, Clinton said, it is important for the United States and its partners to support an Afghan-led economic strategy that will improve agricultural productivity, develop natural resources, increase exports, and strengthen the country's financial sector.

She also noted the importance of promoting trade between Afghanistan, Pakistan and its neighbors through the building of new infrastructure and other ways to move goods that will create new jobs across the region.

As the United States gradually reduces its military footprint in Afghanistan over the next few years, Clinton told the members of Congress, Washington must still remain engaged in the region.  "America paid a heavy price for disengaging after the Soviets left in 1989," she said.  "We cannot afford to make that mistake again.  We have to be smart and strategic.  And we have to work together to protect our interests."

@highlight

A U.S. general notes concerns about Haqqani attacks launched near Pakistani outposts

@highlight

The Taliban would have to meet "red-lines" on "the necessary outcomes of any negotiation"

@highlight

Otherwise, "they will face continued and unrelenting assault," Clinton says

@highlight

She cites Pakistan's cooperation in successes against al Qaeda