Too often, it's tempting to view sports through rose-tinted glasses. We believe that coaches always have the best interests of our young people at heart and that everything they do on the side of that court, field, pool or track is for the long-term, holistic benefit of young people.

We even rationalize that coach-player interaction and athlete management behavior that makes us wince and avert our gaze  somehow makes our children -- and even society -- stronger and our future elite athlete role models more humble and worthy.

Sadly, "it's character-building" is the rallying cry for dysfunction and another damaged generation.  Even when we believe that a young person's sports experience is on the wrong track, we convince ourselves it can't have that much of an impact.  I wish that were true, but medieval coaches, like the recently fired Mike Rice at Rutgers University, are a detriment to society, not just sport.

Opinion: Wrong move to fire bullying coach

As a former basketball player at college and in the NBA, I know this coaching style firsthand. Frankly, you can't print the way I was treated in some sporting environments.  At a major U.S. university,  I had an assistant coach who would engineer drills to maximize the chance of fighting or conflict and who frequently called his players "p**sy" and "queer."

In the pros, players were humiliated every day with the crude epithets of sports, demeaned, belittled and challenged physically by coaches without the ability to actually take up their challenge. It was demoralizing, but at least we were well compensated for being treated like dirt.

What saved me is that I didn't start playing sports until I was 17, so I was spared much of the trauma of what I see happening to kids today.

I'm not soft, and I'm certainly not politically correct.  Indeed, I make sure that membership in my sports and community center in the UK is challenging: physically demanding and psychologically testing but emotionally warm. A place where high value is placed on building and nurturing positive relationships while still expecting the very highest standards in sport, study and life from our participants.

Watch: John Amaechi on coaches who bully

I saw the video of Rice's coaching "techniques" and felt momentarily vindicated -- before waves of nausea born of watching the repeated verbal, physical, emotional and psychological abuse overwhelmed that momentary hubris.

I take a lot of stick, mostly from men and from around the world, who think that Rice's behavior might be a bit extreme but that coaching is somehow not beholden to the usual educational norms. In classrooms and other educational settings, this behavior would never be tolerated and indeed would mean expulsion from an entire profession, not just from a job.

We have allowed a parallel universe to develop where sports coaching is concerned.  We don't generally tolerate granting underqualified but well-meaning teachers unfettered access to vulnerable people. But in sports, someone giving up some time for free and winning some games --  while being entirely unqualified to be around young people --  is vaunted.

I watch amateur sports most weeks and always ask parents who see coaches screaming and spitting, shouting and grabbing their children whether they would tolerate that as "character-building" if it were a French or math teacher doing the same thing.  Invariably, their faces change, and you see the immediate outrage.

The truth is, they would never countenance that treatment if it happened in the classroom. Without the shield of sports gear and sweat, the damage to their children becomes clear.

I am aware that in the U.S. and Great Britain, coaches are usually volunteers, and volunteers are well-meaning.  But I will say very strongly that I don't care. Being well-meaning and full of good will is not sufficient.

Abusive coaches  are the products of emotionally illiterate and physically and psychologically violent, coercive and under-informed coaching environments. Although many family and educational factors can mold a man like Rice, you can be certain his experience in youth sports has played a major role in honing his understanding of acceptable behavior in sports as an adult.

Radically improving coaching's  tone and style and respecting an athlete's psychological welfare are so important because bad coaching can unleash monsters on society, each generation meting out abuse learned at the hands of  the one before.

Men like Rutgers' Rice are not rare, they are simply rarely caught on tape, rarely exposed and rarely challenged.  A recent UK study (PDF) suggests that 75% of young people experience psychologically harmful treatment in sport.

This is the gravity of our collective responsibility and the burden of the role of coach.  As coaches and educators, we participate in the creation of indelible memories for young people. Coaches cannot afford to be just good at winning.

The violence and unpredictability of  authoritarian and aggressive coaching  infects all those it touches. Think of the number of young men who have experienced Rice's wrath over his career. That kind of poison infects and potentially manifests in all but the most resilient of them.

Coaches need to stop bullying and start mentoring,  educating and inspiring young people. It's for the benefit of our young people now but also for them, and others, when they grow up and gain power of their own.

@highlight

Rutgers coach Mike Rice fired after video shows him kicking and bullying players

@highlight

John Amaechi says this behavior is not rare, it is part of a damaging coaching culture

@highlight

We would never let French or math teachers abuse vulnerable kids this way, he says

@highlight

Amaechi: Abusive coaching is perpetuated from generation to generation and needs to stop