(CNN) -- A 10-year-old girl, brutally raped, confronts her attacker in court.

The culprit -- a cleric -- tries to pass it off as "consensual sex."

A judge sentences him to 20 years and some $30,000 in fines.

What's extraordinary is that these scenes played out Saturday in a courtroom in Kabul, Afghanistan.

The case is being hailed by women's rights groups and activists as a watershed moment, in a country where women are still the targets of violence, despite reforms since the fall of the Taliban in 2001.

"This case shows the level of cruelty that children in Afghanistan face," said Horia Mosadiq, an Afghanistan researcher with Amnesty International. "This is not an isolated case."

What's unusual about this case is that the victim had the courage to step forward, said Naheed Samadi Bahram, program director for Women for Afghan Women, or WAW, an international women's rights organization helping with the case.

"It makes us believe and trust more in the justice system in the country," Bahram said, speaking to CNN by phone from Kabul. "A little young girl from a far province gets justice for herself, this is amazing. This is a success for human rights in the country".

A hateful crime

The rape occurred in May, in the girl's village in Kunduz, in northern Afghanistan, according to media reports.

The group sheltered the victim and helped her family navigate the legal process.

This is their account of what happened:

The perpetrator, Mullah Mohammad Amin, was a local mullah who taught the girls religious studies.

One day in May, the mullah asked three girls to stay behind after classes to help clean the mosque.

When they were about to leave, he asked the victim to stay. He then tied her hands, taped her mouth and raped her.

She went home and was later examined by a doctor, who confirmed the rape.

The police were informed and the mullah was arrested.

The girl stayed at the WAW women's shelter for a few days and was then sent to Kabul for treatment.

Amin was prosecuted under the Elimination of Violence against Women law, passed in 2009.

While the law has been on the books for the past few years, it had not been strongly implemented, Najia Nasim, country director for WAW, told CNN from Kabul.

"To seek justice for these cases is unusual. They are normally not reported; even if they are reported they are not followed up. The women don't want to bring shame to their family. Some are not aware of the law; others don't trust the government."

Patti Gossman, a senior researcher on Afghanistan at Human Rights Watch, agreed that it is uncommon for rape cases to get this far.

"It's quite unusual that she would bring this case," Gossman said. "Most women would be afraid."

There was also concern, when this case surfaced, about honor killings, she said.

Dramatic courtroom testimony

On Saturday, the victim showed up at the Kabul courtroom accompanied by her father and uncle, said Bahram, who attended the proceedings in Kabul.

The trial lasted nearly two hours, she said.

The mullah sat on the floor, shackled with chains attached to handcuffs, Bahram said, while his young victim kept her face covered with a scarf.

She wept most of the time, Bahram said.

The trial began with the mullah's two defense attorneys reading his statement given to police after his arrest, in which the cleric admitted to having sex with the girl. The lawyers tried to persuade the court that the sex was consensual and that he should be given only 100 lashes as punishment, Bahram said.

Judge Sulaiman Rasouli rejected that argument because it would mean lashing the girl too and treating her as an adulterer rather than a rape victim, according to news reports.

When Amin, speaking in his own defense, said the victim had seduced him, the girl reacted strongly.

"You are a liar... I never loved you... you forced me to do this, you ruined my life... God will hate you for what you did to me, he will punish you," Bahram said, paraphrasing the victim.

The girl's father also spoke up in the court, saying he trusted his daughter and that she never lied, Bahram said.

"The welcome step in this case is that the judge did not charge the child," said Gossman. "In a country where there are several women and girls imprisoned for moral crimes, that's a positive."

The court sentenced the mullah to the maximum 20-year sentence.

Amin's lawyers are expected to appeal to try to reduce the sentence.

Victim still traumatized

The victim is still very traumatized and emotionally fragile, said Nasim, who met the girl Sunday.

"She's a very shy girl; she does not talk much, but when you ask her about the case she starts to cry," Nasim said.

In an interview with Afghanistan's TOLO news agency, her father, who is deaf, said he hopes the sentencing would dissuade other perpetrators from committing such crimes in the future.

"Justice should be preserved so others will send their children to mosques," he told TOLO.

"When family and victims raise their voice it is unusual, but luckily more and more families are speaking out," said Amnesty International's Mosadiq, who credits the hard work of women's rights groups for the legal victory.

"To some extent this is a victory, but we still have a long way to go."

@highlight

Afghan cleric raped 10-year-old girl in mosque

@highlight

Girl confronts attacker in a dramatic trial in Kabul courtroom

@highlight

Judge sentences him to 20 years in prison

@highlight

Women's rights activists hail decision