When you think of refugees, you may think of huddled masses, tired and poor. But those aren't the only types of people fleeing Syria.

"Members of the regime, little by little, are flaking off," U.S. ambassador to Syria Robert Ford told CNN Thursday, giving some prominent examples.

Read more: The Syrian crisis: Where's U.S. aid going?

Ford said Syrian President Bashar al-Assad's mother, Anisa Makhlouf, has moved to the United Arab Emirates, while al-Assad's sister Buhra, has been living in Dubai.

In addition, Ford said Syria's former foreign ministry spokesman, Jihad Makdissi, has fled to the United States as a refugee. However, later Thursday, senior Obama administration officials told CNN that Ford had misspoken on that count, and Makdissi is not in the United States.

The regime's core is weakening gradually, Ford said.

Read more: How Syria's bloodshed drove a peaceful protester into the battlelines

"They themselves know they are losing. When [U.N. and Arab League envoy] Lakhdar Brahimi met Bashar al-Assad the last time in December in his office, he told us that you could hear artillery outside the president's office. I mean, the fighting is getting that close now to the inner circle itself. And so you can imagine what that does to their own spirits, their own morale," he said.

Syrians have fled their homeland in droves since its civil war began nearly two years ago. As of January 22, the U.N. refugee agency UNHCR said the total number of refugees exceeded 678,000, with three countries bearing the brunt of the exodus: Turkey, Lebanon and Jordan, each of which UNHCR says now houses more than 150,000 displaced Syrians.

Read more: Al-Assad touts plan for resolution, says enemies of Syria 'will go to hell'

Anmar Hmoud, Jordan's government spokesman for Syrian refugee affairs, said 3,581 Syrians crossed into Jordan from Wednesday afternoon to Thursday morning, breaking the record for one night that was just set Sunday.

"We do not know when it will stop," Andrew Harper, the UNHCR chief in Jordan said Thursday. "We are seeing quadruple the numbers we were seeing two weeks ago."

While severe weather conditions two weeks ago could be a cause for the sharp increase, Harper said he believes "this is something much bigger than that:  It is an exodus from southern Syria."

Read more: Syria's grim toll continues into 2013

A U.S. delegation arrived at Islahiye Refugee Camp in Turkey on Thursday to inspect the temporary town, population 8,825.

"Our expectation from the United States, from the U.S. delegation, is to enable these people to go home as soon as possible," said Islahiye District Governor Osman Beyazyildiz.

So far, the camp established in March 2012 has cost more than $17.8 million, Beyazyildiz said.

Many Turks are being gracious hosts.

The Anadolu news agency said Turkey delivered new toys Thursday to 4,500 children living in a tent city in Nizip. And the state-run news agency TRT reported that, in addition to public and private groups sending food to displaced Syrians, some secondary school students have been donating "part of their allowances."

U.S. delegation member Anne Richard, assistant secretary of state for population, migration and refugees, thanked the Turks for providing refuge.

Read more: Envoy: 2013 could bring 100,000 deaths in Syria

"We are very, very grateful to the governor and the people of Turkey for their incredible generosity to their neighbors who are fleeing Syria," Richard said, pointing out the United States "has been" and "will continue" providing assistance.

Overall, the United States has contributed $210 million of "humanitarian assistance" to the "heartbreaking" cause, delegation member Nancy Lindborg of the U.S. Agency for International Development (USAID) said.

Syrian state television said Thursday the Assad regime was trying to help the refugees as well. The TV station flashed an "urgent" banner, which translates as, "Based on the political program to resolve the crisis in Syria, the Interior Ministry is calling on the Syrian citizens who crossed the border illegally or legally to come back to the country, and all the necessary measures to resolve their situation will be available to them."

Al-Assad and other top officials, including Prime Minister Wael al-Halqi, celebrated the birth of the Prophet Mohammed on Thursday inside a Damascus mosque, as shown live on state television.

Read more: Syrians find calm after carnage

But things were not quite so peaceful across Damascus and the rest of Syria. According to the Local Coordination Committees (LCC), a network of opposition activists, at least 116 people were killed across the country on Thursday, including 42 in Damascus and its suburbs. The Syria Observatory for Human Rights said that a retired general was targeted with a car bomb, and seriously wounded.

The LCC says 20 more people died in Aleppo, where the opposition reported intense fighting between rebel forces and government troops at the Air Force intelligence offices.

CNN cannot independently verify many claims from Syria, as the government has severely restricted access by international journalists.

The United Nations estimates more than 60,000 people have been killed in the civil war.

@highlight

Regime's inner circle is fleeing "little by little," U.S. ambassador says

@highlight

More than 678,000 Syrians have been displaced in the civil war, the U.N. says

@highlight

U.S. government says it has spent $210 million on the humanitarian crisis so far

@highlight

Syria asks "citizens who crossed the border illegally or legally to come back to the country"