(CNN) -- Operation El Dorado Canyon, authorized by President Ronald Reagan and launched on April 14, 1986, entailed the bombing of military and terrorist installations in Tripoli, Libya. The attack was ordered partly in retaliation for Libya's role in the bombing of a West Berlin discotheque that claimed the life of two U.S. servicemen and a Turkish citizen while injuring more than 200 people, including many Americans.

Reagan also described the U.S. attack on Libya as a "pre-emptive action ... (designed to) diminish Col. (Moammar Gadhafi's) capacity to export terror." He warned, "If necessary, we shall do it again."

Criticized by Western European allies, the U.S. maneuver was endorsed by British Prime Minister Margaret Thatcher. Speaking at the House of Commons on April 15, she reasoned that "Article 51 of the U.N. Charter specifically recognizes the right of self-defense. In view of Libya's promotion of terrorism, the failure of peaceful means to deter it and the evidence that further attacks were threatened, I replied to the (U.S.) president that we would support action directed against specific Libyan targets. ..."

Since her passing Monday, Margaret Hilda Thatcher's role in the unraveling of the Cold War has been widely assessed. Indeed, her declaration the year before Mikhail Gorbachev became the Soviet general secretary presaged the future: "I like Mr. Gorbachev. We can do business together."

Less well recognized, however, is Thatcher's admonition about the gathering threat of international terrorism. Supporting Reagan's Libya raid was a tough call. Despite the escalation in state-sponsored terrorism in the 1980s, France refused over-flight rights for the F-111 bomber that would undertake the strike against Libya, and the leaders of Germany, Italy and Spain refused to assist the U.S. effort. Arguments against involvement in the conflict included possible Libyan reprisals on Western European targets, disruption of financial transactions with Libya, risks of greater Libyan-Soviet collaboration and the encouragement of U.S. militarism.

Denis Healey, a leader of the Labour Party's shadow government, and Dr. David Owen, leader of the Social Democrats and former Labour foreign secretary, were among the many British politicians who denounced Thatcher's stance. A Gallup Poll at the time revealed that about 65% of the British public questioned for the survey disapproved of the U.S. raid.

Even Thatcher's defense of the U.S. action was not unqualified. Four days before the attack, Reagan noted in his diary that she had sent him "a long message pledging support but expressing concern about possible civilian casualties."

In his memoir, Secretary of State George Shultz recalls that "Prime Minister Thatcher said yes to our request for use of U.S. F-111s from U.S. bases in Britain, but she made it clear that we needed to make public our evidence against (Gadhafi), that we should limit the targets to those with clear terrorist connections, and that our retaliation should be 'proportionate.' "

On December 27, 1985, 20 people had been killed, including five Americans, when the El Al ticket counters were bombed at the Rome and Vienna airports. The Reagan administration considered Abu Nidal a terrorist organization, and declared that it had undertaken the attacks with support from Gadhafi. The Libyan leader reportedly called the bombings "heroic." Reagan responded on January 7, 1986, with an executive order that imposed restrictions on trade with Libya.

On March 24, while undertaking peaceful naval exercises in the Gulf of Sidra, U.S. forces were struck by Libyan surface-to-air missiles. The United States returned fire, targeting Libyan military installations. By the time the discotheque was bombed in West Berlin, the pattern of Libya-supported terrorism and aggression toward the United States was incontrovertible. However, Thatcher alone would stand with Reagan as he sought to stop Gadhafi.

The retaliation against Libya didn't stop the terrorist threat. On December 21, 1988, Pan Am Flight 103 exploded over Lockerbie, Scotland. The 259 people on board and 11 people on the ground were killed by a bomb attack, which the Reagan administration blamed on Gadhafi.

It was not until April 1999 that the Libyan government turned over the suspects, who were brought to trial in the Netherlands. And it was not until 2003 that Gadhafi's government took responsibility for the atrocity and agreed to pay compensation to the victims. Gadhafi claimed, however, that he never ordered the bombing.

Despite Libya's ongoing acts of terrorism and the growing global threat from radical Islam in the 1980s and 1990s, many European and American leaders were loath to contend that Gadhafi's actions were anything more than isolated incidents. Thatcher's statement on April 15, 1986, the day after the U.S. strike in Libya was, prescient: "Libya has been behind much of it (terrorism) and was planning more."

In the current era of U.S. drone warfare, Thatcher's nuanced support for air attacks on terrorists and their installations is worth reviewing. By making the case that the United States had the right to self-defense under Article 51 of the U.N. Charter, she was positioning Western responses to the emerging war against terrorists in the context of an international legal framework.

Thatcher repeatedly called for careful targeting in air raids to protect innocent human life, and she was deeply concerned about preventing retaliation from turning into military escalation. She was clear-eyed about a threat that many could not see while the Cold War still raged. "Terrorism is a scourge of the modern age," she cautioned.

Those who currently question whether the West is in a global war against terrorism and who would prefer not to speak of the tragedy of Benghazi would do well to review Thatcher's stance.

The opinions expressed in this commentary are solely those of Kiron K. Skinner.

@highlight

Kiron Skinner: Margaret Thatcher gave crucial support to anti-terror efforts

@highlight

She says British prime minister backed Reagan's retaliation against Libya

@highlight

Skinner: Thatcher was an early, prescient voice on terrorism's threat to the West