(CNN) -- As many as 225,000 children in Haiti live and work as unpaid domestic servants, the first study to closely examine the issue concluded.

The existence of these arrangements are not new, but the scope is larger than previously thought, a new study by the Pan American Development Foundation found. The foundation conducted the largest field survey of human rights violations in Haiti.

Known as restaveks, these extremely poor children are sent by their families to other homes.

"In principle, parental placement of a restavek child involves turning over child-rearing responsibility to another household in exchange for the child's unpaid domestic service," the study says.

The majority, two-thirds, of restaveks are female, and all are prone to abuse and rape by their host families, the study says.

The movement of the children is from poor homes to less poor homes, sometimes within the same family. In addition to boarding, families often send their children to become restaveks because of schooling opportunities in their new homes.

To determine how widespread this practice is, the foundation conducted 1,458 door-to-door surveys in some of the more troubled neighborhoods in Haiti, the poorest nation in the Western Hemisphere.

According to the U.N. Office for the Special Envoy for Haiti, unemployment reaches 70 percent nationally and 78 percent of Haitians live on less than $2 a day.

Given the dire economic condition, child trafficking and organized violence has been a problem in Haiti.

The study's aim was to answer the question: "What is the scale of the victimization?"

What researchers found was that 22 percent of children surveyed were living away from home, and that 30 percent of households had restavek children.

Using census projections for 2010, the study extrapolated that as many as 225,000 children in Haiti's urban areas could be living as restaveks.

The recruitment of such children is "intimately linked" with poverty, said the study, which recommended that the government and foreign aid be used in poverty alleviation programs and more widely available education services, especially in rural areas.

The placement of restavek children has traditionally been a movement from rural Haiti to urban areas.

Another key find to the study is that they are increasingly coming from other urban areas, the study found. In many cases, children are placed in homes of relatives, but kinship ties did not guarantee better treatment, according to the study.

@highlight

Study: As many as 225,000 children in Haiti live and work as unpaid domestic servants

@highlight

Known as restaveks, these poor children are sent by their families to other homes

@highlight

Child-rearing given to another household in exchange for the child's unpaid domestic service

@highlight

The majority of restaveks are female and are prone to abuse and rape by their host families