ADDIS ABABA, Ethiopia (CNN) -- At age 19, Yohannes Gebregeorgis borrowed a soft-cover romance novel entitled "Love Kitten" that changed his life forever.

"I just wanted to come back to Ethiopia and help children have a future, have hope," Yohannes Gebregeorgis says.

Born in rural Ethiopia to an illiterate cattle merchant who insisted upon his son's education, Gebregeorgis had seen a few books in school. But it was the experience of having a book of his own that sparked a lifelong commitment.

Today, at 56, Gebregeorgis is establishing libraries and literacy programs to connect Ethiopian children with books.

"Most Ethiopian children have only access to textbooks in the classroom," says Gebregeorgis. "Books children read outside of school, those are the spices of education."

It wasn't until he became a children's librarian in the United States that he realized what the children of his native home were missing.

Forced to flee Ethiopia to the United States as a political refugee in 1981, Gebregeorgis ultimately put himself through university, obtaining a graduate degree in library science. He relocated to the Bay Area, taking a post at the San Francisco Children's Library in 1985.

There, he met "The Little Engine That Could," "Captain Ahab" and "Peter Pan." He realized the impact children's books could make on a child's sense of wonder and vision.

"Children could imagine everything from books -- connections to other cultures, to other people, to other children, and to the universe at large," recalls Gebregeorgis. "It gives them hope. It gives them pleasure. It gives them everything that they cannot otherwise get in regular textbooks."

But Gebregeorgis found that, among the brilliantly illustrated books in 70 languages, there were none in Amharic, the primary language of Ethiopia, and none representing the places and characters of Ethiopian lore.

When the library allocated $1,200 for the purchase of Ethiopian books the following year, Gebregeorgis was unable to find any, because of prohibitive publishing, purchasing and importing costs in his home country.

So he wrote one. "Silly Mammo" was the first bilingual Amharic-English children's book, and it led Gebregeorgis to establish Ethiopia Reads in 1988. Using proceeds from book sales and grassroots book-a-thons, the nonprofit financed his efforts to bring children's libraries to Ethiopia.

In 2002, Gebregeorgis left his job and his home and returned to Ethiopia with 15,000 books donated by the San Francisco Children's Library. With them, he opened the Shola Children's Library on the first floor of his Addis Ababa home.  Watch Gebregeorgis explain how his home became more than just a children's library »

Young readers quickly overwhelmed the three-room home, requiring the addition of two large tents to provide shade for hundreds at a time.

"I just wanted to come back to Ethiopia and help children have a future, have hope," says Gebregeorgis.  Watch how Gebregeorgis is connecting children with storybooks in Ethiopia »

Today, Ethiopia Reads is doing just that. In addition to the original library, the organization established the Awassa Reading Center and Ethiopia's first Donkey Mobile Library. Inspired by a similar concept he'd seen in Zimbabwe, Gebregeorgis customized a donkey-pulled trailer-cart that now makes weekly visits to rural villages around Awassa.  Watch Gebregeorgis and a young reader talk about the four-legged library »

Reading storybooks to children who have no access to television or computers, Gebregeorgis believes that literacy and education will emancipate his impoverished land, gripped by HIV/AIDS.

Ethiopia Reads recently held its fifth annual Ethiopia Children's Book Week. In 2007, the group offered nearly 94,000 children access to its libraries in Addis Ababa, Awassa and on shady clearings along the Ethiopian countryside.

"With literate children there is no limit as to how much we can do."

@highlight

Yohannes Gebregeorgis fled Ethiopia for U.S. as political refugee in 1981

@highlight

As librarian, he found there were no children's books in Ethiopia's main language

@highlight

After writing one himself, he set up the nonprofit Ethiopia Reads and moved home