(CNN) -- At a time when Republicans are reaching out to the Hispanic community, why are some in my party treating the U.S. citizens in Puerto Rico differently than the U.S. citizens in the 50 states?

When the federal government pays close to 80% of Medicaid costs for states with similar populations, why are House Republicans cutting the federal share of Puerto Rico's Medicaid program to 20%?

I believe leadership is about standing for what is right above politics and party, and that is the pledge I have made to the 3.7 million American citizens in Puerto Rico whom I represent. So I have to call it like it is: the U.S. House's anticipated move to exact a 65% cut to Medicaid funds for Puerto Rico is neither right nor fair, and I urge my Republican colleagues to change direction.

As a fiscal conservative, I fully support efforts to responsibly reduce the cost and size of government, just as we have done in Puerto Rico by cutting government spending by almost 20% and reducing an inherited budget deficit by 90% in three years.

However, it is fundamentally wrong to single out Puerto Rico to bear the brunt of cuts that are not shared by the rest of the nation, especially when the territory already does not have parity with the states in health care programs and lacks the votes in Congress to protect our position.

Historically, Puerto Rico's Medicaid program has been chronically underfunded by the federal government. In 2010, Puerto Rico and the other territories secured corrective legislation to provide $6.3 billion in Medicaid funding over 10 years, which includes $5.4 billion for Puerto Rico. This legislation was enacted as part of the Affordable Care Act, although wholly separate from the law's other national Medicaid policy provisions.

Where previously Washington paid less than 20% of Puerto Rico's Medicaid costs, the federal government is now paying 35% of the cost of our program. This is a step in the right direction, but still far below equal treatment. By comparison, the federal government pays nearly 70% for the District of Columbia's program and 75% for Mississippi's program.

Now, House Republicans have assembled a package of budget cuts to replace the automatic, across-the-board sequester. The proposal does not cut the Medicaid expansion funds for the 50 states, but Puerto Rico's $5.4 billion Medicaid provision has been singled out for elimination.

The cuts would knock Puerto Rico's federal Medicaid funding down to an effective rate of 20%. What governor in the 50 states could accept -- much less accommodate -- covering 80% of Medicaid costs? With federal mandates but no flexibility over eligibility or benefits? State budgets would be ravaged.

The simple truth is that no governor in the 50 states would accept such an assault on American citizens. The state's delegation would fight it, and such unfair, pernicious cuts simply wouldn't be accepted. The same is happening in Puerto Rico, but we have no delegation, no seat at the table when decisions are made, no votes in the federal government that makes our laws. This is perhaps the ultimate price we pay because of our territorial status. If Puerto Rico were a state, we would have full parity in all federal programs, including Medicaid.

Medicaid is not the only U.S. health care program in which Puerto Rico is treated unfairly. If hundreds of thousands of Puerto Ricans have been willing to serve the U.S. military with honor, wearing the U.S. flag proudly on their uniform, then surely our veterans deserve to be protected under Tri-Care Prime, the gold standard of health care for our nation's veterans in the 50 states. Yet Puerto Rico's veterans are excluded.

As I have said from the start of the health care debate, our goal is for the 3.7 million U.S. citizens of Puerto Rico to be treated equally with citizens residing in the states. The territory provision in the Affordable Care Act wasn't about individual mandates, or government-run healthcare. It was about beginning to correct the unfair treatment of the American citizens of Puerto Rico in Medicaid, which has existed since that program was established.

My personal hero, Ronald Reagan, brought many of us from the Hispanic community into the Republican Party. Hispanics responded to him because he stood consistently and firmly for conservative values. The misguided proposal by House Republicans to cut Medicaid benefits for the U.S. citizens of Puerto Rico compromises conservative values and jeopardizes our efforts to rally Hispanic support. It's not too late.

House Republicans still have time to show real and genuine leadership on this issue. All we ask is that you treat Puerto Rico fairly. What's good for Americans in every state should be good for Americans in Puerto Rico as well.

The opinions expressed in this commentary are solely those of Luis Fortuño.

@highlight

Puerto Rico Gov. Luis Fortuño: Some of my fellow Republicans being unfair to Puerto Rico

@highlight

He says the House GOP is seeking to cut Medicaid funding for the territory

@highlight

Fortuño: States with similar populations get 80% support; Puerto Rico would get 20%