(CNN) -- When the lights went out during the magic show, the Costa Concordia passengers watching thought it was part of the act. Then there was a scraping sound, the ship began to list to one side and a panicked evacuation began.

One year ago, on January 13, 2012, the Costa Concordia struck rocks and turned on its side off the Italian island of Giglio, killing 32 people and shaking an industry that prefers to be known for fun in the sun and endless entertainment.

Capt. Francesco Schettino may be indicted in the next few weeks on charges that include manslaughter and abandoning ship before his passengers, and other Concordia executives and crewmembers may also face trial. The ship is still in the water. Salvage experts hope to float the ship by the end of summer 2013 and eventually tow it to an undetermined port for salvage.

Since the disaster, safety policies have been reviewed and changes made to make cruise travel safer.

To find out what changes passengers can see aboard ship, CNN.com interviewed Cruise Critic editor-in-chief Carolyn Spencer Brown, a veteran of more than 200 cruises. Spencer Brown has sailed with all of the world's top cruise lines and many lesser-known lines.

The interview has been edited for clarity and brevity:

How has the cruise industry changed in the wake of the Costa Concordia disaster?

The primary change, and the most important change, that we've seen in the wake of the tragic capsizing of Costa Concordia is a renewed commitment to safety on a global level. It's not that cruising was unsafe before. But the idea that something this disastrous actually did happen has made the cruise industry determined never to suffer a repeat.

The other big change? This accident was sobering for cruise travelers, many of whom in the past might have tried to skip the muster drill or chat away during the safety instructions. Cruise Critic readers understand, better than before, that while the cruise lines are responsible for safety, they too have a role to play in cruising safely. Post-Concordia, I've been to 14 muster drills -- on a variety of ships and cruise lines -- and have noticed that people take them much, much more seriously now. They listen. And on one ship passengers even asked questions. I have never seen that before!

What changes do passengers see?

The most important change, and the first improvement to come out of the tragedy, was a new muster rule. Before, cruise ships could hold the muster, also known as the safety drill, up until 24 hours after sailing (though to be honest, most did do musters before the ship left port). Now, the drills must be completed before sailing. This is important because several hundred passengers who'd boarded Costa Concordia the day it ran aground had not yet attended a muster -- and so didn't have the information on what to do in case of an emergency when they needed it most.

Is cruising safer now than before the Concordia incident on January 13, 2012?

Absolutely. There have been 10 initiatives put into place by the industry since the accident that address a range of issues, from limiting bridge access to carrying significantly more life jackets than needed to standardizing, to some extent, the muster drill.

What should passengers do when they board a ship -- and when they're at sea?

First and foremost, they need to listen to the ship's crew members. From officers to bartenders and from spa massage therapists to kids' club counselors, every one of them is required to undergo consistent training via numerous drills, covering issues like evacuation, serious health emergencies and fire. If you've ever stayed onboard while a ship's in port, you've probably heard the drills being conducted over the loudspeaker. So it's crucial that passengers know they should follow directions issued by crew.

Also, when passengers first start their cruise, they may not feel like hearing about safety instructions when there's a holiday waiting to start, but they need to focus and listen at the muster drill.

Beyond that? Relax and have a good time.

How should passengers go about choosing a safe ship? Is there a Good Housekeeping-type seal of approval from various associations or travel agents?

There isn't one specific place to go for information. At the end of 2012, all of the disparate cruise industry policy- and marketing-related organizations all over the world banded together to issue global safety recommendations and ultimately merged into one cohesive organization under the umbrella of the Cruise Lines International Association. CLIA has been actively working with the cruise industry and safety regulators to come up with a series of new regulations and guidelines, all in response to the tragic Costa Concordia event.

Separate from CLIA are government bodies in the U.S. like the CDC, which operates the Vessel Sanitation Program, and the U.S. Coast Guard, which oversees safety inspections and ensures compliance with the International Convention for the Safety of Life at Sea. Travelers can reference CDC reports by visiting the CDC website, and we also have a quick reference guide on Cruise Critic.  Coast Guard incident reports can be found on the U.S. Coast Guard website.

How can passengers stay healthy aboard ship?

Our top tip for staying healthy on board is always to wash your hands frequently, as you would anywhere where there are a large number of people interacting with one another. In addition to hand washing, also be sure to take advantage of hand sanitizer stations throughout the ship.

For travelers who know they are susceptible to seasickness or worry that they may be, they should come prepared with ginger candies, acupressure wristbands or over-the-counter medicines like Dramamine.

It's also important to answer health forms honestly prior to boarding the ship. If a passenger shares that they've been feeling ill prior to debarkation, the cruise line can take the appropriate precautions to ensure that the illness is not spread to other passengers -- a benefit to the sick passenger, as well as their fellow passengers.

@highlight

January 13 marks one year since the Costa Concordia wrecked off the coast of Italy

@highlight

Since the accident, the cruise industry has revised procedures including safety drills

@highlight

Cruise Critic editor calls the new muster drill standards the most important reform

@highlight

Cruise travelers are taking safety more seriously, she said