Commerce City, Colorado (CNN) -- Maria Zepeda-Sanchez remembers the excitement of the "change" argument in 2008.

"There was really a change then," she said with a nostalgic smile. "People were really anxious to have a new person."

Working the phones for President Barack Obama again four years later, though, change has a new -- and to her troubling -- meaning.

"Different. It's a little different," she said of the then and now reaction when calling Latino voters in Colorado. "It was more hype I think back in 2008, yes."

And now?

"Some people are still really excited," Zepeda-Sanchez said during a brief break from her phone bank work. "Others say, 'Oh, I don't know, well, I haven't made up my mind.'"

Then comes the sales pitch, and the new reality of incumbency -- of 2012.

"Well you say, 'he has done this, and this,'" Zepeda-Sanchez told CNN. "And they say, 'Well he promised a lot of things.'"

Latinos made up 13% of the Colorado vote four years ago, and 61% voted for then-Sen. Obama as he turned Colorado blue after GOP presidential victories in 1996, 2000 and 2004.

But this time, battleground Colorado is tougher territory.

Not that Latinos have switched loyalties and plan to give significantly higher support to GOP nominee Mitt Romney compared to John McCain four years ago.

The question is not will Obama dominate the Latino vote, it is whether Latino turnout will rival 2008 levels -- here and in other key battlegrounds.

Zepeda-Sanchez is a little worried.

"Yes, yes, it is a little bit harder," she says of the then and now. "Sometimes some of them say, 'Well I don't know who to vote for - these two evils, you know.'"

She is a battle-tested volunteer. And shrugs off the idea that this time around is more discouraging.

"You go, 'You know, you voted for this person last time. Give him another chance. ... He needs four more years to do what he needs to do.'"

As critical as Latino turnout is for Obama in Colorado, the intensity -- and strength -- of the evangelical vote is a pivotal piece of Romney's path to victory in the state.

"He cannot win unless he wins convincingly among evangelicals," said Pastor Gino Geraci of the Cavalry South Denver Chapel in Littleton, a close-in Denver suburb. Math backs up that assessment; white evangelicals made up 23% of the Colorado electorate in 2008.

"Think about life, think about liberty, think about character and then cast your ballot," was part of Geraci's Sunday sermon at Calvary South Denver.

Geraci steered clear of any mention of the candidates or political party from the pulpit, though in an interview he made it clear he will vote for Romney -- but not without some hesitation.

"I was a little frustrated because he seems to have equivocated on the issue of life, and then he has come down quite dramatically on the issue of life," Geraci said at a suburban sanctuary that was once a supermarket.

In talking to many of his 1,200 congregants, Geraci said the consistent complaint is unhappiness with both major presidential candidates.

"The frustration of not wanting to vote for either," Geraci said. "So I feel my role is to encourage people to vote."

Will they?

Geraci said his conversations convince him the combination of economic and values concerns are going to motivate a high evangelical turnout -- "a far greater turnout" than in 2008.

Visits to the competing campaign headquarters and satellite offices provide instant proof of the urgent emphasis on turnout - the so-called ground game, including nudging less reliable voters to take advantage of Colorado's early voting window, which opens October 22.

"We are, I believe, at ground zero in the presidential election," is the view of veteran Democratic strategist Michael Stratton.

Heading into the final four weeks, Stratton said Colorado is again up for grabs -- and a new University of Denver poll released this past weekend backs that up.

In the survey, Obama received 47% support to 43% for Romney. Just shy of six in 10 Coloradans said the economy was the top issue, and they gave Romney a slight edge (50%-to 45%) when asked which candidate would do a better job on the economy.

Poll: Obama slightly ahead in Colorado, Romney won debate

"Before the concept of red and blue, before the concept of purple, you remember they called Colorado a ticket splitter state," Stratton said in a coffee shop interview across the street from his Denver office.

Bill Clinton won Colorado in 1992, but lost it in 1996. George W. Bush carried it twice, but never with more than 52% of the vote. Then Obama returned Colorado to the blue column in 2008, winning rather comfortably with 54%.

Since then, however, unemployment in the state has risen a bit, from 7.2% when Obama took office to 8.2% now. In the University of Denver poll, 23% of Coloradans said their personal economic situation had improved over the past year, 41% said it has stayed the same, and 36% said it was worse.

In addition to evangelicals, Stratton said Romney can safely count on deep support from the state's Mormon voters - like Romney members of the Church of Jesus Christ of Latter Day Saints.

"In some places, as you know, there are concerns about Mormonism," Stratton said. "People here all know Mormons. They are family people. You won't hear as in some parts of the country, 'who are these people? Are they some weird cult or something?' ... The Mormon thing helps him here."

The keys for the president, he said, are healthy turnout among Latinos and a heavy focus on suburban women.

On that front, Stratton believes the GOP convention gave Democrats some help.

"Some of this regressive rhetoric about getting rid of Planned Parenthood or taking birth control out of a women's health plan - that is troublesome to voters," Stratton said. "Women are a larger majority of voters in Colorado than they are in a lot of states."

Both campaigns said having Denver as the site of last week's first presidential debate helped bring extra enthusiasm to their state organizations.

"It will be close here," Stratton said. "It will be close in Colorado regardless."

More battleground coverage from CNN's John King:

Revived auto industry gives Obama advantage in Michigan

Iowa's six electoral votes could be decisive

In Ohio, swing state politics have real-life impact

African-American turnout critical for Obama in Pennsylvania

@highlight

Democratic strategist: "We are, I believe, at ground zero in the presidential election"

@highlight

President Barack Obama will need the support of Latinos and suburban women to win Colorado

@highlight

GOP challenger Mitt Romney will need support from the state's white evangelicals to win it

@highlight

Bill Clinton won Colorado in 1992, but lost it in 1996. George W. Bush carried it twice; Obama won it in 2008