(CNN)  -- Archaeologists believe they have unearthed only a small fraction of Egypt's ancient ruins, but they're making new discoveries with help from high-tech allies -- satellites that peer into the past from the distance of space.

The enclosure wall of the Great Aten temple in Egypt, as seen from the QuickBird satellite.

"Everyone's becoming more aware of this technology and what it can do," said Sarah Parcak, an archaeologist who heads the Laboratory for Global Health at the University of Alabama at Birmingham. "There is so much to learn."

Images from space have been around for decades. Yet only in the past decade or so has the resolution of images from commercial satellites sharpened enough to be of much use to archaeologists. Today, scientists can use them to locate ruins -- some no bigger than a small living room -- in some of the most remote and forbidding places on the planet.

In this field, Parcak is a pioneer. Her work in Egypt has yielded hundreds of finds in regions of the Middle Egypt and the eastern Nile River Delta.

Parcak conducted surveys and expeditions in the eastern Nile Delta and Middle Egypt in 2003 and 2004 that confirmed 132 sites that were initially suggested by satellite images. Eighty-three of those sites had never been visited or recorded.

In the past two years, she has found hundreds more, she said, leading her to amend an earlier conclusion that Egyptologists have found only the tip of the iceberg.

"My estimate of 1/100th of 1 percent of all sites found is on the high side," Parcak said.

These discoveries are of no small significance to the Egyptian government, which has devoted itself anew to protecting archaeological sites from plunder and encroachment.

The Supreme Council of Antiquities has restricted excavation in the most sensitive areas along the Nile -- from the Great Pyramids at Giza on the outskirts of Cairo to the carvings of Ramses II in the remote south.

Antiquities officials hope the move will encourage more surveys in the eastern Nile Delta in northern Egypt, Parcak said, where encroaching development in the burgeoning nation of 82 million poses the greatest threat to the sites.

Old and modern methods

Parcak's process weds modern tools with old-fashioned grunt work.

The archaeologist studies satellite images stored on a NASA database and plugs in global positioning coordinates for suspected sites, then tramps out to see them. Telltale signs such as raised elevations and pot shards can confirm the images.

As a result, the big picture comes into view.

"We can see patterns in settlements that correspond to the [historical] texts," Parcak said, "such as if foreign invasions affected the occupation of ancient sites.

"We can see where the Romans built over what the Egyptians had built, and where the Coptic Christians built over what the Romans had built.

"It's an incredible continuity of occupation and reuse."

The flooding and meanders of the Nile over the millennia dictated where and how ancient Egyptians lived, and the profusion of new data has built a more precise picture of how that worked.

"Surveys give us information about broader ancient settlement patterns, such as patterns of city growth and collapse over time, that excavations do not," said Parcak, author of a forthcoming book titled "Satellite Remote Sensing and Archaeology."

The vagaries of climate in the region make satellite technology advantageous, too.

"Certain plants that may indicate sites grow during certain times of the year," Parcak said, "while sites may only appear during a wet or dry season. This is different everywhere in the world."

Archaeologists working in much more verdant climates, such as Cambodia and Guatemala, also have used the technology to divine locations of undiscovered ruins.

They have been able to see similarities between the vegetation at known sites and suspected sites that showed up in fine infrared and ultraviolet images covering wide areas of forbidding terrain.

"For the work I do [in Egypt], I need wet season images as wet soil does a better job at detecting sites with the satellite imagery data I use," Parcak said. "I can pick the exact months I need with the NASA satellite datasets."

Benefits of a bird's-eye view

Remote subsurface sensing has been used in archaeology in one form or another for years, though the term "remote" doesn't necessarily imply great distance. Typically, a surveyor has wheeled a sensing device over a marked-out area to determine what lies below.

The sensing devices employ any of an array of technologies, such as Ground Penetrating Radar. They bounce signals off objects below the surface and translate the data into images that a scientist's trained eye can decipher.

Multispectral imaging encompasses technologies that "see" what the human eye can't, such as infrared and ultraviolet radiation. Scientists have used it for years to study the Earth's surface for a variety of purposes. Until resolution of these images improved, though, the only way to produce a sharp image was to be relatively close to the ground.

For those lugging unwieldy gear across jungle and desert, an effective bird's-eye view can change the world. It lets them leave behind the days and days of meticulous "prospecting" and get results from airplane-mounted sensors or, later on, a flyover by an advanced satellite.

One of the most advanced is called QuickBird, which has been in orbit since 2001 and can provide high-resolution images of 11-mile-wide swaths. The satellite can collect nearly 29 million square miles of imagery data in a year, according to DigitalGlobe, which developed and operates QuickBird.

The company, based in Longmont, Colorado, is working on an upgrade. WorldView-2, to be launched in 2009, will offer sharper resolution of visual and multispectral images than QuickBird, according to the company's Web site.

In the end, though, a tool is only as useful as its wielder.

"Most of the advances have come through processing on the ground by end users such as Dr. Parcak," said DigitalGlobe spokesman Chuck Herring.

@highlight

Sharper resolutions allowing scientists to use satellites to locate ruins sites

@highlight

Pictures from commercial satellites have been sharp enough only for past decade

@highlight

Images have helped archaeologist Sarah Parcak find hundreds of Egyptian sites

@highlight

Colorado company's new, advanced imaging satellite to be launched in 2009