(CNN) -- Thinking about Palestinian Authority President Mahmoud Abbas' efforts this week to gain observer status as a nonmember state, I'm reminded of one of my favorite "Seinfeld" episodes.

Sitting in the Restaurant -- the venue for so many of the best "Seinfeld" bits -- George and Jerry conspire to produce a new sitcom, a show literally about nothing. Not surprisingly, the idea comes to nothing as well, though the ironic brilliance that the very show they want to produce already exists adds a cool philosophical edge to the comedy.

Sadly, like the "Seinfeld" episode, the Palestinian effort to gain entry into the U.N. General Assembly as an observer state will come to nothing as well, even if -- as is likely -- he succeeds.

And that's the real tragedy. Success will neither provide the gains Palestinians hope to achieve nor the disasters that opponents of the initiative predict. In the end, Abbas and the Palestinians will be no closer to statehood and perhaps even a little further away.

Motives

Frustrated by the world's seeming indifference to the Palestinian issue and weakened by his inability to deliver anything, Abbas is desperate for an end-of- the-year success of some kind.

Blocked by Washington and the U.N. Security Council last year from gaining admission as a state, he's fallen back on the idea of observer status, an initiative that can't be vetoed by the Americans and is likely to succeed in the General Assembly.

Opinion: Why U.S., Israel should welcome Palestinian move at U.N.

Observer status is largely a symbolic issue, but the Palestinian Authority might then have access to other U.N.-affiliated agencies, including the International Criminal Court, assuming that body would be willing to entertain Palestinian claims and charges against Israel.

Indeed, Palestinian desperation is accompanied by a Palestinian assessment that the international arena offers a fertile field to score political points and to pressure and isolate the Israelis. Call it a kind of global station identification for an organization -- Fatah -- that's run out of options.

What matters is what happens on the ground

If the history of this issue shows anything, it demonstrates that what really counts is what happens between Israelis and Palestinians in the region. How sad and ironic that it was Hamas' rockets, not Abbas' diplomacy, that put the Palestinian issue on the map again.

And that's likely to be the story again -- whether through violence or diplomacy. What counts is whether Israelis and Palestinians can offer incentives and disincentives to one another in currency that matters -- prisoners, land, cease-fires, economic assistance, etc. It matters not a whit what goes on in New York at the United Nations.

Abbas might well be the best partner Israel will ever have, but if he can't deliver or if the government of Prime Minister Benjamin Netanyahu doesn't want to deal with him, well Houston, we have a problem. And at the moment, it is Hamas -- not Abbas -- that counts more and the Gaza/Egypt arena, not the U.N., that's more relevant.

Washington's calculations

Why not support the Abbas move? Doesn't the U.S. have a stake in bucking him up and reinforcing the two-state solution?

Obama's calculations in opposing the observer initiative are three.

First, philosophically, ever since we've had Israeli-Palestinian negotiations, the American talking points have been pretty consistent. What matters is negotiations, not moves, at the U.N. And even though there are no talks now, the U.S. position is correct; the only thing that can produce two states are two -- maybe three -- parties talking.

Second, there's no doubt that Obama understands that observer status will only deepen the adversarial relationship between Abbas and Netanyahu, give the Israelis another reason not to negotiate and get the president into a fight with Congress should he support the Palestinian bid. Indeed, that's the last thing he needs at a time when he's wrangling with Congress about the fiscal cliff and fighting with the Republicans about Susan Rice, the U.S. ambassador to the United Nations.

Finally, if he is going to consider an initiative on the big Israeli-Palestinian issues during his second term, he needs to build up credibility with the Israelis -- as he's done on the cease-fire in Gaza -- so he can be in a better position to push and persuade them later.

News: Palestinians again take status case to U.N.

An initiative about nothing

The observer state initiative won't make the difference that either its advocates or detractors imagine. Congress might further restrict aid to the Palestinians at a time when the Palestinian Authority is in the red. Abbas will look feckless -- and Hamas even stronger -- because in the end, the results in New York will change nothing on the ground for the better in the region. Indeed, Israel might well retaliate by withholding tax revenues it collects for the Palestinian Authority under agreements reached in the mid-1990s.

And sadly, unlike a "Seinfeld" episode, what happens between Israelis and Palestinians actually matters. For the time being, these two peoples will remain suspended between a peace they cannot have and a confrontation neither wants but might well come nonetheless.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Palestinian Authority President Mahmoud Abbas seeking nonmember state status at U.N.

@highlight

Former diplomat Aaron Miller says the move is like a "Seinfeld" episode, a show about nothing

@highlight

He says it won't achieve a breakthrough and also won't likely do much harm

@highlight

Miller: The real story is about what happens on the ground between Israel, Palestinians