UNITED NATIONS (CNN)  -- Murder and justice have always been hallmarks of the "Law & Order" stable of TV shows, but never before have the fictional New York City crimes guided the show's detectives and attorneys to the United Nations -- until now.

"Law & Order: SVU" co-star Christopher Meloni says the show's intent is to "shine light in the dark places."

The U.N. recently opened the gates of its New York headquarters to the NBC Universal show "Law & Order: Special Victims Unit" for the filming of an episode scheduled to air Tuesday. The taping marked the first time in its nearly 60-year history that the United Nations has allowed its iconic location to be used as a setting in a major network television production.

Previously, the United Nations granted permission for the 2005 motion picture "The Interpreter" to film on location, making it the first feature film to shoot on the grounds of the U.N.

Series stars Stephanie March, who plays Assistant District Attorney Alexandra Cabot, and Christopher Meloni, along with nearly 200 other cast and crew members, came to the U.N. on March 7 to film an episode revolving around child soldiers, refugees, warlords and the International Criminal Court.

"Law & Order: SVU" traditionally involves difficult subject matter such as kidnapping, rape and homicide. Emmy-nominated actor Meloni, who plays Detective Elliot Stabler on the show, explained that the intent behind the issues raised on the program has always been to "shine light in the dark places that no one wants to go or talk about because there's usually a lot of shame and denial about it."

Meloni described how the U.N. episode "really does kind of revolve around child soldiers, how they've been brainwashed, the horrible journeys that they've had to endure and how they can be assimilated back and be productive. And I think in this particular episode, we're trying to carry on with whatever clout we may possess. We have the medium to shine the light out there and tell this story."

Considering the "ripped-from-the-headlines" and complicated themes regarding conflict in Africa and the ICC, "Special Victims Unit" writers and actors relied on Enough Project co-founder John Prendergast as a consultant throughout the filming.

The Enough Project is an advocacy group committed to preventing genocide, crimes against humanity and other atrocities in six historically tumultuous African nations.

Prendergast explained that he perceived the episode as "one where reality dovetailed quite neatly with fiction, and hopefully more people will understand now what is happening in real life with President Bashir and Sudan, and then the accountability for war crimes because they saw it on 'Law & Order.' "

On March 4, the International Criminal Court indicted Sudan's president, Omar al-Bashir, with war crimes and crimes against humanity. This was the first time such charges have been leveled against a sitting head of state.

The "Special Victims Unit" filming was the first official project within Secretary-General Ban Ki-moon's newly formed Creative Community Outreach Initiative. The intent of the program is to establish a relationship with international film and television industries to enhance the image of the United Nations and to "raise the profile of critical global issues," according to a U.N. representative.

Eric Falt, director of the U.N.'s outreach initiative, elaborated: "We're starting a program where we're going to say to filmmakers, people who produce television series, that we are essentially open for business. You want to come to the U.N.? Talk to us. We'll make it happen."

In addition to the "Law & Order" film shoot, the United Nations has hosted two other high-profile events in March through the initiative. Celebrities and recording artists including Akon, Phylicia Rashad, Peter Buffet and Whoopi Goldberg commemorated victims of the of the trans-Atlantic slave trade March 25 with a concert in the U.N. General Assembly Hall. The show was directed by celebrated musician Nile Rodgers and was the first such event held at the United Nations.

Goldberg also moderated a discussion March 17 at U.N. headquarters stemming from the complex topics presented in the popular television show "Battlestar Galactica." The panel featured series stars Edward James Olmos and Mary McDonnell, along with the series creators and assorted U.N. personnel speaking about a variety of subjects prevalent both in the show and in today's world. Topics included abortion, suicide bombings and post-conflict resolution.

Goldberg summed up the purpose of the occasion, saying, "much like the fictional ships and planets in the 'BSG' universe, the U.N. is an imperfect place, but the fight for justice, equality and understanding remains fundamental to both."

Despite the imperfections of the United Nations, "SVU's" March could not have been more thrilled with her experience filming at the U.N.

When asked what she would like to be doing if she weren't putting away fictional bad guys as assistant DA Cabot, March said, "I would love to work for the United Nations. I have a great job, but really all I want to do is actually work in the U.N. I'm pretty excited to be here. It's been a lifelong dream to be a part of it in some way."

The "Law & Order: Special Victims Unit" episode is slated to air at 10 p.m. ET on Tuesday on NBC.

@highlight

TV show is the first to film at U.N.'s New York headquarters

@highlight

Tuesday's episode centers on child soldiers

@highlight

It's first project in U.N.'s Creative Community Outreach Initiative

@highlight

"SVU" writers, cast relied on guidance from advocacy group