(CNN) -- Clothes can look good, feel good and smell good, but now they can also sound good.

Conceptual artist and sound designer Alyce Santoro has developed a material she calls "sonic fabric." Made from 50% polyester thread and 50% cassette tape, it has the consistency of denim, but is able to play audio. This month, Santoro has launched a new line of sonic ties -- hand-sewn in Manhattan by designer Julio Cesar.

The ties can be played by customizing an old Sony Walkman, and rubbing it across the surface of the fabric. The sound the ties make is, according to Santoro, "like scratching five records backwards at once."

Sonic fabric began life as an artwork but is now being used in bags, dresses, accessories and more. The spools of cassette tape used in the construction of sonic fabric maintain their magnetism, and can produce sound if amplified by the head of a tape player.

Santoro's early versions of the textile interwove tapes from some of her favorite artists including John Coltrane, Miles Davis, and Richie Havens, as well as real-world sounds such as recordings of the ocean, wind and birdsong.

The idea for sonic fabric was actually born long ago; as a child, Santoro raced sailboats using strands of cassette tape as 'tell-tales' to indicate the direction of the wind.

"As a kid I used to imagine that I could hear the sounds that had been recorded onto the tape wafting out into the air if the wind hit them just right -- maybe Beethoven, the Beatles, or Bob Dylan -- whatever tapes my family happened to have around the house," Santoro says.

Years later, inspired by this childhood vision, Santoro began to develop her sonic fabric, knitting together strands of tape into square prototypes, which she followed up with meter-long textile sheets woven with a loom.

In the early days of its development, the fabric's audio capabilities were purely hypothetical, but in 2002 Santoro worked with a friend to customize a Sony Walkman to be able to play the fabric. Hearing it for the first time was, Santoro says, "magical."

Sonic fabric soon attracted attention from audiophiles who were interested in experimenting with the way music might be hidden in a garment.

In 2003, percussionist Jon Fishman commissioned Santoro to make him an outfit which he played live on stage with his band Phish. For the project Fishman lent Santoro his entire tape collection, which she mined for tracks from Prince, Led Zeppelin, Jimi Hendrix and more. Santoro wove the samples into a "musical suit" which drew huge cheers when it was played at Phish's concert in Las Vegas.

In the future, Santoro hopes to collaborate with artists and performers to see sonic fabric to further explore the intersection between fashion and music.

"It would be thrilling to work with other sound artists and musicians around the world," says Santoro, "to literally weave together our sonic experiences during these times of powerful transformation in the realms of society, politics, and the environment. The resulting fabric could be shared and made into anything imaginable by anyone interested."

CNN caught up with Santoro for a Q&A.

CNN: Where did you get the idea for sonic fabric? And how has its use changed in the time you have been working with it?

AS: I got the idea to weave with cassette tape when I saw Tibetan Buddhist prayer flags for the first time many years ago. It was explained to me at the time that the flags often have images of sacred sounds, or "mantras," block-printed onto them. Colorful strings of these flags are hung in auspicious locations where the wind can "activate" the sounds, sending "good vibes" out around the world on the breeze. This immediately reminded me of experiences I'd had racing small sailboats as a kid. When sailing, it's imperative to remain aware of subtle variations in the direction and speed of the wind at all times.

There are very low-tech ways to determine this, including feeling the wind on your face, and keeping an eye on "tell-tales" -- small strands of yarn that are tied to the rigging. It so happens that cassette tape is commonly used for this purpose, as it is a very sensitive, durable material. As a kid I used to imagine that I could hear the sounds that had been recorded onto the tape wafting out into the air if the wind hit them just right -- maybe Beethoven, the Beatles, or Bob Dylan -- whatever tapes my family happened to have around the house. I thought it would be interesting to combine the idea of the Tibetan flags with the tell-tails; to weave a fabric quite literally imbued with sonic potential.

CNN: Where and how is it made?

AS: Sonic Fabric is woven at a small, family-run textile mill in New England on an astoundingly beautiful 1940s Dobby loom that was salvaged by the mill especially for this purpose -- it has a special shuttle that just happens to handle cassette tape perfectly.

CNN: What projects is sonic fabric currently being used in? Where would you like to see it used in future?

AS: At the moment, sonic fabric is mostly used in installation art in the form of sets of sailboat sails. I like to imagine that the energy stored in the carefully-blended sounds can have some positive effect, however subtle, on the surrounding environment.

I am currently collaborating with a designer friend on a line of small, wearable accessories. Julio Cesar hand sews neckties, small bags, and other custom pieces for anyone who would like to have a functional work of conceptual art that can be used as part of "everyday life".

In the future, I envision more collaborative opportunities -- it would be thrilling to work with other sound artists and musicians around the world to literally weave together our sonic experiences during these times of powerful transformation in the realms of society, politics, and the environment. The resulting fabric could be shared and made into anything imaginable by anyone interested.

CNN: How does it sound?

AS: The sound that the fabric emits is garbled, like scratching five records backwards at once. Since the 1/8" wide strands of cassette tape get folded when they go into the loom, there are probably 20 or so strands squished into an inch of fabric. An average-width tape head is capable of picking up maybe 5 or 6 strands of tape at a time. The sound the OM tone edition of fabric emits is not garbled. However, since it's recorded with only a single note, it makes a single clear tone that can be adjusted according to the speed at which the player is rubbed along the fabric.

CNN: Can anyone play it?

AS: Absolutely! All you need is an old Walkman and some headphones or a small amplifier. Here's how to build one, with examples of what it sounds like when the fabric is "played."

@highlight

Sonic fabric is a textile made from cassette tape and polyester thread

@highlight

The material has the consistency of denim but is capable of producing audio

@highlight

Sonic fabric has been used in collections by fashion designers and live on stage by musicians