(CNN) -- Mir Hossein Moussavi, Iran's former prime minister, has emerged as a serious contender to Mahmoud Ahmadinejad, who was, for months, considered a shoo-in for re-election to the Iranian presidency.

Presidential candidate Mir Hossein Mousavi holds up the "V" sign after casting his vote on Friday.

A painter and architect who withdrew from the political front for two decades, Moussavi has emerged with a platter of promises. He has said he wants to reform Iran into a global communicator that embraces freedom of speech.

He's also taken an usual step in politics in Iran by relying heavily on his wife, a college professor. Her public support of his candidacy has underscored his professed support of women's rights.

Largely an unknown to the rest of the world when he announced his bid in March, Moussavi has tried to be the foil to Ahmadinejad, who has earned a reputation internationally as a fundamentalist for his Holocaust denials, calls to annihilate Israel, and cat-and-mouse games with the United States and the United Nations over Iran's nuclear activities.

"This anti-Ahmadinejad image is connecting with a lot of Iranians because many feel Ahmadinejad has gone too far, said too many outlandish things and is responsible for a serious financial crisis the country is in," said Afshin Molavi, a senior fellow at the New America Foundation, a nonprofit, nonpartisan public policy institute in Washington.

Molavi is also the author of "The Soul of Iran," a book about Iran's middle-class struggling to free itself, under intense economic and cultural restraints, from the control of the state.

Moussavi was Iran's prime minister from 1981 to 1989 and oversaw the nation's eight-year war with Iraq. He has been largely praised by analysts across varied political leanings for that. But when the constitution was reformed in the late 1980s, removing the job of prime minister, Moussavi retreated to a life outside the public sphere for two decades.

"Twenty years -- what has he done in that time? No one really knows," said Shireen Hunter, a Georgetown University visiting professor and Iranian author of numerous books on the nation's political history who interviewed Moussavi just as he was officially exiting politics.

"What you have is a war and a history that the younger Iranians do not know about or remember, so they know less about him and see him as the reformer he says that he is," Hunter said.

She spoke with Moussavi for her 1992 book "Iran and the World."

"I quoted Moussavi as saying that Iran did not suffer as much from the Soviet Union as it did from America," Hunter said. "He was very anti-Western. He presided over a lot of nationalism [during his time as prime minister,] and now he is saying that he is a reformer? I don't believe in born-again Democrats. I'm skeptical."

It's an image or impression the people are being moved by, she and Molavi contend, that may not be based on hard evidence.

"There were still freedoms that were stifled under Moussavi," Molavi said. "[But] what Iranians seem to remember, what is lingering, is that he steered the country relatively well in a time of crisis during the war."

Now Moussavi has seized on Iran's most pressing problem: its economy.

"There's a sort of overwhelming support now for an opening up of the country to the international community and some access to the free-market economy because, frankly, Iran's own economy is on the verge of utter collapse," said Reza Aslan, an analyst for DailyBeast.com and author of the book "No God But God," an analysis of Islam in politics and culture.

Last week, tensions between the candidates reached a fever pitch. During a recent fiery television debate, Moussavi accused Ahmadinejad of being a radical and turning Iran into a "dictatorship." He said Ahmadinejad was an "adventurist" when it came to foreign policy.

The acrimony between the candidates has appeared to help Moussavi.

During a June 3 television debate, Ahmadinejad called Moussavi "corrupt." The president then showed a picture of Moussavi's wife, a well-known political science professor, and accused her of skipping university entrance exams.

Zahra Rahnavard, who has been touted as a possible first "first lady" of Iran, has threatened to sue Ahmadinejad for defamation, according to several reports.

The heated tone of the election has translated to the streets.  Watch Moussavi's supporters explain why they're backing him »

This week, crowds divided between the candidates are facing off on opposite sides of the street in Tehran. A few fistfights have broken out, but there has been relatively little violence.

Signs aloft, some are wearing green headbands and chanting "Moussavi, Moussavi!" That crowd has more women, and it's markedly younger.

One young woman on the side of Moussavi said, "This is like a revolution."

CNN chief international correspondent Christiane Amanpour contributed to this report.

@highlight

Mir Hossein Moussavi, Iran's ex-PM, hasn't worked officially in politics in 20 years

@highlight

Analysts: He is wooing support by portraying himself as the "anti-Ahmadinejad'

@highlight

Moussavi says he's a reformer, believes in more freedoms and an open Iran

@highlight

Author who has interviewed him says she is skeptical that he truly feels that way