Hong Kong (CNN) -- While China has become the world's second largest economy, doing business in China is now perceived to be more corrupt, according to Transparency International.

China dropped five spots to 80th place out of 176 countries surveyed in the 2012 Corruption Perceptions Index. "The world's leading economies should lead by example, making sure that their institutions are fully transparent and their leaders are held accountable. This is crucial since their institutions play a significant role in preventing corruption from flourishing globally," said Cobus de Swardt, managing director of the Berlin-based corruption watchdog.

Denmark, Finland, New Zealand, Sweden and Singapore topped the list as the cleanest countries to do business in the world, according to the survey released Wednesday. Somalia, North Korea, Afghanistan, Sudan and Myanmar ranked at the bottom.

The United States was ranked 19th in the world, below Japan and the UK and ahead of Chile and Uruguay.

China isn't the only emerging economic giant to perform poorly on the index. India was ranked 94th, a step up from last year's ranking. Russia was 133rd, 10 places higher than 2011.

In Europe, Greece -- whose ailing economy faces tough austerity measures to meet international standards to get bailout cash -- plummeted to 94th place on the list, down from the 80th spot last year.

Corruption Perceptions Index 2012 -- Top 25

1. Denmark

1. (tie) Finland

1. (tie) New Zealand

4. Sweden

5. Singapore

6. Switzerland

7. Australia

7. (tie) Norway

9. Canada

9. (tie) Netherlands

11. Iceland

12. Luxembourg

13. Germany

14. Hong Kong

15. Barbados

16. Belgium

17. Japan

17. (tie) United Kingdom

19. United States

20. Chile

20. (tie) Uruguay

22. Bahamas

22. (tie) France

22. (tie) Saint Lucia

25. Austria

25. (tie) Ireland

Countries are ranked on "perception" of corruption because statistical collection of illegal activities "are deliberately hidden and only come to light through scandals, investigations and prosecutions," the Transparency Index web site says. "Capturing perceptions of corruption of those in a position to offer assessments of public sector corruption is the most reliable method of comparing relative corruption levels across countries."

Countries were assessed on a sliding scale ranging from 0 for "highly corrupt" to 100 for "very clean."

"While no country scored a perfect score, the majority of countries scored below 50, indicating a serious corruption problem," said Huguette Labelle, the chair of Transparency International, in a news release. "This translates into human suffering with poor families being extorted for bribes to see doctors or to get access to clean drinking water."

"Equally damaging is the failure of basic services such as education or public infrastructure because public money is being skimmed off by corrupt leaders. Corruption amounts to a 'dirty tax,' one that hits the poorest and the most vulnerable."

@highlight

China dropped five spots to 80th place out of 176 nations in the Corruption Perceptions Index

@highlight

Denmark, Finland, New Zealand, Sweden and Singapore topped the list as the cleanest countries

@highlight

Somalia, North Korea, Afghanistan, Sudan and Myanmar ranked at the bottom

@highlight

The United States was ranked 19th in the world, below Japan and the UK