(CNN) -- Yume-Hotaru's first novel was a best-seller in Japanese bookstores, and he wrote it entirely with his thumbs.

Publishers in Japan were quick to see the potential of putting cellphone novels into print.

The 22-year-old who would rather be identified by his pen name than his real one (Yume-Hotaru means "Dreaming Firefly" in Japanese) started composing the novel on his cell phone in 2007.

Between classes, on the bus or before going to bed at night, he would type single sentences into his phone's tiny keypad, uploading each one straight to the mobile social networking site Mobage-town.

The more Yume-Hotaru posted, the more popular his story became. It won a prize and soon publishers approached him, asking if he wanted to turn his digital book into a paper one. By early 2008, his novel "First Experience," a story about love and sex in high school, was a top title in one of Tokyo's biggest bookstores.

Since it emerged in Japan nearly a decade ago, the cell phone novel, or keitai shosetsu, has moved from a little-known subgenre to a mainstream literary phenomenon. Keitai shosetsu sites boast billions of monthly users while publishers sell millions of copies of cellular stories taken from phones and turned into paperback.

It is even spreading to other countries as other cultures start to take part in a type of composition long considered purely Japanese.

As the name suggests, cell phone novels are written entirely on handsets and posted on sites like Maho no i-rando (Magic Island), the first and largest mobile novel portal in Japan. The site has a million titles, 3.5 billion monthly visitors and six million registered users, according to the company. Mobile readers instantly see new chapters as they are added, often adding comments about the direction they think a novel should take.

The diary-like stories are written and read mostly by young women in their teens and 20's. Many authors use pen names and claim their stories are at least partially autobiographical. The novels often center on themes that are rarely discussed aloud in Japanese society -- drugs, sex, pregnancy, abortion, rape and disease.

"When they write those novels, they share their secret, personal problems, and when they read by mobile phones, they can hide what they are reading," explained Toshie Takahashi, an associate professor of media studies at Rikkyo University in Tokyo.

"They are also involved and engaged with their mobile phones very strongly," added Takahashi, noting that 96 percent of high school students own a cell phone in Japan.

"The mobile phone itself is embedded in young people's everyday lives very deeply and also emotionally and physically."

Despite its popularity among young women, a male writer known as Yoshi, widely considered the first cellular novelist, brought the burgeoning genre to light when he self-published "Deep Love" in 2002. The story about a prostitute in Tokyo sold nearly 3 million copies and was adapted for film, television and Manga, or Japanese comics.

Publishing phenomenon

A struggling Japanese publishing industry was quick to take notice of the growing popularity of keitai shosetsu, especially early works like Yoshi's "Deep Love." Many of the popular cell phone novels have since been turned into paperbacks, and bookstores across Japan now have entire sections devoted to the digital-age literary genre.

By 2007, half of the country's 10 best-selling novels were written on cell phones, according to book distributor Tohan while last year mobile novels and comics were a $240 million market in Japan, which is over 5 percent of the country's $4.5 billion total mobile content market, according to Japan's Mobile Content Forum.

In January 2009, three Japanese mobile phone novel publishers reported collective sales of 1.7 million copies. Publishers, like Goma Books, one of the first to print cell phone novels, have also launched their own keitai shosetsu sites, which they use to sift through for talent whose work will be marketable on bookshelves.

Goma's mobile story site Orion carries 20,000 novels and has approximately two million monthly users, according to the company. Goma has also published several top-selling keitai shosetsu, including "The Red Thread," by Mei (also a pen name).

Since it was released in 2007, the story, which revolves around the romance of two middle school students, has sold nearly 2 million copies and was adapted for a TV series and movie last December. The publishing house now prints a new mobile novel every month.

Some literary purist don't think the cell phone novels constitute real literature, but their popularity is undeniable.

"The sentences may be a bit immature. It doesn't have a major plot line sometimes. It is just love stories of ordinary high school girls, said Aya Tanaka, a spokesperson for Goma. "But it is kind of like popular comics, it is what the teenagers want to read, and for the publishers, it is quite a big market and it does sell."

Michael Keferl, a trend consultant with Cscout Japan in Tokyo, believes that "[readers] are participating in the creation of the novel, which is one of the reasons why they buy it afterwards. They are helping to write it and are also witnessing it being written."

Crossing cultures

However some believe the future of keitai shosetsu as one that is quickly following in the footsteps of most teenage fads: A sudden and rapid rise to mass popularity followed by a slow but steady decline to the fringes of the not-so-cool.

Last year few mobile novels appeared on best-seller lists while new stories published online have lost their characteristic edginess, said Chiaki Ishihara, a Japanese literature expert at Waseda University in Tokyo who has studied cell phone novels.

"Keitai shosetsu is rapidly declining at this point," Ishihara told CNN. "In a few years, it may not even be considered a subculture."

Others see the cell phone novel moving from an initial boom that peaked around 2007 to a period of market stabilization.

"You are not going to have as many of the big hits as you had before because there are so many titles out," said Keferl. "Things are leveling out now."

While the cell  phone novel market may be cooling in Japan, it is just starting to emerge in other countries, like the United States, where faster networks and cheaper data plans are leading more consumers to use handsets in ways similar to people in Japan.

Many companies are starting to launch mobile web sites in the U.S., including DeNA, the Japanese firm that owns Mobage-town, the site where Yume-Hotaru writes his keitai shosetsu.

"What has surprised us is users in America are behaving in a similar way to the Japanese," said Dai Watanabe, president of DeNA Global, Inc. "They are writing about things that are very close to their actual lives. I was surprised to see it is very similar with what is happening in Japan."

Julian Knighten, a 22-year-old who works three jobs, writes his cell phone stories while lying in bed at night in his home outside of Dallas, Texas.

He said he had never heard of keitai shosetsu before but likes writing cell phone novels because of the relationship he has with readers and the feedback they give him about his stories.

"It encourages me to write," said Knighten. "And it gives me the chance to escape reality."

@highlight

Hugely popular cell phone novels have created new market for publishers in Japan

@highlight

Written on cell phone, often by 20-somethings with themes taboo in society

@highlight

Publishing boom has led to sector maturing, but sales still in millions of copies

@highlight

Cell phone novels finding popularity in U.S. with advancing mobile technology