Johannesburg, South Africa (CNN) -- In downtown Johannesburg -- once a no-go zone riddled with crime -- a young entrepreneur is sparking an urban restoration.

Property developer Jonathan Liebmann is busy rejuvenating the South African city's industrial heart after years of urban decay, with his Maboneng Precinct, on the east side of Johannesburg's central business district.

Maboneng -- meaning "place of light" in Sotho -- is now a mixed-zone neighborhood, full of shops, restaurants and residences, which comes alive at the weekend. And it could follow in the footsteps of London's trendy East End and the shabby-chic streets of Williamsburg in New York as Johannesburg's young middle class flood to the district.

Read more: Africa's tech cities and mega dams

Liebmann said: "The area has really transformed from being a rundown industrial area into being a new living and workspace for people looking for something alternative."

Liebmann and his team own 35 properties in the area and have developed 10 of those buildings since 2008.

"It's paid off financially, but it will pay off more in the medium to long term," he added.

The Maboneng Precinct's first project, called "Arts on Main" is a creative hub boasting an in-house restaurant, rooftop bar and an exhibition space as well as a studio for some of South Africa's most respected artists.

Read more: Fast-food giants target Africa

Prices for an apartment in Maboneng range anywhere from 280,000 rand ($28,500) to 3 million rand ($305,000), and Liebmann said that since he started buying up properties in Johannesburg, prices have sky-rocketed.

"Initially buildings were being bought for 100 euros a square meter," he said. "I think prices have tripled, but that still makes it very competitive when you compare it to the suburbs. There are still very good deals to be enjoyed."

But for seemingly low prices by Western standards, Maboneng still remains an aspirational area for many of the city's 3.8 million inhabitants.

Despite South Africa being the continent's largest economy, 23% of the population is below the poverty line.

Liebmann said that Maboneng's continued development will have a positive impact on Johannesburg, known as the "City of Gold," as other similar projects spring up around the city.

"There's always a knock-on effect," he said, "it's all coming together now in total regeneration."

Another company investing in Johannesburg real estate is Kempston Group. Originally a trucking company, today Kempston Group owns 100 commercial, industrial and farming properties around South Africa.

Read more: Liberia: From warzone to holiday paradise?

And the firm is now taking on a mammoth project to transform the notorious Ponte City skyscraper in the heart of Johannesburg.

When it was built in the 1970s, Ponte City was a desirable place to live. But having loomed over the city for nearly four decades, it became a symbol of the urban decay as the abandoned building fell victim to crime, drugs and prostitution toward the end of the last century.

When it was taken over in 2001, after years of neglect, five stories of discarded trash had to be removed as the building's rejuvenation took place.

Kempston Group founder Tony Cotterell, who is overseeing the renovation, explained: "We bought in large conveyer belts with earth-moving equipment and we started moving it out."

The group has invested tens of millions of dollars into the project and has already finished renovating the residential floors. Cotterell says all of the 500 apartments currently in Ponte are occupied.

"What we're creating is an environment where people can feel safe," said Cotterell. "It's a big change from where it was 15 years ago. I think the whole of Johannesburg is starting to change as well."

CNN's Oliver Joy contributed to this report.

@highlight

Downtown Johannesburg is getting a makeover

@highlight

Maboneng Precinct is an urban regeneration project in central business district

@highlight

Once neglected Ponte City tower houses new apartments