WASHINGTON (CNN) -- The 16 Afghans killed in a shooting spree in early March were buried without autopsies, in accordance with the Islamic tradition of a quick burial. Any effort to do disinter the bodies and do an autopsy would probably be resisted by the Afghan villagers.

But that could present one of many challenges military prosecutors will have in making a case against the alleged shooter, U.S. Army Staff Sergeant Robert Bales.

Last week, after meeting with Afghan President Karzai, Secretary of Defense Leon Panetta said that the "Afghanistan people would see that the United States is indeed going to not only prosecute this individual but ensure that he's held accountable."

But making good on the secretary's promise will not be easy.

"I think the chances that he will walk are not bad," said Gary Solis, who spent 20 years in the Marines as a judge advocate general and military prosecutor. He now teaches the laws of war at Georgetown University Law Center.

Eugene Fidell is another former military prosecutor and the former president of the National Institute of Military Justice who currently teaches at Yale Law School. He's a little less pessimistic about the prosecution's chances in the case but he said "of course, they're going to have their hands full."

The lack of autopsies on the victims of the massacre in Afghanistan's Kandahar province is just one of many hurdles that the prosecution in this case will face once the charges become official.

To prove someone caused a person's death, prosecutors need a cause of death. As any fan of TV's "Law and Order," or countless other cop shows knows, that usually means an autopsy by a forensic pathologist.

But Afghanistan is a Muslim country and Islamic law dictates the dead be buried right away, usually within 24 hours. So no such post-mortem exams were possible. One Afghan minister tried to help U.S. investigators but Hajji Agha Lalai Desdageeri, a member of Parliament from Kandahar, told CNN that investigators "should take some samples of the dead bodies but (many) people gathered around this place and said, 'No this is not acceptable.'"

This is not the first time U.S. prosecutors have tried a murder case without an autopsy.

"This is a big problem. Prosecutors have faced that problem in several of the cases growing out of incidents like this in Iraq and Afghanistan," said Neil Puckett who in his 20 years as a Marine, worked as defense counsel, prosecutor and a military trial judge.

But even without autopsies, military prosecutors have been able to present evidence at previous trials establishing cause of death.

"How it's usually done is that (with) the cause of death, you have photographs hopefully of the bodies and of the wounds on each body. And although you don't have the body, you present evidence depicting the wounds and the dead body and you present these to a prosecution witness (and) a doctor, and the doctor testifies these wounds would unequivocally would result in death," Solis said. "It's certainly not a preferred means, but that's how it's been done."

The next hurdle is getting witnesses to testify.

"The court-martial itself has subpoena power, to require people to come to court, but that subpoena power does not extend beyond our national basis," Puckett said. "What we've seen in the past is that the U.S. government will make every effort to ask people and encourage them and provide them transportation to come to the United States to testify. More often than not, they decline that."

If potential witnesses decline, attorneys involved in the court martial turn to Plan B.

"The next best option is video teleconference testimony."

That would require a live closed-circuit TV feed be established between Afghanistan and a court room in the United States.

Bale's defense attorney has indicated he intends to raise the issue of Bale's mental state during the trial.

"Anybody that has seen what he's seen and done what he's done at the request of the military -- and I'm not talking about these allegations -- I think would have PTSD," attorney John H. Browne, Bales' attorney, told reporters earlier this week.

Solis said that could help Browne's client avoid prison time.

"Defense counsel may argue that there is diminished capacity, despite that fact. If the jury is sympathetic and accepts that there was a lack of capacity, it's conceivable that the jury would find him not guilty."

If Bales has mental problems, Solis said, it might lead to his being convicted on a less serious charge than being found not guilty across the board. "If the chances are not bad that he will walk, I think the chances are extremely good that he will not be convicted of the maximum charges. I think that if any he'll be convicted of a lesser (charge)."

Between the difficulty with the evidence and the mental health issues, at least one of the attorneys suspects there might be a plea bargain before the case ever reaches trial. The hurdles "may incentivize the government to negotiate a plea," Fidell said.

But if all this sounds like defense attorneys have an easy job ahead, they have hurdles, too.

"The accused may have made incriminating statements, he may have made admissions when he was apprehended," Solis said. Defense Secretary Panetta told the media last week that Bales "told individuals what happened."

"That greatly narrows the options of the defense when your man admits he did the killing," Solis said. But Bales' attorney told reporters "there's no confessions."

And there is the issue of video from Bales' base that CNN's Barbara Starr reports shows him leaving the camp before the shooting and coming back afterward.

"The film of him snooping through an orchard to avoid detection to get back into the case -- that, too, will militate against the defense case," Solis said.

@highlight

Victims of the shooting in Afghanistan were buried without autopsies

@highlight

Islamic tradition calls for a quick burial

@highlight

That lack of pathology evidence is just one of the many hurdles prosecutors will face

@highlight

"I think the chances that he will walk are not bad," says one former military prosecutor