Miami, Florida (CNN) -- Tony Louzado is facing foreclosure. He's not alone -- in central Florida, where Louzado lives and works, one in every 56 homes is in foreclosure.

That simple number, from foreclosure data firm RealtyTrac, doesn't tell the whole story, especially in Louzado's case. Two different law firms are pushing the foreclosure -- on the same mortgage.

"I see now that there's two people that are coming after me, that maybe [the bank] hired in this way," he said. "I don't know all the specifics, but there's two people that are coming after me on the same loan number."

Across the country, millions of Americans have lost their homes to foreclosure since the recession began in December 2007, according to RealtyTrac. Increasingly, however, more of those stories are becoming horror tales about a system in chaos with banks pushing people toward foreclosure, sometimes, allegedly, based on error-filled or even fraudulent and illegal documents.

Several of the nation's financial giants, including Bank of America, Allied Financial, JPMorgan Chase and GMAC, have halted foreclosures, although Bank of America and GMAC announced they are resuming the process. While the Obama administration opposes a moratorium on foreclosures so the process can be examined, the federal Fraud Enforcement Task Force has launched a criminal investigation to determine if the banks and their lawyers have done anything illegal.

Louzado's case may or may not have been handled properly, but his story is typical.

"I bought the house 6 years ago. It was something I was happy with. It was $1,500 a month," said the physical therapist and part-time fireman-paramedic. "I'm a prideful man. I take pride in paying all my bills."

But then, there were a series of tragic turns.

His young son needed three open heart surgeries as well as other surgeries to drain fluid. Louzado's health insurance is good, he said, but not good enough to cover $1,800 per month in prescriptions, co-payments and deductibles. He took a loan from his retirement account. The low interest rate on his mortgage -- supposedly fixed for the first five years and variable after that -- nevertheless rose every year, including a $600 jump in Year 4. The bank had no real answers, he said, and wasn't very helpful.

Meanwhile, the bills piled up, and he started to fall behind. Louzado took a 5 percent pay cut at the fire department, necessitated by the struggling economy. But still, he thought he could work his way out until he began calling his bank and realizing, he said, no one wanted to listen.

"They said, 'You are a hard-working American, thank you for paying us. When you stop paying, now we can start working with you,'" Louzado said. "Basically, do something wrong, then we're going to work with you. Go through your savings, go through everything, now you have nothing.

"With my situation it's a little more difficult because of my son's surgeries and the medical bills which I now have to take care of, which I want to take care of,"

His son's medical bills take priority, Louzado says. But that's not easy with a big bank seeking to repossess his modest, three-bedroom townhome in Miami -- and two law firms to deal with.

"In my opinion, these are hired guns. Banks want these non-performing loans off their bottom line. And what do they do? They go out and hire a foreclosure mill who's trying to push it through as fast as possible," said Louzado's attorney, Jose Funica.

Working fast and furiously creates opportunities for mistakes, Funica said, and Florida foreclosure defense attorneys are filing complaints.

Funica's Palm Beach law firm, Ice Legal, has taken numerous depositions where banking officials have admitted under oath they signed thousands of foreclosure-related documents every month without personally verifying them. One employee was signing 10,000 documents a month in some cases, the depositions revealed.

"That's virtually impossible," said Funica. "You have to have an army of people to review the documents necessary to prove the validity of these documents in court."

One of the firms foreclosing on Louzado is the law office of David Stern in Plantation, Florida. Florida's attorney general says Stern's foreclosure business is the largest in the state and accuses the firm of submitting false documents, even making some up, just to speed up the foreclosure process. The state has opened a civil investigation against several firms, including Stern's.

Repeated calls to Stern's office have not been returned. However, he told the New York Times, " ... there has not been submission of fraudulent documents." Stern said the investigation is politically motivated, adding, "We have done nothing wrong."

"I can tell you now that no misconduct is occurring at David Stern's law firm, and the firm works very diligently to make sure that all the processing is done correctly," Stern's attorney, Jeffrey Tew, said in a phone interview.

But in depositions for a lawsuit against the firm, Stern's employees admitted, under oath, they were signing foreclosure documents so fast that they barely had time to even see who the homeowner was.

It's a practice known as "robo-signing." In an excerpt from a deposition of Cheryl Samons, an employee who once worked for Stern, she says she did not read foreclosure documents before signing them.

"How much time do you spend examining each document before you sign them?" asked Ice Legal. "Very little," the employee answered. "Do you read the document?" Ice Legal asked. "No," the employee answered.

"Their mill is the printer, printing off document after document after document and just having people sign them," said Ice Legal attorney Chris Immel.

"They're being paid to serve, to take the foreclosure through the process as quickly as possible," he said. "The servicers actually rate them based on how quickly they move through the process."

And in a "foreclosure mill," time is money.

" ... $1,200 to $1,450 is usually what shows up on uncontested cases for attorney's fees and costs because they're dealing with a pro-se person who's not challenging the different paperwork that they file in the case," said Immel. "I mean, some of these people are making a very good living doing this."

David Stern has made millions. He owns tens of millions of dollars in homes, sports-cars and a recently purchased a 130-foot Mangusta yacht. The yacht alone is estimated to be worth around $20 million.

Judges in numerous states have thrown out thousands of foreclosures. In at least six states, attorneys general are investigating, including the state of Ohio which has also sued Allied Financial. U.S. Attorney General Eric Holder has announced the Department of Justice is looking into the problem, and Congressional leaders are calling for GAO investigations and more.

The investigations and lawsuits will eventually peel back the layers and determine if the foreclosures have been handled properly. Congress may set more rules so that the system operates more transparently.

But that will all come too late for Tony Louzado, who has given up the fight to keep his home and reluctantly is letting it go.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Florida man is pursued by two law firms for one mortgage

@highlight

Florida attorney general is investigating "foreclosure mills"

@highlight

Depositions show attorneys often signed documents without reading them

@highlight

Feds are also looking into the problem, but not calling for moratorium