(CNN) -- Today, President Obama and Russian President Dmitri Medvedev signed a treaty fixing a ceiling for each country of 1,550 nuclear warheads and 700 deployed nuclear delivery vehicles.

The new limits are about a third lower than the previous ones negotiated by George W. Bush in the 2002 Moscow Treaty of 2,200 per side.

Some are impressed. Now that the new treaty is signed, it will be against the law for a president to deploy 1,600 warheads -- unless he first withdraws from the treaty.

But a new "counting rule" undercuts the significance of Obama and Medvedev's achievement. Each bomber counts as only one warhead, even though each might be able to carry as many as 20 warheads.

America's premiere independent expert on the American nuclear arsenal, Hans Kristensen, of the Federation of Atomic Scientists, said "The paradox is that with the "fake" bomber counting rule, the United States and Russia could, if they chose, deploy more strategic warheads under the New START Treaty by 2017 than would have been allowed by the Moscow Treaty by 2012."

On the other hand, almost all arms-control advocates acclaim the new inspection procedures, which lay a strong foundation for future treaties. The Moscow Treaty, by contrast, virtually did away with inspections. It seemed designed to cancel hopes for any future for arms control.

Debates about the size of the cuts are certainly worth having. But they distract from a glaring reality contained in the treaty that is more important and in many ways more surprising. The treaty does cut a few hundred warheads, but at the same time it sanctions and, so to speak, blesses, many more -- namely the 1,550 that are permitted.

This hard fact points to a startling truth: Every decade or so, Washington and Moscow sit down and jointly decide that they would like to go on holding one another hostage to mutual annihilation by nuclear arms. They ratify the balance of nuclear terror born in the Cold War.

Why?

During the Cold War, no one had to ask. The two superpowers were involved in a global confrontation.

But once the Cold War and the USSR ended, the arrangement became downright weird. Was there something in the wary U.S.-Russia friendship of the 1990s or the mild rivalry of the new century that warranted threats of mutual annihilation? The question is almost never asked. Certainly, it has never been adequately answered.

Does anyone in the United States want to be in the cross hairs of thousands of Russian nuclear weapons? Do we want to thus target Russians? Who would answer "yes" to either question?

The geopolitical revolution of 1989-1991 had no visible effect on the strategic precincts where the number of deaths in a nuclear war are reckoned. The two arsenals, and the arms control agreements that went with them, sailed on into the new era disconnected from political goals or realities. War, some say, is politics conducted by other means. But what is this?

True, each time the negotiating teams have met, the cuts have been substantial. At the height of the Cold War, the two countries jointly possessed some 70,000 warheads. Now we're down to some 20,000. (The difference from the 1,550 figure for each side is accounted for by warheads held in storage). Two cheers for that!

But the Cold War figures were so high that the United States and Russia could cut warheads by the hundred or by the thousand for decades and still be capable of wiping each other out many times over.

Consider the 1,550, for example. One hundred warheads used against the hundred largest cities of either country would spell the effectual end of that country. That means that the current figure leaves a factor of overkill of at least 15 -- and more if the thousands of stored warheads are counted.

The cut of a few hundred warheads is a success. But the survival, 20 years after the end of the Cold War, of the 1,550 that each country still points at the other is a gross failure that outweighs it by far.

The opinions expressed in this commentary are solely those of Jonathan Schell

@highlight

Jonathan Schell says U.S.-Russia treaty lowers ceiling for each country's nuclear arsenals

@highlight

But "counting rule" undercuts new limits, theoretically allows more weapons, he says

@highlight

Cuts are welcome, he says, but why continue balance of terror long after Cold War's end?

@highlight

Schell: Existence of thousands of nukes is failure that outweighs treaty's acheivement