Los Angeles (CNN) -- Lily Dionne had been in Hollywood a week when she answered an ad on Craigslist looking for actors for an action-adventure film called "Desert Warrior."

Now, Dionne says she feels betrayed by the California filmmaker who turned the low budget-movie with a threadbare plot into an anti-Islam film that provoked outrage -- with sometimes violent results -- in parts of the Muslim world.

When news broke that violent mobs attacked the U.S. consulate in the Libyan city of Benghazi, leaving Ambassador Chris Stevens and three other Americans dead, she was overwhelmed.

"I was shaking when I found out. I had no idea," Dionne told CNN on Sunday. "This was a movie that I thought no one would ever see."

Dionne knew the filmmaker as Sam Bacile. But federal officials say his name is Nakoula Basseley Nakoula, a convicted felon with a history of using aliases to hide his actions.

Anti-Islam filmmaker meets with probation officer

They consider Nakoula to be the filmmaker behind "Innocence of Muslims," an amateurish film that portrays the Prophet Mohammed as a womanizer, buffoon, ruthless killer and child molester.

Islam categorically forbids any depictions of Mohammed, and blasphemy is an incendiary taboo in the Muslim world.

The movie, backed by hardcore anti-Islam groups in the United States, is a low-budget project that was ignored in the United States when trailers were posted on YouTube in July.

But after Egyptian television aired certain segments, violent protests erupted in Egypt, Yemen, Tunisia, Morocco, Sudan, Iran, Iraq, Israel and the Palestinian territories.

Crew was "grossly misled"

Dionne was one of about 79 cast and crew who say they were "grossly misled" when they answered casting calls on Craigslist, Backstage magazine and other publications in July 2011 for a film that was described as "an historical Arabian Desert adventure."

But from the beginning, Dionne said the cast and crew had questions, including why the central character in a period piece had a Western name.

"We did wonder what it was about. They kept saying George. And we were like, 'This is the Middle East 2,000 years ago. Who's George?'" she said.

She says never heard any talk of politics or religion from the man she knew as Bacile.

After the location shoot wrapped, Dionne said she and others were brought in to dub lines.

"They brought the actors in in post (production) and had them say specific words. Like 'Mohammed,' for example. It was isolated. It wasn't in context," she said. "They'd say 'Say Mohammed,' and they'd (the actors would) say 'Say Mohammed' why?"

When the film was complete, it was no longer a desert adventure about a man named George but rather an anti-Islamic movie about Prophet Mohammed.

Opinion: Don't blame the video; defend free speech

"He knew what he was doing. He was playing us all along," Dionne said.

Another actress, Cindy Garcia, said last week she spoke with the producer after the unrest began.

"He said he wrote the script because he wants the Muslims to quit killing," Garcia said. "I had no idea he was doing all this."

The 79 cast and crew members released a statement saying they were" extremely upset and feel taken advantage of by the producer."

They said they were "shocked by the drastic rewrites of the script and lies that were told to all involved. We are deeply saddened by the tragedies that have occurred."

When news of his movie first broke, the filmmaker, identifiying himself as Bacile, told the Wall Street Journal that he was a 52-year-old Israeli-American real estate developer from California. He said Jewish donors contributed $5 million to finance his film.

But Israel's foreign ministry said there was no record of a Sam Bacile with Israeli citizenship.

"This guy is totally anonymous. At this point, no one can confirm he holds Israeli citizenship. And even if he did, we are not involved," ministry spokesman Yigal Palmor said.

A search by CNN of public records related to Bacile came up empty. A search of entertainment records turned up no previous mention of a Sam Bacile, and the directors and writers guilds had no listing for him.

In the Journal interview, the filmmaker characterized his movie as "a political effort to call attention to the hypocrises of Islam."

"Islam is a cancer," he said. "The movie is a political movie. It's not a religious movie."

Opinion: The reality of Islamaphobia

CNN has not been able to speak with the filmmaker.

A production staff member who worked on the film in its initial stages told CNN that an entirely different name was filed on the paperwork for the Screen Actors Guild: Abenob Nakoula Bassely.

He believed the filmmaker was a Coptic Christian and when the two spoke on the phone during production, the filmmaker said he was in Alexandria, Egypt, raising money for the film.

In Egypt, tension has emerged in recent decades between Muslims and the minority Copts.

Another staffer who worked on the film said he also knew the producer as Sam Bassil. That's how he signed a personal check to pay staff.

He was married with two children. The daughter helped during production and even brought in lunch on a few occasions, the staffer said.

Neither staffer wanted to be identified for security reasons.

Opinion: Video does not represent Coptic community

Nakoula's criminal record

In the days that have followed, federal officials have confirmed that the man calling himself Bacile is, in fact, Nakoula, a man with a criminal record and history of using aliases.

Nakoula was convicted of bank fraud in 2010 and served one year in federal prison at Lompoc, California, before being released on supervised probation for five years.

According to court records, Nakoula used at least 17 false names.

Over the weekend, Nakoula was questioned by federal probation authorities who are conducting a review of his case to determine if he violated any of the conditions of his parole.

Karen Redmond, a spokeswoman for the Administrative Office of the U.S. Courts, didn't provide details of why or when the probation review was initiated, or how long the process would take.

While on probation, Nakoula can't access computers or any device that can access the Internet without approval from his probation officer.

The terms of his parole also says he cannot "use, for any purpose or for any manner, any name other than his/her true legal name or names without prior written approval of the Probation Officer."

Anti-Muslim activist Steve Klein, who said he was a script consultant for the movie, said the filmmaker told him his idea was to make a film that would reveal "facts, evidence and proof" about the Prophet Mohammed to people he perceived as radical Muslims.

"Our intent was to reach out to the small minority of very dangerous people in California and try to shock them into understanding how dangerous Islam is," Klein said.

"We knew that it was going to cause some friction, if anybody paid attention to it," he said.

But when Klein went to the film's screening in a Los Angeles theater, no one was there.

"It was a bust, a wash," he said.

But a while later, the trailers were online. They were segments focusing on the Prophet Mohammed and posted under the title, "Innocence of Mohammed."

The trailers were translated into Arabic, and Egyptian television aired certain segments.

The fury erupted.

Since then, Nakoula has been out of public view and ensconced with his family in their home in Cerritos, California, where journalists have been gathered seeking information about his elusive background.

Are you witnessing the attacks? Share your images but stay safe.

CNN's Amanda Watts and Michael Martinez contributed to this report.

@highlight

Lily Dionne says she was duped by the anti-Islam filmmaker

@highlight

She knows the filmmaker as Sam Bacile

@highlight

"I was shaking when I found out. I had no idea," she said