The law on assisted suicide in Switzerland isn't clear, according to a paper published in the journal Law, Ethics and Medicine on August 20. That's why, the authors say, people from other countries are traveling to the state of Zurich for the "sole purpose of committing suicide."

They're called suicide tourists.

Between 2008 and 2012, 611 "tourists" came to Switzerland for assisted suicide, according to the published analysis. They arrived from 31 countries around the world, though the majority were from Germany and the United Kingdom.

"In the UK, at least, 'going to Switzerland' has become a euphemism for (assisted suicide)," the study authors write. "Six right-to-die organizations assist in approximately 600 cases of suicide per year; some 150-200 of which are suicide tourists."

This published paper is the result of a pilot study completed for a larger project on assisted suicide in Switzerland being done by experts at the Institute of Legal Medicine in Zurich.

Of the 611 assisted suicides identified during the four-year study period, just over 58% were women. The patients' ages ranged from 23 to 97, researchers found, but the average age was 69. Close to half of the patients had a neurological disease. Others stated they had cancer, rheumatic disease or cardiovascular disease. Many had more than one condition.

In all but four cases, the assisted suicides were done using sodium pentobarbital. A fatal dose of this drug causes the patient to slip into a deep coma, according to DIGNITAS, a Swiss right-to-die organization that was involved in most of the identified cases.Sodium pentobarbital paralyzes the patient's respiratory system, causing him or her to stop breathing.

The total number of suicide tourism cases dropped from 123 in 2008 to 86 in 2009. But the number of cases doubled between 2009 and 2012, to 172.

Assisted suicide laws around the globe are in flux as countries debate the pros and cons of allowing doctors to help terminally ill patients, or patients in a lot of pain, die.

In Switzerland, the study authors write, there are no rules to regulate under which conditions someone can receive assisted suicide, though medical professional codes allow it in certain circumstances.

In Germany, there is no formal legal language in the criminal code about assisted suicide, but doctors are not ethically allowed to help someone commit suicide -- and can be held criminally responsible for not helping a patient if they witness him or her going unconscious.

In the United Kingdom, Ireland and France, assisted suicide is illegal, though recent cases have been presented to high courts.

"If Switzerland is happy to continue providing the facility then, however intellectually dishonest it may be to allow her to siphon of all our own English pain, fear, angst and debate, is it likely to do less harm overall than introducing any conceivable assisted suicide law into England," medical lawyer Charles Foster wrote in a commentary accompanying the new journal study.

An international survey of 12 European countries found the majority of people favor legalizing assisted suicide, according to the study authors. This seems to match opinion in the United States, where four states -- Oregon, Washington, Montana and Vermont -- allow assisted suicide.

Opinion: Suicide doesn't set you free

But others have argued that legalizing assisted suicide is not addressing the real issue, which is the need for better palliative care, and that assisted suicide laws would put vulnerable populations at risk.

Alison Twycross of London South Bank University, in an editorial accompanying the new study, writes that advocates for assisted suicide often have a friend or relative who experienced a long, painful death. "So the issue," she writes,"may be a need to provide good end-of-life care."

"We need to start asking questions such as: Is it appropriate to give antibiotics to a terminally ill patient who develops a chest infection? It is possible that a tendency to carry on with curative treatment even in those clearly dying explains the general public's support for (assisted suicide)."

Twycross cites data from Oregon that suggests regulations put in place when assisted suicide was legalized are not always followed.

"Autonomy is important," she writes. "But it could be that, in matters of life and death, you cannot create freedom for the few without taking away adequate safeguards for the many."

@highlight

"Suicide tourism" describes the act of traveling to another country for assisted suicide

@highlight

Between 2008 and 2012, 611 people went to Switzerland to commit suicide

@highlight

More than half of these were women, many had neurological disorders