LONDON, England (CNN) -- With top consultancy firms charging thousands of dollars for a day's work, employing their services is a luxury most companies simply can't afford.

Wharton's MBA students can act as consultants at the Small Business Development Center.

But some business schools offer student consultancies for a fraction of the price, making their expertise available to a whole range of organizations.

Student consultancy groups are a feature of many MBA programs, letting companies hire teams of MBA students to solve their business problems and giving the students a chance to put their education into practice.

The Wharton Small Business Development Center (SBDC) is part of Wharton School at the University of Pennsylvania, ranked by the Financial Times as the having the world's joint best MBA program.

The center employs around 40 MBA students and 40 undergraduates at any time, offering their knowledge and experience to local firms completely free of charge.

Wharton SBDC says it receives hundreds of applications each year from businesses wanting their help, with more than 20,000 small businesses taking advantage of its services over the past 10 years.

Leslie Mitts is managing practice leader at Wharton SBDC. She told CNN that the SBDC works with companies of all types and sizes, including small businesses that would never have the resources to hire a large consulting firm.

"Last week we worked with a lady who was running a dance center for underprivileged kids. As much as she wanted to give away lots of scholarships the school wouldn't exist if she gave so much free service away," she said.

"We made a couple of changes to her business, consolidated a couple of classes so teachers didn't have classes with only two students, and increased the fees by $10 a semester which isn't much, but it is when multiplied by many students.

"Now the center can not only teach all the underprivileged kids in that neighborhood and continue to give scholarships, but it also has a plan for sustainability that keeps it in business."

At Cambridge University's Judge Business School, part of the MBA program requires students to take part in the Global Consulting Project (GCP). The project sees teams of five MBA students spend three to four weeks offering free consultancy services.

Margaret O'Neill is projects manager at Judge and says non-profit companies are among those who have benefited from its services. But it's not just small businesses that can see the advantage of student consultants -- Microsoft, Toyota, Procter and Gamble and Shell International have all taken part in the project.

O'Neill told CNN that companies using the GCP benefit from the students' knowledge of up-to-date research methodology gleaned from the course and the fact that students have diverse backgrounds in a variety of disciplines. And with an average age of 32 the students can offer a wealth of experience.

At Temple University's Fox School of Business in Philadelphia, MBA students can participate in the Enterprise Management Consultant Practice (EMCP). The EMCP charges companies $20,000 for a consultancy, but managing director TL Hill estimates this is only a tenth of the commercial going rate.

Hill says the fee is offered on a sliding scale for non-profits, charities and smaller companies. He gives the example of a project working with a Philadelphia arts program that has created more than 2,000 murals around the city.

Hill says the MBA consultants helped the arts program think about ways of using its copyrighted artwork images to generate extra revenue, including selling prints and T-shirts featuring the artworks.

Robert Parikh is an MBA student at London Business School. Along with seven other students, he forms part of the London Business School (LBS) Consulting Team, a project that runs throughout the summer vacation.

"The idea is to take the skills we're developing and offer them at a reasonable rate," Parikh told CNN.

"The people involved with the team often go on to work for the likes of McKinsey and BCG. By hiring us for a short period over this summer our clients will get very high caliber people before they get too expensive."

Parikh points out that the LBS Consulting Team has a strong background in the field. Parikh, 27, has nearly five years of experience as a general manager for BAE Systems, while other team members have worked for IBM, and in real estate and consulting.

The team is run as a business and profits are kept by the students, but money isn't the motivation for Parikh.

Each year the project starts from scratch and Parikh hopes that being involved from the start will teach him entrepreneurial skills, as well as providing sales and marketing experience he believes will be useful when he finishes his MBA in 2010 and embarks on his chosen career -- in consultancy.

@highlight

Some business schools offer student consultancies at affordable prices

@highlight

Wharton students have helped 20,000 small businesses in the last 10 years

@highlight

MBA students can combine years of experience with academic knowledge