Cairo (CNN) -- Egypt's high court is indefinitely suspending all its sessions, after supporters of President Mohamed Morsy surrounded the building and blocked judges from entering.

Calling Sunday a "dismal, black day" in the history of the country's judiciary, the court said in a statement that its judges will not return to work until they can do their jobs "without any psychological or physical pressures."

"The judges of the Supreme Constitutional Court have no choice but to declare to the great Egyptian people that they are unable to perform their sacred mission in light of the current charged situation," the statement said, according to the state-run MENA news agency.

It was the latest salvo in a growing crisis that pits Morsy and his conservative Islamist allies against liberal, secular opponents, raising fears among observers that the political strife could translate to violence in the streets.

Read more: Rallies in Cairo as Morsy sets date for constitution referendum

A protester who was injured in anti-Morsy demonstrations last week died of his wounds Sunday, Health Ministry spokesman Dr. Mohamed Sultan said. And at least one person died and 66 were injured Saturday in clashes at protests, both for and against the president, according to MENA.

Sunday's protest by Morsy's supporters forced judges to postpone ruling on the legitimacy of the body drawing up the nation's constitution, and on a separate but related decision about whether to dissolve the Shura Council, Egypt's upper house of parliament.

The scheduled court session was widely viewed as a challenge to Morsy, who set off a political maelstrom on November 22 when he declared his past and future decisions were immune from judicial oversight.

Morsy said the powers are necessary and temporary until a new constitution is adopted.

But that promise has done little to quiet the opposition, which says Morsy's actions are reminiscent of those taken by ousted President Hosni Mubarak. Anger at Morsy's move led to protesters reoccupying Tahrir Square, the scene of the Arab Spring uprising that saw Mubarak ousted in 2011.

The anger only grew when the Islamist-dominated Constitutional Assembly pushed through a draft despite the objections of the secular opposition, including some members who walked out in protest.

But Morsy and his political allies may have reason to be worried, given steps taken by the the military council that ruled Egypt after Mubarak's ouster. The council has previously dissolved parliament's lower house, which was populated with a number of Islamist lawmakers loyal to Morsy, because it said the elections were unconstitutional. When Morsy said he would call back the lower house, the high court upheld the dissolution.

On Saturday, Morsy said a constitutional referendum will be held on December 15. Following the announcement, tens of thousands of protesters -- for and against Morsy -- took to the streets.

Hundreds of Muslim Brotherhood and Morsy supporters spent Saturday night outside the court, which had indicated it would review the proposed constitution.

Trucks brought food and blankets to crowds outside, said Sultan, the Health Ministry spokesman.

Opinion: Why the Middle East is a mess

Protesters had surrounded the building by Sunday morning. They blocked entrances, "with some of them on top of the walls while chanting slogans that denounce the judiciary and inciting people against the judges," the court said in its statement Sunday.

It was unclear Sunday whether the high court judges would rule on the constitution. But beyond the court's chambers, opinions over the document were split.

About 1,000 judges from around the country agreed Sunday that they would not supervise a national referendum on the constitution, members of the Egyptian Judges Club said. The club's unanimous decision means court officials who would normally sort out any irregularities in voting will abstain from the process in protest.

But there were also signs of support for the measure.

Following Morsy's announcement of the referendum, there was at least one indication that his move signaled progress: The Egyptian stock exchange rose by nearly 5 billion pounds ($8.2 million) -- 2.5% -- in 15 minutes following the news of a constitutional referendum.

Essam El-Erian, a senior Morsy adviser, has insisted all viewpoints -- including the need to safeguard freedoms when it comes to things like gender and religion -- were taken into account in the drafting of the constitution. But critics are unconvinced.

The constitution's articles include language dealing with individuals' civil rights, particularly how security forces and the justice system treat them.

There is wording prohibiting arbitrary arrest and detention and ensuring due process, a sensitive topic in Egypt. Mubarak and his supporters are blamed for jailing and harshly mistreating innocent people in the years before and especially during last year's uprising.

While many of the articles sound democratic, the fine print indicates otherwise, some human rights advocates say.

"Moving a flawed and contradictory draft to a vote is not the right way to guarantee fundamental rights or to promote respect for the rule of law," said Joe Stork, deputy Middle East and North Africa director at Human Rights Watch.

The preamble includes language pertaining to women, saying they are equal to men, but it also accentuates their role as mothers.

The United Nations' high commissioner for human rights, Navi Pillay, has urged Morsy to reconsider the draft, saying a number of measures contained in it are incompatible with international human rights law.

Opponents of Morsy said they were organizing another round of protests Tuesday against the president and his decree. The scheduled demonstrations are dubbed "the final warning."

Q & A: What's driving Egypt's unrest?

Journalist Mohamed Fadel Fahmy and CNN's Chelsea J. Carter contributed to this report.

@highlight

NEW: Judges nationwide say they won't supervise a referendum on the constitution

@highlight

Egypt's high court calls Sunday a "dismal, black day" in the history of the country's judiciary

@highlight

Court cites "psychological (and) physical pressures" on judges

@highlight

Protesters surround the court and block judges from entering the building