Even among terrorism watchers, the Algerian group Jund al Khilafa has not been a daily preoccupation. But on Sunday this obscure cell found a 55-year old French hiker, Herve Gourdel, wandering in the rugged and beautiful Djudjura National Park in central Algeria.

The innocent mountaineering enthusiast provided the group with an opportunity to catapult itself onto the world stage and burnish its credentials as one of the (relatively few) jihadist groups to declare allegiance to Abu Bakr al Baghdadi and the Islamic State in Iraq and Syria (ISIS).

Its leader, Gouri Abdelmalek, had declared Jund al Khilafa's loyalty to ISIS earlier this month; the name means "Soldiers of the Caliphate." (There are other groups with the same name in Kazakhstan and Egypt.)

In carrying out its threat to behead Gourdel, the group said it was responding to an appeal by ISIS spokesman Muhammad al-Adnani to kill "the spiteful and filthy French" because of their support for military action against the group.

A video message showing the execution was designed to resemble those carried out by ISIS, as were the words of one of the militants, who said: "Let the French people know that their blood is cheap for their president, and it is the same as you made the blood of the Muslim women and children cheap in Iraq and Sham (Syria)."

So does that mean that ISIS' message spreading like wildfire across the Maghreb? And what does Gourdel's tragic murder tell us about a more general threat to Westerners?

Jund al Khilafa is no ISIS. It is a small splinter group of al Qaeda in the Islamic Maghreb (AQIM), an al Qaeda affiliate prone to disunity. Abdelmalek, sentenced to death by Algeria in 2012, was the commander of AQIM's central region. By then, he'd been an active in the militant Islamist insurgency in Algeria for 12 years. He said his fighters were abandoning AQIM because of "the certain deviation of the methods of the mother organization al-Qaeda, and that of the Islamic Maghreb."

Jund al Khilafa holds no territory and cannot threaten Algeria's main cities -- though occasional suicide attacks cannot be ruled out -- let alone launch attacks beyond Algeria. French intelligence analysts say there are plenty of such groups roaming the densely-forested mountains, beyond the authority of the state, some mixing jihad with banditry and smuggling.

Their main threat is to Algerian troops: Jund al Khilafa killed 10 soldiers in an ambush in April close to where Gourdel was seized.

It is not the first -- and likely will not be the last -- jihadist outfit to quit al Qaeda for the millennarian message of al Baghdadi.  This week, a group of the same name in Egypt declared its allegiance to the ISIS leader as the Caliph and threatened attacks on US diplomatic missions.

A group of jihadists in Yemen made the same pledge last week; so did a group in Pakistan. So far none of the big fish among al Qaeda's affiliates have gone over to ISIS. But in a joint statement, AQIM and Al Qaeda in the Arabian Peninsula have expressed solidarity with the people of Syria and Iraq in the face of U.S. military action -- while studiously avoiding any expression of support for ISIS.

That's not to say that smaller groups like Jund al Khilafa are irrelevant. ISIS can use their declarations as propaganda, 'evidence' that its path is the true one and the tide is flowing in its favor. Some analysts see a "bidding war" developing among these groups and cells, as they seek attention and support.

Geoff Porter, who runs the North Africa Risk Consulting, says the murder of Gourdel poses a challenge to AQIM.

"Will it ratchet up its activities to reclaim primacy among the Maghreb's jihadi groups? Will it condemn the kidnapping as futile and reckless? Will it try to pull Jund al-Khilafa back into its fold?" he asks.

And even if Jund al Khilafa's reach is limited, other militants might be tempted to follow its example -- hence the announcement by the French government of preventive security measures Thursday in the wake of Gourdel's killing.

There is one other takeaway from the murder of Gourdel. It is another sign that an ever-growing 'arc' of territory is now too perilous for even the most adventurous of travelers: from the Atlantic coast of Africa through the Maghreb, much of the Middle East, Somalia, Yemen and on to Pakistan.

The famous Paris-to-Dakar motorized rally was abandoned in 2008 because of security threats and moved to South America; backpackers have long since crossed the scenic Swat Valley in Pakistan off their list.

More recently the fabled city of Timbuktu in Mali saw multiple abductions of Westerners by terrorist groups, excursions to St. Catherine's monastery in Egypt's Sinai Desert were halted earlier this year after a bomb attack, and the beautiful coastline of northern Kenya has become a virtual no-go zone thanks to raids by al Shabaab.

Even well-protected commercial ventures, like the uranium mine in Niger owned by French company Aveva and the In Amenas refinery in southern Algeria, have been subject to terror attacks.

Many travelers will now add to that list the breathtaking scenery of the Tizi Ouzou mountains in Algeria.

@highlight

Before Sunday, the Algerian group Jund al Khilafa was little known

@highlight

The videotaped beheading of a French hiker changed that

@highlight

The group cited an appeal by ISIS spokesman Muhammad al-Adnani

@highlight

That appeal was for ISIS followers to kill "the spiteful and filthy French"