Cardiologists and other doctors already view artery-clogging red meat as a villain, and they now have another reason to urge their patients to steer clear: A new study has found that men have a higher risk of developing aggressive prostate cancer if they consume a lot of ground beef and other red meat -- especially if the meat is grilled or well-done.

The men in the study who ate about two servings of hamburger or meat loaf per week were more than twice as likely to have been diagnosed with aggressive prostate cancer as the men who ate none. But most of that increase in risk can be attributed to how the meat was cooked.

When the researchers looked only at the members of the burger-loving group who ate their meat grilled or barbecued, the numbers told a different story: The men who preferred their burgers well-done had double the cancer risk, while those who liked them medium (or rarer) had a negligible increase in risk -- just 12 percent. A similar pattern was seen with grilled or barbecued steak.

Health.com: What men need to know about prostate-specific antigen (PSA) tests

"This is another piece of evidence for the notion that red meat, particularly grilled meat, contains carcinogens that may relate to prostate cancer," says Ronald D. Ennis, M.D., director of radiation oncology at St. Luke's -- Roosevelt Hospital Center, in New York City, who was not involved in the study.

When meat is cooked -- and charred -- at high temperatures over an open flame, a reaction occurs that causes the formation of two chemicals: heterocyclic amines (HCAs) and polycyclic aromatic hydrocarbons (PAHs). In animal studies, these chemicals have been shown to cause several types of cancer, including prostate cancer.

Although by now it is well established that red meat increases the risk of heart disease and colorectal cancer, its role in prostate cancer has been less clear. Numerous studies have investigated a possible link between meat consumption and prostate-cancer risk, but the results have been inconsistent.

Health.com: How to prevent colorectal cancer

"This study not only associates red meat with a risk of prostate cancer but it takes it a little bit forward by looking at the method of cooking and the degree of cooking," says Lee Richstone, M.D., an associate professor of surgery and a prostate-cancer specialist at the Smith Institute of Urology, in New Hyde Park, N.Y. "It helps contribute to our understanding of a potential mechanism in the form of [HCAs] and [PAHs]."

In the study, which was published this week in the journal PLoS One, researchers at the University of California, San Francisco compared about 500 men who recently had been diagnosed with aggressive prostate cancer to a cancer-free group of similar size who served as controls. All of the participants filled out detailed questionnaires about their diets over the previous year, including the amount of meat they ate and how it was prepared.

Men who ate the most ground beef were 2.3 times more likely than men who ate none to have aggressive prostate cancer. Higher consumption of fatty lunchmeats (such as salami) and liver was also associated with an increase in cancer risk. On the other hand, poultry, bacon, and low-fat hot dogs and sausages appeared to have little influence on cancer risk.

Health.com: The best and worst hot dogs for your health

The study "certainly supports the notion that these types of foods may be harmful in some ways," Ennis says.

Close to one-fifth of U.S. men will at some point in their lives develop prostate cancer, which ranges in severity from benign tumors that need little or no treatment to very aggressive forms that are usually deadly. Age, family history, and genetics all have been shown to increase risk. The evidence for environmental risk factors -- including diet -- is less clear, though researchers have long suspected they play a role because of the wide geographical variation in prostate-cancer rates.

The study is far from airtight. The data on meat consumption relied on the memory of the participants, for instance. And although the researchers took into account several known risk factors for prostate cancer (such as family history, smoking, and body mass index), it's possible that other unidentified factors contributed to the apparent link between meat consumption and cancer risk.

Still, the findings are compelling enough that men should consider exercising "moderation and caution," Richstone says.

"There's an expanding and building body of literature that does point to this type of connection, and I think papers like this make for a stronger and stronger argument that men need to moderate their intake of highly cooked meat," he says.

@highlight

In the study, men who preferred their burgers well-done had double the cancer risk

@highlight

When meat is cooked at high temperatures over an open flame, a reaction occurs

@highlight

Heterocyclic amines (HCAs) and polycyclic aromatic hydrocarbons (PAHs) cause several types of cancer