(CNN) -- While state TV bounced between scenes of serene concert footage and orderly rallies in support of leader Moammar Gadhafi, eyewitnesses describe a far different, far more chaotic Libya -- one with arms-toting mercenaries, demonstrators ramming stolen tanks into a military base and masked men firing guns and blasting pro-government tunes from their sport utility vehicles.

Sporadic gunfire continued to ring out early Monday in parts of the North African nation, albeit a far cry from the tumult seen at other times since demonstrations and clashes began Tuesday night in Benghazi.

Obtaining independent confirmation on events in Libya is very difficult. The Libyan government maintains tight control on communications and has not responded to repeated requests from CNN for access to the country. CNN has, however, interviewed numerous witnesses by phone.

Several people noted that major unrest came to Gadhafi's doorstep in the capital Tripoli for the first time on Sunday, where crowds of anti-government protesters loudly decried Libya's current government, set fires to cars and braved gunfire by uniformed and self-styled security forces.

Gunfire rang out in the capital's streets, some of it coming from the barrel of masked men driving through the streets, said one witness -- who, like many others, isn't identified for safety reasons.

A woman said she saw demonstrators running down a Tripoli street outside her window, chased by apparent mercenaries in pickup trucks. The men were firing at the demonstrators and throwing tear gas at them, according to the witness. Many families have closed their windows and turned off their lights out of fear, she said.

Demonstrations, clashes and damage were especially evident around Green Square and the presidential palace, individuals on the ground told CNN. According to one person, the heavy guard detail normally positioned outside Gadhafi's residence disappeared Sunday night.

Protesters who set fire to cars in the middle of the street soon thereafter bolted after hearing gunfire, a Libyan man said.

"Someone came and said that Gadhafi's people are in the next street," he said. "We could hear the gunshots were very close."

By early Monday, Tripoli's streets had calmed down, though frequent gunshots could still be heard.

"Now we hear gun shots mostly -- a lot of them," said one man, adding that he also heard people protesting in the distance.

A relative calm had also descended by then in Benghazi, Libya's second largest city and a hotbed of anti-Gadhafi sentiment. But it was a far cry from the violence there on Sunday.

The central government lost control of Benghazi, with multiple witnesses reporting that protesters took over Libya's second-largest city with support from some military who dropped their allegiance to Gadhafi.

However, his son Saif Gadhafi -- in a speech on state television early Monday -- continued to insist the military remained loyal to the ruling government and would be taking an increasingly active role in suppressing unrest in the coming days.

The reported power shift followed fresh clashes that left 25 dead earlier in the day, a doctor at Benghazi's Al Jalla Hospital said.

A source at Benghazi Medical Center, the city's other major hospital, said there were 10 people dead there Sunday.

One man told CNN that uniformed troops opened fire on thousands of mourners as they passed through the streets during a funeral procession honoring those killed the previous day.

Protesters later Sunday packed at least one car with explosives and sent it crashing into a compound wall at a military camp in the eastern city, eyewitnesses said. Security forces then fired on the protesters as they attempted to breach the camp.

On the camp's southern side, meanwhile, protesters drove a tank from a nearby army base in another attempt to break in, witnesses said. They have also obtained other weapons, the protester said.

Libyan state television reported the camp has been defended, and that protesters were being warned on loudspeakers not to attack the compound. The network called it an act of sabotage.

The protester said that the military camp is significant because it houses Gadhafi's eastern palace.

"It's a symbol of his dominance here," he said. "And it's the last symbol, basically."

A protester said some fellow anti-government demonstrators had other weapons. Saif Gadhafi accused criminal elements of stealing arms and firing them in an attempt to cast blame on military and security forces.

Medical sources and other sources have said that at least 219 had died nationwide in the violence.

But Saif Gadhafi said that international media had overstated the death toll. He also claimed foreign nationals and "illegal immigrants" had stirred the uprising, with some dissenters attacking government installations as well as stealing caches of weapons.

CNN's Brian Walker, Ben Brumfield and Amir Ahmed contributed to this report.

@highlight

Witnesses in Tripoli and Benghazi report on tumult; CNN can't confirm their accounts

@highlight

Masked men blasted pro-government music and fired guns in Tripoli, witnesses say

@highlight

Anti-government protesters set fire to cars and attacked a military base in Benghazi

@highlight

Moammar Gadhafi's son claims the media overstates the violence, blames outsiders