(CNN) -- At the annual rattlesnake roundup in Sweetwater, Texas, in early March, Jaycee sponsors and volunteers slaughtered 3,890 pounds of rattlesnakes. The event is billed as "Fun for the whole family," and children take their turns to skin a snake, and afterward, press their hands covered with snake blood onto a wall of handprints.

The Jaycees, short for the U.S. Junior Chamber, bills itself as a group that gives young people "the tools they need to build the bridges of success." The Sweetwater branch has been holding what it calls "The World's Largest Rattlesnake Round-Up" for 56 years on the first weekend in March, and the tool for success that it teaches young people is that it's fun to kill and torture animals.

For weeks or even months, rattlesnakes are stored in crowded barrels until it's roundup time. The snakes that have not suffocated under their kin arrive hungry, dehydrated, and sick from gasoline that was sprayed into their burrows to flush them out.

After a tour of the roundup, Michael Smith wrote an article for "Cross Timbers Herpetologist" in which he recalls noticing "...an unusual smell ... like bad cologne and also like something gone bad." Throughout the tour the smell keeps coming back to him, he writes, until he realizes what it is: "...the musk, feces, and blood of a thousand terrified snakes, half-covered with sprays of deodorant from Jaycees working the pits."

In the "research pit," snakes are weighed, measured, and probed to determine sex. Many have their venom extracted in the "milking pit," ostensibly for scientific research and antivenin production. However, according to the Kentucky Reptile Zoo, which specializes in venom research and education, abused or gassed snakes "are not viable ... Considering how dangerous gasoline is, venom produced from snakes collected this way should never be used in any product that might be used in humans..."

One might add that it is unwise to eat these snakes at the popular snake-meat-eating contest and barbecue cook-off.

In the "safety and handling demonstration pit," a Jaycee walks among hundreds of snakes, carelessly kicking them aside, trying to provoke them to rattle and strike. When this fails, the Jaycee may select a snake for special treatment.

A rattlesnake's face gives almost no clue to its experience of fear or pain, making it hard for most people to feel empathy. But if people are willing to take a closer look at the rattlesnake trying to hide its head under its coils after being tormented and having given up his fight to survive, they might understand what it's going through. Just like people, rattlesnakes have fully developed central nervous systems, but they lack vocal chords and cannot cry out in pain.

Finally, in the "skinning pit," snakes are held down on a tree stump and decapitated with one or more machete blows. Schoolchildren watch from the galleries above. According to Smith, "each machete blow brought a mixture of exclamations and laughter. ... Blood from this and other killing sessions covered the floor and the skinning table in clots of gore, and twisting rattlesnake bodies were hung to be gutted and skinned, still moving as if trying to get away."

Smith notes that one child asked to pet a beheaded snake, and a pit member held up a snake's body to oblige the child.

If children learn that it's OK to hurt and kill animals for fun, what is to stop them from doing the same to people? What are they learning about the value of life, and how does this fit in with the Jaycee philosophy? Psychologists say that people who murder often tortured animals as children; there is a link between violence against animals and violence against people.

Photos from Sweetwater roundups are particularly chilling because the facial expressions of participants are a mix of hatred, fear and pleasure. In one, a man holds an automatic nail gun and has a snake pinned to a chopping block, looking as if he wants to cause the snake as much agony as possible.

Another photo shows beauty pageant winner Miss Snake Charmer 2014 in her crown and sash, holding long snake tongs in the air, with a huge rattlesnake clamped at the end, his head bloodied. Miss Snake Charmer hangs back, her face contorted in fear, her mouth open in a scream. She is 16 years old. How can such abuse of an animal be anything but damaging to this young lady's spirit?

The traditional roundups of Sweetwater need to end. The Jaycees could create a festival that raises money for the community and celebrates the rattlesnake as an icon of the American West. In other states where rattlesnakes live, the transition from roundup to wildlife festival has already happened.

One crucial purpose of rattlesnake and wildlife festivals should be to show children that all animals must be treated with kindness and respect. With young people being drawn to environmental science, conservation and wildlife biology, festivals provide networking opportunities and contact with professionals in these fields of interest.

Not far from Sweetwater, on March 8 and 9, 2014, the inaugural Texas Rattlesnake Festival was held at the Dell Diamond in Round Rock. The animals on display were not taken from the wild, but bred in captivity, and handled with care so they were not stressed.

There were demonstrations of the proper and humane technique for extracting venom. And children could leave their handprints in bright, colorful paint rather than snake blood. One visitor said, "It was very nice to be in a comfortable and safe environment with venomous animals so close by. And to be around so many people who truly appreciated them. The (traditional) roundups are tense and stressful, but this was really nice."

@highlight

Wendy Townsend: 4,000 pounds of rattlesnakes slaughtered at Jaycee event

@highlight

Townsend: Snakes are sick, they suffocate; hundreds are in piles, tormented

@highlight

She says kids skin decapitated snakes; then press bloody handprints on a wall

@highlight

Townsend: Other fundraisers have changed and focus on celebrating snakes as an icon