Geneva, Switzerland (CNN) -- U.S. Secretary of State Hillary Clinton challenged nations around the world Tuesday to recognize that "gay rights are human rights and human rights are gay rights," building on an order by President Barack Obama directing all U.S. agencies to "promote and protect" the rights of gay people,

In an impassioned defense of such rights, Clinton called the rights of lesbian, gay, bisexual, and transgender people "universal" and criticized nations that criminalize gay behavior or tolerate abuse of gay, bisexual or transgendered people

Clinton made the unusually strong speech as Obama announced a presidential directive to use U.S. foreign aid to promote rights for gays and lesbians abroad, including combating attempts by foreign governments to criminalize homosexuality and making treatment of gays a factor in awarding foreign aid.

The remarks were meant to mark Human Rights Day, which is Saturday. The date commemorates the 1948 signing of the U.N. Declaration of Human Rights.

Speaking to the U.N. Human Rights Council, before an audience that included diplomats from Arab, African and other countries with poor records on gay rights, Clinton said religious beliefs and cultural practices are no excuse for discriminating or tolerating violence against gay people.

"No practice or tradition trumps the human rights that belong to all of us, and this holds true for inflicting violence on LGBT people," she said. "It is a violation of human rights when people are beaten or killed because of their sexual orientation, or because they do not conform to cultural norms about how men and women should look or behave."

Clinton recognized America's own record on LGBT equality is "far from perfect." She called laws discriminating against gays or tolerating abuse against them a violation of human rights and rejected the notion espoused by some nations that "homosexuality is a Western phenomenon and therefore people from outside the West have grounds to reject it."

"Gay people are born into -- and belong to -- every society in the world. They are all ages, all races, all faiths. They are doctors, and teachers, farmers and bankers, soldiers and athletes," she said. "Being gay is not a Western invention. It is a human reality."

The U.N. Human Rights Council has gradually been more vocal about promoting gay rights. In June the body passed a measure supporting equal rights for all, regardless of sexual orientation, and in March it adopted a statement, supported by 85 countries, on gay rights called "Ending Violence Based on Sexual Orientation and Gender Identity." The State Department lobbied intensively on behalf of both documents.

The Obama administration, and Clinton in particular, has made gay rights a key focus of its human rights agenda. Obama repealed the military's "don't ask, don't tell" policy allowing gays to serve openly in the military and, at Clinton's urging, extended medical benefits to the same-sex partners of federal employees early in his term.

Gay rights have also taken on a greater role in U.S. foreign policy. Clinton aides say she regularly raises the issue in meetings with her counterparts and she has instructed embassies around the world to report on violence and discrimination against the LGBT community and challenge laws that criminalize LGBT status or conduct.

The State Department has raised concerns about proposed laws in Nigeria that would criminalize conduct, as well as in Uganda, which would have in some cases applied the death penalty.

Obama issued a memorandum Tuesday directing all U.S. government agencies working abroad to use foreign aid to assist gays and lesbians who are facing human rights violations and improve protections for gay and lesbian refugees and asylum seekers.

The presidential order applies to all U.S. government agencies involved in foreign aid, including the departments of State, Defense, Homeland Security and Treasury, as well as the U.S. Agency for International Development. The administration will take treatment of gays into consideration when making decisions on awarding foreign aid.

"Our deep commitment to advancing the human rights of all people is strengthened when we as the United States bring our tools to bear to vigorously advance this goal," Obama said in the memorandum.

As part of the administration's effort, Clinton announced a $3 million fund to support civil society and non-governmental organization activists working on the subject, as well as enhancing protection for refugees and asylum seekers who are being persecuted because of LGBT status.

Gay rights groups praised the effort as a significant step toward protecting the rights of gays and lesbians around the world.

"Today's actions by President Obama make clear that the United States will not turn a blind eye when governments commit or allow abuses to the human rights of LGBT people," said Joe Solmonese, president of the Human Rights Campaign, a gay advocacy organization.

@highlight

President Obama has ordered all U.S. agencies to "promote and protect" gay rights

@highlight

Clinton, addressing the U.N. rights council, criticizes nations that criminalize gay behavior

@highlight

"No practice or tradition trumps the human rights that belong to all of us," Clinton says