(CNN) -- The women's spring 2013 runway shows have wrapped up in New York, London and Milan and Paris, previewing what's newest and next in ready-to-wear. But a handful of fashion museums — from the Big Apple to Amsterdam to Kobe, Japan — offer year-round peeks into the history of high style.

Thanks to their rotating exhibitions and permanent collections, they help visitors connect the cultural dots between the history of fashion and what's happening now. You don't have to be a designer-obsessed fashionista to check them out.

"Everybody from a 2-year-old child to a grandmother has a sense of the role of fashion in their lives," says Dr. Valerie Steele, director and chief curator of The Museum at the Fashion Institute of Technology, whose New York exhibitions include "Gothic: Dark Glamour;" "Love & War: The Weaponized Woman" and "The Corset: Fashioning the Body." "People get information about fashion from so many sources. The museum is just one more medium, but it's outside the commercial realm. We're not trying to sell them anything—just to inspire them."

A history of the little black dress

Fashion museums, whether in the United States, South America, Europe or Asia, tend to specialize in certain aspects of style. In The Netherlands, Amsterdam's Tassen Museum Hendrikje is all about bags and purses; thanks to its namesake's footwear roots, Museo Salvatore Ferragamo in Florence, Italy, offers a well-heeled walk through Hollywood. Others, like The Museum at FIT (which considers itself a "think tank," Steele says) not only stage chronological and historical exhibits and yearly symposiums, but also introduce visitors to student-created fashion collections.

"All of the time, we try to reach out to make it accessible to the general public, as well as for students, industry professionals and fashion connoisseurs," says Steele, a professor and author who The New York Times has called a "High-Heeled Historian." "We go the extra mile about not just showing pretty dresses, but to think about what they mean in the cultural sense. I'm a great believer that fashion is not something superficial, but a part of our culture and history."

First ladies' gowns at the Smithsonian

Here's a glimpse of the sartorial style you'll find at 10 of the world's top fashion museums. Click through examples of the museums' offerings in the gallery above.

Museo Salvatore Ferragamo
Florence, Italy

Housed just downstairs from the company's flagship boutique on Florence's ultra-chic Via dei Tornabuoni, the Museo Salvatore Ferragamo pays tribute to this legendary Italian fashion company's products -- and the global celebrities who helped make them famous. Naples-born Salvatore Ferragamo became "shoemaker to the stars" in the 1920s after opening a shop in Hollywood. With rotating exhibitions like "Marilyn" and an impressively displayed permanent collection of Ferragamo's iconic footwear, this museum is a must-see for the casual and footwear-obsessed fashion follower.

Museo de la Moda
Santiago, Chile

Founded in 1999 by Jorge Yarur Bascuñán, a descendant of wealthy Chilean-Palestinian textile merchants, the privately funded Museo de la Moda boasts an impressive 10,000-piece collection. With pieces acquired through auctions and donations, the Museo, the only fashion museum in South America, is in the Yarur Bascuñán historic family home. Its collection, which dates back to 5 B.C., includes the military jacket John Lennon wore during a LIFE Magazine photo shoot in 1966 and the strapless black evening gown then-Lady Diana wore in 1981 during her first public appearance after her engagement to Britain's Prince Charles.

Santiago stopover: Unlocking the secrets of Chile's capital

The Costume Institute at the Metropolitan Museum of Art
New York

The Costume Institute at the world-famous Met houses more than 35,000 costumes and accessories, a collection spanning five continents and dating back 500 years. Actress Sarah Jessica Parker narrates the Institute's audio guide, "Costume: The Art of Dress," which highlights the cultural significance of fashion throughout the ages. The museum stages at least one special exhibition each year, with recent ones including 2004's "Dangerous Liaisons: Fashion and Furniture in the 18th Century;" 2006's "AngloMania: Tradition and Transgression in British Fashion" and 2010's "American Woman: Fashioning a National Identity."

The Museum at FIT
New York

Housed at Manhattan's famed Fashion Institute of Technology, The Museum at FIT is known for its innovative and award-winning special exhibitions. In July, it earned accreditation from the American Alliance of Museums, the highest national recognition possible for a museum. Founded in the late 1960s, it is visited by 100,000 people each year. With a permanent collection of 50,000 garments and accessories from the 18th century to the present, the Museum at FIT places an emphasis on "aesthetically and historically significant 'directional' clothing, with an eye toward contemporary avant-garde fashion.

Kent State University Museum
Kent, Ohio

Housed on a university campus in northeast Ohio, the Kent State Museum contains important collections of fashion and decorative arts, with eight galleries featuring rotating exhibitions of work by artists and designers. Affiliated with Kent State's Shannon Rodgers and Jerry Silverman School of Fashion Design and Merchandising, the museum gives students an up-close-and-personal look at historic and contemporary fashion and costumes from global cultures. Accredited by the American Association of Museums, Kent State's collections span from the 17th to the 21st centuries.

Kobe Fashion Museum
Kobe, Japan

"The first museum in Japan to specialize in fashion," the Kobe Fashion Museum houses materials open to students, industry professionals and those working in the business of fashion. The museum's fifth floor offers a space for young people to gather for events and entertainment, designed to promote "a new culture of fashion in Kobe." The collection here not only includes garments from Asia, but also from around the world.

Les Arts Décoratifs
Paris

Located in the west wing of the world-famous Louvre museum, Les Arts Décoratifs houses three museums in one: Arts Décoratifs, Publicité and Mode et Textile — and it's this one that's home to temporary but dramatic fashion exhibitions. The currently staged "Louis Vuitton Marc Jacobs" traces the careers of the French-born creator of 19th-century trunks and accessories and the American designer who spent 15 years as artistic director at the house Vuitton built. With more than 81,000 works, the two-floor Mode et Textile space owns collections of design legends including Paul Poiret, Christian Dior and Elsa Schiaparelli.

Fashion Museum
Bath, United Kingdom

The English town of Bath seems an unlikely place for a museum dedicated to high style, but it has been home to the Fashion Museum (formerly the Museum of Costume) since 1963. About 100,000 visitors come each year to check out its annually rotating exhibitions, guided tours and interactive displays. A bonus: family-friendly "dressing up activities," in which kids can try on replica archery costumes and Victorian garb over their own clothes.

Tassen Museum Hendrikje
Amsterdam, The Netherlands

With 4,000 bags, purses, trunks, pouches, cases and accessories, this Dutch museum claims to have the "world's largest bag collection." It certainly has got some of the world's most interesting ones. Located in a traditional central Amsterdam canal house, the Tassen Museum boasts Western-style handbags dating back 500 years. Beyond hosting exhibitions of contemporary bag designers from the Netherlands and abroad, the Tassen offers bag-designing workshops, kids' bag-decorating birthday parties, and afternoon tea in one of its elegantly decorated 17th and 18th century period rooms.

ModeMuseum Province of Antwerp (MoMu)
Antwerp, Belgium

The second-largest Belgian city is known for its sense of style and hipster cool, so it makes sense that a museum celebrating fashion is housed here. A totally renovated 19th century space is the backdrop for ModeMuseum's thematic exhibitions, which showcase specific designers or fashion-related topics. Rather than parking items in glass cases, curators tailor the museum's interior spaces to the feel of each exhibition, adding a larger cultural context to the fashion that's on display.

The places where masterpieces are born

@highlight

Museums around the globe offer year-round peeks into the history of high style

@highlight

Museo Salvatore Ferragamo in Florence, Italy, specializes in shoes worn by the stars

@highlight

Museo de la Moda in Santiago, Chile, is the only fashion museum in South America

@highlight

Tassen Museum Hendrikje in Amsterdam holds 4,000 purses, trunks and accessories