When he joined his large family for the first Iftar (evening meal) of Ramadan in July,  filmmaker and photographer Mohamed Radwan did not expect to find himself explaining to a hostile group why he had helped organize the sit-in at the Culture Ministry in Cairo and had marched on June 30 to oust Egyptian President Mohamed Morsy.

Indeed, the conflict within Radwan's own family is playing out in homes across Egypt. It represents a secular vs. Islamist confrontation of beliefs and visions for Egypt and is a microcosm of the clashes and violence rocking the nation as followers of ousted President Morsy fight the army and its secular supporters.

As the death toll from Wednesday's crackdown on Rabaa al-Adawiya and Nahda camps, and Friday's "Day of Rage," approaches 600, much more is at stake than the presidency.  Egypt's very identity is being contested.

Radwan's grandfather is a founder of the radical Islamist Salafi movement, and his uncle and cousins are dedicated members of the Rabaa camp of Morsy supporters; the filmmaker found himself outnumbered at his family's gathering.  But still he took the floor to explain his actions.

He and other cultural leaders had occupied the Ministry of Culture in the runup to June 30 protests, he said, to defend Egyptian culture for future generations, and to show that music, dance and theater were not haram (sinful), as Islamists had claimed, but part of the Egyptian lifeblood.

Radwan and other artists joined with the Tamarod rebellion movement for the sake of a better future for the youth, he said. "The next generation has the right to lead a good life and to have better conditions than we have," he explained to his family.

Radwan's mother also seeks a better future for Egypt, but through different means. She says she believes that an Islamist state, such as that reflected in the Wahhabi fundamentalism of her one-time home of Saudi Arabia, offers the best hope for Egypt. To her, supporting the Muslim Brotherhood means following Islam, and she cannot imagine a better path.

These deep divisions mirror those in families throughout Egypt, and led to the 2012 protests outside the presidential palace.

This is more than a dispute about political systems; it is an emotional debate that cuts to the core of being Egyptian. "They (the Muslim Brotherhood) tried to change our identity" is an accusation made by Egyptians of all walks of life-- including cab drivers, actors such as Mahmoud Awad, and veteran politicians such as Mona Makram-Ebeid. Political scientist Riham Bahi described feeling like an "alien in my own country" when it was under Muslim Brotherhood control.

One aspect of the Egyptian identity has been peaceful coexistence with Coptic Christians, who are now  under attack.  A violent assault on churches and Christian businesses was launched on Thursday, and in news reports was portrayed as a Muslim Brotherhood-led reaction to the crackdown on the Rabaa and Al-Nada protest camps in Cairo.

When I went to the Al-Nada camp earlier this week, one of the occupiers delivered this summary message in Arabic, "Anti-coup; restore Morsy; down with Christians." Not surprisingly for the media savvy Muslim Brotherhood, the huge banners in English above the entrance to the camp proclaimed the first two items, but not the third.

At the same time, supporters of the Muslim Brotherhood, like Radwan's mother, say they feel betrayed by democracy. "Where is my voice?" she asked her son, when he indicated that the legitimately elected President Morsy would not return to power.

The Egyptian media's slanted reports in the weeks since Morsy's arrest have deepened the rift between the secularists and the Islamists.

State and non-Islamist private channels demonize the Muslim Brotherhood and anyone who supports it. Liberal politicians such as Amr Hamzawy and Mohamed ElBaradei, who urged restraint in dealing with the camps in Rabaa and Al-Nada, have been pilloried in the media.

This steady drumbeat of media attacks on both the "terrorist" Muslim Brotherhood camps and on anyone who questions their eradication has produced a climate of dehumanization, reflected in the widespread acceptance of the military regime's violent attack.

In a shrewd move, Gen. Abdul-Fattah el-Sisi, Egypt's military ruler,  called citizens into the street weeks ago to support his fight against "potential  terrorism." Hundreds of thousands or people, including revolutionaries and liberals, heeded his call, making Tahrir square -- bizarrely -- the locus of an anti-Morsy, pro-military love fest. The outpouring of support insulated Sisi from domestic criticism of the brutal crackdown that followed.

Government officials and ordinary Egyptians dismiss international condemnations of the violence. A member of the current  government who  asked not to be named, given the volatile climate,  told me that the military tried every option to bring the Muslim Brotherhood to the table before attacking the camps. While "any form of violence is regrettable," he believes that, with Muslim Brotherhood  strongholds  disbanded,  Egypt will have reached a "new phase" and will be able to move forward positively in the future.

Whether this is possible remains an open question.

One ray of hope can be found in the generation gap that exists within families, within the Muslim Brotherhood, and within the secularists.

Back to Radwan's family and the politicized Iftar.  After Radwan had defended his beliefs before his Islamist elders, his younger-generation cousins took him aside to confess that they agreed with him. In fact, they told him they all had signed the Tamarod petition, and some had marched on June 30. But none dared confront the senior members of the family with this information.

Within the Muslim Brotherhood, a similar divide between generations exists. Attempts to innovate and open Muslim Brotherhood media and communications have met with approval from the under-40 generation as well as growing audiences, but have been censured by elders, according to a  source familiar with the situation, who asked not to be named. So far, the elders have won.

If and when the next generation takes over, and positions are moderated, the deep rift between the Islamists and secularists may be healed. Then perhaps the project of the revolution will be renewed.

But, for now, the seniors are in charge. To quote the Egyptian scholar Hazem Azmy, "there is a rewind of the Nasser narrative" --referring to the Egyptian president Gamal Abdel Nasser, who seized power in a coup and cracked down on the Muslim Brotherhood decades ago. He added: "the people have chosen security over liberty."

@highlight

Cynthia Schneider: The Islamist vs. secular conflict is playing out in Egyption families

@highlight

She says it's a microcosm of conflict over Egyptian identity playing out in street chaos

@highlight

She says both sides being "played" by Sisi, media, who dehumanize opponents

@highlight

Schneider: Best hope is that coming, more moderate, generation can heal rifts