(CNN) -- Independence for South Sudan is around the corner, but new satellite images released Wednesday reveal a heavy north Sudanese military presence in an oil-rich border region.

Images from the U.S.-based Satellite Sentinel Project showed an apparent Sudan Armed Forces (SAF) convoy of "significant size" traveling through the town of Kadugli.

The monitoring group, started by actor George Clooney, said the convoy was 2 kilometers in length and had about 1,000 troops. There were heavy transport trucks carrying artillery.

"Less than a week after signing yet another agreement, the Sudanese regime appears to be ignoring its commitment, holding to form, and positioning military assets for intensified offensive operations," said John Prendergast, co-founder of the Enough Project, which aims to end genocide and war crimes.

"This cycle will continue to be played out with increasingly destructive results for Sudanese civilians until the international community stiffens its spine and imposes swift and severe repercussions for the endless cycle of violence the Khartoum regime continues to fuel."

The Satellite Sentinel Project combines satellite imagery analysis and field reports with mapping technology in hopes of deterring the resumption of the bloody and bitter civil war north and south fought for decades.

The monitoring group said regular fighting between the Sudanese forces and the south's Sudan People's Liberation Army has been reported in the city of Kadugli in the past week.

Southerners voted for independence in a January referendum, and with the scheduled July 9 date of separation looming, many fear an escalation of bloodshed could bring both sides back to the brink of full scale war.

Violence erupted two months ago along the contested border area of Abyei and subsequently in South Kordofan, a state that lies north of the border but where many people, especially in the Nuba Mountains, are allied with the south.

Thousands of people were displaced from their homes, and many fear that after strict borders go into place with independence, they will not be able to return home.

"South Sudan will be born into crisis," said Susan Purdin, who oversees International Rescue Committee aid programs in South Sudan.

"Widening violence is triggering more displacement, threatening the lives of vulnerable civilians and hampering access to communities in need while an existing humanitarian emergency grows worse," she said.

Critical issues -- including oil and the final status of Abyei -- remain unresolved just days ahead of independence.

State Department spokeswoman Victoria Nuland said the United States applauded talks between north and south but remained concerned about the unresolved matters.

"The United States also calls on the parties to end the fighting in Southern Kordofan, and to facilitate unfettered access for aid workers to deliver humanitarian assistance to innocent civilians affected by the conflict," Nuland said.

Discussions are under way on how to shape the new post-independence U.N. mission in South Sudan, created in 2005 with a peacekeeping mandate.

And the United Nations Security Council will meet next week to discuss whether to recommend a new member state's entry into the global body.

Peter Wittig, the U.N. ambassador of Germany, which holds the rotating Security Council presidency this month, said Council members will meet July 13, four days after South Sudan's independence ceremony, to talk about U.N. admission. If granted, South Sudan would become the first state since Montenegro in 2006 to become a U.N. member.

CNN's Moni Basu and Nima Elbagir contributed to this report.

@highlight

New satellite images show a Sudanese military presence in South Kordofan

@highlight

The images captured by George Clooney's group show a convoy

@highlight

South Sudan is set to gain independence July 9

@highlight

The north and south fought a decades-long civil war