"Women are Japan's most underutilized resource."

So said Japan's Prime Minister Shinzo Abe in April as he outlined a raft of measures aimed at closing the gender gap in the Japanese workforce.

As a Western journalist new to Japan, it is a shock that it takes an economic argument to move the government to act toward more female participation in the workforce. But it's not just a foreign perspective. The noted economist Noriko Hama writes in the Japan Times this week, "You secure better working conditions for women because they have a rightful claim to such treatment. No other reasoning or justification is necessary to do something that is decent and just."

Nevertheless, if you are a prime minister in urgent search of growth, the numbers behind so-called "womenomics" in Japan are compelling.

'If you were to close the employment gap between Japanese men, which is 80%, one of the highest in the OECD, with Japanese women -- which is still around 60% -- we estimate that you'd add about 8.2 million workers into the Japanese workforce," says Kathy Matsui of Goldman Sachs, who has long championed the cause. That influx of female workers "could lift the asset level of Japanese GDP by as much as 14%," she adds.

Now Prime Minister Abe is trying to force corporations to act. He has set targets of at least one female executive per company and offered tax incentives to companies that encourage mothers to return to work.

Despite equal employment opportunities enshrined into law in 1986, real equality within most domestic Japanese companies remains within the realm of fantasy-land.

Naoko Toyoda had worked for 10 years with an IT company but was demoted to a starting position when she came back after the birth of her first child. "Women who choose not to have a child would continue up the corporate ladder while those who did would be forced into semi-retirement," she says.

She didn't expect flexibility from the company's side though. "Once one exception is allowed, other mothers would complain they weren't treated in the same way," she says. So she quit.

According to Goldman Sachs, some 70% of Japanese women choose to leave the workforce after they've had children. That's more than twice the number in the U.S. or Germany.

But unlike the U.S. and Germany -- where childcare is cited as the major factor for why women leave work -- in Japan, uncompromising work environments, which demand face-time and offer little career mobility for women, persuade most mothers to give up corporate life.

A 2011 study by the Center for Work-Life Policy called "Off-Ramps and On-Ramps Japan: Keeping Talented Women on the Road to Success" found that three quarters of Japanese women want to rejoin the workforce after they've had children, but only 43% manage to get their careers back on track. Those who do return to work tend to take salary cuts and often find themselves, like Toyoda, marginalized within the company.

Cosmetics giant Shiseido does better than most. Since 1990 its childcare support program has been in continual evolution, providing employees with extensive leaves of parental absence, shorter working hours, childcare subsidies and on-site nursery facilities. It is also working on a gender equality action plan to boost its ratio of female leaders though it admits it will miss its slated target of 30% by end 2013.

Shigeto Ohtsuki, executive director of human resources at Shiseido, describes the management style in the past as "very slow moving."  Even though Shiseido is an example of corporate best practice in Japan, Ohtsuki admits there is still some way to go along the road towards true daibashitii, the Japanese word for diversity.

"The female leader ratio in Japan Shiseido Group, representing 25,000 employees is still 25.6% whereas female leader ratio overseas where we have 20,000 employees is almost 60%," Ohtsuki says.

Yuki Honda joined Shiseido in 1989. She met her husband there and they have two children. She feels grateful to the company for continuing to support and promote her throughout. "I think I was fortunate with this company because they did not assume we women would quit after childbirth and they educated us so we'd continue to work," she says.

Japan's bleak demographic outlook is well known. The birth-rate is shrinking, the population is getting older and there are fewer workers' to pay for the nation's pensioners. The IMF forecasts Japan's population will shrink by around 30% by 2055.

Abe's push to make the workplace a more hospitable place for women -- quite apart from the argument that it's just more fair -- is also a matter of economic survival.

Whether Japan's male corporate bosses are listening remains to be seen.

@highlight

Japan is pushing measures to close the gender gap in the nation's workforce

@highlight

Prime Minister Shinzo Abe: "Women are Japan's most underutilized resource"

@highlight

Japanese women face strong cultural pressure to leave the workforce after having a child

@highlight

Analyst: Workforce parity "could lift the asset level of Japanese GDP by as much as 14%"