(CNN) -- The United States leads the world in the rate of incarcerating its own citizens. We imprison more of our own people than any other country on earth, including China which has four times our population, or in human history. And now, a new Pew report announces that we are keeping even nonviolent inmates behind bars for increasingly longer terms.

This comes at a time when soaring costs of prisons are wreaking havoc on federal, state and local budgets, as schools, libraries, parks and social programs are slashed. When I graduated from the University of California at Los Angeles in 1983, my state spent more on higher education than prisons, a lot more. That equation is now reversed. Money that could have gone into reducing skyrocketing tuition and cuts to education has instead gone to prisons and inmates.

Over the past 23 years, California constructed roughly one new prison per year, at a cost of $100 million each, while it built only one new public college during the same period. Nationwide, spending on prisons has risen six times faster than spending on higher education.

As I protest education cuts, I'm so often told, "We just don't have the money." It's a lie. We do have the money. We just choose to spend it on prisons.

Why is this not a front and center issue in the presidential campaign?

Largely casualties of our misguided "war on drugs," and vigorously promoted at the federal level by the "drug czar" and a $15 billion annual budget, the number of incarcerated Americans has quadrupled since 1980.

More than two million of our people are now locked up, with another nearly five million under an increasingly restrictive system of correctional control in lieu of or after incarceration. Criminalizing human behavior like never before, our judges are required by law to mete out increasingly punitive, long sentences, even for children. Even after inmates are released, they remain under the heavy-handed and pricey control of the criminal justice system for years or for life, often legally barred from voting, receiving public housing, food stamps or student loans.

Forced to "check the box" on job applications that they are convicted criminals, even those who have had simple convictions like marijuana possession are often legally discriminated against by employers.

An unemployed young man recently wrote to me about being shut out of his dream job, nursing, because of a decade-old marijuana offense. In fact, no one at all will hire him. As he languishes on a friend's couch, he is hopeless, depressed and suicidal.

In the United States, one man out of eighteen is incarcerated or on probation or parole, and more are locked up every day. We are the last developed country on the planet to lock up juveniles, overwhelmingly boys, for life-without-parole sentences for crimes committed when they were minors. (Though the Supreme Court banned mandatory life-without-parole sentences for minors in June, judges may still impose the sentence as a discretionary matter.)

Here's one stark way to understand our new normal of mass incarceration: If we wanted to return to 1970s level of incarceration, we'd have to release four out of five people behind bars today.

Nonviolent offenders are 60% of our prison population. Releasing half of them would free up nearly $17 billion per year for schools or other worthy programs, with no appreciable effect on the crime rate. In fact, many studies conclude that mass incarceration is crimogenic, i.e., locking up people for minor offenses increases crime because they become hardened behind bars. Since few prisons offer therapy or vocational programs and children left behind in fatherless homes are more likely to grow up to become offenders themselves, the problem just gets worse.

But we cannot keep going down the road of locking up more people for longer amounts of time. According to Pew, prisoners released in 2009 served an average of nine additional months in custody, or 36% longer, than offenders released in 1990. Annually we now spend $68 billion and growing on local, state and federal corrections.

The American public strongly supports reducing time served for nonviolent offenders. But candidates appear afraid to touch this touchy third rail issue, for fear they appear less than "tough on crime."

Why does the right not consider our multibillion-dollar prison system to be the type of bloated government program ripe for cost-cutting?

Why is the left so rarely concerned about the warehoused young lives and the destruction of inner city families from our culture of mass incarceration?

Why do both sides accept the framing of this question, so often parroted: In these tough economic times, should we cut more social services or raise taxes? It's a false dichotomy. The third alternative is to stop warehousing our own people.

The opinions expressed in this commentary are solely those of Lisa Bloom.

@highlight

The number of incarcerated Americans has quadrupled since 1980

@highlight

Lisa Bloom: We need to stop warehousing our own people, especially nonviolent offenders

@highlight

She says spending on prisons has risen six times faster than spending on higher education

@highlight

Bloom: Why isn't this front and center issue in the presidential campaign?