(CNN) -- The J.K. Rowling/Robert Galbraith tale is a great and irresistible publishing story -- but it's only the second-best I've ever heard.

You may have read about Rowling and Galbraith last week. Rowling, whose Harry Potter books have sold more than 450 million copies, is the most successful author in the world. Galbraith, whose new detective novel "The Cuckoo's Calling" had been selling dismally, doesn't exist.

Rowling is Galbraith.

Fast facts: J.K. Rowling

She wrote and published "The Cuckoo's Calling" under Galbraith's name, to see what would happen if readers and critics didn't know she was the author. The book received glowing reviews, but few readers purchased a copy.

Then, last weekend, the secret was revealed, and "The Cuckoo's Calling" zoomed to No. 1 best-seller status. Massive reprintings were ordered. Rowling, in a statement, said, "It has been wonderful to publish without hype or expectation, and pure pleasure to get feedback under a different name."

Yet top-echelon executives at Rowling's publisher knew all along that she was Robert Galbraith -- that she had written the book. And they presumably knew that, once the word got out, they would have an enormous and profitable blockbuster on their hands.

But what if Robert Galbraith really had been Robert Galbraith? What if an unknown author by that name had tried to sell "The Cuckoo's Calling" to a publisher?

Best-selling female authors with male monikers

As good as the book is, would a publisher have taken a chance on it?

Before you answer "Of course," consider the case of Chuck Ross -- the protagonist of the most instructive, the most damning, and the most hilarious true story about publishing there ever has been.

I interviewed him and reported on his story almost 35 years ago. Ross, in the 1970s, was a young would-be author who was trying with no success to get his first novel published. He was receiving nothing but rejection slips.

He wondered whether his writing really was that unappealing, or if publishers were simply turning him down because he was an unknown.

So he decided upon a clever, if highly unconventional, way to find out.

In those pre-personal-computer days, he sat down at a typewriter and copied every single word of the novel "Steps," by Jerzy Kosinski. "Steps" had won the National Book Award for Fiction in 1969, had received superlative reviews and was a big best-seller.

Once Ross had finished typing up the manuscript, he made sure not to put a title on it. He did put a byline on it: his own.

He made copies, and he mailed them off. The recipients were 14 major publishing houses. Four of those houses had published books by Kosinski. One of them had published "Steps."

The manuscript was turned down by all 14 houses.

None realized that it was rejecting "Steps."

Harcourt Brace Jovanovich, which had published Kosinski's "Being There," wrote to Ross:

"While your prose style is very lucid, the content of the book didn't inspire the level of enthusiasm here that a publisher should have for any book on their list in order to do well by it."

Houghton Mifflin, which had published three of Kosinski's books, wrote Ross to say that it did not wish to publish what Ross had sent. Not that the editors thought he was a bad writer -- they said they admired his style: "Jerzy Kosinski comes to mind as a point of comparison when reading the stark, chilly, episodic incidents you have set down." But, they said in their rejection letter, what Ross had sent them "doesn't add up to a satisfactory whole. It has some very impressive moments, but gives the impression of sketchiness and incompleteness." They wrote that they would be happy to consider future efforts by him, but that this one just didn't work.

Random House, which had published "Steps," sent a form letter rejecting the retyped "Steps."

Ross thought that maybe the problem was that he was submitting his novel -- that is, Kosinski's novel -- without the assistance of a literary agent. So he sent the manuscript to 13 top agents, asking if they would represent it.

Not one of them was interested.

Some excerpts from the agents' rejection letters:

"I'm afraid the novel's episodic nature and the lack of strong characterization would not allow this book to compete in a very tough fiction market."

And:

"From the section I read of your untitled novel, it seems too fragmented and dreamlike to be a good commercial bet."

And:

"Thanks for having sent me your untitled novel. You write clearly and well, but I felt that the novel jumped around so much that it did not hold interest, and I would not be the right agent for it."

When Ross went public with what he had done, he expected the publishers and agents to be a little embarrassed that they had turned down a National Book Award-winning novel.

But, he told me when I interviewed him at the time, "I guess not. I went to the American Booksellers Association convention to talk to the publishers about what I did. They all thought that it was very amusing or silly. They agreed that it probably could happen again tomorrow. But the attitude was, 'So what?'"

As lovely as the J.K. Rowling/Robert Galbraith saga is, what would have made it even better, and turned it into more of a cliffhanger, is if Rowling had gone the Chuck Ross route:

If she had, without revealing her identity, sent "The Cuckoo's Calling" to publishers cold -- if she had submitted it and let them think that it really was by a novice named Robert Galbraith.

Would any of them have snapped it up?

It may be a terrific book -- but so was "Steps." And without Kosinski's name on the manuscript, "Steps" couldn't find a publisher. Or an agent.

Even though it had already won the National Book Award.

What a business. It's enough to drive even Harry Potter to drink.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: J.K. Rowling used pseudonym to publish book that didn't sell, but critics liked

@highlight

She was outed as author, sales of the book soared

@highlight

Greene: If publisher hadn't known it was Rowling, it would have been a more telling tale

@highlight

He says once an unknown author retyped a famous novel; no publisher would take it