(CNN) -- In the frigid cold of Sweden, police discover a savage triple homicide, a family murdered, a killer still on the loose. There is a sole survivor, a young boy, gravely wounded, his family killed before his eyes.

Desperate to find the killer, Detective Inspector Joona Linna turns to a retired hypnotist for help. He convinces Dr. Erik Maria Bark to put the boy under hypnosis, hoping to discover the killer through his eyes. But entering the boy's damaged consciousness unleashes a terrifying chain of events.

Hooked yet? This is the premise of "The Hypnotist," the latest "Nordic noir" title wowing readers around the globe. One of the first things you should know about the chilling debut thriller from the author, Lars Kepler, is there is no Lars Kepler.

Kepler is the pen name of Alexander Ahndoril and Alexandra Coelho Ahndoril, a charming married couple from Sweden. Both authors in their own right, their first collaboration has turned into an international sensation. "The Hypnotist" is a best-seller in Sweden and across Europe, with a movie in the works.

Now the novel comes to the U.S., and Kepler, or rather the Ahndorils, have drawn the inevitable -- but in this case, well-deserved -- comparison to Sweden's best-known crime writer, the late Stieg Larsson.

CNN recently talked to the couple, and the following is an edited transcript.

CNN: What was the spark behind "The Hypnotist"?

The Ahndorils: We happened to have several years of direct insight into professional hypnosis, so the idea of using a hypnotist as a key character came naturally to us. Many crime novels are about getting as close as possible to victims and perpetrators. We thought it would be exciting to use a hypnotist, because he can actually step into other people's memories.

When we decided to write together, we challenged ourselves to transfer a filmic atmosphere into words. We want the readers to feel that they are there, inside the fiction, when they read Lars Kepler, almost believing they can influence the course of events.

CNN: What do you think about all of the positive international attention?

Ahndorils: We are of course very happy, but at the same time, we really need a kind of inner calm to be able to write, so we're actually trying hard not to think about the success. "The Hypnotist" has sold to more than 36 countries and has been a best-seller wherever it's been published.

The director Lasse Hallström is making it into a movie. It's fantastic, but a good friend of ours, who understands the importance of relaxation when you write, gave us a number to a skillful hypnotist!

CNN: There was a big furor in Sweden to find the real Lars Kepler, so why did you choose a pen name?

Ahndorils: A pen name is often a way for an author to signal that he or she is writing with a new voice or in a new genre. We've been writers in our own right for several years before we started to write together, and from the beginning we thought it was a great idea to stay secret behind a pen name.

Then two things happened unexpectedly: First, writing together was the most creative and enjoyable thing we'd ever experienced; and second, the media went crazy when the "The Hypnotist" was published in Sweden in 2009. The whole nation was suddenly searching for the person behind Lars Kepler.

We tried to hide, but one dark night in August, two journalists with flashlights and cameras found us in our summer house. The next day, we packed our three daughters in our car and drove to Stockholm to meet the media and readers.

CNN: How does your writing partnership work? Are there any special challenges because you are married?

Ahndorils: If you told a couple who's been together for almost 20 years, and live with their three young daughters in an apartment, that they were going to share a small study for several years and write novels together, they would probably just laugh, no matter how much they love each other.

We'd tried to write together several times previously, but each time, the cooperation has almost immediately turned into arguments and big fights. It was actually because of this we came up with the idea of creating a brand new writer. Lars Kepler is not Alexander, nor Alexandra. He has a life of his own. And the truth is, since we started to write as Lars Kepler, we haven't had a single fight.

Many authors who work together write alternate chapters, or divide the characters in the story between them. We don't do that; we write everything together, like two people playing the piano four-handed.

We discuss the plot all the time -- when we pick up our children at school, when we shop for dinner. We even wake each other up in the middle of the night to discuss turning points. If we were to page through "The Hypnotist" or our sequel, we wouldn't be able to find a single sentence that only one of us wrote. It's all the work of Lars.

CNN: What kind of research did you do on hypnosis?

Ahndorils: Alexander's big brother is a professional hypnotist and writes books about practical hypnosis. He was a perfect source. We read a lot of other works about hypnosis, and Alexander was actually hypnotized himself. It was a surprise that hypnosis was truly enjoyable, even though you hand your own choice over to the hypnotist.

And we were also surprised when we understood that the hypnotist himself goes into a kind of special trance during the sessions. Almost everybody can be hypnotized, except if they don't want to be (such as Alexandra). A person who is being hypnotized is in a state of deepest relaxation and seems to be nearly asleep.

But if you look at the person's brain activity, you see that the brain is totally awake, extremely active and alert. Deep hypnosis is a very powerful elevator into the subconscious. Sigmund Freud used it for a while but thought it revealed too much too fast.

CNN: What do you think of the comparisons to Stieg Larsson, and what are your thoughts about the continuing Scandinavian crime fiction craze?

Ahndorils: In fact, the name "Lars" in Lars Kepler is an homage to Larsson. We have a lot of ideals in common with him. On one hand, crime novels paint a very violent and dark world; on the other hand, they make the failures of society clear and open for discussion, though the riddles should be solved and the perpetrators stopped when you close the book.

We also share the love for complex characters with Stieg Larsson. Because no matter how interesting the plot is that you create, the story will not be exciting if you don't care about the characters.

One thought we had about the Scandinavian trend concerns the fear of darkness, because the source for all thrillers is that fear. But as a writer, you are almost certain that you can stop the perpetrators and guarantee happy endings. So writing is a way to disarm the fear for a moment, just like a roller coaster transforms the fear of heights into something fun during the ride.

People have always been afraid of the dark, not only children. ... And the fact is that it's not that easy to find a darker place than Scandinavia during the winter. The sun doesn't even rise for three months in the northern parts. So with all this darkness, it's maybe not that strange we have this strong tradition of crime writing.

CNN: What's next? Will you continue to work as a team?

Ahndorils: Our second Lars Kepler novel was published in Sweden in July 2010, and we're deep into the third, which will come out November 11 in Sweden. We have the plot for the fourth book finished, plus a whole lot of exciting investigations, cold cases, mysteries and ideas that we think will be enough for at least eight books.

Every new book about Detective Inspector Joona Linna is independent and will have different main characters, but Joona is the main character of the series.

Most writers are really lonely. You can't share your inner world with anybody for years while you're writing a novel. But now, since Lars Kepler appeared, everything is different for us. We don't long for the usual loneliness of a writer after this shared rush of creativity.

@highlight

Lars Kepler is the pen name of a married couple from Sweden

@highlight

"The Hypnotist" has become a best-seller in 36 countries and is being made into a movie

@highlight

Alexander Ahndoril's brother is a hypnotist and provided information for the book

@highlight

"Lars" in Lars Kepler is an homage to Swedish author Stieg Larsson