Gone are the days when all London's high-end dining had to offer was a white tablecloth in a stuffy setting.

London's dining room democratization is none more apparent than in the explosion of "no reservations" restaurants -- reservations aren't accepted, walk-ins only.

Though critics lament the need to stand around for hours waiting for a table, the concept works for those in the city on business who haven't had a chance to secure a seat at one of the city's best eateries.

Here are a few of London's best no-reservations restaurants.

Spuntino

No-reservation restaurants aren't new to London, but the trend didn't go mainstream until restaurateur Russell Norman opened his first Polpo restaurant in Soho in 2009.

Since then, he's had five more openings around London.

Our pick of the bunch is Spuntino.

This isn't your average London Italian establishment -- Spuntino is more Sinatra than Locatelli.

Diners can expect simple dishes done just right, like chickpeas and squid ink, lamb and pickled sliders and chocolate, pecan and whisky cake.

The industrial, postmodern ambiance is reminiscent of NYC's Lower East Side.

The result is refreshing for a city that, until a few years ago, was in desperate need of a fresh injection of cool.

Spuntino, 61 Rupert St., Soho

Bubbledogs

On the one hand, you have a chef who's trained under culinary luminaries such as Marcus Wareing, Thomas Keller and Rene Redzepi.

On the other, you have a sommelier whose previous work experience includes serving at global legends Per Se and Noma.

Put them together and do you get just another cliched fine dining place? Not a chance.

This husband-and-wife team is the rage of London's food scene right now for their Bubbledogs -- a champagne bar serving New York-style gourmet hot dogs.

Highlights are the K-Dawg (filled with kimchi, fermented red bean paste and lettuce) and Breakie dogs, made with fried egg, tomato relish and black pudding bits.

Bubbledogs, 70 Charlotte St., Fitzrovia; +44 20 7637 7770

Barrafina

It's said that in Spain's Basque region, everyone can cook well.

Whether or not that's true, the cooking of executive chef Nieves Barragan, who comes from a town near Bilbao, is up there with the best of San Sebastian's pintxos bar chefs.

This brainchild of brothers Sam and Eddie Hart is like a visit to your favorite Barcelona tapas bar.

Since 2007, customers have been queuing up for hours over glasses of wine to eat some of the most iconic dishes in London, including the oozy classic tortilla, octopus with capers and presa Iberica (pork shoulder).

Hard-to-find ingredients and long hours of prep are the secrets to the restaurant's success.

Don't bother buying their cookbook -- we can assure you it's less painful to wait in line at Barrafina than to try to cook some of its best-loved dishes yourself.

Barrafina, 54 Frith St., Soho; +44 20 7813 8016

Copita

Not as well known as Barrafina, this fellow Soho tapas bar is by no means inferior.

Copita, with its Sevillan ambiance, serves slightly modern versions of tapas, but the tastes remain unmistakably Spanish.

The menu changes daily, keeping regulars coming back, while favorite items are ever-present.

The venison, girolles and truffled mash, and the pork belly bun, courgette and chili, are both recommended.

However, the star of the show is the savory ajo blanco and beetroot -- a cold Spanish soup made with garlic and almonds.

Copita offers a great selection of Sherry by the glass.

Though Copita won't accept bookings for dinner, those who want to guarantee a lunch spot can reserve online.

Copita, 26 d'Arblay St., Soho; +44 20 7287 7797

Pitt Cue Co

Hailed for kick-starting the southern American BBQ trend in London, Pitt Cue Co was born on the streets of South Bank, where its slow cooked, smoky and succulent meats have long been fixture items for 20-something Londoners who work around the area.

Led by Tom Adams (ex-Blueprint Café and Ledbury) and his friend, Jamie Berge, the restaurant moved to a new, permanent home in Soho in 2012.

Fortunately, the quality hasn't diminished.

Highlights include blackened fall-off-the-bone St. Louis ribs and tender pulled pork.

Pitt Cue Co, 1 Newburgh St., Soho; +44 20 7287 5578

Barnyard

Located in the heart of Fitrovia, and the newest restaurant on this list, Barnyard is the brainchild of the young and talented Ollie Dabbous of Michelin-starred Dabbous.

The concept is simple: comfort food in an unpretentious setting without having to book six months in advance (which is the case of Dabbous' first venue).

Diners get deceptively simple dishes like sausage in a bun with burned onions, or crispy chicken wings with smoked paprika, garlic and lemon.

With chef Dabbous at the helm, the flavors are anything but ordinary.

Other menu stars include roast suckling pig with gooseberry relish and the not-to-be-missed dessert, popcorn ice cream with smoked fudge sauce.

Barnyard, 18 Charlotte St., Fitzrovia; +44 20 7580 3842

@highlight

A growing number of London restaurants are adopting a no-reservations policy, accepting walk-ins only

@highlight

Pitt Cue Co is credited with bringing southern American BBQ to London diners

@highlight

Current London hotspot Bubbledogs is a champagne bar serving New York-style gourmet hot dogs