With seemingly every kid in America glued most waking hours to a glowing digital device, you might expect their parents to be worried about the potentially harmful effects of all that screen time.

Turns out, not so much.

The majority of parents in the United States are largely unconcerned about their young children's media use, according to a Northwestern University study released Tuesday. This despite 70% of parents saying that smartphones and tablets -- so-called "digital babysitters" used to appease bored or fussy kids -- don't make parenting any easier.

Based on a nationally representative survey of more than 2,300 parents of children up to 8 years old, the study "reveals a generational shift in parental attitudes about technology's role in young children's lives," said Ellen Wartella, director of Northwestern's Center on Media and Human Development and lead author of the report.

An overwhelming majority (78%) of parents say their children's media use is not a source of family conflict, while 59% say they are not worried about their children becoming addicted to phones, tablet computers or gaming devices. The study found that 55% of parents are "not too" or "not at all" concerned about their children's media use, compared to 30% who are concerned.

The study, "Parenting in the Age of Digital Technology," also challenges two key assumptions about media and parenting: First, that smartphones and tablets have become today's "go-to" parenting tools. Instead, parents say they are more likely to turn to toys or activities (88%), books (79%), or TV (78%) when trying to keep their children occupied. Of those with smartphones or tablets, 37% say they are very or somewhat likely to turn to those devices.

Even when trying to calm an upset child, parents say they are still more likely to turn to a toy or activity (65%) or to a book (58%) than to a media device.

Second, the survey challenged the notion that the dominant pattern in most households is children pleading for screen time while parents try to limit it.

"Today's parents (of young children) grew up with technology as a central part of their lives, so they think about it differently than earlier generations of parents," said Northwestern's Wartella in a press release. "Instead of a battle with kids on one side and parents on the other, the use of media and technology has become a family affair."

The impact of heavy media and technology use on kids' social, emotional and cognitive development is only beginning to be studied, although some early research suggests the Internet may actually be changing how our brains work.

Among the other findings of the report:

-- With the exception of video games, parents think more positively than negatively about the impact of media (TV, computers and mobile devices) on children's reading and math skills and their creativity.

-- Parents' most consistent concern about digital media is their negative impact on children's physical activity.

-- Parents view video games more negatively than TV, computers or mobile devices. Parents rated video games as more likely to have a negative effect on children's academic skills, attention span, creativity, social skills, behavior and sleep than any other medium.

-- Parents view computers as less harmful to their kids than TV or mobile devices.

The study was presented Tuesday at a conference on "Parenting in the Age of Digital Technology: How Families Use Media and Technology in Their Daily Lives," at the Pew Charitable Trusts Conference Center in Washington.

@highlight

Study: Most parents in the U.S. are not concerned about their young children's media use

@highlight

Almost 60% say they're not worried about their kids becoming addicted to digital devices

@highlight

The Northwestern University survey of 2,300 parents was released Tuesday