Marque Cornblatt's interest in drones began with a bit of playful drone-on-drone violence.

He began attending "Fight Club"-like meetups in the Bay Area where enthusiasts pit the amateur flying machines against each other in bloodless battles of strength and flying technique.

"We were beginners, so just getting off the ground caused damage," Cornblatt said of the dogfights, which were won by whichever drone lasted the longest and got back up in the air fastest.

And so the idea for an "indestructible" drone design was born. Cornblatt, along with Eli D'Elia, started Game of Drones. Using an extremely durable plastic called Kydex, the company creates inexpensive but rugged drones capable of surviving everything from high-impact crashes to shotgun blasts.

For many, the word "drone" still conjures images of military strikes or a near-future retail fleet delivering packages or pizzas. But while commercial uses of unmanned aerial vehicles are banned while tangled up in federal regulations, a growing number of drone enthusiasts are embracing the still-young technology as a creative new pursuit.

The result is a lively community of hobbyists, entrepreneurs and aerial photographers, some of whom gathered this week for a picnic and flying demonstration in a suburban field south of Napa. The "drone fly-in" event was the brainchild of Make magazine, which is celebrating a new all-drone issue.

"The technology is still very much in the hands of the do-it-yourselfers and the enthusiasts," said Mike Senese, Make's executive editor.

Rise of the DIY drones

The Maker movement, with its legions of tinkerers, is an ideal community to embrace drones. The DIY drone technology has grown organically from existing popular maker interests, including micro-controllers, robotics and radio-controlled vehicles. Drones combine all those disciplines to create advanced and programmable versions of what look like toy helicopters.

The most practical and popular use for the devices is aerial photography. Lightweight cameras like GoPros can be affixed to drones such as the DJI Phantom quadcopter or the forthcoming $750 Iris from 3D Robotics. Specialized drone rigs can even hold larger professional cameras.

Soaring up to several hundred feet above the ground produces some unbeatable angles. But to get a perfect shot, hobbyists program their drones with precise routes and mount the cameras on gimbals, which keep the camera steady and pointed in one direction even as the drone moves about.

"For us, drones means 'capable of autonomy,'" said Chris Anderson, founder of 3D Robotics and the former editor of Wired magazine. Being able to program an exact path for a drone instead of manually steering it is what makes the technology so promising for commercial and photography use, enthusiasts say.

Experimenting and making

Playing pilot is part of the fun for hobbyists. Just as there are a variety of uses for drones, there's a number of ways to steer them. The more traditional controls are hand-held joysticks and knobs. More advanced controlling can be done through computers and increasingly, tablets and smartphones, although some purists claim the touchscreens lack the tactile satisfaction of physical controls.

A startup called Fighting Walrus is working on a $129 accessory (it bears a slight resemblance to walrus tusks) that clips onto the end of an iPad and can be used to control standard, mid-range drones over a radio connection. With the app, you can program a route and monitor the device's flight progress, though full manual controls are coming in a future update.

The most immersive, and arguably most fun, way to pilot a drone is through first-person view (FPV). A small camera is affixed to the front of the drone, and a person on the ground views a live stream from the drone's point of view though a pair of goggles. Users can control the drone's direction in real time, which  feels similar to piloting an aircraft from inside a cockpit. Some enthusiasts even use FPV setups for drone races.

Many drones are square quadcopters and it can be difficult to tell which way they're facing at any given time. The FPV live stream clears up any confusion, though sometimes it's tricky to find a downed drone when you didn't see where it landed.

Flying under the radar

The Federal Aviation Administration is expected to complete standards and rules for commercial drones by late 2015, though senators and lobbyists are pushing for an earlier deadline. Until the FAA clears drones for flight in general airspace, the devices are only allowed to be flown for recreation and below 400 feet.

Manufacturers of professional drones are stuck on the sidelines for the time being, but this has left the door open for hobbyists to experiment and invent. The consumer-first approach might help pave the way for more widespread acceptance of commercial drones whenever they take to the air.

Some enterprising drone companies are already doing business while avoiding the glare of the FAA. Aerial drone photographers are selling their services to real estate companies and the movie and TV industry. Journalists have used the devices to capture footage of news events. A handful of people have been sent cease and desist letters from the FAA.

Because they can be outfitted with cameras, microphones and other surveillance equipment, drones will no doubt be used by law enforcement. But such drones will have to battle public privacy concerns in the U.S.

"People decide what they're comfortable with," said Anderson, who pointed out that it will continue to be illegal to fly drones over built-up areas like housing or cities.

Play on

Drones, called UAVs by large companies and industry groups, are expected to be a $89 billion business worldwide in the next decade,according to the Teal Group. For example, agriculture will be a huge market for the devices, which could allow famers to monitor crops autonomously.

For now, inventors and hobbyists are enjoying improving the technology while waiting for the commercial industry to catch up. Photographers are skirting around regulations, companies are selling new commercial models in the U.S. and in countries with more relaxed regulations, and the Game of Drones guys are busy with their high-tech endurance tests.

"I took [the drone] out into the wasteland with a baseball bat and my anger," said Cornblatt. "I've wanted to destroy them but I've been unable to do so, so I decided to sell them."

@highlight

While commercial drones wait on FAA approval, a lively hobbyist community takes to the air

@highlight

Amateur drone enthusiasts have meetups, races and drone dogfights

@highlight

Some photographers are charging for aerial photography while skirting FAA rules