(CNN) -- Scientists are more convinced that human activity is behind the increase in global temperatures since the 1950s, which has boosted sea levels and the odds of extreme storms, according to a leaked draft of an upcoming U.N. report.

"It is extremely likely that human influence on climate caused more than half of the observed increase in global average surface temperature from 1951 to 2010," according to a summary of the draft obtained by CNN. "There is high confidence that this has warmed the ocean, melted snow and ice, raised global mean sea level and changed some climate extremes in the second half of the 20th century."

Those conclusions come from the upcoming report of the U.N. Intergovernmental Panel on Climate Change, the fifth in a series of multiyear reports seen as a benchmark on the subject. The panel's last report, in 2007, concluded that it was 90% certain that rising temperatures were due to human activity; the new draft raises that figure to 95%.

Climate change may increase violence, study shows

The panel's report is slated for release in sections, starting in September, and could be revised. But Marshall Shepherd, a research meteorologist at the University of Georgia and the president of the American Meteorological Society, said the report is expected "to strongly identify the significant human impact on the climate system."

"There are certainly some uncertainties that should be acknowledged, but the consensus is very clear that humans are playing a significant role," said Shepherd, who contributed to the 2007 report but was not involved in compiling the upcoming document.

Increasing concentrations of carbon dioxide and other emissions have driven up global average temperatures by about 0.6 degrees C (1 degree F) since 1950, the report states. That's likely to go up by between 1 and 3.7 degrees C (1.8 to 6.6 F) by 2100, the draft states.

Climate change sticker shock: Arctic thaw could cost $60 trillion

Meanwhile, the rise of sea levels, currently about 3 mm (1/8 inch) per year, is "very likely" to speed up. Global average sea levels are expected to go up between 50 and 97 cm -- 20 inches to more than 3 feet -- by 2100, according to the draft.

"Emissions at or above current rates would induce changes in all components in the climate system, some of which would very likely be unprecedented in hundreds to thousands of years," it states. Those changes are likely to occur "in all regions of the globe" and affect the water cycle, rising ocean acidity and changes in the water cycle.

"Many of these changes would persist for many centuries," it added.

Opinion: Obama is right on climate change

The effect has already been seen in shrinking summer icepacks in the Arctic Ocean and warming permafrost in the Northern Hemisphere, it states.

"It is very likely that the Arctic sea ice cover will continue to shrink and thin and that Northern Hemisphere snow cover will decrease during the 21st century as global temperature rises," the draft states.

The science of global warming is politically controversial but generally accepted as fact by most researchers, who point to heat-trapping carbon emissions from the burning of fossil fuels as the major cause. A May study of research papers published between 1991 and 2011 found that more than 97% of those that expressed an opinion on the cause of increasing temperatures supported that consensus.

Skeptics point to the fact that the rate of warming has slowed since 1998, a record warm year. But two more years, 2005 and 2010, have topped that record -- and the report notes that each of the last three decades have been warmer than the last.

Meanwhile, the insurance industry and urban planners are treating sea-level rise as a real threat.

A study published over the weekend in the scientific journal Nature Climate Change warned that the world's largest coastal cities will face tens of billions in flood losses a year even with improved defenses. The most vulnerable city on the list was the Chinese city of Guangzhou, with Miami, New York, New Orleans and Mumbai rounding out the top five.

New York and much of New Jersey are still rebuilding from 2012's catastrophic Superstorm Sandy, and a federal government report released Monday said reconstruction should take into account "the existing and future threats exacerbated by climate change."

"More than ever, it is critical that when we build for the future, we do so in a way that makes communities more resilient to emerging challenges such as rising sea levels, extreme heat and more frequent and intense storms," Housing Secretary Shaun Donovan wrote in the report's preface.

CNN's Tristan Smith, Dave Hennen and Brandon Miller contributed to this report.

@highlight

Sea levels are "very likely" to rise more rapidly, draft finds

@highlight

An upcoming U.N. report says scientific consensus is hardening

@highlight

The report says it's 95% certain that humans are behind rising temperatures

@highlight

The conclusions are consistent with those of other recent studies