(CNN) -- Believe it or not, there are a fair number of people in the "top 1%" who think that the existing distribution of wealth and opportunity is grotesque.

They believe that an American's place in this distribution is too dependent on irrelevant factors (race, creed, color, etc.) and relevant ones (educational attainment, intelligence); that inequality is bad not only because poverty sucks and the wealthy can do more but also because it is corrupting fairness in politics, education, health, national service and employment.

They think it degrades social relationships, weakens national solidarity and drives the United States down international league tables in important areas. And these "rich egalitarians" believe that government can and should do far more to reduce inequality and mitigate its effects.

John Sutter: The most unequal place in America

Rich egalitarians are often accused of weakness by the left for not voluntarily giving up more of their treasure, judged irrational by the right for not giving up their idealism (in the interest of self-interest), and suspected of self-righteous hypocrisy by people who doubt that they sincerely want to reduce an inequality whose fruits they seem to enjoy very much.

Despite these attacks, for the last 20 years, it's been pretty easy for rich egalitarians to live by following this simple playbook:

• In politics, vote for progressive Democrats, support progressive policies yet still sleep easy (though with some guilt) in the knowledge that even when Democrats are in power no policy truly hostile to the economic interests of the rich can pass (e.g. the Buffett Rule or some other mechanism to tax capital gains sensibly and the "carried interest" earned by investment managers); gnash teeth when the Republicans are in power; generally ignore state and local politics.

• In philanthropy, give significant money and time to organizations working domestically with disadvantaged people or providing public goods available to everyone.

• In personal matters, eschew ostentation and the cloistered world of private planes and country clubs; live a normal upper middle-class life, in a liberal city, of parks, subways and economy-class travel (but private school for the children).

• In business, remain committed to the core public/private division of labor where private markets, technology and business provide innovation, efficiency and effectiveness while the government redistributes otherwise excessive outcomes (through taxation and income support), mitigates ill effects (through regulation) and provides "public" goods such as education, parks, public transportation and health care as well as the core functions of the "watchman" state (contract enforcement, rule of law, national security).

Opinion: Mobility, not income inequality, is the problem

But across the board, rich egalitarians are being tested.

In politics, the emergence of the populist left poses a dilemma. Although they share some common policy ground, egalitarians believe in fairness (everyone doing what they reasonably can and should) while populists believe in taking (from those fat cats). And remarkably, some populists seem to believe that we live in a neo-agrarian economy where the poor are poor because the rich are rich, whereas egalitarians see broader structural causes.

And rich egalitarians, while acknowledging that part of the policy remedy will require the rich become considerably poorer, also think it will require a long-term commitment to investments in education, health care, infrastructure and the other public goods.

CNNMoney: World's 85 richest own as much as the poorest 50%

So in New York, where rich egalitarians were originally heartened by new Mayor Bill de Blasio's early focus on inequality, they now worry, given the tone of the inauguration, that he may prove to be a populist in egalitarian clothing who asks the wealthy, rightly, to do their fair share (higher taxes to expand affordable housing and pre-K) without asking others to do the same (reforming arcane work rules and unsustainable benefits for public sector unions, etc.).

And it is easy to imagine something similar at the federal level if tax rates on the wealthy were increased without any of the structural changes -- increasing the total tax base, investing in public goods, curbing the growth in entitlements -- required to create a more egalitarian, yet fiscally sustainable, society.

Of course even rich egalitarians can't fully embrace a populist movement whose defining narrative tars the wealthy as villains, but should they nevertheless support the populists because of the short-term policy overlap, or abandon them on principle?

In philanthropy, charities clamor more than ever for support while pundits tell the wealthy to discard "band-aid charity" to focus on "solving" problems through various types of "impact" investing (where they might also make a buck). But if charity is out and problem solving is in, shouldn't "merely wealthy" egalitarians cede that terrain to Gates, Buffett and other Giving Pledge billionaires with the individual resources to make a difference?

In personal life, the "normal" option -- just fine in the past -- continues to be hollowed out to make room for an ever-expanding set of gold and platinum tiers that are becoming the norm not only in credit cards and air travel but everywhere ($315/hour Disney VIP Tours anyone?).

Worse yet, the bar rises each year with respect to what wealthy children see as "normal" given the increasingly perverse lengths to which many parents will go in the attempt to lock in high socioeconomic status by turning their children's lives into grueling, yet luxurious, 17-year, all-expenses paid, Ivy League applications. Does the commitment of rich egalitarians to a "normal" life require explicit acts of self-sacrifice and restraint on a daily basis?

And in business, the debacles of the last decade -- gun control, insider trading, the financial crisis, Blackwater, etc. -- force rich egalitarians to question whether their commitment to markets/technology/business has become anachronistic in an era where business seems incapable of self-regulation while relentlessly absorbing hitherto public goods and defeating even sensible efforts at regulation. (And in the absence of campaign finance reform, rich nonegalitarians are now free to use their de facto control of corporate assets to fight against redistribution on the personal side as well.)

But since rich egalitarians can't abandon the commitment to the market (rich egalitarians are not socialists), should they pin their hopes on nascent forms of "social enterprise" that are far from proving they can deliver the goods?

How will rich egalitarians respond to these challenges? A few will ride the tide to become self-loathing populists. Others will give up their egalitarianism and retreat to bucolic suburbs where they're less likely to have awkward run-ins with old friends or feel picked on by the mayor.

But I hope most discover that their convictions prove up to the challenge; that they'll explore new avenues of impact investing in addition to, not in lieu of, charity; that they'll continue to live in the city, ride the subway and fly coach; and that they'll engage with the populists despite their differences, showing them that the rich aren't so bad, arguing strenuously for sustainable fairness, not opportunistic taking, paying newly higher taxes without complaint and serving as a fifth column within the ranks of the wealthy to help the city and nation take at least baby steps in the direction that they've always claimed it should go.

The opinions expressed in this commentary are solely those of John MacIntosh.

@highlight

John MacIntosh: Rich egalitarians are being tested as never before

@highlight

He says those 1 percenters who oppose inequality don't share views of populists

@highlight

MacIntosh: Poor aren't poor because the rich are rich; there are structural causes

@highlight

He says wealthy should pay more in taxes but as part of a plan to invest in society's future