Washington (CNN) -- Republican leaders will propose cutting more spending to balance the amount of additional disaster relief money in a short-term government spending measure defeated earlier by the House, two Republican sources told CNN on Thursday.

The additional spending cut, called an offset, would be roughly $100 million from a Department of Energy loan program linked to the solar panel firm Solyndra, which recently collapsed, said the sources -- a GOP aide and a Republican member of Congress -- who spoke on condition of not being identified.

The plan, which faces sharp Democratic opposition, could pave the way for a partial government shutdown when the current fiscal year ends on September 30 if it is not resolved.

Debate on the measure began late Thursday  night, with a vote set for that night or early on Friday morning. The Democratic-controlled Senate won't take action until at least Friday, having already adjourned for the day.

Senate Majority Leader Harry Reid blasted it as "not an honest effort at compromise," criticizing its Republicans supporters of moving "even further towards the tea party (and insisting) on holding out on Americans who have suffered devastating losses."

"It fails to provide the relief that our fellow Americans need as they struggle to rebuild their lives in the wake of floods, wildfires and hurricanes, and it will be rejected by the Senate," said the Nevada Democrat, warning the Federal Emergency Management Agency could "run out of money as soon as Monday."

The move was intended to persuade the 48 Republicans who voted against the GOP measure Wednesday night to change their minds, according to the GOP aide. Language in a proposed amendment to the Senate bill, for instance, would rescind "the unobligated balances remaining" for the energy loan program.

Democrats in the House and Senate said Thursday they oppose any offsets to counter the emergency spending for natural disasters, and the Republican strategy sets up a another budget showdown in Congress -- this time over the short-term spending measure that would fund the government for the first seven weeks of the new fiscal year, which begins October 1.

On Thursday night, senior Senate Democratic leadership aide said the party's caucus is united against Republican-tailored versions of the measure.

"We are looking for a real attempt to compromise, not just an attempt to appease their own people," the aide said.

House Speaker John Boehner, R-Ohio, earlier insisted to reporters that an agreement would be reached and the spending measure passed to prevent a possible partial government shutdown.

"There is no threat of a government shutdown. Let's just get this out there," Boehner said.

In addition to the disagreement over offsets, the Democratic-controlled Senate differs with the House on how much emergency money the measure would provide for disaster relief in the wake of Hurricane Irene, Tropical Storm Lee, wildfires and tornadoes this year.

Failure by Congress to pass the measure would mean a partial government shutdown at midnight next Friday. However, the political fallout of such an impasse with a public already angered by congressional stalemate as an election year approaches makes a shutdown unlikely.

"What we've been trying to avoid are these constant scrums we have over government functioning the way it should," Reid, D-Nevada, told reporters earlier Thursday. Speaking before news of the additional offset provision added by House Republicans, Reid proclaimed himself "cautiously optimistic" an agreement would be reached.

With Congress scheduled to begin a week-long recess on Friday that would run through the end of the fiscal year, leaders began considering the possible necessity of delaying the break to complete work on the short-term spending measure.

Reid said the Senate is "ready to stay in Washington next week." And in a message to House members, Cantor's office said "members are advised that a weekend session is now possible."

Asked about the possibility of a weekend session, Boehner said Thursday: "I surely hope not."

The House vote Wednesday was 195 "yea" and 230 "nay," with 48 Republicans joining all but a handful of minority Democrats in opposing the short-term spending plan. Most of Republicans who voted "no" were conservatives who believed the overall spending level in the measure is too high.

The failed vote was a second rebuke of Boehner and the House Republican leadership by members elected to Congress last year with the support of the conservative tea party movement to give the GOP majority control. During the debt ceiling debate in July, Boehner had to withdraw his own plan for deficit reduction at one point when it became clear he lacked sufficient support within his caucus to get it passed.

This time, the speaker threatened members with pulling them from committee assignments if they failed to support the continuing resolution on Wednesday, according to a Republican source who attended the GOP conference meeting.

The source, speaking on condition of not being identified, said Boehner "cracked the whip" at the Wednesday morning meeting and told Republicans bluntly they needed to back the measure or he'd go to the steering committee and start pulling committee assignments for members who didn't vote for it. The Republican steering committee approves member committee assignments.

On Thursday, Boehner shrugged off the defeat as the price of trying to get legislation through the democratic process.

"I have no fear in allowing the House to work its will," he said, adding: "Does it make my life a little more difficult? Yes it does."

Rep. Bill Huizenga of Michigan, a conservative freshman Republican who opposed the resolution, said removing the offset provision -- as Democrats want -- would be "more problematic for me and probably for more of the caucus."

Asked if he was concerned about Boehner's threat to take away committee posts, Huizenga said: "It's far less of a concern than going back home and not being able to explain my vote."

The Republican-based amendments relate to a federal loan program meant to promote alternate energy and also boost the economy. It is the same program that funded Solyndra, which declared bankruptcy late last month despite receiving a $535 million federal guarantee in 2009. The energy department is facing a September 30 deadline to give 14 companies final approval for loan guarantees totaling more than $9 billion.

The continuing resolution, which would fund government agencies through November 18, would allocate fewer resources to the Federal Emergency Management Agency and the Army Corps of Engineers for disaster response than approved by the Senate last week.

Additional funds are needed because the string of disasters this year has depleted the FEMA and Army Corps of Engineers coffers supporting recovery and rebuilding efforts.

The House measure included a total of $3.6 billion in disaster relief money -- $1 billion in emergency funds available when the bill is enacted and another $2.6 billion to be budgeted for those federal response agencies for the 2012 fiscal year that begins October 1.

In addition, House Republican leaders insist that the $1 billion in immediate disaster funding be offset with $1.5 billion in cuts to a loan program that helps automakers retool their operations to make more fuel-efficient cars.

Earlier this month, President Barack Obama asked Congress for a total of $5.1 billion in additional disaster aid, $500 million of which was for immediate relief.

Last week, the Senate passed a measure with bipartisan support that would provide $6.9 billion for FEMA and other federal agencies, to be used both for immediate disaster relief as well as in the new fiscal year. The Senate version required no spending offsets.

Rep. Steny Hoyer of Maryland, the No. 2 House Democrat, said his party would support the House measure if the offset provision were removed, as did Rep. Norm Dicks of Washington, the ranking Democrat on the House Appropriations Committee.

On the Senate side, Reid indicated possible acceptance of the House proposal minus the offset, known as "pay-for" in legislative parlance.

Asked if the amount of disaster funding in the House version is sufficient, Reid said: "The answer is no, it's not sufficient, but if they get rid of pay-for, we'll take a look at that."

During floor debate on the measure, Hoyer and other Democrats complained that any kind of offset would be unprecedented for emergency funding to help Americans in need.

"Even if they had the best offset in the world, I still think it's wrong" to require equivalent spending cuts when getting money to disaster victims, said House Minority Leader Nancy Pelosi, D-California.

Conservative Republicans argued that the nation's expanding deficits require as much spending restraint as possible.

"We're trying to effect change in a way that we spend taxpayer dollars. That's what this whole thing is about," Cantor, R-Virginia, said Wednesday night. "No one is denying anyone disaster aid if they need it, and we're trying to be responsible and to do the right thing."

However, the inability of Cantor and the rest of the Republican leadership to push through the resolution showed the unstable politics at play. Democrats were nearly united in opposing the plan, meaning the Republicans couldn't afford the 48 defections from their ranks.

For Boehner, voting against the Republican resolution amounted, in essence, to "voting to spend more money" in the end, he said Thursday.

To Hoyer, the defeat of the GOP measure in the House "says that we are continuing to struggle to do things in a bipartisan fashion."

If House Republicans "expect our votes, they have to work with us," he said. "They can't just give us something and say ... their way or the highway."

"They've shown that they can't govern," Rep. Steve Israel, D-New York, said of the House Republicans. "We could work this out with them in the spirit of bipartisanship, but they cannot work it out with themselves."

CNN's Tom Cohen and Ted Barrett contributed to this report.

@highlight

NEW: Majority Leader Reid says the GOP-backed bill "will be rejected by the Senate"

@highlight

NEW: The Senate is "ready to stay in Washington next week," he adds

@highlight

A Democratic aide says Senate Democrats are united against an offset to the bill

@highlight

The added offset would cut a federal loan fund linked to a bankrupt solar energy firm