(WIRED) -- The BlackBerry PlayBook tablet is a good-looking piece of hardware.

Like the proto-humans in "2001: A Space Odyssey," you'll be eager to touch the monolithic object's black, buttonless visage. But once you do, things get a little more complicated.

The PlayBook's design exudes the same sense of finely honed "business chic" that Research in Motion has perfected in its BlackBerry smartphones.

But the PlayBook's software suffers from several missteps and oversights, especially in the drought of useful apps -- the very things that have made tablets such a hit -- and the lackluster performance of Adobe's Flash player.

At a svelte 7.6 inches by 5.1 inches, the PlayBook is about the size of Samsung's Galaxy Tab, and considerably smaller than the Motorola Xoom and Apple iPad 2.

That may prove bothersome if you prefer watching videos and gaming on a larger screen. But in a trade-off for the small screen size, the PlayBook makes gains in portability.

At just under a pound, long reading sessions don't cause as much fatigue as they do with larger tablets, and the rubberized backing adds a pleasing tooth to the grip. You won't be worried about dropping it on the floor of the bus.

RIM is banking that those who bemoan the loss of screen real estate will use the tablet as a media hub for larger devices. You can drag and drop media files from your desktop to the PlayBook the same way you'd move files to a USB flash drive. You can also transfer files wirelessly over your local network.

Once the PlayBook is loaded up with movies, use the HDMI-out to connect the tablet to a television and watch everything in full 1080p on a 16:9 wide screen. On both the big screen as well as the PlayBook, videos look damn good.

And they sound good, too. The PlayBook's two speakers flank the screen's face horizontally, projecting sound outward toward your ears. The quality is surprisingly clear for the size of the speakers. There's no tinniness or distortion, even with the volume cranked.

There are no buttons on the face, but there are four along the top edge: a Play/Pause button, a two-way volume rocker and a Power button. They're unobtrusive, though sometimes to a fault. It takes a noticeable amount of effort to push in the Power button, which is frustrating if you want to turn the screen on or off quickly.

In the absence of a Home button, there's a new UI convention to learn: You touch the frame along the bottom of the screen and swipe up when you want to return to the home screen. Touch sensitivity is very responsive, and the swipe controls work great.

Taking a note from Palm's webOS, RIM brings multitasking to its QNX-based BlackBerry Tablet OS, letting you switch back and forth between simultaneously running apps.

By swiping a finger to the side of the screen, you can jump from the YouTube video you were watching back to a paused game of Tetris, without having to return to the home screen.

Also cool: the ability to multitask with apps running on a peripheral display. When the PlayBook is hooked up to an HDTV, you can watch video at 1080p on the big screen while browsing the web on the PlayBook. Or, you can show a presentation on a projector while swiping through your speaking notes on the tablet.

Be forewarned of resource hoggery, though. Try running too many apps at once, and a low-memory notification will pop up in the left-hand corner telling you to cool it. The PlayBook comes loaded with 1 GB of RAM to protect against this, though on occasion when I ignored the warning long enough, my browser crashed.

Move closer to the software level and things get even stickier.

Any tablet debuting more than a year after the Apple's market-dominating iPad needs an edge. For the PlayBook, that edge is support for Adobe Flash, a feature that the iPad is famously lacking. RIM says it took over two years of working with Adobe to bring Flash to its tablet.

Two years may not have been enough. During a round of "Plants vs. Zombies," gameplay bogged down whenever the animation got intense. Every time I tried to access a Flash game on Facebook, the browser crashed. Yes, every single time. Say goodbye to your well-tended crops, Farmvillians.

RIM delivered several software updates during our tests, showing that the company is still ironing out bugs. Flash stability increased with each update, and may well be even more stable by the time the PlayBook ships on April 19.

But the fact that a marquee feature is strapped with such stability problems so close to the ship date is troubling.

Another glaring flaw is the PlayBook's complete lack of native e-mail, contacts and calendar apps. Want those apps? Log on to your Gmail account with the browser.

BlackBerry smartphone owners can access e-mail on the PlayBook after installing RIM's Bridge app, which connects the phone to the tablet by Bluetooth, but we weren't able to test this feature.

If you don't have a BlackBerry phone, you're out of luck until summer, when RIM says a future software update will bring native clients to the PlayBook.

Also worth considering is the relatively paltry selection on BlackBerry's App World, which contains roughly 3,000 apps. By comparison, Apple and Google's app inventories number in the hundreds of thousands.

And some of the biggest apps -- Facebook, a Gmail client, Twitter, Angry Birds -- are conspicuously absent. Clicking on the Facebook "app" icon on the desktop brings up a web browser and loads the Facebook website.

RIM has announced that an Android app player will be available on the PlayBook, which should bolster the number of available apps. But any Android apps ported to the PlayBook must be vetted by RIM before they can make it into the store.

Under casual use conditions, the PlayBook's battery held up for close to eight hours, which is on par with both generations of the iPad. With heavy use of Flash-based sites (when they functioned) and 1080p video-watching, the PlayBook's battery hung in there for an impressive 5½ hours.

It's important to note that this is a Wi-Fi only version of the PlayBook, and that the battery life may be different once RIM releases the promised 4G versions of the PlayBook for the big three U.S. carriers. Expect those to roll out beginning this summer, though no pricing details have been released on the 4G models yet.

The bottom line: It's a well-constructed device with great media-viewing capabilities, solid hardware specs and a price on par with the current tablet market. But with serious gaps in key areas like app selection and Flash stability, you may want to think twice before picking one up.

WIRED Sexy design appeals to the Mies in you. Media is a joy with a brilliant display, great sound and an HDMI output. Two cameras: one on the front, a better one on the back.

Supports tethering to BlackBerry phones. Comes with office-productivity apps that can read and edit MS Office files. App multitasking is innovative and intuitive. Runs Flash, sorta.

TIRED RIM's WebKit-based browser is about as stable as your bipolar uncle. No native e-mail, calendar or contacts apps. App ecosystem is lacking. You'll need to install a driver before you can connect it to your PC or Mac. Runs Flash, sorta.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

PlayBook's software suffers from a drought of useful apps

@highlight

There is a lackluster performance of Adobe's Flash player

@highlight

Touch sensitivity is very responsive, and the swipe controls work great