Cairo, Egypt (CNN) -- A day-by-day summary of significant events in Egypt's upheaval, as compiled by the CNN Wire:

TUESDAY, JANUARY 25

As many as 20,000 protesters spill into the streets of Cairo in an unprecedented display of anti-government rage inspired in part by the Tunisian revolt. The official Middle East News Agency (MENA) reports three people dead and 49 wounded in clashes between protesters and police in Cairo and the port city of Suez.

JANUARY 26

Police use water cannons and tear gas against thousands of protesters who returned to the streets of Cairo and other cities. MENA reports at least 90 arrests in Cairo, while state-run Nile News reports at least 27 wounded in Suez.

JANUARY 27

Mohamed ElBaradei, the Nobel Peace Prize-winning former head of the U.N. nuclear watchdog agency and a possible presidential candidate, returns to Egypt to join demonstrations. The Muslim Brotherhood, Egypt's largest opposition bloc, calls on its supporters to join protests after Friday's weekly prayers.

The government responds by arresting a prominent Muslim Brotherhood leader and shutting down internet and text-messaging services.

JANUARY 28

Protesters battle police in Cairo, Suez and Alexandria to demand an end to Mubarak's rule. The headquarters of Mubarak's ruling National Democratic Party is ransacked and set ablaze. Egyptian troops move onto the streets through clouds of black smoke and tear gas to enforce a curfew, the first time since 1985 that the army has been used to put down domestic unrest.

JANUARY 29

In a speech delivered shortly after midnight, Mubarak announces that he has sacked his Cabinet and acknowledges the "legitimate demand" for political and economic reforms. He names Omar Suleiman, his longtime intelligence chief, as vice president -- the first time he has filled that position since taking office in 1981. Protesters are not satisfied: Clashes continue around Cairo's Tahrir (Liberation) Square, and hospital officials in Alexandria tell CNN that at least 31 people have been killed there.

In Washington, President Barack Obama says he has told Mubarak that he must take "concrete steps" to deliver on his pledge of reform. Britain, France and Germany issue a joint statement calling on Mubarak to begin a "process of transformation," including free elections.

JANUARY 30

Egyptian warplanes and helicopters buzz over Tahrir Square in a show of force as thousands of demonstrators defy curfew orders. ElBaradei is met by cheering throngs who surround him as he arrives at the square, telling supporters, "What we started can never be pushed back." In a CNN interview, he calls on Mubarak to "leave today and save the country."

JANUARY 31

On the eve of a planned "march of millions," Egypt's military command announces it won't open fire on peaceful protesters. Suleiman says the government has begun discussing reform with opposition parties, promising plans will be drawn up "expeditiously." Egyptian authorities shut down the country's rail network, post troops at key locations and pull the plug on mobile phone and internet service ahead of the next round of demonstrations.

FEBRUARY 1

Mubarak announces he will not seek a new term in September's elections, but plans to stay in the country and finish his current one. Protesters packed into Tahrir Square wave shoes in the air -- a deep insult in the Arab world -- and vow to continue their demonstrations until Mubarak quits outright. Clashes between pro- and anti-Mubarak demonstrators in Alexandria leave 12 injured.

FEBRUARY 2

Pro- and anti-Mubarak demonstrators battle each other with rocks, chunks of concrete and Molotov cocktails around Tahrir Square throughout the day as Egyptian troops stand by. Opposition protesters say the pro-Mubarak demonstrators include plainclothes police officers and government workers who are paid to take part. Government officials deny the allegation, but independent observers say the tactic is one Mubarak has routinely employed in the past.

The pro-Mubarak demonstrators also attack several international journalists as state television portrays the unrest as a "foreign conspiracy."

FEBRUARY 3

As street battles continue around Tahrir Square, Egyptian authorities crack down on journalists and human rights activists bearing witness to the crisis. Several of the leading opposition parties say they won't hold talks with the government until the clashes end.

Mubarak tells the American news network ABC that he was "unhappy" with the violence, adding he would step down right away -- but says his immediate resignation would plunge Egypt into further chaos. Prime Minister Ahmed Shafiq apologizes for attacks on anti-government protesters and vows to punish those responsible, while Suleiman tells demonstrators, "Finish up the strike. Your demands have been met."

FEBRUARY 4

Undeterred by deadly clashes and government crackdowns, tens of thousands rally in Cairo's Tahrir Square for a largely peaceful mass rally. Their message to Mubarak: "Leave."

In another plaza just half a kilometer away, supporters and foes of Mubarak fight running street battles. Youths wielding sticks and rocks engaged in fights and the sound of gunfire rang out.

The opposition Muslim Brotherhood, an Islamist group officially banned by the government, says one of its offices was stormed by a "gang of thugs." The satellite news network Al-Jazeera reported a similar attack on its Cairo office.

FEBRUARY 5

Apparent fissures in Egypt's regime surface as key members of the embattled ruling party, including Mubarak's once heir-apparent son, give up their party leadership posts and the vice president begins talks with opposition leaders.

The embattled Mubarak, however, remains in his position as head of the party's higher council and as head of state despite popular demands that he relinquish power immediately.

The president's foes question whether the moves are meaningful or cosmetic. Demonstrators on the streets say Mubarak is just trying to appease the people.

@highlight

Tuesday, January 25 brought first massive protest in Tahrir Square

@highlight

President Hosni Mubarak announced January 29 he had sacked his Cabinet

@highlight

Clashes between pro- and anti-Mubarak demonstrators began February 1