(CNN) -- Opposition leader Morgan Tsvangirai said Wednesday that Zimbabwe is in shambles and warned that deaths from starvation and a cholera outbreak threaten to surge with the rainy season approaching.

A man carries a relative in a wheelbarrow to a cholera clinic in Harare on Tuesday.

Bemoaning Zimbabwe's decline is a familiar refrain for the embattled head of the Movement for Democratic Change. His most recent remarks, however, were backed by former President Carter, who returned from a five-day trip to neighboring South Africa this week and declared Zimbabwe "a basket case."

Tsvangirai also expressed frustration with attempts to form a unity government between his group and the ruling Zanu-PF party. He said he has asked that South African ex-President Thabo Mbeki recuse himself as mediator between the two parties.

The Zimbabwean government quickly countered Tsvangirai's allegations that President Robert Mugabe and Zanu-PF were responsible for the problems gripping the country.

"The government is very committed to ensure that the humanitarian crisis is addressed. It would be wrong for the MDC to blame it on the government," Foreign Affairs Minister Simbarashe Mumbengegwi said.

Addressing Tsvangirai's allegations that cholera deaths could soon top 50 a day and that the Mugabe-led government seems intent on covering it up, Mumbengegwi noted that Zimbabwe is not the only country where cholera is a problem.  Watch why world leaders call the situation in Zimbabwe shocking »

"No government would want its people to suffer. Cholera is not peculiar to Zimbabwe," he said. "We hear it is now in South Africa, too, but we cannot relax because of that. We have to fight it as Zimbabweans."

A report in the state-run Herald newspaper Wednesday said the government has kicked off an information campaign to inform citizens of "the do's and don'ts to combat the disease."

The government is also drilling boreholes to find clean, subterranean water that can be pumped to the surface for drinking and bathing, the Herald reported.

The World Health Organization said last week that almost 300 people have died of cholera since August and more than 6,000 cases have been reported.

Tsvangirai said Wednesday that conditions would worsen this month as the rainy season brings steamy downpours to much of Zimbabwe, especially the eastern mountain forests.

Carter, former U.N. Secretary-General Kofi Annan and Graca Machel, wife of former South Africa President Nelson Mandela -- all of whom belong to a group of world leaders called the Elders -- had hoped to visit Zimbabwe on their recent trip to the region but were denied visas, according to Tsvangirai and a statement from the Carter Center.

"Mr. Mugabe would prefer that the suffering that he and Zanu-PF have caused, and continue to cause, remains in the dark," Tsvangirai said in a statement, adding that because the Movement for Democratic Change and Zanu-PF cannot form a partnership after months of wrangling, "the MDC must instead work with those Zimbabwean organizations, groups and individuals to address the humanitarian crisis."

The humanitarian problems illustrate the political quagmire in Zimbabwe, where a power-sharing agreement that Mugabe and Tsvangirai signed in September has yet to take effect.

Carter issued a statement Tuesday condemning what he said was Harare's decision to renege on an agreement to allow him, Annan and Machel into the country. He also offered a damning assessment of the Mugabe regime.

"After almost three decades of governmental corruption, mismanagement and oppression, Zimbabwe has become a basket case, an embarrassment to the region and a focus of international concern and condemnation," he said.

Denied passage to Zimbabwe, Carter, Annan and Machel were left to consult with regional leaders -- including Tsvangirai, Botswana President Ian Khama and South Africa President Kgalema Motlanthe -- as well as United Nations officials, nongovernmental organizations and Zimbabwe's civil leaders.

"We had a complete and balanced agenda and more frank discussions than would have been possible in the oppressive and restrained environment of Harare," Carter said in his statement.

Carter said he learned of conditions in which the official inflation rate has soared to about 231 million percent while thousands of Zimbabweans stand in line for their daily allowance of about 2 cents a day -- from their own bank accounts. The allowance does not afford them a half loaf of bread, he said.

Teachers, who earn about a dollar a month, report a student-textbook ratio of about 20-to-1, and school attendance has dropped to about 20 percent in the past three months, the former president reported. The few students still attending classes are generally doing so in the hopes of being fed, he said.

"Meanwhile, top government officials and other privileged people can exchange Zim money at a favorable rate that is several thousand times more than the official rate available to other citizens," Carter said. "They profit greatly from these monetary transactions and shop in special stores."

The nation's four major hospitals have shut down, as roughly 3,500 AIDS victims are dying each week. Unchecked sewage and filthy water have compounded the cholera problem, and Zimbabwe's death rate from the disease is 10 times greater than rates in areas where treatment is available, Carter said.

The former president said 19,000 Zimbabweans are fleeing the country each month, mostly to South Africa and Botswana. He estimated that 4 million people have fled the nation.

"The middle class is departing, leaving behind the extremely poor and the small elite group around Mugabe who are profiting from the economic disaster," he said.

Comparing Zimbabwe to Somalia, a failed African state that has had no functional government since 1991, Carter cast blame on African leaders who fail "to confront Robert Mugabe and force him to accept the result of the March election and more recently to comply with negotiated political agreements to share governmental authority with Morgan Tsvangirai and the opposition party."

Tsvangirai snared more votes than Mugabe in March's election but not a majority. Tsvangirai dropped out of a subsequent runoff, citing widespread violence against MDC supporters.

Carter's call for African leaders to step up pressure on Mugabe came a day before Tsvangirai asked South Africa's Mbeki to bow out as mediator between the MDC and Zanu-PF.

"Sadly, the negotiations have also been hampered by the attitude and position of the facilitator, Mr. Thabo Mbeki. He does not appear to understand how desperate the problem in Zimbabwe is, and the solutions he proposes are too small," Tsvangirai said in his statement.

"He is not serving to bring the parties together because he does not understand what needs to be done. In addition, his partisan support of Zanu-PF, to the detriment of genuine dialogue, has made it impossible for the MDC to continue negotiating under his facilitation."

Asked for the Zimbabwe government's reaction to the MDC asking Mbeki to recuse himself, Foreign Minister Mumbengegwi said, "We have no right to tell them who to complain about. It is their decision in the MDC."

Unless African leaders can find a way to mitigate the political impasse in Zimbabwe, the United Nations or the African Union might need to enter the fray, because, Carter said, "the poisonous effects" of the Mugabe regime, including the cholera outbreak, are spilling into other African nations.

Food, medicine and monetary donations should be sent immediately to humanitarian agencies such as CARE, World Vision and Save the Children, Carter said, advising that it is unwise to send cash directly to people in Zimbabwe.

"It is counterproductive to contribute money that can be confiscated by the Zimbabwe government," he said.

@highlight

Opposition's Morgan Tsvangirai asks Thabo Mbeki to recuse himself as mediator

@highlight

Jimmy Carter reports children still attending school do so in hopes of being fed

@highlight

Carter: Zimbabweans line up daily for 2-cent allowance from own bank accounts

@highlight

Cholera crisis seeping from Zimbabwe borders, may require intervention, he says