(CNN) -- Consider this. On December 17, 2010, Mohamed Bouazizi, a young Tunisian street vendor, set himself on fire and started a dramatic remaking of the political landscape. The striking of a match brought change not only in Tunisia, but also in Egypt and Libya, and even what is happening in Syria.

On the other hand, since March 2011, about 29 Tibetans, mostly Buddhist monks and nuns, have self-immolated in Tibetan parts of China. In March 2012 alone, seven people self-immolated, and Tibetan exiles in India have been setting themselves on fire. The political result? Nothing.

So why does the self-immolation of one man accomplish so much, but the same gesture performed by so many others accomplishes nothing? Perhaps the question should be phrased differently, because a closer look at Bouazizi's deed and the Tibetan cases reveals that it is something other than the sheer number of self-immolations that makes them a catalyst for change.

Tunisians could easily identify with Bouazizi's extreme predicament. His actions spoke to the community's shared frustration and despair. But the demands of Tibetan self-immolators are varied. Some want a "free Tibet," as do all Tibetan exiles, but others only want freedom of religion, or political autonomy, or the opportunity to study in Tibetan as opposed to Chinese, or the return of the Dalai Lama to Tibet.

When a self-immolator like Bouazizi is perceived as taking upon himself the humiliations and shameful submissions, the collective cowardice and voluntary servitude of his people, he burns off, along with his body, the diffuse sense of shame and guilt that has been paralyzing his community.

The burning body thus becomes a site of cleansing, catharsis and regeneration. The community is going -- vicariously, but no less effectively -- through a "purification by fire." And in the process an important thing takes place: That society reinvents itself, it is transformed from a shattered community into a political community.

As the body is being devoured by flames, the promise (if only the promise) of a new beginning takes shape. The self-immolations of Thích Quàng Đúc in Saigon in 1963 and Jan Palach in Prague in 1969 were not very different from that of Bouazizi. The former was a Buddhist monk who self-immolated to draw attention to the persecution of Buddhists in Vietnam under the Ngô Đình Diem's regime; the latter was a philosophy student who did the same thing in Prague as a response to the Soviet Union's crush of the Prague Spring.

Self-immolations that prompt political change are extraordinary and rare events. The ancient Greeks had two different words for time: chronos for ordinary time and kairos for time of special quality -- a particularly propitious time for which our "right time" is a rather weak translation. For self-immolations to be politically successful, they have to happen in kairos. Bouazizi, Đúc and Palach had many imitators, but none since have achieved so much.

That's why the high number of self-immolations among Tibetans lately could be read as an implicit admission of failure. Even though the first self-immolation by a former Tibetan monk, Thupten Ngodup, on April 27, 1998, in New Delhi, had some public impact, it failed to cause the political commotion that Bouazizi triggered in the Arab world. Nor have any of the other Tibetan self-immolators since.

Yet, this should not surprise us. There is a strong rejection of violence in Buddhism. Even through self-immolations took place in medieval China and 20th-century Vietnam, even though the Lotus Sutra praises "burning for Buddha" as the supreme self-sacrifice, Buddhists are very reluctant to condone violence. Tibetan Buddhism, in particular, is centered on compassion toward all sentient beings and prohibition of murder, suicide included.

Such a religious and cultural viewpoint must prevent ordinary Tibetans from identifying with the self-immolators. Accommodating this radical form of violence within a culture that has for centuries fed on cosmic compassion and political non-violence is not an easy process.

That is why the recent string of self-immolations in Tibetan parts of China is a sign that this could be changing. Most self-immolators are young -- some are teens -- which indicates that the new generation of politically aware Tibetans might have lost patience with the Dalai Lama's nonviolent political philosophy and want to respond differently to the Chinese's aggressive methods.

What we see now is possibly the beginning of a new type of political engagement in Tibet, a new pattern very different from Bouazizi's and Palach's, who emerged from communities that had been brought to their knees. Tibetans, instead, over the last 60 years have considered their nation as occupied, but not defeated. Since 1959 they have with some regularity risen against the Chinese authorities.

It's very disturbing to watch these self-immolations, but that is part of the intent. The Tibetans want the Chinese and the world to look. The meaning of their gesture lies in its total passivity. It is no accident that after every self-immolation the Chinese authorities scramble to confiscate and destroy any pictures taken; they are only too aware of the iconic status such images can acquire.

In essence, these self-immolations are an extreme form of political self-expression. They are performed as part of a struggle for recognition, as an autonomous political community. It confirms what Thích Nhất Hạnh was saying in 1967: "To burn oneself by fire is to prove that what one is saying is of the utmost importance. There is nothing more painful than burning oneself. To say something while experiencing this kind of pain is to say it with utmost courage, frankness, determination and sincerity."

For many Tibetan monks and nuns of today the burning body has become a tool for the most resounding of self-assertions; when you are in flames your presence cannot be ignored anymore.

It is a shouting game of sorts, except that no party shouts. The Tibetans express themselves by burning; the Chinese authorities do the same by shooting Tibetans. Then, another monk or nun engages in self-expression and everything starts anew.

Palden Gyatso, a Tibetan monk who spent more than 30 years in Chinese prisons and labor camps, once said: "For those who use brute force, there is nothing more insulting than a victim's refusal to acknowledge their power."

Rarely has the desire for recognition been so desperate and moving.

The opinions expressed in this commentary are solely those of Costica Bradatan.

@highlight

Costica Bradatan: 30 Tibetans self-immolated in Tibetan parts of China without political change

@highlight

Yet a Tunisian's setting himself afire set off Arab spring, he says. Why was that different?

@highlight

He writes: The Tunisian spoke to everyone's despair; Tibetan protesters have varying goals

@highlight

Bradatan: Tibetans are nonviolent, but some may be tired of Dalai Lama's pacifism