Hong Kong (CNN) -- The most emotionless society is Singapore's despite its reputation for being among the world's richest, a new survey has revealed.

Gallup looked at 150 countries where about 1,000 residents were asked whether they experienced five positive and five negative emotions a lot during the course of a day. The results were based on interviews taken over a three-year period.

Questions included whether people felt well-rested or enjoyment, smiled and laughed or felt worry, sadness, stress or anger.

The 36% in Singapore who reported feeling anything is the lowest in the world, the Washington-based research and analytics organization found. This figure is an aggregation of data from 2009-2011; in Gallup's latest measure taken last year, just 30% of those surveyed in Singapore felt anything at all.

The findings belie Singapore's 1.9% jobless rate in the third quarter and per capita GDP of more than US$50,000 -- among the highest in the world.

"The implications for an emotionless society are significant," wrote Jon Clifton, a partner at Gallup and director of the Gallup Government Group. "To continue to be competitive in today's world, Singapore must begin focusing on behavioral-based indicators that move beyond GDP.

"The bottom line is that Singaporeans are productive, highly disciplined citizens who are not enjoying their lives much," he wrote in an accompanying article for the Gallup Business Journal. "This culture has won historically, but it will not move to the next level until its leadership takes wellbeing seriously."

Trailing right behind Singapore were nearly half of the 15 former Soviet republics: Georgia and Lithuania, with 37%; and Russia, Ukraine, Belarus, Kazakhstan and Kyrgyzstan, with 38%.

Tying at 38% were Madagascar and Nepal.

The Philippines, meanwhile, registered as the most emotional nation, with 60% of those interviewed responding "yes" to experiencing a lot of feelings daily.

Also scoring high were Latin American nations, with 10 of its nations -- led by El Salvador -- sharing top spots with Bahrain, Oman, Canada and the United States.

Absent from the list is Bhutan, whose 4th king first coined the term "Gross National Happiness," declaring in 1972 that it was more important than Gross National Product.

The country now has a Gross National Happiness (GNH) Commission with a mandate to pursue that objective.

The country's latest GNH Index measures happiness based on 33 indicators grouped among nine domains: psychological wellbeing, health, time use, education, cultural diversity and resilience, good governance, community vitality, ecological diversity and resilience, and living standards.

Reflecting the growing need to address happiness, The Earth Institute at Columbia University published the first ever World Happiness Report commissioned for the U.N. Conference on Happiness in April. It reviews the state of happiness in the world today, the causes of happiness and misery, and policy implications.

The report was in answer to a resolution adopted last year by the U.N. General Assembly declaring "the pursuit of happiness is a fundamental human goal" embodying the spirit of the 2015 Millennium Development Goals. This year the U.N. declared March 20 of each year as the International Day of Happiness.

Last month the Organization for Economic Co-operation and Development, which represents 34 countries, dedicated its fourth forum in New Delhi, India, to measuring well-being. The OECD's Better Life Index compares well-being across countries based on 11 topics identified as essential.

It's another indication that there's more to life or success than wealth, and that measuring a nation on GDP alone can go only so far.

Still, the Economist Intelligence Unit has named Singapore one of the best countries to be born in 2013.

Ranked sixth on an index topped by Switzerland, Singapore was cited along with Hong Kong, ranked 10th, as being "well-known for their wealth, stability and relatively low levels of corruption," said Susan Evans, an analyst.

"One determining factor of future life satisfaction for their residents, which is less easy to predict, will be the trajectory of civil freedoms," she added in a press release.

The index looked at as many as 11 indicators, including GDP per head, life expectancy at birth, quality of family life, the state of political freedoms, job security, climate, safety, community life, governance and gender equality.

Among the 80 countries covered, Nigeria ranked last.

@highlight

NEW: Economist Intelligence Unit ranks Singapore high on "where-to-be-born" list

@highlight

Nearly half of 15 former Soviet republics trail Singapore as "emotionless" in Gallup survey

@highlight

Singapore boasts a 1.9% jobless rate, high per capita GDP

@highlight

Philippines, meanwhile, registers as most emotional nation