(CNN) -- I grew up in Florida in wartime -- where the bombs were 7,691 miles away.

My childhood was an Afghan-American suburban dream punctuated by weekend sleepovers, Saturday soccer games, fistfights with racist children of the Confederate South and religio-nationalist-driven demonstrations chanting "Down with Brezhnev!"; "Long live Islam!"; "Down with Communism!"; and "Long Live Afghanistan!" before I even knew what that meant.

It is what I was fed growing up, in between Southern-fried chicken and garlic mashed potatoes, cumin-scented meat and basmati rice. That's why I've referred to myself as "Afghan by blood, redneck by the grace of God."

Watch Aman Mojadidi's TED Talk

Now as an artist in a world that is simultaneously in the process of globalizing and fracturing, the work I do explores what I have come to call the "geography of self," a concept that revolves around a positioning of oneself in the world -- not just physically, but emotionally, mentally and, perhaps even for those who believe, spiritually.

This position is ambiguous, temporary and very often debated. It is constructed by multiple voices and rendered through a prism of different, sometimes even contradictory, perspectives.

The body of work I create combines traditional storylines and postmodern narrative strategies to approach themes such as belonging, identity politics and conflict, as well as the push towards -- and resistance against -- modernization.

My work travels through mental and physical landscapes. It intentionally blurs and merges the lines between them, as well as those between fact and fiction, documentation and imagination.

I looked into corruption in Afghanistan through a work called "Payback" and impersonated a police officer, set up a fake checkpoint on the street in Kabul and stopped cars, but instead of asking them for a bribe, offered them money and apologized on behalf of the Kabul Police Department.

I spent a day in the life of a jihadi gangster who wears his jihad against the communists like pop-star bling and uses armed religious intimidation and political corruption to make himself rich. And where else can the jihadi gangster go, but run for parliament and do a public installation campaign with the slogan: "Vote for me! I've done jihad, and I'm rich."

TED.com: What I saw in the war

What I engage in through my art is, in fact, storytelling. But through these stories, there is a clear attempt to disrupt and reinterpret historical narratives, both real and imagined, in order to create an entirely new narrative that challenges the dominating histories' stories that shape our experience and understanding of the world we live in.

It's not about activism, but about being engaged with our world and humanity in a way that goes beyond the superficial, instead looking deeper into historical constructions of our present state and the basic principles of human responsibility.

Art has often been and continues to be considered transcendent. I see this as misguided and, in fact, a way of subverting the powerful voice art can be in global discussions about politics, economics, society, culture, religion and international relations.

TED.com: My photographs bear witness

This is not to say that I think my art provides answers. In fact, it may simply produce more questions. But in asking those questions, history and our role in how it constructs the present can be better understood.

By using historical facts, documentation, oral history and imagination, I create forms of resistance against the imposition of certain historical interpretations upon us. It provides a way for us to rethink history, disturb identity, challenge authority, dissect politics, shake up society and understand ourselves. In the end, I hope we learn to question what we know of the past, what we understand of the present and what we can imagine for the future.

Perhaps this is too ambitious a project; perhaps art should simply be aesthetically appealing and keep itself out of the realm of politics, history and self-awareness. Perhaps this is too arrogant a philosophy, to think that what I have to say about the world and our role in it has any bearing at all on how others should think about their environment and themselves.

TED.com: Dreams from endangered cultures

Perhaps this is too futile a goal and art is not enough of an action to be an actual catalyst for change. But this is the burden of creating this kind of work, a burden that perhaps comes from the dualistic life I have lived as an American citizen growing up in the comfort of suburbia while family members in Afghanistan fought, died and, yes, killed in their battle against an invading army.

Knowing these opposing experiences could be simultaneously shared within the collective subconscious of my family drove me towards trying to better understand history, politics, perspectives and the human condition.

This IS my burden and so I must ask: "What's yours?"

The opinions expressed in this commentary are solely those of Aman Mojadidi.

@highlight

Aman Mojadidi, an American of Afghan descent, is an artist who has worked in Kabul

@highlight

He has chosen provocative themes, using humor to examine life in Afghanistan

@highlight

His work intentionally blurs fact and fiction, reality and imagination

@highlight

He imitated a "jihadi gangster" and did a reverse impersonation of a corrupt police officer