Tucson, Arizona (CNN) -- Rep. Gabrielle Giffords of Arizona remained in critical but stable condition in a Tucson hospital Monday as her alleged would-be assassin made his first appearance in court.

The alleged shooter, Jared Lee Loughner, 22, briefly appeared in a Phoenix courtroom to formally hear the charges against him. If convicted, he could face the death penalty. A preliminary hearing was set for January 24.

Loughner is accused of opening fire outside a Tucson supermarket where Giffords was meeting with constituents Saturday. Six people -- including a federal judge -- were killed and 14 others were wounded in the attack.

In addition to Giffords, seven other patients remained hospitalized, doctors at University Medical Center said. Five of the patients were in serious condition and two in good condition. Two patients remain in intensive care, they noted.

President Barack Obama, meanwhile, led the nation in a moment of silence Monday morning as flags across the country flew at half-staff to honor the victims. He is planning to travel to Tucson on Wednesday, according to two senior administration officials.

The Supreme Court, which rarely alters its public sessions, observed the occasion by convening 10 minutes early to ensure that first arguments were completed before the moment of silence.

Arizona Gov. Jan Brewer was scheduled to give her official "State of the State" address Monday, but instead she used the occasion to call for unity and express sympathy for the victims.

Debate has swirled around the question of whether Saturday's massacre was partly the consequence of what many observers characterize as a trend of increasingly toxic political rhetoric.

In his first public statement since the weekend shooting rampage outside the Arizona supermarket, Giffords' husband thanked supporters and expressed condolences to the families of other victims.

"Many of you have offered help. There is little that we can do but pray for those who are struggling," wrote astronaut Mark Kelly.

Giffords, who was shot through the left hemisphere of her brain with a 9mm pistol, is currently in a medically induced coma in order to minimize discomfort, according to Dr. Michael Lemole Jr., chief of neurosurgery at University Medical Center.

"I'm happy to say she's holding her own," Lemole told CNN Monday. She is "functioning at a high level."

"We're not out of the woods yet," but doctors are optimistic about her prospects of recovery, he later added at a news conference. Lemole noted that potentially dangerous brain swelling typically peaks roughly three days after a person is shot in the head.

"(We) can breathe a collective sigh of relief after about the third or fourth day," he said.

Doctors removed part of Giffords' skull during surgery in order to keep the brain from pressing against it if it swells, but the bullet's front-to-back trajectory did not do as much damage as would have a shot that crossed from one hemisphere to the other, Lemole noted earlier.

The next big milestone for Giffords, Lemole told CNN, will come when doctors decide her condition has improved to the point that breathing tubes can be removed. That would be "a huge step forward," he said.

Doctors noted earlier that Giffords has been following simple commands, and a longtime adviser said Sunday he was confident she would survive her wound.

"The doctors are pretty clear that we just have to wait and see," Mike McNulty said. But he added, "I can only think that God has more important things planned for her in the future."

Meanwhile, Pima County Sheriff Clarence Dupnik said Monday morning that the investigation was "winding down," and that authorities have evidence that suspect Loughner specifically targeted the congresswoman.

"He's a very troubled individual," Dupnik said.

Giffords, a three-term Democrat, was among the 20 people shot at her constituent open house Saturday. Federal authorities have leveled murder and attempted murder charges at Loughner, a former community college student who posted online screeds about government mind control.

Authorities have said the federal charges Loughner faces include two counts of murder, two counts of attempted murder and one count of attempting to kill a member of Congress -- all stemming from the shootings of federal employees at the scene. One member of Giffords' staff was killed and two more were wounded. The gunfire also claimed the life of a federal district judge, John Roll.

State prosecutors could also bring charges in the remaining cases.

Loughner had railed against government "mind control" and illiteracy in online missives and had "kind of a troubled past," Dupnik said. The suspect was not talking and had invoked his right against self-incrimination, he said.

A federal public defender known for handling high-profile cases, Judy Clarke, has been appointed to represent Loughner. Clarke previously defended the "Unabomber," Ted Kaczynski, and assisted in the case of confessed al Qaeda operative Zacarias Moussaoui.

Court documents released Sunday show that investigators found a letter from Giffords in a safe at the house where Loughner lived with his parents, thanking him for attending a 2007 event, similar to Saturday's meet-and-greet.

"Also recovered in the safe was an envelope with handwriting on the envelope stating 'I planned ahead,' and 'my assassination' and the name 'Giffords,' along with what appears to be Loughner's signature," the affidavit states.

A law enforcement official said Loughner asked Giffords a question at the 2007 event and was unhappy with her response. "He never let it go," the source said. "It kept festering."

The source did not know the nature of Loughner's question.

The law enforcement official said earlier that investigators are interviewing "anyone, everyone, we can." Loughner's parents were cooperative when interviewed, the official said.

Investigators have not found anything connecting Loughner to extremist groups, the official said. They believe Loughner was unemployed at the time of the shooting, according to the official.

One of Loughner's former teachers at Pima Community College said he saw Loughner as a threat and kicked him out of class months before Saturday's shooting rampage.

Loughner was "physically removed" from an algebra course in June -- less than a month after it began -- instructor Ben McGahee told CNN.

Loughner voluntarily withdrew from the school in October after being suspended, the college said in a statement. McGahee said Loughner sometimes shook, blurted things out in class and appeared to be under the influence of drugs at times.

"I was scared of what he could do," McGahee said. "I wasn't scared of him physically, but I was scared of him bringing a weapon to class."

Lorraine Morales, vice president of student development at Pima Community College West Campus, said the school has in place provisions for immediate suspensions.

"Hindsight is always 20/20," she told CNN. "The process is very clear for what needs to be followed."

The 9mm pistol used in Saturday's shootings was purchased at a gun store in November, FBI Director Robert Mueller told reporters Sunday. A law enforcement source said the suspect tried to buy ammunition at a Walmart store, but was turned down because of his behavior. Another Walmart store later sold him the ammunition, the source said.

A source within Walmart offered a slightly different account of events. The man believed to be Loughner entered a store and requested to buy ammunition. While the employee was getting it, the suspect left the store, according to the source within Walmart.

When Loughner tried to enlist in the Army in 2008, the service rejected him for reasons it says it can't disclose due to privacy laws. But an administration official told CNN on Sunday that the suspect had failed a drug test.

In addition to Roll, the dead from Saturday's massacre includes Gabe Zimmerman, 30, a Giffords staffer who was engaged to be married; Dorwin Stoddard, 76, who was fatally shot in the head while trying to shield his wife; Dorothy Morris, 76; Phyllis Schneck, 79; and a 9-year-old girl, Christina Taylor Green, who was born on September 11, 2001.

Giffords won her third term in November in a closely contested race against a Tea Party-backed Republican candidate. She was one of three Democratic legislators who reported vandalism at their offices following the March passage of the Obama administration's sweeping health-care law.

Sheriff Dupnik suggested Saturday night that "vitriolic rhetoric" in political debates could have deadly consequences.

"When you look at unbalanced people, how they respond to the vitriol that comes out of certain mouths about tearing down the government, the anger, the hatred, the bigotry that goes on in this country is getting to be outrageous. Unfortunately, Arizona, I think, has become sort of the capital," he said. "We have become the mecca for prejudice and bigotry."

Following the shootings, all legislation on the House schedule for the coming week was postponed, House Majority Leader Eric Cantor said. The decision was made by leaders of both parties and means the House will not vote this week on the repeal of health care reform.

Democratic Whip Steny H. Hoyer said lawmakers will consider at least one resolution on the House floor Wednesday honoring Giffords and those who were killed in Saturday's attack.

CNN's Kevin Bohn, Drew Griffin, Casey Wian, Jessica Yellin, Susan Candiotti, Alan Silverleib, Jeanne Meserve, Dana Bash and Ted Rowlands contributed to this report.

@highlight

NEW: Obama to travel to Tucson on Wednesday

@highlight

NEW: Jared Lee Loughner could face the death penalty if convicted

@highlight

He makes his court debut as a preliminary hearing is set for January 24

@highlight

Rep. Giffords' condition has stabilized, doctors say