(CNN) -- With two important cases on gay rights and marriage equality slated for oral arguments in the Supreme Court next week, Americans of all stripes are participating in a national debate over this emotionally charged issue -- on the Internet, on television, in our leading newspapers and around countless dinner tables.

Despite this interest, only a handful of people will get to see these historic arguments -- those who show up to the courtroom next Tuesday and Wednesday. This is the result of the Supreme Court's longstanding policy prohibiting cameras inside the courtroom.

The court's main reason for banning cameras -- as Justices Stephen Breyer and Anthony Kennedy reminded us recently at a congressional hearing -- is there would be an increased risk the justices' questions and comments would be taken out of context and then played (and replayed) on the news or, worse yet, lampooned on "The Colbert Report."

This would be a completely valid concern if it weren't for the fact that it's happening already. As the justices well know, reporters, columnists, cartoonists and late-night comedians already extract the juiciest sound bites from oral arguments, sometimes taking them out of context and blowing them up into big stories. Indeed, such sound bites often dominate the media's coverage of the Supreme Court.

For evidence of this, look no further than Justice Antonin Scalia's remark from the court's oral argument in the case of Shelby County v. Holder. Scalia suggested the Voting Rights Act of 1965 had survived only because of the self-perpetuating power of "racial entitlements" -- a comment that generated countless news stories, editorials, op-eds and political cartoons, to say nothing of parodies on satirical shows such as "Saturday Night Live" and "The Daily Show."

Or, better yet, consider Justice Clarence Thomas' decision in January to tell a joke during oral argument -- breaking his seven-year streak of silence and, in the process, becoming front-page news. Does anyone, other than the closest court-watcher, even remember the name of that case or the issues it presented?

Or, take the constant plight of Kennedy, who commentators tend to assume is the decisive vote in each of the court's most important cases. His every question, word, sigh and hiccup becomes a key part of how cases are covered in the media, as everyone scrambles for possible clues for how Kennedy might vote. Needless to say -- and as Kennedy well knows -- such predictions are often inaccurate.

Sometimes, the focus on sound bites is entirely appropriate.

Scalia's characterization of the Voting Rights Act was offensive, and it deserved to be national news. Furthermore, it's important to report potentially revealing comments from the court's swing justice.

But more often than not, the media coverage of the court is already focused on sound bites, which sometimes get taken out of context. Therefore, the Supreme Court might as well open up and let all Americans experience the majesty of its hearings -- an experience that can be captured only by attending an argument in person or by watching an argument unfold live in one's living room or on one's laptop.

As lawyers who have been to dozens of Supreme Court hearings, we can confidently say that there's nothing that the federal government does that's more impressive than the high-quality debates that occur on a daily basis before the Supreme Court.

The American public would be astonished at the skill of the advocates, the force of the questions and the overall level at which legal issues are debated before our high court. If only they could see these arguments in real time, in their entirety.

Since media coverage of the high court already focuses on the trite at the expense of the court's majesty, it makes sense to remove the media filter. Exposing the American public to the fullness of Supreme Court arguments by permitting cameras in the courtroom would be a service rather than hindrance to the judiciary.

The opinions expressed in this commentary are solely those of Doug Kendall and Tom Donnelly.

@highlight

The Supreme Court will hear two important cases on gay rights next week

@highlight

Doug Kendall, Tom Donnelly: Justices should allow cameras inside the courtroom

@highlight

They say court coverage tends to be focused on sound bites from justices already

@highlight

Kendall, Donnelly: Court has nothing to lose by permitting all Americans to see it in action