Seoul, South Korea (CNN) -- Government ministers from the United States, Japan and South Korea will sit down in Washington early next month to grapple with the tensions in the Koreas, South Korea's Foreign Affairs Ministry said Tuesday.

The ministry did not provide further details about the date of the meeting, but it comes as China continues to call for an emergency meeting of the six major powers involved in talks about the Korean peninsula.

This diplomatic activity reflects efforts to lower anxieties in the Koreas, which have been at a boiling point since November 23. That day, four people died and 18 others were injured in a North Korean artillery barrage that targeted Yeonpyeong Island in South Korea's part of the Yellow Sea.

The war of words got louder when South Korea and the United States launched joint anti-submarine military exercises in the Yellow Sea on Monday, a move that drew North Korean ire.

Being North Korea's largest trading partner and strongest ally, China has been urged by the international community to confront the crisis. It has been meeting with both North and South Korea, and it has engaged in diplomacy over the matter.

On Tuesday, White House Press Secretary Robert Gibbs said China has "a duty and an obligation to press upon the North Koreans that their belligerent behavior has to come to an end."

Asked whether the United States believes China has done enough in that regard, Gibbs said: "I don't know that I'm going to get into grading them, as much as I'm going to say that there's an obligation there, and we expect them to live up to that obligation."

A top Chinese envoy met with South Korea's president on Sunday, and a top North Korean official arrived in Beijing, China, on Tuesday, the first visit to China by a North Korean official since last week's shelling of Yeonpyeong Island.

CNN affiliate YTN reported that Choe Tae Bok, chairman of North Korea's Supreme People's Assembly, is on a five-day visit to China.

And over the weekend, China called for an emergency meeting of the six major powers that have been involved in talks about North Korea's nuclear program to discuss the latest crisis. The six are China, Russia, North Korea, South Korea, Japan, and the United States.

Hong Lei, a spokesman for China's Foreign Affairs Ministry, said Tuesday that such talks would be an important step in easing tensions.

"We made the proposal to ease the situation and to provide a platform for parties to have dialogue. ...To do this at an early date is in the common interest of all parties," he said.

But right now, the idea is up in the air.

South Korea said Sunday that it did not think the time was right for a resumption of the six-party talks but said it would "bear in mind" the Chinese proposal.

In Washington, a State Department official said that the United States is consulting with its allies but that resumed six-party talks "cannot substitute for action by North Korea to comply with its obligations."

The Japanese government said one of its envoys is in Beijing for discussions on the crisis.

Amid the international attempts to avert warfare, the strident and saber-rattling rhetoric between the Koreas remained the region's background noise.

North Korea warned Tuesday that the continuing military drills by the United States and South Korea could lead to "all-out war any time."

The firmly worded message was published by North Korea's state-run KCNA news service.

"If the U.S. and the South Korean war-like forces fire even a shell into the inviolable land and territorial waters of the DPRK, they will have to pay dearly for this," the news service report said. The DPRK is the acronym for North Korea's formal name: the Democratic People's Republic of Korea.

This comes after South Korean President Lee Myung-bak warned Monday that North Korea would face severe consequences if it launched another military attack across its southern border.

"If the North commits any additional provocations against the South, we will make sure that it pays a dear price without fail," Lee said in a nationally televised address. North Korea stepped up its threats recently on its southern rival, as well as the United States, warning that military activities must not infringe on what the communist nation considers its territory.

The crisis is top priority for Seoul.

On Tuesday, the South Korean Yonhap news agency reported that Lee upbraided Cabinet members "for not having the right sense of crisis at a time when South Korea's national security is at stake."

"We should recognize that [South Korea] is confronting the world's most belligerent group," Lee was quoted as saying.

Citing the country's Defense Ministry on Tuesday, Yonhap also reported that South Korea's military "plans to toughen its rules of engagement with North Korea in a way that gives its troops greater leeway to determine the intensity of a counterattack by the level of damage and threats received."

And, a government official quoted by Yonhap said that owners of homes destroyed in the strike on Yeonpyeong Island will get more compensation than the standard amount paid by the government in the case of natural disasters.

"Due to the special circumstances of this matter, the amount of compensation will be more generous than usual," said an official of the Ministry of Public Administration and Security. The official said that the amount will be determined after discussions with the Finance Ministry.

The agency said officials determined that "29 houses were completely wrecked, five destroyed partly and 80 others damaged slightly from artillery rounds."

As for the Yellow Sea exercises, Seoul and Washington had postponed the exercises this month because of a tropical storm.

The drills, which are to run through Friday, are "designed to send a clear message of deterrence to North Korea," U.S. Forces Korea have said.

U.S. officials have said the exercises off the western coast of the Korean peninsula are in response to North Korea's sinking of a South Korean warship in March.

In May, a report from South Korea blamed the North for sinking the Cheonan warship with a torpedo, killing 46 sailors.

North Korea denies sinking the ship and says South Korea and the United States are using it as a pretext to conduct the war games.

North Korea's nuclear program as well as its military have long caused jitters in the region, especially during times of crisis.

The country claimed Tuesday that it has "thousands of centrifuges" working to create nuclear energy for peaceful purposes, but international powers are concerned about how the country's military would use such technology.

"The construction of [a] light water reactor is brisk in the DPRK and a modern factory for uranium enrichment equipped with thousands of centrifuges is operating to supply fuel to them. The development of nuclear energy for peaceful purposes to meet the need for electricity will be stepped up in the future," the KCNA news service reported.

The North Korean news service report seemed to confirm parts of a statement made last week by Siegfried Hecker, a Stanford University scientist.

In early November at the invitation of the government, the U.S. scientist said, he visited a North Korean nuclear facility, which included 2,000 centrifuges, that was producing low-enriched uranium.

Hecker said he was told that facility was configured to produce low-enriched uranium, but Hecker wrote that it could "be readily converted to produce highly-enriched uranium (HEU) bomb fuel."

@highlight

NEW: White House spokesman says China has an obligation to rein in North Korea

@highlight

Government ministers from South Korea and Japan will attend the December meeting

@highlight

China has also proposed resumed six-party talks

@highlight

North Korea says current military drills could lead to "all-out war any time"