(CNN) -- Recent revelations about the extent of government phone and Internet surveillance are already shaking up the national debate.

But these programs are just symptoms of broader changes that will be shaking up our government and society for many decades to come.

Let's not cheapen or simplify the debate by trying to ram these revelations into the GOP-friendly framework of "another Obama scandal."

We should be honest and admit that something much bigger than that is going on here. The implication of the issue for our politics will be felt long after today's round of political "gotcha" and "pin the tail on the donkey" has faded away.

The FBI and National Security Agency have been mining Internet servers, searching for e-mails, videos and other documents under a program code-named PRISM for six years.

First, let me be clear: I am an opponent of PRISM. As a matter of first principles, I oppose overreaching, unaccountable spy programs.

That's why I supported neither the so-called Patriot Act, nor the reauthorization of the Foreign Intelligence Surveillance Act, when those measures were first considered by Congress.

Nor was I supportive when President George W. Bush aggressively deployed his new powers.

Nor was I supportive when evidence began to emerge that the government was interpreting overly broad laws in an overly broad manner.

And I am not supportive now. Even as a former Obama administration official, I am always willing, when necessary, to constructively criticize the White House on matters of national importance.

But I oppose those who would try to pretend that this is somehow "another Obama scandal." It is not. What is happening is broader than that: All three branches of government and both political parties are implicated.

Congress passed the Patriot Act and the Foreign Intelligence Surveillance Act, and both the Obama and Bush administrations have implemented these programs. This is not a partisan issue.

In fact, it is much larger than any political scandal du jour. We are seeing the collision of two new forces in our society with something old, but precious.

New: The ability of terrorists, including lone wolves, to strike us at any time, including with weapons of massive destruction.

New: Information technology that gives the government extraordinary spying abilities, far beyond what was technically feasible even a decade ago.

Old: Our Constitution, written centuries before programs like PRISM could even be imagined, yet a rightly revered document that should guide us still today.

How we balance these three factors is one of the great challenges for this generation of Americans. Indeed, the collision is actually turning our political parties inside out.

There are "state powers versus civil liberties" fights happening within both parties. Presidents Obama and Bush line up on one side, together. On the other side are such strange bedfellows as Sens. Ron Wyden, D-Oregon; Rand Paul, R-Kentucky; and Jeff Merkley, D-Oregon.

The issues are so deep, profound and even existential that neither party has a stable, predictable, internal consensus.

Translation: Arguments will be heated over this balance in both parties' presidential debates.

In the Democratic primary and during the 2016 convention, champions of civil liberties will certainly challenge Obama pragmatists over government spying. This will be especially true if Vice President Joe Biden and/or former Secretary of State Hillary Clinton seek the presidency.

Meanwhile, inside the GOP, right-wing libertarians will challenge security hawks over the same issue.

It is uncertain which side in which party will win this debate. But for once, at least, we are about to enter territory that cannot easily be viewed through the lens of "party versus party."

The battle to define the proper balance between civil liberties and national security is more likely to emerge as a case of "principle versus principle," fought out inside each party.

The resulting dynamic could create very interesting political coalitions in 2016 and even a new "issue map" for American politics -- completely redrawn by one of the defining debates of our time.

The opinions expressed in this commentary are solely those of Van Jones.

@highlight

Van Jones: Spying programs are symptoms of broader, long-lasting changes

@highlight

Jones: This is not "another Obama scandal;" all government branches and parties involved

@highlight

Jones: Finding a balance between civil liberties and national security is the challenge

@highlight

It will cause unusual political coalitions and be a new defining debate, he says