You wonder what a visitor from outer space -- or a visitor from the future -- would make of it.

It's a scene we take for granted -- six days a week, it has been a routine part of life in every city, town and village in the United States.

A man or a woman, carrying a satchel, walks from house to house, from apartment building to apartment building.  No one has summoned the person with the satchel; he or she is expected to show up each day without being asked.

It's the postal carrier.  And because the presence of the postal carrier has for so long been such a familiar sight, perhaps only that visitor from outer space or from the future would be startled by what he was observing:

The sight of other people also outdoors, all over town, communicating instantly with each other at the touch of a button, smiling and looking down at the little screens in their palms -- grinning at the through-the-air responses they're receiving from friends, tapping at the screens to reply anew.  Words flying from person to person, nonstop, on the go.

As, meanwhile, on those same sidewalks, the men and women with the satchels weave their way through the people with the screens, on their appointed rounds to deliver words by hand.

The visitor from space, or from a future century, might think this scene -- mailbag luggers walking amid screen tappers -- is like witnessing ox carts amid hovercraft.

As might an efficiency expert, or a business consultant.

Which summarizes the continuing headache faced by officials in charge of the United States Postal Service.  The price of a first-class stamp is going up again in the new year: On January 26, it will increase by three cents, to 49 cents per letter.  Federal regulators last week approved the rise on an allegedly temporary basis -- the higher rate is supposed to last for no more than two years -- but no one really expects it to go back down.

The Postal Service reports that it lost $5 billion in the last fiscal year -- and this is being presented as good news.  The year before, it lost almost $16 billion.  But there are fewer and fewer envelopes in those satchels, so each stamp will come with a higher price tag; the billions of dollars the Postal Service is required to pay each year to pre-fund health care for future retirees is a burden heavier than anything that would fit into a mail sack.

Yet there are reasons to hope that the Postal Service finds a way to stay around for a very long time.

The Postal Service, like UPS, FedEx and other private delivery companies, is a stand-alone  business.  It is expected to sustain itself; it does not depend on tax money.

But, unlike UPS and FedEx, the Postal Service must go to Congress to get explicit approval for the rates it charges, and for many of the rules under which it operates.  This is why it costs the same amount to send a letter across the country as it does to send a letter to the next town.  This is why mail service is universal -- why those carriers are required to show up each day at virtually every address in the United States.

Forty-nine cents may seem like a lot to mail a first-class letter.  But if the Postal Service were to collapse under financial pressures and competition from digital means of communication  -- if the Postal Service had to throw in the towel -- do you really think that UPS or FedEx or some other courier service would take your envelope across the country for 49 cents?

Over the Christmas holiday, the failures by UPS and FedEx to get packages to some customers on time were  prominent in the news.  As efficient as UPS and FedEx usually are, the existence and ubiquity of the Postal Service has a lot to do with what keeps them on their toes.  Their business model is: We cost more than the Postal Service, but because of that you can count on us to be reliable and accountable to you.  If the Postal Service were to go away -- if that check on the other carriers, that extra impetus for them to excel, were to be removed -- what would the impact be on customers and businesses?  Could or would the other carriers pick up the slack, at a price that didn't dismay people?

One hopeful sign for the Postal Service has come from an unlikely source: Jeff Bezos, the founder of Amazon.  Amazon has announced that it will be delivering its packages on Sundays -- and that to deliver those packages it has arranged to use employees of the Postal Service.  The Postal Service has said that it is glad to have the business.  It without question can use the revenue.

Can daily delivery of mail continue forever in a digital world?  It's difficult to imagine how.  In Canada, the postal service has informed citizens that, over the next five years, it will stop all door-to-door delivery of letters and concentrate on delivering packages.  Most Canadians are already asked to pick up letters at community mailbox clusters in neighborhoods or apartment buildings; soon, everyone will.  It's the future.

Universal, inexpensive mail delivery in the United States has been one of the miracles of the nation's long story; if someone were assigned to build a system like it from scratch today -- carriers reporting to every U.S. address, six days a week, to drop off mail and see if there is any mail to go out, all for pocket change -- that person would have to concede: It can't be done.

But it was done, and, for now, it's still here.  For those who, in the digital era,  casually say that they'd be just as happy if the Postal Service were to simply disappear:

Be careful what you wish for.

@highlight

Bob Greene: Delivering letters seems from another time in age of text messages, e-mails

@highlight

Postal Service needs to raise the cost of a stamp because of declining income

@highlight

Greene: Yet, what private company would take a letter across country for 49 cents?

@highlight

Greene: If Postal Service didn't exist, what would effect be on UPS, FedEx?