The world's getting hotter, the sea's rising and there's increasing evidence neither are naturally occurring phenomena.

So says a report from the U.N. International Panel on Climate Change, a document released every six years that is considered the benchmark on the topic. More than 800 authors and 50 editors from dozens of countries took part in its creation.

The summary for policymakers was released early Friday, while the full report, which bills itself as "a comprehensive assessment of the physical science basis of climate change," will be distributed Monday. Other reports, including those dealing with vulnerability and mitigation, will be released next year.

Here are the highlights from Friday's summary:

Man-made climate change is almost certain

Climate scientists are 95% confident -- that is to say, surer than ever -- that humans are responsible for at least "half of the observed increase in global average surface temperatures since the 1950s."

This is the major headline from the report, as it marks a stark spike in confidence over the last 12 years, as scientists were 90% confident in 2007 and 66% confident in 2001 of the same conclusion.

An increase in carbon dioxide concentrations that is "unprecedented" in the last 20,000 years, along with increases in other emissions, have driven up average temperatures by about 0.6 degrees Celsius (1 degree Fahrenheit) since 1950, the report states.

Worst-case predictions are that by 2100, temperatures could increase by as much as 3.7 degrees Celsius (6.6 Fahrenheit), the report says.

Climate change is already affecting extreme weather

Since 1950 we've seen a dramatic increase in extreme weather. This is especially true of record heat and heavier precipitation events.

While it's difficult to determine the exact role climate change plays in an individual event, such as Hurricane Sandy or the EF-5 tornado that struck Moore, Oklahoma, because there are so many ingredients necessary to brew a single storm, the links are clearer when you look at overall patterns.

According to a study released this month in the Bulletin of the American Meteorological Society, scientists found strong links between global warming and extreme weather around the globe in 2012.

Among the 2012 events were the July heat wave in the northeastern and north-central United States, the spring heat wave in the eastern United States, the Great Plains drought, the winter drought in Spain and Portugal and the heavy rains and flooding in Europe.

According to a paper in the journal Nature, this year, weather events that have previously been classified as "storms of the century" could become the storm of "every 20 years or less."

"Climate change will probably increase storm intensity and size simultaneously, resulting in a significant intensification of storm surges," the paper said.

The last 30-year period is "very likely" the warmest in the last 800 years

Scientists are 90% sure that 1981-2010 was the warmest such span in the last eight centuries, and there's a 66% chance that it was the warmest 30-year period in the last 1,400 years.

While the last 15 years have not warmed as quickly, we've seen steady warming over most of the globe, and we haven't seen a below-average temperature month since February 1985.

Scientists are also 99% certain that we will see more hot days and nights -- and fewer chilly ones -- as the 21st century progresses.

"Each of the last three decades has been significantly warmer than all preceding decades since 1850," according to the IPCC report.

To give you an idea of how the Earth has heated up, the combined land and ocean temperature increased by about 0.8 degrees Celsius between 1901 and 2010, yet between 1979 and 2010, the temperature spiked about 0.5 degrees Celsius.

Sea level rise will increase due to warming oceans and loss of ice

Better climate models give scientists more confidence that sea level rise will accelerate in the 21st century.

Scientists are 99% sure that sea level rise has accelerated over the last 2 centuries at a rate higher than at any time in the last 2,000 years.

They're also highly confident that if the global surface temperature increases by more than 2 degrees Celsius over present temperatures we could see "a nearly ice-free Arctic Ocean in late summer."

The report further notes that there is increasing evidence that ice sheets are losing mass, glaciers are shrinking, Arctic sea ice cover is diminishing, snow cover is decreasing and permafrost is thawing in the Northern Hemisphere.

As for the rise in sea level, scientists asserted in the IPCC report that tide gauges and satellite data make it "unequivocal" that the world's mean sea level is on the upswing.

Even if we end emission tomorrow, climate change could continue for centuries

This may be one of the more harrowing findings in the report, as it suggests we're too far gone to effect any meaningful change in our lifetimes.

Even if we end carbon dioxide emissions today, effects could linger for hundreds, if not thousands, of years. And certain changes may already be irreversible.

"Many aspects of climate change will persist for centuries even if concentrations of greenhouse gases are stabilized. This represents a multicentury commitment created by human activities today," the report states.

@highlight

Scientists surer than ever humans play major role in climate change, report says

@highlight

Global warming already affecting extreme weather, and it could get worse, report says

@highlight

U.N.'s IPCC convenes every six years to put together report; it's considered benchmark on topic

@highlight

Even if emissions ended today, effects of climate change could linger for centuries