(CNN)Editor's note: This story is part of a series highlighting superlatives of countries around the world. Click here for pieces on Italy, the United States, Canada and South Korea, and watch for upcoming installments featuring other countries.

With 23 million people crammed onto an island that covers just more than 36,000 square kilometers, Taiwan ranks among the 20 most densely populated places in the world.

Although the industrious island has built a global reputation for cheap electronics, this is one Asian tiger that offers far more than stickers on the backs of calculators.

Economically there's little it has left to prove, but Taiwanese people remain a  proud and determined bunch.

Here are 10 things they do better than anyone else.

1. Night markets

For an island smaller in area than Switzerland, Taiwan sure has a lot of night markets -- an estimated 300 island-wide.

These open-air bazaars are particularly loved for street food, referred to locally as xiao-chi, literally "small eats."

Perennial favorites are oyster omelets, stinky tofu and an assortment of snacks on a stick straight off the grill.

Specialty drinks range from bubble tea to shots of snake blood.

According to the Taiwan Tourism Bureau, some 70% of tourists to Taiwan will visit a night market.

The top three Facebook check-ins for 2013 in Taiwan were all night markets; Tainan Flower Night Market (12th globally) nabbed the top spot, followed by Luodong and Feng Chia night markets in Yilan and Taichung, respectively.

2. Themed restaurants

If literal toilet humor (eating out of miniature urinals and toilet bowls) is your idea of an amuse bouche, Taiwan provides a belly full of laughs.

Modern Toilet restaurants address taboos pertaining to dining etiquette, posing witty rhetoric on websites such as: "To eat or to pee? Now that is the question."

At the other extreme, you can get a cutesy overdose at a Hello Kitty namesake cafe, where everything from burger buns to soup bowls is shaped like the mouthless cartoon cat. (For more on the kitty obsession, read point 9 below.)

What's that? Can't get enough pink and glitter?

That's OK, because Taiwan is home to the world's first Barbie-themed restaurant, with Mattel-approved smotherings of pink plastic and frilly tutus.

Previous themed restaurants in Taiwan have included a cafe based on an Airbus A380, complete with trolly dollies serving food and drinks from a cart, as well as restaurants with jail, hospital and school-inspired themes.

3. Free WiFi

Since 2011, Taiwanese citizens have been able to log onto iTaiwan, the island's free WiFi network.

Taiwan is one of the first places in the world to offer free WiFi on a mass scale.

In June 2013, the service was rolled out to tourists in four of the five largest cities, using more than 4,400 hotspots.

Visitors can sign up for an iTaiwan account with their passport at Taiwan Tourism Bureau centers and offices in transportation stations, then receive complimentary WiFi in Taipei, New Taipei, Taichung and Tainan.

More: Taiwan offers free WiFi to all foreign tourists

4. Chinese artifacts

You might think it'd be in Beijing or Shanghai, but the National Palace Museum in Taipei houses the largest collection of Chinese artifacts and artwork in the world.

The impressive permanent collection comprises more than 650,000 items.

Chinese history is told through bronze statues, jade carvings, calligraphy, lacquerware and other historical pieces -- many of which belonged to Chinese imperial families -- including an intriguingly life-like, meat-shaped stone and a jadeite cabbage.

Despite several rounds of building expansion, only a fraction of the collection is on display (no more than 10,000 items at any one time), making the museum worth returning to several times a year.

5. Animated news

With an army of about 400 animators, Next Media Animation (NMA), a Taiwan-based animation studio, can turn any news story into a cartoon in as fast as 90 minutes ('making-of' video here).

More impressively -- the videos are usually satirical, outrageous and hilarious.

The studio, created by a Hong Kong media tycoon, takes infotainment to another level.

Founded in 2007 to create CGI-animated videos for news without real footage for Apple Daily News in Hong Kong and Taiwan, the talents of Taiwan's animators were exposed to the world with the 2009 release of their hilarious video of what might have happened during Tiger Woods' infamous car crash.

In the video, now ex-wife Elin Nordegren chases Tiger Woods' car with a golf club after finding out about Woods' affair.

After the video went viral, the company decided to service international audiences in Japanese and English.

Some of the team's most popular recent works include a video about the execution of Kim Jong-un's uncle and a review of five stories that must die in 2014.

6. Mock meat

One of the world's most vegetarian-friendly destinations, Taiwan offers 6,000 or so restaurants serving an impressive variety of delicious vegetarian fare to feed the 10% of the country that shuns meat.

But while it can't beat India in terms of the abundance and variety of vegetarian dishes on offer, Taiwan is the best place to hit when you're craving meat but don't actually want to eat any. That's right, we're talking about mock meat.

Given how important flesh is to the traditional Chinese diet, it's no surprise Taiwan's fake meat -- usually made of soy protein or wheat gluten -- can fool even hardcore carnivores.

Yes, there have been scandals that revealed actual meat inside supposed mock meat dishes. But it's is a thriving industry here and is considered a staple across Taiwan.

Mock meat stir-fries in particular taste surprisingly like the real thing.

7. Little League baseball

Baseball may be Taiwan's most popular sport -- diamonds are almost as common as dumplings around the island.

Taiwan holds the record for the most Little League World Series championship titles (17), nearly double that of its closest runner-up, Japan.

Adding to a cabinet of trophies, a team from Taiwan won the 2013 Junior League Baseball Junior World Series.

8. National health coverage

In a year when the Obamacare debacle played out in global headlines, it's worth to noting that Taiwan has what many call the best universal healthcare system in the world.

Legal residents can visit any specialist in the country.

Docs anywhere will pull up their entire medical record via smart card, consult and prescribe Chinese medicine and/or prescription drugs.

Fees are billed directly to and reimbursed by the National Health Insurance Administration, whose 2% administrative costs are the lowest in the world.

9. Hello Kitty obsession

Taiwan's obsession with the Japanese-born Sanrio character doesn't stop at feline-themed restaurants.

Taiwan holds the distinction of being the first in the world to be honored with Hello Kitty-branded beer.

Brewed by Taiwan Tsing Beer, the drink purred its way onto the shelves earlier this year.

The light brew features fruity flavors, from lime to a distinctly avant garde banana infusion.

Eva Airways in 2013 made headlines with the resurrection of its themed planes, which feature the ubiquitous cat on everything from exterior liveries to headrest covers to fruit, which is cut in the shape of you know what.

Eva Airways' dedicated Hello Kitty Jets site offers horizon-expanding trivia, including Hello Kitty's height (five apples tall) and weight (three apples).

The Grand Hi-Lai Hotel in Kaohsiung offers Hello Kitty-themed rooms, the cat's iconic ribbon and/or silhouette stamped on everything within eye(sore)'s reach.

Pink kitty curtains, kitty bath amenities, kitty tea set and a radio that plays Hello Kitty music are all involved.

Not reaching for the insulin shot yet? Then you can book a breakfast date with a talking and moving "live" Hello Kitty.

10. Little dumplings

Yes, we recognize xiaolongbao as a delicacy homegrown in Shanghai, but Taiwan is slowly taking over the dumpling world, one broth-filled bite at a time.

Starting from a single shop in Taipei, Din Tai Fung now serves its famed xiaolongbao in destinations as far flung as Australia, Thailand and the United States.

Two of its Hong Kong branches have earned a coveted Michelin star, with the mothership Xinyi store in Taipei sneaking into the Miele Guide.

Not bad for a chain restaurant, and not a "fancy" one at that.

When Tom Cruise visited Taiwan in 2013, he joined in on the 18-pleats-per-dumpling action with a cooking class at the shop's Taipei 101 branch.

Even better? CNN put Din Tai Fung at number two on its list of best franchises for travelers.

With additional reporting by Hiufu Wong

@highlight

About 70% of Taiwan tourists will visit a night market

@highlight

Taipei houses a collection of 650,000 Chinese artifacts and art -- largest in the world

@highlight

Taiwan has won the most Little League World Series championships