Charleston, South Carolina (CNN) -- A fish salesman. A restaurateur. A cigar aficionado. A retired cop.

Four voters. Four candidates. No clear choice who to vote for.

On the eve of the critical Southern Republican Presidential Debate in Charleston, CNN talked to several undecided voters in South Carolina. All said they were closely following the GOP campaign, yet all were frustrated about the field of candidates.

Their indecision, however, makes them valuable targets, coveted by the campaigns in the final hours before the first Southern primary. In the latest CNN/ORC poll of South Carolina voters, while 57% said they had a clear favorite, 38% of those who initially expressed a preference for a candidate said they might change their minds, and another 8% said they were unsure or had no clear choice.

Yet, even in the confusion and frustration, these voters do agree on three things.

1) They feel strongly that President Barack Obama has to go.
2) The flurry of TV ads by the candidates and super PACs has had little impact on their decision-making process -- in fact, many say the ads have turned them off. The debates, however, have mattered greatly, they say, providing genuine insight into the candidates.
3) They are truly flummoxed about who to vote for Saturday.

Here is a snapshot of four voices of indecision, what their issues are and what it will take to win their vote:

----------

Jen Jones, 46, is the manager of a popular barbeque restaurant in Charleston -- Jim 'N Nick's Bar-B-Q, which specializes in spare ribs, beef brisket, mac-n-cheese and Primary Bingo.

She came up with the game, where each server has a sheet of paper with names of candidates, networks, politicians and menu items and are encouraged to strike up conversations with customers in order to get them to mention one of the names.

Jones is a self-described "political junkie" and former Glenn Beck fan -- "I don't know about him now ... " -- who now identifies herself as a fiscal conservative. Her husband runs a local Cracker Barrel restaurant and is as undecided as she is.

But as engaged in the political process as she is -- "I've watched every debate and know all the candidates" -- she is stumped when it comes to who she will vote for Saturday. She said she'll make up her mind after watching the debate Thursday night.

"It's really bothering me," she said while passing around muffins made from scratch. "I have always known who I was going to vote for until now. I can't make up my mind."

Still, her analysis of the remaining GOP field is not pretty:
Mitt Romney: "He's a Ken doll."
Ron Paul: "Lunatic. Wacko. Crazy."
Newt Gingrich: "He's smart, but man, is he mean."
Rick Santorum: "I like him, but I really don't know a lot about him."

So, when pressured, who would she vote for? "I guess, if I had to, it would probably be Gingrich. Newt is the smartest guy on the stage, but he is just so negative. He went on that temper tantrum after Iowa, with all those ads. I just didn't like that."

But moments later, she changes her mind: "Santorum. Maybe Santorum. If he ends up winning that Iowa thing (the state GOP just certified the results of the caucus declaring him the winner), then maybe I will go for him."

"But then there's Romney ... "

---------------

Ron Manz, 51, is the owner of CharlestonSeafood.com, an online seafood delivery company. He's originally from Pittsburgh but moved to South Carolina a decade ago to start his own business.

He was hit hard by the Gulf oil spill in 2010, which decimated the fishing industry for months. But as a staunch conservative, he still supports offshore drilling and opposes excessive government regulation.

Manz has been disappointed by the nasty tone of the campaign in his adopted state this week, calling it "too down and dirty, too negative." And he can't stand the millions of dollars spent on "useless" campaign ads and super PAC commercials.

"I'm really tired of them," he said. "But I'm tired of the Geico commercials, too."

In 2008, he supported John McCain. In 2012, he is leaning toward Romney. But he is still not sold. He also said he would probably make up his mind after Thursday night's debate.

"It would take a catastrophic error for me not to go with Mitt," he said hesitantly. "If Mitt doesn't screw up -- say, he has a baby out there or something -- then I'm probably leaning his way. But that all could change after the debate."

His take on the lineup of candidates -- "They've all got baggage."
Gingrich: "He's just another old fat white guy."
Santorum: "I think he wants to punch Newt in the face."
Paul: "He's way out there. He frightens me."

A self-described tea party supporter, Manz now thinks the movement may have strayed too far since its historic victory in the 2010 midterms. Today, he doubts the tea party has much power in the current bid for the White House. "Their best days are behind them. They've just gotten too extreme."

But he is clear and unwavering in his dislike for the current president. "Are you kidding me? Four more years of the same old same old? It would be dreadful for the country."

--------------

Joe Hightower, a retired Charleston County deputy sheriff now living in Goose Creek, counts himself among the firmly undecided.

Sitting in a local cigar shop, nursing a half-smoked stogie, Hightower worries out loud about the uninspired field.

"I'm stuck," he said, exasperated. "I'm not seeing a real clear choice here. It's either bad, real bad or worse."

His take on the GOP field isn't all that generous, either.
Gingrich: "He's smart. Sure. But I just don't trust him. He's an egotistical so-and-so."
Santorum: "He simply doesn't have the experience. He's just not ready."
Paul: "He's a little too extreme for me. Kind of wacko."

When asked if he had to make a decision today, he paused, saying reluctantly, "Well, if I had a gun to my head, right now, I guess I'd have to go for Romney. But that's only with a gun to my head."

Hightower said he, too, has closely watched the series of debates, and they have been key in his decision process. "You can see who they really are. Under pressure, those debates really bring out their true self."

But the TV ads that have saturated South Carolina airwaves? "I don't pay any attention to them, none whatsoever."

The one thing, however, that Hightower is clear about is his disappointment in the job Obama has done, although he admits he supported him in 2008. "I just want Obama out," he said bluntly. "I voted for him last time around, but that won't happen again. No way."

----------

Kim Rittinghouse, 47, the owner of the Kingston Cigar Shop, has two sons in their early 20s. One is a marine biologist. The other is a Marine.

"I guess either way, if they do budget cuts, my boys will get cut, too." Nevertheless, she said, she supports the conservatives' efforts to shrink the size of the federal government. "It's just gotten out of control."

In 2008, she voted for Obama in the primaries but switched to support McCain in the general election. This year, first she hoped New Jersey Gov. Chris Christie would have run for the nomination -- "I like him. He's bold but has a little finesse" -- then she turned her support to Herman Cain -- "Yeah, I was definitely on the Cain Train." Now, she says, it's a tossup.

"You know, I might just listen to what Sarah Palin said. I am almost leaning toward Newt Gingrich, just so we can keep this thing going."

Her take on the GOP field?
Romney: "I like his business experience."
Santorum: "He's a long shot."
Paul: "I like his budget cutting, but he is kind of crazy."
Gingrich: "He's definitely the smartest one out there, but he has a huge ego."

"If you could just pull them all together, you'd have one great candidate!"

@highlight

Days before the South Carolina primary, many voters don't know what to do

@highlight

Frustrated with the field, flummoxed by the choices, some will wait and see

@highlight

Most say Thursday night's CNN debate in Charleston could be deciding factor