Philadelphia (CNN) -- "Good afternoon," Megan Zor calls out over the din of the seventh-grade English class taking their seats inside Mastery Charter School's Shoemaker Campus.

"Good afternoon," the class repeats before reciting the school's code of conduct.

A hush comes over the room when Zor holds up three fingers, signaling a student to stop talking, her compact frame pacing across the front of the classroom.

"We're not speaking," she scolds, her face stern.

Zor's no-nonsense approach is the Mastery way, and motto: "Excellence. No Excuses."

And that teaching style is getting results: Better test scores, more college-bound students.

But in other Philadelphia communities, student walkouts and community unrest are raising questions about charter-based turnaround programs. Some said their public schools haven't been given a chance to succeed. Some don't trust charter school operators.

Similar debates are happening in school districts across the country, from Providence, Rhode Island, to Los Angeles.

Nationwide, more than 1.6 million public school students attend nearly 5,000 publicly funded, independently operated charter schools. Charters were first established in Pennsylvania in 1997, and there are now 135 charter schools with more than 50,000 students.

Success in Philly

In 2005, the School District of Philadelphia asked the Philly-based charter school operator Mastery Charter to take over some of the city's violent, low-performing schools, including Shoemaker.

Since then, Pennsylvania state test results show that Shoemaker's seventh-graders are scoring 80% proficient in math and 66% proficient in reading, up from 16% in math and 20% in reading.

It will graduate its first class this year.

Senior Leroy Hayes attended Shoemaker before Mastery took over, when it was a failing middle school on the city's north side.

"If the school stayed the same, I would not be going to college," said Hayes, who will attend the University of Vermont with a partial cycling scholarship in the fall.

"When I was in middle school at Shoemaker, I didn't really care about even going to high school. All I cared about was going out there and making that money."

Mastery's academic gains caught the attention of President Barack Obama, who recognized the charter school provider in a speech to the National Urban League in July.

In September, talk show host Oprah Winfrey, through her Angel Network, gave Mastery Charter $1 million to continue its teaching efforts in Philadelphia.

The gift came on the eve of the release of the controversial documentary "Waiting for Superman," which touted charter schools as a possible solution to public education's biggest problems.

Today at Shoemaker, droves of students wearing a uniform of white polo shirt and khakis quietly make their way down the hallway during the change of classes. As they pass the dean's office, an oversized hand-painted poster of Winfrey watches over them.

"My students have just as much potential as every other student in the country, regardless of what ZIP code they were born into, regardless of what social-economic level they were born into. And, our students the past five years have proven that," said Zor, a former traditional Philadelphia public school teacher turned co-founder of the Shoemaker Campus. "There's no debate around it anymore."

In January, the district announced 18 public schools were slated for turnaround as part of the city's Renaissance Schools Initiative. Six more schools will become charter schools, two of them overseen by music mogul Kenny Gamble's Universal Companies.

Universal Companies received a $500,000 planning grant from the U.S. Department of Education to develop a Promise Neighborhood within an impoverished area of south Philly. The area will offer intensive social services for children with the aim of improving educational outcomes.

Audenried High School in South Philadelphia is on the list.

Universal pledges to revamp Audenried and create a neighborhood similar to the Harlem Children's Zone, led by Geoffrey Canada, which is designed to keep student on track through college by focusing on a specific geographic area while providing a comprehensive range of services.

Some students, teachers and community members aren't sold on the plan.

Another school, another debate

Audenried was closed by the school district in 2005 because of its failing status. After erecting a new building and hiring new staff, it reopened as a public school with a clean slate in 2008.

This year, Audenried students took state standardized tests for the first time since it reopened, but results aren't in yet. According to the district's predictive assessment, Audenried has 37% of students proficient or advanced in math and 38% proficient or advanced in English.

Still, many thought the new school and staff were making great strides. Some aren't convinced charter schools can solve their problems, and they're leery of Universal, which has operated in the city since the 1990s but has never before operated a charter high school.

The Obama Administration's "Race to the Top" program encourages charter school expansions, but the Center on Reinventing Public Education warns that that the schools aren't an automatic success.

According to a 2009 National Charter School Research Project report, "States and localities can use charter schools as a tool for better schools, but they must be prepared to close charter schools when they fail to succeed. Some states rarely close a charter school; others consider it a regular and necessary function."

Hope Moffett, an English teacher at Audenried, was shocked to learn her school would be converted to a charter school.

"It's a short-term solution for a long-term problem," Moffett said of the charter takeover. "In the end you will underserve more students in the future."

Students and parents were upset, too, saying it was too soon to label Audenried a failure.

"Recognizing that a 'one-size fits all' approach would not yield maximum results, I encourage parents and community members to take an active part in the process," Superintendent of Schools Arlene Ackerman said in a statement regarding the changes.

Participate they did.

In February, frustrated Audenried students staged a walkout, saying they had been displaced enough already and did not want to convert to a charter operated by Universal. The walkout was one of three protests in a single week by district teens upset that their schools were slated for overhauls.

Eva Reeves, a junior at Audenried, led her classmates in protest. Although not totally opposed to charter takeovers, Reeves said her school has the right mix of student and teachers and fears the new operators will disrupt their progress.

"We should have a say in what they were trying to do to our school," she said. "Just because it turns into a charter school doesn't mean it's going to be a good school."

Moffett, who allowed her students to leave school to attend the protest rally, was removed from the classroom after the walkout. The district said her actions endangered students. Moffett waited out the suspension in the district's "rubber room" while officials decided her job status. She returned to her classroom in March.

"There was no justification for why they considered Audenried a failing school," she said, adding that the decision was made before standardized tests scores were available.

There are more challenges ahead for Pennsylvania schools, too.

In April, the district announced that it stands to lose $292 million in funding, or 10%, if Gov. Tom Corbett's state budget is passed. The overall school operating budget would be reduced from $3.2 million to $2.7 billion.

As a result, Philadelphia would need to cut the work force by more than 3,800 positions, including 1,260 teachers and a 50% personnel reduction at district headquarters.

"This is unprecedented," Michael Masch, the district's chief financial officer, said at a recent school board meeting. "But we have to balance the budget."

Reeves' grandfather and community activist, Charles Reeves, is concerned the district and Universal do not have the best interests of the students in mind, but are more interested in saving money or making money.

He was removed from the recent school board meeting where the district voted to approve Universal's takeover of Audenried after he spoke without registering.

"I will die and go to hell before I sit back and let them pull this trick they trying to pull on us," Reeves said. "They just gonna tell people they gonna give (Universal) a public school in September ... for what?"

Eva Reeves, who will enter her senior year in a high school under new management, said she will continue speaking out.

"I would like for Audenried to be just left alone the way it is," she said. "We won't be silenced."

@highlight

Mastery Charter School's Shoemaker Campus has seen big rise in students' test scores

@highlight

Some students, parents don't want their schools taken over by charter school operators

@highlight

Student protest leader: "We should have a say in what they were trying to do to our school"

@highlight

The debate over charter schools is happening in communities across the country