Hong Kong (CNN)On the Korean peninsula, the jittery season is here.

Joint military exercises conducted by South Korea and the United States each spring start this week.

The drills, involving thousands of troops and state of the art military hardware, don't go down well with North Korea. It fired two short-range ballistic missiles into the East Sea, also known as the Sea of Japan, on Monday morning after slamming the exercises as "dangerous nuclear war drills for invading the DPRK."

"Each year, Pyongyang complains and demands a stop to these annual exercises, which it claims to be offensive in nature," said Sung-Yoon Lee, a professor of Korean studies at Tufts University. "North Korea has complained vociferously at least over the past quarter century."

So what's at stake? We take a closer look at the drills and the tensions that surround them.

The United States and South Korea stress that the exercises, named Foal Eagle and Key Reserve, are defensive and non-provocative in nature. The North Korean regime, however, doesn't see it that way, and its state media has characterized the drills as rehearsals for an attack.

Leader Kim Jong Un called for full combat readiness and oversaw military facilities, according to KCNA.

"The North Koreans, being paranoid in their own way, have always had this concern: 'If there is going to be an invasion, this would be the time,'" said Philip Yun, executive director of the Ploughshares Fund, a group that advocates nuclear disarmament. "But that's not the intent on the U.S.-South Korean side."

In March 2013, the North Korean military went as far as claiming that the United States was carrying out the drills with the aim "to mount a preemptive nuclear strike together with its South Korean puppet forces."

Playing up the threat also helps the North Korean leadership's propaganda efforts to control the population of the isolated nation, according to Yun.

As well as providing practice for the forces involved, the exercises send a message that the United States "would defend South Korea in the case of a North Korean invasion," said Tong Kim, a visiting scholar at the U.S.-Korea Institute, part of Johns Hopkins University.

Usually, with a lot of angry rhetoric and a series of weapons tests.

Near the start of the year, North Korea typically demands the cancellation of the exercises. Threats of doom and the firing of short-range rockets or missiles into the sea tend to become routine as the military exercises approach.

That was underscored this year on February 8 when North Korea fired five short-range missiles into the East Sea, according to the South Korean Defense Ministry. The barrage into the waters, also known as the Sea of Japan, came just a day after the North announced it had successfully tested a "cutting-edge" anti-ship missile.

The U.S. and South Korean militaries announced Tuesday that the exercises will run from March 2 to April 24. Some furious statements from North Korea followed, including a statement on KCNA that the drills were a smokscreen to "to cover up their surprise invasion of the north."

Pyongyang's outrage ignores the fact that its forces carry out their own drills each winter that analysts view as offensively minded.

Yes, amid nuclear negotiations with Pyongyang in early and mid-1990s, Washington held off on the drills several times.

"There is precedent, we have done this before," said Yun. But he qualified that "circumstances have changed significantly since that period of time."

North Korea has determinedly pressed on with its nuclear weapons program, thumbing its nose at the international outcry. It has carried out a series of underground tests and launching long-range rockets that could be used as intercontinental missiles.

In January, Pyongyang suggested it would halt nuclear tests if the United States canceled the joint drills, drawing a sharp response from Marie Harf, a U.S. State Department spokeswoman.

"The offer, as I understand it, which we see as an implicit threat, is for the U.S. to stop doing something that is routine, that is transparent, that is defensive in nature, and that is annual ... in exchange for the North Koreans not doing something that is prohibited under multiple U.N. Security Council resolutions and that they are not supposed to be doing," Harf said. "That's really a false choice here."

The tone was set by North Korea's long-range rocket test in December 2012, followed by its third nuclear test two months later.

The United Nations responded with sanctions, and Pyongyang continued to ramp up its threats of nuclear war against South Korea and the United States.

One North Korean government website even uploaded a YouTube video showing an imaginary missile attack on Washington.

The U.S. decision to fly B-2 stealth bombers, which are capable of carrying nuclear weapons, over the region only served to further antagonize North Korea amid the annual military drills.

"That was a really bad escalation of the tensions in the Korean peninsula," Tong Kim said of the period.

But Pyongyang's decisions to carry out the rocket launch and nuclear test were most likely carefully timed, according to Yun, who was part of U.S. teams that negotiated with North Korea under former President Bill Clinton.

"They game everything out. They don't do things off the cuff for the most part," he said of the North Koreans. "If they're going to do something very provocative, they have an extensive decision tree laying out many options."

The moves appeared to be aimed at advancing North Korea's technology and making Kim Jong Un, still a relatively new leader, look strong inside the country, Yun said. They also coincided with political transitions in South Korea, China and Japan.

Predicting the secretive North Korean regime's next move is a notoriously difficult game.

Last spring, its behavior was less provocative than in 2013, although it did fire off a series of weapons that included medium-range ballistic missiles.

Tong Kim said that he didn't expect a new nuclear test or long-range missile launch this year, but that short-range missile firings could be a possibility.

An escalation of rhetoric around the military exercises is also likely.

Lee was less optimistic about the near future, saying that, if a major provocation takes place, "no one should be surprised."

"North Korea has shown itself to be calculating and strategically minded," he said. "There's a political need to raise the stakes, there's probably a technical need to test a long-range missile or a nuclear test -- it's been a couple of years."

Yun said he was concerned that a miscalculation in an already sensitive area, like the disputed waters off the Korean peninsula's west coast, could lead to a rapid escalation of tensions.

"There are a lot of things that can happen with a significant number of military assets around and on the peninsula," he said.

Kim Jong Un is "similar in action but stronger in rhetoric" than his father, Tong Kim said. "Except that North Korea under Kim Jong Un has newer and more formidable weapons."

Some of the techniques seen under Kim Jong Un certainly recall those employed during his father's rule.

During the tensions in early 2013, North Korea declared that the armistice agreement that halted the Korean War in 1953 was no longer valid.

The announcement sounded unsettling, but North Korea had already said in 2009 that its military was no longer bound by the armistice because South Korea was joining a U.S.-led anti-proliferation plan.

In 2013, the North also tried using the silent treatment, cutting off a military hotline with the South. That was similar to an approach it had adopted in 2009 when it stopped responding to calls after the military exercises started.

But during 14 years of Kim Jong Il's rule, the United States and South Korea "had a track record of what North Korea would do and a sense of what to expect," Yun said. "Kim Jong Un was new, you didn't know how far he would go, which added to the uncertainty."

@highlight

Thousands of U.S. and South Korean troops are preparing to conduct their annual military drills

@highlight

North Korea views them as provocative despite carrying out its own military exercises

@highlight

Analysts believe Pyongyang uses the "threat" from the drills for its own propaganda efforts at home