(CNN) -- A group of tech-savvy entrepreneurs are setting out to rock Nigeria's vibrant music scene by cashing in on the country's booming mobile phone market.

Founded by three university friends, MyMusic.com.ng is an ambitious startup aiming to be the major online distribution channel for Nigerian music. The new digital service is focused on providing an easy and affordable way for music fans to access their favorite songs, which are often hard to find in one place.

"We have no single source of aggregated Nigerian music of African origin," says Tola Ogunsola, chief executive and co-founder of MyMusic. "So Africa is missing on the world map in terms of musical content -- so the potential is huge."

Read this: 'Dropifi' startup takes on Silicon Valley

MyMusic is designed to work similarly to other digital music stores, such as iTunes. But its payment options are largely catered to deal with the characteristics of the Nigerian market, which is mainly a cash only society.

Mobile phone users can select the song they want to download and pay instantly for it using their credit. Songs cost 50 naira, or about 31 U.S. cents.

"When users click the pay by mobile button, the download is automatically initiated on their mobile phones and the fee is deducted from their mobile credit," explains co-founder Damola Taiwo, who is also the startup's chief operating officer.

Mobile boom

Nigeria, Africa's second biggest economy, is one of the biggest and fastest growing mobile markets in the continent, with more than 100 million active subscribers.

It's this market that the young entrepreneurs behind MyMusic hope to tap, filling a musical void for the country's cell phone users.

Read this: Africa's mobile tech startups

"Mobile holds the biggest potential for us," says Taiwo, adding that more than 40 million phones in Nigeria are connected to the web.

"The majority of these users have their mobile phones as their only connection to the internet and any form of technology."

Computer users can also download songs via the pay by mobile method -- entering their phone number on MyMusic's website -- on top of the standard credit card and PayPal payment methods.

From door to door

The startup's three founders, who've all studied computer science, say they have so far invested $45,000 of their own money into the business.

They recently launched a test version of the platform at one of Europe's biggest tech conferences -- the Web Summit in Dublin, Ireland. The Lagos-based team is now planning a full scale release of the service in February 2014, targeting an initial offering of 5,000 songs.

"The goal now is to have a wide variety," says Taiwo. "So from the up-and-coming artists to music of like 20 years ago or 30 years ago," he adds.

Read also: 10 African tech startups you need to know

But to achieve that, and make the service successful, the young entrepreneurs have to put in a lot of leg work.

"What happens with most of these international sites is that they have a structured system where they can just go meet a record label and automatically get about maybe 100,000 songs, or as much as possible -- but in Nigeria, the structure is still growing," says Taiwo.

Fellow co-founder Dolapo Taiwo explains that because most musicians in the country have their own record labels, the team has to approach each artist separately.

"Having to run after record labels one by one is a very big pain but I think it's a pain that we're happy to bear for now," he says.

Turning problems into opportunities

Yet, going from door to door is not the only challenge faced by the developers of MyMusic.

Finding outside funding in Nigeria has been difficult for the company, so the team is currently exploring international sources of investment to fund their marketing plan. Similarly, poor infrastructure and connectivity issues have both added to the challenge but failed to stop the entrepreneurs' efforts.

"Every problem is a potential opportunity," says Dolapo Taiwo.

For example, he notes, Nigeria's bandwidth issues have prompted them to build "very lean sites" that offer users a trouble-free experience.

"Within two clicks you can download a song, so we're trying to overcome that challenge," he says.

Looking ahead, the team has high hopes for the company's success and growth.

"We're looking to having a pan-African approach to this as time goes by because what we're actually solving is an African problem," says Dolapo Taiwo. "A lot of Africans do not have access to formal banking methods -- we don't have a lot of credit cards in Africa so we're looking to deploy it across Africa."

"It's a big vision for us and we're going to push it through," adds Damola Taiwo.

@highlight

MyMusic.com.ng is a new digital store where Nigerians can access local music

@highlight

Customers can pay for songs using their mobile phone credit

@highlight

The new platform is scheduled for full-scale release in February 2014

@highlight

Funding, infrastructure and connectivity are some of the challenges faced by the team