(CNN) -- A man in Connecticut walks into an outpatient clinic for his daughter to receive an electrocardiogram and sonogram. He later receives a bill for a "facility fee" of $5,000 that his insurance will not cover. A new resident in California looks for a primary care doctor but must wait 3 weeks for an appointment to get refills on medication. A 25-week pregnant woman who works two part-time minimum wage jobs cannot afford the $50 co-pay for regular visits or the $200 in prenatal vitamins her doctor recommends. When her labor begins, she goes to the emergency room where her baby is delivered.

Do any of these stories sound familiar? Probably.

The United States health care system ranks dead last among 11 peer nations for overall quality and costs. According to Commonwealth Fund's latest findings, we have the least efficient, least fair and worst health outcomes among the nations surveyed. Americans have the highest death rate, the highest infant death rate and worst health at age 60. Yet Americans pay more than double what people in these other nations pay.

It sounds bad, and it is. Let's try to look at it another way.

Imagine you and someone from the town nearby are each going out for dinner. You have to go to restaurant A. There, you can only be seated if you have paid a membership fee. You receive a menu with no prices or descriptions of the meal and are served food you didn't expect and that is barely warm. But the decor is nice and the restaurant has fun commercials on television.

Your neighbor has to go to restaurant B. There, the menu items are described clearly. He can see the prices, and the food that arrives at the table looks like what he ordered. The decor isn't much to write home about, and there aren't any commercials.

When restaurant A is all you know, then, well, it is what's for dinner. But when you learn about restaurant B -- and how your neighbor pays less for more -- suddenly that cold meatloaf from restaurant A doesn't cut it.

No one would tolerate such a terrible dining experience at restaurant A, especially not when a perfectly good meal is to be had across town at restaurant B.

In the United States, our experience as health care consumers is a lot like dining at restaurant A -- a business that under normal market conditions would likely be closed within a week.

The membership fee required for entry is your paid insurance premium. The menu with no prices is your treatment plan. Health care services are offered and rendered by providers without any real discussion of cost either to the health care facility or the customer. You agree -- because you need the medical care, and when the bill arrives later you learn it costs far more than you expected, even if you used insurance.

Sadly, the U.S. health care system has been consistently low in ratings. Commonwealth Fund ranked the United States last in 2010, 2007, 2006 and 2004. And consumers know how bad things are. The 2013 Health and Workplace Benefits survey found that 55% of Americans rank U.S. health care as either "poor" or "fair."

What should surprise all of us is our willingness to tolerate such a broken industry. We do not usually buy products or use services for the lowest quality for double the price.

Unless, of course, there is a reason.

Some would argue that health care is a service that is unlike any other in our economy. We purchase health care often unwillingly, or at times of great stress and medical concern. There is a huge gap in knowledge and power between doctors and nurses and patients. There is an almost total lack of transparency about cost, quality and outcomes among various insurance providers for different kinds of procedures or between health care facilities. And to add insult to injury, there is no restaurant B at which we can dine. Unless we move to Switzerland.

Previously, the United States differs the most from peer countries for its absence of universal health insurance coverage. Now that the Affordable Care Act requires everyone in the United States to purchase health insurance, will our problems be solved? Hardly.

The Affordable Care Act has made the United States a little more like Germany and Switzerland, but requiring citizens to purchase health insurance will not be the silver bullet for our health care woes. France and Canada have universal health insurance coverage and still rank 9th and 10th.

What we must do is demystify the process of buying health care in the United States. Clear and accurate quality standards, price transparency, and more easily accessible outcome information are essential to allow consumers to make better choices. The Healthcare Blue Book and the Leapfrog Group's Hospital Safety Score are great examples, but we need more things like that.

The United States can learn from what other countries have done right. Our government, hospitals, doctors, insurance companies and consumers can change our abysmal health care system if we put our mind to it.

Because no one wants to eat an overpriced meal at a bad restaurant night after night, year after year.

@highlight

Recent report shows U.S. health care system ranks last among peer nations

@highlight

Summer McGee: We have least efficient, most expensive system in world

@highlight

She says what's surprising is our willingness to tolerate such a broken industry

@highlight

McGee: Clear quality standards, price transparency are essential to improvement