(CNN) -- We knew even while researching Tuesday's feature on the global impact of Chinese tourism that the story was likely to generate strong reactions among readers.

After all, in a matter of just a decade or so, Chinese tourists have gone from being relatively rare outside of Asia to becoming the most important market in global tourism, surpassing American and German travelers in 2012 as the world's top international spenders, with a record $102 billion shelled out on the road.

Chinese travelers the world's biggest spenders

But even we were taken aback by the intensity of the emotions -- often thoughtful, sometimes ugly, always illuminating -- the story elicited among our global readership. (Per CNN policy, we've been monitoring and removing the explicitly hateful and threatening comments from the site.)

Many readers focused on the individual habits of Chinese tourists, positive and negative.

All comments are at the bottom of this: Chinese tourism: The good, the bad and the backlash

Ed Connolly summed up the feelings of the more outraged commenters: "Basically get ready for loud conversations, small tips, deceptive behavior and cutting in line. For anyone who has traveled to Asia, China in particular, you know all too well what I'm talking about. Chinese are rude and inconsiderate. Think I'm too opinionated? Spend a week in China and get back to me."

Weighing in from Thailand, Katy Khan voiced a similar sentiment: "Here in Thailand it's a big deal. They can't stand Chinese tourists and are complaining to the government about it. It's pretty bad. Chinese people are quite rude compared to any other culture I've ever experienced."

Readers such as Mi Jo, however, reported markedly different experiences with Chinese travelers: "I deal with lot of Chinese tourist every summer and I have to say that they are very kind. They leave impression of shyness. I do not know if they don't talk much anywhere or they are just shocked by cultural differences but they are very very [quiet], and most of them don't speak at all (even though they know English language)."

Added tigerlee: "Not only you guys but people in China feel uncomfortable with this group of people [rude travelers]. But most of Chinese are friendly and good mannered."

A number of readers compared the reputation of modern Chinese travelers with another frequently bashed group.

Wrote William Trudeau: "Anyone remember 'The Ugly American' and similar discussions about U.S. travelers not all that long ago?"

Apparently, not all of those conversations are from so long ago.

Said britishpal: "I worked in hotels for a number of years, and time after time the thing that got staff all panicked and on edge were when American tourists were expected. Most of the rude behaviors described in this article could just as easily be attributed to American tourists; demanding services that aren't offered, expecting meal times to be extended far beyond reasonable hours, the expectation that their cash-flashing would give them extra entitlements, etc. And to be fair, I've heard British tourists are just as bad in European countries, even outside of World Cup events."

Wrote fattsmann: "I'm Chinese-American and I agree that mainland Chinese are horrible tourists based on my trips to Europe and the Middle East. The article hits all the key notes and as other comments have noted, Americans had the same stigma/problems about 1-2 decades ago. The key issues are education and awareness of foreign cultures (including learning the basics of a foreign language before travel), respect for foreign cultures and customs, and patience (including waiting in line, not making snap defensive judgments, etc.). Years ago, it was Americans that were rude and culturally insensitive tourists. Now it's the Chinese. Then it will be another group of people with money to travel."

Like fattsmann, a number of mainland Chinese and Chinese citizens of other countries were anxious to join the conversation.

Wrote ptran281: "As a Canadian born to Chinese parents.... I can say I can't stand Chinese tourists! There is such a thing called lining up and waiting your turn. I was called a fake Chinese when I reminded them we don't behave like this in Canada."

iamjustin provided an explanation for the perception of poor behavior abroad: "I am a Chinese in the mainland; as for the rudeness of Chinese visitors which raised a fire in the comments section, I have something to clarify... The reason why so many Chinese nowadays are so rude and impolite is originated from abolishing of Confucius philosophy and the wild interpersonal abuse in the notorious Cultural Revolution launched by Mao Zedong! ... So the conclusion is that Chinese people in the mainland are the victims of tradition loss, communist political chaos, and the rudeness and lack of self-cultivation are the consequences of the above."

CNN International's Facebook page garnered some even more passionate responses. Edith Duarte points out that Chinese have been global tourists for centuries: "Guys, thousands of years ago the Chinese have marveled the world. They are in seven continents all over the globe, Chinatowns are all over the U.S."

Meanwhile, Nicolas Serge suggests people on both sides of the tourism equation benefit from Chinese travel. "The U.S. is encouraging people at home to learn and speak Chinese. Furthermore, Many U.S. students are studying in China. Tourism is helping chinese to learn more about other cultures. We remain certain about an effective partnership U.S. and China could build in the future to face global challenges."

In the end, of course, the Chinese travel boom -- and perhaps some of the resentment of it -- is driven by the almighty dollar. Or, in a potential shift that seems to both worry and excite the world, the almighty yuan.

Summing up the "just because you've got money doesn't mean I have to respect you" contingent, THEGenuineOLiTWiST wrote: "In general, most mainland Chinese who are 40 or over are suffering from this money= respect syndrome. The younger ones are much better at 'fitting in' with their travel destination's social and cultural norms."

Perhaps in the end, JohnkinsBob makes the best argument by taking the pragmatic approach to the issue: "The article makes Chinese tourism sound like the yellow peril. If these people have the cash, bring em on! The U.S. is getting back at least part of the dollars that are being sent over there."

It's a fascinating and important discussion that will surely continue to engage us all in the years ahead.

If you've had experiences as a Chinese traveler or with Chinese travelers, feel free to add to the discussion in the comments section below.

Minor edits have been made to some of the comments above strictly in the interest of clarity.

@highlight

Chinese international tourists spent $102 billion on the road last year

@highlight

Around the world, Chinese tourists inspire varied reactions

@highlight

Stereotypes prevail, with commenters picking up on habits, good and bad