The purse was by designer Baby Phat, and it was only $5. But when Elizabeth Deiter bought it at the thrift store where she works, she immediately had to run over to the bank and deposit money to avoid running a negative balance.

She and her husband only recently caught up on their rent, after four or five months, and Deiter has close to 100 purses already, but she still went for the bargain. In thinking about this and other splurges on things she didn't need, Deiter has begun to consider herself a compulsive shopper.

"I am ashamed of it," says Deiter, 22, of Reading, Pennsylvania. "I've screwed up a lot. I know I should stop."

With holiday season discounts running rampant online and in stores, it's especially easy to fall into the trap of overspending this month, especially if you have a problem with impulse control at the mall. But beyond carelessness with finances, compulsive shopping is a mental disorder that psychologists recognize, although it has not been studied extensively.

For compulsive shoppers, buying something creates a feeling related to the euphoria that alcohol induces, said Bonny Forrest, a psychologist in San Diego.  As with alcoholics, it's hard to keep away from that rush of pleasure.

About 6% of women and 5.5% of men are compulsive buyers, according to a 2006 study from Stanford University in the American Journal of Psychiatry. The mental disorder has not been studied extensively, but it is thought to be an impulse control disorder.

April Lane Benson, New York psychologist and author of "To Buy or Not to Buy: Why We Overshop and How to Stop," estimates that between one third and one half of compulsive buyers eventually turn into hoarders, but some just buy a lot of items and get rid of the old ones.

Where does compulsive shopping come from? Sometimes, people acquire objects as a way of dealing with chaos and feeling out of control, Benson said. "You buy something, you're in control of it," she said.

It may also be related to childhood. Parents may have given presents instead of time and attention, leading a child to grow up wanting to get more material possessions. Other people may have grown up with a lot of emotional or financial deprivation, and when they're able to afford shopping for themselves, they overbuy as a way of not going back to the way things were. Another theory is that "we buy as a way of trying to deal with our fears of death and the inevitability of death," Benson said.

Compulsive shopping sometimes goes hand in hand with alcoholism and eating disorders, Forrest said. It's not currently a separate diagnosis in the Diagnostic and Statistical Manual of Mental Disorders, the "Bible" by which mental health professionals identify conditions. Psychologists usually view it as an issue of impulse control rather than a sign of obsessive-compulsive disorder; OCD medications do not tend to work for shopping problems, Forrest said.

There's no hard line between treating yourself to a pair of shoes on a bad day and being a compulsive shopper -- it is a spectrum. When shopping causes distress in your relationship or if shopping is the only way you can deal with negative feelings, it can be a real problem, Forrest says.

Compulsive shoppers might have continued arguments with their spouses over money and can't afford basic necessities, she said. Deiter can relate to this.

"When I'm upset, it happens more often. I get into an argument with my husband or my day is not going right, I definitely spend more," Deiter said.

When her husband asks her what happened to the other $400 that was supposed to be in their bank account, she honestly doesn't know -- she doesn't remember what she spent it all on. And she says her husband has threatened to end the marriage if her spending puts them behind in the bills again.

Shopping addicts are especially vulnerable right now because retailers play up the hysteria of limited chances at bargain prices. Someone with feelings of low self-esteem might equate having a good holiday with buying things. Especially given the slumping economy of the past few years, consumers are made to feel that, with regard to making certain purchases, it's now or never.

"Think of a car's brakes. If you don't have brake fluid you can't stop," Forrest says. "With the impulse to gamble, drink, shop, you can't put the brakes on."

Deiter remembers her buying habits started small, with snacks. Then she moved on to Five and Below, which she thought would be cheap, but ended up spending $140 at once there. Two months ago, she bought $80 worth of beads to make jewelry; the beads are still in a box.

"I always end up finding a way to pay the bills," she said. "Then, I'll fall into old patterns."

Deiter learned about the phenomenon through the movie "Confessions of a Shopaholic," but she only stopped to think about herself that way a couple months ago.

She has joined an online support group, but the meetings happen while she's at work, and she doesn't have enough money for a therapist. She hasn't found any meetings in her area, either.  She wrote about her problem on the blog Secret Regrets.

One strategy that helps some compulsive shoppers curb their habits is to pay in cash, so they see how much they're spending, Forrest said. They also can try going shopping with other people who can act as a check, making sure they don't overspend. Online, they might want to avoid storing credit card information, so that it's harder to make a purchase before thinking about it. Forrest recommends waiting 24 hours before actually buying something you don't really need, to give yourself time to reconsider.

Another source of help might be an online support group, such as Debtors Anonymous.

Benson has a whole program planned out for compulsive shoppers. It begins with examining why they impulsively overshop and what are triggers and consequences of that behavior. She helps her clients examine the costs and benefits of spending in this way,

"I have them really think through the vision of what they want to be true in their lives, so that they can project ahead and see whether the way they're living their lives now is likely to get them to where they want to be," Benson said.

Motivation to change comes from recognizing the disconnect between who they want to be and who they are right now, Benson said.

She then takes them through the nitty-gritty of finances: How much did they spend and how much did they want to spend? How much could they have saved by not buying so much? This is a nine-week process.

Clients also create a "shopping self-portrait," in which they envision themselves buying something they later regretted purchasing. What needs are they fulfilling by shopping? Love and affection, belonging, self-esteem, the esteem of others, and autonomy are all needs that the client may wish to consider fulfilling in different ways, instead of going to the mall.

"The underlying rubric of the whole thing is to really get in touch with what it is you really need, and how to get that," Benson said. "It's not that sixth pair of black boots."

@highlight

About 6% of women and 5.5% of men are compulsive buyers

@highlight

Compulsive shopping sometimes goes hand in hand with alcoholism and eating disorders

@highlight

Compulsive shoppers may have continuing arguments with their spouses over money