In our modern, viral times, sometimes seemingly insignificant events make the difference between oblivion and infamy.  Sometimes it's mere words that lift a person from obscurity to condemnation.  In the case of 16-year-old Texan Ethan Couch, it was one.  One word.  "Affluenza".

Couch admitted to intoxication manslaughter after causing four deaths in a motor vehicle accident.  A psychologist testified in Couch's adjudicatory hearing in juvenile court that because of the child's home life, the boy should not receive the maximum 20-year prison sentence prosecutors were seeking.  Instead, the judge gave him 10 years of probation for the fatal accident.  Outrage followed.

Affluenza is a term used by the psychologist testifying for Couch at the disposition phase of the case, to describe children who have a sense of entitlement, are irresponsible, and make excuses for poor behavior because parents have not set proper boundaries.

The resulting public anger is understandable: Intoxication manslaughter is always by nature a senseless crime, and  sadly not all that uncommon.  So then, what about Couch's case is so much more controversial than other DUI fatalities?  The answer has to do with our perception of the juvenile justice system, and our understanding of the adolescent mind.  The other reason: our culture's firmly entrenched intolerance for spoiled rich kids.

Liability vs. disposition

If you ask most people, they likely think "affluenza" was used by Couch as a defense to the crime—that he sought to avoid all responsibility.  But there are two phases of a criminal case, whether in adult court or juvenile court.  First is the guilt phase.  The main questions asked here are: "did he do it?" or "is he responsible for doing it?"  This is the part of trial that we are most familiar with from TV: where a defendant is found guilty or not guilty by jury verdict.

If a child is adjudicated delinquent (the equivalent of "guilty" in adult court), the judge moves on to phase two: disposition.  In juvenile court, this means the judge determines how to best treat, rehabilitate or supervise the child.

Paul Callan: The cure for 'affluenza' is prison

Some of the dispositions mirror the punitive spirit of the adult system, but a juvenile judge has more options: A child can be ordered to pay restitution, have an imposed curfew, or be sent to a secure educational facility.  In lesser cases, I've seen plenty of judges order that apology letters be written, and even given assigned reading of self-help or inspirational books, with a book report due at the next court date. The overall mission of juvenile courts is redemption, not retribution.

In Couch's case, Texas has a relatively tough "determinate sentencing" scheme in which juveniles can be sentenced to adult terms in prison that begin when the child ages out of the juvenile system.

In other words, he could potentially leave juvenile placement when he turns 19, and be transferred to adult prison to serve the remainder of his time. That's what the prosecution sought in this case: adult time for the child that would begin when he turned 19, ostensibly with credit for the time served in the juvenile system (from 16-19 years of age).

So, it's important to understand that Couch did not assert that he was "not guilty" by reason of affluenza. Rather, affluenza was raised in the sentencing phase, as a critical piece of "mitigation."

"Mitigating circumstances" are not a justification or excuse of the offense in question. That part of the case has already concluded with a verdict or judgment.  Rather, mitigating evidence may be considered as extenuating or reducing the degree of moral culpability as the court considers a proper sentence.

If we agree that defendants at least have a right to ask for mercy from the court, it follows that they must be able to present reasons for that mercy.  Of course, the judge may give this evidence the weight he or she deems appropriate.

Affluenza was never going to exonerate Couch.  Affluenza only had the potential to be one of several factors considered in arriving at appropriate punishment or rehabilitation.

Health: 'Affluenza': Is it real?

Other mitigating factors courts consider are school performance, a lack of prior contacts with law enforcement, and a willingness to take responsibility for one's actions in court.  In Couch's case, for example, we know that he admitted (the equivalent of "pleaded guilty") to intoxication manslaughter, which means he took responsibility.

Any juvenile legal practitioner will tell you that if these other factors are in the client's favor, he's a likely candidate for lenient disposition, particularly if there are no prior arrests. Of course, the tragic deaths of four persons also weighs heavily against Couch in this case.

At its core, affluenza was a poorly chosen catchphrase that obfuscated the important underlying point: that, rich or poor, this was another child who, according to an expert qualified by the court, suffered from the same lack of supervision and guidance that plagues millions of American children, irrespective of class.  That's all.

Many are offended at this idea because the child comes from a wealthy family.  But being so offended reflects a belief that children of wealth can never have any developmental problems, or be neglected in a way that affects their adolescent judgment.

Worse, this view suggests that only the working class or poor are entitled to claim environmental or neurological disadvantages.  That is an indefensible position.

It's true that society has always had a jaded view of rich youth and their antics.  That's an understandable sentiment—reality TV alone shoves plenty of privileged, unsympathetic characters in our faces every night.

It's hard for Americans to drum up a lot of sympathy for a Kardashian's divorce when most of us are watching from a bean bag chair in a studio apartment.  But we must separate that resentment from our duty to our children, because all children, rich or poor, are developmentally different from adults.

Neuroscience and the Supreme Court: Children are different

For millennia, parents have known that children are different from adults in their motivation, judgment and decision-making.  Now, in modern times, the science backs it up.  But are we prepared to accept the proof?

The Supreme Court has recognized that children lack adults' capacity for mature judgment, they are more vulnerable to negative external influences, and their character is simply not fully formed.

Neuroscience has accumulated significant evidence that the adolescent brain is not fully developed, and may not be fully developed until into adulthood.

Studies have shown that the prefrontal cortex in children lacks areas and interconnections critical to planning, motivation, judgment and decision-making.

These are not just behavioral observations; they are backed up by neuroimaging studies.   By way of one example, during childhood and early adolescence the brain undergoes a significant "pruning" of unused synapses, which leads to more efficient neural connections.  During adolescence, this activity is seen more in the prefrontal cortex than other brain regions. This, in turn, is consistent with the understanding that adolescence is a time of not-yet-perfected executive functions.

The developmental research and behavioral studies are increasingly backed by the neuroscience: As children, our executive functions, such as risk assessment and judgment, are still undeveloped.

Of course, a reasonable response to this is: "Yes, but for every kid who commits a crime, there are millions who do not, who are able to conform their conduct to the law."  Very true.

But if we agree that at a certain age, children have no criminal intent, it follows that the maturation of the adult mind is not an overnight process.

There is a developmental period.  And, according to the behavioral and neurological science, it is a considerable span of time.  So it follows that while juveniles should be held responsible for their actions, if their brains are different than adults' brains, then their intent and therefore their culpability must also be different.

Fortunately, the juvenile justice system does not seek to absolve juveniles of all liability; if it did, delinquency court would not exist.  Instead, an understanding of the adolescent mind helps courts fashion the appropriate remedy.

Let's face it: Our society does not like spoiled rich kids, especially when they squander opportunities that most of us did not have, and abuse their position.  That is an understandable reaction to a tragedy like this.  But we have a duty to rise above that bias and recognize the broader issue: Children are different from adults, and they deserve differential treatment, rich or poor.

@highlight

Danny Cevallos: The world condemned 16-year-old Texan for defense's use of "affluenza"

@highlight

He says many objected to the sentence handed out by judge for DUI manslaughter

@highlight

Cevallos says defense wasn't using "affluenza" to deny guilt but to help influence sentence

@highlight

He says "affluenza" was poor choice of words but refers to a common lack of guidance