(CNN) -- Six months into his presidency, Mohamed Morsy has at times taken investors on a rollercoaster ride of uncertainty. Events of the past week are an accurate reflection of the ups and downs that investors have been experiencing.

Morsy was front and center of the ceasefire agreement between Israel and Hamas while holding court in Cairo with the Prime Minister of Turkey, the Secretary General of the United Nations and the U.S. Secretary of State.

Read more: Egypt president's tricky game of power

Hillary Clinton heaped praise on Morsy, suggesting he has stepped up to the plate to rebuild Egypt's pivotal role in the region.

During the same week, after months of on again-off again negotiations, the International Monetary Fund signed a preliminary agreement to lend $4.8 billion to the cash-strapped country.

But Morsy capped the week by making a power play to wrestle control of the constitutional drafting process by issuing a decree giving him unchecked powers.

More from John Defterios: Why Iran is caught in currency crisis

Mohammed Al Ississ, professor of economics at the American University in Cairo, says the president "tried to seize the moment and move ahead in capturing more power. What Egypt needs to focus on now is institution building rather than a power grab."

Investors feel the same way, getting their first chance to respond Sunday with the largest sell-off since January 2011, when the protests to oust Hosni Mubarak began. More than $5 billion of market capitalization was wiped out during the session.

Read more: Egypt's new president: U.S.-educated Islamist

Al Ississ described the effort to leverage the goodwill built up by the ceasefire and meeting conditions for the IMF loan as a "giant miscalculation" by the Islamist leader.

This move comes only ten days after the European Union stepped up to assist Egypt with a pledge to offer $6.4 billion in loans and grants to the Middle East's most populous country.

Morsy has met a full range of challenges since taking office and has responded with decisiveness. Case in point: The outbreak of violence in the Sinai was met with a sweeping out of the top military brass in Egypt including field marshal Mohamed Tantawi.

But his biggest challenge, strategists suggest, is trying to appease members of his own Freedom and Justice Party and the ultra conservative Salafis wing. At the same time, those who pushed for the removal of former President Mubarak believe their revolution has been hijacked.

Morsy's gesture to meet with the Supreme Judicial Council calmed the markets, but he has to manage the "man on the street" as large scale protests unfold Tuesday.

As this clash of opposing views takes place, the tough work of building a solid economic foundation gets delayed.

"Big reforms that need to be enacted have been at a standstill for the last few years," says Hisham El-Khazindar, co-founder and managing director of Citadel Capital.

At the top of his list is cutting down the cost of fuel and food subsidies which took the budget deficit to over 10% of GDP in the last fiscal year.

"You have a budget deficit that is ballooning, a current account deficit deteriorating and you have investments both local and international at a standstill, you know taking a wait and see approach," says El-Khazindar.

Citadel raised $3.7 billion to fund a refinery operation after the uprising. The private equity group says another $4 billion is sitting on the sidelines waiting to see how Morsy will play his cards this week and beyond.

During the uprising, growth plummeted from over 5% down in 2010 to 1.8% last year and only climbed slightly to 2.6% in the latest quarter ending in September.

This means making solid calculations for 2013 will prove to be difficult for everything from Suez Canal receipts to tourism visitors.

"We are back to ground zero when it comes to the uncertainty," said Al Ississ of American University in Cairo.

@highlight

As Mohamed Morsy capped the week by issuing a decree giving him unchecked powers

@highlight

Investors reacted and the largest sell-off since January 2011, when the protests to oust Hosni Mubarak, began

@highlight

More than $5 billion of market capitalization was wiped out during the Sunday session