Washington (CNN) -- If Congress has danced at the most perilous edges of brinkmanship, we the people helped push them there.

We did it by voting lawmakers out of office when they work with the other party to craft legislation but then claiming we want Congress to compromise and seek bipartisan solutions.

We're doing it by sending to office those who promise to toe the line and continue the partisanship we say we despise.

We did it by allowing our state legislatures to draw congressional districts that are so starkly red or blue that there's little room for any other hue or viewpoint.

We did it by congregating in neighborhoods and communities with like-minded people who share our views on politics, religion, and social mores and, as a result, largely electing lawmakers who echo those views.

We the people have always tended to live, work, and play with and around people who have similar values. So no matter how many ways you slice many of the nation's neighborhoods into districts, the outcome is the sameâ€”homogeny. That's because you can't redistrict social attitudes.

"We the people do bear responsibility," said CNN senior political analyst David Gergen. "It's often been said we get the government we deserve. The polarization has come in part because the middle has fallen away and engagement has been left to the far right and far left."

The Gangs of D.C.: The dubious history of the political posse

A house divided

It was New Year's Eve, and few in Washington had anything to celebrate.

The 112th Congress had spent weeks in an acrimonious fight over reducing deficits and averting the fiscal cliff. The battle ended in a series of late night and early morning votes.

In those final votes, the 112th Congress stayed true to the deeply partisan course that had earned it low national approval ratings, the nickname "do-nothing" and a track record as one of the least effective in recent years.

In the House in particular, those votes seemed to reflect the districts those lawmakers represented.

The chamber's Republicans were starkly divided with 85 voting to support the measure and 151 opposing it, according to an analysis by Keith Poole, a political science professor at the University of Georgia. Among Democrats, 172 backed the measure while just 16 were opposed.

One congressional delegation's votes seemed to highlight that divide.

Hyper-partisanship dragging down nation

In North Carolina, congressional districts are either so red or blue that they trend well above the national average in that regard, said David Wasserman, House of Representatives editor at the Cook Political Report.

There are "diametrically opposed viewpoints just across the highway median from each other," Wasserman said. As a result, in votes like the fiscal cliff showdown, members of Congress "are simply responding to what their districts want."

North Carolina's congressional delegation was nearly evenly split in its fiscal cliff votes.

The "no" votes included Republican Rep. Virginia Foxx, who represents the largely white, rural and GOP-leaning 5th Congressional District, and Democrat Brad Miller. Due to Republican-friendly redistricting of an area that went to Democratic presidential candidates in the last two election cycles, Miller decided not to run for re-election to represent the 13th Congressional District.

Those voting for the measure included Democrat Rep. Mel Watt, who represents a largely urban, racially mixed 12th Congressional District, and Democrat Rep. David Price, who represents the state's more liberal-leaning Research Triangle in the 4th Congressional District.

More 'cliffs' to come in new Congress

During 2011 redistricting efforts, North Carolina's lines had to be redrawn to account for a phenomenon that political and social scientists say deeply affects partisanship â€”population growth near large metro areas and a move away from rural areas.

North Carolina's redrawn 9th Congressional District's population, currently represented by Republican Rep. Robert Pittenger, mushroomed by 38%. Pittenger lost urban Mecklenburg County, which includes Charlotte, to Democrat Jennifer Roberts in the general election. But he won places like more rural Iredell County, which has a NASCAR hub.

For several generations, urban areas have tended to trend Democrat while many rural areas have remained Republican strongholds, political demographers say.

And the number of swing states, those where a presidential candidate could run a competitive campaign and nab voters on the fence, has decreased dramatically over that same period of time.

Even when attempts are made to remove partisanship from the redistricting process, those drawing the lines run up against those types of trends.

In California, a citizen-led commission, chosen randomly from a bipartisan pool of applicants, has created some of the most competitive districts in the nation with mixed results. It was hoped that by avoiding the state legislature, the redistricting process could steer clear of the type of partisanship that often marks that process.

However, "Democrats had figured out the map they wanted to end up with and then they went to community groups and made the pitch to get that," said Douglas Johnson, a fellow at the Rose Institute of State and Local Government at Claremont McKenna College.

So a process that was supposed to be random wasn't completely.

"It was a huge improvement over the legislature drawing the lines," Johnson said. "It didn't measure up to the grand hopes and nirvana dreams of some, but it was an improvement."

Thirteen states have adopted some version of commissions to try to remove politics from redistricting, a task some political scientists and demography experts say is impossible and doesn't necessarily result in more balanced districts in this hyper-polarized climate.

"Given the breakdown of traditional institutions and the traditional ways people mix, how do you govern this new country?" asked Bill Bishop, co-author of "The Big Sort: Why the Clustering of Like-Minded America is Tearing Us Apart."

"How do you create one country out of a country that is becoming increasingly a collection of communities?"

The house we built

Increasingly, people live in communities that are carefully crafted political echo chambers.

"The dirty little secret is that redistricting only explains part of polarization," Wasserman said. "Congressional districts are polarized partly because Americans have polarized with their feet. It makes it easier for partisan line drawers to draw those lines."

Every 10 years, just after the U.S. Census is completed, state lawmakers are charged with the task of redrawing and, in some cases, creating congressional districts that take into account population shifts since the last census. It is often a deeply partisan and complicated process in which the party in power usually tries to craft districts that are favorable to them while minimizing the other side's political heft.

A number of states, many of them in the South, with a history of racially discriminatory voting practices, also must get pre-clearance from the Department of Justice before tweaking their voting laws and maps. In several places, efforts to achieve this equity have resulted in odd shaped districts and court challenges.

Take for example Watt's 12th District in North Carolina, a narrow, serpentine strip that nearly dissects the state as it snakes 80 miles along Interstate 85. The district is considered "majority minority" and is reliably Democratic.

"In states where Republicans have control, Republicans have been able to use the Voting Rights Act to pack (minorities) into districts so they can win the rest, Wasserman said.

But that only explains part of why some districts are so partisan.

Across the nation, people are self-sorting into neighborhoods and cities with likeminded peers, political experts and demographers say.

"We don't think people move to be around others who vote like themselves. They are moving to be around people who are like themselves in every other sort of way," Bishop said.

"Young white people moved to Austin. Young black people moved to Houston, Atlanta and D.C. Every time we looked at a measure on the country level, differences began to appear," Bishop said. "Civic groups became more specialized. Churches began to organize around lifestyles. Lifestyle characteristics began to line up with the vote."

In looking at election data from 1992, 2000 and 2002, political scientists Marc Hetherington of Vanderbilt University and Jonathan Weiler of the University of North Carolina at Chapel Hill found that places where spanking is more likely to be used to discipline children tend to lean Republican. Areas where timeouts are the norm tend to trend Democrat.

Women in the Northeast who married and started families later in life tended to vote Democrat while their Midwestern peers who got a head start on marriage and family building often voted Republican, Belgian demographer Ron Lesthaeghe found.

Five things we learned on Election Night

Large numbers of women, minority, gay and young voters helped President Barack Obama clinch his victory in the recent general election. Likewise, a historic number of women and racial minorities were elected to Congress from similarly diverse and largely Democratic states and districts.

On the other hand, Republican presidential contender Mitt Romney's strong performance among many white voters echoes his party's congressional representation â€” largely older, white men.

During the 2012 election, Obama won technology hub Silicon Valley, continuing a trend of technocrats backing Democrats. But he lost the Deep South, continuing that region's red streak.

All of this self-sorting in tiny towns, urban enclaves and suburbs has had a collective impact on the rarefied and increasingly toxic political climate in Washington these days.

The 112th House was roughly 50% more polarized in terms of makeup than that of the 102nd, which convened from 1991 to 1993, Poole found in his research.

The 112th's Senate was more polarized than the 46th Senate, which was in office from 1879-1881, just after the Reconstruction era that followed the Civil War, Poole found.

"This is polarization based on choice and self-selection," Bishop said. "Being an adult is accepting lots of different ways of being. We are so unsure of our own identities that we are not as accepting as we could be of people of different identities. In a sense we are getting what we demand from government. We demand our tribe wins. So that's the fight. It becomes a fight of tribal differences."

@highlight

Americans are partly to blame for political partisanship

@highlight

Redistricting is only part of the reason why communities are divided

@highlight

People moving into areas with like minded peers, refusing to hear opposing views complicates issue

@highlight

This self sorting then trickles up to Washington in lawmakers we elect and policies they support