(CNN) -- A Florida judge revoked bond Friday for George Zimmerman, who is charged with second-degree murder in the death of Trayvon Martin.

Seminole County Circuit Judge Kenneth Lester Jr. ordered Zimmerman to surrender to the county sheriff no later than Sunday afternoon.

Lester accused Zimmerman of having misrepresented how much money he had when his bond was originally set in April. Prosecutors say he had $135,000 at the time Zimmerman's wife, Shellie, told the court, under oath, that they were indigent.

The prosecution cited as evidence recorded telephone conversations that Zimmerman had with his wife prior to the hearing. The conversations were recorded while Zimmerman was being held in the Seminole County Jail after being charged with second-degree murder on April 11.

He has pleaded not guilty and has been free on bail.

Martin, 17, was fatally shot February 26 while walking in a Sanford, Florida, neighborhood where he was staying during a visit with his father. Zimmerman, a neighborhood watch volunteer, told police he shot the teenager in self-defense.

"The defense, through Mrs. Zimmerman, lied to this court about the amount of money that they had," said trial prosecutor Bernie de la Rionda. "I don't know what words to use other than it was a blatant lie."

Outside the courthouse, a lawyer for the family of Martin said Friday's decision is significant. "Judge Lester's finding that George Zimmerman was dishonest is very important because his credibility is the most important thing in this entire case," Benjamin Crump told reporters.

The killing spurred protests among people who criticized police handling of the investigation and said Martin, who was unarmed and carrying a bag of Skittles and an Arizona Iced Tea at the time he was killed, was racially profiled. The teen was African-American; Zimmerman is Hispanic.

In court documents, State Attorney Angela B. Corey also said that Zimmerman had two passports, and the passport that he surrendered to the court at the April hearing was one that Zimmerman had reported stolen on March 8, 2004. That passport was valid until May 2012, Corey said.

Zimmerman was issued a second passport on March 26, 2004, and that one is valid until 2014, she said.

The prosecutor asked the court that Zimmerman be ordered to surrender the second passport to authorities.

But Lester appeared to accept the explanation from Zimmerman's lawyer that his client had given him the second passport, and the lawyer simply forgot to hand it over to authorities until Friday.

Regarding Zimmerman's finances, Corey alleged that in the recorded phone calls in April the couple "spoke in code to hide what they were doing" regarding the money in a credit union account belonging to the couple.

The money was apparently donated by members of the public to Zimmerman's website.

Zimmerman "fully controlled and participated in the transfer of money from the PayPal account to defendant and his wife's credit union accounts," Corey said in court records. "This occurred prior to the time defendant was arguing to the court that he was indigent and his wife had no money."

In late April, Zimmerman's attorney, Mark O'Mara, said that the money raised by the website was put into a trust account that the attorney controls.

But Corey stated Friday in the court documents: "The money still belongs to defendant and he can demand it at any time."

Court papers provided a partial transcript of a phone call allegedly showing the code used by Zimmerman and his wife on April 16:

Zimmerman: "In my account do I have at least $100?"

His wife: "No."

Zimmerman: "How close am I?"

His wife: "$8. $8.60."

Zimmerman: "Really. So total everything how much are we looking at?"

His wife: "Like $155."

The prosecutor said the judge "relied on false representations and statements" by Zimmerman and his wife when the court set his bond at $150,000. He was required to post only 10% of that.

Corey argued that the court should revoke the bond or increase it "substantially."

Lester appeared angry that the court had not been told about the money. "Does your client get to sit there like a potted palm and let you lead me down the primrose path?" he asked Zimmerman's lawyer. "That's the issue."

O'Mara told CNN on Friday night that he had discussed the judge's decision with Zimmerman, who was not in court on Friday. "He's frustrated because he now has to come out of hiding," O'Mara told CNN's Anderson Cooper.

"You need to realize we're still talking about a 28-year-old who's being charged with a crime he does not believe he committed, and his whole life has been turned upside down, so I think that it all needs to be kept in context."

O'Mara added that he hoped the judge's revocation of bond would be temporary. "We're going to have a conversation with the judge to try to explain it away. Hopefully, that will be worthwhile and we're going to get back out on bond."

Meanwhile, Zimmerman's defense team and prosecutors were both on the same side in court Friday afternoon fighting media companies' request to release more information in the case.

Prosecution and defense lawyers argued that a host of material should remain sealed.

Opinion: Shooting wasn't a case of racial profiling

The intense public attention on the case is a chief reason certain information should remain out of the public eye, de la Rionda said in a motion filed earlier this month.

He argued that releasing too much "will result in this matter being tried in the press rather than in court, and an inability to seat a fair and impartial jury in Seminole County." De la Rionda also voiced worries about witnesses being "reluctant to testify" for fear that their privacy would be violated and other witnesses being "harassed by media representatives."

Specifically, the state wants the names and addresses of witnesses kept out of the public record. It asks for the same for crime scene and autopsy photos, a 911 recording of the incident, and cell phone records of Martin, Zimmerman and one witness.

De la Rionda is also requesting a judge seal statements Zimmerman made to law enforcement officers, some of which may be used against him at trial because they were "inconsistent with the physical evidence and statements of witnesses."

New documents shed light on Martin killing

O'Mara filed his own motion agreeing with the prosecution's desire not to release material. He said the defense wants 1,000 e-mails received by Sanford police to be sealed, plus statements by Zimmerman. He asked that text messages, e-mail messages or journals made by the defendant be kept private, at least until they can be reviewed.

Scott Ponce of the Miami-based law firm Holland & Knight argued for more disclosure on behalf of various newspapers, TV stations and their parent companies.

The opposing arguments were laid out in motions filed in advance of Friday's hearing.

This week, Ponce filed responses to the prosecution and defense positions, addressing them point by point.

"The broad secrecy the state seeks ... is not supported by statute, constitution or case law, and it certainly cannot be justified in this prosecution," he said.

Ponce argued that civilian witnesses' names and addresses cannot be sealed under Florida's public records law, because they would not be "defamatory" or "jeopardize the safety" of a witness. He said the state hasn't proven anyone is in jeopardy. The contested cell phone records may be reviewed and, if need be, have parts redacted, but they shouldn't be withheld entirely, he said.

Ponce said Zimmerman's statements to police should not be treated as "confessions," which would not be made public before trial.

The judge expressed sympathy for the prosecution and defense attorneys but said, "The law is against us." He noted that the law in Florida "favors full, complete, open disclosure."

Lester said he would review the discovery request and release material "in a redacted fashion."

HLN's Josey Crews, CNN's Michael Martinez and InSession's Nancy Leung contributed to this report.

@highlight

Zimmerman is ordered to surrender within 48 hours

@highlight

He is charged with murder in the death of Trayvon Martin

@highlight

Media lawyers want more information released about the case

@highlight

The prosecution and defense are both fighting to keep material sealed