Dressed in yellow, he stands a foot off the deck of a Colorado Springs home, and a few feet from the woods.

Everywhere in front of him, there's fire.

Thankfully, the flames that climb about five feet up backyard trees don't catch on -- partly because a homeowner wisely trimmed lower branches, in the event of a raging wildfire just like this. And thankfully, the man standing his ground is a firefighter -- and he isn't alone, one of hundreds doing what they can to combat and control the Black Forest Fire that had already singed more than 15,000 acres as of Friday.

After a few strategic sprays of water and fire retardant, and a periodic white-out, the scene documented above in a Colorado Springs Fire Department video ends by charring the yard almost right up to the hot tub on the deck, but skirting past the home.

Yet for all the happy endings like this one, there are plenty of sad ones: As early Saturday, 473 homes had been destroyed, with at least 15 others suffering partial damage.

The destruction isn't always dictated by rhyme or reason: Giselle Hernandez told CNN that her home has been spared so far, but her neighbors to the south lost theirs.

"It just goes to show you how unpredictable these things can be," she said.

Progress in fighting blaze

This is the second time in a year that the Colorado Springs area has faced a mammoth wildfire. Last summer's Waldo Canyon Fire burned down about 350 homes and 18,000 acres. Some 32,000 evacuated their homes and two people died. They can start, and spread, quickly -- with no regard to what's in their path.

That's what happened with the Black Forest Fire after it first flared Tuesday afternoon, for still undetermined reasons.

Hernandez remembered how she, her boyfriend and his family spotted smoke and began mulling the possibility of leaving. But that possibility soon turned into a necessity, as the flames rapidly approached.

"It went from, 'Well, we should probably pack and get going,' to, 'We need to leave right now' as the smoke started billowing right through the trees on our property."

Watch: Woman records wildfire evacuation

The wildfire has been blamed for two deaths. In terms of total property lost and damaged, El Paso County spokesman Dave Rose told CNN earlier this week that it appeared to be the most destructive in state history.

Some 800 personnel are attacking the blaze, and doing it in sweltering heat: Temperatures climbed to around 90 degrees Friday.

In addition to those on the ground, multiple Chinook and Blackhawk helicopters and tankers traversed the air as part of the effort. Authorities spent much of the day Friday surveying most of the 7,000 homes they'd wanted to check to determine which ones made it, which ones did not.

Crews had gained "some tremendous ground" by morning in identifying hotspots and saving structures, county Sheriff Terry Maketa said. Even so, the blaze was then only 5% contained.

Friday, though, proved to be a good day. Skies were at times overcast, temperatures fell somewhat, and there was a strong burst of rain.

"We got our tails kicked for a couple days, yesterday we saw it as a draw, and ... today we delivered some blows," Maketa said.

Those elements and tactical moves left Rich Harvey, the head of the federal incident management team tackling the blaze, optimistic that crews had turned the corner: They'd gone from being on the defensive to the offensive, Harvey said early Friday evening, estimating 30% containment at that point.

Gov. John Hickenlooper was certainly upbeat, after heavy rains doused him Friday as he was walking through a "burn area."

"I'm soaking wet and it's a little chilly," he said. "I don't think I've ever been so happy to say that."

Yet he, Harvey and citizens affected by the fire -- like Dale Mielke, who singed his mustache and eyebrows while saving his home but not those of his neighbors -- also stressed that the spurt of heavy rain doesn't mean the fight is over.

"It's not even enough rain to stop it," said Mielke, a retired firefighter. "But it can help slow it down a little bit."

Resident says: 'Things are out of our hands'

Carolyn Selvig has been living in this area north of Colorado Springs for 21 years drawn in part by the beauty and peace of the woods.

"The forest is our friend," she says.

Selvig knows the other side of the equation as well when it comes to living near a forest -- the very real possibility and very real power of wildfires.

Are you there? Send an iReport

She and her husband Erik are among roughly 38,000 people -- from about 13,000 homes over a 93,000-acre area -- who have been impacted by the Black Forest Fire.

As of midday Friday, their home was still standing, though they can't breathe easy quite yet: Erik Selvig noted "the intense heat is less than a quarter-mile away."

His wife, Carolyn, admits she's probably "more worried than I allow myself to think." Still, she realizes there's little she can do at this point beyond trusting in those fighting to save their home and hoping that Mother Nature is on her side.

"Things are out of our hands," she told CNN. "It is what it is."

The Selvigs are checking, whenever they can, the official list of homes that have been destroyed and those that have not.

The Black Forest Fire isn't the only fire affecting Colorado.

Southwest of Colorado Springs, the Royal Gorge fire is now 40% contained after four days in which it scorched more than 3,200 acres -- including a beloved carousel and at least 20 buildings, according to Hickenlooper.

"It's burned to a cinder," he said of the area.

And the governor has declared a disaster emergency in Rocky Mountain National Park, northwest of Denver, due to the Big Meadows Fire that's burned hundreds of acres there.

Yes, Coloradans know wildfires are a fact of life; yes, they know that their homes could someday burn. But that doesn't mean dealing with it, in the moment, is easy.

Says Chris Schroeder, who is also in the Black Forest Fire evacuation zone, "It's been a pretty good emotional roller coaster, trying to understand what is happening."

Despite the noted progress on that fire, that ride isn't over. Many have been allowed back in their homes, while others are still being kept. And hundreds of firefighters are still out doing what they can to protect people's property, knowing that a lightning strike or shift of wind can suddenly change everything.

"It is not a done deal: 30% is not 100%," Harvey said late Friday afternoon. "The middle has still got potential."

Gallery: Wildfire photographer Kari Greer goes inside the inferno

@highlight

473 structures have been destroyed by the Black Forest Fire in central Colorado

@highlight

An official estimates 30% containment of the over 15,000-acre fire, up from 5%

@highlight

A heavy burst of rain helps those fighting the blaze near Colorado Springs

@highlight

At least 20 structures are burned in the Royal Gorge Fire southwest of Colorado Springs