LONDON, England (CNN) -- "This is ground control to Major Tom," sang David Bowie about a fictional astronaut lost in orbit in 1969. Now, 40 years later Bowie's son Duncan Jones has released his own space oddity.

Sam Rockwell plays a moon worker nearing the end of his contract with Lunar Industries which mines precious gas, Helium-3.

Jones' debut feature "Moon" is a thoughtful, stylish sci-fi thriller set in the near future amid the monochromatic wastelands of Earth's closest satellite.

It is a contemplative character-driven piece of filmmaking that is particularly smart and accomplished because Jones has managed to create the film's universe with next to no money.

But then, "Moon" isn't your average sci-fi: Stylistically, it's very different from the big budget, spectacle-driven science fiction being made by Hollywood studios today.

With a storyline about alienation rather than aliens, this retro delight is peppered with references to 20-year-old classics like Ridley Scott's "Alien" and cult films like "Outland," starring Sean Connery.

It includes an inspired turn by Kevin Spacey as computer GERTY, whose automaton voice bears a creepy resemblance to HAL 9000, the ruthless computer in Stanley Kubrick's seminal space opera, "2001: A Space Odyssey."

"We wear our references on our sleeve," Jones, whose mother is David Bowie's first wife, Angela Bowie, told CNN. "It is a period of science fiction we are both huge fans of and we miss that kind of film."

His partner and inspiration in this project is quirky actor Sam Rockwell who he was determined would take the lead in his debut feature.

Rockwell plays Sam Bell, a moon worker nearing the end of his contract with Lunar Industries which mines Helium-3, the precious gas thought to be the solution to Earth's energy crisis.

"In some ways we worked backwards," says the 38-year-old who met Rockwell to discuss another film that didn't work out.

"The very first thing I knew was that Sam Rockwell was going to star.

"I knew I wanted to work with him because he's just so talented, and he also just happens to be such a nice guy.

"I said, 'Look, I really want to work with you. I really want you to be in my first film. Let me go away and write something for you.'"

The pair discovered a shared love of science fiction films from the late 1970s and early 1980s, like "Silent Running" starring Bruce Dern.

"Real, character-driven stories about working class, blue-collar people working and living in space," explains Jones.

This was the seed of Jones' screenplay and the moon seemed the obvious place to set it.

"Everyone has a relationship with the moon but at the same time it remains so mysterious. We may have been there, but only briefly."

Nine months later Jones had worked up a script and, with his leading man secured, he had to come up with a plan for how to make a traditionally pricey sci-fi on a budget of $5 million.

"It was a challenge," Jones acknowledges. "Science fiction by its nature is very expensive because you have to build everything; you have to build the entire universe that our film takes place in.

"If there's anything in shot, you're probably going to have to have it designed and built and then there's special effects on top of that."

To keep costs down, Jones used model miniatures for the exterior shots of the moon base and the lunar buggy that Bell drives across the cold regolith to tend to the monstrous Helium-3 harvesting machines traversing the planet.

He shot the entire film in a studio and on a sound stage at Shepperton Studios, near London, England, which allowed them to completely control the environment.

All of Jones' ideas in the film are based on what could be fact in the near future.

Much of his inspiration came from a book by U.S. aerospace engineer and manned Mars exploration advocate, Robert Zubrin called "Entering Space: Creating a Spacefaring Civilization."

One of the chapters in Zubrin's theoretical guide to expanding human settlement across the solar system was about setting up a Helium-3 mining facility on the moon.

"It always stuck in my head as a really interesting idea," says Jones. "Hard science fiction, science fiction that builds out of scientific potential or extrapolating from what's possible -- that's the science fiction I find most interesting."

"Moon" was screened on request at the NASA Space Center, where they are doing research into Helium-3 mining.

The researchers quizzed him on his moon base design choices and discussed their research, including "mooncrete," a special concrete made of lunar rock and water from the moon's polar caps.

Jones will continue to mine the rich seam of classic science fiction in his next film, "Mute." He has likened it to a Berlin-based version of "Blade Runner," Ridley Scott's bleak vision of a future Los Angeles.

He hopes to replicate the success of "Moon" which won Best New British Feature at this year's Edinburgh International Film Festival: "What we're finding now is that there is a real interest and hunger for this kind of film."

@highlight

Duncan Jones aka Zowie Bowie wrote and directed debut feature, "Moon"

@highlight

Sci-fi thriller made for only $5 million, stars Sam Rockwell and Kevin Spacey

@highlight

Film's retro look borrows heavily from sci-fi classics like Ridley Scott's "Alien"

@highlight

Film was screened at NASA for scientists researching Helium-3 mining