Beijing (CNN)When it comes to access to their favorite shows, millions of Chinese fans of U.S. TV series find the plot thickening as 2014 draws to a close.

In late November, many found their entertainment lifeline cut off as authorities shut down two of the country's most popular file-sharing sites -- one with countless episodes of U.S. TV series, and the other with meticulously translated Chinese subtitles for those shows.

State media called the sites known copyright infringers. The sites themselves claimed to be free platforms for people who want to learn about American language and culture -- not money-making ventures.

Worse still, fans quickly realized their only viable alternative -- China's legitimate video streaming sites  -- may soon fall victim to the censors' tightening grip.

Fleeting optimism

Almost no current U.S. TV series air on China's broadcast and cable networks.

In February, viewers and critics hailed the release of hit political thriller "House of Cards" on video site Sohu at the same time it aired on Netflix in the U.S. as a sign of liberalization in China's strictly-controlled media market.

Many Sohu users binge-watched all 13 episodes of the second season, which appeared uncensored despite unflattering story lines about China's ruling Communist elite.

It had clocked more than 103 million views by mid-December, more than double Netflix's 50 million global subscribers.

But the sense of optimism among fans quickly dissipated when in April, without warning, the government banned four popular American TV series -- including the top-rated sitcom "The Big Bang Theory" -- on all streaming sites.

Officials cited violations of copyrights laws and content regulations without giving specifics, even though the shows had been purchased and allowed to stream online for several seasons.

Stockpiling shows

Fans are bracing for more disappointment.

China's broadcast regulator has strongly hinted from April 2015 it would only approve "healthy" content to be streamed online -- a troubling prospect for followers of such shows as zombie horror drama "The Walking Dead" and steamy period drama "Masters of Sex."

What's more, online broadcasters may have to wait for a show's entire season to air in the U.S. before streaming it in China.

Hardcore followers say they dread the prospect of having to wait to watch chopped versions of their beloved shows on streaming sites.

Many young, urban and well-educated fans insist, given the rising government restrictions, only illicit file-sharing services offer the quick and unfettered access they crave.

"I've been stockpiling shows by downloading as much as possible -- it's the only way to make me feel safe," explained Zhao Tianshu, 30, a Beijing lawyer who considers watching American legal dramas like "The Good Wife" -- one of the four shows banned in April -- on his iPad in the gym a daily highlight.

"I understand copyright concerns, but the policy just seems arbitrary," said Feng Huiling, 23, a social work graduate student in the Chinese capital who breathlessly lists more than a dozen American TV shows that she regularly watches.

Ideological threat?

What alarms censors, fans and analysts argue, is the immense popularity of those shows -- with a new episode often attracting millions of views or downloads within hours.

"The following used to be small -- but now it's gotten so huge that officials become nervous about the impact and feel compelled to do something about it," said Wu Yeni, 32, a Beijing-based corporate publicist who compares watching American TV series to getting a cup of Starbucks coffee --  another of her addictions.

Jeremy Goldkorn, a leading commentator on China's media landscape, said it was surprising how American TV series posted on Chinese video sites had been allowed to proliferate with very little government interference.

"They are now putting these measures in place to make sure it doesn't become an ideological threat," he said.

"This helps them better micromanage the content and frighten Internet companies into complying with regulations."

Even shows that manage to get into China sometimes disappear. "Madam Secretary," a new political drama that debuted this past autumn, is widely streamed online in China.

Nowhere to be found, however, is its fourth episode, which features some of China's taboo subjects: the Tiananmen crackdown, the one-child policy, and a territorial dispute between China and Japan.

People will wearily accept the "new normal" of rising censorship under an increasingly powerful and hardline President Xi Jinping, predicts Goldkorn.

"Anybody associated with thought work or ideology or the image of China -- everything is being squeezed or tightened or limited," he said.

New normal

Goldkorn also said the new rules have a commercial rationale.

"They don't want people to get too hooked on foreign shows and not to watch any Chinese content."

Long Danni, the president of EE-Media, a major entertainment company based in Shanghai, told CNN that the new policies help domestic TV producers like her.

"We'll have plenty more high-quality original programming to conquer not just the Chinese but the global market."

Fans of American TV are not so sure.

For now, many try to explore technical workarounds to new government restrictions and insist that, no matter what happens, they won't watch domestic shows known for their over-the-top propaganda and low production values.

"If they totally shut the door to American TV, it would be tragic," said Wu, the corporate publicist who equates her desire for U.S. shows to that for caffeine.

"It would be just tragic if you couldn't even choose your own entertainment."

@highlight

Hit U.S. TV shows have many fans in China

@highlight

Authorities have cracked down on file-sharing sites used to download shows

@highlight

Starting April next year, regulator plans to screen all foreign TV shows