(CNN) -- Doctors chose a woman who survived a shotgun wound to her face as the first recipient of a face transplant after treating her for nearly four years.

This image projects what Connie Culp, 46, may look like two years after the face transplant.

Connie Culp knew of the Cleveland Clinic's interest in face transplants and approached the medical staff, doctors said at a news conference Tuesday.

Dr. Maria Siemionow, the Cleveland, Ohio, hospital's director of plastic surgery research and head of microsurgery training, had more than 20 years of experience in complex transplants. By 2004, Siemionow was looking for the right candidate for a face transplant who wasn't doing it for vanity.

"They are not looking to go out on the street and be beautiful," Siemionow told CNN in a 2006 interview. "Some of these patients, when they were interviewed just said 'I want to walk on the street and just make sure I am not sticking out.' They just want to have a normal face."

The doctors examined the patient's history, motivation and ability to understand the risks of the transplant. And they found Culp to be an ideal candidate.

Five years after a gun blast shattered her nose, cheeks and upper lip, she had a band of scar tissue extending across her face.

"The most devastating of all was the fact that society had rejected her and children were afraid of her," said Siemionow, who led the December 10 transplant operation.  See before and after photos of Culp »

Culp, a mother of two and a grandmother, told her doctors she could understand that some adults would shun her.

"But what really bothered her the most were children -- the children that shied away from her," said Dr. Frank Papay, the chairman of Institute of Dermatology and Plastic Surgery at the Cleveland Clinic. "That sense of innocence, and her not being able to see that innocence really, really affected her."

The shooting

In September 2004, Culp's estranged husband shot her in the face in an attempted murder-suicide outside a restaurant in Hopedale, Ohio, according to CNN affiliate WTOV in Steubenville, Ohio.

Culp was 8 feet away from her husband, Thomas Culp, when he pulled the shotgun's trigger. He then turned the weapon on himself, according to local news reports. They both survived. Thomas Culp was sent to prison.

Despite her wounds, she told WTOV in 2008, "I'll always love him. He was my first love."

At the same time, Culp said, she felt angry. "I wouldn't be human if I didn't. I forgive him, but I have to go on, you know?"

After the shooting, Culp recuperated in a hospital and in a personal care home for two years. Culp told WTOV she had vision problems and was learning Braille.

Her approach to life was to "keep motivated. Don't sleep your life away -- that could have happened. I could be depressed. I'm not." As she spoke, her breaths emitted a small whistle from her tracheotomy tube, which protruded from a surgical opening in her neck.

"I cannot smell. I will never be able to smell," she said in the interview.

Culp was wrong.

How doctors transplanted a face

The doctors at the Cleveland Clinic analyzed Culp's injuries using CAT scans and developed plastic models of her skull. They practiced face transplant operation on cadavers several times.

Culp met with the hospital's surgeons, ethical committee members and psychiatry and psychology specialists who determined that she was an ideal candidate for the surgery. Then, the wait for the right donor began in 2008.

"We thought we were going to wait a long time because we had to find a Caucasian female in her mid 40s to match Connie, so we expected a year before we were able to find a donor," said Papay, who is also head of craniofacial surgery. "Well, three to four months later, I got a call at around midnight from Dr. Siemionow saying 'I think we have a donor.'"

The family of a brain dead woman granted permission to use her face.

He likened the preparation for the December transplant to a rocket launch, saying, "Everything was prepared beforehand very, very, very carefully."

Surgeons sheared out the donor's mid-facial area including the lower eyelids, cheekbones, the nose, some of the sinus and the whole upper jaw, with the blood vessels.  Watch CNN's Dr. Sanjay Gupta discuss the face transplant »

When it came time to move the donor's parts to Culp, they had to see that the donor and recipient parts aligned.

"One of the ways you can tell that is how your upper teeth fit to the lower teeth," Papay said. "We knew it was like a hand in a glove, exactly where we needed to be."

They secured the bones into Culp's face using titanium plates and screws. Then the microvascular surgeons attached the vessels. They tucked the scars around Culp's ears or underneath her eyelid, where they would not be visible.  How the doctors operated »

Doctors added more skin than needed in case of tissue rejection. After monitoring Culp's progress, doctors say they will remove the excess tissue and tighten her jawline in future surgeries.

Contrary to science fiction and movies, the surgery did not make Culp look like the donor.

"If you just took the skin and transplanted it to the other patient, the bony structure is different," Papay said. "If you took the bony structure and transplanted it on the other side, it ends up being a composite. So, it doesn't look like the donor. It doesn't look like the recipient. It ends up looking like someone new."

Recovery

At this point, all the transplanted parts of Culp's face are functioning except for her facial nerves, which are growing about an inch a month. Doctors anticipate Culp will be able to have full facial function -- and more expression --  by this winter.

In physical therapy, she learns to train her nerves, make facial expressions, smile and purse her lips, doctors said.

"If you cry or you laugh or you smile, it's not like you think about it. You just emotionally do it. So that's a wait and see for us," Papay said. "As far as the emotional one, that's really the key issue. A far as when she laughs, cries and grimaces and gets angry at you...what's her face going to look like? That's the exciting part about it."

Five months after the first face transplant in the United States, Culp lives at home. She has checkups with the medical staff once or twice a month and will do so for the next year, her doctors said.

Initially, Culp used immunosuppressants that transplanted kidney, liver or heart patients would normally take. Transplant patients must take immune-suppressing drugs throughout their lifetime to prevent tissue rejection. But she showed improvements that enabled the doctors to reduce her regimen to one medication, doctors said.

"She's taking her medications," Siemionow said. "We know she is compliant. She cares about how she looks. She has her hair done in a new color...She is full of life. She does her push-ups. She's on the treadmill. What else can I say?"

@highlight

Face transplant recipient was shot in 2004 by her husband

@highlight

In a 2008 interview she told CNN affiliate that she forgave her husband

@highlight

Doctors say Connie Culp fit criteria for ideal face transplant recipient