(CNN) -- A recently built superyacht suggests that at least some wealthy holiday makers are demanding more from their sailing trips than just exotic islands and sun-drenched sea decks.

The 74-meter RV Pegaso comes with the usual roster of flat-screen TVs, designer furniture and en-suite bathrooms, but a closer inspection reveals that it also doubles as a fully-fledged floating laboratory.

Indeed, Pegaso's "RV" designation stands for "research vessel", and the boat is equipped with a five-man submarine, a decompression chamber for deep sea diving and a small team of marine biologists.

Alex Flemming is the chief executive of the yacht's managing company, Pegaso Marine. He explains that anyone who charters the yacht can have as much or as little involvement in the research as they like, with the one condition that they always allow a group of scientists to travel with them.

Flemming believes demand for boats of this type represent a growing trend within the yachting community, where people are looking for something more than just a hedonistic getaway.

"The historic perception of the superyacht set is the south of France, drinking champagne and having a lovely time," he said. "But suddenly people are going: 'Hang on a second. I can go somewhere further afield and be a part of something bigger.'

"This is about getting the most out of time and also feeling as though they're doing some good," he added.

According to Sean Dooley of the Ocean Preservation Alliance (OPA), the boat is owned by an accomplished diver and marine preservationist who wishes to keep his identity private.

"This is his fourth vessel. He'd already been yachting for 15 years and traveled around the world twice," claimed Dooley. "It was at that point he said: 'Let's do something different.'"

The boat's original dining area was converted into a lab and fitted with scientific equipment capable of everything from tagging endangered marine life to monitoring water pollution levels.

As well as the decompression chamber, the vast array of diving equipment on board RV Pegaso includes a machine that produces high-quality oxygen -- allowing trained guests to dive deeper, longer and safer.

One of the biggest draws -- for guests and scientists -- is the five-person submarine on board.

Weighing 14 tons, managing company Pegaso Marine claim it's the world's only privately owned diver-lockout sub, allowing divers to enter and leave underwater via different chambers and explore depths few others have ventured before.

Such experiences can be transforming. Dooley recounts the journey of a guest aboard a similar research vessel in the Socorro Islands, just off Mexico, who helped scientists tag giant manta rays in an effort to track their migration patterns.

The vital data was packaged into a video that the guest then presented to the president of Mexico.

"He was able to help conduct important research that will have a lasting impact. And as he kept telling us, this was the best trip he'd ever had," said Dooley.

But all this worthy enterprise does nothing to distract from the luxury embellishments at hand on RV Pegaso.

True to its owner's vision of combining high-level research with opulence fit for a sultan, guests who are not otherwise tagging hammerhead sharks or monitoring the breeding habits of whales, can enjoy comforts that include an eight-person spa pool, bar, cinema, gym and extensive observation lounge.

"When we do trips with our clients, they still like wonderful meals, they still like massages, they still like the luxury of living aboard a superyacht," said Dooley.

"But we've got a whole other layer of richness you just can't get from your average superyacht."

@highlight

Introducing RV Pegaso, a 73.6m superyacht boasting a science lab and submarine

@highlight

Marine scientists on board conduct research, from tagging species to monitoring water

@highlight

Part of a growing trend of meaningful expeditions, rather than hedonistic getaways

@highlight

Research vessel includes superyacht comforts such as cinema, spa, helicopter pad