(CNN) -- Vice President Xi Jinping of China, the man set become the country's next paramount leader, is scheduled to meet with President Barack Obama and other officials on Tuesday during a U.S. visit that is likely to help burnish Xi's statesmanly credentials at home and abroad.

The planned meetings have thrust Xi, who is expected to become head of the ruling Communist Party later this year, onto center stage in both the American and Chinese news media. Hu undertook a similar visit 10 years ago as he was being groomed for the top job.

But beneath the carefully choreographed presentation of the high-profile meetings lies a range of contentious issues on which Xi has little incentive to give ground, including trade and China's growing military presence.

"I think he's going to be be tough with a smile on his face," said James McGregor, senior counselor for the communications firm APCO Worldwide in China. "He's gonna appear to be a very friendly man. But he has to be tough because he's still talking to an audience back here."

The subject of Xi's five-day trip and what it portends for U.S.-Chinese relations in the coming years has received heavy coverage in state-run media in China.

"The U.S. has never met a competitor like China before," the Global Times, an English-language newspaper run by the Communist Party, said in an editorial published Monday that noted China's global clout in manufacturing and exports.

The Obama administration, under pressure from stubbornly high unemployment figures in an election year, has already taken steps concerning China's role in global trade.

Obama mentioned China by name when he announced in his State of the Union address last month that he was creating a trade enforcement unit to bring cases against other countries. There is also persistent tension over China's efforts to control the level of its currency, the renminbi, which U.S. officials say make it undervalued.

Xi, 58, is very well versed in these issues, according to Jon Huntsman, the former Republican presidential hopeful who was U.S. ambassador to China between 2009 and 2011.

"He's gone out of his way in recent years to bone up economics and trade, knowing full well that these are the issues that are going to determine whether or not the United States and China are able to get through the years to come," Huntsman said.

Chinese officials are aware of U.S. concerns, but Xi and other leaders face the challenge of keeping China's hundreds of millions of workers content as economic growth starts to ease from the torrid levels of recent years.

Policy makers in Beijing are grappling with how to tackle rapidly rising prices and the widening gap between rich and poor.

"I want a job," said Xie Yingling, an unemployed welder in the coastal province of Fujian, where Xi used to be governor. "Our local economy is just bad. I find even a bowl of noodles too expensive here."

Xi's engagements in the United States began Monday with a dinner in Washington attended by the former U.S. secretaries of state Henry Kissinger and Madeleine Albright.

He was given a less cordial welcome by activists advocating Tibetan independence who started unfurling a banner on Arlington Memorial Bridge in Washington on Monday afternoon. The activists were detained by the police before being released.

Beijing has been struggling in recent weeks to contain unrest among ethnic Tibetans in the southwestern province of Sichuan. It has sent additional security forces to the region after Tibetan protesters set themselves on fire and clashed with police to express frustration with Chinese rule.

On Tuesday, Xi was scheduled to meet with Obama, Vice President Joe Biden and Secretary of State Hillary Clinton. He will also attend a round-table discussion with U.S. and Chinese business executives.

After Washington, Xi will travel Wednesday to Iowa, a state he first visited as a local official in the 1980s.

He is visiting the United States amid the rhetoric and political uncertainty of presidential election campaigning. But upheaval is also under way in China through the leadership transition that is set to result in Xi's taking charge later this year.

With about 70% of the country's top 200 officials expected to be swapped out during the process, Huntsman said Xi is "stepping into the forefront of China's political leadership structure at a time of enormous change."

@highlight

The Chinese vice president is in the United States for a five-day visit

@highlight

Xi Jinping is expected to become China's president later this year

@highlight

He is scheduled to meet with President Obama and other top officials

@highlight

Observers expect Xi to take a tough line on issues like trade