(CNN) -- The C-Suite. Near mythical in status. The Valhalla you reach in corporate life when you've made it.

So, how do you get there?

The tried and tested route of hard work and influence gets you a long way certainly. Stellar performance gets you noticed. A powerful network, an influential sponsor can give you a turbo boost on your way up. But though they will take you far, when it comes to the C-Suite, what gets you here -- as they say -- won't take you there.

So, what is the difference that makes the difference when it comes to getting to the top? In interviews with 268 senior executives, the Center for Talent Innovation researched what marked out their people as destined for the top. They isolated three key qualities for success in corporate life: gravitas, communication and appearance. Gravitas mattered most, with 67% of those surveyed naming it as the crucial quality.

Gravitas marks you out as having what it takes to lead. And if you want to understand how gravitas works, and to harness it in your life, the best place to start is the ancient world. Gravitas is a Roman word which translates dignity, impressiveness, seriousness, influence, weight and presence. And what the Romans understood but the modern world seems to have forgotten is that, to borrow from Roman Emperor Marcus Aurelius, it's possible for all of us to learn to "carry yourself with authority."

In my book "Gravitas: Communicate With Confidence, Influence and Authority (Random House) 2014," I explore what the ancient world has to teach us in the modern age about unlocking our innate gravitas.

And if I were to share the absolute essential aspect of gravitas to success in leadership it would be your ability, as "pilot of the plane," to handle turbulence. Stability is the essence of gravitas. Stable equilibrium is defined in physics as, "A state in which the body tends to return to its original position after being disturbed." This inner emotional ballast is also key when it comes to gravitas. The Sanskrit word "guru" means "weighty one," implying someone who cannot easily be knocked over. This stability -- emotionally, psychologically, physically -- is key to your gravitas.

I learned most about this principle from a coach called Yoda (his nickname because of the wisdom he exudes). Yoda transforms the people he works with -- from having jerky, twitchy faces and voices and the knee-jerk reactions of people trying to cope with unsustainable workloads and stressful demands, they take on a far more grounded, centered presence; they seem wiser, more resourceful; and they get results -- big time.

So, of course, I asked Yoda his secret. What became clear was that Yoda was teaching his clients that you have to be aware of and able to lead yourself before you effectively lead others. Yoda told me a story about one of the young leaders at managing director (MD) level. The MD was focused and ambitious and had started to do the mindfulness practice Yoda had suggested for him. At the beginning of each day he'd spend 10 minutes becoming calm and centered.

It paid off. One day he found himself confronted directly by the chairman in a board meeting. Yoda watched as three times the chairman attacked the young MD's ideas. Each time the MD calmly and confidently held his ground, swinging the discussion round to his point of view. The chair, disarmed by the MD's calm, graceful and focused response to his attack, started to listen. He agreed to the MD's recommendations.

Later that day the MD got a call from the CEO of the organization, who'd watched this exchange of views in the board meeting: "We've got 10 new jobs going in the management restructure, which one do you want?"

By staying present and steady the MD had communicated his ideas without creating an argument and without caving in. He'd held his ground and found his stability even as the political terrain shifted. He had emanated gravitas. Others noticed and his life changed as a result.

Leadership of the self starts with knowing yourself. As Yoda told me, self-awareness is key: "It helps you find a deep and compassionate center in yourself where you're not dislodged or anxious because of what's going on around you. You've got an internal source -- your capacity, your own intelligence. When you learn to rest into that ... it expresses itself through your voice and your own consciousness."

As the Romans understood very well, your ability to manage yourself is a reflection of your leadership of a wider sphere. If you can be trusted to stand firm under pressure it suggests you might be able to manage others. And as the ancient world understood, calming the body is as key as educating the mind. In modern times you'd do well to learn from them if you want to make your way to the C-Suite.

READ THIS: How to channel anger, lust and greed

READ THIS: Five ways to resign in style

The views expressed in this commentary are solely those of Caroline Goyder.

@highlight

Senior executives have named gravitas as the key quality for business success

@highlight

Caroline Goyder says everyone can learn how to carry themselves with authority

@highlight

She says that the ancient world can help executives unlock their inner gravitas

@highlight

"Leadership of the self starts with knowing yourself," adds Goyder