Beijing, China (CNN) -- One of my first jobs in China was teaching English through songs on CCTV, China's national television station.

That was in 1979, when the People's Republic was just coming out of the tumultuous Cultural Revolution. Ordinary Chinese still wore drab Mao tunics, and top officials debated whether the foreign cultural influences seeping into China were "spiritual pollution."

Still, the CCTV station producers wanted to use national television to popularize English language, and they wanted a light program.

I was recruited to join a group of amateur musicians to produce "Let's Sing," a series of 30-minute specials to complement its weekly program, English on Sunday. Along with three Chinese performers, I would strum my guitar and sing English songs, including "Clementine", "Puff, The Magic Dragon" and "El Condor Pasa." Viewers learned new words, grammar and syntax as they learned the songs.

Station producers closely vetted the lineup of songs and narration we prepared. They vetoed a few, including Bob Dylan's "Blowin' in the Wind." We produced 10 shows, which aired for weeks and replayed many times. We became local celebrities, occasionally recognized and stopped in Beijing's shops and alleys. Even today, the odd Beijing resident occasionally stops me and says he or she first learned English through my TV show.

"It opened a new world to me since you guys were always in costumes and staged the shows differently," recalled Karen Cai, who watched the show as a Beijing high school student. "I remember you clearly because you usually played hero or prince-like role. Until the launch of 'English on Sunday,' I did not have the opportunity to watch people speaking English without any Chinese translation."

English -- and other foreign languages -- were virtually taboo when I first arrived in China in 1971. Years earlier, foreign-language books were burned or impounded as "poisonous weeds." Only authorized translators and academics dared to use English.

President Richard Nixon's China visit in 1972 caused a brief "English craze". The late Premier Zhou Enlai, who had lived abroad in his youth and spoke a bit of English and French, encouraged this and even launched a program where young children of Chinese elite were sent to the U.S. to live with families and attend local schools to learn English.

Some Chinese schools taught English, but students' vocabularies were limited to rudimentary greetings ("How do you do?") and political slogans ("Long live Chairman Mao!"). When the Cultural Revolution reached another xenophobic height in the mid-1970s, English again became politically incorrect.

English regained popularity after Chairman Mao died in 1976 and Deng Xiaoping launched his economic reforms and opened China to the outside world.

In today's China, English is king. "It's important to get a good job and even just get information from various sources," says Chen Lu, a 19-year-junior at Peking University. "It gives me an advantage in a very competitive environment." More than 400 million Chinese, about a third of the total population, are studying English, says China Education Daily.

China's rapid economic growth and the boom in global trade and tourism have made fluency in English a much-valued commodity. Small wonder that pushy parents in Beijing are willing to fork out 300 RMB ($45) for a six-hour English course in schools who have hired native speakers from the U.S., U.K. and other Western countries.

"They want to learn another language to be more adaptable to an increasingly global world," says Mikala Reasback, an American college graduate who came to China to teach English. "It's usually upper middle class and elite families sending their children to private lessons and taking adult lessons."

An English language teaching industry has flourished, involving universities, foreign-financed training institutes and countless private language schools. The market for China's English teaching business, experts estimate, has doubled in the last five years to over $3 billion.

However, experts say, the quality of teaching varies widely, citing the need to set up a credit-rating system. The rush to learn English has also created a shortage of good English teachers, especially native speakers.

Reasback, who taught in a private language school in Beijing for four years, says that compensations for teachers vary widely. Most legitimate companies offer from $1,200 to $1,800 per month (before taxes) for a 40-hour work week. They also cover visa fees, paid national holidays and an end of contract repatriation bonus.

However, she tells CNN, the rates of pay vary from city to city -- English teachers in Chengdu or Qingdao are paid less than those in Beijing. In some cases, English teachers are given housing allowances and reimbursed for medical expenses but, Reasback says, these have to be negotiated in contracts.

English-teaching has apparently become a popular if not lucrative profession in China. Who would have thought? When I was recruited to teach English songs on Chinese TV, we did not negotiate nor signed a contract. I was all too glad to be paid the equivalent of $10 per program and fed steamed pork buns during the taping.

@highlight

In 1979, CCTV producers sought to use national television to popularize English

@highlight

Bob Dylan's "Blowin' in the Wind" was among vetoed songs

@highlight

English had been virtually taboo when FlorCruz first arrived in China in 1971

@highlight

Rush to learn English has created a shortage of good English teachers