BEIJING, China (CNN) -- China in 1978 was stranded at a political crossroad. It was just emerging from the chaos of the Cultural Revolution and the death of Chairman Mao. Deng Xiaoping had emerged as the new leader, but Mao's dogma remained deep-rooted and seemingly immutable. In and outside the Communist Party, a debate raged: Where to, China?

CNN Beijing Bureau Chief Jaime FlorCruz worked on a farm in China's Hunan province during the 1970s.

On December 18, 1978, Chinese leader Deng Xiaoping gave his answer. In a Communist Party meeting in Beijing that day, the political elite adopted Deng's pragmatic program and launched economic reforms. New China was born.

People paraded in the streets to celebrate. Families gathered around the dinner table, uncorked wine bottles and toasted each other.

Thirty years hence, China's radical makeover is apparent.

China now is nothing short of an economic miracle. Its economy has grown at an average of 9.8 percent since 1978, making it the fourth largest economy in the world. Incredibly, China has pulled off the equivalent of reform, renaissance and industrial revolution in 30 years.  Watch what Deng unleashed »

It's incredible because only three decades ago China was so poor and isolated.

I saw it up close when I worked on a farm in Hunan province, Chairman Mao's hometown, not long after I first arrived in China in 1971. For several months, I worked there with a production team planting rice, picking tea leaves, feeding pigs and digging ditches. Farmers worked hard and lived Spartan lives. Once, I attended a meeting to honor model workers; they were awarded bath towels and wash basins.  Watch FlorCruz describe China's transformation since his arrival in 1971 »

Today, my Hunan workmates have retired or changed jobs. The farm has disbanded, hit by the squeeze in state subsidies and by local and global competition. It has sold off its land to the local government and to real estate developers.  Watch as China marks 30 years of reform »

Thirty years ago, there was little international trade. There were few tourists and few cars, but there were millions of bicycles on the streets. Now the streets are jammed with cars, and the air is polluted with fumes, grit and noise.

Beijing's neighborhoods used to be very quiet. Residents lived simple lives mostly in walled courtyards. A seven- or eight-story building was considered unusually high. Now they are dwarfed by skyscrapers which house fancy shopping malls and outlets like McDonald's, KFC and Starbucks.

Fashion used to be just as simple, and utilitarian Regulation attire was the so-called Mao jackets in blue, green and gray and baggy pants of the same colors. The unisex look was the norm. Now street fashion is varied and colorful, if not always chic.

Virtually everyone had a job 30 years ago, but they earned little money, and there was little to buy. Supplies of basic commodities were so tight that residents were doled out ration coupons, required to go with cash to buy cotton jackets and clothes, grain, and cooking oil. No coupons, no transaction.

Consumers in the late seventies coveted the so-called "four big things" -- a radio, a bicycle, a sewing machine and a wristwatch. And they were available only in special shops, like the Friendship Store. Now the new "big things" would include a Mercedes Benz, an apartment and a week-long vacation in Bali or Hawaii.

All this would have been inconceivable 30 years ago.

But Deng Xiaoping did conceive. Fondly remembered as the "chief architect" of China's reform and open-door program, he envisioned a modern, prosperous China and pointed the way forward.

Deng's reforms set off a series of seismic changes, starting in the countryside with the disbanding of the people's communes. He admonished farmers to work hard and get rich. The farmers responded enthusiastically. Later, Deng shifted the reform to the cities by experimenting with capitalism in designated Special Economic Zones and then spreading it nationwide.

Deng's reform was hailed as a Second revolution. When I worked as a reporter for Time Magazine (1982-2000) the magazine honored him as Time's Man of the Year -- not just once but twice.

There was opposition along the way. There was backlash from the Left and from the Right, as China oscillated from free-wheeling capitalism to puritanical communism. That's why there were political campaigns in and outside the party, like the one against "bourgeois liberalization" in the 1980s. And that was largely why the Tiananmen protests happened in 1989.

China has come a long way, but in my interviews with Deng's political successors, they made it clear that China will have to proceed cautiously and change step by step. "Cross the river while feeling the pebbles under the water," was the aphorism proposed by the former premier Zhao Ziyang. Why the caution? When I interviewed then President Jiang Zemin in 1999, he explained why. "There is no encyclopedia that China could simply copy and follow," he said.

China's reforms have brought about remarkable achievements, but they also triggered unintended consequences: rising unemployment, growing income gaps, environmental degradation, corruption, rising criminality and social unrest. China has done the easy part.

Now comes the hard part. China is facing the ripple effects of the global economic downturn: Chinese exports are declining, factories are closing down, workers are laid off en masse. China's leaders are facing one of the worst economic crises in 30 years.

It will take 30 years and more for China to find the right development model so it could change steadily without losing its national identity, ruining its environment and disrupting social and political harmony. Only then can they fully realize Deng Xiaoping's goal of a modern and prosperous China.

@highlight

China has undergone a radical makeover in the 30 years since Deng's reforms

@highlight

CNN's Jaime FlorCruz remembers China as being poor and isolated

@highlight

Beijing has transformed from quiet neighborhoods to a city of skyscrapers

@highlight

Deng disbanded communes, opened Special Economic Zones, touted capitalism