(CNN) -- One year ago, Tunisian fruit vendor Mohamed Bouazizi torched himself out of economic despair, and the news of his desperate act spread like a brushfire across the North African country, through the rest of the Arab world and around the globe.

His plight touched a chord in Tunisia, stirring popular anger and protest. Less than a month after the self-immolation, Tunisian President Zine el Abidine ben Ali was ousted from power.

The Tunisian revolution emboldened Egyptians. Salman Shaikh, director of the Brookings Doha Center and fellow at the Saban Center for Middle East Policy, constantly heard about Bouazizi and Tunisia in the Egyptian capital of Cairo. They couldn't believe that such open protest to a long-standing dictatorship could unfold. Subsequently, an Egyptian uprising took hold and President Hosni Mubarak was ousted from power.

In another corner of the Arab world, Ibrahim Mothana, a Yemeni activist, said the self-immolation and the ouster of Ben Ali stunned his fellow Yemenis because citizens actually confronted "a police state, where you cannot react." After months of massive demonstrations, Yemen's President Ali Abdullah Saleh is now on his way out of office under a power transition plan brokered by a coalition of Gulf Arab states.

"I think he resonated everywhere," Shaikh said. "As the narrative was told, as the story was told it did strike a chord with so many Arabs."

Bouazizi was an unknown street vendor struggling to feed his family by selling fruit, earning the equivalent of barely $10 a day as he pushed his cart through the streets of Sidi Bouzid in central Tunisia.

Tunisian on life one year later: No fear

On the morning of December 17, a female municipal inspector named Faida Hamdy accosted Bouazizi. An altercation erupted during which the inspector seized Bouazizi's produce.

After the incident, the humiliated fruit vendor repeatedly tried and failed to get the attention of town officials. Finally, he purchased fuel, doused himself with it, and lit a lethal flame outside the gates of the governorate building.

"These government inspectors used to confiscate our goods and demand bribes," says Bouazizi's uncle Ridha, who also operates a fruit cart in downtown Sidi Bouazid. "It was because of their tyranny that Mohamed set himself on fire."

Almost immediately, protests erupted in Sidi Bouzid and then quickly spread to other cities and towns across the country. Bouazizi died of his injuries in a hospital on January 4.

On Saturday, thousands of Tunisians gathered in the streets of Sidi Bouzid to celebrate the first anniversary of the uprising. A monument featuring Bouazizi's fruit stand was inaugurated and political leaders honored the man for his sacrifice.

"Thank you Sidi Bouzid, for the freedom we enjoy today," said Tunisia's new president, Moncef Marzouki.

Marwan Kraidy, a professor at the University of Pennsylvania and the American University in Beirut, said Bouazizi was "definitely the catalyst of the Tunisian revolt, which due to its success catalyzed the Egyptian uprising."

"The incident went viral because of the intense global media coverage of the Tunisian revolt," Kraidy said. "Every time the unfolding events were covered, readers, listeners and viewers were reminded of the fruit vendor who immolated himself and became a symbol for a population fed up with injustice and oppression."

Tunisian journalist Zied Mhirsi, who is one of the founders of a news website called tunisia-live.net and is a stringer for CNN, said local politicians helped forge the image of Bouazizi and it evolved into what has become a "universal story."

As protests unfolded after Bouazizi's self-immolation, the government could have reacted the way politicians do in the United States and other Western nations, Mhirsi said. They could have staved off popular discontent by immediately promising to look into the incident and its underlying causes and come up with a solution.

But instead, Mhirsi said, the government cracked heads and shot protesters.

"The government lost the battle when they used real bullets in a country where we did not see a gun. Here we have the government shooting people with real bullets. That was something that fueled the insurgency," Mhirsi said.

Eric Goldstein, North Africa researcher at Human Rights Watch, said there were other incidents in Tunisia that "could have lit the flame," but this one united a series of elements with which people could identify, such as day-to-day injustices and police harassment.

Bouazizi was part of a younger generation that saw no future and he came from the interior of the county, a region long neglected and the object of contempt, Goldstein said.

"He was Joe Tunisian," Goldstein said. "There had been other self-immolations. This one just captured the imagination of Tunisians, both the elites and the ordinary Tunisians."

Goldstein said it soon dawned on people across the region that if Tunisians could oust their dictator, they could do it, too. "It's not just the Bouazizi example. It was the whole Tunisian thing that happened so quickly that inspired them."

The protests that began after Bouazizi's death were apolitical and spurred by the lack of jobs.

But the president claimed the protests were stirred by terrorists and outsiders, and the government cracked down, a reaction that reflected a regime that never faced "genuine challenges from below," Goldstein said.

"Tunisians were repelled by that kind of explanation," he said.

Even though Ben Ali eventually visited Bouazizi in the hospital and said he'd create more jobs, the damage was done.

"Every step of the way he had to catch up, but he was always five steps behind," Goldstein said of Ben Ali.

Shaikh said Bouazizi was seen as a man who struggled and tried to do the right thing, Shaikh said, but he wasn't born into the right clan or elite and was under the thumb of a dictatorial regime.

The fact that he was a well-known market vendor also contributed to his story, Shaikh said, noting that "he was somebody quite well liked and struggling. Market vendors get to know a lot of people. That contributed to his recognition."

Like much of the Arab world, he was a young person who had to contend with a tilted playing field.

Mothana said the uprisings across the Arab world would have happened with or without Bouazizi's act, noting that this "didn't come out of the blue." It was a "boiling point" reflecting the range of indignities common across the region.

Outside the Arab world, people watched the uprisings unfold. Bouazizi posthumously received the European Parliament's Sakharov Prize for Freedom of Thought, one of five winners honored for their role in the Arab Spring.

The once-unknown fruit vendor's actions stirred hope and courage, and that, Shaikh said, is part of his legacy.

"If there are certain actions these regimes are taking which are beyond the pale, people are not willing to accept that," Shaikh said.

@highlight

NEW: Tunisians celebrate the first anniversary of the uprising

@highlight

Mohamed Bouazizi's self-immolation spurred change

@highlight

Egyptians were emboldened by the Tunisian revolt

@highlight

Bouazizi posthumously won the Sakharov Prize