(CNN) -- Mali is a ticking time bomb.

Once hailed as a model of democracy in Africa, a coup and an uprising of Islamist militants in the north threatens to create an arc of instability for the continent.

The militants have destroyed ancient shrines, once a major draw for Islamic scholars from around the world. They have banned music.

And reports of human rights abuses grow daily, including the public stoning death of a couple accused of having an affair.

International leaders, concerned that al Qaeda will capitalize on the chaos and set up a haven there, are considering sending troops to Mali soon to reclaim a large portion of the north from extremists.

What's the story behind the instability?

Mali gained independence from France in 1960. The landlocked West African nation went through growing pains after independence, including droughts, rebellions and years of military dictatorship. It held its first democratic elections in 1992, and had a strong democracy for the most part.

That was until March, when a group of soldiers toppled the government, undermining the nation's growing economy and relative social stability.

What led to the coup?

A group of outraged soldiers accused the government of not providing adequate equipment to battle ethnic Tuareg rebels roaming the vast desert in the north.

On March 22, a riot erupted at a military camp a few miles from the presidential palace in the capital of Bamako. Disgruntled soldiers marched to the palace.

A few hours later, a soldier appeared on state television and said the military was in control of the nation. The president was nowhere to be found.

The Tuareg rebels took advantage of the power vacuum and seized some parts of the north. They have always wanted independence, and have staged several rebellions since the 1960s.

After Libyan leader Moammar Gadhafi was killed and Libya plunged into chaos, his weapons became available. The Tuareg -- many of whom fought for him -- seized them and took up arms against the Malian government.

How did the north end up in the hands of Islamist militants?

After Tuareg rebels seized it, a power struggle erupted with local Islamist radicals. The Islamist extremists toppled the tribe and seized control of two-thirds of northern Mali, an area the size of France.

Various factions of al Qaeda-linked militants are reportedly in the area, including Ansar Dine.

The international community is also worried that al Qaeda's north African wing is expanding into Mali.

U.S. officials have said that the wing, the al Qaeda in the Islamic Maghreb, is linked to the deadly Benghazi attack that killed the U.S. ambassador to Libya and three others.

Why does the instability concern the international community?

The international community is concerned that al Qaeda will capitalize on the chaos to set up a haven there. The area is remote and hard to access, making it an appealing location for the militants.

Tuareg rebels have retreated from the well-armed militants, but have vowed to fight back against the Islamists. The Tuareg want their own country in the north, which they call Azawad.

And as the world seeks a solution, the Islamist militants are busy applying their strict interpretation of sharia law.

What are some of the human rights concerns in Mali?

Islamists controlling most of the north have vowed to impose a stricter form of Islamic law, or sharia.

"We don't have to answer to anyone over the application of sharia," Islamist commissioner Aliou Toure said in August.

Locals are not receptive to the extreme interpretations; they practice a much more relaxed form of Islam. Some have taken to the streets in protest.

As part of their new laws, the radical groups banned music, a major setback for a country known for "Festival au Desert," where acts like Robert Plant and Bono have performed. They've also said no to smoking, drinking and watching sports on television.

At least four times this year, the militants have destroyed Timbuktu's historic tombs and shrines, claiming the relics are idolatrous. The picturesque city was once an important destination for Islamic scholars for its ancient and prominent burial sites.

Rights groups have expressed concerns of mounting human rights abuses.

The militants are compiling a list of mothers who've had children out of wedlock, raising fears of cruel punishments, according to the United Nations.

They have also condemned relationships outside marriage, and publicly stoned a couple to death in July for reportedly having an affair. Terrified residents watched quietly.

Public executions, amputations, floggings and other inhuman punishments are becoming common, the United Nations says.

Is military intervention next?

West African states and international leaders say a rapid military intervention is essential to solving the security crisis. During a meeting in the Malian capital on October 19, the U.N. deputy secretary-general said the world body is ready to bring military planners and security advisers.

The meeting was a followup to an October 12 resolution by the U.N. Security Council that gave regional leaders 45 days to provide detailed plans for an international military intervention

"This is a threat we cannot afford to take lightly, and the danger extends far beyond Africa," said Nkosazana Dlamini-Zuma, chief of the African Union Commission. "The sooner we deal with it, the better."

What is the public opinion on military intervention?

Opinions are varied.

Malians for and against military intervention have protested in recent days, highlighting a divide in the citizens' outlook.

While some analysts agree quashing the rebels is vital, they are urging caution.

"The human cost could be high -- fighting urban warfare in cities against an enemy who does not wear a uniform and can easily blend into the civilian population," said Ayo Johnson of ViewPoint Africa, which sells content on the continent to the media. "There will be many casualties and civilian deaths caught in the crossfire."

Johnson said the influx of refugees streaming to bordering nations will be a burden on neighboring host countries already dealing with lack of adequate services such as health care, schools and water.

In addition to the fleeing the conflict, throngs of Malians are living in neighboring nations to avoid a food shortage affecting the Sahel region. More than 16 million people in the Sahel region are affected by the food shortages and malnutrition, according to the United Nations.

@highlight

Mali, once hailed as a model of democracy, is a time bomb

@highlight

Northern parts of Mali have been taken over by Islamist extremists

@highlight

Militants have destroyed ancient shrines, banned music