London (CNN) -- It's the time of year when hammers are poised at the world's major auction houses and the strength of the art market for the coming year is tested.

Following a trend set in the last few years, Impressionist and Modern works of art are likely to be the big sellers.

"Impressionist and Modern art has been very strong for a number of years, but it seems to be getting stronger and stronger," said Deborah Allan, Head of the Impressionist & Modern Art Department at Bonhams auction house in London.

"It's amazing really, even with the huge financial problems that have been happening worldwide," she said.

Bonhams clocked sales for works by Pierre-Auguste Renoir, Camille Pissarro, Amedeo Modigliani and Pablo Picasso at their Impressionist and Modern Sale Tuesday.

The star lots included a Modigliani portrait of a woman and a Picasso painting of Notre Dame in Paris, which sold for £1.3 million and $1.4 million (£825,250 and £864,450) respectively, both just shy of their $1.6 million upper estimates.

On the same day, three works of art from the Elizabeth Taylor collection fetched a combined £13.7 million ($21.7m) at Christie's auction house, more than doubling their pre-sale low estimate of £6.2 million.

An additional 35 works from the film star's fine art collection will be offered for sale on 8 February as part of Christie's continuing sales series devoted to Impressionist and Modern Art.

Over at Sotheby's auction house in London, auctioneers also anticipate a healthy sale Wednesday, with star lots in the form of paintings by Claude Monet and Austrian painter Gustav Klimt.

Dating from 1901, the painting by Klimt depicts the shore of a lake, bordered by birch trees, and is estimated to sell for between $9.5 million and $13 million (£6 million and £8 million).

It is particularly unique because it has been in the same family collection for over 100 years, said Helena Newman, Chairman of Sotheby's Impressionist and Modern Art, Europe.

See also: Leonardo: The man, the myth, the mystery

"(The painting) hasn't been seen in a public exhibition or appeared at auction and it's rather exciting for the market place because that sort of thing only happens very rarely," she said.

Interest in the Viennese symbolist painter, perhaps best-known for his 1907 painting "Adele Bloch-Bauer I" -- which sold in 2006 for a reported $135 million, at the time the highest sum ever paid for a painting -- has been steadily growing these last few years.

A landscape painting by Klimt, which had been stolen by the Nazis and eventually returned to the heir of the original owner, sold at Sotheby's in New York in November 2011 for $40.4 million.

With 2012 marking the 150th anniversary of the artist's birth, it is quite possible that the 1901 work "Lakeshore with birches" will smash its upper estimate at Sotheby's on Wednesday.

Also included in the sale is a painting of a snowy landscape by Impressionist artist Claude Monet, which like the Klimt is entering the market after a long period -- nearly 100 years -- in a private collection.

It is expected to sell for between $7 million and $10 million (£4.5 million and £6.5 million).

"It's from the mid-1880s, when Monet was at Giverny," said Newman of Sotheby's.

"There was an account of some snow falling and (Monet) immediately muffled himself up and went out and put his easel on the road in order to capture en plein air the extraordinary effect of the light," she explained.

Despite a rocky year in the financial markets, Newman believes that the range and depth of works in the sale at Sotheby's reflects confidence in the market.

See also: Picasso, Mondrian works stolen in Athens heist

"Sellers have recognized that there is a huge global demand for a whole range of collectors both established and relatively new who are looking to buy top quality material of Impressionist and Modern art," she said.

Allan at Bonhams echoed this, saying that the market for Impressionist and Modern art is particularly strong because as less great works with historical provenance come on the market, they become more and more expensive.

"I think also with the true globalization of buyers, (the market is now) so international, and with the internet and internet bidding, it's so easy to access our sales (and) it's really changed the market," she said.

And paintings by Impressionists escape a recently implemented EU Artist's Resale Right Directive, which applies to European artists who have died in the past 70 years as well as living European artists -- though Newman doesn't believe the charge, which caps at a maximum of 12,500 Euros ($16,500) on a transaction, will deter buyers.

"The average lot value in our evening sale is £1.5 million ($1.9 million) so in the grand scheme of things I don't anticipate that it will have a measurable effect," said Newman.

@highlight

Impressionist and Modern auction sales kick off in London; will test the strength of the global art market

@highlight

Popularity for Impressionist and Modern artworks still high, in spite of problems in the global financial markets

@highlight

Star lots of sales at Bonhams and Sotheby's include paintings by Monet, Klimt, Modigliani and Picasso

@highlight

Prices stay high because of rarity of great works by Impressionist and Modern artists with historical provenance