Early one eastern Congolese morning six months ago, Josephine was sleeping in her hut, dreaming about selling her crops. She heard people singing victory songs, thinking it was part of her dream, but gunshots jolted her awake. She could see in the light of dawn that the next village was on fire. She saw people fleeing toward her village, some being shot as they ran.

She quickly herded her four children into the tall grass, where others from her village were already hiding. They watched their village torched by the singing militia, known as Raia Mutumboki, a branch of which is allied to the M23, the latest rebel group to plunge the Congo into full-scale war.

During their first day of hiding, Josephine sent her eldest son, Emmanuel, back to the village to get food from their storehouse. He was discovered and shot. The militia began to hunt the villagers in the tall grass, again singing victory songs, using hoes and machetes to kill whomever they caught. The survivors walked for days to a displaced persons camp, where Josephine's second son, Avarino, died of malaria.

"I can't understand how human beings can treat other human beings this way," Josephine said.

This story echoes what so many have suffered through during 16 years of eastern Congo's war, the deadliest since World War II, nearly 70 years ago, with about 6.9 million deaths, based on a New York Times estimate in 2010. On Sunday, the Democratic Republic of Congo and other African states are due to sign a framework agreement that aims to build a foundation for regional peace.

That so many African states -- along with the United Nations, African Union, European Union and United States -- are uniting in an effort to address the roots of conflict in Congo is an encouraging development. The signing of this framework deal doesn't end the war in Congo, but rather it provides a starting point for a global effort to try to end finally the world's deadliest conflict.

Four important changes are under way in Congo today, giving this initiative a better chance than its predecessors.

First, for decades all of the benefits of eastern Congo's vast mineral resource wealth have gone to those with the biggest guns -- the Congolese army, local militias or neighboring countries. These minerals include, among others, gold, cobalt, copper, tin, industrial diamonds and coltan, used in cell phones, laptops and other electronic devices.

But U.S. and European consumer demands for a conflict-free minerals trade, congressional legislation, International Monetary Fund aid suspensions, U.N. experts' reports, responsible investors and other influential voices are making it harder to profit violently and illegally from mineral smuggling.

Second, regional support for armed groups inside eastern Congo has been a staple of the ongoing cycle of war there for years. For the first time, the international community is imposing meaningful consequences for evidence of cross-border weapons supply. Rwanda strenuously denies involvement, but some donors have suspended aid programs to that nation and will continue to do so until the evidence shifts toward solutions.

Third, until recently, accountability for war crimes wasn't part of the discussion despite some of the worst crimes against humanity being committed globally since World War II. But calls for international justice have intensified inside Congo and beyond, and accused war criminals are beginning to face sanctions.

Fourth, calls for the reform of a U.N. peacekeeping mission that costs more than $1 billion are increasing. Refocusing the mission on eradicating the worst armed groups, demobilizing rank-and-file combatants and helping to reform Congo's army would go much further than the present mandate. Africa has pledged 4,000 new combat troops to deal with the worst militias, and change can start with them.

When I asked Josephine why all this was happening, she replied, "The war is over the minerals, nothing else."

Although some would say that is oversimplified, it is undeniable that a major tipping point is approaching.

If the commercial incentives for the massively profitable minerals trade can be shifted from violent, illegal extraction to peaceful, legal development, Congo could enjoy a transition similar to those experienced by West African countries plagued by blood diamond wars a decade ago.

A soon-to-be-named U.N. "super envoy" should help construct a comprehensive peace process for Congo and its neighbors, building on the upcoming framework. With his history of concern over Congo, U.S. Secretary of State John Kerry could be helpful in this.

Two tracks seem necessary. One would involve an impartially facilitated national dialogue to address internal Congolese issues such as army and justice reform, decentralization, electoral frameworks, immigration, minority protections, land dispute adjudication, mining codes and other divisive issues. The other would be a regional process in which Congo and its neighbors could address shared security threats and negotiate cooperative investment and infrastructure arrangements that could ignite a real economic boom for Central Africa.

"People around the world should do all they can to stop those instigating war in my country," Josephine told me. "That is the only way we can be at peace. If I hear my village is at peace, I will drop everything and go home with my children."

Given the history of international looting of Congo's resources, we should help give Josephine -- and Congo -- that chance.

@highlight

Congo war, funded by conflict minerals, is the deadliest since World War II

@highlight

In Congo, John Prendergast heard of villagers slaughtered with machetes, families fleeing

@highlight

He says Western consumer demand for a conflict-free minerals trade is encouraging

@highlight

He thinks signs are hopeful as Congo, other African nations sign framework for peace