New Orleans, Louisiana (CNN) -- I'm standing in a land of culinary legends with steaming bowls of turtle soup, plates of deliciously seasoned Louisiana blue crabs, Creole cochon de lait, and too many delectable desserts to imagine swirling past on the raised trays of waiters.

The smell of some of the world's finest cooking fills the air, along with the steady hum of expertise as each piece of beef is seared, each shrimp broiled, each crusty baguette done to perfection.

This is the kitchen at the New Orleans landmark, Commander's Palace, where Paul Prudhomme, Emeril Lagasse and so many others have sharpened their knives and palates. And in the cherished seat of executive chef these days, Tory McPhail knows he is not merely presiding over a history of gastronomic excellence, but also building up a cornerstone of this city's comeback from Katrina.

Almost unbelievably, there are 300 more restaurants here than before the big storm. Sure, that is more competition, but chef McPhail says, "I embrace it! All these guys are opening up these little, tiny neighborhood funky spots, and I tell you this is really, really an exciting time to live here in the city. And the food is fantastic."

The restaurants, in this city so renowned for food, are leading the way in what has turned into a massively successful charge to reclaim the tourist trade wiped out by Katrina. Aggressive spending and marketing campaigns have seen attractions refurbished and facilities upgraded in almost every spot that tourists would normally go. For the Superdome, a $250 million makeover; for the Convention Center, $93 million in improvements; and $400 million has been spent refurbishing and building up hotels.

The result? Conventions that were feared lost forever are coming back in droves. Tourists are rediscovering the Crescent City in all its charms and debauchery (because face it, a late-night walk down the blaring carnival of Bourbon Street is still one of the highlights for many visitors), and all the numbers that city and state leaders count on are trending up. Tax revenues are up. Overall tourist spending is up. And perhaps most importantly in this beleaguered town, of the 85,000 jobs in the tourism industry before the storm, 70,000 have been recovered despite the recession.

Down at Jackson Square, with the iconic cathedral rising beside us, I hop onto a buggy with Willie Pickett, and his mule, Pierre, pulls us into the steady stream of tourists he relies on for fares all day. I ask him what he wants them to know about the city he grew up in. "I want them to know that we love them and we want them to keep coming back. And everything they like and love about New Orleans is just like it was before Katrina."

Beyond the tourist attractions, in some neighborhoods, problems persist. In the 9th Ward, the return has been much slower; sometimes plagued by problems in housing, insurance, bad contractors, and on the hottest, bleakest days, a prevailing sense of despair.

But everyone here knew that the No. 1 job-producing industry had to come back if anything was to get better, and that business, tourism, is rocketing forward. The year before Katrina was a record-breaker, with 10 million visitors and almost $5 billion coming to town. New Orleans is not back to that level yet, but it is are much closer than many had hoped.

At the Convention and Visitors Bureau, Kelly Schulz is paid to be upbeat, but she insists it's not just a sales pitch when she says, "Everything in New Orleans that was broken during Katrina is being fixed now; not only back to where it was before, but even better."

She tells me that convention planners from other states who swore they would never come back are now calling her for help with reservations.

As a former resident, I have some reference points. I know how incomparably lovely a streetcar ride to Uptown can be, followed by a long, lingering seafood dinner amid friends. I have walked all night in the Quarter, and enjoyed beignets nestled in mounds of powdered sugar as thick waves of fog rolled off of the river like something from a movie. I have danced until dawn in a steamy music club and walked out to the singing of mockingbirds and sunrise lighting up the live oak trees. In short, I have loved this town like no other for a lifetime.

So as I leave Commander's Palace, I walk across the street to a little art galley. Inside, it is cool.   The owner and some friends are chatting amid bright images of the bayous, wildlife and the town itself. I stroll around looking at the art, and through the windows at the neighborhood outside, and it is easy to see the beguiling charm coming through once again, the beauty and uniqueness that have drawn visitors here for 300 years, and five years after the disaster, is calling them down to the river again.

@highlight

New Orleans has 300 more restaurants than it did before Hurricane Katrina

@highlight

City has been aggressively rebuilding its tourism business

@highlight

Superdome has had a $250 million makeover

@highlight

70,000 of 85,000 tourism industry jobs have been recovered since '05 storm