Los Angeles (CNN) -- Dr. Conrad Murray's lawyers began presenting the defense case Monday, calling a doctor who testified that Jackson asked him for an intravenous anesthetic to help him sleep two months before his death.

A nurse, who began her testimony late Monday, is expected to testify Tuesday that Jackson asked her, also two months before he died, for IV infusions of the surgical anesthetic propofol.

The prosecution rested its case in the involuntary manslaughter trial of Michael Jackson's doctor Monday morning with the conclusion of testimony by its anesthesiology expert.

Defense lawyers will use the next three or four days to challenge the prosecution's contention that Dr. Conrad Murray's alleged reckless use of propofol to help Jackson sleep makes him criminally responsible for the pop icon's death.

A Los Angeles doctor who treated Jackson off and on for about two decades for "his profound sleep disorder" testified that Jackson called him to his home to ask for help about two months before his death.

Dr. Allan Metzger testified that Jackson asked him for "intravenous sleep medicine," but he did not specifically name a drug. "I think he used the word juice," he said.

Jackson told him he needed an anesthetic delivered by IV because "he did not believe any oral medicine would be helpful," Metzger said.

Metzger said that despite Jackson's request, he only gave him a prescription for two oral sedatives to help him sleep.

The defense called Metzger in an apparent effort to show Jackson was seeking -- and getting drugs -- from other doctors at the same time Dr. Murray was working as his full-time physician.

The judge stopped the defense from asking Metzger questions about Jackson's visits to Dr. Arnold Klein, the dermatologist who gave Jackson Demerol injections during frequent visits to his Beverly Hills clinic in the months before his death.

Deputy District Attorney David Walgren used the defense witness to make the prosecution's point that using propofol outside a clinical setting is unacceptable.

"Is there any amount of money that would have convinced you to give him intervenous propofol in his house?" Walgren asked Metzger.

"Absolutely not," Metzger answered.

The defense then called Cherilyn Lee, a nurse who practices nutrition and natural remedies, who testified that she worked with Jackson to help his fatigue and insomnia from February through April of 2009.

After two months of using IV infusions of vitamins, "sophisticated" vitamin smoothies and bedtime teas, Jackson began asking for more help, Lee testified.

"His complaint was 'I have a problem sleeping and all the natural remedies and everything you're doing is not working,'" she said. "When I need sleep, I need to go to sleep right away."

The court session ended just before defense lawyer Ed Chernoff could ask Lee to describe what kind of help Jackson was asking for, but the nurse previously told CNN that he requested propofol.

"I told him this medication is not safe," Lee told CNN on June 30, 2009. "He said, 'I just want to get some sleep. You don't understand. I just want to be able to be knocked out and go to sleep.'"

Closing arguments could come as soon as Friday, depending on the length of the defense's case and the prosecution's rebuttal, but they could be pushed to next Monday, based on comments by lawyers and the judge.

Janet Jackson canceled shows in Australia to be with her family in Los Angeles for the final days of Murray's trial, but she did not arrive home in time to attend Monday morning's session.

She sat with her parents and several siblings during the first five days of the trial, but she has not been at court in nearly three weeks.

"After talking with my family last night, I decided we must be together right now," she said in a statement posted Sunday on her website, announcing that three shows this week in Melbourne are canceled.

The concert promoter told Jackson fans it was "important that Janet is with her family at this critical point in the hearing."

Katherine Jackson will travel to London next weekend to fulfill a commitment to attend the premiere of "Michael Jackson: Life of an Icon," a documentary about her son, an aide to Jackson said Monday. She agreed to the trip before it was known the trial could last into next week, Trent Jackson said.

The first three defense witnesses, called in rapid order Monday morning, were all police officers.

A Beverly Hills police officer, the first defense witness, testified that a 911 call routed through her department at 12:20 p.m. on June 25, 2009, asked for help at Jackson's Holmby Hills estate.

A Los Angeles police officer testified next about retrieving seven minutes of video from a security camera at Jackson's home. The video, shown to the jury, captured Jackson's arrival home from his last rehearsal just before 1 a.m. on the morning he died.

Michael Jackson fans sitting in court appeared to become emotional as they viewed the last video ever recorded of the pop icon alive, grainy security camera video of Jackson arriving home from his last rehearsal.

Murray's lawyers have said they plan to call about 15 witnesses, including three medical experts and several of Murray's patients from his clinics in Las Vegas, Nevada, and Houston.

Two other LAPD investigators were called to the stand by the defense Monday and testified briefly.

Randy Phillips, the head of AEG Live, is also expected to called by the defense.

Murray's lawyers have argued that Jackson was pressured by Phillips, whose company was promoting his comeback concerts in London, to show up healthy and on time for rehearsals or else the tour might be canceled.

Murray told detectives Jackson begged for his "milk," his nickname for propofol, after a sleepless night and just hours before he died from what the coroner has said was an overdose of the surgical anesthetic.

Murray, in a police interview, said he was using sedatives to wean Jackson from propofol, which he had used almost every night for two months to fight his insomnia. But after a long, restless night and morning, the lorazepam and midazolam had no effect, Murray said.

"I've got to sleep, Dr. Conrad," Murray said Jackson pleaded to him. "I have these rehearsals to perform. I must be ready for the show in England. Tomorrow, I will have to cancel my performance, because you know I cannot function if I don't get to sleep."

Murray said he gave in to Jackson's pleas and gave him an injection of 25 milligrams of propofol around 10:40 a.m.

The testimony of anesthesiologist expert Dr. Steven Shafer, concluded Monday morning, 11 days after he took the stand as the prosecution's 33rd, but perhaps most important, witness.

Shafer testified last week that there was no way Jackson got only the amount of propofol Murray said he did, based on the high level of the drug found in blood taken during his autopsy.

The "only scenario" to explain Jackson's death was that he overdosed on propofol infused through an IV drip set up by Murray, Shafer said.

The Los Angeles County coroner ruled that Jackson's death was a homicide, the result of "acute propofol intoxication" in combination with sedatives.

The defense contends Jackson self-administered the fatal dose, along with sedatives, without Murray knowing.

Shafer said the level of propofol in Jackson's blood taken during his autopsy could not have been from either Murray or Jackson injecting the drug, but only from an IV system that was still flowing when his heart stopped.

Prosecutors, however, opened the door for one scenario in which Jackson, not Murray, could have triggered the overdose.

"Can you rule out the possibility that Michael Jackson manipulated something to cause it to flow?" Deputy District Attorney David Walgren asked Friday.

"That's a possibility," Shafer said. But that is assuming Murray set up the drip and left Jackson's side, he said.

Would Shafer's opinion that Murray was responsible for Jackson's death change if he knew Jackson turned the drip on?

"No, if Michael Jackson had reached up, seen the roller clamp and opened it himself, this is a foreseeable consequence of setting up an essentially dangerous way of giving drugs," Shafer said. "It doesn't change things at all. It would still be considered abandonment."

@highlight

NEW: Jackson asked for "intravenous sleep medicine," Dr. Allan Metzger says

@highlight

NEW: Nurse Cherilyn Lee, who told CNN Jackson asked her for propofol, testifies

@highlight

Defense starts case after prosecution rests Monday

@highlight

Katherine Jackson may miss the verdict if the trial lasts into next week