(CNN) -- Between 1.5 trillion and 2 trillion tons of ice in Greenland, Antarctica and Alaska have melted at an accelerating rate since 2003, according to NASA scientists, in the latest signs of what they say is global warming.

This image shows the changing rate of mass in mountain glaciers on the Gulf of Alaska.

Using new satellite technology that measures changes in mass in mountain glaciers and ice sheets, NASA geophysicist Scott Luthcke concluded that the losses amounted to enough water to fill the Chesapeake Bay 21 times.

"The ice tells us in a very real way how the climate is changing," said Luthcke, who will present his findings this week at the American Geophysical Union conference in San Francisco, California.

NASA's Gravity Recovery and Climate Experiment, or GRACE, mission uses two orbiting satellites to measure the "mass balance" of a glacier, or the net annual difference between ice accumulation and ice loss.

"A few degrees of change [in temperature] can increase the amount of mass loss, and that contributes to sea level rise and changes in ocean current," Luthcke said.

The data reflects findings from NASA colleague Jay Zwally, who uses different satellite technology to observe changing ice volume in Greenland, the Arctic and Antarctica.

In the past five years, Greenland has lost between 150 gigatons and 160 gigatons each year, (one gigaton equals one billion tons) or enough to raise global sea levels about .5 mm per year, said Zwally, who will also present his findings at the conference this week.

GRACE measured that mountain glaciers in the Gulf of Alaska lost about 84 gigatons each year, about five times the average annual flow of the Colorado River through the Grand Canyon, according to NASA.

"Every few extra inches of sea level have very significant economic impacts, because they change the sea level, increase flooding and storm damage," said, Zwally, ICESat Project Scientist. "It's a warning sign."

Melting ice, especially in Greenland and the Arctic, is also thought to contribute to global warming, Zwally said. When the vast ice sheets and glaciers melt, they lose their reflective power, and instead, oceans and land absorb the heat, causing the Arctic waters and the atmosphere to warm faster.

"We're seeing the impacts of global warming in many areas of our own lives, like agriculture," Zwally said.

As an example, he cited the pine beetle infestation of this summer in the forests of Colorado and western Canada.

"They were believed to be spreading because the winter was not cold enough to kill them, and that's destroying forests," he said.

In the 1990s, Greenland took in as much snow and water as it let out, Zwally said. But now, about 15 years later, sea levels are rising about 50 percent faster, making the global climate situation even more unpredictable.

"The best estimates are that sea levels will rise about 18 to 36 inches by the end of the century, but because of what's going on and how fast things are changing, there's a lot of uncertainty," he said.

@highlight

About 2 trillion tons of ice have melted in Greenland, Antarctica, Alaska since 2003

@highlight

Lost amount of water could fill up Chesapeake Bay 21 times, NASA scientist says

@highlight

Most came from Greenland, where losses raised global sea levels .5 mm annually

@highlight

Scientist says sea levels rising 50 percent faster than 15 years ago