(CNN) -- You can take the man out of the uniform, but you can't take the uniform out of the man. Once a soldier, always a soldier. That's why, despite my cautious optimism regarding President Obama's recent announcement of the planned end of the Iraq war, I'm still a little wary. This isn't the first time a president has told me the war was over.

On May 1, 2003, my men and I were in Kuwait, waiting for orders to move into Iraq. A young rifle platoon leader in the infantry, I knew just enough to be both eager and nervous. Everyone knows what happened next: the aircraft carrier, the flight suit, the Mission Accomplished banner. A declaration of an end to major combat operations.

We thought our war had ended before it even began. Little did we know it was just starting. Our orders to move north were issued that very day. And very soon, we found the war we thought was gone, in the streets and alleys of Baghdad.

Eight-and-a-half messy years later, a war the American people were led to believe would only last a few weeks is -- in theory -- winding down. Historians will debate the question of whether it was worth it for generations.

Did it establish a stable democracy in the heart of the Middle East? No one can say for sure. Did it punish the deserving and bring justice to those that sought to do us harm? That's an even tougher one. Did it affect the Arab Spring? Perhaps, but so did Twitter. And can we really say the war is "over" when bombs are still going off and killing Iraqis, untold amounts of contractors are staying, and troops are still dying?

What can't be debated are the effects on those who did the fighting. More than 4,400 American families are forever shattered, having lost a son or a daughter or a mother or a brother. Over 32,000 service members were wounded in action physically. And the war lives on in the hearts and memories of every Iraq veteran, whether they've transitioned smoothly back to civilian life with a job or are still ravaged by their experience and in desperate need of help.

Make no mistake about it -- America has only started to pay for this war. It's like the hidden charges on bills from the cable company, they might not get you right away, but they'll get you eventually. Iraq veterans are young hard-chargers now, but as time passes, that will change, just as it does for every person. They will grow older, marry, have kids, and, if given the opportunity, grow into the New Greatest Generation title bestowed upon them. But that's going to take time, care and money.

Long term, it's estimated that these wars could cost between $600 billion and $1 trillion, to include the care for more than 2.3 million Iraq and Afghanistan veterans. Those are imposing numbers, to be sure, especially in this time of an economic recession and spiraling debt. But those numbers will only increase with time if we slash veteran program funding in a shortsighted rush, as some in Washington have begun chattering about.

Whether one agreed with the Iraq war or not, we all own it now. That's how our country works. Every single brave man and woman who wore the uniform overseas went over there wearing the American flag, representing us and our nation's ideals. Now, the time has finally come for all of them to return home on December 31, 2011. And a new front awaits back here.

One president began the Iraq war. Another ended it. But it was yet another commander-in-chief, President Lincoln, who said, "Let us strive on to finish the work we are in; to bind up the nation's wounds; to care for him who shall have borne the battle, and for his widow, and his orphan."

That work isn't done. And until it is, I won't consider the Iraq war over.

The opinions expressed in this commentary are solely those of Paul Rieckhoff.

@highlight

Paul Rieckhoff says he once was fooled into thinking the Iraq war was over

@highlight

After the "Mission Accomplished" speech, the real war began, he says

@highlight

Whatever happens after U.S. troops leave Iraq, the war will continue for America

@highlight

He says it could cost up to $1 trillion to care for the Iraq, Afghanistan veterans