(CNN) -- In this era of ever-accelerating technological development, we all tend to be so fixated on the gizmos of the future that we rarely take the time to think about the glorious technology of the past.

Fortunately, a treasure trove of rarities, oddities and tech "firsts" has been brought together -- including an experimental 17th century mechanical calculator, a hundred-year-old telephone and an incredibly rare, headline-grabbing Apple 1 computer -- to be sold at auction Saturday in Cologne, Germany.

While they may look dated today, the objects gathered by Auction Team Breker trace an evolution of technological thinking that stretches from the dawn of the industrial revolution through to the present day. It is a story of cutting edge tinkering; an inventors' hall of fame.

Basking in the limelight at the auction will be one of just six surviving functional Apple 1 computers -- a tech superstar which is likely to sell for a small fortune -- an estimated $400,000 -- propelled by bids from collectors, museums and Macolytes.

The Apple 1 was the first computer built by the California technology company. The computer was hand-assembled by Apple co-founder Steve Wozniak, who, according to legend, financed the device's construction by selling his HP-65 calculator (co-founder Steve Jobs also sold his VW campervan).

Approximately 200 of the devices were made, of which fewer than 50 are thought to remain -- and only six in working order.

Company founder Uwe Breker said the sale is "unique in presenting masterpieces from the spectrum of antique technology, from the 17th century to the 21st."

Long before the current era of computers, the inventor Blaise Pascal designed a mechanical calculator in 1642 -- regarded by many as the first decisive step toward modern microprocessors.

The "Pascaline" was operated with a stylus to turn digit-wheels. These wheels connected to a "display" on the top of the device which showed the result after each equation. A sliding rule could be shifted to change the function of the device from addition to subtraction. Multiplication and division were also possible (though very difficult to execute).

The Pascaline was a significant breakthrough at the time of its invention, demonstrating, as it did, how complex arithmetic could be carried out by a machine. Its introduction led to the development of mechanical calculators across Europe.

Only a handful of the original Pascaline machines still exist today -- most of which are held in museums. At auction Saturday will be a 20th-century reproduction, valued between $30,000 and $50,000.

Alongside the Apple 1 and the Pascaline will be an original Apple Lisa, one of the earliest computers to feature a graphical interface and mouse -- technologies which paved the way for desktop computing as we know it today. The Lisa was a commercial failure, in part due to its inordinately high price. Retailing at $10,000, it was significantly more expensive than rival IBM PCs.

Apple, for its part, owes much of its success to some of the early pioneering personal computers such as the SCELBI-8H -- a kit computer which was released in 1973. Its 8-bit Intel microprocessor was incredibly powerful at the time (though only a tiny fraction of contemporary processor power).

Just 200 or so SCELBI-8Hs were made, making them quite valuable. The SCELBI-8H up for auction tomorrow is expected to go for $20,000 to $25,000.

As well as early artefacts from computing's prehistory, the auction will feature a number of historical typewriters. A patent was lodged by Henry Mill for a typing device as early as 1714, but typewriters didn't go into mass production until the 1860s. Today it is difficult to see them as anything but antiquated, yet the invention of typewriters caused a revolution in writing.

A range of early typewriters will be sold, including an extremely rare 1895 Ford typewriter with a filigree copper grille valued between $13,000 and $20,000, an 1879 Crandall with gold-gilt highlights and mother-of-pearl inlay, and a rather more functional-looking 1994 Crown, with an unusual keyless design, which is expected to fetch between $11,000 and $15,000.

Another "first" to go under the hammer is a portable copying press devised by the legendary Scottish inventor of the steam-engine, James Watt. The laptop-sized invention allowed multiple copies of a document to be produced, something like a photocopier, with ink transferred from the original to moistened copying paper below via a pressure plate. The portable device was said to be a favourite of U.S. president Thomas Jefferson.

Of even greater significance to communication was the invention of the telephone in the mid-19th century. From its early experimental incarnations in the workshops of a number of inventors including Alexander Graham Bell, the telephone was in broad use by the beginning of the 20th century.

Could Bell have predicted how contemporary telephony, with cell phones, texting and Skype would look today? It's unlikely. But if you fancy picking up the low-tech progenitor of your iPhone 5 you could bid on a 1905 L. M. Ericson & Co desk telephone, known as the "coffee grinder" due to its circular shape and unusual lithographed decoration. It is expected to sell for up $13,000.

@highlight

Rare Apple 1 computer could sell at auction for $400,000

@highlight

Only 50 Apple 1 computers are thought to exist today

@highlight

Auction in Cologne, Germany will also feature early telephones, typewriters, calculators