United Nations (CNN) -- The United Nations Security Council in New York held an emergency session Thursday to discuss and condemn widespread rapes in eastern Congo, while the U.S. ambassador to the U.N. said she was troubled by a briefing on the attacks.

"We are horrified, and we are outraged, and that led us, in conjunction with the French, to request this detailed briefing this morning," said Susan Rice, the U.S. ambassador to the U.N., on Thursday. "It was a disturbing briefing, both for what we learned and what we don't know still."

The United Nations peacekeeping mission in eastern Congo was aware that Rwandan rebels were occupying villages in the region in late July and early August, but did not know of reports that the rebels were raping women in those villages, U.N. officials said this week.

Nearly 200 women were gang-raped by hundreds of Rwandan and Congolese rebels, humanitarian officials said.

Roger Meece, a representative for U.N. Secretary-General Ban Ki-moon, said the United Nations was alerted to rebel activity in the area but was not notified of the mass rapes.

"There was no particular question of an attack, much less the kind of events like mass rape," Meece said Wednesday.

But a senior United Nations official said Thursday that the U.N. was to blame for the incident and that the organization should leave the Congo if it could not protect civilians.

"We are guilty of a conspiracy of silence," said the official, who spoke on the condition of anonymity because he is a current member of the peacekeeping mission in Congo and is under orders not to criticize the U.N. publicly. "If we can't help civilians, there is no point in being here."

"These things happen all the time. It may not be 180, it may be 10, but it happens all the time," the official said. "Our colleagues are part of the problem--it's pretty bad."

"They take it for granted, that people in Congo just have to suffer," the official continued. "Some of the people in our hierarchy keep saying 'it's not going to change'... They just seem apathetic. It is very rare to meet anyone who wants to make a difference."

The United Nations did not reply to requests for comment on allegations Thursday evening.

U.N. officials said that an e-mail warning of rebel activities was sent to U.N. and other staff working in the area.

Madnoje Mounoubai, a spokesman for the U.N. peacekeeping mission in eastern Congo -- known by the acronym MONUSCO -- said the U.N. was first alerted to the rapes by humanitarian organizations on August 12.

The U.N., which maintains a number of peacekeeping bases in the region, made its first public comments on the attacks Monday.

But the account of the delay was disputed by the International Medical Corps, a non-governmental organization that operates in the region.  IMC spokeswoman Margaret Aguirre told CNN that her group informed the U.N.'s Office for the Coordination of Humanitarian Affairs about the rapes on August 6, a day after IMC representatives had visited the affected villages.

Rice said that she and the French ambassador asked many questions about the situation on Thursday.

"I just want to take this opportunity to reiterate from the U.S. point of view our strongest possible condemnation of the rapes and attacks that occurred against scores of innocent civilians," she said after the briefing.

Vitaly Churkin, of the Russian Federation and this month's Security Council president, said Thursday, "The members of the Security Council reiterated their demand that all parties with the armed conflict immediately cease completely all forms of sexual violence and all human rights abuses against the civilian population of the Democratic Republic of the Congo, including gender-based violence including rape and other forms of sexual abuse."

According to humanitarian organizations, rebels raided a network of villages in North Kivu province between July 30 and August 3 and raped 179 women. Many of them were gang-raped individually by between two to six men.

A U.N. peacekeeper military base was within 30 kilometers (about 19 miles) of the general area of the attacks, in the town of Kibua.

"We had regular patrols in this area during that period," Mounoubai told CNN by phone from Kinshasa Wednesday.

"Unfortunately, the villagers and the local authorities never brought this issue to our knowledge. If we are not informed, it will be difficult for us to know," he added.

Giorgio Trombatore, director for the International Medical Corps in the Congo, said he was among the first group of people to visit the site of the attacks.

"Two hundred to 400 armed men systematically pillaged and raped women in the villages," Trombatore said.

"The rebels entered, tried to calm the population down by telling them they came for food and rest, and so [they] shouldn't flee," he said. "Another group came at night and it was then they started harassing the population."

Armed men often raped the women in front of their children and husbands, IMC said in a news release.

"Large numbers of women reported being physically beaten before the sexual assaults, and some reported abuse of babies who were forcibly removed from their arms. The perpetrators simultaneously pillaged the entire village and smaller neighboring villages, before leaving."

During the four-day attack across 16 villages, according to the U.N., rebels from the Democratic Forces for the Liberation of Rwanda, as well as militiamen from the notorious Mai Mai movement, also looted villages.

An earlier report said three peacekeepers were killed and seven others were wounded, but those deaths and injuries stemmed from a previous incident.

Ban said Tuesday he was "outraged" by the attacks.

"This is another grave example of both the level of sexual violence and the insecurity that continue to plague the DRC," Ban said in a statement.

He has dispatched a senior representative -- Atul Khare, his assistant secretary-general for peacekeeping operations -- to the affected areas in and around Walikale, the epicenter of the rapes, to meet with victims.

Margot Wallstrom, the secretary-general's special representative on sexual violence, was expected to stop in Goma, the capital of North Kivu province, before going on to visit Walikale.

Churkin, the Security Council president, said the council welcomed the secretary-general's decision to dispatch a special representative to consult with authorities in Congo. That representative, Churkin said, would dig for facts about the rapes and assess what more could be done to ensure effective protection of civilians.

In Washington, State Department Secretary Hillary Clinton said Wednesday she was "deeply concerned" by the reports.

"The United States has repeatedly condemned the epidemic of sexual violence in conflict zones around the world, and we will continue to speak out on this issue for those who cannot speak for themselves," she said in a statement. "The United States will do everything we can to work with the U.N. and the DRC government to hold the perpetrators of these acts accountable, and to create a safe environment for women, girls and all civilians living in the eastern Congo."

Ban has called on Congolese authorities to investigate the rapes and bring the perpetrators to justice, and for the government to step up its efforts to ensure civilian security.  Officials with MONUSCO will hold an internal staff meeting between the civilian and military departments Thursday in Goma.

The Democratic Republic of the Congo was ranked as the fifth-worst failed state in the world in a 2010 listing created by the Fund for Peace and Foreign Policy Magazine.

Journalist Josh Kron contributed to this report.

@highlight

NEW: Top U.N. official: "We are guilty of a conspiracy of silence"

@highlight

U.S. ambassador to U.N.: "We are horrified; we are outraged"

@highlight

Rebels raped nearly 200 women in four days in eastern Congo

@highlight

United Nations says it was alerted to rebel activity but was not aware of the mass rapes