(CNN) -- When Egypt's first democratically elected president was tossed out this year, the White House stopped short of calling it a coup.

Doing so would have forced an end to the $1.23 billion that the United States sends in military aid a year -- and changed the course of its relationship with its strongest Arab ally in the region.

But that was before Wednesday, when the military-led interim government stormed two camps full of former President Mohamed Morsy's supporters. More than 525 people were killed and 3,717 wounded in the bloodiest day in Egypt's recent history, officials there said.

On Thursday, President Barack Obama condemned the violence against civilians and announced the United States is canceling next month's joint U.S.-Egyptian military exercises.

But will the carnage in Egypt spur more changes in U.S. policy toward the most populous Arab country? And might the hardening U.S. stance affect Egypt's own approach?

The short answer: We'll have to wait and see.

Mom's desperate text to daughter killed in Egypt

'A hornets' nest'

The United States helps Egypt in part because it's one of only two Arab countries -- along with Jordan -- that made peace with Israel.

In return, Egypt gets more than $1 billion each year in U.S. taxpayer money for military and civilian programs. No other country except Israel gets more.

That aid buys Washington an ally to depend on in a turbulent region.

The U.S. doesn't want to upset that balance. And pulling aid might do so.

"It's a hornets' nest. And that's why the administration is trying not to stir it too much," CNN's Fareed Zakaria said.

What experts say about the bloodshed in Cairo

Give up some to get some

But it's not just the peace process and regional stability that the United States is interested in.

Egypt controls the Suez Canal, a crucial sea route used by more than 4% of the world's oil traffic and 8% of all seaborne trade. So far, the canal is running smoothly. But a disruption there could end up hitting Americans in the pocketbook, not to mention affect the safe passage of U.S. military ships and equipment.

Then there's business for American companies, intelligence cooperation -- and the military relationship.

"The reality is that the Egyptian military has not only been a source of stability for the United States in an otherwise turbulent Middle East, but it has also been a cash cow," said Khairi Abaza, a senior fellow at the Foundation for Defense of Democracies.

"Currently, the Egyptian military relies on U.S. military equipment, training and services. This reliance means that Egypt is essentially a client of the U.S. military complex, and aid money is in fact re-injected back into the U.S. economy."

World urges Egypt to show restraint

All of the factors are enough to give the U.S. pause.

"We need to have a discussion about the costs and benefits of different relationships with the Egyptians, and the Egyptians need to have the same about their relationship with us," said Jon Alterman, director of the Middle East Program at the Center for Strategic and International Studies.

"If you want a different relationship, you have to articulate what that looks like, and accept you are going to have to give up some things to get other things."

'A really tough dilemma'

From the Obama administration's side, it's an "incredibly complex and difficult situation" that will require more time to figure out.

That's what White House spokesman Jay Carney said in July soon after Morsy was ousted, and reporters pressed him as to why the administration wasn't calling it a coup.

"It would not be in the best interests of the United States to immediately change our assistance programs" to Egypt, Carney said at the time.

Middle East analyst Robin Wright with the Wilson Center says the core issue is what our policy ought to be.

"The United States faces a really tough dilemma now," she said. "What to do about the most important country in the Arab world, the cornerstone of the peace process, a country that has received over $30 billion in U.S. aid since the peace process began in the late 1970s."

Cameraman killed in Cairo violence

Calls mounting

Some in Congress, including Republican Sen. John McCain of Arizona, already have called for halting the aid, saying the United States "should not be supporting this coup." McCain traveled to Egypt on August 5 along with Sen. Lindsey Graham of South Carolina. Both held meetings with representatives of the interim government and the Muslim Brotherhood.

Democratic Sen. Robert Menendez of New Jersey, chairman of the Senate Foreign Relations Committee, has said the United States hasn't committed much of this year's aid -- and that's a good thing.

"This is an opportunity to have a pause and say to the Egyptians, 'You have an opportunity to come together,' " he said. "You have to have the military understand that that's what we're looking for, a transition right away, as soon as possible."

Three choices

According to senior U.S. officials last month, the administration is examining three potential options:

-- Call it a coup and cut off aid.

-- Call it a coup and issue a national security waiver to allow aid to continue.

-- Don't call it a coup because the Egyptian military has taken steps to move the country toward a civilian transitional government and subsequent elections.

Now, officials -- both current and former -- recognize the climate is not encouraging.

'Time to call it a coup'

"I think it is time to call it a coup. I think it was time six weeks ago," former Assistant Secretary of State P.J. Crowley said Wednesday.

"Suspend military assistance so the military is invested in the process of rewriting the constitution, setting the parliament and electing a new president."

Secretary of State John Kerry said Wednesday that while a political solution is still possible, "it has been made much, much harder, much more complicated."

"The path toward violence leads only to greater instability, economic disaster and suffering," Kerry said

He also called for an end to Egypt's new state of emergency, which prevents freedom of peaceful assembly and due process.

The Egypt raid, at a glance

U.S. still considering its strategy

But as far as firm actions, the United States' game plan has yet to be drawn.

The Pentagon is mulling whether to halt or delay arms exports.

But as leaders in Washington mull their options, Americans overwhelmingly support staying out of the unrest, according to a recent United Technologies/National Journal Congressional Connection Poll.

Almost eight in 10 Americans (78%) said the United States should "mostly stay out of events" in Egypt, according to the poll. But 16% said the U.S. should "do more" to end the violence.

The desire to stay out of Egypt's affairs might be connected to the fact that a majority of Americans feel what happens in the country isn't very important to U.S. interests.

According to a Pew Research Center poll, 61% of Americans say what happens in Egypt is somewhat important or not important, while 36% say it is very important.

But ultimately, it's up to Egyptians to find a peaceful resolution between the military-backed interim government and those who want Morsy back.

"The role the United States had tried to play as mediator between the military and the Muslim Brotherhood to try to find some kind of compromise is now moot," said Wright, the Middle East analyst. "There's not much the United States can do."

CNN's Elise Labott, Barbara Starr, Greg Botelho and Mohammed Tawfeeq contributed to this report.

@highlight

The U.S. gives Egypt about $1.23 billion in military aid a year

@highlight

Egypt is one of two Arab countries that has made peace with Israel

@highlight

The U.S. also has interests with the Suez Canal and American companies in Egypt

@highlight

President Obama has canceled joint military exercises with Egypt