(CNN) -- Some manufacturers of consumer-grade speaker systems are scrambling to make their products compatible with Apple's wireless features.

The first audio equipment with out-of-the-box support for Apple AirPlay protocol debuted in April. The feature allows users to press a button on their iPhone, iPod Touch, iPad or iTunes software and instantly transmit audio from the device to the speaker system over a Wi-Fi connection.

Some audio equipment companies say they're feeling the pressure to add this Apple-specific feature to more of their product lines.

That comes as Apple is mulling whether it will scale back or entirely do away with the iPod-dock speakers and alarm clocks it sells in its retail stores, according to a person familiar with Apple's discussions who was not authorized to discuss the plans. Apple's proposal to cut back on the supply of dock products it carries was first reported by Twice, a consumer-electronics trade publication.

An Apple spokeswoman didn't respond to a request for comment.

Apple's push for AirPlay is consistent with a history of flexing its influence to shape partners' businesses, as it did for pricing digital music, enforcing guidelines on accessory makers and changing rules for app developers.

Although some Apple product users enjoy having an alarm clock with a dock by their bedsides to charge their phones, AirPlay has notable advantages. Docking a 10-inch tablet like the iPad is impractical, and AirPlay also allows you to transmit music directly from a computer.

Apple laid out its grand vision for an untethered computing world on Monday with the announcement of iCloud. That came nine months after Apple announced AirPlay.

Apple often nudges its suppliers into supporting new technologies, and one of those ways is by putting its marketing might behind the company's newest offerings, said Ross Rubin, a music-industry analyst for the NPD Group.

"The Apple Store is clearly an important retailer for selling iPod docks, and it is a retailer that strives to showcase the latest technology directions from Apple," Rubin said. "A lot of the products carried in the Apple Stores tend to be at the higher end of the price spectrum."

iPod-dock systems without the wireless bells and whistles should continue to drop in price, serving a large mass market at stores like Best Buy and Walmart, Rubin said.

However, for the equipment companies targeting the Apple faithful -- consumers who learn about and buy many of their products at Apple stores -- it's an important venue to occupy.

Pioneer Electronics, for one, is hoping to piggyback on Apple's customers.

Nearly half of the people who own a Pioneer device also own at least three Apple gadgets, according to a Pioneer survey. Pioneer debuted its first batch of AirPlay-enabled receivers in March and announced five more this week, with all but the base model using AirPlay.

Philips is also marching to Apple's tune.

"Philips has several products in the pipeline for the back half of 2011, including a new range that incorporates AirPlay, and we look forward to continuing our partnership with Apple," spokeswoman Shannon Jenest said in a statement. Apple had not alerted the company to any changes in distribution plans, she said.

Two companies that sell speakers in Apple Stores, Altec Lansing and Harman International, which makes the JBL brand, declined to comment. Another, Bose, didn't respond to requests for comment.

Integrating Apple's wireless technology into sound systems doesn't require manufacturers to pay additional licensing fees beyond the one Apple charges for including its iPod dock connector and "Made for iPod" sticker, equipment makers say. However, Apple requires that companies use a certain processor in their electronics and, of course, include a Wi-Fi chip, which can increase costs, they said.

Where Apple does have ample space, like in its larger stores, speaker inventory appears to be unchanged.

But in other Apple retail locations like the one in Fashion Show Mall in Las Vegas, little space is left over since Apple redesigned its stores to include "personal training" and "personal setup" stations. There, Jawbone's Jambox, a small rectangular gadget that uses Bluetooth for wireless transmission instead of AirPlay, is hanging on a wall in the back rather than on display like it is in other Apple Stores.

Jawbone is confident it's in a better position by embracing wireless technology, CEO Hosain Rahman wrote in an e-mailed statement.

"We think docks are dead," Rahman wrote. "We need devices that can keep up with our on-the-go lifestyle. You shouldn't be tethered to a dock."

Sonos, a wireless speaker system, isn't carried by Apple and sells most of its units through Best Buy and Amazon.com. Sonos uses a proprietary wireless system but recently added a workaround for AirPlay.

The 8-year-old company began specializing in wireless music services long before the equipment makers turned their attention to that market.

"In many ways, docks were more like CD players, tape players or record players in that you take this thing, and you stick it in," Sonos co-founder Thomas Cullen said. "Building an iPod dock was not very different from building a CD player."

Now, many equipment makers are looking at wireless options, and some are taking a scattershot approach.

AirPlay, Bluetooth and DLNA, another standard that works with Windows computers and some Android devices, are making their way into audio receivers, and in some cases, all three. Add a dock to that, and you might have a product too big to fit on Apple's shelves.

@highlight

Audio equipment makers are scrambling to support AirPlay

@highlight

Apple is mulling whether it will stop carrying iPod-dock speakers in its stores

@highlight

Some speaker companies say the dock concept is past its prime