(CNN) -- Heather Reynolds, the head of the nonprofit organization Catholic Charities, tells the story she heard from an 8-year-old girl from Guatemala who recently crossed the border without her family. "These kids were taken by drug cartels and others and would arrive back at their neighbors' dead with their organs cut out of them. Obviously, this little girl had seen stuff none of us could ever imagine."

The little girl's relatives hired a "coyote" to smuggle her into the United States. "On her journey here, she was sold as a sex slave. Finally escaping, this 8-year-old crossed the Rio Grande," said Reynolds.

The United States has a humanitarian crisis at its Southern border, as the number of unaccompanied children trying to enter the country has increased by 90% over just last year.

The Republicans are also trying to turn this into a political crisis by accusing the Obama administration and the push for immigration reform for enticing more undocumented immigrants. Once again, Republicans are bashing President Obama, this time by using suffering children as their political pawns.

Every parent can imagine it's not an easy decision to send your child with a stranger thousands of miles away to a foreign country. These are little kids, for crying out loud. That's not something you do because you want to, it's something you do because you have to.

Escalating violence in Central America is driving the new wave of migrating children. As the Los Angeles Times reports, "Although there has always been crushing poverty in Central America, violence in the region has escalated in recent years. For example, Honduras has the most murders per capita of any country. Drug cartels and gangs are at the root of the increased violence. Some of these children are fleeing gang initiations, according to several reports."

While historically most of the children who came to the United States illegally were from Mexico, that changed in 2013 when for the first time the number of unaccompanied migrant children from Central America eclipsed those from Mexico. Actually, the number of undocumented kids coming from Mexico has decreased in recent years.

Nonetheless, Republicans insist it's Obama's fault. Republican House Judiciary Chairman Bob Goodlatte said, "Many of the Obama administration's policies... have led to a surge of minors arriving at the U.S.-Mexico border." Republican Speaker of the House John Boehner alleged the President's "lax enforcement at Mexico's borders" are giving a "free pass" to immigrants trying to come to the United States.

These claims ignore the fact that President Obama has deported immigrants at a higher rate than President George W. Bush and is on track to have deported three million immigrants by the end of his presidency. One might call this rate of deportation inhumane or un-American, but no one could reasonably call it "lax" -- no one, that is, except Republicans fixated on attacking the President no matter what.

Meanwhile, Republican Senator Jeff Sessions, implicating the President's program of administrative relief for young immigrant "dreamers" brought to the United States as kids, accused the President of "incentivizing" unaccompanied children to migrate with the promise of "citizenship for anyone in the world who arrives illegally in the country by a certain age." Sessions said, "President Obama is responsible for this calamity."

Yet, the increase in unaccompanied children escaping Central American began back in 2009, long before President Obama's Deferred Action for Childhood Arrivals (DACA) program.

And for those who think that the United States should be even more aggressive in how it addresses the cases of kids who arrive here unaccompanied, it's worth noting that the current procedures for unaccompanied minors under our immigration system were created under President George W. Bush.

Could the prospect of comprehensive immigration reform be part of the lure? Perhaps, though in a study of 104 migrant children from El Salvador, only one mentioned the prospect of immigration reform as a motivation.

The White House has announced new steps to address the violence and poverty in Central America that is pushing children to migrate, including providing $9.6 million to help Central American governments repatriate citizens and additional USAID funds to reduce crime and violence in the region.

And if there is misinformation spreading in Central America about immigration relief for children crossing the border, possibly a deliberate misinformation campaign as White House sources suggest, the Obama administration will be actively working to counter this with correct information, including the fact that young people recently arriving in the United States do not qualify under DACA.

Although Republicans will continue to use this issue and other excuses to try to destroy the prospects for immigration reform, Democrats and the White House should keep pushing for reform, including a comprehensive path to citizenship.

Our government has made it incredibly treacherous to cross our borders. Yet, people still take the grave risk to do so in order to seek security and opportunity.

Currently, the avenues for legal immigration are largely backed up and broken, not keeping pace with the realities of why people migrate nor the needs of business in the United States that rely on their work.

Our broken system is only working for the criminal coyote networks that take advantage of immigrants' hopes. If we fix our immigration system, people will have reasonable and accessible avenues beyond crossing the hot desert in desperation.

Immigration reform is not the cause of the crisis at the border -- immigration reform is the solution. It would be nice if Republicans would face reality and be part of the solution instead of further exploiting these helpless kids in their endless vendetta against the White House.

@highlight

Sally Kohn: Unaccompanied children trying to cross the border increased by 90%

@highlight

Kohn: This is a humanitarian crisis, but Republicans are turning it into a political crisis

@highlight

She says escalating violence in Central America is driving the new wave of migrating kids

@highlight

Kohn: Immigration reform is not the cause of the Southern border crisis, it's the solution