Tokyo (CNN)How we view robots -- and the inevitable robotics revolution that we've been promised for so long -- depends largely on our background.

For me, as an American, robots will be inherently linked with Star Wars as a kid, but later with the unstoppable android that was the Terminator. So, while I can dream of a cute, trashcan-sized companion, the fantasy is also coupled with an inherent fear that it may one day rise up and attempt to exterminate me.

For many Japanese people, robots were a staple of pop culture growing up. From Osamu Tezuka's Astro Boy (known here by his original name, which translates as Mighty Atom) in the 1950s and 60s, to the towering, martial robots of the "Gundam" and "Evangelion" universes, to name but a few, robots have long held a special place in the collective imagination.

Robot pioneers

So it really is no surprise that the country is on the leading edge of robot technology, and a visit to the National Museum of Emerging Science and Innovation, known as Miraikan (Future Hall) in Tokyo really drives home the point.

Here, visitors can interact with ASIMO, the Honda-developed android that can run, perform tasks, and interact with people. Honda first unveiled ASIMO a decade ago, and even today it remains a futuristic vision of what robotics may one day hope to achieve on a consumer scale.

Miraikan also houses other, interactive automatons that show glimpses of what life might be like in 15, 20, or 30 years.

There's Otonaroid, who looks like a young Japanese woman with silicone skin, flowing hair, and blinking eyes.

And then there's Kodomoroid, an android newscaster that reads headlines to museum visitors, and Telenoid, a creepy-looking communication device that allows you to "speak" to friends or loved ones who are far away -- and feel as if you are sitting with them. You can hold and hug the Telenoid, and it hugs you back with its little stubs for arms.

While giant fighting space robots may be a while off -- although engineers are reportedly planning a moving, 60 ft tall Gundam -- Japan is betting big that robots will have a greater place in our lives in the years to come.

Help at home

From housework helpers which can ease the burden of a range of daily chores -- like Twenty-One, the multipurpose home care droid currently under development at Tokyo's Waseda University.

With a humanoid upper body and wheeled base, it boasts a dexterity and mobility that would be helpful in any number of tasks, including assisting the elderly.

Shigeki Sugano and his team have the vision of putting robots in everyone's homes. He tells me it will be decades before robots are mass-produced the way cars are today, but what is being developed today could well become commonplace in the future.

Twenty-One is a great example of how Japanese researchers are thinking of helping the country's aging population. Androids -- humanoid robots --  may also one day soon act as companions and helpers to the elderly as Japan looks at its current demographic crisis and uses technology in inventive ways to combat a shrinking, aging population. Nursing homes could also benefit from "wearable," exoskeleton robots, like Cyberdyne's HAL-5,  that can assist with mobility.

Thanks to technological advances, including those in "emotion recognition functions," robots are becoming a lot more sympathetic and "human" for want of a better term, and thus accepted. Last month, Japanese telecom company SoftBank showcased Pepper, "the first robot to read human emotions," according to the company's CEO, Masayoshi Son.

Elsewhere, national emergencies like the meltdown at the Fukushima Daiichi reactor have driven home the point that there remain myriad situations for which we soft, fragile humans are ill-equipped.

Economic boon

Japan's robot revolution is not only underway, but has the backing of the country's government, which sees it as a potential antidote to decades of sluggish GDP growth.

Last month, Japan's Prime Minister Shinzo Abe said that he is bullish about the future of robotics, after photo ops at a Saitama nursing home and a Tokyo robotics factory.

He's expressed a desire to "set up a council on making a robotic revolution a reality in order to aid Japan's growth," and set a benchmark of tripling the robot market to ¥2.4 trillion ($24 billion).

Abe also declared his hope that there will be a  high profile "robot Olympics" in 2020, a companion piece to the human version, which will be held in Tokyo that year.

The Robolympics (as they should clearly be called) will act as a showcase for advancement in the fields of robotics and engineering.

"In 2020, I would like to gather all of the world's robots and aim to hold an Olympics where they compete in technical skills," Mr Abe told Jiji Press agency. "We want to make robots a major pillar of our economic growth strategy."

Already ingrained in the country's cultural conciousness, the robots of today will hopefully encourage and inspire the next generation of  designers, programmers and engineers, in the way that I was inspired by Star Wars, and countless Japanese youths, by their rich robot anime and manga culture.

This robot valet will park your car

Meet Pepper, the emotional robot

Euan McKirdy in Hong Kong contributed to this report

@highlight

Japan has long portrayed robots in popular culture, paving the way for the country's robotic industry

@highlight

Interactive robots at Tokyo exhibition give visitors a firsthand look at some innovative examples

@highlight

Japan's prime minister hopes the robotics industry will be a major economic contributor in the future