(CNN) -- I am sorry to report that Colorado has shut down all government and civilian activities under a haze of pot smoke. Trains will not run. Store shelves are bare. Citizens are rioting in a pot-induced trance. Tourists are avoiding the Sodom and Gomorrah called Colorado. Keep your children indoors and your money in the mattress!

Yes, many skeptics predicted terrible consequences, but six months after legalization of recreational marijuana in Colorado, the sky still hasn't fallen.

We understand that Colorado and Washington are under intense scrutiny because of their forward-thinking legalization of marijuana. Being first presents challenges and opportunities. But there is much to learn from Colorado's experiment, lessons in what works and what doesn't.

'I like weed, and I'm a good person'

Success in these early stages already shows reduced underage use and tremendous tax revenues, according to statistics compiled by the Drug Policy Alliance, amounting to millions of dollars a month. Gov. John Hickenlooper anticipates cannabusiness to be a billion-dollar industry in 2014 in Colorado. Crime rates are down. Colorado travel is up. Applications to attend Colorado schools have increased -- to no one's surprise.

Identifying the single biggest problem facing the state, counties, cities, and cannabusinesses in Colorado is easy: It's the banking situation. Because pot remains illegal under federal law, legal financial institutions won't work with marijuana businesses, and they are forced to operate on a 100% cash basis.

No one wins when consumers must pay cash only; and businesses must pay taxes, employees, rent, electric bills, and every other normal business expense in cash. Quarterly withholding is paid only in cash, only by appointment, only in Denver, and only with a 10% cash payment penalty added by the federal government. The federal government must provide more than lip service to this issue, and sooner is better.

Legal marijuana has benefits on many social fronts. Drug laws have for too long put young people in prison, often ruining their lives; this is especially true for people of color. Renting an apartment can become a personal nightmare because of a marijuana conviction. A mortgage can become impossible.

We know that marijuana is substantially safer than alcohol. No one seriously disputes this anymore. How safe is it? The number of people killed by marijuana overdose every year remains at zero. A study reported an average of 317 Americans died each year from alcohol poisoning -- but the Center for Disease Control and Prevention reports that 88,000 deaths a year "can be attributed to excessive use of alcohol." Recent police sting operations, from January 2014, resulted in zero violations of the ban on selling to minors.

Law and regulation means greater safety for consumers. Large numbers of people consume pot in every state -- a Pew Research Center survey in April found that 47% of Americans say they have tried marijuana.

In Colorado and Washington, they can expect some protection from adulterants, mold, and other impurities, while knowing the potency of their intended purchases. The states can expect substantial tax revenues, increased employment, and a reduction in jail overcrowding. Private prisons will become less necessary.

But the garden is not entirely roses. Colorado has struggled with problems linked to marijuana edibles. People who have eaten or ingested too much of a marijuana-laced treat have become nauseous and extremely anxious; half of the 79 calls to medical facilities concerning marijuana in the first four months of legalization regarded edibles.

More education is necessary. The state is pursuing labeling, packaging, and potency regulations as part of the solution.

Parents should protect children from marijuana as they would from alcohol or aspirin. Consumers should expect consistent dosages and known ingredients. The state and the other stakeholders must continue to work toward solutions as areas of concern become apparent.

Another benefit: Being able to grow hemp as a fiber, overlooked by the country in 1937 and easily forgotten, is a tremendous positive result of legalization. Hemp helped win World War II and plays a significant role in a laundry list of applications. Colorado, as a large farm state, stands to win. The U.S. benefits. The inexcusable practice of buying processed hemp from other countries is eliminated.

The industry has willingly complied with wall-to-wall video surveillance, labeling, child-proof packaging, dose control, and hundreds of pages of detailed laws and regulations. This is government-civilian cooperation at its best.

The mutual desire to find intelligent solutions permits industry-government cooperation at levels simply impossible in the past. Colorado is not finished -- and every success will be reported on Page 12. Every problem will be "Page one, above the fold."

As a world role model, Colorado can lead the way on how to do this right. The United States was properly referred to as the "Great Experiment": Colorado is part of that. This is our democracy at work in a vibrant, organic way.

Peace has been declared in a particular corner of the war on drugs. Mr. President, in Colorado, we respect your right to say "No, thank you," as you did when someone offered you a hit on your recent visit to Denver. However, if you change your mind, our invitation to visit and to have a toke is still open.

@highlight

Leonard Frieling says pot is legal in two states and the sky hasn't fallen

@highlight

Of Colorado, he says: sales tax revenues will bring millions, and crime is down

@highlight

Lack of bank service causes problematic cash economy, he says

@highlight

Government, civilians and industry are cooperating for experiment to work