(CNN) -- Before humans ever went into space, there were books about the possibility.

Some were fantasies about life in the cosmos. Some were scientific histories. Eventually, after the Space Age began, some profiled the men and women who brought space exploration to life.

With the shuttle Atlantis concluding America's 30-year space shuttle program, it seems only fitting that we sample a few books about space exploration. The United States began its program with the seven Mercury astronauts, so here are seven books -- six works of nonfiction and one of fiction -- about aiming for the stars.

Top 5 space movies

"The Right Stuff" by Tom Wolfe

Wolfe's history of the early space program, which originated as a four-part series in Rolling Stone, was a 1979 best-seller. The book blends the stories of test pilots such as Chuck Yeager -- fearless, free-spirited fliers who blazed the trail for the future Mercury astronauts (all of whom were pilots themselves). "It is Tom Wolfe at his very best, better in fact than he's been before. It is technically accurate, learned, cheeky, risky, touching, tough, compassionate, nostalgic, worshipful, jingoistic -- it is superb," wrote C.D.B. Bryan in The New York Times. Indeed, it may be Wolfe's best book.

"Apollo: The Race to the Moon" by Charles Murray and Catherine Bly Cox

There are a number of fine books on the Apollo program, including "Moon Shot," by astronauts Alan Shepard and Deke Slayton, and Andrew Chaikin's "A Man on the Moon." But Murray and Cox's thorough 1989 history of the program that led to the moon landing remains a standout, with finely etched portraits of NASA's behind-the-scenes personnel and the drama of overcoming scientific and political obstacles.

Space station crew takes final spacewalk of shuttle era

"Packing for Mars" by Mary Roach

So you think being an astronaut is easy? As Roach demonstrates in her amusing and informative book, which came out last year, it's anything but. Humans weren't designed for space, with its lack of gravity and endless opportunities for boredom, and Roach ("Stiff," "Bonk") revels in tales of bodily fluids gone awry, the use of cadavers, and what it's like being trapped on a long mission, in a small capsule, with people you may not really like. Something to think about before booking that trip on Virgin Galactic.

Minute by minute: Atlantis shuttle lifts off for final time

"Magnificent Desolation" by Buzz Aldrin

The second man to land on the moon is more than just an astronaut. Aldrin has a doctorate in aeronautics and put his name on an iPad app. But he's also had his share of struggles. In this memoir, he talks about his life as an astronaut -- but also life afterwards, when he coped with alcoholism and depression. He also has some pointed words about the space program's future.

"Riding Rockets" by Mike Mullane

The space shuttle has been praised as "a fantastic vehicle" by a NASA employee, but the people who have been at the controls didn't always think so. Mullane, a former pilot who flew three shuttle missions, is brash, profane and blunt in talking about NASA's culture -- and often tender when telling stories about his fellow astronauts. He's also hilarious.

Atlantis mission extended

"Moon Dust" by Andrew Smith

For all the people who have gone into space -- about 500 -- just 12 have stepped on the moon and returned to tell the tale. Smith, a British journalist, went in search of the surviving moonwalkers and found a set of men who were, by turns, driven, spiritual, reserved and thoughtful. He even got in a few questions with the notoriously private Neil Armstrong.

"The Hitchhiker's Guide to the Galaxy" series by Douglas Adams

OK, so the Earth hasn't been destroyed to make way for an hyperspace bypass, and Norway wasn't created by an interstellar architect. Nevertheless, Adams' points remain timeless: The human race is just a giant science experiment, always bring a towel, and -- above all -- don't panic. Good advice whether you're exploring the galaxy -- or Bournemouth.

NASA flight director relishes the moment, focuses on the mission

@highlight

In honor of the shuttle program, here are seven books about aiming for the stars

@highlight

Read about Buzz Aldrin's life in space and on earth in his memoir "Magnificent Desolation"

@highlight

Journalist Andrew Smith tracked down the 12 astronauts who walked the moon