Washington (CNN) -- As the United States completes its withdrawal of all military forces from Iraq by the end of the month, Iraq's prime minister made a pitch to leaders of American commerce and industry Tuesday: Iraq is open for business.

In an address to American executives at the U.S. Chamber of Commerce in Washington, Iraqi Prime Minister Nouri al-Maliki said his country offers "limitless" opportunities for American companies.

Al-Maliki said his country is trying to diversify from an energy-dominated economy, to one that focuses on financial, medical, agricultural, educational and infrastructure services as well.

The end of U.S. military operations in Iraq heralds the beginning of a "wider relationship" between the two countries where "not generals but businessmen" will focus on economic and political engagement between the two countries, al-Maliki told the audience. He spoke to more than 400 executives representing a wide range of industries including petroleum, engineering and construction, commercial aviation, architecture, maritime cargo and financial services.

As U.S. investment in Iraq has increased since 2008, al-Maliki said Iraq wants to see a much greater presence of U.S. companies in his country to help spur greater spending and investment on the country's infrastructure as a way to better the lives of Iraqis and create more U.S. jobs in the process.

Total foreign direct investment in Iraq hit $70 billion for the first months of 2011, according to the chamber. The United States has increased its investment from nearly nearly $2 billion in 2010 to more than $8 billion this year, the organization said. That figure represents 11.6% of all investment entering Iraq, the chamber said.

The International Monetary Fund has projected the Iraqi economy to grow at a faster pace than China or India over the next two to three years.

Despite growing U.S. investment in Iraq, the chamber continued its own pitch to U.S. businesses of the potential Iraq represents for them, and American workers, before al-Maliki spoke.

"We continue to trail our trading partners with respect to investment and economic engagement in Iraq," said Lionel Johnson, vice president for Middle East and North African Affairs at the chamber. The private sector stands to play a crucial role in filling the capacity void left in many sectors of the Iraqi economy following the U.S. military departure, Johnson said.

Winning business for American firms in Iraq has not been an easy prospect in the past. Not a single U.S. energy firm secured a deal for oil production at an auction of contracts by the Iraqi government two years ago. Many members of Congress were outraged, and questioned the U.S. investment in Iraq to that point after lucrative multi-billion-dollar contracts went to Russian and Chinese firms instead.

In the past year, the United States Business Council in Iraq was established to advance commercial interests for American firms operating in Iraq.

Opportunity aside, al-Maliki acknowledged the difficulty of moving his country from the planned economy of the Saddam Hussein era to a market-based system governed by transparency laws and international regulations, not to mention convincing American businesses to invest in a country that still experiences a high volume of violence. He assured his audience that his government was doing all it could to root out corruption and make the country safe for businesses to operate.

"Make no mistake, this is a country that's developing, its commerce is developing, it's going to take time, it's going to take energy," Deputy Secretary of State Thomas Nides told CNN after al-Maliki spoke. "U.S. companies are going there because they believe they can make money and at the end of the day that's what it is about, and most of these companies have dealt with complicated environments. Iraq is no different, but we have seen huge progress."

Nides said the "robust diplomatic staff" still based in Iraq after the military withdrawal will include large economic and legal teams to work with U.S. companies operating in Iraq.

Nearly 40 leaders from the Iraqi private sector made the trip to Washington with al-Maliki to meet with their American counterparts.

@highlight

Al-Maliki talks business with the U.S. Chamber of Commerce

@highlight

"Not generals but businessmen" will build the U.S.-Iraq relationship now, he says

@highlight

Al-Maliki says Iraq wants to see more U.S. companies in his country

@highlight

No U.S. energy firm secured a deal at an auction of Iraqi contracts two years ago