Tokyo (CNN) -- The battle continued Monday to plug a crack at Japan's Fukushima Daiichi nuclear power facility that's been a conduit for highly radioactive water leaking into the Pacific Ocean, utility company officials said.

On Sunday, the workers poured a chemical compound mixed with sawdust and newspaper into the crack, hoping it would expand and stick.  But so far it has not done the trick, according to officials with the Tokyo Electric Power Company, which operates the plant.

The effort followed an attempt Saturday to use concrete to plug the the 2-meter-deep (6.5-foot-deep), concrete-lined basin, where authorities had found water gushing directly into the sea via a roughly 20-centimeter (8-inch) crack.

The cracked shaft sits behind the No. 2 reactor's turbine building at the facility, which has been in constant crisis since the failure of cooling systems and numerous explosions in the wake of last month's epic earthquake and tsunami.

Fixing the problem quickly is critical because officials believe it is one source of alarmingly high levels of radiation spotted in seawater near the plant.

This is all part of a massive, many weekslong effort to contain the amount of toxic material leaking into the air, ground and water.

On Monday, a Tokyo Electric spokesman said the idea of wrapping some or all of the plant's six reactors containment buildings in massive amounts of sheeting, in order to curb the release of radiation had been discussed in recent talks with government officials. The utility company is considering the concept, according to the spokesman.

In the meantime, authorities are still trying to determine how harmful the radiation levels are currently around the plant. After some high-profile errors while offering regular radiation measurements on seawater, groundwater and the air, little such new information has been released since Thursday.

One part of the problem, including in the concrete shaft from which the highly radioactive water is leaking directly into the sea, is the fact that dosimeters being used don't go higher than 1,000 millisieverts per hour, Tokyo Electric executive Junichi Matsumoto told reporters Sunday.

Authorities know the water is emitting at least that much radiation, which alone is more than 330 times the dose an average resident of an industrialized country naturally receives in a year.

Above the shaft, the level was 250 millisieverts per hour. The shaft lies at the end of a long channel that has been filling up for days.

Last Thursday, samples of seawater taken 330 meters (361 yards) offshore were said to have levels of iodine-131 at 4,385 times above the standard and cesium-137 at 527 times beyond normal. Experts say the latter radioactive isotope may be a greater concern because it persists longer, taking 30 years to lose half its radiation -- compared to an eight-day half-life for the iodine-131 isotope.

Plugging the external leak is job one, in order to prevent the outflow of radiation into the Pacific. But it may not be the most difficult, or important, task ahead.

Authorities still have to figure out how the tainted water got into the concrete shaft in the first place. The water had to come from somewhere, potentially traveling across melted-down nuclear fuel in the reactor's core before somehow reaching the outside.

Hidehiko Nishiyama, an official with Japan's nuclear and industrial safety agency, said Sunday that the working theory is that water injected in recent weeks into the No. 2 reactor to help cool its nuclear fuel rods somehow got out.

"We were assuming and hoping (that water) would stay in the containment vessel as vapor after being cooled," he said. "However, it may have flowed into the building, and then the trench."

Finding out why and how that happened -- and, more so, what to do about it -- promises to be "exceptionally challenging," said physicist James Acton, with the Washington-based Carnegie Endowment think tank.

To do so, officials must inspect a complicated array of pipes inside the dangerous radioactive environment that now exists within the containment building, according to Acton. He is familiar with Japanese nuclear plants in part from having examined one rocked by a 6.8-magnitude earthquake in 2007.

This struggle is part of the larger, daunting challenge facing Tokyo Electric and Japanese officials as they come to grips with the scope of the disaster and work feverishly to keep nuclear fuel cool and prevent the further release of dangerously radioactive material.

General Electric Chief Executive Jeffrey Immelt, who also chairs U.S. President Barack Obama's Council on Jobs and Competitiveness,  was in Tokyo on Sunday meeting with Tokyo Electric officials. Several of the Fukushima Daiichi plant's reactors were designed by GE and built in a joint venture with Hitachi.

Matsumoto, the Tokyo Electric executive, said Immelt and the utility's officials discussed the crisis and how to meet summer's peak demands with two of its nuclear plants offline: the Fukushima Daiichi facility and the Fukushima Daiini nuclear plant, which is in the same prefecture.

A power company official announced Sunday that two workers missing since the 9.0-magnitude March 11 quake were found dead in the basement of the No. 4 reactor's turbine building. Both men, ages 21 and 24, appeared to have suffered multiple traumatic injuries. Their remains were found Wednesday.

More than a dozen others have been reported injured over the past three weeks at the plant.  Most of their injuries were tied to explosions caused by the buildup of hydrogen in the Nos. 1 and 3 reactor complexes. Nishiyama said there is a plan to inject nonflammable nitrogen into the Nos. 1, 2 and 3 reactors to prevent another such hydrogen blast.

A buildup of hydrogen is an early sign of damage to a reactor's superheated core. But Nishiyama said no alarms had been sounded about rising pressure and that adding nitrogen would not force engineers to release hydrogen from the reactors.

All these difficulties notwithstanding, there has been good news recently on the nuclear front.

Figures released this weekend by Japan's health and science ministries showed levels of radioactive iodine and cesium in vegetables tested in Fukushima and Niigata prefectures had fallen below legal limits.

Still, there was no immediate indication that officials would lift restrictions on the sale and distribution of certain products from areas near the stricken plant, put in place after tests detected high radiation levels in some food.

Also, a study done late last month on 946 children up to age 15 in several communities near the Fukushima Daiichi plant showed no evidence that they had ingested excessively high levels of radioactive iodine that's been pinpointed as a cause of thyroid cancer, Chief Cabinet Secretary Yukio Edano said Sunday.

The Japanese minister also took pains to stress the crisis isn't over yet -- either at the power plant or within a 30-kilometer (18-mile) radius, where 78,000 people have been ordered to evacuate and another 62,000 told to at least stay indoors.

"The impact of the nuclear crisis is expected to go on for a long time," he said. "(The evacuees, especially) are enduring an extremely difficult situation."

CNN's Tsukushi Ikeda, Yoko Wakatsuki, Junko Ogura, Midori Nakata, Susan Olson and Martin Savidge contributed to this report

@highlight

NEW: Tokyo Electric may wrap nuclear plant buildings in sheeting to curb radiation

@highlight

The 2nd try to plug a leak where radioactive water is entering the sea hasn't succeeded

@highlight

GE's chairman holds talks in Tokyo about the plant, which the U.S. firm partly designed

@highlight

Japanese minister: "The nuclear crisis is expected to go on for a long time"