SAN DIEGO, California (CNN) -- Firefighters in Southern California are facing wind-whipped walls of flame from 15 wildfires that have scorched more than 400,000 acres and forced hundreds of thousands of people to flee their homes.

Firefighters battle the Witch fire Tuesday in the Del Dios area of Escondido, California.

The blazes have killed one person and injured at least 70 more.

Firefighters were aided by resources from Mexico, the state and federal governments and even inmates from California's prisons.

San Diego Fire Department Battalion Chief Bruce Cartelli described scenes of "utter devastation" with hundreds of homes lost and "many hundreds" of others damaged.

"It's probably the worst significant event in my career of 36 years," he said.

"It will not end ... until it reaches the ocean or the winds turn around," Cartelli said.

Meteorologists suggested that Santa Ana winds, which have fueled the wildfires with some gusts approaching 100 mph, could die down Wednesday afternoon.

"We are still facing some very serious fires," Homeland Security Secretary Michael Chertoff said after an aerial tour of the affected area. "The weather has made it very difficult for the air assets to get up and fight the fires. ... If the weather cooperates, maybe we can turn the tide tomorrow."

Officials have evacuated nearly 350,000 homes in San Diego County alone, where the worst of the fires are blazing. Using U.S. Census Bureau numbers from the 2000 census, that could mean as many as 950,000 were affected by the fires.  Watch evacuees shaken, firefighters battling »

In San Diego County, at least half a million residents had been ordered to find refuge in shelters, schools and stadiums as fires pushed into new areas.

Among the evacuees as more than 4,000 military personnel from several bases in the area.

With the winds pushing them across the area, the fires spread quickly, forcing some residents to flee in the middle of the night.

"My wife woke me up like 12 o'clock, screaming and yelling that the flames were coming down," said Johnny Villanueva of Spring Valley, who fled with his wife and daughter to San Diego's Qualcomm Stadium, which is serving as a shelter to more than 12,000 evacuees.

"We just loaded up the car really quick and came down here ... slept in our vehicles."

His wife, Elizabeth, added, "I saw on the mountain on fire, and said, 'Oh my God, my family. ... Let's go."

With Qualcomm Stadium being used by the evacuees, the San Diego Chargers planned to practice at the Arizona Cardinals' stadium in Glendale for next weekend's game.

Lake Arrowhead resident Michelle Dresser, who owns a business and was chased from her home by a wildfire last year, said she was waiting until the last minute to leave. She spent the night in her store, partly to help customers and neighbors.

"It is crazy. We are surrounded by fire on both sides," she said.

Asked by CNN where she would go, she replied, "I have to find someplace to accept two dogs, two cats and a turtle."  Watch people staying with pets at refuge »

Animals are allowed in Qualcomm Stadium, a nearby field and Del Mar Fairgrounds and Racetrack.

President Bush is scheduled to visit the area on Thursday, the White House said. Chertoff arrived in San Diego Tuesday afternoon for a "first-hand look" at the devastation.

"I wanted to see for myself, first of all, how the shelter situation is in San Diego, what the fires look like up close," Chertoff told CNN.

The secretary said that the federal response to the wildfires is "phenomenally better" than the response to Hurricane Katrina in 2005, "because we have been preparing and planning and training together for the last 2 ½ years."

"Unlike in Katrina ... we have now built the process ... and we've rehearsed it, so when we take the field, the team already knows what we need to do," he said.  See photos of the fires »

And the scene at Qualcomm Stadium on Tuesday did seem to live up to Chertoff's expectations as volunteers cheerily handed out chairs, food and water.

Thirty-four firefighters have been injured, authorities said.

Gov. Arnold Schwarzenegger said he was "heartbroken" after touring the Lake Arrowhead area, where the Grass Valley and Slide fires have burned 5,000 acres and destroyed more than 200 homes.

"This is a tragedy, what is happening in California," he told reporters.

The combination of dry terrain, searing heat and hammering winds had created "the perfect storm for fire," the governor said.

Schwarzenegger said about 7,000 firefighters were battling the blazes, including 2,300 inmates from California's Department of Corrections and Rehabilitation.

San Diego Mayor Jerry Sanders said the mayor of Tijuana, Mexico, had sent four fire engines and their crews to help out, and the governor of Baja California had offered help.

Chertoff said cots, blankets, water and other supplies have been moved where they are needed, and more are coming. The Federal Emergency Management Agency delivered 25,000 cots to Qualcomm early Tuesday.

At least 150 National Guard members are assigned to provide security at the stadium.  See where the fires are burning »

Of San Diego County's 10 major fires, the Witch fire in the north, which has grown to 200,000 acres, is the priority because of its significant threat to structures, said Ron Lane, the county's director of emergency services. The Harris fire had burned more than 70,000 acres by mid-morning.

In northern Los Angeles County, the Ranch, Buckweed, and Magic fires have charred more than 93,000 acres and fire officials fear they could merge.

"We want to keep these fires as small as we can," said Capt. Barry Parker of the Ventura County Fire Department.

The 54,500-acre Ranch fire was only two miles away from the 1,200-acre Magic fire. The blazes are straddling the L.A.-Ventura County line.

Asked if he had enough resources, Parker said, "We truly don't."

"We're using a limited amount of resources to go in and fight these fires," he said. "We've got about 600 people on the Ranch fire; we normally would have about 1,500.

"So we have to be absolutely surgical in how we plan and how we tactically use our fire equipment because we just simply don't have enough fire engines in the state of California to battle these blazes."

In San Diego County, a utility spokesman said a 500,000-volt transmission line was damaged when the Harris fire expanded, and it will be out of service until at least Wednesday. Other transmission lines have been destroyed.

Sanders said Mexico's Federal Electrical Commission was providing power to the area's grid to help make up for the losses.

California also received extensive offers of manpower and equipment from the military.

A total of 550 Marines were ready for deployment from Camp Pendleton, north of San Diego, and 67 Defense Department employees -- 12 firefighting teams -- already were engaged.

Eleven Defense Department helicopters equipped with water buckets and more than 17,000 National Guardsmen were available, along with six C-130 aircraft able to drop water and flame retardant on the flames. But aerial attacks on the fires have been limited by the fierce Santa Ana winds.

The Red Cross and other groups also were in the wings. They and some other groups were waiting for the flames to die down before bringing in their volunteers. The Red Cross has set up 11 shelters in the area and housed 3,000 people Monday night. More were expected Tuesday.

A firefighter at Rancho Bernardo in San Diego County showed distress.

"Every one of us out here feels like these homes are our own. We know what it's like to see people's faces when they've lost everything. It's devastating to see so much of this all at once." E-mail to a friend

CNN's Thelma Gutierrez and Dan Simon contributed to this report.

@highlight

No end "until it reaches the ocean or the winds turn around," official says

@highlight

Nearly 350,000 homes in San Diego County evacuated; 70 people injured

@highlight

Flames have charred 700,000 acres, more than 1,000 homes

@highlight

Not "enough fire engines in the state of California," Ventura County official says