(CNN) -- When one of the Titanic's four giant funnels collapsed, Dick Williams saw his father Charles killed in front of him.

Grief stricken but with his survival instinct still intact, the 21-year-old dived into the icy waters of the Atlantic to take his chances and swim for his life.

The cold was almost paralyzing and many poor souls perished almost immediately, but Williams was made of stern stuff and managed to pull himself into a collapsible lifeboat.

With others desperately clamoring to get on board, it was almost waist deep in water and the cold proved almost unbearable for the occupants.

Many died before they were helped, initially by another more stable lifeboat and then by the liner RMS Carpathia, a haven for so many Titanic survivors.

A little distance away, Karl Behr sat shivering, huddled in one of the last lifeboats to leave the stricken super liner -- which had been heralded as "unsinkable" ahead of her maiden voyage from the British port of Southampton on April 10, 1912.

Next to him was Helen Newsom, a fellow passenger on their first-class journey who was later to be his wife.

In the same lifeboat was the Titanic's owner, Bruce Ismay, who had embarked on the journey with his reputation never higher, but was later to be vilified for allegedly deserting his ship.

Amputation threat

It took nearly six long hours for the lifeboats and the 706 survivors to be reached, by which time Williams had lost all feeling in his legs, which had turned purple with frostbite and lack of circulation.

The ship doctor on the Carpathia warned him that they were so far gone that amputation was the likely outcome.

But Williams could not conceive this possibility and took about literally walking his legs back to life, relentlessly pacing the decks on the journey to New York -- two hours at a time, despite the intense discomfort.

It was during this time that he met Behr for the first time.

Little is recorded of their exchanges, but from memoirs it is reported that at 26, the elder man was "very helpful" to Williams.

Aside from their shared survival of one of the greatest maritime tragedies in history, where over 1,500 passengers and crew perished, they had one other thing in common.

Both were to become members in the International Tennis Hall of Fame, having been on-court rivals and later Davis Cup teammates for the United States.

And both were to be central figures in two books which have been published around the 100th anniversary of the 1912 tragedy.

Rival books

Like so much associated with the Titanic in the many books and films on the subject, controversy and disagreement over what actually happened is never far from the surface.

First came "Starboard at Midnight," written by Behr's granddaughter Helen Behr Sandford and published last year.

Former U.S. Davis Cup team press officer Randy Walker commissioned Hollywood screenwriter Lindsay Gibbs to write a "factional" account for his New Chapter Press publishing firm -- "Titanic: The Tennis Story," which came out this month.

Sanford, who is published by Darwin Press, stuck more or less strictly to memoirs and historical records, although a small passage in her book is also fictional.

Walker, who has published books on great players such as Rod Laver, believes the tale to be the "greatest story in the history of tennis" but allowed the 45-year-old Gibbs some leeway in developing characters and themes.

He compares the treatment to that of the Oscar winning film "Chariots of Fire" about British track and field runners Harold Abrahams and Eric Liddell where fact merged with fiction to dramatize the story.

However, Sandford is aghast at the portrayal of her grandfather and Williams.

The 62-year-old, who is known as Lynn, is deeply protective of the memory of her forebear.

"The 'other' book is truly appalling," she told CNN. "Dick Williams and Karl Behr were wonderful, dignified men, who would never have exhibited the characteristics that are displayed.

"If Karl and Dick were here right now they would be incensed and absolutely miserable at how they took their lives and created something out of fiction."

Gibbs stands by her writings: "I'm proud of what I did, which was based around a lot of research by Randy Walker."

"Lindsay Gibbs is a very good writer," conceded Sanford. "But the saddest part is she didn't honor the truth at all."

With both books competing for sales, there is no sign the row will settle down, but what is not disputed is how the lives of the two men became intertwined in the aftermath of the tragedy.

Remarkable recovery

Williams made a remarkable recovery and less than three months later he faced the more experienced Behr in a tennis tournament on the lawns of Longwood Cricket Club in Boston.

Williams raced into a two-set lead, but the wily Behr prevailed in five sets. Legend has it that their shared experience on the Titanic was never mentioned by the two fellow Ivy Leaguers.

Williams was on the rise and won the 1914 U.S. National Championship (now known as the U.S. Open), beating Behr in the quarterfinals. Both were in the 1914 U.S. Davis Cup team, with Behr as a reserve.

Further success followed for Williams in the 1916 U.S. Nationals before serving in the United States army in World War One, being decorated for valor.

Resuming his career after the hostilities, Williams enjoyed major success in doubles competition in the Davis Cup and grand slams.

His crowning glory came aged 33 at the 1924 Paris Olympics, where he partnered Hazel Wightman to the gold medal in the mixed doubles -- the last time the event was part of the Games.

The pair remain the reigning Olympic champions as mixed doubles will be reintroduced at London 2012, with the likes of Roger Federer and Victoria Azarenka coveting the gold.

Williams became a successful banker in Philadelphia and died aged 77 in 1968.

Behr's story was more complex and the events of April 14, 1912 left an indelible mark on his psyche as he suffered from "survivor's guilt."

As both his granddaughter and Gibbs touch on in their accounts, the circumstances under which he ended in a lifeboat with women and children has come under scrutiny, particularly as the reviled Ismay was also an occupant.

Honor at stake

Sanford said that her grandfather was in the "right place at the right time" as the first-class passengers were shown to the lifeboats, at first more as precaution because it was widely believed that the Titanic was "unsinkable."

Walker concurs. "According to our research, Karl was very honorable," he said.

As boat No. 5 was lowered, Ismay was imploring passengers into the craft and was asked by a lady passenger "if the men could join us." He replied in the affirmative and Behr climbed aboard.

In Gibbs' book, a smitten Behr proposes to Newsom while in the lifeboat -- poetic license, indeed.

Sanford recounts that they actually waited eight months to announce their engagement. "They feared a backlash from being Titanic survivors," she said.

Behr's sense of duty intensified as World War One started in Europe and he became a leading campaigner for American involvement working alongside former president Theodore Roosevelt.

As Sanford recounts, Behr organized the Citizen Preparedness Parade in New York in 1916, with over 135,000 people taking part, which galvanized similar pro-war parades across the country.

When American finally entered the war in 1917, Behr was refused permission to enlist, perhaps because of his German background. Exhausted and demoralized, his health collapsed and he entered a sanitarium, but he was allowed to serve just as the war ended.

By then his tennis career was over and he spent the rest of his life in business, being on the board of the Goodyear Tire and Rubber Company and other firms.

He died in 1949, aged 64. His wife Helen later remarried and died in Princeton, New Jersey in 1965.

As a small child, Sanford recalled asking her grandmother about the events of the fateful night.

"She just said, 'I can't answer you, but I can say the worst part of the experience was on the Carpathia.' "

It was never mentioned again, but Sanford became determined to recount the events and spent many years researching before putting pen to paper.

She recently joined members of the Williams family at a special event organized by the International Tennis Hall of Fame.

Its headquarters in Newport, Rhode Island has a special exhibition to honor both remarkable men and their remarkable story.

@highlight

Two star tennis players were survivors of the Titanic disaster 100 years ago

@highlight

Richard Norris Williams II and Karl Behr met on RMS Carpathia after being rescued

@highlight

Americans competed against each other and were Davis Cup teammates

@highlight

Williams and Hazel Wightman are the reigning Olympic mixed doubles champs from 1924