NEW HAVEN, Connecticut (CNN)  -- J.K. Rowling has retired Harry Potter, but the fictional boy wizard lives in on college classes across the country where the children's books are embraced as literary and academic texts.

J.K. Rowling's books are often analyzed in the context of other relevant texts.

Drawing on their expertise in theology, children's literature, globalization studies and even the history of witchcraft, professors have been able to use Harry Potter to attract crowds of students eager to take on a disciplined study of the books.

Danielle Tumminio, a Yale Divinity School graduate student and the instructor for Yale's Harry Potter course "Christian Theology and Harry Potter," said her academic background in literature and theology, combined with her personal interest in the books, inspired her to design the course.

The course uses all seven Potter books and the students examine Christian themes such as sin, evil and resurrection.  Interactive: All about Harry »

"It was a struggle for me as I put the class together, because I knew if I didn't construct this really well ... that a lot of what I was doing would be missed or misconstrued. I certainly didn't want to come across as someone trying to indoctrinate my students," Tumminio said. "I also wanted to make it clear that it was a critical endeavor, and that it wasn't ... that you'd sit around all day talking about how great Luna Lovegood was."

The class was an immediate draw for students. Seventy-nine people showed up at the first session for the 18 open seats.

Although Yale's course is its first Harry Potter-themed offering, other universities, including Georgetown University, Liberty University, Pepperdine University, Stanford University, Lawrence University, Swarthmore and Kansas State University, also have integrated the series into their curricula.

Rowling's books are often analyzed in the context of other relevant texts, such as contemporary British fantasy or potential influences, including C.S. Lewis and J.R.R. Tolkien.

Philip Nel, author of "J.K. Rowling's Harry Potter Novels: A Reader's Guide" and professor of children's literature at Kansas State University, started teaching the books in 2002.

"Harry Potter is unfairly maligned simply because of the audience for which it is intended. Children's literature is literature, and if people don't agree with that definition, it's sort of hard to have a conversation with them," Nel said. "They see things that ... are easily accessible as therefore not serious and therefore not worthy of serious inquiry."

John Granger, author of "Looking for God in Harry Potter," argues that children's literature is the most important because it has the greatest formative impact.

"If you sit down with anybody now, almost of any age, if they are literate, they know Harry Potter. They know these stories," Granger said.

Among students, there is considerable diversity of opinion as to how the books ought to be read.

Cat Terrell, a student in Tumminio's course at Yale, said regardless of whether the books are worthy as literary texts, they have helped enhance her understanding of other academic disciplines, including theology.

"If somebody says this isn't worth a Yale class, I would say if we were just reading the Harry Potter books for their literary merit ... I would probably agree with them. [But] the lens of the Harry Potter books actually makes theology ... easier to understand," she said. "It's amazing how many connections you can draw between the theology that we're reading outside of class and the Harry Potter that we've known for 10 years."

Edmund Kern, author of "The Wisdom of Harry Potter" and professor at Lawrence University, was originally attracted to the books based on his training as a historian of early religion, magic and witchcraft. For him, the books' historical impact, rather than their literary context, makes for a more intriguing analysis.

"As a kind of global cultural phenomenon, Harry Potter in a sense is unprecedented. I think movies have been extremely popular around the world, I think that certain music has been extremely popular around the world, but never before has a single literary endeavor caught the attention of so many people," Kern said.

Erika Slaymaker, a student at Swarthmore where another Potter-themed class is offered, thinks the books hold the most significance as a cultural phenomenon.

"I'm not completely convinced that it is such a fabulous set of deep writing that it deserves to be in the Western canon," Slaymaker said. She said she considered taking Swarthmore's class, but ended up going for another first-year seminar called "Women and Popular Culture."

Regardless of academic arguments, the phenomenon of Harry Potter as a whole continues to elicit awe and wonder.

Lisa Lowe, professor of American Studies at Yale, has read all seven books not as a scholar, but as a parent.

"What [Rowling's] really done is come up with a mode of captivating a whole generation: it's a form of captive concentration that took place over a course of nearly 10 years," Lowe said.

"As an adult, you'll be thinking, 'What would Harry have done?'" E-mail to a friend

@highlight

Harry Potter is being taught at colleges across the country

@highlight

These courses often focus on theological themes in the books

@highlight

Harry Potter is analyzed in the context of  C.S. Lewis and J.R.R. Tolkien

@highlight

iReport: Tell us what's the strangest college course you've ever taken?