(CNN) -- It all started with Madonna -- the original Madonna -- and the 16th-century Italian artists who paid tribute to her with chalk and pastel artwork they drew directly on the street. Madonnari, as the artists came to be called, made a living traveling from town to town and collecting coins from people who admired their work.

It was the visual arts equivalent of busking, and the tradition continued until World War II, when, for obvious reasons, it became impractical to sit in the middle of a street and create art.

After the war, the art of the Madonnari languished, but before it could die out completely, a group in the city of Curtatone, Italy, decided to revive it.

The first I Madonnari festival in Curtatone, in the province of Mantova (Mantua), was held in 1973, with some of the prewar Madonnari among the participating artists.

And that was the catalyst for a new generation of "street painters" who travel from city to city, and festival to festival, creating chalk artwork that hardly lasts longer than the handful of days required to make them.

Discover the world's most visited museums

Typically, a chalk art or "street painting" festival has separate categories for "copyists," who reproduce famous paintings; "free artists," who create original two-dimensional works; and 3-D artists, whose work may be realistic or fantastical. Many festivals also make room for children, teens and amateurs.

The wonder of these works of art is the way they materialize before the eyes of the onlookers.

"First, there was nothing," said Denise Kowal, founder of the Sarasota Chalk Festival, which will take place in November. "Now, there is this art. And you watched it happen."

In truth, the art does not spring into existence overnight. It is carefully planned by the artists, who arrive with preliminary sketches and paintings that they will turn into large-scale pieces.

Where they work is also carefully planned by the festival organizers, who provide them with precisely measured spaces in which to create their work. Even the pavement is a consideration, as every patch and crack makes a difference when the asphalt is your canvas.

"The quality of the street determines the clarity of detail in the work," Kowal said.

Here are some of the world's top chalk art festivals that prove where the sidewalk ends, the art begins.

Victoria International Chalk Art Festival, Victoria, British Columbia

September 14 and 15

Now in its second year, this festival was inspired by local chalk artist Ian Morris, who has plied his trade on Government Street in Victoria for more than a decade.

He will be joined by a roster of international artists including Dutch artist Leon Keer, renowned for his 3-D surrealist chalk art; California artists Lori Escalera and Joel Yau; Oregon artist Cathy Gallatin; and Toronto-based artist Jo Lalonde, better known as the "Chalk Chick."

Festival Bella Via, Monterrey, Mexico

October 11 to 13

Italy might have given birth to the Madonnari, but Mexico's tradition of street painting/chalk art is just as strong.

"Some people don't go to museums, so we make public spaces a place for creativity and art," said Rosy Loyola, the festival's director.

Equally important is the festival's commitment to fostering young artists.

Among standouts to watch for are Veronica Violeta GonzÃ¡lez Garza, Carlos Enrique Robledo Moreno, Margarita Botello and Omar Saenz.

Parque Mirador Asta Bandera will be the venue when this festival celebrates its 10th anniversary this fall.

Sarasota Chalk Festival, Sarasota, Florida

November 13 to 18

Since its inception in 2007, the Sarasota Chalk Festival has expanded in size and scope. (This year, it will add two more blocks around Burns Square.)

It has also expanded the definition of what chalk art is and can be. So, for example, the "Going Vertical" segment of the event incorporates walls and buildings in addition to pavement art.

You can also expect to see the world's top 3-D chalk artists, such as Tracy Lee Stum and Kurt Wenner, who is credited with inventing the 3-D form.

This year's festival overlaps with the Crystal Classic Master Sand Sculpting Competition in nearby Siesta Key Beach.

Sand sculpture shindigs: A bucket list

Street Painting Festival, Lake Worth, Florida

February 22 and 23, 2014

Celebrating its 20th anniversary in 2014, this festival is known as an incubator for emerging artists and a showcase for outstanding local artists, such as Michael Las Casas and Jeanie Burns, who have gained international reputations.

About 400 artists -- from children and amateurs to professionals -- will participate this year, creating 200 works of art.

I Madonnari Italian Street Painting Festival, Santa Barbara, California

May 24 to 26, 2014

One of the oldest chalk art festivals outside Europe, this one has been going strong since 1987, attracting more than 100 artists and thousands of visitors each year.

The festival takes place in the plaza outside the Mission Santa Barbara, appropriate for an event with a heritage in religious art. Proceeds benefit the Children's Creative Project, an arts education initiative in Santa Barbara County.

International Street Art Festival, Wilhelmshaven, Germany

August 2 and 3, 2014

The North Sea port city of Wilhelmshaven in the Lower Saxony region is well-placed to attract a diverse contingent of international artists.

Though the number of participants is small (about 35 to 40 in 2013), the work is outstanding and includes top names such as Germany's Frederike Wouters and Italy's Vera Bugatti. Next year will be the festival's fourth year.

Geldern Strassenmaler, Geldern, Germany

August 16 and 17, 2014

The first Strassenmaler ("street painter") festival in Geldern, Germany, took place in 1979 to commemorate the city's 750th anniversary. Sixty artists participated.

In its 35th year in 2013, the festival welcomed more than 400 artists from around the world who created nearly 250 artworks at the end of August. The top artists compete for prize money with their original artwork, copies of the Old Masters or religious subjects.

Fiera delle Grazie, Curtatone, Italy

Mid-August (likely) 2014

This is the festival that started them all, and now approaching its 42nd year, it's still the most prestigious in the world. Expect about 200 artists to participate, creating original 2-D and 3-D artwork as well as reproductions of famous religious artworks. As of this writing, 2014 dates have not been announced; the festival coincides with the Feast of the Assumption in mid-August.

I Madonnari Italian Street Painting Festival, San Luis Obispo, California

September 2014

Like its sister festival in Santa Barbara, this one was inspired by the Italian Madonnari street painters, yet much of the artwork is contemporary and done in the bright, bold colors that have come to distinguish the California style of street painting. Artists ranging from amateur to expert will carpet the plaza at the Mission San Luis Obispo with their work.

Chalk Urban Art Festival, Sydney, Australia

2014, to be determined

This festival took a hiatus in 2013 so the organizers could work on a documentary film about chalk art. They hope to bring it back in 2014.

@highlight

Sixteenth-century Italian artists did street artwork as a tribute to Madonna

@highlight

A chalk art festival has categories for copyists, free artists and 3-D artists

@highlight

Every patch and crack is important when the asphalt is your canvas