On the streets of Nigeria, we bear witness to what many see as a bold decision on fuel subsidies is also uncovering decades of frustration and corruption.

On the heels of re-election, President Goodluck Jonathan lifted fuel subsides on petrol in an effort to cut $8 billion a year from the government's budget.  Petrol was artificially low at U.S. 45 cents a liter and -- not surprisingly -- prices doubled overnight, both at the pump and on the black market.

Economists suggest the New Year's resolution pushed through by the president was the correct policy to implement on paper, but politics is eventually determined by what happens on the street. And the "street" right now is crying foul.

Nigerians launched a nationwide strike on Monday. Some protests over the end of fuel subsidies were marred by clashes that left 16 people dead and 205 injured, according to a tally collected Tuesday by the Nigerian Red Cross.

Nigerians are worn down by inherent corruption. The harsh reality is that despite being in the big league of oil producers with reserves of 36 billion barrels, the country rank, according to the IMF, is 133rd in the world when it comes to per capita income -- the lowest performance of a country with this level of natural resources.

That per capita income ranking is just above its poor status in Transparency International's corruption index where Nigeria took the 143rd position in 2011 alongside Belarus, Togo, Russia and Mauritania.

This is a tale of two Nigerias -- one that has garnered $67 billion of foreign direct investment, growing at 7-8% a year, and being singled out by Goldman Sachs as being one of the "Next-11" economies.

Jim O'Neill coined that phrase to group together the next promising bunch of highly populated, fast growing economies for the early part of the 21st Century.    Nigeria is known as a lower-middle income economy, a powerful voice within OPEC and the African Union, but a frontier market classification because of the political risk and poor rankings on corruption surveys.

Nigeria's status as a "Next-11" economy must seem a world away from the 57% of Nigerians who still live on less than $2 a day, according to the World Bank.  Nigerians struggle to cope with notoriously poor infrastructure, with electricity in short supply and power cuts still commonplace.

"At the moment Nigeria's electricity generation officially is about similar to what Narita airport in Japan does and consumes," said Charlie Robertson of the emerging market investment group Renaissance Capital, "So Nigeria's growing, booming 7-8 percent even with so little electricity. If they could electricity reform done too, this could be a boom story for a decade."

That is a big "if" and certainly why Nigerians have taken to the street. President Jonathan faces backlash because the population view subsidies as the only benefit it gets from the vast hydrocarbon resources.  Many are asking a simple question: Will the money being saved from fuel subsides be spent wisely?

The track record is not a promising one.  According to the World Bank, 80% of the oil wealth has really only benefited 1% of the population. It is worth noting, there are other, big complications.  This is a country that remains divided between north and south along religious lines.

The president this week suggested the Islamic sect Boko Haram has supporters within the government, creating tensions amongst the ranks of his cabinet.  A spate of church bombings in December adds another level of uncertainty for a government that says it wants to continue to pursue reforms.

President Jonathan was given a mandate with his second term to deliver change and make the country an attractive destination for foreign investment.  What Nigerians who are protesting are saying, it should be an attractive place to live day-to-day as well.

@highlight

Nigeria lifted fuel subsides on petrol in an effort to cut $8 billion a year

@highlight

The deadly protests erupted as gas prices suddenly doubled

@highlight

Nigeria is considered by Goldman Sachs an emerging economy with attractive growth

@highlight

Most Nigerians, however, survive on less than U.S.$2 a day