(CNN) -- The death of a passenger last week aboard an American Airlines flight underscores the importance of taking precautions before flying, a travel health industry representative said Monday.

An American Airlines passenger complaining that she was having trouble breathing died on a flight last week.

Jill Drake, a marketing representative for MedAire, Inc., said its physicians last year advised 74 airlines on how to handle more than 17,000 in-flight medical events.

Flight attendants with sick passengers call Good Samaritan Hospital in Phoenix, Arizona, a level-one trauma center where emergency room physicians and a service able to translate 140 languages are on call to answer questions from any of 2 million airline passengers flying at any given time, she said.

"Very rarely" does the call result in a diversion, a decision made not by the doctor but by the pilot who must consider a number of variables beyond the passenger's health, she said. The pilot must weigh weather conditions, remaining fuel and proximity to an airport.

As of 1 p.m. (3 p.m. ET) Monday, MedAire had fielded 110 calls, "which is a very busy day for us," she said. On average, the company gets about 50 in-flight calls from commercial airliners for an entire day, and an additional 25 or 30 calls related to events that occur at airport gates or aboard yachts and commercial ships, she said.

Airlines contracting with MedAire include Continental, Southwest and British Airways. American has its own in-house medical team.

Drake said MedAire's doctors documented 97 onboard deaths in 2007, down from 110 in 2006.

The top categories of in-flight illness are fainting, gastrointestinal problems, respiratory issues such as shortness of breath, heart problems ranging from arrhythmias to arrest and orthopedic problems, such as broken bones, Drake said.

By law, U.S.-based commercial airlines must carry automatic external defibrillators, oxygen and medical kits. Some airlines choose to carry extra, non-mandated medications.

If a passenger already has breathing problems, airplane travel will only worsen the condition because cabins are typically pressurized at 8,000 feet, said Drake.

Her advice to anyone not feeling 100 percent: "Do not travel."

And anyone with a medical condition who travels should pack any critical medications in a carry-on bag, she said.

Though flight attendants are trained to handle on-board emergencies, "they are not medically trained," she said. "To think that they are going to be able to assist your every need, that's quite a high expectation."

Hydration and moderation are key, and passengers should carry water and a snack, she said. Vacationers often return home from tropical locales sunburned and, in some cases, drunk.

"Altitude amplifies the buzz," Drake said. "You have a couple of cocktails in Denver, you feel it a little bit more than in Omaha."

Denver's altitude is 5,280 feet; Omaha's is 1,040 feet.

Flying in a fresh cast can also prove dangerous. "Your arm could expand and it could cut off your circulation," she said, noting that the risk is reduced with older casts, which have typically already expanded to accommodate any swelling.

Though the FAA began demanding that airlines carry certain medications more than 30 years ago, the list was tiny.

During the 1990s, overseas airlines began carrying more sophisticated equipment, and pressure increased for U.S.-based airlines to follow, said Dr. Russell Rayman, executive director of the Aerospace Medical Association, which has roughly 3,000 members including physicians, research scientists and flight nurses.

Congress held hearings and then required airlines carry more robust kits and defibrillators by 2004.

American Airlines was among the first to do so, said Dr. David McKenas, who served for 10 years as the airline's corporate medical director until 2002.

He lauded the defibrillator as "so good it's like 100 cardiologists in a box." The machine will only work if the patient's heart is fibrillating, a condition where the contractions become so irregular it loses its ability to pump blood efficiently.

American Airlines buys its kits from Banyan International Corp., which describes itself as "the nation's leading provider of emergency medical kits."

Each of the nine-pound, $250 kits includes aspirin, alcohol swabs, nitroglycerine tablets, antihistamines, IV tubing, a stethoscope, a blood-pressure gauge, a bronchodilator, syringes, gloves, saline solution, epinephrine, dextrose, a manual resuscitation bag, alcohol pads and shears.

Oxygen comes in several forms aboard planes. The oxygen that flows into masks stored above individual seats is not medical oxygen and would not suffice for a passenger in an in-flight medical emergency, said Rayman.

Flight attendants have portable bottles of oxygen that they are to use for themselves in the event of a cabin decompression.

"It could be used if there is a medical emergency on board, but that's not its purpose," he said.

More oxygen is stored in the cockpit for the pilots.

Though MedAire keeps track of its clients' medical air incidents, Rayman criticized the FAA's failure to do so.

"There is no central repository where these things can be archived and then retrieved," he said.

"They don't want to report it because it just doesn't look good. It's not good P.R., you could say."

He said even an anonymous registry would serve a useful purpose.

"We're concerned for safety on the flight," FAA spokeswoman Alison Duquette said. "Once someone leaves the aviation system, there is no way for us to track the outcome." E-mail to a friend

@highlight

Flight attendants call hospital with 24/7 staff, multi-lingual staff who give advice

@highlight

Pilots, not doctors, decide whether to divert a flight due to passenger illness

@highlight

U.S.-based commercial airlines carry defibrillators, oxygen and medical kits

@highlight

A passenger died last week aboard an American Airlines flight