(CNN) -- Seven years ago, I was shot during the massacre at Virginia Tech and became a gun violence survivor. The events that day changed my life, and I've devoted much of my professional life to making sure that fewer people's lives are altered by gun violence the way mine was.

Given that this has become my life's work, people often ask me what we can do to reduce gun violence in America.

My answer is always the same: pass a comprehensive background check bill at the federal level. A federal background check bill won't end gun violence altogether, but it's the most meaningful and immediate thing we can do that would save the most lives.

Current federal law only requires background checks when guns are purchased from federally licensed dealers. Undoubtedly, these checks have saved lives. In fact, since its inception 16 years ago, the gun background check system has blocked more than 2 million felons and other dangerous people from buying guns.

The problem is that the same individuals who are blocked from sales at a dealer can simply purchase guns through unlicensed, private sellers at gun shows or from strangers they meet online with no background check at all. This gap in the law allows millions of guns to exchange hands each year without background checks. That has to change and if national politicians won't take action, we'll have to take this fight to the state level.

Increasingly, that's exactly what the gun violence prevention movement is doing. Voters in Washington state, for instance, passed a ballot measure requiring that all purchasers of guns sold in Washington go through a background check.

In order to pass more ballot measures like this, it's imperative that our movement build a strong base of grassroots supporters that vote with these issues in mind. I'm proud to say that the organization I work for, Everytown for Gun Safety, is doing just that. Our Gun Sense Voter initiative is aimed at signing up 1 million voters who vow to vote for candidates with gun sense.

We also need to make sure that all of the records of those who are already prohibited from owning guns are actually in the system to begin with. Currently, hundreds of thousands of records identifying seriously mentally ill people as prohibited gun purchasers are missing from the federal background check database because of lax reporting by state courts and agencies.

One of those missing records was of the Virginia Tech shooter who killed 32 people and injured 15â€”including myselfâ€”before committing suicide. A court had found that he posed an imminent threat and had issued an order that prohibited him from buying or possessing guns, but because the state failed to submit this prohibiting record to the federal background check system, he was able to pass a background check and buy the guns he used in the massacre.

Gun owners themselves understand that a background check system that works isn't about undermining the rights of lawful gun owners. In fact, recent polling has revealed that more than 70% of gun owners support background checks.

I've experienced firsthand the horror that can result when a dangerous individual gets access to lethal firepower.

I'm reminded of this every day, when I see the scars across my body. For many of my friends, the experience is much worse. They wake up each morning and can barely recognize their own faces, while others still feel the gaping hole of a loved one who is gone. I've made it my life's work to make sure that fewer people have to wake up every day and experience that.

Background checks save lives. It's time we pass a law requiring them on every sale.

@highlight

The CNN Guns Project explores the role of guns in the United States

@highlight

We need a comprehensive background check bill at the federal level, Goddard says

@highlight

People turned away from gun dealers can buy weapons from private sellers

@highlight

Background checks save lives, he says