(CNN) -- Brian Steel was taught from birth that he was "handicapped." Singled out in school by policies and his peers, he grew up feeling unfairly judged because of the way his body worked.

Steel was diagnosed with congenital fiber-type disproportion when he was 4 months old. People with this rare condition, also called short fiber syndrome, typically experience muscle weakness, particularly in the shoulders, upper arms, hips and thighs, and may have breathing problems, according to the National Institutes of Health. The NIH estimates that about 25% of people born with the disorder die during early childhood.

Tired of the way people made up their minds before getting to know him, Steel decided to photograph other people with disabilities and tell their stories. The result was a photo exhibit called "Impaired Perceptions" that premiered in Atlanta late last year.

"We filter everything that we see through the lens of our perceptions, so it is not until we are able to step outside of our perceptions that we are able to determine what is real and what is not," the 33-year-old wrote. "The portraits are traditional, empowering and show each person's humanity."

CNN asked Steel about his exhibit, the misperceptions he faces and how we can do more to accept others. The following is an edited version of that interview.

CNN: How does this condition affect your daily life?

Steel: It has made me physically weak, so it makes a lot of tasks more difficult. I can't lift or carry anything much over 5 pounds. I have a hard time getting out of low chairs because of my weak leg muscles. My weakened chest muscles have caused me to have sleep apnea and make me susceptible to pneumonia.

Physically, it may have made me weak, but in other ways, it has made me stronger. It has made me more creative because I have had to find alternative ways to accomplish the same tasks that would otherwise come (easily) to my able-bodied counterparts.

I have had short fiber from birth, so I haven't known any other reality. To me, it is just life, and I am very grateful for my life.

Opinion: I'm a person, not a condition

CNN: What "impaired perceptions" did you face as a child? As an adult?

Steel: As a child, I mainly remember being seen as different. People would often stare. I remember in my elementary music class, the teacher made us sit on the end separate from the able-bodied children, and we were not allowed to touch any of the instruments.

Once I became fully integrated into the regular classroom, things were a lot better. The great thing about being a kid is that you are mostly around other kids, and children are generally very open about what they think and ask questions when they don't understand. I would have classmates ask me why I appeared different to them, and I would tell them about my condition. After I explained my condition, it was settled.

As an adult, things are much more under the surface. Where children are young and trying to get a sense of their world, adults tend to think that they already have things figured out. Most grown people will not come out and ask me about my condition, so in order to make sense of me they have to either watch and gather information through observation or use their own preconceived notions.

What I usually encounter from adults (is) people asking me who takes care of me or talking to me as though I were mentally challenged. It isn't too unusual for someone to be surprised that I can drive a car. I live a completely independent life.

To be fair, people also tell me that I inspire them simply by living my everyday life, and that is a good feeling.

Schools must provide sports for students with disabilities

CNN: What gave you the inspiration for this photo project?

Steel: "Impaired Perceptions" started from something that had been welling up inside of me. Throughout my life, I have experienced many encounters where people doubted my intelligence and abilities because of my appearance.

I was approaching the completion of my graduate education and preparing to enter the professional world. My concerns and frustrations regarding how I often felt perceived by strangers suddenly became more important to me.

I began by writing phrases on my body that represented the misperceptions that I felt from others and photographing myself. (But) I didn't want the project to just be about my story, because I wanted the message to have a bigger impact.

As I began interviewing different people with various physical impairments and hearing their stories, I realized that some individuals seemed to have more confidence and hope than others. I then became just as concerned with empowering others as I am with trying to change people's perceptions.

People form a lot of their identity from how they feel perceived by others, and others often form their opinions ... from what that person thinks of him or herself. Therefore, the most effective way to eliminate negative perceptions of people with impairments is to empower them.

Amazing success fueled by act of discrimination

CNN: What do you hope people take away from it?

Steel: The overall message is that you cannot tell what a person is capable of or what their life is like simply by looking at them. That is true regardless of ability, race, religion or orientation.

Some of the people I photographed and interviewed for this project appeared to be perfectly able-bodied but actually have impairments that limited them physically. They are misperceived in a manner that is almost opposite to my experience. They talked about how judged they often felt because people could not understand why they weren't doing certain things that required more physical effort.

On the other hand, I met people who had experiences where people felt compelled to help them because they were in a wheelchair, but those individuals are fully capable and have accomplished more than a lot of their able-bodied peers.

My point is not to say that one group is better than the other but rather that you simply can't know what someone is capable of without getting to know them.

The other part of the message that I hope makes a big impact is that you shouldn't let anyone tell you what you are capable of. There are many different kinds of ability and strength. My prayer is that some people who may have given up and accepted a role that they did not choose will find hope and work towards a life that they want.

CNN: What do you think we need to do as a society to better accept differences in others?

Steel: The best way is simply to teach and encourage people to individualize. Simply learning about different conditions or religions is not enough to know all of the people that have those conditions and/or practice those religions.

In my project, I included interviews along with the portraits so that the viewer could get a real sense of who they were. I recently curated "Inside the Outsider," a photography exhibition for Mason Murer Fine Art. The theme was about how we have all felt like an outsider in some way, and in that way, we are all the same. I think if we took that to heart, we would realize that there isn't anything that we are going through that no one else is and that no one is as different from us as we may think that they are.

We have to teach ourselves to suspend our initial judgments and get to know a person before we form our opinion of them. What makes it difficult is that out of self-defense, we instinctively attempt to categorize people and things to avoid possible dangers.

I am not suggesting that we ignore our gut feelings entirely but rather that we suspend our final judgments until we have more information.
Deaf woman's eBay complaint highlights dispute over Web access for disabled

CNN's Elizabeth Johnson contributed to this report.

@highlight

Brian Steel's "Impaired Perceptions" photography exhibit showed in 2012

@highlight

Steel has severe muscle weakness from congenital fiber-type disproportion

@highlight

You shouldn't let anyone tell you what you're capable of, Steel says