(CNN) -- Al Qaeda's central leadership and its ability to direct operations from beyond its base in Pakistan has diminished, but its affiliate organizations, along with other terror groups, have grown more dangerous, according to a new report from the State Department.

"The terrorist threat continued to evolve rapidly in 2013, with an increasing number of groups around the world - including both AQ affiliates and other terrorist organizations - posing a threat to the United States, our allies, and our interests," the annual report on global terrrorism trends found.

In the report, the State Department said ongoing efforts to degrade and eliminate the organization led by Ayman al-Zawahiri have "accelerated the decentralization" of al Qaeda. But those steps have led to groups like its affiliate in Yemen, Al Qaeda in the Arabian Peninsula, to take advantage of conditions on the ground to "broaden and deepen their operations," become more autonomous and focus on their own goals of attacking the United States and other western governments.

Zawahiri has experienced difficulty in commanding influence and ordering directives throughout the group's affiliate structure, the report said, noting an increase in violent attacks by affiliate groups against civilian populations in their areas of operations.

In addition to the more deadly attacks, the decentralization of al-Qaeda has led affiliates to increase their financial independence through increased kidnappings for ransom and criminal activity like extortion and credit card fraud, the report found.

Al-Zawahiri: Followers should 'capture Westerners'

According to the report, al Qaeda in Yemen is among the most lethal of the affiliate groups and "continues to pose the most significant threat to the United States and U.S. citizens and interests in Yemen."

The group's leader, Nasir Wahishi, recently elevated to the No. 2 position in al Qaeda's larger network, carried out more than 100 attacks in Yemen in 2013. It continues its focus of directing attacks at the U.S. homeland like the failed 2009 attempt to take down a jetliner over Detroit with the "Underwear Bomber."

The group has been in the crosshairs of the Yemeni government and U.S. counterterror efforts and was the focus of several military operations against its leadership following the release of a video that showed a large gathering of the group and its senior leadership.

Terror attacks on the rise

The report cited 9,707 terrorist attacks in 2013, a 43% increase from 2012, according to statistics compiled by the National Consortium for the Study of Terrorism and Responses to Terrorism.

Attacks resulted in more than 17,800 deaths and more than 32,500 injuries. The majority took place in Afghanistan, India, Iraq, Nigeria, Pakistan, the Philippines, Somalia, Syria, Thailand and Yemen.

Last year's most lethal incidents were carried out by the Taliban in both Afghanistan and Pakistan, Nigeria's Boko Haram, al Qaeda in Iraq, al Qaeda in the Arabian Peninsula, and ISIL, according to the report.

Snowden's impact

Tina Kaidanow, the State Department's top counterterrorism official, said the revelations by Edward Snowden of classified National Security Agency surveillance programs has degraded America's ability to monitor and prevent terrorist activity.

"It has done damage to our intelligence efforts and it's done damage to our ability to ensure that these groups don't have eyesight on the way that we try and gain intelligence with respect to what they're doing," she said. "So overall, know, it's incredibly damaging when we have these kinds of leaks because, at the end of the day, these groups are better able to assess and judge how we obtain our information."

Syria, Iraq and Africa

The civil war in Syria, with it's increasing sectarian nature, also continues to be a magnet with "thousands" of foreign fighters joining violent extremist groups to do battle for or against the regime of Syrian President Bashar al-Assad, the report found.

It added that al-Qaeda linked groups, such as al-Nusrah Front and the Islamic State of Iraq and the Levant, remain a serious threat. The Iraqi group, which has had some differences with core al-Qaeda and Zawahiri, was found in the report to have conducted some of the most lethal attacks in the world last year.

While Iran and its Shia proxies led by the Lebanese terrorist group Hezbollah continue to support the al-Assad regime, many foreign jihadists are traveling to Syria to fight with al Qaeda-aligned groups like the Nusra Front. A number of governments are concerned those fighters will eventually return to their home countries to carry out attacks of their own.

Next door in Iraq, a weak security environment in the western section of the country along with the de-stabilizing effects of the situation in Syria have allowed a former al Qaeda affiliate, the Islamic State of Iraq and the Levant, to move across the border with ease to conduct its own attacks.

Terrorist groups operating in ungoverned areas of Africa also continue to pose a threat. While the report cites operations by al-Shabaab in east Africa, and terrorist groups operating in Nigeria, Mali and Algeria, the report also singles out Libya as an area of concern and instability.

"Libya's porous borders, the weakness of Libya's nascent security institutions, and large amounts of loose small arms create opportunities for violent extremists," the report said.

@highlight

State Department report says al Qaeda affiliate in Yemen particularly lethal

@highlight

Al Qaeda Central has had difficulty commanding influence and ordering directives

@highlight

The civil war in Syria continues to be a magnet for extremists

@highlight

NEW: Terror attacks increase in 2013; More than 9,700 recorded resulting in more than 17,800 deaths