Under a clear night sky on a rocky arid outcrop, South African astronomers are waiting for the stars to come out and play.

Sightings of faraway galaxies, black holes and the Milky Way are just part of the job for the starwatchers at the South African Astronomical Observatory (SAAO).

"The site is in an ideal location because there is very little light pollution so the skies are extremely dark," said Nicola Loaring, an astronomer at SAAO. "We don't get extreme seasons here, so it's good conditions for our research all year round."

Based in Sutherland -- a four-hour drive from Cape Town -- the observatory is home to one of the largest single optical telescopes in the world and is symbolic of South Africa's growing commitment to astronomy.

The appropriately named South African Large Telescope is the jewel of the observatory, capable of detecting a candle flame as far away as the moon and light a billion times too faint to be seen by the naked eye, according to SAAO's astronomers.

Read more: Tech cities and mega dams: Africa's giant infrastructure projects

Loaring said: "(SALT) is used to study a range of astronomical objects from asteroids to exoplanets, which are planets orbiting other suns."

The telescope is funded by a consortium including South Africa, the United States, Germany, Poland, India, the United Kingdom and New Zealand.

In 1996, the South African government, under the leadership of the late Nelson Mandela, identified astronomy as a key area for investment.

In a white paper, lawmakers recognized that if South Africa failed to invest in "flagship sciences" then the country would be viewed as a "second-class" nation "chained forever" to the need for food and clothing.

Kevin Govender, director of the IAU Office of Astronomy for Development, said that through investment in science and technology, the government can help tackle some of South Africa's social problems.

Read more: Will 'world's biggest' hydro power project light up Africa?

Last year, the government, led by President Jacob Zuma, announced it would invest 200 million rand (around $20 million) in astronomy training over the next five years.

Govender added: "The target that we have is to spend 1% of GDP on science and technology. We haven't reached that yet."

But he added that the benefits of financing astrophysics are already paying off by boosting higher education, employing more professors and contributing to the "knowledge economy."

"This is a an exciting time for astronomy in Africa," he said, "inspiring young people toward education, having the skills to develop economies on the continent and build infrastructure."

Govender added: "When we train an engineer to do a job, they gain the right skills, meaning they can go out and contribute to the country's economy in a number of different ways."

In 2018, construction will begin on the ambitious Square Kilometer Array (SKA), an extremely powerful radio telescope based in the deserts of South Africa and Australia, in a partnership with more than 20 countries. SKA South Africa project director Bernie Fanaroff said: "It has already attracted a lot of young people into science and mathematics in South Africa and from other African countries and it's attracted a lot of top-rate scientists."

Read more: Bright sun, bright future: Can Africa unlock its solar potential?

While South Africa boasts the best resources on the continent, it is just one of the nations leading the way in the pan-African astronomy drive.

Observatories of all shapes and sizes are scattered across Africa in locations such as Burkina Faso, Namibia, Nigeria and Egypt to name a few. Other countries are focusing on training the next generation of astronomers, with the University of Nairobi in Kenya, for example, offering an undergraduate course in astrophysics, designed to train young people to work in observatories.

Telescopes and observatories will continue to spring up in Africa as international cooperation and investment flows into the continent, according to Abiy Tekola, assistant secretary-general at the East African Astronomical Society (EAAS).

He said such a trend "will eventually feed into the economic development of the region."

Established in 2010 to promote awareness of astronomy, EAAS members include Burundi, Ethiopia, Kenya, Rwanda, Sudan, Tanzania and Uganda.

And development in the region is already taking off. In October, Ethiopia opened East Africa's largest observatory, in the Entoto Mountains on the outskirts of the capital Addis Ababa.

The facility -- run by the Ethiopian Space Science Society (ESSS) -- is the first step towards a space program, according to group director Solomon Belay.

He said the project, which includes two large telescopes and cost $3.4 million, will inspire children "towards science and technology especially in physics, mathematics, medicine (and) engineering."

Read more: Earth, wind and water: Ethiopia bids to be Africa's powerhouse

Despite Ethiopia's mantle as one of Africa's fastest-growing economies, agriculture makes up the lion's share of output with over a quarter of the population remaining below the poverty line.

But Belay believes the observatory will have a profound impact on the country's progress.

"The effect of the program in Ethiopia is scientific development (and) the transformation of an agricultural-based economy to an industrial-based and knowledge-based economy," said Belay.

The ESSS hopes the telescopes will also boost tourism, as space fanatics visit the Horn of Africa nation to admire the country's first observatory.

Belay added that he wants Ethiopia to become a "world-class research" center for satellite technology and earth observation by 2025.

"(The program intends) to see a transformed society in Ethiopia and Africa as a whole," he said.

@highlight

Funding astronomy and science in Africa could promote economic growth

@highlight

South African government to invest $26 million in astronomy over five years

@highlight

South African Large Telescope is largest single optical telescope in the hemisphere

@highlight

In October, Ethiopia opened its first observatory