(CNN) -- Two years after the United States pulled its forces out of Iraq, the country is, in the words of one analyst, "a house of cards."

"It is a contraption held together solely by the reluctance of its many components to let things again come to blows, and which survives on constant infusions of cash thanks to high international oil prices," wrote International Crisis Group analyst Joost Hilterman.

Yet the blows keep coming. In some parts of the country, violence has reached urgent proportions, with nearly 1,000 people killed in October alone, according to the United Nations.

With Prime Minister Nuri al-Maliki in Washington to plead for help from the United States in battling a resurgent al Qaeda, here's a look at some of the main issues facing the country.

Sectarian divisions

At the heart of so many of Iraq's many problems is the deep-seated division between the country's Shiite majority and its Sunni minority.

Those divisions have deep roots, including decades of repressive and often violent policies against Sunnis -- particularly Kurdish Sunnis -- under the decades-long rule of dictator Saddam Hussein, deposed in the 2003 U.S. invasion of Iraq.

A Kurdish Sunni, Jalal Talabani, is Iraq's president. However, many members of the faith feel marginalized by the more powerful al-Maliki and what the International Crisis Group described in August as his "divide-and-conquer strategy that has neutered any credible Sunni Arab leadership."

Despite a power-sharing agreement reached in 2010, Sunnis -- who enjoyed political dominance under Hussein -- have complained that al-Maliki has used "de-baathification" as a pretext to exclude them any significant role in national government.

In 2010, many Sunnis boycotted parliamentary elections after a government commission banned nearly 500 candidates for alleged links to the Sunni-dominated Baath Party once led by Hussein.

The violence playing out today has immediate roots in a 2012 Sunni protest movement that analysts say began peacefully but escalated into violence after the government responded with force first.

Only later did the government offer what the International Crisis Group described as "half-hearted, belated concessions" that did more to disillusion Sunnis than placate them.

Circumstances are likely to continue to worsen, warned the International Crisis Group.

"Under intensifying pressure from government forces and with dwindling faith in a political solution, many Sunni Arabs have concluded their only realistic option is a violent conflict increasingly framed in confessional terms," according to the group.

5 lessons of the Iraq war

A resurgent al Qaeda

In 2008, after an increase in U.S. forces in Iraq and with the aid of Sunni tribes who joined the battle against insurgents, al Qaeda in Iraq appeared to be badly beaten.

But since the 2011 withdrawal of U.S. troops, the Sunni-led group known as the Islamic State of Iraq and the Levant has staged a comeback amid Iraq's growing sectarian tensions -- as well as the conflict in neighboring Syria.

Some, including Republican U.S. Sens. John McCain and Lindsey Graham, have criticized al-Maliki's governing approach for antagonizing Sunnis.

In a letter to Obama ahead of his visit with al-Maliki, the two complained that the prime minister is part of the problem standing between Iraq and greater stability.

"By too often pursuing a sectarian and authoritarian agenda, Prime Minister Maliki and his allies are disenfranchising Sunni Iraqis, marginalizing Kurdish Iraqis, and alienating the many Shia Iraqis who have a democratic, inclusive, and pluralistic vision for their country," they wrote.

They aren't alone.

"Many analysts say heavy-handed actions taken by the Maliki government to consolidate power in the wake of the U.S. withdrawal have alienated much of the Sunni minority and provided AQI with potent propaganda," Jonathan Masters and Zachary Lamb of the Council on Foreign Relations wrote this week.

And the International Crisis Group argued in August that "under intensifying pressure from government forces and with dwindling faith in a political solution, many Sunni Arabs have concluded their only realistic option is a violent conflict increasingly framed in confessional terms."

That the conflict is increasingly violent is without question.

More than 6,400 civilians have died in violence in Iraq this year, the United Nations reports, 979 in October alone.

And al Qaeda linked attacks have grown increasingly sophisticated and brazen.

For instance, this week, attackers hit a military checkpoint west of Mosul with a suicide car bombing. Gunmen then targeted ambulances carrying victims, police said.

In another example, fighters from the group carried out sophisticated, multipronged attacks on two prisons near Baghdad in July, setting hundreds of prisoners free, including high-ranking al Qaeda members, according to authorities.

The situation has grown dire enough to raise the specter of a renewed civil war there, according to many analysts and even the special representative of the U.N. secretary-general in Iraq, Nickolay Mladenov.

"Today, Iraq is riven by constant and worsening violence, and the prospect of deepening sectarianism casts a dark shadow over the country. These challenges -- both developmental and security -- threaten the very fabric of Iraqi society and test the extent of the nation's social cohesion," he said in a speech last week in Baghdad.

The history of Iraq

Syria

The situation next door in Syria, where civil war is raging, isn't helping Iraq's stability.

Not only are Kurdish officials having to find ways to deal with nearly 200,000 refugees who have sought shelter in relatively peaceful northern Iraq, the conflict is increasing militancy in the region.

"The war in Syria has become a magnet that attracts sectarian extremists and terrorists from various parts of the world and gathers them in our neighborhood, with many slipping across our all-too-porous borders," al-Maliki wrote in a New York Times opinion piece this week.

Although Iraq is technically neutral on Syria's civil war, al-Maliki is widely seen as supportive of the county's president, Bashar al-Assad, for fear of what could happen should Sunni extremists linked to al Qaeda take control there.

"The civil war in neighboring Syria has exacerbated domestic tensions," the Global Centre for the Responsibility to Protect, a human rights group, recently wrote. "Many Sunni and Shia radicals have joined armed groups fighting in Syria, while Prime Minister Maliki is seen by some Iraqis as being overly sympathetic to President Bashar al-Assad's government and its Iranian allies."

Security Issues

Given such issues to deal with, it's no wonder al-Maliki is calling on Obama to seek more assistance to help combat terrorism and other security concerns.

Among other things, he's seeking military equipment and other aid to help bolster border security, combat terrorism and tackle other threats.

The U.S. plans to go ahead with delivery of F-16 fighter jets to Iraq next year, and a senior U.S. official who spoke to reporters on background said this week that in addition to weapons sales, greater intelligence-sharing is also likely in the cards.

"What we don't want the Iraqis to do is just take a security-centric approach to this," the official said.

"What that means is making sure they have information in terms of where people are located, where it's coming from, where the funding is coming from, and that's something we can do pretty effectively," the official continued. "So we're trying to help them now as best we can, and that's going to be a key topic of discussion over the course of the visit."

Economic issues

Although gains have been made to restore Iraq's economy after years of war, occupation and violence, crushing poverty remains pervasive, and the economy remains fragile.

Nearly 2 million Iraqis sometimes lack enough to eat, Mladenov said. Infant mortality remains high, as does illiteracy and unemployment.

And the violence threatens to derail the country's oil production, which drives much of its economy.

According to Iraq's Oil Ministry, exports fell to 62.1 million barrels in September, from a peak of 79 million barrels in April, when the worst of the violence began.

A continued slide could threaten the government's ability to pay for increased security and economic development efforts.

The oil sector provides more than 90% of government revenue and four-fifths of its foreign exchange earnings, according to the CIA.

Spurt of attacks in Iraq

@highlight

Sectarian divisions, terror, regional conflict and economic issues all threaten Iraqi stability

@highlight

Continued violence could also threaten the country's oil exports and economy

@highlight

All these issues form backdrop for Iraqi prime minister's visit with President Obama