South Hadley, Massachusetts (CNN) -- As a co-author of an American history textbook that was effectively banned in Texas eight years ago, I get a strong feeling of déjà vu all over again as I follow the state's latest curricular wars.

Historians and teachers have reason to be deeply concerned over the latest actions taken by the Texas Board of Education regarding social studies curriculum standards.

The board has moved aggressively to put its hard-right conservative stamp on what students need to learn about the American past. Among the changes made by the board was the elimination of Thomas Jefferson from a list of thinkers who had inspired revolutions around the world. Conservatives object to Jefferson's support for a clear separation of church and state.

This trend is troubling in terms of the writing and the teaching of U.S. history.

In 2002, the school board, egged on by well-funded conservative organizations, excluded "Out of Many: A History of the American People," ostensibly for an offensive passage discussing prostitution on the Western frontier.

But the real reason became clear as that dispute played out, and I think that it helps explain what's happening today. Many conservatives are simply unwilling to accept how much the writing and teaching of American history has changed over the past 40 years.

They want an American history that ignores or marginalizes African-Americans, women, Latinos, immigrants and popular culture. Rather than genuinely engaging the fundamental conflicts that have shaped our past, they prefer a celebratory history that denies those fundamental conflicts.

Conservative textbook activists believe that somehow what they call the "revisionist" history of recent decades needs to be "balanced." Hence their insistence that, for example, textbooks stress the superiority of American "free enterprise" -- they think the word "capitalism" is too negative. And they insist books stress, as school board chairman Don McLeroy put it, that "America was built on Biblical ideals."

What's wrong with this picture? For one thing, the process itself undermines the hard work, research and professional judgments of teachers and outside experts who toil to come up with a coherent curriculum.

This year, the Texas board approved more than 100 amendments to the 120-page curriculum standards affecting history, sociology and economic classes. Instead of acknowledging that genuine disagreements over interpretation and emphasis are the lifeblood of history, they reduce it all to a cartoonish process of correcting perceived "bias."

This is a terrible trivialization of history, contributing to the dumbing-down of what students learn.

If we want to equip our students with analytical skills, the tools that allow them to become critical thinkers and better citizens, then we need to expose them to a greater variety of often conflicting sources: primary documents, biographies, monographs, films and so on.

We need to acknowledge there's no such thing as history with a capital H. There are only individual men and women who struggle to make sense of some aspect of the past, bringing our own passions, preconceptions and points of view to our writing.

American history looks a great deal more inclusive, capacious, contentious and messy than it did a half century ago. That is because contemporary events always affect how we understand the past.

Thus, the civil rights movement led to an explosion of innovative and groundbreaking scholarship on African-American history. Similarly, there was very little attention to the historical experiences of women before the feminist upsurge of the 1970s. The antiwar movement and New Left of the 1960s and '70s prompted major reconsideration of the history of American foreign relations.

The environmentalist movement has inspired a broad rethinking of the nation's relationship to the land and natural resources. Much recent historical writing has confronted some of the more painful and difficult aspects of our past, such as the grim realities of American apartheid and the powerful influence of white supremacist thinking.

But does this sort of work somehow demean America, as conservative critics charge? Perhaps, if your goal is to reduce the study and teaching of history to a kind of pseudo-patriotic cheerleading. But I believe we have an obligation to present our students with inconvenient facts, to make them uncomfortable and to teach them how to assess competing interpretations of our past.

Future historians may look back at the Texas textbook wars as a prime example of how contemporary political movements shape how we engage history.

I can't think of a better example of that than the current campaign waged by conservatives to remove "bias" from textbooks. Their success threatens to impoverish our students, teachers, and classrooms.

The opinions expressed in this commentary are solely those of Daniel Czitrom.

@highlight

Daniel Czitrom co-wrote an American history textbook banned in Texas eight years ago

@highlight

Czitrom: Texas still putting hard-right conservative stamp on what students learn

@highlight

Writes: History according to Texas ignores blacks, women, Latinos, immigrants, pop culture

@highlight

It cheats students, trivializes history into pseudo-patriotic cheerleading, he writes