(CNN) -- Supporters of Proposition 8, California's voter-approved ban on same-sex marriage, are asking that a judge's injunction barring the measure's enforcement be thrown out because the judge failed to disclose his involvement in a long-term same-sex relationship.

In August, then-U.S. Chief Judge Vaughn Walker ruled the measure violates the Constitution's equal protection clause. "Proposition 8 does nothing more than enshrine in the California Constitution the notion that opposite-sex couples are superior to same-sex couples," Walker wrote in his 136-page opinion.

But on April 6, Walker ended months of speculation by publicly disclosing "that he is gay and that he has been in a committed relationship for more than 10 years," said a motion filed Monday by Proposition 8 backers. In previous press reports, according to the motion, Walker refused comment on his sexual orientation.

While the press reports do not address the question of whether Walker and his partner have any interest in marrying, the motion said, Walker should have either recused himself from the case or disclosed his sexual orientation "so that the parties could consider and decide, before the case proceeded further, whether to request his recusal."

Walker, who retired at the end of February, told reporters earlier this month he didn't think it was appropriate for any judge's sexual orientation, ethnicity, national origin or gender to stop them from presiding over a case, according to a Reuters report. "That's a very slippery slope," said Walker, who was appointed to the federal bench in 1989 by President George H.W. Bush.

But, argues the motion filed Monday, if Walker and his partner ever wanted -- or thought they might want -- to marry, he "plainly had an 'interest that could be substantially affected by the outcome of the proceeding,'" it said, citing federal law regarding disqualification of judges.

"Only if Chief Judge Walker had unequivocally disavowed any interest in marrying his partner could the parties and the public be confident that he did not have a direct personal interest in the outcome of the case," the motion said.

Same-sex marriage advocates decried the move.

"Supporters of Proposition 8 are grasping at straws because they don't like the outcome," said Michael Cole-Schwartz of the Human Rights Campaign. "If their real intent was to 'protect marriage,' they should argue that a straight married judge be disqualified since he would conceivably have an interest in protecting his own marriage. The argument is simply ridiculous on its face."

However, Peter Sprigg, senior fellow for policy studies at the conservative Family Research Council, said he supports the motion.

"The fact that Judge Walker was biased in a generic sense was obvious from his decision itself," Sprigg said. "But the revelation that he has been in a long-term homosexual relationship demonstrates that he had a very specific interest in the case which should have been disclosed."

"I think there is zero chance of the decision being overturned because of this purported conflict, but it might have been wiser for Judge Walker to make this disclosure before taking on the case," said Jeffrey Toobin, CNN legal analyst.

The motion says that proceedings in the case have been "marked by a number of irregular and unprecedented rulings, both procedural and substantive, that give gravely disquieting force to the 'appearance of partiality' created by the belated disclosure of Chief Judge Walker's long-term, committed relationship."

It cites several examples, among them the fact that Walker refused to stay his judgment pending appeal despite its "unprecedented nature ... and its sharp conflict with the uniform judgment of appellate courts throughout the country." As a result, the motion argues, the Ninth Circuit was forced to issue such a stay.

The Proposition 8 backers emphasize that in the motion, they are not suggesting a gay or lesbian judge could not hear the case -- only that no judge should try a case where they might have an interest in the outcome. "We deeply regret the necessity of this motion," it says.

"In this case, it is undeniable that Chief Judge Walker failed to make the required disclosure. At no point prior to the entry of judgment did Chief Judge Walker disclose that he is in a now 10-year long, committed same-sex relationship. And he has yet to disclose whether he has any interest in marrying his partner should the injunction he issued be upheld on appeal," the motion said. "... Simply stated, under governing California law, Chief Judge Walker currently cannot marry his partner, but his decision in this case, and the sweeping injunction he entered to enforce it, would give him a right to do so."

Toobin said the Proposition 8 supporters were not saying the judge shouldn't have heard the case because he is gay.  "They're saying he couldn't hear the case because he was in precisely the kind of relationship that would be affected by his decision," he explained.

"I still think that is not necessarily disqualifying, because judges deal with issues that affect them in a broad sense all the time, but it might have been a better practice to put the cards on the table," he said.  "... It gets to be a closer question when it's not just the general group affected, but the precise sub-group whose rights are at issue in the case."

While the argument is a legitimate one, Toobin predicted it will not succeed. "It's all part of the strategy of litigating a high-profile case. You look for every advantage you can."

But, "if Walker was willing to say something publicly after the case, he probably should have been willing to say something before the case," he said. "... I think disclosure is almost always the better practice."

The civil rights challenge remains at the U.S. Court of Appeals for the 9th Circuit, and the issue remains unresolved, although a ruling is expected later this year. The court in December set aside Walker's decision, which would have allowed same-sex marriages to resume in California.

Walker's ruling assured a swift federal appeal that ultimately may reach the U.S. Supreme Court. One sticking point could be whether Proposition 8 supporters in court -- all private citizens and groups -- have legal "standing" to continue appealing the case.

If the appeals court rules they do not, the Supreme Court may not wade into the issue, some legal experts have said, giving no clear guidance on the constitutionality of same-sex marriage nationwide. The high court, in a 1997 unrelated appeal, expressed "grave doubts" about the ability of such private groups to challenge rulings that strike down ballot initiatives.

The state's high court had allowed same-sex marriages in California, but then Proposition 8 passed with 52 percent of the vote in 2008. Prior to Walker's ruling, the California Supreme Court allowed that initiative to stand, saying it represented the will of the people.

CNN's Bill Mears and Alan Silverleib contributed to this report.

@highlight

Human Rights Campaign: "The argument is simply ridiculous"

@highlight

Former Judge Vaughn Walker blocked enforcement of Proposition 8

@highlight

After his retirement, he confirmed he is involved in a same-sex relationship

@highlight

Supporters of the same-sex marriage ban say Walker should have disclosed that