(CNN) -- What can a pod of dolphins teach golfers? Quite a lot according to Paul Azinger, the last man to captain the United States to victory in the Ryder Cup, back in 2008.

Another humbling at the hands of Europe, who completed a third straight victory in the biennial team tussle at Gleneagles last month, provoked a familiar wave of American introspection.

Surprisingly, it was sparked by one of its own team members -- five-time major winner Phil Mickelson -- who launched an astonishing critique of the job done by 2014 skipper Tom Watson.

The 44-year-old lauded Azinger's leadership during the 2008 tournament at a tense press conference at Gleneagles, hours after Europe's 16½-11½ success had been confirmed.

Mickelson said Azinger had involved the players in his decision making process and formulated a "real game plan," the implication being that Watson had done neither during his tenure.

The 64-year-old veteran, who was the last man to secure a U.S. triumph on European soil in 1993, sat listening to Mickelson's monologue with a painted smile on his face.

He then replied: "(Phil) has a difference of opinion. That's OK. My management philosophy is different than his. I had a different philosophy than Paul. I decided not to go that way."

Prior to the 40th installment of the competition in Scotland, CNN spoke to Azinger, who laid out the principles he felt were instrumental in sealing what is still America's only triumph this century.

One of the fundamental aspects of his captaincy centered around a pod system, relating to the way dolphins coexist with one another, where the 12 players are split into three teams of four.

"I tried to get my players invested and engaged in the process early," Azinger told CNN's Living Golf show.

"Then I gave ownership of their little small man groups and empowered them by allowing them to pick who filled out their team. These guys bonded and we were bonded as a team with a secret.

"That's what we built prior to the matches and prior to showing up at Valhalla."

Azinger, who revealed he'd spoken to Watson before the tournament but had "no idea" what the captain was planning, wrote a book about his success called 'Cracking the Code.'

In it he details how the "code" was concerned with team building and applying business principles to the Ryder Cup formula.

It also embraced the Myers-Briggs test -- used by government agencies, colleges and HR departments -- to group people together based on their personality traits.

"The code was through observation," he explained. "I see what Europe has in place; the Spaniards play together, the Irishmen, the Englishmen.

"If there's crossover you'll get best friends like an Irishman in Darren Clarke and an Englishman like Lee Westwood, so there's small groups already in place.

"I'm using their personality types to put the players in groups through observation about who they are, breaking everybody into four personality types. It was really a leadership philosophy to team building that's the code.

"It became more of a relational story than a golf event for me and for our players. Of course they played great but we created the atmosphere and platform for them to play their best.

"The code was that Europe had small groups, we went with small groups, that's a Navy Seals philosophy to team building.

"To apply those militaristic principles and those business principles to a sporting event and watch it unfold the way it did -- that was the cracking of the code to me."

Europe's players were falling over themselves to praise their captain, Paul McGinley, who they said was meticulous in his preparation.

Not only did McGinley get to know his players over the course of his captaincy, he also ensured they all felt invested, even detailing one of his five vice-captains to look after those players who weren't selected to play.

The Irishman also prepared motivational speeches and videos for his team, even going so far to ensure the goldfish in Europe's team room were blue and gold -- the colors of the continent's flag.

McGinley would surely have scored highly in Azinger's recipe for what constitutes a good captain.

"A great captain has to be organized," Azinger said.

"You have to have the willingness to surround yourself with people that can help you, and you have to make it not about you, you have to make the captaincy about the players around you.

"You have to realize you don't get to play but that you have a responsibility and a leadership role of making the guys around you comfortable, confident.

"I wanted everyone to have confidence in my confidence in them. And treat them like men, they are professionals.

"I messaged players according to their personality type, situational messaging -- I didn't give everyone the same message.

"You have to build that type of environment and then you have to get out of their way."

The calls for Azinger to reprise his role in 2016 began almost as soon as the U.S. defeat was confirmed.

Mickelson's praise was followed by a tweet from Jason Dufner, a member of the U.S. team that succumbed to the "Miracle of Medinah" back in 2012, that read"@PaulAzinger #2016."

"We all do the best that we can and we're all trying our hardest, and I'm just looking back at what gave us the most success," Mickelson added in his Azinger tribute.

"Unfortunately, we have strayed from a winning formula in 2008 for the last three Ryder Cups, and we need to consider maybe getting back to that formula that helped us play our best."

@highlight

Paul Azinger is hotly tipped to be the United States Ryder Cup captain in 2016

@highlight

Phil Mickelson lauded Azinger's captaincy during U.S. success back in 2008

@highlight

Mickelson was critical of Tom Watson's leadership during competition in Scotland

@highlight

Azinger says personality matching was a big part of his captaincy blueprint