(CNN) -- After his inauguration, if President Barack Obama needs real-time intelligence on crises around the world, he is likely to do it in the Situation Room, the ultra-secure conference room in the White House. It's a place this new president may be seeing a lot of.

Interconnected crises: Afghan children hold toy guns in an anti-Israel protest.

During the election campaign, Obama often talked about Iraq, a war he opposed, and his plan to withdraw troops within 16 months. He stressed the need to increase U.S. forces in Afghanistan.

He criticized Russia for moving its troops into Georgia. Ultimately, however, the campaign hinged on the economy. Substantive debate over the long list of international challenges facing the United States never happened.

As soon as he lowers his hand after taking the oath of office, this new president is responsible for steering the United States through the stormy waters of foreign policy dangers.

He must decide not only which issues to take on, but when to take them on. But, in this interconnected world, the U.S. president cannot dictate the timing of world events. Crises can hit at any time.

An effective president must be ready to act quickly while, at the same time, keeping his long-term focus on strategic priorities. And everywhere he looks, a raft of questions need answering. So, where does Obama start?

Israel-Palestinians

The conflict between Israel and the Palestinians conflict flared up again with deadly results just as Obama prepares to take office. The Bush administration's last ditch efforts at forging a final status agreement between Israel and Palestine is in tatters.

Will the new president continue the Bush policy of close alliance with Israel? Or will he talk tough to his Israelis allies, urging them to refrain from air attacks and to stop building new settlements while, at the same time, pressing the Palestinians to stop their rocket attacks on Israel and crack down on terrorism?

Should he pull out all the stops, trying for a high-stakes strategy of brokering peace and a two-state solution? Or should he just try to put out the immediate fire?

Iraq

President Obama takes office as the new Strategic Framework Agreement between the U.S. and Iraq, along with the Security Agreement governing the presence of U.S. forces in the country, goes into effect.

U.S. forces will now operate under new rules with the Iraqi military officially taking the lead. U.S. forces are scheduled to be withdrawn by the end of 2011.

But will Iraqi soldiers and police be up to the task of guaranteeing security for Iraqi citizens? By December 31, 2011 will Iraq really be stable enough for U.S. troops to leave?

Afghanistan

Obama wants Afghanistan, not Iraq, to be the central front in the battle against terrorism.

With attacks by the Taliban and other extremist groups on the rise, Afghanistan is sinking into chaos.

Obama calls the situation "urgent" and wants to send more troops. Commanders in Afghanistan are asking for up to 30,000 additional troops, joining the 36,000 already there.

But, beyond the number of soldiers, what is Obama's strategy to win the war in Afghanistan?

Can he convince NATO allies to contribute more troops when they refused similar requests from President Bush? Can he "regionalize" his approach to the war, involving countries like Iran in the solution? How will he carry out his plan to target al Qaeda? Can U.S. forces finally capture Osama bin Laden?

Iran

Iran's political power in the region is growing. Tehran is moving forward with efforts to enrich uranium and, some fear, ultimately produce enough for a nuclear bomb.

In one of the most controversial issues of the U.S. presidential campaign Obama said he was willing to talk with the United States' enemies.

Will he follow through with Iran? What if Israel carries out a pre-emptive strike on Iran's nuclear facilities before the talking is over?

Pakistan

Pakistan's border regions have become havens for terrorists including, experts believe, Osama bin Laden.

The Bush administration focused its relationship with nuclear-armed Pakistan on the military under General Pervez Musharraf, an uneasy alliance dictated by the war on terrorism.

But concentrating on the military meant ignoring Pakistan's civilian government.

How will Barack Obama balance the need to work with the military and security forces of Pakistan without undermining Pakistan's already-weakened democracy which, in turn, leads to more instability?

Russia

In the wake of war in Georgia, U.S.-Russian relations are in their worst state since the end of the Cold War and the potential for serious conflict between Washington and Moscow is growing.

Russia experts are urging Obama to review the relationship from top to bottom, establishing with Moscow new "rules of the game" that would avoid the current cycle of U.S. lecturing and Russia blustering.

Will Obama follow their advice and work with Russia as an equal on challenges like Iran and nuclear non-proliferation?

Financial meltdown

The world-wide financial crisis is not just an economic issue; it can limit the ability of the new president to project U.S. power internationally.

Potentially it could destabilize countries.

Many other nations, including America's friends, blame the origins of the crisis on the U.S., and Obama will need as many friends as he can get -- plus a coordinated world response -- to end this meltdown.

A World Transformed

One of the biggest challenges facing the new U.S. president is not a country, or an international leader, it's the world itself in which power -- economic and political -- is shifting.

New players are emerging: Brazil, Russia, India, and China, the so-called "BRIC" countries.

Non-traditional issues like climate change are playing an increasing role in the United States' foreign policy. So is competition for energy supplies.

From his seat in the White House Situation Room, President Obama will see a world filled with threats -- and opportunities. By establishing his priorities early, he can be ready for both.

@highlight

Israel-Palestinians flared up again during the presidential transition period

@highlight

Iraq and Afghanistan and their role in the war on terror

@highlight

Obama will need international help to battle the global financial meltdown

@highlight

How Obama reacts to crises will define his presidency