London (CNN) -- Amid a din of whistles and klaxons, and bearing banners emblazoned with "No cuts" and "Austerity is failing," thousands of protesters marched past London's landmarks Saturday in a show of popular anger over government cutbacks.

"I don't like the government's policy, I don't think it works and I think the most vulnerable people suffer -- that's why I'm here," said one woman on the march.

The planned cuts to services and payments that help the sick and disabled are "shameful," she said.

Culminating in a mass rally in Hyde Park, the protest, staged by unions representing public sector workers and others, reflects a rising tide of discontent among many over the austerity measures brought in or proposed by the coalition government.

Marches were also held in the Scottish city of Glasgow and Belfast in Northern Ireland.

Addressing the crowds, opposition leader Ed Miliband, of the Labour Party, criticized the government's policies as unfairly putting the burden of austerity on ordinary workers and cutting "too far, too fast."

"None of these people think that Britain owes them a living, none of these people are asking for the earth -- they just have a simple request: They want a Britain that works for them. They believe we do better as one nation," he said.

Miliband was booed, however, when he said that he could not promise "easy times," or rule out any cuts to services.

If in power, a Labour government too would have to take steps to balance the books, he said -- although he insisted it would target the country's millionaires with tax rises, rather than taking money from the poorest members of society, as he accuses the government of doing.

A banner carried by one protester put the responsibility for the country's woes squarely on the shoulders of the prime minister, proclaiming "Cameron has butchered Britain."

But speaking at his Conservative Party's national conference earlier this month, David Cameron defended the government's austerity program, saying "painful decisions" had to be made to bring down the deficit.

He acknowledged, though, that the path ahead was not easy. "Here's the truth," Cameron said. "The damage was worse than we thought, and it's taking longer than we hoped."

But public sector worker Lee Billingham, 42, said life was getting too tough for many, as costs continue to rise.

"I think the deficit is an excuse to cut our wages and cut public services," he told CNN. "My pay has been frozen for three years now and it's really hard to make ends meet."

The Trades Union Congress, a federation that includes most British unions, said ahead of the event, dubbed "A Future That Works," that it expected tens of thousands of union members to turn out in London.

The Metropolitan Police declined to provide an estimate of the number taking part in the march and rally.

While the demonstration itself was peaceful, groups of masked youths were seen shouting at police and running through the streets in central London on Saturday afternoon.

A police spokesman said officers had responded to some incidents but that no damage to property had been reported.

TUC secretary general Brendan Barber told protesters in Hyde Park: "We have a stark and united message for the government. Austerity isn't working. It is hitting our jobs, our services, our living standards."

"It is hammering the poorest and the most vulnerable. And austerity is failing even on its own terms, for this is a government of broken promises.

"Ministers told us that if we only accept the pain, recovery would come. Instead we have been mired in a double dip recession."

The TUC wants the government to abandon its program of cuts to public services and austerity measures in favor of investment in infrastructure, new industries and training.

Without a focus on growth and job creation, especially for young people, the nation faces a "lost decade" of decline, it warns.

Chancellor George Osborne said last month though that the economy was "healing," and that the government's strategy was delivering results "despite strong headwinds."

"But the scale of the challenge is so great that there are no quick fixes or easy routes to recovery," he told business leaders in Scotland. "The debts built up in our economy over the last decade will take time to unwind."

Both Osborne and Cameron have pointed to the eurozone crisis as a factor in the current economic situation, saying it has cast a shadow over the British economy.

Britain is one of a number of European nations, Spain and Italy among them, laboring under a large burden of public debt in the wake of the global economic downturn.

Violent clashes between police and protesters have broken out at anti-austerity protests in Greece and Spain in recent months.

The UK unemployment rate fell slightly to 7.9% for the period from June to August this year, the Office for National Statistics said this week. However, many young people are without work.

CNN's Erin McLaughlin, Laura Smith-Spark and Per Nyberg contributed to this report.

@highlight

NEW: Police respond to trouble by small groups of masked protesters

@highlight

Large numbers join union-backed marches in London, Glasgow and Belfast

@highlight

People "want a Britain that works for them," says Labour Party leader Ed Miliband

@highlight

Cameron's government says "painful decisions" are necessary to get Britain back on track