(CNN) -- For a year, journalist and author David Eimer traveled the edges of China exploring a side of the country that obliterates expectations.

"Most people are unaware of the sheer diversity of China in terms of ethnic minorities," says the former Beijing resident and China correspondent for the Sunday Telegraph newspaper. "I met people who have blond hair and blue eyes and look completely European but are 100% Chinese in terms of upbringing and language."

The Chinese government officially classifies 55 ethnic minorities.

During his travels through Yunnan, Tibet, Xinjiang and the Dongbei region, Eimer met many of them.

These are people distinct from the Chinese majority -- the Han -- with their own languages, cultures and histories, who happen to be living within China's national borders.

Eimer has collated their stories in his latest book, "The Emperor Far Away: Travels at the Edge of China," published in July by Bloomsbury USA.

CNN spoke with Eimer (now based in Bangkok) about his travels and China's ethnic minority communities.

CNN: Why write this book?

David Eimer: There are a hundred million people living in China who aren't Han. I wanted to go to those regions and give them a bit of voice.

CNN: Your favorite place from your travels?

Eimer: Deep south of Yunnan.

It's got great food, it's not a politically sensitive area.

Almost half of Chinese minorities live in the south of Yunnan. If you want, you can see Hakka villages, Dai villages and a fair number of tourists do go there for that.

The Chinese like to think of Xishuangbanna [an autonomous prefecture within Yunnan Province] as their own Thailand. It doesn't have a coastline, but the food, language and climate are all similar to Southeast Asia.

CNN: Any memories stand out from the area?

Eimer: One of my favorite experiences was trekking through villages along the border with Burma and staying with families along the way.

You just arrive and ask around, pay them RMB 50 ($8) and they'll say, "sure," and you can drink rice wine with them.

CNN: Which was the most difficult place to cover?

Eimer: Tibet just because of the controls the government places on foreigners who go there.

As a journalist you're not meant to be there, but it's not a problem for tourists.

It's a stunning part of the world. You'll see scenery that you don't see anywhere else on the planet.

(But) Tibetans are the hardest people to really engage with. You won't want to get them in trouble by asking sensitive questions, and a lot are scared by the heavy PLA and wujing (paramilitary) presence.

The food is really bad. The hotels aren't really hotels, they're just like plain concrete-floor rooms with no showers. There was a space of 10 days where I had one shower.

CNN: What was wrong with the food?

Eimer: They can't grow vegetables so it's all imported.

I love Chinese food but I have to say Tibetan food is my least favorite. It's dumplings or fried rice and a bit of yak meat if you're lucky, so yeah it grinds you down a bit.

CNN: What was the appeal of Dongbei, China's northeast region?

Eimer: It's right next door to North Korea and Russia and I don't think people realize that there's like a "third Korea" within China.

There are a couple million ethnic Koreans living in Dongbei along the border, they are given leeway in terms of speaking the language and going to schools that teach in Korean.

They are all watching South Korean soap operas and listening to K-pop and eating dog (a common North Korean dish) and kimchi inside China. Chinese Koreans are all from North Korea, but culturally they are South Korean, they haven't been cut off and isolated.

CNN: Did you get to the Russian border area?

Eimer: When you head toward Russia it just looks like Siberia.

I was there in winter and the landscape is bleak, lots of snow and under-populated areas. I was interested in Manchus in this region.

The Manchus were the only minority that ruled China in the past. I thought it was interesting to see their homelands and how they had been absorbed to the point of having only 100 people left who can still speak the Manchu language.

CNN: Did you meet any Manchus?

Eimer: The only genuine Manchu person I met was in Xinjiang, thousands of miles away from what was once the Manchu heartland.

There's a specific ethnic minority in Xinjiang -- the Xibe -- who are closely related to the Manchu and who are the descendants of soldiers sent to guard the edges of the Qing Empire in the 18th century.

Xinjiang is now the only place in China where you're likely to hear someone speaking an approximation of Manchu.

In fact, although around 10 million people in China register themselves as Manchu, most are mixed Han and Manchu, a result of extensive intermarriage, so there are very few people left who are 100% Manchu.

CNN: In the book you seem pessimistic about the Tibetan and Uyghur independence movements.

Eimer: I'm pessimistic about Tibetans and Uyghurs gaining independence.

To split the country is ultimate heresy for the CCP (Chinese Communist Party), it will never happen and they will do everything to prevent it.

Sadly the situation now in Xinjiang and Tibet has gotten to the point where violent extremism is the way forward rather than reconciliation.

You're not going to see Uyghurs sitting down in Beijing for talks. Giving Ilham Tohti life in prison sends the message: it's our way or no way. [A Uyghur economics professor at Beijing's Minzu University, Tohti was found guilty of "separatism" and sentenced to life in prison by a Chinese court in September.]

The situation will only get worse. It will present really big challenges for the CCP. Are they going to effectively keep one-third of China's landmass under virtual martial law?

CNN: Would you say Taiwan and Hong Kong are heading down a similar road?

Eimer: What's happening on the fringes, you can include Hong Kong into that. Hong Kong is it's own place. It's not the mainland.

In Xinjiang and Tibet, CCP rule is being challenged more and more, and the same goes for Hong Kong where (they're) doing it in a peaceful, nonviolent way.

I think it's interesting that the pressures the CCP are getting are from parts of the country that were previously regarded as reasonably docile.

They weren't prepared for Hong Kong people to stand up and say "no" and they have to be careful because Taiwan is looking very closely at what's going on in Hong Kong to determine whether One Country Two Systems will work for them.

CNN: Some argue that China is already doing the best it can to keep an incredibly large country and population relatively united.

Eimer: Managing China is insanity. How do you do it?

I still think China is the most fascinating country in the world for many of these reasons.

China is more like an empire.

Managing China has always been difficult, which is why the book is called "The Emperor Far Away."

CNN: What do you always travel with?

Eimer: A Swiss army knife, notebook, pen and money or access to money, as well as passport, of course.

Anything else you can buy along the way.

@highlight

Journalist David Eimer's new book chronicles many of China's 55 official ethnic groups

@highlight

Xishuangbanna is China's Thailand, with food and climate similar to Southeast Asian countries

@highlight

Eimer also visited the "third Korea," located inside of China

@highlight

He says Tibetans are the hardest to interview