To mark the end of Islam's holiest month, Iftikhar Ali will head not to a mosque but to a convention center guarded by law enforcement officers.

That's because this month, during Ramadan, the mosque in Joplin, Missouri, burned to the ground. Its rubble smoldered for two days as a shocked Muslim community came to terms with what had happened.

"I think there are a few people who don't like anybody," Ali said. "They don't like a different color than their color or different religions."

Ali, who is the president of the Joplin mosque, said the congregation rented a convention center so people would have a place to pray and celebrate Eid al-Fitr, the feast that marks the end of fasting for Ramadan.

My Take: How evangelicals could grow to love Muslims

Authorities are still investigating the mosque burning but suspect the fire was intentional. In July, a surveillance camera caught a man throwing an incendiary device onto the building that damaged part of the roof.

Ahead of Eid, Ali said he contacted the police and sheriff's department. They are sending extra officers Sunday.

It's that way across America, after a spate of violence at Islamic centers in recent weeks that included a homemade bomb and pigs parts.

At least seven mosques and one cemetery were attacked in America during Ramadan, according to groups that track such incidents.

"This is unprecedented in its scale and scope," said Ibrahim Hooper, spokesman for the civil rights and advocacy group, Council on American-Islamic Relations.

He said Muslims have not been under attack like this since the backlash after the September 11 attacks and the immediate aftermath of the Oklahoma City bombing when it was assumed the work of Islamic extremists.

Just Thursday, Ahmed Rehab, the head of the council in Chicago, received a call from a young man visiting his father's grave at Evergreen Cemetery. Someone had desecrated several Muslim graves.

The Prophet Mohammed's name was taken in vain and, a black marker scrawling on a tombstone screamed: "raghead," a derogatory term for Muslims that stems from head coverings like turbans and kaffiyas.

A few days earlier, police arrested 51-year-old David Conrad and accused him of firing a pellet gun at a mosque filled with 500 people in Morton Grove, southern Chicago suburb.

No one was injured but worshipers said one of the bullets flew only inches above a security guard's head, according to CNN affiliate station WGN. Conrad is a neighbor and had previously spoken out against the expansion of the mosque. He was charged with four felonies.

In a third Chicago-area incident, worshipers at an Islamic school in Lombard heard a loud noise outside of the building during night prayers.

They then found a 2-liter soda bottle filled with acid. Police identified it as a homemade bomb.

No was injured in that incident, either, but on the heels of the carnage at the Sikh temple in suburban Milwaukee, and the burning of the Joplin mosque, Muslims in the United States were fearful.

The temple shooter died and his motives may never be known. But he was linked to white supremacist groups and Hooper said many people felt the Sikhs were mistaken for Muslims because of their turbans and beards.

In Murfreesboro, Tennessee, a new mosque opened this month after more than two years of community protests, legal hurdles and vandalism. The board of directors planned for extra security.

Tennessee mosque opens after 2 years of controversy

When worshipers bow their heads in prayer Sunday, someone else will be scanning the room.

"Yes, we are very concerned because we have been the subject of vandalism, arson, bomb threats, intimidation, bullying," said Saleh Sbenaty, a board member of the Islamic Center of Murfreesboro.

"You call it," he said. "Every single act of intimidation, you know, was actually inflicted upon us."

Hooper, the spokesman for the Islamic Council, said Muslims in the United States have been asked to exercise caution. The council released a tip sheet on security: know your emergency responders, post observers, report threats, install surveillance cameras.

Hooper said anti-Muslim rhetoric has been building for years, especially from groups formed specifically to fight against Islam in the United States.

"Anti-Muslim hate groups are a relatively new phenomenon in the United States, most of them appearing in the aftermath of the World Trade Center terrorist attacks on Sept. 11, 2001," according to the Southern Poverty Law Center, which tracks such groups.

"Earlier anti-Muslim groups tended to be religious in orientation and disputed Islam's status as a respectable religion," the center said.

Hooper, for one, believes there's an "Islamophobia machine working out there."

"Eventually and inevetiably, it's going to have an impact on the tiny minority of people willing to carry out acts of violence," he said.

Rehab of CAIR's Chicago office also blamed the spike in incidents on government officials who he said were involved in fear-mongering.

He cited statements made by Republican congressman Joe Walsh of Illinois who warned Americans that "there is a radical strain of Islam in this country"and that radicals are "trying to kill Americans every week."

Justin Roth, Walsh's chief of staff, said the lawmaker's comments were taken out of context and that Walsh is troubled by attacks on any people based on their religion.

Nevertheless, the American-Arab Anti-Discrimination Committee blamed Walsh for the homemade bomb incident.

"It is not a coincidence that after the remarks by Rep. Walsh were made that there was a homemade bomb directed at an Islamic school ..." the committee said. "The facts are clear -- By proclaiming to the public that 'Muslims are trying to kill Americans every week,' Walsh raised suspicion of the American Muslim community and incited fear."

There were other troubling incidents this month:

-- In Hayward, California, police arrested two teens and charged them with committing a hate crime after worshipers said the boys threw lemons at worshipers during prayer.

-- In Ontario, California, pig legs were left on the property of an Islamic Center. Police still do not have information on who was responsible for the act, which was particularly offensive during Ramadan to practicing Muslims who consider pigs as unclean.

-- In North Smithfield, Rhode Island, a surveillance camera outside the Masjid Al-Islam mosque showed a suspect breaking the building's sign and two vehicles later fleeing the property.

-- In Oklahoma City, vandals defaced the Grand Mosque with paintball guns. Those inside the mosque feared the shots came from a real gun.

In Joplin, the torched mosque's 90 congregants invited 300 other people to join them Sunday for Eid.

"I still feel secure," said Ali, the mosque president, though he knows a pall has been cast by all the attacks.

He said the attacks on his community are instigated by a few ignorant people. He came to these shores from Pakistan 23 years ago and still believes in the principles of this nation.

"This is un-American," he said of the mosque fire. "I'm not afraid of any neighbors. I feel more secure here in America than anywhere else in the world."

He said all Muslims have a right to practice their faith without fear.

On this Eid, that may not happen in some houses of worship in America

Iftar in the South: Muslims gather for breaking of Ramadan fast

@highlight

Attacks on Islamic centers spiked across America during the holy month of Ramadan

@highlight

Many Muslims are fearful as they celebrate Eid al-Fitr in the United States

@highlight

The fear was heightened by the carnage at the Sikh temple and the burning of a Missouri mosque

@highlight

An Islamic advocacy group has asked mosques to beef up security Sunday for Eid