(CNN) -- With July Fourth upon us, many are pausing to ask why America is special -- and how we see that reflected in our politics.

The Hollywood screenwriter Aaron Sorkin kicked off the debate early with his first episode of HBO's "The Newsroom." In a scene that has generated a lot of buzz, a young woman rises from a college audience to ask the protagonist (played by Jeff Daniels) what makes America the greatest nation on Earth. He shrugs her off: "The New York Jets." Pressed by the moderator to give a real answer, he dodges again.

Eventually the protagonist breaks -- and delivers a jeremiad, declaring that America is no longer the greatest country in the world, that it is losing its soul, but that it used to be great and, yes, can still right itself.

Some critics tore into Sorkin, arguing that the show crossed the line into petulance and preachiness (one of us, Mike, is in this camp). Others found the scene inspiring and wondered why today's presidential candidates don't speak to the country like that (David is in this camp).

So, the question lingers this July Fourth: What makes America special?

Strikingly, Barack Obama and Mitt Romney have different takes on American exceptionalism -- and indeed, on what values are most important. Each is on record calling America the greatest nation on Earth, but they seem to believe so for different reasons, in different ways.

News: We're No. 1! We're No. 1! We're ... uh ... not?

Romney takes an old-fashioned, Main Street view: Like the young woman in "The Newsroom," he makes no secret that he thinks America is the greatest nation in history. For him, Americans are a chosen people who continue to live out the view of the Puritan John Winthrop that we should be as a city upon a hill, an experiment in democracy and liberty that inspires the world. Almost every recent president has evoked that image, no one more so than Ronald Reagan.

President Obama, back in 2009, found himself in hot water for giving voice to a different version of American exceptionalism: "I believe in American exceptionalism, just as I suspect that the Brits believe in British exceptionalism and the Greeks believe in Greek exceptionalism." (Obama went on to say: "I am enormously proud of my country and its role and history in the world...[a]nd I think that we have a core set of values that are enshrined in our Constitution, in our body of law, in our democratic practices, in our belief in free speech and equality that, though imperfect, are exceptional.")

Belief: The power of American exceptionalism

Romney (along with other GOP hopefuls) has seized on comments like that to make pride in America a centerpiece of his campaign (slogan: "Believe in America"). Firing up Wisconsin voters in advance of the state's GOP primary in March, he told them: "Our president doesn't have the same feelings about American exceptionalism that we do." Many of Romney's stump and victory speeches have attacked Obama as an apologist and offered paeans to the nation (including, in Florida, memorably bursting into song with "America the Beautiful.")

Obama's account, by contrast, is grounded in the approach taken toward American exceptionalism on many campuses today. Seymour Martin Lipset, a world-class sociologist and no liberal (he was closely associated with the American Enterprise Institute), advanced the argument most cogently some years ago. America, he insisted, is not exceptional because it is better than everyone else; it is exceptional because it is different, an outlier embracing a unique set of values.

As the British philosopher G.K. Chesteron once wrote: "America is the only nation in the world that is founded on a creed." What comprises that creed is open to some debate, but Lipset hypothesized that Americans espouse five core values, stemming from key historical experiences, that distinguish us from other Western nations: liberty, egalitarianism, individualism, populism and laissez-faire.

Lipset illustrated his point by recalling how the governments of Canada and the United States at virtually the same time announced that their nations would convert to the metric system. The Canadians, who tend to respect authority, soon complied. But the Americans? Individualist to their core, always less respecting of authority, thumbed their noses. As John Wayne might have said, we won this country inch by inch -- we weren't about to give it away kilometer by kilometer.

Photos: Faces of citizenship

Whatever they think about exceptionalism, academics and politicians today tend to accept these five as core American values. Yet as Lipset and others have argued, these values can be in serious tension with each other. Those who believe foremost in egalitarianism, for example, run in very different directions from stout defenders of laissez-faire.

In politics, nowhere does this tension between core values play out more starkly than in debates over liberty versus equality. Republicans have traditionally argued that a free society allows everyone to do better, while Democrats have objected that without basic fairness, society as a whole is held back. In that spirit, Romney ardently defends liberty and just as ardently, Obama defends social equity.

On taxes, for example, Romney believes that affluent Americans have been taxed enough -- to do more would limit their freedom; Obama believes that they should pay more so that the playing field is more level. Similarly, Republicans attack Obamacare as an infringement upon liberty, while Democrats see it as necessary to extend a basic protection to all Americans.

On this July Fourth, then, we have an America where many, including our leading politicians, disagree on what makes the country special -- and on what values should take precedence. There is nothing inherently wrong with such disagreements: Indeed, a competition of ideas is healthy for the republic. But, as has become painfully obvious, the differences in perspective have become so sharp and deep that we are tearing ourselves apart.

That's why this July Fourth should not only be an occasion for wondering what makes America special, but also for pondering how we can build bridges across the divide.

In the divide over liberty versus equality, there does seem one basic value that both sides hold in common: a belief in equality of opportunity -- that everyone in America should have a chance to succeed on his or her merits. Romney talks of "rebuilding the foundation of an opportunity society," and it was Obama who first rocketed to national fame in 2004 by proclaiming that in no other country on Earth would his story have been possible: "We hold these truths to be self-evident, that all men are created equal."

That belief in the importance of equality of opportunity is widely held across the country, even as our politics appear ever more divided. For our money, the winner of the 2012 election won't be the one who makes a stronger argument for egalitarianism over liberty or liberty over egalitarianism, but the candidate who joins the two, persuading voters he is best equipped to lift floors as well as ceilings, ensuring every American has an honest shot in life.

As for the debate over exceptionalism, the candidates ought to study that scene from "The Newsroom." While they will want to steer clear of petulance and sanctimony, surely there is much good to come from being straight with people (if perhaps a bit more optimistic). We have been special in history and we have also been different, but we have, in many respects, lost our way, and it is long past time to reclaim our souls.

"America," Ralph Waldo Emerson once wrote, "is a poem in our eyes." We are still writing its words.

The opinions expressed in this commentary are solely those of the writers.

@highlight

David Gergen, Michael Zuckerman: How is America's specialness reflected in politics?

@highlight

They say Romney's take on America's exceptionalism: Americans are a chosen people

@highlight

Obama's take: America is special because it's different, an outlier with unique set of values

@highlight

Writers: The candidate who will win in 2012 will show he can join liberty, egalitarianism