(CNN) -- The Chinese legal advocate Chen Guangcheng, facing the end of his fellowship at New York University, has claimed that NYU is forcing him out due to Chinese pressure. NYU's participation in a complex deal to allow Chen to leave China to study gave the dissident and his family breathing space, and helped the United States and China untangle a thorny diplomatic dilemma after Chen fled to the U.S. embassy in Beijing in April 2012. NYU in fact did a great favor not only for Chen but also for both the U.S. and Chinese governments.

NYU's spokesman says the end of Chen's fellowship "has nothing to do with the Chinese government; all fellowships come to an end." Chen has, in any case, other job options. But whether there was Chinese pressure or not in this case, Chen's experience and allegations highlight the many challenges faced by U.S. academic institutions in the context of evolving Sino-U.S. relations.

Despite criticism of its cost, content, admissions criteria or tenure system, U.S. post-secondary education, be it at top-tier research institutions, private liberal arts colleges or large state universities, remains the best worldwide. That's why students from all over the world strive to come here. Along with high-tech and Hollywood, our university education is among America's top exports, something we still do better than any other country.

Chinese dissident: NYU is forcing me out

And China, perhaps more than anywhere, reveres education. More scholars than generals occupy China's pantheon of national heroes. Besides Confucius and Mencius, there's Qu Yuan, patron saint of intellectuals, whom Chinese commemorate this time every year with dragon boats and rice wrapped in bamboo leaves. Chinese parents across the social spectrum struggle to give their children the best education.

Not surprisingly, then, as Chinese become wealthier, more Chinese students flock to the United States to study. U.S. universities, too, are opening satellite branches to serve this market within China. Meanwhile, the Chinese state is attempting to promote Chinese-language study and enhance its "soft power" in the United States by installing Confucius Institutes on U.S. campuses.

Chinese students and faculty engage in surprisingly open discourse, even criticism of their government, on campuses in China. But the notion of academic freedom for its own sake is not a feature of Chinese universities.

Rather, the general expectation (not always accepted by students and faculty) is that education should serve the state. The Chinese state thus attempts to control the message on its campuses. In U.S. colleges and universities, on the other hand, academic freedom is tied to our ideal that education is primarily for the benefit of the individual, and that it is by empowering individuals of diverse outlooks that society as a whole benefits the most.

Two tendencies are now converging, just as U.S. and Chinese academic communities become more inter-meshed.

Rising China has taken steps to export and police the message on campuses abroad by denying visas to U.S. academic critics or pressuring universities over dissidents or speeches by such figures as the Dalai Lama. Meanwhile, cash-strapped U.S. institutions increasingly value China as a market; deans and provosts, gung-ho about their flashy new China initiatives, have not been as supportive of academic freedom as they should.

If Chen Guangcheng's departure from NYU owes anything to Chinese pressure, his is but one, high-profile case.

As we go forward, should more such incidents arise, here's what both sides should do: China, please abandon counterproductive efforts to intimidate foreign institutions and scholars. Ham-fisted bullying only undermines the very soft power that was your goal in the first place, and ticks off the teachers who teach foreigners about China.

And deans and provosts at U.S. institutions: Don't be craven about academic freedom. Join together with other institutions and take a firm, principled stand to support scholars. Don't be afraid to do what NYU did in hosting a dissident or to take bold steps if China denies a visa to one of your professors. We are the No. 1 global brand in university education, largely because of our principles. Where else is China going to go?

The opinions expressed in this commentary are solely those of James Millward.

@highlight

Dissident Chen Guangcheng says NYU asked him to leave due to Chinese pressure

@highlight

James Millward: Chen's experiences highlight challenges faced by U.S. universities

@highlight

He says China should abandon counterproductive efforts to intimidate foreign institutions

@highlight

Millward: Heads of U.S. institutions should take a firm stand for academic freedom