(CNN) -- Bombers killed at least seven people at a pro-regime Syrian satellite channel Wednesday, the government said, as world diplomats were making another try at ending the violence raging across the country.

"Terrorists planted explosive devices" in the headquarters of al-Ikhbaria, located near Damascus, killing three journalists and four security guards, the state-run Syrian Arab News Agency reported. The attackers also ransacked and destroyed studios, the news outlet said.

"The massacre won't go unpunished," Information Minister Amre al-Zoubi said.

The regime of President Bashar al-Assad has accused foreign media of conspiring against the country and said al-Ikhbaria works to counter the "sinister campaign." But observers say al-Ikhbaria is a mouthpiece for the government's propaganda, refusing to acknowledge the regime's violence on dissidents seeking freedom.

The bombing comes a day after al-Assad said his restive country is in a "state of war" and as United Nations and Arab League envoy Kofi Annan scheduled a meeting of top diplomats Saturday in Geneva, Switzerland, to tackle the conflict.

Turkey hardens military position after Syria downs jet

After more than 15 months, unrest in the Arab nation shows no sign of abating. Internationally, tension rose last week after Syria shot down a Turkish jet, an act deplored by NATO and many Western nations.

At least 83 people were killed in nationwide violence Wednesday, the opposition Local Coordination Committees of Syria said.

The diplomats want to address an environment in which, according to a U.N. report published Wednesday, new rebel groups are emerging and fighters are making strides and gaining potency.

"The situation on the ground has dramatically changed in the last three months as the hostilities by anti-government armed groups each day take on more clearly the contours of an insurrection," said the report, issued by the Independent Commission of Inquiry on the Syrian Arab Republic.

"As a result of the estimated flow of new weapons and ammunitions, both to the government forces and to the anti-government armed groups, the situation risks becoming more aggravated in the coming months. The international community must not fail to implement a concerted effort to put an end to the violence."

The United Nations and other entities tracking the conflict in Syria noted the increasing clout of anti-government forces in past months.

The report cites this trend, saying rebel "operations in some locations are improving in efficiency and organization."

The opposition is growing across Syria and fighting government forces on several fronts. The groups are engaging with government forces in "direct combat" and are attacking military and security facilities, the report said.

"Their increasing capacity to access and make use of available weapons has been demonstrated in recent weeks," the report said.

It said rebels haven't gotten "new or more sophisticated weaponry." But they are using improvised explosive devices "against army and security convoys, patrols and facilities such as military buildings and checkpoints."

"In at least one case, this has led to collateral damage among civilians and their properties. According to reliable sources, anti-government armed groups have also been using IEDs in assassinations, targeting government officials and individuals from the army and security forces."

The report said rebel forces "have effectively challenged" the regime's authority in Damascus, Homs, Hama, Idlib and Aleppo provinces.

For example, it said, the government forces' control of the country's borders has been regularly undermined, and cross-border movements of refugees as well as of anti-government fighters appear to be more frequent and fluid.

Can Turkey force U.S. and other NATO countries to attack Syria?

Burhan Ghalioun, former president of the opposition Syrian National Council based in Turkey, said he slipped over the border into Syria on a brief visit to Idlib province, and described rebel resolve and bravery amid a moonscape of destruction.

"The spirits of the fighters are very, very high," he told CNN. "They are ready to die for their freedom. The major problem that the fighters are facing is the nonstop bombardment by planes and tanks. This is making the battle difficult as the rebels don't have heavy weapons. Many cities and towns are already liberated. I was driven around Idlib in a car with a banner saying 'The Free Syrian Army.' "

Many observers say the rebel fighting forces have been too autonomous and have lacked central command. Ghalioun said they are "very united" and "cooperating among themselves."

"Despite that, there is no serious arming; the rebels are gathering arms from the attacks and battles they do with the regime forces," he said. "They are so organized on the ground, they have formed committees to help each other: medical, social, political, etc. I am simply amazed."

The Commission of Inquiry is investigating the killings last month of more than 100 people in the Houla region -- where most of those slain were reportedly women and children -- but has been limited because it hasn't gotten access to the country. It has had to conduct interviews with people by telephone or in the countries to which they fled.

So far, it said, it can't rule out, "with the available evidence," the possibility that perpetrators include pro-government militias, rebels or foreign groups. But, it said, "forces loyal to the government may have been responsible for many of the deaths."

Many observers believe the Houla killings may have resulted from sectarian violence. Houla comprises three towns with a majority Sunni population. They are ringed by Shiite and Alawite villages. Most Syrians are Sunni, and many of them support the opposition. The government is dominated by Alawites, an offshoot of Shiism.

"Where previously victims were targeted on the basis of their being pro- or anti-government, the (Commission of Inquiry) has recorded a growing number of incidents where victims appear to have been targeted because of their religious affiliation," the report said, describing conditions across Syria.

The commission said special envoy Annan's peace initiative "offers the best framework for a resolution of the conflict," and Annan's planned Saturday meeting of the Action Group for Syria will work on steps to implement his six-point peace initiative.

Annan said Wednesday he invited the top diplomats of the five permanent members of the Security Council -- China, France, Russia, the United Kingdom and the United States -- and Turkey. Envoys from the United Nations, European Union, and Arab League also were invited.

The Action Group for Syria should "agree on guidelines and principles for a Syrian-led political transition that meets the legitimate aspirations of the Syrian people; and agree on actions that will make these objectives a reality on the ground," Annan said. "I look forward to a productive meeting this weekend, where we can all agree on concrete actions to end the cycle of violence and bring peace and stability to the Syrian people."

U.S. sees stalemate in Syrian fighting

U.S. Secretary of State Hillary Clinton plans to attend the meeting.

Speaking in Helsinki, Finland, she said that, if participants can meet on the basis of laying out a road map to a political transition in Syria, "then a meeting makes a lot of sense" and "could be a turning point." A transition road map backed by Russia and China, which have blocked tough previous attempts by the Security Council to act against Syria, would send a strong message to the al-Assad regime, she said.

Annan had wanted to invite Iran to the meeting, but the United States opposed that, noting Tehran's support for al-Assad's forces.

The United Nations estimates more than 10,000 people have been killed since the Syrian crisis began in March 2011. Opposition activists say the death toll has exceeded 15,000, most of them civilians. About 1.5 million Syrians "are in need of urgent humanitarian assistance," said Jean-Marie Guehenno, U.N.-Arab League deputy envoy to Syria.

CNN's Salma Abdelaziz, Rima Maktabi, Barbara Starr and Jill Dougherty contributed to this report.

@highlight

NEW: At least 83 people killed in Syria on Wednesday, opposition group says

@highlight

Action Group for Syria diplomats will convene in Switzerland

@highlight

A U.N. report details the growing clout of rebel forces

@highlight

U.N.: About 1.5 million people are in need of "urgent" humanitarian aid