BAGHDAD, Iraq (CNN) -- Edwin Salau knew coming back would be hard. But he had to do it. The retired U.S. Army first lieutenant needed to know that his sacrifice was worth it.

Retired Army 1st Lt. Edwin Salau says he sees progress in Iraq since he left five years ago.

"I wanted to make sure I didn't bleed in vain for the Iraqi people," Salau said. "And what I found is I did not. I see the progress over five years. I see free Iraqis doing what Iraqis want to do in their country, and I see the U.S. taking a back seat."

Salau left the battlefield in November 2004, after being hit by a rocket-propelled grenade and small-arms fire during an ambush close to the town of Tuz. Those injuries cost him most of his left leg; it was amputated above the knee and he now wears a prosthesis.

Recently, he and seven other wounded American veterans returned to Iraq so they could heal emotionally. It was part of a nonprofit pilot program called Operation Proper Exit, an initiative started a little over a year ago by the Troops First Foundation, based in Maryland. The USO supports the mission.  Watch Salau describe his feelings on returning »

Rick Kell, head of Troops First, traveled to Iraq with the soldiers and said the idea came from American troops.

"After spending much time at Walter Reed and Brooke Army medical centers, inevitably in any conversation, something reminds somebody that they want to go back. And the soldiers don't hesitate to tell you that," Kell said. "They are soldiers and they want to come back primarily for several reasons, but they want to come back and let the troops here on the ground know that they are still part of them, they support them, and they would very much like to be with them, although they can't."

It's an emotional journey for the returning veterans, a chance to visit bases where they were stationed, and, in some cases, the sites where they were wounded. Though other programs have allowed wounded American soldiers to return to the scene of their service and sacrifice, this is the first to allow them to do so while a war is still being waged.

All in all, 13 soldiers have participated in the program so far -- eight this trip and five on a previous trip, which took place in June. The earlier trip was kept quiet because of fears that the experience would be too overwhelming for the participants.

According to Kell, he encounters many soldiers who would like to return, but those who are selected are chosen carefully.

"Well, first of all, when we come in contact with someone who wants to come back -- and that's somebody who is thriving, that is mentally and physically moving forward in their life, they've demonstrated that they have a plan for what's next and they've begun to implement that plan," he said. "So we feel pretty good about this person being squared away. And there are concerns, but it's a very personal decision. We only ask for one of three answers: yes, no or not now."

Salau, who now works with other wounded soldiers at Camp Lejeune, in North Carolina, thinks he's become an ambassador for them. When Salau departed Iraq the first time, he couldn't do it on his own. That's why this trip was so important to him.

"My purpose for this trip was for my soldiers to have that last memory of me in Iraq walking out of here on my own power," he said. "And I achieved that and it was closure."

Salau and Kell think the program has been a success so far. According to them, the main reason for that is the support they've gotten from the military command in Iraq, particularly Gen. Raymond Odierno, the top U.S. commander there.

Odierno's experiences with his son, who lost his arm in Iraq, helped the general better understand these soldiers' plight, Kell said.

"He has insight and perspective that a lot of leaders don't, thank goodness," Kell said, calling Odierno a very compassionate man.

"Gen. Odierno is ... he's a soldier's general," Salau said. "He understands. It was clear when I met him the first day of our trip that he knew what the results would be at the end of our trip. I thank them for letting us come back."

Whether the program will help the wounded soldiers psychologically has yet to be proven. Also in question is whether more soldiers will be able to participate.

Troops First would like to include as many soldiers as possible, Kell said, but U.S. troops will not be in Iraq for much longer.

"We've got a short window," he said. "We've got a formula down. We can only do six to eight on each trip, so we can make it a very personal experience and have it be meaningful."

For Salau, it was extremely meaningful. Now he can go home on his own terms.

"Today, I packed my stuff and I dressed in a uniform ... and then I'm going to undress at home and not Walter Reed," he said. "That feeling, it can't completely be put into words. I'm gonna get greeted at the airport by my wife and children. I'm not gonna be greeted at Walter Reed. And I'm gonna keep on living the dream."

@highlight

Eight wounded U.S. veterans return to Iraq through "Operation Proper Exit" program

@highlight

Veterans want troops on the ground to know they're still part of them, organizer says

@highlight

Retired lieutenant says progress in Iraq shows he didn't "bleed in vain"

@highlight

Program is run by Troops First Foundation, backed by USO