Kabul, Afghanistan (CNN) -- On his knees, Nawroz prays. He is a condemned man about to die in a brutal way.

His crime: The killing of his lover's husband.

The judge: A local warlord in Kand, Afghanistan.

The executioner: The victim's father.

A mobile phone video captured the grisly scene.

Many have gathered to watch this act, sitting on dusty earth, in dappled shade.

Nawroz, wrapped in a white shawl, gets up from his prayer mat. His alleged victim's father is led by another man to Nawroz. "Hold the gun right," the man tells the father.

Bang.

Nawroz falls to the ground.

Two more shots ring out.

The warlord ordered the man to pull the trigger twice, but he kept on, unable to deliver a swift fatal shot.

"Stop shooting, you donkey," the spectators say.

"He's still alive," says one.

But not for long.

This is not a video taken before 2001, in the days when the Taliban ruled and Kabul's stadium was reserved not for soccer, but public executions. It's from last month.

After a decade of the U.S.-led war to defeat extremism in Afghanistan, feudal justice still exists.

In remote Kand, outside the reach of NATO or the Afghan government, warlord Mullah Mustafa and his men rule by the gun. Mustafa helps keep the Taliban at bay, the people say, so the government lets him run his own fiefdom.

It's not the sort of compromise the United States imagined a decade ago, bringing a type of justice that's swift and brutal.

Human Rights Watch has said that in large parts of Afghanistan, no formal judicial system is in place and only tribal and other customary forms of justice are practiced.

And a scathing report issued last year by the International Crisis Group described Afghanistan's judicial system as being "in a catastrophic state of disrepair.

"A growing majority of Afghans have been forced to accept the rough justice of Taliban and criminal power brokers in areas of the country that lie beyond government control."

The report went on to say that the United States has not paid the same attention to justice reform as it has to other aspects of nation building.

"Its investment in judicial institutions is modest, as opposed to the billions invested in standing up the Afghan army and police," the report said.

The U.S. Agency for International Development allocated only 1% of its Afghanistan budget between 2002 and 2007 -- $64 million -- to supporting the establishment of rule of law, the report said.

Human rights monitors have pressed President Hamid Karzai's government to prioritize the establishment of a professional judiciary. But Nawroz's execution is more evidence that Afghanistan has a long way to go.

There have been other cases that have sparked outrage.

In 2006, Abdul Rahman was arrested and threatened with death for converting to Christianity. Last year, the Taliban ordered the first public executions by stoning since their fall from power -- a young couple who had eloped died in horrific fashion.

Jalaludin, who witnessed Nawroz's execution, said Mustafa gathered local mullahs to reach a verdict according to sharia, or Islamic law.

"The mullahs asked the father to forgive Nawroz and to take some of his family's land and women in compensation," he said. "But the father refused, so the mullahs ordered an execution."

Nawroz tried to buy his release, but Mustafa refused, Jalaludin said. He's not one to take bribes.

After the killing, Nawroz first said he had been helped by his cousins, according to Abdul Gafor, one of Nawroz's cousins.

"For that reason, we were interrogated and beaten a lot during the questioning," Gafor said.

But later, when questioned by Mustafa, Nawroz changed his story and said he had killed alone, Gafor said.

Another cousin, Sikander, wished for law and order.

"We'd like strong government," he said. "There's no police or government presence here, and Mullah Mustafa has government contacts."

Nawroz was a man whose jealousy allegedly led him to kill the man married to his lover. It's a story that has played out countless times in countless places. But here, in Kand, there was no trial, no jury of peers. Nawroz's punishment was strictly an eye for an eye, meted out in frightful fashion.

CNN's Nick Paton Walsh reported from Kabul, Afghanistan, and Moni Basu reported from Atlanta.

@highlight

A warlord condemned Nawroz to death after he allegedly killed his lover's husband

@highlight

The victim's father shot him multiple times

@highlight

The execution was captured on a cell phone video

@highlight

Without a strong court system, Afghans have had to accept tribal justice