(CNN) -- As Islamists in northern Mali threatened to "open the gates of hell," the United States is navigating one tricky quandary: how does it help in the battle against the militants without violating its own policy?

U.S. policy prohibits direct military aid to Mali because the fledgling government is a result of a coup.

Read more: Panetta: U.S. could provide logistical, intel support in Mali

No support can go to the Malian military directly until leaders are elected through an election, said Victoria Nuland, the State Department spokeswoman.

"We are not in a position to train the Malian military until we have democracy restored," she said this week.

The international community is concerned that the militants will create a terrorist haven in the desert region, which analysts say has the potential to become the next Afghanistan.

Read more: France vows to halt jihadist charge in Mali

Though Islamist militant groups affiliated with al Qaeda, such as Ansar Dine, are rampant in the north, they co-exist with other anti-government opportunists, complicating U.S. involvement in an offensive touted as anti-terror.

As the defiant militants hunker down, administration officials are reviewing their options to support France, which is spearheading the international effort to oust the rebels in its former colony. Others in the international community have joined forces to help the weak Malian forces ward off instability that could reverberate worldwide.

Read more: Rebels still hold key town in Mali, French defense minister says

So far, however, the United States has only shared intelligence from satellites and intercepted signals with the French, defense officials said.

The Pentagon is also considering sending refueling tankers so that French jets can fly longer, more sustained combat missions, according to the officials.

Read more: Islamist rebels gaining ground in Mali, French defense minister says

"We've had a number of requests for support from the French in support of their operation," Nuland said in a state briefing Tuesday. "They've asked for information sharing, they've asked for support with airlift, they've asked for support with aerial refueling. We are already providing information and we are looking hard today at the airlift question, helping them transport forces from France and from the area into the theater."

Ansar Dine would welcome U.S. troops on the ground, its commander, Omar Hamaha, told CNN's Erin Burnett.

By fighting alongside Malian forces, "France is signing a death warrant for French people around the world, opening the gates of hell," Hamaha said. "This will be a long war ... more dangerous than Afghanistan and Iraq."

Other ways to help

Though the U.S. is wary of any troop involvement, it has found other ways to help.

It is accelerating efforts to deploy West African troops to Mali. The Economic Community of West African States meets Friday to finalize plans that will be presented to the heads of state a day later in Ivory Coast.

Nuland said the United States has offered pre-deployment training to West African troops, equipment and help in lifting them to Mali.

Funding the troops so they can fight alongside their Malian counterparts does not violate U.S. law, she said.

"We are precluded under the counter-coup restrictions from funding a military that has been involved in a coup until democracy has been restored," she said.

"But we're not precluded from assisting allies and partners in trying to restore security to that country."

Several countries offer troops

Last week, French troops and warplanes joined Malian government forces to battle Islamist militants, who have seized most of the African nation's northern region.

France said it has committed about 1,700 troops to the effort, including about 800 on the ground in Mali.

France: We're not the pacifists you think we are

French President Francois Hollande said his nation has no intention of staying in Mali permanently, but it will do what is necessary to prepare for African forces.

The United Nations said preparations are under way for a multidisciplinary team to go to Bamako.

Leaders from a number of countries have offered troops or logistical support for the offensive.

A Canadian military transport plane departed for Mali on Tuesday, where it will transport equipment and personnel. Two British military transport aircraft have been assigned to help with the French troop deployment, but no British forces will be in a combat role.

The Nigerian army said it plans to deploy 900 soldiers within 10 days as part of a U.N.-mandated African force to fight the insurgents.

A cycle of unrest

Mali had military rulers for decades until its first democratic elections in 1992. It remained stable politically until March, when soldiers toppled the government, saying it had not provided adequate support for them to fight ethnic Tuareg rebels in the largely desert north.

Tuareg rebels, who'd sought independence for decades, took advantage of the power vacuum and seized swaths of land. A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals, who wound up in control of the area the size of France.

In addition to the al Qaeda threat, amputations, floggings and public executions have become common in areas controlled by radical Islamists. They applied a strict interpretation of Sharia law that included banning music, smoking, drinking and watching sports.

What's behind the instability in Mali

CNN's Vlad Duthiers and Chris Lawrence contributed to this report

@highlight

NEW: By fighting in Mali, "France is ... opening the gates of hell," Islamist leader says

@highlight

NEW: Islamist group says it's "excited," would welcome U.S. troops on the ground

@highlight

U.S. law forbids direct military aid because Mali's government seized power in a coup

@highlight

French troops are spearheading an effort to flush out the militants