Editor's note: Dr. John Boyce, chief of the Infectious Diseases Section at the Hospital of Saint Raphael in New Haven, Connecticut, was lead author of the Centers for Disease Control's national hand hygiene guidelines for health-care workers and heads the Hand Hygiene Resource Center.

Dr. John Boyce says hands contaminated with virus are often  a pathway for people to develop flu.

(CNN) -- The rapid spread of the 2009 H1N1 influenza virus (also known as swine flu) from Mexico to at least 19 other countries in less than 10 days is a cause of major concern.

It emphasizes the need for the public to become familiar with how influenza is spread and which preventive measures they can use to reduce their chances of becoming infected.

Although little information is available at this time, it appears that this influenza virus spreads from one person to another in the same way as other influenza viruses -- by "droplet spread."

Respiratory droplets are generated when an infected person coughs or sneezes and expels droplets of fluid. Those droplets travel short distances (usually less than three feet) through the air and can be deposited on the mouth or in the nose of people or on surfaces.

Those who develop influenza often shed large amounts of virus in their respiratory secretions for several days after they become ill. Experience with other viruses suggests that individuals with influenza can contaminate their hands when coughing, sneezing or blowing their noses. The virus can survive on the hands for at least one hour.

If a person whose hands are heavily contaminated touches a surface such as a doorknob, table or computer keyboard, they can deposit the virus onto that surface, where it can survive for minutes to several hours. One study conducted with a regular seasonal strain of influenza virus found that the virus could survive on facial tissues for several minutes and for two to eight hours on stainless steel or plastic surfaces.

If another person touches a contaminated surface with his hands when the virus is still alive and then touches his own mouth or nose, he may become infected. Infection might also occur when a person with influenza shakes hands with another person who subsequently touches their own mouth or nose with their fingers.

Several studies have found that many people touch their noses or mouths several times an hour during the course of daily activities. So there are plenty of opportunities for people to inadvertently introduce a flu virus into their bodies if their hands become contaminated.

As a result, the Centers for Disease Control and Prevention (CDC) recommends that individuals perform hand hygiene -- also known as hand washing or decontamination -- frequently during influenza outbreaks. In addition to reducing the risk of developing influenza, hand hygiene can help protect people from becoming ill with several other respiratory viruses by eliminating these organisms from the hands.

A recent study found that hand washing with soap and water or using an alcohol-based hand sanitizer were both highly effective in reducing a seasonal strain of influenza virus on the hands. This should also be true for the 2009 H1N1 influenza virus.

Either plain soap or antimicrobial soap will reduce the amount of virus on the hands. To ensure decontamination, be sure to wash your hands vigorously and keep both soap and water on your hands for at least 15 seconds.

When sinks are not readily available, alcohol-based hand sanitizers are a convenient and effective way of eliminate the virus from hands. Use an amount of sanitizer at least the size of quarter or enough to keep your hands wet for at least 15 to 20 seconds while you're rubbing them together.

The CDC also recommends that people should avoid touching their mouths, noses and eyes, since surfaces they touch may be contaminated when flu virus is present. People who develop influenza or other respiratory viral infections should also clean their hands after blowing their nose or after covering a cough with their hands.

Since droplet spread is the most common way influenza is transmitted from person to person, the CDC also recommends avoiding close contact with individuals who are sick. If you do become ill with influenza, the CDC recommends that you stay home from work or school and limit contact with others.

Hand hygiene is an important tool in preventing infection from influenza viruses such as this recent strain and is an easy and effective way to prevent contracting infectious diseases in general. Take the time to educate yourself about proper hand hygiene to protect both yourself and your family.

Note: Further information about the 2009 H1N1 influenza (swine flu) outbreak can be obtained by going to CDC's Web site. For general information about hand hygiene in health-care settings, go to this CDC site or this Hand Hygiene Resource Center site.

The opinions expressed in this commentary are solely those of John Boyce.

@highlight

John Boyce: Hands contaminated with virus often spread the flu

@highlight

He says viruses can survive for hours on various surfaces

@highlight

Boyce: People need to wash hands with soap and water for at least 15 seconds

@highlight

He says alcohol-based sanitizers can work in the absence of a sink