On Wednesday, President Obama nominated Caroline Kennedy to be U.S. ambassador to Japan.

It turns out the Kennedy family has an important legacy in U.S.-Japan relations. Kennedy's father and uncle, John F. Kennedy and Robert F. Kennedy, played important roles in transforming a troubled U.S.-Japan military alliance into the robust relationship the two countries enjoy today.

In the 1950s, Americans were often contemptuous and distrustful toward Japan, which had very recently been a bitter enemy in World War II.

The Japanese resented the post-war U.S. occupation, resented the loss of territory (such as Okinawa) to the United States, and feared that the Cold War hostilities between the United States and the Soviet Union would drag Japan into war.

In 1960, Japanese resentment boiled over in massive protests against renewal of the U.S.-Japan alliance. As crowds filled Tokyo's streets and a political crisis rocked the Japanese parliament, the movement to distance Japan from the United States gained momentum.

President-elect Kennedy feared the loss of a vital Cold War ally. Partnering with similarly worried leaders on the Japan side, he decided to take action. In the wake of Richard Nixon's dramatic foreign policy victories in Latin America in 1958 when Nixon was vice president, and after the Bay of Pigs failure in 1961, President Kennedy also knew he needed a diplomatic victory as he moved toward his re-election campaign.

So, he envisioned a visit to Japan, the first by a sitting U.S. president. Kennedy planned a dramatic reunion and affirmation of friendship between the crew of PT-109 (Kennedy's storied boat that sank in the South Pacific in World War II), and the crew of Amagiri (the Japanese destroyer that sank it).

To advance the historic visit, the president sent his brother and a delegation to Tokyo in 1962. Sadly, the reunion of the two crews was never to occur; Kennedy's assassination the next year meant that a U.S. president would not visit Japan until Gerald Ford's trip in 1974.

Although John F. Kennedy never made the trip, it turns out that his brother's visit had an important effect on the U.S.-Japan relationship. Kennedy and his wife, Ethel, met with Japanese people from all walks of life: students, teachers, farmers, labor leaders. "The Kennedys had such a disarming way; they really charmed people, and were so genuine," recalled Susie Wilson, a journalist who was part of the delegation.

The legacy of the RFK visit also extended far beyond that week. To host the Kennedys, a group of pro-American business and political leaders on the Japan side formed what they called the "RK Committee." Out of it grew several institutions, exchange programs, dialogues -- which over time helped knit together the two societies.

Among them were Cabinet-level exchanges on the economy, scientific cooperation, culture and education. These institutions helped transform a narrow alliance into a deep and multifaceted relationship that today, in both countries, enjoys widespread popular support.

It is this alliance that Caroline Kennedy must manage. Though like-minded, deeply committed partners, the United States and Japan today face many challenges that could strain their relationship.

The United States seeks Japanese agreement to its ambitious free-trade regime -- the Trans-Pacific Partnership, or TPP. Yet a thicket of Japanese subsidies, trade barriers, and domestic political and economic interests hold Tokyo back.

The issue of relocating a U.S. military base that is in Okinawa remains unresolved, and -- most worryingly --Japan's diplomatic crises with China over disputed China Sea islands (known in China as Diaoyu, in Japan as Senkaku) have elevated fears in Washington.

Critics of Caroline Kennedy's nomination say she lacks the political or regional chops needed by an ambassador at such an important post.

Of course, an effective ambassador needs to know how to navigate the Washington policy-making process, a skill that one can develop through years of experience. On the Japan side, a good ambassador must be able to relate well to the people of the host country, and having deep area expertise facilitates this.

But Caroline Kennedy actually looks pretty good on both counts. On the U.S. side, a long political resume -- such as that of former U.S. ambassadors to Japan Walter Mondale, Thomas Foley, or Mike Mansfield -- is one route toward the influence needed to shape U.S. policy. But Caroline Kennedy has that most precious policy-making asset of all: the president's ear.

By virtue of her vital 2008 endorsement of candidate Obama (widely interpreted as pivotal in his primary battle against Hillary Clinton), and by virtue of her subsequent work in key posts in his campaign, Kennedy has developed a close relationship with the president that will give her a powerful voice.

Tokyo is praising the nomination. The Ministry of Foreign Affairs welcomed it as "reflecting the great importance the Obama administration attaches to the Japan-U.S. alliance." Japanese diplomats have commented that because the Kennedy name carries tremendous cachet there, Kennedy's nomination will excite the people and create interest in the U.S. Embassy. This, they say, is a good thing for U.S.-Japan relations.

To some degree, of course, the Japanese are excited by the nomination because of the star power of Camelot. But some of the excitement surely stems from their memory and appreciation of the important contributions of the Kennedy family to the U.S.-Japan relationship, an important legacy from which the alliance continues to benefit, and which Caroline Kennedy is now tasked to continue.

@highlight

Jennifer Lind: Obama nominated Caroline Kennedy to be U.S.  ambassador to Japan

@highlight

She says efforts of JFK, RFK to fortify U.S.-Japan relations left lasting good impression in Japan

@highlight

Critiques of Kennedy as lacking experience should take this key legacy into account

@highlight

Lind: She has Obama's ear--and a legacy to uphold; Tokyo pleased with the pick