Hong Kong (CNN) -- Yet another passenger ship could be about to anchor in Hong Kong's popular waters, but berths aboard this particular vessel will be more permanent.

New sketches from a company in the city on China's southern coast have proposed the creation of a floating cemetery. Designed as a possible solution to Hong Kong's shortage building space -- particularly for graveyards - Bread Studio has come up with "Floating Eternity."

The structure would hold a rotating wall of 370,000 niches which are compartments allotted for people to place their urn containing the remains of their loved ones. Designed like a cruise ship, the floating cemetery would anchor along Hong Kong's coastline, docking at a designated pier for visitors who want to visit their deceased relatives.

"Architects are always made to think about life when designing buildings but not many think about death," said Benny Lee, a designer at Bread Studio. "I was watching TV and saw a group of people encouraged by the government to scatter their loved ones' ashes in the sea and noticed that the boat they were using to transport people out was really small. I thought why not make that boat bigger, better and more enjoyable for families."

"Floating Eternity" would also offer amenities for its visitors. Complementing Chinese rituals that involve bringing food during cemetery visits, the floating cemetery plans to have a grass deck for people to set up picnics or a restaurant onboard.

This would be particularly popular during the city's Cheung Yeung and Ching Ming Festival, where many Hong Kong residents pay homage to their deceased ancestors by spending their day at cemeteries.

"The design also focuses on plenty of greenery with bamboo gardens; something you don't see in the stony graveyards in Hong Kong despite them being chiseled into hills because there's simply no space," said Lee.

The structure is also eco-conscious -- its columbarium wall, which would sit on a rail track, would be powered by tidal energy. This allows the walls to travel around the track giving all niches an equal chance for the best position on the cruise; an important aspect of feng shui - the art of placement prominent in Chinese culture - where the position of the lot affects the price for it.

The concept is bizarre yet, it gives Hong Kong a glimpse into its near future. With its bay of glitzy skyscrapers and a population of over 7.1 million, space to build is increasingly scarce, and developers are being pushed out of packed central locations. Recently, a CBRE Global Research and Consulting survey named Hong Kong the world's most expensive retail space at US$3,863 per sf annum, topping New York.

Hong Kong also has an aging population.

According to the Hong Kong Consensus and Statistics Department in late July, the number of deaths is expected to rise from about 42,700 per year currently to about 82,400 at the end of the next 20 years.

A shortage of space coupled with a rise in death rates has caused a shortage of plot space for the deceased and a subsequent rise in costs for it.

"A floating cemetery is the next natural step in Hong Kong's history of graveyards," said Lee.

Cemetery sites have been evolving since the 1940s where the dead were buried in graves on flat land to the 1960s where feng shui dictated that some graves should be positioned on high hillsides near villages. Towards the 1980s, columbarium became the preferred place for the dead. Traditionally housed in temples, they offer locker-style compartments for people to place the ashes of their loved ones. Columbarium also took the form of buildings however, in recent years, people have objected to living in such close proximity to them and their rising prices (private columbaria costs in Hong Kong range between US$645 to US$25,604). As a result, illegal columbaria have mushroomed in various areas around Hong Kong.

A maritime mortuary is yet to set sail along a coastline in any part of the world. However, there have been other unusual options for storing the dead. In Sweden, it is legal to freeze bodies in a posthumous bath of liquid nitrogen before blasting them and reducing them to powder.

In Tokyo, Japan, mechanical tombs are used where families swipe smart cards to lift the urns from an underground vault and access the ashes of their loved ones; a solution Hong Kong was reportedly looking into three years ago.

"We're aware that the wall of columbarium on the floating cemetery will also, at some point, reach its limit so we suggest stacking up additional storeys on top of the wall," said Lee. "But most importantly, it's a short-term alternative. Who knows, we could be seeing a sea of floating cemeteries in a few years from now."

World's 'most delightful commute' hit by ferry disaster

@highlight

New sketches from a company have proposed the creation of a floating cemetery

@highlight

This will be popular during the city's Cheung Yeung and Ching Ming Festival

@highlight

A shortage of space and a rise in death rates has caused a shortage of cemetery space

@highlight

A maritime mortuary does not exist but other unusual storing options for the dead do