Washington (CNN) -- Voters have given Republicans a mandate to cut government and roll back the Obama administration's health care "monstrosity" in the next Congress, the incoming speaker of the House of Representatives said Wednesday.

Rep. John Boehner, R-Ohio, is poised to lead the House following the GOP's massive gains in Tuesday's midterm elections. He told reporters that he and President Barack Obama have agreed to work together but called the results a vote for "a smaller, less costly, more accountable government." And the administration's hard-won overhaul of the U.S. health care system ultimately will be on the block.

"The American people are concerned about the government takeover of health care," Boehner said. "I think it's important for us to lay the groundwork before we begin to repeal this monstrosity and replace it with common-sense reforms that will bring down the cost of health insurance in America."

For his part, Obama blamed the anemic economy for the "shellacking" his fellow Democrats experienced, but he acknowledged that his policies hadn't done enough to bring down high unemployment.

His administration has "stabilized" the economy and spurred private-sector hiring, "but people all across America aren't feeling that progress," Obama said.

"I've got to take direct responsibility for the fact that we have not made as much progress as we need to make," Obama said.

The president faced reporters a day after voters replaced at least 60 Democrats in the House of Representatives, handing control of the chamber to the Republicans for the first time since 2006, according to CNN projections.

In the Senate, Democrats lost at least six seats but retained control of the chamber, according to the projections based on analysis of exit polling. In the latest result, Democratic incumbent Sen. Michael Bennet of Colorado defeated Tea Party-backed Republican Ken Buck, CNN projected on Wednesday.

Asked about claims by Republicans, especially Tea Party conservatives, that his policies are taking the country in the wrong direction, Obama cited the economy's reversal from monthly job losses to private sector job growth since he took office as proof that things were improving. But he also conceded, in reference to an auto-related campaign analogy, that the argument could be made that "we're stuck in neutral."

Obama said he's looking at "all ideas that are on the table" to boost economic growth after the deepest recession since the 1930s and won't dismiss any proposal "because they're Democrat or Republican."

At the same time, Obama said, it would be a "misreading" of the election results if anyone believed that the American people want to spend the next two years trying to "relitigate" his administration's overhaul of health care or other major legislation of his first two years in office.

Republicans throughout the campaign blasted Obama's signature health care overhaul, the Affordable Care Act, after voting all but unanimously against it in Congress. Obama called the process of passing the bill "an ugly mess" and "something that I regret" but added: "The outcome was a good one."

The health care law, parts of which are just taking effect, requires Americans to buy health insurance, provides subsidies to bring down the cost of those policies and bars insurers from denying coverage based on gender or pre-existing conditions.

Despite the stated goal of Boehner and other Republicans to repeal the health care bill, the Democratic majority in the Senate makes it unlikely that will happen. More likely is legislative gridlock on health care and other issues, with the GOP-led House pushing for spending cuts, deregulation and other measures that will die in the Democratic-controlled Senate.

In Tuesday's vote, Democrats were battered by an economy that is still struggling to create jobs, with unemployment at 9.6 percent, and an energized conservative electorate fueled by the anti-establishment Tea Party movement that emerged in 2009. Exit polling showed voter dissatisfaction with both parties, as each received a 53 percent unfavorable rating.

Michael Steele, the head of the Republican National Committee, said Republicans were humbled by the opportunity for "a second chance" at power.

"I heard that all across the country, people saying, you know, 'you guys better not screw this up, because you're next on the list if you do,' " Steele said.

Obama called both Boehner and Senate Minority Leader Mitch McConnell, R-Kentucky, late Tuesday to offer his congratulations. On Wednesday, he called for unity and an "honest and civil debate."

"What yesterday also told us is that no one party will be able to dictate where we go from here, that we must find common ground in order to make progress on some uncommonly difficult challenges," the president said.

But McConnell, who led repeated filibusters of Obama administration efforts in the Senate over the past two years, told reporters that voters were rewarding GOP opposition.

"It seems to me the best strategy for the other side would be to listen to the voters yesterday," he said. "They made a clear statement about what they'd like to see done. If the president comes in our direction, obviously we want to make progress for the country over the next two years."

Andrew Card, who was White House chief of staff under former President George W. Bush, told CNN's "American Morning" that it was Obama's responsibility "to take the wake-up call that came yesterday."

The rise of the Tea Party movement added a new element to the election cycle, roiling Republican races by boosting little-known and inexperienced candidates to victory over mainstream figures in GOP primaries across the country.

"I don't think there's any question that if it were not for the Tea Party, the Republican margin in the House of Representatives would not be as high as it's going to be," CNN senior political analyst David Gergen said Tuesday night. "They gave a lot of enthusiasm and fuel to the Republican Party."

Tea Party-backed Republicans Rand Paul in Kentucky and Marco Rubio in Florida won their Senate races, according to the projections, but other candidates backed by the group lost key Senate races, including Sharron Angle to Senate Majority Leader Harry Reid in Nevada, Buck to Bennet in Colorado and Christine O'Donnell to previously unknown Democrat Chris Coons in Delaware.

Republican candidates were strong in governors' races, with at least 10 gubernatorial seats switching from Democrats to Republicans, CNN projected. Often overshadowed during midterm campaigns, governorships can affect national politics by their influence in the redistricting of state electorates.

Conservative candidates also made strong gains in state legislatures. The Republican State Leadership Committee estimated that at least 16 state legislative chambers had moved from Democratic to Republican control in Tuesday's voting.

Those changes have the potential to reverberate far beyond the state level. By seizing control of legislative chambers in several key states, the GOP significantly strengthened its hand heading into what promises to be contentious congressional redistricting process, where legislatures decide how congressional districts are drawn. That can mean the difference between an incumbent having an easy path to re-election -- or seeing his or her district drawn out of existence altogether.

The long and bitter campaign season drew more than $3.5 billion in spending, making it the most expensive nonpresidential vote ever, according to the nonpartisan Center for Responsive Politics, a watchdog group.

The economy was rated the most important issue by 62 percent of voters, far eclipsing health care reform (19 percent), immigration (8 percent) and the war in Afghanistan (7 percent), according to the exit polling.

Most voters, 88 percent, rated economic conditions as not good or poor, and 86 percent said they were very worried or somewhat worried about the economy, the exit polling showed.

High unemployment amid a slow recovery from economic recession has been a dominant issue, with Republicans accusing Obama and the Democrats of pushing through expensive policies that have expanded government without solving the problem.

Obama has led Democrats in defending his record, saying that steps such as the economic stimulus bill and auto industry bailout were necessary to prevent a depression, while health care reform and Wall Street reform will lay the foundation for sustainable future growth.

CNN's Tom Cohen, Michael Pearson, Dana Bash, Ed Henry, Ted Barrett, Deirdre Walsh, Paul Steinhauser, Rebecca Sinderbrand, Jessica Yellin, Alan Silverleib, Holly Yan, Forrest Brown, Catherine E. Shoichet, Rebecca Stewart and Jonathan Auerbach contributed to this report.

@highlight

Obama says voters haven't felt benefits of his policies

@highlight

Democrat Bennet is the projected winner in the Colorado Senate race

@highlight

McConnell says Obama should move "in our direction"

@highlight

Democrats battered by poor economy, energized conservatives