(Budget Travel) -- For years, Budget Travel has been advising readers to rent short-term apartments whenever they plan to spend more than a few days in expensive cities like Paris and New York.

Short-term apartment rentals can help travelers save money on both lodging and meals, while providing a more authentic experience.

Regardless of recent headlines concerning new rules -- or supposed new efforts to enforce old rules -- for short-term rentals, we still endorse the option as a smart, fun and safe way to stay. While there may be new implications for owners seeking to rent out their properties in these cities, renters themselves face no possibility of fines or problems of any kind with the local authorities.

"There's nothing illegal that the traveler is doing when staying in a vacation rental," says Carl Shepherd, chief development officer of direct-from-owner rental specialist HomeAway. "None of these cities have any penalties for renters."

The announcements of lawmakers and housing officials seem to imply otherwise, hinting that because some home owners may technically be violating unenforced local ordinances by renting out their properties, renters are somehow guilty by association.

The truth is that based on years of precedent -- and the fact that restrictions are vaguely worded and that the municipalities involved are uninterested or incapable of enforcing them -- the risks encountered by renters are extremely minimal.

So fear not. Arm yourself with our 6 tips for safer, smarter rentals, and read on for specific advice about Paris, San Francisco and New York.

Budget Travel: World's weirdest hotels

PARIS

Here's the deal: Late last year, city officials started to enforce a 2005 law that restricts owners from renting their properties for periods of less than one year. Citing a lack of affordable housing in the central city -- always a popular topic among voters, and, yes, this began in a run-up to elections -- Mayor Bertrand Delanoë ordered a local housing agency to warn some of the estimated 38,000 offenders that they were violating the law by renting flats for shorter spans.

How many warning letters did the housing authority send out? As of midsummer 2010, about 25.

"For the moment," says one property owner who prefers to remain anonymous, "any enforcement of this law is minimal to the point of being invisible."

If enforcement efforts are ever ramped up substantially, short-term rentals could be harder to come by in Paris. Even though no owners have been hit with the maximum €25,000 (more than $32,000) fine for violating housing regulations, the possibility of such a fine will probably be enough to turn some short-term listings into long-term rentals.

Bottom line: In Paris, there has been no noticeable drop-off in owners posting short-term apartment rentals. At last check, homeaway.com listed an all-time high of 1,605 properties in Paris.

Budget Travel: The coolest small towns in America

SAN FRANCISCO

Here's the deal: San Francisco's obscure, long-ignored law prohibiting rentals of less than 30 days is nearly 30 years old, but few people thought about it until news arose about crackdowns on tourist rentals in other cities.

Rather than inquire as to the legality of such rentals, the city has traditionally preferred to subject owners to the local 14 percent hotel tax, bringing in millions annually that would not have been raised had the properties been occupied year-round by owners or long-term renters

For the sake of the city budget, there's an obvious incentive to keep ignoring the ordinance.

NEW YORK CITY

Here's the deal: Of the trio of cities, New York is the only one to actually pass new rental legislation.

As in Paris and San Francisco, the primary target is not the small-time owner who rents out a place from time to time. Instead, the focus is on "illegal hotel" operations: large-scale attempts to convert residential apartments intended for permanent occupants into travel accommodations.

So how will the law be enforced, and exactly what rental scenarios will be deemed illegal when the rules become effective as of May 1, 2011? No one's entirely sure.

Budget Travel: Confessions of... A Disney cast member

State Assembly Member Richard Gottfried, the cosponsor of the bill, was quoted as saying, "Somebody who is going away on vacation and once in a blue moon rents the apartment is probably not going to be affected by this."

Probably. That's right: Even the bill's cosponsor can't say exactly how the law will play out.

Nominally, the purpose behind the legislation is to provide more affordable housing for city residents and to protect travelers from sketchy quasi hotels. But the law might not have become a reality had it not been for the lobbying of hotel and motel associations -- which obviously compete with vacation rentals, and which would obviously benefit if travelers turned away from short-term rentals en masse.

Among all the confusion and uncertainty, one thing is clear: Travelers want their vacation rentals.

In the second quarter of this year, HomeAway recorded a 104 percent increase in inquiries for New York City apartments compared with the same period in 2009.

Budget Travel's Meg Zimbeck contributed to this report.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2010 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Renting a short-term apartment in cities like Paris and New York City can cut back expenses

@highlight

Though some cities have passed laws prohibiting short-term rentals, renters face no penalty

@highlight

Even with new laws, short-term vacation rental inquiries in New York City increased