(CNN) -- Protesters and activists demanding justice for slain Florida teen Trayvon Martin are no closer to closure, even with the news that second-degree murder charges were filed against shooter George Zimmerman. The charges were the latest development in a heated national debate over race and justice in America.

The debate on CNN iReport mirrored a national outcry, which saw thousands taking to the streets in "Million Hoodie" marches, demanding that formal charges be filed against Zimmerman.

"Justice for Trayvon" was a common refrain on the placards of street protesters, and in the comments section of CNN and other news and media websites.

There was also a countervailing opinion of skepticism about the murky details of the case. Before the charges against Zimmerman were filed, many expressed concern over how the case was playing out in the court of public opinion, saying that judgment should be withheld until the legal system had enough time to render a proper verdict. Reaction to the charges against Zimmerman has been mixed, with many iReporters and CNN commenters expressing a mixture of relief, puzzlement and disappointment.

Anthony Milian, an iReporter from Greenville, South Carolina, said he believed the special prosecutor in Florida made a just decision in filing the charges but was also quick to note that this development does not mean that justice will be served.

"The Trayvon Martin situation is not the first time a black child has been gunned down for suspicious reasons," he said. "The violence toward black people needs to stop, regardless of whether someone wears a hoodie, wears gold caps in their mouth, or has a style that you deem dangerous or stupid."

W.J. O'Reilly of Wilkes-Barre, Pennsylvania, said he was skeptical of Florida's judicial system. "It will be very difficult to convict him on second-degree murder charges," he said. "I don't have too much faith in Florida justice, given the Casey Anthony debacle."

Other iReporters and CNN commenters wondered whether manslaughter charges would have been more appropriate. Kathi Cordsen of Fullerton, California, noted that Zimmerman's admitting to shooting Martin could soften the charges, especially since he voluntarily turned himself in. She said she also was mistrustful of the way the case has been portrayed in the media.

"The prosecutor said public pressure and media coverage did not contribute to the charges being filed," she said. "I find that hard to believe."

On February 26, the 17-year-old Martin was shot dead by community watch officer Zimmerman in Sanford, Florida. The black teenager, who was wearing a hoodie and who was unarmed, was walking to the home of his father's fiancee when he was shot. Zimmerman, who is Hispanic, told authorities the killing was an act of self-defense.

A national uproar began when Sanford Police Chief Bill Lee said on March 12 that Zimmerman had not been charged because there were no grounds to disprove his account of the events. Commenters flocked to CNN and iReport to register their outrage.

Thema Bryant-Davis, an iReporter and Los Angeles-area clinical psychologist, echoed the sentiment that racial tension and stereotyping factored in the killing. "It points to what researchers have termed 'unconscious racism.' People are not even aware of their biases," she said.

"Trayvon is dead, and we cannot be silent," said Bryant-Davis, whose brother, Jamal Bryant, was an organizer of some protest rallies in Florida.

Washington educator and activist Omekongo Dibinga was more pointed in an iReport video titled "Trayvon Martin dead. Am I next?" in which he shared his experiences with racial stereotyping and related them to the Martin shooting.

"Most black people, like me, put themselves in Martin's shoes because it's what we've had to deal with," he said. "Most whites put themselves in Zimmerman's shoes because they've seen black men before and have been suspicious of them. Few try to step outside of their shoes."

New York videographer Albert Trotman attended a "Million Hoodie" march in his city and captured an emotionally fraught interview with a protesting mother and son. "This could be Trayvon," the hoodie-clad mother said, nodding to her son as the wail of police sirens tore through the night air. "We're all Trayvon's mother, as far as I'm concerned."

She added, "I have two sons -- one of them is 22; this one is 13. Any of them could be in the same situation. I could be in the same situation."

As more facts in the case emerged, the conversation shifted to the controversy surrounding Florida's "Stand Your Ground" law, which allows for the use of deadly force in cases of self-defense. Defenders of the law have said Zimmerman's actions were legal and justifiable on these grounds, while critics argue that such laws precipitated Martin's death.

New York iReporter Patrick O'Connell expressed support for "Stand Your Ground" and similar laws, citing the safety of his two young daughters. He said he wanted to feel like his house was secure and did not want to be defenseless if it were ever broken into by an intruder.

"If you don't have a gun, then how are you going to protect yourself from someone who is armed?" he asked.

Patrick Ingram of Arlington, Virginia, said he felt differently, calling these laws "scary."

"As an African-American, I could be walking home from a bar somewhere late at night and someone could look at me and shoot me and not be prosecuted to the full extent of the law because of this rule," Ingram said.

Nick Swann, an iReporter from Rochester, New York, decried what he saw a "rush to judgment" in media outlets' coverage of the shooting and protests and said he hoped to see due process properly play out.

"Can you imagine what this world would be like if we took the law into our own hands, made decisions without due process?" he asked. "We would have no world."

But even though legal proceedings are now in motion, Egberto Willies of Kingwood, Texas, expressed bitter disappointment at how long they take, describing the arrest as "anticlimactic and late."

"Justice was delayed because of who Trayvon Martin was: A black kid who, as far as the justice system was concerned, was of lesser value. There was so much that was done wrong with this case," he said.

"The United States has displayed what many already know: There are two justice systems in America."

@highlight

iReporters and CNN commenters react to George Zimmerman's arrest in Trayvon Martin's death

@highlight

Debate follows weeks of national outrage after no formal charges were initially filed

@highlight

No closure in sight for activists demanding justice for Martin