First light creeps over Chobe National Park as I climb groggily into a Land Rover and head out for an early morning game drive.

On any other African safari you would expect to hear the roar of a diesel engine as the hulking vehicle shudders into gear, breaking the stillness of dawn.

But on this morning, our guide Lebo starts the Landy unnoticed and we glide silently away from the lodge, off to see elephants and lions in an almost zen-like quietness.

I've been to wildlife reserves all over Africa but this, for me, is a first.

An electric safari.

Not only is it kinder to the environment, but -- as I discovered during my stay at Chobe Game Lodge -- a far better way to see wild animals.

In the lodge's converted electric Land Rover, silent and smooth, we hear every bird, every rustle of the bush.

Lebo stops so we can take photos of the brilliant orange sunrise; we then continue quietly along, listening to the alarm calls of baboons and the chatter of guinea fowl descending from their roost.

Such an experience is a rare thing indeed.

Chobe Game Lodge, located inside the national park on Botswana's northern border with Namibia, Zambia and Zimbabwe, launched what it describes as the world's first electric safari fleet in late November.

The lodge is rolling out both electric game drive vehicles -- retrofitted Land Rovers -- and electric boats, for game-viewing cruises along the Chobe River.

Huge elephant population

The power supply comes from the hydroelectric grid supplied by southern Africa's mighty Victoria Falls.

Chobe's fleet is being converted to electricity by a South Africa-based firm called Freedom Won. The lodge's general manager hit on the idea after reading an article about the company's work.

Antony English, a Freedom Won co-owner, says electric vehicles are well suited to game viewing, and "just so kind to our environment."

The converted Land Rovers are rugged and perform well on Chobe's sandy trails. The first vehicle put into operation -- our ride for the day -- has been dubbed "Freedom 3."

"Most of you will have been on a game drive, and you would have had to put up with the diesel motor and the noise, and the vibration and smoke," English says.

"Just think about that when you drive Freedom 3, and think about the contrast."

Chobe is special because of the concentration of game along the riverfront, giving visitors the option of both game drives on land and cruises on the water.

The national park is also known for its large elephant population, with upwards of 120,000 elephants in the Chobe area.

The best time to visit is during the May to October dry season, when animals gather near the river.

When the rains come, the herds disperse into the bush. The upside is that there are few tourists, the downside is scant wild animals to be seen.

In front of the Chobe Game Lodge, running above the river, is a long boardwalk punctuated by seating and viewing areas from which visitors can spot grazing hippos, plus warthogs, impalas and all sorts of bird life.

Liz Taylor's honeymoon suite

It's easy to see why the actress Elizabeth Taylor fell in love with this place, visiting Chobe Game Lodge repeatedly and even marrying Richard Burton -- for the second time -- on the river's edge.

(A tip for Liz Taylor fans: request room 210 to stay in her honeymoon suite, the most private of all rooms, with its own plunge pool and terrace.)

The five-star lodge's decor has been updated since the 1975 wedding, so -- perhaps mercifully -- none of the Taylor-era feel is preserved.

Now there's an airy Zanzibar-inspired design, complete with oversized cushions, wooden frames and vintage lanterns.

Most international visitors to Chobe will arrive at the small Kasane International Airport, 15 kilometers (9.3 miles) from the lodge, connecting from either Johannesburg in neighboring South Africa, or from Botswana's capital Gaborone. Both are about a two-hour flight away.

Kasane is probably the only airport in Africa to have its own parking bay for electric vehicles -- a new addition, with the lodge intending to use electric Land Rovers for ferrying guests.

Day trips are possible from Chobe to Victoria Falls, on the Zambian-Zimbabwean border, only 90 minutes away.

Jonathan Gibson, CEO of the company that owns Chobe Game Lodge, and a board member for the national park, worries about the growing number of big polluting boats on the Chobe River, and general crowding in the riverfront area.

He and the Chobe board want river traffic restricted to electric boats, with the exception of fishing boats and local ferries, within three years.

"This is the way to go," Gibson says. "It's going to revolutionize what happens on the river here."

On land there are safari vehicle traffic jams, mostly polite though some tourists lose the plot.

I watched as a khaki-clad German visitor screamed at another group of tourists for momentarily blocking his distant view of sleeping lions.

As in most other national parks, vehicles aren't allowed off the tracks at Chobe, in order to protect the natural environment.

Sounds of silence

As the only lodge within the national park's boundaries, Chobe Game Lodge is well positioned. Morning drives and afternoon cruises generally start a half-hour early to get a head start on the other tourists.

All of the guides are women, highly unusual at game lodges across Africa.

The lodge also offers a more unusual tour. Albert Ndereki, 62, a longtime employee, leads an eco-tour that takes guests behind the scenes, into the kitchen, laundry room and other places a tourist would never normally visit.

Ndereki proudly explains the process of recycling glass bottles into cement bricks used for building, reusing gray water for the garden, and shows off the interesting (though rather smelly) bio gas plant, in which food waste is converted into methane gas used for cooking.

"This is our park," Ndereki tells us. "We have to look after it."

On a late-afternoon river cruise, we experience the sounds of silence again. As our electric boat turns a bend, we spot a herd of elephants tentatively coming down to the river for a drink of water.

An African fish eagle sits motionless as we glide by.

A crocodile basking on the shore's edge doesn't move either, until a grumpy elephant decides to chase it away.

We sit watching and listening to the elephants as dusk settles over the Chobe River.

But the next morning is a rude awakening: back to a bumpy old diesel-fueled Land Rover for our final game drive through the park.

The lodge's fleet is still being converted to electric and it is a slow process, though the plan is to have a total of 13 game drive vehicles and six boats.

Our guide catches sight of a Jacobin Cuckoo and we pull up to get a better look, our diesel motor roaring.

The bird flees.

My seatmate puts down his camera, grumbling: "It would still be there if we were in the electric vehicle."

Chobe Game Lodge, Serondela, Botswana; +267 625 0340

@highlight

Chobe Game Lodge is converting its fleet of Land Rovers to run off electricity

@highlight

Electric vehicles are less environmentally harmful and quiet enough to sneak up on animals

@highlight

The lodge's guides are all women -- unusual for safaris in Africa