Three prominent Afghan women will make it clear to a crowd of legislators on Capitol Hill Tuesday that a crucial measure of success in Afghanistan will be what women and girls can accomplish after U.S. troops leave.

If a woman is free to vote and determine her own future and a girl is free to get an education, then more than 12 years of American engagement have not been in vain.

A strong Afghan woman is a defeat for the Taliban.  A determined Afghan woman who can vote will wrestle the country away from tribalism and promote democracy. An assertive Afghan woman will bring back the Afghanistan that once preached moderation and tolerance of all religions, a country where women were on par with men assisting in resolving political and ethical conflicts.

But if girls are denied an education or forced into child marriages; if talented women cannot pursue their goals, then nothing will have changed for all of cost in blood and treasure the United States has spent.

The women -- Suraya Paksad, founder of the Voices of Women Organization; Massouda Jalal, former Afghan minister of women's affairs and presidential candidate; and Sajia Behgam Amin, a gender and policy adviser who ran an underground school for girls in the Taliban era -- are warning legislators that the next two years before U.S. forces withdraw are crucial in developing methods to empower Afghan women and to create resilient communities.

No time can be lost.

Already the Taliban is regrouping and is poised to fill any power vacuum created by a weak government in Kabul. Warlords are forming coalitions to push back on the Taliban. Afghanistan could be heading toward civil war. Who will bear the brunt?  Women, whose rights can easily be traded off if they are not at the table when decisions are made.

In a negotiation without women, if one side says it doesn't want schools for girls because Islam does not permit it, the other side may say sure, no problem. But if women are at the negotiating table, they can make the argument forcefully that Islam does not ban education for girls and that, in fact, Islam supports it.

Karzai already has showed he cannot be trusted to support the rights of women by signing a clerical council's "code of conduct" for women, which, among other strictures, supports women's segregation, bans women's travel without a male guardian and gives husbands rights to beat their wives in certain circumstances.

Seeing this looming threat to American war aims, last week Sens. Bob Casey, D-Pennsylvania, and Kay Bailey Hutchison, R-Texas, introduced the Afghan Women and Girls Security Promotion Act. It requires the Defense Department to produce a strategy to promote women's security during the transfer of power to Afghan forces.

Casey said that is the only way to achieve our overall goal of a secure and stable Afghanistan.

In consultation with Afghan women, we believe four things must be done before the United States loses its bargaining position in Afghanistan after our troops withdraw.

Create a coalition of women leaders: A coalition of prominent Afghan women ought to be created with the mandate of providing counsel every time an issue of women's and girls' rights is on the negotiating table.

Make sure women can vote: The United States must make sure that Afghan elections are not corrupt and that women actually get to vote.  Women will vote against the Taliban if they are free to go to the polls. But we must have election monitors to be sure their votes are not stolen.

Imams must become advocates for women: As a deeply religious society, Afghanistan must solve its problems within a framework of Muslim beliefs. The people devoutly follow their imams and mullahs. Our experience shows that through an imam training program, they can become advocates for girls' and women's rights.  Expanding our support for these training programs will pay big dividends.

Direct aid to support communities: Billions of dollars in U.S. aid will be squandered if Afghan women do not believe they are integral to the political and economic process. We have two years to redirect part of this aid to fortify communities so that Afghan women, imams and community leaders can resist the Taliban on their own terms.

If Afghan women suffer again, it will be as if we went to war for no reason.  We must remember that we had three objectives for launching the Afghan war -- capturing Osama bin Laden, defeating al Qaeda and the Taliban and protecting Afghan women and their rights.

If we walk away and allow Afghan women to be subjugated, we will have made the same mistake we made after we helped the Mujahedeen push the Soviets out of Afghanistan. We left the country in a power vacuum, which was filled by a radical fringe known as the Taliban.

We know how badly that turned out.

@highlight

Daisy Khan: A key measure of U.S. success in Afghanistan will be extent of women's rights

@highlight

Khan: If girls can't go to school, women can't reach goals, nothing will have changed

@highlight

Women must be in talks to fight forcefully for rights, she says, especially for schooling

@highlight

Khan: Women must vote, go to school, and imams must promote women's rights