(CNN) -- An alleged new case of waterboarding emerged in a massive report Thursday detailing brutal CIA interrogations of Libyan detainees last decade before they were handed over to Moammar Gadhafi's regime.

Mohammed al-Shoroeiya "provided detailed and credible testimony that he was waterboarded on repeated occasions during U.S. interrogations in Afghanistan," Human Rights Watch said in a 200-plus page report.

The allegations directly challenge long-standing claims by President George W. Bush and his administration that only three terror suspects, none of whom were Libyan, were waterboarded during interrogations.

Human rights groups consider waterboarding -- in which a prisoner is restrained and water poured over his mouth and nose to produce the sensation of drowning -- a form of torture.

"While never using the phrase 'waterboarding,' he said that after his captors put a hood over his head and strapped him onto a wooden board, 'then they start with the water pouring. ... They start to pour water to the point where you feel like you are suffocating.' He added that 'they wouldn't stop until they got some kind of answer from me,'" the report said.

Laura Pitter, a counterterrorism adviser for Human Rights Watch and the author of the report, said abuses occurred in U.S.-run facilities in Afghanistan between April 2003 and April 2005. She said waterboarding occurred in 2003 but it is not clear if it occurred afterward.

The rights group's accusations come a week after the U.S. Justice Department closed a criminal investigation without charges into the deaths of two terror suspects in CIA custody.

Justice Department won't prosecute CIA interrogators in two prisoner deaths

CIA spokeswoman Jennifer Youngblood said she couldn't comment on the report's "specific allegations" but said the CIA has been on record about "three substantiated cases in which detainees were subjected to the waterboarding technique."

"The Department of Justice has exhaustively reviewed the treatment of more than 100 detainees in the post-9/11 period -- including allegations involving unauthorized interrogation techniques -- and it declined prosecution in every case," she said.

Among those who officials have acknowledged were subjected to waterboarding was Khalid Sheikh Mohammed, described as the principal architect of the September 11 terrorist attacks.

The Justice Department did not immediately respond to a request by CNN for comment on the allegations.

CNN is unable to independently corroborate the claims by Human Rights Watch.

Joseph Wippl, a 30-year CIA operations officer and director of graduate studies at Boston University's Department of International Relations, said these kinds of "allegations" have been probed "countless times."

"If further facts are established," he said, another investigation "to get at the truth" will occur.

Wippl said "accusations of torture are a part of the propaganda war" against the United States. He stressed that "lengthy" congressional probes into waterboarding identified only three people who had been victims of the practice.

"Either the Libyan victims are making up the story, embellishing the story, or have come up with some facts that are new," Wippl said. "There could have been renegade interrogations."

The Human Rights Watch report cites repeated allegations of torture by the detainees while in the custody of the United States and other countries: being chained to a wall naked, forced into cramped positions, restrained in painful positions for long periods and undergoing repeated beatings. Al-Shoroeiya and another detainee, Khalid al-Sharif, also underwent water torture similar to waterboarding, the report said.

"The scope of Bush administration abuse appears far broader than previously acknowledged and underscores the importance of opening up a full-scale inquiry into what happened," Pitter said.

Her report is titled "Delivered into Enemy Hands: US-Led Abuse and Rendition of Opponents to (Gadhafi's) Libya."

The report also largely relies on Human Rights Watch interviews with former detainees, many of whom claim to have been members of the Libyan Islamic Fighting Group, which was working to overthrow Gadhafi in the early 1980s.

It cites accounts of 14 former detainees and what it describes as "recently uncovered CIA and UK Secret Service documents" found in the sacked offices of Libya's former intelligence chief as proof of the torture and mistreatment.

"The interviews and documents establish that, following the September 11, 2001 attacks, the U.S., with aid from the United Kingdom and countries in the Middle East, Africa, and Asia arrested and held without charge a number" of LIFG members, Human Rights Watch said.

They were "rendered" to Libya, mostly between 2004 and 2006, when "the United States and the United Kingdom were trying to transform" Gadhafi "from foe to ally" during their rapprochement with the dictator.

Most members of the LIFG had fled Libya by the end of the 1980s and set up operations in Afghanistan. A number of the detainees were picked up in Afghanistan, according to the report.

Detainees claimed to have been turned over to Gadhafi and then jailed. Some of the detainees claimed torture at the hands of Gadhafi's jailers, while other said they were not mistreated.

"All interviewees said their captors forcibly returned them to Libya at a time when Libya's record on torture made clear they would face a serious risk of abuse upon return. All had expressed deep fears to their captors about going back to Libya and five of them said that they specifically asked for asylum," the report said.

Terror analysts say that by at least 2004, some members of the group had aligned themselves with al Qaeda, though many former members say the LIFG had nothing to do with the terror group. The United States classified the LIFG as a terror organization in late 2004.

Many of the detainees, according to the report, were freed during Libya's civil war and fought alongside the rebels.

"Some of those who were rendered and allegedly tortured in U.S. custody now hold key leadership and political positions in the country," the report said.

The documents were found by Human Rights Watch researchers on September 3, 2011, in the offices of former Libyan intelligence chief Moussa Koussa. In late August 2011, Tripoli fell to rebel forces that were backed by NATO. Gadhafi was captured and killed by rebels in October 2011.

One of the documents -- a fax -- offers to help Libya pay for an airplane to pick up a prisoner, while a communiquÃ© from a British intelligence officer to Koussa offers congratulations to Libya over its jailing of another former detainee handed over by the UK.

"The report makes clear there's so much that we don't know about what happens in these places," Pitter said. "This is the tip of the iceberg."

She said the actions occurred during the Bush administration but are now the legacy of President Obama. She said the United States must make clear these actions should never happen again.

"The one thing we're hoping the report does make clear is it's important for the United States to look back and acknowledge mistakes were made," she said.

Time: Did Britain approve the illegal rendition, torture of Libyans?

@highlight

NEW: An expert says torture claims have been part of an anti-U.S. "propaganda war"

@highlight

The CIA says it can't comment on the allegations in a Human Rights Watch report

@highlight

Human Rights Watch says it has proof of CIA abuses against Libyans

@highlight

Allegations challenge claims by George W. Bush's administration that only 3 people waterboarded