(CNN) -- The spread of the potentially fatal Middle East respiratory syndrome has become more serious and urgent, the World Health Organization said Wednesday.

At the same time, WHO said that -- for now, at least -- the illness known as MERS does not constitute a global health emergency

Declaring an emergency is "a major act" that can "raise anxieties," said Dr. Keiji Fukuda, the organization's assistant director-general for health security.

Despite concerns about the syndrome, researchers have not found "any increasing evidence of person-to-person transmissibility," he said.

There have been 571 confirmed cases of MERS, including 171 deaths, according to the World Health Organization. The number of countries with confirmed cases expanded to 18, with a case in the Netherlands, WHO reported Wednesday.

Many of the cases are in Saudi Arabia and the United Arab Emirates.

Even without any official worldwide alert, Anne Schuchat, the head of the CDC's National Center for Immunization and Respiratory Diseases, acknowledges that "this is a relatively new virus that does have a high fatality rate," ample reason to pay attention. Authorities haven't pinned down all the details about how exactly it arose and how it spreads, though Schuchat said, "we don't have evidence right now that this is airborne ... the way the measles virus is."

"We don't know as much as we would like so far," the CDC official and assistant surgeon general in the U.S. Public Health Service told CNN's Brooke Baldwin on Wednesday. "... But we're tracking it and trying to understand."

Florida health care workers test negative

Two cases have been confirmed in the United States. Both patients are health care providers who were working in Saudi Arabia. The first is in Indiana; the second in Florida.

Two health care workers who came in contact with the Florida patient later went to an emergency room with flu-like symptoms. But they tested negative for MERS in a state test, the CDC said Wednesday.

The Florida MERS patient, specifically, was fever-free and continuing to improve Wednesday while undergoing treatment at Orlando's Dr. P. Phillips Hospital, the state's health department said.

Given the virus' apparent roots in the Arabian Peninsula, Schuchat said it's important that health care workers ask anyone who has suspicious "respiratory symptoms" where they have been in recent weeks.

"More and more people are going to be traveling the next couple of months, so we really want clinicians to be on the lookout," she said.

Commercial airlines are on guard as well, including efforts to make sure those who might have come into contact with the two MERS patients in the United States didn't come down with the virus.

American Airlines said in a statement that it is "working very closely with the Centers for Disease Control, and contacted our flight crew as soon as we learned of (one such) diagnosis. The CDC is in the process of contacting passengers to advise them of any necessary precautions."

"We are leaving no stone unturned in ensuring the good health of our employees and customers," the airline said.

And Delta Airlines said that, like all carriers, it "has a long-standing protocol for working with the U.S. Centers for Disease Control, as we are in this instance. The safety of our customers and employees is Delta's top priority."

One traveler who was on one possibly affected flight told CNN affiliate WMKG that the call she got about one confirmed case of MERS left her "really scared."

Twelve days after her flight, she said, her state health department called and sent her a note asking whether she had symptoms such as fever or cough, and also saying she should record her temperature for two weeks.

"I was in shock that I could actually contract it," she said. The woman, who did not want to be identified, said she and her husband so far had no symptoms.

Another traveler, Ben Kinney, told CNN affiliate WXIA that the CDC called him twice in two days, saying he was on a flight from Boston to Atlanta with someone who had MERS.

He said officials would not disclose how close he was to the patient.

Four people -- each from different families -- have been tested in San Antonio for MERS because they were on a plane with one of the two confirmed U.S. patients, said San Antonio health department spokeswoman Carol Schliesinger.

None of those four had any suspicious symptoms, she added. Tests for two of them have come back negative for MERS, while the other results are expected in the next couple of days.

MERS doesn't spread like flu

MERS, first found in the Arabian Peninsula in 2012, is a coronavirus -- the same group of viruses as the common cold. It attacks the respiratory system. Symptoms can lead to pneumonia or kidney failure. There is no vaccine or special treatment.

Besides those who contract the virus by coming into "very close contact" with someone suffering, Schuchat cited "a lot of interesting studies ... about camels and whether some sort of exposure to camels or their products might be important" in explaining MERS origins.

While little is known definitively, "Fortunately, so far, it hasn't shown itself easily to spread from person to person," she added.

Dr. William Schaffner, head of preventive medicine of Vanderbilt Medical Center explained Wednesday on CNN's "New Day" that MERS can "spread in the context of providing health care.

"That's very important. And it has occasionally spread in Saudi Arabia from one family member to another. It requires close, constant, over time exposure."

People who go to a doctor or hospital with respiratory symptoms should be asked immediately whether they've traveled to the Middle East or been in contact with someone who did. "If the answer is yes, you put that person in isolation," Schaffner said. Specimens are then taken and sent to the CDC for further testing.

"That system is working," he said.

Florida's health secretary, Dr. John Armstrong, said Wednesday that the case in his state "is contained."

"There is no broad threat to the general public," Armstrong said.

5 things to know about MERS

Hagel, others checked for fever

Representatives of 13 countries made up the WHO emergency committee that convened Tuesday through a phone conference, the WHO said.

Affected countries need to take immediate steps to improve infection prevention and control, the WHO said. The majority of infections have taken place inside hospitals.

Defense Secretary Chuck Hagel got a firsthand brush Wednesday with fear of the disease in the land of its likely origin.

Before a meeting in Saudi Arabia with Crown Prince Salman Abdulaziz in Jeddah, everyone entering the room with Hagel unwittingly passed by a device screening for fever.

Its operators told reporters that they were checking for people who might be infected with the virus that causes Middle East respiratory syndrome. They found no one with a raised temperature.

WHO does not recommend such a tactic in general, Fukuda said. Some MERS patients don't have fevers, so just checking temperatures could "create a false sense of security," he said.

The CDC is not recommending that anyone change travel plans. The U.S. State Department has instructed its embassies and consulates in Saudi Arabia, Oman, Qatar, Jordan, Kuwait, and the UAE to provide U.S. citizens with CDC's general guidance for infection control, a State Department official said.

CNN's Greg Botelho, Miriam Falco, Elizabeth Cohen, Debra Goldschmidt, Aaron Cooper, Jen Christensen and Athena Jones contributed to this report.

@highlight

NEW: Spokeswoman: 4 tested in San Antonio for MERS; none has symptoms

@highlight

A case in the Netherlands brings the total to 18 countries affected

@highlight

CDC official: "We don't know as much as we'd like so far"

@highlight

Two U.S. airlines are coordinating with health officials over cases in U.S.