(CNN) -- The world is undergoing a mobility transformation. Since Apple launched the first iPhone in 2007, more than 100 billion apps have been downloaded from app stores by consumers worldwide.

Gartner, the market research firm, has predicted that by 2015, tablet sales will be higher than those of PCs and laptops combined. There are now more connected mobile devices on earth than there are people.

This transformation is happening much faster than the dot-com revolution of the late 1990s, and businesses are catching on. Companies are already developing 20 to 30 apps on average in the three categories of consumer, business-to-business and (B2B) and enterprise.

These are already changing the way we live and work, wherever we are. Additionally, they are changing the way businesses interact with other businesses, investors, media, customers and even their own workforce worldwide.

Despite this, Gartner estimates that 60% of the Fortune 1000 companies will not have a mobile strategy in place by 2014. In my view, having a mobile strategy is not enough for businesses to succeed globally in the years to come.

What businesses need is a "mobile first" strategy, placing mobile opportunities at the forefront of their international growth.

Don't forget consumer apps

Personal media technology is already streamlining the way we deal with our daily tasks -- both in business and at home. American Express offers mobile applications that allow customers to manage their accounts on the move, improving the service as well as reducing call centre waiting times.

Through similar technology, reading the Economist has never been more enjoyable (or widespread -- as the mobile and tablet apps have been downloaded six million times). The average UK family now has ten internet connected devices.

The fact is that if consumers can't access your brand on multiple platforms, they will switch to one where they can.

Creating effective mobile software is not easy. It requires solid software development and user interface design, not to mention thorough testing.

This is perhaps why, while some 60% of organizations have consumer apps, their quality does not score high among consumers. It is not enough for the apps to be useful, people have to enjoy using them.

User experience -- how an application feels -- is paramount. For ten years, Tigerspike has been working with customers who understand that user experience is about combining design and software skills with a deep knowledge of how back end systems operate.

In the global market, good user interface must include the insightful localization, both in terms of language and content.

These are the hallmarks of the most successful global consumer apps and when companies get them right, they build better relationships and channels of information for their customers in all countries.

Enterprise apps for a global workforce

In the global work market, bring your own device policies are on the rise -- allowing employees to bring personally owned mobile devices to their workplace. Companies are therefore increasingly required to create apps for their staff -- and these need to be just as good as the consumer ones.

Gartner expects 80% of businesses to support a workforce using tablets by 2014.

Company leaders want mobile technology to increase productivity. In order to achieve this, it must be realized that the best apps are not always the ones that seek to bring the entire business to the smartphone or tablet, but the ones that are created to do a few things very well.

The Innovation Lab at Tigerspike has recently received a patent for its quantum encryption mobile technology Karacell.

It is our firm belief that this technology will transform how organizations and individuals can keep our mobile data safe on personal technology devices, with countless benefits to companies and organizations in global business.

All about B2B apps

Mobile apps present new and exciting opportunities for businesses to communicate with other businesses. Some B2B companies have succeeded by using apps that support the sales process. For instance, creating presentations using an iPad allows for a more personal and engaging experience.

Other companies have built deeper and more personal relationships with investors and journalists through apps -- regardless of geographical boundaries.

The prime example here is Shell, whose award-winning iOS and Android apps benefit from innovative features and platform-specific functionality.

At the same time, they keep the user experience consistent, making sure to deliver the most relevant content. Tigerspike's delivery of the Shell investor relations app led to a two-fold increase in dwell time and a 300 per cent increase in downloads.

These are the kinds of rewards global companies cannot afford to miss out on.

Future concerns: The internet of things

The mobility transformation has already given birth to another revolution: The Internet of Things. The change that we have witnessed in past years is only going to accelerate.

It is expected that the number connected mobile devices will be five times higher than it is now by 2020. This will inevitably change the face of how companies deal with their global customer base.

To succeed, companies must seize the opportunities they have to transform their businesses accordingly, to build more rewarding relationships and more productive workforces globally through the impact of personal media.

The opinions expressed in this commentary are solely those of Nic Newman.

@highlight

Tablet sales are predicted to surpass PCs, laptops by 2015, says Gartner

@highlight

Yet 60% of businesses will not have a mobile strategy in place by 2014

@highlight

Firms must have 'mobile first' strategy if they wish to go global, writes Nic Newman