(CNN) -- Brutal terrain and bad weather on a remote Alaska mountain kept survivors waiting 12 hours for rescue after a plane crash that killed former U.S. Sen. Ted Stevens and four others, officials and witnesses said Tuesday.

"The weather was very challenging for those responding," said Deborah Hersman, chairwoman of the National Transportation Safety Board. Investigators will be on the scene Wednesday morning.

Pilots flying over the crash site said the amphibious DeHavilland DHC-3T Otter flew into the side of the mountain, which has a 40-degree slope, on Monday night and skidded about 200 feet, CNN's Casey Wian reported. The pilots didn't believe anyone on board had survived, but four did.

There was no fire on the scene, Hersman said at a news conference. The area was so rugged and rocky that rescuers airlifted in a physician with a satellite phone, and the doctor had to hike 1,000 feet to reach the site, she said.

Five volunteers, including some with medical training, assisted and stabilized the survivors overnight, officials said. One of the survivors was outside the fuselage when the doctor arrived, Wian reported.

The cause of the crash was not known late Tuesday, but Maj. Guy Hayes of the Alaska National Guard said weather will certainly be considered.

"Poor weather always remains a factor when you are out here ... weather can change drastically," Hayes told CNN.

The crash claimed the lives of passengers both young and old.

The Alaska Department of Public Safety identified the dead as Stevens, of Anchorage, Alaska; pilot Theron "Terry" Smith, 62, of Eagle River, Alaska; lobbyist William "Bill" Phillips Sr. of the Washington, D.C., area; GCI executive Dana Tindall, 48, of Anchorage, Alaska; and her daughter Corey Tindall, 16, of Anchorage, Alaska. The bodies have been recovered and sent to Anchorage.

Injured were William "Willy" Phillips Jr., 13, son of Bill Phillips Sr.; Sean O'Keefe, 54; his son, Kevin O'Keefe; and lobbyist Jim Morhard, Alexandria, Virginia. Alaska's Federal Aviation Administration office said two survivors had serious injuries and two had minor injuries and were hospitalized in Anchorage.

Sean O'Keefe was listed in critical condition, and Kevin O'Keefe was in serious condition late Tuesday, said Kirsten Schultz, a spokeswoman for Providence Alaska Medical Center.

The aircraft, on a fishing trip, crashed around 7 p.m. Monday about 17 miles north of Dillingham in the southwestern area of the state, authorities said.

When the nine people onboard had not arrived at a camp on time, the search began. The pilot was not required to file a flight plan, authorities said.

The Dillingham region, near the Bering Sea southwest of Anchorage, is rugged terrain surrounded by mountains. Storms there don't move quickly during this time of year but aren't as strong as those in winter, said Rob Marciano, CNN meteorologist. "We haven't seen visibility improve much, so fog is an issue, and we haven't seen much in the way of that clearing," he said.

Federal Aviation Administration spokesman Paul Takemoto said the plane was registered to GCI Communications Corp., based in Anchorage. Bush pilots commonly use such planes. FAA spokesman Mike Fergus said the plane took off at 2 p.m. Monday from a GCI corporate site on Lake Nerka, heading to the Agulowak Lodge on Lake Aleknagik, the Anchorage Daily News reported.

Because of its vast size, air travel is common in Alaska, often through perilous weather. Stevens expressed his own fears after a 1978 crash that killed his first wife and four others.

"Plane crashes are the occupational hazard of Alaska politics," Stevens told The Washington Post in 1979. The Post added, "He said he often felt as if one's number had to come up eventually, and even though he had been a fighter pilot in World War II, the prospect of flying around in his campaign frightened him."

In 1972, House Majority Leader Hale Boggs and U.S. Rep. Nick Begich were traveling in a plane that is thought to have crashed in Alaska. It was never found. Nick Begich was the father of one of Alaska's current U.S. senators, Mark Begich.

Stevens, 86, was remembered Tuesday as a "lion who retreated before nothing" and for being a guiding light in the formation of the 49th state.

Tributes poured in all day for the hard-nosed Stevens, 86, who was the longest-serving Republican in the U.S. Senate's history and a champion for Alaska.

"Though small of stature, Ted Stevens seemed larger than life. For he built Alaska. And stood for Alaska. And he fought for Alaskans," Gov. Sean Parnell said at a news conference. "How can we summarize six decades of service?"

President Barack Obama extended his condolences to the families, including that of Stevens, who flew in support of the Flying Tigers in the Pacific Theater in World War II.

"A decorated World War II veteran, Senator Ted Stevens devoted his career to serving the people of Alaska and fighting for our men and women in uniform," Obama said in a written statement.

News of the latest crash reverberated across the state and country.

Sarah Palin, the former Alaska governor and the 2008 Republican vice presidential candidate, said Stevens fought tenaciously for Alaska.

"In our land of towering mountains and larger-than-life characters, none were larger than the man who in 2000 was voted Alaskan of the Century. This decorated World War II pilot was a warrior and a true champion of Alaska," Palin said in a statement.

Stevens earned the nickname "Uncle Ted" and a reputation as one of the most effective of all pork-barrel lawmakers, a senator who funneled billions of federal dollars to his home state.

His footprint can be seen all over Alaska. In Anchorage, where most people fly into the Alaska, a large sign proclaims "Ted Stevens Anchorage International Airport."

Born November 18, 1923, Stevens graduated from UCLA and Harvard Law School and moved to Alaska in the 1950s to work as a lawyer. He was elected to the state's House of Representatives in 1964 and 1966, and he was elected to the U.S. Senate for the first time in 1968.

In July 2008, a federal grand jury indicted Stevens for making false statements on financial disclosure forms. He was convicted on October 27, 2008.

During the trial, Assistant Attorney General Matthew Friedrich said Stevens hid "hundreds of thousands of dollars of freebies" he received from oil industry executive Bill Allen's company, VECO, and from Allen himself. Many of the allegedly free services were given as part of the renovation of Stevens' Alaska home, prosecutors said.

The next month, Stevens lost a bid for re-election to Democratic challenger Mark Begich, then the mayor of Anchorage.

Later, a federal judge later dismissed Stevens' conviction, citing prosecutorial misconduct. Stevens' defenders proclaimed his innocence and said he was vindicated.

Olympic gold medalist Donna de Varona, who was a character witness at Stevens' trial, remembered him for improving the U.S. Olympics team's organization and championing Title IX, which provided equality for girls in the classroom and sports world.

"He thought everyone should have an equal opportunity," de Varona, a broadcaster and consultant, told CNN.

The Stevens family released a statement later Tuesday.

"Alaska and the nation he so loved have lost a great man.  We have lost a tremendous husband and father and grandfather. He loved Alaska with all his heart. He was a guiding light through statehood and the development of the 49th state. Now that light is gone but the warmth and radiance of his life and his work will shine forever in the last frontier.  His legacy is the 49th star on the American flag."

Parnell ordered state and U.S. flags to be lowered to half-staff in honor of Stevens.

"This state is in mourning," said Sharon Leighnow, Parnell's press secretary. "Everybody has a Ted Stevens story."

CNN's Scott Thompson, Mark Morgenstein, Phil Gast, Paul Vercammen and Melanie Whitley contributed to this report.

@highlight

Former NASA administrator Sean O'Keefe in critical condition

@highlight

Survivors were huddled in fuselage for 12 hours, witnesses say

@highlight

Investigators are finding weather, terrain in this part of Alaska difficult

@highlight

Five killed and four injured have been identified; Ted Stevens among dead