Washington (CNN) -- The Pentagon's plans to do away with 1970s-era A-10 "Warthog" attack planes will have a ripple effect in places like Knob Noster, Missouri -- a small town in the shadow of Whiteman Air Force Base.

It could mean fewer reservists flocking to places like the Panther Steakhouse and the EconoLodge after a weekend spent working with planes designed to fight wars against Soviet tanks.

In Knob Noster, population 2,709, it makes a big difference when those people spend that cash.

"There are people who maintain the planes and people who come in and do their Reserve duty," said Doug Kermick, the city administrator. "When it comes to these guys being here, all the hotels in the surrounding areas are full. They eat here. They sleep here. From an economic standpoint, there will be some loss."

So lawmakers like Missouri Sen. Roy Blunt and his Democratic colleague, Sen. Claire McCaskill, will do what they often to when faced with steep budgetary cuts that will cause pain back home: fight.

Both senators and 10 other lawmakers wrote Defense Secretary Chuck Hagel expressing their "deep concern with the Department of the Army's proposal to cut Army National Guard combat aviation assets and force structure."

Most of the senators -- many of whom sit on powerful funding or defense-related committees and subcommittees -- represent states with military bases with aviation components. In addition to Blunt and McCaskill, the lawmakers include Senate Minority Whip John Cornyn, R-Texas; Sen. Lamar Alexander, R-Tennessee; and Sen. Lindsey Graham, R-South Carolina, who all sit on the appropriations committee.

Hagel cuts would reshape military after longest war

Sen. Patrick Leahy, D-Vermont, a co-chairman of the Senate National Guard Caucus who sits on the appropriations defense subcommittee, also signed the letter.

"While we are aware that the Army's budget request for fiscal year 2015 is pre-decisional, every indication including public statements and briefings from Army leadership on Capitol Hill suggests the decision was made without meaningful consultation with the Army National Guard," the senators wrote. "The shortsighted approach creates unnecessary risk to our national security at the expense of incredibly capable attack aviation assets in the Army National Guard."

The Pentagon's leaner budget proposals, unveiled Monday, include a scale-back that will whittle the nation's Army to its lowest level since before World War II and do away with the Warthogs as well as U-2 spy planes, among other cuts.

Fight brewing

Those kinds of cuts are guaranteed to spark a fight pitting lawmakers against Department of Defense officials and state against state in a scramble to keep such things as aircraft carriers and their crews' economic impact on a community, said Mieke Eoyang, national security program director at the Third Way, a centrist policy organization.

"What you'll see is a fight at the lowest levels of public awareness where they'll try to restore some of those cuts," Eoyang said, adding that there's little political incentive for members of Congress to offer full-throated support of Hagel's proposal to trim the Army to a level of 440,000 to 450,000 troops -- the lowest level in more than 70 years.

Last year, when it looked as if the A-10s were on the chopping block, Blunt, who sits on the Senate appropriations defense subcommittee, offered an amendment to the Pentagon spending measure to save the planes.

Defense policy experts say that these types of military cuts usually affect surrounding communities. As troops and the civilian workers who maintain military equipment are either reassigned or move on, the towns that depend on them struggle.

The Pentagon says the cuts are simply a reflection of the harsh realities of this era of federal budget cutbacks and a shift away from fighting expensive, extended land wars abroad.

"These recommendations will adapt and reshape our defense enterprise so that we can continue protecting this nation's security in an era of unprecedented uncertainty and change," Hagel said at his briefing.

Many defense policy experts also say the cuts are practical.

"Cutting to 450,000 is significant but within reason. It is a cut of less than 10% from typical 1990s levels, or from what was recently already planned," said Michael O'Hanlon, a defense and foreign policy expert at the Brookings Institution. "And with Saddam (Hussein) gone in Iraq, the portfolio of threats and likely missions has shifted at least modestly away from large-scale ground combat, in my eyes."

United against the cuts

But if mounting pushback from such lawmakers as Graham and Sen. John McCain, R-Arizona, among others, and a number of military advocacy groups is any indication, the Pentagon will have a hard time preserving the proposed cuts.

Gov. Haley: Cuts to National Guard a 'slap in the face'

South Carolina Gov. Nikki Haley said a White House meeting of a bipartisan group of governors Monday largely had a respectful tone until the discussion turned toward military cuts at the end.

"It automatically went into an aggressive nature by (President Obama), implying that 'many of you have asked for cuts, this is what you said you wanted ... now you're going to get it, you're going to have to live with it.' Completely different change in tone," said Haley, who's up for re-election this year and who made her remarks at a news conference by the Republican Governors Association after the gathering at the White House.

"It chilled the room quite a bit," she added.

Groups like the National Guard Association, an advocacy group, are also urging their members to pressure their congressional lawmakers to reject many proposed cuts, such as trimming Army National Guard numbers and shifting Apache helicopters from the Guard to the active-duty Army.

"The National Guard is a commonsense solution to the challenges facing the U.S. military," said John Goheen, director of communications for the National Guard Association. "Congress and the nation's governors see it. Unfortunately, the Pentagon does not or will not. We are disappointed, but we are hardly defeated."

Chairman of the Homeland Security Committee Rep. Michael McCaul, whose Texas district neighbors the congressional district housing Fort Hood, says he too is deeply concerned about the impact of the proposed cuts.

"This president is sacrificing our most important responsibility, our national defense, on the altar of entitlements," he told CNN in a prepared statement. "Instead of taking on mandatory spending and reforming our entitlement programs, he's proposing dangerous cuts that could greatly affect our military readiness and national security. The proposed troop levels and cuts are yet another retreat by this president when it comes to the ability of our armed forces to effectively do their jobs and to the safety and security of our borders."

Kermick, the Knob Noster city administrator, said he'll leave the debates about what members of Congress should cut regarding the A-10s to those elected officials.

But he knows one thing for sure: When it comes to getting rid of the A-10s, he says, "I don't think it's a good idea, personally. But that's just my opinion."

Food stamp use among military rises again

CNN's Tom Cohen and Ashley Killough contributed to this report.

@highlight

Military communities, defense businesses will feel impact of proposed Pentagon cuts

@highlight

Lawmakers will fight to keep cuts from hitting their home states and districts

@highlight

Defense policy experts say the cuts, while practical, face an uphill battle in Congress

@highlight

The fight to preserve certain programs and weapons will get personal