(CNN) -- Two of the main companies involved in the disastrous 2010 Gulf of Mexico oil spill were more focused on personal injury risks than the potential for a major accident, a federal agency said in a report released Tuesday.

The U.S. Chemical Safety Board, an independent federal agency entrusted with investigating serious chemical accidents, released findings from their months-long analysis Tuesday at a public hearing in Houston.

The CSB said two of the main companies involved, BP and Transocean, as well as U.S. regulators, focused too heavily on personal injury issues such as dropping objects, slips, trips and falls instead of on overarching considerations of importance, such as the potential of losing control of an oil well or drilling using a complicated rig.

Three lessons linger from BP oil spill

The disaster began on April 20, 2010, when an explosion aboard the Deepwater Horizon drilling rig killed 11 people and caused a three-month-long oil spill, sending nearly 5 million barrels of crude spewing into the Gulf.

"A number of past CSB investigations have found companies focusing on personal injury rates while virtually overlooking looming process safety issues -- like the effectiveness of barriers against hazardous releases, automatic shutoff system failures, activation of pressure relief devices, and loss of containment of liquids and gases," CSB Chairman Rafael Moure-Eraso said.

The agency said the oil industry had not learned key lessons from a 2005 blast at a BP refinery in Texas City -- an incident it said bears an "eerie resemblance" to the Deepwater Horizon disaster.

During that incident, a fire and explosion during startup of a unit that raises gasoline octane killed 15 people and injured 180 others.

Kevin Costner wins suit filed by Stephen Baldwin over oil cleanup machine

The CSB pointed out that during both occasions, workers were being congratulated for low rates of personal injuries on the very day that the explosions occurred.

"The emphasis on personal injury and lost work-time data obscures the bigger picture: that companies need to develop indicators that give them realistic information about their potential for catastrophic accidents. How safety is measured and managed is at the very core of accident prevention," said CSB investigator Cheryl MacKenzie. "If companies are not measuring safety performance effectively and using those data to continuously improve, they will likely be left in the dark about their safety risks."

The Minerals Management Service (MMS), the now-defunct agency under the Department of the Interior that oversaw offshore oil exploration and production during the time of the 2010 accident, had already given BP and Transocean a total of 15 safety awards, and BP was a finalist for yet another. But CSB investigators found that the deciding factors used to determine recipients were based on personal safety records and not on safety management programs designed to prevent serious disasters.

Ex-BP engineer says company records clear him in Gulf spill

The Interior Department subsequently dismantled the MMS and formed the Bureau of Safety and Environmental Enforcement (BSEE).

Besides concluding that Transocean and BP had "multiple safety management system deficiencies that contributed" to the oil spill, the CSB also found the federal government should adopt some changes with its policies.

In Tuesday's report, the agency concluded the Interior Department still needs to develop a better safety indicator program for reporting potential precursors to major incidents instead of just reporting accidents.

The CSB is a Washington-based independent federal agency charged with investigating industrial chemical accidents. Board members are appointed by the president and confirmed by the U.S. Senate.

In April, BP announced that it had reached an estimated at $7.8 billion settlement with thousands of businesses and individuals who filed damage claims in the wake of the spill.

Independent scientists have said the spill harmed marine life and bird populations as well as coral reefs in the Gulf. Other researchers said they have found at least one plume of hydrocarbons from the well deep below the surface.

Alaska drilling: From 'hell no!' to... 'OK'

@highlight

Report: BP, Transocean, regulators focused too heavily on personal injury issues

@highlight

Past investigations saw companies "virtually overlooking looming process safety issues"

@highlight

11 people died and 5 million barrels of oil spilled in the 2010 Gulf of Mexico disaster

@highlight

Report: Interior Department needs to a better job of reporting major accident risks