(CNN) -- Sepp Blatter once suggested women footballers should wear tighter shorts -- now his organization, FIFA, has been accused of blatant sexism in its selection of the person to lead an investigation into the bidding process for the 2018 and 2022 World Cups.

The investigation and subsequent report by American lawyer Michael Garcia, head of FIFA's investigative chamber of the ethics committee, has become emblematic of the world governing body's reluctance to embrace a greater degree of transparency following criticism of the way FIFA is run.

FIFA president Blatter doesn't want the report published because he fears it will contravene FIFA's privacy laws, though Garcia and others such as the head of European soccer UEFA president Michel Platini have indicated they'd like it to be made public.

Now three former members of the Independent Governance Committee (IGC), the body tasked with working on reform proposals and drawing up a shortlist of candidates to lead the investigation into the bids for the 2018 and 2022 World Cups, which were awarded to Russia and Qatar, have told CNN that FIFA officials insisted that a woman should not be nominated for the role Garcia eventually assumed.

According to two of those former IGC members, Garcia, who recently delivered his long-awaited report, was not even on the original shortlist of candidates to lead the investigation.

Alexandra Wrage, who left the IGC in April last year after becoming frustrated with the lack of progress being made, recalls the occasion in 2012 where she was left stunned by suggestions that the committee should not consider any female candidates for the lead investigator role.

Sitting in the dining hall with two IGC colleagues during FIFA's Congress in Budapest that year, she claims she was approached by two senior FIFA employees.

"I turned from the group to face them and one of the men told me, 'Stop putting women forward for these positions.' He told me they would not be acceptable and that I was fighting the wrong battle," Wrage said.

"I didn't really take in what he was saying and then it hit me.

"I said, 'Did you really just say that?' I was startled. They started to elaborate on their views and gave me more and more details.

"I was the only woman at the table and they were directing their views just at me."

Guillermo Jorge, a fellow member of the IGC was also present alongside Wrage when a discussion was had over the possibility of female nominations.

He said the FIFA officials did not approach her and tell her to stop putting forth women, but confirmed to CNN that the two men said that it would be very unlikely that Exco would appoint a woman because FIFA is still very unbalanced in gender terms.

When CNN then approached Mark Pieth -- who chaired the IGC until its final report in April 2014 to discuss the allegation -- he said: "It is true that FIFA was not keen to elect women into these positions."

When CNN contacted FIFA with the allegation, a spokesperson reiterated the organization's support of women.

"At the time the President has explained that the candidate would have the full support of the football world," the spokesperson said.

"It is about acceptance. Unfortunately, a female may find it difficult to lead an investigation in certain parts of the world.

"That's unfortunate but you have to look at what will be acceptable to the majority of people within football throughout the world.

"The investigator would be working at all levels of football in dealing with ethics.

"The President hopes that there will be more women in leading positions in football.

"There are already three women on the Exco (Executive Committee) and that shows FIFA's commitment to women and their importance."

Last month, Blatter spoke of FIFA's "exemplary organization in ethics" while addressing the World Summit on Ethics in Sports.

But FIFA is facing more questions, with the process through which Garcia was appointed as the lead investigator under scrutiny.

How the former U.S. Attorney for the Southern District of New York came to write the report is something of a conundrum, given he was not included on the original shortlist of candidates to lead the investigation.

A FIFA spokesperson confirmed to CNN that when a shortlist of eight names -- which were compiled in order of ranking -- was submitted to football's world governing body in May 2012, Garcia's name was absent.

The names, which were submitted for the investigative and adjudicatory positions by the IGC before Wrage was approached in Budapest, included four men and four women -- all of whom worked in either the judicial or investigative sector.

The choice of Garcia was met with surprise by those at the IGC given the nature of their recommendations, with chairman Pieth suggesting that the New York prosecutor was not his first choice.

The credentials of Garcia, who worked in the last Bush administration, are impressive, but Pieth's preference to lead the investigation was Argentine prosecutor Luis Moreno Ocampo, whose nomination was vetoed by the country's president Cristina Fernandez de Kircher.

The second-choice candidate was unable to take up the role because of illness and has since passed away, according to Pieth.

According to a FIFA spokesperson, the IGC was not the only body to offer potential nominations for the role of lead investigator.

Pieth says the nomination of Garcia came through the secretary general of Interpol Ronald Noble. Garcia, who once worked as vice-president of the Americas on Interpol's executive committee, currently works in New York as a partner at Kirkland & Ellis LLP.

FIFA and Interpol, the world's largest police organization, enjoy a partnership which stretches back to 2011.

The 10-year agreement, which is worth €20 million ($25 million) and was set up to combat match fixing, has helped to create a dedicated sports integrity unit in Singapore which opened on Tuesday.

An Interpol spokesman confirmed that while the two bodies do enjoy a close relationship, Interpol did not make the appointment of Garcia -- though he commented that "FIFA could find no better man or woman to discharge the duties assigned to Mr. Garcia."

When asked whether Interpol had received any specific instructions over the gender of candidates, the spokesman replied: "When it comes to promoting gender equality, Interpol has led by example.

"The world police body's president is a woman. Its cabinet director and head of its global awareness initiative, Turn Back Crime, is a woman. The head of Interpol's National Central Bureau and Regional Police Services unit is a woman. And one of its key Sports Integrity managers is a woman."

The controversy over Garcia's appointment comes in the wake of his statement, published last week, which called on FIFA to publish his report in full.

Such a move is unlikely.

Hans-Joachim Eckert, who presides over the adjudicatory arm of FIFA's ethics committee, told reporters earlier this month that only his findings would be published and not Garcia's report.

That move was met with condemnation by some FIFA Executive Committee members.

Sunil Gulati, the president of U.S. Soccer, has urged for the report to be published, as have FIFA vice-presidents Prince Ali bin al-Hussein from Jordan and Jim Boyce of Northern Ireland.

"Given the limited role Mr. Hans-Joachim Eckert envisions for the Adjudicatory Chamber, I believe it is now necessary for the FIFA Executive Committee to authorize the appropriate publication of the Report on the Inquiry into the 2018/2022 FIFA World Cup Bidding Process," read Garcia's statement.

"Publication would be consistent with statements made by a number of Executive Committee members, with the view recently expressed by Independent Governance Committee Chair Mark Pieth, and with the goals of the reform process."

His call appears to have fallen on deaf ears, with Blatter insisting he has not had any contact with Garcia.

"The only contact we have had with the president of the (ethics committee) investigatory chamber has been his press releases that we have received in FIFA," Blatter told reporters.

"But we have not received any demands or requests from Mr. Garcia to speak to us, or to ask that we should make a decision on this report and to publish this report, and to change the confidentiality which is in the code of ethics of FIFA."

Blatter's stance has been supported by FIFA's legal director Marco Villiger, who said that witness confidentiality could prove difficult to sustain if the report was published.

"The code of ethics is based on certain principles, one of which is confidentiality," Villiger told reporters.

"Cooperation between witnesses and the ethics committee is based on confidentiality, if not perhaps certain witnesses, whistleblowers or other parties might not cooperate to such an extent," he said, adding that 75 witnesses had been heard during Garcia's investigation.

CNN contacted Garcia's office in New York to ask whether it could answer questions relating to his omission from the original list, his recommendation by Interpol and the gender-specific allegations.

A spokesman for Garcia said all inquiries should be made to FIFA.

@highlight

Female candidates not considered for lead investigative role

@highlight

Michael Garcia handed in his report last month

@highlight

Garcia not on original list of nominees

@highlight

Calls on FIFA to make report made public