The Commission of Inquiry (COI) on Human Rights in the Democratic People's Republic of Korea (North Korea) arose out of frustrations experienced by the United Nations human rights machinery in dealing with that country.

The international community was confronted with many reports, both scholarly and reliable, and some informal, of grave human rights violations against the people of the Democratic People's Republic of Korea (DPRK).

In January 2013, the High Commissioner for Human Rights, Navanethem Pillay, called for a fully-fledged international inquiry into serious crimes said to have been taking place in North Korea for decades. She stressed that the natural concern of the international community about the implications for peace and security of the reported possession by DPRK of nuclear weapons should not overshadow the deplorable human rights situation in the country.

But an immediate challenge was presented to the COI by the non-cooperation with the human rights mandate-holders of DPRK.

North Korean impasse

DPRK stated publicly that it would "totally reject and disregard" the resolution establishing the COI. It claimed that this was "a product of political confrontation and conspiracy."

In this sense, DPRK confronted the United Nations human rights system with an impasse. It would not cooperate with Universal Periodic Review, a review of the human rights records of all U.N. member states.  It would not cooperate with the Office of the United Nations High Commissioner for Human Rights. It would not cooperate with the present Special Rapporteur or his predecessor. It would not cooperate with the COI.

It wished to be left alone.

But this was not acceptable because of the substantial and believable testimony and other information demonstrating grave crimes against humanity and other human rights violations on the part of DPRK, a member country of the United Nations.  In this particular case, the COI had access to satellite images which were available to it. Those images, addressed to the vicinity of the towns described by the witnesses, strongly confirmed the existence of large facilities, whose layout and appearance conformed to the descriptions given by witnesses before the COI.

Crimes against humanity

Like documentary interviews of European Holocaust survivors, now commonly available in museums created following the World War II genocides, witness testimony given to the COI on DPRK was presented in a low key, matter of fact, generally logical, unemotional and chronological manner.

Based upon the testimony and information received, the COI found that DPRK authorities had committed, and were continuing to commit, crimes against humanity in political prison camps; in the ordinary prison system; by targeting religious believers; by imposing starvation on large sections of the population; and by targeting persons, including persons from other countries, and through the course of state sponsored abductions and disappearances.

The presentation of the COI report to the United Nations created a sensation. No report of a COI of the HRC had been so effective, I believe, in drawing attention to victims and to such a broad range of wrongs perpetrated against the civilian population of a member state of the United Nations to such a shocking degree over such a long period of time.

Unlike earlier totalitarian states and oppressive conduct, the world cannot now lament, "if only we had known..." Now, the world does know.  And the question is whether the world will respond effectively and take the necessary action.

Failures with DPRK

It was frequently said that the greatest danger to human rights in the case of DPRK was its possession of a reported 20 nuclear armed warheads and its current development of an arsenal of missile delivery systems that could threaten its neighbors and the global community.

In these circumstances, was there a danger that the injection (including into the Security Council) of "contestable questions" of human rights, would simply divert attention from the highest security priority that the world faced?

The strategy of non-criticism, attempted friendliness and deference was singularly unsuccessful in securing either the goal of peace, national reunification or human rights compliance. For example, the meetings in Pyongyang in September 2002 with Japan's prime minister at the time, Junichiro Koizumi, and in September 2000 with then-President Kim Dae-Jong of ROK, were not long-term substantive successes.

In the case of the Japanese prime minister, a tiny number of abductees were returned with an acknowledgment of a state policy of abductions by the DPRK that was said to have been abandoned. However, when the bones of some of the Japanese abductees, said to have died in DPRK, were returned to Japan, they were found to have no DNA match to the families of the abductees. In some cases they were probably animal bones -- an affront to Japan and to the abductees' families.

Negotiations with ROK actually coincided with the clandestine development of nuclear weapons at the very time of the promotion of the "Sunshine Policy" by President Kim.

Whilst such strategies are sometimes rewarded by minor concessions, objectively such measures can only be assessed as "crumbs" when measured against the violations and international crimes reported by the COI.

Action from ICC and Security Council?

What is the bottom line? The Charter of the United Nations gives the five permanent members of the Security Council a veto that can prevent the passage of resolutions on substantive matters, which the proposed referral of DPRK to the ICC would undoubtedly be.

The Russian Federation has links of tradition, sentiment and history with DPRK dating to Soviet times. China has political links and substantial trade and is now the principal economic supporter of DPRK. How in these circumstances can the COI seriously expect any real action to the taken by the Security Council?

In the end, a veto might indeed prevent action being taken upon some of the central recommendations of the COI Report.

However, the Russian Federation now has few economic or other contacts with DPRK. China must itself be deeply concerned, not only by the development of nuclear weapons on its doorstep but also by the dangers of an exodus of civilian populations seeking refuge in the neighboring areas of China.

The execution of Jang Song-taek, the uncle by marriage of the Supreme Leader of DPRK in December 2013, reportedly an advocate of the "China path" for DPRK, must also be a source of concern for China.

Both Russia and China have agreed to the adoption of resolutions on the nuclear weapons program in DPRK, and to the close monitoring of the sanctions imposed by the Security Council on DPRK.

No guarantees

The COI cannot, of course, guarantee the adoption of a new Security Council resolution on human rights in DPRK.  Still less can it ensure one that refers the case of DPRK to the ICC. But that would be the correct, principled step for the United Nations system to take, based on the COI report.

It would put human rights up front. It would assure accountability for crimes against humanity.  It would vindicate the international rule of law.  It would fulfill the "Responsibility to Protect" human rights, agreed by the U.N. General Assembly unanimously in 2005 as a duty of the international community where a given country fails to protect the human rights of its nationals. That, assuredly, is the case in DPRK today.

The world has therefore reached a moment of truth over DPRK. The international community and people everywhere will be watching closely the United Nations' consideration of the COI report. I am hopeful that the outcome will be positive.

The human rights of the people of DPRK demand it. The peace and security of the Korean peninsula and its region require it.

@highlight

U.N.'s Commission of Inquiry (COI) had no cooperation from North Korea, writes Michael Kirby

@highlight

Strategy of non-criticism, attempted friendliness to North Korea has not secured peace or human rights compliance

@highlight

Veto might prevent action on some of the central recommendations of the COI

@highlight

U.N. has responsibility to protect human rights, as duty when given country fails to do so