(CNN) -- President Barack Obama campaigned in America's car country on Monday after his administration filed a trade complaint against China's auto industry subsidies, while Republican challenger Mitt Romney complained the move was "too little, too late."

Romney spoke Monday to the U.S. Hispanic Chamber of Commerce in his attempt to diminish the president's advantage with the Latino vote, a traditionally Democratic demographic that strongly supported Obama in 2008.

With the November election just over seven weeks away, Obama seeks to maintain the momentum of a perceived "bounce" in support following this month's Democratic National Convention while Romney wants to gain ground on his rival ahead of the three presidential debates next month.

Romney makes push for Hispanic voters

In speeches at Eden Park in Cincinnati and Schiller Park in Columbus, Obama focused on the auto sector that, according to industry research, supports almost 800,000 jobs in Ohio.

The president touted both the auto industry bailout from his first year in office, noting Romney at the time called for letting Detroit go bankrupt on its own, and his administration's new complaint with the World Trade Organization that accuses China of providing $1 billion in illegal subsidies to auto and auto parts exporters between 2009 and 2011.

"You can talk a good game, but I like to walk the walk, not just talk the talk," Obama said of Romney, accusing the former Massachusetts governor of backing companies that outsourced U.S. jobs to China while a private equity investor.

iReport: 'I'm the 47%, but you're wrong, Romney'

"We've brought more trade cases against China in one term than the previous administration did in two -- and every case we've brought that's been decided, we've won," Obama continued in Cincinnati, adding that the subsidies being challenged "directly harm working men and women on the assembly line in Ohio and Michigan and across the Midwest."

His voice rising to a shout, Obama said to cheers: "It's not right; it's against the rules; and we will not let it stand."

Critics of U.S. trade policy say a tougher line with China is necessary.

Romney labeled the administration's move an election-year stunt in comparison to what he called his own consistent criticism of China as an unfair trade partner.

"The president may think that announcing new trade lawsuits less than two months from the election will distract from his record, but American businesses and workers struggling on an uneven playing field know better," Romney told the Hispanic Chamber of Commerce in Los Angeles.

In an earlier statement, Romney said Obama "has spent 43 months failing to confront China's unfair trade practices."

Romney ads paint plans to help middle class in broad strokes

The WTO is the global organization that referees trade disputes between nations. In the last decade, the Chinese auto industry has grown rapidly as the nation's expanding middle class made the country the world's largest market for car purchases, with General Motors now selling more cars in China than in the United States.

According to White House estimates, up to 60% of China's auto parts exporters benefit from subsidies, making it hard for American companies to compete.

U.S. Trade Representative Ron Kirk said in a statement on Monday that China agreed when it joined the WTO in 2001 to eliminate the kind of export subsidies targeted by the new U.S. complaint.

Obama's mixed record on trade

Ohio is considered one of the most important battleground states of the November election, offering 18 electoral votes and the historical footnote that no Republican has ever won the presidency without carrying it.

In his speech to the Hispanic businessmen, Romney touched on economic and education issues important to Latino communities.

Obama's policies made things worse for Hispanic Americans, he said, citing higher unemployment and increased poverty compared to when the president took office.

"No one is exempt from the pain of this economy, but the Hispanic community has been particularly hard hit," Romney said.

He offered some new details on his budget-cutting plans, saying he would save $500 billion by reducing government employment by 10% through attrition while combining agencies and departments to reduce overhead and linking government compensation to private sector levels.

Romney also promised to "permanently fix our immigration system," the latest in a series of attempts to appeal to Hispanic voters despite polls showing the Republican presidential nominee faces a sizable deficit among the key voting group.

Opinion: Can Romney connect with Latino voters?

Obama leads Romney among Latino registered voters by 64%-27%, according to a recent Gallup poll. Later this week, both candidates will separately answer questions from the Spanish-language television network Univision as part of outreach to Hispanic voters.

Romney has struggled in the past to frame his positions on immigration in ways that appeal to Hispanic voters as well as the conservative base of the Republican Party.

On Monday, he repeated past support for requiring employers to verify the legal status of workers and to simplify immigration laws while strengthening border security.

He also reiterated his opposition to amnesty -- a code word for the DREAM Act proposed by Democrats and backed by Obama that would provide a path to legal status for children of illegal immigrants brought to America by their parents.

At the same time, he expressed support for giving permanent residency to those who served in the military or obtained an advanced degree, and blasted Obama for failing to deliver on a 2008 campaign promise of immigration reform.

"Despite his party having majorities in both house of Congress, super majorities, the president never even offered up a bill," Romney said. "Like so many issues confronting our nation, when it comes to immigration, politics have been put ahead of people for too long."

At a Republican presidential candidate debate in January, Romney said he favored a system of "self-deportation," a policy that involves making economic conditions so difficult for undocumented workers that they choose to leave the country to find better opportunities. That stance was derided by Democrats and his Republican rivals.

Romney retools campaign message

Obama's campaign released a web video on Monday denouncing Romney's "Extreme Makeover, Latino Edition," claiming the candidate was attempting to "overhaul his positions and slow his sharply declining popularity in the Latino community."

"Can Romney cover up his belief in self-deportation as an immigration solution with a bold new wallpaper choice?" Team Obama asks. "Will a new window treatment help disguise his cuts to education and college scholarships? If he does something amazing with spackle, will people forget he's promised over and over again to repeal Obamacare on day one - denying millions of Latinos comprehensive health care coverage? And on his promise to veto the DREAM Act. ... well, duct tape can fix everything, can't it?"

On another issue, a new poll on Monday showed that more respondents favored Obama over Romney on their handling of anti-American unrest in Arab world countries.

The Pew Research Center survey showed that 45% approved of Obama's handling of the attacks on U.S. embassies and diplomatic compounds while 36% disapproved, compared to 26% approving Romney's actions while 48% disapproved.

Meanwhile, a pair of television ads released Monday by the Romney campaign focused on the nation's economy, which voters identify as their main issue of concern.

In the first ad, Romney speaks interview-style about proposals he claims will help bolster earnings for middle income Americans and ultimately create 12 million new jobs before the end of a potential first term. The ad generally repeats Romney's main campaign themes on the economy without offering new details.

The second ad on Monday features a narrator listing problems with the nation's economy since Obama took office.

"Barack Obama: More spending, more debt, failing American families," the ad says.

Excerpts: Romney vows to 'permanently fix our immigration system'

CNNMoney's Chris Isidore and Charles Riley and CNN's Thom Patterson, Jessica Yellin, Kevin Liptak and Dan Lothian contributed to this report.

@highlight

NEW: Mitt Romney tells a Latino group that President Obama failed them

@highlight

Obama says Romney doesn't "walk the walk" on China

@highlight

The Obama administration files a trade complaint against China

@highlight

Romney calls the trade complaint a campaign stunt