Greeted by throngs of Catholic worshipers from across the region, Pope Benedict XVI ended his two-country tour in Havana's Revolution Plaza with a reference to what he described as a need for "authentic freedom."

Changes between Cuba and the world can come only if "each one is prepared to ask for the truth and if they decide to take the path of love, sowing reconciliation and brotherhood," the pope said Wednesday.

He also met with the Communist country's former leader, Fidel Castro, before heading to the airport for a Rome-bound flight Wednesday evening.

Conflicting reports emerged Wednesday over whether the pope had met with Venezuelan President Hugo Chavez. Two Cuban sources told CNN the pontiff met Tuesday with Chavez, who is in Cuba for cancer treatment. But Vatican spokesman Federico Lombardi said reports of the meeting were false.

In a farewell speech just before boarding the plane, he criticized the U.S. trade embargo on Cuba, saying "restrictive economic measures, imposed from outside the country, unfairly burden its people."

Benedict, whose office has routinely cast the trip in the context of a spiritual pilgrimage, at times addressed political issues -- often subtly, and on occasion more overtly.

At the start of his visit, aboard a flight from Rome, he denounced violence caused by the drug war in Mexico and blasted Cuba's Marxist political system by saying it "no longer corresponds to reality."

Later, he prayed for "those deprived of freedom" while in Cuba's southeastern city of Santiago de Cuba. And he made several references to freedom in his final sermon in Havana, addressing a nation that human rights groups have routinely denounced for its abuses.

Many in Cuba and around the world listened closely to the pope's homily at the enormous open-air Mass Wednesday to see whether he would expand on -- or be more forceful in -- his apparent criticisms. But his comments often seemed couched in a broader discussion of religious openness.

"It is with joy that in Cuba there have been steps so that the church can carry out its mission," but the country must continue to strengthen this path, he said.

Tens of thousands of faithful packed Revolution Plaza to hear Wednesday's Mass.

The pope arrived in the so-called popemobile, his bulletproof vehicle, which slowly made its way to the altar. At some points, he appeared just a few feet from the crowd, which shifted as onlookers tried to get a closer look.

Rescue workers carried away at least three people who fainted in what was a comparably mild Caribbean heat, after waiting for hours for the pope to arrive.

"Every time the pontiff comes comes here, there's always some sort of transformative period for us afterward," said Jorge Luis Rodriguez, a Havana resident who joined the thousands that filled the square on Wednesday.

But Cuban dissidents complained that police prohibited some activists from leaving their homes to attend the Mass and that others were detained.

Amnesty International said in a statement that activists were "facing a surge in harassment in a bid to silence them during the pope's visit."

Government opponents were detained, threatened or stopped from traveling freely leading up to pontiff's arrival, according to the human rights group.

"The clampdown has seen an increase in arrests, activists' phones have been disconnected, and some have had their houses surrounded to prevent them (from) denouncing abuses during Pope Benedict's tour," the group said.

CNN could not independently confirm those reports.

The pope's visit comes 14 years after Pope John Paul II addressed massive crowds near the towering sculpture of Che Guevara in the historic first papal visit to the island nation.

Elsida Martinez, a Havana resident who said she watched from the square when John Paul spoke in 1998, said there was a noticeable difference between the two pontiffs. Cuba itself was also different, she said.

"When we saw John Paul, Cubans didn't really know anything about religion," Martinez said. "Now we're open more. We practice (religion) more. We believe more."

When John Paul came "it was a different period in our history," said Camilo Ortiz, a 50-year-old Havana resident, but the former pontiff's visit still "had more power" than Benedict's.

"During that time, there were many difficulties here," Ortiz added. "Now, there are some changes, and things are a little better."

After the island's so-called "special period," which began in the early 1990s after the dissolution of the Soviet Union, Cuba -- which had long enjoyed Soviet subsidies -- was confronted with a prolonged period of economic hardship.

When John Paul visited years later, the country was still reeling from its effects.

Cuba is Benedict's second stop on a tour that has also taken him to Mexico, where he denounced the violence-plagued drug war before traveling to the island nation.

"In Cuba, there will not be political reform," said Marino Murillo, vice president of the island's council of ministers, responding to the pope's remarks about its Marxist political system.

But some Havana residents at Wednesday's Mass said they were optimistic.

"For me, there's a hope" that comes with Benedict's visit, Ortiz said. "There's a hope that something's going to change."

@highlight

Pope Benedict XVI meets with former Cuban leader Fidel Castro

@highlight

The pope ends his trip to Cuba referencing a need for "authentic freedom"

@highlight

In a farewell speech before leaving, he criticizes the U.S. trade embargo

@highlight

Rights group: Authorities harassed activists, tried to silence them during pope's visit