(CNN) -- President Obama is celebrated and criticized for greatly accelerating the number of CIA drone attacks in Pakistan, but the similar covert war that he has launched in Yemen has received considerably less attention.

The Obama administration has launched an estimated 28 drone strikes and 13 air strikes in Yemen, according to data compiled by the New America Foundation from reliable news reports. By contrast, the administration of George W. Bush only launched one drone attack in Yemen. (The data was gathered from media outlets that include the Associated Press, Reuters, CNN and the Yemen Post.)

On April 25, the White House approved a new policy inaugurating a more aggressive campaign of drone strikes in Yemen allowing so-called "signature" strikes. These are strikes on individuals whose patterns of behavior signal the presumed presence of an important militant or of a plot against the United States, even if the targeted individual's identity is unknown.

Previously, the administration only allowed the U.S. Joint Special Operations Command (JSOC) and the CIA to launch drone attacks in Yemen against top-level militants whose names appeared on secret JSOC and CIA target lists and whose locations could be confirmed.

These broadened rules of engagement will likely result in the further acceleration of U.S. intelligence and military operations in Yemen, a chaotic, weak state embroiled in several overlapping civil wars.

As of June 6, drone strikes and airstrikes had killed an estimated 531 to 779 people in Yemen, 509 to 713 of whom were identified in media reports as militants, according to the New America Foundation's data. Of these deaths, 99% occurred during Obama's presidency.

The civilian casualty rate from these strikes is estimated to be between 4% and 8.5%, roughly comparable with the civilian casualty rate from the U.S. drone program in Pakistan, which averaged 5.5% in 2011, according to New America Foundation data.
The CIA inaugurated the lethal drone program in Yemen on November 3, 2002, with a Hellfire missile launched from a Predator drone at a vehicle in the province of Maarib, about 100 miles east of the capital city of Sanaa.

The attack killed al Qaeda's top operative in Yemen, Qaed Salim Sinan al-Harethi, who was also a suspect in the 2000 bombing of the USS Cole off the Yemeni coast. With al-Harethi in that car were five other militants, all of whom were killed, including U.S. citizen Kamal Derwish. His was the first reported American death to result from the CIA's drone campaign.

After the 2002 U.S. drone strike, there was no reported U.S. airstrikes or drone attacks in Yemen until December 2009, when a sustained campaign of attacks began.

That change came about because al Qaeda's Yemen-based affiliate, al Qaeda in the Arabian Peninsula (AQAP), has over the past three years attempted a number of terrorist attacks against the United States, launching it from relative obscurity to the top of the U.S. government's list of national security threats.

In a statement posted on jihadist websites in December 28, 2009, AQAP claimed responsibility for the attempted "underwear bomb" attack on a Detroit-bound passenger airliner three days earlier. And in November 2010, the group claimed responsibility for a plot to send two packages containing bombs hidden in printer cartridges to two Chicago synagogues. The packages were discovered in the United Kingdom and Dubai after Saudi officials provided a tip about the plot.

In July 2011, Secretary of Defense Leon Panetta said the United States was "within reach of strategically defeating al Qaeda," and that he believed of all al Qaeda affiliates, AQAP posed the greatest threat to the U.S. homeland.

Al Qaeda in Yemen advertises for Western recruits

Counting drone attacks and airstrikes in Yemen is complicated because it has often been unclear whether attacks were launched from drones or from fighter jets, and villagers regularly provide conflicting accounts of the kinds of aircraft used in these attacks.

To make data collection on these strikes even more difficult, diplomatic cables released by the transparency watchdog site WikiLeaks revealed that the Yemeni government has sometimes taken credit for airstrikes that were in fact being carried out by the United States.

According to one cable, then-Yemeni President Ali Abdullah Saleh told then-Gen. David Petraeus in January 2010, "We'll continue saying the bombs are ours, not yours," after which Deputy Prime Minister Rashad al-Alimi joked that he had just "lied" to the Yemeni Parliament about the American role in such strikes.

During the Obama administration, U.S. drones have killed at least 16 key al Qaeda militants in Yemen, including the Yemeni-American cleric Anwar al-Awlaki on September 30, 2011, and Fahd al-Quso who was suspected of involvement in the 2000 bombing of the USS Cole.

While the covert drone war is claiming a fast-rising toll, it's not clear it is significantly weakening AQAP.
Gregory D. Johnsen, a leading expert on Yemen at Princeton University, points out that al Qaeda's Yemeni affiliate has grown in size during the past three years from around 200 to 300 militants to more than 1,000 fighters and "controls significant portions of territory in southern Yemen. In parts of Abyan and Shabwa provinces, the organization controls towns in which it has established its own police departments and court systems. It is providing water, electricity and services to these towns. In short, AQAP now sees itself as the de facto government in the areas under its control."

Since the longtime Yemeni strongman Saleh stepped down in February, the American drone strikes and airstrikes have increased. In just three months, the United States launched an estimated 20 strikes. By comparison, there were just 18 attacks in the previous two years. Johnsen asks: "What happens if this 'missile surge' doesn't work?  What happens next? Does the U.S. fire more and more missiles in the hopes that it will reach a tipping point?"

Given the Obama administration's embrace of drone strikes, the answer to that question seems likely to be: Yes.

________

Here is a list of the key al Qaeda militants who have been killed in U.S. drone attacks in Yemen during the Obama administration, according to data compiled by the New America Foundation from reliable news reports:

-- January 15, 2010: Qassem al-Raymi, top military chief for al Qaeda in the Arabian Peninsula.

-- January 15, 2010: Ayed Al Shabwani, the chief of AQAP's operations in Maarib province.

-- January 15, 2010: Ammar al-Waeli, who was accused of involvement in a July 2007 suicide bombing that killed eight Spanish tourists and two Yemenis

-- January 15, 2010: Abu Ayman, an Egyptian militant who is believed to have spent time in Afghanistan.

-- March 14, 2010: Jamil Nasser Abdullah al-Ambari, believed to be the leader of al Qaeda in southern Abyan province.

-- July 14, 2011: Hadi Mohammad Ali, militant commander in Abyan province.

-- August 1, 2011: Naser al-Shadadi, leading al Qaeda militant.

-- September 30, 2011: Anwar al-Awlaki, radical Yemeni-American cleric.

-- September 30, 2011: Samir Khan, founder of AQAP's English-language magazine Inspire

-- October 14, 2011: Ibrahim al-Bana, AQAP's media chief.

-- December 23, 2011: Abdulrahman al-Wuhayshi, brother of AQAP leader Nasser al-Wuhayshi.

-- March 9, 2012: Abdulwahhab al-Homaiqani, local AQAP leader in Bayda province.

-- March 13, 2012: Nasser al-Zafari, local AQAP leader in Bayda province.

-- April 22, 2012: Mohammed al-Umda, fourth most-wanted al Qaeda militant in Yemen, who was convicted in 2005 of an attack on the Limburg oil tanker in 2002.

-- May 6, 2012: Fahd al-Quso, who was on the FBI's most-wanted list for his role in the 2000 bombing of the USS Cole.

-- May 10, 2012: "Jallad," who was in charge of armaments for AQAP fighters.

@highlight

U.S. drone attacks in Yemen haven't received as much attention as in Pakistan

@highlight

Dozens of airstrikes have killed hundreds, mostly AQAP terrorists, the authors say

@highlight

In April, White House approved policy for even more aggressive campaign of drone strikes

@highlight

A Yemen expert says the strikes haven't dented AQAP's overall strength