(CNN) -- For months now, platoons of politicians have been filling the air with words.

But today, if only for a few minutes, can we forget about the politicians and express our sympathy for one of the words?

It's such an amiable word: a word that is friendly and easygoing and nonconfrontational, a word that would never want to get dragged into a fight like this.

Yet it is there anyway, caught between practiced brawlers.

The word?

"Moderate."

If you have found yourself paying attention to the presidential campaign that is going to be with us until November, you have heard the word. Repeatedly.

Two of the candidates in the Republican primaries -- Newt Gingrich and Rick Santorum -- have used the word regularly to assail one of their opponents, Mitt Romney.

"Massachusetts moderate," Gingrich has said of Romney, over and over, with unmistakable derision.

Santorum has called Romney a "mushy moderate," and has said that delegates at an open Republican convention "are not going to nominate a moderate Massachusetts governor."

Now, Romney and Santorum and Gingrich are all experienced politicians. They know what they're doing, and they can duke this out among themselves. The purpose of today's column is not to discuss which of them would make a better president, or whether Barack Obama is a better president than any one of them would be. We'll find out about that soon enough.

But just how exactly did "moderate" become a political dirty word?

It doesn't sting -- you wouldn't think anyone would consider it a killshot. If one politician calls another a left-winger, or a right-winger, or a communist, or a fascist, or a radical ... now those are words meant to provoke.

But to use "moderate" as a weapon?

Is this really supposed to rile up the American people? Are voters supposed to say: "I don't want that guy anywhere near the White House. He's a moderate!"

To most people's way of thinking, "moderation" has always meant balance, carefulness, calm deliberation, evenhandedness, dispassion, impartiality, judiciousness. It is traditionally a conscientious objector in the universe of bellicose language.

Moderate weather is lovely weather. How are we best advised to eat and drink? In moderation. "Moderation," in the world of words, is the common-sense good buddy, walking the straight and narrow.

It has ever been thus, down through history. "Out of moderation a pure happiness springs," said the German poet Johann Wolfgang von Goethe. "Moderation in people who are contented comes from that calm that good fortune lends to their spirit," said the French author Francois de La Rochefoucauld. "Keep a mid course between two extremes," said the Roman poet Ovid. Aristotle, the Greek philosopher, may or may not have said the actual words that are often attributed to him -- "Moderation in all things" -- but he unquestionably believed in the principle.

So what's going on here? In search of an answer, I turned not to Ovid or Aristotle, but to Cal Thomas, the conservative columnist and commentator whose love of language is as passionate as his interest in politics.

Thomas is resolute in his conservative beliefs, but he has always shown a willingness to at least listen to the other side. He and liberal Bob Beckel write a regular column for USA Today called "Common Ground," where they seek to find precisely that: a meeting place where ideas helpful to America may be worked out.

So, Cal: What exactly does "moderate" mean as it is being used in the present political free-for-all?

"In today's vernacular," Thomas said, " 'moderate' has come to mean that you have no fixed principles, that everything can be negotiated away because all that matters is 'the deal.' "

He continued:

" 'Moderate' has also come to mean liberal on taxation, regulation and the social issues."

We were conducting our conversation by e-mail, so I couldn't see his face as he typed the next sentence. But, knowing his long understanding of politics and the people who practice it, I have a feeling he was smiling. Of "moderate," he wrote:

"It is a label that means whatever the person applying it wants it to mean."

In the current context, he's probably right. But will it work? Come the general election, will Americans band together and slam the door in the face of that dreaded quality, moderation?

It would seem doubtful. This is a pretty centrist country. The one other time that moderation was referred to with such disapproval on the national political stage was in 1964, when Barry Goldwater, the Republican standard-bearer for president, famously said, in accepting the nomination:

"I would remind you that extremism in the defense of liberty is no vice. And let me remind you also that moderation in the pursuit of justice is no virtue."

What Goldwater was trying to get across was that one must fight for one's principles. He was echoing the words and stances of ancient Rome's Marcus Tullius Cicero and also of early America's Thomas Paine, who said: "Moderation in temper is always a virtue; but moderation in principle is always a vice."

It was a distinction largely lost on the electorate. Goldwater was never able to recover from the controversy over that speech, and Lyndon Johnson -- whose strategists used Goldwater's words to hammer the thought into voters' minds that someone who spoke well of extremism might be an extremist -- won in a landslide.

But this isn't about landslides or squeakers. It's about that mild-mannered little word that has suddenly found itself turned into an epithet.

When the dust of 2012 has cleared, and the election is over, that word -- wounded, staggering, wondering just what in tarnation happened to it -- will do its best to go on with its life.

It may even allow itself to get angry.

Moderately.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Politicians have been tossing around the word "moderate" like it's an insult

@highlight

He says GOP rivals deride Mitt Romney as a "mushy" Massachusetts moderate

@highlight

But word connotes balance, care, evenhandedness, Greene says

@highlight

He says Americans are pretty centrist and the word will survive 2012 beating