When Alexis Tsipras charged onto the stage, palms clasped high and a broad grin greeting his supporters, he could have been mistaken for the election winner.

In fact Tsipras, leader of the Syriza party, had conceded defeat to New Democracy just half an hour earlier. His radical left party will not support the center-right election winner, but remain in opposition.

The outcome sent a shudder of relief through the markets and Europe, whose leaders applauded New Democracy's win as a showing of courage and resilience from the Greek people.

But Sunday's result -- delivering nearly 27% support for Syriza -- has upended the Greek political landscape, splintering the duopoly which has controlled the country for almost four decades.

As negotiations over a new government continue, questions are being raised around which party -- or parties -- will emerge as the country's dominant center-left force. Pasok, under the Papandreou dynasty, has long staked that claim. But now, with its vote collapsed to just over 12% from almost 44% in 2009, it faces a fight for survival.

For many Syriza supporters, Sunday's results were a triumph. Beyond its six-fold increase in support in three years, the party is now set up to be an active agitator on the opposition benches.

Read about the human cost of Greece's recession

And Syriza does not have to run a country in deep recession, with unemployment over 20% and that faces a real risk of toppling out of the euro  -- a challenge for the most experienced political hands.

Sunday's results were an "enormous success," said Eliana Voutsadakis, a 36-year old architect and Syriza supporter. "I think Tsipras will become prime minister in the next couple of years."

Tsipras is 37, born the year Greece's military dictatorship fell, and as such represents a political future unfettered by history, according to Voutsadakis. "He hasn't been brought up in this corrupt political system," she said. "This is what we hope for." As for New Democracy and Pasok: "No one wants them."

Instead Tsipras, who had sworn to tear up the austerity plans because he believed it was sending the country to "hell," will likely be a strident voice against the country's leaders. He has said the party, from its position as opposition, will continue to demand the bailouts be scrapped and believes it will be "vindicated" for that position.

"Even if it didn't manage to take the first place, Syriza is now the most basic body representing the average individual, the progressive and the anti-memorandum [anti-bailout] portion of our population," Tsipras said.

Greece's economic orphans

According to Pavlos Tsimas, a Greek journalist and political commentator, Syriza has corralled not only those angry at austerity, but the youth who may be voting for the first time.

That age group remembers Syriza's backing of their protests during the riots of 2008, which followed the fatal shooting of a teenage boy by police, Tsimas said.

But much of the party's recent success is down to Tsipras, who Tsimas describes as "very bright, and very ambitious, and a little bit ruthless too."

A trained civil engineer, who joined the Communist Youth of Greece as a high school student, Tsipras shot to prominence in 2006. After being put forward as a candidate for the mayor of Athens, he swept 10% of the vote to come third -- far more than previous left-wing candidates had managed.

At that point, he became a "media darling," Tsimas said. He has since built a young guard around him, who are of "another generation ... new, fresh and different," Tsimas added.

Syriza can now try to establish themselves as a "true, center-left" party which is "young, radical and clean ... with no skeletons," Tsimas said. But it could face competition from a Pasok and Democratic Left coalition, should they choose to work together.

Tsipras faces an entrenched political system and a Europe desperate to dampen instability as it continues with its austerity plan -- even one which may be diluted.

Former prime minister George Papandreou, who negotiated the country's first bailout after revealing the country's 2009 budget deficit would be most than four times higher than the EU limit, told CNN Monday he believed Pasok's moves to cut the deficit had enjoyed wide support.

"I don't consider Mr. Tsipras a progressive," the former Pasok leader said. "I think our agenda was actually a progressive agenda, in reforming the country and changing the country and making the necessary changes in order to be a viable economy and a very transparent and just state," he said.

Papandreou said lessons could be learnt, such as pushing stimulus packages alongside austerity. But a key destabilizing factor, he said, is "the deep sense of uncertainty. For the last two ... two and a half years, what [has been] most corrosive in the Greek society but also in the Greek economy is the sense of this lack of certainty ... that we may be in, or out of the euro."

@highlight

Syriza increases its support six-fold in Greek elections

@highlight

It has said it will not support New Democracy in government

@highlight

Its dramatic rise in support comes at the cost of Pasok

@highlight

The shift could signal a battle for the center left