There is something mirage-like about Kazakhstan's capital Astana.

Little surrounds the city for 1,200 kilometers, save a handful of provincial towns dotted across the world's largest steppe, a flat, empty expanse of grassland.

Shooting up from this void is a mass of strangely futuristic structures. The newest of these is the Norman Foster-designed Khan Shatyr, a shopping mall that doubles as the world's largest tent.

Foster was also the architect behind the Palace of Peace and Reconciliation, a 60-meter-tall glass pyramid. There's also the Central Concert Hall, which from above looks like a budding flower, a flying saucer-shaped circus, a presidential palace designed to replicate the White House, and Baiterek, a 100-meter-tall tower that has drawn comparisons to a giant lollipop.

Yet just 15 years ago the city didn't really exist at all.

In 1997 Kazakhstan's President Nursultan Nazarbayev moved the capital from Almaty in the southeast of the country to the newly-named Astana (previously it was called Akmola), which was then an empty patch of land by the Ishim River best known as a former gulag prison camp for the wives of Soviet traitors.

Today the bulging, science fiction-like skyline has started to earn the country some international recognition.

Neil Billett, a managing director and partner at Buro Happold, the engineering consultants that partnered with Foster's firm on the Khan Shatyr and the Palace of Peace, lauds the local architects' progressive thinking.

"They do quite like a challenge, and they do organize themselves to get on with it in a way that's quite refreshing," he says. "These projects would have taxed the mind of many a high-end contractor, and in Kazakhstan, they have to address the same problems in a much harder climate."

Send in your photos from Kazakhstan

The capital's climate does make construction much more complicated. In the winter months temperatures can fall to minus 40 degrees Celsius (minus 40 degrees Fahrenheit), making it the second coldest capital city in the world. In the summer, the mercury can reach up to 30 degrees Celsius (86 degrees Fahrenheit).

According to George Keliris, a structural engineer at Buro Happold, this temperature variance proved particularly challenging when constructing the Palace of Peace.

"We had to allow a system that relieved the stress and let the structure breathe," he says.

The solution they came up with was to lock down one corner of the pyramid, while placing the remaining corners on bridge bearings. Though common with bridges, such bearings are practically unheard of with entire buildings.

"Basically, it's on roller skates," says Keliris. "Because of the climate, (the structure) was bound to be futuristic."

From a distance, Astana's architecture looks disparate, however a strong Kazakh theme runs through it all. Baiterek is meant to evoke the local legend of the "Tree of Life"; the story has a golden egg, and the building is topped with a golden orb. The shape of the Central Concert Hall was purposefully made to resemble a traditional Kazakh instrument, known as a dombra.

Since it became the country's capital, Astana's population has more than doubled to 750,000. Despite this urban growth the size of the new buildings can still seem excessively large. The Central Concert Hall is one of the largest in the world, and seats 3,500 spectators, while the Astana Arena seats 30,000.

However, according to Serik Rustambekov, a local architect, the reach of these projects matches the local way of thinking.

"You need to understand the Kazakh background to get a better picture of our world view. We're a nomadic civilization that developed over thousands of years in the vast expanse of Eurasia. Free space is more impressive to the Kazakh mindset than the type of congestion found in many European centers."

Numerous architects from across the world have had a hand in shaping the new capital's skyline, but the one man who has had the greatest impact in the city's transformation is President Nazarbayev.

Manfredi Nicoletti, whose Rome-based firm, Studio Nicoletti, designed the Central Concert Hall, confirms that Nazarbayev was very hands-on in the structure's implementation.

"He used to joke that the building was right in front of his residence (the Presidential Palace), and that the project's construction site -- and us, of course -- were always under his control."

In many ways, Astana looks like a vanity project for Nazarbayev. At the top of Baiterek, which grew from a sketch Nazarbayev did himself, visitors can touch his gilded handprint, and each year, the city's anniversary celebrations happen to coincide with his birthday.

Nazarbayev's advocates, however, argue that Astana isn't a symbol of his ego, so much as his ambition for the Kazakh nation. One of Nazarbayev's strongest supporters has come in the unlikely form of Jonathan Aitken, a former British politician, who wrote a recently published biography of the president based on 23 hours of personal interview, and a retrospective of the country.

"While I'm sure (Nazarbayev) does have a large ego, it's more of an 'I love the country'-centred ego, not an I-centred ego," says Aitken.

Aitken equates Nazarbeyev with the type of patrons that dominated 18th century Europe, in particular, Louis XIV.

"Just as Versailles and parts of Paris were all created by one man's vision, so too was Astana," he says.

The city's futuristic design shows Kazakhstan's ambition and desire to distance itself from the Soviet legacy that has marred many of the surrounding Central Asian nations.

"Architecture always represents the development of the state, of technology and of culture," notes Rustambekov. "As Astana is positioning itself as the center of Eurasia, a place where East meets West, a mixture of styles is quite appropriate."

@highlight

Astana became capital of Kazakhstan in 1997

@highlight

City is becoming known for striking modern architecture

@highlight

President of Kazakhstan has played large role in shaping the capital