(CNN) -- Ever wondered if a Greek is more trustworthy than a German? Or if a Frenchman is more likely to help you out than a Brit? Or which European nation is the most arrogant?

As Europe gears up for the Eurovision Song Contest -- an annual event that often seems to be less about the music than national stereotypes, kitsch and dubious voting patterns -- a survey has come out this week that could add fuel to the fire.

For its study of attitudes in the European Union, the Pew Research Center surveyed people in eight European nations: Britain, the Czech Republic, France, Germany, Greece, Italy, Poland and Spain.

While much of the survey is focused on the effects of the economic crisis, those questioned also give an intriguing insight into the stereotypes they hold about their neighbors at a time of austerity.

Asked which EU nation is most likely to be named most trustworthy, those in seven out of eight countries picked Germany.

The only ones who disagree are the Greeks, who pick their homeland as the most trustworthy -- and label Germany the least trustworthy, the most arrogant and the least compassionate.

"The prominent role Germans have played in Europe's response to the euro crisis has evoked decidedly mixed emotions from their fellow Europeans," the report says.

"In the wake of the strict austerity measures imposed in Greece, Greek enmity toward the Germans knows little bound."

Germany also suffers when it comes to perceptions of compassion, with six of the eight nations surveyed considering it the least compassionate.

The two nations that differ on that point, France and Germany, pick Britain as the least compassionate -- perhaps a reflection of historic enmities or tensions over the European project. Britons in turn consider the French the least trustworthy and the Germans the least compassionate.

Meanwhile, the Greeks themselves do not fare that well. They are considered the least trustworthy by the French, the Germans and the Czechs, the report points out.

In a likely reflection of frustrations over corruption and political horsetrading, Italians consider their own country most likely to be named least trustworthy.

The question of arrogance splits the French. They consider themselves both the most and the least arrogant nation.

The British and Germans agree that France should be named the most arrogant, but everyone else gives their vote to Germany.

The Europeans surveyed tend to hold a more charitable view of their own national character. Six out of eight countries pick themselves as the least arrogant, and every nation considers itself the most compassionate.

Centrifugal forces

Other questions in the Pew Global Attitudes report, titled "The New Sick Man of Europe: the European Union," reveal deep divisions and anger over the path the European Union is following.

In Spain, Italy and Greece, which have suffered greatly as a result of austerity measures following the global economic downturn, public opinion is particularly bleak.

Nearly 80% of Spanish and 72% of Greeks surveyed say economic conditions are very bad, while a majority of Italians say the same. This compares with a median of 28% for the rest of Europe, the report says.

Unemployment is a "very" big concern for more than nine in 10 people in each of those three countries. Meanwhile, 80% of the French say unemployment is a very big problem, but less than a third of the Germans agree.

Such concerns have impacted people's attitudes toward the wider European Union, the survey finds.

"The prolonged economic crisis has created centrifugal forces that are pulling European public opinion apart, separating the French from the Germans and the Germans from everyone else," the report's authors say.

"The southern nations of Spain, Italy and Greece are becoming ever more estranged as evidenced by their frustration with Brussels, Berlin and the perceived unfairness of the economic system."

The survey highlights a growing despondency among the French.

Whereas before France has bridged the gap between Europe's north and south in terms of culture, politics and economics, times have changed, the researchers say.

"The darkening mood in France makes French public opinion look less like that in Germany and more like attitudes in southern Europe: Spain, Italy and Greece," it says.

Perhaps a win in the Eurovision Song Contest final on Saturday could cheer the French up -- or at least give something to justify that stereotype of "arrogance." Then again, perhaps not.

Victory is seen by some as a curse rather than a blessing when times are hard, because whoever wins this year faces the expense of being next year's Eurovision host.

The contest, taking place this year in the city of Malmo since Sweden won in 2012, will bring together 39 countries and is expected to attract more than 100 million TV viewers across Europe, organizers say.

Eurovision is widely loved for its combination of over-the-top costumes, kitsch pop songs, sometimes questionable talent and international rivalries.

After all the finalists have performed, the voting begins. Countries award a set of points from one to eight, then 10 and finally 12 for their favorite songs. They can't vote for themselves and they must announce the score in both English and French.

Television viewers can cast votes in their respective countries through telephone hotlines, which count toward the final vote.

Many perceive the voting to be tactical, with neighbors or members of regional blocs, such as the former Soviet nations, appearing to base their scoring on geopolitical alliances rather than artistic merit.

CNN's Claudia Rebaza contributed to this report.

@highlight

People in eight European nations are surveyed on attitudes toward their neighbors

@highlight

Germany is seen as most trustworthy -- except by the Greeks

@highlight

Germany and France are seen as the most arrogant

@highlight

Pew researchers say attitudes reflect mixed emotions amid economic hardship