(CNN) -- Bicycles and airplanes might not seem like the greatest travel partners.

Yet two wheels and two wings can co-exist in surprisingly beautiful ways.

Consider the airport bike path, an increasingly popular feature at airports around the world.

Some allow travelers to pedal right up to their plane, while others skirt airport perimeters, permitting cyclists a closeup view of the behemoths of the sky.

Here's a selection of world favorites.

Suvarnabhumi Airport (Bangkok)

Cycling in the Thai capital's infamous traffic is generally the preserve of the borderline suicidal.

A different experience awaits with the newest of the world's airport bike routes.

At just more than the 15 miles long, the traffic-free loop circumnavigates Bangkok's Suvarnabhumi Airport (sometimes referred to as Bangkok International Airport).

It's free, though cyclists need to show ID for access.

The smooth, green-tarmacked track was formerly part of an access perimeter road used during the airport's construction about a decade ago.

It's now used by all sorts of riders, notably the rapid, sporty variety, who use it as a training route.

This isn't the oddest sporting facility you'll find at a Bangkok airport.

The city's older international hub, Don Mueang International Airport, has a Royal Thai Air Force golf course between its two runways.

Anyone can play, but be prepared for your golf bag to be checked first for surface-to-air missiles.

Really.

Kastrup Airport (Copenhagen, Denmark)

Whatever Bangkok is to cyclists, the Danish capital is the opposite.

Cycling isn't a hobby here, it's a way of life.

Throughout the city are miles of carefully planned, segregated bike lanes full of pedaling Danes.

Given that, and the fact the city's Kastrup Airport is just six or so miles from the center, it's no surprise this is one of the world's smoothest bike-to-plane experiences.

There are a range of traffic-free bike lanes all the way from the city to airport terminal buildings, and you can leave your bike directly outside the airport, assuming there's space (lots of airport employee ride to work).

That leaves the conundrum of transporting large baggage.

Copenhagen cycling blogger Mikael Colville-Andersen has a solution: he's been known to collect guests, bags and all, from the airport on a cargo bike, the voluminous, box-fronted machines common in the city.

One caveat to all this bike joy is that it's largely for the locals -- there is, as yet, no bike rental outlet at the airport.

Lanzarote Airport (Canary Islands, Spain)

If you've ever had the urge to see the belly of a plane operated by budget carrier Ryanair from a distance of about 20 meters but just didn't know how, here's the answer.

Lanzarote, one of the Canary Islands, a compact, volcanic smudge off the coast of northwest Africa, is already something of a draw for serious road cyclists with its lightly trafficked roads, idyllic scenery and perma-spring climate.

There's also a quiet, largely traffic-free bike lane along the coast from the main resort of Puerto del Carmen to the island's quiet capital, Arrecife.

Aside from passing beaches, bars and restaurants, it skirts Arrecife's surprisingly busy seafront airport.

Those in the know stop just beyond the fence at the tip of the southwest-facing runway.

Takeoffs are exciting -- an increasingly loud roar that crescendos when a plane suddenly shoots overhead.

Landings are better.

On a clear day (and most days are clear) you can watch aircraft landing lights draw near for several minutes as the plane draws closer, finally just clearing the fence -- and you -- before landing.

You know you don't have to duck but you still might.

Vancouver International Airport

Vancouver's busy international airport describes itself as "committed" to helping more people ride to and from its location on a semi-detached island a little more than 10 miles from the city center.

An official airport map has a range of cycling options, including cycle lanes adjoining roads and shared pathways, with no fewer than five sets of bike parking racks scattered between the terminals.

If you arrive weary from a flight and decide you simply can't face a ride into the city, the airport's rapid rail transit system happily transports bikes (apart from two hours during peak commuter times).

Manchester Airport (UK)

Manchester Airport, it's fair to say, isn't on many list of the world's great aviation hubs.

But it is the UK's third busiest airport, handling 20 million passengers a year. And it has a defunct Concorde on display.

Far less known is that Manchester Airport -- located in the Cheshire countryside about 10 miles from the city center -- possesses an eight-mile orbital cycleway.

This bike route is so close to the action it features a pair of tunnels passing under the twin runways.

The route also takes in some lovely countryside adjoining the Styal Country Park, and a selection of pubs.

It's more often used for leisure riding and plane spotting than riding to catch flights, though some do.

Peter Walker is a journalist based in the UK who regularly contributes to cycling publications. He once rode a bike most of the way from Sydney to London.

@highlight

Manchester Airport has an orbital cycle path with a pair of tunnels passing beneath runways

@highlight

Bikers experience planes flying overhead on the southwest side of the Lanzarote airport in the Canary Islands

@highlight

Bangkok has a 15-mile bike path that loops around Suvarnabhumi Airport