Mexico City (CNN) -- After awaiting reforms that may or may not come, thousands of young undocumented immigrants have abandoned their American Dream voluntarily or because they were deported. They still consider themselves DREAMers, but now they dream in Mexico.

"I returned (to Mexico) because in the U.S. I always wanted to study dentistry. When I graduated from college, I ran into the problem that my great hope, the DREAM Act, still had not been approved," said Pedro Hernandez, who lived in Los Angeles for eight years.

The DREAM Act -- Development, Relief, and Education for Alien Minors -- would remove a roadblock to education and a future in the United States for such youths.

Undocumented immigrant youths have the right to study through high school. After that, they can study at private universities -- with high costs and without access to student loans -- or in public universities -- most of which charge them tuition at an "out-of-state" rate, which can be double what in-state students pay. Only some states have laws allowing undocumented students to attend state universities at in-state rates.

Those who manage to graduate tend to find job offers for unskilled workers, offering low wages.

"I think I returned because I know that my parents left to give us a better education, and while I was there, I felt that all of that effort was for naught if I worked as a florist, caring for someone's baby or working at a butcher shop" 27-year-old Maru Ponce said. She immigrated to New York when she was 8 years old. Now she works in the Mexican capital as a sales operation analyst for a company and dreams of doing graduate studies in the same area.

In general, undocumented immigrants in the United States cannot get a driver's license or credit cards, and cannot travel freely in the country.

"I couldn't move around like I wanted, and to go to school I had to drive with fear," said Moises Zarco, 27. Originally from Mexico's east-central state of Hidalgo, Zarco lived in Georgia for eight years. Six states recently approved laws that allow the undocumented to have driver's licenses.

"Everything seems nice on the surface, but you don't really belong to that place and you're never going to be American even if you have your papers," said Samantha Hernandez, who voluntarily returned to her city, Tijuana.

Between 2005 and 2010, more than 1.4 million Mexicans returned to their country after living in the United States, according to the Pew Hispanic Center. It is estimated that more than 400,000 of those who returned in the past decade were youths, according to a government-supported survey.

In June 2012, President Barack Obama instituted a policy of deferred action that granted lawful status to undocumented youths who had arrived before their 16th birthdays, were in school or graduated, and had no major criminal records.

The impact of returning

Only 5% to 35% of those who returned to Mexico during the past five years and remained there did not go back voluntarily, the Pew Hispanic Center estimates. The range is wide because "data on who is sent back and what happens to them are sketchy," it says on its website.

The majority had experienced a lack of educational and job opportunities, and increases in anti-immigrant policies, the center says, citing government data from both countries.

In Zarco's case, police stopped him on the state line between Georgia and Florida, and he was detained for being in the country illegally. He spent three months in a detention center in Miami and later returned to Mexico City, where his mother awaited.

"When I arrived I was very happy to see my family, but at the same time very sad because I had left everything behind," he said. "All my dreams had collapsed."

Zarco now works at a call center in Mexico City and dreams of studying dentistry at the National Autonomous University of Mexico.

The majority of these youths migrated to the United States because of their parents' decisions and more than half crossed the border illegally. Initially it wasn't them, but their parents who sought the dream.

"My mother was living in the U.S. and she decided to take me there," Zarco said. "I didn't want to go because I didn't want to leave my friends and my relatives."

Back in Mexico, he now tries to find his own dream.

In addition to having been deported or having returned voluntarily, these youths must unlearn the routines they grew into in the United States, where they spoke Spanish and ate tacos at home while they learned the American culture and honored the U.S. flag.

They find themselves immersed in a bicultural reality that can create feelings of not belonging, even when they return to Mexico.

"I never felt like a U.S. citizen, I always felt like a Mexican," said Daniel Arenas, who lived in the United States for 14 years.

'From here and from there'

While it is true that the obstacles the youth face depend on individual circumstances, "100% go through traumatic events because of the separation and lack of belonging," according to Jill Anderson, author of a book called "The Other Dreamers."

Humiliation over a supposed failure and feelings arising from the combination of culture tend to be common, Anderson said.

"It's hard to understand that they can be both from here and from there," she said.

"You belong to a country that you have not lived in, that you don't know," said Marco Antonio Castillo, president of the Popular Assembly of Migrant Families, a Mexico City-based group that helps advise migrants.

The loneliness and confusion in dealing with the new environment can push many youths to join organized crime, Castillo said.

"For example, those who arrive in (the state of) Guerrero, if they have a criminal record, will not find opportunities in the formal economy," Castillo said. "But he can put his English to use for organized crime, acting as a translator or smuggler of drugs toward the United States."

Drowning in paperwork

Anderson leads a group that shares the name of her book, whose members insist on finding the Mexican Dream and seek opportunities in their country. The group, formed by youth immigrants who returned to Mexico, was born out of the impact they suffered upon their return, feeling lost among the legal paperwork and social customs. They used a Facebook page to orient themselves on how to maneuver through the Mexican bureaucracy.

Many don't speak Spanish well and the Mexican system doesn't have programs for social reinsertion.

"The migrants don't know how to do the paperwork and to what agencies to go to," Anderson said.

"Returning to Mexico and not speaking Spanish or dressing a certain way, or liking a certain type of music, also creates conflict," Arenas said.

To study in Mexico, the education ministry requires that all documents be translated and bear the seal of the institute that issued them. Unable to complete this step, these youths "are treated like undocumented immigrants in their own country," Anderson said.

Sometimes, a lack of family support or economic resources keep needed paperwork from being completed.

"There are times when the schools in the United States ask for their former student to show up in person to pick up documents, even though they've been deported," she said.

In most cases, the young immigrants left their families in the United States. They dream of returning to see them or to earn a livelihood in Mexico to bring them over. The loneliness and emotional exhaustion can bring feelings of not belonging to any place.

But that is not true in every case.

"I felt that I arrived and was here in my place here in Mexico from day one," Hernandez said.

Once they adapt to Mexican society, many feel free. They enjoy not having to hide. They feel thankful for the country that once again is their home.

"It's true, I am achieving my Mexican Dream now in this moment, but my life is incomplete," said another youth, Pedro Hernandez. "I am far from my family."

@highlight

More and more Mexican immigrants in the United States are returning to Mexico

@highlight

The so-called "DREAMers" go back for lack of opportunities stateside

@highlight

They have to face challenges in reintegrating themselves to Mexico

@highlight

Some don't speak Spanish well and blend cultures