(CNN) -- By the time Edward Lee Elmore won his freedom at age 53, he had spent 30 years -- most of them on death row -- imprisoned in South Carolina for a crime he says he did not commit.

Law enforcement planted evidence and prosecutors manipulated facts to cast Elmore as the only suspect in the 1982 murder of 75-year-old Dorothy Edwards, his lawyers claim.

Even with seemingly overwhelming evidence in Elmore's favor, it took nearly two decades to win his release, in what an appeals court called "one of those exceptional cases of 'extreme malfunctions in the state criminal justice systems.' "

Read the U.S. Court of Appeals opinion on the case (PDF)

His experience raises nearly every issue that shapes America's capital punishment debate: DNA testing, mental retardation, a jailhouse snitch, incompetent defense lawyers, prosecutorial misconduct and "a strong claim of innocence," said author Raymond Bonner, who wrote about the case in "Anatomy of Injustice: A Murder Case Gone Wrong."

In other words, a prime example of when "innocence is not enough," Bonner said.

Elmore would probably still be on death row if not for Diana Holt, who began investigating his claims of innocence in 1993. When Holt met Elmore, she was surprised that a convicted killer on death row could be "so docile and gentle."

Two post-conviction review courts rejected Elmore's claims, though one noted that he "may well not be guilty." But Holt never considered giving up.

"If I throw in the towel, a client dies. If I stop working, they stop breathing," Holt said. "Sometimes, I am the first person who ever stuck by them or treated them with respect."

A bloody crime scene

Elmore was arrested in January 1982 for the rape and murder of Edwards, a wealthy widow in Greenwood, South Carolina. Edwards' longtime neighbor and friend, Greenwood City Councilman Jimmy Holloway, told police he let himself into her house after noticing newspapers piling up in her driveway.

Inside the house, he discovered her bloody corpse in a bedroom closet and alerted police. Holloway also identified Elmore, who had cleaned Edwards' windows and gutters the month before, as a possible suspect.

Within 48 hours, police arrested Elmore based on a thumbprint found on Edwards' back door. By April, a Greenwood County jury had convicted Elmore of murder and sentenced him to death. It would be the first of three times he would stand trial in the case, followed by years of appeals and post-conviction reviews.

When Holt took on the case, she says, she discovered a disturbing chain of events that led to Elmore's conviction, starting with law enforcement's willingness to build a case around Holloway's timeline. From there, Elmore's lawyers say, prosecutors suppressed blood and fingerprint evidence that could have cast doubt on their case. Instead, Elmore's lawyers claim that prosecutors deliberately introduced falsely incriminating statements from a jailhouse informant and hairs from Elmore that were not found at the crime scene.

A breakthrough finally came in 2011, when the 4th Circuit U.S. Court of Appeals reversed Elmore's conviction and ordered a new trial, based partly on findings that Elmore's trial lawyers blindly accepted the prosecution's case without bothering to examine the evidence in his first trial and retrial.

"A healthy skepticism of authority, while generally advisable, is an absolute necessity for a lawyer representing a client charged with capital murder," a judge wrote in the majority opinion. "Elmore's lawyers disregarded their professional obligation to investigate critical prosecution evidence, thereby engendering 'a breakdown in the adversarial process that our system counts on to produce just results.' "

'Couldn't believe my eyes'

None of it would have come to light if not for Holt. She was in her mid-30s when she joined the case the summer before her third year of law school. Her journey to law school had been hard-fought, with a history of abusive relationships and a stint as a teen serving time in a Louisiana prison for armed robbery.

At 28, she began taking community college classes and earned the grades to enter Southwest Texas State University. Given her past, Holt was pleasantly surprised when the University of Texas accepted her law school application in 1991.

Her professors nudged her in the direction of death penalty litigation when she began to show a knack for the persistent digging the job demands. Through internships at the Texas Resource Center, Holt met lawyer John Blume, executive director of the South Carolina Death Penalty Resource Center. During an internship there, Blume asked her to help with Elmore's case by interviewing jurors.

"I started reading the trial testimony and couldn't believe my eyes," Holt said. "All the forensic evidence evaporated under the smallest measure of scrutiny."

She became immersed in the case, "all Elmore, all the time," and "classes became more like an annoying distraction," she said. Blume offered her a job as a staff attorney once she graduated, but she couldn't wait and moved to South Carolina before the final spring semester, for "Elmore and John Blume," she said, half-joking.

A few things about the case jumped out at her.

For one, police said they had seized pubic hairs from Edwards' bed and identified them as belonging to Elmore.

If that was true, Holt wondered, where were crime scene photos of those hairs on the bed? Why weren't they packaged like other evidence taken from the scene? Why didn't investigators collect the bedsheets for further analysis? Elmore conceded that hairs introduced into trial evidence belonged to him but claimed that police pulled them from his head and groin area after his arrest.

Meanwhile, fibers and hairs collected from Edwards' body and marked "item T" on an evidence log were never introduced into evidence. For years, the state claimed they were missing, until 1998, when they were found in the private office of an investigator in the case. Testing revealed a "Caucasian pubic hair inconsistent with Mrs. Edwards" that Elmore's team claims could have cast doubt on the state's theory that he was the only possible killer.

Holloway's "farcical" trial testimony also led Holt to question his portrayal by prosecutors as a shocked neighbor and longtime friend. When Holt interviewed Holloway in 1993, within five minutes, she said, he told her, "I am the only one who could kill her and get away with it, the way she trusted me so."

Holloway died in 1994.

And yet, when Elmore walked out of prison in 2012, he was not fully exonerated.

Elmore agreed to a deal with prosecutors that allowed him to maintain his innocence while pleading guilty. In exchange for pleading guilty to murder, the state dropped a burglary charge and agreed to a 30-year sentence with credit for time served.

In the 2012 hearing, prosecutor Jerry Peace said that the state still believed it had a strong case against Elmore but that the victim's daughter supported the plea as a means of ending the case.

Read more about the plea deal (PDF)

Holt, however, told the court that his defense team believed Elmore is "100% innocent" but also sought to end the case. He could have gone to trial, but she has seen other clients wait years for a retrial. She also would have preferred an all-out acquittal, but "immediate freedom stymied ongoing justice," she said.

"That the justice system provided an avenue for an immediate release to freedom for Mr. Elmore that was previously not available to him is more justice than injustice," she said. "Justice was better served with his freedom."

If you were in Elmore's shoes, would you plead guilty to a crime you did not commit, in order to get out of prison? Share your thoughts in the comments.

@highlight

Edward Lee Elmore was sentenced to death for a murder he says he didn't commit

@highlight

Lawyers: Law enforcement planted evidence and manipulated facts to convict him

@highlight

Federal appeals court blamed "extreme malfunctions" in the justice system

@highlight

To win his freedom, Elmore pleaded guilty to murder while maintaining innocence