A new court ruling could chill Royal Dutch Shell's plans to drill for oil off Alaska, finding that federal regulators used an "arbitrary and capricious" number to approve the project.

The ruling from the Ninth Circuit Court of Appeals comes as Shell is gearing up to resume its on-and-off oil exploration project in the Chukchi Sea. The project has caused widespread concern among environmentalists and native Alaskan communities, who have gone to court to stop the drilling.

The judges found the federal government used "an unrealistically low estimate" of the amount of oil Shell might be able to produce when calculating the project's impact on the Arctic environment.

Officials with what was then the Minerals Management Service, the Interior Department agency that handled oil and gas leases, estimated the potential amount of recoverable oil at 1 billion barrels. But other estimates ranged much higher -- up to 12 billion barrels, according to the ruling.

Wednesday's split decision by a three-judge federal panel sends the matter back to a lower court in Alaska for further review.

"Today's ruling is a victory for the Arctic Ocean," the plaintiffs said in a joint statement. "The government has no business offering oil companies leases in the Chukchi Sea."

Shell had no immediate comment, with spokesman Curtis Smith telling CNN that it is still studying the decision.

Niel Lawrence, a senior attorney for the Natural Resources Defense Council, said the Obama administration "can't in good conscience authorize Shell to do exploratory drilling under those leases."

"The decision says the government has no idea what the real impact of leasing will be," Lawrence said Thursday. "Until it knows those impacts, it can't decide whether to proceed with the leases, and it has no business letting Shell continue to operate under leases that the government is going to have to reconsider."

Both the U.S. Environmental Protection Agency and the Fish and Wildlife Service had questioned the 1 billion figure before Shell's lease sale was approved in 2008, the decision states.

Lawrence said Shell's authorization for the Arctic project "was all predicated on a lowball estimate of production."

"Sometimes courts do find legal technicalities that void something, but don't really change the underlying situation. That's not this case," Lawrence said. "It's a really profound problem with the whole operation, and not the kind of thing you an paper over and fix on the quick," he added.

The NRDC is one of the plaintiffs in the lawsuit.

The MMS was reorganized after the Deepwater Horizon disaster in the Gulf of Mexico in 2010. Its successor agency, the Bureau of Ocean Energy Management, had no comment on the decision.

But in court, the agency argued that its 1 billion-barrel figure may be too high, because "the remoteness of the area and the risk of economic failure" may mean no oil gets produced at all.

Shell has invested billions into its Arctic oil plans and began preparatory drilling in September 2012. But the project soon hit several high-profile snags, including the grounding of a drill barge that was being towed back to the Lower 48 at the end of the season.

The company skipped any effort to drill in 2013, but has filed plans with BOEM to resume work again in July as the case winds through the courts.

Shell's plans also were delayed by the Deepwater Horizon disaster, which killed 11 rig workers and unleashed an undersea gusher in the Gulf of Mexico that took three months to cap.

Shell says it's working at far less depth and lower pressures than those involved in that accident.

The shrinking of Arctic sea ice, which hit record summer lows in 2012, has created new opportunities for energy exploration in the region. Climate researchers say that decrease is a symptom of a warming climate, caused largely by the combustion of carbon-rich fossil fuels like oil -- a conclusion that's politically controversial but accepted as fact by most scientists.

@highlight

The U.S. "has no business letting Shell continue" after ruling, lawyer says

@highlight

U.S. used "unrealistically low" oil estimates to OK Shell's Arctic leases, court says

@highlight

The company plans to resume drilling off northwestern Alaska this summer

@highlight

Opponents urge the Obama administration to reconsider Shell's permits