(CNN) -- A federal judge on Monday dismissed the latest lawsuit filed by champion cyclist Lance Armstrong aimed at halting the U.S. Anti-Doping Agency's case against him.

"This Court cannot interfere, contrary to both the will of Congress and Armstrong's agreement to arbitrate, on the basis of a speculative injury," U.S. District Judge Sam Sparks wrote.

The USADA -- a quasi-government agency recognized as the official anti-doping agency for Olympic, Pan American and Paralympic sports in the United States -- has accused Armstrong of using, possessing, trafficking and giving to others performance-enhancing drugs, as well as covering up doping violations.

Lance Armstrong refiles suit against anti-doping agency

The seven-time Tour de France winner asked the court for action against the USADA for a host of reasons, having maintained he's never tested positive for performance-enhancing drugs and accusing the USADA and its CEO, Travis Tygart, of being out to get a "big fish" to justify the agency's existence.

Armstrong did not post any reaction to Monday's decision on his Facebook or Twitter pages, which he often updates several times daily, and his representatives did not respond to CNN requests for comment.

In his ruling, Judge Sparks ruled that Armstrong's assertions that he unfairly didn't have the right to due process "fail as a matter of law, and must be dismissed."

The judge also refused to side with the cyclist on his other claims, including that the USADA should not have jurisdiction in his case.

He noted that federal law dictates that eligibility questions for cycling and other such sports should "be decided through arbitration, rather than federal lawsuits." Armstrong, the judge pointed out, "has not exhausted his internal remedies, namely ... procedures in the USADA protocol."

"Even if the Court has jurisdiction over Armstrong's remaining claims, the Court finds they are best resolved through the well-established system of international arbitration, by those with expertise in the field, rather than by the unilateral edict of a single nation's courts," stated Sparks, a judge in the U.S. district court based out of Austin, Texas.

Armstrong had filed a lawsuit against the USADA in July, only to have it thrown out a day later by Sparks. At that time, the judge wrote that the cyclist's case was was full of legally irrelevant claims "included solely to increase media coverage of this case" and stir up hostility toward the USADA.

The suit was refiled the following day, once again urging the court to file an injunction against the USADA but 55 pages shorter than the original.

The 40-year-old Armstrong faces a lifetime ban and could be stripped of his Tour de France victories if found guilty by the USADA. Armstrong won the tour each year from 1999 to 2005, most of those for a team sponsored by the U.S. Postal Service. He retired twice from cycling -- first in 2005, for four years, and again in 2011.

3 former Armstrong associates banned for life

In a June letter to Armstrong, a copy of which was obtained by CNN, the USADA said it collected blood samples from Armstrong in 2009 and 2010 that were "fully consistent with blood manipulation including EPO use and/or blood transfusions."

EPO, or erythropoietin, boosts the number of red blood cells, which carry oxygen to the muscles.

Armstrong isn't the only one challenging the USADA and its case. The International Cycling Union -- whom the Texan has said should be the arbiter in his case -- has opposed the American agency's actions by claiming it has jurisdiction. That position has been recently backed by USA Cycling, the official cycling organization recognized by the U.S. Olympic Committee.

Sparks, the U.S. federal judge, acknowledged "the appearance of conflict on the part of both organizations creates doubt the charges against Armstrong would receive fair consideration in either forum." But that doesn't mean U.S. courts should intervene, the judge said, adding "these matters should be resolved internally, by the parties most affected."

"If these bodies wish to damage the image of their sport through bitter infighting, they will have to do so without the involvement of the United States courts," Sparks said.

Armstrong has been dogged by allegations of drug abuse in recent years, with compatriot Floyd Landis -- who was found guilty of doping in the 2006 Tour de France, resulting in him being stripped of the title -- making a series of claims last year.

Armstrong came out fighting in May 2011, in the face of fresh allegations made on CBS News' "60 Minutes" show by another American, Tyler Hamilton. In the CBS interview, Hamilton -- who retired in 2009 after twice testing positive himself and who, earlier this month, was stripped of his 2004 gold medal by the International Olympic Committee due to doping -- said he first saw Armstrong use EPO in 1999.

"I saw it in his refrigerator," Hamilton said. "I saw him inject it more than one time like we all did, like I did many, many times."

The latest lawsuit filed by Armstrong, and dismissed Monday, claimed that Armstrong hasn't had "a single positive test" in the 500 to 600 drug tests he's taken in his over two decades in cycling.

In February, Justice Department prosecutors said they closed a criminal investigation after reviewing allegations against Armstrong. They had called witnesses to a federal grand jury in Los Angeles, but they apparently determined they lacked evidence to bring a charge that Armstrong used performance-enhancing drugs.

Armstrong has won two half-distance Ironman events this year, and he is suspended from World Triathlon Corporation competitions. The world championships will be held in October in Hawaii. He was a U.S. triathlon champion as a teenager.

Judge blasts Armstrong, tosses lawsuit against anti-doping agency

Tour de France cyclist Remy Di Gregorio arrested amid doping claims

CNN's David Close contributed to this report.

@highlight

The judge says agencies' squabbles may hurt cycling, but won't lead courts to act

@highlight

The U.S. Anti-Doping Agency accuses Armstrong of using performance-enhancing drugs

@highlight

The 7-time Tour de France winner denies the claims, suing to ask a judge to halt the case

@highlight

A judge rules against Armstrong, stating "this Court cannot interfere" in the case