Curitiba, Brazil (CNN) -- More than any single soccer player, the fans took center stage during the World Cup.

During the summer, each team's devotees donned their country's colors, painted their faces, shouted their songs, rejoiced in their victories and cried bitter tears of defeat.

"Whether you're in a host city or back at home watching it on TV ... it captures you," said Jon Burns, a lifelong fan of English football. "I just love the passion."

Burns has made it his mission to turn that fan fervor into something more. His UK-based nonprofit, Lionsraw, mobilizes soccer fans to volunteer in cities hosting the World Cup and other major tournaments.

"We do football tours with a difference," said Burns, 48. "They get to watch games, drink beer in a bar ... but for a huge chunk of our time, we go out to people in need."

It's an idea that struck Burns nearly 10 years ago, while sitting in a packed stadium during a game.

"I suddenly saw all the fans around me and ... it was like an untapped army," he said. "And I started asking myself, 'What could I do if we could mobilize some of these people to do some good?' "

Since 2006, Burns' group has enlisted more than 500 volunteers to work on construction projects, educational programs and soccer clinics that have helped nearly 6,000 children.

"Football's always had the ability to break down barriers," he said. "We're taking it a step further."

Giving back in Brazil

In June, Burns and his team brought almost 300 volunteers to Curitiba, one of the 12 host cities for this year's World Cup. The group's main project was constructing an education complex for Futebol de Rua, an after-school program that serves children from poor areas just outside the city center.

Oscar Muxfeldt Neto, one of the program's founders, could not believe it when Burns offered in 2012 to help his organization.

"To come and to do this for us, for the children ... it is still a dream, you know?" he said. "This is the World Cup spirit."

The facility -- where academic tutoring, soccer instruction, art and music classes will be provided to more than 500 at-risk youth -- should be up and running by the end of the year. Burns and his volunteers will return there to teach English and coach soccer for years to come.

"When we invest in a place, it's not for a project. It's for the long-term," Burns said. "The World Cup is just the first step into a country. It's a launchpad for us."

Like many countries that have hosted major sporting events, Brazil has seen protests during the past year about the estimated $11 billion spent on projects that have not necessarily improved the country's public services. While Burns makes a point to avoid politics, he believes his work helps communities that have not benefited economically from the games.

"We try to create opportunities for the local people," Burns said. "We're not here to save anybody or solve anything. We're here to do our bit."

Igniting a passion

While Burns wants to assist those in need, he's also hoping that giving back sparks something deeper within his volunteers, many of whom have never done anything like this before.

Volunteers from 12 countries came to Brazil to work with Lionsraw; most are from the UK, France, Australia and the United States. Burns finds that a shared love of soccer gives them an instant bond that gets stronger as they work toward a common goal.

"Within a couple days, they're just part of a team. And it's a tight team. There's a lot of fun, a lot of joking, and guys become friends for life," he said.

Dominic Casciata, 27, had never volunteered before participating with Lionsraw in Brazil. The London-born soccer coach, who now lives in New York, spent eight days working with the group.

"It's just a brilliant feeling," Casciata said. "Me and some friends who are volunteering here actually plan on coming back once the project is finished to see it in all its glory."

Chris Hearn, 48, helped build an orphanage with the group in South Africa during the 2010 World Cup. This time, he brought his 20-year-old son along.

"When I came back from South Africa, he saw the difference that it made to me," Hearn said. "That's why he wanted to come, too."

Hearn and his son had such a good experience that Hearn now plans to bring his wife and daughter on the next Lionsraw trip in France in 2016.

For Burns, that's the whole idea.

"Lots of guys come and kind of get it in their blood," Burns said. "That's what we're about. ... And that is a movement."

"We're trying to harness the passion of football fans to make a difference."

Want to get involved? Check out the Lionsraw websites and see how to help: UK | U.S.

@highlight

Jon Burns' nonprofit lets soccer fans volunteer in cities that host major tournaments

@highlight

He says the love of soccer creates a bond; almost 300 volunteers went to the World Cup

@highlight

They're building a complex for a program serving kids from poor areas just outside Curitiba, Brazil