(CNN) -- He is accused of killing innocent civilians, including women and children, in their homes in two Afghan villages.

The accusations are met with bewilderment from a number of those who know U.S. Army Staff Sgt. Robert Bales, who bears the scars from wounds he received in three previous tours in Iraq. His friends and family say he remained passionately committed to serving his country and cared deeply for others.

"Regardless of what happened, Bobby has been changed forever," said Bob Durham, who knew Bales when he was growing up in Ohio. "If the Bobby that I knew ever gets well, comes back to it, and realizes what has happened, and realizes that children and women were killed, I don't think he can live with it. He'll never be the same. He's such a great person ... that crushes me."

Retired general: Incident could speed disengagement

And in a statement released Monday afternoon, Bales' wife, Karilyn, said what has been reported so far "is completely out of character of the man I know and admire."

"Please respect me when I say I cannot shed any light on what happened that night, so please do not ask," she said. "I, too, want to know what happened. I want to know how this could be."

Karilyn Bales extended the family's condolences to the people of the Afghan villages where the killings took place, "especially to the parents, brothers, sisters and grandparents of the children who perished."

"I know that all good people around the world, regardless of nationality, religion or political values, join me in grieving that such a terrible thing could happen," she said. "The victims and their families are all in my prayers, as is my husband who I love very much."

Bales, who is in his late 30s, is accused of leaving a remote U.S. combat post on foot before dawn on March 11 and gunning down Afghans in their homes. In all, 16 villagers were killed, nine of them children.

Bales has not been formally charged, though the military has made a determination of probable cause. He met Monday with his defense attorney, John Henry Browne of Seattle, at Fort Leavenworth, Kansas, where the Army staff sergeant was taken on Friday.

Villagers describe horror of slaughter

The deaths have outraged Afghans and strained already tense relations between the two nations. They also shocked those who know and love Bales, including his wife and two children.

"Sgt. Bales' family is stunned in the face of this tragedy, but they stand behind the man they know as a devoted husband, father and dedicated member of the armed services," attorney Emma Scanlan said Saturday in a statement.

Bales grew up and attended school in Norwood, a Cincinnati suburb of about 19,000 residents. As a teenager, Durham recalled, Bales helped care for Durham's severely disabled son. Bales, a popular football player, never hesitated to take the younger boy along wherever he was headed, Durham said.

"I love the guy," he said. "He's a part of my family. I've known him since the day he was born."

After Bales was graduated from Norwood High School in 1991, he played football while attending the College of Mount St. Joseph in Cincinnati, according to two family friends. Records indicate he lived at multiple addresses in the Columbus area in the ensuing years.

Bales began working as a broker, passing his general securities representative exam in 1996 and the uniform securities agent state law exam the following year.

But a customer dispute in 2000 resulted in a big loss. According to a BrokerCheck report from the Financial industry Regulatory Authority, he was accused of making unauthorized trades; failure to provide competent and professional services; breach of contractual and legal duties; unsuitability; misrepresentations and omission of material fact and breach of fiduciary duty.

Arbitration found in 2003 that he had engaged in fraud, breach of fiduciary duty, unauthorized trading, unsuitable investments and churning. The latter occurs when a broker engages in frequent buying and selling in a customer's account primarily to generate commissions. He was ordered to pay claimant $637,000 as compensatory damages plus interest and $637,000 as punitive damages.

Bales was not solely responsible for repaying the money. A company and another individual were held jointly responsible.

Bales joined the Army two months after the September 11, 2001, terrorist attacks, and in September 2002 was assigned to Joint Base Lewis-McChord near Tacoma, Washington, the military has said.

Also in 2002, public records show he had a brush with the law, facing a criminal assault charge in a Tacoma court. He pleaded not guilty. Bales completed anger management treatment and the case was dismissed the following year, court records show.

The victim was not named in the records, and no details about the case were immediately available. Tacoma Police Officer Naveed Benjamin said the incident took place at a Tacoma casino.

He first deployed to Iraq in 2003, then again in 2006, serving 15 consecutive months as part of then-President George W. Bush's "surge" of 20,000 additional troops.

During that second tour, Browne has said, Bales was wounded and underwent the amputation of part of his foot.

An Army account recalled a 2007 incident in Iraq, when an operation to recover a helicopter shot down near Najaf turned into more of a humanitarian mission to help wounded civilians.

According to the account, Bales -- then serving as a team leader -- said he was "proud" and that his unit "discriminated between the bad guys and the noncombatants and then afterward we ended up helping the people that three or four hours before were trying to kill us."

"I think that's the real difference between being an American as opposed to being a bad guy, someone who puts his family in harm's way like that," said Bales in the account, published online in February 2009.

He deployed to Iraq a third time between 2009 and 2010, according to the military. He suffered a traumatic brain injury when his vehicle flipped after striking a roadside bomb, his attorney said.

The Army summary lists multiple decorations for Bales, including three Army "good conduct" medals.

Bales' family was "not happy" about his fourth deployment, this time to Afghanistan, his attorney has said. "He was told that he was not going to be redeployed," Brown said.

Taliban demand trial in Afghanistan

They were also disappointed that he was not promoted to sergeant first class, according to blog posts written by his wife a year ago and published Friday by the Tacoma News-Tribune.

"It is very disappointing after all of the work Bob has done and all the sacrifices he has made for his love of his country, family and friends," Karilyn Bales wrote. "I am sad and disappointed too, but I am also relieved, we can finally move on to the next phase of our lives."

The family was preparing to move last year, hoping to be stationed in Germany, Italy, Hawaii, Kentucky -- which, Karilyn Bales noted, would be "near Bob's family" -- or Georgia, "to be a sniper teacher," she wrote of her husband, according to the newspaper.

However, records show the family was under financial pressure and was forced to put their Lake Tapps, Washington, home on the market last week for $229,000 -- less than the $280,000 they purchased it for in 2006. Moving vans were outside the home on Monday.

The Baleses were "happy" and "normal," according to neighbor Cassie Holland.

"We would go over there for birthday parties and they would come to my kids' birthday parties," she said. "I would describe (Bales) as super fun to hang around with, kind of the life of the party kind of guy. Super loving, great with his kids. I don't see how this has happened."

Before buying the home, the family owned a townhouse in a modest, middle-class neighborhood in Auburn, Washington, about 30 minutes from the military base.

Tim Burgess, whose townhouse shared a wall with the Baleses, said Bales was "a really good guy (who) just wanted to serve."

"I know he just wanted to go back and serve overseas, that was his goal," he said, adding the two had not spoken in about five years.

After the family moved out, there were occasional renters in the townhouse, said Robert Baggett, president of the Riverpark Homeowners Association. Several years ago, the townhouse went into foreclosure. The family also did not pay their homeowners' association fees for "at least three or four years," he said.

"We don't know what happened," Baggett said of the Baleses and their Auburn property, which Sunday had a notice posted on its door that read "Do Not Occupy."

CNN's Susan Candiotti, Paul Vercammen, Moni Basu, Ross Levitt and Chelsea J. Carter contributed to this report.

@highlight

NEW: Suspect's wife calls the massacre allegation "completely out of character"

@highlight

Friends described Robert Bales as fun-loving, devoted, good-hearted and patriotic

@highlight

In previous tours in Iraq, he suffered a foot injury and a head injury

@highlight

He had been passed over for promotion; family has been under financial stress