London (CNN) -- Ancient Egyptian mummies kept in storage for half a century have gone on display in new state-of-the-art galleries at the Ashmolean Museum of Art and Archaeology at the University of Oxford.

Painted wooden sarcophagi decorated with charms, and carefully wrapped and embalmed bodies are now on view in climate-controlled cases following twelve months of painstaking conservation work, alongside a rich array of artifacts from the Nile Valley.

They include the almost 3,000-year-old coffin of a High Priest named Iahtefnakt, which was carefully conserved over nine months before its unveiling.

But these fragile artifacts haven't just received cosmetic work.

The mummy of a man named Djeddjehutyiuefankh, who is thought to have been buried in during the 25th dynasty (between 712 and 770 BC) underwent a CT scan at a nearby hospital in Oxford.

The scan revealed amulets in the mouth cavity and stone coverings over the eyes -- and a nearly 3,000-year-old mystery.

"It's intriguing, because his heart was gone and normally you'd expect the heart to be in situ," said Mark Norman, Head of Conservation at the museum.

This is because Ancient Egyptians believed they would have to endure a ritual known as "the weighing of the heart" before a monster in the underworld known as the Devourer.

If their hearts were pure, they could pass into the next life; if not, the heart would be eaten.

The cause of Djeddjehutyiuefankh's death is unknown, but, said Norman, there was no sign of broken bones.

In addition to the CT scan of the mummy, the conservation team also used infra-red imaging to see under-drawings beneath Roman-era paintings and used forensic techniques to detect the pigments and materials that ancient artisans would have used.

These discoveries were a "buzz" for Norman and the team of conservators at the museum.

"We get closer to the object than anyone since the object was made -- sometimes even closer, because we use microscopy and image enhancing," he said.

"The role of conservation is changing and it's much more about material forensic science," said Norman.

The Ashmolean Museum is one of the leading centers for the display and study of ancient Egypt and Nubia (modern-day Sudan).

Its collection contains a number of artifacts excavated by the so-called "fathers" of modern archaeology, including Sir William Matthew Flinders Petrie and Francis Llewellyn Griffith, who were working in the late-nineteenth and early-twentieth centuries.

It even includes items excavated in the 1600s.

Highlights from the collection are being displayed in the museum's recently redeveloped galleries and include 5,000-year-old limestone statues, the Nubian Shrine of Taharqa -- the only complete freestanding Pharaonic building in Britain -- and Roman-era portraits of mummies.

Liam McNamara, Assistant Keeper of the Ancient Egypt & Sudan collection at the Ashmolean, hopes the museum's redeveloped Ancient Egypt and Nubia galleries, which open to the public Saturday, will showcase the reality of ancient Egypt and help dispel some of the myths surrounding the ancient civilization.

"The reality of ancient Egypt is equally as exciting as some of the bizarre myths that have been created around it and hopefully the new exhibits at the Ashmolean will inspire the next generation of Egyptologists," he said.

@highlight

Ancient Egyptian mummies kept in storage for years are now on display at Oxford's Ashmolean Museum

@highlight

The mummies and artifacts received careful conservation work as part of the museum's redevelopment plan

@highlight

Exhibition highlights include CT scan of almost 3,000-year-old mummy and freestanding Pharaonic monument

@highlight

The museum's ancient Egyptian and Nubian collection is considered one of the strongest in the world