CHONGQING, China (CNN)  -- At the Chongqing Children's Palace, experts are hoping to revolutionize child-rearing with the help of science. About 30 children aged 3 to 12 years old and their parents are participating in a new program that uses DNA testing to identify genetic gifts and predict the future.

For about $880, Chinese parents can sign their kids up for the test and five days of camp.

When Director Zhao Mingyou first heard about the technology earlier this year, he instantly knew it could be a success in China.

"Nowadays, competition in the world is about who has the most talent," said Zhao. "We can give Chinese children an effective, scientific plan at an early age."

The test is conducted by the Shanghai Biochip Corporation. Scientists claim a simple saliva swab collects as many as 10,000 cells that enable them to isolate eleven different genes. By taking a closer look at the genetic codes, they say they can extract information about a child's IQ, emotional control, focus, memory, athletic ability and more.

"For basketball, we can test for height and other factors," said Dr. Huang Xinhua, a leading scientist on the project. "We also test listening ability so that can tell us if (the child) might be talented at music." Would you be happy to test your child? Have your say

DNA testing has been used more widely to determine susceptibility to genetic disease. The test can identify mutations in the genetic code that lead to certain disorders, allow patients to assess risk levels and decide whether they want preventative treatment.

For example, the test can identify cancer genes that may make a woman more likely to develop breast or ovarian cancer. Some women have decided to have a mastectomy based on DNA test results and family history.

But according to Chinese scientists, this is the first time the test is being offered to children in China to help discover their natural talents.

For about $880, Chinese parents can sign their kids up for the test and five days of summer camp in Chongqing, where the children will be evaluated in various settings from sports to art. The scientific results, combined with observations by experts throughout the week, will be used to make recommendations to parents about what their child should pursue.  See photos of the summer camp and testing »

Dr. Huang said the testing can even help project careers down the road.   Examining one child's results, he told CNN: "This child is very thoughtful and focused, so I suggest she go into management."

Clinical psychologist Dr. Rob Blinn said the DNA test can be accurate but only "within a sort of limited field" and that results will not be "dramatic."   "You're not going to be able to predict that someone's going to be like the next Einstein. It's more like this person may have an IQ that's maybe 5 or 10 points greater than this other person because of the absence or presence of these particular genes," he said.

Still, parents are convinced it will help their child. It is no secret that China's one-child policy often produces anxious and ambitious parents with high expectations for their only child.

"China is different from Western countries," said Yang Yangqing, the lab's technical director. "There is only one child in our families so more and more parents focus on their children's education and they want to give them the best education."

Along with parents, the Chinese government is also interested in giving talented children an early start on their careers. Children as young as two are regularly hand-picked by the government to represent China on the international stage.

Future gymnasts, musicians, and basketball players are sent to rigorous training camps and specialized sports schools, and sometimes paid a government salary.

There has been speculation China's basketball hero, Yao Ming, was born of an arranged marriage between two well-known basketball players, in hopes of bearing an athletic superstar. Yao and his family have denied these reports. In an autobiography, Yao wrote that his parents actually discouraged him from playing the sport.

"My parents never wanted me to become a professional player," Yao wrote. "They wanted a better life for me."

Yao did start playing when he was nine years old. Three years later, he moved into Shanghai's provincial sports academy where he lived and trained full time.

"My parents agreed only because playing basketball in a junior sports school can improve your chance of getting into college; it counts as extra points on the college entrance exam."

Yao's family reportedly received special stipends from the government to purchase extra food. His success story may well be on the minds of parents in Chongqing.

"It's better to develop her talents earlier rather than later," Chen Zhongyan said of her four-year-old daughter, who is attending the genetics camp. "Now we can find when she is young, and raise her based on what her natural gifts are."

Her daughter, Lai Hongni, has already shown a strong aptitude for dancing, while four-year-old twin boys Luo Lianzhao and Dong Liangtong appear to be good at drawing.

"This way we can really understand our kids," said the twins' father, Mr. Dong, referring to the program.

In the end, are these parents giving their kids a head start or taking a shortcut? Critics of the program said such analysis has frightening implications.

"Kids, especially at younger ages, they need to have fun, they need to enjoy themselves, they need to find meaning in life," Dr. Blinn said. "They need to have rich deep emotional interchange with their families and parents."

"Whether it's really good for a two- or three-year-old to be sent off to a camp to be genetically tested, you know, and put in this track so early in life, I have some real doubts about whether that's in the child's best interest," Blinn added. "It seems to be more in the parents' best interest."

But Chen Zhongyan said: "We only have good intentions for (our daughter). We think this will help her."

It is fair to say many of the kids in Chongqing looked like they were having fun, whether they were jumping on ping pong tables, drawing or playing interactive games.

"I want to be the president of China," said three-year-old girl, Liu Xiao Liao. "Then people will be scared of me."

It seems that some of children may have grand ambitions all of their own.

@highlight

Chinese summer camps DNA tests kids for natural talents

@highlight

Tests carried out for IQ, emotional control, memory, athletic ability and more

@highlight

Believed to be first time DNA tests used to identify talents rather than disease

@highlight

China's one-child policy has led to parents with high expectations