(CNN) -- Physician-assisted suicide is legal in four U.S. states and in one county of a fifth state. It is an option given to individuals by state law in Oregon, Vermont, and Washington. Individuals must have a terminal illness as well as a prognosis of six months or less to live. Physicians cannot be prosecuted for prescribing medications to hasten death. Similar Montana and New Mexico court rulings are based on judicial decision and do not mention a time line.

Mandated by State Law:
Oregon
Vermont
Washington

Mandated by Court Ruling:
Montana
New Mexico - Bernalillo County only

Other Facts:
The specific method in each state varies, but mainly involves a prescription from a licensed physician approved by the state in which the patient is a resident.

Physician-assisted suicide differs from euthanasia, which is defined as the act of assisting people with their death in order to end their suffering, but without the backing of a controlling legal authority.

In Oregon, "the physician must be a Doctor of Medicine (M.D.) or Doctor of Osteopathy (D.O.) licensed to practice medicine by the Board of Medical Examiners for the State of Oregon. The physician must also be willing to participate in the Act."

In Vermont, "only a doctor of medicine or osteopathy licensed to practice medicine in Washington may write this prescription...A physician, nurse, pharmacist, or other person shall not be under any duty, by law or contract, to participate in the provision of a lethal dose of medication to a patient."

In Washington, "only a doctor of medicine or osteopathy licensed to practice medicine in Washington may write this prescription...participation is entirely voluntary. Health care providers are not required to provide prescriptions or medications to qualified patients."

Statistics:
The process of reporting applications and deaths also varies by state. Only those states where physician-assisted suicide is mandated by law have a reporting process.

Oregon has had a physician-assisted suicide law on the books since 1997, and has shown a steady increase in both prescription recipients and the number of deaths. At its height, in the year 2012, 85 deaths from physician-assisted suicide were reported. According to the 2013 annual report, since 1997, prescriptions have been written for 1,173 people and there have been 752 reported deaths.

Washington - According to the 2013 annual report, since 2009 prescriptions have been written for 549 people and there have been 525 reported deaths.

Vermont - Since May 2013, physician reporting forms have been completed for two people, according to the Department of Health.

Timeline:
June 1997 - The U.S. Supreme Court rules that state laws banning physician-assisted suicide do not violate the Constitution in the case Washington v. Glucksberg. The court left the matter of the constitutionality of a right to a physician's aid in dying to the states.

October 27, 1997 - Oregon's Death with Dignity Act becomes law. Passed in a 1994 election with 51% of voters in favor, the law was delayed initially because U.S. District Judge Michael Hogan issued an injunction and then ruled it unconstitutional. The Ninth Circuit Court of Appeals reversed the ruling and the injunction was lifted when the U.S. Supreme Court referred the matter back to the state in 1997.

November 1998 - American pathologist and assisted suicide advocate, Jack Kevorkian, known as "Dr. Death," videotapes the death of Thomas Youk, submits it to CBS's 60 Minutes, and it is broadcast on television. The airing prompts murder charges against Kevorkian, rather than assisted suicide charges, because Kevorkian injected the drug into Youk, who had Lou Gehrig's disease.

March 26, 1999 - Kevorkian is convicted of second degree murder and delivery of a controlled substance. He serves eight years of a 10 to 25 year sentence.

November 4, 2008 - Washington's initiative, the Death with Dignity Act, is passed with 57.91% of voters in favor.

March 5, 2009 - The Washington Death with Dignity Act goes into effect.

December 31, 2009 - A Montana Supreme Court ruling in the case Baxter v. Montana asserts that the Rights of the Terminally Ill Act protects a physician who prescribes aid from liability.

November 2012 - In Massachusetts, a death with dignity initiative appears on the November 2012 ballot. It is defeated by a slim margin with 51% voting against it.

May 20, 2013 - Vermont signs the Patient Choice and Control at End of Life Act into law.

January 13, 2014 - New Mexico Second Judicial District Judge Nan Nash rules in favor of an individual's right to die in the case Morris v. Brandenberg. In appeal by the Office of the New Mexico Attorney General, the case is assigned to the New Mexico Court of Appeals/Supreme Court. The ruling remains in effect but only for Bernalillo County, according to the attorney general's office.

November 1, 2014 - Brittany Maynard, a 29 year-old with terminal brain cancer, ends her life under Oregon's "Death with Dignity Act." She had moved to Oregon following her January 1, 2014 prognosis, in order to take advantage of the Death with Dignity law. There is no such law in her native California. She garnered a large following advocating for physician-assisted suicide laws via social media.

@highlight

Legal in Montana, Oregon, Vermont, Washington and Bernalillo County in New Mexico.

@highlight

The process of reporting applications and deaths varies by state.

@highlight

The U.S. Supreme Court ruled that state laws banning physician-assisted suicide do not violate the Constitution.