(CNN) -- As we approach the Christmas and Hanukkah season, we should remember that the American commercial republic, too often criticized for greed and excess, is unparalleled in generosity.

Canadian radio commentator Gordon Sinclair said in the 1970s, at the height of American criticism abroad, that the United States is the "most generous and possibly the least appreciated people on all the Earth." We are still the most generous people in the world today.

Often the benefactors of American generosity capture it best. "There is a reason the world always looks to America," Australian Prime Minister Julia Gillard said in an address to Congress this year. "Your city on a hill cannot be hidden. Your brave and free people have made you the masters of recovery and reinvention."

Israeli Prime Minister Benjamin Netanyahu, in a separate address to Congress this year, echoed the sentiments, "Providence entrusted the United States to be the guardian of liberty. All people who cherish freedom owe a profound debt of gratitude to your great nation."

The critics of the American capitalist system are many, but when disaster strikes, the world still turns to America. One thinks most recently of Japan and Haiti. Not only did the United States send hundreds of millions of dollars in aid, but it also sent troops, food, water and medical supplies. We remember the moving picture of "Thank you USA" etched in the mud next to a rescue helicopter landing circle in Japan.

In surveys taken around the world, the United States is most popular in Africa, a continent we've given billions of dollars to help fight AIDS, starvation and other diseases. But we also donate more than money (and the U.S. foreign aid budget is the topic of much debate, and rightfully so). Generations of Americans have sacrificed their lives to fight and die for freedom around the world.

At home, with budget cuts affecting families, corporations and the government, Americans are still remarkably charitable.

The Chronicle of Philanthropy, which tracks the corporate giving of America's largest companies, recently reported that in 2010, a very tough financial year, total cash donations by this group rose 13%, to $4.9 billion.

In 2010, Kroger, the Cincinnati supermarket operator, gave away an astounding 10.9% of its $589 million in 2009 pre-tax profits, totaling $64 million. Wal-Mart Stores donated the most cash last year, $319 million.

As for individuals, a new American Red Cross poll suggests that while Americans had to tighten their budgets in 2011, they are still as committed to giving to charity as ever.

American generosity is not dependent on the government or public policy. It should be pointed out that conservatives, criticized by liberals as health care and welfare slashers and greedy capitalists, give far more to charity than liberals. Arthur Brooks wrote in his now-famous book, "Who Really Cares," that households headed by conservatives give 30% more to charity than households headed by liberals. Conservatives also give more blood and donate more of their time to volunteer work, according to Brooks.

Generosity is in no way demanded or required by our Constitution or laws, yet it is an inherent part of America's cultural fabric. Compared to the rest of the world, American benevolence is unmatched. China, which boasts the second largest economy in the world, is one of the least generous nations on Earth when it comes to charitable contributions.

In the annals of human history, there has never been a country as compassionate and generous as the United States. When Aleksandr Solzhenitsyn, the great Russian novelist who defied communism, visited America, he said, "The United States has long shown itself to be the most magnanimous, the most generous country in the world. Wherever there is a flood, an earthquake, a fire, a natural disaster, an epidemic, who is the first to help? The United States. Who helps the most and unselfishly? The United States."

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

The U.S. is unparalleled in generosity, says William J. Bennett

@highlight

Capitalism has its critics, but when disaster strikes, the world still turns to America, he says

@highlight

America's largest companies made $4.9 billion in donations last year, Bennett says

@highlight

Bennett: American generosity is not dependent on the government or public policy