(CNN) -- The Boston Marathon bombing investigation made use of crowdsourcing to collect photos and video from cell phones and surveillance cameras at an unprecedented level. These pictures were made public a little more than 72 hours after the explosions and the second suspect was arrested 29 hours later.

Forensics is the use of scientific or technical information to answer questions in a court of law. Digital forensics is the branch that focuses on the identification, acquisition and analysis of information found on digital devices: computers, cell phones, digital cameras or any computer-based system.

The concept of law enforcement posting photos of wanted individuals in a public place and asking for assistance is hardly new; walk into any post office and you will still see the FBI Most Wanted poster. Why the post office? Because it used to be the social center of a town, a place where the government and the people regularly came together.

Fast forward to 2013 and we have thousands of people taking pictures and videos of what everyone expected to be an every day event. Law enforcement agencies were able to use these images to observe the comings and goings of hundreds of people at a certain site at a certain time in order to detect a pattern of behavior with which to identify the two suspects. And most of this imagery came from private citizens.

Personal computers have been around for nearly 30 years. The Internet has been commercially available for 20 years. Mobile phones have been pervasive for more than 10 years and smartphones, in particular, for more than five. Computers, networks and cell phones have increasingly become the record keeper, instrument or target of criminal activity over the last few decades.

Smartphones are everywhere and offer the equivalent of a portable Internet terminal. Not only do cell phones contain a phone book, call history and text messages, but also Web browser history, email, Global Positioning System and other location information. And surprisingly high-quality pictures and video.

All of this information will be of value to investigators. They will want to know who the suspects might have been communicating with in the immediate aftermath of the bombings and, again, in the aftermath of their pictures being posted in the media. The larger investigation will undoubtedly examine their text and email messages, social media postings, Web sites visited and calls made over the last few months and years. This digital forensic evidence will help piece together patterns of behavior that could provide insights into the suspects' thoughts and deeds, and even provide new leads.

What does this mean for privacy rights? Consider that when a municipality wants to put up a new camera at an intersection, or purchase a drone, there is often a public outcry. Is the camera an invasion of privacy? Where will it be looking? How will the government use the data? How long will the data be kept? Will it be used to track my movements? At some level, these are good and important questions because this kind of discourse is necessary to frame our Fourth Amendment protections against unreasonable searches.

Yet, in Boston, a lot of the images came not from public-sector cameras but from private-sector cameras: our fellow citizens. Fellow citizens who voluntarily shared their information so that law enforcement could do its job.

Were these people violating the rights of others by sharing their pictures? Well, no, considering that the Bill of Rights was intended to protect us against a tyrannical government rather than from each other. Indeed, it is not clear that the government could have compelled these citizens to turn over their pictures just in case they might be useful; imagine persuading a judge to sign a search warrant on such pure speculation.

Yet, citizens stepped forward to offer their help, a clear sign of a community willing to work together for a greater good and one that does not distrust the government.

Although some might claim that these people were surrendering their rights for an element of security, it was the same instinct that made some people run toward the carnage so that they could provide assistance and comfort to friends, family and strangers. They were not surrendering their rights when they helped law enforcement but were empowering themselves as a community.

The U.S. Constitution does not explicitly offer citizens a right of privacy, although many court decisions certainly support such an ideal. Indeed, U.S. Supreme Court Justice Louis D. Brandeis is well known for his observation, "The right to be left alone -- the most comprehensive of rights, and the right most valued by a free people."

Your personal privacy has more to fear from the likes of Facebook and Google than from the government. Commercial entities such as social media sites offer free services and yet make money. How?

We, our information, have become their commodity. They have more money, motivation and resources to use our collected information for their own purposes than the government does. We, as users of social media, self-exploit; we post our information voluntarily. Yet, once posted, we usually lose exclusive ownership of the information and always lose control over it.

Although the use of the crowdsourcing metaphor may be new as it applies to a criminal investigation, it is almost certain we will see more of this in the future. And it is sure to renew questions about how we all are invading each other's privacy and personal space.

It also points to the incredible resiliency of the U.S. Constitution and its ability to guide us in a modern era, yet why it needs constant interpretation. As technologies evolve that the Founders could not have possibly anticipated -- from fully automatic weapons and thermal imagers to satellites and digital technologies -- we have to figure out how to balance our rights as individuals and needs as a society.

The opinions expressed in this commentary are solely those of Gary Kessler.

@highlight

Gary Kessler: Boston bombing used public's photos, videos at unprecedented rate

@highlight

Criminal cases will rely more on public as thousands take pictures and videos, he says

@highlight

Unmindful of privacy, he says, a community worked together for a greater good

@highlight

Kessler: Crowdsourcing in criminal investigation will happen more and more