(CNN) -- Every few days since the start of the school year, Scott Bedley has posted a message on Twitter, looking for classes around the country that might want to meet his.

His California fifth-graders are hoping to video chat with students from all 50 states and other parts of the world. It's part of the geography game, Mystery Skype: Students gather before a computer and try to deduce each other's locations by asking questions and consulting maps.

By early January, Bedley had found several teachers in other states. Then, he received a message from a film director, asking to shoot his class during a Mystery Skype session. Bedley was a little wary -- who sends a request like that to a public school teacher? -- but after a flurry of OKs from parents and Irvine Unified School District leaders, a camera crew arrived.

They shot students on both sides of the screen: His students at Plaza Vista Elementary School, and a class from Mexico City. Bedley was delighted; it was his class' first foray into international Mystery Skype, and the video might train and inspire other teachers. Maybe, he thought, it would show up on YouTube some time.

About two weeks later, he received a text message that said there were, in fact, plans for the footage. It would be in a commercial -- one that would air during the Super Bowl.

The revelation was so short-notice, Bedley was calling parents the morning of the big game to suggest they watch.

Until he saw it, he wasn't even sure it could be real. But when Microsoft's one-minute "Empowering" ad debuted, there was former NFLer Steve Gleason narrating over footage of a boy romping on prosthetic legs, a woman hearing her children for the first time, a military member witnessing his baby's birth over a computer -- and Bedley's students, waving hello.

Weeks after the commercial aired, Bedley still seems dumbfounded.

"You just don't think they're going to come film you for a Super Bowl commercial," Bedley laughs.

But those couple of seconds, seen by a record-breaking Super Bowl audience and more than 3.5 million so far on YouTube, are just a sliver of what it's like to be Bedley's students.

Here's a peek at the real classroom behind the commercial and the teacher at its helm:

He's willing to take risks

Bedley has been teaching for 20 years, 10 of them to fifth-graders, and was named one of the teachers of the year for 2014 in Orange County, California. He says he's a risk-taker inspired by his father, a long-time educator, and his brother, a teacher of the year for nearby Riverside County in 2013.

"I've always been kind of an explorer, somebody that tries some different things," Bedley said.

He's been lucky to have supportive administrators, he said, but he's also got results to back him up. As he's taken more creative approaches in the classroom, test scores have risen -- and his students like it, too.

Take Mystery Skype: It wasn't his idea, but as soon as he read about it, he knew it could hit several state standards his students needed to learn. There could be glitches and pitfalls, but if they're going to learn geography, why not try it this way?

"Just drilling them, that's not always the best in my mind, as far as teaching pedagogy," Bedley said. "I wanted to expose and connect them with kids all over the United States."

Each time they run the exercise, students are assigned particular jobs: Among them, a "think tank" tracks maps, fact-checkers confirm what's said, note-takers and runners make sure everyone has the information they need, and "on-camera talent" asks and answers questions. A student supervisor watches the whole process and looks for ways they can improve next time. A reporter-blogger documents the process.

"Organized chaos," Bedley calls it. He rarely appears on camera.

The whole thing takes about 20 minutes and touches on critical thinking and problem-solving his students need, not to mention geography know-how. Students' questions have gotten better as they've practiced more, and they've actually added new rules to make it tougher: No more Googling and guessing based on a city name they spotted in the other classroom.

So far, it's working. "They'll go home and research on their own, without assigning homework or anything," Bedley said.

His students just finished their 17th state, Minnesota. As a reward for all their hard work, they've recently earned a class pet. (A huge, sometimes smelly, risk, any educator will agree.)

It's a tan hamster. Bedley's students named him Hashtag.

Don't call him a 'techie'

Bedley can understand why teachers and schools are wary of the latest-and-greatest technology: They've heard it all before.

"The technology that was being provided for schools to use to help kids learn was disastrous. We were limited to word processing or 'Oregon Trail,' " he said of his early years in education. "The tools available for teachers now are what I wish I would have had my first year teaching."

Now, he's got BYOD (bring your own device) classrooms where students can use cell phones, iPods, tablets or laptops from home, as long as they've passed a course on how to use them appropriately. They have access to a few school computers, and Bedley has raised money or landed grants for big-ticket items, such as iPads, netbooks, a webcam and a desktop computer for the classroom.

"I know (my district) would want to provide the funds, they just don't have them," he said.

Like a lot of teachers, he relies on free tools, too. He first tried using Skype in 2009, when budget reductions cut back on arts education for his students. He connected his classroom with working artists in other parts of the country, so they could still had a chance to learn. Last year, his students Skyped with docents from Fort Meigs, a War of 1812 battlefield in Ohio.

When they revealed the armory, "the kids just gasped," he said. "Those kinds of moments just drive me to find more learning opportunities."

He's one of nearly 78,000 teachers using Skype in the classroom, the company reports.

Sometimes, yes, there are glitches, technical failures and lessons that don't go as planned. Often, he can just hop on Twitter to ask for help, and another teacher will offer up lessons from their own experiences.

"I take little steps to integrate technology," Bedley said. "I don't consider myself a techie at all."

He sees opportunities now

Exploring, risk-taking -- it's actually easier than it used to be, Bedley said. As his school shifts from its former curriculum to the Common Core standards, there's a lot of room for creativity and experimentation in teaching, he said.

He teaches science, writing and history, and he'll make sure the material is covered, but he likes to give students options to show what they've learned. When they studied the body's organ systems, students could take a traditional test, or create an infographic using Piktochart software, or record a lesson for another student. They had to share everything they knew about, say, the nervous system. Some students spoke for 10 minutes, and sometimes recalled facts Bedley said even he couldn't remember.

"A lot of it aligns with how they best learn -- they learned way above and beyond," Bedley said. "They felt like they were experts."

He works outside his classtime, too. With his brother, he hosts an online talk show dedicated to education innovation, the Bedley Bros. #EdChat Show. A couple of years ago, he created the Technology Applied Science Fair, a souped-up science fair that asks kids to identify problems and solve them.

Since it launched, it has expanded from his school to 10. One student designed a social network for charities in India to share extra resources. Another couple of students, "great kids who always forget their glasses," created a program that would automatically adjust computer screens so they could read, no matter what.

"It's all on my own. If you look at the innovations going on, it's teacher-driven activities," Bedley said. "I love that there are some incredible educators out there, teachers and principals taking the lead rather than letting people outside of education define what we do.

"I really, honestly believe we're in a time that's going to redefine education."

Are you feeling optimistic about the education your children are receiving? Tell us why in the comments, on Twitter @CNNschools or on CNN Living's Facebook page!

@highlight

California teacher Scott Bedley's class was featured in Microsoft's Super Bowl ad

@highlight

Bedley teaches fifth-grade history, writing and science at Plaza Vista School

@highlight

The class uses Mystery Skype for geography lessons and other technology

@highlight

Bedley: "I really, honestly believe we're in a time that's going to redefine education"