(CNN) -- New Jersey Gov. Chris Christie made headlines when he backed away from his opposition to same-sex marriage in New Jersey. Although he had initially indicated that he would challenge the recent court decision, Christie reversed course and announced that he would follow the law of his state.

Most pundits agreed that Christie's decision would enable him to expand his margin of victory in the upcoming gubernatorial election and improve his chances of emerging as the leading Republican presidential candidate for 2016.

Yet some commentators think this might cause objections to a Christie candidacy in the Republican primaries from social conservatives who remain firmly against same-sex marriage.

In their view, Christie is an outlier, a Republican courting centrist voters who is going against the grain of the party. "This would suit him a lot better if he were running as a Democrat," one Republican told The National Review.

But there is a strong likelihood that within a few years, Christie might not be as much of an anomaly as they think. The progress on same-sex marriage has been rapid.

While the Defense of Marriage Act defined marriage as only being between a man and woman, many states moved forward in allowing same-sex couples to enter into marriage or civil unions.

Prodded by Vice President Joe Biden, President Obama said in May 2012 that he supported the right of same-sex partners to enter into marriage. In June this year, the Supreme Court ruled that DOMA was unconstitutional and that fsame- sex couples had the right to federal benefits that were normally accorded to heterosexual married couples.

One of the most important reasons behind the success of this movement has been the decision to join the gay rights cause to a traditional family values issue promoted by the right: marriage. In recent decades, the gay rights movement has turned its attention away from issues of individual sexuality and liberation, and toward the right to marry. The civil right to enter into a partnership that conservatives have extolled for decades has been extremely important politically.

In the early 1960s, civil rights leaders like the Rev. Martin Luther King Jr. won enormous support by connecting the cause of African-American freedom to traditional American values. In August 1963, during the famous March on Washington, King and others delivered their powerful speeches in front of the Lincoln Memorial, a reminder of how desegregationâ€”and then voting rightsâ€”were a fulfillment of the American promise rather than a rejection of traditional values.

Unlike abortion after the Supreme Court's Roe v. Wade decision in 1973, there is much stronger potential for same-sex marriage to become incorporated into the national landscape and removed from mainstream political debate.

As the courts and states have moved forward at a rapid pace on this issue, the rest of the nation has not been far behind. Public polls have shown growing support for same-sex marriage throughout the country, including in "red areas" of the country.

Last March, a poll by ABC News and the Washington Post found that 52% of Republicans and independents who lean Republican under the age of 50 supported same-sex marriage and 81% of people under 30 were in favor. Those trends have only intensified in recent months.

We have also seen more frequent images of same-sex marriage in popular culture. In one of the most popular comedy shows of the past few years, "Modern Family," one of the three families that is followed in this pseudo-documentary is a gay couple raising an adopted child.

While their sexuality is part of the story, it is remarkable how most of the shows don't center on this issue but instead on the normal ups and downs of family life. This season, the show began with these two characters, Mitch and Cam, becoming engaged in the wake of California's decision to allow same-sex marriage.

A growing number of Republicans have already backed away from their opposition to same-sex marriage. Christie is just one of those who have changed the tone of the party on this cultural question -- a group that includes Sens. Lisa Murkowski and Robert Portman and former Vice President Dick Cheney -- in an era when polarization has become stronger on almost every other issue. As Mitt Romney adviser David Kochel said, "Opposing the freedom to marry is a loser for our party and serves to drive away a growing number of voters who have turned the page."

So, even though Christie is taking a risk through his recent announcement, the odds are that many other Republicans won't be far behind. The gay rights movement has profoundly shifted the debate and advanced the cause of gay rights far beyond what anyone had imagined just a few years ago.

By taking one of the most familiar and central conservative arguments of our era, marriage, and embracing it as one of their own, the movement has gained legitimacy for the right of gay Americans to build their own families. There will be huge pressure on Republicans in the coming years to get on the right side of this issue and movement activists have made it easier for leaders in the GOP to come around to their side.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Chris Christie chose not to appeal decision allowing same-sex marriage in New Jersey

@highlight

Julian Zelizer: Gay rights movement was wise to focus on marriage issue

@highlight

By marrying their cause to family values, they won over some in GOP, he says

@highlight

Zelizer: Same-sex marriage is unlikely to be source of continuing conflict