(CNN) -- The big summer showdown has come and gone. The Supreme Court decided the Affordable Care Act could stand, and so it remains, for the most part, undisturbed. The next hurdle will occur in November, when the country goes to the polls.

For the sake of argument, though, let's assume the health care law will not be stripped down by a new president and Congress. In which case, we need to start asking an important question: What will happen with Medicaid?

Many Americans still don't understand how Medicaid works. The biggest misperception is that Medicaid is a universal health care program for all poor people. That's just not true. Many people with little to no income do not qualify for Mediaid.

Yes, all children up to 100% of the poverty line, and children under 6 up to 133% of poverty line, are covered. Pregnant women up to 133% of the poverty line are covered as well. So are elderly and disabled Americans who qualify for Social Security's Supplemental Security Income. But there's where things start to break down.

Parents are covered, but only to 1996 welfare levels. This keeps a lot of parents, even those who are very poor, from qualifying for Medicaid. Two parents and a child living in Alabama, Arkansas, Indiana, Louisiana or Texas with an income of $4,850 a year actually earn too much to qualify for traditional Medicaid. And if you're not a parent, then things are even worse. In most states, if you have no children, you can't qualify for Medicaid no matter how little you make. In most states, even if you make no money at all, there's no Medicaid for you.

This means Medicaid is far from the safety net many imagine it to be. It has so many holes that when the heath care law really gets going in 2014, more than half (PDF) of the newly insured will be those earning less than 133% of the poverty line. The poor still constitute a significant percent of the uninsured.

When the House and the Senate were debating how to cover all of the uninsured, they disagreed. Both bodies agree that those making more than 133% of the poverty line should get private insurance in the exchanges, albeit with subsidies for those making less than 400% of the poverty line. But what to do with those making less than 133% of the poverty line? The Democrats favored the idea of expanding Medicaid, as Medicaid is cheaper than private insurance. In fact, so much so that the House pushed to raise the eligibility for Medicaid for all Americans to 133% of the poverty line, above the Senate's suggested 100%, as it made the entire Affordable Care Act cheaper.

This is a radical change for Medicaid. It will finally be the fully universal safety net that many believe it already is. All Americans, regardless of age and parental status, will qualify if they are poor.

This won't be cheap, of course. States currently are on the hook for 50% to 75% of all Medicaid costs. Asking them to cover the many millions of newly eligible recipients would be too much for many to bear. Therefore, the federal government decided it would pay for the full cost of the expansion when it begins in 2014.

There are two problems, though. The first is that the federal portion decreases to 90% by 2020. That may still sound like a great deal, but even that 10% is a lot of money, and many states fear they won't have it. The second is that the individual mandate and Affordable Care Act in general will probably bring forward a lot of people who already qualified for Medicaid and just never signed up. The federal government won't pay for them, and a lot of states fear this expense. They feared it so much that they brought a case against the expansion that made it all the way to the Supreme Court.

The court decided in the states' favor. The health care law can ask states to expand Medicaid and offer them extra money if they will agree to the expansion. The law can even refuse states the extra money if they refuse to expand the program. But what the law can't do is threaten states with removal of their traditional Medicaid money if they won't expand.

What this means is that states are free to say no to the Medicaid expansion. That will mean some big problems in implementing the Affordable Care Act. There are really no provisions for people making less than 100% of the poverty lines to receive subsidies to buy insurance on the exchanges. Many will not be penalized by the mandate because they make too little (PDF), but that will still leave them without health insurance. In essence, without the Medicaid expansion, millions of the poorest among us will still be uninsured, with few options to rectify the situation.

I still believe that few states will choose to refuse the expansion money. It's hard to say no to a full funding of insurance for millions of constituents when it will cost you nothing. Moreover, it will be politically difficult to say no when so many other states are saying yes. There will also be enormous pressure from physicians, hospitals and other providers, who stand to lose a ton of money if people aren't insured. Let's remember that there were holdouts when Medicaid was passed decades ago. Today, threatening to take away that program is "coercive."

That said, plenty of states have shown their willingness to turn down such deals in the past. Likely, some will in the future. They are certainly threatening to already. Since those threats are nothing more than words at the moment, I'd take them with a grain of salt. But that doesn't mean a few won't hold fast.

There are ways to fix this, of course. Subsidies could be provided for everyone, for instance. States could ask for new deals. Or the federal government could make the expansion a federal burden for all time. The various solutions will cost money and require compromise. That's not happening soon.

So, for the moment, we will wait. On November 7, we will have a better idea of whether the Affordable Care Act will stand. And maybe then, we'll be able to get to work.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: It's not true that Medicaid is a universal health care program for all poor people

@highlight

Carroll: Medicaid has a chance to become a full safety net under the Affordable Care Act

@highlight

But states are free to say no to the Medicaid expansion under the health care law, he says

@highlight

Carroll: We'll have to make compromises, but first let's see if law will be stripped down