The founder of the World Wide Web may not be the world's most prolific micro-blogger -- but Tim Berners-Lee's "This is for everyone" tweet at the Olympic opening ceremony set the tone for what has been dubbed the first "social media Games."

In an interview with CNN, the British computer scientist who invented the Web in 1989 said he was deeply moved to be honored for his pioneering role in the digital revolution -- and hopes the combination of the Web and the Olympics can create a new understanding between people across the world.

"The Web is about connecting people through technology, not about documents," Berners-Lee told CNN. "The Olympics are about connecting people too. It would be nice if the Olympics bring people to use the Web to understand each other, break down national and cultural barriers and look at each other from a more beautiful point of view."

There were more tweets during the opening ceremony of the London Games than during the entire Beijing Olympics in 2008. Many of Facebook's 900 million users shared photos and comments about the event, and millions more in China took to Twitter-like "Weibo sites" to air their takes on the show.

More: How hashtags are shaping the 2012 Games

Berners-Lee was approached by fellow Brit Danny Boyle -- the Oscar-winning film-maker who directed the opening ceremony -- last year about making an appearance.

During the dazzling "Frankie and June say ... Thanks Tim" segment of the show, a British pop music-filled tribute to the digital revolution, the house that was the centerpiece of the act levitated off the ground to reveal Berner-Lee sitting at a computer.

Berners-Lee then sent his "This is for everyone" message -- Boyle's idea, according to the scientist -- which lit up more than 70,000 LED panels around the stadium and was re-tweeted more than 10,000 times online.

"I was honored to be asked but it was also amazing to be part of this huge piece of amateur drama with thousands of people on stage," Berners-Lee said.

"We only had three run-throughs (of the ceremony), but luckily I had probably the simplest part anybody has ever had in any show ever. I had to basically press "run," type a little and it's done. It was a bit nerve-wracking but very exciting."

More: Decoding the Olympic opening ceremony

Berners-Lee wouldn't bite when asked about the irony of American commentators not knowing who he was and instructing viewers to look him up on the Web.

"If you haven't heard of him, we haven't either," declared NBC's Meredith Vieira before co-commentator Matt Lauer told viewers in America to "Google him."

Berners-Lee refused to criticize NBC for the gaffe, and said: "I am terrible at remembering people and places myself, so I can't really blame anyone for that."

Born and raised in London, Berners-Lee said his invention was "one of the many things in the show that Britain can be proud of -- and an essential thing of it was that it was an open thing, it wasn't something that could be controlled by any one government."

Berners-Lee, who co-founded and is the director of both W3C and the World Wide Web Foundation -- devoted to improving and furthering the potential of the Web -- has called for governments to be more transparent in how they release data, and is also critical of government censorship of information on the internet.

More: Get latest results at CNN's Olympics HQ

"Censorship is generally a bad thing. A strong government is one which is able to allow the people in a country to access reality, go onto the internet and see and discuss how things really are," he told CNN.

"A more weak government is one that's so worried it has to control info from its own citizens -- I think that's a pity when and where it happens. And I think with time we'll see that go away, bit by bit. I think we'll see information get around these blocks. And after awhile governments realize that for the country to work, economically, it's got to be open."

His message during the opening ceremony may have been "for everyone," but Berners-Lee is quick to point out that the Web is only used by a quarter of the world's population.

"Is it really for everyone? Only 25% of people (globally) use the Web and the other 75% don't," he said. "It's a question of how fast can we actually get the other 75% as part of the information society."

Berners-Lee says the Web Foundation is focused on closing that gap.

More: Welcome to the Twitter Olympics

"The Web Foundation is working with other foundations to see what we can to do get people using the web on mobile, to get entrepreneurs in Africa building websites, to get people to be able to pick their villages up from poverty," he said.

Much like the development of the Web, Berners-Lee believes the 2012 Olympics will be remembered for the tremendous collaboration of volunteers.

And while Berners-Lee isn't the world's biggest micro-blogger, he says his opening ceremony tweet got him another 50,000 followers on Twitter.

"I should tweet more -- I tend to tweet when I see things related to the open web," he laughs, "but I don't tweet about what I had for breakfast."

@highlight

London-born Sir Tim Berners-Lee invented the World Wide Web in 1989

@highlight

Berners-Lee: Opening ceremony tribute was 'nerve-wracking,' an 'incredible honor'

@highlight

Computer scientist's 'This is for everyone' message retweeted more than 10,000 times