Washington (CNN) -- The Democratic candidate running for Senate in Kansas took his case to the state Supreme Court this week to get his name off the ballot. And he won.

By pulling their candidate, Democrats are hoping independent candidate Greg Orman will unseat Republican Sen. Pat Roberts and join the Democratic caucus in the Senate.

Despite that support, Orman hasn't yet said who he'll caucus with if he wins.

But one thing is clear: the Kansas Senate election that was supposed to be over after the Republican primary is now a serious threat to Republicans, who have held onto Kansas' Senate seats for the last 80 years.

It could also tip the balance of the Senate in a year when Republicans are hoping to take control of the chamber for the first time since 2006, meaning they'll get to chair committees, decide what bills get a vote and overall set the political agenda.

Orman: Independent or Democrat-in-disguise?

Orman hasn't said which party he would caucus with in the Senate, but he's indicated that his success can get Kansas a sweet deal, whichever side he decides to bat for. This is not an entirely novel strategy. Sen. Angus King won election in Maine as an independent candidate in 2012 and went on to vote mostly with Democrats.

By putting a solidly Republican state into contention, Republicans will have to work harder if they hope to wrest control of the Senate from Democratic hands -- which is a serious possibility this cycle -- and Orman's betting he can leverage his independence to help his would-be constituents.

"There's a reasonable chance that neither party will have a majority. And if that happens that's a great thing for Kansas. It gives Kansans the opportunity to define the agenda," Orman says in a sleek campaign video as inspirational music plays in the background.

Orman has been registered with both parties in the past, most recently running for the Senate in 2008 as a Democrat, and his campaign insists he's spent more time as an independent than as a member of either party.

Orman has said he will "caucus with whichever party is willing to solve our country's problems, whichever party is willing to put forward a real, true problem-solving agenda," but indicated that he could make a switch if partisan moves persist.

"We'll also be in a position to hold that party accountable," Orman says in the video.

But Roberts' campaign is doing its best to paint Orman as a Democrat trying to win election in a red state by taking off his blue label.

The incumbent's campaign website points out Orman's donations to Democratic groups -- including donations to Majority Leader Harry Reid, then-Sen. Barack Obama and Sen. Hillary Clinton in 2007, all of which are listed in the Federal Elections Committee database.

But Orman's political donations have spanned the political map, and his campaign pointed out donations to Republican Scott Brown's 2010 bid for Senate in Massachusetts as well as donations to the National Republican Congressional Committee. His campaign also highlighted contributions to coalition-building and problem-solving groups like Americans Elect -- for whom Orman cut a $25,000 check.

Winning the moderates

And while Orman seems to have gained covert support from Democratic leadership, he's also picked up support from a group of moderate Kansas Republicans that includes former Kansas Republican Party chairs and top state legislators who say Roberts and Kansas Gov. Sam Brownback have moved too far to the right.

The group, Traditional Republicans for Common Sense, was attracted to Orman's problem-solving mentality and dissatisfaction with Washington gridlock, Rochelle Chronister, the group's spokeswoman, said.

In a meeting before the group endorsed him, Orman said he was unhappy with both parties and hoped to become a go-between for the two parties.

And even if Orman decides to caucus with the Democrats on legislative business, Chronister, who spent 17 years in the state legislature and chaired the Kansas Republican Party in the late '80s, said her group wouldn't feel slighted.

"If he can figure out a way to make things work, I don't think we care," Chronister said. "We're just sick to death of what's going on."

Orman's success with moderate Republicans can be tied to dissatisfaction in Kansas with a governor and state legislature that has moved too far to the right, said Nathaniel Birkhead, a political science professor at Kansas State University.

And Birkhead cited Roberts' anti-regulation, anti-spending vote against the farm bill as a mistake in an agricultural state like Kansas. Republican Sen. Jerry Moran, the state's second senator, voted for the bill.

"It's a very solidly Republican state, but we're seeing the voters try and turn the thermostat down a bit," Birkhead, who focuses on state and legislative politics, said.

Birkhead summed up Orman's appeal: "He's not a Democrat and he's not Pat Roberts."

But if Orman chooses to caucus with Democrats in the Senate, Birkhead said he likely wouldn't get reelected.

Republican strategist Matt Keelen said the Republican establishment has no doubt Orman will caucus with Democrats if elected.

"He's trying to play it as close to the vest as possible in the hopes that people believe that he is not sure of where he is going to caucus," Keelen said. "Based on all their experience with him in the state, they don't believe he's going to caucus with [Republicans]."

Keelen agreed that if Orman decides to bat for Democrats in the Senate, Orman would become the "number-one Republican target in six years," when he would be up for re-election.

"He'd be a one-term senator if he were to caucus with the Democrats," Keelen said.

What can Democrats do?

Democratic strategist Steve Murphy said Democrats have already done all they can do to help Orman take the Kansas seat -- they've cleared the field.

And while Democrats do need to submit a nominee for the ballot, it's unlikely that candidate would pull as much support away from Orman as former nominee Chad Taylor would have.

Now, Murphy said Democrats just need to let Orman win the election as an independent without any overt Democratic support.

"There's a perfect way for Democrats to buoy his candidacy and that's to stay out of the way," Murphy said.

And while Orman seems fine caucusing with either party when he gets to the Senate, voters could also be attracted to a candidate who wants to stay away from both parties.

"He might be able to get a sweeter deal by not caucusing with anybody," Murphy said.

@highlight

Dems pulled their candidate from the ballot to help Orman unseat the sitting Republican

@highlight

Orman hasn't said which party he would caucus with in the Senate

@highlight

He's told supporters he wants to be a mediator between the two parties

@highlight

Many believe he'd caucus with Democrats, but he'll face slim re-election chances if he does