LONDON, England (CNN) -- News that a British soldier died after he received the cancerous lungs of a heavy smoker has sparked intense debate as to whether organs from people with unhealthy lifestyles should be used in transplants.

Surgeons "aren't in a position in to turn down organs because they're not absolutely perfect."

Corporal Matthew Millington, 31, died in 2008, less than a year after receiving a transplant at Papworth Hospital in Cambridgeshire, England.

However a transplant surgeon has told CNN that smokers organs will continue to be used as long as medical services face a severe shortage of organs.

Chris Watson, vice president of the British Transplantation Society, told CNN that 49 percent of last year's lung donors in the UK were smokers.

"We're not in the luxurious position in transplantation to turn down organs because they're not absolutely perfect -- there are very few perfect organs," he said.

What should be done to encourage organ donation?

"In the case of Corporal Millington the donor had a chest X-ray, broncoscopy and a careful inspection of the lungs once they were removed," he said.

"When they found the tumor in Corporal Millington it was seven millimeters across and it was likely to have been two or three millimeters when it was transplanted. To find something that small you'd need to chop the lungs up into fine pieces, and then you can't transplant."

The UK National Health Service National Reporting and Learning Service (NRLS) recently released an alert  saying it had found 11 reported incidents "relating to the condition of an organ for transplant or other errors."

One incident reported to the NRLS read: "Kidney arrived completely surrounded by fat and muscle -- nothing was recognizable. After dissection, a fatty tumor appeared on the upper pole, decision was taken to transplant anyway.

"After unclamping, there was a massive bleed from the tumor leading to urgent transplantectomy -- kidney sent to the path lab -- renal cell carcinoma... not fit for purpose."

Watson told CNN that organs are thoroughly tested for suitability before they are transplanted.

He said that once a patient has been diagnosed as brain dead and donation is a possibility, a donor coordinator will approach their family to learn more about the patient's history.

Medics ask about the donor's medical history and lifestyle. They also take a blood test and may contact the donor's doctor for more information.

But Watson stresses that medics only have a few hours between diagnosis of brain death and organ removal.

When the organs are removed the donor's body is examined for evidence of infection, cancer, or anything else that might affect decision to use an organ.

In the case of lung transplants, the donor will have a chest x-ray and broncoscopy, where an endoscope is used to examine lungs from the inside.

"The main thing is how well lungs work," Watson told CNN.

"We would check blood gases, taking a blood sample and seeing how much oxygen is dissolved in the blood to see how well lungs are working.

"If they work well and there's no evidence of any problems then we would use them, regardless of if they came from a smoker."

Watson says a biopsy is carried out on donated livers to check for any damage. He says fatty livers are common, not because the donor is overweight, but as a result of the donor having been starved in intensive care.

Different organs have different tolerances to being without a blood supply. Watson says a heart doesn't respond well to being out of the body for more than three or four hours. Livers can remain viable for around 12 hours and kidneys for about 24 hours.

Those time constraints mean medics have to make quick judgments about the suitability of donated organs, even if it that means using imperfect organs.

"We're happy to use the organs available knowing they're not ideal and we'll make the best use of them and keep them functioning as well as we can," said Watson.

"The alternative for recipients is to die, so there's really not much choice for them."

@highlight

Surgeon says shortage of donors mean they must use imperfect organs

@highlight

49 percent of last year's lung donors in the UK were smokers

@highlight

U.S. data suggest one in 5,000 donated organs may have a tumor

@highlight

Organs are thoroughly tested for suitability before transplant, says surgeon