Tupelo, Mississippi (CNN) -- People in northern Mississippi and Alabama huddled in hallways and basements as a string of tornadoes ripped through their states Monday, a day after another line of storms killed 16 people to their west.

Two people were killed at a trailer park west of Athens, Alabama, on Monday, according to a post on the City of Athens Facebook page. Another person died in Richland, Mississippi, said Rankin County Emergency Management Director Bob Wedgeworth, bringing the storms' overall death toll to 19.

That toll is expected to rise. William McCully, spokesman for Mississippi's Winston County, told CNN there have been "multiple fatalities" in his county.

Alabama Gov. Robert Bentley declared a state of emergency for all counties.

Mississippi Gov. Phil Bryant said the twisters inflicted "severe damage" around the town of Louisville, about 90 miles northeast of Jackson, and more around Tupelo. Winston Medical Center, Louisville's major hospital, was among the buildings hit, Bryant told reporters.

"We have had early reports that the Winston Medical Center has received damage from a tornado. Walls are down. Some gas leak is occurring," he said.

State emergency management chief Robert Latham said authorities were grappling with "multiple events over a wide part of the state," and that more tornado warnings were expected.

"This is not over. It's going to last on into the night," he said.

State Health Director Jim Craig said hospitals in Winston County and in Tupelo had asked for assistance treating what were potentially a large number of injuries, but no numbers were available. There were no confirmed fatalities as of Monday evening, he said.

The National Weather Service issued a tornado emergency warning for the area around Athens, Alabama, near the Tennessee state line, on Monday evening: "This is an extremely dangerous tornado. You could be killed if not underground or in a tornado shelter," the warning stated.

A tornado emergency also was declared in southeastern Tennessee for east central Lincoln, Moore and northwest Franklin counties. Storm spotters were tracking a large and extremely dangerous tornado seven miles east of Fayetteville, Tennessee, the weather service.

In Tupelo, several buildings were destroyed or damaged. Buildings near a major commercial district on the city's north side were "wiped away," Scott Morris, a reporter for the Northeast Mississippi Daily Journal, told CNN's "The Lead."

Numerous trees and power lines were down, and "quite a few buildings are destroyed up there," Morris said.

The National Weather Service's Storm Prediction Center declared tornado emergencies for several counties in northern Mississippi on Monday afternoon as the line of storms moved through the state from southwest to northeast.

"Basement. Now ... let's go," Matt Laubhan, the chief meteorologist at Tupelo television station WTVA, ordered station staff before walking off the set himself.

Video: See meteorologist take cover

Sarah Robinson, a spokeswoman for the city, said several hotels and restaurants were damaged, but no fatalities or injuries had been reported in the immediate aftermath.

Another "large, violent and extremely dangerous" tornado had been confirmed near Zama, Mississippi, between Jackson and Tupelo. A twister possibly a mile wide was reported outside nearby Louisville about an hour later. Another tornado was spotted near Richland, south of Jackson. And yet one more was reported near Yazoo City, northwest of Jackson, four years after an April 2010 tornado that killed four people there and 10 across the state, said Joey Ward, Yazoo City's emergency management director.

"It's still hopefully very fresh on people's minds, and that they take all of the warnings that we've been putting out all day very seriously," Ward said.

Nearly 5 million people were at moderate risk of severe weather late Monday, while 31 million people were at slight risk, including those in Atlanta and Nashville.

'There were cars flipped everywhere'

Monday's storms were Act II of a powerful weather system that brought punishing thunderstorms to the central United States. Tornadoes spawned by those storms killed 14 people in Arkansas and one each in Oklahoma and Iowa, authorities in those states reported.

The hardest-hit area was Faulkner County, Arkansas, where a suspected tornado shattered homes, tossed tractor-trailers and killed 10 people in the towns of Vilonia and Mayflower. Two children were among the dead.

"There were cars flipped everywhere, there were people screaming," James Bryant, a Mississippi State University meteorology student, told CNN's "New Day" on Monday. "It was a tough scene."

CNN iReporter Logan Pierce spoke of being awakened by booming thunder that "shook our whole house," while iReporter Brianna Davis saw devastated homes, snapped trees and widespread debris Monday morning.

Another meteorology student, Cotton Rohrscheib, described how the storm picked up his truck and skidded it about 120 feet down a highway.

"We were all hunkered down inside of the truck, and praying," he said. None of the truck's occupants was seriously hurt, he said.

Holly Rose rode out the tornado in a closet and a hallway at her home in Mayflower and said she and her family were "very blessed" to be safe.

"Most of our roof is gone," she said. "We had a separate structure -- the pool house -- that is completely gone. There are homes around us, two doors down, that are completely gone."

Monday's storms were forecast to stretch into the Midwest and Ohio River Valley, with much of Illinois, Indiana and Kentucky at a lesser risk of severe weather, forecasters said. In Alabama, numerous school districts announced plans to dismiss early Monday afternoon in advance of the worst weather.

Faulkner County government spokesman David Hogue said it was "entirely possible" the death toll would rise as emergency crews search the wreckage of destroyed homes, including some only recently rebuilt after being flattened three years ago by another tornado.

Arkansas Gov. Mike Beebe said the storm was one of the worst to hit the state in recent memory.

"It's devastating for the people who have lost property," he said. "It's even more devastating for those who have lost loved ones."

'Tremendous' damage in Arkansas town

Vilonia Mayor James Firestone described a scene of chaos in his town hours after the storm.

"There's a few buildings partially standing, but the amount of damage is tremendous," he said Sunday. "There's gas lines spewing. Of course, power lines down. Houses are just a pile of brick."

It was much the same in Mayflower, a town of 1,600 about 20 miles to the southwest.

Authorities shut down a section of Interstate 40 after a tornado "as much as a half-mile wide" roared through the area, according to the National Weather Service.

The heavily used road was littered with crushed and overturned trucks and cars. CNN meteorologist Chad Myers, who was in Mayflower, estimated the winds from the storm were at 130 to 150 mph.

Emergency workers tended to the scene throughout the night. Shelters were set up at a high school and local church. Nearly 18,000 homes and businesses were without power Monday in Arkansas, more than 10,000 of them in Faulkner County, Entergy Arkansas reported.

The Arkansas governor issued a disaster declaration for Faulkner, Pulaski and White counties, and President Barack Obama offered his condolences and promised storm aid to victims while on a four-nation tour of Asia.

Impact Your World: How you can help

Damage in other states

Before the bad weather slammed into Arkansas, witnesses spotted a twister in the northeast Oklahoma town of Quapaw, where one person died, the Ottawa County Sheriff's Office said.

John Brown, 68, of nearby Baxter Springs, Kansas, was traveling through Quapaw with his wife when the storm hit. He pulled into a parking lot, and a concrete wall fell on their car, killing him, according to the sheriff's office. His wife was treated at a nearby hospital and released.

The same line of storms also hit Baxter Springs just a few miles to the north. Sixty to 70 homes and at least 20 businesses were reported destroyed, said Cherokee County emergency manager Jason Allison. A tornado estimated to be three blocks wide rumbled through the town of 4,200, he said.

Aerial video shot by CNN affiliate KSHB-TV showed a trail of heavily damaged homes and other buildings.

A sprawling storm front also hit eastern Iowa, killing a woman in the tiny community of Kinross in Keokuk County, the sheriff's department said.

The one bright spot amid Sunday's devastation were the forecasts that predicted the severe weather days ago, storm chaser Brett Adair said.

The advance notice helped save lives, said Adair, whose team witnessed the Faulkner County, Arkansas, storm, then helped victims.

"This definitely was not something to take lightly," he said.

Video: Surprising tornado tidbits

Get the fast facts on tornadoes

Power outage safety tips

North Carolina cleans up from twisters

Video: See a rare tornado in Northern California

Matt Smith and Michael Pearson reported and wrote from Atlanta. Martin Savidge reported from Tupelo, Mississippi. CNN's Suzanne Presto, Dave Hennen, Devon Sayers, Joe Sutton, Ed Payne, Dave Alsup, Matthew Stucker, Catherine E. Shoichet and Sean Morris also contributed to this report.

@highlight

NEW: "Multiple fatalities" reported in Winston County, Mississippi

@highlight

Death toll rises to 19 after a person dies in Richland, Mississippi

@highlight

"This is not over. It's going to last on into the night," says one official

@highlight

Widespread devastation in two Arkansas towns; warnings stretch into Alabama