(CNN) -- From the Affordable Care Act to flesh-eating bacteria to celebrities and elected officials battling physical and mental illness, it's been a tumultuous year for all things health.

Here is a look at the top 10 health stories of 2012, as chosen by the CNN Health staff.

1. Affordable Care Act upheld by the U.S. Supreme Court

In a 5-4 decision, the nation's highest court upheld the Patient Protection and Affordable Care Act, also known as Obamacare, on June 28.

Signed into law in March 2010, the sweeping law includes more than 90 specific changes to the nation's health care system. Some went into effect almost immediately, but the most dramatic changes won't take effect until 2014.

What Obama's re-election means for health care

2. Georgia woman's battle with flesh-eating bacteria

Aimee Copeland, a then-24-year-old University of West Georgia graduate student, was visiting the Little Tallapoosa River, about 50 miles west of Atlanta, with friends when the homemade zip line she was holding snapped. She fell and got a gash in her leg that required 22 staples to close.

But Copeland's struggles were only beginning. Three days later, still in pain, she went to an emergency room. Doctors eventually determined she had necrotizing fasciitis, an infection caused by the flesh-eating bacteria Aeromonas hyrophila.

Copeland spent two months in an Augusta, Georgia, hospital, and doctors amputated her hands, leg and foot. She returned home in August to a 1,956-foot wing specially built for her.

Video: Bacteria survivor details recovery

3. Multi-state meningitis oubreak linked to steroid injections

A 19-state outbreak of non-contagious fungal meningitis sickened 620 people and killed 39, according to the latest update from the U.S. Centers for Disease Control and Prevention.

The cases were linked to tainted steroid injections distributed by the Massachusetts-based New England Compounding Center. "Several patients suffered strokes that are believed to have resulted from their infections," the CDC said. "The investigation also includes other infections from injections in a peripheral joint, such as a knee, shoulder or ankle."

The FDA said the compounding center was warned by its own environmental monitors of bacterial contamination of its facility months before the first cases were reported. The Massachusetts Board of Registration in Pharmacy voted to permanently revoke its license to operate in the state as well as the licenses of the company's three principal pharmacists.

Owner of firm linked to deadly meningitis outbreak takes Fifth before Congress

4. West Nile Virus outbreak

While the case count of West Nile Virus illnesses was the highest reported through August 2012, this year's outbreak wound up falling short of levels seen in 2003, the worst-ever year for the virus.

The year's last update from the CDC showed a total of 5,387 cases of West Nile Virus and 243 deaths. Cases were reported in all lower 48 states, as well as the District of Columbia.

In 2003, 9,862 illnesses and 264 deaths were reported.

Texas was by far the hardest-hit state in 2012, with 954 cases and 76 deaths.

Fast facts on West Nile Virus

5. Robin Roberts' bone marrow transplant

"Good Morning America" host Robin Roberts, 51, revealed in June that after overcoming breast cancer, she was diagnosed with a rare blood disorder called myelodysplastic syndrome.

Roberts found a bone marrow match in her sister, Sally-Ann. Twenty-one days after undergoing a bone marrow transplant, Roberts was discharged from the hospital in October.

"I know it is your prayers and warm thoughts that have gotten me this far," she wrote in a post on "GMA's" website to her fans. "Each day I get stronger and stronger ... (E)ven in some dark moment, of which there are still a few, I now see that light at the end of the tunnel. This too really shall pass."

Robin Roberts feels the love on 'new birthday'

6. Hantavirus at Yosemite

Warnings were sent to Yosemite National Park visitors from 39 other countries in September after a potentially deadly hantavirus sickened some visitors to the park.

In all, eight people were infected and three died. Most became ill after staying at the park's popular Curry Village "tent cabins."

The carriers of hantavirus are deer mice, cotton mice, rice rats and white-footed mice, according to the CDC. The virus can be present in the rodents' urine, droppings and saliva, and is spread to people when they breathe in air contaminated with the virus. The virus is not communicable from person to person.

Another Yosemite camper dies in hantavirus outbreak

7. Former Rep. Jesse Jackson Jr. and bipolar disorder

Jackson, a congressman from Illinois, look a leave of absence in June to be treated for what his office initially called a "mood disorder."

In August, the Mayo Clinic said he was responding well to treatment for bipolar II disorder. The disorder, less severe than bipolar I, includes periods of depression alternated with hypomania, a mild form of mania that may include elevated mood and irritability. The depression periods usually last longer, the clinic said.

Despite winning re-election, Jackson -- who has been the subject of several investigations -- resigned from office in November, citing health reasons. "For the past several months, as my health has deteriorated, my ability to serve the constituents of my district has continued to diminish," he wrote in his resignation letter.

Video: Behind Jesse Jackson Jr.'s resignation

8. Spike in autism cases

The number of children with autism nationwide continues to rise, the CDC announced in March. The agency released its most recent data from 2008, showing that 1 in 88 American children has some form of autism spectrum disorder -- a 78% increase compared to a decade ago.

Boys with autism outnumber girls 5 to 1, according to the CDC, which estimates in 54 boys have autism.

More children are being diagnoses with autism because of "better diagnosis, broader diagnosis, better awareness, and roughly 50% of 'we don't know,'" Mark Roithmayr of the advocacy group Autism Speaks said at the time.

With autism, no longer invisible

9. Actress Kathy Bates' double mastectomy

Actress Kathy Bates underwent a double mastectomy in September after being diagnosed with breast cancer in July, a publicist said.

Bates, 64, was nominated for an Emmy for her lead role in the TV drama series "Harry's Law." She is best known for winning an Academy Award for Best Actress for the 1991 movie "Misery." She battled ovarian cancer eight years ago.

"I don't miss my breasts as much as I miss Harry's Law. ;-) Thanks for all the sweet tweets. Y'all kept me going," Bates tweeted after her surgery.

Why Kathy Bates kept her cancer private

10. Ex-hospital worker accused in hepatitis C infections

A man who worked as a traveling medical technician on a contract basis for hospitals in Arizona, Georgia, Kansas, Maryland, Michigan, New York and Pennsylvania was arrested in July and accused of spreading hepatitis C, sickening more than 30 people.

Authorities allege David Kwiatkowsi, 33, injected himself with syringes of fentanyl, a powerful painkiller, that he stole from patients who were scheduled for surgery. He then filled the syringes with saline and replaced them for use in the medical procedure. "Instead of receiving the prescribed dose of fentanyl, patients instead received saline tained by Kwiatkowski's infected blood," federal prosecutors said.

Kwiatkwoski was indicted last month by a federal grand jury in New Hampshire on fraud and product-tampering charges.

Controversy surrounds health care contract workers

What do you think were the year's biggest health stories? Share your thoughts in the comments below.

Like CNN Health on Facebook

@highlight

The Supreme Court's health care decision is chosen as the year's top health story

@highlight

A Georgia woman triumphs in her battle with flesh-eating bacteria

@highlight

Celebrities and a congressman also made health news in 2012

@highlight

Outbreaks of meningitis, West Nile Virus and hantavarus are seen