London (CNN) -- Heavy snow in recent weeks has already wreaked havoc across Europe -- now it is damaging some of the continent's most recognized historic monuments.

The Colosseum in Rome has been forced to shut after small pieces of its walls crumbled away as a result of freezing temperatures.

And buildings in the historic walled town of Urbino -- a UNESCO World Heritage Site -- are reported to be at risk of collapse under the weight of snow, following unprecedented blizzards in the area.

In the Italian capital, thousands of tourists have been disappointed to discover the Colosseum, one of the city's most popular attractions, is closed to visitors, while checks are carried out to determine the extent of the damage and to help prevent further movement.

Rossella Rea, archaeologist and superintendent of the Colosseum, told CNN: "Tests and evaluation of the damage is still ongoing, especially on the second level of arches."

Rea said the enforced closure of the site would have a serious financial impact -- the Colosseum attracts some 7,000 visitors a day, paying 12 euros for a ticket -- but that it was necessary in the circumstances.

"At the weekend, some of the tourists didn't understand why the Colosseum was closed -- for people from northern countries, the snow is not a problem.

"But it's very unusual for us and it caused the detachment of dust, concrete and bricks. Little quantities but if they fall from a certain height they can be dangerous."

Cristiano Brughitta, spokesman for Italy's Ministry for Cultural Heritage and Activities, said the damage was caused by ice forming on the walls of the monument.

"When the temperatures drop below zero, and there is rain and snow, it causes ice to form which, with the increase in volume, pushes the external plaster masonry and causes small pieces to fall off," he said.

David Pickles, senior architect at English Heritage, told CNN such damage was an extreme version of the natural wear and tear buildings face during everyday weather.

"There's a whole freeze/thaw cycle of damage to buildings where moisture gets into the stonework, into the pores of the stone, it then freezes and expands very significantly, it then breaks up the stone and then when it thaws, bits of stone will start falling off.

"That's happening all the time, of course, that's one of the major decay mechanisms in historic buildings anyway, because they're largely water permeable... You can't treat stone to stop it happening."

In Urbino, in the Marche region of Italy, partial collapses have been reported at the convents of San Francesco and San Bernardino, while the roof of the Church of the Capuchins outside the town center has reportedly caved in.

The town's Duomo (cathedral) is also shut, because of water damage. Checks are being carried out on vulnerable buildings in the area.

"Our biggest worry is the buildings in the historic center, which have wooden joists and delicate roofs," said Gabriele Cavalera, a spokesperson for the local council.

According to Cavalera, residents of some private homes in the historic center are adding extra support to the old roof beams in an attempt to prevent any further cave-ins.

"It's an enormous quantity of snow compared with what we normally get in winter and it's had a heavy impact, the equivalent of a flood," said Cavalera.

Brughitta agreed that conditions were exceptional: "Maybe every 30 years it gets this cold, but it's very rare."

A number of Italy's historic monuments, including the Colosseum and Pompeii, have suffered in recent years from damage and collapse.

The Colosseum, which is scheduled to reopen to the public Thursday, is due to undergo restoration works later this year with sponsorship from luxury brand Tod's.

In case of similar snowfalls in the future, Brughitta in Rome suggests using a type of cold-weather "blanket" for exposed monuments such as the nearly 2,000-year-old Colosseum.

Though Pickles said such plans may be difficult, on a practical level: "For a building like the Colosseum, I should think it would cost a fortune to cover it, because we're talking about a huge wall area."

And while delicate, these buildings are nonetheless tenacious when it comes to adverse weather and acts of god.

After all, said Cavalera, The Ducal Palace in Urbino, which is around 500 years old and a UNESCO World Heritage Site, managed to resist collapse during the earthquakes of the 1990s and is so far holding out against the snow.

Livia Borghese in Rome contributed to this report.

@highlight

Snow has caused damage to the Colosseum in Rome and to historic buildings in Urbino

@highlight

Plunging temperatures caused ice to form on Colosseum walls, forcing off small pieces of rock

@highlight

Delicate houses in Urbino's historic walled center have suffered collapses

@highlight

Worst snowfall in Italy for many years; said to be equivalent of a severe flood