Washington (CNN) -- A top Senate Democrat has offered a pair of amendments to an immigration reform bill bolstering rights for same-sex couples, a politically risky move that threatens to shatter Republican support for the sweeping legislation.

Vermont Sen. Patrick's Leahy's amendments would recognize same-sex marriages in which one spouse is an American, and also would allow U.S. citizens to sponsor foreign-born same-sex partners for green cards as long as there's proof of a committed relationship.

They were among dozens of amendments filed with the Senate Judiciary Committee on Tuesday as the panel prepares to take up the legislation later this week.

"For immigration reform to be truly comprehensive, it must include protections for all families," Leahy said. "We must end the discrimination that gay and lesbian families face in our immigration law."

Other amendments proposed by committee members include a proposal by Alabama GOP Sen. Jeff Sessions to significantly cut the number of foreign workers granted admission to the United States under the bill.

Gay rights plan clouds immigration reform prospects

"This bill (as currently written) would authorize a dramatic surge in permanent low-skill and chain migrationâ€”and would bring in millions more temporary foreign workersâ€”at a time when 90 million Americans are outside the labor force and nearly 50 million are on food stamps," Sessions said.

"The result would be lower wages and more unemployment."

Utah GOP Sen. Orrin Hatch filed proposals to boost visas for high-skilled workers, and require both DNA identification and proof of payment of all back taxes for any undocumented immigrant seeking legal status, among other things.

The Judiciary Committee, chaired by Leahy, is currently considering the 844-page bill filed by the so-called "Gang of Eight" -- four Senate Democrats and four Senate Republicans who labored for months to bridge a cavernous ideological divide on the hot button issue.

Four members of the group -- Republicans Jeff Flake of Arizona and Sen. Lindsey Graham of South Carolina, and Democrats Dick Durbin of Illinois and Chuck Schumer of New York -- are also members of the Judiciary Committee.

The Gang of Eight's bill creates a 13-year path to citizenship for most undocumented immigrants while strengthening border security and bringing dramatic change to labor policy on America's farms.

If enacted, the plan would constitute the first overhaul of the nation's immigration policy since 1986.

Proponents say the change is necessary to permanently and fairly resolve the status of roughly 11 million undocumented residents. Critics insist the proposed change amounts to amnesty, rewarding those who chose to break the country's immigration laws.

Marshall Fitz, director of immigration policy at the left-leaning Center for American Progress, told CNN it's unlikely the narrowly divided 18-member Senate committee would make significant changes to the legislation.

"Members of the Gang of Eight have indicated they'll band together to resist substantial changes to the bill," Fitz noted. "The central structure of this proposal is remarkably solid."

Fitz, a close observer of the legislative maneuvering surrounding the bill, predicted that only a small fraction of amendments filed Tuesday will actually be voted on by the panel.

Members "will hit a fatigue point," he said.

Of all the amendments up for consideration, however, Leahy's same-sex measures are likely to prove the most politically controversial.

Under Leahy's sponsorship plan, modeled after his Uniting American Families Act, gays and lesbians requesting green cards for foreign-born partners would have to be married if their states currently recognize same-sex marriages.

If their states do not recognize same-sex marriage, they would have to meet a series of requirements proving major emotional and financial commitments.

The list of requirements could include, among other things, jointly owned property, shared child custody, joint bank accounts, joint credit cards, proof of a commitment ceremony and photographs of shared vacations and holidays with extended family.

Florida Sen. Marco Rubio, arguably the most prominent Republican member of the Gang of Eight, warned recently that Leahy's proposal is a political poison pill that could undermine any hopes for passage of the broader bill.

"This immigration bill is difficult enough as it is," Rubio told conservative radio talk show host Hugh Hewitt last month. "If you inject something like this in the bill, it will die. The coalition behind it will fall apart."

Rubio, a potential presidential candidate, warned that he would withdraw his own support if Leahy's amendment is added.

"This is not the issue to engage this in," he warned. "You will threaten the entire product."

Rubio discussed immigration reform with more than two dozen conservative grassroots leaders in a closed-door meeting on Capitol Hill on Tuesday, according to an aide to the senator.

Most of the activists are backing the reform effort, the aide said.

Durbin acknowledged Tuesday that while he backs Leahy's proposal, it could prove problematic for the larger immigration reform bill.

"There are some problems on the Republican side when it comes to dealing with (lesbian, gay, bisexual and transgender) issues," Durbin told CNN.

The Illinois senator noted the possibility that the upcoming ruling by the U.S. Supreme Court on the federal Defense of Marriage Act could render the whole issue moot.

"The DOMA ruling could change this whole debate," Durbin said. "They could eliminate DOMA and impose obligations on our federal government (relating to) same gender marriage, and that would dramatically change what we're trying to achieve."

Fitz said Leahy will ultimately "find the right way forward."

"The Republican-controlled House will never accept (his same-sex amendment) as part of their bill," he said. Leahy's "not going to tank this bill."

Regardless, it is significantly easier for Leahy to add the amendment to the bill while it is being considered by the Judiciary Committee.

Democrats hold a 10-8 majority on the panel, and can approve changes on a strict majority basis if necessary.

In contrast, controversial amendments taken up by the full Senate are virtually certain to face a 60-vote threshold. The Democratic caucus only controls 55 seats in the 100-member chamber.

Backers of the bill have been hoping to win as many as 70 votes in the Senate, in order to give the bill bipartisan momentum heading into the more skeptical, GOP-controlled House.

A bipartisan group of eight House members is currently working on its own immigration reform plan.

@highlight

Amendments to immigration legislation would bolster rights for same-sex couples

@highlight

Politically risky move threatens to undercut Republican support for larger bill

@highlight

Legislation would create a 13-year path to citizenship for most undocumented immigrants

@highlight

Backers of the bill have been hoping to win as many as 70 votes in the Senate