(CNN) -- As a hobby, Suzie Jirachareonkul, a teacher and mother of two, spends many of her nights searching for endangered toads on the country roads near her home outside Cape Town, South Africa.

Volunteers in South Africa are collecting data on the Western Leopard Toad, which is endangered.

She often finds them flattened on the street.

"They're so beautiful and it's just really hard to live with, especially when you're living on the road right here," the 33-year-old said of the toad deaths. "So we started doing something about it. We started saving them off the road in the middle of the rain."

When a scientist caught onto her efforts, Jirachareonkul and a friend assembled about 20 volunteers -- a group she calls the "Toad NUTS" -- to collect data on the endangered Western Leopard Toad.

The information they collect is being used in scientific research.

Each time Jirachareonkul comes upon one of the spotted, faintly iridescent creatures, she springs into action. She marks down GPS coordinates, measures the toad, makes notes on its behavior (Is a mate stuck to its back? Is it headed toward a pond?) and uploads the information so scientists can use it.

Oh, and she moves the toad out of traffic's way, too.

While her nighttime hobby may sound a bit strange, Jirachareonkul is far from alone in her efforts to collect amateur scientific data.

At a time when climate change and urbanization are poised to set off a new wave of extinction, some members of the scientific community are turning toward backyard biologists for the data they need to monitor ecosystems and protect struggling species.

This "citizen science" movement is not exactly new, but it has grown fresh legs as the Internet and social-networking sites help people with uber-specified and often bizarre interests gang up for a cause.

Amateur-produced Web sites now serve as data hubs for squirrel sightings, bird photos, ant anthologies, snapshots of leaves, flowers and trees, water quality info, beetle hunts and firefly tracking, among others. Find links at CNN's SciTech blog

"It's pretty random," said Cyndy Parr of the Encyclopedia of Life. "There's a lot of charismatic things that won't surprise you -- backyard birds, that sort of thing. But there are also thriving communities of people who like to take pictures of butterflies, centipedes, wildflowers, plants."

Some of the sites have sweeping goals. The Encyclopedia of Life, which seeks to gather online information on all known species, has started taking public submissions through a public Flickr group. Some individual users have uploaded more than 2,000 photos.

Project BudBurst, out of Boulder, Colorado, aims to collect so much amateur data about plant species that scientists will be able to tell how climate change is altering the seasons in North America.

The venture, managed by the University Corporation for Atmospheric Research, gathers "data that would not otherwise be collected," said Sandra Henderson, the project's director. "We have these additional sentinel eyes on the landscape, if you will. There aren't enough ecologists to be making all of these different plant observations."

National Science Foundation funding for citizen science dropped off significantly in 2002 but generally has been on the rise since, according to budget numbers compiled for CNN. Since that year, funding in the United States has increased more than 240 percent, to more than $3 million for 2008.

Several of the Web projects receive government funding, but others survive on their own merits.

In Spain, Josep del Hoyo founded the Internet Bird Collection, an international compilation of bird videos, sounds and photos that's funded solely by his company. He said the intense passion of birders around the world, plus some money from his publishing company, keep the site running.

Amateurs have posted video of never-before-seen birds on the site, he said, and some of the work has been the foundation for scientific articles.

Technology is amplifying this passion for citizen science, which has been around since scientists started cataloging species. Researchers at several universities are working on iPhone applications and computer programs that could analyze digital photos of plant leaves and automatically identify the plant's species.

When those photos -- from ordinary people all over the world -- are paired with the photographer's location and uploaded to a database, the information would be more valuable than anything scientists could come up with on their own, said John Kress, a botanist and research scientist at the Smithsonian's National Museum of Natural History.

The information could help scientists know if a species is going extinct or dying off in certain regions as the climate warms.

Identifying a plant species can be tricky, Kress said, so these technologies also would ensure that nonprofessional data is good enough to use for scientific research.

"When people do these things as citizen scientists you're always a little suspect as to, 'Are you getting it right?' " he said. "There's some plants out there that are maples and look like oaks -- and only I would know they're really maples. But with this system we would have a standard way of identifying the accuracy of this information."

Some scientists said they're excited about the trend toward citizen-submitted data because it is impossible for scientists to document all of the changes going on around the world.

"At some point it will really lead to almost a democratization of science, where the amateurs and the volunteers are having just as much of an impact on science as the professionals are," said Rick Bonney, who started a citizen science project with the Cornell Lab of Ornithology in 1987. "It's just going so fast I can't keep up with it anymore."

Others find the movement limited or controversial.

The relationship between formal science and citizen science is similar to that between professional news reporters and bloggers; some scientists worry that the information coming in from nonprofessionals will be inaccurate, said John Musinsky, a senior director at Conservation International.

The citizen efforts are also limited in the sense that, at least for now, they're largely concentrated in North America and Europe, where there aren't nearly as many plant and animal species as in Latin America and Africa.

That's beginning to change, though, said Conrad Savy, a conservation science adviser at Conservation International.

"It's gaining steam," he said of the global citizen-science movement. "It's working very well and it's a great way also to engage the community in conservation issues."

As photo-taking cell phones become more popular in developing countries, a more diverse group will join the efforts, said Kress, the Smithsonian botanist.

Jirachareonkul's group devoted to the Western Leopard Toad now works with the South African National Biodiversity Institute to promote understanding of the endangered species.

Dr. John Measey, a researcher with the institute, said by e-mail that some research on the toad would be possible without the volunteer efforts. But the "Toad NUTS" raise awareness and help scientists "obtain usable accurate data from a much wider area than we could possibly manage or fund," he wrote.

When Jirachareonkul started the project, she didn't know much about the toads -- they were just a creature she found squashed in front of her house.

Now she has a personal connection to them.

She said citizen science is a way for people to connect with their local environment -- and to make a difference.

"There are so many problems in the world, but I think the main problem is that everybody is worried about everybody else's problems that they don't focus in on their little areas," she said.

@highlight

Average people help scientists collect valuable data in era of climate change

@highlight

Many Web sites are hubs for citizen-collected info used in research

@highlight

Researchers developing iPhone app to automatically identify plants, upload data

@highlight

In South Africa, a teacher has started a network of people collecting info on toads