(CNN) -- New York University's 2010 graduating class owed a total of more than $600 million in student loans. It's unlikely the university will forgive them. But NYU has forgiven portions of mortgages they have extended to President John Sexton, other university executives or star faculty -- money that has been used to buy properties in Manhattan or vacation homes in the Hamptons.

Does this shock you?

Or, how about this: Treasury Secretary Jack Lew, a former executive vice president at NYU, received an "exit bonus" of $685,000. Just to put this in perspective, Lew's NYU exit bonus alone would have provided free tuition for 34 undergraduates.

The revelations about lavish compensation packages at New York University (my alma mater) have raised a firestorm of criticism. Faculty critics have already publicized NYU's top executive salaries: Sexton takes home nearly $1.5 million, Vivien Lee, the vice dean of science gets $1.1 million, and Robert Grossman, the dean of the medical center, makes a whopping $3.5 million.

And, as Ariel Kaminer reported in The New York Times, sometimes the salaries don't stop when the job ends. Exit bonuses and forgivable mortgages on townhouses, condos and vacation homes not only allow these top dogs to meet the standard of living of the 1%, but also to sock away real estate profits and rental income for the future.

As it turns out, NYU also makes some of these payments off the official university books through a series of nonprofit foundations. In some cases, the university has written second mortgages -- also forgivable -- on property already purchased through the foundations.

Sure, other universities have found ways to woo high-level executives, faculty and coaches with big salaries, severance pay, cars and real estate.

For example, the University of Texas has maintained a Law Foundation similar to those at NYU. It provided mortgages and other forms of compensation, doled out over time, to encourage faculty to remain at the university. These practices, and the secrecy surrounding them, are under investigation by the Texas Attorney General's office.

But NYU is in the media spotlight because giving loans to university executives and stars to purchase vacation homes is nearly unheard of, according to some experts. Is the university setting precedent for a new kind of extravagant spending?

In January 2012, Vice President Joseph Biden carelessly -- and incorrectly -- remarked that high faculty salaries were driving escalating college tuition. This is a popular blame-game among politicians and university administrators alike. But according to the American Association of University Professors, in 2012 full-time faculty at all ranks across the nation received an average increase of 1.8%. In real dollars, this was the equivalent of lowering salaries by 1.2%. In comparison to a decade ago, AAUP salary data shows the rate of increase in faculty raises barely budged.

In faculty lounges, the phrase "corporate university" is used to describe the negative ways that higher education, including the conditions under which the majority of faculty is employed, has been shaped by the business practices that trustees steeped in the culture of Wall Street bring to the campus.

The corporate university eliminates full-time teaching jobs whenever possible. It relies on temporary academic laborers who have few or no benefits and median salaries of $2,700 per course, salary stagnation for the majority of academic and nonacademic employees, the reduction or elimination of union jobs, and the outsourcing of essential services to corporate providers who pay minimum wage or less.

These changes have been accompanied by the creation of massive endowments. NYU's endowment was reported at $2.755 billion in 2012. This is only the 24th largest private endowment in the United States.

I remember a time when administrators were called deans, provosts, treasurers and registrars -- now it seems everybody is a vice president. With these titles have come higher salaries, bonuses, company cars, low-interest mortgages and severance payments for voluntary departures. Boards of trustees approve these lavish practices even as they fight unionization, eliminate full-time faculty positions, refuse even cost-of-living raises for the majority of workers, increase tuition and ask students and their parents to take out tens of thousands of dollars in loans.

What kind of bookkeeping permits contemporary universities to call themselves nonprofits when they are creating significant profits that go toward benefiting the financial aspirations of a few elite employees?

The investigation into NYU should pry open the door to a world of accumulation and mismanagement in universities. Higher education is in need of ethical and fiscal reform, but it can't happen unless we start at the top.

Editor's note: An earlier version of this essay misstated how much free tuition Jack Lew's exit bonus would have provided for undergraduates at NYU.

The opinions expressed in this commentary are solely those of Claire Potter.

@highlight

A Times article revealed that NYU executives are given loans for buying vacation homes

@highlight

Claire Potter: This practice is nearly unheard of in higher education, according to experts

@highlight

She says instead of helping elite employees financially, universities should lower tuition

@highlight

Potter: The NYU news should pry open the door to a world of mismanagement in universities