Andrew L. Shapiro is founder and president of GreenOrder, a strategy and management consulting firm that specializes in energy and the environment and is a subsidiary of LRN. Brad Bate and Ted Grozier, consultants at GreenOrder, also contributed to this article.

Andrew Shapiro says society should aim to transform all jobs into "green jobs."

NEW YORK (CNN) --   In a recent CNN commentary entitled "Green jobs: hope or hype?" Samuel Sherraden argues that green job creation will be insufficient to bring America out of recession. But Sherraden narrowly defines green as a "sector," and fails to see its potential as a strategy for the revitalization of the entire economy.

When the public debate is focused around the precise number of green jobs created in, say, a solar panel factory, we miss the opportunity as a country to think more broadly about greening the economy -- and building a foundation for real growth and competitiveness.

The aspiration to create "green jobs" should really be seen as shorthand for two public priorities -- immediate job creation and long-term transformation of the economy for sustainability and prosperity -- and both goals can be addressed simultaneously. However, in judging our progress, a simple tally of jobs in "green sectors" is only a partial indicator of the impact and thus can be misleading.

A lot depends here on definitions. For example, Sherraden cites a 2008 report produced by Global Insight on behalf of the U.S. Conference of Mayors, which identifies a little more than 750,000 green jobs in the United States today.

A report in the same year, from the American Solar Energy Society, counts more than 9 million green jobs in the United States. This is not to say that one report is better than the other, but to point out that much difference -- in this case, more than 8 million jobs -- depends on how you count.

The critical point Sherraden misses is that it's not just job creation in new green industries that matter, but also new jobs in traditional industries -- or the retooling of old jobs -- to make those industries greener.

A great example is the real estate industry. Energy efficiency retrofits of buildings and homes have the potential to yield significant savings in energy costs while creating work for building engineers, electricians, contractors, manufacturers and people in a whole host of other industries that would not typically be considered "green."

By comparison, 10 or 15 years ago anyone who used a computer was considered to have a "tech job," but now nearly everyone uses a computer (and a cell phone and a PDA) and yet we don't call all jobs "tech jobs." We talk about how technology has changed every industry and profession.

Moreover, even investments in sectors we recognize as green can have other positive economic impacts. Investing in wind power, for example, creates jobs in wind turbine manufacturing plants as well as jobs in the industries that supply the plant with parts, jobs producing the materials that make up these parts, jobs producing the electricity used in the plant, and so on.

There is solid evidence that investment in green economic activity will result in more jobs than many other comparable investments because a greater proportion of funds would go toward labor and would remain in the United States.

The Center for American Progress and the Political Economy Research Institute examined the impact of comparable investments in the oil and gas industry, tax refunds to stimulate household spending, and six specific energy efficiency and renewable energy strategies.

They concluded that $100 billion of investment in renewable energy and energy efficiency would create approximately 2 million jobs, compared to 1.7 million jobs from stimulating household spending and about half a million jobs from investment in oil and gas.

By investing in renewable energy and energy efficiency as strategies for our economy, we will create jobs in the United States, not just green jobs. More importantly, we lay the groundwork for American economic competitiveness and moral leadership in a carbon-constrained world.

If we fail to support environmental innovation through investment and public policy, the United States will find itself at a disadvantage relative to other nations.

America is at a crossroads. If we see green as an engine of growth, there is an unprecedented opportunity to create jobs and revitalize the economy through smart, wide-ranging investments supported by changes in public policy. In the debate over green job creation, we must not lose sight of the larger objective -- the creation of an economy that is more sustainable, in terms of employment, competitiveness and impact on the natural world.

What we need to be asking is: How can we make every industry a green industry and every job a green job?

The opinions expressed in this commentary are solely those of Andrew L. Shapiro.

@highlight

Andrew Shapiro: Skeptics argue that only a small number of jobs are green

@highlight

He says green industries and jobs can be the key to revitalizing economy

@highlight

Shapiro: As economy goes green, jobs will be transformed

@highlight

He says U.S. will lose competitive edge if it doesn't invest in renewable energy