(CNN) -- More than a month and a half into the search for Malaysia Airlines Flight 370, the murmurs are growing louder.

What if the Boeing 777 that disappeared over the southern Indian Ocean is never found?

It was a dismissible thought at first. After all, how could a jetliner carrying 239 passengers and crew simply disappear without a trace?

But so much time is passing with no debris, no oil slick and no bodies.

What if?

1. It will go down as one of the world's most enduring mysteries

The disappearance of Flight 370 would rank right up there with Amelia Earhart. This story has intrigued folks for generations.

The swashbuckling aviatrix and pioneering woman embarked on the first around-the-world flight at the Equator in June 1937. After completing about two-thirds of the flight, she and navigator Frederick Noonan disappeared.

A search never found any trace of her, Noonan or their plane. Some believe they ran out of fuel and crashed into the sea -- similar to one theory of what happened to the Malaysia Airlines plane.

Then there's the Bermuda triangle.

Many ships, planes and people have disappeared in this section of the Atlantic Ocean -- a "triangle" marked by the points of Bermuda, Miami and San Juan, Puerto Rico.

U.S. officials cite hurricanes, sudden storms, the powerful Gulf Stream and shallow Caribbean waters as reasonable explanations for the lost vessels.

But so far, there's been no explanation for Flight 370's disappearance.

Of course, not all mysteries last forever.

It took two years for search parties to recover the black box from Air France Flight 447, which crashed into the Atlantic Ocean on June 1, 2009, en route to Paris from Rio with 228 people aboard.

Sometimes even when you know just about where something is, it's hard to find.

There was no GPS and sea charts in 1912 when the RMS Titanic went down on its maiden voyage in the North Atlantic. It wasn't until 1985 that the British luxury liner was found.

Seventy-three years is a long time to wait, but some answers take time.

2. Families never get the closure a tragedy deserves

If you want to see agony, look into the faces of the relatives of the 153 Chinese nationals who flew aboard the ill-fated flight.

They're guests of Malaysia Airlines in a Beijing hotel while the search continues. They don't expect miracles, but they do want information.

"As time goes on we know that the odds of my son and the other relatives on the plane having survived becomes smaller and smaller," a grey-haired man named Wen said recently, scarcely keeping his composure.

A Malaysian diplomat listened intently.

"To know that somebody is alive, you need to see them. To know that somebody is dead, you need to see the body. That's all I ask of you," Wen concluded, sobbing uncontrollably into a microphone.

It's been a roller coaster of emotions for the families. A dearth of information from Malaysia officials and repeated delays has provoked outright anger.

"Live up to commitments! No more delays! No more lies!" fist -waving family members said.

Heartbreak compounded by disappointment will do that.

Grieving also gets tougher when there's no body to bury. How do you let go if you can't say goodbye?

Yet, hope still burns in the heart of Prahlad Shirsath, whose wife was on the plane.

"I can not let go of that idea, because still we have hope. And deeply I am really convinced in my heart ... that she will come back," he said. "She has to come back, because so far we have not found any reason to lose that hope."

3. False sightings will raise and dash hopes

Every few months or years, someone will come up with a new theory about how the plane disappeared -- or someone will spot what they think is debris. The fleeting moments of hope will give way to fresh anguish.

Madeleine McCann's parents know this all too well.

The 3-year-old vanished in June 2007 while on a family vacation in the Portuguese resort town of Praia da Luz. Her disappearance prompted headlines worldwide -- and remains a mystery 7 years later.

There have been unconfirmed sightings of McCann ever since she was abducted. They bring with them varying degrees of promise. But Madeleine remains missing.

"In the beginning, it all consumes you. Everything in your life takes second place, goes on the back burner," Dave Holloway, the father of Natalee Holloway, told CNN last year.

The Alabama teen went missing on a trip to Aruba in 2005, and her body's never been found. The Holloway case captivated the country, and even now from time to time, a new lead in the case will make headlines.

"I feel for those families who are totally clueless," Halloway said. "At least we know who is responsible for our daughter's disappearance. They have no idea. At least we know."

4. There will be big insurance payouts

There's no tally yet on just how much Malaysia Airlines will owe the relatives of the flight's victims, but it'll be a substantial figure.

Some attorneys, citing their past work on plane crashes, say the total for each passenger could vary from $400,000 to $10 million.

The industry norm for insurance that airliners carry on their planes totals between $2 billion and $2.5 billion per aircraft, according to aviation attorney Dan Rose of Kreindler & Kreindler.

That breaks down to about $10 million per passenger. There were 239 people on flight. The numbers can add up quickly.

Under an international treaty known as the Montreal Convention, the airline must pay relatives of each deceased passenger an initial sum of around $150,000 to $175,000, but that's just a starting point.

Relatives of victims can also sue for further damages.

The plane's manufacturer, Boeing, could be another target of lawsuits.

But until the jetliner is recovered, families won't have much of a case. It's like trying to prove a murder without a body.

5. There will be changes in policy

Every disaster brings changes in policy. But when you don't even know the cause, where do you begin?

U.S. regulators have already approved a new 90-day standard for pingers attached to flight recorders, so search teams have a better chance of finding them under difficult circumstances.

The two-year hunt to find Air France Flight 447 was the impetus, not MH370.

Locator beacons that transmit for 90 days should greatly increase the odds of finding a lost jetliner even in deep water.

Flight 370 had 30-day batteries in its beacons. They were about out of juice by the time aquatic listening devices picked up their signals for a short time.

Another 60 days would have helped their cause.

By 2015, the Federal Aviation Administration will require all new planes to come with the 90-day capability. All older planes must have it by 2020, the FAA says.

Malaysia has sent its preliminary report on Flight 370 to the International Civil Aviation Organization, the U.N. body for global aviation. But it hasn't released it publicly.

"It just adds fuel to the fire -- which is like a furnace now -- of disbelief, particularly in China, as to what is going on," said Geoffrey Thomas, managing director of AirlineRatings.com.

There are so many questions.

Are there better ways to track commercial aircraft? Can planes be followed better by using satellites to track their movements with transmitters that can't be shut down?

Every phone has GPS. Can't we keep closer tabs on aircraft worth hundreds of millions of dollars?

The U.N. aviation agency did tell CNN about a safety recommendation in the report: Malaysia said the aviation world needs to look at real-time tracking of commercial aircraft.

It's the same recommendation that was made after the Air France disaster. But "nothing seems to have happened," CNN aviation correspondent Richard Quest.

For now, though, the focus of determined search crews and anguished families remain on finding the Malaysian jetliner that disappeared without a trace.

CNN's Michael Martinez and Gergory Wallace contributed to this report

@highlight

Amelia Earhart and Bermuda triangle are other lingering mysteries

@highlight

It will be difficult for families to get closure if no bodies are found

@highlight

Billions in insurance claims will likely be paid out

@highlight

Technology and policies will change as a result of MH370