Washington (CNN) -- Monday marks the 50th anniversary of the Supreme Court's landmark ruling in Gideon v Wainwright in which the justices unanimously affirmed a constitutional right to a lawyer for criminal defendants too poor to afford one.

Much has been written about the case, which overruled an earlier decision and forced states to create taxpayer-funded public defender offices. Movies and documentaries have also been made.

Clarence Gideon was charged with breaking into a Panama City, Florida, pool hall on June 3, 1961.

The place was vandalized and money stolen from a cash register. A witness later claimed he saw Gideon leaving the business at 5:30 a.m. with a wine bottle and money in his pocket.

Based on that, he was charged with petty larceny and breaking and entering. He was denied a court-appointed lawyer in state court, represented himself and was convicted.

Here are some of the key moments of the case in the words of those involved:

"Mr. Gideon, I am sorry, but I cannot appoint counsel to represent you in this case. Under the laws of the state of Florida, the only time the court can appoint counsel to represent a defendant is when that person is charged with a capital offense. I am sorry, but I will have to deny your request to appoint counsel to defend you in this case."

-- Trial judge.

Gideon, to the trial judge: "The United States Supreme Court says I am entitled to be represented by counsel."

-- Bay County, Florida, courtroom, August 4, 1961.

"Gideon seemed a man whose own private hopes and fears had long since been deadened by adversity -- a used-up man, looking (15) years older than his actual age of (52). He appeared gaunt, a stooped 6 feet, 140 pounds." He spoke "in a slow, sad, defeated voice."

-- Anthony Lewis, author of "Gideon's Trumpet," a 1964 book about the case.

An appeal to the Florida Supreme Court was denied, so he launched another.

"I, Clarence Earl Gideon, claim that I was denied the rights of the 4th, 5th and 14th amendments of the Bill of Rights."

-- Gideon's 1962 handwritten petition to the Supreme Court.

"It makes no difference how old I am or what color I am or what church I belong too [sic] if any. The question is I did not get a fair trial. The question is very simple."

-- Gideon's petition.

"I think Betts vs. Brady [the 1942 precedent] was wrong when it was decided. I think time has made that clear. And I think that the time has come that the correct rule, the civilized rule, the rule of individualism, the rule of due process must be stated by this court."

-- Abe Fortas, the court-appointed attorney and future Supreme Court justice who argued Gideon's appeal before the high court, January 15, 1963.

"I believe that this case dramatically illustrates the point that you cannot have a fair trial without counsel. Indeed, I believe that ... a criminal court, is not properly constituted ... under our adversary system of law, unless there is a judge and unless there is a counsel for the prosecution and unless there is a counsel for the defense. Without that, how can a civilized nation pretend that it is having a fair trial?

-- Fortas in his oral argument.

"In our adversary system of criminal justice, any person haled into court, who is too poor to hire a lawyer, cannot be assured a fair trial unless counsel is provided for him. This seems to us to be an obvious truth. ... The right of one charged with crime to counsel may not be deemed fundamental and essential to fair trials in some countries, but it is in ours.

From the very beginning, our state and national constitutions and laws have laid great emphasis on procedural and substantive safeguards designed to assure fair trials before impartial tribunals in which every defendant stands equal before the law. This noble ideal cannot be realized if the poor man charged with crime has to face his accusers without a lawyer to assist him."

-- Justice Hugo Black, writing the March 18, 1963, Supreme Court opinion.

"In the decades since this remarkable case-- and Gideon's retrial, at which he was found not guilty-- public defender systems have been established in some states and strengthened in others. Additional court actions have expanded the right to counsel in juvenile and certain misdemeanor cases. And our nation has made significant strides in fulfilling the promise of Gideon - and ensuring quality representation for more of those who need it.

"Yet, despite half a century of progress -- even today, in 2013 -- far too many Americans struggle to gain access to the legal assistance they need. And far too many children and adults routinely enter our juvenile and criminal justice systems with little understanding of the rights to which they're entitled, the charges against them, or the potential sentences they may face. In short, America's indigent defense systems exist in a state of crisis.

-- Attorney General Eric Holder at Friday's 50th anniversary event.

"I will not be proud of this biography. There will be no cause of pride, nor will it be the absolute truth. I cannot remember or desire to remember that well. Also, being only a human being, I will try, though I know I cannot to justify myself through this outline."

-- Clarence Gideon.

@highlight

Landmark Supreme Court case affirmed the right to a lawyer for criminal defendants

@highlight

Clarence Gideon was charged with breaking into a Florida pool hall in 1961

@highlight

He was denied an attorney, represented himself and was convicted at trial

@highlight

Gideon was represented before the Supreme Court by future justice Abe Fortas