(CNN) -- Mark Zuckerberg is not in danger of losing his job, but that doesn't mean he can brush off recent criticism of his leadership.

Facebook has had a rough first three months as a public company. The social network's stock has performed poorly since going public in May, and on Monday morning it dropped to an all-time low of $18.75 -- less than half of the company's initial share price of $38.

Investors are looking to place blame for the disappointing performance, and the obvious target is Zuckerberg, the company's founder and chief executive. The 28-year-old casual-wear enthusiast built Facebook from a dorm-room project into a publicly traded company with 900 million monthly users that saw $3.7 billion in revenue and $1 billion in profits last year.

But since the stock slumped again this week, some critics have openly questioned whether Facebook's boy-wonder CEO has the maturity necessary to navigate the corporate world. In a much-repeated quote that reflected the divide between buttoned-down Wall Street and laid-back startup culture, one analyst wondered if Zuckerberg "is in over his hoodie."

"He is a brilliant guy. He is the visionary behind this company. But ... what he is not is CEO material," Newsweek columnist Joanne Lipman told CNN this week.

Now Zuckerberg is tasked with rebuilding confidence among investors and employees. And some analysts said they think he should start by speaking up about what, exactly, Facebook is up to.

"It's his responsibility; it is his obligation to deal with investors," said Michael Pachter, an analyst with Wedbush Securities. "I'm not sure he cares enough, and I think the management is going to do what the CEO tells them to do."

The shift from coder to investor-relations manager might not come naturally to Zuckerberg, who has repeatedly emphasized that Facebook was not started as a company, and its goal is to focus on the product before profit.

"We don't build services to make money; we make money to build better services," he said in a letter to investors before going public.

But since its initial public offering, the company has been slow to introduce major new products.

One cause of the company's stock troubles, according to Pachter, is that it changed its strategy between its IPO and the first earnings call, significantly increasing operating costs. The vast majority of Facebook's revenue comes from advertising, but the company hasn't explained in detail what it's spending its new revenue on, and how or when those investments will translate into increased profits.

A lack of transparency can create uncertainty, which causes people who own the stock to sell and people who are inclined to buy the stock to wait until they have more information, Pachter said.

"Investors don't know how to think about Facebook, most likely because they don't use it," said Brian Solis, an analyst at Altimeter Group, who speculates that typical investors are more likely to be on LinkedIn. He agrees that more communication from Zuckerberg is needed to give investors faith.

Even shareholders who fully understand Facebook's business model are jumping ship. The company's morale was dealt a huge blow this week when venture capitalist Peter Thiel, a board member and early Facebook investor, unloaded the majority of his shares, bringing the amount of money he's made off the company to more than $1 billion.

Loss of confidence by shareholders exacerbates Wall Street's other major concern -- that Facebook issued too many shares to begin with. Facebook's lockup periods -- rules that prevent early investors and employees from selling stock for a set amount of time following an IPO -- are starting to expire, allowing people such as Thiel to sell.

"The lockups are expiring too soon; the market is just not prepared to absorb this many shares," Pachter said.

Facebook employees aren't able to sell their stocks just yet, but if Zuckerberg can't instill confidence in Facebook soon, they could add to the problem by selling off their shares as soon as it's allowed later this year. For now, they are powerless to do anything but watch while the value of their stock tumbles.

Sagging morale can have a negative impact on every aspect of running a business, including employee recruiting and retention. According to The Wall Street Journal, Zuckerberg addressed employees' concerns in a meeting in August, saying he understands it may be "painful" for them to watch the value of the stock drop.

"He focuses on shipping and user experience. He gives his employees a mission to believe in," said Solis, who favorably compares Zuckerberg's strategy to that of Steve Jobs, another tech-company founder who focused on products above investors. That leadership approach turned out pretty well for Apple.

But Zuckerberg is not leading the company on his own. He has surrounded himself with experienced Silicon Valley and business veterans, including Chief Operating Officer Sheryl Sandberg, who previously worked at Google and for the U.S. Treasury Department.

Publicly, Zuckerberg is keeping his head down while Facebook works to address other issues, such as its challenges making money on mobile users. On Thursday, the company rolled out updates to its mobile iPad and iPhone apps, which are significantly speedier than the previous versions. Also, the company's purchase of Instagram was approved by the Federal Trade Commission this week, which will allow Facebook to focus even more on mobile products.

Despite some speculation in the media about whether he might step down, Zuckerberg's job is safe. He has job security primarily because he smartly owns 20.7% of Facebook's stock and has a 57% voting stake in the company. Many investors also recognize how integral his image and leadership are to the Facebook brand, and they are still willing to give him a chance.

"He has not proven his lack of ability and he has not yet proven his ability," Pachter said. "So let's give him a few more quarters and see what he does."

@highlight

Facebook stock hit a record low of $18.75 this week

@highlight

Some investors are placing blame on CEO Mark Zuckerberg

@highlight

The 28-year-old executive has been trying to boost employee confidence