State College, Pennsylvania (CNN) -- Coach Joe Paterno and the president of the school have lost their jobs, effective immediately, over a child sex abuse scandal at Penn State, university trustees announced Wednesday night.

"What can I say, I'm no longer the coach," Paterno told a crowd of about 15 students gathered outside his house late Wednesday night. "It's going to take some time to get used to. It's been 61 years."

The crowd cheered and said, "We love you, Joe."

"I love you, too!" Paterno replied.

Paterno's wife, Sue, was visibly upset while standing beside him on the front steps.

John P. Surma, vice chairman of trustees, said that President Graham Spanier was being replaced and Paterno, the longtime head football coach, would not finish the remainder of the season.

Nittany Lions defensive coordinator Tom Bradley will serve as interim head coach. Rod Erickson, executive vice president and provost of the school, will be interim president, school officials said.

Stunned Penn State students congregated after the announcement.

Spanier has been president of the school since 1995.

Paterno was given the news of the unanimous decision early Wednesday evening in a telephone call made by chairman of the board Steve Garban and Surma. Asked Paterno's reaction, Surma said, "That's a private discussion that I would rather not characterize."

Surma said he hoped that the school's 95,000 students and hundreds of thousands of alumni would believe the decision "is in the best long-term interest of the university, which is much larger than athletic programs."

"We believe we did the best job we could," he added.

Hours before the decision, Paterno, 84, issued a statement saying he was "absolutely devastated by the developments" involving a former assistant football coach and two university officials and that he would end his 46-year tenure as head football coach at the end of the season. The trustees decided to move that timetable up.

"I grieve for the children and their families, and I pray for their comfort and relief," Paterno said. "With the benefit of hindsight, I wish I had done more."

Paterno's contract is set to expire at the end of the season. Some had called for him to resign immediately because of his response to allegations brought to him in 2002 by a graduate assistant, who said he had seen retired defensive coordinator Jerry Sandusky, now 67, sexually assaulting a young boy in a shower at the campus football complex.

Paterno reported the allegations to his boss. Pennsylvania's attorney general said it appeared Paterno had met his obligations under state law, but critics have said the coach should have reported the suspected abuse to police.

Sandusky, who was arrested Saturday, is accused of sexual offenses, child endangerment and "corruption of a minor" involving eight boys, most or all of whom he met through The Second Mile, the charity he founded to help troubled youths, prosecutors said.

Two Penn State officials are accused of failing to report the alleged abuse.

The U.S. Department of Education said it will launch an investigation into whether Penn State failed to comply with an act requiring colleges and universities to disclose the number of reported criminal incidents on campus each year. "In addition, in certain cases, the institution must issue a timely warning if a reported crime represents a threat to the campus community," it said in a statement.

"If these allegations of sexual abuse are true then this is a horrible tragedy for those young boys. If it turns out that some people at the school knew of the abuse and did nothing or covered it up, that makes it even worse," Education Secretary Arne Duncan said in a statement. "Schools and school officials have a legal and moral responsibility to protect children and young people from violence and abuse."

Athletes, fans and students grappled with implications of the widening scandal.

A "Blue Out" will be held at Saturday's game against Nebraska.

An unofficial Facebook page encouraged fans to wear blue "to support the victims of child abuse worldwide. The Blue Ribbon Campaign against child abuse began 22 years ago and is recognized across the country. In addition to being the color of our team's home game jerseys, blue represents the color of bruises that have too often been neglected."

Sophomore linebacker Dakota Royer told CNN that Paterno told players of his retirement plans Wednesday morning during a team meeting. Many of the approximately 150 players, coaches and school officials in attendance had tears in their eyes, Royer said.

Meanwhile, a tip line has been receiving calls from alleged victims of Sandusky, a source close to the investigation said, and police were attempting to verify the claims.

State Attorney General Linda Kelly said Monday that the alleged failure of Timothy Curley, 57, Penn State's athletic director, and Gary Schultz, 62, the university's senior vice president for finance and business, to report abuse claims "likely allowed a child predator to continue to victimize children for many, many years."

Curley and Schultz, who are each charged with one count of perjury and one count of failure to report suspected abuse, were released Monday on $75,000 bail each. Their attorneys have declared that the men are innocent.

Curley and Schultz stepped down late Sunday after an emergency meeting of the university's board of trustees.The case has raised questions on how Penn State officials handled allegations.

Curley's successor, acting athletics director Mark C. Sherburne, said the school is entrusted with the lives of young people.

"We are outraged that a valued trust has been broken," he said on Penn State's sports website Wednesday. "We can promise you that we are doing everything in our power to restore that broken trust. Everyone within athletics -- coaches, administrators, staff and student-athletes -- are committed to this pledge."

Penn State's board of trustees said it would create a special committee to investigate the child rape allegations, which became public last week with the release of a grand jury report.

The Second Mile describes itself on its website as "a statewide, nonprofit organization for children who need additional support and who would benefit from positive human contact."

Sandusky's involvement with The Second Mile provided him with "access to hundreds of boys, many of whom were vulnerable due to their social situations," the grand jury said. The former coach is said to have engaged in fondling, oral and anal sex with boys over at least 15 years, according to the investigative grand jury's summary of testimony.

Sandusky, who served 23 years as defensive coordinator for the Nittany Lions football team before retiring in 1999, is free on $100,000 bail.

The grand jury investigation that led to the charges began with the claims of an alleged victim who said Sandusky had "indecently assaulted" him and engaged in sex acts while he was a guest at the coach's home, the attorney general said.

The alleged victim had met Sandusky through The Second Mile, and Sandusky allegedly gave him expensive gifts such as trips to professional and college games, golf clubs, a computer and money, Kelly said.

The alleged abuse began in 2005 and lasted into 2008, and included overnight stays at Sandusky's home, according to Kelly and grand jury testimony.

The grand jury report also cites an alleged March 2002 incident in which a graduate student reported seeing Sandusky in a locker room shower of the football building engaged in anal sex on a boy.

"Hearing what sounded like sexual activity in the showers of a building that was supposed to be empty, a graduate assistant reportedly observed Sandusky sexually assaulting a naked boy who appeared to be about 10 years old," Kelly said.

The assistant reported the incident to Paterno, who, in turn, alerted Curley.

Paterno said in an earlier statement that he had done his duty in informing Curley.

"It was obvious that the witness was distraught over what he saw, but he at no time related to me the very specific actions contained in the grand jury report," Paterno said. "Regardless, it was clear that the witness saw something inappropriate involving Mr. Sandusky. As Coach Sandusky was retired from our coaching staff at that time, I referred the matter to university administrators."

But instead of reporting the incident to authorities, Curley and Schultz took Sandusky's locker room keys and banned him from having children from The Second Mile visit the football building, Kelly said.

In a statement, Paterno called the charges "shocking."

"While I did what I was supposed to with the one charge brought to my attention, like anyone else involved, I can't help but be deeply saddened these matters are alleged to have occurred," he said.

As the controversy swirled Wednesday, a mural depicting Penn State and State College notables reflected the feelings of many in the university community and its environs.

An artist painted Sandusky out of the mural, CNN Johnstown affiliate WJAC reported.

CNN's Sarah Hoye, Jason Carroll, Jason Kessler, Laura Dolan and Kiran Khalid contributed to this report.

@highlight

NEW: Paterno tells students outside his house, "It's going to take some time to get used to"

@highlight

Trustees dismiss Spanier, remove Paterno as head coach immediately

@highlight

U.S. Department of Education investigating Penn State

@highlight

"With the benefit of hindsight, I wish I had done more," Paterno says