(Wired) -- The timeline for autonomous cars hitting the road en masse keeps getting closer. GM's Cadillac division expects to produce partially autonomous cars at a large scale by 2015, and the automaker also predicts it will have fully autonomous cars available by the end of the decade. Audi and BMW have also shown self-driving car concepts, with the former working with Stanford to pilot a modified TT up Pikes Peak. Meanwhile, Google is ripping along at its own rapid pace with a fleet of fully autonomous Toyota Prius hybrids that have logged over 300,000 miles. And the company has pushed through legislation that legalizes self-driving cars in Nevada. California is close behind, and Google has also been busy lobbying joyriding lawmakers in Washington, D.C.

But while we know that robo-cars are coming, the Institute of Electrical and Electronics Engineers (IEEE) recently released predictions that autonomous cars will account for up to 75 percent of vehicles on the road by the year 2040. The organization went even further, forecasting how infrastructure, society and attitudes could change when self-driving cars become the norm around the middle of the century.

IEEE envisions an absence of traffic signs and lights since highly evolved, self-driving cars won't need them, and it believes that full deployment could even eliminate the need for driver's licenses.

Google gets license to operate driverless cars in Nevada

While this all sounds sci-fi, we're already starting to see separate threads of this autonomous-car future being weaved in current real-world tests.

It's been assumed that the largest hurdle for autonomous cars is building the infrastructure. Not so, says Dr. Alberto Broggi, IEEE senior member and professor of computer engineering at the University of Parma in Italy. Broggi, the director of a 2010 project that successfully piloted two driverless cars on an 8,000-mile road trip from Parma to Shanghai, points out that two current types of self-driving cars will need less infrastructure, not more.

"The Google cars are based on very precise maps and they have sensing primarily based on a LIDAR technology," he told Wired. "The cars that we tested on the route from Parma to Shanghai had no maps, and had sensing primarily based on cameras. In both cases, the cars have no help from the infrastructure."

When reached for comment, a Google spokesman declined to make a statement on this story and IEEE's predictions on autonomous cars.

But Broggi also delineates between what he sees as different levels of self-driving technology as the features mature, and adds that infrastructure in the form of centralized communication once large numbers of autonomous cars are on the road will be crucial -- and have the greatest impact. This could lead to traffic lights, speed limits and even driver licensing disappearing. "Autonomous cars alone will bring limited benefits," he says. "They would be able to locate obstacles, avoid them and follow the road. But efficient autonomous operations would also require that vehicles coordinate with each other."

A nascent form of vehicle-to-vehicle communication (V2V) is currently being tested in a NHTSA field trial in Ann Arbor, allowing cars to share situational data to avoid crashing into each other. Meanwhile, Volvo is testing the concept of using "road trains" in Europe to allow for more efficient driving. "A train of vehicles moving very close to each other would reach a higher throughput -- the number of cars per road unit -- and have lower fuel consumption due to aerodynamic drift," says Broggi.

Vehicle-to-infrastructure (V2I) communication would also allow vehicles to share their position, destination and intended route with a central station, Broggi continues, that could coordinate and dispatch information about traffic and route vehicles accordingly. "Suppose all cars are connected and a central station knows precisely their position and destination," Broggi says. "The central station can send speed adjustment commands to the vehicles that enter an intersection in such a way that they do not collide and they occupy the intersection area one at a time, optimizing their movements. In this case, traffic lights will not be required since coordination is reached at a higher level." We're already seeing a basic form of this in testing going on in Europe that combines V2V and V2I communication, collectively known as V2X.

IEEE also foresees autonomous vehicles accelerating car sharing and helping make it more widespread, especially for people within a wider range of ages and physical abilities. And driverless cars may even eliminate the need for driver's licenses. "People do not need a license to sit on a train or a bus," said Azim Eskandarian, director of the IEEE's Center for Intelligent Systems Research, in a statement. "In a full-autonomy case in which no driver intervention will be allowed, the car will be operating. So there will not be any special requirements for drivers or occupants to use the vehicle as a form of transportation."

IEEE also predicts that the biggest barrier to pervasive adoption of driverless cars may have nothing to do with technology, but will be general public acceptance. While the average driver may grasp the basic benefits of autonomous cars -- increased fuel efficiency and safety, along with a reduction in traffic -- it may not be enough to get them to let go of the steering wheel. Jeffrey Miller, IEEE member and associate professor of computer systems engineering at the University of Alaska-Anchorage, believes that baby steps in the form of driver assist systems may help. "As more vehicular controls begin being automated, such as parallel parking and automatic braking, people will become more accepting of autonomous technologies," Miller told Wired. "So by 2040, driverless vehicles will be widely accepted and possibly be the dominant vehicles on the road."

Overheard on CNN.com: Autonomous cars reduce 'crashes'? Press any key to continue

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

IEEE: 75% of cars will be autonomous by 2040

@highlight

The engineering group says traffic lights will go away

@highlight

Driver's licenses may also become relics of the past

@highlight

Professor: 'By 2040, driverless vehicles will be widely accepted'