Washington (CNN)To gauge Jon Stewart's impact on American politics, try to imagine a presidential election without him.

The last time that happened was in 1996 when Bill Clinton faced off against Bob Dole.

"The Daily Show" host's hordes of millennial fans and political junkies will soon find out what a sans-Stewart election is like as they pick their way through the spin, obfuscations and outrages of the 2016 race without him. Stewart, sometimes known as "The Most Trusted Name in Fake News," made the surprising announcement on Tuesday that he would quit the Comedy Central hit before the end of the year after 16 years behind his desk.

In a slice of irony almost too delicious to be true, news of the fake newsman's retirement emerged at the same time as a real newsman, Brian Williams, was suspended by NBC for six months after reports of his exaggerated war stories came to light.

Over the years, Stewart has carved out a unique place at the intersection of politics, entertainment and journalism, offering a mocking take on the news with his whiplash humor and pseudo anchorman's persona.

Stewart's grillings of politicians are legendary. Candidates who go on his show endure an unpredictable, high wire rite of passage and the host's sharp tongue -- all in pursuit of the young voters who form his core audience.

It's been repeated so often that it's now a cliche. But plenty of studies show that many young Americans get their political news not from TV networks or newspapers but from Stewart's biting satire.

In a 2012 survey, the Pew Research Center for People and the Press found that 39% of "The Daily Show's" regular viewers were between 18 and 29, but the group makes up just 23% of the public as a whole.

That is a demographic politicians kill for. And it explains why those running for office -- particularly Democrats keen to connect with Stewart's urban, left-leaning audience -- brave appearing on his show.

Though Stewart frequently denies his program is a news show and is merely about entertainment, his work appears to serve much the same function as traditional network news shows.

His dissection of issues and forensic dismissal of political hypocrisy perform much the same roles as fact checkers in traditional media.

Another survey in 2007 showed that Americans who knew most about what was going on in the world also tended to be viewers of "The Daily Show" and its recently shuttered Comedy Central spin off "The Colbert Report."

Stewart has been a constant guide for a certain segment of Americans throughout the tumultuous decade-and-a-half that has opened the 21st Century, filtering events and curating opinion.

In moments of farce, like the 2000 election, or instances of tragedy, such as the Sept. 11, 2001, attacks, and subsequent political races, Stewart was there surfing the zeitgeist and resetting conventional media wisdom.

When George W. Bush had the 2000 election handed to him by the Supreme Court, Stewart voiced the frustrations of many liberals who thought the election was stolen.

"I was not elected to serve one party" a young-looking Stewart showed Bush in a clip saying, before adding "you were not elected!"

A year later, Stewart helped teach America to laugh again in the harrowing weeks after the terror attacks.

On his first show back after 9/11, Stewart replaced his normally sardonic opening segment with a moving monologue about the impact of the tragedy on his beloved New York City.

"We are going to get back to this. It is going to be fun and it is going to be funny," he sniffed through tears.

When the Iraq war turned into a quagmire, Stewart turned his searing wit on the Bush administration's missteps and failures of the occupation with his long-running "Mess O' Potamia" segment.

His daily lambasting of top Bush aides reflected and helped to shape the fast souring public mood on the war, which eventually provided the conditions for the rise of anti-war candidate Barack Obama in 2008.

Obama, who revolutionized campaigning with his use of YouTube, social media and new digital technologies and Stewart -- with his easily sharable segments which popped perfectly for emerging media sources like Facebook -- might have been made for one another.

Young voters were vital for Obama's hopes of beating the Hillary Clinton machine in 2008. And he knew where to find them -- on Stewart's show.

"The Daily Show," under the guise of humor and satire, also allowed Obama to gently deal with fiercely divisive campaign issues that were off limits or were difficult to handle on regular news shows.

In a 2008 Obama appearance before the Pennsylvania primary, for instance, Stewart took on the latent racism that many Democrats thought was hampering the senator in the state and elsewhere.

"I am going to cut through the spin for you, sir, that's what I am here for," Stewart told a laughing Obama.

"We are concerned that ultimately at the end of the day .... if you are fortunate enough to become the president of the United States, will you pull a bait and switch, sir, and enslave the white race?"

In 2010, Obama was back on the show days before the midterm elections in what was seen as a transparent attempt to reconnect with the young voters who powered his 2008 campaign but had since soured. Obama, the first sitting U.S. president to appear on "The Daily Show," may have got more than he bargained for when Stewart mocked him as a shadow of his 2008 persona after he hit gridlock in Washington.

"You wouldn't say 'Yes we can, with certain conditions,'" Stewart quipped, to Obama's evident discomfort.

Obama often felt the lash of Stewart's tongue, most often when he fell short of the high expectations he raised in 2008.

In 2013, Stewart ripped the president for what he thought was his dismissive response to perceived scandals in the IRS and over the death of a U.S. diplomat in Benghazi.

"I wouldn't be surprised if President Obama learned Osama bin Laden had been killed when he saw himself announce it on television," Stewart joked.

More recently, Stewart slammed Obama for not showing up  to a march in Paris to honor victims of those killed by Islamic extremists on an attack on the satirical magazine Charlie Hebdo.

"How could the U.S. not be there?" Stewart asked.

But despite the critiques of Obama, Stewart has his own critics, including Republicans who complain he favors Democrats too openly, and  some pro-Israel groups, who have complained at his coverage of the Jewish state.

It is not only politicians who have felt Stewart's mockery. The media gets it in the neck too.

Fox News and its perceived conservative bias has been a target on Stewart's show for years.

One of Stewart's most well-remembered skits was his merciless takedown of conservative commentator Glenn Beck, complete with glasses and fake blackboard.

In 2010, Stewart mocked dueling protest marches engineered by Beck and civil rights campaigner Al Sharpton and drew more than 200,000 people to Washington's National Mall with the "Rally to Restore Sanity and/or fear" with his Comedy Central partner Stephen Colbert.

Stewart's ire often was directed at the state of political journalism itself -- and the way news shows tend to play off a conservative and a liberal pudits on opposite sides and call it balanced news coverage.

CNN wasn't immune from his attention. Stewart famously came on the CNN show "Crossfire" in 2004 to skewer hosts Tucker Carlson and Paul Begala.

"You're partisan, what do you call it ... hacks," said Stewart. "Stop hurting America," he blasted in an appearance on the set.

Stewart, who took a sabbatical from his show in 2013 to direct a movie, appeared to foreshadow his departure from the "Daily Show" late last year in an interview with "Fresh Air" host Terry Gross on NPR.

"I do feel like I don't know there will ever be anything that I will be as well suited for as this show," Stewart said. "That being said, there are moments when you realize that is not enough anymore. The minute I say I am not going to do it any more, I will miss it like crazy."

Stewart's fans, not least those in politics, are already feeling the same about him.

@highlight

Stewart hanging up mic after 16 years

@highlight

He carved out unique role at intersection of real and fake news