San Diego (CNN) -- We start with the obvious question: Why do the media, political observers and presidential campaigns spend so much time talking about the Latino vote?

Many Americans resent the implication that some votes are more important or have more impact than others. (No one is saying that's the case.)

Still, why don't we talk with equal enthusiasm about voting by African-Americans or white evangelicals or left-handed senior citizens who live in Rhode Island?

Here are four reasons:

1. The number of Hispanic voters has been increasing steadily -- by 2 million since the last presidential election. An estimated 12 million Latinos are expected to cast ballots in November, up from 10 million in 2008. That could account for as much as 10% of the total number of ballots cast across all demographic groups.

2. Latino voters live in swing states that pick presidents. They are a major presence in four battlegrounds: Colorado, Florida, Nevada and New Mexico. While they are also a force in blue states such as California and New York and red states such as Texas and Arizona, their real influence is in the purple states.

3. Hispanics are up for grabs, more than African-Americans who vote overwhelmingly for Democrats and white conservative Christians who usually support Republicans. While the majority closely identify with the Democratic Party -- a December 2011 study by the Pew Hispanic Center said 67% call themselves Democrats and 20% Republicans -- Hispanics have in the past shown a willingness to support Republicans with moderate views on issues such as immigration.

4. The Hispanic population will become more important and politically powerful. According to the 2010 census, the number of Hispanics in this country grew 43% in the last decade. Only one group is growing faster: Asian Americans. By 2050, Hispanics are projected to number 132 million and represent 30% of the population.

What questions would you like to ask the candidates? Share a short video question.

It's a new world. Look no further than the 23rd Congressional District in Texas, where Republican Rep. Francisco "Quico" Canseco and Democratic challenger Pete Gallego recently faced off in a debate in San Antonio. The debate was entirely in Spanish, a show of respect in a district that is 66% Latino and where 53% of residents speak a language other than English at home.

Unfortunately, there are still remnants of the old world. For that, we can thank both political parties who put their own interests ahead of everyday Americans -- with Latinos being no exception.

In this nation of immigrants, the federal government and local law enforcement officers now work hand-in-glove to round up and deport the undocumented. And this isn't just happening in Republican-controlled Arizona.

Thanks to a program called Secure Communities, which requires local police to submit to federal authorities the fingerprints of anyone they suspect might be in the country illegally (read: Hispanics), that kind of cooperation is now standard operating procedure from sea to shining sea. The program was started at the end of 2008, but it has been ramped up during the Obama Administration as a way of increasing deportation figures.

Latinos, according to the Pew study, are nearly twice as likely as the general public to support a pathway to citizenship for illegal immigrants. In the presidential matchup between Barack Obama and Mitt Romney, Latinos have a Hobson's choice between a Republican challenger who talks about getting tough on illegal immigrants and a Democratic incumbent who already has.

Of course, there is always the chance that Latinos don't consider immigration a top priority. But we have already been assured that they do. By whom? Why, by Democrats who use the issue to attack Republicans, and Republicans who use it to attack Democrats.

Back in the world of bad choices, if Latinos fall in line behind Obama, despite his record 1.5 million deportations and the dividing of hundreds of thousands of families, they will send the president a clear message: "Do with us what you will. We have no real influence and no power because we have no principles and no integrity. You can wipe your feet on our concerns, and we'll still support you."

If they vote for Mitt Romney despite his harsh rhetoric in the primary, they'll be saying: "It's OK to propose simple solutions, to demagogue the immigration issue, to twist your opponents' positions and to caricature immigrants as takers and a burden on society. We'll still take a chance on you as a better alternative to what we have now."

If Latino voters go down either path, there could soon come a day when we won't have to worry about discussing the power of the Latino vote -- because there may not be much power to discuss.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Four reasons why so many are focused on the Latino vote this election

@highlight

He says Latino voters rolls have swelled, and they are well-represented in swing states

@highlight

He says they skew Democrat, but may be open to GOP; immigration an issue either way

@highlight

Navarrette: Latinos face Hobson's choice in election