Now that the Supreme Court has upheld the constitutionality of the individual mandate, it's time to focus on what has always been a key goal of health reform: Controlling health care costs.

No matter how you count it, health care spending is large -- and growing at a worrisome rate. In 2011, Americans spent $2.7 trillion on health care, almost 18% of our GDP.   The federal government spends more on health care than on defense, Social Security or any other single expenditure category. Investments that could have gone into important areas like education or infrastructure are instead diverted into footing our health care bills.

The individual mandate by itself will have little effect on costs. This is because the main effect of the mandate is to add a relatively small number of people, about 15 million, to the insurance rolls.  The vast majority of Americans, more than 250 million, already get their health insurance on the job or from public programs such as Medicare and Medicaid.  The mandate alone was never going to change their health spending patterns.  However, this does not mean that the court's decision will have no effect on health spending.

The Affordable Care Act contains many provisions intended to drive the health care system toward providing greater value.

It would not be an overstatement to say that, with the exception of eliminating the tax break for employer-sponsored health insurance, the health reform law contains almost every idea that anyone, Democrat or Republican, has had in the past 10 years, about how to increase quality and efficiency in the health care system.

These ideas include accountable care organizations, patient-centered medical homes, value-based purchasing in Medicare, incentives for hospitals to provider better, safer and more efficient care, an excise tax on "Cadillac" health plans, and better information about treatment effectiveness to help patients and providers make informed decisions.

The value-based purchasing program, for example, will change the way Medicare pays hospitals for inpatient care.  Instead of paying hospitals for the amount of care they provide, Medicare payments will now also depend on the quality of care provided.  The idea is that by following best practices, hospitals will forgo unnecessary care, help patients recover faster and spend less.

Some of these reforms targeting the health care delivery system are novel, and experts are rightly cautious in their predictions about what they can accomplish and whether they will "bend the curve" of health care spending until it is sustainable.

There are other ideas out there on how we can reduce the federal government's obligations -- notably the plan advanced by Rep. Paul Ryan, R-Wisconsin, which takes the brute force approach of simply shifting costs from the government to states and individuals.  The Affordable Care Act is the better choice.  Instead of papering over our problems by shifting ever-increasing costs to those least able to afford care or depriving people of the services they need, the health reform law applies the most creative thinking to address the roots of our spending problems.

Today, the court gave us the green light to get on with seeking solutions to the underlying problem of inefficient spending. It permitted the government to do what it should, to innovate in the face of a seemingly intractable social problem.  Not everyone is happy with the decision. But no one can deny that it opens a new chapter in our history as we move forward on a bold and necessary policy experiment.

@highlight

The Supreme Court has upheld the constitutionality of the individual mandate

@highlight

Jill Horwitz and Helen Levy: Now it's time to focus on key goal of controlling health care costs

@highlight

Affordable Care Act contains provisions that can improve health care system, they say

@highlight

Horwitz, Levy: Court's decision opens a new chapter in our history as we try out new policy