(CNN) -- "Battlestar Galactica," the TV series that has held up a mirror to post-9/11 politics and paranoia for the past four seasons, comes to an end Friday.

"Battlestar Galactica" drew consistent praise from the critics, but never attracted huge audiences.

The show's legions of fans may be in mourning, but executive producer David Eick finds the looming finale bittersweet.

"It's a combination of deep sadness and a little bit of relief," he told CNN by phone from Los Angeles.

Eick and his producing partner Ronald D. Moore revived -- or, as they like to say, "reimagined" -- a campy late-1970s space opera about a ragtag group of survivors from an attack that wiped out most of humanity, making it a gritty, tense, and morally ambiguous drama.

Echoes of the traumas that shaped contemporary America are inescapable, from a shot in opening credits that looks like Manhattan before the attacks of September 11, 2001, to questions about curtailing civil liberties in wartime.

Eick says the show is a reflection of its times.

The show "went into development very shortly after the attacks -- December of 2001. Not only were we post-9/11, but the wounds were so extremely fresh, there was still a great deal of shock," he said.

Some of the imagery and themes of the show derived directly from the attacks, he said, such as a "wall of grief" where people place pictures of dead comrades.

The show's central conflict has a religious dimension: The show's villains, the mechanical yet human-looking Cylons, believe in one god; the humans believe in many.

"The antagonists are motivated by a belief that they are operating with the blessing, the permission of an all-powerful god. To the extent that religion and spiritual beliefs were chief motivations for the antagonists, that had resonance with al Qaeda," Eick said.

But, he said, the writers fought to keep the show from becoming morally simplistic.

"Sci-fi has always been a safe haven because we're not talking about al Qaeda, we're talking about the Cylons," he said.

"We went to great lengths to try to see things from the opponents' point of view, to make the audience ask if they are rooting for the right side," he said. In fact, the Cylons become increasingly complicated characters as the series goes on, ultimately warring among themselves -- as do the humans.

"The intention of 'Battlestar Galactica' was to present flawed heroes, who fought among themselves as much as the enemy," Eick said. "We are drawn to heroes who succeed in spite of themselves."

"Growing discontent with the [Bush] administration allowed us to deepen many of those flaws in those characters," he said, even as he denied the show was designed  to reflect the headlines.

"Rarely do I recall saying: 'Let's do Abu Ghraib,' " said Eick, referring to the notorious prison in Iraq. The series does include an interrogation episode with a clear reference to waterboarding.

The show drew consistent praise from the critics, but never attracted huge audiences from its home on the Sci-Fi channel, a cable network. Nielsen figures suggest the miniseries that launched the show drew about 4 million viewers, but audiences dipped to about half that in the third season before rebounding slightly as the fourth and final season began last year.

Eick said he did not watch the original "Battlestar Galactica" series, which ran from 1978 to 1980 -- another gloomy era in America.

But he knew he did not want his protagonist to be like the hero of that show, even if they shared the same name.

"In the original incarnation, the main character of Adama was the picture of perfection, a military genius and a family man and a diplomat and a great orator, and and and... We were in an age where it didn't seem plausible that one person could have all the answers," he said.

"The world didn't need another moralizing space opera," he said, drawing a specific contrast with the much more successful "Star Trek" franchise, or, as he called it "escapist 'Star Trek'-ian action-adventure."

"The virtue of 'Star Trek' is that is does present a problem -- a moral crisis that its main characters ultimately solve or answer in a way that is intended to be a model for the audience," Eick said. "They come away feeling better about themselves."

That has never been "Battlestar Galactica's" intention, he said.

"To the show's good fortune, the audience was in need of a vehicle for its angst and its paranoia," said Eick, who said that as a viewer, he "was much more seduced" by darker stories that "felt like a reflection of reality."

The walls of his home, he said, are adorned with posters from just such dark films: "Jaws," "Taxi Driver," "The Exorcist," "Lenny" and "Manhattan." (He also likes the lighter fare of "The Blues Brothers." )

"For some people, there's something very cathartic about watching nihilistic drama," he said. "There is a relief associated with it.

"We often hear that what audiences want in troubled times is escapism and comfort food. I think it's the opposite. They want a way to feel their reality reflected back at them."

@highlight

Show featured group of survivors from an attack that wiped out most of humanity

@highlight

It went into development shortly after the September 11, 2001, attacks

@highlight

Executive producer: Some of the themes of the show derived directly from the attacks

@highlight

Original "Battlestar Galactica" series ran from 1978 to 1980