WASHINGTON (CNN) -- Determining the amount of troops necessary to win a war is never an easy decision for a commander in chief and his military commanders if history is any guide.

The Obama administration is working on a strategic review of improving conditions in Afghanistan.

And it's a dilemma President Obama faces as pressure mounts on him to decide what strategy will improve conditions in Afghanistan.

The president and his top military, national security and foreign policy advisers are conducting an intensive strategic review of the U.S. military presence in the war-torn nation.

Gen. Stanley McChrystal, the top U.S. commander in Afghanistan, is calling for a counterinsurgency strategy that would add as many as 40,000 troops.

But others in the administration want a different approach.

Vice President Joe Biden has called for a counterterrorism strategy, which would focus on using special forces and technology to reduce the number of al Qaeda insurgents on the Afghanistan-Pakistan border.

If the president should listen to McChrystal and adopt a troop "surge," the question remains: How many is enough?

One expert said such a large number is needed to reduce violence throughout the country -- the 40,000 troops would allow the U.S. military to "reverse the momentum of the insurgency, which has been on the rise," said Kimberly Kagan of the Institute for the Study of War, who has advised McChrystal on Afghanistan.

That number, Kagan said, would help fill in gaps around Kandahar in the southern part of the country where Taliban forces have amassed. But she warned that eventually, troops would also be needed to tamp down the insurgency in other parts of the country.

"If we had 40,000 more troops, it is likely that the initiative would be wrested from the enemy, and the U.S. and coalition forces would be able to mount a counteroffensive that would proceed in stages over time," she said.

Even with more troops, the fight will be a tough one if the last few weeks are any indication. Just last week, eight U.S. soldiers were killed in an intense firefight with hundreds of insurgents in Nuristan province, a remote area in northern Afghanistan. It was the second deadliest attack in a single day so far in the war, which recently entered its ninth year. Read soldiers' accounts from the battle

The White House is getting pressure from all sides of this issue. Many on the right have said the president should take the advice of the commanders on the ground.

Sen. John McCain, a staunch supporter of the 2007 troop surge in Iraq, said Sunday that any added military deployment in Afghanistan smaller than 40,000 troops "would be an error of historic proportions."

Asked whether he thought the war in Afghanistan could be won with fewer troops, the Arizona Republican said, "I do not."

"I think the great danger now is a half-measure, sort of a -- you know, try to please all ends of the political spectrum," McCain told John King on "CNN's State of the Union."

"And, again, I have great sympathy for the president, making the toughest decisions that presidents have to make, but I think he needs to use deliberate speed."

Democrats are split over increasing troops.

Democratic Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, said U.S. troops would be put in "jeopardy" if Obama does not listen to McChrystal.

"I don't know how you put somebody in who's as crackerjack as Gen. McChrystal, who gives the president very solid recommendations, and not take those recommendations if you're not going to pull out," she said on ABC's "This Week."

But Rep. Jim McGovern, D-Massachusetts, who also appeared on ABC, said that enlarging the U.S. footprint in Afghanistan would be a mistake.  Watch more on the varying advice Obama is receiving from lawmakers »

"We need to come up with a strategy that includes an exit strategy, because it'll also put pressure on the government of Afghanistan to step up to the plate, which it has not done so far."

McGovern said adding more troops and resources will make the country go "bankrupt."

"We have wars in Iraq, in Afghanistan, hundreds of billions of dollars that are all going onto our credit card. Our kids and our grandkids are paying for this."

But the troop number argument is nothing new for presidents and their defense secretaries.

Criticism surrounded then-Defense Secretary Donald Rumsfeld as conditions in Iraq deteriorated and insurgents increased attacks on U.S. forces. He was largely criticized for not sending enough troops early in the Iraq war.

Rumsfeld's plan, observers have said, was to win the war in Iraq with smaller troop numbers and a large emphasis on technology, which would in turn let democracy take root.

At the beginning of the war in 2003, troops quickly filled the country, took out Saddam Hussein's government and gained control of Baghdad, the capital. The force was small, and success came quickly.

But three years later, civil war broke out, and U.S. forces struggled to maintain control of cities they had once secured.

Rumsfeld admitted in a 2006 CNN interview that no one was well-prepared for what would happen after major combat ended.

"Well, I think that anyone who looks at it with the benefit of 20/20 hindsight has to say that there was not an anticipation that the level of insurgency would be anything approximating what it is," Rumsfeld told CNN for the 2006 documentary, "CNN Presents Rumsfeld -- Man of War."

CNN's Tom Evans and Kate Bolduan contributed to this report.

@highlight

The war in Afghanistan passed the 8-year mark last week

@highlight

Obama and his national security team are working on a new strategy

@highlight

His top commander there has reportedly called for 40,000 more troops