(CNN) -- The flood-engorged Susquehanna River was beginning to crest late Thursday in some Pennsylvania and New York cities, while other communities braced for still higher water levels.

Thousands evacuated their homes as the remnants of Tropical Storm Lee moved across already sodden portions of the Northeast, triggering near-historic flooding and leaving at least three people dead.

In Luzerne County, in the northeastern part of Pennsylvania, between 65,000 and 70,000 people were ordered to leave their homes as the Susquehanna rose above flood stage, according to Emergency Management Coordinator Stephen Bekanich.

The levee system was holding late Thursday in Wilkes-Barre, the county seat, a few hours before the river was to crest.

As of 9:45 p.m. ET Thursday, the Susquehanna was at 38.83 feet at Wilkes-Barre. Flood stage is 22 feet, according to the National Weather Service.The valley has a levee system that tops out at 41 feet, and the river was projected to crest just shy of that Friday morning, near 40.7 feet, according to Drew McLaughlin, a spokesman for the Wilkes-Barre mayor's office.

McLaughlin and other officials were examining the levees. "We're closely monitoring, and it seems they are holding steady," he said.

A river gate near the Market Street Bridge was leaking late Thursday, but sandbags and other repairs were keeping it in check, with some minor street flooding in the area, according to McLaughlin.

"It's pretty much a ghost town," McLaughlin said from south downtown, adding that residents appeared to heed the call to leave.

Other Luzerne County communities not protected by the system were not so fortunate.

Heavy flooding was reported in West Pittston, Harding and Plymouth Township.

"At this point, we haven't been able to assess that (flooding and damage) because the water is so high," Bekanich said.

Plymouth Township resident Francis Federici was forced to leave his home, which sat in 5-foot floodwaters.

"On a normal day, we love it here," he said. "There's nobody around us. We have a beautiful yard. We were fixing our home up."

"The rise of the river is so tremendous, we put out a request to volunteers to assist in sandbagging operations," Bekanich said.

"We're getting more and more alarmed as the day progresses," said Luzerne County Commissioner Maryanne Petrilla, who said the river is now forecast to crest between midnight Thursday and 2 a.m. Friday.

Shelter space for 4,100 was rapidly being filled, and the county was looking for more space, Petrilla told CNN.

The area from Ithaca to Syracuse to Utica, in New York, and from Wilkes-Barre, Scranton, to Monticello, in Pennsylvania, continued to experience major to record flooding, CNN meteorologist Dave Hennen said.

A 71-year-old man died Wednesday night in Derry Township, Pennsylvania, as he was bailing water out of the basement of his home and the walls of the structure caved in, said Chief Patrick O'Rourke of Derry Township Police.

A second person drowned early Thursday near Brickerville in Lancaster County, CNN affiliate WGAL-TV reported.

A third person died about 4:30 a.m. Thursday in North Lebanon Township, Pennsylvania, police said. A motorist became stranded in high water and was outside the vehicle when struck by another vehicle, which then left the scene. The suspect and that vehicle were found, authorities said.

Elizabethtown, Pennsylvania, had received an incredible 15.37 inches of rainfall associated with Lee.

P&J Pizza, which escaped flooding, did a brisk business Thursday because so many residents couldn't use their kitchens, said employee Sarah Bellia.

Many recalled the flooding caused by Hurricane Agnes in 1972. That storm dumped as much as 18 inches of rain on the area in two days, destroying more than 68,000 homes and 3,000 businesses and leaving 220,000 Pennsylvanians homeless.

In Bloomsburg, Pennsylvania, CNN iReporter Nick Bohacz said flooded roads prevented him from getting to work. Bohacz, who sent in several photos of the flooding, said he saw a line of people outside a hardware store waiting for supplies.

Harrisburg, Pennsylvania, and other towns won't see a river crest until later Friday.

The rising Susquehanna and Chenango rivers were also triggering evacuations in upstate New York, where evacuation orders were issued for portions of Binghamton and the towns of Conklin, Endicott, Johnson City, Union and Vestal, according to CNN affiliate YNN-TV. Numerous cities and counties declared a state of emergency.

Video from Johnson City showed a flooded shopping mall and a football field with water nearly up to its goalposts.

"This is a major flooding situation," New York Gov. Andrew Cuomo said at a news conference. "This is nothing to trifle with." He said he believes flooding will reach historic levels. "By the time it looks that bad, you won't be able to leave," he said.

Water was coming over the floodwalls in Binghamton, county spokeswoman Colleen Wagner said. About 15,000 people were ordered to evacuate, and about 1,400 were in shelters, she said. State officials sent in food and water.

A number of boat rescues have taken place, she said, but she did not know how many. The Susquehanna later Thursday crested at 25.71 feet.

Broome County Emergency Services Director Brett Chellis urged people in the evacuation areas to leave and not return for now. Water was topping flood walls in Union and Vestal as well as Binghamton, he said.

In Otego, New York, about 50 miles northeast of Binghamton, CNN iReporter Don Wyckoff captured footage of water cascading down a road. Wyckoff said he was stunned after watching neighbors and family members lose their homes to the floodwaters.

"You are seeing the tiny mill creek rip out culvert pipes and tearing away roads," he said. "We never thought we would see this again. It happened in 2006, but it is worse now."

In Oneonta, on the Susquehanna upstream of Binghamton, Police Chief Gary O'Neill said some roads were washed out and parks flooded, but the water appeared to be receding. On the down side, water was flooding the chief's home in Binghamton.

Mandatory evacuations were also in place for low-lying areas near Schenectady, New York, YNN said. In neighboring Montgomery County, authorities closed all roads and county buildings until further notice, saying only emergency vehicles would be allowed to travel. The New York State Thruway Authority opened and closed several roads and ramps.

In Maryland, areas near Baltimore were also affected. High water blocked dozens of roads in Baltimore County, according to CNN affiliate WMAR-TV.

In Anne Arundel County, Maryland, crews found a 49-year-old man in floodwaters, CNN affiliate WBL reported. The man died at a hospital. The circumstances of his death were not clear Thursday evening.

Port Deposit, Maryland, about 45 miles northeast of Baltimore along the Susquehanna, ordered an evacuation of the town's 800 residents by 8 p.m. Thursday.

The Prince George's County, Maryland, Fire and EMS Department said it was responding to numerous emergency calls, and nearly two dozen people had been rescued or helped by firefighters and the department's swift-water team.

Because the system is slow-moving, "I'm afraid it's going to get worse before it gets better," CNN meteorologist Rob Marciano said.

Several rounds of heavy rain are in store for much of the region the next couple of days, with an additional 2 to 6 inches forecast -- and in isolated cases as much as 10 inches, according to the National Weather Service. The rain comes on top of the heavy precipitation that has fallen in the region from Irene. What's left of Lee has stalled across the central Appalachian Mountains.

Rainfall totals through 2 p.m. Thursday included 11.66 inches in Waldorf, Maryland; 8.23 inches at Andrews Air Force Base, Maryland; 9.55 inches in Phillipsburg, New Jersey; 10.08 inches in Binghamton; 14.7 inches in Pine Grove, Pennsylvania; 13.3 inches in Harrisburg, Pennsylvania, according to the National Weather Service's Hydrometeorological Prediction Center.

CNN's Sarah Dillingham, Ines Ferre, Mary Snow, Scott Thompson and Jesse Solomon contributed to this report.

@highlight

Susquehanna River begins to crest in Pennsylvania, New York state

@highlight

Storm brought 15.37 inches of rain to Elizabethtown, Pennsylvania

@highlight

Susquehanna River nearly 17 feet above flood stage near Wilkes-Barre

@highlight

Wilkes-Barre, Pennsylvania, officials say they believe levees will hold