(Financial Times) -- The Bank of Japan announced further easing measures on Friday, as economic data suggested slowing growth and persistent deflationary forces in the world's third-largest economy.

The BoJ increased the scale of its key asset-purchasing programme by Y5tn ($61.7bn) to Y70tn, while adjusting the terms to allow it to buy more government debt, and with longer maturities. It also kept interest rates at between zero and 0.1 per cent.

Before the announcement market expectations had been building that the BoJ would underline its commitment to the "powerful monetary easing" as it was described by governor Masaaki Shirakawa during a trip to the US last week. Politicians within Japan have also been urging the BoJ to do more to fight the nation's chronic state of mild deflation, threatening to strip the bank of its independence should it fail to act aggressively.

Analysts noted, however, that Friday's move was at the low end of expectations of an additional Y5tn to Y10tn of easing. "While it is positive that the BoJ acted, it is not sufficient to recover its long-lost credibility as an inflation-fighter," said Takuji Okubo, chief Japan economist at Société Générale.

Economic data on Friday supported the case for continuing loose policy. Industrial production rose a less-than-expected 1 per cent in March from February, while manufacturers said they planned to cut output by as much as 4.1 per cent in May.

While consumer price inflation numbers were a little brighter, with the headline nationwide index rising 0.5 per cent year-on-year, core CPI in Tokyo (excluding food and energy) fell by 1 per cent in April from a year earlier, deteriorating from -0.9 per cent in March.

This "chilly set of data" showed that manufacturers are still cautious on the outlook for exports, leaving Japan reliant on buoyant domestic demand as its main source of growth this year, said Mr Okubo.

In February the central bank surprised markets by adding Y10tn to its asset-purchasing programme while adopting a firmer goal for inflation of 1 per cent, touching off a fall in the yen.

Since then, though, the BoJ has kept its settings largely unchanged. In March the board expanded the terms of a special lending facility set up in June 2010, while earlier this month it confirmed details of a new Y1tn lending facility, denominated in US dollars, which it announced in March.

Meanwhile, the yen has resumed its strengthening trend. In the past month it has gained against every other G10 currency. One hour after the announcement on Friday the yen was 0.4 per cent weaker at 81.23 against the dollar, while the Nikkei 225 stock average gained 0.3 per cent.

"Not moving [on Friday] was not an option," said Shogo Fujita, chief Japanese bond strategist at Bank of America Merrill Lynch in Tokyo.

© The Financial Times Limited 2012

@highlight

The BoJ increased the scale of its key asset-purchasing programme by Y5tn to Y70tn.

@highlight

Economic data suggested slowing growth and persistent deflationary forces.

@highlight

Politicians within Japan have been urging the BoJ to do more to fight mild deflation.

@highlight

Economist: "It is not sufficient to recover its long-lost credibility as an inflation-fighter."