(CNN) -- Does money make you happy? Does being rich contribute to your spiritual life and its possibilities?

Is the gap between the rich and poor a religious problem as well as a social problem in desperate need of solutions?

Jesus, Pope Francis, and brain scientists have asked these questions, and the answers are clear if unnerving. Wealth and power are dangerous for your mental health, your spiritual condition, and for society in general -- especially when they contribute to the neglect of the poor. New research explains how this works (more on this in a minute).

Ridding the world of poverty is, of course, a fantasy. Jesus knew this: "You will always have the poor among you," he said (Matthew 26:11). He also said, "God blesses you who are poor, for the kingdom of God is yours." (Luke 6:20). Only a few verses before this moment in Luke, he cries (echoing the Old Testament): "The spirit of the Lord is upon me, for he has anointed me to bring the good news to the poor." (Luke 4:18).

Jesus also noted, famously and controversially, that it is easier "for a camel to go through the eye of a needle than for a rich man to enter the kingdom of heaven." (Matthew 19:23-24).

Let's just hope that we've got some very skinny camels.

Jesus discouraged the accumulation of wealth, worried about its effects on those who had it, and took special pleasure in helping the poor, dedicating his efforts to them. He must have shaken his head at the large gaps between rich and poor throughout ancient Palestine in the first century.

Pope Francis has taken up Jesus' call on this. On his recent visit to South Korea, he repeated a cry that has become a central theme of his papacy, telling hundreds of thousands of listeners in Seoul that the gap between the rich and poor in Korea was a problem, and they should think back to early Christian martyrs in Korea.

He said: "Their example has much to say to us who live in societies where, alongside immense wealth, dire poverty is silently growing; where the cry of the poor is seldom heeded and where Christ continues to call out to us, asking us to love and serve him by tending to our brothers and sisters in need."

Everyone knows that the wealth gap in the U.S. has increased dramatically. "The top 10 percent took more than half of the country's overall income in 2012, the highest proportion recorded in a century of government record keeping," The New York Times reported in April.

It's a problem that makes you dizzy, and one that will never be easily solved. Indeed, the concentration of wealth at the very top of American society recalls the early 20th century, before the income-leveling measures of the New Deal kicked in.

The growing income gap is perhaps the most pressing issue before the world, not just the United States, as the level of misery rises among the poor. Even those formerly known as the middle class, who have struggled mightily to make ends meet for decades now, face an array of problems that create mental and physical pain on a vast scale.

So let's go back to Jesus and Pope Francis and their concerns. Do people on the other end of this inequality equation really fare better? Does wealth make you happy? Jesus certainly didn't think so, as the Baptist thinker Alan Bean has recently noted. He writes: "The American marriage between market capitalism and American evangelical piety makes Jesus impossible. His words are inconvenient at best and heretical at worst." Wow. Bean has spoken frankly and bravely here.

He points to a fascinating new study from the Journal of Experimental Psychology. Three Canadian neuroscientists have suggested that being rich and powerful actually makes you less happy and, even worse, unable to sympathize with the poor. They find that the rich and powerful among us show less brain activity in that region of the brain where human sympathy is excited.

"Power diminishes all varieties of sympathy," explains Dacher Keltner, a social psychologist at the University of California, Berkeley, in a recent interview on NPR. Conversely, those who feel poor and marginalized in society show a great deal of sympathetic activity.

The ability to sympathize with those around us seems crucial to our survival, and it's connected to the mirroring functions of the brain. As the research now suggests, the richer and more powerful we feel, the deader will be that area of our brain where this crucial activity, which generates empathy, occurs. In fact, power fundamentally changes the way we respond to those around us.

Is it any wonder that when a rich young man came to Jesus asking for spiritual guidance, Jesus said: "If you wish to feel complete, go and sell your possessions and give to the poor, and you will have treasure in heaven." (Matthew 19:21). The young man "went away grieving," as he had so much property and didn't want to let go of anything.

But letting go is essential to our own happiness as well as the world's economic equilibrium. Jesus, Pope Francis and brain scientists would agree on this. It's a hard teaching, but it's important.

@highlight

Jay Parini: Jesus, Pope Francis, scientists address question: Does money make you happy?

@highlight

New study says wealth, power bad for your mental health -- as Jesus knew

@highlight

He says the Pope, in his South Korea trip, said we must redress inequality

@highlight

Parini: Study finds too much wealth suppresses part of brain that causes empathy