(CNN)Mention the words "sand" and "golf" together, and the chances are you'll leave many players shuddering at the memory of being trapped in bunkers after another wayward shot.

But in other parts of the world, sand golf is a version of the game in its own right.

The idea of playing a round without verdant fairways to stride down or lush greens to putt (and, of course, miss) on seems strange, even wrong.

Sometimes needs must, though. Half a century ago, expat oil workers with an enthusiasm for golf had nowhere in Abu Dhabi to play.

In the baking desert heat, with little or no irrigation possible, the equation was simple: they either had to adapt to the surroundings or there'd be no golf at all.

The result was an incarnation of the game in which the only grass to be seen is artificial, found on a mat carried around by players to serve both as a tee and a surface from which to strike when the ball is on the fairway.

Fairways? They consist entirely of sand and are indicated by marker posts. If the ball lands outside them, it's in the sand golf equivalent of the rough -- stony terrain that the unwary player may soon find is home to a few snakes and a lizard or two.

Greens? Well, they're known as "browns," built from clay and topped with a mixture of sand and oil to provide a true putting surface, a formula arrived at through trial and error.

It's an odd environment, this golfing world with a palette of golden-brown colors. And with rapidly developing irrigation and growing techniques enabling grass courses to be built in desert climes, it's an increasingly unusual one.

Back in 1961, determined British oil workers created a sand course on an atoll known as Das Island, around 100 miles off Abu Dhabi in the Persian Gulf. It was the country's first-ever golf club.

As the expat population grew, so did the demand for the game, and in 1971 sand golf moved into Abu Dhabi proper with the opening of a course near the Sea Palace. Its success brought a move to the Equestrian Club, attracting close to 500 members.

In the 1990s, the sand game's fortunes took a dive as the site was earmarked for a nine-hole grass course. But although many sand course players changed surface and took up the more conventional game, several battled on and the 18-hole Al Ghazal sand course was created near Abu Dhabi airport, with its front nine occupying part of an archaeological site, in 1997.

Sand golf also exists in parts Australia and Africa but Al Ghazal (which translates as "gazelle" -- gazelles peer from behind a fence by the second brown,) is the only one that can be described as "world class," says Dennis Cox, an expert on the game, because the scale and scope of its layout rivals its grass counterparts.

The course found a place in the international spotlight when a World Sand Golf Championship, boasting star names including Colin Montgomerie was played in 2004 and 2005 (won by Greg Owen and Thongchai Jaidee,) but the tournament fizzled out as showpiece events went to showpiece grass courses.

Maybe that's understandable when you consider some of the extra elements involved in the sand game -- the browns, for example, must be swept for a few minutes after use so that they are left smooth and footprint-less for following players, while unexpected hazards can include burrows dug by desert lizards.

Cox warns that a tradition is under threat, with a form of golf that was once commonplace in danger of becoming just a memory. Other, smaller clubs have fallen by the wayside, while Al Ghazal's location near an expanding airport presents an obvious threat to its future.

But even if the sand game were to fade into obscurity in the emirate, it is still played in parts of Africa.

In Libya, still racked by instability following the ousting of Muammar Gaddaffi, courses -- the bulk of which can be found in the capital, Tripoli -- are of sand, with no grass versions existing. Once smart and well-kept, they have now slumped into neglect, with few people to play on them or look after them.

David Bachmann, who formerly worked at the Austrian embassy in the city, wrote on his In Tripolis blog about the experience of playing sand golf in and near the city.

Recounting his experiences of Tripoli's tattered nine-hole Ghargharesh course, he wrote that it was one for diehards only, "golf fanatics that would come every weekend to play a round on this challenging course."

And he imagined that the skeleton of the clubhouse, on which work had long since stopped, might one day boast "marble, chandeliers and state-of-the-art locker rooms... overlooking the deep blue Mediterranean with the sun setting over the sea."

For now, and against the odds, fans of this form of the game will just have to make do with being kings of their very own sand castles.

@highlight

Expat oil workers in Abu Dhabi built sand golf course in 1961

@highlight

Form of game features putting 'browns' instead of greens

@highlight

Unexpected hazards can include the burrows of desert lizards