India suffered its second massive power failure in two consecutive days Tuesday, depriving as many as 600 million people -- half the country's population -- of electricity and disrupting transportation networks for hours.

The first power grid collapse, on Monday, was the country's worst blackout in a decade. It affected seven states in northern India that are home to more than 350 million people.

Tuesday's failure was even larger, hitting eastern and northeastern areas as well. Both blackouts cut power in the capital, New Delhi, where residents sweltered.

Several hours later, by 9:30 p.m., power had been largely restored, the Power Grid Corporation of India reported on its website.

Power in New Delhi and in the northeastern region was fully restored; electricity was 86% restored to the northern region, and 79% restored in the eastern region, it said.

The two days of disruption in the third-largest Asian economy has raised questions about its investment in infrastructure.

With about 1.2 billion people, India has the world's second-largest population, behind China.

At least 300 trains were held up in the affected regions, said Anil Kumar Saxena, a spokesman for Indian Railways.

New Delhi's metro system also suffered delays before power was restored, causing chaos for many travelers. Traffic signals also were out, resulting in major jams.

Train fire in India kills 32; death toll may rise

During the blackout, one traveler in New Delhi told CNN-IBN that her journey home had taken almost three hours, rather than the usual 40 minutes. "Long night ahead, with no lights -- I've got my trusty solar lamp ready for the night," she said.

An elderly woman said she would rely on candles and flashlights to get through the outage, which she blamed on poor governance.

Other travelers told CNN-IBN of ruined plans to visit relatives and long waits at stifling stations.

Miners in the Burdwan District of West Bengal state were hit by the blackout too.

The district's top administrator, O.S. Meena, told CNN that 150 coal miners were working underground when the outage struck, stopping lifts.

Authorities switched to emergency supplies to run the elevators, he said. "All are safe," Meena said about the miners.

Monday's grid failure struck early Tuesday. By dawn, many backup power systems had run out of fuel; power was partially restored after about six hours, authorities said.

Airports and hospitals, running on backup power, remained operational, but many businesses closed, said Jyoti Kamal, senior editor for CNN-IBN.

The cause of the problem was the failure to generate sufficient power to keep pace with surging demand, he said.

Power is considered a luxury in much of India, where a third of households don't have enough to power even one light bulb, according to last year's census.

They tend to be more common during the summer, when demand rises.

Some of this summer's increased demand has been caused by farmers using more energy for irrigation and other tasks, in part because rains during this year's monsoon season, which began June 1, are down by more than a fifth. People are also using air conditioning units more to cope with high humidity.

The monsoon rains, which last through September but would normally be at their heaviest in July and early August, not only provide rain for agriculture and hydroelectric power, but serve as a natural coolant, said CNN meteorologist Brandon Miller.

Humidity exceeding 80% makes the mid-90s Fahrenheit temperatures feel like more than 100 Fahrenheit. This makes it harder for buildings to cool at night, and harder for people to cool themselves through evaporation of perspiration, all of which lead to higher energy demands, Miller said.

Power Minister Sushilkumar Shinde, who has ordered an investigation into Monday's outage, said it had been a decade since an entire grid last failed in north India.

He said that the cause of this week's blackouts is not known but that some states, particularly agricultural areas, may have been using more than their share of energy.

Prakash Javadekar, a member of India's main opposition Bharatiya Janata Party, criticized the government for what he said was "a huge failure of management in the power sector."

India -- the world's fourth-largest consumer of electricity -- relies on coal for much of its energy but also uses hydroelectric power, which has been affected by the diminished monsoon rains.

Observers say the crisis has exposed the need for India to update its infrastructure to meet its growing power needs.

"Economic growth is constrained by inadequate infrastructure," among other factors, the U.S. State Department's country report on India says.

"Foreign investment is particularly sought after in power generation," it adds, as well as areas including telecommunications, roads and mining.

Vulnerability of U.S. electrical grid a concern

Four ways the Internet could go down

Australia's Melbourne Airport goes black

@highlight

Travelers tell of disrupted journeys

@highlight

Power is largely restored in New Delhi, northern and northeastern India

@highlight

Tuesday's blackout deprived as much as half the country of 1.2 billion people of power

@highlight

Monsoon rains are down, leading to higher energy demand amid high humidity