(CNN) -- When Americans hand out Halloween candy next week they may inadvertently be contributing to the destruction of orangutan habitat thousands of miles away.

But don't feel guilty. Instead, do something about it.

Many types of Halloween candy -- and lots of other packaged foods in the United States -- contain palm oil, much of which is farmed in Malaysia and Indonesia, where orangutans live. Wild forests that support the endangered orangutan are being chopped down and burned to grow geometric rows of trees that ultimately produce oil.

The use of palm oil in processed foods is way, way up in part because it doesn't contain trans fat, which the United States says must be labeled on food packaging because of its unhealthiness. The U.S. imports about 10 times as much palm oil now as it did in the mid-1990s. It's not that the oil is evil. It's that production methods need to change.

"Orangutans are just so compelling," said Laurel Sutherlin, a spokesman for the Rainforest Action Network, which recently released a report called "Conflict Palm Oil." The report links irresponsible palm oil production to modern slavery and climate change -- in addition to the destruction of orangutan habitat.

"They're as closely related to us as chimpanzees. They, in a very, very real way, are being threatened with extinction, and palm oil is the single biggest threat they face."

One way to help is simply to tell snack food and candy companies that you care about orangutans and about the rain forest in southeast Asia.

The Rainforest Action Network has made that easy. The group, which recently got some buzz on blogs for posting a staged video of an orangutan called Strawberry (not her real name) communicating in sign language and via video chat with a hearing-impaired girl, has started an online campaign called "Last Stand of the Orangutan."

The group is asking people to upload photos of their palms (gotta love a homonym) to a website. It's hoping to collect 60,600 images -- or one human hand for every orangutan in the wild. They're going to deliver the images to companies that produce products from palm oil, Sutherlin told me. "We really realized that the scale of the problem is so extreme and so large that we really wanted to help jump-start a national conversation about palm oil," he said, "and reach out beyond the choir."

Rainforest Action has a list of ways to get involved on its website. The most interesting, to me, is an effort to slap stickers that say "Warning! This snack food may cause orangutan extinction" on products in grocery stores.

To similar effect, other groups are trying to encourage consumers to buy Halloween candy that either doesn't contain palm oil or contains only palm oil that is certified as sustainable by the Roundtable on Sustainable Palm Oil.

The El Paso Zoo in Texas -- which, despite its sizable distance from Indonesia, has an exhibit that features orangutans -- created a list of candies that do and don't contain palm oil and published it on its website. The list, which I did not confirm independently, says Skittles, Snickers and Milky Way, all made by Mars, contain "non-sustainable" palm oil.

"Mars is committed to working with the broader community towards 100% traceable sources of palm oil that are free of deforestation, expansion on carbon-rich peatlands, and the violation of human and labor rights," the company said in an e-mail. Mars added that it will use 100% sustainable-certified palm oil by the end of the year.

Industry groups and others say palm oil can be grown sustainably, is healthier than alternatives and can be grown on relatively smaller plots of land.

Some animal and forest advocates say that's not enough.

The only way to pressure candy makers to make their supply chains transparent and to stop clearing rain forest for palm oil plantation is to boycott all the candies and snack foods that contain palm oil, said Steve Marshall, the El Paso Zoo's director.

"The issue has been identified. There is an industry that is doing this -- and this industry is being supported by consumers simply because of ignorance," he told me. "They just don't know any better. We're trying to do the dolphin-safe tuna thing."

Maybe candy is the new tuna. But figuring out how to avoid palm oil, which shows up in many products, is more difficult than picking a dolphin-safe tuna brand.

Technology makes it a bit easier. The El Paso Zoo sponsored a new app -- called Palm Oil Guide & Scanner, and available for free on Android and Apple iOS -- that lets consumers scan product bar codes to determine if a particular candy contains palm oil. The app, like the zoo, says consumers should not buy products that contain the oil, whether it is certified as sustainable or not. The sustainability label is not enough to ensure orangutan habitat is not being harmed, according to Marshall.

The app seems like a useful tool, especially considering the nuances involved. Palm oil can morph into more than a dozen names in the ingredients lists on the backs of product. Palmate, sodium lauryl sulphate and PKO (palm kernel oil). All are versions of "palm oil," according to advocates. Meanwhile, many candy brands sell some products that contain palm oil and others that don't. It's a mess to get up to speed. And it would be expecting a miracle to think even a savvy shopper could remember it all.

The Rainforest Action Network says a boycott goes too far. The important thing is that companies make their supply chains transparent and root out problems. The group asks citizens to send e-mails to food companies urging them to "demand responsible palm oil from (their) suppliers and eliminate conflict palm oil contamination of (their) products."

Whatever your view, there's no need to skip the sweets on Halloween.

But -- whether it's through a boycott or uploading a photo -- use this holiday to spread the word about the connection we all have to an endangered species.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

John Sutter: Halloween candy is contributing to orangutan habitat destruction

@highlight

Rain forest is cleared for palm oil plantations; the oil is used in many snack foods

@highlight

Sutter: El Paso Zoo calls for a boycott of all palm oil products; others raise awareness

@highlight

An app from the zoo scans products and tells consumers whether to buy candy