(CNN) -- Many leading brands, including Cadbury-Schweppes, Tropicana and Tesco, have begun introducing "carbon labeling" on products to give customers an idea of the environmental impact of the food that they are buying.

How much carbon has that created? Food with CO2 emissions labels can be confusing.

CNN spoke to Tara Garnett, director of the UK-based Food Climate Research Network, an initiative committed to reducing greenhouse gas emissions from the food chain, about the pros and cons of the system.

CNN: How do carbon emissions arise in food production?

Garnett: Only talking about carbon emissions is actually a bit of a misnomer. We should be looking at the full spectrum of greenhouse gases produced during food production.

Once food has left the farm gate, then we are mainly dealing with carbon dioxide from transport and packaging. But while on the farm it's nitrogen oxide and methane. They are present in smaller quantities but are much more potent in terms of the effect they have.

CNN: What proportion of our carbon emissions come from food?

Garnett: Estimates vary. For the UK it's around 19 percent, but one EU report puts European emissions at 31 percent. The thing to understand is this is a relative statistic, so if you're talking about a society where people don't have many cars and TVs, then the proportion will be quite high. It may actually be lower in countries with a high material standard of living. Also, the estimates differ depending upon the boundaries they use, what's included and what's not included in the calculations.

CNN: Do you think food-miles are a useful measure of the environmental impact of food?

Garnett: They have been useful in raising awareness of where food comes from and how it is transported, but in real environmental terms it's more useful to look at total greenhouse emissions. When we do that then there are often quite counterintuitive results.

For example, it might be more environmentally friendly to truck tomatoes from Italy to northern Europe rather than grow them in heated greenhouses closer by. Also, different modes of transport have different footprints; sea freight is better than road, for example.

CNN: What does carbon labeling hope to achieve?

Garnett: Well, it's predicated on the assumption that it will persuade consumers to make the right choice to cut their emissions, and I'm not sure it will. That would depend on having the time to construct a very consistent, clear message, and I'm not sure we do.

Carbon labeling could be very good for manufacturers, to help them understand the wastage and unnecessary expense in their business, but if it's left to consumer choice I'm not sure it will achieve the wholesale shift towards more sustainable living that we need.

Just buying low carbon chips won't change anything; we need to reduce the overall percentage of the high impact foods -- meat and dairy -- in our diet.

CNN: Is there a global standard of labeling?

Garnett: There are a plethora of different labels in Europe and the U.S., and at present there isn't a global standard. It would certainly be a good idea, and at the European level it looks quite likely. But I'm not sure about the U.S. My impression is that they are quite behind on food awareness.

CNN: Do you think labeling can reduce carbon emissions in the food production system?

Garnett: That depends on significant interest from consumers in their carbon emissions, which I'm not sure exists. But even if it does, shaving 10 or 20 percent off certain products doesn't create a different mind-set.

Low carbon snacks won't change the world. We need to be asking: do we need all this stuff? The science says we need to make 80 percent cuts in emission by 2050, and we just don't have time to be trimming the edges.

CNN: Do you think labeling could damage developing world economies that are based around exports?

Garnett: Possibly. When the Soil Association (a British organic certification body) had a consultation on whether they would certify air freighted products, there was an outcry from the UK Department for International Development as well as producers overseas. But they might find if we looked at total carbon emissions rather than food miles, they might do better, with hours of free sunshine and long growing seasons reducing the need for heating and other inputs.

CNN: Do you think labeling will change consumer behavior?

Garnett: We need a far stronger steer from government on what a low-impact lifestyle looks like. Tinkering around with elements of consumer behavior won't deliver the changes we need. The government needs to be involved. We need to work on choice editing, and make sure products are sending the right signals to consumers about the kind of diet they need to adopt, but they are very scared of doing this.

There are certain synergies with health that could be exploited -- less meat and dairy is better for us as well as the environment. We need to be looking at the portions of meat and dairy in ready meals, and getting people used to a different way of eating. I think a lot can be achieved in quite subtle ways, as well as with more gung-ho regulation.

Ultimately, this is a systemic problem. Of course public awareness and information is important, but to get the change we need we will have to take drastic action. We just haven't got time to woo people for years. We need to act right now.

@highlight

Food and climate expert Tara Garnett talks to CNN about carbon labeling

@highlight

Garnett: Low carbon foods not answer; we need to reduce "high impact foods" in diet

@highlight

Garnett: Carbon labeling not always clear for consumers but good for manufacturers