Washington (CNN) -- The U.S. Conference of Catholic Bishops denounced President Barack Obama's compromise over whether to require religiously affiliated institutions to provide contraception to female employees, saying the proposal raises "serious moral concerns," according to a statement posted on its website late Friday.

"Today's proposal continues to involve needless government intrusion in the internal governance of religious institutions, and to threaten government coercion of religious people and groups to violate their most deeply held convictions," the statement said.

Under the new plan announced by Obama, religiously affiliated universities and hospitals will not be forced to offer contraception coverage to their employees. Insurers will be required, however, to offer complete coverage free of charge to any women who work at such institutions. Women who work at churches, though, will have no guarantee of such contraception coverage -- a continuation of current law.

News of the compromise came after days of escalating partisan and ideological rhetoric over the divisive issue. The White House originally wanted to require hospitals and schools with religious ties to offer full contraception coverage. Many Catholic leaders and other religious groups strongly oppose any requirement for contraception coverage on theological grounds.

The question of whether institutions with religious ties should be required to offer insurance plans covering birth control and the so-called morning after pill, among other things, hits a number of political hot buttons. Liberal groups have pushed for an expansive contraception coverage requirement on grounds of gender equality in health care. Conservatives generally consider it a violation of the First Amendment and an infringement on religious liberty.

The statement released by the Catholic Bishops conference said the proposal requires "careful moral analysis," saying it did not appear to offer clear protection for self-insured religious employers or religious and secular for-profit and non-profit employers.

It came hours after the president briefed New York Archbishop Timothy Dolan, head of the Catholic Bishops conference. Dolan later released a statement declaring "while there may be openness to respond to some of our concerns, we reserve judgment on the details until we have them."

But 'today's decision ... is a first step in the right direction," he said.

Under the proposal, there will be a one-year transition period for religious organizations after the policy formally takes effect on August 1.

"No woman's health should depend on who she is or where she works or how much money she makes." Obama said at the White House. But "the principle of religious liberty" is also at stake. "As a citizen and as a Christian, I cherish this right."

The president also discussed the decision with Sister Carol Keehan of the Catholic Health Association and Cecile Richards, head of Planned Parenthood.

Some political analysts believe the controversy could cost Obama votes in politically critical states like Pennsylvania and Ohio in November, while others insist it will ultimately hurt Republicans with suburban women.

Reaction to Friday's decision fell largely along predictable party lines. Democratic leaders embraced the revised rule, while Republicans called it inadequate.

"The rule announced by President Obama today guarantees that all women will have access to free contraception coverage through their employers, while protecting the religious freedom of faith-based institutions," said Senate Majority Leader Harry Reid, D-Nevada.

"I strongly support the rule announced today because in the year 2012, women should not be denied access to contraception. ... Whether women choose to use contraception should be their decision, not the decision of their employers or politicians in Washington."

Planned Parenthood's Richards also praised the decision, arguing that "in the face of a misleading and outrageous assault on women's health," it "does not compromise a woman's ability to access these critical birth control benefits."

But conservative Rep. Jim Jordan, R-Ohio, insisted the revised rule still violates the Constitution.

"This ObamaCare rule still tramples on Americans' First Amendment right to freedom of religion," Jordan said in a written statement. "It's a fig leaf, not a compromise. Whether they are affiliated with a church or not, employers will still be forced to pay an insurance company for coverage that includes abortion-inducing drugs."

Rep. Fred Upton, R-Michigan, said the revised rule "simply pretends to shift costs away from religious employers, but it doesn't fix the problem and is another call for individuals and institutions to compromise on principle."

Upton, chairman of the House Energy and Commerce Committee, said Friday's decision guarantees congressional action on the matter.

"The Constitution does not compromise; those rights are inalienable and cannot be bartered away for political expediency and convenience," he said. "The administration has simply reaffirmed that congressional action to permanently reverse this mandate is necessary."

Published polls show a slight majority of U.S. Catholics actually favored the administration's original proposed rule.

"I think (Obama's) punting, just kicking the can down the road," Miami Archbishop Thomas Wenkis told CNN. "He's hasn't really addressed our concerns. I think the only thing to do is... to take back the whole thing."

Sister Keehan from the Catholic Health Association said she was "very pleased" with the White House.

Sources familiar with White House thinking on the matter have said the administration is convinced approval from conservative Catholics is out of reach, and is trying to win over more progressive Catholics.

Bloomberg reported Wednesday that the administration was deeply divided over how to handle the issue. Vice President Joe Biden -- who is Catholic -- and former White House Chief of Staff Bill Daley warned Obama about the possibility of negative political repercussions in swing states if the White House moved ahead with the initial rule.

Several female members of the administration -- including Health and Human Services Secretary Kathleen Sebelius -- urged the president to move forward with the initial rule, Bloomberg said.

White House Press Secretary Jay Carney denied the report, though he declined to offer any details.

"A lot of these accounts are overdramatized," a senior administration official insisted Friday.

On the presidential campaign trail, GOP frontrunner Mitt Romney pledged earlier to eliminate the original version of the rule on his first day in office.

Both the White House and Romney's Republican opponents, however, noted a Massachusetts law in effect while Romney was governor that required hospitals -- including Catholic ones -- to provide emergency contraception to rape victims.

It's ironic for Romney to criticize "the president for pursuing a policy that is virtually identical to the one that was in place when he was governor of Massachusetts," Carney said Wednesday.

Romney, in turn, said Carney needs to "check his history."

In 2005 then-Gov. Romney vetoed a bill that would have required all hospitals -- including Catholic hospitals -- to provide emergency contraception. The heavily Democratic state legislature overrode his veto.

According to news reports at the time, Romney initially said his administration would not enforce the law at Catholic hospitals. But he later reversed course, saying all hospitals would have to supply the morning-after pill.

Romney was quoted at the time as saying, "My personal view in my heart of hearts is that people who are subject to rape should have the option of having emergency contraception or emergency contraception information."

"I worked very hard to get the legislature to remove all of the mandated coverages, including contraception," Romney told reporters Wednesday. This "was a provision that got there before I did, and it was one that I fought to remove."

CNN's Alan Silverleib, Dan Lothian, Dan Gilgoff, Eric Marrapodi, Deirdre Walsh, Jessica Yellin, Brianna Keilar, Paul Courson, Ted Barrett, and Dana Bash contributed to this report

@highlight

NEW: Catholic bishops group says the president's new plan is a "needless government intrusion"

@highlight

NEW: The Catholic Bishops conference said the proposal requires "careful moral analysis"

@highlight

Insurers must offer free coverage to women working at religiously affiliated institutions

@highlight

The original rule said religiously affiliated employers must provide full contraception coverage