Hong Kong (CNN) -- Baby formula, pigs, soybeans, oil and iron ore -- a seemingly disparate grouping -- have one thing in common. These commodities are all in high demand from an insatiable and growing China.

Personal choice drives some of this demand. Chinese national interest fuels demand for others.

For example, since 2008, when hundreds of thousands of babies fell ill from tainted milk formula, Chinese mainlanders began to travel the world looking for milk powder sources perceived as more trustworthy. A growing middle class, with the money to travel, are China's new global consumers looking for quality beyond borders.

At the same time, because of China's lack of certain key resources needed to feed its people and fuel its economy -- the second largest in the world -- Beijing has moved to secure oil, iron ore and crops halfway around the world.

Regardless, whether by choice or by force, China and its citizens are looking to new markets and buying what they need. It is a sign of things to come, say analysts.

Soybeans: Stuff of oil, tofu and animal feed

"On a per capita basis, China has half the arable land and a third to a quarter of the water than the global average," says Merritt Cluff of the Food and Agriculture Organization in Rome. "As they've gone through phenomenal growth, their food security has diminished marvelously. The question is who is going to feed China."

China is the world's largest importer of soybeans. The grain is one of the key starting links in the country's food chain, used to make cooking oil, tofu products and in feed for the burgeoning pig industry. In 2012, the world's most populous country imported 59% of the world's soybean supply, according to FAO data, up from about 25% in 2000.

"If they had to produce their own soybeans, they would need to use 28 million hectares," says Cluff. That would mean nearly one-quarter -- about 23% -- of China's total arable land would be used for soybeans, based on China's latest data from 2008. Just 12% of China's total area was arable in 2011, according to the World Bank, compared to 17.5% in the U.S. and 34% in Germany.

"They decided they could not do that (use so much arable land for soybeans) -- so they import," added Cluff.

China relies on three main exporters for its soybean supply -- all in the Americas: Brazil, the U.S and Argentina which account for nearly half -- 46% -- of the supply of global exports.

Pork: '470 million pigs in China'

Besides soybeans, China is the world's biggest consumer of pork products eating "more pig products than the rest of the world combined," says Cluff. "Existing estimates have China at 48% of global consumption."

While China is estimated to have raised 470 million pigs in 2012, a number that increased about 1.5% each year over the last decade according to FAO, that has not been enough to keep up with demand. China is a net importer of pork products -- from the U.S., Europe and Canada in particular.

"There is lots of concern," added Cluff. "As an analyst it's been on almost everyone's mind for the last 30 years."

That concern extends from food to natural resources and China's search for supplies around the world.

Oil acquisitions and agreements

In July 2012, Chinese oil producer, CNOOC, paid $15 billion to acquire Nexen, one of Canada's largest independent oil companies which owns assets in the Gulf of Mexico, in the North Sea off the coast of Great Britain and off the coast of Nigeria. In November 2012, China's Sinopec and Saudi Arabia's Aramaco signed an agreement that would send 1.4 million barrels a day to the Asian nation.

But one China economics watcher says the world "shouldn't be too worried" and that demand for food -- and for natural resources from oil to iron ore -- may eventually see decreased demand.

"China is the world's factory but those factories used to be in other cheaper countries. They got relocated to China because it's cheaper to manufacture," says Professor Zhigang Tao, Associate Dean of Business and Economics at the University of Hong Kong. "So on paper, you see increasing demand from China for natural resources, but this is displacing demand from other countries -- from South Korea and Japan to China."

Production costs for foreign multinationals will rise in China, adds Tao, "so a few years down the road we may ask the same questions about Vietnam and India."

@highlight

More affluent Chinese able to travel beyond borders for quality food products

@highlight

Beijing searching for natural resource supplies to protect national interests

@highlight

Soybeans, pork, oil, iron ore are commodities that may be impacted, say analysts