(CNN) -- Patrycja Makowska likes to give enigmatic names to the extraordinarily beautiful photographs she shoots of crumbling palaces.

But that's not where the enigma of her work ends.

Despite creating alluring images of abandoned buildings, she's determined to keep their locations a mystery.

"Places reflect our soul, tell the forgotten story of love, disaster, war, as well as ordinary life," Makowska, a former history teacher from Poland, tells CNN as she tries to explain her shroud of secrecy.

"Everything passes, even the power of past times is often forgotten. And that's why I don't give any addresses, because often these places are destroyed and devastated, it's better for them to have been forgotten."

Not, however, forgotten by Makowska's cameras.

She uses old analog Russian photo equipment and lenses, plus some more modern Canon and Nikon equipment to create images that pay homage to the original grandeur of these baroque structures.

With otherworldly titles such as "Ethereal Dreams" and "Lost Under the Surface," her photographs have an unrealistic quality more closely associated with paintings -- but the incredible detail on display would take more than a lifetime's worth of brushstrokes to recreate.

Swirling spiral staircases

The images show vast ornate ballrooms, swirling spiral staircases and elegant chapels strewn with rubble.

Sunlight shafts bore in through broken windows or holes in roofs.

Sometimes an abandoned toy or chair adds a poignant human touch to the dereliction.

Makowska, who lives in Warsaw, took up photography about 12 years ago.

Her first subject was a ruined medieval castle in the southern Polish town of Muszyna.

During stays in the UK and Iceland she says she realized there was "magic" in forgotten places and began seeking them out in her home country.

Finding her subjects takes effort, she says.

"The location of these places is hard work, the research involves maps, historical books and old guides, and talking to people who live in the areas of the buildings."

Her refusal to identify where these buildings will at least prevent them from becoming "ruin porn" destinations -- a status deplored by some places trying shake off economic decline.

Makowska, who now works in IT, says she has been inspired by people's reactions to her work into pursuing further projects.

On her list is nature photography -- "mountains, meadows and sea" -- and documenting "URBEX," the sometimes risky global trend of urban exploration that occasionally involves trespassing on dangerous structures.

She also wants to tackle human subjects.

"This would be a breakthrough for me because so far my work hasn't involved any people or portraits."

@highlight

Former history teacher Patrycja Makowska specializes in photographing dereliction

@highlight

Makowska refuses to reveal the location of the buildings, saying they should be forgotten

@highlight

Her images show vast ornate ballrooms, swirling spiral staircases and elegant chapels strewn with rubble