(CNN) -- Human beings can experience 34,000 different emotional states. But our research shows that in an average working week, most CEOs experience just one dozen emotions across work and home life. Those twelve emotions are mostly negative: Being overwhelmed, frustrated, angry, disappointed, and fearful.

When I quizzed 200 western CEOs on the personal pressure they felt in their jobs, a typical response was: "I can't talk to the chairman because in the end he's the one who is going to fire me. I can't talk to my finance director because ultimately I'm going to fire him, and I can't tell my wife because I never see her and when I do, that's the last thing she'll want to talk about."

About half confided they find the job intensely lonely and don't know who to turn to for advice. Indeed, Antonio Horta-Osorio's leave of absence from Lloyds Banking Group this month illustrates how the stress of the CEO role can leave individuals ill.

Why is it so difficult at CEO level?

The day to day pressures of the job are intense. Most CEOs are at the mercy of their diaries, their businesses, the press and their shareholders. With the western economies entering a long, hard winter, and the rising competitiveness of eastern businesses, CEOs in western countries face some of the harshest conditions of their careers.

The long term personal toll can also be huge. One typical FTSE100 CEO told me: "I have been married twice and have four kids and one grandchild. I can't remember the first two boys growing up when I was with my first wife. We separated when they were eight and nine. I can't remember them when they were young."

Most CEOs respond to this pressure -- and frequent self doubt -- by creating command and control systems. They take all crucial decisions, which are then meant to be executed lower down. The model depends on the CEO being an expert with good answers, typically based on their training as a finance director or deep commercial experience in their market. But the reality is almost all problems are channelled up to the top. So the CEO faces a huge burden.

Is life different for CEOs in the east compared to the west?

I interviewed a hundred leading Chinese entrepreneurs for my next book, and found the CEOs are constantly near exhaustion. In contrast to western CEOs they are tired not by a hard economic reality but because they have huge dreams. Typically, they have not yet worked out how to manage the hyper-growth their dream and the booming market are creating.

This can cause problems because businesses need the driving energy, strategic clarity, commercial grip and inspiration that a great CEO can provide if they are to deliver their full potential for their owners, staff, customers and society. Tired professional managers and exhausted dreamers will not get the best from their businesses. In the current hard economic winter in the west and booming spring of China, inspiration and trust from the top will be vital ingredients in getting the best returns from businesses.

How can CEOs learn from different cultures?

Being a CEO is a huge and complicated job, and each business needs a bespoke approach. But CEOs can make a start with five steps:

1. Clarify your dream. Western CEOs should learn from the Chinese. What do you truly dream of building? Rediscover the excitement and thrill that drove you to the top in the first place.

2. Build a fellowship. Most CEOs take too much direct personal control. It stifles those around you and it exhausts you. Learn to build a fellowship you trust and who will deliver for you every time.

3. Rekindle the spirit of your business. Narayana Murthy, founder and chairman Emeritus of Infosys, arguably the most globally successful Indian business of the last 25 years, told me: "To me, leadership is primarily about raising the aspirations of people, making people say that they will walk on water." Use your dream to inspire your teams and businesses. Share it with business partners to help you build trust.

4. Build a personal support system to ground you. Make rules to safeguard your recharge time, reconnect with your partners and kids and stay healthy.

5. Get out of the day to day. The best CEOs work on business as usual by exception, not as the norm. They maintain a tight grip of their business with robust systems and review but do not lurch from day crisis to day crisis.

Ultimately, CEOs who are suffering need to find a new way of leading. In this high octane world, they can either work in a new way or burn out.

@highlight

Research shows CEOs experience a dozen mostly negative emotions during an average week

@highlight

Many western CEOS find the job intensely lonely, and don't know where to seek advice

@highlight

Author Steve Tappin says Western CEOs could learn from the Chinese