(CNN) -- Maddy Schaffrick has a lot on her mind for a 15-year-old. Along with schoolwork and friends, she's also got a good shot at making the U.S. Olympic snowboarding team.

Ranked among the world's Top 10 female snowboarders, Schaffrick's unique talents include riding up the steep walls of snow-covered "halfpipes" and vaulting herself off the edge and high into the air. Being airborne with a board under your feet, she says, "feels like nothing can touch you."

But a deadly H1N1 flu pandemic has added a new kind of hurdle for Schaffrick and other Olympic hopefuls, as athletes and authorities hope for the best while preparing for the worst.

"If I do get the flu, it could really affect my asthma and then affect my performance and I wouldn't want that to happen."

The prospect of potential virus carriers converging on Vancouver, British Columbia, next month from all corners of the world has  prompted Canadian and U.S. authorities to exercise abundant caution.

The U.S. Olympic Committee is strongly urging all its athletes traveling to Vancouver to get the flu vaccination. But some athletes are ignoring the committee's recommendation, and officials can't make the vaccines mandatory.

Although 40 percent of Vancouver-area residents have been vaccinated, these games still offer the virus a nice, big playpen, say health officials. They point out that the West Coast city of more than 2 million is the largest host of any Winter Olympics.

Like troops advancing across a battlefield, H1N1 has produced two global waves so far. The pandemic's first wave in April 2009 got the attention of Olympic hopefuls, who often tend to be young. "More young people were being hospitalized and ended up staying in hospitals longer," said Dr. Reka Gustafson, director of communicable disease control for Vancouver Coastal Health, the regional health care provider.

H1N1 has claimed 10 lives and led to the hospitalization of more than 250 people in the Vancouver area since the pandemic began, she said.

"I don't expect influenza to be a major issue during the Olympic Games," said Gustafson. "However, you can't count on that."

As a result, officials are preparing for the possibility of a third wave. "We figure that we'll be able to blunt it quite a bit," said Vancouver Coastal Health spokeswoman Anna Marie D'Angelo.

Experts say as few as a dozen flu carriers traveling to attend all 16 days of the games could spread H1N1 to hundreds of people.

In an extreme scenario, illness could force Olympics coaches to dig deeply into their player reserves for replacements, depending on each sport's rules, which are set by international governing boards.

Would flu fears force officials to cancel Olympic events? "In all of pandemic planning it has been recognized for some time that cancellation of mass gatherings is not an effective way to control influenza," Gustafson said. "I can categorically say that we are not planning that."

Canadian health officials will be using a stockpile of vaccine to make the shots easily available during the games -- although experts point out that it takes seven to 10 days to develop immunity after the vaccine.

"Arriving here and getting a shot might not be the best way to protect yourself," said D'Angelo, who recommends getting the vaccine well before traveling to the games.

Also included in Vancouver's arsenal against H1N1: millions of doses of Tamiflu anti-viral medication and media campaigns promoting hand washing.

30 ways to outsmart the flu

Hospitals and clinics have been designated for an expected 5,500 athletes and staff, about 10,000 media workers and at least 250,000 spectators.

Lawmaker Joyce Murray has accused Canada's federal government of "dropping the ball" by not providing enough resources to deliver H1N1 vaccinations -- a charge the government disputes. "However, the local health authorities have a done a great job of putting an effective plan in place," said Murray, who represents Vancouver in the Canadian Parliament.

Providing security for the games will be about 20,500 military and police officers, according to the Royal Canadian Mounted Police. What if their ranks are thinned by a massive flu outbreak?

A backup army of about 750 military and civilian personnel will be on standby just in case. "They've all been inoculated and they're ready to go at a moment's notice," said Mounted Police spokesman Staff Sgt. Mike Cote.

'Just self-isolation -- nothing draconian'

Vancouver's plan during a worst-case outbreak does not include quarantining athletes or anyone else, said Gustafson.

Quarantining an area, which means separating everyone including those who don't show any symptoms, isn't an effective way to control influenza, she said.

Instead, emergency plans call for quickly isolating only those who show flu-like symptoms. "Just self-isolation, nothing draconian," said Gustafson.

Rooms have been set aside in case sick athletes need to be separated from their teammates, said top U.S. Olympic Committee chiropractic physician Dr. Mike Reed.

Athletes are not more likely to contract the flu because of close contact with other athletes during competitions or in locker rooms, said Gustafson. However, athletes who train too hard may be more susceptible, said Reed.

Test your knowledge with the H1N1 quiz

The shot doesn't affect athletic performance, said Reed. Neither will it taint a urine test for performance-enhancing drugs, according to the U.S. Anti-Doping Agency, which oversees Olympics drug testing.

'It's not about fear'

Although Reed and other Olympics officials around the globe are strongly urging all athletes to get the vaccine, some are refusing it.

"It's not about fear," said Reed. "They don't want something changing up in their training schedule. They don't want something different and we have to accept that."

Among those refusing the shot is U.S. Olympic ski team member and 2006 gold medalist Julia Mancuso.

"I have never taken a flu shot and would not consider the H1N1 vaccine, because I believe that you can stay healthier without the risk of any side effects or long term risks that come with vaccinations," Mancuso said in an e-mail to CNN.com.

Side effects after an H1N1 vaccine would be rare, according to the Centers for Disease Control and Prevention. They include soreness, redness or swelling around where the shot was given, as well as fainting, headache, muscle aches, fever and nausea.

Medical observers will be conducting "very intense communicable disease surveillance" at hospital emergency rooms and elsewhere looking for signs of an outbreak, said Gustafson.

As they plan for the worst, Vancouver health officials are expressing confidence. They say they have history on their side.

"Let's remember: There was a flu pandemic during the 1968 Olympics and it had no effect whatsoever on the games," said D'Angelo. "We're ready."

@highlight

Largest host city of any Winter Olympics prepares for possible new wave of H1N1

@highlight

750 soldiers, police on standby in case massive flu outbreak strikes security forces

@highlight

Emergency plan calls for athletes, staffers, spectators with symptoms to be isolated

@highlight

Some athletes, including gold medalist, choose not to get H1N1 shots