(CNN) -- Germany may be America's most important European ally, but the relationship between the two countries is on the rocks.

On Thursday, Germany expelled a top CIA agent from Berlin, a highly unusual move for which the German government cited a "lack of cooperation" from the United States in clarifying recent spying cases. Those cases include revelation that the CIA tried to recruit a German secret service staffer to sell classified information, and the possibility that a German Defense Ministry employee had been working for U.S. intelligence.

German policymakers and journalists are up in arms, with U.S. diplomats struggling to contain the political damage.

In a recent poll, only 35% of Germans said the United States can be trusted. This is a stunning vote of no confidence amid continued public uproar about the NSA's tapping of Chancellor Angela Merkel's cell phone.

For those dedicated to the trans-Atlantic alliance, the current atmosphere is more depressing than during the height of the Iraq war, when Chancellor Gerhard Schroeder and President George W. Bush made no secret of their antipathy. Long gone are times like when 200,000 Germans cheered for candidate Barack Obama as he spoke under Berlin's Victory Column in summer 2008. Gone, too, are Obama's 75% approval ratings among Germans.

The United States has very few friends in Berlin these days. Even traditionally pro-American policy- and opinion-makers keep a low profile, and almost no one is prepared to publicly defend the United States. Many say they are fed up with America's explanations and excuses, and it is hard to blame them.

In contrast, those in Germany who argue that the country should pursue an even course between the United States and Russia, instead of partnering with the United States, are in "I told you so" mode, saying that Americans are not worthy of a trusting relationship. Legitimate criticism of intelligence overreach is now solidifying into genuine anti-American sentiment, with deeply corrosive effects on bilateral ties.

Germans are very sensitive about data protection. This is rooted in Stalinist and Nazi traditions of comprehensive surveillance and terror. But that's only part of the story.

Many in the German business community are trying to protect their investments in Russia from U.S.-led sanctions. A new generation of Germans in their 20s and 30s know the United States only in its post-9/11 guise: Afghanistan, Iraq, surveillance, fingerprinting at the borders, spying on friendly nations and their leaders, renditions and targeted killings.

It is not uncommon to hear young Germans ask: "What makes the U.S. different from Russia or China?"

It is easy to dismiss such distorted perceptions, but they matter. America is increasingly seen as a paranoid society that cannot distinguish between friends and foes anymore. This perception is eroding America's standing in the world. As one Berlin policymaker suggested: "The U.S. is digging its own grave with regard to its global leadership aspirations."

In addition, there is a widespread feeling among government officials, scholars and businessmen that the United States "still doesn't get it" and is not prepared to seriously discuss the rules of engagement when it comes to surveillance of close allies.

We should not underestimate the damage this perception has already inflicted. During the Iraq war, many Germans rationalized their discontent with U.S. policy by separating the likes of George Bush, Dick Cheney, Donald Rumsfeld and Paul Wolfowitz -- bad apples in their minds -- from what they saw as the "good Americans."

This time, German disappointment and anger is proportionate to the high expectations of the Obama era. Many just say that the United States cannot and should not be trusted anymore, and that any special relationship is gone for good.

Germany has reacted this week partly from genuine anger and partly in response to public opinion. U.S. Ambassador John Emerson was summoned to the German Foreign Office just hours before the large annual Fourth of July reception at the American Embassy. It was "nothing that we liked to do but it was necessary," said one German official. Members of the governing coalition are openly asking to expel U.S. intelligence personnel from Germany and order the BND (Germany's foreign intelligence agency) to cease all cooperation with U.S. services. Even German President Joachim Gauck, usually a measured man, could not resist making a populist "enough is enough" statement.

The current turmoil is reversing modest gains that have been made by the Cyber Dialogue established by the White House with the German government in the wake of the National Security Agency revelations. The first meeting took place on June 26 in Berlin, ending a day before news broke that the CIA attempted to recruit a junior BND agent. So much for dialogue.

For the United States, references to ongoing internal review will not cut it this time. As annoying as public debates in Germany might be to American leaders, the United States cannot afford to ignore them.

The Germans require a serious conversation about national interest, the trans-Atlantic partnership, and intelligence gathering. This will be mutually beneficial, as it will force Germans to make up their mind as to what role they want to play and perhaps help the United States establish a true cost-benefit analysis of its intelligence activities.

@highlight

Germany expelled a top CIA agent from Berlin in light of recent spying cases

@highlight

Michael Werz: Germany is an important ally for U.S., but now relations are strained

@highlight

He says America is perceived as a paranoid society that can't tell friends from foes

@highlight

Werz: U.S. and Germany need to talk about the transatlantic partnership and spying