Washington (CNN) -- Top U.S. and European leaders called Thursday for Syria's president to step down, significantly ratcheting up international pressure against a regime that has been criticized for its harsh crackdown against anti-government protesters.

"The future of Syria must be determined by its people, but President Bashar al-Assad is standing in their way," President Barack Obama said in a written statement. "We have consistently said that President Assad must lead a democratic transition or get out of the way. He has not led. For the sake of the Syrian people, the time has come for President Assad to step aside."

The leaders of Canada, France, Germany, the United Kingdom, and the European Union echoed Obama's demand.

"Our three countries believe that President Assad, who is resorting to brutal military force against his own people and who is responsible for the situation, has lost all legitimacy and can no longer claim to lead the country," British Prime Minister David Cameron, French President Nicolas Sarkozy and German Chancellor Angela Merkel said in a joint statement.

"We call on him to face the reality of the complete rejection of his regime by the Syrian people and to step aside in the best interests of Syria and the unity of its people."

U.S. officials, who asked not to be named because of the sensitivity of the matter, have said they expect similar calls for al-Assad to step down in coming days from other leaders.

American authorities also imposed new economic sanctions against Damascus Thursday, freezing Syrian government assets in the United States, barring Americans from making new investments in that country and prohibiting any U.S. transactions relating to Syrian petroleum products, among other things.

U.S. Secretary of State Hillary Clinton said the United States "will take steps to mitigate any unintended effects of the (new) sanctions on the Syrian people."

"These actions strike at the heart of the regime," Clinton said, noting that the United States expects other countries "will amplify the steps we are taking."

Syrian president claims military operations have stopped

Within the United States, some opposition Republicans were quick to back Obama's decision.

House Majority Leader Eric Cantor, R-Virginia, called Syria "a proxy for Iran, a supporter of terror, and a threat to United States interests and our allies in the region. "

Other Republicans, however, argued Obama waited too long to call for al-Assad's removal.

"America must show leadership on the world stage and work to move these developing nations toward modernity," said former Massachusetts Gov. Mitt Romney, a leading GOP presidential contender. "This means using the bullhorn of the presidency and not remaining silent for too long while voices of freedom and dissent are under attack."

The White House previously said al-Assad had "lost legitimacy," but resisted calling explicitly for his ouster. Senior administration officials stressed in a conference call with reporters Thursday that they wanted to ensure international coordination and properly prepare a new round of sanctions before moving ahead with a call for al-Assad's removal.

The new U.S. sanctions "are very strong measures," said Andrew J. Tabler, Syria expert at the Washington Institute for Near East Policy. "These are also unprecedented. We've never targeted Syria energy before. It is the regime's Achilles' heel."

Tabler -- author of "In the Lion's Den: An Eyewitness Account of Washington's Battle with Syria" -- said no one expects al-Assad "to tip over tomorrow," but "these are devastating blows."

He said 90% of Syria's oil sales go to European Union countries, and noted that the EU is meeting Friday to do the same thing that the United States has done.

Oil and gas make up about a quarter of Syria's economy, according to the International Monetary Fund.

Senior U.S. officials, diplomats and members of the Syrian opposition have argued that the next several weeks will be critical in terms of isolating al-Assad, strengthening sanctions against the regime, and bolstering domestic opponents of the regime.

U.S. strategy on Syria from Libya playbook

The campaign against Syria's leadership, involving intense diplomatic outreach by both Clinton and Obama, has been based on the one the United States used in Libya, where the U.S. administration built international consensus for the NATO mission to protect civilians.

But U.S. and European authorities remain opposed to any military intervention in Syria -- a sharp contrast to their response to regime-sponsored violence in Libya.

"I don't think anybody believes that is the desired course of action on Syria," one senior administration official said Thursday.

Jordan, Turkey join calls for Syria to end violence

Several Middle Eastern countries with traditionally close ties to Syria, including Turkey and Saudi Arabia, have been consulted in recent weeks, according to senior administration officials.

U.N. panel: Possible crimes against humanity in Syria

Meanwhile, the U.N. Security Council will hold consultations on Syria on Thursday, when council members are scheduled to be briefed by the organization's high commissioner for human rights, Navi Pillay.

Officials said Pillay is expected to give a sober assessment of the situation, despite al-Assad's insistence to the U.N. Wednesday that military and police operations against anti-government protesters had stopped.

A U.N. fact-finding mission announced Thursday it has found Syria guilty of multiple human rights violations, and indicated it may be time for the International Criminal Court to become involved.

"The mission found a pattern of human rights violations that constitutes widespread or systematic attacks against the civilian population, which may amount to crimes against humanity," investigation staffers concluded in their report.

France and other European countries are continuing to push for a Security Council resolution condemning the al-Assad regime, but they are still facing stiff resistance from Russia, China, Brazil, India and South Africa. The United States is pushing for special session on Syria at the U.N. Human Rights Council in Geneva, Switzerland, as early as next week.

Diplomats say they hope Pillay's briefing Thursday will generate momentum for further action, including additional calls for al-Assad to step down over the coming days.

"We're certain that Assad is on the way out," one senior U.S. administration official said Thursday. "That is our assessment. ... (His) time in power is limited and his days are numbered."

CNN's Elise Labott, Alan Silverleib and Joe Sterling contributed to this report.

@highlight

President Obama says Bashar al-Assad is standing in the way of Syria's future

@highlight

U.S. authorities impose new economic sanctions against Syria

@highlight

The U.N. Security Council is set to hold consultations on the situation

@highlight

The new moves are coordinated with European, Turkish and Arab allies