Militants with black masks stand by as 15-year-old Mohammed watches a video of fighters cutting off a man's head.

"This is jihad for the sake of God," the men with Kalashnikov rifles say.

Mohammed begins to feel lost, confused. "Does God want me to do jihad?" he wonders.

This is Mohammed's eyewitness account, told to CNN on Wednesday in a telephone interview.

He was one of the more than 140 Kurdish schoolboys kidnapped in Syria last month by the Islamic State in Iraq and Syria (ISIS) and forced to take daily lessons in radical Islamic theology, the Syrian Observatory for Human Rights, a London-based monitoring group, and local activists say.

Mohammed's account provides insight into the workings of an organization that has the stated goal of creating a single caliphate across Syria and neighboring Iraq.

Armed fighters in pickup trucks on May 29 stopped buses driving children back to their hometown of Ayn al-Arab from their junior high final exams in Aleppo.

"How can you sit with the girls? It is forbidden!" the men, many with foreign accents, yelled as they separated the female students and took only the boys.

The convoy of fighters then forcibly escorted the all-male group to the ISIS-controlled city of Manbij in northern Syria, Mohammed told CNN.

Nearly a month later, all the boys, ranging in age from 14 to 16, remain hostages, except for Mohammed and three others who made a harrowing escape.

"We were all so scared. On the way back, we were celebrating that we had finished our tests. We were excited to go home and see our families. We didn't know why they took us," says Mohammed, who asked his full name not be used for fear of his safety.

After five days in captivity, Mohammed and a friend asked their classmates to create a diversion. The boys slipped out a back door, climbed a fence and started running to safety.

The pair went from shop to shop, asking for help, but several locals, frightened by possible retaliation, turned the teenagers away. One resident gave the boys money to take public transportation to the border town of Jarablus, where they contacted their families from an Internet cafe.

"I was so happy when I got home. My mother had no idea that I had escaped. I was so excited to see her," says Mohammed. He says he is now wanted for fleeing and fears he will be executed if ISIS captures him.

Life under ISIS' iron thumb

The boy recalled their first morning in captivity, which began at a mosque in Manbij. "If you try to leave," the militants said, according to Mohammed, "we will cut your heads off."

ISIS issued blankets and assigned a single room for every 17 boys to share. Almost immediately the radical schooling began, Mohammed says.

Every day, local sheiks woke the boys up at dawn for prayer then held the students for several hours of Sharia lessons, said Mohammed. At night, ISIS fighters spent about five hours preaching jihad and showing graphic videos of executions and suicide operations.

"ISIS and Jabhat al-Nusra have targeted children for recruitment by providing military training in school settings or as part of broader education programs run by the groups," said a report this week from Human Rights Watch. "Former recruits described how leaders gave children particularly difficult or dangerous tasks and encouraged them to volunteer for suicide attacks."

While ISIS has not commented publicly about the mass abduction, it and other armed militia groups often recruit children for combat and battlefield support. A Syrian doctor told Human Rights Watch he treated a boy no older than 12 whose job was to whip prisoners in ISIS detention centers.

"They are trying to brainwash them," a man identified as the father of one of the Kurdish boys told CNN in a telephone interview.

"We have raised our children well, but we are worried how this will affect them psychologically." the man said on condition of anonymity.

The father, a well-known Kurdish leader living outside Syria, asked his identity be kept secret for fear ISIS may punish his 14-year-old son, who is still being held in Manbij. ISIS totally isolates the children, even threatening local residents for peering at the boys from their balconies, he says.

"My friends would cry quietly at night," Mohammed says, "Now I try to comfort their parents and tell them, 'No they were happy and playing,' but all of us were depressed."

The Syrian government refused to set up testing centers in the Kurdish-controlled city of Ayn al-Arab, forcing nearly 1,500 students to travel through treacherous territory to the government-controlled suburbs of Aleppo for yearend exams, the opposition Syrian Observatory for Human Rights said.

The Syrian government has not commented on the claim or the abduction of the boys.

"These children have nothing to do with the political crisis. They just wanted to take their exams. They are innocent of all this," the father says.

Syrian Kurds threatened

The People's Protection Unit (YPG), a Kurdish militia, rules the border city of Ayn al-Arab, but ISIS controls much of the surrounding area, effectively imposing a siege on residents.

"You go into Ayan al-Arab and there are no youths. All my friends are taken. I feel I cannot smile. My whole life and all my days were with my classmates and now there is nothing," Mohammed told CNN.

Anguish plagues the homes of many families worried about the safety of their youngsters and the fate of the Kurdish enclave -- now that ISIS has acquired heavy weaponry, American-made Humvees and advanced military technology from its rampage on neighboring Iraq.

"It is painful for our community. If the boys had been captured in a battle then we can justify it. This is completely unjust." Mostafa Baly, a Kurdish activist inside Ayn al-Arab, told CNN.

ISIS demands Kurdish troops release its fighters in exchange for the release of the children, but with a lack of direct communication and distrust between the two parties, some are calling on the international community to intervene.

"We as the families, we call on any entity that could help put pressure on ISIS to free the children to please help us," Baly, whose nephew is among the abducted, told CNN.

The Democratic Union Party (PYD), which controls Ayn al-Arab, is accused of committing violations against children and those held in its custody. The local Kurdish authority failed to provide due process, committed arbitrary arrests and used children within its ranks, Human Rights Watch said last week.

"The Kurdish-run areas of Syria are quieter than war-torn parts of the country, but serious abuses are still taking place," said Nadim Houry, deputy Middle East and North Africa director for the group.

Syria's scattered and long-oppressed Kurdish community fought and won its local autonomy during the country's protracted civil war but distanced itself from the armed rebellion against President Bashar al-Assad.

A call for the world to pay heed

The People's Protection Unit (YPG), which defends and administers the ethnic minority's strongholds, predominantly in the north, often faces armed attacks by anti-government groups vying for resources and control.

"ISIS want to take over the world by killing, terrorizing and hurting children," Baly told CNN. "The Kurdish people will insist on defending themselves, but the world must watch and be careful."

ISIS has not issued any official statement on the incident or the alleged request for a prisoner swap.

The group, so radical that al Qaeda's central command disowned it earlier this year, controls several towns and cities in northern Syria and recently captured much of Iraq's Sunni heartland including the country's second largest city, Mosul.

"I want them to free my friends and bring them back to their families," Mohammed says. "I want ISIS to go because if they come here, I am dead."

Iraq's parliament called to meet amid worsening crisis

Facebook looks to block ISIS clothing sales

@highlight

More than 140 schoolboys remain in ISIS control, group and residents say

@highlight

They are being indoctrinated into radical theology

@highlight

ISIS, engaged in fighting in Syria and Iraq, endorses Sharia law

@highlight

Loved ones of boys seek outside help to free them