(CNN) -- Democrats and Republicans woke up this week with a fresh perspective on the midterm elections.

To many political observers, the election of Republican Scott Brown is a game changer. He overcame what at one point was a 30-point deficit to defeat Democrat Martha Coakley in a special election to serve out the remainder of the late Ted Kennedy's Senate term.

Democrats are trying to calm frustrated voters and make sure that recent losses in Massachusetts, New Jersey and Virginia don't become a national trend. Republicans, still jubilant from last week's win, are hoping to capitalize on the excitement brewing from a refueled base.

"As a Frank Sinatra fan, I think of the great song 'New York, New York,' and really for Republicans right now, we think if we can make it there in Massachusetts and New Jersey, we can make it anywhere," Republican strategist Doug Heye said. "There's no state in the union right now that Republicans don't feel that they can be competitive in."

The passion awakened in Republicans could put Democrats at a disadvantage as the midterm elections near, experts say.

"The problems for the Democrats will be remobilizing the enthusiasm that they had in 2008, and I think that is a serious problem. Right now, the Republicans have the advantage of strong emotions, and that tends to pull their people to the polls, whereas weak emotions do not," said Curtis Gans, director of the Committee for the Study of the American Electorate at American University.

Dr. Elizabeth Ossoff, a psychology professor at Saint Anselm College who specializes in voting behavior, said voters start from an emotional perspective and then get rational.

"If you can grab them emotionally, I think you've gone a long way toward getting them where you want them to be, voting either Democrat or Republican,"  said Ossoff, who is also the director of research for the New Hampshire Institute of Politics.

President Obama rode into the White House on a compelling message of change, inspiring his base while also winning over independent voters. But a year after his inauguration, polls suggest that much of the excitement that followed him has disappeared.

Are you an independent voter? Tell us why

A CNN/Opinion Research Corp. survey released this month found that 39 percent of Democrats say they're extremely or very enthusiastic about voting this year, down 11 points from November. Forty-nine percent of Republicans questioned in the poll say they're enthusiastic, up 6 points.

"[Democrats] will try to mobilize more voters, but you have to overcome the enthusiasm gap. The best grassroots, ground operation will only work if the territory is fertile," Gans said.

He predicted the economy will be the most important issue in the midterms. The Obama administration has said it plans to emphasize job growth both in this week's State of the Union address and in the months to come.

"He had a year in which he could blame the Bush administration for not dealing with the economic problems. The economy is now his baby, as Afghanistan is his baby," Gans said.

But Republicans can't get too carried away. If they swing too far to the right, they run the risk of alienating independent voters like those who swung the Massachusetts election for Brown.

"If the 'birthers' and the Tea Party people win most of the primaries in the Republican Party, that may not yield as much of a Republican victory in the general election as if their more moderate elements win," he said.

This scenario played out last year in a special election for New York's 23rd Congressional District. Local Republican leaders backed state assemblywoman Dede Scozzafava because they thought she would appeal to centrists and independents. But more conservative party members revolted and instead backed Doug Hoffman, who ran on the Conservative Party line.

Scozzafava dropped out days before the race and endorsed Bill Owens, the Democratic candidate and eventual winner. The split among Republicans contributed to Owens' win.

A similar battle could take place in Florida, where Republican Gov. Charlie Crist and former state House Speaker Marco Rubio are competing to be their party's nominee for the Senate race. Crist has the backing of mainstream Republicans, and Rubio is the darling of the right.

"Rubio has the enthusiasm of the birthers and the Tea Party people and others like that, and that may propel him to the nomination, but it will be harder for the Republican Party to win in Florida under Rubio than it would be under a more moderate person," Gans said.

Going ahead, both parties need to clarify their messages and why their strategies are the best options in order to engage voters, Ossoff said.

"What the Democrats have to do is get off the defensive if they want to win and start packaging themselves in a more positive light. ... They need to not only say, 'This is what we are going to do because it is right,' but 'those guys over there don't want us to do that' and paint [the Republicans] as bad guys.

"In turn, the Republicans have to keep doing what they're doing, which is, 'They're leading you astray, we're the ones who have the right idea.' " she said.

CNN's Paul Steinhauser contributed to this report.

@highlight

Republicans energized after upset in Massachusetts

@highlight

"Republicans have the advantage of strong emotions," expert says

@highlight

GOP could hurt chances in midterms if primaries go to more extreme candidates, expert says

@highlight

Both parties need to clarify message, show why the other is wrong, psychologist says