Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

At 2 a.m., most workers are asleep in their beds, blissfully unaware that their alarm clocks will sound in a few short hours. But for 41 percent of Americans this is the time of day is when they are most productive, according to a 2005 poll by the National Sleep Foundation.

Some people prefer working the night shift.

You can probably pick these folks out of your own office -- they're your co-workers who slouch into work, never a minute early but often several late, bleary-eyed and lackadaisical during the earlier part of the workday.

Some might call it slacking, but science calls it something else completely. Severe night-owl symptoms, also known as Delayed Sleep Phase Disorder, are a condition characterized by extreme difficulty falling asleep before 2 a.m. and trouble waking early, according to the Sleep Disorder Channel. When forced to rise in time for 9-to-5 jobs, they are rarely at their most productive.

Rather than struggle by working a traditional schedule, we thought we'd give you night owls another option: finding a career that fashions to your preferred schedules.

If you're most productive at night, check out these jobs to fit your schedule. Some of them might surprise you.

1. Protective service workers must work around the clock to keep people and property safe. Examples of these types of positions include prison and jail security; police officers; correctional officers; fire fighters; security guards and private investigators.

Training: Training varies based on your specific job title, but most protective service occupations require a high school diploma, college degree and/or on the job training.

Average annual salary: Varies by position.

2. Health-care workers are on call at all hours in hospitals, nursing homes and home health care. Nurses, doctors, aides, paramedics, surgical staff, even office assistants are among some of the staff needed for 24-hour care. Most workers favor daytime hours, however, which leaves lot many opportunities open for night shifts. Plus, those who work the graveyard shift often earn more money than daytime shifts.

Training: Education varies based on position. Many positions require extensive schooling, specialized certifications and prior experience.

Average annual salary: Varies by position.

3. Air traffic controllers work basic 40-hour work weeks. But, since most control towers and centers operate 24 hours a day, seven days a week, controllers need to be available for the night shift. There are many types of controllers, including but not limited to airport tower controllers, terminal controllers, enroute controllers and radar controllers.

Training: Completion of an FAA-approved education program and pre-employment test; obtaining a school recommendation; meeting basic qualification requirements in accordance with Federal law; and achieving a qualifying score on the FAA-authorized pre-employment test.

Average annual salary: $117, 240

4. Computer operators work evening or night shifts and weekends because many organizations use their computers all day, every day. When the computer is running, computer operators monitor the control console and respond to operating and computer messages.

Training: They typically get on-the-job training to learn the employer's equipment and routines; length of training varies with the job and the experience of the worker.

Average annual salary: $34,000 but will depend on size of your organization.

5. Funeral directors are on call at all hours because they may be needed to remove remains in the middle of the night. Additionally, funeral home hours sometimes include evenings and weekends, requiring someone to be on staff.

Training: State licensure; two years formal education, an apprenticeship and passing an examination.

Average annual salary: $87,383

6. Casino dealers exist in casinos all over the world in the cities that never sleep. There's always a demand for nighttime workers at the gaming tables.

Training: Each casino has its own education and training requirements, but most dealers are trained on the job.

Average annual salary: $11,442, but dealers can double or even triple their wages with tips.

7. Photo journalists take pictures of newsworthy happenings and must be available to photograph events whenever they happen, whether it's in the early morning or late evening.

Training: A college education with a background in journalism or photography.

Average annual salary: $26,351

8. Taxi drivers are in demand for other night crawlers who are either out roaming cities, clubbing or perhaps even going into work (or coming home) themselves.

Training: Local governments set licensing standards and requirements for taxi drivers, which may include minimum amounts of driving experience and training.

Average annual salary: $25,264

9. Pastry chefs and bakers work late-night shifts in order to ensure items are fresh for the following day.

Training: Many pastry chefs and bakers attend culinary school to receive specialized training.

Average annual salary: $35,415

10. Clinical lab technicians who work in hospitals process test results for patients, no matter what hour of the day. Sometimes, analyzing these test results are the difference between life and death.

Training: A bachelor's degree with a major in medical technology or one of the life sciences; some places hire with only a combination of education and on-the-job or specialized training.

Average annual salary: $31,159

Source: Bureau of Labor Statistics, CBSalary.com

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

National Sleep Foundation: 41 percent U.S. workers are most productive at night

@highlight

Disorder causes extreme difficulty to sleep before 2 a.m., trouble waking early

@highlight

Pastry chefs, security officers, health care workers have night shifts

@highlight

Air traffic controllers make $117,000, funeral directors make $87,000