(CNN) -- Broadcaster Lee Thomas' patchwork skin has being losing pigment for 17 years. He's gotten used to the constant stares when his work makeup is off; he doesn't even mind being asked about his varying skin tones.

Thomas laughs when he recalls one of his 6-year-old daughter's friends telling him he looked like a cow. After Thomas explained he had vitiligo, the boy asked if they could play Frisbee.

"It's not really the ignorance," Thomas said about the lack of awareness surrounding vitiligo. "It's the malicious ignorance. Adults are weird."

He remembers playing a "visual tennis match" with a man in his office. The man would stare at Thomas, then as soon as Thomas looked at him, the man looked away. They volleyed back and forth until Thomas told him, "It's OK if you want to look."

He went through what he calls an "angry spotted-guy" period when he would give menacing looks to those who stared at him.

"Eventually I said, 'That's not me' and would do the opposite," he said. "I'd give them the million-dollar smile that got me into my work in the first place and turn it into a conversation rather than a spectacle."

What's vitiligo?

June 25 marks World Vitiligo Day, which is aimed at raising awareness about the incurable disease.

Vitiligo affects roughly 100 million people worldwide, according to the Vitiligo Research Foundation. It's not contagious or fatal, but scientists don't know exactly what causes it.

"The body acts as if it's allergic to its pigment cells," said Dr. Mark Lebwohl, a professor and dermatologist at Mount Sinai School of Medicine. The pigment cells, also known as melanocytes, die or stop producing melanin, leaving patches of colorless skin all over a person's body.

Vitiligo doesn't discriminate, affecting people of all skin colors, but it is most noticeable in people with darker skin.

Michael Jackson probably had the most well-known case of vitiligo; rumor has it Jackson wore a single glove to hide some of the splotches on his hand. Thomas said he also, for a time, wore a single glove while reporting stories to cover his symptoms.

Though there is no cure for vitiligo, there are many treatment options that vary in effectiveness and cost.

Topical creams and ointments can repigment the skin, but Lebwohl said this process can take years. Laser treatments, which target affected skin areas with light therapy, can produce results in just a few treatments. These treatments work best in dark-skinned people and on the face.

There are also some surgical treatments, "but sometimes the healing is not uniform so it can look like there's scarring," Lebwohl said.

Vitiligo patients often struggle for years to find something that works for them. Lebwohl says one of his colleagues at Mount Sinai has done great work in mapping the causes of vitiligo in the immune system. Lebwohl believes better treatments will be available in the next decade or so that target the roots of the disease.

Getting past the stigma

Thomas wore makeup on his face anytime he was out of the house for nearly four years until he was no longer able to hide his vitiligo, he said. Being a TV personality, he worried that he would lose his job if his bosses and co-workers found out about his condition.

Eventually he had to reveal it, and to his relief, it wasn't an issue.

"My bosses here at the time were always very supportive," he said. "The conflict was within."

He now goes without makeup when he's not working, but he still wears makeup on camera because his vitiligo is so visible he feels it distracts from the stories he reports.

Vitiligo isn't physically painful, but Lebwohl emphasized it's not strictly a cosmetic condition either.

"It's debilitating. Imagine every time you meet someone you have a disorder clearly on your face," he said. "It's really a psychological disorder."

Yan Valle, who works with the Vitiligo Foundation, said he's watched his pigment disappear since he was 6. It started on his legs, then spread to his hands, face and neck.

"It's not as bad as on dark-skinned people, but still, kids see everything," Valle said.

Like Thomas, he senses that his vitiligo makes people uncomfortable -- on subways or elevators, strangers purposely avoid looking at the spots.

Valle says he grew up with few resources to help him understand the condition or how to treat it. He helped found the Vitiligo Research Foundation in 2010 and now works full-time to provide resources to medical professionals and those with the condition.

Thomas has written a book, "Turning White," and often speaks about his experience with vitiligo.

He met one woman and her brother at a support group he started in Detroit, which he says was the first vitiligo support group in the United States. The woman's brother told Thomas she hadn't left the house in months because of her insecurities with the disease.

"She said 'I don't know how you do it,' " Thomas said. "There are lots suffering in silence, and I hope to be their voice."

CNN anchor battles her skin and wins

@highlight

Vitiligo affects roughly 100 million people worldwide

@highlight

Scientists don't know what causes the incurable disease

@highlight

With vitiligo, pigment cells deteriorate, leaving patches of colorless skin