Cairo (CNN) -- Outside Egypt's top court in Cairo, protest leader Hussein Abdel Rahman wears a sash around his collared shirt emblazoned with a zucchini. The judiciary, he says, has transformed into what the green vegetable means in colloquial language: corruption, nepotism, favoritism.

An editorial cartoon in a Cairo daily sums up Egypt's state of affairs: a scribbled mess of spirals.

And the presidential election this weekend, once hailed as Egypt's big step toward democracy, is now satirized in an online mock-up of a video game pitting a bare-chested Ahmed Shafik, the last prime minister under ousted President Hosni Mubarak, against the bearded Mohamed Morsi of the Muslim Brotherhood.

The runoff vote is taking place after the Supreme Constitutional Court declared the parliament invalid and triggered renewed chaos over the country's leadership.

The ruling dealt a blow to the Muslim Brotherhood, which dominated parliament, and was victory for supporters of Shafik, the focus of protesters' derision for his ties to the deposed dictator.

Anger festered Friday among those who feared that a hard-won revolution was fast unraveling; that little had changed.

Rankled revolutionaries felt left out in the cold on a hot June day.

The dissolution of parliament gives the Supreme Council of the Armed Forces, or SCAF, full legislative and executive power alongside, it appears, a friendly judiciary.

"SCAF has been suppressing our protests, suppressing the youth movements on the ground," said Wisam Mohamed. "They have been arresting thousands of us."

Ahmed Maher, a founder of the April 6 Youth Movement, which played a prominent role in last year's Tahrir Square uprising, called the ruling "provocative."

The contentious verdict, he told the English language news website Ahram Online, will "pave the way for the reanimation of the ousted Mubarak regime."

The court dissolved parliament after it had been in session for a little more that four months, saying that constitutional articles that regulated the parliamentary elections were invalid.

SCAF, which has been in control of the country since Mubarak's ouster, claimed full legislative power.

Many view the move as a "soft coup" staged by Egypt's powerful military, a move intended to diminish the power of the Islamists, who have long been held under the military's microscope.

The court ruling was "a complete coup d'etat through which the military council is writing off the most noble stage in the nation's history," said Mohamed el-Beltagy, a senior member of the Muslim Brotherhood's Freedom and Justice Party.

Sally Toma, a member of the Revolution Youth Coalition, blamed the Islamists for what happened.

"The parliament only served the Islamists, who dominated it," she told Ahram.

She said the Brotherhood stood against the idea of creating a presidential council mandated with powers of administration until a new constitution could be drawn up.

"Legislative powers have been transferred to the SCAF because of the Brotherhoods' selfishness," she said. "They made us lose the revolution, and they lost everything."

After the ruling, speculation rose that Morsi, the Brotherhood's candidate, would pull out now that his party's pillar of power had crumbled. But Morsi said he will stay in the running, though the notion of carrying on a vote under the circumstances seemed absurd to some.

In the absence of a parliament, the winner of the runoff vote will be put in a position of dealing directly with Egypt's military leaders, a reason for SCAF to postpone the elections, said Mohamed ElBaradei, a 2005 Nobel Peace Prize laureate whose own presidential bid failed.

"Electing president in the absence of constitution and parliament is electing an 'emperor' with more powers than deposed dictator. A travesty," he tweeted Friday.

Gamal Mahmoud hoped the election process would proceed peacefully.

"And I hope that the voter chooses the person who will achieve the goals of the revolution," he said.

The streets of Cairo were calm early Friday, but everyone braced for Tahrir Square to erupt with anger. Already, protesters were amassing in the Mediterranean city of Alexandria.

The April 6 Movement took to Facebook to motivate protesters.

"We are now back at the crossroads and perhaps at the point of zero. Martial law under the disguise of legality," it said.

"The Muslim Brotherhood proved beyond a reasonable doubt that they are incapable of understanding history, refuse to learn from their mistakes, and have a level of arrogance that makes them unable to accept advice."

The unease was palpable on Twitter as well.

"So now we have a country with no constitution, no parliament, no president. And military police in checkpoints and around parliament! Ummm," wrote @TheBigPharaoh.

Wael Ghonim, the former Google executive who attained fame after being arrested during the uprising, said: "The only thing that will make us go back to living in fear, oppression and silence is a time machine -- they haven't invented that yet."

Many Egyptians, emboldened to speak their minds now more than ever, felt alienated by both the Muslim Brotherhood and their other choice: a remnant of the old regime.

"Both choices are unacceptable to me," said Ahmed Maher, a civil servant. "I will be boycotting."

University student Ibrahim Gamal Al-Din has become an online sensation with his satirical music videos. In one, he takes aim at the Muslim Brotherhood.

"This is our country, but you were all sleeping," he sings. "We took parliament and the constitutional assembly, and we'll take the presidency, too. And if you don't like it, you can go to hell."

Humor has long been a form of dissent in Egypt, Ibrahim says. Whenever things get tense, he says, Egyptians try to cope by making fun.

But the rumblings Friday were not all funny. It was clear many Egyptians had had enough.

Wait until the sun goes down, tweeted an activist. The small gathering at Tahrir will get stronger.

But by the time evening came, the air filled with uncertainty, though not much had transpired in the iconic square.

CNN's Ben Wedeman reported from Cairo and Moni Basu from Atlanta. CNN's Ivan Watson and Tracy Doueiry contributed to this report.

@highlight

A court ruling dissolved parliament just ahead of the presidential runoff vote

@highlight

Many Egyptians see their revolution unraveling

@highlight

Anger festers in those who perceive a "soft coup" by the military

@highlight

The streets were calm early Friday, but Cairo braces for mass protests at Tahrir Square