(CNN) -- Johnnie Tuitel, a professional motivational speaker who has flown nearly half a million miles, is no stranger to airline trouble.

Even the most savvy of business travelers, like Tuitel, are not spared inconveniences due to delays, cancellations and mechanical failure.

But Tuitel experienced something new last month. For the first time in his 20-year career, he said, he was ordered off a plane that had been cleared for takeoff for what could be called his own mechanical failure. Tuitel is wheelchair-bound because of cerebral palsy, a condition he has managed to turn into a source of inspiration for the national audiences he addresses regularly.

"My first reaction was to worry about my family's safety," Tuitel said about the request for him to get off the plane. "I've got kids, my father's 78 years old and not in good health; I thought, 'They're going to tell me something I don't want to hear'"

They did, but it was of a different sort: He was told he was removed from the plane because of his physical condition.

"Their argument was if something were to happen, I can't help myself or somebody else, which is an assumption first of all. Second of all, the people that made the decision are not medical doctors," said Tuitel, 47, of East Grand Rapids, Michigan.

"They basically told me I was too disabled to fly and I had to fly with a companion and I had to purchase that companion's ticket," he told HLN's "Prime News."

The airline, US Airways, said he was ordered off the flight for his own safety.

"He did not appear to have the ability to assist himself in evacuating in the event of an emergency," said Michelle Mohr, a US Airways spokeswoman. "He appeared to have a lot of difficulty moving."

Tuitel had been on a US Airways flight from West Palm Beach, Florida, to Kansas City, Missouri, where he had a late-September speaking engagement.

Tuitel said he had looked into what legal courses were available to him. The Air Carrier Access Act outlines how airlines should deal with people with disabilities, but it is unclear whether US Airways' actions violated the act's provisions.

But afterwards, he told "Prime News" that  he would not sue.

Instead, he said, he would prefer to approach the matter from a civil rights standpoint.

"It's against the law to stop me from traveling for a specific reason, and if I'm already on the plane, they violated my civil rights. It's like telling Rosa Parks you can't sit on the bus," Tuitel said. "I'm not angry. I was just embarrassed because I couldn't do my job."

US Airways' official policy on disabled passengers stipulates that "for safety-related reasons, if a passenger has a mobility impairment so severe that the person is unable to physically assist in his or her own evacuation of the aircraft, the airline requires that the passenger travel with a safety assistant to assist the passenger to exit the aircraft in case of an emergency evacuation," Mohr said.

"Safety is our number one priority and we did not feel it was safe for Mr. Tuitel to fly that day," she said.

Tuitel said that, after he was escorted off the flight, he booked a seat on Delta Air Lines and had no problems traveling alone on that flight.

The airline did not contact him until nearly three weeks later, Tuitel contends, after stories began to emerge about the incident. Its only offer at that time, he said, was to reimburse him for the flight. He declined.

But Friday, as the story spread to more media outlets, Mohr said US Airways' "customer relations team had an extremely productive discussion" with Tuitel.

"We asked Mr. Tuitel if he might be interested in working with us as a sounding board to help us continue to work toward improving our service for our customers with disabilities," she said.

Tuitel confirmed they had "a very productive talk."

"They do want to right this wrong and they do want to work with me," he said. "And I am hopeful -- don't want to sound cynical but it is a big company -- I am hopeful we can come up with a solution that won't only work for the two of us but will make sure that this doesn't happen to anyone with a disability in the future."

Rich Donovan, who is on the board of trustees of United Cerebral Palsy and also has the disease, didn't see the incident as one of negligence or an intent to discriminate on the part of US Airways. He attributed Tuitel's experience to a lack of training and a lack of clarity about policies and how they're applied to disabled travelers.

"There's a general lack of understanding of disability amongst the entire travel industry, and I think that's simply because they look at it as a compliance issue, rather than a customer-service issue," said Donovan, who is the chief investment officer of IPS Capital.

Tuitel said he wants to make sure this doesn't happen to other disabled passengers.

"I don't want a little boy with a disability not have the opportunity to go somewhere. I don't want a young girl with a disability going out for her first job interview by herself to be told she can't fly in an airplane," Tuitel said.

Donovan said he hopes this incident will serve as a learning experience for airlines and make customer service better.

"I think some dialogue and some handwringing and some getting down into the weeds here is what needs to happen so that this stuff doesn't occur again," he said.

CNN's Miguel Susana and Marnie Hunter contributed to this report.

@highlight

Johnnie Tuitel was removed from a plane because he was deemed to need too much aid

@highlight

He has cerebral palsy, but has traveled nearly half a million miles in 20 years

@highlight

Tuitel is a motivational speaker for disabled people