Giglio, Italy (CNN) -- Father Lorenzo Pasquotti keeps hundreds of cards and letters from the passengers and crew members who survived the wreck of the Costa Concordia cruise liner on a shelf in the rectory of the brick-faced Church of the Madonna of Giglio, just up the narrow street from the island's only port.

Many of the letters, handwritten in English, German, French and Italian, are addressed simply to "Giglio, Italy 58012" to no one in particular, almost as if the island itself is a person. The writers express gratitude for assistance they received or apologize for the wreck's impact on Giglio.

When the postal carrier brings the mail over on the morning ferry from the Italian mainland, he either leaves the new letters with Mayor Sergio Ortelli or at the church with Father Pasquotti. After all, Giglio has always been the type of place where the mailman knows exactly who is around and who is not.

INTERACTIVE: How the 952-foot wreck will be raised

At least that's the way it used to be before the Costa Concordia ran aground off Giglio on January 13, 2012, killing 32 passengers and injuring dozens more. But in the last year since the salvage operation began at full tilt, the island has shifted from being a secluded utopia that attracted mainly birdwatchers hoping to spot Corsican seagulls, kestrals and goldcrests, or hikers who wanted to climb its solitary slopes, to what it is now: the epicenter of the largest-ever maritime salvage operation in the world.

The island has a winter population of around 1,000 people spread between the port, the village of Castello on top of the island's hill, and the seaside village of Campese on the other side. The population swells considerably during the summer months when hotels and seaside resorts are brimming with sun seekers.

But now Giglio's permanent population has been bolstered by a constant crew of at least 500 Titan Salvage and Micoperi workers from 21 nations who have, in many ways, invaded paradise. Many live offshore in a floating dormitory called the Discovery, but they all make their way to the island on a regular basis.

A scant few of the new Giglese, as the island's inhabitants are called, are pale engineers, who, despite being on a sunny island for more than a year, still haven't managed a tan. They spend their time in simulated control rooms behind computer screens, working out every potential obstacle in tipping the massive cruise liner, which ran aground off the island in January 2012, to an upright position.

One such worker is Jan Walhout, a Dutch engineer who will be one of the eight people in the control room when the Concordia is rotated upright in a delicate procedure called "parbuckling" that is scheduled to take place September 16. He lives in an apartment in the port and not on the Discovery, but he still has seen very little of the island. That's not why he's here.

"I am here for a job," Walhout told CNN inside a simulated control room attached to the Bahama's Hotel next to Pasquotti's church. "I know a lot of people on the team who socialize in town, but I am here to concentrate on this job."

The rest of the temporary crew are mostly contracted shift workers who learned their perilous trade in places like west Texas and the British midlands. Salvage jobs are a natural leap for skilled deep-sea drillers and rig constructors looking for lucrative seasonal work, and many of them have taken up with the local girls, completely transforming the social scene at the port.

On any given night of the week, the portside bars are filled with men in gray Titan Salvage jumpsuits. An occasional salvage woman joins the mix, but the vast majority are men who come in to port to unwind. Some wear holsters with scissors hanging on them -- a cowboy-esque equivalent of a pistol for deep sea oilrig divers. Others sling their red inflatable Titan-Micoperi life vests over their shoulders or dangle them on the barstools.

People are still talking about the night last June when a life vest inflated spontaneously inside the Bar Monti, one of the most popular hangouts for the salvage crew. Matteo Di Mariuz, who runs the popular hangout, doesn't mind the new clientele. Sure he has had to introduce country music and imported beer for the new crowds, but he takes it all in stride. "They are hard workers who work long hours to move that monster from our waters," he told CNN. "They deserve a little down time."

Mariuz, who took over the bar from his parents two years ago, now stays open during the winter weeknights, something his parents could rarely afford to do because Giglio just didn't produce enough customers. In the morning he, like most of the coffee bars along the port, will serve up American breakfast on request. They've also learned what it takes to make a good cup of tea.

All along the port, cafes and bakeries have adapted to the newcomers, some even mastering the art of making BLT's and sarnies for the workers' packed lunches. And even after the Concordia is rotated, the crews will have a lot of work to do to fix the starboard side and refloat the ship sometime next summer, meaning Giglio won't be going to normal any time soon.

Most of the restaurateurs and business owners across the island hold nothing against the salvage crews who they feel are the only hope for getting rid of the rotting vessel. Despite an obvious decline in tourism, there is a definite increase in steady customers, especially during the winter months when, prior to the shipwreck, Giglio was a ghost island.

Franca Melis, who owns a small enoteca called La Galera in Castello on the top of the island's hill and a dive shop down in the port, says it is hypocritical for islanders to complain that the Concordia has ruined their livelihood -- especially in the port. The economic slump surely has as much to do with a drop in tourists, and anyway, even in good years people were never able to rent their properties year round like they do now to the salvage workers. She even sees a silver lining. She is lobbying other islanders to push to keep the massive platforms Titan-Micoperi installed to stabilize the ship even after the Concordia is towed away.

"It would give us one of the best dive schools in the world," she told CNN. "We can't rewind the clock and pretend none of this happened, instead we have to look at ways to make it work for the island's vitality."

Melis has been a strong voice both to the media and at the islanders' monthly meetings with the salvage managers, environmental experts and Franco Gabrielli, the government's commissioner for the Costa Concordia disaster. She agrees that now, when the removal of the ship is a top priority, may not be the best time to bring up life post-Concordia, but she wants people to start thinking about the future again. Plus, she points out that it could take up to two more years for workers to remove all the salvage implements they've put in place, all the while the port views will be marred with cranes and rigs. "Leave them," she says. "They offer far more good than harm."

The tragedy has not exactly united the islanders. In some ways, it has created two camps -- those that see an economic advantage to the twist of fate and those who count the days until every trace of the ship is gone. It is not difficult to envision tense days ahead.

Melis's main opposition to keeping the platforms is the island's headstrong mayor Sergio Ortelli, who wants Costa Crociere to keep its promise to return his island to exactly the way it was before anyone had ever heard of the Costa Concordia -- and that means both above and below the waterline.

Ortelli has a perfect view of the operation from his office window in the port and high-resolution diagrams of every stage of the parbuckling project on his computer, which he is happy to show on an overhead monitor to anyone who asks. He keeps track of the salvage schedule, logging days they've lost to bad weather to make his own estimate about when the ship will finally be gone from his view.

"We need our island back exactly way it was before that terrible day," he says. He still recalls how many passengers slept in his office that fateful night, and he says he feels a personal responsibility to the islanders to hold Costa to its promise. "Everything must go," he says. "Not just the ship."

No matter what happens after the physical remains of the liner are gone, the islanders will never forget how their lives changed the night of Friday, the 13th of January, 2012, when 4,200 people spilled into their quiet port. Father Pasquotti estimates that more than a thousand of the Concordia's passengers have come back to Giglio since the accident. Many came to bring back the blankets and dry clothing that the islanders gave them the night of the disaster. Merchants along the port's main street usually know what belongs to whom by asking around. Giglio still has the feel of a small town.

In some ways everything has changed on Giglio, but a few things still remain exactly the same. Despite having one of the most technologically advanced salvage operations every attempted happening in the harbor, it is still impossible to buy an iPhone charger or camera battery anywhere on the island, or read the day's newspapers until the 9:00 a.m. ferry docks -- if someone remembers to send them over from the mainland. No one is ever in a particular hurry and the weather and food are just as wonderful as they were before the Concordia came to shore.

@highlight

Costa Concordia ran aground off Giglio in January 2012, killing 32 people

@highlight

The 500 crew members working in Giglio have transformed the tiny island's social scene

@highlight

Commerce at the port has also changed to accommodate workers from 21 countries