The fate of three U.S. citizens who have disappeared or been imprisoned in Iran was discussed during Friday's historic conversation between the two nations' presidents, a senior U.S. administration official said.

U.S. President Barack Obama, during his phone call with Iranian President Hassan Rouhani, "noted our concern about three American citizens who have been held within Iran -- Robert Levinson, Saeed Abedini, and Amir Hekmati -- and noted our interest in seeing those Americans reunited with their families," the official said.

Two of the Americans have been tried and convicted in Iranian courts, and the whereabouts of another have been unknown for more than six years.

Here are the most recent developments in the stories of the detained U.S. citizens:

Bob LevinsonThe family of Levinson, a retired FBI agent, has been anxiously waiting for news, any news, about his fate since he vanished during a business trip to Iran in March 2007.

When Rouhani, Iran's new president, arrived in New York, Levinson's wife and children were watching closely for a sign that efforts to find Levinson might move forward.

During an exclusive interview with CNN's Christiane Amanpour, Rouhani offered little when asked what he can tell Levinson's family.

"We don't know where he is, who he is," Rouhani said. "He is an American who has disappeared. We have no news of him."

Yet, like former President Mahmoud Ahmadinejad, Rouhani spoke of cooperation.

"We are willing to help, and all the intelligence services in the region can come together to gather information about him to find his whereabouts," Rouhani told Amanpour.

"And we're willing to cooperate on that."

The State Department has said Levinson is believed to be held in southwest Asia.

"We have every reason to believe that he's alive and that the Iranians control his fate," a source with knowledge of the investigation told CNN, a departure from last year when the same source described Levinson as "alive and well."

Questions about his health also remain unanswered. Levinson suffers from diabetes.

Levinson's family said Rouhani's comments, while not directly acknowledging information about Levinson, "are consistent with the commitments made in the past, and [they hope] those promises turn into results."

Spokeswoman Jen Psaki said the State Department said Rouhani's comments about cooperation were welcome.

"We look forward to hearing more specifics on how Iran can help in reuniting Mr. Levinson with his family in the United States as soon as possible."

Both the State Department and Levinson's family deny he was working for the government when he disappeared. The family says Levinson was there on private business investigating cigarette smuggling.

In January, the family released so-called "proof of life photos" they received a few years ago. The photos show him with long, unkempt hair and wearing an orange shirt. He is holding signs written in poor English, including one that reads. " Why you can not help me?"

An FBI task force meets regularly to assess Levinson's case.

"The FBI remains committed to doing all we can to bring Bob Levinson home safely to his family," a statement reads.

This summer, the FBI began publishing ads in Farsi publications in Los Angeles and Washington, which have large Iranian-American populations, requesting any information about Levinson, to raise awareness, and advertising a $1 million reward announced by former FBI Director Robert Mueller in 2012.

In November, Levinson will become one of the longest-held Americans in history passing the 2,454 days Terry Anderson spent in captivity before being freed by Islamic militants in Lebanon in 1991.

Saeed Abedini

In a news release Friday from the American Center for Law and Justice (ACLJ), Abedini's wife, Naghmeh, was quoted as saying she was "very grateful to President Obama for standing up for Saeed and for the other Americans who are held captive in Iran."

"I urge President Rouhani, as I have done throughout this week, to release Saeed so he can return to our home and our family in the United States."

The ACLJ is a conservative Christian law firm and advocacy group founded by television evangelist Pat Robertson. It has campaigned widely for Abedini's release.

Abedini, a Christian pastor, was sentenced to eight years in prison earlier this year, accused of attempting to undermine the Iranian government.

At the time he was convicted, his wife said Abedini had been arrested by Iranian authorities nearly 10 times before, and had agreed during one detention to stop supporting Christian home churches, and had subsequently taken nine trips to the Islamic republic before he was arrested again in July 2012.

Amir Hekmati

Hekmati, a 29-year-old former U.S. Marine, has been jailed in Iran since 2011 and accused of being a CIA spy. Earlier this month, he said in a letter to U.S. Secretary of State John Kerry that a confession he made nearly two years ago came under duress.

Born in Arizona and raised in Nebraska before settling with his family in Flint, Michigan, Hekmati joined the Marines in 2001 out of high school. He finished his service four years later as a decorated combat veteran with tours in Iraq.

Afterward, he translated Arabic as a contractor and helped train troops in cultural sensitivity.

Hekmati's family said he had gone to Iran to visit his grandmother but was arrested in August 2011, accused by Iran's Intelligence Ministry of working as a CIA agent.

In December 2011, Hekmati appeared on Iranian state television maintaining that he had been sent to Iran by the CIA, but in his letter to Kerry, published on September 11 in the Guardian, he said he had been held "on false charges based solely on confessions obtained by force, threats, miserable prison conditions, and prolonged periods of solitary confinement."

"This is part of a propaganda and hostage taking effort by Iranian intelligence to secure the release of Iranians abroad being held on security-related charges," Hekmati's letter stated.

The Guardian reported that the letter had been smuggled out of jail. Hekmati's family vouched for the letter's authenticity to CNN.

@highlight

Presidents Obama and Rouhani discussed three Americans, administration official says

@highlight

Obama "noted our interest in seeing those Americans reunited with their families," official says

@highlight

Saeed Abedini and Amir Hekmati are serving prison terms

@highlight

Bob Levinson's whereabouts have not been known since he vanished in Iran in March 2007