(CNN) -- The beheading of American journalist James Foley by ISIS militants has stirred grim memories, bringing into focus once again the risks faced by reporters in modern conflicts.

Foley's death recalls the murder of Daniel Pearl, the Wall Street Journal correspondent who was kidnapped in Pakistan in 2002.

Both journalists were decapitated. Videos of their killings were then posted online by extremist groups.

In Pearl's case, it was al Qaeda. In Foley's, it was ISIS, a splinter group disowned by al Qaeda earlier this year.

'I wish I had more time'

In the video posted Tuesday on YouTube, Foley is seen kneeling next to a man dressed in black. Foley reads a message, presumably scripted by his captors, that his "real killer'' is America.

"I wish I had more time. I wish I could have the hope for freedom to see my family once again," he can be heard saying in the video, which CNN is not airing.

He is then shown being beheaded.

U.S. National Security Council spokeswoman Caitlin Hayden said that intelligence agencies are "working as quickly as possible" to determine the video's authenticity.

"If genuine, we are appalled by the brutal murder of an innocent American journalist and we express our deepest condolences to his family and friends," she said.

Shock waves from Pearl murder

The 2002 murder of Pearl, only months after the September 11 attacks, provoked shock and revulsion around the world because of its brutality and the profession of its victim.

"What it demonstrates is that the business of reporting on war has changed fundamentally," the veteran war correspondent Scott Anderson wrote in the New York Times Magazine following Pearl's killing.

"The powers that be in a conflict zone no longer regard the media as a neutral observer but rather as a strategic component -- something to be manipulated or co-opted or simply got rid of," Anderson wrote.

But Pearl's murder, and the worldwide attention it received, also "catalyzed the resurgence" of the beheading of captives by Islamic militants, Timothy Furnish, a historian, wrote in a 2005 article for the Middle East Quarterly.

During the Iraq War, militants decapitated three Americans -- the businessman Nicholas Berg and construction company employees Eugene Armstrong and Jack Hensley -- as well as numerous other foreigners and countless Iraqis.

In Saudi Arabia, al Qaeda terrorists beheaded an American businessman, Paul Johnson Jr., in 2004.

ISIS's brutality

Now, the focus is on ISIS, which has become notorious for its savage practices in Syria and Iraq, including putting victims' severed heads on poles.

The extremist group, which calls itself the Islamic State, has taken control of large areas of Syria and Iraq, bringing with it ruthless slaughter of civilians and persecution of minorities.

It has carried out executions, including beheadings, as part of its effort to establish an Islamic caliphate that stretches from Syria into Iraq. In many cases, the group has videotaped the executions and posted them online.

The ISIS threat in northern Iraq grew severe enough for the United States to step in with airstrikes to help Kurdish and Iraqi forces.

That decision apparently prompted ISIS to retaliate with the brutal killing of Foley, who disappeared in northwest Syria in November 2012.

"Our hearts go out to the family of journalist James Foley. We know the horror they are going through," said Pearl's mother, Ruth, according to a Twitter post Tuesday by the Daniel Pearl Foundation.

Message to Obama

ISIS has also threatened to kill another U.S. journalist, who appears in the video showing Foley's death. The life of the other American -- believed to be Steven Sotloff, who was kidnapped at the Syria-Iraq border last year -- depends on what U.S. President Barack Obama does next, the militant in the video suggests.

But CNN U.S. Security Analyst Bob Baer said he didn't expect the video would make the Obama administration change tack.

"I don't think the White House is going to pull back on this, even though there probably will be more executions, as promised by ISIS," said Baer, a former CIA operative. "I think this was all foreseen when we started hitting targets in Iraq."

The Committee to Protect Journalists said it estimates that approximately 20 journalists, both local and international, are missing in Syria. Many of them are believed to be held by ISIS, it said.

At least 69 other journalists have been killed covering the war in Syria, according to the committee.

Among the missing is Austin Tice, an American freelance journalist who was contributing articles to The Washington Post. Tice disappeared in Syria in August 2012. There has been no word of from him since his abduction.

Some foreign journalists held captive in Syria have been released.

Would you watch the video?

'Shock value'

But ISIS's decision to behead Foley and publicize it online is an ominous development.

"The purpose of terrorism is to strike fear into the hearts of opponents in order to win political concession," Furnish wrote in his 2005 article on beheadings by Islamic militants. "As the shock value wears off and the Western world becomes immunized to any particular tactic, terrorists develop new ones in order to maximize shock and the press reaction upon which they thrive."

Analysts have suggested that terrorists have used beheading previously because of its horrifying effect on the public.

Their acts have fueled debate about the significance of beheading in Islamic history and theology.

A Slate article on the subject in 2009 said that two apparent references to decapitation in the Quran "are traditionally understood as inspirations to ferocity and not literal calls for beheading."

The article also points out that decapitation has Western roots, too.

It was used for capital punishment in France, Britain and other European countries. It was also allowed in Utah in the 19th century. But it no longer exists as a punishment in the West.

In the Middle East, beheading as an execution option remains part of the criminal legal codes in Saudi Arabia, Yemen, Iran and Qatar. But only Saudi Arabia continues the practice.

But Foley's savage killing at the hands of ISIS didn't come after a trial by law.

"James was an innocent civilian who was bravely performing his job as a journalist," said Sen. Kelly Ayotte, a Republican from New Hampshire, the state where Foley grew up. "This barbaric and heinous act shocks the conscience and highlights the truly evil nature of the terrorists we confront."

CNN's Chelsea J. Carter contributed to this report.

@highlight

About 20 journalists are missing in Syria, many believed held by ISIS, the CPJ says

@highlight

The brutal killing of James Foley recalls the murders of Daniel Pearl and others

@highlight

ISIS links Foley's killing to U.S. airstrikes in Iraq and threatens another American captive

@highlight

"I don't think the White House is going to pull back on this," a CNN security analyst says