It is Mother's Day, and let us celebrate single-mother households -- not as half empty, but as half full of strong women. It is a good time to encourage children raised by women to see themselves as resilient, not doomed. And it is time, today and every day, for our culture to stop assigning blame and start offering help.

The 19.7 million children in this country with delinquent or absent fathers are not all headed for lives of crime, drugs, poverty and prison.  To begin: Single moms have given us Olympian Michael Phelps, comedian Bill Cosby, Presidents Barack Obama and Bill Clinton.

I can name many more, from my own life, and I'll bet you can from yours. My sons' good friend, Ellis Coleman, for example -- the 20-year-old superstar also headed for the London Olympics for the U.S., the wrestler recognized worldwide as the originator of the "flying squirrel" takedown. The proud son of a single mom.

Popular culture routinely offers up hackneyed depictions of struggling single moms and screwed-up kids. And there is no end of studies, many aimed at getting delinquent dads to step up, that show kids of single moms facing an uphill battle when it comes to such things as performance in school, college attendance and earning potential.

I am the single mother of three sons -- grown to manhood and doing just fine. And I am here to tell you that the reality for kids from single-mom households can be as good as it is for kids in two-parent homes -- better, in some cases. Particularly with input from different arenas, single mothers can envision the futures of their children in a very positive light.

In the recent book, "Sons Without Fathers: What Every Mother Needs to Know," authors James Dickerson and Mardi Allan assert that positive role models and an environment of support are key to a child's success.

And several recent studies point to a range of factors -- from a mother's religiosity, external emotional support and a grandparent living in the home -- that can concretely contribute to single mothers' raising productive, happy children.

A study of 1,134 single mothers, published in the April issue of Journal of Marriage and Family, found that those who attend religious services are more likely to experience positive developmental outcomes for their children. In a separate report in February, published in Child Trends, data show that regardless of economic status, ethnicity or education, the single mothers who were regularly offered emotional support had "children and adolescents who were also more likely to display social competence and school engagement," compared with single mothers without social support.

A 2002 study published in Demography showed that teenagers living with their single mothers in multigenerational homes "have outcomes that are at least as good and often better than the outcomes of teenagers in married families."

I have been divorced since 1996, when my sons were 7, 5 and 2. I have found that my faith practices, help from my siblings, and reliable and persistent help from my mother kept my sons on the straight and narrow.

Of course there are single mothers who fail their children. Of course there are good fathers who make sure their children have a chance to succeed. And children with two loving parents in the home can still encounter big troubles.

Beyond that, there are realities that are hard to dispute. A new study, "Father Hunger: An Economic View of Delinquent Fathers," describes the apocalypse caused by single parenting framed in economic terms. This white paper, by Idaho-based Economic Modeling Specialists, describes the education gap, earnings gap and ultimately value lost from direct and indirect labor income to the nation's economy of $60 billion per year.

According to the study, children growing up in one-parent homes are 16% more likely to drop out of high school. Only 14.3% of students from one-parent households will attend some college, compared with 17.6% in two-parent households.

But that is the bad news. I say let's focus on the other sides of those figures, the kids who succeed and the single moms who get them there.

To be sure, single mothers are swimming against the tide in a culture that in its predominant narrative declares our children are liabilities in society, not blessings.

For years, screens large and small have been flickering with images of single mothers as seriously flawed and in need of rescue.  In "Modern Family," Sofia Vergara's character, Gloria, needs Jay to financially and emotionally rescue her to help her raise her son.  In "Act Like a Man, Think Like a Lady," the single mother character is trying to date herself out of her parenthood predicament. Robert Townsend's recent "Diary of a Single Mom" follows three single mothers who have to band together in order to survive.

But beginning next week, "The Bachelorette" will for the first time feature a single mother as the sun in the solar system of suitors. That's a kind of progress, I suppose. Let's see more of that.

And let's see more success stories.  Here are a few: My oldest son graduated from the University of Wisconsin- Madison in 2011 and is now in Madrid earning a master's in translation in Spanish. My middle son is completing his junior year at the Ohio State University and will graduate next May. My youngest son is headed to the University of Iowa in August.

Not bad for a single mom.

@highlight

Michele Weldon says on Mother's Day, single motherhood should be celebrated

@highlight

She says popular culture consigns kids of single moms to failure, but there's more to story

@highlight

She says kids of single moms have challenges, but studies show many do very well

@highlight

Weldon says she's a single mom of three flourishing young men, productive and happy