(CNN) -- A top Syrian general has reportedly defected from President Bashar al-Assad's government, telling an Arabic news station in an interview that aired Saturday that morale among security forces in Syria is at a low.

The reported defection followed the United Nations announcement that one of its employees, a teacher, was killed during fighting between rebels and government forces at a refugee camp outside Damascus.

If confirmed, Maj. Gen. Mohammed Ezz al-Din Khalouf's defection is the latest in a series of such moves by high-profile government officials, raising questions about the stability of al-Assad's government two years into the civil war gripping the country.

Khalouf, head of logistics and supply for the Syrian army, told the Arabic news network Al Arabiya that many tied to al-Assad's government have lost faith, but continue to pledge their allegiance to the president.

"It is only for appearance's sake to present an image to the international community showing that the regime is the one that pulls together all segments of Syrian society under."

Khalouf told Al Arabiya he had been working with rebels to defect. He appeared in the interview with his son, a Syrian army captain, who defected with him.

There was no immediate reaction from the Syrian government on the reported defection, which follows the two-year anniversary of the uprising.

Rebels posted what they claim are two videos on YouTube that offer proof that they helped Khalouf and his family escape Syria through Daraa province into Jordan.

CNN cannot confirm the authenticity of the videos, but Al Arabiya reported the interview with Khalouf was conducted in Jordan.

U.N. employee killed at camp

The United Nations Relief and Works Agency (UNRWA) for Palestine Refugees confirmed Saturday that a member of its teaching staff was killed Wednesday trying to flee the fighting at the Khan Eshieh refugee camp in Syria.

Nasri Khalil Hasan was killed while trying to make his way with his wife and four children to a makeshift shelter after the camp was reportedly struck by an artillery shell, the UNRWA said in a statement.

Hasan was hit by shrapnel from a subsequent explosion, it said.

Because the hospital at the refugee camp was not open, he was taken to a hospital in the nearby city of Jdaydeh, according to the UNRWA. He died at the hospital the next day, the agency said.

Cluster bombs linked to civilian casualties

The news of Khalouf's apparent defection and the death of Hasan came the same day a human rights group accused Syrian forces of using an increasing number of cluster bombs in residential areas.

Human Rights Watch says its researchers have identified 119 locations across Syria, where at least 156 cluster bombs have been used from August to mid-February.

The result is "mounting civilian casualties," the rights group said.

Human Rights Watch said it has investigated two cluster bomb attacks in the past two weeks -- in Deir Jamal, near Aleppo, and Talbiseh, near Homs.

These attacks killed 11 civilians, including two women and five children, and injured 27 others, the rights group said.

"Syria is expanding its relentless use of cluster munitions, a banned weapon, and civilians are paying the price with their lives and limbs," said Steve Goose, director of the arms division at Human Rights Watch.

"The initial toll is only the beginning because cluster munitions often leave unexploded bomblets that kill and maim long afterward."

The Syrian government did not immediately respond to a CNN request for comment.

In October, Syrian armed forces denied the possession or use of cluster bombs.

A statement released through the state-run Syrian Arab News Agency said "misleading media outlets" had published "untrue news claiming the Syrian Arab Army has been using cluster bombs against terrorists."

The Syrian army "does not possess such bombs," it said, adding that the media reports were "aimed at diverting the public opinion from the practices of the armed terrorist groups against civilians."

The Human Rights Watch report is based on field investigations, analysis of video footage posted by activists and eyewitness reports, it said.

The collection of data does not include details of casualty numbers but many deaths and injuries have been documented, the group said.

"Remnants of at least 156 distinct cluster bombs have been identified so far from the video footage," the group said.

"Human Rights Watch has documented government use of cluster munitions, both air-dropped and ground-delivered, but it has seen no evidence of cluster munition use by opposition rebel groups."

Weapons are indiscriminate

Another rights group, Amnesty International, has accused the Syrian government of using cluster bombs in civilian areas.

"Civilians continue to be at the receiving end of increasingly frequent indiscriminate attacks by Syrian government forces," Amnesty said in a report Thursday.

"Internationally banned cluster munitions are being used daily against civilian residential areas in towns and villages, in utter disregard for the most fundamental principles of international humanitarian law."

The report said the "vast majority" of abuses were committed by Syrian government forces, but that rebel groups are also carrying out abuses such as kidnapping and summary executions.

Syria is not one of the 111 states worldwide that have signed up to the Convention on Cluster Munitions, which bans their use. The United States also is not a signatory.

Cluster munitions are widely viewed as unacceptable because the bomblets spread across a wide area and make no distinction between civilians and fighters.

Death toll

CNN cannot independently verify death tolls or other accounts of violence in Syria.

Last month, U.N. High Commissioner for Human Rights Navi Pillay said about 70,000 people had been killed in the two-year-old conflict.

The Syrian army continued to hunt "terrorists" -- its description of rebel fighters -- in several areas on Saturday, including outside Damascus and Homs, and in Idlib province, the Syrian Arab News Agency reported.

@highlight

NEW: Syrian Maj. Gen. Mohammed Ezz al-Din Khalouf reportedly defects

@highlight

NEW: A U.N. worker is killed trying to flee violence outside Damascus, agency says

@highlight

Rights group: Syrian army's use of cluster bombs is causing "mounting civilian casualties"

@highlight

Syrian army has previously denied the use or possession of cluster bombs