(CNN) -- The issue of whether English should be a requirement for Puerto Rico to be considered for statehood lasted for a third day -- two days ahead of the U.S. territory's Republican presidential primary -- and provided Mitt Romney and Rick Santorum with opportunities to take shots at each other.

The back and forth began Wendesday, when Santorum said while campaigning in Puerto Rico that English should be the principal language in Puerto Rico before it could gain statehood. Puerto Rico will vote on a statehood referendum in November.

Romney's campaign issued a statement Thursday contrasting his position on the issue with Santorum's.

"Puerto Rico currently recognizes both English and Spanish as the official languages of the commonwealth," Romney spokeswoman Andrea Saul said. "Gov. Romney believes that English is the language of opportunity and supports efforts to expand English proficiency in Puerto Rico and across America. However, he would not, as a prerequisite for statehood, require that the people of Puerto Rico cease using Spanish."

But at CNN's debate in Jacksonville, Florida, in January ahead of Florida's primary, Romney said that English should be the nation's official language.

After arriving in Puerto Rico on Friday, Romney said he would have "no preconditions" on language for Puerto Rico to gain statehood.

Minutes later, Santorum deputy communications director Matt Beynon tweeted, "So Romney once supported English as national language, then goes to Puerto Rico and says no language req on statehood. #FlipFlop? #Pander?"

Santorum's communications director, Hogan Gidley, noted broad support for English as the nation's official language and said in an e-mail to reporters, "How can Romney say he supports English as the official language of America and not believe Puerto Rico should speak English? If he'll spend the whole election being untruthful about his positions -- it makes you wonder what else he's being untruthful about."

But Saul responded, "Gov. Romney supports making English the official language of the United States government. This should have no impact on Puerto Rico's statehood effort. English has been an official language of Puerto Rico for over 100 years."

Romney was also asked in Puerto Rico about his criticism of Puerto Rican Supreme Court Justice Sonia Sotomayor, which has roiled some Puerto Rican voters.

"In looking at Justice Sotomayor, my view was that her philosophy is quite different than my own, and that's the reason why I would not support her as a justice for the Supreme Court," Romney said. "Had I been in the Senate -- I was not in the Senate -- I would be happy to have a justice of Puerto Rican descent or a Puerto Rican individual on the Supreme Court, but they would have to share my judicial philosophy. That comes first."

Santorum's campaign announced Friday that it had brought in $1 million since its twin wins in Alabama and Mississippi on Tuesday. But then he was forced to address an off-message issue when asked about an undated post on his website that said the country is "suffering a pandemic of harm from pornography," including "profound brain changes in both children and adults."

At an event in Illinois on Friday, Santorum said, "I said that as a president, I would enforce the law, which is not being done now."

The post on Santorum's campaign site criticizes the current administration, saying the Justice Department is failing to prosecute the law.

"The Obama Administration has turned a blind eye to those who wish to preserve our culture from the scourge of pornography and has refused to enforce obscenity laws," the site said. "While the Obama Department of Justice seems to favor pornographers over children and families, that will change under a Santorum Administration."

Santorum has been criticized by some Republicans from focusing too much on social issues when the economy is most on voters' minds.

The former Pennsylvania senator was campaigning in Illinois ahead of that state's primary on Tuesday. Romney campaigned in the state on Friday morning before flying to Puerto Rico.

Romney predicted victory in Illinois on Friday morning and focused more on President Barack Obama than his Republican opponents, hitting familiar themes, like gas prices. The Republican front-runner responded to Obama's energy speech on Thursday, telling a crowd in Rosemont, "He is out there pushing for alternative energy, and we are here pushing for an alternative to the president. We are going to get a new president."

Romney also responded to the 17-minute video that Obama's campaign released Thursday night and offered director David Guggenheim some advice.

"I'll give you some help, Mr. Guggenheim. You can make a call to some of the moms that are having a hard time paying for gas as they get their kids to and from school and practice and music lessons. You can also talk to people who are having a hard time getting to and from work, given the price of gasoline."

Romney is expected to win Puerto Rico's primary, which will award its delegates proportionally. However, if any one candidate wins a majority, he would take all 20 delegates.

Asked on CNN's "Starting Point" whether Santorum's comments reflected a lack of understanding about Puerto Rico, the territory's Republican Gov. Luis Fortuno, who has endorsed Romney, said, "Gov. Romney has shown respect for exactly our heritage and our history, understands it better. That's why I'm supporting Gov. Romney, because he has shown respect towards our community."

Fortuno also said Romney's economic and security message has resonated on the island.

"if we want to win the hearts and minds of Hispanic voters across America, you have to understand what Hispanic voters care about: We care about public safety, we care about location, we care about lowering taxes, on creating the proper conditions to create jobs. Mitt Romney has done that down here in Puerto Rico," Fortuno said.

Puerto Rico's primary comes two days before the showdown in Illinois, where 66 delegates will be awarded proportionally and polls show a tight race between Romney and Santorum.

Santorum's campaign was re-energized after key primary victories in the South that raised questions about conservative rival Newt Gingrich's viability as a candidate and portended a long battle with Romney.

Romney, rejected again by Southern conservatives in the Tuesday primaries in Mississippi and Alabama, won caucuses in Hawaii and American Samoa to claim about a third of the total delegates available and maintain his delegate lead.

However, Santorum's twin primary triumphs -- while narrow -- reframed the GOP race as a one-on-one battle between the socially conservative former Pennsylvania senator and the more moderate Romney, with Gingrich's chances fading fast.

CNN's latest delegate estimates show Romney with 498 delegates to Santorums's 239. Gingrich is 100 delegates behind Santorum, and Texas Rep. Ron Paul, the libertarian champion, won 69 delegates. The Alabama and Mississippi victories gave Santorum wins in 10 states, to Romney's 18. Gingrich won the South Carolina primary in January and last week in Georgia, which he represented in Congress for 20 years.

Asked Friday whether he would end his campaign should his wealthiest backer, Sheldon Adelson, urge him to do so, Gingrich insisted that he would stick it out until the very end.

"I'll be with you in Tampa," Gingrich said on CBS's "This Morning," referring to the site of the Republican National Convention in August.

Adelson, a Nevada casino mogul known for his strong support for Israel, has donated millions in recent months to Winning Our Future, a pro-Gingrich super PAC. But the former House speaker argued Friday that he has more than 175,000 online donors to consider when making a decision about his presidential run.

"They want me to stay in the race, and I really represent their interest as individuals," he said, adding that 95% of them have given less than $250.

Asked Friday whether he thought Gingrich was hurting the Republican Party by staying in the race and shoring up delegates, Romney avoided making the case that his opponent should call it quits.

"Well, I don't know, but he certainly has every right to carry his campaign as long as he feels it has a meaningful opportunity for him to become the nominee, and he cares very deeply about the country as I do, and I wish him well," Romney said on Fox News.

After the stop in Missouri, Santorum has two events in Illinois. He's also getting help in the form of a $310,000 ad purchase in Illinois from the Red, White and Blue Fund, a super PAC that has been supportive of his candidacy.

Romney is bringing in New Jersey Gov. Chris Christie to campaign for him in the state Friday.

Christie, who's popular with Republicans across the country for his tough talk and tough actions in taking on Democrats in New Jersey, disappointed many in his party in October when he announced that he would not launch his own presidential bid. Instead, he endorsed Romney and has traveled to a number of primary and caucus states to stump for him.

Santorum and Romney are expected to split the next few contests on the calendar. After Puerto Rico and Illinois, Santorum is expected to win in Louisiana a week from Saturday.

Then the race turns north and east: The District of Columbia, Maryland and Wisconsin vote on April 3, and Romney is the early favorite. But that's three weeks away, and much has changed in such a span in the most volatile Republican race in generations.

CNN's Jim Acosta and Ashley Killough contributed to this report.

@highlight

Santorum campaign says Romney flip-flopping on English for Puerto Rican statehood

@highlight

Romney said in January debate that English should be country's official language

@highlight

Santorum faces questions campaign post about "pandemic of pornography"

@highlight

Gingrich reaffirms vow to stay in race all the way to convention