(CNN)Prison life won't be pretty for Aaron Hernandez, the former NFL player and convicted murderer sentenced to life without parole.

After correction officers evaluate him, he will be shipped to Massachusetts' flagship maximum-security prison, one of the most high-tech jails in the United States with no history of breakouts: the Souza-Baranowski Correctional Center in Shirley, about 40 miles outside downtown Boston.

It's called Souza, for short, and it's the state's newest prison, opened in 1998, with a matrix of 366 cameras recording live 24 hours a day and a microwave detection perimeter with taut wire.

"I don't know the date, but he'll be going there. That's the maximum-security facility," Department of Corrections spokesman Darren Duarte said.

Legal advocates for inmates describe Souza as sterile and violent at once. Its diverse demographic includes the young and the old, many of whom are also doing life. One stubborn problem is that opiates are smuggled to inmates, the legal advocates said.

"It's very shiny and clean looking and very sterile," said Leslie Walker, executive director of Prisoners' Legal Services of Massachusetts, who has been visiting the Souza prison about every six weeks for the past 15 years and serves indigent prisoners there.

But, she added: "It is a very dangerous prison that is right now experiencing a veritable flood of opiates."

Officials said Hernandez, 25, is being processed at the maximum-security Massachusetts Correctional Institution-Cedar Junction in Walpole, just a handful of miles from Gillette Stadium, where he once played tight end for the New England Patriots under a five-year $40 million contract.

The prison system has yet to determine where to initially place Hernandez in Souza: solitary confinement; the less harsh but restricted block; the general population; a privileged section known as the "lifers block," for those serving a life sentence; or the "kitchen block," for those who work in the prison kitchen.

"At this point in time, we will figure out where he belongs in the population once the processing of Hernandez is complete," Duarte said. "Right now, he'll be treated like a regular inmate when he walked into the door, but they will figure all that out."

Hernandez was sent immediately for processing after Wednesday's sentencing and jury conviction, Duarte said. A news outlet helicopter followed Hernandez's transfer to MCI Cedar Junction.

Prison officials will be concerned about Hernandez's safety and whether any enemies, gangs or headline-seeking inmates will try to hurt Hernandez, who will become Souza's most famous resident.

"There could be prisoners with a beef who are out to get him," Walker said. "Then he's going to have to be separated, and it's going to be challenging for prison officers and perhaps for him.

"The good news is that the superintendent of Souza-Baranowski is very smart and thorough and a decent human being, who I'm sure will do everything he can to keep Mr. Hernandez safe," Walker added. "The person at the top sets the tone. He's fairly new and he's doing everything he can to make sure the prison is as safe as possible."

That superintendent, Osvaldo Vidal, couldn't be immediately reached for comment Wednesday.

Because of his celebrity, Hernandez may find himself signing autographs for other inmates and even guards, said Larry Levine, a former federal inmate who spent 10 years in high- and minimum-security prisons.

"There will be a lot of staff that will treat him like an animal that he is, but there will be other staff that will want his autograph and treat him like a star," said Levine, who founded Wall Street Prison Consultants, which advises offenders and convicts heading to prison.

In the long run, however, it may not matter much in what section of the prison Hernandez does his time.

About 90% of the inmates in the maximum-security prison are locked in their cells for 19 hours a day, said Walker, the legal advocate.

"It's pretty grim," Walker said.

Souza has slightly larger cells than most other Massachusetts prisons, but not by much, Walker said.

Even so, the cells are stark, small rooms of painted cinder-block walls with metal fixtures: a bunk mounted to the wall, a toilet and sink combination, a small writing shelf attached to the wall, and a nearby small stool affixed to the floor, Walker said.

There's also a shelf for a small television, which must have a clear back for easy inspection, Walker said.

With the exception of the TV, which inmates can buy for under $200, all furnishings are metal and bolted down to keep inmates from throwing them, she said.

There are two windows: one roughly 4 by 20 inches with clear glass that looks outdoors to a wall, building or trees, and a tiny window on the cell door, which has two slots, for handcuffing in the middle and ankle cuffing at the foot of the door, she said.

"There's very little to do," Walker said of inmate life. "It was built as a punishment facility. The thing in corrections is that you don't want people to like it there. Some people have been there since it opened, and those people are excruciatingly bored or scared or both."

To combat opiate use among inmates, prison guards use narcotics-sniffing dogs for inspections, Walker said.

"It's pretty pathetic. I have clients (in Souza prison) who are heroin addicts who are trying to get clean," Walker said.

There also are gangs in the prison, she said. As for violence, one elderly inmate was beaten to death last year, Walker said.

If Hernandez finds himself in solitary confinement, it won't be pleasant, Walker said.

"Solitary confinement is a kind of torture that no one does well in. The lack of meaningful sensory stimulus and contact drives people mad," Walker said.

Initially, "prison officials may feel they have to put him there for his safety, but I hope not," Walker said. "It's very hard time."

Opinion: The shame of Aaron Hernandez

@highlight

Aaron Hernandez will serve life in Souza-Baranowski Correctional Center outside Boston

@highlight

Souza opened in 1998 and is one of the most high-tech jails in the United States

@highlight

It's also "dangerous," "sterile" and "violent," a legal advocate for inmates says