(CNN) -- On Monday, Mitt Romney delivered what his campaign billed as a major foreign policy address, in which he sought to distinguish himself from the man he called the "lead from behind" president.

The speech at the Virginia Military Institute, which largely focused on the Middle East, served as something of a warm-up for the two remaining debates between Romney and Obama to be held later this month, one of which will focus entirely on foreign policy, while the other will deal with both domestic and national security issues.

In the forthcoming debates Romney will have the tricky job of trying to position himself as tougher on national security than Obama -- who tripled the number of U.S. troops in Afghanistan during his presidency and ordered the raid that killed Osama bin Laden.

Obama has also authorized six times as many drone attacks as George W. Bush did in Pakistan against suspected members of al Qaeda and the Taliban. The attacks during the Obama administration have killed at least 1,400 people, almost double the number of prisoners that were transferred to the Guantanamo Bay prison camp by the Bush administration.

Obama is also the first American president to authorize the assassination of a U.S. citizen, Anwar al-Awlaki, who played an operational role in al Qaeda's Yemeni affiliate and was killed by a US drone strike in Yemen last year. Indeed, Obama has vastly escalated the American covert war in Yemen, using CIA drones and U.S. Special Operations Forces, such as SEAL Team 6.

Criticism of Obama's national security policies is growing on the left about the overall legality of CIA drone strikes and, in particular, the al-Awlaki killing.

Fact Check: Romney's comparison of past, present Navy pointless

Given those facts, how then do you run to the right of Obama on national security? Well, you might say that you are planning to go to war with Iran because of its advancing nuclear program. Or you might say that you will institute an American no-fly zone over Syria without a United Nations authorization for such a measure. Or that you will keep U.S. combat troops in Afghanistan well past the withdrawal date of 2014 announced by the Obama administration.

The problem with such policy choices is that the American public has little appetite for more wars in the Muslim world. No such policies were mentioned in Romney's speech on Monday, nor will they likely feature in his future debates with the president.

On Monday Romney did say, regarding Syria, that his administration would "identify and organize those members of the opposition who share our values and ensure they obtain the arms they need to defeat Assad's tanks, helicopters, and fighter jets," a policy that is more aggressive than providing "nonlethal" help, such as communications equipment, which the Obama administration is already giving to Syrian opposition forces.

But even this supposed distinction from Obama was less than meets the eye, as Romney did not directly say that his administration would arm the Syrian rebels. And close American allies Saudi Arabia and Qatar are already providing weapons to them.

If the U.S. were to start arming the rebels directly, identifying exactly which parts of the Syrian opposition should get arms might be difficult, because the opposition is a tangled mess of many factions that even includes elements of al Qaeda.

Fact Check: Was Obama 'silent' on Iran 2009 protests?

According to Leila Hilal, a Middle East expert at the New America Foundation, there are more than 800 militias now operating in Syria, making it a complex task to sort out the ones that are both militarily viable and more aligned with American interests.

In his Monday speech, Romney advanced the sensible idea that the $1.5 billion in yearly American aid to Egypt should be conditioned on its building up its democratic institutions and maintaining its peace treaty with Israel.

But other than this good idea, Romney offered few specific policies to distinguish himself from what the Obama administration is already doing in the greater Middle East.

Romney explained that he would prevent Iran from acquiring nuclear weapons capability and would not hesitate to put more sanctions on Iran. But this is basically the position of the Obama administration, which has said it will not allow Iran to have nuclear weapons and has imposed such onerous sanctions on the country that the Iranian currency has plunged in value as much as 80% against the dollar since the beginning of the year.

On Afghanistan, Romney said he will work to transition from U.S. combat troops to Afghan security forces by the end of 2014, which is -- the Obama administration's policy.

Romney said he would not make a "politically timed retreat" from Afghanistan, a somewhat mystifying construction, since this year Obama negotiated a well-publicized Strategic Partnership Agreement with the Afghan government that will keep an as-yet-unspecified number of U.S. troops in Afghanistan in an advisory and counterterrorism role until 2024. That is something that Romney didn't mention in his Monday speech and hardly suggests a precipitous Obama-led retreat from Afghanistan, which is already America's longest war.

Famously, Romney didn't mention that longest war in his acceptance speech at the Republican convention in August, so his new embrace of the Afghan War seems a tad belated.

Romney's Monday speech underlined the fact that there is more agreement than disagreement between mainstream Democrats and mainstream Republicans on foreign policy issues.

Fact Check: Did Obama say he wants 'daylight' between U.S., Israel?

To create the illusion that there are genuine substantive policy differences, Romney enlisted the issue of trade, saying on Monday that he would "champion free trade. ... The president has not signed one new free trade agreement in the past four years."

There have been serious critiques of Obama for not being more active in negotiating new trade deals, but to claim that he hasn't signed any in the past four years is demonstrably false. In fact, the Obama administration signed trade deals with Panama, Colombia and South Korea last year, which a headline on FoxNews.com termed the "biggest since NAFTA."

When stories on Fox undercut your claims as a Republican contender for president, you have a problem.

Romney was also grasping at straws when he said on Monday that "the size of our Navy is at levels not seen since 1916."

That isn't really true even in the trivial, numerical sense -- but more importantly, the U.S. Navy in 1916 did not consist of nuclear-powered aircraft carriers and submarines with enough nuclear weapons to wipe out life on much of the planet.

The United States today has 11 aircraft carriers, while the Chinese have recently built their first one, which won't actually be able to handle aircraft operations for years into the future.

And the overall idea that the U.S. is falling behind militarily is nonsensical. The U.S. spent more on defense in 2011 than the countries with the next 13 highest defense budgets combined.

Fact Check: Has Obama 'not signed one new free-trade agreement'?

If Monday's speech is a preview of how Romney will handle the foreign policy debates with Obama, the president will be on much firmer ground than he was with his uncertain performance during the first debate, which focused exclusively on domestic issues.

@highlight

Peter Bergen: Romney sought to draw clear line between his and Obama's foreign policy

@highlight

He says Romney's problem is Obama set a tough line with drone war, bin Laden mission

@highlight

Romney made sense on idea of tying Egypt aid to democracy, fulfilling peace treaty, he says

@highlight

Bergen: Romney trying to create illusion of substantive differences with Obama