(CNN) -- The United States is doing what it must to "take the fight to terrorists," leading a coalition of Arab nations in a series of airstrikes against the so-called Islamic State terror group in Syria, U.S. President Barack Obama said Tuesday.

At the same time, the United States took action -- on its own -- against another terrorist organization, the Khorasan Group. Obama described its members as "seasoned al Qaeda operatives in Syria."

U.S. officials said the group was plotting attacks against the United States and other Western targets.

The plots against the United States were discovered by the intelligence community in the past week, an intelligence source with knowledge of the matter told CNN. The source did not say what the target may have been, but said the plot potentially involved a bomb made of a nonmetallic device like a toothpaste container or clothes dipped in explosive material.

A plot involving concealed bombs on airplanes "was just one option they were looking at," a U.S. official said.

"Once again, it must be clear to anyone who would plot against America and try to do Americans harm that we will not tolerate safe havens for terrorists who threaten our people," Obama said in televised remarks from the White House.

Concern over a possible backlash by the terror groups has prompted the U.S. Department of Homeland Security to issue a bulletin warning law enforcement agencies to be on heightened alert for lone-wolf terror attacks on U.S. soil in wake of the airstrikes, a U.S. law enforcement official with knowledge of the warning told CNN.

The bulletin calls for vigilance as well as scrutinizing social media for anyone encouraging violence in response to the strikes, according to a U.S. law enforcement official with knowledge of the warning's contents. It points to the use of social media as a tactic by ISIS to spread its message and call for violence.

It also advises agencies to look for changes in appearance or behavior in those they're tracking, the official said.

Terror group: 'Turk' is dead

The airstrikes, meanwhile, appear to have taken a toll on another terror group, killing the leader of the al Qaeda-linked al-Nusra Front, according to a statement released by the group. It identified the leader as Abu Yousef al-Turki, also known as "The Turk."

The al-Nusra statement posted on Twitter was accompanied by a so-called proof-of-death -- a photograph -- of the former fighter.

CNN cannot independently verify al-Nusra's claims, but the monitoring group the Syrian Observatory for Human Rights reported the terror group was among those targeted during the airstrikes. The United States has not identified al-Nusra as a group targeted in the strikes.

The airstrikes that began early Tuesday morning local time "were only the beginning," Pentagon spokesman, Navy Rear Adm. John Kirby, said. He declined to comment about future military operations.

Bahrain, Saudi Arabia, the United Arab Emirates and Jordan took part in airstrikes on ISIS targets, the U.S. military said. Qatar played a supporting role, the U.S. military said.

Saying he "made clear that America would act as part of a broad coalition," Obama said: "That's exactly what we've done."

"The strength of this coalition makes it clear to the world that this is not America's fight alone," the President said.

Obama met hours later with officials from the five Arab nations who make up the coalition. There was an a strong agreement that "the campaign against ISIS was a long-term one and they were all in it for the long haul," a senior State Department official with knowledge of the meeting said.

"Everyone at the table agreed there are times in the world when you need to take a stand," the official said on condition of anonymity.

But Syria warned the United States not to repeat the "American fiasco in Iraq by undertaking the same kind of blind military attacks," Bashar Ja'afari, Syria's ambassador to the United Nations, told CNN.

What is the Khorasan Group?

Strikes came in three waves

The airstrikes came in three waves, with coalition partners participating in the latter two, Army Lt. Gen. William Mayville Jr. said Tuesday. The first wave, which mostly targeted the Khorasan Group, started at 3:30 a.m. (8:30 p.m. ET Monday) and involved U.S. ships firing missiles into eastern and northern Syria.

The second wave, 30 minutes later, involved planes striking northern Syria, with targets including ISIS headquarters, training camps and combat vehicles. The third wave, begun shortly after 7 a.m., involved planes targeting ISIS training camps and combat vehicles in eastern Syria, Mayville said.

It's too early to say what effect the U.S. strikes had against the Khorasan Group, Mayville said.

Maps: Arab nations join U.S., expand fight against terror to Syria

The airstrikes against ISIS focused primarily on the city of Raqqa, the declared capital of ISIS' self-proclaimed Islamic State.

The operation began with a flurry of Tomahawk missiles launched from the sea, followed by attacks from bomber and fighter aircraft, a senior U.S. military official told CNN.

The goal: Taking out ISIS' ability to command, train and resupply its militants.

In all, 200 pieces of ordnance were dropped by coalition members, and four dozen aircraft were used, a U.S. official told CNN. About 150 weapons used were precision-guided munitions. The United States fired 47 Tomahawk missiles, eight of them against Khorasan targets.

The strikes marked the first time the United States used F-22 Raptor stealth aircraft in a combat role. The military has previously run into problems with the aircraft.

The number of casualties was not immediately clear. But U.S. Central Command said the strikes damaged or destroyed ISIS targets including fighters, training compounds, command-and-control facilities, a finance center and supply trucks.

The Syrian Observatory for Human Rights said at least 70 ISIS militants were killed and more than 300 were wounded. But CNN and other news outlets were unable to confirm the figures.

Celebration amid fear

For months, civilians in Raqqa have been living under the harsh rule of ISIS after militants took over their city, which had been one of Syria's most liberal cities. The group now controls much of their lives, imposing a strict brand of Sharia law and doling out barbaric punishments, such as beheadings and crucifixions.

Abo Ismail, an opposition activist inside Raqqa, said Tuesday that residents were elated to see the U.S. attacking ISIS targets there.

But at the same time, he said, ISIS has increased security in the city.

"I would dance in the streets, but I am too afraid," Ismail said.

A U.S. intelligence official said that while law enforcement is aware the airstrikes against ISIS in Syria could incite a response, there is no evidence to suggest any terrorist strike is in the works against the United States.

The inclusion of Sunni-majority countries fighting a radical Sunni militant group sends a strong message, former CIA counterterrorism official Philip Mudd said.

"Prominent religious leaders have said ISIS is not representative of Islam, and now you have countries that are coming to the fore to attack it," he said.

Iraq's Prime Minister Haider al-Abadi welcomed news of the coalition airstrikes against ISIS in Syria, so long as they "do it right this time."

While he told CNN's Christiane Amanpour it was good some Arab nations joined the fight, he said he wished they had understood and acted on the danger posed by ISIS sooner.

"We have warned ... this is going to end in a bloodbath if nobody stops it," he said. "Nobody was listening."

Rouhani: No legal basis for airstrikes

Iran lashed out at the air campaign. Meeting with journalists at the United Nations, where world leaders are gathering for the General Assembly this week, Iranian President Hassan Rouhani said there was no legal basis for the strikes without U.N. authorization or an invitation from the Syrian government.

But U.S. Deputy National Security Adviser Tony Blinken told CNN that a number of countries, including Iran, were told the United States would be taking action.

"We obviously didn't say exactly when or where. We wanted to make sure that nobody got in our way," he said.

The United States defended its actions in a letter to the U.N. secretary-seneral, invoking Article 51 of the U.N. charter -- acting when a country is unwilling or unable to handle a threat itself.

"The Syrian regime has shown that it cannot and will not confront these safe havens effectively itself," Samantha Power, the U.S. ambassador to the U.N., wrote in a letter obtained by CNN. "Accordingly, the United States has initiated necessary and proportionate military actions in Syria."

Problem-plagued plane hits ISIS: F-22 goes into combat

CNN's Greg Botelho, Josh Levs. Raja Razek, Jake Tapper, Hamdi Alkhshali, Holly Yan, Gul Tuysuz, Steve Almasy, Jim Acosta, Barbara Starr, Arwa Damon, Mohammed Tawfeeq, Deb Feyerick and Pamela Brown contributed to this report.

@highlight

NEW: Department of Homeland Security, citing ISIS, calls for scrutiny of social media

@highlight

Syria warns U.S. "not to repeat the American fiasco in Iraq"

@highlight

Al Qaeda-linked al-Nusra Front says its leader was killed in airstrikes

@highlight

The U.S. also struck a new al Qaeda franchise in Syria called Khorasan Group