Seoul, South Korea (CNN) -- The Rev. Sun Myung Moon, the controversial founder and "messiah" of the Unification Church, was laid to rest Saturday in an elaborate ceremony attended by tens of thousands.

The 92-year-old religious icon, who claimed that Jesus Christ had asked him to finish his work on earth, died on September 3 after pneumonia complications.

The Unification Church believes that Jesus was divine, but that he is not God, a stance that puts it outside the bounds of traditional Christianity. The church follows Moon as its messiah.

Over a dozen pallbearers donning white military-style uniforms with gold details and white caps carried his red casket to the sound of classical music through the church in a slow, unison stride.

The men marched Moon's body up red carpeted stairs, through landscaped flowing flower arrangements to an elevated altar, where they set down the coffin beneath a larger-than-life painting of the reverend. They saluted him before exiting the stage.

The pallbearers were church members, who had no military affiliation, and acquired their uniforms for the ceremony, a church spokesman said.

About 35,000 followers and dignitaries attended the funeral in Gapyeong, South Korea, the church said.

The ascension observance -- or "Seonghwa" - is the normal term for a funeral in the Unification Church, the spokesman said.

The funeral featured video highlights of Moon's lifetime achievements.

His seventh and youngest son, Rev. Hyung Jin Moon, who is also his successor, fought back tears as he held the eulogy.

"We have gathered here today to send off in holy ascension the messiah that God has sent to this world to save corrupt humanity," Moon's son said.

The ceremony marked the end of nearly two weeks of mourning, in which over 200,000 visitors attended wakes at shrines set up by the church across the country, according to a Unification Church news release.

Opinion: Moon's death marks end of an era

Moon's "holy body" was taken after the ceremony for interment to Mount Cheonseong, the church's "holy land." Media had no access to the burial.

Moon had been a high-profile international evangelist for decades. He said Jesus Christ came to him in the 1930s and "told him to finish (Jesus') mission," according to James Beverley, a professor at the Tyndale University College and Seminary in Toronto.

His church officially started in the 1950s, with missionaries being dispatched around the world by the end of that decade. His was one of several religious movements that emerged after World War II and the Korean War in South Korea and Japan, drawing from "a tremendous pool of people ... looking for answers as to why the world had turned (against them)," said Virginia Commonwealth University professor David Bromley.

Moon was imprisoned in North Korea during the Korean War before being freed by the allies, an experience that turned him "virulently anti-communist," according to Eileen Barker, a professor at the London School of Economics and Political Science.

Globally, the church's reach may have peaked in the 1970s and early 1980s, as hundreds of thousands joined the singular religious movement, Beverley said. Critics have said the controversial Moon led a cult, whose followers were colloquially known as Moonies.

In his role as church leader, Moon became famous for conducting mass weddings, including one in 1982 at New York City's Madison Square Garden and one in 1995 in South Korea uniting 360,000 couples.

He also gained influence in other ways as well -- growing a massive, diverse business empire that included holdings in industries such as chemicals, arms manufacturing, mining and pharmaceuticals.

Moon helped create news publications, including The Washington Times, as well as universities, religious institutions and other groups. Some such organizations that Moon founded stress interfaith dialogue and peace, like the Universal Peace Federation, which advocates "building a world of peace in which everyone can live in freedom, harmony, cooperation and prosperity."

But Moon also fell afoul of the law, serving a federal prison term in the United States for tax evasion. From 2003 to 2005, Britain's government also prohibited him from traveling to that country, according to a U.S. State Department report.

A video from 2004, posted on the website of what was then known as the Interreligious and International Federation for World Peace, showed a ceremony taking place in a U.S. Senate office building.

During the ceremony, Moon declares himself the messiah and says he'd spoken to the spirits of Nazi leader Adolf Hitler and Soviet leader Joseph Stalin, both of whom he said found strength in his teachings and mended their ways.

Moon was traditionally a strong supporter of Republican politicians, including Richard Nixon and Ronald Reagan, Barker said.

See more religion news on CNN's Belief Blog

TIME: The life and times of Reverend Moon

CNN's J.L. Kwon reported from Seoul, South Korea, and CNN's Ben Brumfield reported from Atlanta

@highlight

The ceremony took place near Seoul, South Korea

@highlight

Moon's seventh and youngest son delivered the main address

@highlight

Moon, 92, died on September 3 after pneumonia complications

@highlight

The Unification Church does not recognize Jesus Christ as God and follows Moon as its messiah