(CNN) -- Here we go again. Just as in the 1980's, some conservative moralists and pundits are trying to blame America's current economic insecurity, joblessness and social inequality on the very people most victimized by these socioeconomic trends. Once again, they are telling us that people can make it if they just pull themselves up by their own bootstraps, keep their shoulders to the grindstone and cross their legs until marriage.

A paper from the Heritage Foundation last week week recycles the 1992 election slogan that the best antidote to poverty is marriage. This theme was also sounded by Rick Santorum at the Republican National Convention, who claimed that the cure for poverty and economic insecurity is within anyone's grasp: "Graduate from high school, work hard and get married before you have children," he exhorted his listeners to thunderous applause, "and the chance you will ever be in poverty is just 2%."

Seriously? Have any of these pundits and politicians talked to any people who have lost their jobs in the past 15 years?

Graduating from high school is certainly a good idea, but it's no longer much protection against poverty. In fact, 70% of working-age adults who live in poverty do have high school diplomas, and many have even attended college, according to calculations prepared for a forthcoming paper by economist Shawn Fremstad, senior research associate at the Center for Economic and Policy Research.

Over the past three years, indeed, Americans with some college under their belts have experienced sharper declines in income than any other group.

Working hard is also good advice, but a majority of American families have seen their real wages stagnate or decline over the past 30 years, even as they increased their involvement in paid labor. By 2007 -- before the start of the recession -- the average employed 25- to 29-year-old man with a high school degree made almost $4 less per hour (in constant dollars) than his counterpart in 1979.

And that's if he could find work in the first place. The likelihood that such a man would experience a job loss, reduction in pay and benefits, or financial emergency he could not meet out of savings has increased threefold since the 1970s.

In an era when two incomes are increasingly necessary to raise a family, getting married makes excellent economic sense for a woman who wants to have a child. But first she needs to find a man who can actually make a financial contribution to the marriage -- an increasingly difficult task, especially for working-class African-American women.

University of Maryland sociologist Philip Cohen reports in his forthcoming book, "The Family: Diversity, Inequality and Social Change," that in big cities, there are often fewer than 50 single, employed black men for every 100 unmarried black women in the same age range, because of poor employment opportunities, high incarceration rates and disproportionate mortality rates.

White working-class women, with or without high school degrees, also increasingly face a shortage of marriageable men. And they have good reason to approach marriage cautiously, even if they get pregnant, because economic insecurity is strongly associated with marital distress.

This is one reason that high school graduates are twice as likely to divorce as more economically secure college graduates. Getting married and then divorcing often leaves a woman worse off than if she had remained single, with or without children, and had focused on improving her own earning power.

It is true that single parenthood is associated with poverty, especially in the United States, where single mothers find it hard to work full time or further their education because they lack affordable child care. But nonmarriage is often a result of poverty and economic insecurity rather than a cause. Unemployment, low wages and poverty discourage family formation and erode family stability, making it less likely that individuals will marry in the first place and more likely that their marriages will dissolve.

The claim that single motherhood is currently the biggest obstacle to success in America is particularly wrong-headed, because the claim is almost 30 years out of date. Rising rates of unwed motherhood did contribute to increases in the percentage of low-income and poverty-level families in America from 1975 to 1995. But since then, the majority of the increase in family inequality has been because of growing economic insecurity in groups of people who have the same family structure.

Almost 36% of American's impoverished children -- 5.9 million kids -- live with married parents. If we include low-income families -- people who are just one missed pay check, one illness or one divorce away from poverty -- the figure rises to nearly 50%.

Another claim being recycled in this campaign season-- that our social and economic ills come from people depending too much on government--is equally divorced from reality. One of the biggest myths promulgated over the past two decades has been the insistence that government support systems inevitably perpetuate dependency. But history tells a different story.

From the 1950s to the mid-1970s, the United States greatly increased government support systems for workers, expanding Social Security, enlarging the safety net and investing in school construction and infrastructure that created jobs for blue collar workers while improving housing and educational access for the middle class.

The result? More Americans were able to work their way into economic security and to invest in education and training that enabled their children to do even better. Over that period, the poverty rate was halved, falling from 22% to 11%.

It is not the expansion but the erosion of government support and job creation over the past three decades, in combination with the decline of labor unions and employers' benefits, that largely accounts for the setbacks American families are experiencing and for the decline in social mobility since the 1980s.

Investing in living-wage jobs and reducing the inequities between local school districts would give young people more, not less, incentive to postpone childbearing and more possibilities for independence.

And here's one more thing to ponder for anyone truly interested in helping young people avoid early parenthood: Since the majority of unwed births, especially among youths, are unintended, government should also provide more widespread access to comprehensive sex education programs and contraception, not throw up barriers to such access.

The opinions expressed in this commentary are solely those of Stephanie Coontz.

@highlight

Stephanie Coontz: Chorus of conservatives says marriage, high school diploma fight poverty

@highlight

She says that misleads: 70% in poverty have diploma; there is a scarcity of breadwinning men

@highlight

She says divorce often leaves women worse off than if they'd stayed single, pursued college

@highlight

Coontz: Historically, government investment in safety net, job creation, education cuts poverty