(CNN) -- Kerry Morgan was just 3 years old when she participated in her first clinical trial for type 1 diabetes prevention. She didn't have the disease, but her 7-year old sister did and there was concern that she might develop it, too. During the trial she was given one shot of insulin a day in the hope that it would stave off the disease, but a year later, she was officially diagnosed.

"I remember a lot of things changed." Morgan said. "I went from having juice every day and M&Ms to not having sugar at all. I remember getting shots every day, finger pricks, my parents had to hold me down."

School, she says was difficult. "You had to let teachers know what was going on. You had a special relationship with the nurse because she had to check your blood sugar every day before going to lunch."

At 14 she entered a second trial, this one at the University of Virginia, for a continuous glucose monitoring system called The Navigator. It was at UVA that she first learned about the artificial pancreas. A high school senior at 18 now, she has participated in four clinical trials and two have involved artificial pancreas systems.

"It was awesome. I've never done anything quite like it before. For the two days that I was on the artificial pancreas I experienced normalcy. I wasn't checking myself every five seconds and giving myself insulin because it was doing it for me."

In type 1 diabetics, the pancreas makes very little or no insulin, a hormone that controls glucose levels, or the amount of sugar in your blood. Patients must constantly check their levels throughout the day, determine how much insulin they need to lower their blood sugar and administer the proper amount using a pump or syringe. Drops or spikes in blood sugar can be extremely dangerous. If the level is too low -- a condition called hypoglycemia -- patients can experience shakiness, confusion, trouble speaking, seizures, even coma and death. A level that is too high -- hyperglycemia -- can cause excessive thirst, frequent urination and cardiac arrhythmia. Left untreated, hyperglycemia can lead to a number of serious complications including vision loss and nerve damage.

An artificial pancreas mimics the glucose regulating function of a healthy pancreas. The automated device features a sensor that's placed under the skin that measures blood sugar. Information from this continuous glucose monitor is sent to a receiver and an insulin pump delivers insulin in controlled amounts. A glucose meter calibrates the sensor. Sophisticated software checks the blood sugar in the body and automatically provides the correct dose of insulin needed at the right time.

"When you have diabetes, every second you're thinking about your blood sugar," says Morgan. "You're wondering if you're high, if you're low, if you're OK, if you're giving yourself enough insulin, if you're not giving yourself enough insulin. With the artificial pancreas it takes that worry away because it's doing it for you. It lets you know if something's wrong. That way you're not always worrying about your blood sugar."

The device has not yet been approved by the U.S. Food and Drug Administration. In June the agency issued a draft guidance seeking input from the industry and researchers on an early version of the artificial pancreas, called the low glucose suspend system. It's a backup for diabetics experiencing hypoglycemia. Patients still have to monitor their levels and give themselves insulin if necessary, but the low glucose suspend system temporarily reduces or stops the insulin flow in the event of an episode.

There are two types: A reactive low glucose suspend system that stops insulin infusion when a predetermined level has been reached, and a predictive low glucose suspend system that anticipates a hypoglycemic event based on the current blood sugar level and how fast those levels are falling.

Dr. Charles Zimliki chairs the FDA's Artificial Pancreas Critical Path Initiative and he is a type 1 diabetic. Testifying before a Senate committee in June, he said the FDA is committed to seeing the device come to market but is proceeding with caution.

"While the potential benefits are enormous, an artificial pancreas system is considered a significant-risk device, meaning it presents a potential for serious risk to the health, safety or welfare of a patient. If not properly designed, use of an artificial pancreas device in an outpatient setting can place patients at significant risk, because the device controls the administration of insulin without the oversight of health care professionals."

The FDA is expected to release new guidance for future generations of the artificial pancreas systems on December 1. The Juvenile Diabetes Research Foundation has been working closely with the FDA on the artificial pancreas. It says low glucose suspend systems have been in use in more than 40 countries for the last 2Â½ years and the process in the United States is taking much too long.

"Here in the U.S. we're now almost three years behind and the first study to test these systems is just going to launch in the next month, which means it's going to be another year or so before patients even have access," said Aaron Kowalski, assistant vice president of treatment therapies for the foundation. "What JDRF is advocating for is to ensure that people here in the U.S. have access to these tools in a timely manner."

The FDA says other countries have different regulatory systems in place that do not require the same safety and effectiveness data for a product of this level of risk.

Tom Brobson, a 51-year-old Christmas tree farmer and the national director for donor relations at JDRF was diagnosed eight years ago with type 1 diabetes. "I think they're getting hung up on better when good enough can do the job. You can't get better until it's out there being used. We know that technology isn't perfect, but what we're talking about are significant improvements and enhancements over what we have today that can significantly reduce the daily burden of living with this disease, improve quality of lives and save lives."

Brobson has been participating in artificial pancreas clinical trials at UVA since 2007. "It's been awesome, fantastic, frankly everything I could ever imagine it to be and then some," he says. "The open question for me was could a computer system using off-the-shelf technologies do a better job of controlling my blood sugar than I was already doing for myself and the answer turned out to be overwhelmingly yes."

Without it, Brobson says he has to spend every minute managing his diabetes. "I have to be my own pancreas 24 hours a day. Last thing at night, first thing in the morning and often in the middle of the night. When the artificial pancreas took over, that was a real power moment. It kept me perfect from 8 p.m. to 8 a.m. When the artificial pancreas took over moment to moment when it was actively assisting me in the management of my disease, it was a life changing moment and it was life changing because I didn't have to think about my diabetes every moment of the day."

Dr. Michelle Magee is an endocrinologist and director of the MedStar Diabetes Institute at Washington Hospital Center in Washington, D.C. "The data from other countries showed that the system could be used safely and effectively. It's been somewhat disappointing that it has taken so long to get approval here."

She says the long awaited system offers hope to patients. "For people with type 1 diabetes, the artificial pancreas has been kind of the holy grail of technology to support self management of diabetes. It's not going to cure it, but it's going to be a huge step in the right direction. Once it's approved and can be used it will be fantastic."

According to the Juvenile Diabetes Research Foundation, about 80 people a day are diagnosed with type 1 diabetes. Approximately 3 million Americans are living with the disease. Most of them only have healthy blood sugars 30% of the day. The foundation says it has spent $1.5 billion on diabetes research, $40 million of that on research on artificial pancreas systems.

"Our goal is to drive the development of artificial pancreas systems," Kowalski said. "This could not only improve tremendously glucose control, and help reduce the risk of these terrible diabetes complications, it could also help people with diabetes live easier. The bottom line is diabetes is a 24 hour a day, 7 day a week, 365 day a year job and if we can make some of that easier that would be a huge step forward."

Morgan agrees. "I think it's superimportant, I think next to having a cure for diabetes it's the big thing. Because it's such an instrumental piece of equipment it can allow you to live closer to what we consider normal than anything that we have now."

@highlight

With Type 1 diabetics, the pancreas makes very little or no insulin

@highlight

Artificial pancreas mimics the glucose regulating function of a healthy pancreas

@highlight

Device has not yet been approved by the U.S. Food and Drug Administration