Editor's note: Rudy Ruiz founded RedBrownandBlue.com, a site featuring multicultural political commentary. He is host of a nationally syndicated Spanish-language radio show and wrote a guide to success for immigrants ("¡Adelante!" published by Random House). He is co-founder and president of Interlex, an advocacy marketing agency based in San Antonio, Texas.

Rudy Ruiz says the lives of U.S. presidents can make them positive role models for students.

SAN ANTONIO, Texas (CNN) -- Perhaps we got too used to living in a nation where the president inevitably becomes persona non grata.

Maybe after the Clinton and Bush years, we forgot how to give a president a chance to serve not just as a punching bag but also as a role model.

Have we become so disenchanted and polarized we can't give our own president a chance to teach our children something about what it takes to succeed?

As a small-town boy, I drew inspiration from presidential biographies. As I got lost in the adventures of Teddy Roosevelt, the spirit of George Washington and the ideals of Thomas Jefferson, I found kernels of America's greatness. In those pages, I unearthed a yearning to dream beyond my surroundings, to strive for more, to seek a way to contribute to our nation.

Many of the leaders, including Abraham Lincoln, born in a log cabin in Kentucky, ascended from humble beginnings on the wings of education to guide America forward. Devouring their stories, it ceased to matter where I was from or how far removed I was from the centers of power. With an education and a dream -- in America -- anything was possible.

Whenever President Obama addresses our youth, he embodies the power of education. Education is the cornerstone of our democracy, the key to upward mobility, a linchpin to transforming whimsical dreams into actionable goals.

Ask Bill Clinton. Raised by his widowed mother in Arkansas, he became a Rhodes Scholar. Look at Barack Obama. Emerging from a broken family, he built on degrees from Columbia and Harvard in his odyssey to the White House.

Remember Dwight Eisenhower. Hailing from Kansas, he attended West Point on his way to heroism. From both sides of the aisle, education has propelled the career trajectories of our nation's leaders.

Even if we disagree with a president's policies, we should accept he can serve as a role model in a broader way. For example, Thomas Jefferson owned slaves. Nobody would argue this was admirable. But Jefferson was also a great thinker, diplomat and strategist.

He co-authored the Declaration of Independence and helped America become a global power by engaging Europe and transacting the Louisiana Purchase. Was he perfect? Of course not. Would we want our children to emulate his every action. No way. But has he been an inspirational role model over time?

As a parent, I understand people's concerns about the concepts to which their children are exposed. But the content of the president's speech to students should assuage any worries regarding his motives.

Clearly, his agenda is to inspire kids to make the most of education in building a better life, not to brainwash a generation to do his bidding. Pointing to his own experiences, as well as those of others from diverse and modest origins, his remarks convey the importance of personal responsibility, perseverance and education in fulfilling one's potential while contributing to our nation's future.

The only way to argue with that is by confusing the issues, twisting the situation into something it was never intended to be. It's gotten so bad, some folks don't want their kids exposed to the president because they're afraid he'll teach them socialism. My answer is that even if he did plan to discuss socialism, they should let their child listen. Of course, the president wouldn't do that, but why is that my answer?

Because, as another role model -- President Reagan -- once said: "All great change in America begins at the dinner table."

In that light, the president's speech isn't a threat but an opportunity for families to engage their children on the issues. If parents disagree with the president's views, they can sit down at the dinner table with their kids and explain their divergence. They may even find, when it comes to the value of education, President Obama might say something worth hearing. In the process, parents will teach their children:

• That we should listen respectfully to others. Doing so, we might realize that we can appreciate certain aspects of a person while disagreeing with others, and that partial differences of opinion needn't always spur absolute rejection.

• That we should respect the president because, even if we didn't vote for him, we're still one nation.

• That we should give our president an opportunity to lead by example.

Obama's presidency is still young. We don't know what shape his legacy will take. But given his resume, regardless of politics, he's an excellent role model on the value of education. Why not give him a chance to serve in that capacity? iReport.com: Share your thoughts on Obama's speech

Just as I found inspiration in those biographies during my childhood, our youth might be moved by the president's words and stories to cherish knowledge and learning, harnessing the power of education to grow into productive, exemplary Americans in their own right.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Rudy Ruiz: After Clinton, Bush years, presidents aren't viewed as role models

@highlight

He says he drew inspiration from the lives of American presidents

@highlight

He says Obama and others show the power of education to improve society

@highlight

He says letting students hear Obama's speech can give them a positive message