(CNN) -- When the Supreme Court upheld the Affordable Care Act in a 5-4 ruling Thursday, the American Medical Association was quick to release a statement in support of the "historic" decision that will give more people access to health coverage.

But (and there's always a "but") medical professionals across the country are wondering: When an additional 32 million Americans get medical insurance, who exactly is going to treat them?

"We've expressed some concerns before about whether or not we're going to have enough physicians out there," AMA President-Elect Ardis Hoven said.

They have good reason to worry. When Thailand enacted the "30-bhat scheme" in 2002, requiring all patients to be covered by health insurance, 14 million people were added to the country's health care system. The result was longer waits at the doctor's office and complaints of subpar service.

8 countries that have universal health care

A physician shortage in the U.S. was expected even before the Affordable Care Act was signed into law in 2010, according to the Association of American Medical Colleges. Now the group estimates that there will be a shortage of 63,000 doctors by 2015 and 130,600 by 2025.

The shortage is a result of several factors. A large number of medical professionals are reaching retirement age, as is a large group of patients: Nearly 15 million will become eligible for Medicare in the coming years, the Association of American Medical Colleges reports.

On top of that, there is a lack of residency spots available for students graduating from medical school. In 2011, more than 7,000 were left with degrees that said "M.D." but no place to continue their education, according to the National Residency Matching Program.

Why your waiter has an M.D.

Many residency spots are funded by Medicare, and there's a cap on the number a hospital can claim each year. That number, about 100,000, has remained steady since 1997. While the Affordable Care Act will redistribute some unused residency slots and increase funding for the National Health Service Corps, more needs to be done, advocates say.

"There will be real physician shortages if we don't do more to lift the residency cap," said Dr. Atul Grover, the Association of American Medical Colleges' chief advocacy officer, in a statement. "People on both sides of the aisle have realized the need to train more doctors."

Opinion: We don't need more doctors

The biggest scarcity will be in primary-care physicians, Hoven said, thanks to better insurance coverage for preventative care.

"I would like to note that these are not newly appeared patients," she said. "They've been in emergency rooms, for things that are not necessarily an emergency. It's going to be a reshuffling of where they get their care and when they get their care."

This, of course, is a good thing, Hoven said. Doctors will be able to detect diseases earlier and focus on wellness, which in turn might lower health care costs. But that will require more internists, ob/gyns and pediatricians -- at a time when many private practices are struggling to stay afloat financially.

Nurses would be a perfect fit to handle the increase in preventative medicine practices, said registered nurse Karen Daley, president of the American Nurses Association. Nursing's holistic approach focuses on wellness and community-based health needs.

Unfortunately, America has been talking about the nation's nursing shortage since the early 2000s, and the numbers haven't improved.

"We're going to be facing serious shortages unlike anything we've ever seen in the next decade," Daley said.

The American Nurses Association was a staunch supporter of the Affordable Care Act, and the group wrote a brief in support of the legislation. Even if it's not a perfect law, Daley said, there are several important protections that have been put in place, protections that will give access to millions who otherwise might have avoided care.

But, there's always a "but."

"This is going to have to be a system that, in order to be effective, is going to have to be able to meet demands for the work force. We need more resources to provide more access."

@highlight

American Medical Association expresses concern over physician shortage

@highlight

Estimates say there will be a shortage of 63,000 doctors by 2015

@highlight

Shortages due to lack of funding for residency programs and baby boomers