What's killing the East Coast dolphins?

The carcasses of dozens of the marine mammals, seven times more than normal, have been washing up on beaches this summer, and scientists are struggling for answers to the die-off.

In Virginia alone, at least 164 dead dolphins have been found this year, said Joan M. Barns, public relations manager for the Virginia Aquarium in Virginia Beach. Almost half of those, 78, have washed ashore in August, she said.

As of Tuesday, federal authorities say, they have recorded 228 dolphin deaths this year from New York to Virginia. In all of 2012, 111 deaths were recorded.

The National Oceanic and Atmospheric Administration has issued an Unusual Mortality Event in response to the deaths. The declaration brings special federal attention to deaths as something that serves as an indicator of ocean health and may give "insight into larger environmental issues which may also have implications for human health and welfare," according to NOAA's website.

The current declaration for the mid-Atlantic bottlenose dolphins is one of 60 Unusual Mortality Events the agency has issued since they were established under the Marine Mammal Protection Act in 1991. Causes, including infections, biotoxins, human intervention and malnutrition, have been determined for the 29 of those cases.

Early speculation into the latest deaths, which have spiked this month, is focused on an infection.

"Based on the rapid increase in strandings over the last two weeks and the geographic extent of these mortalities, an infectious pathogen is at the top of the list of potential causes for this UME, but all potential causes of these mortalities will be evaluated," NOAA said in announcing the mortality event. "Work is underway to determine whether an infectious agent affecting these dolphins is present in collected tissue samples."

Susan Barco, research coordinator for the Virginia Aquarium and Marine Science Center, said necropsies are providing clues.

"We're starting now to see lesions in their lungs that are consistent with some sort of a respiratory infection," she said. "We're seeing very active lymph nodes, which means they're actively fighting an infection."

Both Barco and Charlie Potter, marine mammal collections manager of the Smithsonian Institution's National Museum of Natural History, said scientists are looking at the morbillivirus, which was thought to be behind a die-off of 740 dolphins along the East Coast in 1987. It has been found in some of the animals studied this year, Potter told NPR.

"Morbilli is a group or family of viruses, and it includes things such as measles and distemper," Potter told NPR. "So that one of the big questions are facing us right now is the extent of this infection and whether or not the infection is something that's always been there and what we're just picking up because of increased surveillance, or is this perhaps the smoking gun that we've been looking for?"

Barco said there could be other causes.

"Lung infections is one of the characteristics of morbillivirus, but it's not the only thing that can cause a lung infection. So again, we're not sure these animals are sick animals, and we're finding problems in many of their organ systems, and we are concerned that they may be immuno-suppressed, and they may be getting any number of things that are causing them to die."

On the Smithsonian's blog, Potter said the virus may be something that is exacerbated by other stresses in the dolphins' environment, mainly pollution in the form of pesticides, heavy metals and hydrocarbons. The preponderance of males and calves among the dead dolphins gives rise to those suspicions.

"Males don't have a mechanism for shedding contaminants," Potter said on the blog. "The females shed significant amounts of their lipid-soluble contaminants through lactation, so the calf gets a hell of a dose early on in life, and some of the most outrageous levels of contaminants we've seen have been in calves."

Whatever the reason, dying dolphins send a warning to humans, Barco said.

"Bottlenose dolphins are a higher-order predator. They're often referred to as 'ocean sentinels of health.' So when our bottlenose dolphins are healthy, it would probably indicate that we have a fairly healthy ecosystem. When our bottlenose dolphins are not healthy, it may very well indicate that our ecosystem is not healthy," she said.

Dolphins may be calling each other by name

The aquarium researcher also said she fears that the disease and deaths could spread south.

"We suspect, as dolphins move, that the event will move, too. Unfortunately we're afraid this is going to continue for a little while, and this will continue through the fall migration," she said, possibly reaching as far as Florida.

That state has its own Unusual Mortality Event this year, with bottlenose dolphin strandings in the Indian River Lagoon system at three times historical averages. Manatee deaths are also up there, and no cause has been determined, according to NOAA.

For the Smithsonian's Potter, who has been working with stranded dolphin response teams in Virginia, the die-off takes a personal toll.

"When you sit back and think about it, it does stick with you," he told NPR. "Unfortunately, a number of the animals we've looked at have been neonates, that is, infants. And as a father, that's always hard to do."

China's white dolphins headed for extinction?

Chinese netizens decry treatment of dying dolphin

@highlight

Dolphin deaths along mid-Atlantic states seven times higher than normal

@highlight

Virginia has recorded 78 dolphin deaths this month alone

@highlight

Scientists investigating respiratory infection

@highlight

Dolphins send a message on health of environment, scientist says