New York (CNN) -- He's designed everything from upscale hotels and restaurants to the sets for Broadway plays and the Academy Awards ceremony.

So you might think that creating a kids' playground wouldn't appeal to world-renowned architect David Rockwell.

But it did.

Rockwell, a father of two, became frustrated when he took his kids to traditional playgrounds. He found that these play areas lacked creativity.

"Traditional playgrounds are geared toward gross motor skills and linear play ... they are largely made of fixed equipment: seesaws, slides, monkey bars, swings," Rockwell said.  "They are fantastic places to build gross motor skills."

So he decided to design a playground that focused on building imagination by letting the kids build the playground themselves.

The first of his Imagination Playgrounds opened in July in lower Manhattan.

"[Imagination Playground] is a totally manipulatable playground in which every part of it allows kids to create their own constantly transformable play escape."

Visiting the playground in lower Manhattan is an adventure.  It's not every day, as a CNN reporter, I get to cross over a moat and dodge pipes and water noodles while getting doused with the occasional water splash.

In a world of endless standardized tests and regimented schedules, Rockwell's playground is meant to encourage creative thinking, teamwork and risk taking.

At first, it looks like a regular playground, but look closer, and there are no swings or monkey bars. Instead, there's water, real sand, big blue foam pieces in many different shapes, shovels, wheelbarrows, balls and lots of running space.

Kids have to work together here: two boys are dragging foam pieces from the sand to the water, while another group stacks them.

When I ask why they're doing all this work, they say, "To close the hole in our bridge."

Most of the groups of kids have just met each other in the playground on this very day.

Charlotte Kelman, 10, stopped and pointed to a shapeless stack of blue foam wedges.

"See, that's a boat you can float on," she said.  "I was actually kind of helping make it."

She says she just met the kids who helped her build it in the park today.

We spoke with Rockwell in the playground as two kids pushed past us with a wheelbarrow filled with foam blocks, while others built what Rockwell guessed was "a raft city."

Laughing, he described it as "a humbling experience for a control freak architect."

"One hundred percent of the time, the kids do not use the objects in the way I designed them to be used," he said.

Rockwell likes to visit the playground to see what new ideas kids have developed for his foam pieces.

"We're finding that kids are so over-programmed and have so little free time that when they get here, their own little creative potential is unleashed," he said.

It took him more than five years to build Imagination Playground, and he didn't do it alone. He consulted with play experts and conducted focus groups watching kids use prototypes of the foam.

Susan Solomon, one of the play experts who worked with Rockwell on Imagination Playground, would like to see more playgrounds like it.

"It's all about avoiding risk in most playgrounds, so it's been dumbed down and there's less and less kids can do," Solomon explained.

This one is different because "everything can be invented, reinvented, and this is critical for how kids learn. This enables kids to make their own decisions, to see cause and effect by building up, destroying, building again," she said.

But building more playgrounds like this one won't be cheap: Rockwell donated his time and design expertise and helped raise money for the project.

The Lower Manhattan Development Corp. donated $4.4 million, and the city of New York threw in an additional $3 million to get the underground pipes in working order.

Solomon believes these kinds of play experiences help prepare kids for environments where not everything is controlled.

"Here, nothing is fixed, nothing is predetermined, and they can see consequences, learn to make decisions," Solomon said. "They learn that not everything is already laid out for you in a way in which it's always going to be perfect: It's possible to fail."

Gail Daum brought her daughter to the park for the first time while we were there.

"I love it," she said as she watched her daughter help another little girl carry a large white pipe across the playground.  "She just seems to be creating things and interacting with younger and older kids. It's been a great experience so far."

Rockwell is trying to raise a $5 million endowment to sustain the playground, which has some atypical costs, including replacing the foam pieces and paying for two "play assistants" who oversee the kids.

Rockwell is also exporting the idea to other cities. He's made portable versions of the playground, which he calls "Playground in a Box" -- each contains the foam pieces and other loose parts.

Rockwell says they're now in some parks and children's museums around the country. They cost between $7,600 and $11,700.

He doesn't make money off this project. He says he does it because he believes it makes a difference, and he'd like to build more full-scale Imagination Playgrounds in other cities around the country.

Rockwell smiled as we watched two girls try to dam up a waterspout.

"I love working for these constituents," he said.  "They are my most interesting clients."

@highlight

David Rockwell designed Academy Awards sets, Nobu restaurants and W Hotels

@highlight

A father of two, the architect found traditional playgrounds uninspiring

@highlight

He created Imagination Playground, where kids use teamwork and creativity to play

@highlight

Manhattan playground cost more than $7 million; he's seeking $5 million more to sustain it