A U.S. Army infantryman who lost all four limbs in a 2009 roadside explosion in Iraq has undergone radical transplant surgery that may help him regain use of his arms.

Last month, the 26-year-old infantryman had successful surgery -- a rare double arm transplant -- at Johns Hopkins Hospital in Baltimore.

"It feels amazing," Marrocco told reporters Wednesday. "It is something that I was waiting for for a long time, and now that it happened, I don't know what to say, because it is such a big thing for my life."

The last thing Marrocco remembers before being hit by an explosion in 2009 was that he was driving an armored vehicle.

When he woke up at Walter Reed Medical Center in Washington, Marrocco was alive, but missing all four of his limbs.

"When it happened, I didn't remember too much," Marrocco said.

"I was still alive, so that's really all that mattered to me at the time."

Marrocco is one of only seven people in the country to successfully undergo the surgery, and the first quadruple-amputee soldier, according to Johns Hopkins.

The surgery, which took 13 hours and 16 orthopaedic and microvascular surgeons from five hospitals -- was also the first bilateral arm transplant performed at Johns Hopkins. All of the surgeons volunteered their services; the surgery and rehabilitation costs were paid by the Department of Defense's Armed Forces Institute of Regenerative Medicine and Hopkins.

The team of surgeons rehearsed the procedure on cadaver arms four times over the past 18 months, said lead surgeon Dr. W.P. Andrew Lee, director of the Department of Plastic and Reconstructive Surgery at Johns Hopkins.

"On his right side we did an above-elbow transplant by connecting the bone, muscles, blood vessels, nerves and skin between the donor and recipient," Lee said. On Marrocco's left side, "in order to preserve the elbow joint, we transplanted the entire donor forearm muscles over his remaining tissues, then rerouted the nerves to the new muscle."

While Marrocco is doing well, his recovery will be long and risky, the doctor said. "The nerves regenerate at the maximum speed of 1 inch per month. The therapy will continue for a few years, first at Johns Hopkins, then at Walter Reed. The progress will be slow, but the outcome rewarding."

Marrocco is taking anti-rejection medication, which can lead to side effects like infection and organ damage. But he's received an infusion of the donor's bone marrow cells to further prevent rejection of his new arms. That infusion allows him to take only one anti-rejection drug instead of the usual three-drug cocktail.

Doctors call his recovery so far remarkable.

Watch: Mom eyes double arm transplant

"Now, I can move my left elbow," Marrocco said. "This was my elbow, the one I had before. I can rotate a little bit. This (right) arm is pretty much not much movement at all -- not yet at least. Hopefully, we are hopeful for the future to get some pretty good function out of it, out of both of them."

Doctors said rehabilitation therapy is an integral part of the healing process. "The next two to three years, Brendan's full-time job is doing hand therapy, six hours a day, every single day, once nerves grow in," said Dr. Jaimie Shores, clinical director of hand transplantation at Johns Hopkins. "He's going to be working very hard."

Marrocco said he's up to the task. The thing he's looking forward to most? "Driving. Absolutely, driving. I used to love to drive and it was a lot of fun for me. So, I am really looking forward to getting back to that. And just becoming an athlete again. One of my goals is to hand-cycle a marathon."

Lee hopes the new anti-rejection regimen performed on Marrocco will become the new standard of care for limb and face transplants. Marrocco will participate in a anti-rejection regimen study that's being funded by the Armed Forces Institute of Regenerative Medicine.

For his family, the surgery means moving forward with their lives.

"Our lives have been on hold for the last almost four years waiting for this surgery, getting him through Walter Reed and getting to the point where he was pretty independent," said mother Michelle Marrocco. "And now he will be independent, and when he comes home, he'll be the Brendan we've all been looking for."

Marrocco's message to other's facing similar challenges? Don't give up hope. "Life always get better. You're still alive ... just be stubborn. Work your ass off."

Lee agreed. "Advances in medicine are being made every day in different areas, whether it's tissue transplantation or tissue regeneration," he said.

"Research is being performed throughout the world with different ways of regenerating tissues and replacing arms, so they should be optimistic, as we are that there will be new treatments and modalities currently not available."

Marrocco said he's is very optimistic about his future.

"I just want to get the most out of these arms and just as goals come up, knock them down, and take it as absolutely far as I can. So really, I just want to get to the point that I can be completely on my own and just get back to enjoying life."

@highlight

Brendan Marrocco says after roadside bombing, being alive was "all that mattered"

@highlight

The quadruple amputee underwent a successful double-arm transplant

@highlight

He is one of only seven people to undergo the surgery

@highlight

The procedure took 13 hours and 16 surgeons to complete