Washington (CNN) -- Reliability -- that was the watchword for President George W. Bush when it came to legacy-making choices for the Supreme Court. Reliability in both the person he wanted for the high court, and in the selection process itself.

The former president's new memoir reveals a measure of success and uncertainty along the way during six crucial months in 2005.

In "Decision Points," Bush offers a behind-the scenes look of his successful nominations of John Roberts and Samuel Alito to the high court. Both men have lived up to White House expectations after five years on the bench, becoming influential conservatives.

But there is bitterness, too, over how his pick of close aide and friend Harriet Miers failed so spectacularly, which he blamed not so much on himself, but on those from the left and right.

"While I know Harriet would have made a fine justice, I didn't think enough about how the selection would be perceived by others," the former president writes. "I put my friend in an impossible situation. If I had to do it over again, I would not have thrown Harriet to the wolves of Washington."

I covered the Bush judicial nominations, and much of what Bush reveals now was what I had learned at the time from my sources. I knew that early in his presidency he had laid out a simple set of criteria for who he wanted for the federal bench, creating a disciplined, thorough vetting process to assure "reliable" conservatives would be chosen.

Bush wanted a short list of high-court candidates ready to go. That list would include "women, minorities, and people with no political litmus test," Bush wrote. "The only tests in my mind were personal integrity, intellectual ability, and judicial restraint."

While there was some diversity, most of those eventually tapped for the courts were white males, including the two Supreme Court justices.

The president most of all sought someone who would stay conservative for perhaps decades on the court-- no "surprises" as Bush's father had learned.

"I knew how proud Dad was to have appointed [Justice] Clarence Thomas, a wise, principled, humane man. I also knew he was disappointed that his other nominee, [Justice] David Souter had evolved into a different kind of judge than he had expected," Bush writes, referring to his father, former President George H.W. Bush.

The moderate-liberal Souter retired in 2009.

As far back as the Reagan years, right-leaning legal activists had sought to transform the courts away from what they called the "excesses" of a liberal legacy championed by former Chief Justice Earl Warren. From watershed rulings on abortion, criminal rights, and church-state disputes, frustrated conservatives knew the impact life-tenured federal judges would have on hot-button social issues. Republican insiders were always seeking to identify bright, young, up-and-coming lawyers to hopefully one day transform the courts..

One such person was John Roberts, who had served in the Reagan and senior Bush administrations. He was a well-paid Washington appellate attorney when he played a low-key but crucial role defending the younger Bush in court during the 2000 Florida ballot recount. The White House remembered, and groomed him for a potential seat on the high court by first naming him in 2003 to a prestigious federal appeals court.

Washington was abuzz in the early summer of 2005, anticipating a high court vacancy after 11 years of stability. Then-President Bush and others assumed Chief Justice William Rehnquist -- suffering from thyroid cancer -- would step down, but Bush reveals in his book that Miers, then the White House counsel, had called him the morning of July 1 with a surprise.

"It's [Sandra Day] O'Connor," Bush writes that Miers told him. The pioneering first woman on the Supreme Court was leaving after nearly a quarter-century.

Roberts was one of five finalists -- all federal appeals-court judges -- personally interviewed by Bush in subsequent weeks, but he was not the unanimous choice of the president's top-level staff. Miers liked Samuel Alito. Vice President Dick Cheney and Attorney General Alberto Gonzales wanted Texan Michael Luttig. But political adviser Karl Rove and Chief of Staff Andrew Card preferred Roberts.

The 50-year-old Indiana native impressed the president. "His command of the law was obvious, as was his character," writes Bush, "a gentle man with a gentle soul."

Based on what my administration sources were telling me, and what I knew of Roberts, I had predicted Bush would ultimately choose him.

Bush revealed now what my sources back then had said would be a key criteria, beyond the resume and conservative credentials: "I wanted to read the person," face-to-face, he writes. "I went into the interviews hoping one person would stand apart."

His gut told Bush that Roberts would be a reliable conservative judge -- and more. "The tie breaker question," writes Bush was which man would be the most effective leader on the court." Note that Bush wrote "man," and while one woman was among the finalists, Judge Edith Brown Clement was never seriously considered, my administration sources told me.

In retrospect, the decision was not a hard one. The difficult part for the president was at the prime-time announcement ceremony, where Roberts, his wife, and two young children gathered at the White House. Young Jack Roberts started dancing around the East Room -- he was imitating Spider Man, it was later revealed -- while Bush was speaking.

"I saw him out of the corner of my eye, and it took all my concentration to continue my remarks," Bush writes.

Barely six weeks later, high drama. Rehnquist suddenly died during the Labor Day weekend, and now there were two immediate Supreme Court vacancies. Roberts' confirmation hearings were about to start, and the Bush team acted fast. A day after the chief justice's funeral, they tapped Roberts for the top spot, and now had to refill the O'Connor seat.

This time, Bush said he was determined to change course -- name a woman and perhaps someone with no judicial experience. "I didn't like the idea of the Supreme Court having only one woman, Justice Ruth Bader Ginsburg," he says in his book. His wife Laura "agreed -- and shared her views with the press."

Miers fit the bill, but was "shocked" when the president asked her to be his nominee.

One new tidbit revealed in the memoir was that the other top candidate besides Miers -- Priscilla Owen, like Bush a Texas native whom he had named early in his presidency to a federal appeals court seat.

Bush now admits strong, discreet pushback to Miers from his own staff. Some "argued that it was too risky to pick someone with no established record on the bench, or that we would be accused of cronyism. Several told me bluntly that she was not the right choice."

The president again went with his gut, but claiming none of his advisers "told me to expect the firestorm of criticism we received from our supporters."

That hostile reaction from the right clearly irks the president to this day. He writes about the "unspoken" elitist arguments against Miers, also a fellow Texan who had not gone to an Ivy League law school.

"She is not glib. She is not fancy," writes Bush of Miers, singling out traits he seemed to appreciate. My sources at the time said Bush was not looking for outspoken, abrasive, or egotistical judges. Low-key, friendly, loyal were qualities he zeroed in on, along with a fierce intellect and proven conservative credentials. He found that in the personalities and paper trails of Roberts, Miers to a limited extent, and later Alito.

"I had to get the next pick," writes Bush. "While the idea of selecting a woman appealed to me, I could not find any as qualified as Sam Alito," the candidate Miers herself had earlier championed.

The former president recalls his initial July meeting with Alito, in which the New Jersey native "seemed ill at ease." Bush says he broke the ice by talking about a shared passion -- baseball. Alito is a huge Philadelphia Phillies fan. He is also, as Bush writes, "as reserved as they come."

Alito survived a tough Senate confirmation, which Bush labels as "nasty... I was disgusted by the demagoguery."

At the January 2006 White House swearing-in, the former president writes, "I had a moment alone with Sam. I thanked him for enduring the hearings and wished him well on the court. Then I said,' Sam, you ought to thank Harriet Miers for making this possible.' He replied, 'Mr. President, you're exactly right.'"

Despite the still puzzling Miers misstep, Bush clearly believes he hit home runs with Roberts and Alito. For those nominees, the disciplined vetting process went exactly as the White House hoped, and the two have certainly re-energized the conservative majority on the court to this day.

One final note: Bush's memoir reveals little about his thoughts on the 2000 post-election fight, and the high court's crucial role in stopping the recount, in essence handing him the presidency.

He defends his strategic decision to have the justices ultimately decide whether the vote-counting should continue in contested Florida precincts. "I was prepared to accept my fate" with the high court, Bush writes, "The country needed closure, one way or the other."

@highlight

Former President Bush writes about his Supreme Court picks in his memoir

@highlight

He writes about his successful nominations of John Roberts and Samuel Alito

@highlight

There is bitterness over the treatment of close aide and friend Harriet Miers

@highlight

"If I had to do it over again, I would not have thrown Harriet to the wolves of Washington"