(CNN) -- This week super fans from around the world are gathering in New York to celebrate the 159th birthday of the legendary consulting detective Sherlock Holmes.

Never mind that Holmes is a fictional character. To this day, in books, TV and movies, Sir Arthur Conan Doyle's creation remains just as popular as he was when he debuted in the late 19th century.

Much of Holmes' appeal has always been his amazing mind -- how he is able to solve a seemingly insurmountable mystery through simple observation and deep thought. Wouldn't we all like to borrow from his bag of mental tricks?

Just imagine the possibilities if you put Holmes' brain power to use in the workplace, the classroom or social situations. That's the premise of Maria Konnikova's fascinating new book, "Mastermind: How to Think Like Sherlock Holmes." Konnikova, a columnist for Scientific American and a doctoral student in psychology, explores the latest science to dissect the inner workings of the iconic detective's mind.

In turn, Konnikova uses Holmes as an example of how anyone can learn to think more clearly, improve his or her memory and generally increase everyday mental power.

CNN recently spoke to Konnikova about the book and the benefits of learning to think like Holmes. The following is an edited transcript:

CNN: How did you become a fan of Sherlock Holmes?

Konnikova: I was introduced to Sherlock Holmes by my Dad when I was young. We had a tradition every Sunday night, he would read to us. Different stories, different books. "The Count of Monte Cristo," "The Three Musketeers," things kids would really enjoy.

One Sunday we started the Sherlock Holmes stories, and it was just a completely eye-opening experience. I remember sitting there riveted. It really stuck with me as I grew older. I realized how powerful they were from a literary standpoint.

Conan Doyle was such a phenomenal writer. I don't think people appreciate just how good the work really is. He's masterful with voice, with conversation, with pacing, with description. He has it all down.

I was also struck by how incredibly accurate his psychological observations were. Sherlock Holmes became this figure who predated modern psychology, neuroscience and our understanding of how the mind works by more than a century. Combing through the stories, I thought it would be a fascinating way of looking at the mind by using this fictional character.

CNN: Can you briefly explain Holmes' thought process?

Konnikova: Holmes is really a mindful detective, someone who knows the true value of observation, which means being mindful and in the present moment, really taking in your surroundings, really taking in everything. That type of approach permeates all of his thinking. He's not just aware of his environment; he's aware of himself; he's aware of the contents of his own mind. He has a powerful knowledge of how he thinks, what mistakes he is likely to make. Holmes puts it best when he says it's the difference between seeing and observing.

CNN: What is the "brain attic" Holmes talks about?

Konnikova: It's his analogy for how we store and process information. How is it that we take the world around us and we form it into the permanent memories that we will then use as the basis of future decisions, future thinking, of future knowledge.

The reason he uses an attic is twofold. First, an attic is finite. You can't just keep stuffing things up there and expect it not to give. That's true of the mind as well. The human mind is more expandable than an attic, but there is this finite capacity for working knowledge.

Which is Holmes' second point, and why the analogy works so well. It doesn't just matter what you put up there; it matters how you do it. So if you think about it like an attic in an old house, if there are just boxes everywhere filled with junk and none of them are labeled, you're not going to be able to find anything.

What Holmes tells you is be careful, label everything, make sure everything is organized and accessible. That way, not only will you know where to find it, but you will remember it better. We really only know what we can remember at any given moment. It doesn't matter if you memorized the information, and it's in your attic somewhere. If you can't access it when you need it, you might as well not know it at all.

CNN: Are there everyday benefits of learning to think like Holmes?

Konnikova: Absolutely, this type of approach can make you healthier, happier and sharper.

CNN: Where would you start?

Konnikova: The first thing to do -- and this is difficult in our modern environment -- but realize that multitasking is not your friend. When you multitask, you cannot think like Sherlock Holmes. That's just anathema to his mindful approach.

If we take chunks out of the day where we focus, where we allow ourselves to just do one thing and nothing else, you'll find your mind becomes better at doing that one thing and better at managing multiple inputs, filtering out distractions and creating a cleaner slate for you to work.

When you're cognitively busy, you're not thinking as clearly. If you're someone with a busy schedule who has to multitask all the time, even if you just practice this quiet mindfulness a few minutes a day, just let your mind focus on the present moment, it can make a huge difference in the clarity of your thinking.

(Learn more about the book and read an excerpt on Konnikova's website.)

@highlight

Sherlock Holmes, the celebrated fictional detective, turns 159 this week

@highlight

Author Maria Konnikova uses the latest science to explain workings of Holmes' mind

@highlight

She shows how you can learn to think with clarity like Holmes