PARKLAND, Florida (CNN) -- Yorelle Haroush fled a million-dollar South Florida home this week, chased out, she said, by drywall made in China that's emitting vapors that smell like rotten eggs.

Amy Massachi hugs her pregnant niece, Yorelle Haroush, as she prepares to move this week.

"It's making me sick. Physically, mentally and emotionally, making me sick," said the 18-year-old, who is pregnant with her first child.

Haroush lives with her aunt Amy Massachi and her four siblings and cousins in the house. They believe a year's worth of upper respiratory infections, antibiotics, bloody noses and sickness have been caused by the walls.

Their doctor said they need to get out of the $1.2 million estate in Parkland, Florida, northwest of Fort Lauderdale.

"I said, 'you can't stay there anymore, because you're sick every minute,'" the family's longtime physician, Dr. Ross Nochimson, told CNN. "They're sick on a weekly basis. Earaches, sore throat. I give them something, and they're sick again."

Massachi and her family are among homeowners in more than a dozen states who allege Chinese drywall has emitted corrosive gases they believe have given them health problems.

Homeowners also allege the gases corrode metal components including copper wiring, causing air conditioners and other household systems to fail.  Read about homeowners' allegations »

The U.S. Consumer Product Safety Commission says most of the complaints have come from Florida, where the concerns emerged last year. But consumers also have filed complaints in Louisiana, Virginia, Wisconsin, Ohio, Alabama, Mississippi, California, Washington, Wyoming, Arizona, Tennessee and Washington, D.C.

The Florida Department of Health says complaints it received -- more than 330 as of Tuesday -- generally involve homes built between 2004 and 2007.

A study done for the Florida health department by private laboratory Unified Engineering Inc. found that samples of certain Chinese drywall gave off a sulfurous odor from "volatile sulfur compounds" when exposed to extreme heat and moisture. It also found that vapors "in the residential atmosphere created a corrosive environment in the presence of moisture."

The health effects of those vapors are still the subject of several scientific studies.

Odors and corrosion are clearly evident in the Massachi house.

The pungent, rotten-egg-like smell permeates the two-story home. Throughout the house, electrical outlets are open to reveal black corrosion on the copper wiring. The air conditioning unit's air handler, inside the house, is blackened.

"This is disgusting. It's so corroded. I can't even believe it," Amy Massachi said in a raspy voice. "I can't breathe. Every morning, I wake up with sinus allergies, my voice is hoarse.  Watch Massachi explain what's happening in her house »

"My mother, when I call her up on the phone, she says, 'Amy, what's wrong with your voice?' and I say, 'allergies.'  "'What are you allergic to?' I don't know. Well, now I know. I'm allergic to my house. My house is making us sick."

The doctor recommends they vacate their 18-month-old home.

"Before they bought this house, they weren't calling every week with allergies and sore throats and ear aches and coughing," Nochimson said. "I don't know what more I can do for them."

Haroush, who after giving birth faces heart surgery for an unrelated condition, is moving in with her grandmother.

"I'm graduating this year, and I'm having a baby, and I don't need to be thinking about anything else going wrong, and any more stress that is on me," she told CNN.

Chinese drywall was imported into the U.S. during a different economic era, at the height of a housing boom. Prices were sky high, and the country was hit by two active hurricane seasons in 2004 and 2005, increasing the demand for home repairs.

Suppliers were forced to look elsewhere for their drywall supply. Drywall, made from gypsum, is regularly imported from Mexico and Canada, according to the U.S. Department of Commerce, but during this time frame, the U.S. looked to China to make up for the shortage.

The Gypsum Association told CNN that enough drywall was imported from China to build 30,000 complete homes.

Most of the Chinese drywall, they say, ended up in southwest Florida during the housing boom, where it was used in new housing developments.

Some was also used in remodeling projects all over the country, so the number of homes affected is difficult to calculate.

The Consumer Product Safety Commission hopes to have more answers in the coming months. They continue to test the Chinese drywall, including controlled tests in chambers and real-world air sampling tests in homes, to determine how the drywall interacts with other elements in an average house.

"We don't deny there's a problem," spokesman Joe Martyak said. But there has been no positive link to adverse health effects.

"We don't know what it is that's causing the sore throats or bleeding noses. We have to find out what's causing the problem," he said.

The Environmental Protection Agency and the Centers for Disease Control and Prevention are doing studies on the health effects, but those examinations are some time away from completion.

The Consumer Product Safety Commission is having ongoing conversations with Chinese officials, who will be sending a representative to the United States to study the problem.

"They appreciate the seriousness of the issue here and trying to be cooperative," Martyak said.

A handful of Chinese companies have been sued by homeowners and home builders.

In the meantime, homeowners like Massachi face financial hardship.

"Now, because they have to move out for health reasons, they're taking on a whole second (rent) payment," said Massachi's attorney, Michael Ryan.

Ryan said he's had no luck trying to convince Massachi's home lenders to suspend mortgage payments until the house can be made livable again.

He told CNN his clients are "having to make choices about their credit, and whether they are going to lose their home. But they're always going to pick their health first."

Massachi agrees. A good look at her blackened air conditioning coil was all she needed. She's looking to rent a new place.

"That's what I'm breathing in....I'm a little freaked out now, honestly," she said, her raspy voice cracking with tears.

"It can't be good, if that's what that looks like and it's pumping throughout my entire house," she said.

Eighteen months ago, Massachi says, she moved into her dream house, surrounded by family and friends. Now the dream is a nightmare.

"It's worth nothing," she said of the home. "It's exclusive. It's pricey, and now it's worth nothing."

@highlight

Florida family is "sick on a weekly basis," physician says

@highlight

Million-dollar home smells like rotten eggs

@highlight

Chinese-made drywall has "volatile sulfur compounds," study found

@highlight

Dream home now worth nothing, owner says