(CNN)It should have been a peaceful, contemplative night for Levi Rosenblat, studying the Torah inside a Brooklyn synagogue.

But that peace was shattered when an intruder came into the Chabad-Lubavitch World Headquarters, stabbing Rosenblat on the left side of his head.

There would be no other victims, however. New York police officers quickly arrived at the scene and -- after a verbal back-and-forth captured on video -- shot and killed the attacker.

Hours later, Rosenblat -- the 22-year-old student from Israel -- was in stable condition at Brooklyn's Kings County Hospital.

And authorities were trying to piece together what happened and why.

At a brief news conference Tuesday, the NYPD's John Miller described what happened as an "isolated incident" carried out by a 49-year-old man well known to police.

"At this point, (this) appears to involve an individual who ... has a history of being an emotionally disturbed person and acting out in other places," Miller said.

Jews in the United States and elsewhere -- including Israel, the site of several recent stabbings -- have been targeted before. Noting that at least one witness heard an "anti-Jewish comment," New York police Commissioner William Bratton said that his department's hate crimes unit is investigating.

Rabbi Motti Seligson, a spokesman for the Chabad-Lubavitch movement, said that, "According to witnesses, (the attacker) was overheard saying repeatedly, 'Kill the Jews' or something to that effect."

Yet that wasn't the only thing the suspect said, nor is it the only thing that authorities are factoring in during their investigation. One witness said the attacker "sounded really high or on drugs" or mentally unstable.

As Bratton said, "The motive at this time time: We don't know."

Studying at prominent Jewish center

Describing itself as "a philosophy, a movement and an organization," Chabad-Lubavitch dates back 250 years to Russia. It has since evolved into one of the most high-profile educational, outreach and community arms of Orthodox Judaism, operating hundreds of centers worldwide, including more than 1,000 in the United States alone.

Its headquarters in Brooklyn's Crown Heights neighborhood lies at the center of it all.

That's where Rosenblat was around 1:30 a.m. Tuesday, studying the Torah in a synagogue that's part of Chabad-Lubavitch World Headquarters.

"This ... is a place where everybody is welcome," said a man who happened to walk into the synagogue at the same time as the attacker. The man, who was delivering food, asked to be identified only as Israel. "Nobody would even look at you no matter how you look, how you sound, how act."

Israel said the attacker came in with his hands in his pockets, but was soon waving a knife and saying various things such as "he wants his Bible, (then) another minute he was saying that he wants to kill people."

These words and antics set most at the still-busy center on guard, but Rosenblat didn't seem to notice.

"Unfortunately, (Rosenblat) wasn't aware of what (the attacker) was doing," Israel said. "He was busy with a (holy book)."

Israel described the scene as very chaotic, right up until a New York police officer stationed at a nearby command post learned what was happening and came to the scene.

He found the suspect holding a 9-inch knife with a 4½-inch blade.

Yelling, then a single gunshot

A cell phone video -- taken by Israel -- showed what happened next.

"Throw it, just throw it," an officer is heard saying about the knife. He then urges the attacker to step away from the tossed knife and put his hands up.

The man initially complies, then slowly walks back toward the weapon.

"Whoa, whoa, whoa!" someone yells out.

An officer yells out again, "Stay away from me" -- but it doesn't stop the man from lunging for, and picking up, the knife he'd briefly dropped.

The man then starts running toward police, saying, "Are you going to arrest me?"

Police officers -- as, by then, there were three at the scene -- can be heard yelling as well. "Drop the (expletive) knife! Drop the (expletive) knife!"

Then comes a gunshot.

Police keep up, pointing guns toward the now-downed man and telling him to drop the knife and not to move.

"Stay down! Stay down!" one officer yells.

Increased police presence at 'houses of worship'

The 49-year-old was shot in the torso, according to police.

Officers continued to tell him not to move as they handcuffed him in between the synagogue's books and desks.

An ambulance took him to Kings County Hospital, where he was later pronounced dead.

The officer who shot him and two other officers were sent to Brooklyn's Methodist Hospital for treatment of tinnitus, which is a noise or ringing in the ears.

This officer-involved death comes at a time of emotional protests over a grand jury's decision not to indict New York police Officer Daniel Pantaleo in the death of Eric Garner. That incident got a lot of attention in part because it was captured on video.

Israel said he recorded what happened at the synagogue, and made it public, to document it and leave no doubt about what transpired.

"People should at least see this is happening for a reason," Israel said of police shooting the suspect. "People actually do crime."

No one is saying this attack is part of any larger plot, and Bratton said police aren't calling it a terrorist attack. Still, given that the news may cause concerns at "houses of worship around the city, our critical incident response vehicles ... will focus on religious institutions in part today," the NYPD's Miller said.

"So you will see some enhanced coverage in terms of police presence at locations," Miller added. "But I want to underline that is to really address those concerns while we sort through the details here, not to suggest that ... this had any connection to anything other than this individual and his problems at this time."

CNN's Tina Burnside in Atlanta and Amir Tal in Jerusalem contributed to this report.

@highlight

Witness says most were on guard for an attack, but the victim didn't seem aware

@highlight

Hate crimes unit is investigating, terrorism has been ruled out, commissioner says

@highlight

Witness says most were on guard for an attack, but the victim didn't seem aware

@highlight

Levi Rosenblatt, 23, was stabbed by a man in a Brooklyn synagogue