The most persistent holiday health myths are based on kernels of truth. Here are often-repeated adages and why they're off the mark.

Myth 1: You gain massive weight during holidays.

Between Thanksgiving's turkey, heaps of holiday cookies and weeks of parties, you're bound to gain some extra padding over the holidays, right?

People tend to gain weight -- about one to two pounds on average, according to several studies. So holiday weight gain may not be as dramatic as it sounds.

Before giving yourself license to eat whatever you want this week, do the math: One or two pounds a year can add up quickly.

And that one to two pounds is likely only if you're a person with a normal body mass index. If you're overweight or obese, the weight gained is more likely to increase  -- up to five pounds.

-- Children gain about 1.2 pounds during the holiday break, according to a 2010 study published in Clinical Medicine & Research. But they also grew about 0.32 inches, which decreased their body mass index by 0.04%.

When researchers analyzed their findings among the 90 kids, they found that the overweight and obese kids gained significantly more weight and BMI units than children with normal BMIs.

-- During the six weeks between Thanksgiving and New Year's, adults gained about 0.8 pounds, according to a 2000 study published in Nutrition Review.

In the study, 14% of overweight and obese individuals gained more than five pounds during the holiday.  In the abstract, the researchers wrote, "holiday weight gain may be an important contributor to the rising prevalence of obesity, even though absolute values for weight gain in this study were less than anticipated."

Tyler Graham, co-author of  "The Happiness Diet" said non-holidays are more important.

"The big problem is what people are eating day in and day out," he said.  "People are getting obese and it's from that day-to-day diet. There are some estimates that Americans drink 600 sodas a year."

What you eat when it isn't Thanksgiving or Christmas "plays a much bigger role than your holiday eating," Graham said.

Essentially, holiday weight gain occurs, but in small increments that can add up over the years.

Myth 2: Suicides increase during the holidays.

The notion that suicides increase during the holidays is widespread.  Maybe we've watched too much "It's a Wonderful Life."

Dr. Rachel Vreeman, assistant professor of pediatrics at Indiana University School of Medicine, regularly examines widely held notions about health. She and colleague Aaron Carroll have written books about common medical myths -- "Don't Swallow Your Gum! Myths, Half-Truths, and Outright Lies about your Body and Health" and "Don't Cross Your Eyes ... They'll Get Stuck That Way!"

Back in medical school, Vreeman and Carroll had heard about suicides increasing during the holidays.

"It's often what we heard," she said. "Many of our holidays are in the cold, dark winter months. It made sense that people commit suicide. The holidays might be depressing if you lost a loved one, you're disappointed, and things aren't matching up to expectation.

"Although it's a popular assumption, it's not true."

Vreeman and Carroll have published two articles on medical myths in BMJ.

They looked through studies that examined suicide trends throughout the years.

One study from Japan during the 1970s to 1990s found lower rates of suicide before the holidays. A U.S. study examining 35 years of data showed no increase in suicides before, during or after the holidays.

"It's interesting to realize that's a myth," Vreeman said. "I always want to say we take very seriously people who are having suicidal thoughts. It doesn't mean it's possible that someone commits suicide. We should take it seriously."

At the same time, the statistics show that people aren't committing suicide on the holidays as much as the perception.

"It completely goes against what we would predict," she said. "There are peaks of suicide in the warmer months, and they are fewer in the winter. It's true around the world, which is an interesting thing to think about."

-- For suicide prevention and help contact the 24-hour telephone line by the National Suicide Prevention Lifeline at 1-800-273-8255.

Myth 3: The most dangerous day to drive in the U.S. is New Year's Eve.

Lots of people will toast the new year, drink and then drive.

But New Year's Eve is not the most dangerous day for traffic fatalities.

According to a report by the Insurance Institute for Highway Safety, a nonprofit funded by auto insurers, the most dangerous day for drivers is July 4.

The group looked at deaths in auto crashes from 2005 to 2009.

July 4 topped the list with 144 average deaths. It was followed by September 2 -- around Labor Day -- August 13, July 15, May 20 and November 11.

New Year's ranked No. 7, with 130 average deaths.

The AAA Foundation also reached similar conclusions. In its analysis of 2000 and 2009 data, more people died in motor vehicle crashes on July 4 than any other day of the year, according to its press release.

But there is a grain of truth in drunken-driving dangers on New Year's.

While the IIHS tallied total auto-related deaths, AAA looked at a subset of deaths -- specifically drunk driving-related deaths.  In that category, New Year's Day had the highest number of deaths in one day for deaths related to driving under the influence, according to AAA.

It's also the most deadly day to be a pedestrian. According to a 2005 article in the journal Injury Prevention, New Year's Day had more pedestrian deaths than Halloween -- largely due to alcohol.  In a study examining data from 1986 to 2002, 58% of pedestrians who died had high alcohol levels in their blood.

January 1 might not be the most dangerous day to drive, but it could be the most dangerous day to walk.

@highlight

Holiday weight gain is usually 1-2 pounds; more for overweight people

@highlight

Suicides do not increase around the holidays

@highlight

New Year's is a dangerous day to drive, but not the deadliest