London (CNN) -- It has often been said that the European Union is the most ambitious conflict management project ever undertaken. Over the past sixty years, it has certainly transformed the ways in which the peoples and countries of Europe work with one another.

For example, the idea that force -- or even the threat of force -- could ever be used as a means of dealing with problems is simply unthinkable.

It is this change in the very way that Europeans think about each other that has been recognized by the Nobel Committee.

Peace Prize is slap on the back for a struggling European Union

However, looking beyond the example of Franco-German reconciliation, and the reunification of East and West Europe after the end of the Cold War, many wonder whether the European Union has managed to bring about as much peace and stability as is generally supposed.

In some cases, the verdict is clearly positive. In Northern Ireland, for example, the European Union has certainly helped to lessen tensions and create a more peaceful situation.

Although fundamental differences remain over sovereignty, the EU has played an instrumental role in creating conditions whereby the day to day elements of territorial division are less important than ever before.

Meanwhile, over in the Eastern Mediterranean, the European Union played a key role -- albeit indirectly -- in creating the conditions for a rapprochement between Greece and Turkey; a process that still continues even though Turkish membership now appears distant. This too is an important success.

Elsewhere, though, the picture is rather less positive. In the case of Cyprus, the EU certainly provided the impetus for conflict resolution.

By announcing its commitment to admit a divided Cyprus, the Union forced Turkey and the then Turkish Cypriot leadership to adopt a more constructive approach to reunification talks than had previously been the case.

The problem was that the EU failed to create safeguards to ensure that the Greek Cypriots would also play ball. This has come to be been seen by many as a major failing. Cyprus is still unresolved after almost a decade of EU membership.

But it is in the Balkans that the award has been greeted with the greatest degree of skepticism. From the moment the news first broke, people from the region have responded with incredulity. Many have pointed out the negative role played the Union in the region in the 1990s.

By failing to take a united position at the very earliest stages of the crisis, the EU is widely seen to have contributed to the bloody events that followed. At the same time, its failure to respond more decisively to the conflict once it had broken out is seen by many to have cost tens of thousands of lives.

Meanwhile, looking to the present, the European Union is still felt by many on the region to be falling short well short of its lofty ideals. Although EU officials insist that the Union is still keen to enlarge, and will eventually include the countries of the Western Balkans, in reality many believe that it is not committed to doing so.

This is now feeding renewed fears of instability. Reconciliation and cooperation has, for better or for worse, been driven by a sense that the region is moving towards the European Union membership. Without that perspective, there are fears that the countries may slide back into nationalism.

Looked at from the perspective of most of the continent, the award is richly deserved. Countries with a long history of conflict now live together in peace. However, in one corner of Europe, there are many who are less willing to cheer the decision of the committee.

The opinions expressed in this commentary are solely those of James Ker-Lindsay

@highlight

The EU is often seen as most ambitious conflict management project ever undertaken

@highlight

But Ker-Lindsay questions whether it has brought about as much peace as people think

@highlight

He points to the still unresolved situation in Cyprus as a major failing

@highlight

However, it is in the Balkans that the prize has been greeted with most skepticism he says