BROOKLYN, New York (CNN) -- Every Friday evening, the Nunez family sits down to a traditional religious dinner.

Moshe Nunez and his family moved to Crown Heights, a New York neighborhood with thousands of Hasidic Jews.

Like most families in their Crown Heights neighborhood in Brooklyn, New York, their Jewish Sabbath meal includes blessings over the wine and bread, the company of family and friends and excellent food.

But for the Nunez family, the Sabbath table would not be complete without salsa picada and jalapeno dip.

Moshe Nunez, an information technology consultant and motivational speaker, was born to a Mexican father and American mother and raised in Guadalajara, Mexico.

His wife, ChanaLeah, grew up in Panama, the daughter of a Salvadoran mother and American-born father.

"Our home is a Latin American home," Nunez says.

"We bring into our home a mixture of the American and Latin culture, and that's reflected in the way we eat. We also enjoy hosting guests, so it's a very Hispanic thing, and a Jewish thing."

The couple and their two children moved to Brooklyn's Crown Heights area about five years ago so their son, Michael, 17, and daughter, Simcha, 18, could have "the best Jewish education available," Nunez says.

Crown Heights is the headquarters of the Chabad-Lubavitch movement, a branch of Hasidism that is itself a form of Orthodox Judaism. Among the thousands of Hasidic families in the neighborhood, a significant number are also Latinos, Nunez says.

"There are a lot of Latin American Jews here," Nunez says. "Some of them have moved from countries like Venezuela, Colombia and Argentina, where there's political unrest. We make a life here, settle down and become part of the fabric of American society, but we still don't lose our roots." Join the conversation: How has America changed Latinos?

Many non-Jewish Latinos are surprised to see Orthodox Jews in Brooklyn who speak Spanish, carry on their Hispanic traditions and even keep up with soccer scores from their home countries, Nunez says.

Although Moshe and ChanaLeah Nunez were raised in Christian homes, they believe that Moshe's family name is proof that his ancestors are Marranos -- Jews who were forced to denounce or abandon their faith centuries ago in Europe.

Moshe Nunez began studying his family genealogy about 13 years ago, while the family was living in Atlanta, Georgia.

He met Lorraine Nunez, a woman raised as a Christian who believed she was a direct descendant of Samuel Nunez, a Portuguese physician who fled Europe in the early 1700s to help start one of the oldest Jewish synagogues in the United States, Congregation Mikve Israel in Savannah, Georgia.

Like other Marranos living in Europe, Samuel Nunez pretended to be Catholic and practiced Judaism in secret, according to Chabad.org, the Chabad-Lubavitch movement's Web site.

Meeting Lorraine Nunez inspired Moshe Nunez -- who was still going by his Christian name, Marco -- to further explore his own genealogy.

ChanaLeah -- who was going by her Christian name, Jacqueline -- had already known that her grandfather, a well-known army colonel in El Salvador, was Jewish. Like many Jews of his time, he hid his Judaism and married a non-Jewish woman.

Marco and Jacqueline believed that their descendants were also Marranos from Spain and Portugal who had to hide their Judaism for fear of persecution.

"The Nunez family started as a Jewish name," Moshe Nunez says. "During the Inquisition they were forced to convert or practice their faith in secret. Most of the Nunez family... like mine assimilated and lost their Judaism."  Watch Nunez talk about his life in Crown Heights »

While researching his genealogy, Moshe Nunez also began to study the Bible more closely, including the Torah, the first five books of the Old Testament.

"When I began studying the Torah, I saw that the Sabbath was on Saturday and not Sunday," he says.

"That opened [a] Pandora's Box," he says, figuring that "if the Jews had the Sabbath right, maybe they have other stuff right, too."

Around that time, the Nunez family relocated to Milan, Italy, for Nunez' work as a consultant. Marco and Jacqueline -- who changed their names to the Hebrew Moshe and ChanaLeah while in Italy -- continued their Judaic studies under the tutelage of Orthodox rabbis and decided to undergo an Orthodox conversion to Judaism.

"When I got to Italy and continued to research our family name and studied the Torah, I decided we were going to live a Jewish life," Nunez says.

The Jewish community in Milan welcomed the family "with open arms," Moshe said. "The rabbi said to me, 'Moshe, you are Jewish, you were always Jewish.'"

Moshe says he and ChanaLeah "took every step together," going through a formal conversion process. As part of the process Moshe and his son had ritual circumcisions. (They had both been circumcised at birth.)

The final step was for the family to appear before a Beit Din, or religious council, to approve the conversion.

"We decided we had to make our full return to Judaism, and we had such good mazal (luck) because the rabbis made it relatively easy. They saw that we were serious people that had studied the religion," Nunez says.

The Nunez family's story is not out of the ordinary, says Rabbi Shea Rubenstein, an Argentine rabbi who leads the Jewish Latin American Connection at The Shul in Surfside, Florida.

"We have a very vibrant synagogue, and a very large percentage happen to be from Spanish background from countries such as Venezuela, Peru, Argentina, Mexico and Cuba," the rabbi says.

Rubenstein says that quite a few non-Jewish Hispanics come to The Shul to learn more about Judaism, and while they may not be able to prove they are Jewish, they believe they are descendants of Jews and seek to reconnect with their Jewish roots.

If a person wants to practice Judaism but cannot verify their Jewish roots, Rubenstein recommends they go through a formal conversion as the Nunez family did.

"It's difficult to verify because there's some 400 or 500 years of history that people cannot trace, especially since Judaism is passed through the mother and the last name reflects that of the father," Rubenstein says.

Inspired by their experiences, Moshe and ChanaLeah -- both songwriters and musicians -- wrote a song called "Jews of Spain," with lyrics in Spanish, English and Hebrew. Nunez recorded the song, part of the album "Kol Haneshema (Every Soul)."

Aside from his work as a consultant and musician, Nunez leads seminars, conducts a weekly program called Quality Life Now at the Empire State Building and teaches weekly Webinars from his Brooklyn home. His seminars, taught in both Spanish and English, focus on seven core values found in the Old Testament.

The seven values are often referred to as the Noahide Laws. According to the Bible, the laws were given from God to Noah to serve as a moral code for all humankind.

"I've taken the seven Noahide Laws and I teach them as universal core values, so everyday people can apply them to their lifestyle," Nunez says.

He says he hopes to share his teachings with all of mankind, regardless of religion, to help them lead a more meaningful life.

"Sharing the knowledge of Torah to the world through education, songs and acts of kindness will help ensure that what happened to the Marranos during the Inquisition will never happen again."

@highlight

Moshe and ChanaLeah Nunez are Latino Jews who were raised in Christian homes

@highlight

Nunez believes he is a decendant of Jews who left oppression in medieval Europe

@highlight

He and his wife converted to Judaism and moved to a Hasidic New York area

@highlight

The couple and their children blend Latino and Jewish culture in their lives