Jakarta, Indonesia (CNN)Searchers have located a majority of AirAsia Flight QZ8501's fuselage in the Java Sea, the head of Indonesia's search and rescue agency said Wednesday, raising the prospect that many bodies of the 162 people aboard the flight that crashed last month will soon be found.

The confirmation follows major developments in the investigation of the disaster -- the recoveries earlier this week of the plane's flight data and cockpit voice recorders.

Searchers saw the plane's main body, with one of its wings attached, via a camera carried by a remotely operated underwater vehicle, Indonesia search chief Bambang Soelistyo said.

Key in identifying the debris are the words painted on the section. Pictures released by the search agency appear to show portions of the words "now" and "everyone."

AirAsia says the slogan "Now everyone can fly" had been on the length of the plane, which crashed December 28 as it flew toward Singapore from the Indonesian city of Surabaya.

Divers will search the fuselage for bodies Thursday, and if the divers encounter trouble, crews may lift the fuselage out of the water, Soelistyo said.

Officials didn't mention the depth of the water. But officials have said other debris, such as the recorders -- which were found about a half mile from the fuselage on Monday and Tuesday --  were discovered at a depth of roughly 30 meters (100 feet).

At least 50 bodies have been recovered from the sea, Soelistyo said. Some were strapped into seats.

Officials have said that many of the more than 100 remaining bodies might be found in or near the plane's fuselage.

The majority of the people on Flight QZ8501 were Indonesian. Citizens of Britain, France, Malaysia, Singapore and South Korea also were aboard.

Soelistyo said the discovered portion of the fuselage is about 100 feet long. That would represent the majority of the Airbus A320-200, which was about 120 feet long.

Authorities don't know why the plane crashed.  Roughly 35 minutes into the flight, the pilot asked air traffic control for permission to turn left and climb to avoid bad weather. Minutes later, the plane disappeared from radar.

On Tuesday, divers retrieved the cockpit voice recorder, which is designed to retain all sounds on a plane's flight deck.

A day earlier, searchers recovered the plane's other key information source, the flight data recorder, which stores a vast amount of information about the aircraft's performance, including air speed and cabin pressure.

Both devices are expected to help investigators understand what went wrong.

The flight data recorder tells investigators what happened on a plane, but the cockpit voice recorder tells them why, said Mardjono Siswosuwarno, a senior official at Indonesia's National Transportation Safety Committee, which is leading the investigation into the disaster.

"The 'why' is mostly in there," he said of the voice recorder, which captures conversations between pilots, as well as other sounds in the cockpit.

The two flight recorders were taken to a lab in Jakarta, the Indonesian capital, for analysis.

Investigators say they have successfully downloaded the contents of both devices. But Mardjono cautioned that interpreting the information requires much more time.

After the download, investigators should have "a pretty good idea within a couple of days" of what happened aboard the plane, Mary Schiavo, a former inspector general of the U.S. Department of Transportation, said this week.

The flight data recorder usually contains hundreds of parameters and thousands of data points, she said, that look a bit like an electrocardiogram when they're printed.

Mardjono said he expected a preliminary report to be released within a month of the crash.

But it's unclear how much information the initial document will contain beyond what's already been made public. The final report containing investigators' full conclusions will take months, Mardjono said.

The agency's final report into Adam Air Flight 574 -- which crashed in Indonesian waters on New Year's Day 2007, killing all 102 people on board -- came out more than a year after that disaster.

Mardjono said the AirAsia plane's flight data recorder was in good condition after being pulled out of the water from under the debris of a wing Monday.

The recovery of the recorders took place after the plane's tail was lifted from the waves Saturday.

Observers have suggested that the locations of the different parts of debris indicate the plane broke apart when it hit the water, not when it was still at a high altitude.

One Indonesian search official, who goes by the single name of Supriyadi, said that the debris patterns suggest the aircraft "exploded" on impact.

But the country's transportation investigators said it was premature to say what had happened, and one expert questioned the search official's choice of words.

"The word 'exploded' I think maybe loses a little bit in translation," said David Soucie, a former Federal Aviation Administration safety inspector. "I think really what he's meaning is a rupture from the impact itself.

"As with any hollow object hitting something very hard, the pressure differential between the outside and the inside is very significant, and it'll actually tear apart the aircraft on the top," Soucie said. "That may be what he's referring to."

CNN's David Molko, Jethro Mullen, Elizabeth Joseph, Andrew Stevens, Mitra Mobasherat, Gary Tuchman, Brian Walker, Catherine E. Shoichet, Josh Levs and Deborah E. Bloom, and journalist Rudy Madanir contributed to this report.

@highlight

Fuselage found underwater, about a half mile from where data recorders were found, official says

@highlight

Officials have said many of the remaining bodies may be found in fuselage

@highlight

Plane went down in Java Sea on December 28 with 162 people aboard