(CNN) -- I grew up in an interfaith home where I learned, despite what some on the far right allege today, that Islam and Christianity have much in common. My father was Muslim and born in the 1930s in what was then known as Palestine. My mother is Italian (Sicilian, to be accurate) and proudly Christian.

My family was the embodiment of the American Dream: An immigrant father and first generation mother of differing ethnicities and faiths, who did more than just co-exist: They flourished.

Our mini "melting pot" succeeded because we focused on the commonalities between Islam and Christianity, the most obvious being that we worship the same God. How could we not? After all, we share almost identical prophets such as Moses, Abraham and Jesus.

My Muslim cousins would even celebrate Christmas with us every year - -not only to be social, but because there's a religious basis. To Muslims, Jesus is a prophet referred to in the Quran as "The Messiah," born of the Virgin Mary, who was herself born of immaculate conception.

Growing up in North Jersey in the 1980s, no one expressed any issues with our heritage or faith. In fact, in third grade my teacher asked me to bring my father to school for "show and tell" so the students could meet an Arab Muslim man. I can only imagine if this event was replicated today, some would protest, claiming my father was there trying to spread sharia law or convert the children to Islam.

Despite my upbringing in a very ethnic home, by September 11, 2001, I identified as a typical white American. I wasn't Dean Obeidallah, the Arab-American, I was just Dean. As I have joked in my stand-up act, I didn't have any Arab friends before 9/11. All my friends had names like Joey, Chandler and Monica.

But as I stood on the corner of Eighth Street and Sixth Avenue in Lower Manhattan on that fateful September morning watching in horror as the towers crumbled before my eyes, I knew all our lives would change. I just never could have predicted the trajectory my own life would take.

Soon after 9/11, I found that my membership in "The White Club" had been revoked. I was now a minority, which, truthfully, was not something I wanted to be.

I'm not saying being a white person in America is easy, but being a minority in America is a completely different kind of challenge, for the simple reason that as a minority you aren't only responsible for yourself, you are also called to answer for the sins of the worst in your minority group.

In time I began to embrace my Arab roots. I soon decided to use my comedy, whenever possible, to counter the misconceptions my fellow Americans harbored about Arabs and Muslims.

Now, 10 years after 9/11, I have grown accustomed to and even enjoy my minority status. But I do have a grave concern: I have never witnessed more anti-Muslim rhetoric espoused by politicians, religious leaders and in media outlets than I do today. Not even in the days after 9/11.

There was a time in our nation's history when if you wanted to demonize a religion or race, you had to wear a white sheet over your head. Not any longer. Indeed, peddlers of hate wouldn't want to cover their face because they want people to know who they are so they can sell more books, secure more well paying speaking engagements, and appear more often on television. (I'm looking at you Fox News!)

But I'm fully confident this will pass. In fact, I have already observed encouraging signs.

Recently, the nonprofit Southern Poverty Law Center, an organization created in 1971 to expose the activities of hate groups, listed leaders of the Muslim hate movement in the same league as The Aryan Terror Brigade, the American Nazi Party, and the Ku Klux Klan. Thankfully, this begins the marginalization of these Muslim hate groups to the fringes of American society where they justly belong.

More interfaith alliances between Muslims, Christians and Jews have been formed. In fact, American Catholic.org's national magazine features a cover story this month designed to dispel misconceptions about Islam and bring Catholics and Muslims closer together. (Some forget that right-wing Americans had alleged that Catholics and democracy could not exist together and that a Catholic candidate for president -- John F. Kennedy -- would, if elected, follow the directives of the pope, not the U.S. Constitution.)

This week, the national Jewish Daily Forward published an editorial entitled, "Remember Who We Are," imploring Jewish Americans to reject the extremist voices of hate that target American Muslims and specifically called on, by name, the few Jewish people involved in the Muslim hate movement to stop.

We must stand together today as Americans, just as we did in 2001 after the attacks. We cannot allow those who promote hate, either here or abroad, to divide our nation.

As then presidential candidate John F. Kennedy cautioned America in 1960 while defending himself against anti-Catholic attacks: "Today, I may be the victim, but tomorrow it may be you -- until the whole fabric of our harmonious society is ripped apart."

The opinions expressed in this commentary are solely those of Dean Obeidallah.

@highlight

Dean Obeidallah says he grew up an American in Jersey with Muslim dad, Catholic mom

@highlight

He says after September 11 he found others now saw him as a suspicious Muslim

@highlight

He says hate groups profit from anti-Muslim speech, but they are starting to be marginalized

@highlight

Obeidallah: On 9/11 in particular we can't allow others to blind us to our commonality