WASHINGTON (CNN) -- Hundreds of thousands of visitors to the National Mall crowded Metro stations around Washington on Tuesday, slowing movement to a crawl after the inauguration of Barack Obama as the 44th president of the United States.

A security tower stands over the crowd that came to watch Barack Obama's inauguration.

"All of our stations are overcrowded," said Lisa Farbstein, spokeswoman for the Washington Metropolitan Area Transit Authority. "It's taking hours for people to get back into the stations."

Police were holding people outside some Metro stations until there was room for them to get in, Farbstein said.

But as evening fell and celebrations moved indoors, observers said crowd flow on the Metro system was smoother, if still an effort in patience.

As of 7 p.m. Tuesday, the Metro had counted 973,285 passenger trips, setting a record with several hours and many miles yet to go.

"Throughout the weekend, we've effectively dealt with record-breaking crowds," said Metro General Manager John Catoe. "By 5 p.m., people had taken nearly 874,000 trips, breaking yesterday's ridership record with nine more hours of service to go."

Monday's 866,681 passenger trips had been the Metro record.

The Metro numbers were just one record-setting tally in a day that lived up to expectations in sheer crowd size alone.

Crowds on the National Mall were so large that the National Park Service began closing portions of it by 9 a.m., three hours before Obama took his oath of office.

A crowd of 1.5 million people packed the Mall for the inauguration, according to an analysis of satellite imagery provided to CNN by IHS Jane's, a leading information provider on defense, international risk and national security.

Officials said the massive security for the event was running smoothly, although there had been what they described as minor miscommunications, such as a Metro station entrance being closed when it was not supposed to be. The crowd was orderly, and there had been no reports of major incidents or concerns.

FBI spokesman Jason Pack said there had been no arrests related to the inauguration so far. FBI and partner agencies investigated about a dozen reports of suspicious incidents or people, but none was anything serious.

About 957 people visited the medical tents on the mall for various first-aid needs.

Some security screening lines ran slowly, officials said, but there had not been any major systemic problems.

Earlier in the day, federal officials were reviewing an unspecified threat to disrupt the inauguration, according to the Department of Homeland Security.

The FBI was investigating two "streams of intelligence" suggesting that Somalia-based terrorist organization Al Shabaab may have been plotting an attack timed to coincide with the event, the FBI and Homeland Security said in a joint threat advisory obtained by CNN.

Security officials made some readjustments to inauguration security as a precaution and did not change the threat level, an administration official said.

The ceremony went off without incident.

Secretary of State Condoleezza Rice designated al-Shabaab, also known as the Mujahedeen Youth Movement, a "Foreign Terrorist Organization" in February.

The State Department calls it "a violent and brutal extremist group with a number of individuals affiliated with al Qaeda. Many of its senior leaders are believed to have trained and fought with al Qaeda in Afghanistan."

Also Tuesday, a false alarm prompted police to temporarily close a 25-mile stretch of the New Jersey Turnpike, authorities said. Investigators had received a tip that a man headed to Washington was threatening the inaugural, but they eventually determined "there is no danger to the public," FBI spokesman J.J. Klaver said.

Two law enforcement sources said the man's mother phoned in a tip to authorities saying her son was traveling in a vehicle containing a bomb.

New Jersey State Police stopped a man in a vehicle on the highway Tuesday afternoon, questioned him and searched his vehicle, several law enforcement sources said.

Officials said he never posed a threat. It's unclear what, if any, action might be taken against the mother.

Tuesday in Washington, tens of thousands of police officers, federal agents and National Guardsmen were deployed on land, water and in the air in an unprecedented effort to make sure the inauguration was secure.

The security effort involved Secret Service agents; 8,000 police officers from the District of Columbia and other jurisdictions; 10,000 National Guardsmen; about 1,000 FBI personnel; and hundreds of others from the Department of Homeland Security, the National Park Service and U.S. Capitol Police. Another 20,000 members of the National Guard were ready to respond if there was an emergency, said Homeland Security Secretary Michael Chertoff.

Security planners drew up procedures to deal with improvised explosive devices, suicide bombers and the use of a weapon of mass destruction. A recent intelligence assessment, however, said a lone wolf would pose the greatest potential threat. Chertoff said an individual or small group planning to do harm is difficult to detect.

"Whether the motivation is racism or some psychological disorder ... in an open society, it is impossible to keep a single individual from doing some damage," he said.  Watch the anti-sniper detail prepare »

Federal officials acknowledged that the inauguration of the first African-American president could make an attractive target.

Since Obama's election, the number of threats against him has increased, according to a recent federal intelligence assessment.

The FBI has been especially aggressive in examining white supremacist groups. They have ramped up their anti-Obama comments, officials said, but it appears to be more talk than action.

Because inaugural events are spread over four days, security is especially challenging.

Organizers say they started their security planning the day after the last inauguration and ramped up their efforts in July.

CNN's Jeanne Meserve, Pam Benson, Kevin Bohn, Carol Cratty and Rob Frehse contributed to this report.

@highlight

Metro stations packed; some wait hours to get home

@highlight

Possible plot from Somali group; threat level remains same

@highlight

58 agencies are involved in the massive inaugural security effort

@highlight

Because of crowding, parts of National Mall were closed off at 9 a.m.