(CNN) -- The Egyptian capital of Cairo has become the focus of efforts to reach a lasting cease-fire in the 10-day conflict in Gaza. The negotiations are shrouded in secrecy.

But an Israeli delegation was in Cairo on Thursday amid hopes that new life can be breathed into an Egyptian effort unveiled earlier this week.

"The initiative is ongoing and we are in touch with all relevant parties," including the United States, Israel and the Palestinians, an Egyptian official told CNN.

"We hope the Palestinian leaders will accept the initiative for the protection of the Palestinian people," he said before going on to urge Hamas "to stop fire immediately and accept the initiative to avoid further bloodshed."

An Israeli team led by Yoram Cohen -- the head of Israel's domestic security agency Shin Bet -- spent several hours in Cairo, according to Egyptian sources. Israeli officials would not comment on the Israeli envoys' movements.

Hamas also has a delegation in Cairo, even though it officially rejected the Egyptian proposal, and says the talks are continuing.

Osama Hamdan, a Hamas spokesman based in Beirut, told CNN's Wolf Blitzer on Wednesday: "No one is talking against having a cease-fire, but we want a fair cease-fire to protect our own people for a long time, to protect them from the Israeli military attacks, from the siege, from the arrests."

The President of the Palestinian Authority, Mahmoud Abbas, is also involved in the negotiations.

Hamas' demands

Officials close to him echo Egyptian optimism that progress is being made. Nabil Shaath, a member of the PLO's Central Committee, told CNN: "I expect that we will reach an agreement very soon -- a cease-fire that will stop the bloodshed, killing and destruction in Gaza."

"All other matters will be discussed afterwards: Hamas' demands for opening the Gaza crossings, ending the siege and releasing prisoners."

Among the prisoners Hamas wants freed are some who were among about 1,000 who were released as part of the 2011 deal in which captive Israeli soldier Gilad Shalit was also freed, but have since been re-arrested.

"These are all legitimate demands by Hamas, but the priority is for an immediate ceasefire," Shaath told CNN.

Another senior Palestinian official, Saeb Erakat, who is traveling with Abbas, said: "We are trying, along with the UN, to extend the temporary humanitarian ceasefire that took place earlier today [Thursday] on a rolling basis. While there is no plan at this point for a comprehensive ceasefire agreement, but we are trying to extend the current one by another six or 10 hours -- or even several days if possible."

However, the humanitarian pause for five hours Thursday was soon followed by renewed firing in both directions.

Egypt's role

The wording of the original Egyptian plan Monday said that "during the period of the ceasefire....crossings shall be opened and movements of persons and goods shall be facilitated once the security situation becomes stable."

This language and the sequencing are important, because Hamas is demanding the immediate opening of crossings so that food, medical supplies and other essential goods -- as well as the free movement of people -- can begin.

Analysts say Hamas wants and needs to show the people of Gaza that it has won concessions after ten days of bombardment in which more than 200 people have been killed and thousands more have been forced to leave their homes.

One Israeli official told CNN that Israel's military strikes "have been very successful," bringing closer the prospect of what the official called a period of "sustainable quiet." He said there was no such thing as a perfect solution, but that operations in previous years, especially Operation Cast Lead in 2008-09, had been followed by years of relative peace.

The official also suggested that Israel -- with Egypt's help -- was ready to consider reopening the Rafah border crossing, but needed guarantees that tunnels between Egypt and Gaza would not be dug anew. The tunnels have been used for smuggling weapons and material for making rockets.

And he said that the government of Egyptian President Abdel Fattah el-Sisi in Cairo was much more cooperative than that of its predecessor, Mohamed Morsy, in sealing the tunnels.

This would bring Israel closer to its goal of what Prime Minister Benjamin Netanyahu has described as the demilitarization of Gaza.

"We agreed to the Egyptian proposal in order to give an opportunity for the demilitarization of the [Gaza] Strip -- from missiles, from rockets and from tunnels -- through diplomatic means," he said Tuesday.

Observers say that for Israel, allowing the Egyptians a diplomatic triumph in brokering a deal would be a small price to pay for close coordination in preventing Hamas from replenishing its armory.

Israeli officials say they believe Hamas is isolated diplomatically and in the Arab world, and are encouraged by the absence of protests across the Arab world in support of Hamas.

Other efforts

The Egyptian initiative is not the only game in town, with President Abbas due to travel to Turkey on Friday, according to Shaath.

Diplomats say Turkey and Qatar have been working on a different formula for a cease-fire, with Turkish Foreign Minister Ahmet Davutoglu saying he is involved in "intense diplomacy" to reach a truce.

Hamas' political leader Khaled Meshaal --- who lives in Qatar -- also was in Turkey this week.

But Israel is unlikely to give that track the time of day.

Its relations with Turkey are poor, and won't be improved after Turkish Prime Minister Tayyip Erdogan accused Israel of attempting "systematic genocide" of the Palestinian people.

And both Egypt and Israel are wary of Qatar's ambitions in the region, and its close relationship with the Muslim Brotherhood. Some members of the Egyptian Muslim Brotherhood have fled to Qatar since Morsy was ousted as President last year.

Humanitarian cease-fire ends in Gaza

'They went to the beach to play': Deaths of 4 children add to growing toll in Gaza conflict

Mideast crisis: How it's happened and why we should care

CNN's Salma Abdelaziz, Kareem Khadeer and Ali Younes contributed to this report.

@highlight

Cairo is focus of efforts to reach a lasting Gaza cease-fire

@highlight

Egyptian officials express optimism that a deal is near

@highlight

Hamas needs to show Gaza residents that it has won concessions, analysts say

@highlight

Turkey and Qatar working on a different formula for a cease-fire, diplomats say