Milwaukee (CNN) -- While there is a short-term and potential electoral edge in Mitt Romney's selection of Paul Ryan as his running mate, it is politically risky and violates what should be the guiding principle in choosing a vice-presidential nominee: "First, do no harm." In the end, the choice may do more harm than good.

The son of a lawyer, Ryan was born and raised in Janesville, a city in the southern Wisconsin. His working-class credentials include driving an Oscar Mayer wiener truck.

Ryan's rise in state politics began improbably in 1998 when at the age of 28 he handily won the open seat contest for Wisconsin's 1st Congressional District in what was an otherwise disastrous year for the Republican Party.

Opinion: Paul Ryan and Gen X GOP

There is no doubt that Ryan is charismatic, resilient and sharp. When he was a teenager, his father, like his grandfather and great-grandfather, died of a heart attack in his 50s. As a result, Ryan has shown a consistent dedication to physical health. In early mornings in Washington, he leads lawmakers through regimented workouts. The man is driven.

His swift ascent in the nation's capital as one of the most promising young leaders of the GOP was cemented in part by his highly touted "Path to Prosperity" budget plan.

But in his home state, it is not clear how much Wisconsinites know about him since he has never held statewide office.

As Romney slightly trails Obama in Wisconsin, perhaps Ryan could improve Romney's chance of winning over the voters. A survey of Wisconsin voters from the middle of July tested the impact of adding Ryan to the ticket and found that doing so would cut a six-point Obama lead to just a one-point lead.

It's hard to predict the overall statewide impact on Election Day. Wisconsin is not a solidly Democratic or Republican state; it is a sharply divided, very middle-of-the-road part of the country. Democratic candidates have carried Wisconsin — sometimes by the slimmest of margins — since 1988.

Historically, it isn't clear that the choice of a vice president matters very much at all. It seems significant when the decision is made, but the top of the ticket is what voters care about.

The things that make people like or dislike Romney — their own partisan and ideological predispositions, their perceptions of economic conditions, their level of satisfaction with the direction of the country — are likely to also determine how they feel about Ryan. The impact of the Ryan pick -- whether positive or negative as we will soon find out -- will only be worth a few points in either direction on the national stage.

Given how close the election is, any major decisions made by either of the campaigns could be decisive.

One of the upsides of the Ryan pick is that it changes the campaign narrative. Romney has been taking a beating in the last few weeks. He desperately needs to shift attention in a new direction. Since the choice of a conservative firebrand like Ryan will be viewed as a daring choice, Romney may see a temporary boost to his campaign.

Unquestionably, Ryan will help Romney solidify support with staunch members of the GOP. Most of them would have supported Romney in the end regardless, but Romney wanted to assure them that he is reliable and ideologically aligned to the Republican base.

Opinion: Ryan will shift the campaign dynamic

But a serious downside to a Romney-Ryan ticket may be Ryan's specific policy ideas. Widely lauded in conservative circles, Ryan's budget plan will become front and center in the campaign. This is especially true for the fundamental restructuring of Medicare as proposed in the plan. Medicare and Social Security are typically viewed as the "third rail" of American politics, and presidential candidates have historically shied away from proposing sweeping changes to these programs.

By choosing Ryan, Romney all but guaranteed that these hot-button issues would become fodder for the Obama campaign, which will present a contrasting vision of entitlement programs for Americans. It's treacherous waters to step into.

Romney has come clean about his conservative loyalties in selecting Ryan. It is worth keeping in mind, however, that this election will probably be determined by factors that have little to do with the vice presidential candidates.

The opinions expressed in this commentary are solely those of Thomas M. Holbrook.

@highlight

Thomas Holbrook: It's not certain how much Paul Ryan can help Mitt Romney

@highlight

Holbrook: In his home state, most Wisconsinites don't really know him

@highlight

He says Democratic candidates have carried Wisconsin since 1988

@highlight

Holbrook: Ryan's budget plan will push Romney's campaign to address thorny issues