(CNN) -- Despite the election cycle rhetoric surrounding immigration, which would make it seem like the rest of the world is swarming across U.S. borders like ants to a picnic, gobbling up our resources, the reality is quite different.

There are a number of myths that we must dispel in order to forge a sound policy, or else we risk our own potential downfall in the long run.

The first myth is that America continues to be a nation of immigrants. The second is that everyone who is thinking of emigrating wants to come to the U.S. Next is the idea that we beat the competition in attracting the best and brightest immigrants. Lastly is the belief that immigrants end up as a burden on our economy.

All of these false notions shape public perception and reaction to immigration reform. If we are to succeed in the next century, we need to base our decisions on facts.

While America at one point had a huge influx of immigrants, today the picture is quite different. According to the 2010 U.S. Census, the number of immigrants is almost four times what it was 100 years ago. But if we look at it as a percentage of the total U.S. population, we see that it is about 13%, which is not an all-time high.

As recently as 20 years ago, America was the premier destination of all aspiring immigrants. Today, this is no longer the case. As a percentage of population, Canada and Australia both have significantly higher rates of foreign-born residents than the U.S., at approximately 20% and 26% respectively. In fact, America's rate of foreign-born population -- about 13% -- is now on par with those of France and Germany.

America also no longer draws the smartest people from around the world. Compared with countries like Canada, New Zealand and Australia, the U.S. has a greater proportion of low-skilled rather than high-skilled immigrants. About 30% of immigrants in the U.S. possess a low level of education, and only 35% possess a high level of education. In Canada, only 22% of immigrants have a low level of education, while more than 46% have a high level of education.

Countries like Canada attract a greater influx of immigrants with higher education levels and specialized skills through immigration policies that specifically favor visa applicants with advanced degrees or work experience. In contrast, U.S. policies place more emphasis on family relationships and less consideration on skills or education levels when granting permanent residence.

Perhaps the most persistent modern immigration myth is that immigrants are a drain on our economy, which is simply not true.

Taxes paid by immigrants and their children -- both legal and illegal -- exceed the costs of the services they use. A 2007 report from the White House Council of Economic Advisers concluded that immigration as a whole increases the U.S. GDP by roughly $37 billion each year. A cost estimate by the Congressional Budget Office in 2007 found that a path to legalization for unauthorized immigrants would increase federal revenues by $48 billion but would incur only $23 billion of increased costs from public services, producing a surplus of $25 billion for government coffers. And according to a Social Security Administration Trustees report, increases in immigration have improved Social Security's finances.

The consensus of the economic analysis is that the taxes paid by immigrants and their descendants exceed the benefits they receive.

Even with undocumented immigrants, the Internal Revenue Service estimates that they paid almost $50 billion in federal taxes between 1996 to 2003, including payroll and Social Security (about $8.5 billion per year), property (directly or as part of rental payments) and sales taxes.

Nonetheless, about 40% of undocumented immigrants (PDF) currently work off the books and consequently pay lower taxes. But if we look at their purchasing power, we find that undocumented immigrants sustain hundreds of thousand of U.S. jobs. One study estimates (PDF) that Latino buying power totaled $951 billion in 2008 and will increase to $1.4 trillion by 2013. Asian buying power totaled $509.1 billion in 2008 and is expected to increase to $752.3 billion by 2013.

Countries such as Canada and Australia realized earlier that immigration policy is intrinsically linked to their economic success.

Where U.S. immigration policy attempts to address economic realities is in the H1-B visa classification for highly skilled workers. However, the caps, quotas and numbers don't really work. Ten weeks after the application filing period opened for H1-B visas for fiscal year 2013, U.S. Citizenship and Immigration Services had reached the statutory cap.

Many American companies are struggling to fill 3.6 million job openings in the U.S., many of them in science- and technology-related fields. The cap stifles economic growth for 10 months until the next H1-B visa application filing period begins.

"The continued failure to devise and implement a sound and sustainable immigration policy threatens to weaken America's economy, to jeopardize its diplomacy, and to imperil its national security," concludes a Council on Foreign Relations Independent Task Force report co-chaired by former Florida Gov. Jeb Bush and former Clinton White House Chief of Staff Thomas McLarty.

Just as a teenager grows up and dismisses the simplistic views espoused in the fairy tales of childhood, so too must we as a nation face the reality that we are no longer the world leader in welcoming talent. We still have a good chance in regaining the monopoly of what made our nation so great in the first place: a clustering of the best and the brightest from around the world.

The opinions expressed in this commentary are solely those of Fariborz Ghadar.

@highlight

Fariborz Ghadar: Three myths about immigration must be ignored

@highlight

Ghadar: Contrary to beliefs, immigrants contribute to our country; they are not a burden

@highlight

He says countries like Canada and Australia have policies that promote their economies

@highlight

Ghadar: By changing our immigration policy, we can again attract the best and brightest