(CNN) -- While European carriers are facing turbulent times, some Asian airlines are hoping that a cut-price long-haul model will find a ready market in Asia's growing middle class.

Globally, low-cost carriers have been the industry's success story over the past decade, with their market share rising from 8% of all seats sold in 2001 to nearly 26% this year, according to the Centre for Aviation.

Budget airlines have largely focused on short- to medium-haul routes, with their success in winning passengers through low fares forcing many full-service "legacy carriers" to launch their own low-cost options in response.

Efforts to apply the low-cost model to longer-haul travel -- most notably on trans-Atlantic routes -- have repeatedly met with failure, as witnessed in the collapse of Laker Airways in 1982, and Zoom Airlines in 2008.

But now, in Asia, an increasing number of operators are beginning to offer long-haul air travel for low fares, opening a new frontier in the fiercely competitive aviation market.

See also: Singapore stopover: Make the most of your travel time

Singapore Airlines' budget offering, Scoot, will begin operations later this year, joining Malaysia's AirAsia X and Australia's Jetstar, a Qantas subsidiary, in flying long-haul in the region. Scoot plans to fly to five destinations in Australia, Japan and China in its first year, before targeting other routes. Cebu Pacific, a budget carrier from the Philippines, will enter the market next year with a long-haul service targeting the Filipino Diaspora in the Middle East and further afield.

Scoot CEO Campbell Wilson told CNN's Richard Quest that the low-cost market was rapidly growing in Asia. "In eight years in Singapore, it's gone from nothing to about 25% of Changi's (Airport) throughput. There's a market that wants to travel no frills and wants to travel further afield."

Wilson denied that Scoot would simply cannibalize Singapore Airlines' existing customers, saying it was targeted to appeal to a separate, price-conscious customer base oriented towards leisure travel.

"I believe there's a whole market that doesn't even consider some airlines because of their positioning in the market, because of the perceived expense of flying, and because of the bells and whistles that they might not want," he said.

But some have questioned the viability of low-cost long-haul as a business model. Scoot's launch will come on the back of news that AirAsia X is pulling out of its long-haul routes to Europe, after three years of flying into London and one year into Paris.

AirAsia X CEO Asran Osman-Rani told Quest that the decision was due to specific issues with the European market, rather than with the low-cost long-haul model itself.

"That's unfortunately the reality of where Europe is today," he said. "What we've seen over the second half of 2011 was that the number of Europeans in our passengers were steadily declining as a reflection of the economic situation. People were more worried about jobs, and leisure travel becomes one of the first things that gets cut back."

AirAsia X has subsequently announced it will suspend its services to Christchurch, New Zealand, from the end of May -- a decision it blamed on the spiralling cost of jet fuel. But Osman-Rani said the airline had proven low-cost long-haul worked in markets like China and Australia.

"I think there's nothing structurally wrong with the model," Osman-Rani added. "I think it can work."

Andrew Cowen, managing partner of Mango Aviation, an advisory firm specializing in low-cost airline start-ups, agrees.

He said Asia was a logical market for long-haul budget carriers to succeed, as a natural outgrowth of the low-cost short-haul carriers that had proliferated in the region in response to deregulation of the aviation industry.

"You've got an emerging and growing middle class in Asia, with increasing aspiration and ability to travel," said Cowen. "It's also an extremely price-conscious market."

He did not believe that the lack of service and legroom provided by budget airlines would necessarily be a fatal turn-off for customers facing a 10-hour long-haul flight -- as long as the fares were low enough.

See also: Business Traveller in Singapore

"No entertainment? You can solve it by having your own iPad or PSP. Free food on a flag carrier, or buy it yourself on a low-cost carrier? It's not an issue. Most of us will have a bite to eat at the airport and can purchase something extra on board if necessary," he said. "Besides, in economy class on the flag carriers there's not a lot of leg room to begin with."

Cowen added that low-cost carriers could pack up to 25% extra passenger seats in their aircraft, and also had a "big advantage" in not facing the substantial infrastructure costs borne by the legacy carriers, who were being forced to get into the low-cost sector themselves. "They've realized if they don't, they're going to lose the market anyway," he said.

Cannibalization needn't be a problem, according to Cowen. The success of a budget carrier like Jetstar in operating alongside its full-service counterpart Qantas shows how the two brands could collaborate to serve different segments of the market without poaching each other's customers. "All of us don't drive a Mercedes Benz and all of us don't drive a Volkswagen Golf," he said.

He predicted that Asia's four budget long-haul carriers would all succeed in the market. And, in a prediction likely to be welcomed by travelers the world over, he said that other low-cost, long-haul carriers were likely to follow in Asia, and in other regions when market conditions were right.

"I think we're going to see a lot more low-cost long-haul coming into the market," he said. "It's only a matter of time."

@highlight

Four budget airlines in Asia will be flying long-haul routes by 2013

@highlight

Skeptics doubt that the low-cost, long-haul model will work

@highlight

But backers say the formula is already proving successful, and will spread elsewhere