Los Angeles, California (CNN) -- The miners who survived 69 days in a Chilean mine toured Hollywood and Sunset Boulevard in two double-decker buses Thursday evening, receiving cheers and a hero's welcome from passersby in the the street.

The miners serenaded anyone who would listen.

"Chi-chi-chi!"

"Le-le-le!"

"We the miners of Chile!" they sang in unison.

Some people from the street and even a rooftop sang "Chile!" in return.

The 33 miners, along with relatives and five of their rescuers, landed in Los Angeles earlier in the day Thursday for their

first group tour to the United States since being freed last month.

The group is in the nation's second-largest city to attend "CNN Heroes: An All-Star Tribute," which will air worldwide on

Thanksgiving evening, November 25. Organizers invited them as special guests.

The Los Angeles police department gave the miners' two-bus entourage a motorcycle escort from Los Angeles International Airport to a downtown hotel.

Los Angeles Mayor Antonio Villaraigosa greeted the group at the hotel with the traditional Spanish saying of "mi casa es su casa," or "my house is your house."

"The entire world was watching the success of your rescue," Villaraigosa told the group.

Later, the miners, rescuers and their relatives ventured outside the hotel for the first time and found a TV news helicopter and local news stations filming them as they boarded two double-decker buses.

The entourage visited Hollywood landmarks such as the Walk of Fame stars on Hollywood Boulevard, including one belonging to Elvis Presley.

It was an appropriate pilgrimage because miner Edison Pena had led sing-alongs to Elvis music to lift the spirits of fellow miners during the dark ordeal. In fact, he had asked for the music to be sent down into the mine as rescuers drilled a bigger hole to pull the miners out of the ground.

"He is the king, he is the best," Pena, 34, said, as he posed for photographs beside Elvis' star on Hollywood Boulevard. "The sweetest of dreams."

The entourage strolled outside the landmark Capitol Records building, built to resemble a stack of records on a turntable. They walked to the heart of the Hollywood noir district, at Hollywood and Vine Boulevards, which is enjoying a construction boom.

They also toured Beverly Hills and its Rodeo Drive boutique district. Bus guides also showed them the grand business concourse of Wilshire Boulevard. Throughout the sightseeing, the miners, wives and relatives took photographs on their cameras or smartphones.

Shortly after their arrival at the hotel Thursday morning, the miner known as "the poet" was freewheeling in the hallway with the other miner known as "Super Mario."

"Where can we go dancing?" shouted Mario Sepulveda, 40, the Chilean miner whose exuberant personality earned him the super nickname.

He and Victor Zamora, 34, the miner-poet, were expressing the collective excitement of the miners, rescuers and their families.

For the majority of the visitors, the trip was their first time outside of Chile. At the top of their to-do list, besides resting after a 12-hour flight from Santiago, Chile, was shopping.

"I want to go to the mall and buy some shoes for my son and daughter," said Katty Valdivia, 40, the wife of Sepulveda.

For miner Juan Carlos Aguilar, 49, and wife Cristy Coronado, 40, the visit was a double celebration -- because they experienced the birth of their first grandchild, Emily Sofia Studer, born Wednesday.

When Aguilar was trapped in the mine for 69 days, his wife was concerned whether the ordeal would be too much of a strain on her pregnant 17-year-old daughter, Damaris.

"We were really worried," Coronado said, speaking in Spanish as did his colleagues. "My daughter was far into her pregnancy and we were all consumed with what could happen. For those 69 days, we were a separated family."

The miner-poet Zamora said he overcame the gloom of entrapment by doing something he had never done before: write poetry.

He wrote 32 poems -- about his wife, mother, son, relatives, friends. He left copies of his verse at home and was unable to share his poetry.

"I never wrote before," Zamora said. "It was a way of keeping me from suffering inside the mine. I wrote about feelings and how people were suffering on the outside and how they would ever rescue us."

Like some other miners, he readily offered up his autographs to anyone wanting to meet him. "The Poet," he wrote in Spanish near his name.

Monica Araya, the wife of Florencio Avalos, the first miner who was pulled out of the ground last month, described the 69 days of waiting and wondering as one of her worst experiences.

"It was bad, really bad," said Araya. "I couldn't believe it. I was worried about his life, but I believed they would all survive because I had faith and hope."

She has since noticed a few different things about herself and husband.

"We have changed," Araya said. "We are more sentimental, and we enjoy more what moments we have together."

Before arriving in Los Angeles, the group made a brief stopover at Hartsfield-Jackson International Airport in Atlanta, Georgia, where the miners signed flags. One signed "Corazon de Minero," which means "heart of a miner."

When miner Richard Villarroell prepared to board the plane in Santiago, Chile, on Wednesday night, the 27-year-old said he has only traveled to Argentina.

"I want to see the world," he said, smiling. "I know all of Chile, but not the rest of the world."

Villarroell, a mechanic, worked at the San Jose mine for two years. His girlfriend was pregnant while he was trapped.

The miners captured the world's imagination when they survived the longest mine entrapment in history, beginning August 5.

For more than two weeks, many officials thought they were dead. But crews made contact after a small borehole enabled communication with the men trapped 2,300 feet underground.

Rescue crews encountered repeated setbacks. Initially, authorities expected the miners to be trapped until Thanksgiving or Christmas because of the difficulty of drilling a new tunnel to extract them.

On their U.S. trip, the miners and rescuers will get a whirlwind tour of southern California. They'll see the sights and shop in Los Angeles and Hollywood through the weekend.

The visit is a world away from the miners' experience in the weeks after the mine collapse that trapped them. In the days before they made contact with the ground, some ate about a bottle cap's worth of canned fish per day and drank mine water that tasted like machine oil. They have said they were prepared to die, even as they awaited their rescue.

The miners and rescuers were invited by CNN to attend "Heroes," an annual program now in its fourth year that shines a light on "everyday people changing the world."

The Chileans were extended the invitation because their plight and rescue captured the world's attention and symbolized the resilience of the human spirit.

CNN Heroes received 10,000 nominations from more than 100 countries. That list was narrowed down to the Top 10 CNN Heroes.

The Hero of the Year will be revealed on the show; the public votes to select that winner.

"The heroic efforts of the rescue of these miners was one of the most unifying and inspirational events of the year," said Jim Walton, president of CNN Worldwide.

"CNN Heroes is a fitting way for CNN to honor these men and their rescuers," he said. "We hope viewers around the world will be heartened by the story of their rescue as well as the stories of this year's top 10 CNN Heroes."'

The miners' imprisonment began when a ramp into the San Jose mine -- located in the arid Atacama region of northern Chile -- collapsed.

Shift foreman Luis Urzua told the men that they had a shot of surviving the catastrophe, but there was a good chance they would never again see daylight.

The men occupied themselves by voting on everything, including how food should be distributed. Majority rule prevailed -- 17 votes plus one -- but the miners often managed to find common ground and most decisions were unanimous.

Everyone had a task. No one was left alone. And they became masters of compromise and patience, even as their rations quickly began running out.

CNN's Alec Miran and Lonzo Cook contributed to this report.

@highlight

NEW: Miners and their relatives sing "We the miners of Chile" from double-decker buses

@highlight

One miner became a poet while underground just to survive gloom

@highlight

A miner's wife feared the ordeal would be too much on her pregnant 17-year-old daughter

@highlight

But the daughter gave birth to a girl this week, the first grandchild