(CNN) -- Since 2001, there have been many excellent, award-winning and ground-breaking films, both narrative and documentary, about the wars in Iraq and Afghanistan.

"The Hurt Locker," "Taxi to the Dark Side," "Control Room," "Occupation: Dreamland," "Gunner Palace," "Why We Fight," "Body of War," "Ghosts of Abu Ghraib," "No End in Sight," "Restrepo," "The Prisoner: Or How I Planned To Kill Tony Blair," "Stop-Loss" and so on.

All of these films have their place. Many are exceptional, moving and award-winning pieces of work, but of those that I have seen, none pack the visceral, emotional and artistic wallop that Danfung Dennis' documentary "Hell and Back Again" delivers, and all without any politics whatsoever. There's nothing, not one word of whether the United States should be fighting these wars, why we're there or who's to blame. This is an intimate film about then-25-year-old Marine Sgt. Nathan Harris, his wife (and high school sweetheart) Ashley and the personal cost of war.

It is also an astonishing technical achievement in war journalism and documentary filmmaking that may very possibly change the way conflicts are reported forever.

Dennis designed and built a customized Steadicam rig (a device that enables a filmmaker to move over an uneven surface without the camera bouncing up and down), allowing him to shoot footage that looks "Hollywood," but was shot with a "prosumer" Canon 5D Mark II digital SLR: Basically a still camera that shoots HD video. Along with a customized sound rig, Dennis was able to shoot intimate war footage that until now has been impossible.

The combat footage is, however, only part of the story. Six months into his third tour of duty in Iraq and Afghanistan, and just days from rotating out, Harris (Echo Company, 2nd Battalion, 8th Marine Regiment) is gravely wounded during a Taliban ambush. His hip and leg are broken, and blood transfusions and multiple surgeries are required to save his life.

Dennis was embedded with Echo Company when it was dropped deep behind enemy lines, and as an embedded reporter, he did his job, filming the troops in combat and interacting with Afghan locals.

During his time with the troops, Dennis got to know Harris, and after he was wounded, Dennis rejoined him in North Carolina and continued filming there. As the film moves back and forth between Afghanistan and North Carolina, where Nathan is undergoing rehab for his injuries, it becomes painfully clear that the hell of war doesn't end when troops return home. And after watching the film, it's unclear whether the "hell" of the title is Afghanistan or back home.

Harris' injuries are horrific, and he's on multiple medications. In an early scene, his wife is driving the pair on a shopping trip and he's going through his meds (OxyContin, Dilaudid, etc.). It's a pharmacy of addictive painkillers. Later in the film, one of Harris' doctors explains the process of weaning him off the drugs, including withdrawal and the risk of dependency. It's clear that Harris doesn't want to have to use the drugs forever, as he continuously complains of being nauseated and out of it, but he is also is just as clearly becoming dependent on them.

In Afghanistan, life is chaotic and dangerous and terrifying, but it is also, on one level, very simple. Troops are there to do one main thing: kill bad guys. (An early shot of a Marine instructor telling his charges that they are "experts in the application of violence" is chilling.) However, once a Marine returns home, the frustrations of everyday life can be crippling.

For example, looking for a space in a crowded mall parking lot can be irritating enough as an everyday experience, but to a Marine recently returned from a war zone, this and many other mundane annoyances can be extremely frustrating, trivial and ultimately useless. Add to that a body full of pain and medications, and you have the makings of a difficult re-entry into life on the home front.

With injuries as severe as Harris', it's virtually impossible to avoid getting hooked on pain pills. Not only does the injury cause pain, but the brutal physical therapy that is needed to regain maximum usage of his leg is excruciating. The differences between the strong, vigorous and professional leader in Afghanistan and the severely injured, angry, depressed, dependent and occasionally almost childlike man at home is shocking.

One chilling scene involves Harris relating his mindset when he first joined the Marines: "All I wanted to do was kill people." He was told by the recruiters that was the best answer they'd heard. He says he no longer thinks that way, but it's clear that the Marines and the wars have had a serious effect on his psyche, as he is rarely seen in the film without a handgun, nervously loading and unloading it, pretending to play Russian roulette and even sleeping with it, loaded, under his mattress.

An additional casualty of the war is his wife, Ashley. Portrayed as loyal and loving, it's clear that at times, she is scared for, and occasionally of, her husband. War and his injuries have changed him, and in one unsettling scene, she recounts how there are times when Harris basically becomes a different person.

Friday marks the 10th anniversary of the start of the war in Afghanistan, and if this film does anything, it reminds us that the cost of war extends far beyond those who die in battle. The returning troops and those to whom they return are also casualties, and they deserve our care and attention.

"Hell and Back Again" opened in New York on Wednesday and rolls out in major cities across the country over the coming weeks. Check the movie's website for the release schedule.

The film is rated R. As one would expect, it contains a fair amount of off-color language as well as some brutal imagery. But this is a documentary, and war is ugly.

@highlight

"Hell and Back Again" is a documentary that follows the life of a young Marine

@highlight

A reporter embedded with Echo Company was dropped behind enemy lines in Afghanistan

@highlight

The Marine's injuries are horrific, and the film deals with his coping