Washington (CNN) -- Old mental health records for the chief suspect in the 2001 anthrax attacks suggest Bruce Ivins should have been prevented from holding a job at a U.S. Army research facility in Maryland, according to a report from a panel of behavioral experts commissioned by the Department of Justice.

"The psychiatric records were quite eye-opening," said Gregory Saathoff, the lead author of the report. "The criminal behaviors involved a strong component of revenge," he added, "that he claimed he had engaged in as well as planned to engage in" in documented interviews with psychiatrists dating back to the 1970s.

Ivins was accused by the FBI of allegedly being behind the mailings of anthrax that killed five people in 2001. Ivins, who knew he was under suspicion, committed suicide in 2008 before any charges were filed against him.

The report "does support the Department of Justice's determination that he was responsible," including that he had the capacity, the opportunity and the motivation to carry out the attacks.

His psychiatric records apparently were not reviewed in 1980 by the U.S. Army Medical Research Institute of Infectious Diseases when it granted security clearances that led to his being hired as a government microbiologist, the report says.

But it wasn't because of privacy law that his problems were not immediately brought to light.

"He had signed waivers prior to his employment that his records could be made available," Saathoff said, "but to our knowledge those records were never accessed."

Authorities looking for a suspect in the anthrax mailings also missed the troubled picture of mental health.

"This information had been deemed confidential during Dr. Ivins' lifetime," Saathoff noted, "accessible only to his medical providers, and off-limits to investigators" looking into the deadly anthrax case.

Moreover, based on its findings, the report says Ivins was able to omit and distort details of his mental health throughout his career at Fort Detrick, Maryland, "in a manner that enabled him to evade real scrutiny."

The pattern continued through 2008, when "he was displaying behaviors that were of great concern," Saathoff said, but were not acted upon by Ivins' supervisors.

Outwardly, "Ivins projected a persona of benign eccentricity," a summary says, but "portrayed himself as a far more dangerous person" in meetings with a psychiatrist about a year before he was hired, the summary says.

The report, entitled "The Amerithrax Case," was released Wednesday through the Research Strategies Network, a nonprofit think tank based in Charlottesville, Virginia.

At a briefing for reporters in Washington, one of the co-authors, Ronald Schouten, a medical doctor with a specialty in psychiatry, said "there've been vast improvements," in the process of checking someone's background for jobs in national security and critical materials.

But, he said, when a person has received counseling for mental health issues, it's up to the provider to know what importance to place on disclosure of their analysis.

Schouten said as part of a background check, "if you speak to treating clinicians and say that this person's job involves national security issues, involves a clearance, involves working with dangerous agents, WMD (weapons of mass destruction), you'll get a different level of response."

The report includes a list of personnel security recommendations based on what it called the "extraordinary" anthrax case.

The report, completed in August, took five months to prepare in response to a request by the U.S. Department of Justice. Probing into otherwise confidential medical records was authorized by a sealed order in 2009 from U.S. District Court chief Judge Royce Lamberth.

The report had remained under seal until this month, and only a redacted version was revealed Wednesday. Censored details include information that could identify friends, co-workers and mental health professionals who encountered and counseled Ivins during his career.

Last month, the National Academy of Sciences issued a report and concluded that using the available scientific evidence "it is not possible to reach a definitive conclusion" about the source of the anthrax used in the 2001 anthrax letter attacks.

The panel said the anthrax used in mailings was the Ames strain Bacillus anthracis, and spores from those letters shared "a number of genetic similarities" with spores in Ivins' flask. But the findings say the FBI did not fully explore other possible explanations for those similarities.

Last month, the National Academy of Sciences issued a report that supported the FBI's scientific basis linking Ivins to the form of anthrax used in the attacks.

Wednesday's report noted "Dr. Ivins acknowledged that he was the sole custodian of the "RMR-1029" flask that held the anthrax" mailed to targets in the media and Congress. Postal workers who handled the contaminated letters were among the 22 people infected. There were five fatalities.

@highlight

Scientist hired at Army research site without full background check

@highlight

Experts say suspect had "revenge" motive in 2001 bioterrorism that killed five

@highlight

Bruce Ivins committed suicide in 2008