(CNN) -- Rainforest covers 60 percent of Indonesia, yet this developing country is among the world's highest carbon emitters.

The reason: it has one of the world's fastest rates of deforestation, mainly for palm oil production. As trees are felled, the carbon stored in them and the soil is released into the atmosphere.

The United Nations Environment Program estimated that between 2003 and 2006, deforestation and forest degradation reached 1.17 million hectares per year.

Louis Verchot, a leading climate scientist, in Indonesia to measure carbon emissions through deforestation, illustrated the problem.

"Around us here we have a very young oil palm plantation and around the oil palms you can see the stumps of the trees, this area was probably logged between three and five years ago," he said.

"We're trying to understand how this change from forest through degradation to oil palm affects the emission of greenhouse gases."

But there is a solution, in the form of the United Nations program Reducing Emissions from Deforestation (REDD, which has Indonesia as one of its pilot countries. Through REDD, Norway has pledged to give Indonesia up to one billion dollars if it can prove a reduction in its emissions and halt deforestation.

As part of its new commitments, in January 2011 Indonesia begins a two-year ban on any new clearing of forests.

Agus Purnomo, National Council on Climate Change, Indonesia, said: "If you are living in area where there are no other economic activities you are bound to cut the trees.

"But if there are other economic activities which will be created by this financial assistance then the local communities, the local companies and the local governments will be able to continue their economic development activities without damaging the forests."

However, there is one group that has yet to be convinced, and that is Indonesia's indigenous population.

Untung Abdullah, a spokesman for the Orang Rimba people, whose forest homeland has all but disappeared and who are now living in a state-controlled park, said: "The forest is very important for the Orang Rimba. We're born in the forest. The huge woods are our home.

"We want the government to provide us with a reserve area so we can manage the land by ourselves and not break government regulations."

Mina Setra, of AMAN, the Indigenous People's Alliance, added: "Indigenous peoples in Indonesia have experienced massive encroachment of their land and territories.

"When their territories change into something else that they don't understand like oil palm plantations it really has a big impact on their livelihoods.

"For us forests belong to us because they are in our territories. We existed before Indonesia exists, before our country exists."

Purnomo knows he must win over these objections if the ban on deforestation is to be a success.

He said: "What I say to them is let's give this initiative the benefit of the doubt. If they just want to sit back and protest we will only be able to deliver partial success.

"We can build both economic benefits to local people today, while preserving the livelihood with the same high quality of life for future generations. We could really make this breakthrough a reality."

Verchot, too, is optimistic the policy can be a success. He is trying to measure the emissions caused by a change from forest to palm oil plantations to give solid data on Indonesia's carbon emissions.

"I think we're at a turning point," said Verchot. "A lot has changed but we're not quite there yet.

"Scientifically, technically we can do this -- there's not a problem that resources and a little bit of time can't solve. But there are problems I think that require still more changes in political will to push us over the finish line."

Purnomo added: "It should be a no-brainer for decision-makers of the world to choose working on reducing emissions in Indonesia, because it delivers three things instead of one: it reduces emissions; it alleviates poverty and it conserves biological diversity.

"Why is it so difficult? Let's make it happen."

Catriona Davies contributed to this report

@highlight

Deforestation reached 1.17 million hectares per year, between 2003 and 2006

@highlight

The U.N. program, Reducing Emissions from Deforestation, has Indonesia as one of its pilot countries

@highlight

In January 2011, Indonesia begins a two-year ban on any new clearing of forests