(CNN) -- I'm crossing the Damaraland desert of northern Namibia on foot -- a few hundred kilometers -- clutching my "bear banger."

This device looks like a pen and fits in my pocket.

Triggered, it will explode with a loud bang, scaring animals without harming them.

I'm with my guide, Lloyd Camp, on the trail of the elusive black rhino in one of the few truly wild places left in the world.

"The worst thing we could do is to run away from an animal -- we'll be finished," Lloyd warns me.

Tragedy of the rhino

Driven to the brink of extinction, the black rhino's story is one of the most tragic wildlife crimes.

Due to poaching, 92% of the population has been wiped out over the past 30 years, and there are now just 5,055 left in the world.

These numbers are an improvement, however, from the lowest point of 2,500 in the 1980s and are thanks to conservation efforts and, perhaps surprisingly, tourism.

Firstly, in the early 1980s, Save the Rhino Trust (SRT) was formed to offer poachers a more secure livelihood as wildlife rangers.

In 2003, SRT partnered with Wilderness Safaris, an eco-tourism operator.

Their common vision was to view the rhino discreetly.

By accommodating tourists willing to pay money to track rhinos on foot, they provided employment for locals and income for monitoring and research.

After 30 years of work and 10 years of responsible tourism, rhino numbers increased fivefold.

Desert tracking

Damaraland is now home to the largest concentration of black rhino on Earth.

The green crowns of ana trees dot the brown palette of the landscape, carrying thick, curled reddish brown fruits that desert elephants love.

Hours-old footprints of a bull elephant give us our first tracking opportunity.

We eventually catch up to him as he's eating from the thorny branches of an ana tree.

Waves of emotions rush through me as we stop and stand still.

He knows we're here. The encounter has begun.

"He's not bothered by us," Lloyd whispers to me. "It's a respectful sighting, the type that I really enjoy."

The next day at 6 a.m. the rangers and I leave Wilderness Safaris' Desert Rhino Camp.

After an hour's drive we see fresh rhino tracks on a riverbed and follow on foot.

Tracking soon becomes difficult, as there are no footsteps anymore, just rocks that have been moved.

Finding them is an exercise in mindfulness.

Tracking epitomizes abilities that humans have almost completely lost: to read the landscape and be aware of its smallest details.

As they walk, the rangers wave their hands as if in an ancient dance: open hands, palm forward, indicating each track or to inform others of a new direction.

Nobody talks, just a gentle whistle to attract attention.

Then we find fresh dung.

One of the rangers, Martin Nawaseb, squats to check its temperature. It's still hot.

Feeling close, we increase our pace and come to view a riverbed.

The rhino is there, grazing.

He raises his head toward us; he knows something's up.

Keeping ourselves at a distance, we sit in silence and enjoy the tranquil landscape.

Martin writes down the GPS position in his logbook.

Tracking is an effective way to understand animal behavior.

The importance of pride

Rangers in Damaraland are proud of their job and the community looks up at people like Martin.

"Poaching is essentially not an issue anymore in Namibia because conservation efforts put local communities at the center," says Jeff Muntifering, a scientific advisor at SRT.

"It's become socially unacceptable; poachers are viewed as stealing from the community."

He says in Mozambique it's the opposite: poachers crossing the border to kill animals in South Africa are considered Robin Hoods, risking their lives to bring back to the community the little money paid by international syndicates trading in illegal ivory.

How to keep it going

While examples like STR in Namibia and tourism ventures such as the Rhino Desert Camp are the success stories of conservation, their effectiveness is being threatened again by a recent surge in poaching.

Fueled by a growing demand for rhino horn in Asia, 1,004 rhino were killed in 2013, up from 668 killed in 2012 and just 13 killed in 2007.

In response to these alarming figures, 46 countries agreed in London earlier this year on a declaration to tackle wildlife crimes.

The hope is that this is the turning point for the fight against poaching.

@highlight

Poaching has wiped out 92% of black rhino population in the last 30 years

@highlight

Conservation agencies have partnered with eco-tourism operators

@highlight

Tourists can track rhino on foot with professional guides

@highlight

Rhino numbers have increased but are under threat again from recent surge in poaching