London, England (CNN) -- On Friday in London's Trafalgar Square, 5,000 members of the public were served a free hot curry, free apple juice and an array of fresh groceries.

The lunchtime feast, dished up by volunteers -- including the Bishop of London and the Mayor of London, Boris Johnson and -- was made entirely from ingredients that otherwise would have been wasted, such as fresh but cosmetically imperfect "wonky" fruit and vegetables that fail to meet the supermarkets' strict cosmetic standards.

The event demonstrated how easy it is to reduce the unimaginable levels of food waste both in the UK and internationally, and how governments, businesses and individuals can all help to change the way waste has become rife in our globalized food chain.

Putting on an event of this scale has involved hundreds of volunteers and numerous partner organizations and charities. Before the event, over 300 volunteers have given their time to wash, peel, chop, cook and serve the delicious curry.

The ingredients themselves have been sourced from farmers who donated several tons of vegetables and fruit. During the event, FoodCycle, a charity which serves up community meals made from surplus food, put on cookery demonstrations in the Field Kitchen led by popular British chefs.

Tons more food donated by farmers was passed on to FareShare, a food redistribution charity that feeds vulnerable people who may not otherwise eat a square meal. In addition, around a ton of surplus apples was delivered to Trafalgar Square so that passersby can press them to make fresh juice. Friends of the Earth brought along four pigs to eat the leftover apple pulp.

Feeding 5,000 people is a challenge, but according to my calculations, if we could hypothetically save all the food wasted across the UK on any one day, there would be enough to feed 60 million people (i.e., the entire nation) and still leave some over for tea-time.

The aim of these activities is to demonstrate that everybody can gain by tackling food waste. The food we buy and eat is part of an international food supply chain.

In straitened times it becomes ever more important to address the chronic problem of wastage in food production on farms, in factories, in supermarkets, restaurants, and in homes all across the world. Saving food really does help alleviate hunger, in rich countries as in poor ones.

Tackling food waste is also good for the environment. In my book, Waste: the Global Food Scandal (2009), I calculated that 10% of all greenhouse gas emissions come from producing food that no-one eats. Waste has become so endemic to food production, that we now take for granted attitudes and practices that our ancestors would be appalled by.

For example, until 10 years ago, pigs in Europe were often raised on a diet of food scraps. Today, however, European livestock is raised on a diet of soya imported from South America. Soya is expensive for farmers, and its cultivation contributes to the destruction of the Amazon rainforest. Because pigs fed on specially-grown soya no longer eat waste food, this creates the further problem of how to dispose of food waste.

Food currently sent to landfill, for example, decomposes into methane, a greenhouse gas 21 times more potent than carbon dioxide.

The answer, as the event on Friday aimed to demonstrate, is to bring common-sense back into the food chain: eat what you can, redistribute what you can't, feed food not fit for humans to pigs, and only then turn to other waste solutions, such as composting or anaerobic digestion. We, the public, have the responsibility, and the power, to demand change.

80% of consumers in the UK want businesses to cut food waste, and Feeding the 5000 is urging everyone around the world to sign the pledge calling on food businesses, governments and citizens to stop wasting so much food.

Food businesses, restaurants and retailers are being urged to sign up to the Feeding the 5000 Pledge and commit to tackling waste. We all have a role in ending the global food waste scandal.

The opinions in this piece are solely those of Tristram Stuart.

@highlight

Central London event aims to feed 5000 people using food normally considered to be waste

@highlight

Edible food is often thrown away by businesses, restaurants and retailers

@highlight

Food sent to landfill decomposes into methane, which is 21 times more potent than carbon dioxide