(CNN) -- More than half a century of hostility between the United States and Cuba has done nothing to diminish the island's love of America's national pastime.

So it came as no surprise Wednesday when Major League Baseball tweeted that it was "closely monitoring" President Barack Obama's historic plans to normalize diplomatic relations with Cuba and ease economic restrictions on the nation.

"While there are not sufficient details to make a realistic evaluation, we will continue to track this significant issue, and we will keep our Clubs informed if this different direction may impact the manner in which they conduct business on issues related to Cuba," MLB said in the statement.

But observers say don't expect an immediate influx of Cuban talent in the big leagues. Not yet, at least.

When the 2014 season opened, 19 players born in Cuba were listed on MLB rosters.

The island nation was third after the Dominican Republic with 83 players born there and Venezuela with 59. For Cuba, the 19 players was a record high and surpassed the record set in 2013 with 15 players.

"Year after year, an ideological and economic barrier hardened between our two countries," Obama told the nation. "Meanwhile, the Cuban exile community in the United States made enormous contributions to our country, in politics, in business, culture and sports."

Take recent arrival Jose Abreu, the 27-year-old Cienfuegos-born first baseman for the Chicago White Sox. Abreu was voted the American League Rookie of the Year this season, batting .317 with 36 home runs, 107 RBI and .581 slugging percentage.

And there's Yoenis Cespedes, 29, the shotgun-armed leftfielder with the Detroit Tigers, who batted .260 with 22 homers and 100 RBI; Los Angeles Dodgers rightfielder Yasiel Puig, 24, who hit .296 with 16 home runs and 69 RBI; and Cincinnati Reds closer Aroldis Chapman, 26, who posted 36 saves with 106 strikeouts, a 2.00 ERA and brushed back batters with 100-mph fastballs.

"This could absolutely have an impact on the game," Doug Eldridge, managing partner and sports agent at the DLE Agency, said of the change in Cuba policy. "There is such a strong Hispanic presence in the MLB and some of the biggest stars in today's game are Cuban."

Bells ring in Havana, anger erupts in Miami

For decades, Cuban players who dreamed of playing in MLB had to defect from the island. Some left their squads while traveling abroad with a national team, but others risked their lives by depending on smugglers to get them out. Many settled in third countries to avoid the MLB amateur draft and make the most money as free agents.

Puig's harrowing escape -- which included hiking through crocodile-infested waters and being held captive by a Mexican trafficking ring that threatened to cut off his arm -- was chronicled by ESPN the Magazine and Los Angeles magazine. A significant shift in U.S. policy could eliminate such perils.

"To say it's a dangerous and shady process is probably an understatement," Eldrige said. "This could be a more diplomatic approach to becoming a free agent in MLB."

But it's unlikely that Cuba will allow MLB teams to do what the league has long done in the Dominican Republic, where team-sponsored baseball academies recruit and groom prospects from an early age.

For a long time, Cuba has considered players who defected traitors. The government is very proud and protective of the homegrown talent it identifies at an early age in state-run baseball academies.

Some observers believe Cuba is more likely to adopt a system similar to Japan, where MLB teams pay the player's team for the right to negotiate and sign him. In this case, the player's team would be the Cuban government. That way, the island keeps control of players and pumps a portion of their contracts into Cuba's faltering economy.

9 questions you were embarrassed to ask about the Cuban embargo

Cuba recently started to allow baseball stars to sign with Japanese baseball teams. The government has been in talks with Mexican teams about similar arrangements. The players' contracts and salaries are tightly controlled by the Cuban state.

"The athletes that are able to leave the country now are finished products," said Robert Boland, a professor of sports management at New York University. "They create bidding wars among the teams. If players were free to move and play, we will probably see more ... coming into the market."

Ben Badler, a writer for Baseball America, tweeted: "Cuba's already leasing players to Japan, tried with Mexico. Small change compared to what they would making selling stars to MLB teams."

But arrangements such as those with Japan are unlikely as long as the decades-old U.S. economic embargo against Cuba remains in place.

Ted Henken, a Cuba expert at New York's Baruch College, said the apparent thawing of relations increases the prospects for Cuban talent in the big leagues, "but a lot more must change both in Cuba and the U.S. for that to happen."

CNN's Kathryn Vasel contributed to this report.

@highlight

MLB is "closely monitoring" Washington's plans to normalize diplomatic relations with Havana

@highlight

But don't expect an immediate influx of Cuban talent in the big leagues

@highlight

When 2014 season opened, 19 players who were born in Cuba were on rosters