Kiev, Ukraine (CNN) -- Ukraine's Prime Minister called Tuesday for a peaceful resolution to the actions that have targeted his government in recent days.

"We are open to dialogue, we are ready to discuss with peaceful demonstrators all terms of our agreements," Mykola Azarov told parliament here shortly after opposition lawmakers failed to garner the 226 votes they would have needed to bring down his government.

Azarov said he was extending his hand to the opposition, but warned that he was working from a position of strength. "If we find a fist, I say frankly, we have enough forces," he said, according to a government website.

Azarov said the government is supported by most Ukrainians, who want the government to restore order "and continue the course to democratic transformation, to European integration. In this we are united with those honest demonstrators who came on the squares."

"Talk is cheap," said Mustafa Nayem, a protest organizer and journalist, in an interview with CNN International. Citing the use of force by the government against peaceful demonstrators, he said, "Now, I don't think that the people will accept this government."

Opposition leaders Vitaly Klitschko and Arseniy Yatsenyuk called on President Viktor Yanukovych to sack the Prime Minister and his government by executive order. Klitschko, who gained fame as a boxer, vowed that the opposition would make sure their demands were met. Among those demands were for someone to be held responsible for the violence against the demonstrators, he said.

"It's not enough to tell just 'sorry,' it happens,'" Klitschko told CNN's Christiane Amanpour. "How many times do we have to listen to that?"

As he spoke, thousands of protesters remained in the streets, undeterred by the freezing weather and demanding new elections.

They took to the streets and plunged the nation into crisis after Kiev's last-minute decision not to sign a political and trade agreement with the European Union.

Protests gain strength

Over the weekend, tens of thousands of protesters descended on the capital's Independence Square to voice their anger, and demonstrations continued Monday, when they blocked the government's main headquarters with trash bins and containers, preventing employees from going to work.

Many set up tents and remained in the square, waving flags and chanting against the government in the biggest protests in Ukraine since the 2004 Orange Revolution -- a populist movement that booted Yanukovych, then Prime Minister, from office.

"The protests will go on until the opposition finds a way to solve this," protester Sergey Vysotsky, 24, told CNN. "My guess is that they won't go back to their homes until they accomplish what they came here for."

Their numbers swelled Tuesday, with one group remaining in the square and another marching toward the President's administration building after the vote.

"If they are not following the will of the nation, they are illegitimate," said demonstrator Yehven Buleha. "We need to create our own government and introduce our order, our right to vote."

The protests have been largely peaceful, though violence flared Sunday when demonstrators using a bulldozer were met with stun guns and tear gas as they tried to push through barricades at the President's administration building.

That night, police chased and beat protesters with batons. Dozens were hurt on both sides.

In a statement, NATO Secretary-General Anders Fogh Rasmussen said the organization condemned the use of violence against the demonstrators and called on all parties to refrain from violence.

"Obviously we fully respect Ukrainian decisions on their alliance affiliations and to which organizations they want to belong or with which organizations they want to cooperate," he said. "But I would expect such decision-making processes to be truly democratic."

In Brussels, U.S. Secretary of State John Kerry said there was "very powerful evidence" that Ukrainians want to be associated with the European Union. "We stand with the vast majority of the Ukrainians who want to see this future for their country," he told reporters.

"They ought to be able to decide who they want to affiliate with, without a bidding war either in personal terms or in national terms but rather, based on the benefits that are available to them and the life that comes with it."

U.S. Assistant Secretary of State Victoria Nuland is to visit Ukraine on Wednesday, he said, adding that he himself was looking forward to visiting the country "when it too gets back on the path of European integration and economic responsibility."

The president of the Organization for Security and Co-operation in Europe, Ranko Krivokapic, said in a statement that he was "deeply concerned" over the violence, in which protesters, police and journalists were hurt.

"As a participating state in the OSCE, Ukraine has committed itself to protect its citizens' right to assemble and protest peacefully," he said. "The world will be watching Ukraine to make sure those rights are safeguarded in the days ahead."

Yanukovych, who departed Ukraine on Tuesday for China, told reporters on Monday that he supports a peaceful resolution to the "questions brought on by our citizens."

But he also warned his opponents: "As for the politicians participating in this, I consider any radicalization of the political process will only have negative consequences."

Azarov has said the government was being blocked from performing its basic functions, which could affect the payment of pensions and salaries. "It's a path leading to nowhere," he said.

Ukraine's central bank said it would seek to maintain financial stability amid the protests. In a video statement, National Bank of Ukraine chairman Ihor Sorkin urged depositors to have confidence in the banking system and not withdraw their savings.

Ukraine's east-west split

Ukraine is split between pro-European regions in the west of the country and a more Russia-oriented east.

At the heart of the protests is Ukraine's about-face after a year of insisting that it would sign a political and trade agreement with the European Union.

The deal, the EU's "Eastern Partnership," was aimed at fostering closer political ties and generating economic growth among the nations of Eastern Europe and the Caucasus, including Ukraine, Moldova, Georgia, Armenia, Azerbaijan and Belarus.

On November 21, Yanukovych's government suspended talks with the EU, angering many Ukrainians.

The agreement with the EU would have opened borders to trade and set the stage for modernization and inclusion, they said.

Chief among Yanukovych's reasons for backpedaling was Russia's opposition to it. Russia threatened its smaller neighbor with trade sanctions and steep gas bills if it forged ahead with an EU deal, but promised deep discounts on natural gas if it were to join the Moscow-led Customs Union instead.

Yanukovych was also facing an EU demand that he was unwilling to meet: Free former Prime Minister Yulia Tymoshenko, his political opponent. The Orange Revolution that swept him from office also swept Tymoshenko to power.

Two years ago, she was found guilty of abuse of office in a Russian gas deal and sentenced to seven years in prison in a case widely seen as politically motivated. Her supporters say she needs to travel abroad for medical treatment.

Russian President Vladimir Putin dismissed the protests Monday, saying they are unrelated to Ukraine's turn away from the European Union. He called them reminiscent of a "pogrom" rather than a revolution and an effort by the opposition to destabilize the government, Russia's state news agency RIA Novosti said.

"These actions are, in my opinion, prepared not in view of current events, but for the 2015 election campaign," Putin said.

Echoes of the Orange Revolution

Yatsenyuk, the leader of the Motherland opposition party, told CNN's Christiane Amanpour on Monday that the demonstrations were "like a legacy of the Orange Revolution."

"Due to the Orange Revolution, people have the spirit of freedom in my country," he said.

The European Union, Yatsenyuk said, had been "very clear" that signing a trade deal would not be an auction.

"You can't sell the country to the European Union or to Russia," he said.

As the crisis worsened, Yanukovych on Monday asked the European Commission to receive a Ukrainian delegation to discuss "some aspects" of the agreement Kiev had been expected to sign, according to a statement from Brussels.

Commission President Jose Manuel Barroso acceded to the request, but noted that the commission was not prepared "to reopen any kind of negotiations."

OPINION: Beware Russia's power play in Ukraine

CNN's Elise Labott and Journalist Victoria Butenko contributed to this report.

@highlight

NEW: "Talk is cheap," says protest organizer

@highlight

Opposition leaders call on the President to sack the Cabinet by executive order

@highlight

Ukrainian opposition fails to topple the government in a no-confidence vote

@highlight

"If we find a fist, I say frankly, we have enough forces," PM Azarov says