Washington (CNN)Judge Jeffrey Sutton doesn't have a lot of company on the appeals courts these days.

Sutton, who sits on the 6th U.S. Circuit Court of Appeals in Cincinnati, penned the only recent appellate court decision to uphold state bans on same-sex marriage. His opinion, issued in November, goes up against an avalanche of judicial rulings striking down such bans.

The split helped pave the way for the U.S. Supreme Court to take up a case on Tuesday that could ultimately decide whether gay and lesbian couples nationwide have a constitutional right to marry. And it provides important insight into the legal arguments that could be made before the court by states seeking to uphold bans at a time when the national sentiment is quickly shifting in favor of same-sex marriage.

"It's an ideal piece of judicial craftsmanship," said Ryan T. Anderson of the Heritage Foundation, who believes that state bans on same-sex marriage are constitutional. Sutton "more or less takes each and every argument that the other side has made, and then one by one by one, he explains why it doesn't work."

Critics call the opinion an outlier and don't believe it will carry much weight, considering the number of courts that have overturned same-sex marriage bans in the nearly two years since the Supreme Court struck down the core of the federal Defense of Marriage Act.

"Judge Sutton's opinion stands alone," said Jon W. Davidson, legal director of Lambda Legal, a gay rights advocacy group.

Sutton, 54, is the former state solicitor for Ohio, where he handled appeals for the state's attorney general. He clerked for Justices Antonin Scalia and Lewis Powell -- Scalia once called Sutton "one of the very best law clerks I ever had."

Appointed to the bench by President George W. Bush, Sutton is considered a conservative jurist with a keen interest in states' rights. Here are the central arguments from his opinion that states seeking to uphold their same-sex marriage bans are expected to echo on Tuesday.

It is "dangerous and demeaning," Sutton wrote, to the citizenry to assume that only judges "can fairly understand" the arguments for and against same-sex marriage.

"Isn't the goal to create a culture in which a majority of citizens dignify and respect the rights of minority groups?" he asked in the opinion joined by Judge Deborah L. Cook, also a Bush appointee.

Critics such as Davidson have roundly condemned such reasoning.

"The people don't get to decide what the Constitution safeguards," Davidson said. "They don't get to vote to violate the Constitution."

Sutton pointed  to the drafters and their views of the 14th Amendment.

"Nobody in this case," he wrote, "argues that the people who adopted the Fourteenth Amendment understood it to require the States to change the definition of marriage."

It's an argument made to enforce the idea that there is no fundamental right to marriage for same-sex couples in the Constitution.

"From the founding of the Republic to 2003, every state defined marriage as a relationship between a man and a woman," he wrote, noting that the "Fourteenth Amendment permits, though does not require, States to define marriage that way."

He said that the same-sex marriage bans rationally advance a legitimate government policy.

"By creating a status (marriage) and by subsidizing it (e.g. with tax-filing privileges and deductions), the States created an incentive for two people who procreate together to stay together for purposes of rearing offspring."

He said that states should not be accused of "irrationality," but only the awareness that same-sex couples don't have children in the same way as couples of the opposite sex.

Sutton pushes back on any suggestion that those who oppose same-sex marriage have negative feelings about gay and lesbian couples. He said that ballot initiatives banning same sex-marriage were not driven by hostility but were passed by "real people who teach our children, create our jobs, and defend our shores."

Gene Schaerr, a Washington appellate lawyer who help to defend Utah's ban on same-sex marriage, calls Sutton's opinion a road map for whoever might write an opinion supporting state bans.

"He's very much willing both in the result and in his analysis to leave the issue to the people without suggesting an answer one way or another," Schaerr said.

But attached to Sutton's opinion was a harsh dissent from a third member of the three-judge panel that heard the case in the 6th Circuit. Judge Martha Craig Daughtrey, a Bill Clinton appointee, dismissed the opinion as an "engrossing TED talk" and a "largely irrelevant discourse on democracy and federalism."

Daughtrey said that Sutton failed to see the plaintiffs as individuals "suffering actual harm."

"These plaintiffs are not political zealots trying to push reform on their fellow citizens, " she wrote, but committed same-sex couples seeking equal status.

Her harshest language was for Sutton's premise that the decision should be left to the democratic process.

"If we in the judiciary do not have the authority, and indeed the responsibility, to right fundamental wrongs left excused by a majority of the electorate, our whole intricate, constitutional system of checks and balances, as well as the oaths to which we swore, prove to be nothing but shams."

@highlight

Avalanche of appellate rulings have struck down state bans on same-sex marriage

@highlight

Judge Jeffrey Sutton is behind only recent appellate decision to uphold such state bans

@highlight

"Judge Sutton's opinion stands alone," says official with gay rights advocacy group