(CNN) -- The U.S. Food and Drug Administration Tuesday ordered the makers of certain antibiotics to add a "black box" label warning -- the FDA's strongest -- to alert patients of possible tendon ruptures and tendonitis.

Cipro is one of the drugs for which the FDA will require a "black box" label warning about tendon problems.

"The new language will strengthen the existing warnings," said Dr. Edward Cox, director of the FDA's Office of Antimicrobial Products.

The FDA is requiring the label warnings and a medication guide for fluoroquinolone drugs, which include Cipro, Levaquin, Avelox, Noroxin and Floxin.

The consumer group Public Citizen asked the FDA in August 2006 to put the "black box" warning on Cipro and other fluoroquinolones, and also to warn doctors. Earlier this year, Public Citizen filed a lawsuit to force the FDA to take those actions.

Public Citizen said Tuesday it was "pleased" with the FDA's order but added "there is still more that the FDA must do."

"The FDA is silent on our request that it also send a warning letter to physicians clearly describing possible adverse reactions, such as tendon pain, so that patients can be switched to alternative treatments before tendons rupture," the group said. "We are troubled that the FDA is not doing everything within its power to prevent more people from needlessly suffering disabling tendon ruptures."

When asked about the lawsuit and why it didn't order the "black box" label warning until now, Cox stressed that the FDA included warning information with the drugs from 2001 until 2004, and updated the information last year.  Dr. Gupta explains more on antibiotic risks »

"There has been ongoing work to update the labeling of the fluoroquinolone drug products," Cox said. "We have been working on this issue and making progress over time."

The companies that make the fluoroquinolone drugs will be required to submit label safety changes and the medication guide within 30 days of receiving the notification from the FDA or provide a reason why they do not believe such labeling changes are necessary, Cox said.

Bayer HealthCare Pharmaceuticals Inc., which holds licenses for Cipro and Avelox, said it would make the changes requested by the FDA but defended the drugs as "well-tolerated and effective in all approved indications." Schering-Plough markets Cipro and Avelox in the United States under agreement with Bayer.

Ortho-McNeil-Janssen Pharmaceuticals, which markets Levaquin in the United States, also said it would abide by the FDA's request.

Merck & Co., the maker of Noroxin, said it, too, would update the drug's label. But Merck noted it has stopped promotion of Noroxin because of the widespread availability of its generic form.

Oscient Pharmaceuticals (Factive), Daiichi Sankyo (Floxin) and Dipomed (Proquin) did not immediately respond to CNN's requests for comment.

The fluoroquinolones drugs can increase the risk of tendonitis and tendon rupture -- which is about 1 in 100,000 -- by three to four times, according to the FDA's Dr. Renata Albrecht.

"This risk is further increased in those over age 60, in kidney, heart, and lung transplant recipients, and with use of concomitant steroid therapy," the FDA said in a statement.

Albrecht said that sometimes patients have no symptoms before they experience a rupture in their tendon -- commonly their Achilles tendon.

"Sometimes it's been reported on the first day of taking a fluoroquinolone ... a sudden snap or popping sound that is tendon rupture with no preceding warning," she said.

Normally, she added, that patients experience some pain or inflammation "a week or two before the patient will rupture."

Public Citizen, founded in 1971 by consumer activist Ralph Nader, said more than 400 cases of tendon rupture and more than 300 cases of tendonitis in patients using fluoroquinolones were reported between November 1997 and December 2007.

"Because only a small fraction of cases are typically reported to the FDA, the actual number of ruptures and other tendon injuries attributable to the antibiotic is much higher," the group said.

The FDA would only say that it has received "hundreds" of reports of tendon problems linked to fluoroquinolones, without being more specific, citing the ongoing lawsuit. But Cox said "the FDA continues to receive a considerable number of reports on tendon adverse effects."

Patients should stop taking fluoroquinolone antibiotics at the first sign of tendon pain, avoid exercise and contact their doctor, the FDA said.

Cox said the FDA would not require companies to send letters to doctors alerting them about the connection between tendon problems and the antibiotics.

"It is possible under REMS [Risk Evaluation and Mitigation Strategy] to ask for a letter [to doctors]," Cox said. "Certainly for sponsors that would choose to go forward with a letter, we'll be happy to work with them."

@highlight

NEW: Consumer group pleased with order but says FDA must do more

@highlight

The FDA ordered its strongest warning to be put on certain antibiotics

@highlight

The "black box" label will alert patients of possible tendon problems

@highlight

Relevant drugs include Cipro, Levaquin, Avelox, Noroxin and Floxin