Editor's note: This story is based on interrogation reports that form part of the prosecution case in the forthcoming trial of six Belgian citizens charged with participation in a terrorist group. Versions of those documents were obtained by CNN from the defense attorney of one of those suspects. The statement by Bryant Vinas was compiled from an interview he gave Belgian prosecutors in March 2009 in New York, and was confirmed by U.S. prosecutors as authentic. The statement by Walid Othmani was given to French investigators, and was authenticated by Belgian prosecutors.

A U.S. military Humvee patrols the volatile Afghan-Pakistan border area earlier this year.

(CNN) -- When Bryant Neal Vinas spoke at length with Belgian prosecutors last March, he provided a fascinating and sometimes frightening insight into al Qaeda's training -- and its agenda.

Vinas is a young American who was arrested in Pakistan late in 2008 after allegedly training with al Qaeda in the Afghan-Pakistan border area.

He was repatriated to the United States and in January pled guilty to charges of conspiracy to murder U.S. nationals, providing material support to a foreign terrorist organization, and receiving military-type training from a foreign terrorist organization.

In notes made by FBI agents of interviews with Vinas, he admits he went to Pakistan to join al Qaeda and kill U.S. troops in Afghanistan.

But the terror group appeared to have other ideas for him. He volunteered to become a suicide bomber but was dissuaded at every turn. Read how al Qaeda is now operating

On Thanksgiving weekend last year, shortly after his arrest, much of the New York mass transit system including Penn Station was put on high alert. According to the Belgian prosecutor's document, Vinas had told al Qaeda's command everything he knew about the system.

In his interview with Belgian prosecutors Vinas stated that he met with several members of a Belgian-French group while training in the tribal areas of Pakistan.

One member of this group, a 25-year-old Frenchman called Walid Othmani, provided French interrogators with an account of his time in Pakistan after being arrested on his return to Europe.

Belgian prosecutors told CNN Othmani has been charged in France with participation in a criminal conspiracy with the aim of preparing a terrorist act. A Belgian legal document detailing his interrogation report was obtained by CNN. Read how the Europeans trained with al Qaeda

Vinas's and Othmani's account of their time in al Qaeda training camps in Pakistan is a playbook of how the terror group survived after 9/11 and continues to operate in the remote hills of Pakistan.

The documents provide an inside view of al Qaeda's organizational structures, training programs, and the protective measures the terrorist organization has taken against increasingly effective U.S. missile strikes.

Arguably, they shed more light on the state of al Qaeda than any previously released into the public domain.

The accounts suggest al Qaeda has shown remarkable adaptability and remains as committed as ever to launching attacks in the West, with mass transit a top target.

They also revealed al Qaeda training programs for new forms of attack, including breaking into residences to carry out targeted assassinations. Read how al Qaeda is adapting

While intelligence officials say intensified U.S. strikes using Predator drones have degraded al Qaeda's capabilities since the end of last year, the accounts suggest that al Qaeda has been able to sustain many of its training operations by confining them to small dwellings in the remote mountains of Waziristan.

Although not able to operate training camps on anything like the scale they did in Afghanistan during the 1990s the wide number of training courses still available to recruits suggests al Qaeda still poses a significant threat. Inside these dwellings bomb-making training appears to have been emphasized, some of it very sophisticated.

While al Qaeda's potential pool of recruits may have shrunk significantly because of a backlash against the terrorist organization in Muslim communities around the world -- due to its targeting of civilians and the fact that so many of its victims have been Muslim -- the insider accounts suggest there is still a significant number of hardcore extremists in the West and in Muslim countries who are willing to join Osama bin Laden's terrorist outfit.

What stands out especially from the accounts is the high degree of initiative and perseverance that the Western recruits had to show to join up with jihadist groups in the mountains on the Pakistan-Afghanistan border.

But Vinas and Othmani's accounts also suggest that al Qaeda may be having leadership problems. While able to find fresh recruits to replace those killed and arrested it seems to have more difficulty replacing senior military trainers and other key operational figures.

A former U.S. government official, specializing in counter-terrorism, commented that the insider accounts suggest the same people are leading training as a decade ago.

The only difference, there are fewer of them. Perhaps those killed or captured are not being replaced.

Recent reports that al Qaeda is moving some operatives out of the tribal areas of Pakistan towards safer placements in Pakistani cities, or to jihadist fronts in other countries such as Yemen and Somalia, may indicate that the pressure from U.S. missile strikes is starting to show.

But the decentralization of al Qaeda's training and their ever closer ties with local Pakistani Taliban, mean it remains extremely difficult to eliminate from the mountains between Afghanistan and Pakistan.

Above all the accounts from Vinas and others show that al Qaeda's training structures have but one goal, another 9/11. Read how al Qaeda is training for a terror spectacular

@highlight

Westerners reveal details of life fighting, training with al Qaeda

@highlight

An American says he passed information on New York transit to al Qaeda

@highlight

They stories tell how the terror group survived and changed after 9/11

@highlight

But it appears al Qaeda's training structures have one goal, another 9/11