(CNN) -- A United States Air Force F-16 Fighting Falcon completes a triple roll in the sky above the largest aerospace and defense show in Asia.

It's followed with an aerial demonstration by the U.S. MV-22B Osprey -- the world's first production tilt-rotor aircraft. It can take off and land like a helicopter, but flies with the range, airspeed and payload of a fixed-wing airplane.

Inside the vast exhibition hall, trade visitors to the biennial Singapore Airshow eye some of the latest global offerings in military technology such as unmanned aerial vehicles, anti-submarine and anti-surface warfare aircraft, fire control radars and infrared counter-measures.

Keen to demonstrate its supremacy in defense and aerospace technology, the United States has more on display than any other country.

"A lot of the bells and whistles, new avionics, and the 21st century equipment -- it all started as industry and showcasing their work," says Col. Marc Caudill, mission commander for the U.S. military forces supporting the airshow.

China's approach

In the same exhibition hall, there's a different approach from China.

Little is known about the extent of China's military capabilities, and so when the country takes part in an airshow, as in Singapore, it attracts attention.

Compared with more than 160 U.S. military and commercial companies represented in Singapore this week, China has 20 exhibitors.

Defense experts say any discussion of China's military capabilities needs to be centered around what's not on display, rather than what is.

The U.S. defense budget is the highest in the world, with IHS Jane's Defence estimating last year's spending at $582.4 billion.

But China's fast-growing economy has also allowed hefty increases in military spending. Its defense budget of $139.2 billion for 2013 is the world's second largest, according to IHS Defence, which provides defense and security analysis.

Couple that with regional disputes escalating in Asia, including China's controversial declaration of an air defense identification zone (ADIZ) in the East China Sea -- and its increased assertiveness in the South China Sea -- and the country is increasingly seen as a major force.

Generals, ministers, bureaucrats

At the Singapore event, manufacturers rub shoulders with high-ranking generals, government ministers and defense bureaucrats from around the world, all eyeing potential deals.

"No one wants this to be seen as an arms bazaar, but on the other hand, it's a good opportunity to position your wares and explain where you fit into the broader strategic context," says Richard Aboulafia, analyst of the Teal Group, which researches the aerospace and defense industry.

The state-owned China National Aero-Technology Import and Export Corporation (CATIC) has one of the show's largest stands out of the Chinese exhibitors.

CATIC's core business is aviation defense -- models on display here include the L-15 advanced jet trainer, the FC-1/JF-17 Thunder fighter aircraft, an attack helicopter, and an unmanned combat aerial vehicle, the Wing Loong.

Competing with the Russians

China is working hard to sell its aircraft overseas, says Wendell Minnick, Asia bureau chief for Defense News.

"They really want to sell the L-15 -- that's a big deal," Minnick says. "They're looking at markets like Africa and South America -- more affordable platforms that compete with the Russians."

But Minnick says China's models on display pale in comparison with those of the U.S.

"These are very simple platforms, including single engine fighters. They wouldn't last long against the Americans but they're not worried about that. You know if they want to go up against the Americans they'll use their air-to-air or surface- to-air missiles and knock out one of our fighter jets."

Acrobatic displays

Missing from the CATIC stand is a model of the fourth-generation, Chinese-made J-10 fighter, the multi-role combat aircraft which, some weeks ago, was expected to take part in the airshow's aerobatic displays, but later inexplicably pulled out.

At the airshow, the U.S. is displaying a mock-up of its fifth-generation F-35 Joint Strike Fighter, but the development of its Chinese equivalents, the J-20 and J-31 stealth fighters, is shrouded in secrecy.

"I think it's less about hardware and more about just posturing," says Richard Aboulafia, analyst of the Teal Group, which researches the aerospace and defense industry.

"The U.S. is extremely transparent, and the West tends to regard military capability as something you slowly develop and then you deploy. And if it comes to it, you use it.

Vision of warfare

"China's deployment of prototypes speaks to a vision of warfare that's completely different from the West."

Richard Bitzinger, senior fellow from the S. Rajaratnam School of International Studies in Singapore and global expert on the Chinese military, agrees.

"I think China has been able to think creatively about how they use what they do have. That's why we're worried about things like their cyber war capabilities or new types of weapons systems like an anti-ship ballistic missile," Bitzinger says.

"It doesn't have to be particularly cutting edge, high-tech, 22nd century stuff, but the fact that [the Chinese] have it, and how they use it, are things that change the rules of the road."

When it comes to China, quantity has a quality all of its own, Bitzinger says.

Military power is about how your equipment stacks up against your likely competitor, he adds.

@highlight

Biennial Singapore Airshow shows off latest in military technology

@highlight

China's offerings attract special attention

@highlight

U.S. jets are considered superior, but China may not be displaying all it has