Australia's environment minister has conceded that years of neglect have contributed to a devastating drop in coral coverage on the Great Barrier Reef along the country's north eastern coast.

A report out Tuesday sounded what Tony Burke referred to as an "alarm bell" on the state of the reef, designated as a World Heritage Area and home up to 3,000 individual reefs and thousands of species of fish and mollusk.

"There's no doubt there's been a level of neglect for decades which if it had been dealt with otherwise we'd be in a much better situation now," Burke told the Australian Broadcasting Corporation.

The report, by the Australian Institute of Marine Science (AIMS) and the University of Wollongong, revealed that the reef had lost half its coral cover in the last 27 years.

Published in the Proceedings of the National Academy of Sciences, the report warned that if current trends continue, that coverage could halve again by 2022.

"Without intervention, the GBR may lose the biodiversity and ecological integrity for which it was listed as a World Heritage Area," it said.

Scientists: To save Great Barrier Reef, kill starfish

Researchers say most of the damage was wrought in recent years by a succession of powerful cyclones. Waves crash down shallow reefs, dislodging pieces of coral that smash against others as they're thrown around by wind-whipped waters.

"An area that has been exposed to the eye of the cyclone can look like a rubble zone shortly after it's passed over. It can be really quite devastating," said Jamie Oliver, a research director with AIMS.

"It's been clearly shown from a number of studies that reefs that have been damaged by cyclones and other conditions can make a reasonably good recovery after 10 to 20 years," he said. "The reef has the ability to regenerate from these impacts; we just need to make sure all the conditions are right for that to happen."

The problem on the Great Barrier Reef, the report says, is that it's facing other threats that are hindering its ability to recover. Run-off from agricultural industry along the Queensland coast has created fertile conditions for the crown-of-thorns starfish, or COTS. While the report attributed 48% of the coral loss to cyclones, 42% was blamed on the starfish, a native species which feeds on coral.  Another 10% was attributed to coral bleaching, which occurs when water becomes too warm.

"The recent frequency and intensity of mass coral bleaching are of major concern and are directly attributable to rising atmospheric greenhouse gases. To date, the GBR has lost fewer corals to bleaching and diseases than many other regions in the world, but bleaching mortality will almost certainly increase in the GBR, given the upward trend in temperatures," the report warned.

"We can't change the weather so storms and bleaching are something that will take a much more concerted action at an international level, however we may be able to do something about crown-of-thorns, either through direct action on the outbreaking populations or by doing things like improving water quality, which has been shown to have a link to causing outbreaks in the first place," Oliver said.

According to researchers at James Cook University, there have been three major outbreaks of COTS since the 1960s and it's believed the start of another one is under way.

"If the current wave moves in a similar way we can expect starfish populations to progress throughout the central GBR over the next 10 years or so," wrote Jon Brodie, a senior principal research officer at JCU on The Conversation website in April.

The current method of dealing with the outbreaks involves divers individually injecting the starfish with poison to kill them off one by one, an approach that researchers concede does not work over large areas.

"It has been shown in other countries that on a large scale attempting to save a reef system over hundreds of kilometers, there are just too many starfish once they're in full outbreaking mode for it to be economically effective," Oliver said.

Instead, research is underway to find new methods to halt their march. Scientists are investigating the possibility of inducing a natural disease in starfish "by injecting them with a nutrient broth that encourages a naturally-occurring pathogenic bacteria," Oliver said.

However he conceded the theory needs much more work before it was a realistic option. Another alternative would be to lure the starfish away from certain areas.

"We know that they respond to chemical cues, it may be possible to use those chemical cues to trap starfish or to move them away from areas of particular sensitivity," he said.

Five years ago, the federal government introduced its Reef Rescue Plan, $200 million program to reduce run-off from cattle grazing and sugarcane farms, which the environment minister said had a "huge impact."

"We've been upgrading their equipment and upgrading their technology and having a massive difference to the impact of how much chemical is going into the ground, and how much runoff as a result, is then going into the reef," Burke told the ABC.

The World Wildlife Fund (WWF) is urging the Australian government to commit even more money -- half a billion dollars over seven years -- to allow the government to meet its own targets of completely eliminating fertilizer run-off by 2020.

"While these findings are deeply disturbing, with the right political will we can stop the march of crown-of-thorns starfish in its tracks and save the reef," said WWF-Australia spokesperson Nick Heath in a statement.

"Sixty thousand jobs in the tourism industry depend on us acting with urgency over the next few years," he added.

The government has said that it's already started work on many of the recommendations contained in the report, and that its findings reinforce the need for action.

"Just as the economics of it are real, it's also true that even if the economics weren't there, we have in the Great Barrier Reef one of the standout assets for the planet and there's massive economic consequences associated with it," Burke said.

"But before you even get to that there's a responsibility that we have in managing it well and this report is a wake up call to anybody who thought we could just let things go as they were," he added.

@highlight

Australian environment minister says report rings alarm bell for Great Barrier Reef

@highlight

Report says half the reef's coral coverage has disappeared in the last 27 years

@highlight

Factors blamed include cyclones, coral bleaching and the crown-of-thorns starfish

@highlight

Starfish outbreaks hinder reef's ability to recover from cyclones