You don't have to be a Soviet wheat farmer to realize that five-year plans aren't much fun.

Unless, that is, you start scheduling in new theme park openings.

A worldwide construction boom is currently underway that will bring in a slew of incredible new rides, slides, sights and frights over the next half-decade.

Stefan Zwanzger, aka the globetrotting Theme Park Guy, has been keeping an eye on what's coming so he can be among the first in line.

Here's his list of the best of attractions of the near future.

Shanghai Disney Resort (China)

Concept: Chinese re-imagining of the classic Disney concepts on vast site close to China's richest city.

Expect state of the art rides and the usual Disney trimmings, but with Chinese gardens and other themes replacing the European and American motifs of earlier parks.

Status: Under construction, due to open December 2015 (read Theme Park Guy's updates).

Zwanzger says: "Almost every decade in the past half-century we've had a new Disneyland somewhere in the world and this is the one for this decade.

"Design-wise it's going to be a bit of an experiment, and I think that is a wise move.

"I am absolutely convinced it's going to be a success because Disney innovates, surprises and invests into attention to detail, you've got more than a billion people in China, and it's still quite inconvenient for Chinese mainland passport holders to travel abroad."

Can't wait: Try Disneyland Hong Kong, Lantau Island, Hong Kong; +852 3550 3369

Dubai Parks (UAE)

Concept: Three parks in one vast area 60 kilometers from Dubai's international airport.

These include a Legoland (the world's seventh), a Bollywood-themed park and Motiongate Dubai (a Hollywood-themed park).

Status: Under construction, scheduled for completion in 2016. (read Theme Park Guy's updates).

Zwanzger says: "This is a revival of the Dubailand idea, with a different developer.

"Dubailand was intended as a massive development with eight, nine or 10 theme parks in the deserts of Dubai. In the end, not one was built.

"Once again, the plan is to create a hub of family entertainment in the Middle East and in Dubai. Alcohol-free, family-orientated fun under the sun.

"If you ask me, it's the perfect fit for the region. It's also a smart move to limit it to three parks in the first phase, rather than 10."

Can't wait: Try Wild Water Wadi, Jumeirah Road, Dubai, United Arab Emirates; +971 4 348 4444

Avatar Land (near Orlando, Florida)

Concept: A park that brings to life Pandora, the blue-peopled planet of James Cameron's sci-fi movie "Avatar."

Avatar Land will sit within Disney's Animal Kingdom.

Status: Under construction, scheduled for opening in 2017 (read Theme Park Guy's updates).

Zwanzger says: "This will be James Cameron's first theme park involvement since the 'Terminator 2: 3-D' ride he directed and designed together with Gary Goddard for Universal Studios.

"Seeing the merciless perfection that comes with a Cameron movie applied to a theme park is really exciting.

"A lot of new technology has been promised for Avatar Land, with the animatronics expected to be more lifelike than anything seen before.

"Combining the talents of Disney Imagineering with James Cameron is going to create something really ambitious and unique."

Can't wait: Try Terminator 2: 3-D at Universal Studios Florida,1000 Universal Studios Plaza, Orlando, Florida; +1 407 363 8000

Universal Studios Beijing (China)

Concept: A reworking of Universal concepts for a Chinese audience that could follow earlier Universal parks in franchising other studio properties such as "Shrek" or "Harry Potter."

Status: After sitting on it for a few years, Universal has just re-announced the project with a fanfare price tag of $3.3 billion. No opening date, but Chinese media reports a 2019 debut (read Theme Park Guy's updates).

Zwanzger says: "Of course, it makes sense for Universal to get into the Chinese market as it did for Disney, and I think it's a great idea to build a park near Beijing.

"There are a lot of theme parks in mainland China, but no international brands operating yet. Disney will be the first and Universal second -- and it's a good idea they won't be in the same city."

Can't wait: Try Happy Valley Beijing, Xiaowujibei Road, Dongsihuan, Chaoyang District, Beijing; +86 10 6738 3333

Universal Studios Moscow (Russia)

Concept: An indoor Universal Studios park complete with retail mall south of Moscow.

Status: Announced in 2012 but as yet no sign of construction (read Theme Park Guy's updates).

Zwanzger says: "There's no theme park in or around Moscow whatsoever.

"For those who haven't been, it's a huge, modern, buzzing London-style metropolis, nothing less. Countless people live and work there, and an indoor entertainment facility for them would make a lot of sense.

"In Russia there's really almost nothing resembling a modern theme park -- the first ever opened in Sochi earlier this year -- and we're talking about a nation of more than 140 million people."

"This is going to be the first of several.

"Apart from Universal, a local developer has tied up with DreamWorks to build three major indoor theme parks in Moscow, St. Petersburg and Yekaterinburg.

"Construction on them is due to commence this or next year."

Can't wait: Try Sochi Park Adventureland, Str. Ostrowski, 23, Sochi , Russia; +7 988 3603868

20th Century Fox World (Genting, Malaysia)

Concept: Mountaintop resort that'll be Fox's first movie-branded theme park with rides expected to relate to popular Fox films including "Ice Age," "Rio," "Alien vs. Predator," "Planet of the Apes" and "Night at the Museum."

Status: Under construction, expected to open 2016 (read Theme Park Guy's updates).

Zwanzger says: "Genting Highlands is home to Malaysia's only casino and part of the complex was an amusement park. It was one of the scariest I've been to as all the rides were in such an abysmal condition.

"They've now demolished the old park and are replacing it with one carrying the Fox brand.

"Fox has never built a movie theme park from scratch although it had a small studio-linked one in Sydney. So this will be a prototype and, it'll be interesting to see how it performs."

Can't wait: Try Sunway Lagoon, 3, Jalan PJS 11/11, 46150 Petaling Jaya, Malaysia; +60 3 56 390 000

Paramount Park London (Kent, UK)

Concept: Details expected imminently, but likely to feature rides and attractions based around Paramount studio properties like "Star Trek" and "Mission Impossible."

Status: Still a few planning hurdles to overcome, but projected to be opening in 2020 (read Theme Park Guy's updates).

Zwanzger says: "A lot of Paramount movie theme parks were announced in the past decade, in China, Korea, Japan, Dubai, Spain. None of them has been built, so this one would be the first of its kind.

"The UK is obviously neither China nor Dubai, so everything will take a bit longer.

"As far as I am aware, consultations are now taking place between the developers and local residents.

"I hope it'll go ahead. I can totally see a major theme park succeeding in the vicinity of London."

Can't wait: Try Parque Warner Madrid, M-301, Km 15.5, 28330 San Martin de la Vega, Madrid, Spain; +34 902 02 41 00

Wanda group (all over China)

Concept: Chinese leisure giant plans string of hugely expensive theme park complexes across China in a bid to challenge Disney and stamp its mark as a major player on the global entertainment industry (read Theme Park Guy's updates).

Status: Several already under construction, including an indoor movie theme park in Wuhan.

Last year Wanda reportedly announced a $5.9 billion theme park for Wuxi, west of Shanghai, that's been seen as a rival to Disneyland. It's said to be one of 10 "cultural cities" that Wanda intends to roll out across China.

Zwanzger says: "Wanda Group's got a huge budget and they're doing to their best to hire whoever they can find to bring major theme park experiences to China.

"There's a lot going on, a lot of talk and construction, but it's hard to see how it will pan out because there's no Wanda theme park in operation right now. We'll see."

Can't wait: Try Fantawild theme parks across China.

Atlantis (Sanya, China)

Concept: An aquatic-themed resort and park on Hainan, a southern Chinese island often compared to Hawaii.

This'll be the third Atlantis, after the Bahamas and Dubai.

Status: Construction not yet underway. Scheduled for completion in 2016 (read Theme Park Guy's updates).

Zwanzger says: "Sanya has a beautiful coastline and it's one of the few places in China where you can get lots of blue sky.

"I can completely see an Atlantis resort and water park succeeding here.

"Hainan is very close to Vietnam, but it's very different to what you get in other parts of Southeast Asia. It's a high-end Dubai-style luxury destination that few people outside of China know about. Yet."

Can't wait: Try Atlantis Paradise Island, 1 Casino Drive, Paradise Island, Bahamas; +1 242 363 3000

IMG Worlds of Adventure (Dubai, UAE)

Concept: Vast indoor theme park with four zones including Cartoon Network and Marvel comic franchises.

Status: In final stages of construction, due to open at end of 2014, but more likely 2015 (read Theme Park Guy's updates).

Zwanzger says: "With a huge number of theme parks opening almost simultaneously in the UAE in the next couple of years, it'll be very interesting to see if they'll be a success or have a hard time attracting the crowds.

"IMG Worlds of Adventure, compared to government-backed Dubai Parks & Resorts, is a family enterprise in conjunction with a huge bank loan.

"It's an expensive undertaking. I have no idea if it'll ever break even."

Can't wait: Try Ferrari World, Yas Island, Abu Dhabi; +971 2 496 8000

@highlight

Construction boom set to bring numerous theme park openings over the next five years

@highlight

China and the UAE lead the theme park building charge with multiple major projects underway

@highlight

Moscow and London also getting their first major branded theme parks