(CNN)Nearly 70 years ago, comic strip detective Dick Tracy showed off his first two-way wrist radio, inspiring baby boomers to babble into their knuckles in pursuit of bad guys like Pruneface and the Mole.  The gadget was updated to a TV phone in 1964, heralding a fantastic future for mobile communications.

A half-century later the future is finally here, with a new wave of Tracy-esque devices certain to accelerate following the much anticipated debut of Apple Watch in April -- which became official with the company's "Spring Forward" preview on Monday.

In classic fashion, consumers huddled around Apple stores to get a peek, some even showing up wearing padded wrist "hoodies" to make room for the watch when it goes on sale next month.   Naturally, Apple faithful were urged on by Tim Cook, who tweeted: "Got some extra rest for today's event.  Slept  in 'til 4:30." Arianna Huffington weighed in on Twitter, too: "Looking forward to a smart watch that tells me not to cram too many things into too few hours."

Analysts project sales of 25 million the first year and nearly 70 million by 2018. Prices for the new watch range from $349 to a reported high of $17,000 for an 18-karat gold version to make any Rolex show-off feel at home.

Enthusiasm for Apple Watch -- and its long line of apps -- could lift the fortunes of Samsung, Sony, Pebble and others pitching their own interactive watches, making the human wrist the most coveted piece of real estate since the redevelopment of Times Square.

If Apple Watch does indeed take off, it would reignite the emerging -- but tricky -- market for wearable devices following Google's sudden move in January to halt public sales of its Glass product, which failed to catch on in light of what the Wall Street Journal said were concerns over "privacy, technical shortcomings and a lack of obvious uses."  The company is going back to its drawing board and hopes to re-introduce Glass later this year.

As the wearables wrist race heats up, it's worth considering how these meta-timepieces -- with their tactile messaging, biometric loops and eye-controlled display screens -- could alter everyday behavior and spur new codes of etiquette, not to mention a few novel personality disorders.

One of the most awaited features of Apple Watch will be its "taptic" engine, a sensory feedback tool derived from gamer joystick technology that allows for personalized tapping vibrations -- a "Yo"-like blip for a work pal or an echo of your own heartbeat captured through an embedded cardio sensor.

Of course, your intended recipients will need their own Apple Watch to "feel" your greeting. Early adopters will have to be extra careful with these taps -- imagine the explaining needed when someone inevitably sends a sonic valentine of their beating heart to their boss, or their child's soccer coach.

Taptic wrist vibes can also carry a purpose -- reminding you to pick up a carton of eggs on your way home from work, or delivering an insistent flick from a client demanding a call-back. Therein lies a brave new response in human conditioning. All of us are accustomed to electronic signals -- an alarm clock in the morning or a pop-up calendar invite on your phone.  But there's something Manchurian Candidate-like about a digital prompt delivered palpably to your wrist. Sure, the watch is a transmitter, but it's the person who's being programmed.

In the not-so-distant future, that driver you see lurching toward the off-ramp or the friend whose face glazes over at lunch could be in the grip of a taptic command from their watch.

As an accessory, smart watches are perfect for new spatial positioning technology, such as Apple's iBeacon, which can triangulate a user's exact location inside a building and allow targeted messaging when deployed in, say, a supermarket.

Wall Street Journal tech columnist Christopher Mims recently extolled the promise of iBeacon synched to your wrist device. He wrote: "Imagine walking into a grocery store with a shopping list on your watch, which knows your location so precisely that it can plot a route through the store, saving you the frustration of wandering from aisle to aisle, wondering where that one particular item is."

That sounds great -- until the day our shopper, now utterly dependent on the beaconing system, discovers in a panic that she left her watch on her bedroom dresser.  "How will I ever find the A-1 sauce?" will come the cry.  You laugh now, but look what's happened to legions of drivers, who can no longer navigate their own cities without relying on GPS.  Look for more pile-ups at the deli counter once users let their watches do their shopping.

The real question is what strategies smart-watch wearers will devise so as not to appear to be staring at their wrists all day.

Anyone who's ever been trapped in an interminable business meeting or on an awkward date knows there are only so many ways you can discreetly glance at your watch before it becomes obvious.  Now, suppose you're trying to follow someone's Instagram or Twitter feed or the score of the Yankees game, or perform any of a myriad functions that phone users have been doing for years, but which might look a little ruder when applied to your wristwatch.

Definitely expect to see more people fiddling with their sleeves, admiring their nails and earnestly cupping their brows with their opposite hand, in order to get a better look at the action on their watch.

Many users may end up simply removing their watches and dropping them in their laps alongside their phones, so they can tap with one hand and swipe with the other. As an unexpected boon to evolution, Apple may soon be responsible for helping humans achieve a new level of ambidexterity, along with super-strong eye muscles.

Of course, a constantly raised wrist puts a strain on the shoulder, which suggests we'll soon be hearing about exercises designed to prevent watch fatigue. Some enterprising type might come up with a fashionable i-sling or support cushion to keep the arm and wrist sufficiently elevated to allow for hours of uninterrupted tapping and finger sketching.

With so many digital features to track personal fitness -- including Apple Watch's "accelerometer," which will measure total body movement, as well as the number of steps and calories burned in a day -- the new wearables aspire to promote extreme wellness.

The flip side is that such constant self-assessment will also lead to an increase in hypochondria and OCD symptoms among many wearers who already went nuts with their Fitbits.

And get ready for a new universal facial expression to emerge on elevators, subways and at the dinner table, as users learn to open their little round retina using just their eyes.  It will be unblinking, mesmerized and Zombie-like, with a hint of chin dribble:  the Smart Watch Stare.  I'm looking forward to practicing my own version.  And if Pruneface is out there listening, I'm coming for you.

@highlight

Allan Ripp: Preview of Apple Watch opens up challenging new world of etiquette, behaviors as people adjust themselves to it

@highlight

From having to find subtle ways to glance at wrist, to relying on watch to guide us around a market, we'll feel like watch programming us