Every year, more than 200,000 African children are born with sickle-cell anemia -- around 150,000 of those in Nigeria.

At the Lagos University Teaching Hospital (LUTH), rows of young women line up inside the antenatal clinic. Many of them suffer from sickle-cell anemia, the world's most common hereditary blood disorder. They are here to see Dr Bosede Afolabi, a specialist practitioner who has dedicated much of her working life to studying the disease and how it affects pregnant women and their babies.

"We have the highest number of people suffering from sickle-cell disease in the world," explains Afolabi, an associate professor of obstetrics and gynecology who consults twice a week at LUTH.

Her mission is to use her knowledge to cut maternal mortality in Nigeria. Around one in four people in the West African country carries the sickle cell gene -- around 40 million people -- and virtually everyone has lost a relative or a close friend to the disease.

Read also: Fighting cancer with cell phones

Sickle-cell anemia, which is also referred to as SS disease, is an inherited form of anemia -- a condition in which there aren't enough healthy red blood cells to carry adequate oxygen throughout the body.

Normally, red blood cells are flexible and round, moving easily through blood vessels. In sickle-cell anemia, however, the red blood cells become rigid and sticky and are shaped like sickles or crescent moons. These irregularly shaped cells can get stuck in small blood vessels, which can slow or block blood flow and oxygen to parts of the body.

Poor blood oxygen levels and blood vessel blockages can result in chronic acute pain syndromes, severe bacterial infections and tissue death, according to the World Health Organization. The sickle-cell trait has a partial protective effect against malaria, and this could explain its high prevalence levels in tropical parts of Africa.

For a child to be born with the condition, both parents must carry a sickle-cell gene, which is passed from one generation to the next. "If somebody with a trait marries another person with a trait, there's an one in four chance that the offspring will have SS," explains Afolabi.

Read also: 'Women will change the world'

At LUTH, she sees patients and passes on her knowledge to duty registrars as well as conducting key research on a disease that affects both women and children before, during and after birth.

"Very few people are doing research in pregnancy in SS women," says Afolabi. "What I'm doing is adding to the body of knowledge that exists and putting on some more, especially since physiological research in pregnancy is not very common.

"It's strange because even ... in the States you do have quite a number of African-Americans that get pregnant with sickle-cell, but the research even from there is not that much at all in pregnancies."

Afolabi says that life expectancy for people with sickle-cell disease is still fairly low -- around late 40s or early 50s. But she is quick to point out that many advances have been made in recent decades.

"Things have changed since the 1940s," she says. "About 40, 50 years ago it wasn't even getting close [to their 50s], so a lot of people weren't even getting pregnant ... because they couldn't live long enough to get pregnant -- a lot of them died in childhood."

Afolabi studied at the Obafemi Awolowo University in Ife before moving to the UK to further her knowledge and gain work experience. She could have stayed in Europe to carve out a successful career but Afolabi decided to go back to Nigeria and help improve things in her home country.

"I just had to come back because I felt that this is where I'm needed, this is where I can make a difference," she says.  "I really love what I do. It can be frustrating because sometimes we have electricity problems ... but the fact that we save so many lives ... because of the work we do, I think that's the most fulfilling thing for a doctor."

Read also: Off-road bikers race to save lives in rural Africa

Afolabi says it can be tough to convince women of the importance of giving birth in a professional healthcare environment.

"We know now that one of the ways we can reduce maternal mortality effectively is by having women deliver in healthcare institutions or at least with skilled healthcare," she says.

Afolabi adds that she's driven by her passion to make pregnancy safer and reduce the stress that women go through while pregnant.

"I would really love the incidents of maternal mortality in my country to be so much more reduced than it is now," she says.

"Because of my work with women with sickle-cell and pregnancy, I would like to get to a stage where, not only would it be that the mortality in pregnancy is zero ... I'd also like to try to find out how to improve the perinatal health as well, the health of their babies so that they would have larger babies and not have so much of mortality," she adds.

"That is a tough call ... to change that around is a feat but I plan to continue to work on it for as long as I can."

@highlight

Dr Bosede Afolabi is a Nigerian helping pregnant women with sickle-cell anemia

@highlight

Every year around 200,000 babies in Africa are born with sickle cell

@highlight

Around one in four Nigerians carries the sickle cell gene