(CNN) -- When the judge's gavel fell, the future had been decided for the two teenagers convicted of rape in Steubenville, Ohio.

Trent Mays, 17, and Ma'lik Richmond, 16, will spend at least a year in a juvenile correctional facility, although authorities could decide to keep them in custody until they turn 21. Both must undergo treatment and will have to register as sex offenders.

For the 16-year-old victim, the next steps aren't so clear.

She was raped last summer at a party; witnesses posted images of the assault on social media. The case has garnered national attention and sparked a conversation about rape in America.

"My family and I are hopeful that we can put this horrible ordeal behind us," the victim's mother said Monday. "We need and deserve to focus on our daughter's future."

Every two minutes, someone in the United States is sexually assaulted, according to the Rape, Abuse and Incest National Network. Every survivor responds differently to rape, says Jennifer Marsh, vice president of victim services for RAINN, the nation's largest anti-sexual-violence organization. Emotions run the gamut from fear to anger to guilt.

"It's such a violent and personal crime," Marsh said. "It's not somebody just breaking into your house. It's somebody assaulting the most private part of you. Having that be public, especially as a minor, can be traumatic."

Victims of sexual assault are three times more likely to suffer from depression and six times more likely to suffer from post-traumatic stress disorder, according to RAINN. Some try to self-medicate with alcohol or drugs. Many have trouble with intimacy and forming trusting relationships.

One of the most common issues survivors face is blaming themselves for the assault, Marsh says. A lot of that has to do with our culture: Marsh says she sees rape cases like the one in Steubenville every day that aren't taken seriously.

"A lot of times, it gets chalked up to, 'Oh, kids will drink, and things will happen,' " she said. "But ... sexual assault is sexual assault. And it doesn't matter if the victim was drinking or using substances. The fact is that something was done to her that she didn't want to be done. And I think that's the conversation we really need to talk about."

The victim in the Steubenville case has endured hostility from the attackers' supporters. Although mainstream media have kept her name private, it's obvious she's well-known in the small Ohio community.

Defense attorneys questioned the victim's character on the stand, asking witnesses about her alcohol consumption that night and what she told them the next morning regarding the assault. They also attempted to bring the victim's past into the trial, but the judge did not allow the line of questioning.

The character attacks weren't over after the verdict was read. Shortly after the trial concluded, two teenage girls were accused of making threats against the victim on Twitter, according to Jefferson County Sheriff Fred Abdalla. One of the girls was charged Tuesday with one misdemeanor count of aggravated menacing for threatening the victim's life.

This kind of personal persecution is a big fear for victims, says Becka Meier, a licensed professional counselor with the Women's Center, a large nonprofit crisis center in Fort Worth, Texas. More than half of sexual assaults are not reported to the police; experts estimate that 97% of rapists don't spend a day in jail.

"When we have a high-profile case that gets reported and we see the victim be re-victimized ... it makes it all the more difficult for victims to come forward," Meier said. "Survivors are faced with that difficult decision: Am I ready and willing to be in a courtroom and face this and talk through all the details again in such a public forum? It's a lot to ask."

Meier says a guilty verdict often offers survivors a sense of validation -- that someone, at least, believes them. "Does it provide closure for a victim? I've never seen it provide closure," she said. "It's just a step in the healing process."

That process never ends, Meier says. Photos of an attack that are posted online can make it even more difficult, acting as triggers to bring back painful memories each time they resurface.

"As hard as they try to delete or erase those images, five, 10, 15 years down the road, they'll be notified that it's popped up again and in some ways they feel like they're reliving that assault," Marsh agreed.

How a victim's support network responds can have a big impact on the long-term recovery for that survivor.

"The first thing that loved ones should do is believe what the victim has said," Marsh said. "Although we know it's natural to try to figure out exactly how this happened, we encourage loved ones to avoid using 'why' questions, because victims often perceive that as blaming them for what happened."

Family and friends should also recognize that each victim needs to recover at his or her own pace, she says. They should provide love and support without forcing them to do something that they're not prepared to do yet.

Survivors can contact RAINN through their National Sexual Assault Hotline or go to online.rainn.org. Many local crisis centers offer individual/family counseling services and support groups.

Rape isn't something survivors get over, Marsh says. But counseling and a solid support system will help them move on.

"Although they may never be able to forget that this happened, it doesn't have to define who they are or the choices that they make."

CNN's Poppy Harlow, Michael Pearson, Brian Vitagliano, Yon Pomrenze, Matt Smith, Steve Almasy and Chelsea J. Carter contributed to this report.

@highlight

Every two minutes, someone in the United States is sexually assaulted

@highlight

Victims of sexual assault suffer from depression, PTSD, intimacy issues

@highlight

Posts on social media can re-victimize survivors, expert says