Sevare, Mali (CNN) -- International backing for French forces battling Islamist militants in Mali gathered momentum Tuesday, as U.S. military aircraft flew French troops and supplies into the African nation and Italy's lawmakers voted to lend support.

The U.S. mission began Monday with two flights and is expected to continue for several days, U.S. Africa Command spokesman Chuck Prichard told CNN from Stuttgart.

U.S. C-17 planes are taking off from southern France loaded with French cargo and dropping it off in the Malian capital, Bamako, he said.

The U.S. support is at the request of the French, who intervened in Mali 11 days ago after a plea for help from its government.

The French are involved in the fight because Mali once was under the country's control, and because Islamists have been threatening to turn the once-peaceful democracy into a haven for international terrorists.

Italy's lower house of parliament approved sending 15 to 24 military instructors who will work alongside the European Union in training Malian forces. It also agreed to provide logistical support to include at least two cargo planes. The time frame for Italy to provide the assistance is not yet decided.

Leaders from several other countries have already offered troops or logistical support. Canada and Britain are deploying military transport aircraft, while Nigeria is set to deploy soldiers as part of the U.N.-mandated African force to fight the insurgents.

Meanwhile, the battle continues to push back rebel forces on the ground.

On the road between Segou and Bamako on Tuesday, a CNN crew saw a large column of French mechanized infantry barreling toward northern Mali.

Dozens of armored fighting vehicles packed with supplies appeared headed for the front line of the battle against Islamist fighters.

On Monday, Malian forces recaptured the central town of Diabaly, as well as the town of Douentza, to the northeast, from al Qaeda-linked rebels.

A spokesman for the Malian military told CNN it had won control of the latter without the aid of French air support.

In his address to the United Nations Tuesday, Secretary-General Ban Ki-moon said "political, security and humanitarian efforts" are needed to meet the challenges faced by Mali.

"Working with African and international partners, we must do our part to help fully restore Mali's constitutional order and territorial integrity," he said.

"Meanwhile, we continue to work toward an integrated strategy for the Sahel region that would address the mix of extremism, poverty, drought and governance challenges that is causing such profound misery and dangerous insecurity."

Sahel is the area along the southern edge of the Sahara.

Monday's military gains for Malian forces came as the government extended the country's state of emergency for another three months.

"This advance by the Malian army toward the cities held by their enemies constitutes a certain military success for the Bamako government and for French forces, who have intervened in support of these operations," French Defense Minister Jean-Yves Le Drian said.

He stated his "total confidence" in French forces in a mission that "aims to restore sovereignty to Mali on its territory and to prevent the risk of the constitution of a terrorist sanctuary in the heart of Africa."

France currently has 2,150 soldiers on Malian soil, with another 1,000 troops supporting the operation from elsewhere, the defense ministry said.

Between 700 and 800 African troops from Benin, Nigeria, Togo and Burkina Faso have arrived in Mali, according to U.S. State Department spokeswoman Victoria Nuland. Senegalese troops and up to 2,000 from Chad are on the way, she said.

Journalists are still barred from traveling into northern Mali, which has been under the control of militant Islamists for several months.

But the CNN crew was able to enter Diabaly on Monday, where it was told by Malian and French forces that Islamists left after they were hit directly in one of their makeshift camps by the French and Malians.

The scene after one battle included burned-out armored vehicles and a truck that at one point belonged to the Islamists.

A Malian officer, Col. Seydou Sogoba, told CNN that the Islamists were using sophisticated weapons like he had never seen before. He believes they originated in Libya.

As the news crew drove into town, the dusty streets in the extremely poor area were mostly empty except for military vehicles and French and Malian troops. Whatever trucks had belonged to the Islamist rebels were bombed and burned out. Destroyed high-caliber weapons were seen in the vehicles.

A French colonel, exhausted from fighting and who wished not to be named, told CNN that foreign fighters -- including some who are Algerian -- had been pushed out of the area.

Sogoba told CNN the fight against the rebels was very hard, but he is focused on "preserving the national integrity" of Mali.

French President Francois Hollande has said that if his country had not intervened, Mali "probably would have fallen into the hands of terrorists."

French involvement began the day after militants said January 10 that they had seized the city of Konna, east of Diabaly in central Mali, and were poised to advance south toward Bamako.

Ethnic Tuaregs who had returned to Mali well-armed from fighting for late Libyan leader Moammar Gadhafi staged a military coup last year against the Malian government. Islamic extremists capitalized on the chaos, carved out a large haven in Mali's north and imposed a strict interpretation of Sharia law. The Islamists banned music, smoking, drinking and watching sports on television. They also destroyed historic tombs and shrines.

Those events stoked fear among global security experts that Mali could become a new hub for terrorism.

Meanwhile, the Norwegian Internal Displacement Monitoring Centre warned that the humanitarian crisis in Mali is worsening.

Because Algeria has closed its borders, people in the north are increasingly heading to the desert, where they will face harsh conditions and struggles over food and water with limited humanitarian assistance, the group said.

"They cannot stay where they are due to the grave insecurity caused by the conflict," said Sebastian Albuja, head of the center's Africa and Americas Department. "Yet the meager resources and the diminished coping abilities of the government and humanitarian actors means that they are faced with limited options."

Many are fleeing on foot because they can't afford boats or buses, Albuja said, and even if they do make it, they get there only to find the roads blocked.

The violence could soon displace up to 700,000 in the country and around the region, said Melissa Fleming, a spokeswoman for the United Nations' refugee agency.

CNN's Nima Elbagir and Ingrid Formanek reported from Mali and Hada Messia from Rome; Laura Smith-Spark wrote and reported in London. Richard Roth contributed from New York.

@highlight

U.S. military planes airlift French troops and equipment to Bamako

@highlight

Italy's parliament approves logistical support and military trainers

@highlight

Dozens of French armored fighting vehicles head toward northern Mali

@highlight

Malian forces recaptured the towns of Diabaly and Douentza on Monday