(CNN) -- There's little question that EDM (electronic dance music) is the fastest-growing musical genre out there. With DJs like Calvin Harris, David Guetta and Tiësto leading the pack, electronic music's popularity has ballooned in the past decade. From festivals to radio airplay, social media and even collaborating with A-list musicians, EDM artists are getting a lot of attention -- and money -- from all over the place.

The numbers don't lie. So far, Forbes' top 10 EDM artists have racked up a combined $268 million this year, an 11% increase from 2013, with top earner Harris bringing in $66 million.

How did this musical genre grow from a small, cult following into this global phenomenon we feel today? How have those who've stuck with it from the beginning grown with it? And where is it going next? To obtain these answers we headed to one of the biggest festivals in the world, TomorrowWorld, to meet up with some of the genre's key players: David Guetta, Tiësto, Steve Aoki, and EDM's newest dynamic duo, Dimitri Vegas and Like Mike.

The origins of EDM

Electronic dance music is not a new genre. In fact, it's been around for more than three decades. David Guetta, whose DJ days began in Paris in the late 80's, recalls how the house/electronic music movement began when the disco era was ending. "There was a movement called 'disco sucks'," he says. "It was a shame to like disco, but then there was no music to dance to, so some DJs started to use old disco records, but the B-sides and the acapellas, and we began producing beats with drum machines."

Simply put, DJs snuck disco music into people's ears.

"I remember buying those records and the label (vinyl sticker)," says Guetta. "(DJs) would use old records and print on top of it, melt it, and print on the top...very low quality, this was super, super underground." In other words, disco music is EDM's ancestor.

"I started in '88 to play House music, it was a huge revolution for me. I went to London and I saw a DJ on stage and that was crazy at the time. I was one of the really respected and famous DJs in Paris, but they would never show me. I was hidden. A DJ on stage and people dancing and facing the DJ, looking at him? I was like 'wow!'" says Guetta, as if still surprised to this day.

A few years later, in the early 90's, in the Netherlands, Tijs Michiel Verwest began his journey to becoming Tiësto. He also started when the genre was completely underground. A trip to Spain, some parties and general love for music got him interested in becoming a DJ. "Back then, first of all, we all played vinyl records, so even when you knew the track, you could not get it. Everything was very exclusive," says Tiësto in his dressing room, 300 meters away from the main stage of TomorrowWorld.

"That's the big difference with nowadays, because when you jam to a track you already know what it is, and then right away you have the song in your phone or your laptop...that was a very magical period because you played a track and people said 'I know this track,' but they still couldn't find it. That was very special," says Tijs, as his staff calls him.

It's hard to pinpoint a date and location to the beginnings of EDM. Some say it began in Germany and London, others make a case that it started in Detroit, in the U.S. For Guetta, both continents played a role, "this is what happened...it was born in the U.S., but the U.K. made it trendy. And it became a massive movement in Europe, but never in the U.S., which is crazy". He later adds, "I think America is always creating the new movement and then the U.K. has this genius of taking this concept and making it accessible to the masses."

From underground to the masses

Recently, Guetta has had mainstream success by collaborating with pop stars like Kelly Rowland, and The Black Eyed Peas, for whom he produced the best-selling single 'I Gotta Feeling' in 2009. Other successful DJs, including likes of Calvin Harris and Avicii, have also found success this way.

"I love collaborating outside of my space," says Steve Aoki, who has worked with artists like will.i.am and Luke Steele. "When I got into the dance culture and started producing the music I kept on thinking how to do something unique or different than what the status quo does."

For EDM, collaborations may have attracted listeners, but the internet and its subsequent components, i.e. social media, apps and music sharing programs, have played essential roles in getting more. Nowadays, in the digital era, success is measured in followers, video hits, downloads, hashtags, tweets, retweets and likes.

"For us it (social media) has played a very big role," says Michael Thivaios of the duo Dimitri Vegas and Like Mike. "We can make a new track and with one click, it'll be spread all over the world. Twenty years ago you had a vinyl, and that vinyl had to go to a distributor, and six months later maybe another country would have the vinyl," adds the other half of the duo, Dimitri Thivaios. "All we did for one year is talk to DJs by Facebook and somehow that got us our first gig. Social media has been the biggest factor in our career."

In Europe and the Americas, mainly, there are an increasing number of electronic music festivals; events that gather people from all over the world and celebrate in unison. The TomorrowWorld festival celebrated outside of Atlanta, Georgia, gathered 160,000 people from 75 countries this year, according to the organizers.

"It's like a theme park for adults," says Thivaios.

Not all genres can brag about selling out festivals with over 150,000 attendees, and do it in a matter of minutes. Sure, some could mention the Bonnaroos and the Coachellas of the world, but they offer musical variety. From pop to rock, rap to indie and even country. EDM festivals offer only EDM.

"When I'm on stage I'm looking out and seeing everyone putting up their flags from hundreds of different countries, representing hundreds of different cultural lifestyles. They're all jumping in unison forming almost like one entity, one spiritual being," adds Aoki, who, besides his music, is known for his selfies with the crowds, riding inflatable rafts, and caking one lucky fan per show.

If you're confused about the latter, it's a Steve Aoki trademark, where he throws a whole cake to someone in the audience. Based on reactions seen from the fans, they love it. "When they get caked in the face, the first thing they do is immediately turn around to make sure that everyone else saw that they got caked, it's a very bizarre thing. People don't get it," says Aoki, full of enthusiasm.

Naturally, EDM was unlikely to become this popular without generating incredible amounts of money. A recent report stated that EDM is a $6.2 billion global industry. Most of the money comes from festivals, Las Vegas club dates and other global club gigs. All this peaked the interest of ad men and the big brands they represent. In fact, some have already made moves and are sponsoring festivals, events, and others have DJs featured in commercials.

Business is good, but is the music getting better?

EDM has been highly criticized. Many see EDM as an art that lost its purity. "It's an evolution. The thing is that, every musical genre starts from the underground, gets trendy, then it becomes popular, and then it dies or it is reinvented in a different way," says Guetta.

Many wonder if EDM is at his highest point. Is this its climax? Or will it end soon, just like Disco did? "They've been asking me that since 1994, 'is it going to end?' I always say I don't know. It keeps evolving, every year something new comes up, and now it's at the highest it ever has been, so now I don't know how much higher and how much better it'll get," says Tiësto.

"It has been more than 20-25 years that this music is existing, so it's already amazing."

@highlight

Electronic dance music (EDM) has become a global phenomenon

@highlight

According to Forbes, the genre's top 10 DJs earned a combined $268 million this year

@highlight

Calvin Harris, who earned $66 million, topped this year's list