(CNN)Last month Wu Rongrong was taken into custody for planning to protest on International Women's Day against sexual harassment in China. Since then, the Chinese authorities have formally detained her and four other activists for "creating disturbances." They also briefly detained some of the activists' supporters, raided a prominent nongovernmental organization that called for their release, and have at points denied some of the women access to medical treatment, lawyers and adequate rest.

The fate of the five will be revealed by April 13, as their case reaches the legal time limit when they must either be released or "formally arrested," which almost always leads to conviction in China's legal system.

The timing of the detentions of China's most inventive women's rights activists is ironic: Not only did they take place on the very day that marks women's achievements and their struggle for equality, but they also come in a year in which Beijing would have won praise for its role in promoting women's rights. It appears poised to adopt its first and long-awaited anti-domestic violence law, which is expected to get a reading before the National People's Congress Standing Committee this summer.

This year also marks the 20th anniversary of the influential Fourth World Conference on Women hosted in Beijing, during which Hillary Clinton famously declared that "women's rights are human rights."

I first met Wu at a conference several years ago, at a time when there were very few women in China's weiquan  or "rights defense" movement. It was common back then for male colleagues to publicly address them  as "babes" or "little sisters,"  even in professional—and ostensibly progressive—settings.  As women's rights activists, Wu and others fight on two fronts: against overt rights violations by the Chinese government and against the wider gender norms that relegate women to second-class citizens.

By the time we met again two years later, Wu and her young "direct-action" feminist colleagues were clearly  off and running.  They staged small, public "performance art" protests that attracted media headlines, energized the more mainstream and academically inclined women's rights movement, and pushed women's rights into the national consciousness and onto the government's agenda.

Wu had an upbringing typical of her times.  She comes from the countryside, which for many has changed beyond recognition within their lifetimes.  In recent decades the economy has soared, but her generation is confronting the unhappy consequences of unchecked growth: pollution, unsafe foods and growing inequality between rich and poor. Like many parents, she worries about how to find untainted milk powder for her infant boy, and whether to keep her child with her in the city or to send him to his grandparents in the countryside for a quieter, safer upbringing.

Many in Wu and her colleagues' generation are clear-eyed about the problems of China's development model, and some want to address those. Wu joined Yirenping, a nonprofit organization that promotes social equality, whether it is between sexes or among people with and without disabilities, and later founded the women's rights organization Hangzhou Women Center.

And it is in Yirenping that she became particularly attuned to the challenges confronting young women in modern China.  Wu and her colleagues have used innovative tactics with a certain shock factor — "occupying" public toilets to show the need for more such conveniences for women, donning blood-spattered wedding gowns to protest domestic violence, shaving their heads to protest against barriers to higher education for women — that raises awareness of gender inequality in ways that resonate, especially with young women in the country.

Perhaps this is what the government finds threatening: that these activists epitomize the spirit of the times. They are young, confident, ready to challenge established norms, and most importantly, they feel responsible for their society and they want to improve it.

As China prepares to mark the anniversary of the Fourth World Conference on Women in September, it will be harder for the authorities to justify detaining these activists. But even if they are released, their work promoting women's rights will have become exponentially more difficult. The women will now be labeled "sensitive" individuals at a time when the authorities are increasingly paranoid about independent groups, their role in fostering nonviolent protests and the overthrow of oppressive governments (known as "color revolutions"), and foreign funding of civil society organizations.

What Wu and her colleagues are now enduring is consistent with a broader government effort to strangle independent activism.  Authorities have harassed and detained an ever expanding list of activists, and imprisoned others, but they have also tried to co-opt some groups by allowing them to provide services the government finds acceptable, so long as they abandon their activism.

This kind of "differentiated management" of nongovernmental organizations — punishing some but co-opting others — may work to neutralize some of the more outspoken groups. But ultimately the desires for change among ordinary people that make Wu and her friends' campaigns so popular are unlikely to be answered through "authoritarian activism" alone.

The Chinese Communist Party now faces a dizzying array of challenges, not least that younger generations do not identify with the party or its values like past generations. Rather than lengthening its list of challenges, the party could resolve some and lessen concerns about its legitimacy by freeing and engaging activists like Wu and her colleagues, rather than treating them as criminals.

@highlight

Maya Wang: 5 women held by China authorities after planning International Women's Day protests on sex harassment remain detained

@highlight

She says in a year when country poised to adopt  anti-domestic violence law, Beijing also sending chilling message on women's activism