Hong Kong (CNN) -- In the third case in the last two weeks, more than 100 passengers aboard a troubled boat required rescue in the waters between Australia and Indonesia.

On Wednesday, Australian authorities plucked 162 passengers from a boat in distress located south of Indonesia. The rescued passengers were taken to Australia's Christmas Island for initial security, health and identity screening. The authorities declined to say whether the people on the rescued boat were seeking asylum.

This followed after a boat capsized near Christmas Island carrying an estimated 200 people seeking asylum on June 22, and another boat accident occurred on June 27. The number of deaths from these accidents are unclear, as authorities did not know how many people had been aboard the vessels. Dozens are believed to have died.

Although it isn't clear whether the most recent incident involved asylum seekers, the issue of possible refugees boarding rickety boats to make the treacherous voyage to Australia has turned into an explosive political issue.

The question for nations is what to do with people seeking help?

The world's wealthiest nations like Australia or the United States are not always the most welcoming for potential refugees.

A United Nations High Commissioner for Refugees report released last year described "a time of rising anti-refugee sentiment in many industrialized" countries.

In Australia, the perception is that, "everyday, we're being flooded by boat people who are cheating the system," said Kon Karapanagiotidis, CEO of Asylum Seeker Resource Centre in Australia.

"They're illegal. They're jumping the queue. Everyday, the news is reporting another boat has arrived and another boat has arrived. It's feeding this idea that we're being flooded."

The number of asylum seekers in Australia and New Zealand decreased by 9% in 2011 compared with the previous year, according to the latest report by UNHCR.

Karapanagiotidis said aslyum seekers have turned into a "political football" and "easy scapegoats" without much understanding of why they embark on such dangerous journeys.

Australia is not alone in grappling with the asylum issue, which is often unpopular and politically divisive.

Read how the Australian Senate voted

Following the Arab Spring, waves of North African asylum seekers journeyed in boats to European nations such as Italy and Malta. This resulted in a 87% increase in asylum requests in the area in 2011 compared with the previous year, according to UNHCR.

In the western hemisphere, vessels carrying Haitian migrants have traveled across to the United States -- one boat sank in the Bahamas, killing at least 11 people in June.

But the notion that most asylum seekers flock to developed, wealthy nations differ from the statistics shown by UNHCR.

Eighty percent of the world's refugees are hosted in developing countries, which the agency described as a "deep imbalance in international support."

Pakistan hosts the most refugees with 1.7 million. The second and third leading countries to host refugees at the end of 2011 were Iran and Syria. The 2011 report is the most recent one available by UNHCR and may not reflect the current crisis in Syria.

The vast majority of refugees remain within their region of origin -- 17% live outside their home region, according to UNHCR.

"Geography does play a big part of it," said Karapanagiotidis, on why asylum seekers ended up in countries like Pakistan and Iran. People are seeking the easiest and quickest escape to countries where "immigration channels are available," he said.

An asylum seeker is a person who wants sanctuary in another country and applies for the right to be recognized as a refugee. A refugee is recognized as a person who was forced to flee his or her country because of persecution, war or violence, according to UNHCR.

Here are more statistics provided by a 2011 report by UNHCR:

Main destinations for new aslyum seekers

1. South Africa (107,000 claims) -- half from Zimbabwe
2. United States of America (76,000)
3. France (52,100) 
4. Germany (45,700)
5. Italy (30,300)

Major refugee-hosting countries

1. Pakistan (1.7 million people)
2. Iran (887,000)
3. Syria (755,400)
4. Germany (571,000)
5. Kenya (566,500)

Major source countries of refugees

1. Afghanistan (2.7 million people)
2. Iraq (1.4 million)
3. Somalia (1.1 million) 
4. Sudan (500,000)
5. Democratic Republic of the Congo (491,500)

Continents where asylum seekers originated from

1. Asia (45%)
2. Africa (27%)
3. Europe (15%)
4. Americas (8%)

@highlight

World's wealthiest nations are not most welcoming to refugees, aslyum seekers

@highlight

80% of the world's refugees are in developing countries, with Pakistan leading

@highlight

Political controversies persist in Australia over what to do with asylum seekers