Washington (CNN) -- President Barack Obama spoke separately Friday with Speaker John Boehner and the top Senate Democrat to try to salvage a fiscal cliff deal by the end of year, after Republican disarray in the U.S. House put the negotiations in limbo.

In a previously unscheduled statement to reporters, Obama outlined a possible agreement that he said would include protecting middle-class Americans from a tax hike, extending unemployment benefits and setting a framework for future deficit reduction steps.

He called on Congress to pass the agreement after a Christmas break so he can sign it before the end of the year, when the fiscal cliff arrives in the form of automatic tax increases and deep spending cuts.

"Laws can only pass with support from Democrats and Republicans," Obama said in urging both sides to compromise.

The president planned to fly with his family to Hawaii on Friday night for the holiday and return to Washington after Christmas, while House and Senate members also headed home with plans to return on December 27 if needed.

Boehner's spokesman said the speaker will be "ready to find a solution that can pass both houses of Congress" when he returns to Washington.

What failure on fiscal deal means for troubled Boehner

While congressional leaders continued to bicker Friday over the next step, the president's phone discussion with Boehner and a White House meeting with Senate Majority Leader Harry Reid signaled an attempt to provide the nation and investors with hope that an agreement can be reached.

An aide to Reid said the short-term proposal to avoid the fiscal cliff should include extending tax cuts for middle-class families and unemployment insurance while delaying the automatic spending cuts set to take effect in the new year.

Obama acknowledged what had become obvious: the broader deficit reduction deal he seeks will likely come in stages, rather than in the so-called grand bargain he and Boehner have been negotiating.

The main issue of disagreement continued to be taxes, specifically whether rates should go up on top income brackets for the wealthiest Americans as part of an agreement to reduce the nation's chronic federal deficits and debt.

Without a deal, the fiscal cliff could trigger a recession, economists warn. Stocks closed down sharply on Friday over the latest impasse in the deficit talks, a sign of investor fears of a slowdown as the nation slowly continued to emerge from recession.

Before leaving town, Boehner puts fiscal cliff onus on Obama

Earlier Friday, Reid called for House Republicans to quickly approve a Senate plan championed by Obama that would extend tax cuts for family income up to $250,000 while allowing rates to return to higher levels of the 1990s above that threshold.

His Republican counterpart, Sen. Mitch McConnell of Kentucky, responded that the Senate should instead take up a House Republican measure extending the tax cuts for everyone as a temporary move before negotiations next year on broader tax reform.

The GOP revulsion over any kind of tax rate increase has stymied deficit negotiations for two years and led to unusual political drama, such as McConnell recently filibustering his own proposal and Thursday night's rebuff by House Republicans of an alternative tax plan pushed by Boehner, their leader.

Boehner said at a news conference Friday that his Republican colleagues refused to back his plan, which would have extended all tax cuts except for income over $1 million, because of fears of being blamed for a tax increase.

"They weren't taking it out on me," he said. "They were dealing with the perception that somebody might accuse them of raising taxes."

The lack of backing by his own caucus was a political blow to Boehner and raised more questions than answers about what happens next in the tough negotiations with Obama on either a broad deficit reduction agreement or a smaller step to avoid the fiscal cliff.

A breakdown of Boehner's miscalculation on Plan B

A senior Democratic Senate source said scenarios under consideration by the party include trying to work out short-term or comprehensive agreements now, or going into next year -- and over the fiscal cliff -- without a deal to quickly pass a compromise plan in the new Congress that convenes on January 3.

Waiting until next year would make the vote a tax cut from the automatic higher rates that will take effect under the fiscal cliff, instead of the current situation of extending some cuts and having top rates go up, the source noted.

In addition, Democrats will have two more seats in the new Senate and a stronger House minority, as well as increased pressure on Republicans to keep taxes low on middle class Americans, according to the source.

Three possible scenarios Democrats may pursue

Trying to hammer out a deal now means working with limited time and stronger Republican contingents in both chambers, the source said.

Boehner made clear Friday that the negotiations with Obama on a broad deficit reduction agreement hit an impasse this week when both sides offered their "bottom line" positions that included major concessions -- but remained a few hundred billion dollars apart.

With his alternative plan torpedoed by his own party, Boehner said it now is time for Obama and Senate Democrats to come up with a solution.

Boehner also denied a reporter's suggestion that he is walking away from further talks, but he offered no timetable or mechanism for resuming discussions.

In the Senate, Reid said all House measures on the fiscal cliff so far have failed to meet the minimum demands of Obama, such as wealthy Americans paying more to prevent an increased burden on middle-class families.

"I like John Boehner, but gee whiz, this is a pretty big political battering that he has taken," Reid said, calling on the speaker to allow a vote on the Senate-passed Obama plan. "It will pass. Democrats will vote for it. Some Republicans will vote for it. That is what we are supposed to do."

On Thursday night, the House passed a measure that would reduce the impact of the fiscal cliff's automatic spending cuts on the military.

However, the chamber then went into recess when it was clear Boehner lacked the votes for his separate tax plan that maintained cut rates on income up to $1 million.

Conservatives opposed to any kind of increase in tax rates refused to sign on, and with Democrats unified in their opposition, the measure had no chance of passing.

Fallout from fiscal cliff inaction

"There was a perception created that that vote last night was going to increase taxes. I disagree with that characterization," Boehner said Friday by way of explanation, adding that "the perception was out there, and a lot of our members did not want to have to deal with it."

Reid had said the Senate would spurn the Boehner plan if it passed the House, and Obama promised to veto it if it reached his desk. According to Republican sources, the zero chance for Boehner's Plan B to actually become law influenced some wavering House members to reject it.

Obama campaigned for re-election on extending the tax cuts that date back to his predecessor's administration on income up to $250,000 for families, but returning to higher rates on amounts above that threshold.

Some House Republicans have said they would join Democrats in supporting the president's proposal in hopes of moving past the volatile issue to focus on the spending cuts and entitlement reforms they seek.

The Plan B was significant because Republican leaders previously insisted they wouldn't raise rates on anyone.

Boehner had complained Thursday that in making that concession, he expected but never got significant concessions from Obama.

He elaborated on the negotiations Friday, saying he told Obama that his latest proposal made over the weekend was his bottom line. Boehner said Obama told him the White House counterproposal Monday was the president's bottom line.

Boehner also repeated his complaint that Obama and Democrats were unwilling to address the spending cuts and entitlement reforms that he considers necessary to properly address the nation's chronic federal deficits and debt.

"What the president has proposed so far simply won't do anything to solve our spending problems," Boehner said, noting that "because of the political divide in the country, because of the divide here in Washington, trying to bridge these differences has been difficult."

CNN Poll: Are GOP policies too extreme?

In his statement Friday, Obama said he had compromised at least halfway on major issues, and that both sides have to accept they will not get all they want.

The possibility of a fiscal cliff was set in motion over the past two years as a way to force action on mounting government debt.

Now legislators risk looking politically cynical by seeking to weaken the measures enacted to try to force them to confront tough questions regarding deficit reduction, such as reforms to popular entitlement programs such as Social Security, Medicare and Medicaid.

Polling has consistently shown most Americans back the president, who insists wealthy Americans must pay more, rather than Boehner and his Republican colleagues, who have balked at tax rate hikes and demanded spending cuts and entitlement program reforms.

A new CNN/ORC International survey released Thursday showed that just over half of respondents believe Republicans should give up more in any solution and consider the party's policies too extreme.

Opinion: Boehner leading GOP to the apocalypse

The two sides seemingly had made progress earlier this week on forging a $2 trillion deficit reduction deal that included new revenue sought by Obama and spending cuts and entitlement changes desired by Boehner.

The president's latest offer set $400,000 as the income threshold for a tax rate increase, up from his original plan of $250,000. It also included a new formula for the consumer price index applied to some entitlement benefits, much to the chagrin of liberals.

Called chained CPI, the new formula includes assumptions on consumer habits in response to rising prices, such as seeking cheaper alternatives, and would result in smaller benefit increases in future years.

Statistics supplied by opponents say the change would mean Social Security recipients would get $6,000 less in benefits over the first 15 years of chained CPI.

Liberal groups sought to mount a pressure campaign against including the chained CPI after news emerged this week that Obama was willing to include it, calling the plan a betrayal of senior citizens who had contributed throughout their lives for their benefits.

Poll: Americans view economy as poor, split on future

CNN's Greg Botelho, Jessica Yellin and Ted Barrett contributed to this report.

@highlight

NEW: President Obama spoke with congressional leaders about a possible deal

@highlight

A Democratic source lays out possible scenarios

@highlight

House Republicans reject Speaker Boehner's tax alternative

@highlight

Everyone's taxes go up in 11 days without an agreement