(CNN) -- Every day in sub-Saharan Africa 700 children are infected with HIV, mostly through their mothers, according to the United Nations.

Fortunately, with the right treatment most cases of mother-child HIV transmission are entirely preventable, a goal the international AIDS community is working to make a reality by 2015.

To that end, the New York-based charity Born Free is teaming up with top names in the fashion and beauty industries to raise money to stop mother-child transmission of HIV once and for all.

Born Free has recruited Vogue editor Anna Wintour along with 22 designers and models to each create unique wearable pieces from an exclusive print by African artist Wangechi Mutu. Proceeds from sales of the clothing will go toward getting lifesaving drugs to those who need them.

Stella McCartney, Donna Karan, Tory Burch and Gisele Bundchen are just a few of the celeb mothers and designers who are participating. Shopbop, owned by Amazon, is exclusively selling the line, which launches Wednesday. Pieces cost $250 or less.

"Born Free is an idea that came from a place of deep respect for the delicate cycle of life. How incredible to be able to work with gifted designers, who as mothers recognize what the devastating loss of a child could mean and how easily that loss can be avoided," said Mutu.

Designers were given free rein to create with Mutu's prints. Each designer presented something for mother and child. Isabel Marant, known for her bohemian vibe, went with a micro-print on a peasant blouse. Jenna Lyons from J.Crew went with louche pants and a pleated girl's skirt.

The effort is the brainchild of John Megrue, chairman of private equity firm Apax Partners, who was concerned with the spread of HIV to the smallest and most vulnerable people in sub-Saharan Africa.

There are a number of private, public and international organizations on the ground in sub-Saharan Africa, fighting the HIV/AIDS epidemic. Megrue's vision was to see private sector charities like MAC AIDS and mothers2mothers join forces with organizations like UNAIDS and PEPFAR.

Born Free was announced in November 2013 as an umbrella organization to raise money and distribute medicine where it's needed. With just one pill a day -- a combination of several anti-retroviral medicines -- a mother with HIV or AIDS can almost completely eradicate the risk of passing the disease on to her baby, according to Born Free.

"I am thrilled that the fashion community has so generously added their time, talent and voice to our collective efforts to meet the serious, but achievable challenge of eliminating mother-to-child transmission of HIV by December 31, 2015," said Megrue.

Born Free will raise money via sales of the clothing from Shopbop, donations, and Conde Nast magazine subscription fees in May and June. One hundred percent of proceeds will be donated to Born Free, and the MAC AIDS Fund will match up to $500,000 of all donations.

The organization's aim is to work with governments within countries where the rate of mother-child HIV transmission is high to move toward solving the issue.

"We've seen incredible advances in HIV treatment, but to end the epidemic, we need to ensure all at-risk pregnant women are tested for HIV, and if they are positive, they receive HIV treatment so their babies can be born HIV free," said Nancy Mahon, global executive director, MAC AIDS Fund.

@highlight

700 children are infected with HIV in sub-Saharan African daily

@highlight

Most mother-child transmission of HIV is preventable with drugs and education

@highlight

The Born Free charity is partnering with the fashion and beauty industries to raise funds

@highlight

Money raised will go toward the goal of ending mother-child transmission by 2015