(CNN) -- Laurie Bolton believes the remains of her Uncle Louis rest at the bottom of the English Channel, with those of other American servicemen who perished in a little-known D-Day training mission that went horribly wrong.

Bolton considers newly discovered sonar images of two sunken ships proof of this hallowed ground. Divers recently planted an American flag on the ruins.

"This is a burial ground, so it's very important," she told CNN. "My uncle's body was never recovered, and I believe he's still down there."

On April 28, 1944, the beaches at Slapton Sands along the south coast of England were being used as a training ground because they provided similar conditions to what American troops would encounter in Normandy less than two months later. Thousands of area residents were evacuated. The full-scale rehearsal for the Utah Beach landing included live fire and fully equipped troops to make it as real as possible.

The disastrous mission was kept secret, survivors threatened with court-martial if they revealed what happened.

Under the cover of night, an American convoy headed out into Lyme Bay, some 15 miles off the coast. The plan was for the ships to organize in the same formations as the D-Day invasion, turn back toward the English beaches and simulate a landing.

A small British warship escorted the convoy, according to U.S. military documents chronicling the mission. A larger destroyer that was to escort the convoy remained behind for repairs, leaving the ships vulnerable, according to a study by military historian Charles Brown MacDonald.

Around 2 a.m., German torpedo boats opened fire on the convoy, sinking two landing ship tanks, or LSTs, causing a loss of life greater than that suffered on Utah Beach on June 6, 1944, according to U.S. military documents.

According to declassified military documents, 749 American servicemen lost their lives during Exercise Tiger. Some have suggested the tally was higher; others say it was lower. Fewer than 200 servicemen were killed or wounded at Utah Beach on D-Day, according to statistics from the Center for Military History.

Louis Bolton was killed instantly.

"Many of the men didn't have a chance," his niece, a California resident, told CNN. "It was pitch black. The men didn't have time to react, and many of them ended up drowning with all the heavy gear strapped on their backs."

Louis Bolton was 19 and newly married. His family thought he'd be safe during his deployment to Europe.

"He looked so handsome in his Army uniform and we were so proud of him," said Bolton's sister Shirley in a letter. "We weren't too worried about his safety, as he had been assigned to the 607th Graves Registration Company, so he wouldn't be on the front lines."

Paul Gerolstein, 22 at the time and a gunner's mate aboard one of the LSTs, said the loss of life was astonishing.

"I climbed down the cargo net and just tried to grab as many people as I could," said Gerolstein, 93.

A third LST was hit in the stern. James Brown, then 20, scrambled onto the deck.

"When I got up there, I saw two of the LSTs on fire," Brown, a West Virginia native, told CNN. "That was the only light we had. I could hear the German torpedo boats buzzing near us, but I couldn't see them."

He added, "Men were on fire jumping off our ship. To this day, I still see those men jumping with their gear on into the water."

A hospital corpsman, Brown, 91, tried to tend to the wounded.

"I put a tourniquet on the leg of a guy near me, but there wasn't much else I could do for him. The whole scene was horrific," said Brown.

A "typographical error in orders" put the LSTs on a different radio frequency than their escort ship and the British naval headquarters ashore, according to MacDonald's study. The British escort ship allegedly failed to alert the U.S. ships to the German boats because its crew assumed the original notice had already been relayed.

"Whether an absence of either or both of those factors would have had any effect on the tragic events that followed would be impossible to say -- but probably not," MacDonald wrote.

In April, autonomous underwater vehicle manufacturer Hydroid and Britain's Royal Navy Maritime Autonomous System Trials Team produced the first high-definition sonar images of the two LST wreck sites.

The unmanned underwater vehicle they used is designed to perform intricate oceanographic surveys over large areas and equipped with multiple sonar instruments that capture images of the wreck sites.

The company data shows that both LSTs are about 50 meters below the surface and reach 6 to 8 meters above the seafloor.

"We hope that the data collected on this mission will shed additional light on this tragic event and help bring some closure to the families who lost their loved ones during Exercise Tiger," said Richard "Bungy" Williams, regional manager of Hydroid Europe.

Laurie Bolton has visited England several times with Exercise Tiger veterans.

Her uncle's death remained a mystery for months after the attack.

In May 1944, his family received a letter from the military saying he was missing in action, Laurie Bolton said. Three months later, another letter said he died in action.

Brown said that hours after the failed exercise, he and other survivors were locked in a room and addressed by a military officer.

"The lieutenant ... tells us we cannot divulge any information about what happened or else we'll be court-martialed," he said. "That scared us."

Details of the training exercise attack were kept secret until August 1944 out of fear that it would jeopardize the D-Day operation, according to military documents.

Brown says he didn't speak to anyone about Exercise Tiger until 1987.

"Even years after the war was over, I felt that I was still under an obligation not to say anything," he said. "When you're in the service and you're told something, you stick to it."

As a result of Exercise Tiger, the Army took note of several "deficiencies which were rectified for the invasion." Defective lifebelts, faulty alarm systems aboard the LSTs, and flawed lifeboat protocols were among the concerns the Army addressed for D-Day.

More than 156,000 troops crossed the English Channel during the D-Day invasion approximately six weeks later. Nearly 10,000 Allied troops were killed or wounded.

"Any kind of practice has got to have some good points," Brown said of D-Day's deadly rehearsal. "It sure didn't feel like it right after. "

@highlight

Exercise Tiger, a training mission for D-Day, took place in April 1944

@highlight

More than 700 American servicemen lost their lives in German torpedo boat attack

@highlight

New sonar images show the sunken ships in the English Channel

@highlight

Exercise Tiger revealed some problems that were fixed before actual D-Day invasion