(CNN) -- Just about every capital city in Eastern Europe seems to have been called "the Paris of the East" at some point.

Unlike most other cities in the region, however, Budapest doesn't need the comparison.

The grand old dame on the Danube is one of Europe's finest capitals by any measure.

The eight landmark buildings below give you a feel for both Pest and Buda -- originally separate cities, divided by the river, but united about 150 years ago to form the modern metropolis.

Visit these sights in the order presented here and they form a walking tour of sorts (see map to the left), albeit with the option of jumping on public transport or taking the odd taxi.

Taxis are easy to spot in their bright new yellow livery. Take the subway and you'll be traveling on the world's second oldest underground railway and, on Line 1, a World Heritage Site.

Parliament

Taking 17 years to build and completed in 1902, this neo-Gothic structure was partly inspired by the UK's Palace of Westminster.

British politician-turned-broadcaster Michael Portillo memorably described it as "one of the most beautiful legislatures in the world, a cathedral of democracy."

Kossuth Lajos Square in front of the building is being renovated, so the best views are currently from the river (Parliament is right on the Pest embankment) or the opposite Buda banks.

Parliament, Kossuth Lajos tér 1-3, 1055 Budapest; +36 1 441 4000

More: Hungary's signature dishes

St. Stephen's Basilica

Taking even longer -- 50 years -- than Parliament to complete, the biggest church in Budapest finally opened in 1906.

During construction the building's dome collapsed and two of the three lead architects died.

St. Stephen's Basilica contains the mummified hand -- called the "Holy Right" -- of Hungary's founding king-saint, Stephen (István).

The dome is the same height as Parliament -- current legislation forbids anything higher, so Budapest isn't going to get its own version of London's Shard any time soon.

The church is free to enter, though it costs 500 forints ($2.30) to climb up to the observation deck surrounding the 96-meter high dome (closed from November to the end of March).

St. Stephen's Basillica, Szent István tér 1, 1051 Budapest; more on VisitBudapest.travel

Hungarian State Opera House

A lot of building rivalry has gone on in Budapest.

The Austro-Hungarian Emperor Franz Joseph approved (and partially paid for) the construction of an opera house in the city on the condition it was no bigger than the one in Vienna.

Smaller it may have been but it was far more opulent -- the emperor's reported reaction on seeing it at the grand opening in 1884 was to mutter, "These Hungarians!"

You can visit the ornate building on a tour but, even better, see it while watching an opera or ballet performance.

The opera house is located on Andrássy út (itself a World Heritage Site), Budapest's grand boulevard full of high-end shops and other magnificent buildings.

Hungarian State Opera House, Andrássy út 22, 1061 Budapest; +36 1 814-7100; more information on performance tickets or guided tours

More: 11 things to know before visiting Hungary

Dohány utca Synagogue

Also known as the Great Synagogue, this is one of the largest Jewish temples in the world.

Consecrated in 1859, the Moorish revival-style building is a center of Neolog Judaism, a moderate reformed branch of the religion.

The complex also includes a museum and, in the rear courtyard, a memorial to Jewish Holocaust victims in the form of a weeping willow with the names of the dead and disappeared inscribed on the leaves.

An estimated 565,000 Hungarian Jews were murdered in World War II from a prewar population of more than 800,000.

Dohány utca Synagogue, Dohány utca 2, 1074 Budapest; +36 1 343 0420

Széchenyi Chain Bridge

Budapest is a city of bridges, but the Széchenyi Chain Bridge (Széchenyi lánchíd) is the granddaddy of them all -- in 1849 it became the first permanent span linking Buda and Pest.

Commissioned by a Hungarian count, after whom it is named, the 375-meter-long suspension bridge was designed by an English engineer and built under the supervision of a Scot.

As with all Budapest bridges, the original was blown up during the siege of the city in World War II -- a broadly similar replacement opened to traffic in 1947.

The bridge is at its most spectacular at night, when fully illuminated.

Széchenyi Chain Bridge spans the Danube between Széchenyi tér on the Pest side and Adam Clark tér in Buda.

More: Budapest's best 'ruin bars'

Royal Palace

The Castle District, yet another World Heritage Site (why not just designate the whole town a World Heritage Site?), dominates the Buda skyline.

Although it actually lacks a castle, the Royal Palace, dominating the southern end, is magnificent.

A royal residence from the 1300s to the end of the Hungarian monarchy in the early 20th century, it was rebuilt time and again through numerous sieges and wars.

It now houses the Budapest History Museum, the Hungarian National Gallery and the National Széchenyi Library.

Like the Széchenyi Bridge, the palace looks particularly magical each evening, when floodlights are switched on.

Royal Palace, Szent György tér 2, 1014 Budapest; +36 1 224 3700

Fisherman's Bastion

So named because the fisherman's guild was responsible for protecting this section of the medieval defenses, this isn't a building so much as a glorified wall.

What you see today was built between 1895 and 1902 to replace the former castle wall and designed to harmonize with neighboring Matthias (Mátyás) Church.

The bastion's seven turrets represent the seven Hungarian tribes.

They weren't designed to keep people out, but to provide a vantage point -- the panorama they offer over the river (both embankments are -- you guessed it -- also a World Heritage Site) is breathtaking.

Fisherman's Bastion, Hess András tér 1-3, 1014 Budapest

More: Why misers should head for Budapest

National Theater

Proof that not every Budapest building worth seeing need be more than 100 years old, the National Theater opened on the Pest Embankment, next to the Palace of Arts, in 2002.

The eclectic modern design includes references to much of the city's historic architecture but also incorporates a lot of glasswork.

The public park in which the theater sits has a sculptured entrance gate in the form of theater curtains, statues of popular Hungarian actors in their most famous roles scattered about and a maze -- just in case you're not tired of walking around.

National Theater, Bajor Gizi park 1, 1095 Budapest; +36 1 476-6868

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

"Paris of the East"? Budapest needs no such comparison

@highlight

Budapest's Opera House may be smaller than Vienna's -- but it's more opulent

@highlight

The city's Chain Bridge and Royal Palace look superb lit up at night