(CNN) -- With President Barack Obama limiting how and where detainees at Guantanamo Bay can be interrogated, some analysts are asking if intelligence agencies will be able to get the information they need to keep the country safe -- and where the prisoners will eventually end up.

President Barack Obama recently ordered the closing of Guantanamo Bay detention facility.

Fresh off his inauguration, Obama issued executive orders relating to Guantanamo, including one requiring that the detention facility be closed within a year.

During a signing ceremony at the White House on January 22, Obama reaffirmed his inauguration pledge that the United States does not have "to continue with a false choice between our safety and our ideals."

The president said he was issuing the order to close the facility in order to "restore the standards of due process and the core constitutional values that have made this country great even in the midst of war, even in dealing with terrorism."

At its peak, Gitmo held 770 people the U.S. government believed may have been involved in terrorist activity or military action against the nation. The facility drew sharp criticism, including from Obama as he campaigned for the presidency.

Human and legal rights advocates complained that many Gitmo detainees were being held indefinitely without charge. There were a handful of reports of mistreatment of detainees and Obama, among others, said the facility was not an effective way to deal with alleged enemy combatants or gather good intelligence.

With the closing of Gitmo and secret overseas CIA prisons, future detainees may stay in foreign custody. Those countries might not have the same constraints on interrogations, and they could share what they learn or let U.S. intelligence sit in.  Watch more on the Gitmo dilemma »

"While you're able to say that you don't have U.S. secret prisons, in effect, you may be able to get the benefit through your relationship with foreign intelligence services," said CNN national security contributor Frances Townsend, who served as President Bush's national security adviser.

But some say it's the mere image of closing Gitmo that will help U.S. relations around the world.

"Guantanamo is an extraordinary debilitating symbol in the United States and the United States' standing in the world community. Closing it makes good sense," Charlie Swift, a former naval defense attorney, said on CNN's "State of the Union with John King," on Sunday.

But Douglas Feith, who helped shape the Bush administration's terrorism policy, downplayed that notion.

"I don't think that it's much more than a symbolic decision," he said. "The real issue is whether we can make sure that the extremely dangerous people that we're holding at Guantanamo can continue to be held so they don't engage in terrorism in the future."

That issue was raised last week amid a new report by the Pentagon -- released days before Obama took office -- which said 18 former detainees are confirmed to have participated in attacks, and 43 are suspected to have been involved in attacks.  Watch more on where Gitmo prisoners may go »

But security experts are questioning information released by the Pentagon, saying 61 former detainees from Gitmo may have returned to terrorist activities.

That figure would be about 11 percent of the roughly 520 prisoners who have been released from the Guantanamo facility.

But in a briefing Thursday, Secretary of Defense Robert Gates -- an advocate for closing Guantanamo while serving under Bush and, now, under President Obama -- seemed to downplay the number of former detainees who have returned to fighting.

"It's not as big a number if you're talking about 700 or a thousand or however many have been through Guantanamo," he said.

On Friday, a Pentagon spokesman defended the integrity of the report but would not directly answer questions about where the figures come from.

"We don't make these figures up. They're not done willy-nilly," spokesman Geoff Morrell said.

Pentagon officials said they would not discuss how the statistics were derived because of security concerns that such information could give clues to how U.S. intelligence officers collect their data.

CNN learned some former Guantanamo detainees have returned to the fight.

An al Qaeda video viewed by CNN's Nic Robertson showed militants labeled with their former prisoner numbers. Saeed Shihri, Prisoner No. 372, is believed to have been responsible for an attack on the U.S. embassy in Yemen that killed nearly a dozen people in September, barely a year after he was released from Guantanamo.

CNN's Susan Candiotti, Ed Hornick and Jeanne Meserve contributed to this report.

@highlight

President Obama signs executive order calling for Gitmo facility to close

@highlight

Security experts question where the detainees will be relocated to

@highlight

There are also concerns about how intelligence will be collected under new rules

@highlight

CNN learned some former Gitmo detainees have returned to terrorism