Editor's note: Dan Buettner is the best-selling author of "The Blue Zones: Lessons for Living Longer from the People Who've Lived the Longest."   Watch Buettner's reports from Greece all week on "AC360°"

Greek-American Yiannis Karimalis, 73,  lives in Ikaria nearly 40 years after a diagnosis of stomach cancer.

Ikaria, GREECE (CNN) -- In 1970, when doctors diagnosed Greek-American Yiannis Karimalis with stomach cancer and only gave him a few months to live, he decided to move back to Ikaria, his birth island. There, he reasoned, he could be buried more inexpensively among his fellow Greeks.   But when he moved back to the island he didn't die. He has lived nearly 40 years more. And when he returned to America on a recent visit, he discovered that his doctors were all dead.

The people on this 99-square-mile Greek island in the eastern Aegean Sea smugly tell this story as yet another example of what they've always known and scientists are now discovering: People in Ikaria live longer than in just about any other place in the world. A recent study of 90-year-old siblings, conducted by the National Hellenic Research Foundation, discovered 10 times more 90-year-old brothers and sisters here than the European average.

Why is this important?

Most scientists agree that the average human should live to age 90. (You have to have won the genetic lottery to live to 100.) But the Centers for Disease Control and Prevention says life expectancy in America is 78.

Somewhere along the line, we're losing about a dozen years -- most of them to costly and potentially preventable chronic diseases such as heart attacks, diabetes and cancer. These diseases are dragging down our health care system and account for much of the reason why the National Institute on Aging says the average American suffers about three disabled end-of-life years during which they incur 90 percent of our lifelong health care costs.   Ikarians are avoiding these diseases and reaching age 90 at a rate of about four times the rate that Americans do. They are getting the good years we're missing, dying quickly and less expensively.

For the next two weeks, I'm leading "The Blue Zones" expedition, an AARP and National Geographic sponsored team of the world's best demographers, physicians, medical researchers and media specialists, to explore Ikarian longevity.

We already have a few clues. Since at least the sixth century B.C., Icaria was known to the ancient Greeks and Romans as a health destination -- largely for its hot springs believed to relieve pain, joint problems and skin ailments. Our team has reviewed reports of high levels of radon in these baths and will be exploring a theory that chronic exposure to low-level radiation may help protect DNA against the ravages of aging.

For much of the ensuing two millenniums, people here lived in relative isolation. The people here evolved a unique diet that we believe is a more heart-protective version of the Mediterranean diet. We're doing pharmacological analyses of dozens of herbal teas and unique honey produced by bees that draw pollen of thyme, fir and erica. We think we'll find anti-cancer, anti-oxidant and probiotic properties in these locally produced products.

We also know that people here have a vastly different character than the rest of the Mediterranean. They have volcanic tempers that quickly subside. Despite living on harsh, steep terrain, they're known for relentless optimism and three-day parties. They don't get stressed by deadlines. They go to bed well after midnight, sleep late and take naps. Anecdotally, we know that most people over 90 are sexually active.

Do these people possess the true secret to longevity? We're not sure yet, but we'll certainly distill a few clues about living longer, better. Ikarian wisdom may not help you live to 100. But at least they may help you outlive your doctor.

Follow and vote to direct Dan's expedition at aarp.org/bluezones

The opinions expressed in this commentary are solely those of Dan Buettner.

@highlight

Yiannis Karimalis moved back to Greece in 1970 after learning he had months to live

@highlight

Karimalis returned recently to the U.S. to find all his doctors had died

@highlight

Karimalis' home -- Greek island Ikaria -- boasts among longest life expectancies

@highlight

Team of experts are exploring Ikarian longevity