(CNN) -- Sri Lanka's high commissioner to Britain has blamed criticism of his country's human rights record on a "proxy propaganda war" being carried out by those who funded the nation's "terrorist conflict."

The prime ministers of Canada, Mauritius and India have withdrawn from the Commonwealth Heads of Government Meeting, or CHOGM, beginning in Colombo on Friday, amid concerns about the rights situation in Sri Lanka after its 26-year civil war with separatist Tamil rebels.

Speaking to CNN's Fred Pleitgen for the "Amanpour" show on the eve of the summit, Chris Nonis said he was unsurprised by the criticism.

"One has to understand that there's a tremendous influence from those who funded the terrorist conflict who are now carrying out, really, a proxy propaganda war.

"What we realize is that over the years -- as people realize the wonderful reconciliation, rehabilitation and reconstruction program that we are carrying out in Sri Lanka -- that gradually that proxy propaganda war will lose its currency and, in that context, I think it's entirely right and fitting that we should host the Commonwealth Heads of Government Meeting," he said.

"There's a huge dichotomy of disjuncture between what is said abroad in terms of criticism and lack of rights and the freedom and the justice and equality that people are experiencing here."

The Commonwealth is a voluntary association of 53 nations that initially formed out of what had been the British Empire. Its charter focuses on developing "free and democratic societies and the promotion of peace and prosperity to improve the lives of all peoples of the Commonwealth."

Heads of member governments meet every two years.

International investigation

Asked about calls for an independent, international investigation into alleged war crimes -- a call repeated by British Foreign Secretary William Hague when he met his Sri Lankan counterpart on the sidelines of the meeting this week -- Nonis responded:

"We don't need an international investigation when we have had a vibrant civilization for 2,500 years. We have perfectly educated people and I think we're perfectly capable of carrying out our own domestic inquiry."

Nonis said the leaders not attending the conference represent three of the five countries that are home to Sri Lanka's largest, wealthiest and strongest diaspora communities.

"Each country, each leader has their domestic political considerations. We understand that. After all, they're politicians," he said.

He described UK opposition leader Ed Miliband's call for Sri Lanka to be stripped of its chairmanship of the Commonwealth as "extremely silly" and uninformed, saying his country had made "enormous progress" since its war ended in May 2009.

"We cherish the principles of democracy and development -- the twin pillars of the Commonwealth," Nonis said. "We are a very decent, very human group of people. We've had a terrible conflict with the terrorists -- finally the people of Sri Lanka are free."

Civilian deaths

As many as 70,000 people were killed in Sri Lanka's war and in its final stage, which lasted from September 2008 to May 2009, the Sri Lankan army advanced into an area of the north where about 330,000 people were trapped by fighting. A U.N. report in 2011 said the government used "large-scale and widespread shelling" that left a large number of civilians dead.

The number of civilian deaths and injuries are unknown to this day, and U.N. figures greatly differ from those in reports from Sri Lanka's government and various nongovernmental organizations.

Sri Lankan President Mahinda Mahinda Rajapaksa told media Thursday he would "not hesitate to take action against any human rights violations, adding that he has nothing to hide and is very open," according to a Sri Lankan government website.

"He said that Sri Lanka has a strong legal system, a Human Rights Commission, and now the Commonwealth is ready to strengthen it," it said.

On October 7, Canadian Prime Minister Stephen Harper announced that he would not go to this week's meeting and that Deepak Obhrai -- the parliamentary secretary to the minister of foreign affairs and for international human rights -- would attend in his place.

Canada is "deeply concerned" about the situation in Sri Lanka and believes that the government has failed to uphold the Commonwealth's core values, he said.

"The absence of accountability for the serious violations of human rights and international humanitarian standards during and after the civil war is unacceptable," Harper said.

"Canada noted with concern the impeachment of the Sri Lankan chief justice earlier this year and we remain disturbed by ongoing reports of intimidation and incarceration of political leaders and journalists, harassment of minorities, reported disappearances, and allegations of extra judicial killings."

On November 12, the Prime Minister of Mauritius, Navinchandra Ramgoolam, told lawmakers that he would not be attending the summit, sending his minister of foreign affairs instead.

A government statement said Ramgoolam told the country's parliament that he had been monitoring human rights in Sri Lanka and was gravely concerned about violations there.

"Mauritius has never been and will never be indifferent to the human rights violation anywhere in the world, including Sri Lanka," he said.

India's foreign minister

The prime minister of India, which has a large Tamil population, had faced domestic pressure to also withdraw from the conference.

On November 10, India's Ministry of External Affairs said Prime Minister Manmohan Singh had written to President Rajapaksa, saying that he too would not attend.

External Affairs Minister Salman Khurshid was chosen to represent India instead.

Khurshid told CNN's Pleitgen on "Amanpour" Thursday that a number of factors may have influenced the decision to stay away, including coming elections and economic issues.

"And of course there were competing sentiments in the country about some outstanding issues with Sri Lanka, particularly on the rehabilitation and reconstruction that's imperative after the end of the war," he said.

"We have urged the government of Sri Lanka to take steps forward towards real and meaningful devolution and accountability."

He said India continues to urge speedier action but said: "We can't see an alternative to engagement, particularly if it's a matter that concerns a friendly country in the neighborhood of India."

The Sri Lankan website says that Rajapaksa "expressed satisfaction over Indian External Affairs Minister Salman Khurshid attending the CHOGM summit. When an Indian reporter stated that Prime Minister Manmohan Singh has skipped the conference in acceding to demands made by Tamil Nadu, the President said that he has not informed this to him and pointed out that the Indian Prime Minister did not even attend the previous summit in Perth two years ago."

'Must be accountability'

British Prime Minister David Cameron, who is attending the summit, issued a statement Thursday saying he sees it as "an opportunity to raise our concerns clearly and directly, and to focus the eyes of the world on Sri Lanka."

"Together we must say clearly to the government of Sri Lanka -- our hosts -- that there must be accountability for the past and respect for human rights today," he said.

"Four years on from the end of the civil war and defeat of the 'Tamil Tigers,' a brutal terrorist organization, there has been nowhere near enough improvement. We need to see more progress: genuine freedom of expression and the media, an end to the intimidation of journalists and human rights defenders, action to stamp out torture, demilitarization of the north and reconciliation between communities.

"And of course we need to see a thorough investigation into alleged war crimes."

@highlight

Sri Lanka is hosting the biannual Commonwealth Heads of Government Meeting (CHOGM)

@highlight

The prime ministers of Canada, India and Mauritius have said they will not attend

@highlight

It follows criticism of Sri Lanka's human rights record after its 26-year war with Tamil rebels

@highlight

Sri Lanka's high commissioner to the UK blames the criticism on a "proxy propaganda war"