Los Angeles (CNN) -- Round two of the battle of the propofol experts started Thursday afternoon in the trial of Michael Jackson's doctor as the defense anesthesiology expert began his testimony.

When Dr. Paul White continues his testimony Friday, and he is expected to counter the conclusions of prosecution anesthesiologist Dr. Steven Shafer, whose earlier testimony spanned more than a week of Dr. Conrad Murray's involuntary manslaughter trial.

Dr. White said that after reviewing the reports, evidence and analysis from investigators in Jackson's death he was not convinced Dr. Murray was responsible.

"I was somewhat perplexed at how a determination has been made that Dr. Murray was infusing propofol," White said. "It wasn't obvious to me, I thought there were questions."

A drug-addiction specialist testified earlier Thursday that Jackson was "probably addicted" to a powerful painkiller given him during frequent visits to a Beverly Hills dermatologist in the three months before his death.

Dr. Robert Waldmon was called by the defense in an effort to show Jackson's insomnia the day he died could have been caused by withdrawal from Demerol shots he was given along with botox injections, treatments that Dr. Murray didn't know about.

White, who is the last witness before the defense rests, spent most of the first two hours establishing his credentials as one of the world's foremost experts on the surgical anesthetic propofol, which the coroner ruled was the chief drug that killed Jackson.

The personal and professional rivalry between Dr. White and Dr. Shafer played an odd role in Thursday's testimony.

White's longtime friendship with Shafer has been tested during the Murray trial, including an incident last week that resulted in the judge scheduling a contempt-of-court hearing against White for next month.

At one point Thursday, White suggested someone "tell Dr. Shafer he needs to learn how to spell plasma," because it was misspelled on a graph he created.

White, however, attempted to downplay rivalry with Shafer when the judge mistakenly called White "Dr. Shafer" for a second time. "I take it as a compliment, actually," White said.

White and Shafer, who are on opposite sides in this trial, may have a new anesthesia product to develop as a result of their preparations to testify, White said.

Both experts commissioned studies on the possibility that Jackson might have orally ingested the fatal dose of propofol, something they both have now ruled out. But they learned that propofol could be absorbed through the tissues of the mouth, White said.

He and Shafer agreed during courthouse chats while waiting to testify that they might be able to develop a propofol lollipop as a "non-invasive sedation device."

Shafer testified last week that he concluded the "only scenario" that fits the scientific evidence is that Jackson was on an IV drip of propofol for three hours before his death and that Murray failed to notice when he stopped breathing.

Shafer conceded that it was possible that Jackson, not Murray, could have been the one to open the drip to a fatal pace, but prosecutors contend it would make no difference in Murray's guilt.

The defense hopes the testimony from White and Waldmon, their last two witnesses, will convince jurors that Jackson gave himself the overdose of drugs that killed him while Murray was not watching.

The Los Angeles County coroner ruled Jackson's June 25, 2009, death was the result of "acute propofol intoxication" in combination with several sedatives.

The defense theory is that a desperate Jackson, fearing his comeback concerts could be canceled unless he found elusive sleep, self-administered propofol that Murray was trying to wean him off of.

Prosecutors contend Murray is responsible for his death even if he did not give him the final and fatal dose because he was criminally reckless in using the surgical anesthetic to help Jackson sleep without proper precautions.

The defense contends Jackson became addicted to the painkiller Demerol through frequent visits to the Beverly Hills dermatology clinic of Dr. Arnold Klein in the months before his death. Murray was unaware of the addiction, and therefore unable to understand why he could not help Jackson sleep, the defense contends.

During Thursday morning's testimony by Dr. Waldmon, the addiction specialist, defense lawyer Ed Chernoff displayed Dr. Klein's medical records for Jackson, kept under the name "Omar Arnold." The showed at least 24 visits from March 12 until June 22, 2009, three days before his death. The defense previously said Jackson was given 6,500 milligrams of Demerol at Klein's clinic during those visits.

Jackson received 900 milligrams of Demerol at Klein's clinic over three days in early May, the records showed.

Dr. Waldmon called the shots "stiff doses."

Waldmon testified that from his review of those medical records and "based on what is known of his public behavior that he was probably addicted" to Demerol.

"Six weeks of very frequent high-dose use would develop opioid dependence in any of us," Waldmon said.

The defense also sought to connect the Demerol shots to Jackson's poor health at some rehearsals for his comeback concerts and at other times when he complained of being being hot and cold at the same time.

Patients describe opioid withdrawal as like "the worst case of influenza they ever had," Waldmon said.

While Demerol was not found in Jackson's blood or body during his autopsy, the defense contends it played a major role in his death. His inability to sleep, which Murray was trying to resolve the day he died, could have been a direct symptom of his withdrawal from the drug.

"Anxiety, restlessness and insomnia" are "very common" symptoms of Demerol withdrawal, Waldmon said.

Jackson's personal assistant, Michael Emir WIlliams, testified earlier that Jackson's visits to Dr. Klein were "very regular" in his last months of life.

"There were times he would go almost every day" to Klein's office, and Jackson often appear intoxicated when he left, Jackson's security chief Faheem Muhammad testified.

Los Angeles County Superior Court Judge Michael Pastor ruled earlier that while the defense could use Klein's medical records, they could not call the doctor or his staff to testify in the trial.

@highlight

NEW: Defense expert "perplexed" by investigator's conclusions

@highlight

Addiction specialist testifies Jackson was "probably addicted" to Demerol

@highlight

Demerol withdrawal could've caused Jackson's insomnia, expert says

@highlight

Jury deliberations in Murray's involuntary manslaughter trial could begin early next week