(CNN) -- Sailing the Atlantic on a perfect blue-sky day, HMS Bounty survivor Jessica Hewitt knew this would have been a beautiful moment to share with Claudene Christian.

She looked down from the deck of the 125-foot Liberty Clipper to see dozens of playful dolphins swimming alongside the tall-masted sailing ship as it cut through the waves off North Carolina.

As the 26-year-old held a glass bottle filled with pictures and handwritten notes, Hewitt's eyes moved across the southeast horizon toward a painful spot she knew was about 25 miles away.

She couldn't help but picture what happened there aboard the HMS Bounty exactly a year ago Tuesday. The leaking, aging ship sailed into what would become the largest hurricane in generations. As the Category 1 storm churned about 100 miles off Cape Hatteras, Hurricane Sandy's battering winds and towering waves flipped the 180-foot ship sideways, spilling Hewitt and her shipmates into the water.

The body of Capt. Robin Walbridge, 63, was never found. Christian, a 42-year-old rookie sailor, died after Coast Guard rescuers were unable to revive her.

Their deaths and the sinking of perhaps the most famous tall ship in the world spurred an investigation that could still lead to new safety regulations and criminal charges.

The story of the sinking: Life & death on the Bounty

The bottle in Hewitt's hand contained notes from fellow survivors, past Bounty crew and loved ones. Her note to Christian read, "I'm so sorry. And I miss you."

"Even now, I can't really form any words other than those," Hewitt said Friday from aboard the Liberty Clipper. Her voice trembling with emotion, Hewitt said Christian's death "was such a huge loss for a lot of people. She really, really trusted us."

'A part of me sank with the boat'

Drawn by the romance of a freewheeling, seafaring lifestyle, Christian hoped to learn the ins and outs of a complicated three-masted square-rigger.

When they met, Christian told Hewitt she'd always wanted to send off a message in a bottle, to take part in that universal time-honored tradition of the ocean.

"We were going to do it sometime during the passage," Hewitt remembered.

Now, so close to the site and after all that happened, a message bottle seemed even more appropriate.

She thought back to the wailing wind, pelting rain and fear that she and her shipmates experienced in the early morning darkness of October 29, 2012. The disaster set them on an emotional and psychological course that some of them still struggle to correct.

In the minutes after the tipping ship tossed the crew into the water, Hewitt -- who was tethered to her boyfriend, Drew Salapatek -- felt herself being pulled underwater by her tether line, which had snagged on sinking debris from the ship.

Hewitt realized she was about to drown.

That thought triggered a frenzy to fight and free herself from the tether. She verged on passing out and even inhaled seawater. Wriggling out of the tether just in time, she finally broke the surface and sucked in precious gasps of air. Fourteen of Bounty's 16-member crew survived the next grueling hours thanks to GPS locator beacons, life rafts and Coast Guard rescuers.

The trauma left Hewitt feeling embarrassed, ashamed, angry and sad.

Worst was the fear. Since the rescue, Hewitt has been afraid to sail on open water in the high seas.

It was quite the opposite while growing up. With roots in California, Florida and Cape Cod, Hewitt had always loved the vastness of the ocean, training for a seafaring career at the prestigious Maine Maritime Academy.

What happened aboard the Bounty, she said, has left her damaged: afraid to dive underwater near big ships, fearful of sleeping below deck, especially during rough seas. When the fear comes, her heart races. Reminders of the disaster still come too often.

"I felt like a part of me sank with the boat. A sort of innocence was just gone."

Overhearing comments about the Bounty crew being "reckless" or that they're "loving the attention" made Hewitt mad.

She said people often don't understand the lingering emotional trauma brought on by disasters, like when she's driving and suddenly the tears start welling up, forcing her to pull over. They "don't see the side like when I had to interrupt my job conducting boat tours to go cry in a Porta-Potty."

Dealing with all this has been hard, Hewitt said. "I've never been that sort of person before."

Despite her own struggles, Hewitt also wants to somehow transform the tragedy into a force to help others.

'Use your brain and your gut'

One morning in early October on the campus of the Massachusetts Maritime Academy, Hewitt walked into Admiral's Hall. The lecture room was packed with about 150 students and faculty.

"I was so nervous," Hewitt said. "I had no idea what to say."

Nonetheless, she stood at a small podium and shared her story, offering guidance on how others might save their own lives after abandoning ship.

She joked about funny things that go through some people's minds during desperate times. For some reason, she thought it was important to bring her car keys with her before the ship sank, and another crew member chose to bring his teddy bear.

She also talked about how her "training clashed with what I was told" when the crew was instructed to put on their floating emergency immersion suits below deck instead of up top, where the storm raged.

"What I took from that was, in situations like that, there are no rules except what you think will work best," she said. "Sometimes, you just have to use your brain and your gut."

The bottom line, she said, quoting a former instructor, is that "all you need is the will to survive."

For Hewitt, speaking to the students was "a chance to say thank you and to maybe help someone else. Because other boats sink all the time, and you lose people at sea."

She has grown tired of some of the questions surrounding Walbridge's decision to sail while Sandy churned.

They ask, "What were you doing out there? What was the captain thinking?"

"I tell them, 'I can't answer that for myself, and I can't answer that for you.' "

"Nobody intentionally puts themselves and their crew at risk," said academy President Rick Gurnon. "But once you've committed to a certain course of action, it's often impossible to change your mind. He made a choice. It turned out to be the wrong choice."

The Coast Guard and the National Transportation Safety Board have spent the past year investigating the disaster for possible negligence and safety violations. The Coast Guard report is under review and could be released at any time. It could lead to regulation changes -- and perhaps even a recommendation that criminal charges be forwarded to prosecutors.

A $90 million civil lawsuit filed by Christian's parents against the Bounty's owners is in settlement talks, a family attorney said.

Read more about the lawsuit

A return to the high seas

This past summer, Hewitt chose to fight to win back the person she was before. She needed to confront the high seas. "I really wanted to do an ocean passage and kind of conquer that fear," she said.

First, she "baby-stepped it" aboard ships that didn't venture too far out to sea. Now, Hewitt works aboard the Liberty Clipper as it sails from Boston to Key West, Florida, and then to its winter port in the Bahamas, her first real high-seas journey since the sinking.

The past year has cast doubt on her dream of commanding a teaching vessel that toured young sailors around the world. "This was my passion," she said. "I've lost that, at least for the time being.

"I can work on tugboats and other stuff, but it's just not the same."

Her desire to give back may lead to a new career path as a maritime instructor.

In various ways, other Bounty survivors, Hewitt says, are moving forward after the tragedy.

She and fellow survivor Laura Groves seek out books by other adventurers who've overcome disaster. "It's therapeutic to read other people's struggles and not feel alone," Hewitt said.

Most of Bounty's survivors have returned to the water, gaining spots on other ships, said survivor Josh Scornavacchi. He's between vessels after volunteering aboard a few tall ships in the Philadelphia area.

Despite nearly drowning when the Bounty sank, the 26-year-old says, he hasn't suffered any debilitating trauma.

"I think about it a lot," he said, "I might get a little sad, not angry-sad but sad. It just makes me want to go out again."

Most of all, he misses sailing the high seas at night, the waves, a "good squall" and his favorite, climbing up the ship's rigging.

Bounty life jackets found 400 miles from sinking site

Aboard the Liberty Clipper -- not far from the site where the Bounty went down last year -- Hewitt held the corked bottle filled with messages to Capt. Robin Walbridge and Claudene Christian. The bottle, weighted with an iron shackle, is "the only way the message would get to them," she said.

Symbolically, you might say the bottle also contained the crew's countless painful struggles and disappointments during a difficult year.

She let the bottle go.

It tumbled into the water, beginning a secret journey to a final destination determined by currents and tides -- and life's other infinite and random forces.

@highlight

Survivor reveals yearlong struggle after tall ship Bounty sank in Hurricane Sandy

@highlight

Although her passion for sailing has dimmed, tragedy spurs her to help others

@highlight

She holds message-in-a-bottle ceremony near site of deadly sinking

@highlight

Settlement talks under way involving the deaths of Claudene Christian and ship's captain