Joseph Wood was supposed to go quickly and painlessly, when the State of Arizona put him to death by lethal injection on Wednesday.

It took nearly two hours for him to die.

Journalists called to witness the execution said it was hard to watch, as Wood snorted and gasped. One described it like a "fish on shore gulping for air." Arizona officials defended the procedure, saying that the proper protocols were followed.

Human Rights Watch has compiled a list of U.S. executions between 1982 and 2006, which it considers "botched." It's hard to spot an example on that list of an execution that drew out nearly as long as Wood's did.

His lawyers call it a violation of his Eighth Amendment rights against "cruel and unusual punishment." They severely criticized the novel combination of two drugs used in the procedure.

Wood's slow death on Wednesday is fueling a debate that has kicked up as states try out new drug alternatives for lethal injection, after the sole U.S. manufacturer stopped making a key drug previously used.

Here are some answers to basic questions about the controversy surrounding the new drug combinations.

1. What drug combination did Arizona use?

Midazolam, which is an anesthetic used sometimes in surgery, and hydromorphone, a narcotic pain killer, commonly known by its brand name Dilaudid.

The anesthetic is thought to render the inmate unconscious for the execution. An overdose of hydromorphone causes death by shutting down breathing and stopping the heart from beating.

Lethal injections usually proceed in stages, with one drug injected first, another second and, in some cases, a third drug last. All of them in high doses.

A very common combination has traditionally involved three drugs:

-- An anesthetic to make the inmate unconscious.

-- Then a paralyzing agent to keep him or her from flailing.

-- Then a third drug, often potassium chloride, to stop the heart.

Some states feel that overdoses of two drugs are enough, and there is a new movement afoot in some states to reduce it to a single drug, according to Fordham University School of Law.

In Arizona, on Wednesday, Wood received the midazolam first, then the hydromorphone.

2. Why is the new combination controversial?

The controversy surrounding the relatively new combination seems to center more on midazolam. Two other recent executions that appeared to turn ugly had it as an ingredient:

-- Dennis McGurie started wheezing after receiving both drugs in Ohio in January. He gasped, and his chest and stomach heaved, a journalist witness said. He made choking sounds and clenched his fists. McGurie had been convicted of rape and murder.

-- Oklahoma injected Clayton Lockett with midazolam in April. But instead of becoming unconscious, he twitched, convulsed and spoke. The execution was halted, but Lockett died anyhow after 43 minutes. Officials blamed the botched execution on a burst vein. Lockett had been convicted of murder.

Before McGurie received the combination, experts warned of the possible adverse reaction.

And according to the National Institutes of Health, midazolam's side effects can include uncontrollable shaking, seizures and difficulty breathing.

3. Why the new drug combinations?

For years -- in the three-drug method mentioned above -- sodium thiopental was injected first as the anesthetic, but its sole U.S. manufacturer, Illinois based Hospira, stopped producing it.

In 2011, it entered into a production deal in Italy, where the death penalty is illegal, and the company had to promise its product would not be used in the United States for executions.

Since it felt it couldn't guarantee that, it shut down the production.

The European Union has banned its manufacturers from exporting sodium thiopental to the United States for the same reason.

4. Did executions work well with the previous drug?

CNN has not been able to find cases, in which the administration of previous execution drug combinations led to such prolonged deaths, but the use of sodium thiopental has also found its critics.

They have attacked the drug itself and also question the professionalism of its application.

Scientists from the University of Miami have said that the anesthesia doesn't last long enough, and as a result, an inmate may become alert during the execution.

But the paralyzing agent administered after the anesthetic may prevent him or her from letting anyone know that he or she is awake. The inmate may be silent and still but experience the administration of the third, deadly drug consciously.

"It would be a cruel way to die," they wrote, "awake, paralyzed, unable to move, to breathe, while potassium burned through your veins."

The scientists also have complained that executioners had no training in anesthesia. The three-drug method was developed by an medical examiner in Oklahoma and passed on to prison personnel, they said.

The result, the scientists fear, is inmates suffering through their executions eyes wide opened.

Opinion: 5 ways to improve the U.S. death penalty

Death penalty facts that may surprise you

Oklahoma's botched lethal injection marks new front in battle over executions

@highlight

Joseph Wood was supposed to die quickly and painlessly

@highlight

But he stayed alive for two hours after being injected with a novel combination of drugs

@highlight

His protracted death has stirred controversy over states looking for new lethal drugs