Salida, Colorado (CNN) -- A rodeo cowboy with a bum shoulder, a middle-aged woman who has trouble sleeping and a handful of snowboarders are all crowded around a shiny aluminum trailer on a sunny winter day. Some clutch X-rays, others look around nervously hoping a neighbor won't spot them as they wait in line for a medical marijuana prescription.

If this all seems a little weird, you probably don't live in Colorado, where medical marijuana is the new normal.

State-sanctioned marijuana dispensaries now outnumber Starbucks in Colorado. But outside Denver and Boulder, few doctors are comfortable dealing with medical marijuana.

Now, residents in rural Colorado towns like Salida can see a doctor who are willing to prescribe medical marijuana aboard two shiny aluminum vintage airstream trailers, which have been converted into mobile doctors' offices.

The trailers criss-cross the state, providing exams for new patients and access to medical marijuana for those deemed eligible.

It's all part of the Medical Marijuana Assistance Program of America, the brainchild of Vincent Palazzotto, a 37-year-old entrepreneur.

"The doctors are the gatekeepers to make sure the patients have access to the medicine," he said.  "We want to be sure no patient is left behind and it starts with the rural communities."

A doctor must first examine would-be patients and, if the physician signs off, the state of Colorado will issue a card allowing these patients to buy marijuana from dispensaries around the state.

An exam costs $100, but Palazzotto said he operates on a sliding scale for patients who can't afford to pay the full price.

"Right now our doctors will see 10% of our patients for free and we can provide a 30 to 50% discount to disabled veterans as well as other folks in need in programs like Medicaid and Medicare," said Palazzotto.

David Faulk, a 52-year-old tree-cutter, is one of those waiting in line to see if he qualifies for a prescription.  He says the ibuprofen he's been using to treat his chronic pain just isn't enough.

"I just hope to deaden the pain and help my quality of life," he said.

The mobile clinic has saved him a 300-mile round trip drive to Denver, the nearest place where he could find a doctor willing to write a recommendation for medical marijuana.

Ten years ago, Colorado voters passed a constitutional amendment allowing for the medical use of marijuana, but it remains against federal law.

Two years ago, the Obama administration signaled that it would no longer go after medical marijuana in states that have legalized it.

So, like a modern day gold rush, hundreds of marijuana dispensaries have sprung up in storefronts across the state. Once-vacant warehouses now house elaborate growing operations.

Medical marijuana is Colorado's 'green rush'

Millions of dollars in taxes have been collected and more than 115,000 people have received medical marijuana cards.

As the industry grows, Palazzotto -- a former real estate property manager -- said he "felt like the patient was being lost in all this."

That sentiment was echoed by Dr. Margaret Gedde, one of the doctors with the Medical Marijuana Assistance Program of America who is seeing patients in Salida.

She now works exclusively with medical marijuana patients. After just a year of writing medical marijuana recommendations, she already has 1,500 patients.

"In the last couple of years or so I became aware of what was happening with medical marijuana in Colorado and I looked at marijuana as a medication and was very surprised at how beneficial it was," she said.

But moving into this new industry has been risky for established doctors. They face the potential of being shunned in the medical community and many fear running afoul of federal law.

"It's been very difficult talking about it," Gedde said.  "I don't think my parents even know, so there is a stigma. But I did make a decision that it was important to talk about this so patients have access."

She believes the situation is changing quickly, and soon she thinks medical marijuana will be widely accepted across the country.

"In Colorado it's much [more] accepted and people are learning the benefits. So many people either have a family member or a friend or have heard about it or themselves have a card so there's more understanding here."

Gedde says marijuana is particularly effective at dealing with chronic pain for patients like Faulk.

After asking him a series of questions about his pain and examining his MRI, she approves him. He is eager to try some marijuana, and may even try to grown his own.

The tree cutter says hopes the drug will "help me get through my labor everyday with a little less pain and maybe sleep a little better at night."

"Can't hurt," he says, as he climbs back into his battered pickup truck and drives off.

@highlight

There are more medical marijuana dispensaries in Colorado than Starbucks

@highlight

Rural residents still have limited access to doctors who can prescribe medical marijuana

@highlight

Now, mobile clinics cross the state, brining doctors who can provide access to the drug

@highlight

"We want to be sure no patient is left behind," says mobile clinic entrepreneur