Bannu, Pakistan (CNN) -- The road to Bannu city in the northwest of Pakistan is a journey through the elements.

Harsh wind and rain make way for bursts of sunshine in June, a month of typically oppressive heat when illnesses such as diarrhea and typhoid are common, alongside the ever-looming specter of polio.

It is in this stifling heat that hundreds of thousands of men, women and children are fleeing their homes in North Waziristan, which borders Afghanistan, to Bannu and other neighboring regions. The mass exodus began after the Pakistani army launched a full scale offensive against militants on June 15 called Zarb e Azb, or "The Strike of The Prophet's Sword."

While the Pakistan army has been releasing a daily stream of information regarding the operation, it has come under severe criticism for failing to notify the residents of North Waziristan of an impending operation.

A curfew in North Waziristan crippled the movement of individuals in the region. Military sources told CNN on condition of anonymity that the curfew had been imposed to prevent militants from fleeing, however what resulted was utter chaos for local residents.

"We waited for the signal to leave while taking shelter under trees," Javed Wazir, a local from the North Waziristan town of MirAli tells CNN in anguish. "The bazaar was under fire from mortar shells and our women and children were crying in despair."

Exodus from Pakistan's troubled north presents risks, opportunities

Mass exodus

On June 18, three days after the operation officially started in North Waziristan, the army finally lifted the curfew allowing movement out of the area.

What started as a mass exodus of the region's population has fast accelerated into a humanitarian crisis.

According to Arshad Khan, the director of the FATA Disaster Management Authority, the number of people who have fled the military operation has now reached almost half a million, with 455,000 people scattered across various parts of Northern Pakistan.

In a sports complex in the heart of Bannu city, a dust storm is creating havoc at the city's largest food distribution point for those seeking shelter.

Until Tuesday it was the only food distribution point for the thousands of needy people in Bannu and its surrounding regions, and was the scene of protests airing the frustration they have experienced over the past two weeks.

Wednesday saw hundreds of men, young and old, queue up outside on the streets, shielding their eyes from the grit, waiting to receive their ration of fortified wheat, iodized salt, pulses and cooking oil.

A significant army presence is overseeing the distribution that has been organized by the World Food Program. Sacks of wheat are heaped in mounds in the center of the stadium and a strong hot wind is blowing cardboard cartons into the air.

An old woman in a tattered burqa, clutching a wisp of paper bearing her registration number, waits for her turn to collect food. "Three of my grandchildren died after a bomb fell on our house in the Haider khel village of North Waziristan" she says. "They were five, six and seven years old," she whispers. "That's when we fled."

Request for more supplies

The number of families arriving has exceeded the number estimated by the WFP. According to Lola Castro, the WFP's director in Pakistan, a contingency plan had been updated to deal with a military operation in North Waziristan.

However, she says Pakistani authorities only officially approached the WFP for help on June 20, five days after the strikes began.

WFP had expected the families to be an average size of six but, according to Castro, families fleeing out of North Waziristan are made up of 14 people.

This has lead to rations being distributed on a biweekly basis instead of the usual monthly schedule. "We are requesting donors to provide more supplies but the situation is currently under control," Castro tells CNN.

Malik Akbar Khan, a tribal leader and an IDP, has been volunteering at the food distribution point ever since he arrived in Bannu last week.

As IDPs wheelbarrow their supplies out of the complex, he sighs and says that it is the ordinary people of North Waziristan who have had to bear the biggest brunt of the tussle between the army and the Pakistani Taliban.

As the sun sets on another day of dust and desperation, he quotes the oft-repeated phrase addressing the conflict in Pakistan's northern regions.

"The army are the angels and the Taliban call themselves the companions of the holy prophet," he says. "Perhaps we're the only infidels in this chaos, who suffer the most in this living hell while the other two claim that they're bound for paradise."

'That place is like fire'

There is one refuge for the hordes of people who have spilt out of North Waziristan. The army, along with funding from FDMA and the National Disaster Management Authority (NDMA), has set up a camp in Baka Khel, Bannu district.

In the searing June heat, it sits a mere 15 kilometers (9.3 miles) from the Saigai check post, the final exit for villagers leaving North Waziristan and entering Bannu district.

According to military sources, the camp became operational on June 16, a day after the military operation began. It has, however, come under severe criticism by the very people it was built to help.

Many are instead choosing to stay with relatives or rent homes in cities such as Bannu, Peshawar and Dera Ismail Khan.

"When the curfew was eased we reached Bannu after a two-day journey on foot, yet we would never stay at that camp. That place is like fire, it's like fire, I would never take my family to that land of flaming heat," Loi Khan from the village of Boya in North Waziristan tells CNN as he stands in line to get food in Bannu.

But a visit to the camp paints a different picture. Temperatures may be rising to as high as 47 degrees centigrade but efforts are underway to create what military guides to the camp call "a model village." There is electricity, plumbing, fancy fans that spray mist and visiting doctors. Polio workers administer vaccines to every man, woman and child entering the camp to prevent any outbreak.

Yet the place is a ghost town. According to military sources only 28 families have chosen to live at the camp, a fraction of those who have left North Waziristan.

It remains empty for the time being but with the month of Ramadan fast approaching and the operation not looking to end anytime soon, military officials overseeing the camp expect it to be operational and fully populated for at least two months.

450,000 displaced as Pakistan attacks militants

Saleem Mehsud contributed to this report.

@highlight

Hundreds queue in stifling heat for food after fleeing North Waziristan

@highlight

Families fled after Pakistani military launched offensive against militants

@highlight

Government has been criticized for imposing curfew, not warning locals to leave

@highlight

Strong army presence overseeing crowded World Food Program distribution points