(CNN) -- When Neil Armstrong became the first man to set foot on the moon, he uttered unforgettable words. But the next visitor to roam the lunar landscape may send back e-mail instead.

One of the teams competing in the Google Lunar X Prize is considering this rover concept for the mission.

Welcome to a new kind of space race, where the earthly guest will be a machine and the goal is as much exploration as seeking out new business ventures.

The quest is part of the Google Lunar X Prize, which will put $20 million into the hands of the first privately funded team that can land a rover on the moon; have it travel on the surface for 500 meters or more; send back data, photos and video; and do it all by December 31, 2012.

The prize drops to $15 million after that date and goes away altogether after 2014.

One of the main requirements is to have as little government involvement in the project as possible.

"We believe that space should be open to anyone and everyone, especially those people who want to go," said Becky Ramsey, the X Prize Foundation's director of communications for space projects.

"The government has accomplished amazing things ... but we think that we can do it less expensively."

The idea grew out of conversations between X Prize Chairman Peter Diamandis and Google co-founders Sergey Brin and Larry Page.

"We thought it would be a good fit," said Tiffany Montague, technical program manager at Google and the company's main representative for the Google Lunar X Prize. "Many of us here are interested in space as a hobby, or we came from space backgrounds."

Google, which is paying the main prize purse -- $30 million total, including bonus prizes -- hopes the competition will result in education, "interesting new content" and inspiration, she added.

"What I think this prize is really about is inspiring young minds and inspiring the global population to compete for a dream," Montague said.

'Garage bands' of space exploration

There are 13 teams officially competing in the race, but the X Prize Foundation expects that number to grow to about 25. The multinational lineup includes Americans, Italians, Romanians and a "mystery team," which can hide its identity until July 20, 2009, under the rules.  See photos of the teams and their rover concepts »

The competitors include university scientists, business people, engineers, robotics experts and even students.

Ramsey said all of the teams are considered serious contenders, but not all of them are expected to be able to complete the task.

"I liken our teams to the garage bands of the space exploration world," she said. "These are the people who have a dream, who have a passion, who have the knowledge and ability and the drive, and they think they can do this. So we're giving them the opportunity."

The teams face a number of daunting tasks, including figuring out how and where to launch, designing a craft that can complete the journey and making sure it can execute a required "soft landing."

"The craft has to alight on the moon a little like you'd expect an insect or a bird to land here on Earth, and it means that you can't impact or crash into the surface at high speed," said Red Whittaker, chairman and CEO of Astrobotic Technology, one of the teams competing for the prize.

Once they land, the rovers must be ready to cope with extreme conditions. Whittaker listed a vacuum environment, radiation, temperature extremes and soft terrain as some of the special challenges of the lunar landscape.

Expensive mission

Another big obstacle is the money. Reaching for the moon -- literally -- is an immensely pricey endeavor, and the mission is likely to cost much more than the $20 million first prize, a fact the sponsors freely recognize.

"I think what's important to keep in mind is that this is an incentive prize and is not meant to cover the costs of development," Montague said. "Instead, it is meant to be a catalyst to shake up industry and inspire breakthrough."

To help finance their plans, the teams are seeking out investors, partners and sponsors.

Celestis, a company that launches cremated human remains into Earth's orbit, recently announced that it has reached an agreement with two of the teams, Astrobotic and Odyssey Moon, to carry human ashes to the moon.

NASA could also be a customer for the teams, whose craft could carry scientific payloads, Ramsey said.

The agency believes that there's potential for collaboration, but there's nothing formal in the works, said David Steitz, a spokesman at NASA headquarters in Washington.

He added that NASA is giving a thumbs-up to the competition.

"We're excited about anyone who's excited about space. We don't claim to have a monopoly on exploration," Steitz said.

The business of the moon

Many of the teams regard the race as just the start of a long-term business plan. Astrobotic envisions a dozen lunar missions, scouting sites and offering payload services to businesses and governments, Whittaker said.

Odyssey Moon CEO Robert Richards said his team also plans to keep coming back.

"We are absolutely committed to an enduring presence on the moon," Richards said.  Watch Richards demonstrate rover designs »

"If we don't win the prize, we will certainly cheer those who do, and we will continue with our efforts to provide a permanent, established mechanism for humanity to reach the moon in a very frequent and cost-effective way."

But with so much money at stake, would it be possible for anyone to fake the mission in order to win the Google Lunar X Prize?

Both Ramsey and Montague insisted that could not happen.

"[The teams] have to file a mission plan with us," Ramsey said. "They have to send back images and video from the moon. I don't think in this day and age that it would be possible to fake this signal coming back."

@highlight

Google Lunar X Prize goes to the first team that can land a rover on the moon by 2012

@highlight

Rover must travel on the lunar surface for at least 500 meters, send back images

@highlight

There are 13 teams officially competing in the race; number is expected to grow

@highlight

The mission will probably cost much more than the $20 million first prize