Northern Syria (CNN) -- Syrian troops at a besieged military base just north of Aleppo fired out in three directions on Sunday in the face of a rebel onslaught, part of a high-stakes battle for a city where a top regional leader claimed war crimes are being committed.

For days, anti-government forces have been trying to take over the northern Syrian city, where many residents appear to support their cause, only to be answered by fierce fighting by the Syrian military.

The fight for the military base is one of many hotspots of violence raging around Aleppo, which is the commercial and cultural center of the Middle Eastern nation and its largest city.

CNN's Ivan Watson inside Syria

Yet it is indicative, in many ways, of what's going on, with the rebels attacking from seemingly many different directions and scores of troops inside firing back furiously with machine guns -- oftentimes straight into neighboring villages. Rockets and shells routinely land in residential communities, many of which are largely deserted as civilians flee the area.

On Sunday, families continued to use motorcycles, cars and whatever other means to escape the city. They are among the roughly 200,000 people in Aleppo and surrounding areas to flee shelling and heavy weapon fire over the past two days, according to Valerie Amos, the U.N.'s under-secretary-general for humanitarian affairs.

Nabil Elaraby, the head of the Arab League, said Sunday in a statement that his group supports calls from the Syrian opposition for an emergency U.N. Security Council meeting to address the situation in Aleppo.

Elaraby added that the group believes war crimes are being committed in the city.

Officials from the Arab League are planning visits to Russia and China hoping to persuade the superpowers, which have vetoed several resolutions over Syria, to change their stance, he said.

The regional group's statement came hours after Syria's top diplomat delivered ominous words about the battle for Aleppo, vowing that rebel troops would not gain control of the city.

"Since last week, (opposition fighters) planned for whatever they called the 'great Damascus battle,' but they have failed after one week," Foreign Minister Walid Moallem said during a trip to Iran, one of his nation's few remaining allies, in referring to a rebel offensive beaten back earlier this month. "That's why they moved to Aleppo, and I can assure you that they will fail."

But U.S. Defense Secretary Leon Panetta, speaking aboard a military aircraft Sunday traveling to North Africa and eventually the Middle East, predicted that government forces' violent crackdown in Aleppo will prove "a nail in Assad's coffin" by turning even more people against President Bashar al-Assad and his government.

U.S. increasing contacts with Syrian rebels

Aleppo was just one area hit by violence on Sunday. The city saw 11 deaths out of 114 nationwide, according to the opposition Local Coordination Committees of Syria.

At least 41 people were killed in Damascus and its suburbs, a figure that includes 18 unidentified bodies found charred on farms in Moadamiyeh, where a total of 36 people were reported dead. Another 33 died in the province of Daraa, and nine apiece were slain in the provinces of Homs and Deir Ezzor, the group said.

State media and activists reported violence elsewhere as well, including clashes in suburbs near the southwestern city of Daraa and the northwestern city of Idlib.

That said, Aleppo has gotten much of the attention in part because controlling it is considered key for the embattled regime and the anti-government fighters.

Regime forces are preventing fuel and food from entering Aleppo neighborhoods controlled by rebel fighters, opposition activists said. Rebels have had to set up medical clinics in homes.

"The situation in the city of Aleppo is very critical and quite serious," said activist Abo Hamdi from the neighborhood of Salahuddin, adding the "Free Syrian Army is preparing for a fierce battle."

Aleppo: Great world city in grip of war

Syrian TV reported that "terrorists" suffered heavy losses after clashes in three neighborhoods.

With relentless attacks rocking Aleppo, the head of a prominent Syrian opposition group pleaded for world allies to help arm rebels.

"Our friends and allies will bear responsibility for the terrifying massacres that will happen in Aleppo if they don't move soon. This regime is planning for a big massacre in Aleppo," Abdulbaset Sieda, head of the Syrian National Council, told reporters in Abu Dhabi.

He urged allies to act outside of the U.N. Security Council, as resolutions there can be vetoed.

"The rebels now are fighting with primitive types of weapons against the killing machine. We need weapons that will allow us to stop tanks and planes," Sieda said.

Libyan rebels move onto Syrian battlefield

Meanwhile, Syria's foreign minister decried what he called a "vicious" international plot against the Syrian regime.

"I can tell you that we are facing a global war against Syria, and as a proud Syrian I can tell you that it is a great honor to be part of a great country that is facing a ferocious attack by certain countries," he told reporters in Tehran after a meeting with his Iranian counterpart. Moallem also described a "media campaign" by the United States and others about chemical weapons in Syria.

Iran's foreign minister accused Israel of being behind "a conspiracy against Syria."

"It is completely ridiculous and delusive to believe that there is a possibility of creating a vacuum in the leadership in Syria," Iranian Foreign Minister Ali Akbar Salehi said. "We call upon the people of the region to be fully aware and not to move in the wrong direction, because there will be severe consequences that will go beyond the borders of the region to the outside world."

The Syrian crisis started in March 2011, after al-Assad's regime cracked down on peaceful protests.

More than 20,000 people, mostly civilians, have died in the conflict, the LCC said. Last week, U.N. Secretary-General Ban Ki-moon said almost 17,000 people have died.

CNN's Hamdi Alkhshali, Saad Abedine and Mohammed Jamjoom and journalists Mohamed Fadel Fahmy and Shiyar Sayed Mohamed contributed to this report.

@highlight

NEW: 114 die in Syria, including 41 around Damascus, an opposition group says

@highlight

Rebels attack a Syrian army base north of Aleppo; troops fire back in 3 directions

@highlight

Syria's foreign minister says rebel fighters "will fail" to take Aleppo, Syria's largest city

@highlight

Regime's assault in Aleppo will be "a nail in Assad's coffin," U.S. defense secretary says