(CNN) -- What is life like for the men who build Dubai's skyscrapers?

Human rights groups have repeatedly drawn attention to the low wages and living conditions of the emirate's corps of foreign workers (mostly from south and southeast Asia), but there have been few attempts to scratch the surface of their everyday life beyond the construction sites.

A new documentary that opened in Dubai cinemas this week is hoping to change all that.

"Champ of the Camp" chronicles an annual singing competition that takes place in Dubai's labor camps.

Like many of the city's migrant workers, the subjects put up with long working days, relative isolation and inhospitable weather so they can send money back home; sometimes to children awaiting school fees or daughters awaiting dowries.

"Camp ka Champ" (the Hindi name applied to the contest) offers them a rare bit of respite and the chance to earn cash prizes.

"The money I send back home to my family is how they make ends meet. It hasn't been easy; sometimes I feel I have no life," admits one contestant featured in the film.

Western Union is the official sponsor of the competition. According to Rupa Vinod, the managing director at Right Track, the advertising agency that set up the contest, the UAE represents one of the largest markets for the money transfer firm. Many laborers use their services bi-monthly to send remittances.

"While there's not a commercial angle to the contest, it does help build loyalty with the brand," Vinod admits. "People (in the camps) might trust the brand a little bit more now that it's closer to them."

Likened to "American Idol" with a Bollywood twist, Champ of the Camp has become increasingly popular over the years. When it launched in 2006, only 100 contenders auditioned. Last year, 3,000 applied.

First-place winners take home AED10,000 ($2,722), other contestants can win items like TVs and home appliances .

Though the subject of labor camps can be somewhat touchy in Dubai, with many expats living comparatively gilded lives at the expense of the city's migrant workers, there seems to be a lot of curiosity about how these men -- squirreled away into tower blocks on the fringes of the city -- live their daily lives.

More than 1,200 viewers turned up at the film's premiere at the Dubai International Film Festival.

"The Dubai public has a curiosity about the men who built the city for them," explains Mahmoud Kaabour, the film's director.

"Many people live here for years and enjoy the champagne lifestyle without ever knowing how the other half have come to be here or what kind of lives they have," he adds.

One of the more touching story lines in the film follows Adnan, a Pakistani worker who helped construct the Burj Khalifa.

"He could always see it in the remote distance, but he never walked along the fountains, or enjoyed its restaurants or went up to see its viewing deck," says Kaabour, who took him back to the site during filming.

"He stared at the tower and gave a really poignant reflection on what life in the Burj might be like compared to life in the camps. It was one of the critical scenes in the movie, and it really excited viewers."

At the end of the premiere, movie's characters took to the stage and performed a live concert, eliciting a standing ovation from the crowd. In a rare moment of engagement, many viewers hugged the participants and posed in photos with them.

Despite the movie's popularity and critical acclaim, the journey from film festival to cinemas has been a financial struggle, and unless Kaabour gets more funding for his project, the likelihood it will last past this week is remote.

"The UAE is a tremendously expensive place to film," says Eva Sayre, the film's producer.

"We were able to get a couple of grants, but otherwise, the entire thing came out of our own pockets."

In hopes of raising enough money for marketing and distribution, Sayre and Kaabour have launched a crowd-funding campaign through aflamnah, a Middle East version of Kickstarter.

"We want the general public to hear the laborers tell their stories and to know who they are, but we also want to invite further pondering about the labor camp institutions," says Kaabour.

"We hope we cracked a dialogue that's going to go a bit further now that the film has hit cinemas."

@highlight

Documentary Champ of the Camp Chronicles a singing contest in Dubai's labor camps

@highlight

The movie's subjects work long hours to send money home to their families

@highlight

The contest is sponsored by Western Union, which many use to send remittances