London (CNN) -- The British press should be regulated by an independent group supported by law and with the power to fine, a judge recommended Thursday in a long-awaited report sparked by a phone-hacking scandal at Rupert Murdoch's News of the World tabloid.

Judge Brian Leveson said he was not recommending that Parliament set up a press regulator, but that the industry should create its own, which would be backed by legislation to make sure it meets certain standards of independence and effectiveness.

Prime Minister David Cameron, who asked the judge to prepare the report, told Parliament after its release that he agrees with Leveson's recommendations for a new, strong, independent press regulator.

He said the onus is now on the press to implement the report's recommendations, "and implement them radically."

CNN Radio: British press react to hacking report

But Cameron said he is not convinced that legislation is needed to underpin the new body -- and he has serious concerns about taking that approach.

At the same time, the prime minister said that the "status quo is not an option" and that the victims of press abuses have "suffered in a way that we can barely begin to imagine."

News International, a subsidiary of the Murdoch-owned News Corp., backed Cameron's call for regulation without legislation.

"We accept that a new system should be independent, have a standards code, a means of resolving disputes, the power to demand prominent apologies and the ability to levy heavy fines," the company said in a statement.

Signaling a difference of views within the coalition government, Deputy Prime Minister Nick Clegg, who leads the Liberal Democrats, said he believes new legislation is needed to ensure the regulator's long-term independence.

Ed Miliband, leader of the opposition Labour Party, also said he favors full implementation of Leveson's recommendations, including the new legislation.

Cross-party talks are expected later Thursday to discuss a way forward.

Read the report summary (PDF)

In his report, Leveson said that he had no desire to jeopardize the freedom of the press, which he acknowledged plays a "vital" role in safeguarding the public interest, but that changes are needed to tackle abuses.

The British press has ignored its own code of conduct on "far too many occasions over the last decade," causing "real hardship" and sometimes wreaking "havoc with the lives of innocent people," Leveson said.

"This is not just the famous but ordinary members of the public, caught up in events (many of them, truly tragic) far larger than they could cope with but made much, much worse by press behavior that, at times, can only be described as outrageous," he said.

At the same time, no one proposed that the government or Parliament should be involved in regulating the press, Leveson said.

The judge recommends that the new body have new powers to impose tough sanctions against newspapers that break the rules, including the imposition of fines of up to 1% of turnover, to a maximum of 1 million pounds ($1.6 million).

Opinion: Why the UK should avoid muzzling its free press

The judge said the relationship between the press and politicians is mostly "robust," but sometimes the links can be "too close."

He highlighted as a concern "relationships between policy makers and those in the media who stand to gain or lose from the policy being considered."

This risks undermining public confidence in the press and politicians, he said.

Cameron said he accepted that more transparency was needed over such links.

But the prime minister pointed out that Leveson had "emphatically" rejected allegations that the Conservative Party had struck some kind of deal with News International.

This related to claims that its newspapers might have offered favorable coverage to Cameron in the expectation of "policy favors."

Cameron's government faced uncomfortable questions earlier this year over its handling of a bid by Murdoch's News Corp. to take over British satellite broadcaster BSkyB. The bid was eventually dropped.

Opinion: Why UK's shamed newspapers need regulating

The prime minister also backed Lord Justice Leveson's recommendations to break an "excessively cozy relationship" between the police and the press.

Leveson said there was a perception that some senior police officers within London's Metropolitan Police were too close to News International.

But he found no evidence that decisions to limit its earlier inquiries into phone hacking were due to undue influence or corruption.

Leveson said senior police officers should ensure greater transparency over their meetings with the press in the future, and they should not be able to move immediately from the police into jobs in the media.

The Metropolitan Police said that the integrity of its officers had not been questioned but that it would study the criticisms made in the report.

Commissioner Bernard Hogan-Howe said he had already taken "decisive action" to address issues that emerged during the inquiry.

"Our priority now is the victims of phone hacking and making sure they get justice," he said.

Opinion: Press dishes it out, but can it take it?

Leveson described his inquiry, which heard from hundreds of witnesses during eight months of hearings, as "the most concentrated look at the press this country has ever seen."

Those testifying included politicians including Cameron and former Prime Ministers Tony Blair and Gordon Brown; police and media players such as Murdoch; and victims of press abuses.

The inquiry was first announced by Cameron in July 2011 in response to public outrage over a newspaper phone-hacking scandal.

The trigger was the allegation that in 2002, the voice mail of a missing 13-year-old girl, Milly Dowler, had been hacked by an investigator working for the News of the World newspaper before she was found murdered. Compounding the anger was the claim (later dismissed by police) that messages were deleted by him from the schoolgirl's full voice mail box, giving her parents false hope that she was alive.

The furor forced the closure of the 168-year-old News of the World, owned by News International.

It also prompted a new appetite among Britain's public and political establishments to see the sleazy underbelly of (often tabloid) reporting exposed and steps taken to clean up the media's act.

Leveson's report was the subject of much speculation before its release. Freedom of expression groups warned of a potential impacts on freedom of speech, while campaigners for greater controls said regulation is essential.

The chairman of the Press Complaints Commission, David Hunt, said he did not agree with all Leveson's recommendations but all those involved must seek to unite around "common ground."

"We all agree that we must regain the trust and confidence of the British people to make sure that unacceptable, outrageous and illegal behavior can never be allowed to happen again," Hunt said in a written statement.

The Committee to Protect Journalists issued a release saying it is "deeply concerned" about the recommendations.

"A media regulatory body anchored by statute cannot be described as voluntary," the committee's executive director, Joel Simon, said in the release. "Moreover, adopting statutory regulation would undermine press freedom in the UK and give legitimacy to governments around the world that routinely silence journalists through such controls."

Index on Censorship, a free speech group, urged "serious, considered debate" about the points made by Leveson.

Chief executive Kirsty Hughes said: "We share David Cameron's concerns that statutory underpinning would undermine free speech, and could be the start of a slippery slope of government interference in the media."

Media reform campaign group Hacked Off launched an online petition that calls on the leaders of the three main parties to implement the Leveson Report's recommendations in full "as soon as possible."

Timeline of the UK phone hacking scandal

The actions of staffers at News Corp. and News International came under close scrutiny during the inquiry.

Among those to testify were Murdoch protege Rebekah Brooks, former chief executive of News International and onetime editor of the Sun and News of the World, and Andy Coulson, who also edited the News of the World. He went on to become Cameron's director of communications before resigning from that post early last year.

Both appeared in court Thursday morning to face charges of conspiracy to commit misconduct in a public office in connection with alleged illegal payments to public officials. They and three other accused were released on bail and ordered to appear in court again next week.

The scandal has also raised the specter of possible legal action against News Corp. staffers in the United States under the Foreign Corrupt Practices Act, which outlaws the bribery of foreign officials by U.S. firms.

However, analyst Porter Bibb in New York said the release of the Leveson report is "a nonevent" from the point of view of U.S. investors and would have no real impact on News Corp. stocks.

The corporation is doing well and Murdoch has come back "stronger than ever" following the pressure he was under to cede control of parts of his media empire early this year, Bibb said.

CNN's Jonathan Wald and Dan Rivers contributed to this report.

@highlight

Cross-party talks are to take place to discuss how to move forward

@highlight

David Cameron backs Leveson's call for a strong, independent press regulator

@highlight

Lord Justice Leveson says an independent regulator should be backed by law

@highlight

Leveson: The press has at times wreaked "havoc with the lives of innocent people"