London (CNN) -- The European Aviation Safety Agency has ordered checks for cracks in the wings of the Airbus A380, though it has stopped short of grounding the fleet. CNN examines some key questions about the aircraft and what it means for the passengers, the airlines and the manufacturers.

What is the Airbus A380?

The jet liner is a double-deck, wide-bodied aircraft made by Airbus -- a subsidiary of the EADS group -- and capable of carrying more than 800 passengers, though it routinely carries far fewer. It made its maiden flight in 2005 and first entered service with Singapore Airlines in 2007. As of January 31, 2012, the company said it had delivered 68 aircraft to customers and had orders for a further 185.

Which airlines fly it?

The Airbus A380 is currently in service with Air France, China Southern Airlines, Emirates, Korean Air, Lufthansa, Qantas and Singapore Airlines. Airbus says within the first three years of service, about 15 million passengers had flown in the jet.

Is there anything distinctive about the airliner?

Its potential capacity makes it the largest passenger carrier in the world -- although the Boeing 747-8 is a longer aircraft. David Kaminksi-Morrow, air transport editor of Flight International magazine, says it was developed to compete with the Boeing 747 which had dominated the jumbo airliner market for decades. "Apart from its size, the A380 is notable for its quietness," he said. "It's quiet both inside and out, and that's quite an achievement, and spacious. It's also an efficient aircraft -- it has a low fuel bill per passenger which keeps the airlines and the environmental lobby happy." Boeing says on its website that the 747-8 will be quieter, produce lower emissions and achieve better fuel economy than any competing jet liner.

So what's the problem with the A380?

The European Aviation Safety Agency (EASA) last month required checks for cracks in the 20 oldest aircraft after faults were found in the wing rib feet -- the bracket that joins the ribs to the wing surface.

It has now expanded the request that carriers carry out inspection and repair on the Airbus A380 before reaching 1300 flight cycles. For aircraft already very close to 1300 flights, a six-week window is being provided so they can plan ahead for their inspection to minimize disruption to their operations.

A spokesman for the aviation agency said the planes could still fly, but had to be checked within the time frame, and a long-term fix was being worked on with Airbus.

The original cracks were found as a result of investigations into a separate incident in which a Qantas A380 suffered an engine failure in November 2010.

If cracks are found, the airline must contact Airbus for instruction, the safety agency said.

Should passengers be worried?

Airbus Chief Executive Tom Enders told CNN's Richard Quest last month that the cracks in the wing rib feet were "minor" and that safety was an "absolute priority." Kaminski-Morrow also said he didn't believe safety was an issue, adding: "It's a structural issue and structural issues have to be investigated but the wing isn't going to fall off as a result of the problem. EASA could ground the aircraft if it wanted to -- but hasn't. It's not categorized as an emergency."

In response to last month's checks, Enders said: "What we have developed already is a repair solution, and this is what we will apply on the various aircraft if and where it is necessary." He also said the fault was confined to the A380 and confirmed that it was not a wider problem on the Airbus range.

What does it mean for Airbus?

Enders admitted the fault was embarrassing for Airbus but Kaminski-Morrow described it as more of a "teething problem." He told CNN Wednesday: "I don't think this will harm its reputation in the long term. The plane is very reliable and proving to be very popular. I think the airlines will stick with it. It's selling. The A380 is here to stay."

What about the competition?

The rivalry between Airbus and American competitor Boeing is intense. Both companies have accused each other of receiving illegal subsidies and in 2005 both filed complaints with the World Trade Organization.

The wide-bodied Boeing 747-8 was made in response to the A380 to battle for the custom of airlines running long-haul routes, and for freight trade -- and the manufacturers continue to upgrade their designs and improve efficiency. When the two models were compared by Flight International in 2006, the magazine concluded: "It will be another five years at least until it becomes clear who has got it right, but one thing is certain -- the airlines at last have what they always wanted and that is a choice of supplier at the top end of the size spectrum."

@highlight

The European air safety agency has ordered safety checks for all Airbus A380s after cracks were found in the wings

@highlight

The A380 can potentially carry more than 800 passengers and is said by an industry expert to be a very quiet aircraft

@highlight

Its main rival is the Boeing 747-8 which is also claimed to be quiet and efficient

@highlight

Airbus says it has found a "repair solution"