Frankfurt, Germany (CNN) -- Call him Charlie, Charles, Chuck -- whatever you want. It's all okay with him.

Beaming a warm smile from beneath his push-broom mustache, the softly spoken 74-year-old doesn't strike you as a pioneering innovator -- the man responsible for a breakthrough that's now driving forward the world of manufacturing.

But Chuck Hull -- "in this kind of environment, it's usually 'Chuck'," he says, as he sits down with CNN in Frankfurt, Germany -- is executive vice president and chief technology officer of 3D Systems, a company built on his creation: the 3D printer.

In 1983, Hull was working for a small business that made tough coatings for tables using ultraviolet lamps. When he suggested a new way to use the UV technology -- to quickly turn computer designs into working prototypes -- Hull was given a little lab to play around in during his evenings and weekends.

Hull experimented for months, on his own with a plastic-y gloop -- then one night, something emerged...

CNN: When you began, what materials exactly were you using?

Hull: The class of materials is called "photopolymers" and these are typically acrylic-based materials that would be liquid until they're hit with -- let's say -- an ultraviolet light. Then, they instantly turn solid. So, you have a vat of this liquid and a point of ultraviolet light, and you turn it into a solid piece of plastic.

And that's the basic method?

That's the basic methodology -- that's stereolithography. That's never changed.

Who was the first person you showed it to?

Er, my wife. I got a good part and called her up, got her out of her pajamas, told her to come down to the lab and see this.

What did she say?

"This had better be good!" (Laughs.)

Explore: The 3D printing revolution

And then, when did you see 3D printing take off?

Well, it's really blossomed just in the last few years -- in the sense of really rapid growth and recognition. There's a lots of things that contributed to that, I think: a lot of the medical applications catch peoples' imagination; certainly the maker movement, with low-cost machines getting hobbyists interested in inventing and building using 3D printing.

How did the process develop into what it is today?

One of the most significant [changes] is the basic accuracy you can achieve: because [the materials] cure from a liquid to a solid, they tend to shrink and they can distort. So as you build these 3D parts you get some inaccuracies and warp-age. But that chemistry has been vastly improved, so there's almost no distortion now. Also the physical properties: initially the materials were really brittle -- they would break easily. Nowadays you get really good, tough plastic materials.

I hear the word "democratization" used about 3D printing. Is that important to you?

The whole premise of this technology has been to foster creativity, and change in product design and manufacturing, and so forth. At the individual level, I think there's a great kind of pent up need: we've got into the computer age and everything is on a screen or remote, we've kind of missed the tangible result. This is a means to convert something on the computer to reality in a straightforward way.

Could you have imagined all this?

(Laughs.) Not at the consumer level. I was always thinking in terms of design engineers -- in terms of their expensive CAD computers and so forth.

What do you think the industry is worth now?

I think, well, in terms of the total goods and services, it's about $3 billion annually and it's actually growing at a rapid rate.

Are there limits to what 3D printing can do?

There's limits to everything. So, the kind of traditional limits of 3D printing have been: material properties, speed, making millions of things. But all the competitive companies are just constantly pushing those limits, so if you're projecting the future, it looks like these limits are going to be beat down over the next couple of years.

What has surprised you most?

To me, some of the medical applications. I didn't anticipate that, and as soon as I started working with some of the medical imaging people, it became pretty clear that this was going to work. But, you know, they told me, I didn't tell them.

What does your wife say?

(Laughs) She's probably more enthusiastic than I am, so she's very excited about this whole field.

You made your discovery 30 years ago: how have you felt along these long 30 years? I mean, it's exploded hasn't it?

Well, you know I'm old enough that I should have retired long ago, but it's so interesting that I don't. It's a really interesting journey.

Watch the video above for more from Chuck Hull about his incredible invention and 3D printing today.

@highlight

Chuck Hull is the American engineer who invented 3D printing

@highlight

Hull created the first 3D printer in 1983 and has been refining his creation ever since

@highlight

He says the process has "blossomed" in the last few years