Israeli forces dropped leaflets in northern Gaza on Sunday to warn residents to move away from Hamas sites to avoid military strikes.

The warning came as the death toll in Gaza reached 172, with more than 1,250 people injured, the Gaza Health Ministry said early Monday.

About 70% of the fatalities were civilians, of which 30% were children, said Chris Gunness, spokesman for the United Nations Relief and Works Agency for Palestine Refugees, which said the figures came from the U.N. Office for the Coordination of Humanitarian Affairs.

Israel said its forces have struck 1,320 "terror targets" across Gaza, including 735 concealed rocket launchers. Seventy percent of Israel's population lies within range of Hamas rocket attacks, the Israel Defense Forces said.

One airstrike targeted the house of the head of the Gaza police, Tayseer al-Batsh, and killed at least 18 people and injured 50, Palestinian security and medical sources told CNN on Sunday. The attack happened late Saturday.

Israel has used its Iron Dome defense system against many of the more than 800 rockets fired from Gaza into Israel, the military said. Two more were intercepted Sunday over the Tel Aviv metropolitan area.

One rocket that hit the city of Ashkelon on Sunday severely wounded an Israeli teen, the Israel Defense Forces said.

"All sides ... must respect the sanctity of civilian life," Gunness said on Twitter.

Pierre Krahenbuhl, head of UNRWA, planned to visit Gaza on Sunday, but the Israeli military did not authorize the mission for security reasons, Gunness said.

German Foreign Minister Frank-Walter Steinmeier will hold meetings in the region in the coming days.

"Hope for peaceful resolution seems to be even further away," he said Sunday in a written statement, according to a CNN translation. "Nevertheless, in this crisis we must establish dialogue with the political decision makers. That is why, above all, it is about ongoing talks in Amman, Jerusalem and Ramallah."

U.S. Secretary of State John Kerry spoke by phone with Israeli Prime Minister Benjamin Netanyahu, a senior State Department official said. Kerry "condemned the rocket attacks from Gaza into Israel, and stressed Israel's right to defend itself," the official said.  Kerry also discussed U.S. concerns about escalating tensions and reiterated the U.S. is prepared to help facilitate a ceasefire, the official said.

Gazans trickle out of north

Articles on Palestinian news sites showed residents trickling out of northern Gaza, headed to U.N. facilities.

But not all U.N. facilities may be safe from violence. "Worryingly, in the past 24 hours, nine UNRWA installations have been damaged," Gunness said Sunday.  "All of these were schools, in Gaza City, the middle and north areas and around Rafah in the south of Gaza."

Some residents said they won't leave home. "They will not vacate. ... Where do we go?" asked Ramez Al-Madhoun, who lives in a building with 20 people in Beit Lahya. He said his building is home to seven adults, the rest children. In the background, the sound of rockets rang out from his northern Gaza neighborhood.

Gazans generally are not allowed to cross into Israel, and Gaza's border with Egypt is closed. Many people from northern Gaza who have relatives elsewhere in the territory have left their homes.

The U.S. Consulate General in Jerusalem assisted 150 U.S. citizens in evacuating out of Gaza and into Jordan on Sunday, the consulate said in a Facebook post.

Battle over 'human shields'

Video on Hamas-run television showed a Hamas spokesman urging people to serve as human shields, CNN's Jake Tapper reported Thursday.

Palestinian sources have also described some deaths in the conflict as being people who formed a "human shield."

But former Palestinian adviser Diana Buttu told "The Lead with Jake Tapper" that she does not believe "people are going to listen to somebody who says stay inside while your house is being bombed."

Hamas, the Palestinian militant group that controls Gaza, regularly uses sites and facilities populated by civilians.

"The leadership of Hamas and the other organizations has chosen -- at a time when they are using the population of Gaza as human shields -- to hide under ground, to flee abroad and to deliberately put civilians in the line of fire," Netanyahu told a Cabinet meeting Sunday.

"This is the entire difference between us and Hamas -- we are using defensive systems against missiles to protect the residents of Israel, and they are using the residents of Gaza to protect arsenals of missiles. Nothing better underscores the difference in this campaign. Israel is a democracy that is fighting -- in a legitimate and focused manner -- against unbridled terrorists," he said.

The Palestine Liberation Organization, meanwhile, announced that it will ask the United Nations Committee on the Elimination of Racial Discrimination, at its annual meeting in August, to designate Israel as an "apartheid state."  And Palestinian Authority President Mahmoud Abbas will ask the United Nations "to officially put the State of Palestine under the UN international protection system," the PLO said.

Israel raids missile site

Israeli forces briefly entered Gaza early Sunday and raided a missile launching site, an Israeli military source said.  It marked the first time Israeli forces have acknowledged they've entered Gaza in the current conflict.

During the incursion, which lasted about half hour, both sides exchanged gunfire at the launch site, the source said.

Four Israeli soldiers suffered light injuries, but all the troops returned home safely, the source said.

The source declined to comment on whether the mission achieved its objective.

It likely won't be the last mission of this type, an Israeli military spokesman told CNN's Wolf Blitzer.

"We can expect these type of activities taking place," IDF spokesman Lt. Col. Peter Lerner said. "Special ops that happen usually below the radar, in and out, swift missions, quickly, concise and very precise at what they're doing, to get that added value to safeguard Israeli lives."

Lerner would not give specifics, but said leaflets had warned residents of one town in Gaza to evacuate ahead of military action. He said the area was the source of many rockets fired at Israel.

Israel: 'What would you do?'

Throughout the conflict, Israel has warned Gaza residents of upcoming attacks targeting militants and terrorist infrastructure. On Twitter on Sunday, the IDF posted: "To warn civilians of an impending strike, the IDF drops leaflets, makes personalized phone calls & sends SMSes. How many militaries do that?"

"Sirens heard across (Israel). Gaza terrorists are firing barrages of rockets. Israel is under attack," the IDF posted, with a photo asking "What would you do?"

Another tweet Sunday showed large trucks. "As rockets fall on Israel, we keep our crossing to Gaza open. 59 truckloads of goods are about to reach Palestinians," the post said.

Hamas posted Saturday on its Twitter feed that it was going to strike Tel Aviv. "Palestinians are defending themselves," the group posted Sunday, with a video that it said showed it targeting a tank.

Hamas also tweeted that the "death toll rises to 162 martyrs" from Israeli airstrikes.

In leaflets dropped Sunday, the IDF warned residents that it intends "to attack terrorists and terror infrastructures." The leaflets list areas that will be targeted. "Israel is currently attacking, and will continue to attack, every area from which rockets are being launched at its territory."

The leaflets told residents which roads were safe to take and gave a time frame. "The IDF is not interested in hurting you or your family members. These operations are limited and short. Whoever does not adhere to these instructions and does not vacate their house immediately is subjecting their lives and the lives of their children and family to danger," the leaflet said.

The Israeli military said it also drops empty shells on roofs, an operation it calls "roof knocking," to alert civilians that airstrikes are imminent.

The goal of the airstrikes, the military said, is to get Hamas militants to stop firing rockets into Israel.

Hostilities between the two sides escalated this month after the killing of three Israeli teenagers and a Palestinian teen. Neither Hamas nor Israel appears to be backing down.

More than 10,000 Palestinians are displaced and hundreds of thousands have been affected by damage to water infrastructure, said UNWRA, the refugee agency.

Concerns about a ground invasion by Israeli forces are growing, prompting the U.N. Security Council to call for a cease-fire between Israeli forces and Palestinian militants.

Pope calls for Middle East cease-fire

@highlight

The death toll in Gaza reaches 172, health authorities say

@highlight

One airstrike targeted the house of the head of the Gaza police

@highlight

IDF spokesman calls raid in Gaza a special operation, indicates there will be more

@highlight

Palestinians to push U.N. to designate Israel "apartheid state"