Seattle (CNN) -- Even as snowfall slowed Wednesday in the Pacific Northwest, officials warned that falling temperatures would make roads icy and dangerous for drivers.

"We are seeing multiple spinouts and collisions," the Washington State Department of Transportation reported on its website, advising drivers to slow down as road conditions worsened.

Some normally busy streets in Seattle looked more like ski runs, as residents with sleds and snowboards took advantage of what could be one of the area's largest snowfalls in decades.

The National Weather Service canceled a winter storm warning for the area Wednesday afternoon, but said a winter weather advisory would remain in effect until midnight. Light snowfall was expected to continue throughout the evening.

High-wind warnings were in effect along the coast, where winds could gust to hurricane force, knocking down trees and causing power outages, said CNN meteorologist Taylor Ward.

Wednesday's snowfall in Seattle may equal its annual average, Ward said.

CNN affiliate KOMO showed images of overturned vehicles and carports and awnings that collapsed under the weight of the snow.

Precipitation moving in from the south and west is combining with cold air moving south from Canada to create the heavy snowfall, said Dustin Guy, a meteorologist at the weather service's Seattle office.

If snowfall amounts top 7 inches, the winter weather event will rank among Seattle's 10 worst since the early 1940s, when record-keeping began, he added. A series of severe winter storms and record-breaking cold also hit the region in the 1950s, according to CNN affiliate KOMO.

While that amount of snow is no problem in places that receive snow regularly, heavy snowfall is relatively rare in Seattle, where steep hills can make winter travel treacherous.

"This city shuts down when winter hits. It's nuts. ... This city is just so unprepared for snow," Derek Stanek, 25, told CNN's iReport.

Are you there? Share your photos and video

Nevertheless, city officials maintained they were ready for the storm.

Deicing measures were in place on bridges and overpasses, emergency shelters were opened, schools were closed and some flights were canceled.

Using a ruler outside his home near Tacoma, Washington, Joel Pederson measured 6 inches of snow Wednesday. And it was still coming down, Pederson told CNN's iReport.

"We have not had this much snow since the 1980s," he said.

Official snow measurements for the day were not expected until Thursday morning.

But Washington's capital, Olympia, had already received 13 inches of snow by Wednesday afternoon: the third highest 24-hour snowfall on record and the largest amount of snow that had fallen there since 1972, when 14.2 inches of snow fell in one day.

As of late Wednesday morning, the Seattle-Tacoma International Airport had received 4 inches of snow, with 4.7 inches measured in Tacoma, as the second of twin winter storms moved through, according to the National Weather Service

Up to 8 inches of snow was forecast for the metropolitan area.

The town of Winlock, Washington, about 105 miles south of Seattle, had received 16 inches by late Wednesday morning, the weather service said. The town of Chehalis, about 18 miles north of Winlock, had 14 inches.

Mountainous areas of the Pacific Northwest will see even more snow, with the largest accumulations on the eastern slopes of the Cascades, according to the weather service. Significant snowfall is expected across southern Washington, northwest Oregon and into western Idaho.

From late Tuesday through early Thursday, 2 feet to 3.5 feet of snow is forecast for the mountains east of Seattle, Guy said. Mount Rainier could see 10 feet of snow by Friday.

However, the snow in Portland, Oregon, had changed into heavy rain Wednesday morning as warm air intruded into the area. The city was under a flood advisory because of the rain and melting snow, the weather service said.

High winds were also forecast for the area. At Otter Rock, on the central Oregon coast, a gust of 110 mph was recorded, CNN meteorologist Sean Morris reported, along with gusts topping 80 mph at Lincoln City and Florence.

The first storm moved into the area Monday and Tuesday.

"It's pretty big when you get back-to-back storms like that," weather service meteorologist Roger Cloutier said.

Winter storm warnings Wednesday touched portions of eight states, stretching into Montana, Utah and Wyoming.

The snowfall extends south into Oregon, with as much as 18 inches forecast for the Bend area. CNN affiliate KTVZ in Bend said an earlier round of snow over the weekend gave a boost to local ski resorts but also created dangerous driving conditions that left at least one motorist dead.

Those conditions were expected to worsen.

"Expect extreme travel difficulties to develop on Wednesday," the weather service said, advising those who must take to the roads during the storm to carry a flashlight, blankets and extra food and water.

The Washington State Department of Transportation said 1,250 workers will use nearly 500 pieces of equipment statewide to treat and plow roadways.

The heavy snowfall will be followed by rain in Seattle, which could produce accumulated water and urban flooding, Guy said.

"It's just gonna be a mess all around," he said of the coming few days in the Seattle area.

CNN's Thelma Gutierrez, Brad Lendon, Sean Morris and Christina Zdanowicz contributed to this report.

@highlight

NEW: Officials say falling temperatures will make roads dangerous for drivers

@highlight

A CNN affiliate shows images of overturned vehicles and collapsed carports

@highlight

The storms could be among the area's 10 worst since record-keeping began in the 1940s

@highlight

Officials warn of treacherous travel conditions