(CNN) -- Sen. John McCain called Monday for the United States to lead an international effort to protect the Syrian population by carrying out piloted airstrikes on Syrian government forces.

"Providing military assistance to the Free Syrian Army and other opposition groups is necessary, but at this late hour, that alone will not be sufficient to stop the slaughter and save innocent lives," the Arizona Republican said in an impassioned speech in the U.S. Senate. "The only realistic way to do so is with foreign air power."

The goal, added the ranking member of the Senate Armed Services Committee, should be to establish and defend safe havens, primarily in northern Syria, where opposition forces could organize their efforts. "These safe havens could also help the Free Syrian Army and other armed groups in Syria to train and organize themselves into more cohesive and effective military forces, likely with the assistance of foreign partners," he said.

McCain, a Vietnam War veteran, said that any such effort would require taking out Syria's air-defense systems. "We're the only ones who can do that," he said.

But he predicted that some kind of intervention will happen, even if the United States does not act. "So the real question for U.S. policy is whether we will participate in this next phase of the conflict in Syria, and thereby increase our ability to shape an outcome that is beneficial to the Syrian people, and to us. I believe we must."

McCain's remarks came as opposition activists said another 26 people died Monday in the nationwide campaign by Bashar al-Assad's regime to crush the nearly year-old protests against his rule. The United Nations says at least 7,500 people have died in the crackdown, while opposition activists put the toll at more than 9,000.

McCain said that any effort must include other nations. "We should seek the active involvement of key Arab partners," such as the United Arab Emirates, Saudi Arabia, Jordan, Qatar "and willing allies" in the European Union, NATO and Turkey, he said.

McCain acknowledged that his proposal is a risky one, that the opposition lacks cohesion and that the American public has wearied of war, but said that should not dissuade U.S. officials from moving forward. "There are no ideal options in Syria," he said. "We need to deal with reality as it is, not as we wish it to be."

He added, "The Syrian people deserve to succeed. Shame on us if we fail to help them."

Defense Secretary Leon Panetta was noncommittal. "The secretary is interested in exploring options that could help end the brutal violence in Syria, but he also recognizes that this is an extremely complex crisis," a senior Pentagon official said. "Intervention at this time could very well exacerbate problems inside the country."

McCain's call to arms came as diplomatic efforts were moving. After days of trying to obtain permission from Syrian authorities to travel to the country, Valerie Amos, U.N. under-secretary-general for humanitarian affairs and emergency relief coordinator, will arrive Wednesday in Damascus, she said. Syria decided to permit the two-day planned visit.

"As requested by the secretary-general (Ban Ki-moon), my aim is to urge all parties to allow unhindered access for humanitarian relief workers so that they can evacuate the wounded and deliver essential supplies," Amos said in a statement.

Syria said Amos will arrive Tuesday evening. She will meet with Foreign MInister Walid al-Moallem and "will pay visits to some areas in Syria," state-run news agency SANA reported.

Amos was denied access last week by the government, which said it was not a "suitable time" to visit, Syrian state-run TV reported.

Kofi Annan, the former U.N. secretary-general who is now special joint envoy to Syria for the United Nations and the Arab League, will fly Saturday to Damascus, an Arab League official said.

He will be accompanied by his deputy, former Palestinian Foreign Minister Nasser al-Kidwa. Their goal will be to persuade President Bashar al-Assad to stop the killing, the official said.

SANA reported that Syria "welcomes the visit of Kofi Annan, envoy of the U.N. secretary-general."

The announcement came as government troops broadened their lethal focus from the western city of Rastan, which was pummeled over the weekend, opposition activists said.

Complicating the matter is the assertion by several Obama administration officials that the United States sees increasing involvement by and military aid from Iran in the attacks against opposition to the Syrian regime.

They say they believe Iran wants to do whatever it can to ensure the survival of the regime of al-Assad, one of Tehran's closest allies.

"The aid from Iran is absolutely on the rise and is of very real concern," a U.S. official told CNN. "Tehran has supplied equipment, weapons and technical assistance -- notably computer monitoring tools -- to help suppress unrest."

Iranian officials have traveled to Damascus to deliver the aid, the official said.

A second U.S. official told CNN the assistance includes money and training, as well as weapons and riot gear.

Neither of the officials would be identified due to the sensitive nature of the intelligence information.

Syria's military has been reduced only slightly by defections to the opposition, U.S. officials say. The latest U.S assessment is that as many as 10,000 Syrian troops may have defected, but that represents fewer than 2% of Syria's more than 600,000-man active-duty and reserve force.

The news of diplomatic movement came as the body count continued to mount. At least 19 people were killed on Monday, including two children, according to Local Coordinating Committees of Syria, a network of opposition activists.

Most of the dead were in Homs, where 11 people were killed, the LCC said.

The state-run Syrian Arab News Agency said families forced to flee during the month-long siege of the city were returning home "after authorities restored stability and security" to the neighborhood of Baba Amr, the heart of the uprising. It said security forces had seized a factory for makeshift explosives and rockets, as well as tunnels "used by the terrorists to smuggle weapons."

Residents of the devastated neighborhood endured another day with scarce or no access to running water, electricity and medical supplies, as the humanitarian toll of the nearly year-old Syrian conflict escalates. Carla Haddad Mardini, spokeswoman for the International Committee of the Red Cross, said Monday that aid workers still were not allowed to enter Baba Amr.

Mardini said the ICRC and the Syrian Red Crescent were delivering food and hygiene kits in two neighborhoods adjacent to Baba Amr -- al-Tawzee and al-Inshaat.

"We were supposed to be there yesterday but we were not allowed," Mardini said. "A convoy of aid materials arrived today to Homs from Damascus and it contains food supplies to cover the needs of several thousand people."

Another two were killed in Idlib, two more in Daraa and two in the suburbs of Damascus, with one death each in Aleppo and Hama, another flashpoint in the ongoing struggle, the LCC said.

CNN cannot independently confirm reports across Syria because the government has severely restricted the access of international journalists. But the vast majority of reports out of Syria indicate al-Assad's forces are slaughtering civilians in opposition hotbeds in an attempt to wipe out dissidents.

The Syrian regime has consistently blamed violence on "armed terrorist groups" and portrayed its forces as trying to protect the public interest and security. The Syrian government says more than 2,000 security personnel have been killed in the violence, including 12 "martyrs" it said were buried Monday.

The Syrian regime has ramped up raids and arrests across the country, detaining hundreds of civilians in the past two days, the network said. It said Syrian journalist and blogger Rafaa Masri was among those recently detained.

The U.S. Treasury announced Monday it was identifying the Syrian General Organization of Radio and TV as subject to sanctions imposed against Syria in August.

"The General Organization of Radio and TV has served as an arm of the Syrian regime as it mounts increasingly barbaric attacks on its own population and seeks both to mask and legitimize its violence," the director of the Treasury's Office of Foreign Assets Control, Adam Szubin, said in a statement. "By taking this action today, Treasury is sending a clear signal that it stands with the Syrian people. Any individuals or institutions supporting its abhorrent behavior will be targeted and cut off from the international financial system."

As many as 2,000 Syrians have crossed into Lebanon since Sunday, according to Dana Suleiman, spokesman for the United Nations' refugee agency UNHCR in Beirut. They came from Homs province, she said.

Explosions and gunfire could be heard Monday in the Jib Jandali neighborhood of Homs province, according to the Syrian Observatory for Human Rights.

Rebel forces said they drove out the army from Rastan -- but acknowledged that most of their fighters had retreated from the besieged area, which is located between the flashpoint cities of Homs and Hama.

Capt. Ammar al-Wawi said the Free Syrian Army's withdrawal from Rastan "was strategic to save the people's lives."

"We don't want to give the regime any excuse to kill more civilians," Wawi said Monday. "It was a tactical withdrawal in order to create better circumstances and to get ready for the next step."

Though they are outnumbered and out-armed by the Syrian military, members of the Free Syrian Army managed to attack an air force intelligence building in Harasta, near Damascus, with machine guns Sunday night, FSA deputy head Malek al-Kurdi said.

Wawi said a growing number of defections from Syrian troops are affecting the government's tactics.

"The regime is avoiding direct confrontations with the FSA fighters, so they attack and bomb the cities using artillery ... and rockets because when they fight us on the ground, we always end up getting more defectors joining our sides," he said.

CNN's Saad Abedine, Ted Barrett, Barbara Starr, Hamdi Alkhshali, Salma Abdelaziz and Holly Yan, and journalists Omar Muqdad and Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Opposition activists say 26 people were killed around Syria on Monday

@highlight

McCain says foreign air power is "the only realistic way" to protect Syrians

@highlight

U.N. relief coordinator to arrive Wednesday in Damascus

@highlight

U.S. Treasury says Syrian Radio and TV are subject to sanctions