(CNN) -- If Roger Moukarzel's camera could talk, it would have some colorful stories to tell. From the front line of the Lebanese wars, to the bewitching fashion houses of Italy and France, the Beirut-born photographer has crossed every continent in search of the perfect picture.

Born in 1962, Moukarzel says his calling was thrust upon him as a teenager, when civil war broke loose on his doorstep and he felt a duty to document it. For 15 years he worked for news agencies Sygma and Reuters, capturing the spectacle and chaos of combat.

Swapping the battlefield for haute couture, Moukarzel's fashion shots have featured on the cover of Elle magazine, while his advertising work has earned him three Pikasso d'Or Billboard Advertising awards over the past decade.

On his latest journey, Moukarzel swapped the baking streets of his home in Beirut for the glacial forests of Lulea in northern Sweden, more popularly known as the reindeer haven of Lapland.

Here he would fuse his experience of both documentary and fashion photography to create a series of staged images that tell the story of how climate change is impacting the life and landscape of the Sami -- an indigenous people who live across four nations in northern Europe.

See more Fusion Journeys

He was met in Lulea by local part-time photographer and full-time reindeer herder Carl-Johan Utsi, himself a member of the Sami. Utsi's knowledge and experience proved invaluable to Moukarzel as he attempted to tackle the rugged and frost-bitten landscape of Lulea.

Here, CNN asks Moukarzel to look back over his Fusion Journey.

CNN: Describe the photographs. What was the thought behind their composition?

Roger Moukarzel: This series shows members of the indigenous Sami people from northern Scandinavia, dressed in their beautiful, very flamboyant traditional clothing. They are stood in the snow in this incredible landscape of Lulea, but right behind I placed an image of industry ... a big factory.

Many of the people that are suffering the effects of climate change have not done anything to contribute to it, and areas that are being destroyed are often far away from where the pollution is made. The idea with the images is to bring these two realities closer together.

CNN: What drew you to make this journey in the first place?

RM: I believe that the role of the photographer is not only to take nice pictures, but to show people something that changes how they see and understand the world.

There are lots of pictures out there of ice-caps melting, forests being chopped down and so on. They are very direct images. But I wanted to tell the story of an indirect process, a story that somehow shows the chain of events from factory pollution on one hand to habitat destruction on the other.

This journey for me was about creating images that would have an impact -- that would ask the viewer to think about the cause and effect of climate change.

CNN: Why Lulea?

RM: The Samis are fighting everyday to preserve their traditions and culture. They mainly make their living from fishing and reindeer herding. The environment is really crucial for them and they are aiming to live in harmony with it.

But in the past few years, these people have really experienced climate change. Their livelihood has been affected because they've not been able to travel on the frozen lakes. Why? Because they're no longer frozen! They are in crazy situation where they have to transport reindeer by truck because it is not safe for them on the ice.

I was told that two years ago, a whole herd of reindeer died in the mountains because the ice beneath them just gave way.

See also: Indian master chef gets fresh in Denmark

CNN: What were you first feelings encountering the landscape and the people?

RM: It's interesting because for this project I had done a lot of research -- I felt like I had really immersed myself in the location before I got there, and that I would have a good idea of what to expect.

But nothing prepares you for the reality -- the sudden impact of the scenery, the extreme cold, the deep beauty of this dreamlike land. It goes to show that nature is much deeper than what you can ever see in a photo ... this is something I always have difficulty accepting as a photographer!

As for the people, they were wonderful. So warm, smiling -- despite all that is happening. They went out of their way to help me.

CNN: You collaborated with local photographer Carl-Johan Utsi, did you work well together?

RM: I could not have done it without him. As a fellow photographer, I think he understood my intentions much more, and as a Sami himself -- his knowledge and understanding of the people and the area was very important.

From a technical point of view, his experience of shooting in extreme weather was very useful. It's not something I've ever done before and he showed me what to do when my camera froze, how to deal with the surroundings from a photographer's perspective.

We had a lot of practical difficulties setting up the shoot, transporting the canvas and equipment across a very challenging landscape, and he was there for guidance at each step.

CNN: Are you happy with the results?

RM: Yes, very much so. I think there is a lot going on in these photos. You have elements of indigenous culture -- the colorful dress and these remarkable people; you have the striking, other-worldly landscape; and finally you have this shocking image that grabs your attention and gives the photograph its important meaning.

But ultimately, the images are only truly valuable if they have some sort of impact. Already, I think, just by being on CNN, by you talking to me now, I can say that they are having this impact.

From here I will be traveling to at least 12 other countries using the same idea, the same motif. I'm going to go to every continent to show the real impact that climate change is having ... So this was the start of my journey, and I hope you'll be there when I reach the end.

@highlight

Lebanese photographer Roger Moukarzel travels to north Sweden to document climate change

@highlight

Moukarzel teams up with local photograher Carl-Johan Utsi, a member of the indigenous Sami people

@highlight

Moukarzel's images contrast the beauty of landscape and people with industrial pollution