(CNN) -- When European explorers were planting their flags all over North and South America, they referred to the territory as the "New World." That was a misnomer. For while the Americas might have been "new" to the Europeans, they weren't new on the world timeline.

Things were happening in the Western Hemisphere a long, long time ago, as the sites on this list (a very small sampling) demonstrate. Some you might know already; others might come as a surprise. Many of them are sites of active archaeological research that continues to unearth new examples of very interesting old stuff.

15 ancient ruins you might not know

Tiwanaku, Bolivia

Theorists have explained Tiwanaku as everything from a temple complex built by nomads to the work of an extraterrestrial society. Its truth is only slightly less extraordinary, and it tantalizes with questions of why and how a city of temples, public buildings, homes, streets and irrigation systems was built at 13,000 feet above sea level in the Altiplano of the Bolivian Andes.

Between 500 and 900 A.D., the Tiwanaku civilization numbered in the hundreds of thousands. By 1200, they were gone. Archaeologists continue to study the site, even constructing reed boats to demonstrate how stones weighing several tons might have been transported from one shore of nearby Lake Titicaca to the other. You'll need imagination to picture Tiwanaku as it was; a visit during the winter or summer solstice celebrations can enhance its mystical qualities.

Dinosaur Provincial Park, Alberta, Canada

About 75 million years ago, western Canada was part of an island continent called Laramidia, and this 30-square-mile expanse of badlands was populated by creatures great and small. Sounds like the start of a fantasy novel, but it's a dream come true for anyone fascinated by dinosaurs.

UNESCO adds 19 sites to World Heritage List

Since the turn of the last century, when paleontologists began working here in earnest, the park has yielded thousands of prehistoric remains, including hundreds of complete dinosaur skeletons from the Late Cretaceous Period.

At the park you can join in or observe current fieldwork. There are activities for families and kids, guided and self-guided tours, and sunset excursions for photographers. To see more specimens recovered from the park, visit the Royal Tyrrell Museum in Drumheller, two hours away.

Tikal, Petén, Guatemala

With its five towering pyramids, probably built between 250 and 900 A.D. (ongoing research regularly revises the dates) and situated to correspond with the position of the sun, Tikal is the site by which other Mayan archaeological sites are measured, both in scope and significance. Tikal National Park also encompasses Uaxactún -- once a separate city -- as well as nearly 55,000 acres of rainforest that add to its beauty and mystery.

The Petén Region in northern Guatemala continually yields archaeological discoveries from the Maya, such as the stunning frieze found in Holmul earlier this year. The murals at San Bartolo are under consideration for UNESCO World Heritage site status. In neighboring Honduras, is the Mayan site of Copán -- founded by a splinter group from Tikal.

Monte Albán, Oaxaca, Mexico

Monte Albán is a marvel of urban planning, especially when you consider that the Olmecs -- and later the Zapotecs -- who built it did so by carving its terraced landscape out of the mountainside. And they began construction sometime around 500 B.C. It was built to be grand, from the ceremonial pyramids to the stadium surrounding the ball court, and because it's so impressive Monte Albán tends to be heavily visited today.

The most famous artifacts are the series of Olmec carved stone slabs known as Los Danzantes (The Dancers) because it was originally assumed they depicted dancing men. Current scholarship says they depict disemboweled prisoners of war, which would be strange, yet in keeping with the unusual artistic sensibilities of the Olmecs.

Parque Museo La Venta, Villahermosa, Tabasco, Mexico

It's hard to know what to think about the Olmecs. They practiced ritual human bloodletting and raised dogs that they subsequently ate as part of their regular diet. On the other hand, they're probably responsible for introducing chocolate to the world. They also left a wondrous legacy of carved stone sculptures, especially the enormous stone heads for which they're known.

Many Olmec sculptures discovered at San Lorenzo Tenochtitlán in Veracruz and at La Venta in Tabasco -- Olmec settlements dating back to 1200 B.C. -- have been relocated to museums where they're more accessible for public viewing. You'll find more than 30, including three 20-ton heads, at Parque Museo La Venta in Villahermosa. The 16-acre park is known for its tropical foliage and for the dramatic sound and light show that illuminates the sculptures at night.

Chan Chan, Peru

Machu Picchu is the most widely known archaeological site in Peru, the Nazca Lines are arguably the most mysterious, but Chan Chan, located about three miles from Trujillo, deserves mention because while its past is documented, its future is uncertain.

The capital of the Chimú culture, Chan Chan probably dates back to before 850 A.D. At its peak in the early 1400s it had a population of 30,000 before the Inca came and wiped it all out. What remains of the huge earthwork city is still astounding -- networks of beautifully carved and sculpted adobe walls delineate enclaves devoted to work, worship and family life.

About five square miles of the Chan Chan site is on the UNESCO World Heritage list, but even UNESCO can't stop the wind and weather from slowly eroding Chan Chan.

Cahokia Mounds State Historic Site, Collinsville, Illinois, United States

Cahokia Mounds looks like a grouping of giant lumps in the earth -- hills where no hills should be, built by the Mississippian culture more than 1,000 years ago. The largest is 100 feet high and bigger than the Great Pyramid of Giza at its base.

Around it once stood wooden houses and plazas where people gathered for ceremonies that involved a potent concoction called Black Drink and competitions in a vigorous sport called chunkey. Inside the mounds, archaeologists have found a wealth of objects including unexpected specimens like shark's teeth carried from the Gulf of Mexico to western Illinois in some way yet to be determined. In fact, much of what went on at Cahokia is still undetermined, including why this thriving community -- the oldest pre-Columbian settlement north of Mexico -- disappeared in the early 14th century.

Rock Art of the Lower Pecos Canyonlands, Texas, United States

Around Comstock, Texas, where the Pecos River meets the Rio Grande, acres of unremarkable terrain hold a remarkable surprise: cave paintings (pictographs) and carvings (petroglyphs) made by the prehistoric hunter-gatherers who lived here thousands of years ago. They're not especially easy to reach, which has been their salvation, having left them largely unmolested throughout the centuries.

Recently archaeologists have been working to raise awareness of the sites in order to catalog, preserve and protect them. Guided tours at Seminole Canyon State Park take you on a rigorous 1.5-mile hike to the Fate Bell Shelter. Other tours conducted by members of the nonprofit Rock Art Foundation visit sites located on private land. Panther Cave and Parida Cave in the Amistad National Recreation Area near Del Rio are accessible by boat.

@highlight

Things were happening in the 'New World' a long, long time ago

@highlight

See where the dinosaurs roamed at Dinosaur Provincial Park in Alberta

@highlight

Explore marvels of the Olmec culture in Tabasco and Oaxaca, Mexico