(CNN) -- Once again, the news from Afghanistan fills us with sadness and suggests that perhaps we should despair, that maybe it's time to give up hope for the country.

On Thursday morning, an Afghan guard allegedly opened fire at the gates of a hospital in Kabul, killing three Americans, including Chicago pediatrician Jerry Umanos and a father and son, also doctors, visiting the medical facility.

Civilians have suffered the brunt of Afghanistan's decades of turmoil, but when the killers target aid workers, people who have left their lives behind to come and help, their message is loud and painfully clear: "Go away!"

In the anger, frustration and heartbreak that follow these attacks, I've heard it many times, people declare: "That's it. It's time to leave."

In today's incident, the guard opened fire on a group of five doctors as they walked from the gate to the building housing the hospital run by CURE International, a Christian charity that says it came to Afghanistan in 2005 at the invitation of the Afghan government. CURE says it treats patients without regard to religion, gender or ability to pay. The hospital specializes in child and maternity care.

Umanos had worked in Afghanistan since 2005. His colleagues say he loved the country.

In addition to treating Afghan patients, Umanos helped train Afghan physicians, a key requirement for building a country that eventually can become independent and self-sustaining.

Attacks against foreigners have been on the rise in Afghanistan. Earlier this month, two journalists from The Associated Press were shot. Photographer Anja Niedringhaus was killed.

In January, a Taliban suicide bomber blew himself up in a restaurant popular with foreigners, killing 21 people, most of them expatriates working for the local university, the United Nations, and the International Monetary Fund -- all trying to help Afghanistan rebuild.

Last month, Taliban gunmen burst into the restaurant in Kabul's Serena Hotel, killing nine people, including women, children and several foreigners, some in the country as international observers for the April 5 presidential elections.

What to do?

There is no more difficult decision for a humanitarian organization than pulling up stakes under fire. It's a choice each group makes considering its own circumstances, just as individuals choose how much risk to take for a cause they believe worthwhile; just as news executives anxiously decide how close to the line of fire to send their journalists.

You could hear the pain in the voices of Doctors Without Borders (MSF) leaders last year, for example, when the group announced it was leaving Somalia after 22 years as "a direct result of extreme attacks on our staff," occurring while, the organization said, civilian leaders were tolerating and condoning the killing and kidnapping of aid workers. Over the course of more than two decades, MSF staff had endured enormous risks. But, they said, "We have now reached our limit."

What makes these decisions particularly difficult is that they victimize the people who suffer the most and they reward the brutality of perpetrators, people who blow up schools, shoot doctors, and massacre civilians.

The latest tragedy in Kabul will undoubtedly prompt emergency meetings and anguished soul searching. Organizations working in Afghanistan will weigh the desperate needs of the Afghan people against the dangerous reality for their workers. Some may pull out. Others will strengthen security, while conscious that the latest victims were killed by their supposed protectors.

There is no shame in leaving or cutting back. But there is one thought all who have worked in Afghanistan should keep in mind. There is one point that those who have been hurt there and the families of those who died in Afghanistan should always remember: It has not been in vain.

Afghanistan is still a place where terrible things happen, and it is a country with a long and steep road ahead. But it is not what it once was.

At the turn of the century, Afghanistan was a ruin of a state, a maelstrom of suffering ruled by the Taliban, who were succeeding in their effort to move their country to their pre-medieval ideal. The "government" held public executions, often by stoning, in the local stadium.

Afghanistan had become an international terrorist base, a place where modernity and freedom were banished. In 1998, Physicians for Human Rights described Kabul as "a city of beggars," where women who had been doctors and nurses and teachers moved through the streets "like ghosts" in their all-enveloping Burkas selling everything they owned to feed their children. PHR declared the Taliban's threat to women's rights as "unparalleled in recent history."

Today, the Health Minister who described the attack to CNN is a woman, as are other cabinet members. Women can be found -- albeit in small numbers -- in most sectors of the country.

And, incredibly, Afghanistan surprised even itself with a successful presidential election on April 5.

The results won't be known for a few weeks, a second round of voting will likely follow, but the verdict from the people is in with enormous force. Despite threats from the Taliban to punish anyone who participated, despite terrible or nonexistent roads and awful weather, Afghans went to the polls by the millions. One member of Parliament, Shukria Barakzai, told CNN, "As much as they killed our children, our journalists and innocent women, we say now, we will go and vote. ... We want to see real change."

The next president, elected by the men and women of Afghanistan, will face a mountain of overwhelmingly difficult challenges. And he will do it while American troops pull out.

He, and the people of Afghanistan, will continue to need help against individuals who are willing to shoot doctors to keep foreigners out, throw acid in girls' faces to keep them from going to school, and massacre civilians in order to take power.

There is no doubt that we will hear more sad news from Afghanistan. More people will die. But we should remember that those who have sacrificed have done it for something important, worthy. They have alleviated suffering and helped bring the prospect of a lasting, better future for the people of Afghanistan. It's no time to despair.

@highlight

Three American doctors killed by Afghan guard at Kabul hospital

@highlight

Ghitis: Our first reaction is to ask if it's worth keeping aid workers in Afghanistan

@highlight

She says aid organizations face agonizing decisions about withdrawing staff

@highlight

Ghitis: There's no doubt that Afghanistan is a better country than at start of century