(Health.com)  -- Each year, nearly 10,000 high school athletes in the U.S. suffer heat-related illnesses that require medical attention and cause them to miss practice or games, according to a report released today by the Centers for Disease Control and Prevention.

Fully two-thirds of those cases occur in August, according to the report, and roughly 80 percent of the stricken athletes are football players, who at this time of year are often slogging through grueling preseason workouts.

With temperatures hovering in the 90s and beyond, dehydration and heat exhaustion while exercising are a very real -- and potentially dangerous -- threat.

And competitive athletes aren't the only ones who can experience problems when the mercury and humidity peak. Even if they're in excellent shape, weekend warriors may find themselves suffering heat-related symptoms after a long run or even a day of lawn mowing and yard work.

Health.com: 10 easy ways to burn calories this summer

"People get out there and...do a really hard workout," says Scott Anderson, a certified athletic trainer in Clearwater, Florida. "The sensible thing is to go slow, and work up progressively. ...A lot of people even go indoors and cross-train if it's too hot."

Not everyone has access to a climate-controlled gym, however. If your only option is to exercise outdoors despite the torrid weather, you can take some steps to avoid problems such as dehydration, cramping, heat exhaustion, and -- because air quality gets worse on hot, muggy days -- breathing trouble.

How heat and humidity take a toll

When your body gets overheated, its natural response is to sweat. And when that sweat evaporates off your skin, it lowers your body temperature. But if the temperature or humidity is sky-high, this built-in cooling system can break down. Sweat doesn't evaporate properly because of all the moisture in the air, and your skin doesn't release body heat as effectively.

"You're still sweating, but it's not doing as much for your body temperature," says Michael F. Bergeron, Ph.D., director of the National Institute for Athletic Health & Performance at the Sanford University of South Dakota Medical Center, in Sioux Falls.

As your body temperature climbs, lightheadedness, dizziness, nausea, fatigue, and muscle cramps can result. All of these are signs of heat exhaustion. And if you don't cool off quickly -- by going into an air-conditioned building or drinking cold water, say -- heat exhaustion can sometimes turn into heat stroke.

Health.com: 15 big benefits of water

Heat stroke occurs when your body temperature hits 105 degrees. The condition can cause problems in the muscles, kidneys, liver, brain, and heart, and people with heat stroke often start to breathe quickly and behave erratically, Bergeron notes.

If they don't get medical help and bring their body temperature down, they may even have a seizure or slip into a coma. In extreme cases heat stroke can be deadly. If you or someone you're with start to experience the symptoms of heat stroke, seek medical attention immediately or call 911.

When is it safe to exercise outdoors?

It's important to watch the temperature, but the most relevant number you need to know before heading outdoors is the heat index, which takes humidity into account and represents how hot it feels.

The risk of muscle cramping and heat exhaustion rises as the heat index climbs above 90. Although less serious than heat exhaustion, cramping is dangerous, especially when you're dehydrated.

"When you start cramping and don't have enough fuel in the tank, that can lead to something more serious, like pulling a muscle," Anderson says.

When the index is higher than 100, heat stroke also becomes more likely. In the Tampa Bay area, where Anderson conditions and trains high school football players, the index is almost always in the danger zone, and it's not uncommon for it to reach 105.

It's really important to modify your exercise routine when the index is that high, Anderson says.

Health.com: Fun in the sun workout

Anderson recommends scaling back the duration or intensity of your workouts once the hot weather hits. It takes about two weeks to get acclimated to exercising in the heat (especially if you're not in top shape to begin with), he says. After that period, you're free to gradually ramp back up.

When it's really hot out, Bergeron advises, it's a good idea to take breaks more frequently, exercise in the shade whenever possible, and wear breathable and light-colored clothing. Exercising in the heat is safe if you use common sense and follow some basic rules, Bergeron says.

"As long as they're not working [out] too hard, someone who is well rested, hydrated, and nourished can tolerate pretty tough conditions," he says.

Stay hydrated

The most important thing to do while working out in the heat is to stay hydrated. That may seem obvious, but hydrating properly is more complicated than you may think.

For starters, you should drink plenty of fluids before and after your workout, not just during. Anderson tells his football players to hydrate throughout the day to prepare for their 4 p.m. practices, and to drink 16 to 20 ounces of water or a sports drink (like Gatorade) one hour before practice.

Health.com: Drink this for a better run

During your workout, you should consume 4 to 16 ounces of fluids every 15 to 20 minutes, according to the American College of Sports Medicine.

Sports drinks -- which contain lots of sugar and additives in addition to the electrolytes that help keep you hydrated -- are most beneficial during prolonged exercise, Bergeron says, and it's sometimes wise to alternate them with water. Don't rely on your thirst to tell you when to drink.

"People let thirst drive them to drink, but it isn't enough to match what they are losing [by sweating]," Bergeron says, adding that if you start feeling thirsty, you're already dehydrated.

Food is also important for staying hydrated. Eating regular meals and snacks throughout the day -- especially foods such as bananas that contain potassium and other vital nutrients (in addition to water) -- will help prep your body for a workout in the heat.

"Maintaining good hydration is key to safety in the heat, but it is not all protective," Bergeron says.

Research that Bergeron took part in has shown that even if kids are well hydrated, they can overheat and even experience heat stroke if they exercise too intensely and get hot too quickly.

"You can still overheat and have serious problems when you are well hydrated," he explains.

Protect your lungs

Dehydration and heat exhaustion aren't the only hazards of exercising on hot days. The stagnant air caused by heat and humidity tends to trap airborne pollutants, such as car exhaust, which react in the presence of sunlight to form ozone, a main ingredient in smog.

Working out in smoggy air can cause lung trouble in people with respiratory conditions such as asthma and chronic obstructive pulmonary disease (COPD).

But even in people without lung conditions, hard exercise on days with lots of smog can reduce lung function and create a reaction akin to an asthma attack, says Norman Edelman, M.D., chief medical officer of the American Lung Association.

Health.com: 7 surprising triggers of lung trouble

"Ground-level ozone is an irritant. If you breathe in too much, it irritates the nose, throat, and lungs," Edelman says. "It's like you're getting a sunburn in your airways. Ozone promotes inflammation of the airways, and they get red and swollen."

A partnership of government agencies publishes daily air-quality forecasts for every zip code in the U.S. at AirNow.gov, ranking air quality on a six-point, color-coded scale ranging from green ("good") to dark red ("hazardous").

The green and yellow ("moderate") levels are normal for most of the country during the summer, Edelman says. The orange level can cause problems in people who are sensitive to ozone (like asthmatics), however, and on red days he recommends that everyone stay indoors to exercise.

"It's important not to macho it," he says. "Lots of people say, 'I'm feeling tight in the chest, but I can run through it.' But the more you run, the more bad air you take in, and if you have [sensitive] airways it can be very irritating."

If you have to exercise outdoors, the best time to do it is early in the morning, Edelman says. He also suggests avoiding heavily trafficked roads to reduce the pollutants you inhale.

And if you have asthma or other chronic lung disease, talk with your doctor about your exercise routine and make sure you have a plan in case you experience breathing problems.

Copyright Health Magazine 2011

@highlight

Each year, nearly 10,000 high school athletes in the U.S. suffer heat-related illnesses

@highlight

Dehydration and heat exhaustion aren't the only hazards of exercising on hot days

@highlight

Heat stroke occurs when your body temperature hits 105 degrees