New Delhi, India (CNN) -- It's a regular Monday morning in one of Delhi's city slums and 14-year-old Chandni is getting ready to face the day ahead.

Just as she's about to step out, a frantic voice calls out her name -- it's a friend from her local neighborhood in West Delhi. Chandni's face turns pale as her friend whispers urgently into her ear. Eventually she reaches for the nearest telephone.

Her call, which turns out to be to the police, results in a raid on a wedding ceremony in the neighborhood shortly after. But this is no ordinary union because the bride is a child. Fortunately she's rescued -- a rare success story on this occasion.

According to Save the Children India, an estimated 50,000 children live on the streets of India's capital and do what they can to survive, from selling their wares at busy roadsides, begging, rag-picking and even performing street acrobatics. And these children, often as young as seven or eight, face constant danger -- more than 50% have suffered verbal, physical or sexual abuse, sometimes at the hands of policemen, according to the children's rights group.

Dealing with the darker aspects of Indian society is far from easy for these kids -- especially in the city's heaving slums.

Pen power

So what gives one teenage girl the courage to do so?

According to Chandni, it's the power of the pen. She's not just any other teen from Delhi's slums; she's a journalist. To be precise, she's a crime reporter who documents life on the streets for the neighborhood children through her articles in Balaknama, a free newspaper published every quarter in Hindi.

To her friends and family, Chandni is no less than a star. Anybody and everybody who faces a problem in the area comes to her.

It's a far cry from the way things were four years earlier when she worked as a domestic helper. Too poor to attend school, she was forced to scrape a living with other family members: she'd wake well before dawn, feed her younger siblings and then join her mother to clean other people's homes until late at night.

It was a tough life.

And then Balaknama happened.

Through a friend, she heard about a group of people from a similar background who were organizing a newspaper -- but not just any newspaper. It told stories -- their stories -- of the harsh existence on Delhi's streets. Despite reservations from her mother, Chandhi saw this as a chance to break out and make a difference, to tell her story in her way.

"Now I can study and contribute to the newspaper," she says.

"I felt like a superstar when my photo first appeared in the newspaper with my name on it. I became popular overnight. I've never looked back."

Eventually she hopes to become a teacher and educate underprivileged children like her.

Govind, also 14, has a similar story. He used to wander aimlessly on the streets of the city with his friends before he too discovered the power of the pen. He was only nine when he heard about the newspaper. Despite opposition and derision from friends and family, Govind decided to give it a chance.

"When I joined Balaknama, my friends used to make fun of me. But now when they read my articles and see me grow in my life -- they wish they too had done so," he said. Like Chandni, he puts the spotlight on issues that affect daily life for some of India's most impoverished and forgotten people -- from abuse to poverty and healthcare.

Anniversary edition

Founded in 2003, Balaknama is an initiative of Badhte KadamÃ­, a federation of street and working children in northern India, in association with Delhi-based NGO, Childhood Enhancement through Training and Action (CHETNA). It aims to give a voice to the most underprivileged and marginalized sections of India's society. Here, young people can write about the afflictions and suffering they witness on a daily basis in a sympathetic environment.

Subhash, who also spent years battling to survive on the unforgiving streets, is one of the founders. He has big plans for the paper.

"With the growing popularity of our newspaper, we want to increase its circulation and turn it into an eight-page edition from the existing four pages," he said. They recently published a 10th anniversary edition in color for the first time.

Every contributor to the paper has a compelling story. Eleven years ago, Subhash was himself a school drop-out forced to move to Delhi to make a living on the streets. He sold magazines on busy traffic intersections, earning barely US$2-3 a day.

It was at one of these intersections that one of CHETNA's activists noticed the skinny youngster hiding nervously behind another teenager selling magazines and offered him shelter and the chance to make a life. Subhash feared it could be a trap laid by human traffickers, but eventually decided to take a leap of faith and accompany this stranger.

Pride and self-confidence

The newspaper idea offered Subhash a new lease of life -- his daily existence was given direction, while his pride and self-confidence was restored. He is now pursuing a Masters degree in Sociology and plans to do a PhD in the future.

Sanjay Gupta, director of CHETNA, feels the newspaper experience not only gives the children a chance to talk about some of the harrowing things they've seen, it is also empowering.

"Children associated with Balaknama are much more aware about their rights than the average school-going child," he said. "They're also shown how to deal with some of the emergencies that may come their way."

The kids also benefit from CHETNA-sponsored services, from access to support groups and workshops that help them deal with the issues they've experienced, to health clinics, drug rehabilitation and counseling.

Back at the newspaper, the sight of Chandni and her colleagues completely absorbed in their work is inspiring, an example of how even the most forgotten members of Indian society can blossom if given the chance.

@highlight

Chandni, 14, was a street child but is now reporting for a community newspaper

@highlight

Save the Children: Estimated 50,000 children living on the streets of Delhi

@highlight

Working in conjunction with an NGO, Balaknama employs street children

@highlight

They document life for children on the streets of India's capital city