(CNN) -- Google search is about to get way more personal.

In a change that's been called the "most radical transformation ever" to Google's search engine, the Mountain View, California, company on Tuesday announced an update called "Search, plus Your World," which causes Google's robots to incorporate data from its social network as well as the public Internet when delivering search results to people.

"Search is pretty amazing at finding that one needle in a haystack of billions of Web pages, images, videos, news and much more," Google said in a blog post on Tuesday morning.

"But clearly, that isn't enough. You should also be able to find your own stuff on the Web, the people you know and things they've shared with you, as well as the people you don't know but might want to ... all from one search box."

The company added: "Search is simply better with your world in it."

On the prominent blog Search Engine Land, Danny Sullivan writes that the updates fundamentally change the way Google's search engine functions, calling it the "most radical" change ever.

"The new system will perhaps make life much easier for some people, allowing them to find both privately shared content from friends and family plus material from across the Web through a single search, rather than having to search twice using two different systems," he writes.

"However, Search Plus Your World may cause some privacy worries, as private content may appear as if it is exposed publicly (it is not). It might also cause concern by making private content more visible to friends and family than those sharing may have initially intended."

On the blog Tech Crunch, Jason Kincaid gives an example search to help explain the changes.

Say you were to Google "Harry Potter," he writes.

"For most people, this would probably pull up links to the books, the films, and a variety of fan sites. For this intrepid reporter, though, the results would also include my Picasa album shot at a Harry Potter premiere a few years back (and labeled as such). These images would pop up both in the main search results page, and in Google Images results. Likewise, any blog posts my friends had shared on Google+ about the boy wizard would show up in my results, too."

It's worth noting that Google users who don't like these new personal results can turn them off.

A toggle switch that controls personal results should appear in the upper right corner of a search results page, the company says. Click "no personal results" to avoid seeing the social content.

The social search results started rolling out on Tuesday but may not be visible to all users. Google says the social search applies, for now, only to people who are signed in to Google.com and are searching in English.

The update causes Google to surface material that is specifically related to the person who is searching. So my search results won't be the same as yours, if I'm signed in to Google. Things my friends have posted on Google+ and Picasa will show up in the results as well, as long as they have entered caption info about their photos.

Google+ profile and topic pages also will get better play in search results after the change.

Miguel Helft, a senior writer at Fortune, which is a CNN.com partner website, says the change has the bonus effect for Google of giving lots and lots of exposure to its social network, Google+, which is aimed to be a direct competitor to Facebook.

"The change will expose Google+ profiles, as well as posts and photographs uploaded to the network, to hundreds of millions of search users whether or not they have Google+ accounts. In many cases, the changes will push content from other sites, including Facebook, further down on the search results pages," he writes on Fortune.com.

Helft adds that social search has long been a "holy grail" in tech.

"Facebook has been working with Microsoft to allow that company's search engine, Bing, to surface more personalized content," he writes. "And the Facebook platform has allowed countless services, like Yelp, Pandora and Spotify, to become more personal by showing users content that is relevant to their Facebook friends."

But the change is also likely to upset competitors who complain that Google gives preferential treatment to content from its own products -- from Google+ to YouTube, he writes.

@highlight

Google adds social, personal content to its search results

@highlight

Change is called the "most radical ever" by a prominent search-engine blogger

@highlight

The update incorporates more data and photos from Google+

@highlight

Google is trying to promote its social network and compete with Facebook