Washington (CNN) -- Republicans call it a government cover-up similar to what forced Richard Nixon to resign. Democrats call it a right-wing conspiracy theory.

The fallout from the September 11, 2012, terrorist attack in Benghazi, Libya, that killed four Americans continues more than 19 months later, with further details last week that raised questions about how the Obama administration responded to the violence less than two months before the President's re-election.

Few issues reveal the hyper-partisan politics of Washington more than the ongoing debate over an issue now known simply as Benghazi.

Last Friday, House Oversight Committee Chairman Darrell Issa announced that he had subpoenaed Secretary of State John Kerry to testify at a May 21 hearing, alleging that the State Department failed to comply with an earlier subpoena for documents.

House Speaker John Boehner followed up by announcing a special congressional committee led by a Republican colleague would investigate the matter. The House voted on party lines Thursday to create the panel, but Democrats have yet to decide if they will take part in what they claim could be a Republican-led witch hunt.

GOP-led House votes to establish select committee on Benghazi

Hillary Clinton: No reason for new Benghazi committee

Issa called the administration's lack of compliance "in violation of any reasonable transparency or historic precedent at least since Richard Milhous Nixon."

At the White House, spokesman Jay Carney shot back that Republicans continued trying to reap political benefit with what he called conspiracy theories about a Benghazi cover-up.

"What we have seen since hours after the attack, beginning with a statement by the Republican nominee for president, is an attempt by Republicans to politicize a tragedy, and that continues today," Carney told reporters, adding that "what hasn't changed has been the effort by Republicans to ... claim a conspiracy when they haven't been able to find one."

Here are some answers to questions about the latest twists in the story:

What happened in Benghazi?

In September of 2012, a demeaning video made in the United States about the Prophet Mohammed got posted on YouTube and sparked protests at U.S. embassies in the Muslim world.

On September 11, the anniversary of the 2001 terrorist attacks on the United States, an assault occurred at a U.S. compound in Benghazi that killed Ambassador Christopher Stevens and three other Americans.

The Obama administration initially blamed the Benghazi attack on a protest against the video that escalated into a full-blown tactical assault. As details emerged in ensuing days, it became clear that an al Qaeda-affiliated group took part in what was a coordinated terrorist attack instead of a spontaneous demonstration.

Then-Secretary of State Hillary Clinton created a special panel called an Accountability Review Board to investigate what happened.

The group led by former Joint Chiefs Chairman Adm. Mike Mullen and retired U.S. Ambassador Thomas Pickering criticized aspects of diplomatic security and made 29 recommendations, all of which were accepted by the State Department.

Why all the controversy?

Coming less than two months before the presidential election, the Benghazi attack quickly became a political flashpoint.

President Barack Obama had campaigned heavily on his decision to approve the mission that killed Osama bin Laden and boasted of putting the al Qaeda leader's organization "on the run."

On September 16, five days after the Benghazi attack, then U.S. Ambassador to the United Nations Susan Rice went on Sunday talk shows and said the assault grew out of a protest against the controversial video.

Republicans immediately challenged the administration's version of what happened, calling it an attempt by the Obama administration to hide a major security breakdown that signaled the broader failed policy in the region.

Obama won re-election in November, but Republicans have mounted congressional investigations into what happened in Benghazi and why Rice gave an incorrect explanation to the American people.

What is the Benghazi email everyone is talking about?

Last Tuesday, the conservative group Judicial Watch made public State Department documents it received in response to a Freedom of Information Act request.

One of the documents was a previously undisclosed email on September 14, 2012, from Ben Rhodes, a national security official specializing in communications, that listed talking points for Rice about the protests that had erupted at U.S. embassies and compounds in the Muslim world.

Among the goals listed in the Rhodes email was to "underscore that these protests are rooted in an Internet video, and not a broader failure of policy."

Republicans contend the email proves White House manipulation of the messaging for political purposes in the immediate aftermath of Benghazi, despite the administration's contention that Rice relied on talking points provided by the CIA for the sake of uniformity of messaging.

"This is all about an effort to convince the American people that the president of the United States had everything under control," GOP Sen. John McCain said.

Boehner and other Republicans questioned why the Rhodes email wasn't included in documents that the State Department provided to Congress under the earlier subpoena.

In announcing the new subpoena of Kerry, Issa cited what he called "a disturbing disregard for the (State) Department's legal obligations to Congress."

Carney argued that the Rhodes email referred to the broader topic of protests throughout the Muslim world, rather than the specific Benghazi attack.

Meanwhile, a State Department spokeswoman took issue with Issa's latest subpoena, telling reporters it was a political stunt.

Noting Kerry was scheduled to be out of the country on the date of the hearing in the subpoena, Marie Harf said Issa's committee "would have known if they reached out to us instead of issuing a subpoena."

Is this new or just more of what we already knew?

The existence of the Rhodes email is new, and that provides Republicans with a fresh front in their attacks on the administration over Benghazi.

Labeling the situation a "defiance of the House's subpoena power," Boehner called it "the most flagrant example yet of the administration's contempt for the American people's right to know the truth about what happened when four Americans died in a fiery terrorist attack."

However, the messaging contained in the Rhodes email is the same as included in previously released documents, such as the CIA talking points that Rice relied on.

Carney noted that the only reference in the Rhodes email to Benghazi -- denying that there was actionable intelligence ahead of time of an imminent assault -- was lifted from the CIA talking points.

I thought the government promised to release all information?

The Obama administration previously pledged to release all pertinent information on Benghazi sought by Congress. Carney noted that it turned over 25,000 pages of documents and that various officials testified at a series of hearings by various congressional committees investigating the matter.

Asked why the Rhodes email obtained by Judicial Watch hadn't been turned over previously, Carney said it came under a FOIA request that differed from the congressional subpoenas from Issa's committee.

Underlying Carney's explanation was that the Rhodes email referred to the broader issue of protests rather than the specific Benghazi attack, which was the focus of the subpoenas.

The talking points supplied by Rhodes were intended to prepare Rice for possible questions in her talk show appearances, he said, calling the document a normal duty of a communications officer in any government.

Republicans questioned that explanation, noting the Benghazi attack would clearly be the dominant topic that Rice would face and arguing the administration clearly knew that.

What's the upshot of all this?

For Republicans, the issue resonates with their conservative base, especially the accusation that the administration failed to provide proper security for American diplomats and was unable to send military assets to respond to the Benghazi attack.

At a hearing last week by Issa's committee, a retired Air Force general on duty at U.S. Africa Command that night complained that the military should have tried to save the Benghazi victims even if the effort would have been futile.

When Republican Rep. James Lankford asked Brig. Gen. Robert Lovell "did we have their back that night," Lovell responded: "Obviously not, sir."

Boehner's announcement of a special panel to further investigate Benghazi fulfilled a request by many GOP colleagues eager to frame the final years of Obama's presidency on their terms.

Until now, Boehner had resisted calls to establish such a committee, pointing to the four House panels already investigating the matter.

Democrats wanting to get past the issue portray Republicans as driven by partisan desire to hurt Obama. Carney has referred to what he described as GOP conspiracy theories regarding Benghazi that have failed to pan out.

"Everything that this committee would look at has already been looked at ad nauseam by multiple committees," Harf said. "What's the point?"

Is there more than meets the eye?

In Washington, always.

The issue gives Republicans perhaps their lone line of attack against Hillary Clinton, the overwhelming favorite for the Democratic presidential nomination in 2016 if she decides to run.

A new poll Thursday showed Clinton's strong standing. The Quinnipiac University survey from Florida had Clinton topping former two-term Gov. Jeb Bush, the leading potential Republican contender in the nation's most populous swing state.

Because Clinton was secretary of state when the Benghazi attack occurred, Republicans have sought to depict her as inattentive to security needs of diplomatic staff.

At the Oversight Committee hearing last week, Lovell described how he and others desperately considered possible deployment of a rapid-force team to Benghazi, but needed a State Department request that never came.

"Were they doing what they were trained to do or were they sitting around and waiting for the State Department and Hillary Clinton to call them up and say do something?" GOP Rep. Jason Chaffetz of Utah asked him.

However, the Republican chairman of the House Armed Services Committee, Rep. Howard "Buck" McKeon of California, issued a statement that said his panel investigated the matter and found "no evidence that Department of State officials delayed the decision to deploy what few resources (the military) had available to respond."

Democrats face what analysts expect will be a difficult mid-term election in November, with little chance of winning back the House from Republicans and facing the possibility of losing their majority in the Senate.

Boehner's call for yet another congressional committee to investigate could provide Democrats with a rallying point to motivate voters to prevent Republicans from retaking the Senate in November and gaining full control of Congress.

CNN's Jim Acosta and Paul Steinhauser contributed to this report.

@highlight

House votes to form a select committee; Democrats undecided on taking part

@highlight

19 months later, Washington remains riven by the Benghazi terrorist attack

@highlight

A recently divulged email reignites fierce partisan debate from the 2012 election

@highlight

Republicans see the issue as a vulnerability for Hillary Clinton