Washington (CNN) -- The Supreme Court will tackle the contentious issue of same-sex marriage, agreeing to hear two constitutional challenges to state and federal laws dealing with the recognition of gay and lesbian couples to legally wed.

In a one-page order on Friday, the court took on what will be one of the most important issues in its history. The decision to review the matter came just weeks after voters approved same-sex marriage in three states.

Oral arguments will likely be held in March with a ruling by late June.

One appeal to be heard involves the federal Defense of Marriage Act or DOMA, which denies federal benefits to same-sex couples legally married in their own state.

The second is a challenge to California's Proposition 8, a voter-approved referendum that took away the right of same sex-marriage that previously had been approved by the state's courts.

Same-sex married couple sues federal government in DOMA case

The political, social, and legal stakes of this long-simmering debate will once again put the high court at the center of national attention, a contentious encore to its summer ruling upholding the massive health care reform law championed by President Barack Obama.

There are approximately 120,000 legally married same-sex couples in the United States.

Earlier this month, voters in Maryland, Washington, and Maine approved same-sex marriage, adding to the six states and the District of Columbia that already had done so. Minnesota voters also rejected an effort to ban such unions through a constitutional amendment.

Timeline: Same-sex marriage

Many other states, including New Jersey, Illinois, Delaware, Rhode Island and Hawaii, have legalized domestic partnerships and civil unions for such couples -- a step designed in most cases to provide the same rights of marriage under state law.

But other states have passed laws or state constitutional amendments banning such marriages. California's Proposition 8 is the only such referendum that revoked the right after lawmakers and the state courts previously allowed it.

In February, a federal appeals court in San Francisco ruled the measure unconstitutional. In its split decision, the panel found that Proposition 8 "works a meaningful harm to gays and lesbians" by denying their right to civil marriage.

The justices have discretion to rule narrowly or broadly on the aspects of the legal and procedural questions raised.

The federal case deals with Edith Windsor, who was forced to pay an estate tax bill much larger than other married couples would have to pay when her partner died. Because her longtime partner was a woman, the federal government, in legal terms, did not recognize the same-sex marriage even though the couple's home state of New York did.

The federal law does not prohibit states from allowing same-sex marriages, but it also does not force states to recognize them from other states.

Other plaintiffs are federal workers, who are not allowed to add their spouses to health care plans and other benefits.

Traditionally, the federal DOMA law would be defended by the Justice Department. But that responsibility would now fall to House Republicans after President Barack Obama declared his support for same-sex marriage earlier this year.

In their order on Friday, the justices asked both sides to argue a supplemental question: Whether congressional Republicans -- operating as a bipartisan legal advisory group -- have "standing," or legal authority, to make the case.

The justices also asked both sides to argue a second standing question. California's governor and state attorney general have refused to defend Proposition 8 in court, leaving it to a private coalition of groups supporting the law to file the appeals.

The high court could decide the standing question alone and dismiss the appeal without addressing the larger constitutional questions. That would mean for now, same-sex marriages could resume next year in California.

Those on both sides of the issue welcomed the high court's intervention.

"That the issue will soon be heard by the Supreme Court is a vindication of our work to achieve equal protection under the law for same-sex couples," said Mary Bonauto, director of the Gay & Lesbian Advocates & Defenders, who has been litigating the issue for decades. "This day has been long in the making, and we are committed to the success of this case."

But a group that helped lead the effort to pass Proposition 8 in California said it was confident of prevailing.

"We believe it is a strong signal that the court will reverse the lower courts and uphold Proposition 8," said John Eastman, chairman of the National Organization for Marriage. "That is the right outcome based on the law and based on the principle that voters hold the ultimate power over basic policy judgments and their decisions are entitled to respect."

The cases accepted Friday are Hollingsworth v. Perry (12-144), dealing with Proposition 8; and U.S. v. Windsor (12-307) on the DOMA issue.

PDF: Read the Windsor ruling the high court will consider

Washington starts issuing same-sex marriage licenses

Mormon website embraces LGBT community

Catholic Notre Dame announces services for gay students

@highlight

The matter to be heard is one of the most important in the court's history

@highlight

Federal Defense of Marriage Act; California's Proposition 8 will be reviewed

@highlight

Justices first will address questions of legal standing in both appeals

@highlight

Oral arguments will likely be held in March with a ruling by late June