(CNN) -- U.S. researchers reported a breakthrough Thursday in the search for a vaccine for malaria, the mosquito-borne disease that sickens millions worldwide.

More than three dozen volunteers received multiple, intravenous doses of a vaccine produced with a weakened form of the disease, scientists from the National Institutes of Health, the Navy, Army and other organizations reported Thursday.

Though the results were promising, more extensive field testing will be required, the researchers wrote. Nevertheless, the it marks the first time any vaccine trial has shown 100% success in protecting subjects from the mosquito-borne tropical disease, which sickens more than 200 million a year and killed about 660,000 in 2010.

Dr. William Schaffner, head of the preventive medicine department at Vanderbilt University's medical school, called the results "a scientific advance" -- but cautioned that it's "not ready yet for prime time."

Study: Malaria-infected mosquitoes more attracted to human odor

"This is not a vaccine that's ready for travelers to the developing world anytime soon," Schaffner told CNN. "However, from the point of view of science dealing with one of the big-three infectious causes of death around the world, it's a notable advance. And everybody will be holding their breath, watching to see whether this next trial works and how well it works."

The findings were published Thursday by the peer-reviewed journal Science. The trials involved 57 subjects, including 40 who received the vaccine, from October 2011 to October 2012.

Students invent award-winning soap to tackle malaria

The vaccine being tested was produced by Maryland company Sanaria Inc. and tested by the National Institute of Allergy and Infectious Diseases, the Walter Reed Army Institute of Research and the Naval Medical Research Center. Sanaria owns the patent, said Capt. Judith Epstein, the lead researcher for the Naval Medical Research Center.

Schaffner said the process of getting the vaccine scientifically proven, approved and distributed could take eight to 10 years. Sanaria and Epstein said they believe the process could be complete within three to four.

The vaccine was produced using samples of Plasmodium falciparum, the single-celled parasite that causes the disease. The samples were weakened by radiation and then frozen. The vaccine was "safe and well-tolerated" by the volunteers who received it, the study states.

Schaffner, who was not part of the study, said previous attempts using injections into skin or muscle didn't work. Multiple, intravenous injections are "a heck of a way" to administer a vaccine, but "desperate times call for desperate measures," he said.

Researchers reported that the six volunteers who received five intravenous doses of the vaccine did not contract malaria when exposed to the microscopic parasite. Of the nine who received four doses, three contracted the disease. Of 12 who received no vaccine, 11 became infected.

Dr. Anthony Fauci, the head of the infectious disease institute, called the results an "important step forward" in preventing malaria.

"The global burden of malaria is extraordinary and unacceptable," Fauci said in a statement issued by the institute. "Scientists and health care providers have made significant gains in characterizing, treating and preventing malaria; however, a vaccine has remained an elusive goal."

Another possible vaccine, backed by the Bill and Melinda Gates Foundation, cut the number of malaria cases in half during a trial conducted among children in seven African countries. In a statement Thursday afternoon, Jessica Milman, a senior program officer for the foundation, said Thursday's published results were promising despite the study's small number of participants.

"The results provide further confirmation that a malaria vaccine is feasible, though this specific construct has hurdles to overcome," Millman said. "More evidence will be required to demonstrate that it could work among people living in malaria-endemic countries. It's also likely that a number of manufacturing and presentation challenges would need to be addressed to ensure that the vaccine could be produced and delivered at scale."

Currently, available drugs can stave off malaria, but must be combined with other protective measures such as insect repellent or nets, according to the Centers for Disease Control and Prevention. None are 100% effective, the CDC notes.

Schaffner said future studies need to involve larger groups in field conditions and examinations of how long the vaccines stave off infection. Using multiple intravenous doses -- a process unlike any other vaccine -- "requires a great deal of aseptic practice and good training," and the risk of infection is a possibility, he said.

"We don't know how long this protection lasts yet. Lots of questions remain. But that should not diminish the fact that this is a scientific advance," Schaffner said.

Katherine McPhee says 'no more' to malaria

Malaria causes fever and vomiting and can disrupt the blood supply to vital organs if untreated. Symptoms show up 10 to 15 days after being bitten by a mosquito. It's endemic to tropical countries, and the microscopic parasite has become resistant to a number of treatments, according to the World Health Organization.

With no effective vaccine, efforts to control the disease have focused on mosquito control and distributing pesticide-laced nets. People visiting the tropics from countries where the disease is not endemic are particularly vulnerable, the WHO says.

American troops overseas have suffered extensively from malaria in the past. The Army reported 500,000 cases during World War II, with more than 100,000 among the Navy and Marine Corps.

CNN's Barbara Starr contributed to this report.

@highlight

Gates Foundation says tested vaccine "has hurdles to overcome"

@highlight

U.S. malaria study finds success with intravenous vaccine

@highlight

NIH official hails test as an "important step forward"

@highlight

Malaria sickens an estimated 200-million plus every year, killing about 1 million