(CNN) -- Slavery may seem like a quaint notion in a 21st century world, but that distinction is lost on up to 40,000 Brazilians who find themselves toiling for no real wages and can't leave the distant work camps where they live.

A Brazilian government official takes notes as he talks with workers about to be freed.

Brazilian government officials and human rights activists call it slave labor, a condition they are aggressively trying to eradicate. A special government task force established in 1995 says it freed 4,634 workers last year in 133 raids on large farms and businesses that rely on workers driven to take these jobs by hunger and the empty promises of labor recruiters.

"Slavery is the tail end of a lot of abuse of poor people and workers in Brazil," said Peter Hakim, president of the Inter-American Dialogue, a Washington-based policy center. "Bad treatment reaches over to abusive treatment to treatment that becomes virtual slavery."

In Brazil, it often works this way: A recruiter known as a "gato," or cat, plumbs the slums and other poor areas of the vast country and gets people to agree to jobs in distant places. Once separated from home and family, workers are vulnerable to all sorts of abuses, such as being told they owe money for transportation, food, housing and other services.

"This is known as debt bondage, which also fits official definitions of slavery," says Anti-slavery International, a lobbying group based in Great Britain. "A person is in debt bondage when their labor is demanded as the means of repayment for a loan or an advance. Once in debt they lose all control over their conditions of work and what, if anything they are paid ... often making it impossible to repay and trapping them in a cycle of debt."

The United Nations International Labour Organization estimated there were between 25,000 and 40,000 Brazilians working under such conditions in 2003, the latest year for which it offered figures.

Leonardo Sakamoto, the director of the human rights group Reporter Brasil, says he's certain there are still more than 25,000 slave laborers in Brazil.

According to Anti-slavery International, the greatest number of slave laborers is employed in ranching (43 percent). That's followed by deforestation (28 percent), agriculture (24 percent), logging (4 percent) and charcoal (1 percent). Though those figures are from 2003, Sakamoto says they still apply, with cattle ranches and sugar cane plantations among the top employers.

Anti-slavery International estimates there are 12.3 million people working under such conditions worldwide.

"Forced labor exists in Sudan, Nepal, India, Mauritania as well as many wealthier countries (including the UK), where vulnerable people are trafficked into forced labor or sexual slavery," the group says. "A similar situation to the use of forced labor on estates in Brazil can be found in the Chaco region of both Paraguay and Bolivia."

But what may set Brazil apart are the government's attempts to wipe out the practice. One of Brazil's chief tools is a "Special Mobile Inspection Group" that consists of labor inspectors, federal police and attorneys from the federal labor prosecution branch. The group often raids workplaces, looking for abuses and laborers held against their will.

In 2007, the task force freed 5,999 workers, a record number. In 2003, the agency freed 5,223 laborers.

Since the group's inception in 1995, it has freed 33,000 people.

Labor Minister Carlos Lupi vowed in a recent interview with the state-run Brazilian news agency that efforts will be stepped up this year.

"The Brazilian government is to be commended for rescuing more than 4,500 people from the nightmare of slavery during the past year," Aidan McQuade, director of Anti-Slavery International, said in a statement to CNN.

"Their commitment to step up their efforts in 2009 is even more heartening. The vocal and effective leadership we are seeing from Brazil is rare. Even India, like Brazil a democracy and a G20 member, seems content to remain the country with the most slaves in the world."

Poverty fuels slave labor, experts say

But everyone agrees it's going to take more than police efforts to seriously dent the practice.

"Slave labor is not a disease," Sakamoto said. "It's like a fever. Fever is a symptom that something is wrong."

That something is widespread poverty.

Although the poverty rate dropped recently to its lowest levels in 25 years, nearly one of every four Brazilians still lives in poverty, according to a 2006 survey by the Getulio Vargas Foundation's Center for Social Policy Studies. The Web-based Index Mundi, which says it obtains its figures from the CIA World Factbook, estimates the poverty rate could be as high as one of every three Brazilians.

With a population approaching 200 million people, that means at least 49 million Brazilians live under squalid economic conditions.

"We have poverty. We have greed. And we have impunity," Sakamoto said. "We have to fight these three pieces at the same time. We have been fighting against impunity and we have been fighting against greed, but we are just starting to fight against poverty."

The situation is made worse because of Brazil's vastness -- about the size of the United States.

"Brazil is a big, huge country and there are lots of poor people," said Hakim of the Inter-American Dialogue. "The farther you get away from the populated, industrialized areas, you'll find large populations of people who do whatever they can to make a living."

And slave labor seems to be spreading.

"We are discovering new occurrences of slave labor in regions where we hadn't registered slave labor in Brazil," the Rev. Xavier Plassat of the Catholic Pastoral Land Commission told the independent Radioagencia NP.

Opposition to laws

By most accounts, the administration of President Luiz Inacio Lula da Silva, who took office in 2003, has done much to reduce poverty and fight slave labor. But Brazil's agricultural, mining and manufacturing sectors are large and well-developed. And they are politically powerful.

"We have a very, very strong agribusiness sector," Sakamoto said. "It is very, very difficult to get other measures to fight against slave labor."

For example, he said, a proposed law for the government to confiscate land on which slave labor is used has languished in congress for years.

"There's a group of very strong congressmen fighting against it," said Sakamoto, who is also a member Brazil's National Commission for the Eradication of Slave Labor.

There are those who object to use of the word "slavery" or the phrase "slave labor," saying it mischaracterizes the situation.

"The word has very heavy connotations regarding 19th century slavery," said Latin America scholar Robert Pastor, a former National Security adviser to President Jimmy Carter and now a professor of international relations at American University in Washington. "Modern-day practices are quite distinct from what we normally thought of as slavery."

But Pastor agrees that no matter what you call it, what is happening in Brazil and elsewhere is "a phenomenon that is based on a simple intent to exploit individuals."

Paulo Sotero, director of the Brazil Institute at the Woodrow Wilson International Center for Scholars, also believes that calling the practice slavery overstates the case.

"To use the word 'slave labor' sometimes does not describe what it is," Sotero said from Washington. "It's more unfair, abusive labor conditions."

He points out that Brazil's sugar cane industry employs 900,000 people but only 4,000 Brazilians were freed last year for being held as slave laborers. Many businesses, he said, are being smeared by the bad actions of a few.

"One case of slave labor is one too many," Sotero said. "But at the same time, some of their considerations are valid. Claims of abuse tend to be exaggerated and more general than they are."

@highlight

More than 12 million people worldwide estimated to be working under forced labor

@highlight

Between 25,000-40,000 Brazilians may be slave laborers, U.N. estimates

@highlight

Brazil task force has worked to eradicate slave labor

@highlight

Poverty seen by experts as primary factor leading to slave labor