(CNN) -- European Union finance ministers on Sunday agreed on an 85 billion euro (U.S. $113 billion) bailout package for Ireland.

The announcement comes a day after protesters snarled the streets of Dublin. Irish Prime Minister Brian Cowen requested the loan last Sunday after days of insisting Ireland did not need help.

The three-year, joint IMF and euro-zone loan was offered as a way to stabilize financial markets in the region.

The loan is to be used to immediately strengthen Ireland's banking system, and to allow the country to undertake ambitious fiscal adjustment, including deficit reduction, said Jean-Claude Juncker, chairman of the Eurogroup said. Another condition of the loan is that Ireland tackle labor reform, he said.

Of the 85 billion euros, 10 billion will be made available for immediate recapitalization. Another 25 billion will be destined for banking system support, and the remaining 50 billion for the country's budget needs.

"The Irish authorities have today proposed a clear and realistic package of policies to restore Ireland's banking system to health and put its public finances on a sound footing," said Dominique Strauss-Kahn, managing director of the IMF. "Immediate actions to tackle vulnerabilities in the banks and the continued strong fiscal adjustment are set in a multi-year policy framework for sustained growth and job creation."

The approved bailout package will leave Ireland with a smaller, but more robust and better capitalized banking system, he added.

The IMF will contribute 22.5 billion euros of the loan amount, a proposal expected to be approved by the fund in December.

Another 45 billion euros will come from the European Union and bilateral European lenders, and the final 17.5 billion euros will come from the Irish themselves, via their cash reserves and other liquid assets.

The Eurogroup also addressed the need for a mechanism to help out member countries in distress. On Sunday, the leaders said that last month they agreed on a European Financial Stabilization Mechanism that will be set up to aid countries in need, together with the IMF.

"The recent events have demonstrated that financial distress in one member state can rapidly threaten macro-financial stability of the EU as a whole through various contagion channels," the Eurogroup said in a statement.

Irish government representatives had met Saturday night and were briefed on the negotiation ahead of the announcement, according to an Irish government statement.

"We're trying hard to find a solution and I hope tomorrow the financial markets will understand and see that the euro is a safe and stable currency now and for the future," German Finance Minister Wolfgang Schauble said as the finance ministers arrived to discuss the bailout.

British Finance Minister George Osborne said that it is in Britain's and the entire region's interest to achieve economic stability in Ireland because of trade in the eurozone.

"I think we're going to make some very good progress today," he said.

Cowen announced austerity measures during the week as the Irish government reels from the cost of saving its banks.

The moves are unpopular in the country, and Cowen's party lost an election Thursday for a parliamentary seat. An estimated 50,000 people demonstrated against austerity in Dublin on Saturday.

The protests were organized by the Irish Congress of Trade Unions (ICTU), which has called the four-year plan for spending cuts and tax hikes "savage and regressive."

Families, retired people, the unemployed and members of unions and community groups were among the demonstrators who braved a rare dusting of snow to come out Saturday, the ICTU said.

Cowen announced the budget-cutting plan this week after agreeing to a bailout package from the International Monetary Fund and European Union, needed to tackle Ireland's massive debt.

The plan saves 10 billion euros ($13.4 billion) through welfare cuts and an additional 5 billion euros ($6.7 billion) through higher taxes. There will be reductions in the minimum wage and public-sector pay, and a hike in the value-added tax on goods and services, Cowen said.

The plan calls for introducing water meters, making students pay more for higher education, and requiring more Irish workers to pay income tax.

Trade unions complain the plan unfairly targets lower-paid workers, while making no provision for a tax on asset wealth.

They say it fails to explain how the Irish people can carry the banks' massive debts and sets out no strategy

for creating jobs.

"People are angry and they've had enough of this government," local journalist Juliette Gash told CNN. "They're furious because they feel like the government has handed over the keys to the country."

Journalist Peter Taggart contributed to this report.

@highlight

European finance ministers announce 85 billion euro bailout

@highlight

Ireland is slashing government spending after bailing out banks

@highlight

50,000 people demonstrate against Irish austerity plans, police estimate