(CNN) -- When it comes to the environment, aviation has a rather dirty reputation. The industry produced 689 million tons of CO2 in 2012, according to Air Transport Action Group (12% of global transportation's carbon dioxide emissions) -- a number that is sure to grow as global demand for flight continues to skyrocket.

"Aviation will double in size worldwide in the next two decades, and if we're not able to provide a sustainable means to fly, we will create a ceiling for growth in the industry," says Ignaas Caryn, director of innovation at KLM Royal Dutch Airlines.

As a result, it looks like the aviation industry is ready to green up its game. In January, Boeing announced a new initiative to build a biofuel supply chain in the United Arab Emirates, as well as research it's conducting into biofuels made from salt water-consuming desert plants.

Airbus has similarly partnered with local producers and airlines to sniff out sustainable alternatives to fossil fuels.

To name just a few partnerships, the airplane manufacturer teamed with Virgin Australia Airlines to to produce sustainable aviation fuels from eucalyptus mallee trees in Australia. Airbus has also joined other aerospace companies in launching the ITAKA initiative, a collaborative project funded by the European Union to produce and test the use of sustainable jet fuel.

Frederic Eychenne, Airbus' head of new energies, notes that no single crop will do the job for biofuels, and that to achieve true sustainability, biofuel -- like food -- is best when it's locally-sourced.

"Different countries grow different crops. They have different refineries in place. Sustainability isn't just about reducing emissions in the air. We have to consider the whole life-cycle in terms of production," he notes.

Going the distance

Long-haul flights make up 80% of aviation's CO2 emissions. As a result, cutting down the carbon footprint for these flights is extra important. In May, KLM took the first step and launched a new series of flights traveling between Amsterdam and Aruba that use a 20% biofuel blend.

The flight is part of KLM's short-term goal to integrate 1% of biofuel into all its flights by 2015. The main barrier to using biofuel on a larger scale, says Caryn, is the price.

"Today, bio jet fuel is still three to four times more expensive than fossil fuel, because there's no continuous production. There's a demonstrated hole in the value chain," he notes.

To solve the problem, in 2010 KLM became a joint founder of SkyNRG -- a major supplier of eco-efficient jet fuel.

"We believed the development of bio jet fuel was important, and that we couldn't keep it within the boundaries of KLM, so we decided to come up with a new company. In the last five years, SkyNRG have supplied approximately 25 airlines," he says.

SkyNRG is also working with airlines and airports around the world to create bioports -- or supply chains of sustainable jet fuel -- in a bid to ultimately bring down the price.

"With an increase volume, we could see price parity within the next ten years," says Caryn.

Other steps

Depending on the source of jet fuel and how it's cultivated, Caryn estimates using biofuel could reduce carbon emissions between 50 and 80%, depending mainly on the feedstock and conversion process. He notes that there are other methods currently in use to drop that percentage even further.

"The way of taking off, the way of landing, and the route you choose to fly can all impact emissions," he notes. Planes that make a continuous ascent or descent when landing or taking off -- instead of the more traditional "step-down" approach -- he says burn less fuel.

Eychenne also notes that Airbus is slashing emissions by switching to more innovative materials.

"We use a lot of composite materials now, which are lighter, and by bringing the weight down, you bring fuel consumption down," he says.

@highlight

KLM recently flew from Amsterdam to Aruba using sustainable jet fuel

@highlight

The 10-hour flight was the longest to ever use biofuel

@highlight

KLM is founding partner of SkyNRG, a supplier of sustainable jet fuel