(CNN) -- With a breezy sweep of his pen President Vladimir Putin wrote a new chapter into Crimea's turbulent history, committing the region to a future returned to Russian domain.

Sixty years prior, Ukraine's breakaway peninsula was signed away just as swiftly by Soviet leader Nikita Khrushchev.

But dealing with such a blatant land grab on its eastern flank won't be anywhere near as quick and easy for Europe's 28-member union.

Because, unlike Crimea's rushed referendum, everyone has a say.

After initially slapping visa restrictions and asset freezes on a limited number of little known politicians and military men, Europe is facing urgent calls to widen the scope of its measures to target the Russian business community in particular.

The logic of this is that those who run Russia and own it are essentially two sides of the coin.

Alexei Navalny, one-time Moscow mayoral contender now under house arrest for opposing the current regime, called for Europe's leaders to ban everyone -- from Vladimir Putin's personal banker to Chelsea Football Club owner Roman Abramovich from keeping their money and loved ones abroad.

Asset freezes and visa restrictions are especially palatable options for the EU because they can be rolled out on a discretionary basis, without requiring cumbersome legal procedures and recourse.

In fact Russia cancels visas for people it doesn't like all the time. Just look at Hermitage Capital founder Bill Browder who lost both his right of entry and Moscow-based money in 2005 and dare not go back.

Russia also banned the adoption of its orphans by Americans in retaliation for the US's implementation of an anti-corruption law named after Sergei Magnitsky, Browder's lawyer who died after a year in a Moscow detention center, apparently beaten to death.

Yet in playing the 'money talks' card, Europe must be ready for the consequences of such action. Because money also walks.

As such EU leaders must be ready to accept sanctions are a two-way street and will hurt both sides.

Targeting Russia's peripatetic business community would be one way of sapping their tenuous support for President Putin.

And such a strategy might also turn out to have a silver lining: awarding EU countries a chance to finally deal with some of the more unpleasant sides of their patronage, including money laundering and corruption, which have inflated prize assets like London property and Picasso paintings for years.

Where Europe should hold fire though is trade.

Two decades of post-Soviet rapprochement and almost $500 billion worth of commerce is a lot to put at stake.

It's true that any trade war would hurt Russia far harder than it would the EU - not least because 15% of the former's GDP comes from exports to the bloc.

But Europe - with its hefty reliance on Russian gas - would have a hard time keeping its factories going and citizens warm without power from the east.

And while Putin flexes his political muscle, open trade channels keep the dialogue going giving all sides a chance to change the subject and talk less tensely.

No one can afford to cut off that lifeline, especially now with Europe's economy on the rebound and Russia's one on the wane.

@highlight

Nina dos Santos says Europe must be ready to accept sanctions will hurt both sides

@highlight

Targeting Russia's business community would be one way of sapping their support for President Putin, she says

@highlight

But she says Europe would have a hard time keeping its factories going without power from the east