Wichita, Kansas (CNN) -- In situations like the dire humanitarian crisis that has followed Tuesday's earthquake in Haiti, we all are forced to witness what is the sometimes painful truth behind the cliché about it taking a village to raise a child. In the tragedy unfolding before us now, it will take a global village.

President Obama and former presidents, along with other leaders and representatives of humanitarian organizations, have reminded us of this. We would like to add our own small, humble contribution to the efforts under way around the world to help the people of Haiti.

In particular, we would like to draw your attention to the many children who were living in Haitian orphanages when the earthquake hit. As we have heard from professionals devoted to children's issues, children are among the most vulnerable segments of a population subject to natural disasters and humanitarian crises. It is not hard to imagine that orphans living in institutional care might often be even more vulnerable.

Watch couple's interview with Anderson Cooper

Right now, orphanages across Port-au-Prince are struggling to provide the most basic necessities to the children in their care. But right now, all Haitians in the capital are struggling to do this.

What makes Haiti's orphans different is that they have no families to take care of them, and no hope of reuniting with their families. Except for the orphanages' staff members, most of whom have families of their own to which they rightly must divide their attention, these children have no one.

iReport: Looking for loved ones in Haiti

Our adoptive son, Alexander, is one of the children without a family. He was left, just hours after his birth, near a hospital in Cité Soleil and, with the permission of Haiti's Institut du Bien-Être Social et de Recherches, brought to one of the homes of the Brebis de Saint-Michel de L'Attalaye orphanage in Port-au-Prince.

He was named after one of the American volunteers, Alison McMutrie, who works alongside Haitian staff to care for orphaned children. Ti Ali, or Little Ali, is 17 months old, and Big Ali is about 21.

Ali and the rest of the BRESMA staff have been the only family Alexander has ever known. And although we will never know for sure, especially not after the earthquake, anything about her, we firmly believe that his birth mother loved Alexander and did what was in her power to ensure that he would have a brighter future than she could provide.

Hers was, we believe, an act of sacrifice, but it was also an act of hope and trust -- hope that the world would be kind to Alexander, perhaps even despite her own experience, and trust that someone would love him as much as she does.

Though she will never know us, the faith that she has placed, even indirectly, in us is quite simply astounding.

Or at least it was until Tuesday. Now, we imagine that we share another bond with her: We would willingly make whatever personal sacrifice we have to to save Alexander's life. As parents who are adopting across national, linguistic and cultural boundaries, we are sensitive to all of the complicated issues that arise in international adoption, and we support both the integrity of Haitian families and the commitment to finding loving homes for children who are in need of them.

Since being matched with Alexander in April, we have traveled to Haiti four times to get to know him and the country of his birth. Each successive trip impressed upon us more and more the dignity of the Haitian people and the sense of commitment they show for each other.

From what we have seen of the people of Haiti when we have been there with Alex, they care deeply about all children -- orphans and those still living with their families. Many likely would help the orphans through this crisis if they could, but they simply cannot.

As Alexander's mother put her trust in the people who, as fate would have it, turned out to be us, we are placing our trust in others to join our efforts to secure the life of our child and the rest of the orphans of Haiti.

This is no longer an adoption matter. It's a matter of life and death. We have been told by the BRESMA staff that the children living in orphanages before the quake need to be evacuated from Haiti to save their lives.

We are aware that evacuating these children under such circumstances is temporary and might affect our adoption proceedings, potentially negatively. We also understand that it could mean that Alexander will never live in the home we have waiting for him. But he's our son, and we want him to live.

The opinions expressed in this commentary are solely those of Jean Griffith and Ross Haskell.

@highlight

In Haiti crisis, children are most vulnerable and orphans most of all

@highlight

Authors are in the process of adopting Alexander, a 17-month-old orphan in Port-au-Prince

@highlight

Children in Haitian orphanages need to be evacuated, according to staff of institution

@highlight

Priority is saving the life of Alexander and his fellow orphans, the authors say