"Go back to sleep."

Groggy from a night of drinking, that's precisely what James Landrith did.

The next morning, Landrith -- who was 19 at the time -- woke up in a bed that he quickly realized was not his own. As his haze lifted, he recognized the woman who ordered him to sleep the night before as a friend of a friend.

He remembered she asked for a ride home after their mutual friend left the nightclub where they'd been partying. He remembered the woman was pregnant and bought him drinks as a thank you.

He remembered feeling disoriented, and her suggesting a motel room to sleep it off. He even remembered lying down with his pants on, uncomfortable taking them off in front of a stranger, only to awaken later and find the woman straddling him. What he didn't remember was saying "yes."

The morning after, that familiar voice told him that he could hurt the baby if he put up a fight. Then, he says, she forced herself on him again. A few minutes later it was over. One night in a motel twin bed turned into years of self-examination.

It took some time, and the help of a therapist, to get there: "I was finally able to call it what it was," he says.

Landrith had been raped.

That was 1990. Since then, Landrith -- a former Marine based at Camp Lejeune -- has spoken out on behalf of sexual assault victims, in particular men who were victimized by women. He didn't seek prosecution of his alleged rapist, but he wants other victims to feel free to talk about sexual assault and pursue justice without shame.

"I want people to understand that it's not about how physically strong you are," he says. "We [men] are conditioned to believe that we cannot be victimized in such a way."

According to a 2010 report by the Centers for Disease Control and Prevention, nearly 1 in 5 women and 1 in 71 men in the United States have been raped. The actual number is likely higher, experts say, as incidents of sexual violence are severely underreported in the United States -- particularly among male victims.

Experts say any sexual assault victim requires extensive emotional and psychological healing after the incident, but male survivors have a harder time putting words to what happened.

In 2012, the FBI's Uniform Crime Report made a significant stride by redefining rape as: "The penetration, no matter how slight, of the vagina or anus with any body part or object, or oral penetration by a sex organ of another person, without the consent of the victim."

The prior definition -- "the carnal knowledge of a female, forcibly and against her will" -- hadn't been changed since 1927, and sexual assault awareness groups say it alienated victims that didn't fit the mold.

Veteran confronts rape, suicide: 'I am angry that others are going through this'

"Often, male survivors may be less likely to identify what happened to them as abuse or assault because of the general notion that men always want sex," says Jennifer Marsh, the vice president for Victim Services at RAINN, an anti-sexual violence organization.

"Males have the added burden of facing a society that doesn't believe rape can happen to them ... at all," says psychotherapist Elizabeth Donovan.

She says gender roles dictate that males are expected to be strong and self-reliant -- men are viewed as those who seek sexual conquests instead of those who "fend them off."

The concept of female-on-male sexual assault has recently gained traction on the Web via the ever-provocative entertainer Chris Brown. Brown recently revealed shocking details to Decca Aitkenhead in the Guardian about his first sexual encounter.

"He lost his virginity when he was 8 years old, to a local girl who was 14 or 15. Seriously? 'Yeah, really. Uh-huh.' He grins and chuckles. 'It's different in the country.' "

Tom Hawking of FlavorWire is one of many writers who took umbrage with this particular anecdote, asking in an article, "Why Is No One Talking About the Fact That Chris Brown Was Raped?"

Trauma recovery counselor Stephanie Baird says men who experience sexual attention as children, as Brown did, often explain it to themselves as "I'm a stud, I got laid by ..."

"They do this in order to feel as if they had some power and say," she says.

In addition to this macho posturing, there's also the hot-for-teacher or -babysitter complex that is a popular motif in modern American culture.

U.N. study in Asia delves into why men rape

"Because of the culture of 'Mrs. Robinson' it can be much more difficult for a male to even recognize that the action is abusive or without consent," Baird says.

Consent, she says, means "being of age, mind, sound body to make an informed decision about whether one would like to become sexually intimate with the other person." Children cannot consent.

The chatter over Brown comes in tandem with recent research published in the journal JAMA Pediatrics that says nearly 1 in 10 youths between 14 and 21 years old have reported perpetrating some type of sexual violence in their lifetime.

The study also found that males and females carried out sexual violence at strikingly similar rates after the age of 18 -- 52% of males and 48% of females. The study classified sexual violence into a few categories: foresexual or presexual contact (kissing, touching, etc. against their will), coercive sex, attempted rape, and completed rape. Women were more likely to  instigate unwanted foresexual contact.

For male sexual assault victims of any age, convincing others that they've been preyed upon is difficult as well. Experts say the general disparity in physical strength comes into play -- can't a man fight off a woman?

"It's a tough call; people think men can't be raped and they don't understand that in the confusion no still means no," says Curtis St. John, a representative for MaleSurvivor, a national support group for male sexual victimization.

Further muddying the water is the fact that some men can perform sexually, even including orgasm, and still be raped.

In an article in the Journal of Clinical Forensic Medicine, Roy J. Levin and Willy Van Berlo found that even in men who have not consented to sex, slight stimulation of the genitals or an increase in stress can create erections "even though no speciﬁc sexual stimulation is present."

" 'Were you aroused?' " is a question posed to male victims, St. John says. "You don't hear it with female rape victims. It's an interesting question that men get asked."

Long-term effects of being sexually assaulted can include post-traumatic stress disorder (PTSD), substance abuse, avoidance of intimacy or the stark opposite -- hyper-sexuality, says St. John.

"Some men feel a need to prove their masculinity by becoming hyper-masculine," Donovan says.

As for coping, Marsh at RAINN says it's never too late to reach out for help. But with the stigma attached, survivors may not feel comfortable talking to their friends and family because the victims themselves haven't defined their experience as assault.

For Landrith, it starts with confronting rape for what it is and sharing experiences.

"Whenever you talk about male survivors, women have it statistically worse, but it's not a competition -- and we each need our time to talk about it," he says.

@highlight

Female-on-male sexual assault is underreported, according to the CDC

@highlight

Male victims have a harder time defining what happened to them as assault, experts say

@highlight

New study shows nearly 1 in 10 youths (aged 14-21) have perpetrated sexual violence