Geneva, Switzerland (CNN) -- Sitting at the first Africa CEO Forum this week, in the heart of Geneva, I asked myself if this was the right time to open the debate on Africa's private sector future. Was Geneva the right place? Critics will rightly argue that this sort of event should have been held in Africa.

Over two intensive days, top African chief executive officers shared with attendees from all over the Africa, Europe and Asia, some latest trends and best practices, discussed the future of the continent's private sector, and received awards and accolades.

Speakers such as the outspoken Sudanese-born billionaire Mo Ibrahim tried to boost the narratives of Africa's position compared to China and India but with little solutions to offer. When I asked him why the event was not held in Accra or Johannesburg, Ibrahim replied by stating that the reasons were more infrastructural and logistical than anything else.

Paul Collier (Oxford University), Makhtar Diop (World Bank's Vice President for Africa), and Donald Kaberuka (chairman of the African Development Bank) also sent some very strong messages to African CEOs by reminding them to promote Africa's private sector.

Diop said: "This CEO Forum reminds us that Africa needs its business leaders as never before -- to help it generate more electricity, grow more food, and create more jobs to keep growing strongly, while also improving people's well-being through less poverty, better health and education, and more hope."

Read related: How 'Afropreneurs' will shape Africa's future

Despite the positive kick-off, the conference saw the presence of few women CEOs and panelists, which demonstrated the need to push African women into the board room. However, women like Rwandan Valentine Rugwabiza (WTO) and Wendy Luhabe from the Women Private Equity Fund, made their voices strongly heard. Lubabe stressed the need for challenging and removing bad leaders in politics and in our organizations.

"We must not allow nepotism and tribalism to exist in our organizations," she said. "We must create a culture of performance not mediocrity."

She added: "It is our responsibility as Africans to build a better business environment and create talent for our people."

Luhabe emphasized the importance of educating the youth, as they are the future of Africa, and of creating entrepreneurs and adding vocational training to employment policies and agendas.

A recurring theme at the event was that Africa needs more champions -- the likes of Bob Collymore, CEO of Safaricom in Kenya, Thierry Tanoh, CEO of Ecobank and Tewolde Gebremariam, CEO of Ethiopian Airlines. The last two were respectively named African Company of the Year and African CEO of the Year at the Forum.

This event was extremely timely, current and relevant. Timely, because Africa's growth has been consistent in the past decade -- almost 6% growth per year. The global crisis in Europe is not stopping Africa's growth.

Read related: Marieme Jamme: Shaping Africa's tech revolution

Current, because the narratives about Africa need to change; we are witnessing great progress in the continent and this needs to be highlighted. Relevant, because African CEOs need a platform where they can share and learn from one another.

Most of the African CEOs have never met before but share common problems. However, only time will tell what impact the event will have on the CEOs when they return home. Africa faces enormous problems. A conference in Geneva can only ever be one step towards solving them.

Good governance and transparency are still a challenge in Africa. African CEOs need to implement good procurement systems to fight corruption and leaks. They must create a culture of performance and challenge mediocrity at its core.

The forum was packed with journalists from all around the world including young African bloggers and journalists from France's biggest newsrooms. The question we are all asking ourselves now is how can we create, maintain and retain talent in Africa?

As the Apps4africa 2012 competition team travels to find the next tech CEO in Africa, all these questions were left unanswered at the African CEO Forum. The forum failed to talk about the youth of Africa, the Diaspora, technology hubs, and the growth of micro-economic dynamism we are seeing today.

It dramatically failed to address what development strategies African companies should employ to sustain and scale up their businesses.

Twitter: 10 African tech voices to follow on Twitter

CEOs did not fail by any means to demonstrate that Africa is changing and growing despite all the negatives press.

Their energy and enthusiasm were palpable. The continent is needed more than ever, they said, but I think African CEOs must start working together, trusting each other, thinking of implementing a regional integration package and finding a route for transferring solutions between African countries.

They must have a common platform where they can continue to learn from each other and share ideas. This is currently lacking.

Collaboration is imperative amongst the CEOs of Africa. After all, the only way their individual successes is to be measured and defined is how people's lives have changed, how many jobs are created, how many people get access to information, and how much their human resources have progressed.

Let's be honest -- Africa still faces great challenges. Investors are still reluctant to invest -- there are huge barriers. Starting a business is not always straight forward in may countries in Africa, the business ecosystem is almost non existent in many countries, we still have electricity issues, getting funding to start a business is still challenging in most parts of Africa, people aren't trained enough to execute essentials jobs, degrees gained by most African are useless or have no purpose in the job markets.

These entire impediments must be addressed. Change is imminent!

The opinions expressed in this commentary are solely those of Mariéme Jamme.

@highlight

Mariéme Jamme attended the first Africa CEO Forum in Geneva

@highlight

World Bank's Makhtar Diop called for private sector bosses to show leadership

@highlight

"We are witnessing great progress in the continent and this needs to be highlighted," says Jamme

@highlight

Jamme says business leaders need start working together to develop Africa