(CNN) -- What does a 22-year-old see when she looks at herself in the mirror?

Evelyn Apoko sees a face marred by war, one that is jarring to others. Even she can't stand to look sometimes.

Doctors reconstructed her jaw, removed scars and balanced her lips. In the coming days, she will get a new jaw implant, a bone graft and a set of upper teeth.

"I see me," she says, after pausing to think about how she might describe her reflection. "I look into my eyes and I know there is something there."

That something came from three harrowing years of captivity and the inner fortitude that fueled her desire to survive, so that she could live to tell about the ugliness she saw.

One summer night in 2001, Lord's Resistance Army (LRA) guerrillas snatched Apoko from a community center near her home in Gulu district, Uganda. Notorious for their cold-blooded cruelty, the LRA beat her, tortured her.

She chooses not to discuss all the details but says this: if she didn't do what the LRA told her, she knew she would die.

Apoko's tale, sadly, is not uncommon. She is among thousands of children abducted by the LRA.

Yet her pleas, and the pleas of all others who have tried to put an end to the abuse and killings committed by the LRA, have fallen largely on deaf years, she says.

As she awaits her final round of surgery in Austin, Texas, Apoko is glad that the LRA-instigated conflict, the longest running in Africa, finally made headlines this year.

She rejoiced in President Barack Obama's decision last week to send 100 U.S. military advisers to the Central African Republic to help hunt down LRA leaders. And she rebuked conservative radio talk show host Rush Limbaugh, who lambasted Obama and defended the LRA as Christians aiming to remove dictatorship.

"Lord's Resistance Army are Christians," Limbaugh said. "They are fighting the Muslims in Sudan. And Obama has sent troops, United States troops, to remove them from the battlefield, which means kill them."

"Dear Mr. Limbaugh," Apoko responded in a video message she sent to him.

"My name is Evelyn. I am a former abducted child. My heart breaks when I hear your message about the LRA."

She had no mouth left

Apoko, an ethnic Acholi, hailed from a poor family of nine children and grew up working on the farm with her parents. They grew corn, ground nut, cassava, sweet potatoes.

She was a night commuter, as were many children in her district. Every night, she traveled almost 10 miles just to sleep in the town center, where her parents felt she would be safer under near other public buildings and under the watch of the Ugandan army. In many cases, parents put their children in cages to protect them from the LRA.

The LRA sprouted as a rebel movement in the late 1980s among the Acholi people in marginalized northern Uganda. But if there was a group ideology, little remains today.

Human rights groups say the LRA is known as a cult group that follows the self-proclaimed spiritual powers of its leader, Joseph Kony, who is wanted by the International Criminal Court for atrocities. For more than two decades, the LRA has targeted civilians and terrorized them in Uganda and other neighboring nations.

When the LRA's ruthless ways dwindled support from the Acholi people, it began abducting children to carry on the fight. The group liked to kidnap boys and girls between the ages of nine and 12 -- strong enough to shoot a gun, small enough to squeeze through a window, young enough to have their moral compasses recalibrated to kill.

Apoko was one of them.

"It is not uncommon for the girls who are abducted to be converted into sex slaves or forced into marriages with LRA fighters," according to Daniel DePetris, associate editor of the Maxwell Journal of Counterterrorism and Security Analysis.

"The boys who are snatched up have two choices, which are not really choices at all. Either they fight to the death for Kony's apocalyptic worldview, or they can expect to be executed and dumped into a mass grave filled with their victims," DePetris wrote in a CNN article.

Or, sometimes, the girls are used as mules, says Jedidiah Jenkins, spokesman for the advocacy group Invisible Children.

Apoko recalled walking and walking. Day and night. Without food, without water. She was forced to carry things.

The LRA stays alive by constantly moving, Jenkins said. Through the thick, remote jungles of southern Sudan, the Democratic Republic of Congo and the Central African Republic. There, people are poor and disconnected from the rest of the world.

"The LRA are basically like sharks," Jenkins says. "When people get too tired, they just kill them."

Or in the very least, hurt them. The LRA soldiers beat Apoko.

It was impossible to live among them and not be subjugated.

Sometimes Apoko got caught in ambushes or firefights. She saw other children die around her. She had not even reached her teenage years and yet, there was no one around to hold her, soothe her, tell her things would be alright.

Days turned to months. More than a year passed like this for Apoko.

One day, planes roared overhead -- the Ugandan and Congolese armies often raided the LRA. The winds were strong, the planes flew low.

A bomb exploded behind her. Her backpack, laden that day with heavy pots and pans, caught on fire.

She felt a sharp pain in her foot. She took her shoe off and saw it was full of blood.

She was carrying a child in her arms, desperate to find safe haven somewhere. And then she felt the blast of another bomb. Shrapnel tore into her body, mangled her flesh, shattered all her teeth. In place of her face, there was a giant hole, like a crater in the ground.

Her clothes dripped with blood. She gasped for air. She realized the child had died in her arms. She laid her down by her mother's body. She did not want them to be separated.

She remembers the guerrillas snapping pictures of her. They sent them to Kony to ascertain if she was worth saving. They were going to pull the trigger unless she could keep walking.

And so she did, even with her horrific wounds.

The LRA spared her life but refused her treatment. Soon, infection set in. She couldn't tell whether she would survive.

She had no jaw or mouth left so she couldn't eat or chew. Instead, she lay down on the ground and poured liquid food into her mouth.

She had only one set of clothes, constantly damp and smelly from the saliva that dribbled out.

She knew she was a better, kinder person than the people around her who had inflicted such cruelty. She knew she had to escape.

'Hardly human'

One night in the fall of 2004, Apoko she said she was going to the bathroom but she never went back. She ran through the forest the darkness and didn't stop until she reached safety in Uganda.

She was admitted to the Rachele Rehabilitation Center in northern Uganda, which takes in child soldiers and helps them assimilate back into normal life. And she was able to see her family again.

She first arrived for a series of surgeries in the United States in 2005 with the help of Cori Stern, a co-founder of the Strongheart Fellowship Program, which seeks to help young survivors of trauma heal and begin life anew.

In between her surgeries, she returned to Uganda to endure more tragedy. Her pregnant mother and the baby girl she was about to deliver died after they were poisoned.

Apoko arrived in America frightened and without speaking a word of English.

Those who sheltered her here are amazed that she is the same woman who delivered a recorded message to Rush Limbaugh earlier this month.

"The LRA is not Christian," she told the talk show host. "Joseph Kony and his commanders could hardly be considered human."

In the video, Apoko wore a necklace bearing the name of an abducted child, part of a campaign to raise money and awareness.

That is her mission now -- to bring peace to children who have suffered. She even wants to try her hand at making a documentary film. And next month, she will appear in an episode of "Facing Trauma," a series airing on Discovery Fit & Health channel about women who have suffered facial injury.

"Enough children have died and too many have been displaced," Apoko said in her video. "Every human being deserves peace in their life. We all deserve to live life without fear."

But all these years have gone by and efforts to quell LRA violence have not been successful.

Ironically, it was Limbaugh's statements about the LRA that has cast attention on a neglected conflict, said Jenkins, the spokesman for Invisible Children.

Apoko is still waiting to hear back from Limbaugh.

And waiting for the last round of surgery. The reflection in the mirror will perhaps be more pleasing to look at then. But she will always see "something there."

@highlight

The Lord's Resistance Army abducted Evelyn Apoko when she was only 12

@highlight

She was beaten, abused and suffered horrific injuries from a bomb blast

@highlight

She escaped after three years and U.S. doctors operated on her face

@highlight

Recently, she told Rush Limbaugh he was wrong to call the LRA Christians