(CNN) -- It is a problem of massive plastic proportions -- a giant floating debris field, composed mostly of bits and pieces of plastic, in the northwest Pacific Ocean, about a thousand miles off the coast of California.

Researchers recover nets from the Pacific Ocean on August 3, 2009.

It's called the Great Pacific Garbage Patch and it covers a vast area of hundreds, maybe even thousands, of miles of open ocean.

Now researchers are trying to learn more about the sea-bound trash zone and perhaps find answers to basic questions.

A crew of scientists from the University of California's Scripps Institution of Oceanography has embarked on a three-week mission aboard the research vessel New Horizon, heading for the debris field to study it.

The mission is not as straightforward as it sounds. "There may be a misapprehension ... that if you got out there and stood on the middle of a deck you'd see nothing but plastic litter from horizon to horizon," said Robert Knox, deputy director for research at the Scripps Institution.

"It's relatively sparse, and you might or might not see something visible to the human eye at any particular location out there," Knox says. "Certainly one does encounter pieces of plastic stuff that are big enough to see. But the other side of the puzzle is all the little bits and pieces of plastic that you can't even see unless you scoop up a sample of seawater and see what's in there."

"I think it's a little misleading to think of it as a great big island that you could practically get out and walk on, but the point is it's a big area of ocean. So even a few pieces of plastic per square meter amounts to a lot of plastic when you add it up over this enormous ocean area."

There has been some previous research on this garbage field, but not much. It's been very poorly studied in a scientific sense. Major questions remain:

How how much stuff is there? What size is the stuff? Where is it distributed in the ocean, at the surface or at what depth? What does it do to the food chain, especially the small particles of plastic that may be ingested by smaller organisms at the bottom of the food chain?

While the main focus of the Scripps mission is the impact of this plastic trash on marine life, researchers will gather information on a wide variety of issues.

Here's what scientists do know: They know the size of this zone is huge, maybe as big as Texas. And they know that all the plastic accumulated in the patch has mostly broken down into smaller bits, floating just under the water's surface like confetti, basically a soupy mix of plastic-filled seawater that stretches for maybe thousands of miles.

They know the garbage patch has been growing for many years, and scientists first became aware of the problem years ago when fisherman reported encountering widespread debris. They know there are other debris fields in other oceans of the world, but this one is the biggest.

Rusty Brainard with the National Oceanic and Atmospheric Administration says this giant garbage patch, in addition to plastic, also contains huge masses of fishing nets, which destroys ecosystems around the Hawaiian Islands.

But the plastic is really the toxic killer. While it slowly degrades, it turns into increasingly smaller bits of plastic. Seabirds mistake it for food and they dive down and eat it.

Brainard says they find a lot of skeletons of seabirds on the Islands and "their gut content is just filled with plastic." Brainard says that has scientists wondering what other animals are eating this plastic.

As the larger animals and marine life eat the smaller animals, this plastic eventually ends up in the human food supply, too.

But even the size is of the Great Pacific Garbage Patch is uncertain.

"It's not a hard and fast number. It's a little bit like a whirlpool on the surface of a river or a lake. You'd be hard-pressed to tell me where the edge is. All you know is that it's stronger in the middle than it is in the outer reaches. But it's an area of many hundreds of miles -- perhaps thousands -- in which the ocean currents tend to bring it together," according to Knox.

NOAA has tracked the Great Pacific Garbage Patch movement to some degree. Scientists know it moves as much as a thousand miles north and south in the Pacific seasonally. And during warmer ocean periods, known as El Nino, it drifts even further south.

A kind of large, clock-wise circulation of currents driven by the wind around the Pacific ocean basin causes the plastic and other garbage to mix together in convergence zones, forming this giant trash zone and making its movements comparable to a whirlpool.

Researchers believe this enormous trash zone accumulated over many years from trash being dumped off boats and ocean-going ships, and from trash accumulated on beaches, where it eventually washed in the Pacific Ocean and into the huge zone.

This study mission may even help scientists determine whether there's any way to clean up the Great Pacific Garbage Patch and, if so, the best way to do it.

CNN's Ninette Sosa contributed to this report.

@highlight

Researchers are trying to learn the effects of the plastic and debris on wildlife

@highlight

Experts from the Scripps Institution of Oceanography will spend three weeks at sea

@highlight

Scientists say this sea-bound trash zone is largest among worldwide debris fields

@highlight

Researchers believe this enormous trash zone accumulated over many years