Dolakha, Nepal (CNN)As snow layered the trail before him, Hari Chaudhary thought it was odd. The veteran trekking guide had never seen snow on the trail in early October.

The popular 21-day Annapurna Circuit takes trekkers in a horseshoe-shaped route around a majestic segment of the Himalayas in Nepal.

On the 10th day of the tour, Chaudhary and his clients, two young Israeli women, were descending from the highest point of the trail, Thorung La Pass, to the next destination, a walk that would normally take about seven hours.

Now, after more than 10 hours of heading downhill, the snow pelted.

The flurry fell heavier and faster, obstructing their vision. There was nowhere to stop or rest; they had to keep walking.

"You couldn't see the trail, there was snow everywhere, making it easy to get lost," said Chaudhary. "It was all white, in the distance you could only see shadows of people walking."

Some wandered off the trail.

As the blizzard continued, their feet sunk into the snow pile. As their steps became heavier, they began to cry.

As the hours passed, Chaudhary could make out backpacks and supplies strewn on the snow.

"There were people who had fallen, or were stuck or resting along the way. I couldn't tell if I saw a dead body."

Conditions in the Himalayas can be cruel. But trekkers dying in snowstorms on the Annapurna Circuit is almost unheard of -- until this year.

Deadly year

Nepal, known for its fabled Himalayas including Mount Everest, has endured a deadly, tragic year.

In April, a hanging glacial mass collapsed and tumbled through a dangerous route on Everest, killing 16 Sherpas in the worst single disaster.

Months later, an unseasonal snowstorm struck Annapurna, killing at least 43 people including locals and foreign tourists.

Were the disasters just prone to happen or was climate change a factor?

Everest mountaineers have spoken of changes they've witnessed for years.

"In my first journey, there was snow and ice," said Apa Sherpa, a retired mountaineer who made his first summit in 1990. "Now we can see more rock. It's more dangerous ... the glacier's melting, the ice is falling, there's rocks falling more."

After a record 21 summits of Everest, he has no doubt that conditions are changing rapidly.

Dawa Stephen Sherpa, who has been climbing Everest since 2006, agreed: "Our observations show that seracs are peeling off the mountains much quicker and we're seeing avalanches much more frequently and of greater magnitude."

Whether the deadly disasters in Nepal this year can be linked to climate change is debatable.

"I am leery of attributing everything bad in nature to climate change," said Jeffrey Kargel, senior associate research scientist at the University of Arizona who studies the Himalayas.

"Sorting out what's specifically due to climate change and what's not is a difficult and sometimes impossible task. That said, it's clear climate is changing all over the world, including in Nepal."

While it's difficult to blame any single incident on climate change, there's evidence of an increasingly warming Himalayas.

Temperatures in the central Himalayas increased by about 0.6 degrees Celsius per decade between 1977 and 2000, according to one study. In the Tibetan Plateau, the average temperature in Lhasa rose by 1.35 degrees Celsius in 30 years, according to a report by International Centre for Integrated Mountain Development.

The impact of climate change includes accelerated glacial melt, irregular rainfall, changes in the monsoon season and greater risk of catastrophes such as avalanches, landslides and floods.

Natural disasters always happen, regardless of climate change, experts say. What's worrisome is that disasters in the Himalayas are becoming more common.

Extreme flooding hit Pakistan in 2012 and landslides and flooding washed away streets and killed hundreds in 2013 at a Himalayan holy site in Kedernath, India. Unusually early and heavy monsoon rains triggered that disaster, in which two months of rain poured in two days.

"These extreme rare events, they're not rare anymore," Kargel said.

Water towers of Asia

The Himalayas stretch from the eastern corner of Afghanistan, through Nepal to the northern tip of Myanmar. They contain snow packs and glaciers with freshwater that feed 10 major Asian rivers, including the Ganges, Brahmaputra, Mekong, Yellow and Yangtze, giving life to the continent's farms.

Disruptions to the Himalayas could affect agriculture, as well as water and food security for Asian countries including the two most populous countries in the world -- India and China.

Nepal sits sandwiched between these two countries, which are among the world's biggest contributors to greenhouse gas emissions.

But Nepal emits 0.025% of the world's greenhouse gas emissions, according to estimates.

"We have not swallowed poison, yet we are being poisoned," said Dr. Govind Raj Pokharel, vice chairman of the Nepal's planning commission. "We haven't done anything against nature or contributed to climate change, but we are majorly affected."

Farmers at risk

In Nepal, climate change is already impacting lives and livelihood, scientists say.

"Climate change is making things worse," said Deepak K.C., senior program officer for integrated climate risk management at the United Nations Development Program. "There are lots of dry spurts, interspersed with heavy rain in a short period of time that's causing flooding."

Farmers say that pests they've never seen before are eating their crops. The monsoon rains they've traditionally expected to arrive in June have become inconsistent, many say.

"We depend on timely rainfall for crop cultivation," said Purnimaya Thamang, a farmer who lives in a small village near the foot of the Himalayas. "We may not be able to feed ourselves or have the proper yield. The rain is either too late, too little or too much."

It wasn't like this before, they say.

Nepal's mountains are encircled with terrace farms where families have tilled the soil for generations. More than 70% of Nepalis work in agriculture and most are subsistence farmers.

Many farmers, like Ganesh Thami, have seen landslides and floods destroy their livelihoods. He woke up several years ago to his house trembling as a flood swept over his farmland.

"The river beating the stones made drumming sounds that kept growing. I heard the sound of the boulders rolling with the water. It felt like an earthquake," said Thami, who lost his farm in Dolakha, near the Himalayas.

Dolakha is identified as one of the most vulnerable districts to landslides according to a national study on climate change conducted by the Nepalese government.

The farmers say their livelihood is becoming harder and they don't know why.

"The people that are hit the hardest are not the ones causing the climate change," said David Molden, director general of the Kathmandu-based International Centre for Integrated Mountain Development. "That's the important message. The poorest people in the world are emitting the least amount of carbon, (yet) they're the ones who have to adapt dramatically to these changes."

In harms way

One of the issues is that some villages and homes are cropping up too close to a river or in dangerous areas prone to landslides or floods.

"People who are building are unaware that they're in dire jeopardy," Kargel said. "Right now, there's uncontrolled growth, in very vulnerable places, with houses sitting on river bluffs."

The mountains have always carried risk of landslides, avalanches and snowstorms even without climate change. But new developments in vulnerable areas exacerbate the risks of making them casualty events.

"The Himalayas are changing, the way people are living in the Himalayas is changing too," said Molden. "People are living closer to the river, there are more trekkers and mountain climbers."

As Everest has become more commercial, the number of expeditions has increased. In 2013, 658 climbers summited the peak, compared with 192 two decades ago. About 20,000 people a year now trek around the Annapurnas.

More people climbing and trekking means a greater probability of disasters that impact tourists and local hires.

"People were not prepared"

It's riskier for local hires, like Hari Chaudhary, who are exposed to greater risks because of repeated trips.

"Why would you want to go to the mountains? I only do it because I need to survive and I need the money," he said.

The only opportunities for uneducated, landless men are to take a construction job in the Middle East or work in tourism, said Chaudhary, a lanky man with a wiry frame. He has to support his wife and two kids.

During the blizzard, he guided his two clients to safety after 12 hours. While dozens died, went missing or had their hands blackened from frostbite, he and his two Israeli hikers survived without injuries.

For a day's work of carrying 50 pounds of gear and guiding tourists, he earns $10.

The Annapurna snowstorm was the effect of Cyclone Hudhud, which lashed India and wound up north in Nepal in October. Hundreds of tourists and local hires were stranded when the storms hit.

"People were not prepared, they didn't get the warning signals, like they should have," said Molden.

While the Annapurna event cannot be definitively ruled as a climate change-related disaster, it can't be ruled out either, scientists say.

"The speculation to the link to climate change is we're getting more intense rainfall or precipitation," said Molden. "It's so hard to say that event was due to climate change. All of these things have a relation. To prove that would be difficult."

Chaudhary attributes his survival to the rings of ice that formed around his ankles, which blocked snow from seeping into his bright orange Nikes, saving his feet from frostbite.

Just three days later, Chaudhary laced the same sneakers and headed back to the mountains to guide another group, glancing upward to the clouds that, for him and others, were becoming increasingly difficult to decipher.

This story was made possible by a reporting grant from the International Center for Journalists. A second part about solutions will run in 2015. Journalist Manesh Shrestha also contributed to this report.

@highlight

Recent deadly mountain incidents in Himalayas have created concern about climate change

@highlight

Avalanches are more frequent and of greater magnitude, says Sherpa

@highlight

Landslides and floods have made farming more difficult in recent years