Egyptian President Mohamed Morsy has issued an order preventing any court from overturning his decisions, essentially allowing him to run the country unchecked until a new constitution is drafted, his spokesman announced on state TV Thursday.

Morsy also ordered retrials and reinvestigations in the deaths of protesters during last year's uprising against strongman Hosni Mubarak. That could lead to the reprosecution of Mubarak, currently serving a life prison term, and several acquitted officials who served under him.

The order for retrials could please some Egyptians who've expressed disappointment that security officers and others have escaped legal consequences over last year's protester crackdown by the Mubarak regime.

Egypt and Morsy proved 'pivotal' in Gaza cease-fire talks

Some demonstrators in Cairo, however -- protesting for a fourth day against Morsy and the growing influence of the Muslim Brotherhood -- expressed anger over his assumption of more power. About 2,000 people protested Thursday night in and around Tahrir Square, with some chanting "birth of a new pharaoh" and "Morsy the dictator."

Political rivals also expressed dismay Thursday evening.

"Morsy is taking over the executive, judicial, and legislative powers in his hands, and this is a dangerous path," said the Twitter account of Hamdeen Sabahy, a former presidential candidate.

"Morsy has issued immunity to any laws he issues. This is the birth of a new dictator," tweeted Khaled Ali, another former presidential candidate.

Hundreds of Muslim Brotherhood supporters, meanwhile, stood outside the general prosecutor's office Thursday to support Morsy's decrees.

Morsy declared that any laws or decrees he's made since he took office June 30, and until a new constitution is put in place, are final and cannot be overturned or appealed, his spokesman said on state-run TV.

Morsy also declared that a 100-man council drafting a new constitution, plus the upper house of parliament, cannot be dissolved. And he granted the council two more months to finish a draft constitution, meaning the panel has six months to finish.

That means Morsy, who earlier this year took over legislative powers from the military council that ruled after Mubarak's ouster, could have at least six months of unchecked rule by decree. The draft constitution would go to a referendum before it is finalized.

He also fired Egypt's general prosecutor, who had taken criticism from protesters in recent months because they believe prosecutions over demonstrators' deaths were insufficient. Morsy swore in Talaat Ibrahim as the new general prosecutor on Thursday.

Morsy's moves come three days after the start of violent protests in central Cairo, largely by people angry at Morsy's government and the Muslim Brotherhood, the Islamist movement to which Morsy belongs. They also come amid turmoil in the constitution panel, which has been torn between conservatives wanting the constitution to mandate Egypt be governed by Islam's Sharia law, and moderates and liberals who want it to say that Egypt be governed by principles of Sharia.

The announcements also come a day after Morsy helped broker a cease-fire between Israel and Hamas after an eight-day conflict between the sides.

On Wednesday, Morsy released a statement saying he had canceled a planned trip to Pakistan -- sending his vice president instead -- to concentrate on internal political developments and the Israel-Hamas cease-fire.

Thousands of people have protested in Cairo since Monday, chanting -- for the first time since Morsy took office -- for the toppling of the regime. Some in Tahrir Square held posters saying "No to the Brotherhood," and banned Brotherhood members from entering the square.

Some protesters have thrown Molotov cocktails and rocks at police, who have fired tear gas and birdshot at the demonstrators.

One person has died and at least 80 have been injured in the protests, according to Mohamed Sultan, a Health Ministry spokesman.

Nine police officers have been injured in the clashes so far, said Alaa Mahmoud, an Interior Ministry spokesman.

Dozens of protesters have been arrested, said Interior Minister Ahmed Gamal El Din. Cameras have been installed around Tahrir Square, its side streets and the Interior Ministry in an effort to determine the identities of people attacking security forces, he announced.

Middle East balance of power shifting

More demonstrations are scheduled in Tahrir Square on Friday.

Fekri Mahkroub, a criminal court judge in Egypt's Ismailia district, said Thursday night that he was "sad because what President Morsy did is an assault on the legislative and judicial system."

"He defies anything the revolution stands for, and his actions are an insult to us as judges," Mahkroub said. "Declaring that his laws cannot be questioned is unacceptable, and we may see a general judicial strike."

Eric Trager, a fellow with the Washington Institute for Near East Policy, said Morsy not only is preventing the judiciary from overruling his decisions, but he also has "insulated the Muslim-Brotherhood-dominated (constitutional panel) from judicial oversight."

Depsite the protests in Cairo and objections from political rivals, Morsy -- elected with nearly 52% of the vote in a June runoff against former Prime Minister Ahmed Shafik -- enjoys the "best mobilizing capability in the country" in the Muslim Brotherhood, Trager said.

"If there's a nationwide movement against this, you'll (also) have a nationwide movement for it," Trager said.

After he was elected, Morsy took legislative control from the Supreme Council of the Armed Forces, which had ruled after Mubarak was deposed. Earlier, the council dissolved parliament's lower house, saying parliamentary elections that began in November 2011 were unconstitutional. Morsy indicated in June he would call back parliament, but Egypt's high administrative court upheld the dissolution.

Mubarak and his former Interior Minister Habib El Adly were convicted and sentenced in June to life in prison on charges relating to the deaths of hundreds of protesters after a 10-month trial, while six former government aides were acquitted. Some Egyptians protested the sentences and acquittals.

Morsy, who still was running for office, said at the time that he would initiate new investigations if elected.

About 840 people died and more than 6,000 others were injured in last year's 18-day uprising, according to Amnesty International.

@highlight

Morsy: Any decisions until new constitution is established can't be overturned

@highlight

Move could give him unchecked power for months; protesters call him 'dictator'

@highlight

Declaration comes on 4th day of protests against president and the Muslim Brotherhood

@highlight

Hundreds of Muslim Brotherhood supporters demonstrate for Morsy on Thursday