(CNN)Linda Kaoma is on the hunt in East Africa. Her tour of the region will see her travel to Tanzania, Kenya and Uganda. Not in search of lions, rhinos or other big game. Rather she's on a quest for a much more elusive creature -- the African poet.

"We have a rich oral tradition and it's important that we document what is happening in history poetry-wise," she explains. "Africa has a history of a lack of documentation and we really didn't want this to happen to our poets."

Kaoma, 29, is part of the team behind the Badilisha Poetry X-Change, the largest online archive of African poetry, accessible via mobile phone, in the world.

The Badilisha project was originally conceived as an annual poetry festival overseen by the Africa Centre, a pan-African organization based in Cape Town in 2008. Over the following years it grew to become a powerful mouthpiece for showcasing African wordsmiths. And by 2012, the institution decided to move online in an effort to break down geographical borders and open up their diverse anthology to a wider audience in Africa.

Poetry in your phone

Following an overhaul of the site last year, Badilisha relaunched in September, making its immersive archive accessible to a broader international following through a "mobile-first" site.

It's a shrewd move on a continent where mobile phones have revolutionized critical sectors such as education, healthcare and agriculture. Adoption of mobile phone use has been prolific in Africa with mobile data services going from strength to strength. Seven out of 10 mobile users in sub-Saharan Africa use their phones to browse the web, according to a recent report from Ericsson. Elsewhere, a study by analyst firm Ovum predicted in November that "mobile broadband connections in Africa are set to rise from 96 million in 2013 to 950 million to cover 77.3% of all mobile subscriptions in the continent by the end of 2019."

Kaoma adds: "A lot of Africans use their mobiles to go on the Internet and because they are own main target audience, we had to cater for them and make it easy for them to access this content."

To date, the project has collected almost 400 African poets from 31 countries in Africa and across the diaspora, in 14 different languages. Since the relaunch, users are able to navigate the site through a myriad of options including by theme, poet, country, language, emotion or by their "Top 10" list, a popular feature curated by a guest poet each month.

And it seems their following has embraced the organization's decision to go forward on mobile with an average of 3,000 visitors to the site monthly.

"We want the archive to be a place where people can come and get educated about what other African poets are saying. A place for them to interact with one another," says Kaoma. "There is great value in a Kenyan interacting with a Nigerian. A Nigerian interacting with a South African...

"Also the archive has now reached an international status and it has become a global stage. Poets can get the exposure that they usually do not get."

Cape Town-based poet Toni Stuart, who compiled this month's "Top 10" list, says: "I don't think the importance of an archive like this can be overstated. It is the first 'living archive' focusing solely on poets from Africa and the diaspora.

"The archive serves a number of purposes: it makes poets available to an international audience -- and for less known poets, this is a chance to be heard beyond their own community, city or country. It raises the the profile of poetry from and of the continent, while allowing people to engage with the words through hearing and reading them."

Hot on the trail of poets

Two poets are introduced to the platform weekly and each poet profile features a short biography, two text poems, a photograph and audio podcast recordings of the wordsmith reading their works.

Kaoma, a poet and writer herself, says: "It adds so much value to actually hear the poet's voice recite their work. It adds a different dimension, it adds a texture. We really want to give our audience a holistic experience of poetry.

"If some people just choose to read it, that's fine. But if others want to hear it, (the podcast) really brings the work to life."

Meanwhile, Stuart, who also runs poetry and performance workshops, says the multi-layered format "democratizes poetry" by "offering an equal platform to poets working in all languages on the continent, and to established and emerging poets."

Poets can supply their work directly to the organization via the project's submissions page. It is then evaluated by a rolling judging panel who determine whether the work is suitable for Badilisha.

"At any given time we have two or three poets sitting on the panel," says Kaoma. "We try to have a mix of people so we will invite poets to come curate for us. It keeps the selection process exciting and diverse."

Conversely, the team also approach poets directly to inquire if they are interested in adding their work to the collection. Additionally, they travel to various nations in search of poets to connect with.

"We write to publishers or anybody who has access to these poets and build those profiles. We do, from time to time, have to travel to a specific country. We really have to do a lot of ploughing and digging of the poetry scene and that space."

One such voice on the platform is Ghanaian-born Jamaican poet Kwame Dawes. Having first encountered Badilisha while visiting Cape Town several years ago, he is thrilled to see how the organization has created a burgeoning poetry scene online.

"I had the chance to visit their studios and to learn more about what they intended to do. It was exciting to see this fledgling idea blossom into what is simply one of the best things to happen to African poetry in a long time.

"The concept is simple, but the impact is massive."

Existing in an online space

Dawes, who is also a distinguished actor, documentary writer and founder of the prestigious African Poetry Book Fund, has not only curated content for the site but he's also featured in this month's "Top 10," compiled by South Africa's Toni Stuart.

He adds: "Of course it feels good to see that other poets are engaged by my work. I am not sure what it means really (to be included in the Top 10), but I have to think that the few poems on the site resonate with people in positive ways. I am in good company, frankly, and I find that an honor."

It's a sentiment project manager Kaoma says many poets share about their inclusion in Badilisha.

"When we first started there was obviously a bit of resistance. People not understanding how being online works. Now as a society, we are more accustomed to being online, a lot of our activities are based online -- we shop online -- so as society becomes more comfortable with the idea of the web, so do poets," explains the curator.

"Poets are very open to it and they appreciate having such a space there they can engage with one another."

Badilisha is principally funded by Spier, a South African wine estate, with additional financing from applications to the government and other private institutions. And in a time when traditional publishers are shying away from printing poetry due to lack of sales, the project offers poets a new outlet for presenting their work in a digital age. But Kaoma is quick to clarify Badilisha's position as an alternative literary publisher.

"A lot of publishers right now aren't publishing a lot of poetry, (and) we don't want that to be what stops us as poets from having thriving careers. I think we can exist online and maybe when people see how popular poetry really is, they can start increasing the number of books being published. I think we can coexist and work with one another."

Tom Page contributed to this story.

@highlight

Badilisha Poetry X-Change is the world's largest archive of African poets

@highlight

Poets featured on the "mobile first" site must be African or have a strong link to the continent

@highlight

70% of mobile users in Sub-Saharan Africa, according to Ericsson consumer report

@highlight

Each poet profile includes a bio, photo, text poems and audio podcasts