(CNN)You'd expect a conversation with Mulatu Astatke to be about music. He is, after all, the father of a musical genre: Ethio-jazz. But when he talks about the art form, he tends to focus on its scientific merits.

"When you start talking about jazz, they're usually telling us that Africans contributed to the rhythm parts of jazz music, but it's not only the rhythms. We have contributed to the science of jazz as well," he says.

While innovators like Charlie Parker may get credit for the creation of modern jazz music by using diminished scales (as done in classical music by composers like Claude Debussy), Astake offers an alternative view:

"In southern Ethiopia, there are tribes called the Derashe -- I call them the scientists of music. By cutting different size bamboos, [they] have been playing this diminished scale [for centuries]. So who first created it? Debussy, Charlie Parker, or the Derashe tribes?"

Unsurprisingly, I'm not the only one who's been presented with such questions by Astatke, whose passion about Africa's contribution to music extends back to the 1960s when he went on to fuse the traditional Ethiopian five-tone scales with western 12-note harmonies to give life to a whole new music genre: the hypnotizing and eerily seductive soundscape of ethio-jazz.

Music pioneer

Astatke, whose performance Saturday at Africa Utopia was one of the highlights of the London-based festival, has been outspoken about his country's cultural heritage throughout his five-decade career. Yet, the father of ethio-jazz first had to go outside Ethiopia to find his musical calling.

Born in Jimma, southwestern Ethiopia, in 1943, Astatke was sent to Wales as a teenager to further his high school studies, with the goal of studying aeronautical engineering. It was there where his fascination with music began, after being encouraged by his teachers to pick up various musical instruments.

Astatke quickly discovered his natural musical talent -- and has never looked back. After shelving plans to study engineering, he moved to London to study classical music at Trinity College. During those years, he also started performing live, playing congas and timpani in various clubs across the London capital.

Keen to explore jazz, Astatke then decided to enroll at Boston's Berklee College of Music, becoming the famed institution's first African student. At Berklee, Astatke analyzed the work of jazz giants -- anyone from Duke Ellington and Count Basie to Gil Evans and John Coltrane -- but was also encouraged to explore his own musical vision.

"I remember at Berklee we had a fantastic teacher who always used to tell us, 'guys, be yourselves,'" says Astatke. "So I started concentrating, working things out my own way and experimenting."

The result was a captivating musical fusion of the four pentatonic Ethiopian modes with western jazz.

"I started combining the five notes against the 12 notes, and it's not easy," recalls the multi-instrumentalist, who after Berklee moved to New York and recorded three albums with the Ethiopian Quintet.

"It's so difficult because it can easily lose the beauty, the character and the feel of the Ethiopian modes and scales," he continues. "I really had to think and work out how to combine it both and come up with something beautiful and very interesting -- that's how Ethio-jazz was created, in New York."

Cultural ambassador

By the late 1960s, Astatke had returned to Ethiopia, bringing his electrifying new sounds with him. At first, his radical approach was met with some resistance, especially his use of instruments like vibraphones, electric pianos, trumpets and wah wah pedals.

Yet, he eventually managed to win the hearts and minds of his co-patriots and became a leading figure in the "Swinging Addis" era of the late 1960s and early 1970s, when the Ethiopian capital of Addis Ababa became famous for its experimental music scene and vibrant nightlife. During that period Astatke also got to work with one of his heroes, Duke Ellington, escorting the great American jazz composer during his visit to Ethiopia in 1973.

"We talked about Ethiopian music and the great African contribution -- especially the tribes in Ethiopia," recalls Astatke, "and I made him listen to our great traditional music players."

Astatke enjoyed a successful career in the last years of Haile Selassie's reign and continued making music after the Ethiopian emperor got deposed in 1974 by the Derg military regime, which lasted until the early 1990s.

But his big break -- at least for the wide public -- came in 2005, when award-winning director Jim Jarmusch decided to use Astatke's music for his bittersweet masterpiece "Broken Flowers."

"Jim helped so much for my success, he's a great man," says Astatke, recalling his first ever encounter with the American filmmaker. "I was playing in New York and his secretary called up one afternoon and said Jim Jarmusch would love to come to your concert," says Astatke. "I said OK, you're welcome... We met backstage after the concert and I remember him telling me, 'Mulatu I've been a fan of your music for a long time, do you mind if I use your pieces in my film?  I said, 'great, just go ahead, there's no problem.'"

Jarmusch used Astatke's music as the soundtrack to the travels of Bill Murray's character, and even included an Ethiopian character in the story. The film was widely successful, and helped to introduce Astatke's music to a large and diverse audience -- from jazz and funk enthusiasts to hip-hop and rap fans.

Several successful tours, collaborations and recordings have since followed, as well as a number of academic accolades -- in recent years Astatke has been awarded an honorary doctorate from Berklee, has completed a Radcliffe Institute Fellowship at Harvard and is working with MIT on creating modern versions of traditional Ethiopian instruments.

"Sometimes I just don't believe myself," says Astatke. "I am really so surprised when I see that we play for 120,000 people in Japan; in Glastonbury I played twice for 140,000 people," he continues.

"There are some great people who created something and probably died before seeing the fruit [of their work]. But I'm still alive, seeing my music being played all over the world. I'm very happy and very pleased to see this thing happening while I'm alive."

@highlight

Mulatu Astatke is the creator of ethio-jazz

@highlight

He blended traditional Ethiopian music with western jazz and funds

@highlight

The pioneering musician was the first African to enroll at Berklee College

@highlight

Astatke's music was used in the soundtrack of Jim Jarmusch's "Broken Flowers"