(CNN) -- A spokeswoman for a group headed by Nobel Peace laureate Shirin Ebadi has been arrested by Iranian authorities less than 48 hours before the country marks the first anniversary of its election fallout, according to a human rights group.

Narges Mohammadi, a member of Ebadi's Defenders of Human Rights Center -- known as Iran's leading human rights group -- was arrested overnight at her Tehran home, the U.S.-based International Campaign for Human Rights in Iran reported Friday.

No information is available about the arrest of Mohammadi, whose whereabouts are unknown, said Hadi Ghaemi, a spokesman for the campaign.

Ghaemi noted that a television program on an official Iranian station aired a segment Friday attacking Ebadi's character and her human rights record. The program included clips of Ebadi's husband, who was arrested after the June 12, 2009, elections and released, making disparaging remarks about his wife.

Her husband, Javad Tavasolian, was "subjected to physical and psychological abuse" while he was detained, the Human Rights Campaign in Iran said. "He was videotaped while in detention and coerced to make defamatory statements about her. He informed Ebadi about his ill treatment after his release."

Ebadi, who was awarded the Nobel Peace Prize in 2003, has been a vocal critic of Iran's human rights record, especially in the aftermath of last year's election. Thousands were arrested during the mass demonstrations that followed -- including former lawmakers, political activists, local and international journalists, filmmakers and foreign nationals -- and hundreds were accused of engaging in a "soft revolution" and tried in court.

In a commentary published on CNN.com Friday, Ebadi stated, "Most recently, in order to put more pressure on political and social dissidents, and in addition to regular arrests, the Iranian government has resorted to other tactics. For example, the government has been taking hostage and imprisoning the close relatives of these individuals to inflict more intimidation and psychological pressure, in order to have their demands met."

She named her sister, Nushin Ebadi, a dentistry professor who was detained for 17 days in December, among the examples of those arrested without cause.

The Islamic government has steadily been tightening its grip throughout the year, said a report issued Thursday by Human Rights Watch, a group that also has been monitoring the situation through interviews with people in Iran.

The government and police have issued warnings to Iranians not to participate in any gatherings Saturday, and opposition leaders called off protests to mark the anniversary for fear of another crackdown.

Human Rights Watch said the atmosphere inside the country is markedly different from the images of defiance that filled the internet and television screens starting a year ago.

"While the international community has focused on Iran's nuclear ambitions, Tehran has been methodically crushing all forms of dissent inside the country," Joe Stork, deputy Middle East director at Human Rights Watch, told CNN this week.

"Journalists, lawyers, and civil society activists who used to speak to foreign media and human rights groups are increasingly reluctant, fearing phone and internet surveillance," he said in a statement released with the latest report.

The rights group says Iran's crackdown extends beyond election protesters.

The 19-page report lists abuses including arbitrary arrests, extrajudicial killings, rapes, torture and violations of the rights to freedom of assembly and expression. Scores of journalists and human rights activists have been targeted, the report says, and the government has executed at least seven Kurdish political dissidents, while more than a dozen sit on death row.

Iran has defended its record before the U.N. Human Rights Council. Mohammad Javad Larijani, the secretary general of Iran's High Council for Human Rights, has said that the government goes after only those who incite violence.

"Nobody is jailed because of the protest," Larijani said in February. "The only reason for jailing is the violence which was attached with the protests. Any government has a duty to bring an end to the violence. I think the beating of our police is much more less than the New York and Los Angeles police."

@highlight

Associate of Nobel Peace laureate Shirin Ebadi arrested in Iran

@highlight

Arrest comes less than 48 hours before Iran marks election anniversary

@highlight

Ebadi's husband and sister, others arrested over past year

@highlight

Iranian goverment inflicting "intimidation," Ebadi says