Thoreau, New Mexico (CNN) -- Almost hidden in the spectacular red rock country of northwestern New Mexico is a tiny charity that educates and houses almost 200 Native American children and their families.

The St. Bonaventure Indian Mission and School, affiliated with the Roman Catholic Diocese of Gallup, mostly survives on donations, which it promises to use wisely. The need is apparent once you step onto the grounds.

And that's why mission executives agreed to work with one of the world's largest direct mail companies, which solicits donations for hundreds of nonprofit and charity clients in the United States. They wanted to raise as much money as they could.

They signed a contract with Quadriga Art in 2008 and, according to internal financial statements, saw more than $9 million in donations flow in over a four-year period.

But almost none of the money went to the mission.

Instead, school officials acknowledge that the mission owes more than $5 million to Quadriga Art. And evidence suggests that several other charities also owe the company huge sums of money

It raises questions about how much of the billions of dollars Americans donate each year actually help the intended charities, something that the Senate Finance Committee is exploring as part of its ongoing investigation into another charity linked to Quadriga.

On Tuesday, the committee issued questions to Quadriga officials to explore how the company raised money for the Disabled Veterans National Foundation, it said. In response, Quadriga said, it "volunteered" some information to the committee and will cooperate with the investigation.

In addition to the Senate inquiry, attorneys general for New York and California are investigating Quadriga for possible fraudulent practices, sources say. The company has provided documents to New York investigators, multiple sources confirm to CNN. And sources say California officials have also requested documents from key Quadriga executives.

The executive director of St. Bonaventure Indian Mission and School, Chris Halter, went to New York to meet with Quadriga officials after being contacted by CNN, sources said.

In an e-mail, Halter wrote that the debt was the result of a "pilot program" that did not succeed.

"In this effort Quadriga/Brickmill (Brickmill is an affiliated marketing services company) agreed to finance the mailings and bear the risk of any losses if the campaign did not succeed, " Halter said in that email.

"Unfortunately, this project started just a month before the recession began and was not profitable. Accordingly, the mission negotiated with Quadriga/Brickmill to end the pilot project early and Quadriga/Brickmill concurred. As had been agreed, the mission now owes Quadriga/Brickmill nothing for this pilot project," Halter also told CNN.

"Quadriga has helped enable the Mission to deliver water and food services and keep its school open during lean economic times by allowing the Mission to delay repayment of part of its bills on generous, no interest payment terms."

But the Roman Catholic Diocese of Gallup, which has overall responsibility for the St. Bonaventure Mission, says it knew nothing of the debt until it was contacted by CNN.

"We have serious concerns about that company," said James Mason, an attorney for the diocese. "And the fact that they reached out to an entity in our diocese and potentially would jeopardize these good services, educational and otherwise that are being provided."

In an e-mail, Quadriga spokewoman Melissa Schwartz wrote, "Sometimes the program is successful, and sometimes it results in a net loss for Quadriga Art."

She added, "We are proud of our ability to take on start-up organizations that do not have an email list, donor file or the money on hand that it takes to build a long-term, revenue-producing direct mail program."

In a web video posted by Quadriga CEO Mark Schulhof to his company's clients, he did not address directly the question of state or Senate investigations.

"Not once have we been fined; not once have we ever been charged," Schulhof said. "We get inquiries all the time from states" because forms are filled out incorrectly.

Other charities

Internal financial documents show that at least 11 charities now owe the company millions of dollars, a result of direct mail campaigns failing to bring in enough money from donations to cover the cost of the campaigns themselves.

In a statement, a Quadriga spokesman said the financial information was "grossly inaccurate" when it came to profit numbers.

The company further stated that "a complete, independent, third party audit of Quadriga's financial information has indicated that Quadriga has not made any net profit on the accounts you list."

Spokesmen for several Quadriga charity clients acknowledge that they owe the company amounts ranging from about $200,000 to millions of dollars.

Leading the list of charities owing money to Quadriga is the Washington-based Disabled Veterans National Foundation.

The Senate Finance Committee began investigating the foundation's tax-exempt status after a series of CNN reports broadcast in May. Florida investigators have been examining the foundation amid accusations of creating misleading representations in a direct mail campaign authored by Quadriga, according to the state Department of Agriculture and Consumer Affairs.

Documents show that the Disabled Veterans National Foundation owes Quadriga more than $15 million.

As part of their investigation, Florida officials say the foundation, which says it has raised nearly $70 million in donations since 2007, has also acknowledged an extraordinary payment to another charity.

According to documents obtained under the Florida Public Records Law, the Disabled Veterans National Foundation agreed to pay $325,000 to a charity called the Disabled Veterans Life Memorial Foundation.

A letter from the Memorial Foundation's chief operating officer, Rick Fenstermacher, says the payment was because of a "striking resemblance" between letters appealing for money on behalf of the Disabled Veterans National Foundation and similar letters mailed on behalf of the Memorial Foundation.

"It appeared that our proprietary information and intellectual property rights had been violated," the letter stated.

In the settlement agreement, Quadriga did not admit to any wrongdoing, and the veterans charity said the agreement "speaks for itself." The Disabled Veterans National Foundation also said the mailings in question were out the door before the settlement could be agreed upon.

Despite the huge payment, nowhere in the Disabled Veterans National Foundation's mailings to prospective donors did it acknowledge that donated funds would be used to pay for a out-of-court settlement to another charity.

The common denominator between the two charities is their direct-mail fundraiser, Quadriga.

The memorial foundation, which plans to build a statue and memorial to disabled veterans on Capitol Hill near the Rayburn House Office Building, stopped using Quadriga in 2008, five months before the settlement agreement was reached.

As for the Disabled Veterans National Foundation, it has embarked on an expensive new mailing campaign, launched after the Senate Finance Committee began its investigation. On behalf of the charity, Quadriga said, it sent 750,000 letters, each with a $1 bill enclosed, in an effort to raise more money.

Roger Craver, a veteran of more than 50 years of direct-mail fundraising on behalf of nonprofits and charities, offered his opinion on the ethics and legalities of surrounding Quadriga and similar outfits:

"The fact that (that) company puts forth money for this purpose is not unethical per se. It's not illegal per se," he said. "But what is problematic is ... if the charity is promising to do something with the money that the donor sends and there's no money going to it ... if no money has gone to the charitable purpose, then that's fraudulent."

"Big mistake"

The CEO of another Quadriga client, a Los Angeles-based charity called Help the Children, said he had made a "big mistake" in signing a contract with the company.

Roger Presgrove said he tried to cancel the contract a year after signing it but was unable to do so. He said Quadriga told him that Help the Children owed $285,000, and the charity couldn't pay it. Ultimately, the debt was whittled down to less than $200,000, Presgrove said, which was still money he did not have.

Of the roughly $800,000 raised in donations by the Quadriga campaign, Presgrove said, his charity kept about $32,000: less than 5%.

"So we had to take money out of our reserves to keep our programs going (to) fulfill what we said we would do. And in the meantime, we're the ones who are struggling, and they're the one who is doing extremely well."

Asked whether he felt that Quadriga had "ripped him off," Presgrove replied, "Oh, yeah."

But after CNN asked Quadriga for its reaction, Presgrove retracted his statements.

Presgrove acknowledged that before he spoke to CNN, he e-mailed a Quadriga executive, saying that unless he was let out of his contract, he would go to CNN with his story.

In less than an hour, a Quadriga executive agreed. "I think it is in everyone's interest to end this and move on," the executive wrote back.

Despite his agreement with Quadriga, Presgrove granted an on-camera interview anyway.

Two days later, CNN received a phone call from a Quadriga spokesman, and Presgrove himself wrote CNN, saying he wanted to retract what he had said. The Quadriga spokesman also said Presgrove's interview should be retracted because he had just undergone a medical procedure and was in no condition to answer questions.

Quadriga claimed that CNN had "dragged" him to an interview. CNN disputes that assertion.

Still later, Presgrove texted CNN, asking not to air the interview: "I have to get out of this contract and that was the deal. No interview and I'm out. Sorry."

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Tiny New Mexico charity owes $5 million to direct mail firm

@highlight

That firm, Quadriga Art, is linked to a Senate committee inquiry

@highlight

The Senate is exploring how Quadriga raised money for one charity

@highlight

At least 11 charities owe Quadriga millions of dollars