The surviving suspect in the Boston Marathon bombings suffered an injury to his throat and may not be able to talk, a federal official told CNN on Saturday, possibly hindering attempts by authorities to question him about a  motive in the attack.

With one suspect dead, authorities believe answers to a motive and whether the brothers had help rest with Dzhokar Tsarnaev, who was captured Friday night just minutes after authorities had indicated that a massive manhunt for the suspect appeared to come up empty.

The official, who was briefed on Tsarnaev's condition, spoke on condition of anonymity.

Tsarnaev was in "serious but stable condition" and "not yet able to communicate yet," Massachusetts Gov. Deval Patrick told reporters during an impromptu briefing on Saturday.

Federal prosecutors are at the heavily guarded Beth Israel Deaconess Medical Center, where Tsarnaev is being treated for wounds.

Authorities have not publicly detailed the injuries sustained by the teen, but an official who has been briefed said Tsarnaev has been "intubated and sedated." The official also spoke on condition of anonymity.

"I, and I think all of the law enforcement professionals, are hoping for a host of reasons that the suspect survives, because we have a million questions, and those questions need to be answered. There are parts of the investigation, in terms of information and evidence, that still needs to be run to ground," Patrick said.

Authorities have not said whether they have questioned Tsarnaev, nor have they publicly said what charges will be filed against the teen. But a Justice Department official, speaking on condition of anonymity, told CNN the teen will face federal terrorism charges and possibly state murder charges.

The government has invoked the public safety exception, a designation that allows investigators to question the teen without reading him his Miranda rights and without a lawyer present, another Justice Department official, also speaking on condition of anonymity, told CNN.

Tsarnaev, 19, and his older brother, 26-year-old Tamerlan Tsarnaev, are accused of setting off two bombs near the finish line of the Boston Marathon on Monday, killing three people and leaving more than 170 wounded.

The arrest of Tsarnaev brought to an end a manhunt that paralyzed Cambridge, Watertown and Boston as authorities searched door to door for a suspect not only believed to be behind the bombings, but who they feared also could unleash more explosives.

Acting alone?

So far, evidence suggests that the two brothers acted alone in the bombings and subsequent shootout, Watertown Police Chief Edward Deveau said.

"From what I know right now, these two acted together and alone," Deveau told CNN on Saturday.  "I think we have to be ever vigilant, and we're learning as we go along, but as far as this little cell -- this little group -- I think we got our guys."

Even so, questions remain.

"Why did these young men who grew up and studied here as part of our communities and our country resort to such violence? How did they plan and carry out these attacks? And did they receive any help? The families of those killed so senselessly deserve answers," President Barack Obama said Friday in a televised address.

24 hours of chaos

Shortly after the FBI released photos of the suspects Thursday night, Tsarnaev and his older brother led authorities on a wild car chase and shootout.

Officials say the brothers, for no obvious reason, killed Massachusetts Institute of Technology police officer Sean Collier while he was sitting in his car. The Tsarnaevs then hijacked a Mercedes, telling the driver they were the marathon bombers, and hurled explosives at the pursuing officers, authorities said.

"There was an exchange of over 200 rounds of gunfire, there were improvised explosive devices, and handmade hand grenades thrown at the officers at the scene," Boston Police Commissioner Ed Davis said.

Tamerlan Tsarnaev ran out of ammunition during the shootout and was tackled by officers. That's when the younger Tsarnaev drove the Mercedes toward the officers and his brother.

"They dive out of the way, and he (the younger brother) drives over his brother and drags him a short distance down the street," Deveau said.

Tamerlan Tsarnaev was later pronounced dead at the hospital. He was wearing explosives and a triggering device when he died, a source briefed on the investigation told CNN.

The FBI, while executing a search warrant at a residence believed to have been affiliated with Tsarnaev, took three people into custody for questioning Friday. It was unclear Saturday what information the FBI was seeking and whether the three were released.

'Pool of blood'

The dramatic end to the manhunt came when a Watertown man, cooped up in his house all day because of a "shelter in place" order, finally stepped outside when the order was lifted.

David Henneberry soon noticed the tarp covering the boat in his backyard was flapping in the wind and a retention strap was cut. He also noticed a small amount of blood on the tarp.

"He basically stuck his head under the tarp, noticed a pool of blood," Henneberry's stepson Robert Duffy told CNN.

Henneberry called 911, Duffy said.

Authorities arrived and evacuated Duffy's stepfather. Using a bullhorn, they called out to the suspect: "Come out with your hands up."

The man refused.

"We used a robot to pull the tarp off the boat," David Procopio of the Massachusetts State Police said. "We were also watching him with a thermal imaging camera in our helicopter. He was weakened by blood loss -- injured last night, most likely."

A gunfight ensued, with more than 20 rounds fired.

Authorities eventually rushed the boat and took the teen into custody.

Cheers and mourning

As word of the arrest spread, hundreds of residents swarmed the streets of Watertown and Boston, surrounding police cars and cheering them on.

But the celebrations were tempered by the deaths of four people this week, all allegedly by the hands of the Tsarnaev brothers.

Three spectators were killed in the marathon bombings, and Collier, the MIT police officer, was fatally shot early Friday. At least 57 people remained hospitalized Saturday afternoon, including three in critical condition, according to a CNN count.

On Saturday night as Collier's body was driven from the morgue to a funeral home, Boston-area police officers and firefighters lined the route to pay respect to their slain colleague.

Mistaken identity adds to family's grief over Boston victim

The family of 8-year-old Martin Richard, who was killed in the bombings, issued a statement thanking the authorities and members of the public who helped track down the two suspects.

"None of this will bring our beloved Martin back, or reverse the injuries these men inflicted on our family and nearly two hundred others," the Richard family said. "We continue to pray for healing and for comfort on the long road that lies ahead for every victim and their loved ones."

Chinese student killed in bombings had followed her passion to Boston

'Boston Stands as One'

Boston sports teams Saturday honored victims of the attacks.

The Boston Red Sox planned a special pre-game ceremony at their Saturday game against the Kansas City Royals, which was played amid heightened security at Fenway Park. Their Friday night game against the Royals was postponed because of the city lockdown and will be played Sunday, the team said.

The Boston Bruins hockey game against the Pittsburgh Penguins, originally scheduled for Friday night, was rescheduled for Saturday afternoon.

The Bruins and Penguins, along with the Red Sox, all plan to auction their Saturday jerseys to support the bombing victims.

Limited-edition T-shirts reading "Boston Stands as One" are being sold by the Boston Celtics to support the victims. Players planned to wear some of the shirts while warming up for Saturday's game, the team said.

'Seek forgiveness'

What's next for the Boston Marathon bombing suspect?

The Tsarnaevs' uncle Ruslan Tsarni said their alleged actions were abhorrent.

"You put a shame on our entire family -- the Tsarnaev family -- and you put a shame on the entire Chechen ethnicity," Tsarni said.

Tsarni promised Saturday to help his nephew seek forgiveness from the bombing victims and advised him to tell police everything he knows.

The brothers come from a family originally from the Russian republic of Chechnya and fled the brutal wars there in the 1990s. It's unknown how their Chechen roots may have influenced their alleged actions.

Tsarni said he believes Tamerlan Tsarnaev influenced his younger brother.

FBI agents interviewed the elder Tsarnaev in 2011 at the request of a foreign government that suspected he had ties to extremist groups, the FBI said. It declined to name the government, but a senior U.S. official told CNN on Saturday that it was Russia that made the request of the United States.

The request was based on information that Tamerlan Tsarnaev was a follower of radical Islam, the FBI said, adding it found no evidence of terrorism activity.

"I think unless we see some horrible dropping of the ball, I don't think this is an intelligence failure," said former CIA operative Robert Baer. "In retrospect, it might look like one, but I don't think it is."

The suspects' father, who lives in the Russian republic of Dagestan, told CNN on Saturday that he believes his sons were "never, ever" involved in the Boston attacks. He also said he plans to go to the United States, though he didn't say when.

@highlight

Dzhokar Tsarnaev is "intubated and sedated," an official says

@highlight

The suspect is in "not yet able to communicate," the governor says

@highlight

The younger brother suffered an injury to the throat, an official says

@highlight

57 people remain hospitalized, including three in critical condition