(CNN) -- The removal of 500px from Apple's App Store raises questions over review equity, fairness and API functionality.

When Evgeny Tchebotarev started the day, he wasn't expecting to end up spending so much time fielding calls from the media. Tchebotarev is the COO and co-founder of 500px, a popular photo site and community for professional and amateur photographers.

Yet that's exactly what happened after Apple removed the 500px app from the App Store. After more than 16 months in the App Store and over 1 million downloads, a routine app update had unintended consequences.

On Monday night, Tchebotarev tells Mashable that he received a call from Apple. There was a problem with 500px. Like many other apps with photo communities, including Tumblr and Flickr, some of the photographers who use 500px use it to take photographs that contain nudity â€” not pornographic images, but nudity nonetheless.

According to Tchebotarev, Apple reps told him that it was too easy for users to find nude photos using the app. As a result, the app was in violation of Apple's content policy and would be removed from the App Store. Tchebotarev offered to make the necessary changes to the app to comply with Apple's rules, but it was too late. As of Tuesday morning, 500px was gone from the App Store.

A few hours later, TechCrunch reported on the story. Other outlets followed, including CNET, MacRumors and The Verge. Soon, the story was viral.

The general reaction from both 500px employees and app users was disbelief. For one thing, 500px actually makes it difficult for new users to browse or search for nude photos. A user who signs up using the app can't see those types of photos; instead, he or she must log in through their desktop, and turn off a safe-search setting.

For another, 500px is hardly the only app that could potentially expose users to nude images. Web browsers â€” including Apple's Safari â€” can display nude photos of all types. Plus, the aforementioned Tumblr and Flickr apps are much easier to use to track down nudes. To add insult to injury, while 500px is gone, a dozen apps that use 500px's API and replicate the functionality of the official app are still available.

Then, Apple released its own statement on the matter. It said:

"The app was removed from the App Store for featuring pornographic images and material, a clear violation of our guidelines. We also received customer complaints about possible child pornography. We've asked the developer to put safeguards in place to prevent pornographic images and material in their app."

This statement was confusing to Tchebotarev and other 500px execs because it was the first any of them had heard about complaints regarding "possible child pornography." Apple never mentioned that to the company before pulling the app, Tchebotarev said.

He added that 500px has made the necessary changes to its app, and re-submitted to the App Store. With any luck, the app will be back in the store very soon.

Normally, this is where the news story would end. But what the 500px incident showcases, however, is that although more than four years have passed since the App Store opened, Apple's app-review process is still occasionally hampered by incongruities and unclear policies.

App Rating Fairness

My initial guess was that 500px was removed for not having the correct content rating. Apple assigns content ratings to apps to give users an idea of who the app is suitable for.

A rating of 4+ means that there is no objectionable content in the app; a 9+ means there might be cartoon violence; a 12+ means there may be infrequent or mild sexual content/nudity and mild violence; and a 17+ means the app may contain heavy violence and mature themes.

These content ratings can be arbitrary at best. Tumblr has a rating of 4+ despite the fact that it's very easy to find hardcore pornographic images using the tag search function within the app. Third-party web browsers such as Chrome and iCab have 17+ ratings because they can be used to access any site on the Internet (assuming it doesn't use Flash).

Before Monday's incident, 500px had a content rating of 4+. Tchebotarev told me that the copy of the app in the submission queue has a rating of 12+.

Based on feedback he's heard from other developers, Tchebotarev's theory is that Apple's review team (a team that is notoriously overworked) doesn't always check to ensure that apps have the proper content rating. Instead, it takes a series of complaints or a particularly conscientious review-team member to force an app to change its rating.

This makes sense to me. Still, I'm utterly unsure how Tumblr, of all apps, has managed to avoid even a 12+ rating.

What About APIs?

Another issue raised with the 500px case is the role of an API within the app-review process.

Apple initially said it was going to pull Pulpfingers' ISO500 app from the App Store. 500px acquired Pulpfingers (and ISO500, by extension) last month.

As of this writing, ISO500 is still in the App Store, and doesn't appear to have been pulled.

It wasn't clear why ISO500 was going to be removed, but some pundits worried that it was because the app uses 500px's API. The API allows read-access to the site and search, including, presumably, access to nude photos.

This opens up an interesting question when it comes to third-party apps that use 500px's API, such as Flipboard. Flipboard can do virtually everything the official 500px and the ISO500 apps can do (at least, as far as displaying content), so would it be at risk?

Right now, that seems unlikely, but it does raise some interesting questions that few of us have considered over the years: Is an app that plugs into another app's API going to be rated based on the functionality of that API?

It's unclear.

Waiting For a Resolution

At the time of this writing, 500px is still missing from the App Store. While I fully expect the app to appear within the next day or two, I can't help but feel empathy for the startup caught in the middle of this.

What do you think of the latest App Store hijinx? Let us know in the comments below.

This post represents the opinions of the author and not necessarily those of Mashable as a publication.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Apple banned photo app that it says delivers porn

@highlight

500px is a photo-sharing app that features all kinds of images

@highlight

Officer says porn is not allowed on the app

@highlight

500px has resubmitted the app, hopes to be reinstated