(CNN) -- On Wednesday I had the privilege of meeting with S. Ganbaatar, a member of the Mongolian Parliament.

When he entered the room, Ganbaatar walked up excitedly to examine a framed document that has hung for years in my offices. The document is a list of commitments to the people, signed by dozens of candidates for public office who promised to vote on a specific policy agenda if they were elected to office. It's framed alongside a picture of the candidates who signed and campaigned on it. Many of them went on to be elected in a historic vote that tossed out a party that had held power since the 1920s.

Ganbaatar was looking at a framed copy of the 1996 "Contract with the Mongolian Voter." That contract was, as the Washington Post reported the next year, "the most widely distributed document in Mongolian history." The Mongolian voters -- with a 91% turnout -- elected the democratic opposition, which four years earlier had held just six seats. With a program of "private property rights, a free press and the encouragement of foreign investment," they defeated the Communist Party that had ruled since 1921.

Ganbaatar, who was elected to Parliament as an Independent in 2012 and is already one of his country's most popular politicians, recounted emotionally how the Contract with the Voter was a watershed event in modern Mongolian history. The ideas in that document, he told me, "gave us our freedom."

Mongolia's peaceful, democratic transition of power from the communists to a republican government was one of the few hopeful stories to come out of the former Soviet states in the early years after the Cold War.

It was fitting, but only a coincidence, that Ganbaatar visited just a few days before the 20th anniversary of the Contract with America, the inspiration for Mongolia's Contract with the Voters.

On September 27, 1994, more than 350 candidates for Congress gathered on the steps of the U.S. Capitol to sign a pledge to the American people, a promise to vote on 10 key reforms if we won a majority in the House of Representatives. That campaign, which I helped organize, earned Republicans control of the House for the first time in 40 years.

The Contract was a campaign document. It laid out a common-sense program that was designed to earn the support of the broadest possible range of Americans. Its assortment of policies included everything from changes to how the House did business to items on the budget, welfare and tax policy.

But more than any particular proposal, the important thing about the document was its form: It was a contract, a real commitment to reform and accountability and renewal. It sought above all to "restore the bonds of trust between the people and their elected representatives."

We knew Americans deserved a clear and unambiguous account of what we planned to do, and believed reform required their explicit support -- and that if we broke faith with them, we wouldn't deserve to hold power. So we invited people to vote us out again if we didn't follow through.

But we did follow through -- in an extraordinary first hundred days that kicked off one of the most productive Congresses in American history. In addition to being a campaign document, the Contract was a management document that told us how we would govern. It led directly or indirectly to all of the achievements that would soon follow, including four straight balanced budgets, welfare reform, and the largest capital gains tax cut in American history.

In retrospect, it's clear that the Contract also marked an enduring political realignment. When the Republican House majority was sworn in in 1995, there was only one Republican in the House (Bill Emerson from Missouri) who had ever served under a majority -- and he had done so as a page. Two years later, we became the first Republican majority that had been reelected since 1928. And since the Contract, Republicans have held the House for 16 of the past 20 years, and should continue to hold it for the foreseeable future.

As a detailed commitment to passing specific bills, the Contract was the first document of its kind in American history. It has now been replicated in other countries, like Italy and Mongolia, not because of its policy content, but because it expressed a hope in the heart of every voter -- an aspiration that, in the case of the U.S. -- didn't end with the election of 1994 and certainly did not begin there.

The Contract was, quite literally, a renewal of a pre-existing commitment, one that had not been honored. It was the commitment that elected representatives of the people remain accountable to the people.

This social contract is essential to self-government, but too often, our leaders abandon it once they join the political class. They forget about who put them there, they contrive to shield themselves from "tough votes," and they stretch further the restraints on their powers under the law.

There's nothing like a visit by a legislator from a place where, for the better part of the last century, lawlessness reigned, to remind you that the contract between the people and their representatives must be constantly renewed and ardently defended.

@highlight

Newt Gingrich says Mongolia was influenced by Contract with America

@highlight

He says Republicans signed Contract 20 years ago; it helped GOP win the House

@highlight

He says it was detailed commitment to passing specific bills, guided GOP in governing

@highlight

Gingrich: Too many leaders abandon ideals of Contract once they join the political class