CNN's John King and other top political reporters empty out their notebooks each Sunday to reveal five things that will be in the headlines in the days, weeks and months ahead.

Our trip around the "Inside Politics" table was rich with 2014 insights, including a key test in Texas and questions about whether a GOP Senate majority would bring a new chapter in President Obama's relationship with the man he may face in many high-stakes negotiations.

1. A ripple or a wave? In the House, the 2014 margin matters

There is little drama about control of the House of Representatives: Republicans are all but certain to hold -- and build -- their majority.

But the number matters. Modest gains for the GOP, and maybe the Democrats sweep back into power in 2016; larger gains and perhaps we see a GOP majority until after the post-2020 Census redistricting.

Jonathan Martin of The New York Times took us inside the calculations, and showed how the results could impact the next step for the Republican in charge of the House campaign effort.

"If they get 12 to 15 (seats) or even beyond that, it could make it really hard for Democrats to retake the House until they redraw the lines after 2020," said Martin. "I talked to the chairman of the (National Republican Congressional Committee), Greg Walden, on Saturday, and he lowballed the gains to me at six to eight. Most folks think it will be a little higher than that."

"And notably, by the way, Chairman Walden said he wants to stay at the NRCC. There's been chatter about him being forced out. He said: 'I'm staying.'"

2. Mr. President, meet Mitch McConnell

Obama and GOP Sen. Mitch McConnell of Kentucky served together in the Senate, and of course have been political rivals for the past six years. Democrats point to the pledge from McConnell early in the Obama administration to do all he could to make the president a one-term commander in chief.

But despite being on the opposite sides of big political battles -- or maybe because of that fact -- the two have a virtually nonexistent personal relationship. Even less interaction -- and familiarity -- than the President has with House Speaker John Boehner.

Dan Balz of The Washington Post noted that this would be the most important relationship in Washington if McConnell becomes the Senate majority leader come January. He raised the question of whether the two will make mutual efforts to get to know each other better.

3. Will Democrats see encouraging signs, or learn "Don't mess with Texas"?

Democratic hopes of winning the Texas governor's race have faded, big-time. But the party still has a lot at stake in Tuesday's election, which will add new data to the debate about whether the state's shifting demographics are moving the state away from its Republican red roots.

Nia-Malika Henderson of The Washington Post reported that Democrats are hoping, even while expecting defeat in the state's top race, to see building blocks of a new Texas coalition.

"Democrats have poured roughly $10 million into that campaign as part of Battleground Texas -- really hoping to change the makeup of the electorate," said Henderson. "If that electorate isn't changed come Tuesday, Republicans are going to have something to crow about. And it will send a message to Democrats -- don't mess with Texas, at least no time soon."

4. Waiting for Clinton until March, April or May?

The 2016 presidential campaign has been a big subplot of the 2014 midterm season, but will get even more attention once all the votes are counted Tuesday.

And some Democrats think the best thing Hillary Clinton could do for the party is to end the suspense, if there is any, and officially declare she is running. Others, though, say why rush, given her overwhelming advantage among Democrats.

CNN's Peter Hamby took  us inside a debate that is about to get a lot more attention.

"That big galaxy of people around her are debating should she get in early, very quickly, deny oxygen to any potential challenger, build an organization so she can start raising money, hiring staff, polling, et cetera -- or should she wait until the spring," said Hamby.

"I talked to one Democrat who said she should wait until March, April or May because she doesn't have to get into the mix and answer questions from reporters and take every arrow coming at her from the media or Republicans. "

5. Two big wins for Obama, but deep gains for the GOP

Republicans complain about Obama with every breath, but you can make a case they will miss him. Yes, the President has won two convincing Electoral College victories, and in the process exposed profound GOP demographic weaknesses when it comes to presidential politics.

But down the ballot, the Obama years have been boom times for the GOP.

Consider the "then" and "now" at several levels:

• Democrats had 257 House seats and the majority at the beginning of Obama's term; now they are in the minority, with 201.

• There were 27 Democratic governors at the beginning; 21 now.

• The number of Democrats in state legislatures -- a key proving ground for future stars -- is down a whopping 600 over the past six years.

• In the Senate, this year's biggest battleground, the change is less dramatic: 57 Democratic senators early in the Obama presidency, 53 now, or 55 if you count the two independents who caucus with the Democrats.

Any president's party normally take a big hit in the so-called "six-year itch" midterm, so it will be worth looking again at those numbers in a week.

But if Republicans fail to take control of the Senate, given the favorable climate and map this year, the political conversation is likely to be as much, if not more, about the GOP's damaged brand as it is about the numbers showing how the party has prospered these past six years.

@highlight

The GOP margin in the House could determine congressional control until 2020

@highlight

How Obama and McConnell's relationship could change if GOP takes control

@highlight

Waiting for Hillary Clinton's announcement until March, April or May?