(CNN) -- Florida cannot use a hard cutoff on a convict's IQ as the sole basis for determining eligibility for execution, a divided U.S. Supreme Court ruled on Tuesday.

The 5-4 decision favored a Florida death-row inmate who supporters say is intellectually disabled.

The court struck down the state's requirement that a baseline "threshold" IQ score of 70 must be established before a capital prisoner can present additional evidence supporting claims of a disability.

At issue was how states may define mental retardation -- within the context of inexact IQ tests -- when determining whether convicted murderers deserve capital punishment.

The high court in 2002 banned execution for those who were determined to be suffering from what was then labeled mental retardation. But the court left it to the states to establish standards of measurement.

In the case decided on Tuesday, the majority led by Justice Anthony Kennedy concluded that Florida's limits were too rigid and thus unconstitutional.

"Florida's law contravenes our nation's commitment to dignity and its duty to teach human decency as the mark of a civilized world," Kennedy said.

About a dozen death penalty states have some kind of bright-line IQ cutoff, either at scores of 70 or 75. But Florida is only one of a few states with what Kennedy called a "rigid formula."

Freddie Lee Hall was convicted and sentenced to death in 1978 along with an accomplice for the brutal murder of Karol Hurst.

The 21-year-old Leesburg resident was seven months pregnant. She was abducted from a grocery store, raped, shot to death, and her body dragged into the woods.

Later that evening, Hall and his accomplice were involved in a separate shooting death of a sheriff's deputy.

Ten years later, Hall's attorney's appealed, saying his client had a lengthy record of mental retardation diagnoses.

An average of various tests put his IQ slightly above 70, but within what is called a SEM -- standard error of measurement.

The state supreme court said Florida's law meant any capital inmate above that benchmark cannot take the next step and present further mitigating evidence to demonstrate his mental capacity lacks culpability for his crimes.

Lawyers for Hall told the court that four other states in particular -- Alabama, Idaho, Kentucky, and Virginia -- have ignored the court's precedent, trying to impose inflexible standards that go against the accepted views of professional psychologists.

Kennedy, as the familiar "swing vote" determining the outcome, said professional clinicians have a built-in margin for error the state was ignoring.

"The flaws in Florida's law are the result of the inherent error in IQ tests themselves. An IQ score is an approximation, not a final and infallible assessment of intellectual functioning," he said.

"Freddie Lee Hall may or may not be intellectually disabled, but the law requires that he have the opportunity to present evidence of his intellectual disability, including deficits in adaptive functioning over his lifetime," Kennedy added.

Justice Antonin Scalia was among four more conservative colleagues to dissent, with Justice Samuel Alito saying the majority's conclusions were "unwise."

"There is therefore no excuse for mechanically imposing standards that are unhinged from legal logic and that override valid state laws establishing burdens of proof," said Alito. "The appropriate confidence level is ultimately a judgment best left to legislatures, and their judgment has been that a defendant must establish that it is more likely than not that he is intellectually disabled. I would defer to that determination."

He was also supported by Chief Justice John Roberts and Justice Clarence Thomas.

Justices side with Secret Service over anti-Bush protest

Supreme Court: Police justified in deadly 2004 car chase

@highlight

A divided Supreme Court favored death-row inmate who supporters say is intellectually disabled

@highlight

The court struck down Florida's requirement for a baseline IQ as part of a disability claim

@highlight

Freddie Lee Hall was convicted and sentenced to death in 1978 for the murder of a pregnant woman