(CNN) -- As a kid growing up in the mid-1960s, Scott Brusaw would spend hours setting up miniature speedways on the living room carpet so that he could race his favorite slot cars up and down the electric tracks.

"I thought that if they made real roads electric, then us kids could drive," recalls Brusaw, who grew to become an electrical engineer. "That thought stuck with me my entire life."

Fast forward to mid-2000s, with the debate over global warming in full swing, Brusaw's wife Julie asked him whether he could build the electric roads he'd concocted as a child out of solar panels. Brusaw initially laughed off the idea -- but not for long.

With an airplane's black box in mind, the couple started mulling over the possibility of creating a solar powered super-strong case that could house sensitive electronics. They explored the idea of embedding solar cells to store energy inside the case, LEDs to illuminate the road lines and heating elements to resist ice and snow -- soon after, the concept of Solar Roadways was born.

The couple's proposal calls for the traditional petroleum-based asphalt highways to be replaced with a system of structurally-engineered solar panels. These would act as a massive energy generator that could feed the grid during daytime. They would also recharge electric vehicles while moving, thus helping to reduce greenhouse emissions drastically.

"Our original intent was to help solve the climate crisis," says Brusaw. "We learned that the U.S. had over 72,000 square kilometers of asphalt and concrete surfaces exposed to the sun. If we could cover them with our solar road panels, then we could produce over three times the amount of energy that we use as a nation -- that's using clean, renewable energy instead of coal."

The Idaho-based couple received their first government contract to work on the project in 2009, and have been working to perfect it ever since. Initially, they joined forces with researchers to develop a super-strong textured glass that would offer cars the traction they require. Then, they fitted LEDs road markers to avoid destroying the cells by painting highway lines over them and heating to warm the surface and keep the system working.

Now, the pair is hoping to raise enough funds on crowdfunding site Indiegogo to gear up production following the successful test of its latest prototype: a Solar Roadways parking lot laid next to their electronics lab.

"They [solar panels] prevented snow and ice accumulation this past winter and are producing the expected amount of power -- the parking lot is equivalent to a 3600W solar array," says Brusaw, who's hoping to be ready for production later this year or early 2014.

"The panels have passed load testing for vehicles weighing up to 125 tons without breakage," he adds. "Our textured surface has been traction tested and can stop a vehicle traveling 128kph on a wet surface in the required amount of distance."

Brusaw says solar road panels could theoretically be laid anywhere -- from motorways and parking lots to pavements and playgrounds. He believes that such a prospect could transform the existing motorway infrastructure, prevent accidents and ultimately help save the planet from an environmental disaster.

"In the U.S., roughly half of greenhouse gases are generated by burning fossil fuels to create electricity," he says. "Another 25% comes out of our tailpipes," adds Brusaw. "By replacing coal with solar and making electric vehicles practical -- which could lead to the end of internal combustion engines -- we could theoretically cut greenhouse gas emissions by up to 75%.

Brusaw admits that "in the beginning about half of the people thought we were geniuses and the other half thought we were nuts," before quickly adding that now "the vast majority of reactions are positive and supportive."

"I think that many people expect their governments to solve the world's problems, but the climate crisis is getting worse and our politicians seem baffled," he says. "Many of our greatest technologies were created in someone's garage. That's where Solar Roadways was born and we think that we finally have a solution to the causes of global warming."

@highlight

The Solar Roadways founders are raising funds to gear up production

@highlight

The aim is to replace Asphalt roads with solar panels that can support cars

@highlight

Their idea calls for a solar powered roadway made of durable textured glass

@highlight

The system also involves built-in LED lights and heating elements