(CNN) -- When patients walk in the door at Georgetown University Hospital in Washington, they're handed a form with more than 75 questions about their family history, current medications and symptoms.

They have to answer many of the same questions when they visit radiology. Then again when they get lab work done. And the next time they come to the medical center, they fill out the paperwork all over again.

The long, redundant process is extremely error-prone, says Subha Madhavan, director of biomedical informatics at Georgetown. Handwriting often makes answers illegible. Questions get skipped. Even inputting data into the hospital's computer system can lead to mistakes.

Collecting accurate data is crucial, not only for patient care but for research, Madhavan says. That's why she's working with Georgetown's cancer clinics to roll out a tablet app called Tonic that aims to make the intake of patient information feel less like a chore.

The app uses colorful graphics and interactive features to reduce literacy barriers and move patients through the questionnaire. For instance, it asks you to slide a button along the bottom of a birthday cake to determine your age, or to rate your pain on a scale of happy green to angry red.

The app is also intuitive, skipping questions about your mother's breast health if you say you have no family history of cancer. Along the way, Tonic provides pop-up educational boxes for patients who are unfamiliar with certain medical terms.

"Many organizations are moving toward this electronic data capture," Madhavan says. "It really allows for better patient engagement."

Patient engagement is the buzzword du jour in the medical community, says Sterling Lanier, CEO and co-founder of Tonic Health. With the Affordable Care Act, hospital reimbursement will be partially tied to patient-reported outcomes, or how well patients perceive a facility treated them.

"Health care is the ultimate consumer product -- we all consume it," Lanier says. "We need to think of patients as consumers. They have the same motivations and mindsets."

How the cell phone can improve health care

Tonic is working with large medical communities, including the Mayo Clinic, UCLA, the U.S. Department of Veterans Affairs and Kaiser Permanente. Clients find they can ask patients up to 40% more questions by using the app, Lanier says.

"Why is that important? The more we know about somebody, the better we can treat them at a lower cost," he says.

The app also offers doctors a real-time risk assessment. When patients submit their questionnaires, the data go straight to doctors' tablets. For example, using information on a patient's family history, daily nutrition and exercise habits, the app can determine his or her risk for heart disease. If it's high, the app flags that for the doctor.

"You might be there for a cough, but the doctor says, 'Let's talk about this,' " Lanier says. "We're helping people not get lost in the shuffle."

Digital health for kids, seniors and workout buffs

Patients are "universally enthusiastic" about using Tonic, says Dr. Eric Esrailian, vice chief for the digestive diseases and gastroenterology department at UCLA. UCLA began using the app last year.

Esrailian says he was worried initially that less tech-savvy patients would have difficulty using a tablet, but he says the app's format makes it accessible for everyone.

Doctors in his department are also happier because they're getting completed surveys with accurate information, Esrailian says. "We can spend more time actually talking to the patient and focusing on health care," he says.

Moving forward, Esrailian says he would like to see patient intake information integrated with electronic health care records. These records should be interactive, he says, so clinicians could schedule tests or consult on other doctors' patients.

Georgetown's Madhavan says questions are often raised about electronic health records and storing patients' personal medical information "in the cloud."

Lanier says Tonic is fully compliant with the Health Insurance Portability and Accountability Act, or HIPAA, but the discussion needs to be ongoing as the medical industry moves more toward mobile health.

"The more we talk to clients, the more cloud-based computing is seen as inevitable," Lanier says. "Some are very excited. ... Some are resigned to it. This is where the future is going."

10 great mobile health apps

@highlight

The Tonic Health app uses colorful graphics, interactive features to ask questions

@highlight

Doctors can get a real-time risk assessment on their tablets before seeing patients

@highlight

Intake info should be integrated with electronic health records, doctor says