Santiago, Chile (CNN)  -- As the sun set in Chile on Saturday, a picture of the immense structural damage wrought by an early morning earthquake had come clearly into focus, with the nation's president estimating that 2 million people had been affected in some way.

More than 300 people were killed, according to Chile's Office of Emergency Management, and 15 are missing.

The carnage from the 8.8-magnitude quake didn't begin to approach that unleashed by January's earthquake in Haiti, which left 212,000 people dead and more than a million homeless, even though it was considerably less forceful, with a 7.0 magnitude.

Saturday's quake was 700 to 800 times stronger, but at a greater depth -- 21.7 miles -- compared to the shallow 8.1-mile depth of the Haiti quake, which contributed to much of the damage there.

Coastal Chile has a history of deadly earthquakes, with 13 quakes of magnitude 7.0 or higher since 1973, the U.S. Geological Survey said. As a result, experts said that newer buildings are constructed to help withstand the shocks.

Still, the damage from Chile's earthquake was widespread. A 15-story high rise near the southern city of Concepcion collapsed; the country's major north-south highway was severed at multiple points; and the capital city's airport was closed after its terminal sustained major damage.

Chilean President Michelle Bachelet announced that all public events would be canceled for the next 72 hours and that the start of the the school year -- originally scheduled for Monday -- would be delayed until March 8.

"The forces of nature have hurt our country greatly," Bachelet said in a nationally televised message Saturday night. "We are now having to face adversity and stand again."

The quake struck at 3:34 a.m. (1:34 a.m. ET) off the Pacific coast at a depth of nearly 22 miles (35 km) and about 60 miles (100 km) northwest of Chillan, Chile, the USGS said. Santiago, the capital, is 200 miles (325 km) northeast of the epicenter.

Saturday's epicenter was just a few miles north of the largest earthquake recorded in the world: a magnitude 9.5 quake in May 1960 that killed 1,655 and unleashed a tsunami that crossed the Pacific.

The quake was followed by 76 aftershocks of 4.9 magnitude or greater, according to the USGS. That includes a 6.1-magnitude temblor in Argentina that killed a 58-year-old man and an 8-year-old boy in separate towns, the government-run Telam news agency said. Some buildings in the Argentine capital, Buenos Aires, were evacuated, though the city is 690 miles (1,111 kilometers) from Santiago.

Earlier Saturday, a large wave killed three people and 10 were missing on the island of Juan Fernandez, 400 miles (643 km) off the coast of Chile, said Provincial Governor Ivan De La Maza.

Across Chile, desperate relatives spent the day searching for missing loved ones. Many used the Internet to ask for help in finding relatives.

Millions of other Chileans began swapping tales of fear and confusion in the early morning hours, soon after the quake struck.

CNN iReporter Matias de Cristobal said many homes in her Santiago neighborhood were destroyed.

Cristobal tried to climb upstairs to check on her three children after she began feeling tremors Saturday, but she was slowed by shifting ground and falling objects.

Mirko Vukasovic, a 25-year-old illustrator in Santiago, had been dancing at a club early Saturday when the disco ball began swinging wildly. A chaotic evacuation was already under way when the lights went out, and everyone managed to escape, Vukasovic said.

"Broken windows and falling building parts was what welcomed us in the streets," he said.

Many initially greeted the quake with disbelief.

"It was 3 or 4 in the morning and I had come home late," said Aneya Fernando, an American who teaches English in Santiago. "Suddenly my bed was moving so violently that it woke me up."

"I'm on the 10th floor of a building and it was swaying and shaking," Fernando, 23, said. "Suddenly [the shaking] was just gone and I was confused. I thought it was in my head."

When Fernando's electricity returned 30 minutes later, she learned of the earthquake on TV.

The task of trying to rescue survivors and recover the dead continued into the night. Buildings lay in rubble, bridges and highway overpasses were toppled and roads buckled like rumpled paper. Mangled cars were strewn on highways, many of them resting on their roofs.

Santiago, the capital, lost electricity and basic services, including water and telephones. A chemical fire in the city that was spreading from one building to others forced the evacuation of everyone within 500 meters.

Chilean television showed buildings in tatters in Concepcion, in coastal central Chile. Whole sides of buildings were torn off, and at least two structures were engulfed in flames. Emergency teams rescued 30 people from one collapsed building in Concepcion.

iReport.com: Did you feel it? Share information, images with CNN

President-elect Sebastian Pinera, who will take office in March, also was monitoring the situation and warned, "The number of victims could get higher."

Bachelet declared areas of catastrophe, similar to a state of emergency, which will allow her to rush in aid. She noted that two of the nation's largest hospitals had suffered structural damage and patients were taken to other facilities.

Other public institutions also were affected.

"There were reports of riots at one of the jails," Bachelet said. "The jails have, of course, received significant damage... We are looking into possibly moving some of these inmates."

Two airlines, LAN and Cencosud, announced they were temporarily suspending services.

Several international humanitarian groups pledged help for Chile's relief effort, with AmeriCares announcing it was sending medical aid and an emergency response team to Chile. Oxfam said it's sending a team of water engineers and logisticians from Colombia and senior humanitarian staff from Mexico to help in relief efforts.

In a televised address Saturday, President Obama said that the United States has resources positioned to assist Chile if it requests help. Secretary of State Hillary Clinton said she will proceed Sunday with her planned trip to five Latin American countries, including Chile.

Meanwhile, the Japan Meteorological Agency issued a major tsunami warning for parts of its coastline, indicating the possibility of waves 9 feet or higher. Tens of thousands of coastal residents were evacuated ahead of the potential surge.

Follow tsunami warning information

The Philippines Institute of Volcanology and Seismology also issued a tsunami alert, with the first waves expected in the Philippines around 1 p.m. on Sunday (midnight Saturday ET).

In Hawaii, a tsunami warning was lifted around 1:45 p.m. (6:45 p.m. ET), the Pacific Tsunami Warning Center said.

Check out the world's biggest earthquakes since 1900

Small waves from the tsunami also reached Tasmania, an island about 150 miles (240 km) east of Australia, said Chris Ryan co-director of the Joint Australian Tsunami Warning Center in Melbourne, Australia.

No damage was expected from possibly stronger waves to follow, Ryan said.

"We have a two-level warning system," he said. "It's at the lower warning level. ... We expect some danger for people on the beach or close to water's edge ... but not to buildings or structures."

CNN's Rolando Santos, Brian Byrnes and Patty Lane contributed to this report.

@highlight

NEW: Death toll rises to more than 300 and 15 are missing, emergency agency says

@highlight

More than 2 million affected by quake, Chile's president says

@highlight

Infrastructure damage is severe and widespread, including buildings and highways

@highlight

8.8-magnitude quake occurred at a depth of nearly 22 miles