(CNN) -- Three-year-old Alexis Martin reads at a fifth-grade level. She taught herself fluent Spanish using her parents' iPad.

"From 12 to 18 months old, we'd be driving around in the car, and she would recite her bedtime story from the night before," her dad, Ian, told CNN affiliate KNXV. "She didn't just recite them; she recited them exactly."

Alexis is the youngest member of Arizona's Mensa chapter. American Mensa (PDF) is an organization for people with IQs in the top 2%. The average IQ is 100. Martin's tops 160.

Mensa has more than 55,000 members nationally. You'd probably recognize some of the more famous ones: Nolan Gould, who plays Luke on ABC's "Modern Family"; Richard Bolles, the author of "What Color is Your Parachute?"; the Blue Power Ranger (OK, he's a fictional member).

But what does an IQ score really tell us about a person? Will Alexis be a genius for life? And if you still can't speak Spanish at age 50, should you just give up?

What your IQ score means

An Intelligence Quotient, or IQ, is a measure of what psychologists call our "fluid and crystallized intelligence." Put simply, an IQ test measures your reasoning and problem-solving abilities.

There are different kinds of IQ tests, but most analyze your visual, mathematical and language abilities as well as your memory and information processing speed. A licensed psychologist administers a series of subtests; the results are then combined into one score: your IQ.

"Anybody with very high IQ, they have the ability to manipulate, process and interpret information at a deeper level and a higher speed than the average person," explained Mensa's gifted youth specialist, Lisa Van Gemert.

What your specific numerical score means depends on the test you take. IQ is really a measure of how well you do on a test compared with other people your age.

Scores are generally shown on a bell curve. The average score is 100. People to the far left or far right of the curve are outliers. Alexis, for example, is on the far right of the curve for children her age.

Bleacher Report: How smart are you? Take the Wonderlic test and find out

What it doesn't mean

"The difficulty with these kinds of tests is that they're a snapshot," Van Gemert said. "We see what the kid looks like on this day, on this particular test, with this particular tester."

An IQ score doesn't measure your practical intelligence: knowing how to make things work, says Richard Nisbett, a professor of psychology at the University of Michigan. It doesn't measure your creativity. It doesn't measure your curiosity.

It doesn't tell your parents or teachers about your emotional readiness. Maybe as a 5-year-old, you can read and understand The Economist. But are you prepared to deal with stories about war-torn countries or prisoners on death row?

It would be a mistake, Van Gemert says, to look at a child with a high IQ as nothing more than a brain. Like any trait -- blue eyes, big feet -- their IQ is just one part of who they are.

Your IQ can change over time

A lot of factors can affect your IQ score over time. Poverty. Nutrition. Stress. How familiar you are with standardized tests. Nisbett's research has shown that children from lower socioeconomic levels adopted into a middle-class family often increase their IQ scores by 15 to 20 points.

"Heritability is not as great as some people (believe)," Nisbett said. "Environmental factors are very potent."

In one study, researchers tested 33 adolescents' intelligence once and then again four years later. In that short amount of time, some of their IQ scores varied by more than 20 points. The changes matched with structural and functional changes in their brains.

Kids who are geniuses at age 2 rarely stay that way, experts say. It's easier, Van Gemert explains, for young children to distinguish themselves on the curve.

In other words, it's easy to spot a genius 3-year-old when she's reading at a fifth-grade level and speaks fluent Spanish. But what makes one 47-year-old more intelligent than another? Is it education? Life experience? Their ability to put together a piece of furniture from IKEA?

You're smarter than your ancestors

Since the early 1990s, when IQ tests were first standardized, researchers have seen substantial increases in IQ scores with each passing generation. So the average 10-year-old today would score higher on the same test than a 10-year-old from 1954.

This doesn't mean we necessarily have bigger brains than our great-great-grandfathers; it just means we've improved our abilities to think logically, solve problems and/or use our abilities in hypothetical situations.

It's known as the Flynn Effect, for moral philosopher James Flynn.

"The cars that people drove in 1900 have altered because the roads are better and because of technology," Flynn said in a TED Talk last year. "And our minds have altered, too. We've gone from people who confronted a concrete world and analyzed that world primarily in terms of how much it would benefit them to people who confront a very complex world."

For instance, education has changed. We've learned to classify the world, to compare groups like animals or modes of transportation, Flynn said. We've also been taught to accept hypothetical situations (you remember algebra, right?). Our ancestors dealt only with what was right in front of them.

Our jobs have also changed. In the early 1900s, only 3% of Americans had professions that were "cognitively demanding," Flynn said. Today, 35% of us do. As such we're used to solving complex, hypothetical problems, like the ones on an IQ test.

Health factors may have had an influence as well. Studies have shown that early childhood immunization rates are a big predictor of a nation's average IQ score. So decreasing infectious diseases worldwide may have attributed to the overall increase in subsequent generations' IQ scores.

"From an energetics standpoint, a developing human will have difficulty building a brain and fighting off infectious diseases at the same time, as both are very metabolically costly tasks," the authors of one study wrote.

Not a genius? Don't panic

You probably remember the dreaded SAT or ACT test you took in high school. That's a type of IQ test. But Nisbett believes that a student's grade-point average is a better predictor of their success than their test scores.

"GPA is raw smarts times how hard you work times self-control times a lot of other things. That's true for success in life," he said. "I see graduate students with extremely high IQs who can't achieve much because they're lacking in curiosity. ...They're lacking the ability to get along with people."

Having a high IQ is not a guarantee of success, Van Gemert agrees, just as having a lower IQ is not a guarantee of failure. Good habits, perseverance and a strong work ethic are just as important as intelligence.

"If you don't develop those other qualities, you can waste a smart IQ," she said.

Van Gemert recommends that parents view their homes as a petri dish, one where they're trying to grow their children. That means lots of time spent together, interacting, and lots of books, building blocks and board games.

"The most important thing we can do for kids is to play with them," she said.

@highlight

IQ is a measure of your reasoning and problem-solving abilities

@highlight

Your score reflects how well you did on a series of tests compared with others your age

@highlight

Your IQ can change over time, and scores have improved between generations

@highlight

Having a high IQ is not a guarantee of success, experts say