(CNN) -- He grew up as the second son of late Syrian President Hafez al-Assad, deep in the shadow of his father.

Bashar al-Assad was never meant to rule. He studied medicine in Britain, receiving a degree in ophthalmology, and headed the Syrian Computer Society.

He switched his focus to military science, however, after the death in a 1994 car accident of his older brother, Bassel, who had been groomed to follow his father into the presidency. The death meant Bashar al-Assad was the next heir to power.

When the elder al-Assad died in June 2000, it took only hours for the Syrian parliament to vote to amend the country's constitution to allow Bashar al-Assad to become president. The parliament lowered the age of eligibility of the president from 40 to 34, allowing the then-37-year-old son to take over.

Read the latest news about the unrest in Syria

Within weeks, Bashar al-Assad was also made a member of the regional command for the ruling Baath Party, another requirement of succession.

Now, the unrest in southern Syria, with amateur videos of violent protests and bloodied bodies, is starting to define al-Assad's rule in the eyes of the world. Human rights groups say such scenes are evidence of Syrian security forces firing on their own people, though state-run television disputes the claims.

Syrians have lived in fear of political repression for decades. Hafez al-Assad ruled with an iron fist, ruthlessly putting down dissent by jailing dissidents and crushing the opposition.

Since 1963, the country has been under emergency law, which effectively suspends most constitutional protections, according to the U.S. State Department.

The law authorizes the government to conduct preventive and arbitrary arrests, according to the British Foreign Office. Security forces don't need to obtain arrest warrants and suspects may be detained for prolonged periods without charge or trial, or access to lawyers.

Critics say Bashar al-Assad's security machine still holds a grip on the country -- and the president himself -- though he rejected that suggestion in a 2005 interview with CNN.

"They should choose," he said of his critics. "You cannot be a dictator and not be in control."

Al-Assad, now 45, denies he is a dictator, seeing himself instead as a modern leader.

His official website says he has built free-trade zones, licensed more private newspapers and private universities, and fought government waste and corruption. He has also worked on social and economic reform.

While there have been some changes during his 10 years of rule, al-Assad's promises have largely not been delivered. Human Rights Watch calls it "the wasted decade" with a media that remains state-controlled, a monitored and censored internet, and prisons still filled with dissidents.

Activists say that with the current protests, however, al-Assad can no longer look away.

"He has to start listening," said Wissam Tarif, executive director of the human rights group Insan. "It's the time to start listening and acting. He can't afford any more promises."

Other analysts say force may have worked in the past to quell dissent, but not this time.

"The government is going to try to continue to use the tactics that it has for a very long time, which is just to snuff out any protest," said Anne-Marie Slaughter, a professor of politics and international affairs at Princeton University. Now, however, "the wall of fear is coming down."

CNN's Stan Grant contributed to this report.

@highlight

Bashar al-Assad has ruled Syria since June 2000

@highlight

He was not groomed for succession

@highlight

Despite some reforms, critics highlight empty promises

@highlight

Human rights groups say he must listen to the protesters