Washington (CNN) -- The surprise disclosure of an intelligence assessment about North Korea's nuclear capabilities this week raised further questions over what the United States believes the communist nation is capable of, and has kept the U.S., the Korean peninsula and the rest of the world on edge, worried about the possibility of an imminent missile launch.

At a House Armed Services Committee hearing on Thursday, Rep. Doug Lamborn, R-Colorado, read from a declassified version of a document in which the Defense Intelligence Agency expresses "moderate confidence the North currently has nuclear weapons capable of delivery by ballistic missiles, however, the reliability will be low."

But James R. Clapper, director of U.S. national intelligence, quickly shot that assessment down. "North Korea has not yet demonstrated the full range of capabilities necessary for a nuclear-armed missile."

Still, many issues about North Korea's nuclear capabilities remain unclear as U.S. officials prepare for a potential missile launch by Pyongyang that they say could come at any time. Here is a look at a few of those questions:

------

1. Does North Korea have nuclear weapons?

Likely. North Korea conducted its first underground test of a nuclear weapon in 2006, as well as two other tests, with the most recent coming in February of this year. Others believe the communist nation is assumed to have already separated enough plutonium for up to 10 warheads. It is unclear, however, if they have developed a way to weaponize or effectively deliver them. A U.S. official who briefed reporters in Seoul said that North Korea "has demonstrated at least three times now that they can detonate a nuclear weapon." Still, with fewer than 10 functional nuclear devices -- compared to the more than 7,650 warheads in the U.S. arsenal -- the tiny nation is at the dangerous infancy of becoming a nuclear state.

2. Has the nuclear device been miniaturized enough to fit atop a missile?

Unclear. Taking a basic nuclear weapon and shrinking it down so it can fit on top of a missile is quite difficult. Many experts have suspected the North Koreans have been working feverishly to do just that, but their success has not been confirmed. Said the same U.S. official: "miniaturizing a weapon is a very, very difficult task." Secretary of State John Kerry, responding to the initial DIA assessment, said that "it is inaccurate to suggest that the DPRK has fully tested, developed or demonstrated capabilities that are articulated in that report."

3. Do they have missiles sophisticated enough to deliver a nuclear warhead?

Possibly. The North Koreans are believed to have a host of rockets or missiles, either deployed or in development, that many believe capable of carrying a potential conventional, chemical or nuclear warhead. Their long-range and unconfirmed UNHA 3 rocket has never been tested as a missile, but, with a suspected range of 6,200 miles (10,000 km), it could possibly reach parts of the western United States. Their intermediate-range TAEPODONG 1 and TAEPODONG X rocket could cover Japan, parts of Russia and Central Asia and some U.S. bases in the Pacific. And their short-range SCUD-D, with a range of about 435 miles (700 km), would be a threat to South Korea, Japan and China. However, experts say their guidance systems are primitive and their propulsion systems are unstable. But the U.S. official said they have capabilities. "They have demonstrated that they can launch a three-stage missile. We believe they are continuing to develop putting a nuclear warhead on top of an intercontinental ballistic missile or intermediate-range ballistic missile," the official said. "I think it's premature to say they've been able to put everything together, from development of a warhead, launching it, getting it to re-enter and actually target something. I think that's a little premature to say right now."

4. If North Korea launches a missile, how will we know if it is carrying a nuclear warhead?

Basically, we won't. While U.S. officials said there is "nothing to indicate" that North Korea can or will place a nuclear warhead atop a missile right now, most experts say it is very difficult to know the warhead and payload of a missile test in advance. That raises the heightened concern that, despite public U.S. proclamations that they would be hesitant to shoot down a North Korean missile launched over the ocean unless it appeared to be heading toward a known land-based target, such a shoot-down is still possible.

5. Why is it so hard to know full details of North Korea's nuclear program?

The highly secretive nation -- led by the young, reclusive Kim Jung Un -- has been largely isolated from much of the rest of the world. Subject to strict United Nations sanctions, the country's primary supporter has been China, to its north and west. Entry into the country is strictly limited and communications -- TV, radio, Internet and even cell phones -- have been tightly controlled by the communist government. And even North Korea's nuclear capabilities are unclear. Months after North Korea's latest underground detonation, U.S. intelligence is still unable to determine what material actually exploded -- uranium or other radioactive materials. Mike Chinoy, a former CNN correspondent who has visited North Korea 15 times, said the current confusion about Pyongyang's capabilities recall a similar episode in 1998, when U.S. spy satellites discovered an underground complex at Kumchangri, not far from North Korea's main nuclear facility at Yongbyon. A debate raged inside intelligence communities about whether what the satellites saw was evidence of a burgeoning nuclear reactor, a secret, underground nuclear weapons facility or something else. In the end, the underground complex turned out to be empty, Chinoy noted.

CNN's Tom Cohen, Jethro Mullen, Barbara Starr, Michael Pearson, K.J. Kwon, Tim Schwarz, Kyung Lah, Deirdre Walsh, Judy Kwon, Joe Sterling, Kevin Bohn, Chris Lawrence, Elise Labott, Jill Dougherty, Adam Levine and Jim Kavanagh contributed to this report.

@highlight

With North Korea on the verge of a possible missile launch, questions remain about its capabilities

@highlight

Disclosure of U.S. intelligence hints Pyongyang may be closer to nuclear weapon than previously thought

@highlight

But senior U.S. intelligence leaders quickly refute the intelligence assessment