(CNN) -- Many people consider Trayvon Martin to be a 21st century Emmett Till. George Zimmerman killed Trayvon Martin as the 17-year-old African-American returned home after buying Skittles and iced tea. The killing has generated sadness, anger and frustration both because the innocent and inoffensive victim may have been targeted only because of his race, and because the admitted shooter was not arrested.

After weeks of suspense, Florida special prosecutor Angela Corey has ordered Zimmerman arrested and charged him with second-degree murder.

This development shows several positive things about the criminal justice system. First, it makes clear that even under Florida's liberal self-defense laws, an implausible or unsubstantiated claim of self-defense does not constitute a "get out of jail free" card. Florida's "stand your ground" law protects, some say over-protects, the right of self-defense. But judges and juries still have the power to evaluate the truth of self-defense claims, and defendants will be convicted of homicide if the prosecution can prove that killings were outside the law.

In addition, at a press conference announcing the charge, Corey emphasized that the charges were based on careful investigation and evaluation of the facts, not on "pressure or petition." It is wonderful that the rallies, marches and protests brought attention to a case that otherwise might have gone unnoticed. But it would be disastrous for society if popular pressure alone could induce prosecutors to charge people with crimes.

Some aspects of how the case will proceed are clear. First, while the prosecution was unconvinced by Zimmerman's self-defense claim, he is still entitled to present it to the jury at trial. If they accept it, of course, he will be acquitted. In addition, although Zimmerman is charged with second-degree murder, even if the jury rejects the self-defense claim and believes the killing was homicide, they may choose to convict of a "lesser included offense" such as manslaughter. Manslaughter is still a serious felony, although it carries a lower penalty than murder.

It is also important to note the stringency of the requirements for a second-degree murder charge. The prosecution must prove that a defendant had "a depraved mind" and acted "without regard for human life." The killing must be motivated by "ill will, hatred, spite, or an evil intent."

The defense is likely to argue that even if Zimmerman made a misjudgment or mistake, as a neighborhood watch volunteer, he had none of these bad motives. He could claim that no one bent on murder would, as he did, call the police in advance. The lesser charge of manslaughter requires a killing through "act, procurement or culpable negligence" which can be established with less evidence of bad motive.

There is another possibility. Under a particular set of facts it could be that both Trayvon Martin and George Zimmerman reasonably believed they were being confronted by unlawful violence from the other, and therefore that both thought they had to use force to defend themselves. If the jury found that to be the case, under Florida law, Zimmerman would be acquitted.

It is impossible to say which of these scenarios is most likely. The prosecutor would not and could not have filed charges if she believed that Martin simply attacked Zimmerman, who fired because he reasonably feared for his own life. Beyond that, however, the prosecutor deliberately (and properly, under applicable ethical rules) declined to reveal what facts the investigation uncovered, or why she regarded them as showing that what happened was criminal. One possibility, admittedly speculative, is that the prosecutor concluded that Zimmerman illegally confronted the victim with a weapon without just cause, and that that criminal act led to the shooting.

Because the critical facts of the case have not been revealed, it is impossible to predict how the case will fare when tested in the crucible of the courtroom.

The evidence could be air-tight, but in cases from the Michael Jackson child molestation prosecution to the Dominique Strauss-Kahn rape prosecution, evidence that convinced prosecutors disintegrated in the face of vigorous defense advocacy. And Zimmerman will almost certainly get a high quality defense, paid for either by himself and his supporters or by the state of Florida, which will want to ensure the appearance of fairness on a case in the spotlight.

Whatever else comes out of this incident, it is clear that it is risky for people to inject themselves into ambiguous situations they are neither properly trained nor legally authorized to handle. Even police departments often train off-duty officers to call 911 rather than taking direct action, unless human life is at risk. If there was ever any doubt, this case demonstrates that that is the right approach for private citizens.

The opinions expressed in this commentary are solely those of Gabriel J. Chin.

@highlight

Gabriel Chin: Charges show that "stand your ground" doesn't mean "get out of jail free"

@highlight

He says George Zimmerman is entitled to present his self-defense argument to the jury

@highlight

Chin: Proving second-degree murder charge is a high bar, but jury could convict on lesser charge

@highlight

He says one lesson is that private citizens should not direct action in case like this