The recent deluge of Facebook changes -- both those that have already happened and those that are on the way -- have people talking.

OK ... that's an understatement. They have people shouting (with either glee or fury). And fuming. And, sometimes, freaking out.

When a site has roughly 800 million users, and each of those users has a quick and easy way to share their thoughts with others, interest is high and info starts flying fast in the face of what looks like a pretty radical overhaul.

Inevitably, that leads to things getting a bit confused sometimes. So, here's a look at some of the rumors that we've seen flying around about Facebook's big changes, along with our best effort to sort them out.

1. Facebook is going to start charging you

Do we actually have to address this one? Apparently, yes.

Every once in a while, this rumor starts cropping up in status updates -- often in all caps. Some people can't seem to get their brains around the fact that a useful service like Facebook is going to remain free. So people begin copying and pasting messages announcing the date the site is going to a pay model.

A quick glimpse and you'll find multiple "We Won't Pay For Facebook" groups. On Facebook.

So, of course, when all the new changes rolled out, the planets were aligned perfectly for the rumor to spring back up. This time, it apparently got so prevalent that Facebook addressed it.

"A rumor on the Internet caught our attention. We have no plans to charge for Facebook. It's free and always will be," the site posted on its own Facebook page.

Here's the deal: Facebook will never really have a reason to start charging you for using it. To oversimplify the situation, you aren't Facebook's customer. You're its product. The site's business model is based on advertising and it wants as many users as possible to dangle in front of the click-hungry advertisers.

Charging for Facebook would inevitably decrease the number of users. And that would decrease advertising revenue. It's not going to happen.

Verdict: False. Very false.

2. Friends will see the websites I visit, even when I'm not on Facebook

This one is partially true, with one big "if."

With what Zuckerberg called "frictionless sharing," Facebook users can have the stories they're reading on certain other websites pushed straight to their News Feed for friends to share. But this will only happen on sites with the Facebook "like" button -- and only when the user has given the site permission to share the info.

That addresses one big privacy complaint Facebook has been hit with in the past, when new features started automatically, requiring users to opt out instead of opting in.

But there's always the possibility for confusion. Some people might not realize that they're authorizing the feature or may simply forget they've enabled it. In that case, best not to make a habit of reading a bunch of articles about how to find a new job if you're FB friends with your boss.

Verdict: Partially True (If you enable it)

3. The Timeline is going to show all my photos and info (whether I want it to or not)

One of the biggest changes Facebook is making is switching users' profile pages into what's being called a Timeline. It will, in effect, make your profile look more like a blog, with a chronological stream of photos and posts from the entire time you've been on Facebook and even before.

People viewing your profile will be able to scroll through, year by year, and see what you were up to far more easily than they can now.

Reports of that have led some users to freak out, or even say they planned to delete all their photos before the feature rolls out.

Here's the deal: The Timeline will definitely make it easier for your friends to see your photos and posts, particularly older ones. A single click could take them from your recent and respectable photos from office parties and play dates to those infamous college keggers from days of yore (you know ... if you're young enough to have been on Facebook in college).

But you'll be able to curate your own timeline. You can remove photos or posts you don't want on it and resize images to emphasize (or de-emphasize) chapters of your life. At the end of the day, there will be nothing there that's not already available to prying eyes -- but the eyes just won't have to pry as hard.

Verdict: Mostly False

4. Facebook monitors my activity when I'm not logged in

This one isn't directly linked to the changes, but has cropped up as they're about to roll out. And, in truth, as more off-site sharing is introduced, it could become more prevalent.

Earlier this week, an Australian blogger posted data that he said shows information being sent to Facebook by users even when they're not logged into the site.

Facebook acknowledges that it uses "cookies" when you visit the site that then transmit data from other sites that are connected to it.

Facebook engineering director Arturo Bejar told the Wall Street Journal that the system is used to prevent phishing attacks and spam and to make it easier for users to log in on the sites they've connected to the social network. Facebook deletes the data immediately, he said, and it's never used to target advertising or the like.

"The onus is on us is to take all the data and scrub it," Bejar told the Journal. "What really matters is what we say as a company and back it up."

Verdict: True (But in a limited way)

5. I can't use Spotify unless it's linked to Facebook

This one depends: Are you already on Spotify? If so, you're in the clear. If not, or if you already signed up through your Facebook account, the two services are pretty much married, 'til digital death do they part.

To Spotify, the emerging music-streaming service, and Facebook, it's a seamless and convenient way to listen to music and share songs with your friends. To people who might want to listen privately, or those elusive few who don't have Facebook accounts, it's a hassle.

Users will still be able to use their Spotify settings to control what information gets sent to Facebook, though. So don't worry -- if you're secretly listening to lots of Bieber and Gaga on Spotify, you can still do it on the down-low.

Verdict: True (If you didn't already sign up)

@highlight

Massive changes to Facebook are spawning lots of rumors -- some more true than others

@highlight

No, Facebook is not going to start charging you to use it. Probably never will

@highlight

"Frictionless sharing" will send info about articles you're reading to Facebook if you allow it

@highlight

Popular music service Spotify is now Facebook-only