Hollywood is in full awards season mode.  This past weekend, the Producer's Guild granted its first tie for its best picture award, bestowing the honor on "Gravity" and "12 Years a Slave."  This weekend, the Director's Guild will hand out its awards, for which "12 Years a Slave" director Steve McQueen is a strong favorite.

If McQueen takes home the Oscar at next month's Academy Awards, he will be the first black director to receive that honor — ever.  Which is a pathetic reflection of the far deeper and more enduring inequalities in American society today.

It wasn't until 1991, the 64th presentation of the Academy Awards, that a black director was even nominated: John Singleton for "Boyz in the Hood."  Only one black director has been nominated since: Lee Daniels in 2009 for "Precious."

Meanwhile, excluding Steve McQueen this year, only four black men have been nominated as producers for best picture: Quincy Jones for "The Color Purple" in 1985, Lee Daniels for "Precious," Broderick Johnson for "The Blind Side" in 2009, and Reginald Hudlin for "Django Unchained" in 2012.  That's it.  None won.  And no black women have ever been nominated as either directors or producers.

The record isn't much better for white women, incidentally. Before Kathryn Bigelow, who became the first woman to win the Oscar for best director -- in 2010 for "The Hurt Locker" -- only three women had ever been nominated: Lina Wertmüller for "Seven Beauties" in 1976, Jane Campion for "The Piano" in 1993 and Sofia Coppola for "Lost In Translation" in 2003.  And the bigger box office films, including many nominated for Academy Awards, tend not to include female producers.

One might be forgiven for thinking the 86th annual Academy Awards are taking place in 1886.  As far as we've supposedly come as a society — a black president, more women in the workplace, the important legislative and cultural accomplishments of the civil rights movement and the women's movement — that's all?  Three black directors, four white female directors and a handful of executive producers between them?  Seriously?

These discouraging patterns in the Oscar nominations and awards are a reminder that social progress can be disturbingly superficial.  Just like the world around us, our movie screens appear to be increasingly more diverse. Incredibly talented actors of color are at times portraying profound roles in plots that relate to the struggle for racial justice in America, usually through the lens of our past  -- from "Driving Miss Daisy" to "Django Unchained" -- rather than an uncomfortable and critical look at our present.  Yet Hollywood fails to regularly create, let alone celebrate, any near-significant number of critically and commercially successful films created by black directors and producers with as much power and pull in Hollywood as their white counterparts.

When Chris Rock hosted the Oscars in 2005, he took a camera crew to a movie theater in Harlem in New York and asked audience members if they'd heard of that year's Academy Award-nominated films.  They hadn't.  Rock simply and powerfully illustrated the profound disconnect between black America and the Hollywood elite.  Rock was not invited to host the Oscars again.

These observations no doubt lead to chicken-vs.-egg debates. After all, plenty of financially successful films each year are produced and directed by black men and women -- though mostly men.  So is it that these movies don't make it into the critical pantheon of the Academy Awards?  Or black producers and directors don't have the same opportunities to create films in the more elite genres?  Does the reason even matter or just the result?  By the same token, does Hollywood exclude women and people of color in powerful director and producer roles more than other facets of American business and society?  Probably not, but who cares?  That doesn't make the critique any less worth leveling.

In 1939, Hattie McDaniel became the first African-American to win an Academy Award, for her role in "Gone With The Wind."  In 1968, Sidney Poitier became one of the first African-American actors to achieve major box office success in a leading role, with a string of hits that year, including "Guess Who's Coming To Dinner."

But both black actors, and most since, have been fictionally and literally in white men's houses; white men still very much disproportionately occupy the real seats of power in Hollywood and beyond.

Kudos to Steve McQueen for challenging this tired script.  I hope his truly excellent film wins both best picture and best director.  But more important, here's hoping the behind-the-scenes levers of power in Hollywood start reflecting more inclusive plot lines appropriate for 21st century America.

@highlight

Sally Kohn: If Steve McQueen wins, he will be the first black director to get an Oscar

@highlight

Kohn: No black women, only two other black men have been nominated for best director

@highlight

Kohn: Only four white women nominated for director: As far as we've come, this is pathetic

@highlight

Kohn: Movies show racial struggles of the past but neglect to take a look at the present