(CNN) -- It may take a lot of frequent-flier miles, a penchant for cold places, a tolerance of taxes and regular doses of chocolate, but happiness could be within reach. However, it's not where most people might expect.

Journalist Eric Weiner says he wanted to explore the relationship between place and happiness.

Just ask Eric Weiner, who made it his mission to find the most content places around the globe, uncovering lots of surprises along the way.

Hungering for a tropical paradise? A warm climate doesn't necessarily make a happy nation, Weiner said.

Thinking of moving to a wealthy state? Money can degrade happiness, he found.

Weiner, who wrote the book, "The Geography of Bliss: One Grump's Search for the Happiest Places in the World," began his quest for very personal reasons.

"I'm an unhappy person, so it's kind of what prompts a hungry person to search for food," he said.

Weiner spent 10 years as a foreign correspondent for National Public Radio, a job that took him to some of the least happy places in the world.

It was enough to send him on a yearlong journey to look for just the opposite.

Weiner mapped out his quest with a combination of scientific and personal methods, choosing some countries because they traditionally score high on happiness surveys and selecting others to see how factors like money play a role.

A world map of happiness, based on 100 different studies and produced by Britain's University of Leicester in 2006, listed Denmark as the world's happiest nation.

But for Weiner, the place where he felt the most bliss was a toss-up between Bhutan and Iceland, countries that ranked eighth and fourth, respectively, on the happiness map. Weiner's list of favorites also included Thailand, India and Switzerland.  See photos of his favorites and listen to him explain why they're happy »

His top two picks, though very different countries, have unconventional paths to happiness, he said.

"Bhutan is probably the closest thing on Earth to Shangri-La, that fictional paradise," Weiner explained.

He pointed out that while other countries focus on their gross domestic product, the Himalayan kingdom proudly touts its policy of "gross national happiness."

"The Bhutanese very much believe that happiness should be part and parcel of every government decision," Weiner said.

Cold place, warm relationships

Thousands of miles away, Weiner found happiness in a very different environment, marveling at the creativity and "coziness" of Iceland.

"Everyone in Iceland is a poet," Weiner recalled.

He visited the country during winter and said he found a certain beauty in the  cold and the darkness. Such a chilly climate usually encourages warm relationships, Weiner found.

"The cold inspires people to cooperate, traditionally. If you go back a few hundred years, people in cold climates have to cooperate or they die together. It's that simple," he said.

Weiner found a different flavor of happiness in Switzerland, where he discovered people are content partly because everything runs like clockwork. Simple pleasures like trains arriving on time contributed to national happiness, he said.

But there may be a much sweeter reason why Switzerland is a happy place.

"The Swiss eat a lot of chocolate, and let's not forget that," Weiner said.

He was also impressed with how the Swiss view money.

"Their attitude is that if you've got it, hide it. While our attitude is if you've got it, flaunt it," Weiner said, comparing the Swiss to Americans.

Weiner called the United States, which came in at No. 23 on the University of Leicester's world map of happiness, a nation that "is not as happy as it is wealthy."

The impact of wealth and taxes

The relationship between money and happiness took Weiner to the Middle East and Qatar, a country with one of the highest per capita incomes in the world, thanks to oil and natural gas revenues, according to the CIA World Factbook.

"I went there specifically to examine what happens when the entire country wins the lottery," Weiner said. He found the wealth made the residents comfortable, but also degraded their level of contentment.

"Most of our happiness is derived from our relationships with other people," Weiner said. "The money in Qatar has allowed them to wall themselves off, literally and figuratively, from other people. ... That's not a recipe for happiness."

There are no income taxes in Qatar, but that's not a cause for contentment, Weiner found. Some taxation is necessary for happiness because it's a way of being invested in a place, he argued.

"You're giving money to someone else, a government, and you're trusting them to do something good with it," Weiner said. "In a country where there's no taxation at all, people don't have vested interests in how well the government performs. You can't say, 'Hey, those are my tax dollars at work.'"

Quest creates buzz

Weiner's book has struck a chord, recently rising to the top 10 of The New York Times nonfiction best-seller list. An expert who studies happiness said part of the book's appeal may lie in how Weiner mapped out his journey.

"He arranges an interesting itinerary because he uses science as his compass," said Daniel Gilbert, a psychology professor at Harvard University and the author of "Stumbling on Happiness."

Gilbert said it's only recently that a combination of biology, sociology and psychology has been able to answer the "where's and why's" of happiness, a subject that has always fascinated people.

"The quest for happiness is the central preoccupation of human beings and has been for as long as there have been human beings," Gilbert said.

He echoed Weiner's findings that bliss is other people.

"Everyone has been telling us for the longest time that happiness is about social relationships, well, bingo, they're right," Gilbert said.

Meanwhile, after a year of exploring some of the world's happiest places, Weiner -- the self-described "grump" -- said his mind-set has improved somewhat.

"I would describe myself as a recovering grump," Weiner said. "At this point, I think I am marginally happier than before I started the project." E-mail to a friend

@highlight

Journalist spent a year looking for the world's happiest countries

@highlight

Eric Weiner: Bhutan is probably the closest thing on Earth to Shangri-La

@highlight

He marvels at the creativity and "coziness" of Iceland

@highlight

Self-described "grump:" chocolate contributes to happiness in Switzerland