Taiwanese President Ma Ying-jeou is faced with a hugely delicate balancing act: the need to maintain good economic relations with China while trying to keep Beijing's push for reunification at bay.

The latter has become an increasingly tense issue.

During a recent session with reporters in the presidential office building, Ma leaned back in a dark-blue armchair under an oil painting of Sun Yat-sen -- modern China's founding father whose legacy is claimed by Taipei  and Beijing-- and delivered a clear message: economic relations with China should be developed but not at the cost of sovereignty.

"During my tenure as president, I will not discuss unification with mainland China," he declared. But he added that he would "not promote independence, let alone the use of force" either.

"I believe this is essential to achieving a stable and lasting framework for peaceful development," he said.

Ma says his government is watching pro-democracy protests in Hong Kong closely to see whether Beijing will honor its initial promises on universal suffrage.

The city is regarded as a testing ground for the "one country, two systems" formula that China's leaders originally hoped would entice Taiwan back into the fold.

China and Taiwan -- officially the People's Republic of China and the Republic of China -- separated in 1949 following a civil war. But China still claims Taiwan as its territory and, to this day, is reported to have missiles pointed at the island.

Ma said he does "not fear that Taiwan will become a second Hong Kong," as the two were completely different cases. He also admitted a soft spot for the former British colony that was also his birthplace.

"I feel a close affinity with Hong Kong."

One country, two systems

Xi Jinping, China's most powerful president in decades, has brought new urgency to the unification issue by stating that the problem should not be pushed from generation to generation.

In September, he expressed his "firm and unwavering stance" on reunification under the idea of "one country, two systems" during a meeting with pro-unification delegates in Beijing. Within hours, Ma rejected the idea as "unacceptable."

During the interview, Ma acknowledged his counterpart in Beijing has a more "high-handed posture" than his predecessors.

And in a speech on the island's national day October 10, he urged Xi to introduce democracy for his 1.3 billion people -- letting free elections in Hong Kong be the first step. Ma has also encouraged mainland Chinese exchange students to study in Taiwan to experience its open society.

"We have never wistfully thought that mainland China would become democratized quickly," he said.

"All our efforts in Taiwan have aimed at showing ethnic Chinese societies around the world that the imported concept of democracy can take root, germinate, and grow into a big tree on purely ethnic Chinese soil."

Chinese state media last week accused Taiwan of recruiting mainland students studying on the island as spies. Soon after, Taiwan banned senior officials from studying in China for "national security" reasons.

'Coddling tyrants?'

Despite his firm position against reunification, Ma, who took office 2008, has made more of an attempt to ease tensions with the mainland than any of his predecessors -- mainly by creating closer business relations and signing a total of 21 cooperative agreements, including the ground-breaking Economic Cooperation Framework Agreement, ECFA.

Many Taiwanese companies have moved factories to China, while Chinese banks now operate on the island. Six years ago no direct flights existed between the island and the mainland; today there are hundreds of flight a week and tourists are flooding in.

Victor Teo of the University of Hong Kong said Taiwan's leader is making progress as he negotiates the thin line between economic pragmatism and sovereignty.

"Ma is doing more for Taiwan in terms of democratization, economic development and the preservation of autonomy than he would if he took the position of his predecessors," he said.

"I personally have a very high opinion of President Ma, and I think he has the balance right. His main difficulties are being accused of 'coddling the tyrants in Beijing' of course."

But his critics say the relationship with Beijing has become too cozy.

Last spring, hundreds of students of the so-called "Sunflower Movement" occupied Taiwan's parliament in protest.

That led to a major trade agreement being blocked and a new souring of relations with China. Ketty Chen, deputy director of international affairs for the opposition pro-independent Democratic Progressive Party (DPP), said in a recent interview that the 21 cross-strait agreements were signed too hastily and without proper review.

Taiwanese or Chinese?

Today, less than 10% of people support the idea of immediate or eventual reunification -- a figure that has declined consistently over the years. Results of a survey by National Chengchi University in June found that 60% of respondents identified as Taiwanese -- an historic high -- compared to just 3.5% as Chinese. A clear majority supports the political status quo of de facto independence.

Now, with Beijing rejecting true democracy in Hong Kong -- despite a public backlash -- the idea of "one country, two systems," seems even more unappealing to the people of Taiwan.

"The leaders in Beijing are afraid that if they give democracy to Hong Kong, then other parts of China, like Xinjiang and Tibet, will also ask for it," said a 17-year old female high school student who lives in Taipei.

"I hope Taiwan never in my life time reunifies with China. It would be very bad. We would lose our freedom."

Her words echoed those of many ordinary people I spoke to in Taipei.

"Many people in Taiwan want independence," said a young woman called Febie who manages a small café in Taipei, Taiwan's capital. "But that's impossible without the backing of other powerful countries, like the United States. I still think President Ma should be stronger against China."

Kristian McGuire, an independent, Washington-based researcher and volunteer with Taiwan Security Research, says that if peaceful unification is going to happen, it is going to have to come through a democratic process whereby millions of Taiwanese choose to join China.

"Thus far, it looks like most Taiwanese don't want reunification so long as China remains an authoritarian state with little respect for human rights," he said.

@highlight

Taiwanese President Ma Ying-jeou was discussing relations with mainland China

@highlight

President Ma: I will not discuss reunification, promote independence

@highlight

China and Taiwan separated in 1949 following a civil war

@highlight

Chinese President Xi Jinping has expressed his "firm and unwavering stance" on reunification