Hong Kong (CNN) -- North Korea's bipolar swings between nuclear provocation and fawning overtures for talks now form part of a familiar pattern.

As recently as March, Pyongyang was warning the United States of "a simmering nuclear war" and cut its hotline with South Korea.

But in the past week, media reports say it has been taking down the ubiquitous anti-American billboards that line the streets of the North Korean capital, suggesting that dialogue, after all, may be possible.

The well-worn formula of ratcheting up the tension and then standing back to see what concessions can be extracted from a rattled international community was a favored tactic of Kim Jong Un's father Kim Jong Il who was a master of brinkmanship.

But with China and North Korea holding strategic talks in Beijing on Wednesday, analysts are asking whether this time, everything could be different.

Stephanie Kleine-Ahlbrandt, project director at the International Crisis Group, says that while there are new elements to the discourse between North Korea and the international community, little of substance has changed.

"It seems to be the usual dance where we are in the charm offensive period and North Korea is reaching out for talks," Kleine-Ahlbrandt said, adding that North Korea was fully conscious that each party to the previous six-party talks between North Korea, South Korea, China, the United States, Japan and Russia had been pursuing their agenda.

"I think it's plausible that North Korea is trying to see if they can divide some of the six parties because they realize that the Chinese are looking for talks primarily and I think they realize that the U.S. wants conditions for talks."

The U.S. has previously stated that concrete movement on North Korea's U.N. obligations to de-nuclearize were a pre-condition of talks. She said the feeling in Washington, however, was that the U.S. was not rushing towards talks.

"I think that China, meanwhile, wants to inflict limited pain on North Korea to get them to cease provocations and to get back to talks and to frankly stop making China lose face," she said.

China -- which committed as many three million troops to secure North Korea during the Korean War in the 1950s -- is Pyongyang's closest ally but has grown increasingly impatient with its Stalinist neighbor, repeatedly urging it to rejoin the six-party negotiations.

Kleine-Ahlbrandt said there was a sense that North Korea had overplayed its hand.

"This escalation and brinkmanship wasn't done with any of the calibration that we're used to seeing during the Kim Jong Il era, which managed to (provoke) but gave China the ability to maintain its position," she said.

Nevertheless, she said the sense in China was that North Korea was a wayward child and had to be brought into line and part of this could be urging the United States to adopt a more flexible position on talks.

"Their (China's) anger over North Korea is very different from our anger," she added. "Beijing believes that North Korea's insecurity needs to be alleviated, not intensified."

Lee Jung-Hoon, Associate Professor of International Relations at Yonsei University in Seoul, said the fact that other six-party members were talking with each other -- notably the United States and South Korea and most recently China and the United States -- was making Pyongyang apprehensive.

"They've been taken aback by this series of summit meetings," Lee said. "They don't want to be pushed into a corner and I think that's what they're feeling at this juncture especially since Xi Jinping has been very adamant about the de-nuclearization of North Korea."

He said that recent rhetoric coming out of North Korea showed the regime to be increasingly desperate.

"I do believe that the regime is extremely unstable and insecure, therefore it's making all these frantic efforts," Lee said. "Even them wanting to hang on to nuclear weapons is an act of desperation as well -- they believe it's the only thing that would ensure the regime's survival."

China is currently banking on its provinces bordering North Korea -- known as the Three Northeast Province -- becoming a new economic zone and is plowing billions into infrastructure development in the region.

Lee said China believes that part of the reason that the zone has not been as successful as planned has been due to North Korea.

"To develop that whole region is something that China very much wants to kick-start," he said. "Now there are voices within China raising the question, 'Why are we holding onto this relic regime which is going against China's national interests?'"

"I don't' think we're looking at a major overhaul of China's North Korea policy but I think they are beginning to think of the possibility of 'what if?' and how will this play out as far as China's economic development is concerned."

@highlight

North Korea swings between provocation and negotiation

@highlight

Analysts say North Korean diplomacy follows a familiar pattern

@highlight

The U.S. insists de-nuclearization is a pre-condition of talks

@highlight

Analysts say North Korea's behavior is now an embarrassment to China