Washington (CNN) -- Senate Republicans on Thursday blocked a Democratic measure championed by President Barack Obama to end tax breaks for the major oil companies.

The procedural vote of 51-47, which failed to reach the needed threshold of 60 in favor, killed the measure, which was given little chance of eventually winning approval in the Republican-controlled House. Four Democrats opposed the bill while one Republican supported it.

Obama and Democrats had pushed it in an attempt to gain political advantage as rising gas prices continue to hurt and anger American voters in an election year.

In remarks shortly before the Senate voted, Obama said the nation will be watching to see where Congress stands on the issue.

"With record profits and rising production, I'm not worried about the big oil companies," Obama said in the White House Rose Garden. "... I think it's time they got by without more help from taxpayers, who are having a tough enough time paying their bills and filling up their tanks."

After the vote, White House Press Secretary Jay Carney labeled the result "unfortunate."

Poll: Americans increasingly worried about gas prices

A CNN/ORC International poll (PDF) released Thursday shows a majority of Americans blame oil companies -- rather than the Obama administration -- for the high gas prices.

According to the survey, conducted last weekend, seven in 10 Americans say rising gas prices have caused hardship for them and their families.

Obama's energy policy, which emphasizes investment in alternative sources, has repeatedly been attacked by Republicans as contributing to high gas prices and stunting domestic oil development.

The president has targeted the roughly $2 billion a year in tax breaks and subsidies for oil companies as a potential new revenue source for clean energy development.

In his remarks Thursday, Obama emphasized steps his administration has taken to boost domestic oil and natural gas production, seeking to deflect the GOP criticism. He said that now is the time to choose whether to continue to give unneeded subsidies to a thriving industry or to make critical investments in other energy sources.

"Instead of taxpayer giveaways to an industry that's never been more profitable, we should be using that money to double down on investments in clean energy technologies that have never been more promising," Obama said. "Investments in wind power and solar power and biofuels; in fuel-efficient cars and trucks and homes and buildings. That's the future. That's the only way we'll break this cycle of high gas prices that happens year after year after year as the economy is growing."

To end his statement, Obama declared his belief in the nation's ability to rise to any challenge and become the leader of a new global energy industry in the coming century. He framed the oil subsidy vote as a choice between that vision and protecting the status quo, adding: "Today, the American people are going to be watching Congress to see if they have that same faith."

Obama defends his policy on oil pipeline

The Democratic-sponsored Senate measure -- which was opposed by most conservatives -- would have repealed subsidies currently benefiting BP, Exxon, Shell, Chevron and ConocoPhillips. Savings would have been used to renew various alternative clean energy initiatives and reduce the deficit.

Democrats sought to cast Republicans as defenders of unpopular big oil companies, while Republicans highlighted rising pump prices on Obama's watch.

Senate Minority Leader Mitch McConnell, R-Kentucky, complained Thursday morning that the upcoming vote amounted to political theater because everyone, including the sponsors, knew it would have no effect on gas prices.

"Day after day after day, Democrats ask us all to come out here, not so we can make an actual difference in the lives of working Americans and families struggling to fill the gas tank, but so we can watch them stage votes for show," McConnell said. "For some reason, they thought they could put political points on the board if the American people saw them voting for a tax hike that we all knew ahead of time didn't have the votes to pass."

His Democratic counterpart, Senate Majority Leader Harry Reid of Nevada, opened debate on the oil subsidy measure Monday by noting that big oil companies are "making money hand over fist."

"If Republicans continue to stand up for oil companies making record profits, one thing will be obvious: Republicans care less about bringing down gas prices than about helping big oil companies that don't need the help," Reid said.

He insisted that repealing "wasteful subsidies" wouldn't lead to a hike in oil and gas prices -- an assertion dismissed by Republicans.

Energy secretary hammered on gas prices

Democrats have proposed "raising taxes on American energy manufacturers -- something common sense and basic economics tell us will lead to even higher prices at the pump," McConnell said Wednesday. "Frankly, I can't think of a better way to illustrate how completely out of touch they are on this issue."

Democrats have repeatedly raised the issue of whether it is appropriate to provide tax subsidies for highly profitable oil and gas companies. Legislation similar to the current bill was narrowly rejected by the Senate last May.

Among other things, the measure killed on Thursday would have ended oil production's categorization under the tax code as a form of domestic manufacturing eligible for a deduction worth 6% of net income, according to New Jersey Democratic Sen. Robert Menendez, the bill's author.

The measure also would have prevented oil companies from claiming foreign royalty payments as a credit against American taxes, and cut the ability of companies to deduct numerous costs associated with the drilling process.

"With oil prices over $100 per barrel, Big Oil does not need a taxpayer incentive to explore," Menendez's office asserted in a written statement.

Brian Johnson, a senior tax adviser at the American Petroleum Institute, which represents oil interests in Washington, told CNN the bill unfairly targeted one industry. Among other things, he noted that many industries currently qualify for the domestic manufacturing deduction at a higher rate of 9%.

"How is this a legitimate tax deduction for Starbucks or The New York Times at 9% and somehow it's a 'subsidy' for the oil and natural gas industry at a lesser 6%? The answer is it's not," he said. "We're already penalized."

Repealing the royalty payment credit would be tantamount to double taxation and could cripple American-based operations, he argued.

"Raising taxes will not lower energy prices for American families and business," the American Petroleum Institute's president, Jack Gerard, said in a written statement. "It's time to work together on a national energy strategy that focuses on developing all American energy resources."

In the short term, bills such as the one blocked on Thursday are unlikely to affect gas prices or change the market enough to shift voter attitudes, argued Joseph Stanislaw, founder of J.A. Stanislaw Group, an energy and investment advisory firm.

"The global oil market has more impact on the presidential election than the president has on the global oil market," Stanislaw said.

@highlight

NEW: The White House spokesman calls the Senate vote "unfortunate"

@highlight

Senate Republicans block a Democratic bill to end oil company tax breaks

@highlight

President Obama says redirect the oil subsidies to clean energy development

@highlight

Democrats and Republicans both see a political advantage in debating the issue