(CNN) -- A fireplace isn't just a spot to keep logs and kindling. According to decorators and design enthusiasts, it's where you put your heart on display.

Of course, in decorator speak, a fireplace serves as a design focal point, something you can use as a jumping-off point for furniture placement and accessories. It adds "charm" to any room. But in practical terms, what you choose to display on a mantel is something that will be seen -- and seen as important.

Often coveted as a must-have detail for home buyers, fireplaces -- and mantels in particular -- evoke a specific feeling of tradition and comfort, decorator Emily Clark said.

"I think they represent the coziness and warmth that we envision when we think of what 'home' should be," she said. It doesn't matter whether the fireplace is regularly used, she said, noting that the climate around her North Carolina home doesn't always provide the opportunity for a roaring fire.

Holly Modica of House by Holly said the time her family spends around their fireplace makes the cold, snowy days in Connecticut easier to bear. When hurricanes and recent record-breaking snowstorms caused power outages, their fireplace delivered.

"There is something so cozy about sitting by the fireplace and enjoying the moment," she said.

But what if it's not cold?

There's little reason to use a fireplace in the middle of a sweltering summer, but that won't stop decorators from giving their mantels the summertime treatment. Many decorators who contributed to this week's Open House assignment confessed to switching out their mantel decor often, at least once per season.

Open House: No matchy-matchy in the bedroom, please

Light, bright and simple are the go-to decor philosophies for summer mantels. Fresh garden clippings in simple containers, seashells, driftwood, outdoor lanterns and cool shades of green and blue help keep the mind on beach vacations and lazy days.

Thoughts of home

"There is absolutely something nostalgic and magical about a fireplace," said Run to Radiance blogger Tania Griffis. "While they aren't exactly a necessary thing to have these days, they represent a time period and a way of life where things were a little slower and more traditional." She and her husband love their fireplace so much that they stared a Christmas tradition of pulling a mattress into the living room and sleeping nearby on Christmas Eve.

Sometimes, as in Julia Konya's case, the memories associated with mantels are more literal.

"To me, a fireplace is a symbol of my childhood in Germany," she said. "My family still has the same very traditional wood-burning fireplace from when I was growing up. It has a beautiful heavy stone mantel and is surrounded by a huge built-in library wall.

"We spent every winter and holiday around that fireplace," Konya said. "While people in other homes used to put their family photos and knickknacks on their mantels, my mother never decorated like that. My mother always kept it simple and only displayed a few pieces of her inherited silver."

And that's a tradition Konya carries on, as seen on her blog Cuckoo4Design.

There's just something special about fireplaces, Anisa Darnell of Milk and Honey Home said. Aside from hanging stockings from the mantle during the winter holidays and lighting fires in the box for cold weather ambiance, "we take all of our big family photos in front of ours," she said.

Open House: Steps to a decorated staircase

Application of tchotchkes
For decorating purposes, a mantel is essentially a shelf. But it's not usually very deep, and there's no right or wrong way to decorate it. And that can stymie the best-laid decorating plans.

Although mounting a flat-screen television above a fireplace is one modern solution to the "focal point" part of the decorating equation, it's also the part of a room where modern decorators feel comfortable about "breaking the rules," said Elizabeth Baumgartner of The Little Black Door.

Memories of mantels cluttered with formal portraits, holiday cards and the urns of loved ones have given way to the idea of a mantel being a piece of art, she said: "I love that people are reclaiming it and making it their own."

"A mantel is a great way to showcase what is meaningful and beautiful to you," said Corrie Moore, the owner of Little House on the Update. "People are using mantels as more of a showpiece now. Before, it was just a shelf to set things on."

"They also tell a story," Modica said. "You can easily change your decorations out for every season and display things that you really love. It could be as simple as one or two things or as many as you want. It's your story."

Open House: Are you brave enough to decorate boldly in the foyer?

Stories large and small

As staircase pictures walls and gallery-style picture hanging continue to gain popularity, the mantel is now the place for decorative items.

"Scale is an important challenge when decorating a mantel," Modica said. "Finding that perfect big item may take some time. An oil painting, a mirror or just an interesting empty antique frame are all good options."

Smaller items resting on the mantel help balance out the bigger items. But sometimes those smaller items get tricky, said Stephanie Zell of Atlanta. Her home has a double-sided fireplace, with one side facing the living room and the other her bedroom.

"The biggest challenge for me is trying to edit the items on the mantel," she said. "Sometimes I can go overboard and find too many things I want to stick on it, (and they) don't necessarily go together."

Baumgartner sticks to arranging items in groups of odd numbers, making sure the items share a similar color or shape.

"I think the biggest challenge is knowing how much is enough," she said. "Be sure to include some negative, or empty, space to make it more pleasing to the eye."

Or, you can run with that space, like Holly Browning of Down to Earth Style does. "Nothing is wrong with a very simple mantel, so if you don't think you got it right, keep it sparse," she said. "(It's) a much better choice than adding clutter."

Are you obsessed with decorating your house? Show us your skills at CNN's Open House and your photo could be featured in next week's story. Our next focus: Backyard patios and decks.

@highlight

Whether winter or summer, mantels are a focal point for any room

@highlight

Decorators: Combine large and small art and tchotchkes to tell a story

@highlight

Share your patio and deck ideas in the next CNN Open House iReport assignment