Baghdad, Iraq (CNN) -- After eight months of bickering and political paralysis, Iraqi leaders were thought to have finally reached a power-sharing agreement Thursday for a new government, but that deal appeared to fall apart late in the day as members of the Sunni-backed Iraqiya List walked out of the parliamentary session.

Jalal Talabani, sworn in late Thursday for a second term as president, delegated Shiite Prime Minister Nuril al-Maliki to form a government within 30 days, as mandated by the constitution.

Thursday's session then adjourned until Saturday.

Quarreling that has typified Iraq's gridlock re-emerged during the parliamentary session, from which most members of the Sunni-backed Iraqiya bloc walked out saying that the other political blocs were not adhering to their promise to vote on the tentative power-sharing agreement, which had been reached late Wednesday.

The Iraqiya List had wanted parliament to vote on that agreement before voting for a president in order to ensure guarantees that had been promised to the Sunnis were in fact delivered. In the past, politicians have made promises to Sunnis that have not materialized, resulting in a widespread lack of trust.

Politicians had cobbled out a compromise Wednesday that would have left Maliki in power and created a powerful new office that was expected to be headed by his rival, former Prime Minister Ayad Allawi, lawmakers said Thursday.

Under the proposed deal, the three major governmental positions were to have been filled by three members of the country's largest ethnic groups -- the Shiites, the Kurds and the Sunni Arabs.

Al-Maliki is Shia. Jalal Talabani, who was to remain as president, is Kurdish. Lawmakers on Thursday elected Osama al-Nujaifi, a Sunni Arab from the Iraqiya bloc, to be the parliament speaker.

They also chose Qusay al-Suhail, a lawmaker from the hard-line Shiite Sadrists, to be first deputy speaker and Aref Tayfoor, who is Kurdish, as the second deputy.

But Sunnis did not consider Nujaifi to be adequate representation, and many members of the Iraqiya bloc walked out when parliament didn't accept its demand for a vote on the actual power-sharing agreement. Shiite lawmakers said the vote couldn't be taken because it was not on the agenda, but Allawi disputed this.

Even al-Nujaifi walked out, saying he had reservations over continuing the session marked by distrust. But, shortly afterward, he returned without explanation.

Still, politicians were hopeful that a deal could emerge.

Prior to the walkout, Mahmoud Othman, a Kurdish lawmaker, said, "We reached a power-sharing deal but it is like assembling a car with different parts and hoping it will work."

Iraq's government had been in a stalemate since the March 7 parliamentary elections, in which al-Maliki won 89 seats but lost to Allawi's bloc, which won 91 seats.

The political vacuum that followed has stoked fears that political instability would fester.

In Washington, a senior administration official who did not want to be identified called the agreement "a big step for Iraq."

"We've worked very hard in recent months with the Iraqis to achieve one basic result, and that's a government that's inclusive, that reflects the results of the elections, that includes all the major blocs representing Iraq's ethnic and sectarian groups, and that does not exclude or marginalize anyone," the official said. "And that's exactly what the Iraqis seem to have agreed to do."

Another senior administration official who asked not to be identified told reporters, "This really is an Iraqi victory because this was an Iraqi decision that was made by Iraqis in Iraq."

The first senior administration official said U.S. President Barack Obama and Vice President Joe Biden had spoken "to virtually all of the major Iraqi leaders" in recent days.

In the calls, Obama "reiterated our strong desire to see an inclusive government in Iraq, and welcomed the steps that have been taken toward reaching that goal," said Ben Rhodes, deputy National Security Council adviser for strategic communications. "He also stressed the need for Dr. Allawi, other members of Iraqiyya, and representatives from all of the winning blocs to hold leadership positions in the new national partnership government."

The move comes as the United States has been drawing down its seven-year military presence to a noncombat force.

Overall levels of violence have decreased since 2006 and 2007, but the country has endured eruptions of attacks lately that resemble the Sunni-Shiite sectarian violence during the height of the war.

The incumbent al-Maliki, whose State of Law coalition is Shiite, has backing in Iran and from many Iraqi Shiites, including the influential Shiite cleric Muqtada al-Sadr.

The choice of a Sadrist as a deputy parliament speaker reflects the movement's clout, and al-Maliki's alliance with Sadrists has stoked concern among U.S. officials because of anti-Americanism in the group.

Allawi, who served as prime minister in the early years of the new post-Saddam Hussein Iraqi government, is from a Shiite background but is a secular figure who is well regarded by many American officials.

His bloc, regarded as secular and cross-sectarian, has won a great deal of support from Sunni Arabs and he has consistently opposed al-Maliki for another term as prime minister.

The two leaders had been jockeying for enough votes for a coalition government, but neither had been able to garner the 163-seat majority needed in the Council of Representatives to form a government.

Earlier this week, Iraq's top political leaders met in the Kurdish north to break the more than eight-month deadlock, a development sponsored by Kurdistan Regional Government.

There had been fears that Allawi's bloc would boycott any government led by al-Maliki, but the creation of an entity called The National Council for the Strategic Policies appeared to have helped ease the way for compromise.

The body was created in an effort to reduce the power of the prime minister, Othman said, and the committee was to be headed by Allawi.

Iraqiya was demanding that legislators pass a law within 30 days forming the national council and forming a committee to review the files of people illegally detained, a great concern for Sunni Arabs who have accused Iraq's Shiite-dominated government of persecuting them.

It was calling for a final agreement on outstanding legislation and for canceling a ban on three top Sunni Arab politicians from running in elections. Those three have been accused of ties to Saddam Hussein's outlawed Baathist movement.

If a power-sharing agreement is not reached in which Iraq's Sunnis feel fairly represented, sectarian violence could re-erupt in Iraq, a country where politics and violence tend to go hand in hand. Many Iraqis told CNN that they blame a recent rise in violence on the political vacuum of the last eight months.

@highlight

Eight months of bickering and paralysis had appeared to end in a power-sharing agreement

@highlight

But that agreement appeared to fall apart late Thursday when the Sunni-backed bloc walked out

@highlight

"It is like assembling a car with different parts and hoping it will work," a legislator says