Foss Lake, Oklahoma (CNN) -- It began as routine training with new sonar equipment on an Oklahoma lake. But what highway patrolmen found from their boat was macabre.

It was a car. And, as they were to discover later, there were bones and skulls inside.

Then, equally surprising, they found another car. And it had bones inside it, too.

Rusted and caked with mud, a 1952 Chevrolet and a 1969 Chevrolet Camaro held as many as six bodies.

The recovery of the vehicles and remains Tuesday have residents near Foss Lake, a reservoir about 110 miles west of Oklahoma City, wondering whether two mysteries -- involving disappearances that the town of Sayre never forgot -- can finally be put to rest.

Investigators say they believe one car may have belonged to a teenager who disappeared with two friends in 1970, and the other car could be linked to the disappearance of a man in the 1960s who a federal official says was with a sibling and a friend, officials told CNN and its affiliates KFOR and KOCO.

Darrell Splawn, a diver with the Oklahoma Highway Patrol, was sent down on Tuesday, one week after the sonar located the corroding vehicles. They were right next to each other, at a depth of 12 feet and 50 feet from a marina. Visibility was almost nil.

He, like others, had no idea how the vehicles -- which faced in different directions -- came to be in the lake.

Splawn located an open door and felt a shoe.

"It didn't really cross my mind as to a body being there. It could have just been a shoe," the trooper told CNN on Wednesday. Skeletal remains were seen when the car was brought to shore.

Now authorities are trying to positively identify the remains, a process that could take years, and try to learn what happened.

So much time has passed in the two cases that the son of one missing person is now 85 and struggling with dementia.

Young motorist was supposed to go to football game

Custer County Sheriff Bruce Peoples told KOCO that one of the cars, the Camaro, may have belonged to 16-year-old Jimmy Williams, a Sayre teenager who disappeared in 1970 with two friends: Thomas Rios and Leah Johnson, both 18.

Rios had just moved to Sayre from Oklahoma City with his mother and stepfather about four months before his disappearance, the National Missing and Unidentified Persons System website said.

The three teenagers went missing the night of November 20, 1970, when they went for a ride around Sayre in Williams' blue Camaro with a white top, according to the Doe Network, a volunteer organization helping law enforcement in solving cold cases.

Williams was supposed to be going to a football game in Elk City, but he may have instead gone hunting on a road called Turkey Creek with Rios and Johnson, the Doe Network website said. The website includes photos of the Camaro and cites Williams' family as its source of information.

The three teens never returned home. The car was never found, and its vehicle identification number never surfaced on any databases. Williams' Social Security number was never used, the Doe Network said.

Sayre residents were horrified after the disappearances and held a candlelight vigil for the teens as recently as four years ago.

"A lot of people showed up, and it brought awareness," said Dayva Spitzer, co-editor and publisher of The Sayre Record & Beckham County Democrat weekly newspaper. "It was very nicely done."

Police Chief Ronnie Harrold told CNN that local residents have been making up their own theories about what became of the three teens for the 26 years he's been there.

A grandfather disappears and leaves no trace

Debbie McManaman said she believes the older car contains the remains of her grandfather, John Alva Porter.

Porter, then 69, was traveling in a green Chevy with a sibling, Alrie Porter, and friend Nora Marie Duncan, 58, on April 8, 1969, when they all went missing, said Mike Nance, regional system administrator for the National Missing and Unidentified Persons System.

"It's been so long -- 44 years. There are a lot of things in between there we can't answer, because we don't know," McManaman told CNN on Wednesday. "His bank account was there, his house was locked up. Utilities were on. He just walked away."

John Porter used to ride bulls and take part in Wild West shows.

At the lake, Ervie Porter, the son of John Porter, watched as investigators crawled around the cars. Now 85, the younger Porter suffers from dementia.

He told CNN he has spent a long time searching for his father.

"Still looking for him. But this is going to help me a whole lot."

Divers search in, around vehicles

After the two cars were pulled out, dive teams with the Oklahoma Highway Patrol scoured the lake bottom again.

"The divers then went back in the water and searched around," said spokeswoman Betsy Randolph, "and found a skull."

Splawn said he found a skull, femur and some smaller bones during the additional search.

"This is the first time this has ever happened to me," he said.

After thorough searches, both vehicles were towed away Wednesday evening.

Trooper George Hoyle was operating the sonar equipment that last week spotted the two vehicles.

Foss Lake is down substantially because of a drought and that could have been a factor in the discovery, officials said.

Hoyle said he hopes families now will receive answers.

"It feels very good to us to be able to help them get that closure so they can have some resolve and serenity in their own lives," he said.

Taken: The oldest cold case ever solved

Identification of remains will take time

The Oklahoma chief medical examiner's office will examine the remains once they are removed from the vehicles and "will possibly try to match DNA of those remains with known surviving family members," a Custer County Sheriff's Office statement said.

The remains will be first evaluated by using any identification cards, jewelry and teeth found on the bodies, said Chief Medical Examiner Eric Pfeifer. A muddied wallet, a purse and two corroded rifles were among the items recovered.

Authorities cautioned Wednesday, however, that positive identification could take years. The state anthropologist, Angela Berg, will examine the remains.

"Scientific identification of these remains will be attempted using anthropological and if necessary, forensic pathological methods," Chief Administrative Officer Amy Elliott said in a written statement. "Depending on the features of these remains and their state of preservation, identification can take anywhere from days to years. In some cases, if the DNA is degraded, positive identification using scientific means may not be possible.

Evidence in killing of former beauty queen points to ex-priest

In December, state anthropologist Berg coincidentally began looking into the cold case of the Porters and Duncan and then contacted Nance after she discovered that another cold case existed about a second vehicle with three missing teens in the same area, Nance told CNN.

When authorities discovered the two cars and remains of six people, Berg called Nance for information on the six missing persons, which the National Missing and Unidentified Persons System maintains, he said.

NAMUS recently coordinated with law agencies the collection of DNA from the family of Duncan, the woman who went missing along with the Porters, and the federal agency posted her name on its website, Nance said.

A topic of discussion, speculation since 1970

Sayre, a town of about 4,000 residents, largely depends on gas, oil and agriculture. A prison with about 2,400 beds is just outside of town, which is in Beckham County. Foss Lake is in adjoining Custer County.

Three or four sheriffs have tried to solve the 1970 disappearance of the teens, said Spitzer, the newspaper editor.

"It was just a cold case that ran out of clues," she said. "There were no leads or clues."

Jimmy Williams worked at a mom-and-pop grocery store, and everyone expected him to return to work the day after he disappeared, said Spitzer.

"There are theories from A to Z, literally. Most people think they ran into bad guys, somebody who apprehended them or something."

Williams' brother, Gary, told a KFOR reporter that he felt positive that his brother's body has been found and that the discovery was made in God's timing, after so many local prayers.

"To the family, it is fresh to them, opening wounds," said Spitzer. "For Sayre, it is at least some closure."

Four females brought back to life by new images, DNA tests

Daughter tracks down suspect 26 years after dad's killing

CNN's Jason Morris and Ed Lavandera contributed to this report from Foss Lake, Oklahoma. Michael Martinez wrote and reported from Los Angeles. Michael Pearson and Phil Gast contributed from Atlanta.

@highlight

Diver describes searching the two vehicles

@highlight

One man, then 69, went missing with sibling and friend in 1969 while in a 1953 Chevy

@highlight

Routine police training with sonar gear leads to macabre discovery at lake bottom

@highlight

One car contains bones and skull; a second car also has bones