Hong Kong (CNN) -- With a population of 1.3 billion, you'd think that there would be 11 people in China who are good enough to put up a fight on the football pitch.

But apparently not. Since 2002, the last -- and only -- time it made it to the World Cup finals, Team China has struggled internationally. A nadir came in June last year, when the side lost a home game 5-1 against a Thai side made up largely of youth team players.

Their sorry showing on the football pitch is cause for despair, ridicule and frustration.

It's not for lack of trying, however.

Imported pedigree

It's often considered an issue of leadership, with flashy, expensive foreign hires typically made to steer the national team. In 2011, amid towering expectations, ex-Real Madrid legend Jose Antonio Camacho was appointed. He was tasked leading China to the 2014 World Cup, but was instead sacked two years later, following that humiliation at the hands of the Thais. With that result, it was considered that he'd left the team worse off than when he started.

To make matters worse, the Spaniard was then handed a $4 million severance package.

Others say it's the national league that is to blame. Trailing far behind Europe's top leagues in the popularity stakes, the Chinese Super League has again looked outside for help.

In order to boost the profile -- and credibility, following a string of attendance-sapping scandals -- of the country's national league, David Beckham, was recruited to boost China's footballing spirit. The former Manchester United and England star is the closest thing the sport has to royalty, and enjoys a fanatic following in the mainland; it was hoped that some of his stardust would rub off on the Super League.

Cash injections

Another recent push came in the form of the creation of the Evergrande International Football School, which claims to be the world's largest sporting academy.

Property tycoon Xu Jiayin, who owns China's most successful club, Guangzhou Evergrande F.C., opened the school in late 2012 to incubate young football talent on a 167-acre campus.

Despite these moves, industry insiders say China is a long way from making it back to the World Cup.

Disproportionately tiny pool

"Success in football is directly related to the population of football players," says Rowan Simons, chairman of China Club Football, one of Beijing's biggest sports networks. The club allows thousands of amateurs -- both Chinese and expatriates -- to play the game every week.

Simons has been in China, and playing football there, for 20 years. He is arguably one of the most invested people in the grassroots development of the sport there.

He says that, statistically, one great footballer will emerge out of every 200,000 players. Right now, China has anywhere between 7,000 and 50,000 kids involved in football, according to the Chinese Football Association. This compares to nearly four million in the UK.

According to these calculations, "China is likely to have one quarter of a world-class player," says Simons.

Despite the enormous pool from which to select players, growing the footballing population is an huge task. The nation may be crazy about watching the game, but when it comes to playing it, there are hesitations.

"It isn't just China, many countries in Asia do not have a football culture," says Tom Byer, an American former professional who, in 2012, was appointed Head Technical Adviser for the Chinese School Football Program Office and Official CSF Grassroots Ambassador.

Grassroots development

He is currently developing a unique nationwide football program for kindergartens, which will be announced in the fall. He believes that pre-school kids as young as two years old can begin to become familiar with the game.

Byer is often credited for making the Japanese team the top Asian contender that it is today, and Chinese football authorities hope that he will have a similarly positive impact.

However, it takes more than just appointing coaches or bringing in top stars, he says.

"The only way to really make a change is by empowering the kids and educating the parents. The best players in the world, such as (Cristiano) Ronaldo or (lionel) Messi, they learned technical skills with no coach," he says.

"It's not a secret that parents think of sport as a distraction to education."

Not just about the sport

He argues that youth involved in sport are more successful, and develop as more rounded, confident individuals. "We shouldn't convince people to play sport just to become professional, we should be focusing on sport as a lifestyle."

Simons agrees that kids are key. He says that the reach of elite football schools, such as Evergrande's new academy, is not sufficient to have the required impact.

The coach imagines an ideal future where grassroots football takes off in China, with community-based football clubs in the European mold taking the lead.

When he started it 13 years ago, his club was previously exclusively made up of expatriate children. Now, with 3,000 kids on the books, 60% of them are Chinese.

The turning point, he says, was when parents realized that learning the sport would have other benefits. Simons used English language learning through playing football, as his foreign coaches would speak English to the budding footballers. Parents, in turn, hope that the environment will help their little ones learn the international language faster.

"When the kids start playing, they fall in love with the game, and parents see benefits not just of learning English, but also of coordination, fitness, teamwork, loyalty," he says.

He adds that he had a tough time convincing parents of the positives of football, which in China is associated with cheating and match-fixing..

Green shoots of hope

Henry Wang and his nine-year-old son Andy have been with China Club Football for three years.

"Because of the one child policy, it is important for Andy to learn how to be with other kids and to learn team spirit, football can teach that," says Wang.

"Football has given him a lot of confidence." His son, who is in grade three, is currently one of the top three students in his class.

Teen players should also be prioritized, says Byers. He argues that more investment should be made at the bottom of the football hierarchy, instead of boosting only the top professional players.

"The buzz right now should be around the AFC (Asian Football Confederation) under-16 tournament, as this will put (the team) in the under-17 FIFA World Cup, and from there everything will fall into place."

It may end up being a little more complicated than that, but as China looks as if it's finally ready to embrace change from the ground up, it may not be long until the Chinese national team once again graces the biggest stage of all.

@highlight

Despite China's massive population, the country falls far short in terms of footballing prowess

@highlight

Authorities have tried to fix the problem by bringing in flashy stars and plowing money into club facilities

@highlight

Sport attracts huge TV audiences -- especially around the World Cup

@highlight

Experts say the focus needs to be on youth development