(CNN) -- This week, in a scene not witnessed during the 30-year rule of Hosni Mubarak, the Egyptian presidential palace was encircled with barbed wire as thousands of protesters opposing President Mohamed Morsy besieged it from all sides. The visual is shocking, considering that a few short months ago, Morsy stood without a shield to give a speech to thousands in Tahrir Square.

Most experts would agree that Mubarak did not start out as the dictator he ultimately became. Indeed, the oppression, torture and crackdown on opposition his regime was known for grew gradually over the years before reaching the height of brutality in his last term.

It also took at least 10 years of determined commitment by activists and opposition to make change. The opposition grew from a few people beaten by police while peacefully protesting on the stairs of the Supreme Court to more organized groups such as Kefaya and April 6, to the massive citizens uprising of January 25, 2011.

But in just a few months, Morsy already has deployed all the ingredients of authoritarianism: intimidating media outlets, defaming opposition and casting doubt on their patriotism and intentions and using violence and detention against protesters.

On November 22, Morsy finally crowned these atrocities with a constitutional declaration granting him complete power over the executive, legislative and judiciary authorities, with no accountability. When the act was denounced at home and abroad, Morsy claimed that these are temporary measures were required to protect the revolution and help the transition to democracy. What has followed have been the opposite of democratic.

Explainer: What's driving Egypt's unrest?

Morsy quickly announced that there would be a December 15 referendum to vote on the new draft constitution that was rushed through by the Islamist-dominated constituent assembly. The majority of liberal and secular voices had already boycotted the committee over a lack of transparency in the drafting process. Despite protests, strikes and a declaration by federal judges that they will not monitor what they consider to be an illegitimate referendum, Morsy shows no sign of reversing course -- ignoring opposition in the fashion of Mubarak.

But Mubarak was not democratically elected. Then why is Morsy moving so frantically to consolidate his power without even attempting to disguise it behind a democratic facade?

The answer is, Morsy is not stupid. He is aware that he only won by a 1.7% margin. A substantial number of his voters favored him only to avoid another era of military rule at the hands of his opponent, Mubarak's ex-prime minister, Ahmed Shafik. In fact, the non-Islamist opposition arguably represents the majority, but only failed to mobilize for the election because it was deeply fragmented and disorganized. But Morsy's coup has done what some thought impossible: unite the liberal/moderate opposition.

Outside observers applauded Morsy's early decisions -- such as dismissing the heads of the Supreme Council of the Armed Forces, releasing military prisoners and banning pornographic websites -- as surprising and bold. However, these decisions were either populist or designed to appease his constituency of Islamists.

Morsy avoided making any painful, but essential, decisions, such as lifting subsidies, increasing prices of utilities and dealing with unemployment.

But Morsy has made three major miscalculations.

First, he made appeasing his own constituency a bigger priority than winning over the opposition. This helped them to unify against him.

Second, he assumed that he would be immune from international criticism after his celebrated success in brokering a cease-fire between Hamas and Israeli earlier last months.

Finally, and perhaps most importantly, he underestimated the Egyptian people. The massive protests on Tuesday, which included people of all ages, incomes and walks of life, showed that the Egyptian people no longer would accept dictatorship in any form.

iReport: Bloody clashes around Egyptian Presidential palace

The opposition has shaken Morsy's misconceptions: The protests have been unified and included all political forces. Meanwhile the international community is not so naive and realizes that the opposition is not simply a minority group that wants to restore the old regime, a scenario the Brotherhood spokesmen publicly propagate.

All is not lost for Morsy if he is willing to change course. If he were to withdraw the declaration, call for a national dialogue and provide an opportunity for an inclusive space to redraft the current document of the constitution, there is hope for getting Egypt back on track in its transition.

At a minimum, he should extend the time frame for the referendum to open the door for a real national debate. This would not only spare the divided nation from descending into violent chaos but would also save Morsy and his party. It is already evident that situation is only escalating, with more violent clashes Wednesday between supporters and opponents of Morsy in front of the presidential palace.

There is no guarantee that even this will regain stability or restore Morsy's legitimacy, but what is certain is that the longer he delays his response to the angry masses, the more irreversible the situation will be.

The political dynamics in Egypt have drastically changed since the revolution.

Foreign governments, particularly the U.S., should factor this into its approach to engaging with Egypt. This does not mean siding with one regime or playing one group against the other, but rather siding with the principles of freedom and democracy against oppression and authoritarian rule.

The Egyptians are still waiting for the Obama administration to match its fine words with actions.

The opinions expressed in this commentary are solely those of Nancy Okail.

@highlight

Nancy Okail: In only a few months, Mohamed Morsy has provoked protests

@highlight

She says this recalls Hosni Mubarak as Morsy has upended constitutional process

@highlight

She says he has miscalculated his mandate; his actions have galvanized opposition

@highlight

Okail: He can still reverse course; Egyptians and world won't stand for authoritarianism