(CNN) -- Europe's Eastern policy, if there ever really was one, is in tatters. It has unraveled at breakneck speed, as Russia moved against Ukraine, effectively annexed part of its territory, and put its smaller neighbor on the brink of war.

Moving from disbelief to dismay to horror, Europeans lost whatever hopes and illusions they may have harbored that Russia was a predictable and cooperative partner. Instead, images are being invoked of the Soviet intervention in Czechoslovakia in 1968 and in Hungary in 1956, and a new Cold War seems fully possible now.

However far-fetched they may seem, these comparisons reflect a frantic search among Western politicians and experts for the underlying causes, rationales and consequences of Russia's actions in Ukraine. And it slowly dawns on Europe that it is witness to a sea change in Russian foreign policy that shakes the very foundations of the European order that emerged after the fall of the Iron Curtain.

New interventionist strategy

Russia's actions in Ukraine, while still in full swing, signal nothing less than the maturing of a new and interventionist strategy. Resembling the original Brezhnev doctrine, the Kremlin seems fully resolved now to interfere with any of its post-Soviet neighbors, should they chose a political model at home or affiliations abroad that differ from what Moscow proposes: autocracy from within, and Eurasian integration from without.

Renegades in turn, such as Ukraine after the ouster of Viktor Yanukovych, that venture towards democracy and EU integration, will face Russian retaliation designed to threaten their very existence.

This strategy has been in the making for a decade. Once President Putin had established his full authoritarian rule, tamed the oligarchs and controlled the economy, and basked in oil and gas revenues, the Kremlin started to move on its neighbors.

Most of these had long remained in a twilight -- some shaky democracies, others semi-dictatorships, all oscillating between East and West -- until Russia attended to them. It propped up odious dictators from Belarus to Kazakhstan with financial and political backing.

It punished defectors from Moldova to Ukraine with gas cut-offs, trade embargoes, and propaganda wars. It "passportized" citizens of Georgia and found their rights violated, only to send its military to the rescue. In short, Russia has long tested and refined an arsenal of coercion that can be applied to any of its smaller neighbors politically and economically, socially and culturally, legally and if need be, militarily.

Yet the Kremlin discovered that, besides direct measures against its neighbors, action was needed on additional stages. For years now, Russia has hollowed out international organizations, such as the OSCE or the Council of Europe, by blocking their budgets, manipulating parliamentary assemblies, and dispatching rival monitors.

Foreign donors, from development aid agencies to private foundations, were squeezed out from Russia, Belarus and elsewhere to weaken civil society and independent media. Russian business massively expanded its reach into the EU, wooed individual countries with lucrative deals from pipelines in Germany to nuclear energy in Hungary to French military supplies, and infiltrated EU capitals with a myriad of lobbyists.

It should hardly surprising, then, that European responses to Russia's increasingly aggressive behavior have been muffled at best.

What may long have been a cocktail of stand-alone and ad-hoc actions to increase Russian influence over its neighbors, and to curtail that of Europe, has now become a fully-fledged doctrine with Vladimir Putin's return to the presidency in 2012. Since then, the Kremlin has both formalized its ambitions and backed them up ideologically.

On a formal level, it launched the Eurasian Union, an integration project to return former Soviet republics to Russian hegemony and to prevent them from moving closer to the EU. On an ideological level, Moscow dressed its policy as a civilizational struggle of its own superior model of a strong state and controlled society with the weak and degenerate liberal democracies of Europe. In so doing, Russia has formulated the political goal and justification needed for employing its many pressure tools systematically and strategically.

Kremlin emboldened

In this light, the current Russian intervention in Ukraine is neither the impulsive overreaction of the Kremlin to the loss of an ally, nor result of Vladimir Putin's deficient touch with reality.

On the contrary, it is the full application of a strategy that has long been in the making. The only novelty is that, with the planned incorporation of Crimea into the Russian Federation, this doctrine is now taken to the ultimate end: the redrawing of borders in the post-Soviet space. In so doing, Russia threatens all of its neighbors and challenges the European order as such.

Nothing so far suggests that Russia will limit itself in these aspirations. After years of pressuring neighbors without much resistance, the Kremlin feels emboldened in its strategy and has little reason for self-restraint. Moscow's aggressive quest for its "near abroad" has become an ideological mission to fight the West, one that has left all rational grounds and that ignores all costs and consequences, including those to Russia itself.

Opposition to this policy within Russia is effectively non-existent, as decisions are taken by a small circle of hardliners, parliament serves to rubber-stamp them, and civil society and independent media have been silenced. Ordinary Russians, in turn, overwhelmingly support Putin's actions and assertiveness, at over two-thirds according to recent polls.

In this situation, brakes on Russian interventionism can only be imposed from outside. Ukrainians have given a powerful example of resistance, through the courage of hundreds of thousands of protesters and the remarkable moderation of their new government in the face of Russian provocations.

Yet Ukraine, and no less other neighbors such as Georgia and Moldova that have equally chosen a path of democracy and European integration, will not be able to resist mounting Russian aggressiveness. Only Europe, in concert with the United States, can put a check on the Putin doctrine before it drags the Eastern half of the continent into the abyss.

European response

Europe's first immediate response, as is becoming clear even to its most reluctant leaders, must be a range of sanctions against Russia. The EU has rightly tried for negotiations first but has to acknowledge now that the Kremlin flatly refuses any talks and compromise.

Europe must now roll out travel bans and asset freezes against those in the Russian leadership who are directly responsible for this escalation, followed by a swift extension to include the 300 or so influentials, and their families, who control much of the country's politics and business today.

In a next step, and depending on Russia's response, Europe should impose a range of economic sanctions, halt arms and technology exports to Russia, stop sales of Russian-held real estate in the EU, pause preparations of strategic infrastructure projects such as Russian pipelines to Europe, and subject key Russian business operations to the full scrutiny and regulatory power of the EU.

In parallel, Europe must sign the association and free trade agreements with Ukraine, Moldova, and Georgia within weeks. A snap summit of EU leaders could be held in Kiev that, ideally, would finally state the long-overdue EU membership perspective for Eastern neighbors, and substantiate this prospect with a comprehensive assistance package to see would-be members through the political, economic and social reforms necessary for European integration. Politically and materially, this would send a strong signal of commitment to Europe's East, and one that Russia will find hard to match.

Other, more medium and long-term steps would have to follow.

EU measures will have to be taken to enhance the economic, energy, cyber and hard security of those Eastern European countries -- new EU members as well as neighbors -- that are particularly exposed to Russian pressures. Europe's Eastern policy will have to be reformulated, based on the acknowledgment that the EU is now in direct competition with Russia.

Its neighborhood policy will have to be redefined as an enlargement policy, while its Russia strategy can no longer be based on the illusion of partnership. Economic ties with Russia, whether its oil and gas imports or business activities in the EU, will have to be reconsidered. And Europe's multinational institutions, whether OSCE, Council of Europe or NATO, must be strengthened and empowered to once again serve as guarantors of collective development and security -- open but not hostage to Russia.

This is an enormous agenda, comparable only to the challenge of reuniting Europe after the end of the Cold War.

Much as it successfully answered that call, the EU must now muster the political will, foresight and vision to save its Eastern neighborhood from falling victim to the Putin doctrine.

The views expressed in this commentary are solely those of Joerg Forbrig.

@highlight

Changing Russian foreign policy is shaking the European order, says Joerg Forbrig

@highlight

He says Moscow seems resolved to interfere with any of its post-Soviet neighbors

@highlight

Russia's interventionist strategy has been in the making for a decade, Forbrig says

@highlight

Moscow's quest has become an ideological mission to fight the West, he says