We arrive in the morning at the Animal Quarantine Center in Nakhon Phanom, north-east Thailand, just a few kilometers away from mountains which outline the border with Laos. The summer heat is already beating down hard and it's only 9 a.m.

But it's not humidity that hits me as I climb out of the 4WD, rather the overwhelming smell of dog urine and feces.

This is a makeshift shelter that should be housing a maximum of 400 dogs. Instead there are more than 1,700 animals being kept in large concrete pens at the compound. Staff work around the clock.

This region is the heartland for the cruel and inhumane dog smuggling trade. The illegal operation sees an estimated 200,000 dogs transported in trucks from Thailand into neighboring Laos, across the Mekong River and driven across to Vietnam where the meat is considered a delicacy. Some believe it has medicinal qualities and acts as an aphrodisiac -- black dogs are apparently the best for sexual dysfunction. Yet no scientific proof has ever proved such a claim.

The dogs at this shelter were intercepted more than a month ago after Thai authorities stopped several trucks trying to cross the border into Laos. The drivers were arrested but no one was prosecuted. Their cargo? Thousands of dogs crammed into small steel cages -- at least a dozen dogs to a cage -- where they are left for days on end without food or water, while the smugglers make their week-long journey.

Some of the dogs die from suffocation along the way. Others endure broken bones and crushed skulls during the trip. And they're all disease ridden. These dogs were destined for restaurants in Vietnam where a single dog can be sold on average for $60 an animal. It's a lucrative business for smugglers, considering a dog fetches only a few dollars in Thailand.

John Dalley, founder of the Phuket-based Soi Dog Foundation, moved to Thailand from the UK 10 years ago on a mission to help the country's overwhelming stray dog population. The charity, which relies on donations from animal-lovers around the world, set up an immunization program, and just last week neutered its 50,000th dog. There are now plans to expand the program nationwide.

Dalley says the dogs would have endured an even more horrific ordeal if the truck hadn't been intercepted.

"At best, they could have been clubbed -- maybe unconscious, maybe not -- and had their throats slit in from of other dogs and they all know what's going on. At worst, they're skinned alive, strung up and beaten ... while alive, set on fire," he said. "It's a horrendous death and that's what we're trying to stop. Never mind that it's illegal to do it -- it's the sheer inhumanity of this trade that this can still be going on in the 21st century."

While these dogs didn't end up on dinner plates in Vietnam, they were struck by disease that spread like wildfire through the shelter due to the overcrowding.

"This place should just be for dogs coming in, to get vaccinated and then to leave and move on to other shelters. But they're all full, if not overflowing, and these dogs desperately need loving homes," he said.

The few that are cute, fluffy or pedigrees are swiftly adopted but the majority -- mangy strays and street dogs -- will never leave the concrete floors and wire fencing of the shelter.

Chusak Pongpanit, chief of the Animal Quarantine Station, also knows the challenges in front of him. "We still need a lot of funds because we will have to take care of these dogs for a long time before they can find homes -- if they find homes."

Meters away from the pens that divide the sick dogs and the healthy is a building that houses the critically ill.

Skin hangs from their frail, skeletal bodies. Many are covered in sores, while others have mucus dangling from their noses --  often a sign of pneumonia, distemper or canine parvovirus infection.

Last month, disease claimed 780 dogs. While we watch the veterinarians try to minimize pain and suffering, a dog takes its final breath and passes away on a stainless steel trolley.

Marisa Goudie is one of several vets from the UK who have flown to Thailand, volunteering their time to help local staff try to stop the outbreak.

The Soi Dog Foundation that supports the shelter with food, drugs and vaccinations put out an SOS last month and the Worldwide Veterinary Service, Animals Asia and the Humane Society International -- organizations based in the United States, Britain and the Philippines -- answered the call for help.

"It's heartbreaking being here. These dogs are inherently still wanting to trust humans after everything they've been through," said Goudie, as she pulled her stethoscope away from the bony ribcage of the dead dog.

The challenge facing western veterinarian staff that have flown into assist is the Buddhist religious beliefs of the Thais that don't allow dogs to be euthanized. "We do have our hands tied because of religious issues and that's something that internally we're conflicted with -- but we need to respect their views," Goudie explained.

Hayley Walters is a veterinarian nurse based in Edinburgh, Scotland and arrived at the shelter just a few days ago. Not being able to put a dog out of its misery goes against every bone in her body.

"It's heartbreaking because in the western world we would help them on their way. But here we can only give palliative care -- make them as comfortable as possible. We give them pain relief, with the really skinny ones we give them some cardboard to sleep on and some kind words. But that's the saddest thing -- we can't send them on their way."

As for the relatively healthy ones, she can only try and remain optimistic that the rescue of these dogs means they have another chance at life.

"What they need is good treatment, good nutrition and loving homes to go to. This must not be the end place for any rescue dog. A shelter should not be the end place. It's a huge problem. if we could stop the root of the problem, which is the dog eating trade, we could stop this -- all of this."

But for now the multi-million dollar dog meat industry continues to thrive in parts of Asia, a harsh reality for animals affectionately referred to as "man's best friend."

@highlight

Sanctuary on Thai-Laos border rescues dogs previously destined for dinner plates in Vietnam

@highlight

Makeshift shelter that should be housing 400 dogs has 1,700 animals

@highlight

Dogs often destined for restaurants where a single animal can be sold on average for $60

@highlight

But dogs are often transported in small steel cages and often left for days on end without food or water