Atlanta (CNN) -- A winged piece of history sits parked at a small airport.

It's 70 years old, and in a few minutes, I'll know firsthand if this old warbird can still fly.

In all, nearly 13,000 B-17 Flying Fortresses rolled off the assembly lines. Now, only about a dozen flying B-17s remain -- in the entire world.

These are the famous bombers that helped the Allies win World War II. Every year planes like these are retired to aviation junkyards, destined for a rusty demise.

But there's a group out there working to preserve the precious legacy of these planes by keeping them flying.

OK, that's all nice and everything -- but it's not really at the top of my mind.

Right now, I'm just trying to fit inside this thing, along with seven other passengers.

Getting aboard involves stepping up a short ladder and ducking through a small hatch in the back of the plane.

Seat cushions? Surely you jest. Instead, the B-17 offers webbed, canvas seats bolted to the side walls of the cabin. They make seating on a small regional jet comfortable by comparison.

Seat belt: check.

Camera: yep.

Ready for an unforgettable flight? You bet.

I need to pay attention. Bill, our host, is announcing something important. "Whatever you do," Bill tells us, "don't touch the overhead cables."

There they are -- just a couple of feet above me. The wire cables directly connect cockpit controls in the front of the plane to the tail rudder and "elevators" in the back. Basically, they help steer the plane. So yeah, we kind of need those to work. Note to self: Don't touch the cables.

Tip No. 2: Stay away from the bomb bay doors. They can probably hold no more than 110 pounds. Any heavier than that, Bill says, you'll be doing some unplanned skydiving without a parachute. By the way, there ARE parachutes on this ancient plane, right?

Nope, says Bill.

As the plane's four propeller engines sputter to life, I'm tweeting (with misspelled words) about how LOUD they are and how they're spewing the smell of oil. "A great sound and smell," Stephen L Avery tweets back.

Inches from my head sits a replica machine gun. Near that, a side window with a view of the plane's whirling propellers.

Before I know it, the pilot is gunning the engines and we're accelerating down the runway. It's bumpy, deafening -- and we're airborne!

Bill indicates it's safe to stand up and walk around -- although there isn't much to grab on to. This waist gunner station -- because gunners stand up in the middle of the aircraft -- was the most dangerous job on the aircraft because they were so easily targeted.

Images of faceless military crew members who've flown aboard this plane cross my mind and -- WHOA! -- the plane takes a surprise left bank 1,600 feet above Atlanta! Hold on!

Keep in mind no one is shooting at us. Combat conditions here were uncomfortable at best: no temperature-controlled, pressurized cabins. Imagine trying to fight off enemy planes amid the overwhelming roar and the freezing cold seeping in from outside.

I'm not the only aviation geek who's awestruck. I look around to see other passengers who clearly get it: Flying aboard this plane puts them a little closer to history -- and a lot closer than they'd feel in a dimly lit aviation museum.

They're trading smartphones and taking photos of each other, to treasure the moment. "I can't wait to tell my dad about this," one avgeek tells me.

At one point I step carefully across a gun ball turret embedded into the floor, where a small gunner would fire on enemy planes. A stiff wind whips into my face through a quarter-inch-wide gap between the turret and the plane's body. Waaaaay down below I can see the trees and homes of Atlanta rushing by at about 160 mph.

That's solid ground down there!

Despite the windy gaps, the B-17 was named the Flying Fortress for a reason. Its resilient design gained a reputation for taking a beating and still bringing its crew home alive.

As for this crew, the pilot starts lining up with the runway and we're told to buckle up. We touch down on the runway. The old-fashioned tires give a weird little yelp. Our 20-minute adventure is over.

For me, the stories I'd read in history books had come to life. The experience was nothing short of thrilling.

These refurbished warbirds are as close as most of us will ever come to understanding the horror and stress of aerial combat during WW II.

Amazingly, some are still able to fly across the nation, visiting air shows from coast to coast.

Last weekend, "Sentimental Journey" -- the plane I flew on -- traveled from its home base in Arizona to Atlanta's DeKalb Peachtree Airport. The planes are operated by the Commemorative Air Force, a national group which has been working to restore and maintain flying warbirds since 1957.

Events like these offer younger generations a living, breathing, real-world lesson about these planes' contribution to history. "Unlike static museums, you can go out and see them in their natural state," says Steve Brown, CAF president. "You get the oil, the smoke, the smell. You can ride inside them and imagine."

During battle, P-51 Mustangs often escorted B-17s for protection -- engaging in dogfights with enemy fighters, if need be. They were among the fastest and most nimble fighter planes of the era. Less than a few hundred are still flying today.

"You don't really have time for emotions" during dogfights, says ex-Mustang pilot Robert "Punchy" Powell. Powell escorted B-17s during the 1944 D-Day Allied invasion of France. "You're not thinking too much about what you have to do. You do it because you've been trained to do it, and your experience makes you do what you're supposed to do."

Now 93, Powell destroyed six enemy planes between September 1943 and August of '44 as part of the U.S. Army Air Force's 352nd Fighter Group "Bluenosed Bastards of Bodney," out of Bodney, England.

Mustangs were made for two things: shooting and speed. They bristled with guns and boasted a top speed of about 300 mph. "It wasn't hard to fly," Powell says. "It was a very stable, easy airplane."

On D-Day, Powell took off from England toward France during a night mission to escort B-17s.

Later that day, Powell's squadron was among more than 1,000 fighters in the air shooting up "convoys, tanks and trains and buses and motorcycles -- whatever moved toward the beaches."

When he first sat down inside a Mustang cockpit, Powell was only 21 years old.

"All of us can reflect on what were doing at age 19, 20," says the CAF's Brown, a former Army aviator. "Now put yourself in these complex airplanes, flying thousands of miles over water, away from home to drop bombs while you're being attacked. It's pretty amazing to think about."

Related story: D-Day paratrooper jumps again, 70 years later

The CAF operates 162 restored warplanes from WWII and beyond and shows them at air shows and airports across the U.S. "to educate Americans about what these aircraft did -- and what role they played in our freedom," says Brown. The air shows help fund its $24 million yearly budget, along with membership fees and donations. Its members number about 12,000.

By next year, the CAF plans to move its headquarters from Midland, Texas, to a small executive airport southwest of downtown Dallas. There, the group plans to build a $40-million, world-class aviation museum.

"We expect to attract a quarter million visitors a year or more," Brown says. "And we'll have aircraft on display in a unique venue."

Powell says "the glamour days are over." He knows dogfighting is all but obsolete as more aircraft attack by using precise, long-range guided missiles.

"In the future, most of the air combat will be what they're beginning to do today: long-distance firing and drones," Powell says. "Recently, I heard a general say that the last fighter pilot has already been born. It takes about 20 years to raise and train a fighter pilot. Imagine what the technology will be in 20 years. In the future, there won't be any dogfighting."

As the "greatest generation" passes on, Brown says America's youngest generation has no understanding of WWII and what it was like to defend the nation during those dark times. With that in mind, the CAF sees itself as much more than a group of warplane enthusiasts.

"We're here to inspire," Brown says. "We can use the inspiration of what they accomplished then to inspire us accomplish great things in the future."

@highlight

Only about a dozen WW II-era B-17 bombers still fly

@highlight

Nearly 13,000 "Flying Fortresses" were made, starting in 1935

@highlight

The Commemorative Air Force restores and flies B-17s and other classics

@highlight

The CAF plans a $40-million, world-class aviation museum in Dallas