(CNN) -- A potential deal that would reopen the federal government and stave off the prospect of a U.S. debt default appears to barely touch the core of Obamacare, the health insurance program congressional Republicans set out to cripple.

Although the terms of a deal that would end a two-week partial shutdown of federal offices and raise the government's legal borrowing limit weren't final Tuesday, Democratic sources told CNN one possible change being weighed by Senate leaders could delay a fee on employers, unions and other health-plan sponsors that compensate insurance companies for taking on high-risk customers in the first year of the program set up under the Affordable Care Act. Another could strengthen verification measures for people seeking federal subsidies to help them purchase health insurance required by the law.

Both of those are far short of the target set by conservative Republicans in the House of Representatives, who hoped to wipe out funding for Obamacare, as the program has become known.

"This doesn't, frankly, do a whole lot to Obamacare," said Lawrence Jacobs, director of the University of Minnesota's Center for the Study of Politics and Governance.

The computerized insurance exchanges at the heart of the program have had a rocky rollout since they went live on October 1, and there are some provisions that could stand to be fixed, Jacobs said. But he said those issues are being "overwhelmed" in the GOP push to eliminate it.

How many have signed up for health care? Well, it depends

Getting rid of the $63 a head high-risk charge, known as the transitional reinsurance fee, is a proposal "that would deserve serious attention" in other circumstances, said Jacobs, co-author of a 2010 book on the politics of health care. States like Minnesota, which already has the largest catastrophic reinsurance program, are effectively double-taxed by the proposal. Getting rid of it would mean the costs would be passed along to insurers and consumers, he said.

"There are no states that are happy with it," he said. But he said the fee is "more of a techie issue, to be honest. I'm surprised it's on people's radar."

Meanwhile, calling for tougher verification rules "is a little confusing," Jacobs said.

"The IRS has been working pretty hard on this, and with all the problems that the federal exchanges had in launching, this was not one of them," he said. "That part of the process seems to be working pretty well, so I think this is more of a political thing in adding another level of protection, or red tape. I think from a policy perspective, the question is, what needed fixing?"

In the House, a Republican counterproposal floated Tuesday morning would have suspended a tax on medical devices for two years and removed federal health care subsidies for legislators and top Obama administration officials. But the medical device tax provision had been dumped by Tuesday afternoon, House GOP sources said.

That levy is projected to raise about $29 billion over 10 years to subsidize health insurance programs, according to the nonpartisan Congressional Budget Office. Jacobs said getting rid of it would leave a "crater" in the program's finances and create "a kind of avalanche" as other health-care industries -- hospitals, drug manufacturers and insurers -- lined up for a similar reprieve.

"I don't think there are too many folks volunteering for that tour," he said.

If there's a deal, what next?

The latest developments come less than two days before the United States bumps up against its statutory debt ceiling, raising the risk that Washington would be short of funds to pay all of its bills in full and on time. And it comes on the 15th day of the partial government shutdown that has idled more than 800,000 federal workers and cost the economy an estimated $20 billion to date.

The shutdown began after House Republicans passed a temporary spending bill that would have eliminated funding for Obamacare -- a bill swiftly rejected by the Democratic-controlled Senate. President Barack Obama has insisted that Congress fund government operations and raise the debt ceiling without any "ransom," and polls show public opinion turning sharply against the GOP as the standoff drags on.

Republican leaders began to look for other concessions from Democrats and the administration last week, and some -- particularly in the Senate -- have begun to criticize the colleagues who led them into the impasse. Sen. Bob Corker, R-Tennessee, told CNN's New Day that Republicans have now wasted weeks "focused on something that was never going to happen."

"To be candidly candid, it's an embarrassment to me that we have spent all this time on a rabbit trail, leading us to where we are," Corker said.

But Rep. Ted Yoho, a tea party-backed Florida congressman, told CNN's The Lead that he and many of his fellow House Republicans would be letting down their constituents if they didn't keep battling the Affordable Care Act.

"I'm a member of the House. It's a house of the people. We're the voice of the people," said Yoho, who has also downplayed the potential impact of a government default. "I ran on defunding, burying and getting rid of Obamacare ... a lot of the members of our house, of our conference, ran on the same thing. So for us not to speak up is not to speak up for the American people."

Hope for a smoother ride on Healthcare.gov

CNN's Dana Bash, Brianna Keilar and Deirdre Walsh contributed to this report.

@highlight

"This doesn't, frankly, do a whole lot to Obamacare," analyst says

@highlight

Democratic sources say a $63-per-person fee on health plans could be dropped

@highlight

"We're the voice of the people," GOP congressman says

@highlight

But polls show Republicans are taking the blame for the standoff