(CareerBuilder.com) -- Life has its share of both stormy and sunny moments. There are clouds (your car broke down) and then there are silver linings (but at least it's a nice day for a walk).

While most of us would classify the recession as the mother of all clouds it, too, has a silver lining. The current recession has sparked a big upswing in entrepreneurial pursuits, and small businesses are cropping up around the country.

According to a recent study by the Kauffman Foundation, "Rather than making history for its deep recession and record unemployment, 2009 might instead be remembered as the year business startups reached their highest level in 14 years -- even exceeding the number of startups during the peak 1999-2000 technology boom."

Although the highest spike in startup rates was among people ages 35-44, the entrepreneurial bug hasn't only bitten those established in their careers. Many young people are also turning toward owning their own businesses as an alternative to finding a full-time, entry-level job.

"Young people are keenly aware of the recent economic downturn, and have seen parents, relatives or friends lose their jobs," says Alice Horn, executive director of the South Florida chapter of Network for Teaching Entrepreneurs.

"They understand they cannot count on the same job -- or even the same career -- for an extended period in the future. For growing numbers, this means 'making their own job' as entrepreneurs."

Below, how three young people are doing just that:

Zephyr Basine, Editor-in-Chief, CollegeFashion.net

Zephyr Basine started College Fashion as a sophomore at the University of Massachusetts, when she noticed a lack of fashion publications directed at college students. Although it only took her only a few hours to create her blog, "It kind of took off from there," she says. Currently, CollegeFashion.net gets around 1.5 million page views per month.

"By the beginning of my senior year, I was already earning more money from the site than I would have at an entry-level management job," Basine says.

"The idea of giving that up to search for a 9-to-5 job didn't seem very attractive. In addition, I have always really enjoyed working on the site -- I thought, 'So long as I'm still having fun and can afford to work for myself, why not stick with it? I can always get a job later if it doesn't work out.' The poor state of the job market only made me feel more confident in my decision."

After working for herself since graduating college in 2009, Basine doubts she could ever begin working for someone else. "I know I work 10 times harder for myself than I ever would for someone else, so I'll be more successful long-term as a self-employed person. The self-employed lifestyle really suits me; it's a great fit for my personality and I am very happy with my choice," she says.

Giancarlo Massaro, Founder, AnyLuckyDay.com

"One night while watching TV, I saw an infomercial that caught my attention and I thought it would be a good idea if I could test out products before I had to buy them. With a little tweaking of that idea, the AnyLuckyDay concept was born," says Giancarlo Massaro, who will be a senior at Sacred Heart University in Connecticut this fall.

AnyLuckyDay.com is Massaro's daily contest website, where he promotes companies by giving away their products to his audience.

"I started this business in January 2009 at the age of 19 as a hobby just to review products and give them away, but since January 2010, I have been selling days on a calendar to companies and so far have sold close to 200 of 365 days this year," says Massaro. Companies he's worked with include Snyder's of Hanover, Boston Acoustics, Peek Mobile, Flip Video Camcorders, Keurig Coffee, Griffin Technology and Scottvest clothing.

Massaro has no plans to trade AnyLuckyDay.com for a full-time job after graduation next year.

Alex Hodara, CEO, Hodara Real Estate Group

In the year and a half since Alex Hodara started Hodara Real Estate Group, the company has sold more than $4 million in real estate and rented over 100 apartments.

Hodara started his business while still a student at Boston University, but says it never crossed his mind to do anything but grow his business when he graduated this past May. "As the CEO of my own company, I learn diverse skills and take on responsibilities that I would never be able to get in a traditional entry-level job," he says.

Although Hodara says the economy played little role in his decision to pursue his business ("I was already determined to continue growing the Hodara business rather than pursue a job search," he says) he certainly understands the plight of his peers that were forced to enter the job market.

"This has certainly been a hard year for the graduating class of my undergraduate business school. Many students had a difficult time finding jobs, and many people are still looking. I was lucky enough to have a successful business that allows me to support myself financially, and I try to do whatever possible to help my friends as they continue their job searches, whether in helping them to network with business associates of mine or making them a part of the HREG team," he says.

To those who might be having a hard time finding a job after graduation, Hodara says: "Young people should keep in mind that starting your own business is always an option -- if you feel comfortable with your abilities and have an idea that you can realistically build on after graduation."

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Young adults start own businesses as alternative to finding a full-time, entry-level job

@highlight

Expert: They understand jobs and careers don't last for extended periods of time

@highlight

Entrepreneur: I'm having fun with my business now and can always get job later

@highlight

Massaro started contest website as a hobby at age 19