Observers around the world are stunned by the speed and scope of this week's assaults on every major city in the upper Tigris River Valley -- including Mosul, Iraq's second-largest city -- by the Islamic State of Iraq and Syria, or ISIS. But they shouldn't be. The collapse of the Iraqi government's troops in Mosul and other northern cities in the face of Sunni militant resistance has been the predictable culmination of a long deterioration, brought on by the government's politicization of its security forces.

The politicization of the Iraqi military

For more than five years, Prime Minister Nuri al-Maliki and his ministers have presided over the packing of the Iraqi military and police with Shiite loyalists -- in both the general officer ranks and the rank and file -- while sidelining many effective commanders who led Iraqi troops in the battlefield gains of 2007-2010, a period during which al Qaeda in Iraq (the forerunner of the Islamic State of Iraq and Syria) was brought to the brink of extinction.

Al-Maliki's "Shiafication" of the Iraqi security forces has been less about the security of Iraq than the security of Baghdad and his regime. Even before the end of the U.S.-led "surge" in 2008, al-Maliki began a concerted effort to replace effective Sunni and Kurdish commanders and intelligence officers in the key mixed-sect areas of Baghdad, Diyala and Salaheddin provinces to ensure that Iraqi units focused on fighting Sunni insurgents while leaving loyal Shiite militias alone -- and to alleviate al-Maliki's irrational fears of a military coup against his government.

In 2008, al-Maliki began replacing effective Kurdish commanders and soldiers in Mosul and Tal Afar with Shiite loyalists from Baghdad and the Prime Minister's Dawa Party, and even Shiite militia members from the south. A number of nonloyalist commanders were forced to resign in the face of trumped up charges or reassigned to desk jobs and replaced with al-Maliki loyalists. The moves were made to marginalize Sunnis and Kurds in the north and entrench al-Maliki's regime and the Dawa Party ahead of provincial and national elections in 2009, 2010 and 2013.

The dismantling of the 'Awakening'

It's no accident that there exists today virtually no Sunni popular resistance to ISIS, but rather the result of a conscious al-Maliki government policy to marginalize the Sunni tribal "Awakening" that deployed more than 90,000 Sunni fighters against al Qaeda in 2007-2008.

These 90,000 "Sons of Iraq" made a significant contribution to the reported 90% drop in sectarian violence in 2007-2008,  assisting the Iraqi security forces and the United States in securing territory from Mosul to the Sunni enclaves of Baghdad and the surrounding Baghdad "belts." As the situation stabilized, the Iraqi government agreed to a plan to integrate vetted Sunni members of the Sons of Iraq into the Iraqi army and police to make those forces more representative of the overall Iraqi population.

But this integration never happened. Al-Maliki was comfortable touting his support for the Sons of Iraq in non-Shiite areas such as Anbar and Nineveh provinces, but he refused to absorb Sunnis into the ranks of the security forces along Shiite-Sunni fault lines in central Iraq.

In areas with (or near) Shiite populations, al-Maliki saw the U.S.-backed Sons of Iraq as a threat, and he systematically set out to dismantle the program over the next four years. As this process played out, we saw its effects firsthand in our interactions with Iraqi government officials and tribal leaders in Baghdad, where it was clear the Sons of Iraq were under increasing pressure from both the government and al Qaeda. By 2013, the Sons of Iraq were virtually nonexistent, with thousands of their sidelined former members either neutral or aligned with the Islamic State of Iraq and Syria in its war against the Iraqi government.

The disappearance of the Sons of Iraq meant that few Sunnis in western and northern Iraq had a stake in the defense of their own communities. The vast system of security forces and Sunni tribal auxiliaries that had made the Sunni provinces of Iraq hostile territory for al Qaeda was dismantled.

The militant gains in Mosul and other cities of the north and Anbar are the direct result of the removal of the Iraqi security forces commanders and local Sons of Iraq leaders who had turned the tide against al Qaeda in 2007-2008. Those commanders who had a reason to secure and hold territory in the north were replaced with al-Maliki loyalists from Baghdad who, when the bullets began to fly, had no interest in dying for Sunni and Kurdish territory. And when the commanders left the battlefield this week, their troops melted away as well.

What can be done?

The problem will only get worse in the coming months. Now that the Iraqi government's weakness in Sunni territories has been exposed, other Sunni extremist groups are joining forces with the Islamic State of Iraq and Syria  to exploit the opening. The Baathist-affiliated Naqshbandi Army and the Salafist Ansar al-Sunna Army are reportedly taking part in the offensive as well, and they are drawing support from a Sunni population that believes itself persecuted and disenfranchised by al-Maliki's government and threatened by Shiite militias that are his political allies.

For six months, Shiite militants have been allowed or encouraged by the government to conduct sectarian cleansing in mixed areas around Baghdad, particularly in Diyala province between Baghdad and the Iranian border. These events contributed to the motivation of Sunnis who have taken up arms or acquiesced in the Islamic State of Iraq and Syria's offensive.

Even as the ISIS tide rolls southward down the Tigris, there is probably little danger of Baghdad and other Shiite areas falling into Sunni insurgent hands. The Shiite troops unwilling to fight to hold onto Mosul will be far more motivated to fight to protect Shiite territories in central and southern Iraq and to defend the sectarian fault line. This is their home territory, where they have the advantage of local knowledge, and where they have successfully fought the Sunni insurgency for years.

In the north, however, al-Maliki now has two military options. He can reconsolidate his shattered forces along sectarian fault lines to defend Shiite territories in central Iraq, ceding Sunni areas to the insurgency, or he can regroup his security forces at their bases north of Baghdad and mount expeditions to conduct "cordon and search" operations in Sunni areas lost to the Islamic State of Iraq and Syria.

If al-Maliki chooses to regroup and move on Sunni population centers controlled by the ISIS, we are likely to see Shiite troops unfamiliar with Sunni neighborhoods employing heavy-handed tactics, bluntly targeting Sunni military-age males (12-60) not affiliated with the insurgency and further inflaming sectarian tensions as they do so -- reminiscent of the situation in many parts of Iraq in 2005-2006.

The problem at its core is not just a matter of security, but politics. The Islamic State of Iraq and Syria and its allies would not have had the opportunity to seize ground in the Sunni Arab-dominated provinces of Salaheddin, Nineveh and Anbar if there had been more inclusive and sincere political outreach to the mainstream Sunni Arab community.

In the end, the solution to the ISIS threat is a fundamental change in Iraq's political discourse, which has become dominated by one sect and one man, and the inclusion of mainstream Sunni Arabs and Kurds as full partners in the state.

If al-Maliki truly wishes to restore government control to the Sunni provinces, he must reach out to Sunni and Kurdish leaders and ask for their help, and he must re-enlist former Sons of Iraq leaders, purged military commanders and Kurdish Peshmerga to help regain the territory they once helped the Iraqi government defend.

But these are steps a-Maliki has shown himself unwilling and unlikely to take. At this point, al-Maliki does not have what it takes to address Iraq's problem -- because he is the problem.

@highlight

Writers: Troop collapse in Mosul predictable since Iraq's politicization of security forces

@highlight

Prime Minister marginalized Sunnis, Kurds, replaced them with Shiite loyalists, they say

@highlight

Writers: He's dismantled Sunni "Awakening" forces that helped rout al Qaeda in Iraq

@highlight

Nuri al-Maliki should seek security forces he's shunned, but he's unlikely to, they say