Davos (CNN) -- Visualize, if you will, a massive freeway interchange, with automobiles criss-crossing at varying speeds.

Some raced through the 2008-2009 financial crisis like they were just getting on the famous German autobahn, others have decelerated dramatically.

We gathered an all-star panel of three central bank governors from Brazil, China and Nigeria, the finance minister of Mexico and the chief executives of Coca Cola and Renault-Nissan for a one hour discussion "Emerging Markets at a Crossroads" at the World Economic Forum in Davos.

Medvedev: Russia is open for business

The overall verdict? The BRICS markets, Brazil, Russia, India, China and South Africa, share little in terms of a common DNA but investment in these markets are still paying handsome dividends due to the size of their consumer markets.

At the top end, China should hit 8% growth in 2013, according to the Deputy Governor of the Chinese Central Bank Yi Gang. Urbanization, he said, just crossed the 50% mark and this flood of people into regional hubs in China will continue to boost growth. It has not been all smooth sailing for the world's largest emerging market, stringing together seven straight quarters of declining growth, until recent numbers of the 4th quarter reversed that trend.

How to fix Zimbabwe's challenge

On the other end of the spectrum is Brazil. Despite a sizeable market, a bounty of natural resources from forest products to deepwater oil deposits, and hosting the 2014 World Cup and 2016 Summer Olympic Games to boost infrastructure spending and future tourism arrivals, Brazil has gone into a downward economic spiral.

Today the heat is on President Dilma Rousseff to put Latin America's largest economy back on a growth path after plummeting from 7.5% growth in 2010 to just over 1% when the final numbers are tabulated for last year.

What's your economic mood?

Alexandre Tombini, the affable central banker from Brazil, tried to brush off long-term concerns when I asked if the president's economic team was behind the curve when it repeatedly slashed interest rates to combat a slow-down. The team has been blamed for mismanaging expectations when they suggested 3% or more growth could be delivered in 2012.

Even during this turbulent patch, Tombini notes that nearly 40 million people have been pulled up into the middle class and that measures to cuts energy costs and payroll taxes will make Brazil much more competitive. It is "better now than later" said Tombini of the reforms finally in place.

In a separate plenary session, Christine Lagarde, the IMF Managing Director, said the emerging markets should use 2013 as a time to rebuild financial buffers and "rebalance their business models to boost domestic demand." The IMF a day before the World Economic Forum got underway said that emerging market economies will grow 5.4%, fractionally lower than the group's forecast last October.

Defterios: What I've learned from 20 years at Davos

The stumbling performance of all the BRICS minus China is what has led investors to home in on the next wave of emerging markets, especially the highly populated countries such as Nigeria, Turkey and Mexico.

Mexico's new President Enrique Pena Nieto entered office December promising to deliver on a "Pact for Mexico" of sweeping economic reforms, while trying to reboot relations with Washington. Finance minister Luis Videgaray said their administration will use a comprehensive approach, which may even include opening up the state oil giant Pemex to foreign investment. Oil output has been on the decline for a decade and could benefit from the expertise of the U.S. energy giants.

The narrative has changed from the drug war that has claimed more than 60,000 lives to tapping into the economic potential south of the Rio Grande. Growth opportunities have pushed poverty levels down 9% to 42% of the population and migration has been reversed, according to Videgaray.

Mexico exports 82% of its products to the U.S. and that exposure led the economy down 9% during the worst of the financial crisis in 2008-09.

But if there is a leading light in terms of the next tier of fast-developing countries, one has to point to Nigeria, which has more than doubled its average growth rate over the past two decades to 7%.

The financial and political capitals, Lagos and Abuja, are booming and central bank governor Sanusi Lamido Sanusi says it is a priority to spread the wealth to the other 35 states in the country.

Is the rise of China creating conflict?

The same tired themes still haunt Africa's second largest economy: Poverty and corruption.

Nigeria ranks 139 out of 176 countries in Transparency International's corruption perception survey. Sanusi said oil and subsidy regime fraud needs continued pursuit of perpetrators but his country is one of the few to put bankers in jail for their misdoings during the financial crisis.

A great deal has been written about the BRICS hitting a wall, with their better days being behind them, but the long serving chief executive of Renault-Nissan said investors are lacking perspective.

In the developed markets of the world, the average rate of automobile ownership is 500 to 600 cars per 1,000 inhabitants. Carlos Ghosn, the Brazilian-born CEO of Lebanese parents, said in the BRIC markets could be as low as 100 per 1,000.

This implies substantial growth, justifying the half trillion dollars or more of investment for plants being set up in these emerging markets.

@highlight

CNN's John Defterios gathered an all-star panel for his discussion 'Emerging Markets at a Crossroads' in Davos

@highlight

The consensus was that the BRICS share little in terms of a common DNA

@highlight

But investment in these markets are still paying handsome dividends