(CNN) -- Texas health officials are recommending that state residents make sure they're vaccinated against pertussis, a sometimes fatal disease that is on track to sicken more Texans this year than at any time in decades.

"If we continue to have cases in Texas at the rate we've had them so far this year, we'll have more cases than has been reported for the last 50 years," said Dr. Carol J. Baker, professor of pediatrics at Baylor College of Medicine and executive director of the Center for Vaccine Awareness in Research at Texas Children's Hospital in Houston.

The threat grows when one considers that scientists estimate 10 cases of pertussis, popularly known as whooping cough, occur for every one reported, she said in a telephone interview, adding, "We're clearly having an epidemic."

So far this year, Texas has tallied nearly 2,000 cases, two of them fatal, and the total is expected to exceed the 3,358 recorded in 2009, when the last such outbreak occurred, the Department of State Health Services said.

There does not appear to be any single explanation for the spike, said Chris Van Deusen, a spokesman for the department. "It really looks like several things working together," he said in a telephone interview, noting that outbreaks tend to occur in cycles. "We see a peak and a lot of people will be exposed and develop natural immunity," leading to fewer cases. "Then it wears off and it (the number of cases) will go up again."

It is not clear how much bigger this outbreak is when compared with previous ones. That's because increased public awareness and improved diagnostic tests appear to have led to more cases being identified, he said.

But there is no debate about the seriousness of the disease. As many as two in 100 adolescents and five in 100 adults with pertussis are hospitalized or have complications, including pneumonia and death, according to the Centers for Disease Control and Prevention.

The federal health agency recommends that women get the vaccine during each pregnancy, ideally between the 27th and 36th week -- since an estimated 30% to 40% of babies who contract whooping cough get it from their mothers -- and that their children undergo a series of five pertussis vaccinations beginning at 2 months of age.

That first shot is to be followed by injections at 4 months and 6 months, and boosters at 15 to 18 months and again at 4 to 6 years of age so that children's immunity will be robust during the first months of life when they are most vulnerable. Both of the Texas fatalities were in children younger than 2 months.

"We want to make sure that they are getting the immunizations on that schedule so that the waning immunity won't be as much of an issue," Van Deusen said.

A separate vaccine is recommended for children ages 11 to 13 and for adults. It is considered especially important for people who are around newborns since the bacteria that cause the disease spread easily.

Antibiotics are used to treat the disease.

Texas' peak is not being replicated nationwide, according to the CDC. The numbers are declining this year, with 14,270 cases reported through August, compared with 32,680 cases through August 2012.

A CDC spokesman said he was aware of no major outbreaks this year. "We do not keep a comprehensive list of pertussis outbreaks since states only alert CDC to those if they need assistance," said Jason McDonald in an e-mail. But Washington state declared an epidemic last year, and California did so in 2010.

"It's our turn," Baker said of Texas.

Since January, her hospital in Houston has seen 63 pertussis patients younger than 7 months of age, 62% of whom were hospitalized, she said. Of those, 41% were treated in the intensive care unit, three of them for more than a month. "It's a very severe disease," she said.

The younger the patients, the greater the risk to their lungs. "All those airways are small," she said. "When they're all blocked up, it's a huge problem, and they have to go on breathing machines and sometimes cardiac bypass just to get oxygen into the brain."

The disease can cause coughing so violent that patients' ribs fracture and they pass out.

Pertussis got the name whooping cough because of the characteristic sound some stricken patients make. "Children have a whoop after the cough because they're out of breath, so they go 'whoop, whoop,' " Baker said.

Increasing vaccination rates are a problem, particularly because the series required to confer protection is so complex. Though more than 90% of children nationwide get the first three doses, the number who get boosters is far lower, said Baker, who served from 2008 to 2010 as chair of the CDC's Advisory Committee on Immunization Practices, which sets U.S. policy on vaccines.

In all, 45% of pregnant women at Texas Children's Hospital Pavilion for Women get inoculated during pregnancy, far outstripping the state average of less than 10%, but that's not good enough, she said. "We need to do better."

During the 1930s and 1940s, before widespread vaccination against pertussis, its annual toll comprised nearly 300,000 cases and more than 4,000 deaths, she said. In 2006, there were 15,600 cases and 27 deaths.

Still, pertussis is the most prevalent disease among the pantheon of illnesses against which Americans get vaccinated, and there is no indication that it will go away soon, said Baker, who cited as obstacles to progress those parents who refuse the vaccine for their children and those adults who don't know they need it.

Though reporters may be writing about Texas this year, they could easily be writing about New York or Georgia next, she said. "Pertussis is going to be, in my prediction, an ongoing problem."

@highlight

Nearly 2,000 pertussis cases have been reported in Texas

@highlight

"We're clearly having an epidemic," a pediatrics professor says

@highlight

Ten cases are estimated to occur for every one that's reported

@highlight

Nationwide, the number of cases is down this year, the CDC says