Investigators believe a killer is among them, strolling the lush streets of this coastal California community, on the hunt for another victim. A police sketch circulates around town, along with a detailed description: A white male, 56 to 60, last seen wearing a white shirt and aviator glasses.

His motive: aggravation.

Authorities say the suspect may be so tired of roaming peacocks in this high-end community on the Palos Verdes Peninsula in Los Angeles County that he's systematically killing them. But this time he may have slipped up. In July, a witness spotted the man pull up in a Mercedes Benz and open fire on a peacock with a pellet gun.

That brings the death toll to 50 in two years, and Lt. Cesar Perea of the Society for the Prevention of Cruelty to Animals Los Angeles wants to know whether his latest suspect is behind them all or just a copycat.

If someone in the neighborhood knows, they haven't talked.

In fact, it's not hard to find those who say the peacocks are anything but innocent victims, as they peck the paint off cars, squawk into the night and leave a mess wherever they go. And for that reason, suspects could be on any block.

But the sketch released in the latest killing has broken the case open, says Perea. He's narrowed his list of suspects and has forensic evidence that would rival any homicide investigation.

"We needed that type of technology to be able to identify exactly what the projectiles were," he said.

But it didn't come easy. Perea first took the dead bird to his usual lab for a necropsy, but it lacked the science needed to identify and preserve the pellet. That's when he took the bird to the coroner-- the same one doing autopsies on murder victims, only this time their victim was a peacock.

"The coroner was able to X-ray the bird, identify entry wounds and they were able to recover the projectiles, which we were able to impound for forensic evidence," Perea said.

Meaning, the pellets are so well-preserved that they'll be used in court once the peacock killer is caught.

"Now, looking back on it, it is pretty extraordinary to think we actually used human science in an animal case," he said.

Upping his game was a must, Perea says, as bird after bird turned up dead. Not all can be traced to human hands, but when they are, "it's cruel."

"A lot of these birds are being shot and left to die for days and days, " Perea said. "We have found birds that have had projectiles in their bodies for weeks."

Peacocks take over

"Jackie," she calls out. "Come here Jackie!"

Eunice Berman calls all her peacocks Jackie. Well, they're not hers, but they've taken a liking to her property and her kindness. In a tightly wound neighborhood where threats range from curious children-at-play to roaring trash trucks, Berman's property is a peacock sanctuary.

"Who wouldn't love them," she says, now almost nose-to-nose with Jackie. "Just look at them, they're so beautiful."

Berman has lived here since 1983, but even at that length, the peacocks predate her by more than half a century. Local historians say the peacocks and other types of birds were brought here in 1913 by New York banker Frank Vanderlip while he developed the region. He gave most of his birds away during the Depression but kept the peacocks until his death in 1937.

"But the 24 peacocks that lived loose around Frank Vanderlip's property had chicks, their chicks had chicks, and their families thrived," wrote his granddaughter Narcissa Vanderlip for the introduction to "Palo's World," one of several children's books inspired by the peafowl.

Now, a century later, the peacocks are so rooted in the community they're a fixture on signs and mailboxes and have inspired a golf tournament at the local country club.

"I had a pine tree in the backyard and every night, 40 peacocks would gather in it. I used to have 'peeking at peacocks potlucks,' " said Bob, a neighbor on Buckskin Lane too embarrassed to share a last name. "This went on for 20 years, then I married a woman who didn't like the sound of them, so she made me cut down the tree."

Peacock pranks

Wearing a badge and carrying a gun, California law gives Perea of the SPCA full police power while investigating cruelty cases. It's serious business to him, so when he released a composite sketch of the peacock killer, he thought the community would immediately turn him in. That wasn't the case.

"People would call in saying they thought it was Jon Voight or Mike Ditka," Perea says of the prank calls he received. "I did get a call where the message was peacocks squawking, so we had a joke in the office that the peacocks were trying to contact us and tell us who the suspect was."

Finding the humor is temporary relief from a frustrating case that has dragged on for two years. Perea says he's sure of two things: The suspect lives in the community and if he isn't found, another bird will turn up dead.

"It's no way for any living thing to die, to just deteriorate because of somebody's violence." Perea said.

Such is life on the streets for the peacocks of Palos Verdes -- not exactly the world depicted in the children's book "Palo's World."

Then again, on page 9, a mother peahen sadly warns her chicks:  "The neighborhood is full of danger for peacocks."

@highlight

In the lush hills of a California enclave, peacocks have proliferated for decades

@highlight

Fifty of the birds have been killed over the past two years

@highlight

Lt. Cesar Perea of the Society for the Prevention of Cruelty to Animals is on the case

@highlight

He's employing techniques usually used in human slayings to solve the mystery