(CNN) -- Every year on World AIDS Day, old-timers like me are trotted out to say a few words to well-motivated audiences, while over the years, the over-riding themes become more empty and banal.

The international theme for World AIDS Day from 2011 to 2015 is "Getting to zero," which UNAIDS defines as zero new HIV infections, zero discrimination and zero AIDS-related deaths.

This strikes me as frankly preposterous for the simple reason that such a goal remains so patently unachievable.

Of course World AIDS Day provides a welcome opportunity for AIDS charities and others to discuss the latest statistics in public, but one cannot escape the feeling that it all amounts to little more than a convenient excuse for government departments to shrug off the whole issue. On December 2 the whole subject may be conveniently forgotten for another 12 months.

The availability of effective treatment drugs from 1996 onwards had an immediate impact on mortality rates throughout the developed world and beyond, with the result that few people under 30 have experienced multiple loss on anything remotely like the same scale as previous generations. Yet today far more gay men of all age groups in many countries including Britain are now living with HIV than ever before.

Overall rates of new infections remain high. In the UK, 6,364 new cases were reported last year, compared to 2,938 in 1998. And reported infections among gay men in the UK reached an all-time high.

Unsurprisingly perhaps, the young are disproportionately affected, not because they have some of death wish, but for the simple reason that they were not born when my generation began setting up the first AIDS-related charities and self-help groups and grass-roots education campaigns, and many have had no access whatever to targeted HIV education.

Many older gay men like me are cautious about sounding like AIDS bores, and often feel obliged to censor what we say about our own experience and emotions. So ironically, younger gay men hear little or nothing about the complex realities of the epidemic, or its history, from which many feel emotionally distanced.

Taboo subject

If anything the subject is more taboo than ever.

This is why it makes me furious whenever I hear the word apathy used of young gay men in relation to HIV, as if they had some kind of magical access to helpful, reliable advice and information, when nothing could be further from the truth.

In the 21st century, HIV has largely disappeared into its own particular closet, for understandable reasons. Who after all would choose to be primarily defined in public by a medical diagnosis of any kind? This has however had the consequence of hiding the epidemic in our midst.

The triumphalist rhetoric surrounding the whole issue of treatment these days can alas all too easily serve to undermine prevention work.

Messages intended to reassure the newly-infected may be taken by the uninfected as an invitation to minimize the significance of contracting HIV in the first place, or for that matter of infecting others, and only serve to establish the general impression that HIV is in fact no big deal.

Just what is so bad then about becoming HIV positive in 2013?

What is not initially apparent to many is the fact that while it is easy to get infected, this cannot be reversed.

Nothing is said about the fact that following diagnosis there stretches a lifetime relationship to doctors and the world of specialist clinics and primary care.

Nothing is said about the need for regular monitoring, and regular compliance with your medication. Most of us come to take this in our stride, but it none the less tethers one daily to the fact of infection and the associations of mortality with which it is inevitably associated.

Widespread stigma

Nothing prepares you for the sensation that is very like extreme jet-lag which sets in within an hour or so of taking standard daily anti-HIV medication.

Nothing prepares you for waking screaming most nights from hideous chemically-induced nightmares.

Nothing is said about the widespread stigma experienced by most HIV+ gay men, not least from our frequently ignorant and prejudiced gay peers.

And nothing whatsoever is said about the fact that if you stop taking your drugs you are highly likely to die a very unpleasant death.

All of us involved in the long-term community-based response to HIV have long understood that it is both pointless and dishonest to try to scare people into behavior change by pretending that HIV is still an automatic death sentence.

It remains, however, a life sentence, and one which over time is likely to profoundly affect one's relationships with other people, from friends and lovers to family members, and it strikes me as misguided folly not to make it very clear to everyone that HIV remains a potentially life-threatening and incurable disease.

In relation to HIV I think we can identify two relatively distinct sets of pressing contemporary issues. One concerns the long-term psychological impact for older gay men of living through a disaster of such duration, which is still so easily forgotten by everyone around us.

The other concerns the need for targeted support and education for African residents in the UK and gay men, especially relating to the advantages of regular HIV testing which should be understood as a fundamental aspect of self-care.

The issues are complicated by the fact that so many gay men grow up with a radically impaired sense of self worth, and there has long been a yawning gulf between excessive attention to physical fitness and appearances, and neglect of our inner emotional well-being.

Slow-motion catastrophe

In these circumstances the A-word that interests me is not apathy, imagined as a form of culpable voluntary moral failing, but alliances, above all between different generations of gay men who share such closely parallel contemporary challenges.

All too often such vast global problems as global warming or the crisis of the banking system end up merely sapping our energy since it seems so hard for individuals to feel that we can make any measurable improvements. Yet this is not the case in relation to HIV, where there are clear practical targets which could be achieved with sufficient collective determination.

This is not a vague general question of "Getting to zero" as UNAIDS so unhelpfully frames it, but by contrast of working towards specific achievable local goals. The early fight against AIDS was fought and largely won above all as a cultural achievement on the part of often small grass-roots organizations rooted in traditions of self-help.

This is precisely why campaigns to normalize testing are so important, alongside the clear medical advantages of knowing one's own HIV status.

It is fashionable in some quarters to attack condom education, but it cannot be sufficiently emphasized that most gay men have got through the epidemic without getting infected because they have indeed been diligent in their use. This is not necessarily always as easy as it may sound.

But whatever else may be in the pipeline by way of chemical prophylaxis, it remains every bit as important today as it was 30 years ago when the idea and practice of safer sex was first invented in New York, that any gay man getting fucked who is not 100% confident about his partner's HIV status should insist on their using a condom.

If the rates of new infections among gay men were occurring within any other population group, I think there would be riots on the streets.

Almost 30 years ago, in my first book on AIDS, I wrote that until gay men are provided with adequate resources to fight this ongoing slow-motion catastrophe in our midst, "it will be difficult not to conclude that we are regarded in our entirety as a disposable population."

Yes, much has changed, especially in the West, but sadly in many parts of the world that day has evidently yet to dawn.

The opinions expressed in this article are solely those of Simon Watney.

@highlight

World AIDS Day theme "getting to zero" is a goal that remains patently unachievable, Watney says

@highlight

The young are disproportionately affected "because they have no access to targeted HIV education"

@highlight

HIV may no longer be an automatic death sentence, "but it is still a life sentence," Watney says

@highlight

New alliances between different generations of gay men, and achievable local goals, are required