(CNN) -- Nestor Kirchner, the former Argentinian president who arguably remained the most potent political force in the country, died unexpectedly Wednesday of an apparent heart attack.

Kirchner, 60, was president from 2003-2007 and was the husband of current President Cristina Fernandez. He died shortly before 10 a.m. at a hospital near his summer residence in El Calafate, a small town in southern Argentina, according to the official Telam news agency.

"A patriot has died," congressman Juan Carlos Dante Gullo said on the state-run Vision 7 TV network. "Argentina has lost one of its best men."

His wife was with Kirchner when he died at the hospital, state media reported.

Argentinian political leaders and Kirchner family members were on their way Wednesday afternoon to El Calafate to join Cristina Fernandez. TV images showed Kirchner's sister, government minister Alicia Kirchner de Mercado, boarding a small jet airplane in Buenos Aires, the nation's capital.

Media reports said Kirchner's body was released from the hospital and taken by ambulance to the family home.

Kirchner's presidency is remembered for his tough negotiations with the International Monetary Fund, which included temporarily defaulting on the country's debts, as the country climbed out of a recession. Supporters say that Argentina's economic growth since then proved that Kirchner's strategy was the right one.

As president, he also led Argentina away from being an automatic supporter of United States policies. Kirchner demonstrated Argentina's independence by forming close ties with presidents with anti-American views, such as Venezuela's Hugo Chavez and Bolivia's Evo Morales. After his presidency, he became secretary general of UNASUR, an international body of Latin American countries aimed at balancing out U.S. influence.

Condolences from world leaders started to come within minutes of the announcement.

"Oh, my dear Cristina," Venezuelan President Chavez said on his Twitter account. "How much pain! What a great loss for Argentina and our America to suffer! Long live Kirchner forever!!"

Chavez, who said he will attend Kirchner's funeral, decreed three days of mourning. Brazil also will observe three days of mourning.

Several Latin American leaders, including the presidents of Bolivia and Ecuador, also said they would attend the funeral.

In Colombia, President Juan Manuel Santos declared a minute of silence Wednesday.

"This is a great loss for Argentina and a great loss for our continent," he said in a statement.

The Organization of American States also observed a minute of silence during a Wednesday morning meeting in Washington.

President Barack Obama expressed his condolences, noting that Kirchner "played a significant role in the political life of Argentina."

Kirchner's health had been delicate this year.

He underwent angioplasty surgery in mid-September after doctors found a blockage near his heart.

The surgery was the second this year for the politician, who was widely expected to run for president again in 2011 when his wife's term ended.

Kirchner had surgery on his right carotid artery in February. The two carotid arteries -- one on either side of the neck -- carry oxygenated blood to the brain. At the time, doctors said Kirchner's artery was blocked, which could have led to a stroke.

Patients who undergo such a procedure have a 30 percent greater chance of having heart problems within five years, physician Elmer Huerta told CNN en Español.

Kirchner also had been hospitalized in January 2006 for gastric problems.

Some analysts said Kirchner had remained the most influential political figure in the nation and the person who, at least until this year and his health issues, made important policy decisions for his wife's government.

In foreign policy, the Kirchners have been among the most vocal critics of Washington in Latin America.

Their rule in Argentina has often been controversial. Over the past few years, they have dealt with billions in outstanding debt, ongoing conflicts with farmers and the press, and lingering questions over government statistics.

After taking office in 2003, Kirchner focused on consolidating his political strength and alleviating social problems, according to a recent U.S. State Department report on Argentina. He pushed for changes in the Supreme Court and military and undertook popular measures, such as raising government salaries, pensions and the minimum wage.

He announced in July 2007 that he would not seek re-election and backed his wife to succeed him.

Kirchner, as leader of the Union of South American Nations, played a key role in August to re-establish dialogue between Colombia and Venezuela.

The two nations had cut off diplomatic relations over accusations that Venezuela was harboring Marxist guerrillas. Kirchner helped broker a meeting at which the sparring countries announced they were re-establishing ties.

Kirchner and Cristina Fernandez were married in 1975 and had two children, Maximo and Florencia.

Kirchner had been a relatively unknown politician when he won the presidency by default in 2003. He previously had served since 1991 as governor of Santa Cruz, the same province where he died and will be buried.

He garnered about 22 percent of the vote in the first round of the 2003 presidential contest but won the election when incumbent President Carlos Menem withdrew after receiving about 24 percent of the ballots cast.

Kirchner continued to wield considerable power after his wife won the presidency.

Some Argentinians showed their support for Cristina Fernandez on Wednesday by placing homemade signs on the fence surrounding the presidential palace, where the Argentinian flag was lowered to half-staff.

"Cristina, you are not alone," one sign said.

Said another, "Now more than ever, all with Cristina."

And also this: "Nestor, you are the one who made my dreams come true. Cristina we are with you."

CNN's Phil Gast contributed to this report.

@highlight

Nestor Kirchner, 60, has died of a heart attack, the government says

@highlight

Kirchner was married to the current president of Argentina, Cristina Fernandez

@highlight

"What a great loss," says Venezuelan President Hugo Chavez

@highlight

Kirchner had undergone angioplasty surgery last month