(CNN)Two portraits have emerged of Boston Marathon terror suspect Dzhokhar Tsarnaev, whose trial begins Monday.

There's Tsarnaev the bloodied fugitive, captured by police with rifle lasers tagging his head as he surrendered from a tarp-covered boat in a homeowner's backyard. That ended a massive manhunt for suspects four days after a pair of crude pressure-cooker bombs killed three people and injured 264 more.

Prosecutors say the ideology of Islamic extremists motivated him and that he knew what he was doing when he planted a bomb at the marathon's crowded finish line in April 2013.

Then there's Tsarnaev smiling from the cover of Rolling Stone, a young man who prosecutors say fell under the sway of a manipulative older brother bent on jihad.

Defense attorneys have suggested Tsarnaev was controlled by that brother, 26-year-old Tamerlan Tsarnaev, who was killed in a confrontation with police three days after the bombing. The younger drove over the older brother and escaped.

Defense attorneys also have said the family's history played a role in shaping Tsarnaev. They note that the family, of Chechen ethnicity, experienced difficulties dating to World War II, when Josef Stalin deported mass populations to central Asia.

The death of Tamerlan Tsarnaev leaves Dzhokhar Tsarnaev, now 21, to stand trial alone. Jury selection is scheduled to begin Monday in a trial that could last months. He has pleaded not guilty to more than 30 federal charges, including using and conspiring to use a weapon of mass destruction resulting in death.

"Prosecutors appear to have virtually incontrovertible evidence supporting their claim that Dzhokhar Tsarnaev and his brother, Tamerlan, planned and executed the Boston Marathon bombing," said CNN legal analyst Paul Callan, a former prosecutor and defense attorney.

"The defense, on the other hand, will push for a more expansive 'War and Peace' type presentation to create a narrative that paints Dzhokhar as the innocent pawn of a domineering older brother," Callan added. "A more expansive presentation of Dzhokhar's family and psychological history is more likely to be seen during the sentencing phase if the jury returns a guilty verdict."

Read the indictment

High-profile public defender

Heightening the stakes is how the trial is a capital case, meaning that if a federal jury finds Tsarnaev guilty in the terror attack, he will face a separate proceeding on whether he should be executed. Seventeen of the charges carry the death penalty or a maximum of life in prison.

"There will be a guilt phase of this case, you know, whether the government proves beyond a reasonable doubt that Tsarnaev was the bomber," CNN senior legal analyst Jeffrey Toobin said.

If Tsarnaev is found guilty, "then there will be a small, separate mini-trial" on whether he should receive the death penalty, Toobin added.

If so, Tsarnaev will benefit from one of the most prominent attorneys in high-profile capital cases.

She's federal public defender Judy Clarke, whom Toobin described as "a legendary death penalty defense lawyer." Clarke fought for the lives of several notorious criminals, including "Unabomber" Ted Kaczynski and Arizona rampage gunman Jared Lee Loughner, who seriously wounded former U.S. Rep. Gabrielle Giffords. Both received a life sentence with no chance for parole in exchange for guilty pleas.

Learn more about Judy Clarke

The Boston Marathon bombings were extensively photographed and videotaped. In fact, Tsarnaev's legal team sought to relocate the trial outside Boston, but the court ruled no.

As it turns out, holding the trial in Massachusetts' capital city could carry an advantage for Tsarnaev if he faces a death penalty. Boston is a politically liberal city with strong opposition to the death penalty, analysts say.

Prosecution: A 'mass destruction' bomber

In contrast to portrayals of Tsarnaev as a manipulated youngster from a troubled family, prosecutors cast him as a deliberate killer inspired by jihadi literature who inflicted terror at the Boston Marathon.

Tsarnaev "knowingly conspired with Tamerlan Tsarnaev to use a weapon of mass destruction" and "knowingly and unlawfully delivered, placed, discharged and detonated an explosive" in public place, the indictment alleges.

At the time of the attacks, Tsarnaev was a student at the University of Massachusetts-Dartmouth. His dorm room contained evidence on his computer and a backpack of fireworks that had been emptied of their powder, prosecutors allege.

The brothers Tsarnaev began their plot at least two months before the attacks, the indictment says, when the elder sibling bought 48 mortars containing about eight pounds of explosive powder from a fireworks store in Seabrook, New Hampshire, in February 2013.

The younger Tsarnaev allegedly downloaded a copy of Inspire magazine, an English-language online publication of al Qaeda in the Arabian Peninsula, a terrorist organization based in Yemen. It contained detailed instructions on how to build an improvised explosive device with pressure cookers, explosive powder from fireworks, shrapnel and other materials, prosecutors charge.

Dzhokhar Tsarnaev allegedly placed a backpack concealing one pressure cooker bomb in front of the Forum restaurant on Boylston Street. He then called his older brother on a cell phone.

One minute after that phone call, the older brother allegedly detonated a bomb that he had planted, and, seconds later, the younger brother detonated the bomb he had planted, which killed two people, the indictment charges.

After the bombing, the brothers killed a Massachusetts Institute of Technology police officer by shooting him in the head at close range, the indictment alleges.

Writing on the wall

When Dzhokhar Tsarnaev hid in the stowed boat in Watertown, Massachusetts, he wrote several incriminating declarations on an inside wall and its beams, according to the indictment:

"We Muslims are one body, you hurt one you hurt us all.

"Now I don't like killing innocent people it is forbidden in Islam but due to said (unintelligible) it is allowed.

"Stop killing innocent people and we will stop.

"The U.S. Government is killing our innocent civilians.

"I can't stand to see such evil go unpunished."

His older brother was buried in a Muslim cemetery in Doswell, Virginia, after cemeteries in Massachusetts and elsewhere refused to bury him.

'Older brother as an all-powerful force'

Defense attorneys suggest in court documents that their client succumbed to his domineering older brother.

The legal team doesn't declare a defense strategy, but they paint a portrait of Dzhokhar Tsarnaev in a court motion in March arguing how the jury should hear evidence about relative culpability and whether the younger brother fell under the "domination and control" of the elder one.

Potential evidence could show the older brother as someone who "induced or coerced his younger brother to help commit" the attacks, the defense team says in papers.

The never-proved accusation that Tamerlan Tsarnaev participated in a 2011 triple murder whose victims included a close friend "would powerfully support the inference that Dzhokhar experienced his older brother as an all-powerful force who could not be ignored or disobeyed," court papers say.

In making that assertion, the defense attorneys requested access to FBI interview notes with a friend of Tamerlan Tsarnaev, Ibragim Todashev, who was killed by an FBI agent a month after the bombings. The agent was questioning Todashev about the older Tsarnaev.

An environment of 'fear, suspicion and fear'

The defense attorneys also point to how the family patriarch's emotional and mental health issues may have adversely affected both brothers.

In seeking the disclosure of the family's U.S. political asylum files and other evidence, the attorneys address how "favorable mitigation evidence bearing on a capital defendant's formative environment and mental functioning can take many forms."

That includes "psychological domination of one family member," "evidence of pervasive and longstanding distortions of reality that controlling members of a family impose upon the family unit as a whole" and "growing up in a close environment of pretense, suspicion and fear."

For example, Tsarnaev's father, Anzor, "had been arbitrarily arrested and tortured in the family's home country of Kyrgyzstan" and "had a well-founded fear of further persecution justifying political asylum in the United States," the defense states in court papers.

Father's 'mental and physical afflictions' on sons

Even before that, forebears of the Tsarnaev family had been deported during World War II to a remote region of central Asia by Stalin, then leader of the Soviet Union, defense court papers say.

Dzhokhar Tsarnaev's immediate family hailed originally from the Russian republic of Chechnya but fled warfare in the 1990s to move to neighboring Russian republics. The family then relocated to the United States.

"The profoundly destabilizing effect on Anzor's post-traumatic stress disorder and his other mental and physical afflictions on the Tsarnaev family's life in America is a critical part of the developmental histories of both of Anzor's sons," defense papers argued.

U.S. District Judge George A. O'Toole Jr. largely disagreed, however.

He rejected the defense motion to compel the discovery of the asylum documents and other materials, but said he would review the FBI files to determine "what will be produced to the defendant."

@highlight

Prosecutors portray Dzhokhar Tsarnaev as willful conspirator of mass destruction

@highlight

Defense say his older brother was "an all-powerful force who could not be ignored"

@highlight

Trial is scheduled to begin with jury selection on Monday