Hong Kong (CNN) -- Ramesh Makwana knew the risks to his health by working in an agate factory, but at $4 a day the rewards were too great.

Now, after 14 years of breathing in the fine dust created by grinding and polishing the gemstone, Makwana has silicosis, a respiratory disease that swells the lungs.

"He's thankful to the stone because it helped him survive for so long. But now that he has lost so much, it is also a feeling of anger," Makwana told CNN through an interpreter, Mohit Gupta, the co-ordinator for the Occupational, Environmental Health Network of India.

"He has lost his parents to it, and he himself knows he's going to die some day," he said.

It's not known how many other workers in Asia are suffering from occupational diseases, but the Asia Monitor Resource Center (AMRC) has warned that the region is facing an epidemic.

The last estimate on work-related diseases in Asia was released by the International Labor Organization in 2008. It estimated that more than 1.1 million people in Asia were dying each year.

"One-point-one million is a really high number, but even then we're not sure, we think it may be a really conservative number," said Sanjiv Pandita, Executive Director of the AMRC.

Frustrated by the lack of official records, Pandita and his team set out to find the true extent of the problem in six Asian countries: China, India, Cambodia, the Philippines, Thailand and Indonesia.

A report released ahead of this year's International Workers' Memorial Day on April 28, found similar problems in all countries; a lack of official data on the number of cases, partly due to a reluctance to diagnose work-related illness for fear of the financial cost.

"The problem is there is no data, absolutely no data. You can get quarterly data for economic statistics, but you can't get any data about the workers... what is their health, how are they faring? There is no data on that," Pandita said.

The problem is not being recognized nor addressed, Pandita said, because governments and industry in the region are prioritizing economic growth over people.

"I think it's complete apathy from the government, from the industry and from all of us as a society. We're just too insensitive. We think it's OK for people to die producing things. I don't know. I cannot understand," he said.

Wang Fengping fights back tears when asked how her life has changed since she suffered the effects of cadium poisoning after working 15 years in a battery factory in China.

"Before I found myself having the cadium poisoning I felt my life and work were quite happy. Although it was sometimes tiring, but I also found my job rewarding, I liked my job," she said in an interview with CNN.

Wang was a relatively highly paid engineer in charge of maintaining the battery-making machines.

"After this poisoning and my kidney was badly destroyed so my body became very weak," she said, adding that she no longer works due to the effects of kidney failure.

Wang said she has struggled to find a doctor in China willing to certify her illness as an occupational disease, a pre-condition of any claim for compensation.

Pandita said in many cases employees have struggled to even prove they were employed.

"It's coming up as a major issue, especially in China. The first thing they have to do if somebody gets sick, they have to submit their work contract. And many times they don't have that. And employers refuse to give it. So it's a very complicated procedure they're made to go through," he said.

In other cases, workers, especially migrants, are not covered by labor laws. When they get ill, they go home and for employers the problem disappears. A lack of regulation over the use of toxic materials is also exacerbating workplace illness, Pandita added.

"The problem in Asia we face is that industries still use a lot of hazardous materials and chemicals which may be banned elsewhere. Like asbestos. It's banned in almost 80 countries worldwide. We still use it in Asia," he said.

Non-governmental organizations are working within countries to try to warn workers of the cost, and to encourage victims to unite to try to push for compensation.

In Makwana's village of Shakarpur in the Khambat region of Gujarat, India, efforts are underway to educate workers at the agate factories, and to find them other, safer sources of income.

"The organization has been trying to rehabilitate people, find alternative employment for people, in arts and agriculture," Gupta said.

"But of course it doesn't pay as much as this work pays, but at least they'll still be alive for a long time."

@highlight

Asia Monitor Resource Center releases report warning of Asian worker 'epidemic'

@highlight

Many falling ill and dying each year due to occupational disease across Asia

@highlight

Center director Sanjiv Pandita: "The problem is there is no data"

@highlight

In 2008, ILO estimated that more than 1.1M Asians died from occupational disease each year