(CNN) -- There have been a few moments in our history when a generation has used the power of its numbers and its passion for a cause to transcend a deeply divided society and change the course of the future for the better.

We've come to one of those moments.

About every 80 years, a young civic generation has forced the nation to deal with its fundamental challenges, according to Morley Winograd and Michael Hais in their 2011 book, "Millennial Momentum." They cite the American Revolution, the Civil War and the New Deal as key moments when a generation came together to create a different society.

Today's millennial generation is the next generation to wield that power.

I am a baby boomer. In the late 1960s, my generation rallied to make the case that a woman's right to choose should be guaranteed, and, 40 years ago on Tuesday, the Supreme Court handed down the landmark Roe v. Wade decision. Today, younger than 40 have always lived in an America where abortion has been legal.

The pre-Roe v. Wade America is an America I remember all too well.

Before and after Roe v. Wade

Privileged women traveled overseas to get a safe, legal abortion. However, more often than not, women stayed in the U.S. and were forced to go to back-street providers where they were humiliated and sometimes even died from these procedures.

Memories of that era are fading as time goes by. But this past election cycle has proved that reproductive rights are still on the line. While Roe might guarantee the right to choose, a loud and organized movement is chipping away at a woman's ability to exercise her reproductive rights. In 2012, lawmakers enacted 42 anti-choice measures in 25 states.

As Roe v. Wade marks its 40th anniversary, Winograd and Hais's millennial generation is coming of age. Numbering 77 million, by the 2020 election, they will make up nearly 40% of the electorate. They are educated, motivated and progressive. They will be able to sway elections, determine public policy and transform America.

Research tells us that millennials are overwhelmingly pro-choice, and we have seen them take a stand.

Like most of the public, millennials believe that politicians should not interfere with women's health care. And in turn, millennials have joined efforts to defeat Mississippi's "personhood" amendment, to protect funding for women's health services and to reject anti-choice candidates in the 2012 election. But it is crucial that even more pro-choice millennials continue to see the connection between the personal and the political because anti-choice activists are not slowing down.

Four decades after Roe: A legacy of law and morality

During the past two presidential elections, we have seen millennials' ability to exercise their power, speak up and change the fabric of our nation. Many are speaking up online, in the voting booth, at the grass-roots level and in the hallways of our organizations. They are telling their stories and charting their own path, but it is critical that we create pathways to broaden and build a new conversation about protecting women's reproductive health.

There is tremendous promise for what this generation can achieve, and where it wants to lead the conversation about the right to choose. As Roe v. Wade turns 40, the story of choice is at a crossroads. I know, with our voices combined, we will secure this hard-fought freedom for generations to come.

The opinions expressed in this commentary are solely those of Nancy Keenan.

@highlight

Nancy Keenan: Tuesday marks 40th anniversary of Roe v Wade making abortion legal

@highlight

Keenan: Millennial generation will play role in guiding policies

@highlight

The baton to support pro-choice and Roe v Wade is passed to the millennials, she says

@highlight

Keenan: Millennials will be nearly 40% of electorate in 2020