(CNN) -- The loss of native tropical forests accounts for more than 10% of the carbon emissions responsible for the changing climate, receiving much-deserved attention at the recent U.N. climate change conference in Warsaw.

When forests are cleared and burned, the carbon contained in the trees and other vegetation -- roughly half of their dry weight -- is released into the atmosphere as carbon dioxide, the main greenhouse gas contributing to global warming. Most of the carbon dioxide emissions caused by human activity come from fossil fuels. But native tropical forests average about 150 tons of carbon per hectare, and millions of hectares are cleared and burned every year.

Over the past decade, governments and industry have responded to growing pressure to reverse deforestation, sometimes committing to reducing it to zero. But with few exceptions, we've lacked the tools to assess accountability.

This changed when Science magazine published a groundbreaking analysis of annual deforestation on the entire planet between 2000 and 2012. With the help of Google Earth and using advanced computing techniques, University of Maryland professor Matthew Hansen and his colleagues analyzed unprecedented amounts of satellite imagery at a 30-meter scale.

Their work allows anyone with a computer, tablet or smartphone and a decent Internet connection to see clearly where the world's forests are growing and where they are being destroyed.

Go to Global Forest Change and click on different regions. Use the pulldown menu to see the state of forests all over the world from 2000 to 2012, using several measurements. Go to the damage locations like the swath of the Alabama tornado, Siberian forest fires, palm oil plantations in Borneo, and many more. Distant regions are close at hand, the range of forests becomes easy to grasp, and the speed at which many of the forests are vanishing grows far more difficult to ignore.

More than 60 governments have signed on to the World Wildlife Fund's pledge to achieve "zero net deforestation" by 2020. The pledge specifically excludes offsetting native forest loss with tree plantations, although regrowing forests on abandoned lands can be subtracted from any "gross" deforestation.

With the new digitized maps and data available online, civil society watchdogs can and should hold governments accountable for making progress toward their targets.

Similar zero-deforestation pledges have been made by corporate leaders, including the board of the Consumer Goods Forum, a mammoth private sector consortium that includes hundreds of companies with combined revenues of more than $3 trillion annually.

Most tropical deforestation is driven by growing global demand for agricultural commodities like beef, soya, palm oil and paper. Members of the consortium have promised to eliminate deforestation from their supply chains for those products. Ensuring the transparent flow of information from analyses like the one published in Science last week will be essential to keeping the private sector accountable.

It is now possible to track what's happening in the remote regions of Brazil, Indonesia or Africa (PDF) or in the forests of the Russian Far East. For the past 25 years, we've had this kind of data only for the Brazilian Amazon. Every year when the Brazilian Space Agency releases its numbers, scrutiny ensues in Brazil and internationally.

Few governments have possessed the combination of information and candor about their forests that the Brazilians have exhibited for the Amazon. And until 2012, as reported in Science, the trend had been looking good in Brazil.

But on the same as this new report in Science was published, the Brazilian government announced dispiriting news from the sidelines of U.N. climate talks in Warsaw: Deforestation in the Latin American nation had reached 5,843 square kilometers (2,256 square miles) between August 1, 2012, and July 31, 2013, up from 4,751 a year ago. Environment Minister Izabella Teixeira called this increase unacceptable and said the government would not tolerate any rise in illegal deforestation, calling it a crime.

Already, the issue has become fodder for next year's presidential election. Teixeira and Brazilian President Dilma Rousseff are accountable to their national climate change policy, passed by the Brazilian National Congress in 2009. That law included a target for reducing Amazon deforestation to 3,900 square kilometers by 2020, an 80% drop from the average rate of forest loss from 1996 to 2005.

Many developing countries simply lack sufficient knowledge of their forests, and many use questionable accounting practices. In Indonesia, the Ministry of Forestry has insisted that no deforestation happens when plantations for pulp and paper production replace native forests. Following that logic, you could completely replace some of the most biodiverse, carbon-rich ecosystems on Earth with monoculture acacia farms and brand them as "zero-deforestation."

When we say that knowledge is power, we mean that people with access to knowledge have power and those without it are powerless. Transparency is the democratization of that critical access. Without it, governments and corporations are unaccountable.

Overall, Hansen and his colleagues report that the deforestation trend in the tropics is worsening. Brazil's success at reducing forest loss through 2012 was more than offset by increased losses in Indonesia, Malaysia, Paraguay, Bolivia, Zambia, Angola and elsewhere. These and other results and their interpretations will surely be scrutinized and may be improved upon, because they are freely accessible in digital form.

While government and corporate leaders increasingly profess the virtues of transparency and accountability, the translation of their words into practice has often lagged. But with our new access to digital information, gaps between words and deeds can and should be quickly exposed, even in the most remote regions of the planet. This is good news for all of us concerned about the forests, the people who depend on them and global climate change.

The opinions expressed in this commentary are solely those of Daniel J. Zarin.

@highlight

Daniel Zarin: Loss of native tropical forests accounts for 10% of carbon emissions

@highlight

Zarin: We have never been able to track how much and where trees are disappearing

@highlight

Zarian: A new online interactive shows exactly where forests are vanishing and how fast

@highlight

Countries now can be held accountable, he says, for "zero deforestation" pledges