Every five minutes a woman in India is compelled to visit a police station and report a case of cruelty -- usually one committed by her own husband or family.

Every ten minutes a woman in India reports assault. Every 21 minutes one of them reports a rape.

The numbers are no secret: you can do the math from the National Crime Records Bureau yourself.

The total number of these assorted cases has increased in each of the last five documented years, making for a 25% jump over this period.

But the numbers don't tell the complete truth. At the very least, they are frequently misrepresented. With each high profile rape in India -- sensationally reported in national and sometimes international media -- the increased number of reported crimes is cited as an example of how the incidence rape in India is on a steep upward curve.

But it's a lazy correlation. In reality, we don't really know that the number of cases of rape are on the rise. All we know is that more women are reporting these crimes -- perhaps, in part, because of the spotlight on them. Either way, the number of women not reporting rapes and other crimes is a far bigger statistic -- many are undocumented, brushed under the carpet, forgotten.

Gender gap

How do we explain why India has so many cases? There are likely a number of complex sociological factors but there's not much hard data. One useful indicator of the safety of Indian women is to look at how they compare globally on freedom. The World Economic Forum's new Gender Gap Index gives India a dismal scorecard -- worse than in previous years.

India's women rank 134th in the world (out of 142 countries) for economic opportunities; they place 126th in the world for educational attainment; 141st in the world for health and survival. These are all basic rights that would empower them, make them less likely to be silent victims.

SURVEY: Women earn much less than men generally

The only parameter India performs well on is on having a female head of state or government, where it ranks a surprising first. But the parameter itself is flawed. In 15 of the 21 years the study counts, Indira Gandhi was prime minister.

History will hardly portray Gandhi's achievements as solely a triumph for Indian women; her victory and the length of her rule was also a triumph of her lineage (Gandhi's father was Jawaharlal Nehru, India's first prime minister. She shared no relation to the legendary Mahatma Gandhi, but her surname -- acquired through marriage -- didn't hurt.)

A more reliable indicator of the political empowerment of India's women is how it places 111th in the world for electing female parliamentarians, and 107th in the world for voting in female ministers.

Born at a disadvantage

Why the sorry state of India's women? Why are they so far behind?

The sad reality is that it begins before women are even born. According to India's census, there are 940 women for every 1,000 men. In part, the difference exists because of decades of female infanticide -- the practice where families abort fetuses on discovering their sex. When girls are born, they're born with the promise of a second class life. While men enjoy a literacy rate of 82%, only 65% of Indian women can read or write. Girls in India have long been considered a burden, a cause for losing money in marriages and dowries.

Data and anecdotes alike show that Indian women have been unwanted and unloved for decades. Consider how families pressure their daughters-in-law for baby boys, not girls.

Consider how in rural India, many Indian parents mistreat their daughters-in-law, demanding dowries, mothers-in-law meting out the same discrimination they were once subjected to. An overwhelming 43% of crimes reported by Indian women are acts of cruelty committed by their own families. Millions of Indians -- men and women -- are complicit.

The discrimination continues at a policy level: marital rape is still not considered a crime in India. Local governments and police remain poorly equipped to process crimes against women -- let alone doing so in a sensitive manner.

So why are many shocked by India's abysmal statistics on crimes against women?

The crimes, as always, begin at home. It should be no surprise to read about the physical crimes reported and recorded by the National Crime Records Bureau. What is surprising is how generations of Indians have stood by as their mothers, sisters, and daughters have been left behind on every indicator of quality of life; they have been denied the chance for basic equality.

The WEF report makes for illuminating reading, and signposts where India needs to go to fully realize the potential of its 600 million female inhabitants.

OPINION: Where have India's females gone?

@highlight

World Economic Forum's new Gender Gap Index gives India a dismal scorecard

@highlight

134th out of 142 in the world for economic opportunities; 126th for educational attainment

@highlight

Women are born at a disadvantage, enjoying far few opportunities than men

@highlight

Gender gap may help to explain poor treatment of women, including issues such as security, rape