The shooting death of 17-year-old Trayvon Martin and its galvanizing effect on African-Americans has often been compared to the 1955 lynching of Emmett Till.

I have often resisted this comparison because it was what took place following Till's death -- the Montgomery Bus Boycott -- that made the death of the young man such a pivotal role in launching the civil rights movement.

Yet there is no denying that the death of Martin has moved this generation of African-Americans in a way that we have not seen in a 40 years.

This post-civil rights movement generation -- I am a member of it since I was born in November 1968 -- has often been reluctant to embrace a social justice agenda. Instead, too many have had a me-myself-and-I mentality. Very few issues have led this generation to say, "Enough is enough!"

The Trayvon Martin case may be that catalyst that I and others have often said is long overdue.

Many have asked, "Well, what makes this case unique?" To be honest, it's as simple as a young kid walking home from the store with a bag of Skittles and an iced tea, being seen as suspicious, and ending up dead. The legal system will sort out whether or not George Zimmerman was justified in shooting Martin, but that still doesn't change the reality that a young man is dead.

So, we have to seek ways to end racial profiling; to end America's deadly obsession with guns; to end the fear that people have toward one another.

It has been amazing to watch as millions across the country weighed in on the tragedy, signing petitions, organizing rallies and vigils and demanding changes to the Florida law that some believe contributed to Martin's death.

Yes, there is anger and frustration. But nothing is wrong with folks being angry about Martin's death. During a recent interview with entertainer and humanitarian Harry Belafonte for my TV One Cable Network show, "Washington Watch," he said that even the Rev. Martin Luther King Jr. recognized the benefit of anger in a social justice movement.

"He said, 'We first need to be angry at our plight before we'll act upon changing our condition,'" Belafonte said.

"So, anger is a necessary force. It's not so much that you're angry, it's what you do with your anger that finally determines the importance of anger."

That's why I vehemently disagree with my media colleagues who are quick to ask whether Zimmerman's arrest will quell the voices of anger and satisfy protesters. An arrest is one thing; having a jury and judge hear the evidence is another.

Everyone I know who has been up in arms over this case understands that it's not about bounties, burning down buildings or lashing out at whites, Hispanics, police, prosecutors or anyone else. Those advocating hateful actions have no place even being interviewed. They represent a minuscule population, but often overshadow and distract from those doing the real, substantive work.

But it is clear that there is a need to change a system that only responds to protests and outrage.

Justice is supposed to be blind. But too often, especially for African-Americans, the feeling is that justice works for others and not us.

But if we're going to see a true change in this nation when it comes to social justice and the legal system, it will have to be led by young people. It will be led by those college students who called themselves the "Dream Defenders' in Florida who marched from Daytona Beach to Sanford on Easter weekend saying they were doing to so reach Dr. King's dream of a better America.

It is going to require a 21st-century Student Non-violent Coordinating Committee, the fearless, passionate and successful group that played a vital role in the civil rights movement, only to fall victim to more militant voices toward the end of the 1960s.

This change in America will not take place only in the halls of the legislatures and Congress. It is going to have to take place in towns, cities, communities and homes. It truly must be bottom up and not top down.

Belafonte, who was an adviser and funder to SNCC while also being a confidant to Dr. King, said the only way we are going to see a truly changed America is if the nation's young rise up in a moral army for good and righteousness.

But he cautioned that it can't be exclusively the province of political leaders, which he says was a miscalculation of the civil rights movement.

"We had to have young, bright men and women sitting in places that could legislate the branches of government; that could write laws and become engaged," he said.

"And once we got them into the positions, we no longer had these people in the community servicing the growth and the counseling of Young Turks coming up.

"The grassroots infrastructure became the political infrastructure. We're now getting back to that, and I think we're getting back to that in a very healthy way."

@highlight

Roland Martin says he's resisted comparing the Florida shooting to the Emmett Till case

@highlight

Montgomery Bus Boycott came on the heels of that killing, he says

@highlight

Dr. King saw the value of well-directed anger, Harry Belafonte noted

@highlight

A system that only responds to protests and outrage should change, Martin says