Washington (CNN) -- Investigators believe that Times Square bombing suspect Faisal Shahzad had ties to TTP, a Pakistani Taliban group, a senior law enforcement official and a U.S. intelligence official said Thursday.

The law enforcement official said the extent of Shahzad's involvement with TTP has not been determined and could range from communications to training, and does not necessarily mean that TTP directed the attack.

TTP released a video making a claim of responsibility for the attack on a website established the day before the failed bombing attempt, but a spokesman for TTP has denied any connection with the 30-year-old Pakistani-American.

A U.S. official said earlier in the day that connections to TTP were "plausible," but noted that numerous connections among insurgent groups in Pakistan made it difficult to zero in on a single responsible group.

The advance came shortly after a senior U.S. official said that new leads developed from the Pakistani end of the investigation show Shahzad likely had training in Pakistan from extremists. The official has direct knowledge of discussions between senior U.S. and Pakistani officials about the case.

"Did he receive help in Pakistan? Yes he did," said the official. The official said Shahzad is believed to have received training of some sort but would not say if the training was specific to the Times Square bombing attempt.

The official and another U.S. official said investigators had not concluded from which group Shahzad may have received help.

Also Thursday, a high-level team of U.S. and Pakistani investigators grilled Shahzad's father and interrogated four people linked to a notorious Pakistani militant group, intelligence officials said.

The interrogators questioned Bahar Ul Haq in the northwestern Pakistan city of Peshawar. The retired senior Pakistani air force officer is the father of Shahzad.

Ul Haq -- who lives in the Peshawar suburb of Hayatabad -- was neither detained nor arrested, the source said.

Another official said the team was also questioning four men suspected of having links to the militant group Jaish-e-Mohammed.

Banned in Pakistan, the group's aim is to unite the disputed territory of Kashmir with Pakistan and to expel foreign troops from Afghanistan, according to the National Counterterrorism Center. It is also close to al Qaeda and the Pakistani Taliban. India and Pakistan have had disputes over Kashmir for decades.

Shahzad told investigators he recently received bomb-making training in the Waziristan area of Pakistan, sources said. North and South Waziristan are regions in Pakistan's Federally Administered Tribal Areas; both border Afghanistan.

Officials said they suspect that Shahzad may be part of the Pakistani Taliban, a militant group fighting Pakistani forces. While the Pakistani Taliban has praised Shahzad in the wake of the failed bombing, it has denied a link to the man.

In recent days, authorities in Pakistan have rounded up a number of people for questioning.

One was Muhammed Rehan, an alleged associate of Shahzad who allegedly has links to Jaish-e-Mohammed, a senior Pakistani official said. Rehan allegedly was instrumental in making possible a meeting between Shahzad and at least one senior Taliban official, the official said.

The official said that Rehan drove Shahzad on July 7 to Peshawar. At some point, they headed to the Waziristan region, where they met with one or more senior Taliban leaders, the official said.

Several officials in Karachi said Rehan was picked up in Karachi's North Nazimabad district. They said others were taken into custody for questioning on Wednesday, but they could not say how many, who they were or where they were seized.

It was not clear if Rehan was one of the four with alleged Jaish links being questioned on Thursday.

Others taken in for questioning include Iftikhar Mian, the father-in-law of the suspect, and Tauseef Ahmed, a friend of Shahzad. They were picked up in Karachi on Tuesday, two intelligence officials said.

Meanwhile, efforts to determine what may have motivated the suspect continued. An official familiar with the investigation said Wednesday that Shahzad felt Islam was under attack.

Any grudge Shahzad may have held against the United States appears to have developed recently, according to a senior U.S. official who is familiar with the investigation but not authorized to speak publicly.

The investigation has found nothing to indicate that Shahzad had any long-standing grudge or anger toward the United States, the official said.

In Connecticut, where Shahzad was living, a prominent member of the Pakistani-American community said Thursday that he had maintained a low profile and appeared to have become more religious over the past year.

CNNMoney: Faisal Shahzad's $65,000 home equity piggy bank

"He was somebody who was under the radar; he was never a part of our community, never a part of our events or meetings," said Dr. Saud Anwar, founder and past president of the Pakistani American Association of Connecticut.

After news broke about the suspect, the pulmonologist sent out e-mails to others in the community to dredge up what he could about Shahzad.

"As a physician, I look at it as a disease," Anwar said of Shahzad's apparent radical turn. "I try to understand what led to the disease ... how we can prevent a disease like this."

Anwar said his e-mails turned up a man who studied with Shahzad at the University of Bridgeport and had stayed in touch with him since then, but does not want to be identified publicly.

"He recalled him as a regular individual, outgoing, interacting with people, interested to learn, not isolated," Anwar said.

But, in the past year or so, "he felt there was a change in his personality," Anwar said, explaining that Shahzad appeared to become introverted, asocial and "a little bit more religious."

Anwar added, "There was a little anger in there. [The friend] felt [Shahzad] was looking at things as true black and white."

Returning to his disease analogy, the physician said that, after Shahzad returned from Pakistan early this year, "The disease became a little bit more progressive, much stronger."

Shahzad told his friend that, as a Pakistani-American, he was looking for work in the Middle East "because he was having challenges with his job over here," Anwar said.

"He just mentioned that he was seeking something. I don't know if he found anything or not."

Shahzad has admitted he drove a Nissan Pathfinder into Times Square on Saturday night and attempted to detonate the vehicle, which was packed with gasoline, propane tanks, fireworks and fertilizer, according to a complaint filed Tuesday in U.S. District Court in New York.

The previous day, he carried out a dry run, parking his Isuzu SUV on West 38th Street between 9th and 10th avenues a few blocks from Times Square to be used the following day as a getaway car, a law enforcement source briefed on the investigation told said.

But on Saturday, after he left the smoking Pathfinder on West 45th Street just west of Broadway and walked to the Isuzu, he realized he didn't have the Isuzu keys, the source said. So he headed to Grand Central Terminal and boarded a train to Connecticut.

Two store owners on West 38th Street said they had turned over surveillance tapes to authorities at their request.

After a 53-hour police manhunt, Shahzad was arrested late Monday at New York's John F. Kennedy International Airport after boarding a flight bound for Dubai, United Arab Emirates. His final destination was to have been in Pakistan.

Read complaint filed in federal court Tuesday (PDF)

He has been charged with attempting to use a weapon of mass destruction, acts of terrorism transcending national boundaries, and three other counts in connection with the incident. If convicted, he faces up to life in prison.

CNN's Susan Candiotti, Jeanne Meserve, Elise Labott, Deb Feyerick, Reza Sayah, Samson Desta, Mary Snow, Jennifer Rizzo, Jill Dougherty and Fran Townsend contributed to this story.

@highlight

Extent of involvement has not been determined, official says

@highlight

Faisal Shahzad probably trained with extremists in Pakistan, official says

@highlight

Suspect's father, four other men interrogated in Pakistan