When Ashley Blackmon sat down for her job interview for a marketing position in New York City, she didn't start off by talking about the business classes she had taken in college or her experience working at a financial services company.

Instead, she talked about the five months she spent studying and traveling in Spain.

"When I left the interview, I felt amazing," said Blackmon, 24, who studied at ESEI International Business School in Barcelona the year before she graduated Clark Atlanta University. She landed that marketing analyst job at a large food and beverage company and believes her study-abroad experience was the thing that set her apart. "I learned how to be a better businesswoman, critical thinker and relationship builder in a new culture," she said.

Studying abroad isn't a common experience for most U.S. college students. In fact, only 1% of students manage to study abroad.

Finances, time constraints and safety are some of the challenges U.S. students face when deciding to spend a semester or two overseas. But globetrotting during or after college could give recent graduates an edge in the job market, which continues to be one of the toughest on record for 20-somethings.

The potential benefits are prompting new study-abroad initiatives in the States. Organizations such as the Institute of International Education have launched programs such as Generation Study Abroad in hopes of doubling the number of U.S. students who travel internationally.

An international push from the White House

First lady Michelle Obama is also working on efforts to promote more international travel among Americans. She's in China with her daughters and mother, speaking about the importance of education, youth empowerment and the benefits of studying abroad. The first lady conducted an exclusive interview with CNN iReporters on Saturday, taking their questions on studying abroad.

"The benefits of studying abroad are almost endless," Obama said during the CNN iReport interview. "First of all, it is going to make you more marketable in the United States. More and more companies are realizing that they need people with experience around the world."

Howard Wallack, vice president of global business development at the Society for Human Resource Management, has experience as a hiring manager and was an international exchange student. He says traveling abroad can introduce students to a host of skills.

"Living in another country, you learn to deal with a variety of people," he said. "You learn to listen, be proactive, be patient, assertive. All those are translatable skills."

Wallack's experience working in a rural health clinic in Guatemala after a major earthquake helped him find compassion and resiliency within himself.

"If you just stay in your own country, you have a certain mindset about your own culture. When you step out of that, you challenge your experiences and find out about yourself, which can translate in the workplace," he said.

The problem is students don't always know how to illustrate those experiences on paper. But some colleges are taking steps to teach soon-to-be graduates how to leverage their study abroad adventures for job interviews.

Take the trip, land the job

Heather White is the director of the Career Resource Center at the University of Florida. With an enrollment of 50,000 students annually, she says the key to standing out with your travel experience is to be strategic about how you exhibit it.

"Some students tend to write on their resume, 'study abroad France,' and that is it. We recommend expanding on that experience. Did they volunteer, work, study?" she said.

Jennifer Grasz, a spokesperson for job-posting site CareerBuilder, says to write out what you learned and how it's relevant to your professional performance on your resume.

"For example: Traveling abroad has provided me with a greater knowledge and appreciation of global communities and how to effectively navigate around communication and cultural barriers," she wrote in an e-mail to CNN.

Ashley Putnam, a fellowship director and writer for Idealist, an online resource for finding nonprofit jobs, is a bit more skeptical about the career benefits of studying overseas. "It depends on what they did," she explained. Running a public policy program, she looks for applicants who are realistic about job expectations.

"I find that people who paid to volunteer abroad sort of just take pictures and hold babies," she said. "It depends on your study abroad program, too. Just having studied abroad is good, but there is a whole other aspect to what you did while you were there."

That's exactly what Alexa Basile tried to keep in mind when she selected her study abroad program. The State University of New York at Potsdam student spent a year in Australia teaching social studies to a class of nine students.

It was during that immersion with her students, many of whom had behavioral problems, that she noticed her eighth-grade students were reading at a second-grade level. That inspired her to focus on more critical reading lessons. "And that made me realize I wanted to be a literacy specialist," she said, which she is now emphasizing as she interviews for graduate school.

Like Blackmon, Basile puts her study-abroad experience on her resume, but she also goes in depth about her trip in her cover letter. She's candid with interviewers about her successes and challenges overseas.

"I had times with this class that were really tough, and sometimes frustrating," she said. Her students routinely challenged her instructions, defied her and talked back to her.

"But my very last day, I walked into the classroom and they decorated it for me and they brought me treats and toys," she said. "I broke down immediately. It really proved to me they were tough, but they appreciated me."

Those frustrating and rewarding moments helped hone her classroom management skills. After Basile came back from Australia, she got her second student teaching job at an inner-city school in New York City.

It's exactly that sort of program involvement that Idealist's Putnam says will make hiring managers care about a study abroad trip. "Be self-aware as you are doing your job and take stock in what skills you are building. It's not just 'I go to a class and I teach the class,' " she said. "Be critical of the work that you are doing."

Basile, who is interviewing for graduate schools, says to approach studying abroad with realistic expectations. "To get most out of your travel, you need to go with the mindset that you are going to do a lot of things and be involved," she said.

"Get hands on and look for a program that has those experiences. You can be a tourist on a family vacation."

@highlight

First lady Michelle Obama is in China, promoting international travel and cultural exchange

@highlight

While there, she took CNN iReporters' questions about studying abroad

@highlight

She believes it's beneficial for young Americans to travel overseas

@highlight

Studying abroad could make recent graduates more marketable while job hunting