(Wired) -- Military work is physically demanding—and we're not just talking about soldiers on the battlefield. Travel down the chain, and you'll find plenty of positions where strength and stamina are highly valued skills.

Take the Navy for example. The Navy needs ships and those ships need to be built and maintained—a rough, physically draining job. Sandblasting, riveting, and grinding excess metal off the ships can take a toll on the human body. You're often carrying tools that can weigh upwards of 30 pounds.

"There's a lot of wear and tear on you," says Adam Miller, director of new initiatives for Lockheed Martin. "Skilled workers can maybe do that for three to four minutes then they need to put the tool down and they need to rest."

Photos of unexpected shooting targets used by the world's armies

For the past couple of years, Miller has been leading a team of engineers and designers to create one of the first industrial-use exoskeletons. Called the FORTIS, the exoskeleton is able to support tools of up to 36 pounds and transfer that load from a worker's hands and arms to the ground. The goal is to lighten workers' loads, ultimately making them more productive and skilled at their jobs.

The U.S. Navy recently bought two of the exoskeletons and plans to test them over the next six months to see how they might be used in an industrial situation.

Compared to something like the TALOS (Tactical Assault Light Operator Suit), a computerized exoskeleton that essentially wants to turn mere mortals into Iron Man, the FORTIS is fairly simple.

"I would call it elegant," says Miller. The anodized aluminum and carbon fiber skeleton weighs 30 pounds, and follows along the outside of a human's body. It has joints in the parts of the body that would regularly have joints (ankle, knee, hip) and flexes from side to side at the waist. Miller says the skeleton was designed for complex environments—whoever is wearing it can climb stairs or a ladder, squat and generally move business as usual in the exoskeleton.

Tools mount to the front of the FORTIS and that weight is directed through the joints in the hip and down to the floor, relieving stress on the entire body, including the feet and ankles.

People around the world pose with everything they eat in a day

Watch and Learn

The design team began by watching how humans walk. "You have to look at biomechanics of the person because it's not just a stand; it's really something they can move around in," says Miller. The FORTIS was designed so it could slip over a worker's boot—this is important since feet often communicate the first signs of weariness. It's like running in a pair of crappy shoes; it impacts your entire body. Many exoskeletons transfer that weight to the sole of the foot, but this is a problem, says Miller.

"When the weight of the tools and exoskeleton itself is transferred to the ground, it comes to rest on the sole," he says. "However, a sole can also contribute to user discomfort, increased metabolic cost to the user and introduces instability." Instead, the FORTIS uses a stirrup that attaches to the ankle, allowing the foot to rest on the ground as usual.

Why are we so fat? The multimillion-dollar scientific quest to find out

Early tests show that the exoskeleton has increased productivity anywhere from two to 27 times, depending on the task. The team measured the amount of time a worker could hold a 16-pound grinder overhead without having to rest his arms. "The longest operators could work continuously without a break was three minutes sustained without augmentation," says Miller. "Using the FORTIS, operators could work 30 minutes or longer without requiring rest breaks."

Lockheed Martin has been developing exoskeleton technology for the past five years. Its other exoskeleton, the HULC, is hydraulic-powered and can support up to 200 pounds. The HULC was designed to be used on the field, during battle.

The FORTIS' capabilities are scaled down, but with its focus on mobility, you can imagine that it could be useful for other industries like construction or mining—"anywhere there's a complex and irregular environment," says Miller. "We're expecting other industries to see it and say, 'We want something similar.'"

More from Wired:

The mystery of go, the ancient game that computers still can't win

I liked everything I saw on Facebook for two days. Here's what It did to me

What's Inside Sriracha That Makes It So Delicious?

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

New exoskeleton allows operators to lift heavy tools as if they were weightless

@highlight

Called FORTIS, it is developed by Lockheed Martin and has attracted interest from the U.S. Navy

@highlight

It works by transferring the load down to the ground and is unpowered

@highlight

An ergonomic design permits freedom of movement and adapts to different body types