Vienna, Austria (CNN) -- Autumn 1960 in Baghdad. Five heads of state sign on the dotted line to alter the course of energy for decades to come.

Wednesday, as the OPEC oil cartel celebrates its 50th anniversary, its 12 members sit atop just more than three quarters of the world's proven oil reserves -- more than 1 trillion barrels of crude.

While there has not been any independent verification of that number, OPEC's secretary-general says it is something for which global markets can plan.

"A trillion plus -- the reserve is very, very accurate," Abdalla Salem El Badri told CNN, ahead of the regular Thursday meeting of the Organization of Petroleum Exporting Countries. "We know the numbers; we put this number in our data. We distribute the numbers and we are sure that our proven reserves are more than a trillion."

With oil recently hitting a five-month high of $83 a barrel, the Vienna meeting is less about setting a target price and more about compliance with production quotas and future planning. The former has always been a challenge, since the 12 members try to jockey for market share and fill their domestic coffers when prices are historically high.

According to OPEC estimates, compliance by member states is running at about 57 percent, well below the 80-percent level in the spring of 2009. It's because as the economy recovers, there has been more demand for oil, so OPEC members produce above their assigned allocations.

OPEC updated its daily global demand for crude this week ahead of the gathering, saying it will average 85.59 million barrels a day this year for a gain of just 1.3 percent on the year before.

The year 2011 is not a great deal more promising, with OPEC saying demand will rise only 1.2 percent next year.

These numbers are nearly in line with those from the International Energy Agency.

So in this tepid recovery scenario, ministers are not eager to rock the boat. If they can keep oil prices in the range of $70-85 a barrel, where they have been for the better part of a year, their priorities for domestic infrastructure development can be met without stifling global growth.

According to the Center for Global Energy Studies in London, in the current pricing scenario, the 12 OPEC member states will bring in $625 billion dollars this year, again historically high for the cartel.

The challenge is not so much now, but in the medium term. Ministers here are talking about spare capacity -- basically the ability to produce more oil when demand justifies such action. That demand is not expected in the next 18 months, but certainly in the next two to three years, because of the growth of China and, less so, India.

Most of the spare capacity today sits in Saudi Arabia, which led a drive to take 4.2 million barrels off the market in the autumn of 2008, when prices went from $147 down to $33.

It is not clear, here at OPEC's new headquarters and within the lobbies of the hotels where the delegates are staying, that members are re-investing at a pace to respond to the potential challenge in the near term.

In the medium term, there is also the serious issue of in-fighting between long-term rivals Iran and Iraq. On October 4, Iraq upgraded its reported proven reserves to 143 billion barrels -- a sudden rise of 24 percent.

Long neglected under the rule of Saddam Hussein and sanctions that targeted the energy sector, oil exploration in Iraq suffered immensely over the past two decades. Iraq has aspirations to challenge Saudi Arabia over the next decade and produce 12 million barrels a day.

One week after Iraq's declaration, Iran upped the stakes and said that its own proven reserves suddenly surged 9 percent, to just more than 150 billion barrels -- not by accident higher than Iraq. As one veteran oil executive said here during a conversation, this verbal jostling is "silly and lacks credibility."

The face of OPEC for more than a quarter of a century, Sheikh Ahmed Zaki Yamani, Saudi Arabia's oil minister from 1962 to 1986, suggested an independent third party analysis of OPEC's reserves.

"We have to make a study by some people outside the countries you've mentioned," Yamani told CNN at his home near Geneva, Switzerland. "I don't know whether they exaggerated or they did not. I want, I need a neutral (analysis)."

During Yamani's time and through the mid-1990s, the in-fighting within OPEC was legendary. Member states would convene at top hotels in all corners of the world with displays of wealth and meetings that could last a week or longer.

That era has passed, and at 50, the institution is much more business-like with meetings lasting no more than a day. After its hard-fought gains over the past decade to provide some predictability, many here hope that some within the organization don't go back to their previous ways.

@highlight

OPEC ministers meet Thursday in Vienna to discuss oil prices

@highlight

Member countries sit atop more than three quarters of world reserves

@highlight

OPEC is also marking its 50th anniversary