(CNN) -- For Grover Norquist's Taxpayer Protection Pledge, the latest rebellion began last week in the South, by way of friendly fire.

"I care more about my country than I do about a 20-year-old pledge," Sen. Saxby Chambliss, R-Georgia, told Macon station WMAZ. "If we do it his way, then we'll continue in debt, and I just have a disagreement with him about that."

The next shot came from South Carolina's Sen. Lindsey Graham: "I think Grover is wrong when it comes to we can't cap deductions and buy down debt....I will violate the pledge, long story short, for the good of the country."

More Republican salvos followed. Rep. Peter King of New York said the hard line on revenue was based on outdated thinking: "A pledge you signed 20 years ago, 18 years ago, is for that Congress" -- not an entire congressional career.

Sen. Bob Corker, R-Tennessee, insisted he was "not obligated on the pledge." House Majority Leader Eric Cantor downplayed the pledge's significance, saying no one in his home state cared all that much about it. Sen. Jeff Sessions, R-Alabama, stuck to a hard line on taxes, but sounded a similar note: ''Oh, I signed it,'' he said. "...But we've got to deal with the crisis we face. We've got to deal with the political reality of the president's victory.''

The man behind the pledge says he's not so much embattled as bored.

"I've seen this movie about 50 times before," he told CNN. "I get this every time someone burps. It always gets reported as all these guys have caved and said they're for tax increases. All it is happens to be a handful of people are having impure thoughts," he said, turning to his favorite recent description of the trend.

Take last year, when Rep. Mike Simpson, R-Idaho, sounded a defiant note.

"I signed (the pledge) in 1998 when I first ran. I didn't know I was signing a marriage agreement that would last forever," he told Fox News. "And I think that the majority of members of Congress understand that you have to have additional revenue."

Rand Paul warns of GOP becoming dinosaur, cites robotic squirrels

And back then, Rep. Frank Wolf, R-Virginia, one of the half-dozen Republicans who hadn't signed the pledge, took direct aim at Norquist from the House floor.

"I believe how the pledge is interpreted and enforced by Mr. Norquist is a roadblock to realistically reforming our tax code," he said. "Have we really reached a point where one person's demand for ideological purity is paralyzing Congress to the point that even a discussion of tax reform is viewed as breaking a no-tax pledge?"

In other words: Over the years, semiregular flashes of Norquist defiance have tended to be one of those Washington obsessions that grab big headlines to little permanent effect, sort of like open-mike profanity on the campaign trail.

One or more Republican lawmakers will appear to publicly waver on their commitment to the pledge. (Norquist points to Chambliss, Graham and King as repeat offenders.) That open questioning is often followed just as predictably by a private call to Norquist -- who says Chambliss has called to apologize -- and more often than not, some kind of public mea culpa.

Norquist, 56, has never been elected to public office or held a Cabinet post. He isn't a deep-pocketed donor or celebrity magnate. The millions of dollars Americans for Tax Reform, the group he heads, spent on the 2012 campaign is a healthy sum, but pocket change in the post-Citizens United era. Norquist may have had influence over the direction of super PAC funding, but he didn't hold the purse strings.

And yet he's routinely named one of the most powerful men in Washington. He hosts off-the-record weekly meetings of the conservative movement's top figures. The "K Street Project" he pushed during the Bush era was a leading driver of a massive shift in the lobbying landscape to the GOP's benefit. And the Taxpayer Protection Pledge he debuted more than two decades ago has achieved an almost mythic status among fans and foes alike.

Norquist views that two-line document -- fewer than 70 words in all -- as something like a blood oath, an ironclad, immutable contract between lawmakers and their constituents that they will not back any bill to raise taxes or revenue.

Famously, he keeps original copies of every signed pledge -- each of which has to be co-signed by two witnesses -- in a fireproof vault for protection. This congressional session, that safe held the signatures of nearly every Republican member of Congress, as well as some Democrats.

Opinion: Republicans wisely break with Grover Norquist

Norquist warns lawmakers who, in his view, turn wobbly on taxes that they're risking their political lives -- including Republican icons like Indiana Sen. Dick Lugar, who lost both Norquist's backing and his primary race to Richard Mourdock this year.

Mourdock, of course, went on to lose a near-guaranteed Republican Senate seat to Democrat Joe Donnelly by nearly six points, despite Mitt Romney's solid Indiana win at the presidential level.

There are some who say the zeitgeist has shifted in some tangible way during the current Congress. Last year, 40 Republicans joined 60 Democrats as co-signers of a letter that expressed a willingness to consider revenue increases as part of a deficit solution. And amid the latest GOP pushback, the wave of "Is Grover Over?" headlines has been mounting.

Norquist himself often speaks with the casual confidence of a Washington fixture, secure in the knowledge that his position is far more secure than any elected official's.

"We are not auditioning for fearless leader," he told activists at this year's Conservative Political Action Conference. "We don't need a president to tell us in what direction to go. We know what direction to go... We just need a president to sign this stuff. We don't need someone to think it up or design it."

It was the sort of remark liberal critics often point to as evidence Norquist is a conservative puppet master with near-limitless power. One artist recently depicted him as the Wizard of Oz, an unseen but seemingly omnipotent force (a portrait Norquist himself jokingly embraced, retweeting a link to the picture with the caption: "My mom wants one.")

Graham says he'd break no-tax 'pledge'

Earlier this year, President Obama complained to Rolling Stone magazine that some Republicans would like to work with him, but "in an atmosphere in which folks like Rush Limbaugh and Grover Norquist are defining what it means to be a true conservative, they are lying low."

When Norquist last year slammed bipartisan efforts to end pricey ethanol subsidies as a backdoor tax hike, former President Clinton mused that it seemed GOP moves had to be "approved in advance by Grover Norquist."

"You're laughing," Clinton told the crowd at the Aspen Ideas Festival. "But he was quoted in the paper the other day saying he gave Republican senators permission" to scrap the subsidies. "I thought, 'My God, what has this country come to when one person has to give you permission to do what's best for the country?' It was chilling."

Of course, some of the toughest barbs aimed at Norquist don't come from the opposite end of the political spectrum; they come from some fellow conservatives and deficit hawks, particularly members of the old guard who served in an era when tax hikes were still a politically acceptable deficit-fighting option.

His feuds with some of these figures date back decades. More than two decades after George H.W. Bush's signoff on a tax increase first drew Norquist fire, the former president is still not a fan:

"Who the hell is Grover Norquist, anyway?" Bush asked Parade magazine over the summer.

Last year, former GOP Sen. Alan Simpson, whose Simpson-Bowles commission called for a deficit solution that included a mix of spending cuts and revenue increases, slammed Norquist's influence: "If Grover Norquist is now the most powerful man in America, he should run for president. He has people enthralled."

Conservative activist and CNN contributor considers primary bid

And this week, Simpson riffed on Norquist's infamous goal of reducing the federal government "down to the size we can drown in the bathtub."

"So how do you deal with guys who came to stop government, or Grover wandering the earth in his white robe saying you want to drown government in the bathtub," Simpson asked MSNBC on Tuesday. "I hope he slips in there with it."

Norquist â€” widely viewed as one of the funniest men in Washington -- says he's unfazed by the attacks, and that the portrait of him as some sort of political enforcer is overblown. (Although his claim that he collects "whackers" -- items used to hit people -- probably doesn't do much to help banish the image.)

"I understand it comes with the territory that people attack me personally. Uh, it doesn't bother me. I am very comfortable in my own skin. If they want to waste their time personally attacking me, they're free to do so," he shrugs.

@highlight

Lawmakers are publicly defying the Taxpayer Protection Pledge

@highlight

But Grover Norquist, the man behind the pledge, says he's seen it before

@highlight

Norquist isn't deep-pocketed, but he's routinely listed as one of Washington's most powerful

@highlight

Bill Clinton mused that it seemed GOP moves had to be approved in advance by Norquist