A country is suffering from a deep recession, unemployment is increasing, and the government deficit looms larger by the day. Part of the problem comes from an overvalued, fixed exchange rate. Anti-government demonstrations are a common occurrence, and riots are increasingly frequent. The country seems engulfed by a rising wave of chaos.

The International Monetary Fund is administering an aid package. The government is duly passing austerity package after austerity package, at the behest of foreign creditors, while ignoring the population's wishes and representatives.

The country in question? Greece in 2011? No, it's Argentina in 2001. While not every part of the puzzle falls into place, many of the similarities are striking.

It all started so well. For a while, after Argentina introduced a currency board -- a rigid link with the U.S.-dollar -- inflation came down, and consumption and growth surged. Asset prices ballooned, wages went up, and the new prosperity was everywhere -- in swanky restaurants, in the form of gleaming new cars, and in massive public building projects. Then, suddenly, the dream fell apart overnight.

In Greece, joining the euro -- effectively a way of fixing Greece's exchange rate vis-à-vis its European partners -- also caused a drastic reduction in inflationary expectations. Lower interest rates fueled a consumption and housing binge; growth looked good for a few years, and so did tax receipts. Everyone was spending: firms, consumers and the government.

In both cases, the rigid exchange rate went hand-in-hand with a dramatic loss in competitiveness. Both Argentina and Greece continued to import much more than they exported; for a while, the high life continued, fueled by foreign borrowing that paid for the gap. In both Greece and Argentina, there were fudged numbers in the public accounts. While the Greek case is well known, Argentina's debt/GDP ratio increased by more than 10% in four years, from 1994 to 1998. At the same time, official central government accounts showed deficits of 1.7% to 2.2% -- in an economy that was growing by up to 8% per year, the debt/GDP ratio should actually have been falling. In both cases, the ability to raise taxes was very small, with the government raising no more than 20%-30% of GDP.

When the crisis came, with interest rates moving up sharply in the secondary market for government bonds, the first reaction was denial; then a wave of austerity measures. Argentina brought back Domingo Cavallo, the architect of its Houdini-like escape from hyperinflation half a decade earlier. The Greeks voted in a new, reforming government under George Papandreou, which promptly found so many skeletons in the cupboard that it had to go cap in hand to its European partners soon after.

In both cases, the IMF (in the Greek case, together with the European Union) kept on lending long after it became clear that the country was insolvent. The political pressure was just too great not to do so; until the end, lenders hoped that the risk premium might one day start to fall, and that a combination of austerity and cheap loans from international institutions would make the problem go away.

The increasingly hectic political moves over the last week in Greece are also reminding many veterans of emerging market crises of the Argentine case. The Greek government will surely fall if it loses the referendum; Argentina's cabinet became a revolving door for ministers before finally defaulting in chaotic fashion.

Greece shows that all of the eurozone is now potentially subject to wrenching debt crises of the type that were once the prerogative of emerging markets. The cause of the problem is often similar -- a pegged exchange rate at an artificial rate, combined with massive debts issued in a foreign currency.

Once the peg failed, Argentina's banking system imploded; Argentines could not touch their savings for years, and the economy collapsed, before rebounding sharply. For the Republic by the Rio de la Plata, a commodity boom eventually helped to turn the economy around.

No similar positive shock from foreign demand is going to save the Greeks -- they simply do not produce enough of a range of goods to benefit. Whether Greece can avoid the wholesale destruction of its banking system is unclear, especially if a "no" vote arrives.

Perhaps Papandreou should make sure there is a helicopter on standby, to rescue him from the presidential palace should he be forced to flee from angry protesters -- as Argentine President Fernando de la Rue was in December 2001.

@highlight

Hans-Joachim Voth believes Greece in 2011 is similar to Argentina in 2001

@highlight

In both cases, the exchange rate went hand-in-hand with lost competitiveness

@highlight

The IMF continued lending long after it became clear that each country was insolvent

@highlight

Whether Greece can avoid the wholesale destruction of its banking system is unclear