(CNN) -- On the same day peace delegates met at the United Nations in Switzerland on Monday to talk again about how they want calm to come to Syria, European Union nations agreed Monday to end an arms embargo against Syrian rebels, Britain's Foreign Secretary William Hague said.

"It was a difficult decision for some countries, but it was necessary and right to reinforce international efforts to reach a diplomatic solution to the conflict in Syria," he said in a written statement.

The violence continued in the war-torn nation as bloody children were rushed into a dirty makeshift clinic in the Syrian city of Qusayr.

Qusayr, near the border with Lebanon, is a strategic area where food, medicine and other supplies are hustled along routes used by government fighters and those trying to oust the government.

CNN talked via Skype on Monday with a citizen journalist who described a desperate and horrid situation. The main hospital in Qusayr has been obliterated by fighting, the source said, not wishing to be named out of concern for security. The wounded are being crammed into homes. And, as one YouTube video shows, they apparently being treated at a makeshift clinic.

CNN cannot verify the authenticity of the video. It's hard to watch. A boy wearing a purple shirt comes in screaming, his head bloody. The camera closes in on a baby. The child wails as people holding a steel instrument trying to dislodge something from the child's ear. The walls are smeared with blood.

Catherine Ashton, EU High representative, announced the end of the embargo, reading a declaration from the organization's Foreign Affairs Council.

Part of it states: "With regard to the possible export of arms to Syria, the Council took note of the commitment by Member States to proceed in their national policies as follows: The sale, supply, transfer or export of military equipment or of equipment which might be used for internal repression will be for the Syrian National Coalition for Opposition and Revolutionary Forces and intended for the protection of civilians."

In Geneva, the United Nations' human rights commissioner spoke as she has several times before during the two-year war in Syria.

Navi Pillay, in opening remarks at the first session of the U.N. Human Rights Council's three-week conference, said the situation has deteriorated to an "intolerable affront to the human conscience," and the International Criminal Court must mete out justice to those who've violated the rights of Syrians.

"I feel utter dismay," she said.

Read Navi Pillay's full remarks to the rights council

Pillay reminded listeners that the war in Syria began in March 2011 as a peaceful demonstration against President Bashar al-Assad and has devolved into a complicated bloodbath of sect battles and terrorist fighters.

"Whenever their governments cannot or will not protect them, frightened human beings are dependent on the international community for protection and assistance," she said. "We cannot -- we must not -- continue to ignore their plea."

Amid the backdrop of the Geneva conference came word that Sen. John McCain was inside Syria on Monday and met with rebels, making him the highest ranking U.S. official to visit during the war. The senator's communications director, Brian Rogers, confirmed the trip.

Mouaz Moustafa, the executive director for the Washington-based Syrian Emergency Task Force, said McCain met with 18 commanders of the Free Syrian Army about 1 kilometer from the border with Turkey in northern Syria.

"Their main message was that we are desperate for ammunition, we are desperate for weapons," Moustafa said. "They are confident that if the weapons are given to the supreme military council, that it will not fall in the wrong hands."

McCain met with the commanders, which included the top leader of the rebel force, for about an hour.

It's often difficult to discern exactly what is happening Syria because al-Assad has made it difficult if not deadly for foreign journalists to enter the nation. A state TV reporter, Yara Abbas, was killed in Qusayr on Monday, according to Syria state television. She died after "terrorists targeted" a state TV crew near al-Dabaa airport north of the strategic city near Lebanon, where rebels and government forces run supply routes.

In Geneva, Pillay talked about Qusayr.

"I am extremely concerned at current reports suggesting that hundreds of civilians have been killed or injured, and thousands may remain trapped, by indiscriminate shelling and aerial attacks by government forces in Al Qusayr," Pillay said. Safe passage must be given to any civilians wishing to leave."

Outside reports indicate rebels continue to fight for the cause that began the unrest: ousting al-Assad and allowing Syrians greater freedom, something akin to the goals of the wider Arab Spring movement.

Those who want al-Assad gone claim that the president has ordered his forces to slay families and indiscriminately shell neighborhoods across the country, which is about the size of Washington state.

Al-Assad says his forces are trying to save the country from "terrorists."

"These war crimes and crimes against humanity cannot be allowed to go unpunished," Pillay told delegates from around the world. "We must make it clear to both (the Assad government) and the armed opposition groups that there will be consequences for those responsible. And the world must take action to end this terrible conflict."

Pillay's remarks came as U.S. Secretary John Kerry met in Paris with Russian Foreign Minister Sergey Lavrov.

The two diplomats spoke briefly to reporters Monday before heading off to a private dinner with the French foreign minister.

Kerry expressed concern about any possible use of chemical weapons and the need to determine what is happening on the ground, while Lavrov stressed the situation in Syria isn't getting any better and that he wants to do everything in his power to stop the bloodshed.

For months during the Syrian war, Russia appeared to be supporting al-Assad.

But that tide may be turning, at least gaining some wiggle room for the Russians to help broker an end to the violence.

CNN's Security Clearance: Russia blasts Obama's recognition of rebels

U.S. officials want to start talks between the government and groups that want al-Assad gone.

But not everyone involved in Syria wants to engage. The Syrian National Council, based in Istanbul, is part of the main opposition umbrella group and is considered to be composed of hardliners who've said they'll never talk or negotiate with anyone representing the Assad regime.

The group was having meetings over the weekend in Istanbul to consider attending the Geneva conference.

Syrian National Coalition spokesman Louay Safi said the group wants to hear "more clarity about the purpose and the intentions of the Syrian regime.

"So far," he said, "the signals have been not positive."

At the start of May, the U.N.'s point man on Syria, Lakhdar Brahimi, called Lavrov and Kerry's cooperation to forge a solution to the Syrian conflict "the first hopeful news concerning that unhappy country in a very long time."

Lavrov told Foreign Policy recently that the United States and Russia have a lot in common. Asked about his "famously contentious relationship" with Bush administration Secretary of State Condoleezza Rice, Lavrov laughed.

"Well, I don't engage in comparing my partners," he said. "John Kerry is a professional. He is pragmatic. And this is a very important quality for a diplomat and especially for a secretary of state.

"He has very good knowledge of things around the world. He has keen interest in moving some of the old problems out of the deadlock."

Lavrov also was asked about Kerry's criticism that Russia is still selling weapons to Syria.

"Well, you know on the arms sales, we never, we never tried to hide that we are implementing the contracts which have been signed quite some time ago, long before all this started," he answered, saying his country has provided Syria with defensive weapons.

"We have been consistent," he told Foreign Policy. "We have been saying that for us priority No. 1 is to stop the bloodshed and to save lives, and therefore cessation of hostilities and dialogue without any preconditions is the best way to achieve this desired goal."

While diplomats talked, on Monday at least 35 people were killed in Syria, including two women and two children, according to the opposition group Local Coordination Committees in Syria.

Violence surges in strategic Syrian city

Heart-eating video raises pressure to end Syrian war

5 reasons Syria's war suddenly looks more dangerous

@highlight

NEW: EU council calls for end to arms embargo on group of Syrian rebels

@highlight

NEW: Sen. John McCain meets with rebel leaders in northern Syria

@highlight

U.N. Human Rights Commissioner Navi Pillay addresses a conference in Geneva

@highlight

Video shows Syrian children bleeding in a filthy makeshift clinic