Washington (CNN) -- A winter storm slammed the East Coast all the way from Maine down to D.C., leaving massive drifts of snow and skull-cracking cold. Power grids collapsed. Citizens wrapped themselves in layers of fleece like the townsfolk from "Dr. Zhivago."

Yet inside the Capitol, an unusual spirit of warmth greeted President Barack Obama's third State of the Union address. The still recent shooting of Rep. Gabrielle Giffords prompted dozens of members to cross the aisle and sit among political foes in a show of solidarity. Some 43 million people tuned in on TV to hear the president lay out his assessments, hopes and dreams about how we could or would pull the nation out of its economic deep freeze.

In a far-ranging speech, he did just that: Talking up some of his signature items, such as clean energy, education, and health care. He also addressed growing concerns about the need for tax reform, deficit control, and of course foreign affairs. So how much of it heated up and moved forward, and how much remains on ice a year later?

Health care/IRS regulations

Republicans have never liked the president's health care reform plans. No secret there. So he invited them to tell him how it should be changed, and just to get the ball rolling, he made a proposal of his own:

"If you have ideas about how to improve this law by making care better or more affordable," Obama said, "I am eager to work with you. We can start right now by correcting a flaw in the legislation that has placed an unnecessary bookkeeping burden on small business."

He was talking about a requirement that forced companies to expand their reporting to the Internal Revenue Service. It was a measure that pretty much everyone thought was wasteful and annoying, so Democrats and Republicans climbed on board, passing a bill to remove the regulation. The president signed it in April, making that a proposal accepted and a PROMISE KEPT.

Health care/malpractice

The president made it clear that he will not go along with broad GOP designs to dismantle health care reform. "Still," he said, "I am willing to look at other ideas to bring down costs, including one that Republicans suggested last year: Medical malpractice reform to rein in frivolous lawsuits."

The Congressional Budget Office has analyzed the impact of this idea and estimated that it would reduce the cost of care to the government in programs like Medicaid and Medicare, and in turn that would reduce deficits by about $50 billion over the next nine or 10 years.

But the legislation to make this happen got tangled up in bigger debates, and went nowhere. This one is not entirely dead, but it is certainly STALLED.

Oil company tax breaks

Rising gas prices, oil company profits, and the BP spill in the Gulf of Mexico had many voters on the warpath, a circumstance not missed by Obama. "I'm asking Congress to eliminate the billions in taxpayer dollars we currently give to oil companies."

But just because you ask does not mean you will receive, especially in D.C.

In May, the Senate considered a Democrat-sponsored bill to cut oil company tax breaks by $2 billion annually. A few Democrats joined the Republican opposition; a couple of Republicans helped the Democrats, but in the end it failed by four votes.

So, adjusted for inflation, oil companies continue to enjoy $4.4 billion in tax breaks annually. Last year was the first ever that the average price of a gallon of gas never went below $3. Our cars are still running, but like an old DeSoto, this idea STALLED.

Earmarks

The president drew a few lines in the sand, and this was one of them. "If a bill comes to my desk with earmarks inside, I will veto it." True to his word, he has not signed any bills since containing earmarks -- at least, none we can find. He did not veto any either, however, because they never came his way.

The Senate Appropriations Committee declared an earmark moratorium; not just because of the veto threat, but also because the House said it would not approve any bills with earmarks. In any case, the president has often straddled this fence: He has been a sharp critic of earmarks but he also hassigned bills containing multiple pet projects, including a spending bill in 2009 that had almost $8 billion worth. So we'll have to say circumstances left this proposal a PROMISE KEPT, though only on a technicality.

Tuition tax credit

The cost of higher education jumped last year for many families, up as much as 20% in several states. Many local governments are in such economic straits that they can't help much, so the president turned to the legislative branch.

"I ask Congress to go further, and make permanent our tuition tax credit worth $10,000 for four years of college."

That did not come close to happening. Legislation extending the tuition tax credit did not even make it to the floor in either house of Congress. Proponents say that could change, however, since that temporary tax credit will expire at the end of this year increasing the political pressure for some kind of action. But for the moment, the idea is STALLED.

Iraq

More than eight years after the U.S. and coalition forces invaded Iraq, with thousands of U.S. lives lost and enormous sacrifice on the part of our military and their families, Obama told the American people that their troops were coming home. "This year, our civilians will forge a lasting partnership with the Iraqi people, while we finish the job of bringing our troops out of Iraq."

By the end of the year, the president had kept his word. The last U.S. troops crossed the Iraq border in December, marking the end of military combat operations. PROMISE KEPT.

Afghanistan

This one is trickier. "This year, we will work with nearly 50 countries to begin a transition to an Afghan lead," the president said, "and this July, we will begin to bring our troops home."

Some troops have started coming home, true; so if you focus on only that narrow statement, you have to give the president credit. But there is a bigger picture that many critics insist must be considered. Right before Obama took office, 32,500 American troops were in Afghanistan. However, he approved two troop surges which doubled our military presence there. So by the time we vote for president again this fall, just under 70,000 will still be fighting among the poppy fields. For that reason, we have to call this pledge a WORK IN PROGRESS.

Transparency

This White House has promised from the start to be more open, more transparent about the way it does business, than any that we've seen before. For the tweeting president, that meant cueing the tech talk about a special new program in the West Wing. "Because you deserve to know exactly how and where your tax dollars are being spent, you'll be able to go to a website and get that information for the very first time in history."

The administration lit up the Federal Taxpayer Receipt project in April, on tax day. It can be found at whitehouse.gov under the taxes section, and you can indeed get a breakdown on where your tax dollars go. PROMISE KEPT.

Reorganizing government

One of the chief planks in the president's campaign platform was a promise to change the way Washington does business, and in his last State of the Union, he got specific. "In the coming months, my administration will develop a proposal to merge, consolidate, and reorganize the federal government in a way that best serves the goal of a more competitive America."

He did it, in the sense that after almost an entire year, he finally unveiled what he had in mind: combining six departments and agencies, all related to business, investments, or trade. It is a reorganization, but not nearly as broad as many of his critics expected, or arguably as robust as what he hinted was coming. This is a judgment call, but because of the timing and limited scope of what he finally came up, we will say this seems a WORK IN PROGRESS at best.

Bipartisanship

The president promised from the very start that he was the man who could get everyone to work together. He echoed that theme several times in his State of the Union in 2011, but with the 2012 address upon us, the two parties seem perhaps more deeply divided than ever before. You can't say that's all his fault, but it is absolutely an idea that has STALLED in a big way.

@highlight

Promises kept on Iraq withdrawal, reducing reporting burden in health care law

@highlight

Improving transparency with the Federal Taxpayer Receipt project was another

@highlight

Promises stalled: Bipartisanship, malpractice reform, oil company tax breaks