(CNN) -- The United States government on Friday released a declassified summary of why it says it believes Syria's government used chemical weapons in an attack in the Damascus suburbs on August 21.

The report's release came amid continuing U.S. signals of a possible military attack on Syria in response to the suspected poison gassing, which reportedly killed hundreds of people.

Here are five key points:

1. A chemical weapons attack killed more than 1,400 people August 21

The U.S. government has preliminarily assessed that 1,429 people -- including at least 426 children -- died in the attack. The report cites "a large body of independent sources," including U.S. intelligence information, accounts from medical personnel, videos, witness accounts and reports from nongovernmental organizations.

Three hospitals in the area received about 3,600 patients with "symptoms consistent with nerve agent exposure in less than three hours ... according to a highly credible international humanitarian organization," the report said. "The reported symptoms were consistent with mass exposure to a nerve agent."

What do Syria's neighbors think?

The report also cites 100 videos showing bodies "exhibiting physical signs consistent with, but not unique to, nerve agent exposure." Some videos show imagery "consistent with death from chemical weapons, and inconsistent with death from small-arms, high-explosive munitions or blister agents," the report said.

2. Syrian government launched rocket attack on area

Multiple intelligence streams show that the Syrians executed a rocket and artillery attack in the affected area shortly before symptoms were reported, the U.S. report said. This includes detection of rocket launches from government-controlled territory about 90 minutes before the first social media report of a chemical attack, the report said.

3. 'High confidence' that government behind chemicals

The report concludes "with high confidence" that the regime used the munitions to deliver chemical warfare agents.

Some of the points it makes:

-- Intelligence indicates Syrian chemical weapons personnel were preparing chemical munitions. They "were operating in the Damascus suburb of 'Adra from Sunday, August 18, until early in the morning on Wednesday, August 21, near an area that the regime uses to mix chemical weapons, including sarin."

Bergen: Syria is a problem from hell for the U.S.

-- "We intercepted communications involving a senior official intimately familiar with the offensive who confirmed that chemical weapons were used by the regime on August 21 and was concerned with the U.N. inspectors obtaining evidence."

-- "On the afternoon of August 21, we have intelligence that Syrian chemical weapons personnel were directed to cease operations. At the same time, the regime intensified the artillery barrage targeting many of the neighborhoods where chemical attacks occurred."

4. Opposition couldn't have fabricated this

"We assess the Syrian opposition does not have the capability to fabricate all of the videos, physical symptoms verified by medical personnel and NGOs, and other information associated with this chemical attack," the report reads.

Why Russia, China, and Iran are standing by Syria

The report also said that it was highly unlikely that rebels executed the attack. It cited, among other things, Washington's belief that the rebels have not used chemical weapons and have not carried out a large-scale rocket and artillery attack like the one seen August 21.

5. A possible reason why government would have used chemical weapons

"The Syrian regime has initiated an effort to rid the Damascus suburbs of opposition forces using the area as a base to stage attacks against regime targets in the capital," the report said. "The regime has failed to clear dozens of Damascus neighborhoods of opposition elements, including neighborhoods targeted on August 21, despite employing nearly all of its conventional weapons systems.

"We assess that the regime's frustration with its inability to secure large portions of Damascus may have contributed to its decision to use chemical weapons on August 21."

The report adds that Washington, to protect sources and methods, cannot publicly release all available

@highlight

U.S. report says more than 1,400 people killed in August 21 Damascus-area attack

@highlight

Report: 'High confidence' that Syrian government behind chemicals

@highlight

Report: Intercepts show official confirming that chemical weapons were used by the regime