(CNN) -- Education is under threat, but the Internet and the growth of Massive Open Online Courses are not to blame.

Like the arts and journalism, whose value may be difficult to measure in dollars, higher education has long been understood as a rather "soft" pursuit. And this has led people to ask fundamental questions about it:

What is learning, really? And why does it matter unless, of course, it provides a workplace skill or a license to practice? Is the whole notion of a liberal arts education obsolete or perhaps an overpriced invitation to unemployment?

The inability to answer these questions lies at the heart of universities' failure to compete with new online educational offerings -- the rapidly proliferating MOOCs -- as well as the failure of most Web-based schools to provide a valid alternative to the traditional four-year college.

Education is about more than acquiring skills.

When America and other industrialized nations created public schools, it was not to make better workers but happier ones. The ability to read, write and think was seen as a human right and a perquisite to good citizenship, or at least the surest way to guarantee compliant servitude from the workers of industrial society. If even the coal miner could spend some of his time off reading, he stood a chance of living a meaningful life. Moreover, his ability to read the newspaper allowed him to understand the issues of the day and to vote intelligently.

What we consider basic knowledge has grown to include science, history, the humanities and economics. So, too, has grown the time required to learn it all. While the modern college might have begun as a kind of finishing school, a way for the sons of the elite to become cultured and find one another before beginning their own careers, it eventually became an extension of public school's mandate. We go to college to become smarter and more critical thinkers while also gaining skills we might need for the work force.

Accordingly, we all wanted our sons and daughters to go to college until recently. The more of us who could afford it, the better we felt we were doing as a society. But the price of education has skyrocketed, especially in the tiny segment of elite schools. This has led to the widespread misperception that a good college education is available only to those willing to take on six-figure debt.

Worse, in making the calculation about whether college is "worth it," we tend to measure the cost of a Harvard education against the market value of the skills acquired. Did my kid learn how to use Excel? If not, what was the point?

To the rescue come the MOOCs, which offer specific courses, a la carte, to anyone with a credit card; some even offer courses for free.

Following the model of University of Phoenix, which began offering a variety of "distance learning" in 1989, these newer Web sites offer video lectures and forums to learn just about anything, in most cases for a few hundred dollars a class. MOOCs have exploded in the past few years, enrolling millions of students and sometimes partnering with major universities.

For pure knowledge acquisition, it's hard to argue against such developments, especially in an era that doesn't prioritize enrichment for its own sake. But it would be a mistake to conclude that online courses fulfill the same role in a person's life as a college education, just as it would be an error to equate four years of high school with some online study and a GED exam.

Don't get me wrong: I have always been a fan of online education -- but with a few important caveats.

First off, subjects tend to be conveyed best in what might be considered their native environments. Computers might not be the best place to simulate a live philosophy seminar, but they are terrific places to teach people how to use and program computers.

Second, and just as important, computers should not require the humans using them to become more robotic. I recently read an account from an online lecturer about how -- unlike in a real classroom -- he had to deliver his online video lectures according to a rigid script, where every action was choreographed. To communicate effectively online, he needed to stop thinking and living in the moment. That's not teaching; it's animatronics.

Online learning needs to cater to human users. A real instructor should not simply dump data on a person, as in a scripted video, but engage with students, consider their responses and offer individualized challenges.

The good, living teacher probes the way students think and offers counterexamples that open pathways. With the benefit of a perfect memory of student's past responses, a computer lesson should also be able to identify some of these patterns and offer up novel challenges at the right time. "How might Marx have responded to that suggestion, Joe?"

Finally, education does not happen in isolation.

Whether it's philosophy students arguing in a dorm about what Hegel meant, or fledgling Java programmers inspecting one another's code, people learn best as part of a cohort. The course material is almost secondary to the engagement. We go to college for the people.

Likewise, the best of MOOCs should be able to bring together ideal, heterogeneous groupings of students based on their profiles and past performance, and also create ample opportunities for them to engage with one another in the spirit of learning.

Perhaps this spirit of mutual aid is what built the Internet in the first place. Now that this massive collaborative learning project has succeeded, it would be a shame if we used it to take the humanity out of learning altogether.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Education is under threat, but online computer courses are not to blame

@highlight

He says education's value hard to measure; is it for making money or being engaged?

@highlight

He says Massive Open Online Courses lack human exchange with teachers

@highlight

Rushkoff: MOOCs should bring together people to share studies, maintain education's humanity