A young Yemeni girl stares defiantly into the camera. Her question is a shocking one, coming from an 11-year-old:

"Would it make you happy to marry me off?" asks Nada Al-Ahdal.

In the nearly two-and-a-half-minute video, which was uploaded to YouTube and quickly went viral, Nada accuses her parents of trying to get her married off in exchange for money. She explains how she doesn't want to be one of Yemen's child brides.

"Death would be a better option for me," she declares.

Nada also speaks on behalf of other Yemeni girls: "What about the innocence of childhood? What have the children done wrong so that you would marry them off like that?"

The video, which been seen by millions of people around the world, has put a spotlight once more on Yemen's child marriages.

It has also made Nada an online sensation, although questions have been raised: Did her story add up? Was she really being pressured to get married?

Nada's parents have repeatedly stressed they have no intention to marry her off. And Seyaj, Yemen's leading child-rights organization, said they believed portions of Nada's story were fabricated.

Child brides: No sanctuary for Syria's female refugees

Yemen's history with child marriage

In deeply tribal Yemen, the issue of child marriage is extremely complicated.

In 2008, 10-year-old Nujood Ali shocked the world when she went to a court in Sanaa and asked a judge for a divorce.

After a highly publicized trial, she was granted one. She became a heroine to those trying to raise awareness about Yemen, where more than half of all young girls are married before age 18, according to Human Rights Watch.

In 2009, Yemen's parliament passed legislation raising the minimum age of marriage to 17. But conservative parliamentarians argued the bill violated Islamic law, which does not stipulate a minimum age of marriage, and the bill was never signed. Activist groups and politicians are still trying change the law, but more than 100 leading religious clerics have said restricting the age of marriage is "un-Islamic."

"The consequences of child marriage are devastating and long-lasting -- girls are removed from school, their education permanently disrupted, and many suffer chronic health problems as a result of having too many children too soon," said Liesl Gerntholtz, director of the Women's Rights Division at Human Rights Watch. "It is critical that Yemen takes immediate and concrete steps to protect girls from these abuses, including setting a minimum age of marriage."

Yemeni journalist Hind Aleryani, who interviewed Nada after the release of her video, says child marriage is a terrible problem in Yemen.

"It's common more in the poorer communities," Aleryani said. "There is a proverb, a Yemeni saying: 'Marry an 8-year-old girl, she's guaranteed,' which means the 8-year-old girl is surely a virgin. It's a disgusting saying and inhumane, but it's said by everyone and it's very well-known."

Aleryani adds, however, that there's reason for hope -- explaining how the fact there's been such a huge reaction to Nada's video proves attitudes are beginning to shift there.

"Things changed a lot after the revolution, and now people are more aware of the problem," she said. "Before we used to feel like there's no hope -- you can't do anything about it. Those conservative parties used to be stronger than us, but lately they are not."

Child bride turned scholar: Education is the road out of poverty

Talking to Nada

CNN found Nada a few weeks after the video's release, and she was living with her uncle in Sanaa.

She said it wasn't just her immediate family that she ran away from in her hometown of Hodeida.

"I ran away from marriage," she said. "I ran away from ignorance. I ran away from being bought and sold."

Seeming relaxed and happy, Nada showed off Facebook pages featuring her singing, and she talked about the singing group she's a part of -- an unusual sight in conservative, rural Yemen.

She said she asked a friend to make the YouTube video so she could tell the world how tough it is for girls there.

"I'd rather commit suicide than get engaged," she said.

Days later, Yemen's interior ministry, acting with Seyaj, took Nada from her uncle and placed her in a women's shelter. Ramzia Al-Eryani, one of Yemen's leading women's rights activists and president of the Yemen Women's Union, was appointed Nada's temporary legal guardian until the dispute could be settled.

Married at 13 to a man in his 70s

The drama came to a head this past weekend, and CNN gained exclusive access as the parties came face to face.

Before Nada entered the room, Al-Eryani spoke with both of Nada's parents and her uncle.

"If you love her, save her childhood. ... You all are adults -- you all know what's best for her -- but we need to protect this child," Al-Eryani said.

Nada entered the room a short time later. Facing her parents, she answered allegations that her story may have been made up.

At one point, she asked Al-Eryani, "Why do you believe them and don't believe me?" before breaking down in tears.

"I don't care about what's best for the mom or dad or uncle," Al-Eryani explained later, "just what's best for the girl."

Where the truth lies has been hard to determine.

In an extraordinary moment during the proceedings, Nada asked for something few in the room were expecting.

"In the countryside, there's no English classes, there's no computer classes," she said, talking about her hometown. "Please let me stay in Sanaa and study here."

All she wants, apparently, is a chance at a better life.

And she might get it: At the end of session, they made an agreement: The entire family -- parents and uncle included, are going to move into the house of another relative in Sanaa, to see if they can work it all out together.

@highlight

In 2½ minute YouTube video, Nada, 11, says death would be better than marriage

@highlight

"What about the innocence of childhood?" she says in video

@highlight

CNN gains exclusive access to parties involved in case