On Wednesday, the Senate and House homeland security committees held their first-ever joint hearing, on the 70th anniversary of the bombing of Pearl Harbor, to address what has become a familiar theme for both committees -- the threat from "homegrown" terrorists.

The hearing, chaired jointly by Sen. Joseph Lieberman, I-Connecticut, and Rep. Peter King, R-New York,  examined the threat to "military communities" posed by domestic terrorism, a threat that Lieberman said last week "has increased dramatically" since 2006, when he held his first hearing on the subject.

Lieberman cited the attack, allegedly by U.S. Army Maj. Nidal Malik Hasan, that killed 13 soldiers and civilians at Fort Hood, Texas, in 2009; the shooting death of a soldier outside an army recruiting station in Arkansas the same year; and a purported plot by Army Pfc. Naser Jason Abdo to attack soldiers near Fort Hood with explosives and firearms this year.

So what is the actual threat to America's military from homegrown terrorists? The New America Foundation and the Maxwell School of Public Policy examined 192 cases of apparent homegrown terrorism by Islamist militants since 9/11. We found that the American military at home and abroad is indeed a target for Islamist extremist plots. In a third of the cases we studied, the individuals who were charged had targeted the U.S. military. Of those, a little under half targeted military facilities or personnel in the United States, while 55% were targeting American bases and troops overseas.

Additionally, attacks against military personnel have accounted for 14 of the 17 deaths attributed to jihadist terrorists in the United States since 9/11 (though all but one happened during the 2009 Fort Hood shooting). These deaths were all caused by gunfire, presumably because explosives are more difficult to acquire and build and often draw the attention of law enforcement.

American law enforcement is quite focused on the threat of attacks against U.S. military targets. A government informant or undercover government agent took part in the investigations of 60% of the jihadist terrorism cases directed at U.S. military targets.

While some of the anti-military plots were serious, in particular the deadly assault on Fort Hood, others were more aspirational than operational. Rezwan Ferdaus, for instance, is charged with hatching  a harebrained plan to attack the Pentagon and U.S. Capitol earlier this year using remote-controlled model aircraft loaded with explosives. Ferdaus was snared by government informants who supplied him with the cash to take his "scouting trips" to scope out the targets, and even to buy the model planes that were to be used in the plot.  He has pleaded not guilty.

And the FBI declined to investigate Jose Pimentel, a recent convert to Islam arrested by New York police last month on charges of trying to build pipe bombs for use against U.S. service members returning to the United States because, as an anonymous law enforcement official told the Wall Street Journal, "If the FBI declines a case, it's not a strong case.'

The desire of Islamist militants to attack the U.S. military may decline as the U.S. completes its withdrawal from Iraq this month and transitions away from combat operations toward a training mission in Afghanistan over the next two years.

New America and the Maxwell School also examined nonjihadist terrorist cases since 9/11 and found that while terrorists motivated by far right-wing or anti-government ideologies do not pose a threat to the U.S. military, they do pose a real threat to U.S. government personnel -- in particular to law enforcement.

We examined the 118 cases of right-wing and left-wing terrorism since 9/11 and found that more than 40% of them involved plans to strike government facilities and personnel, including federal and local law enforcement officers.

Police disrupted a number of such plots, such as the one allegedly organized by members of the "Hutaree" Christian militia last year in Michigan, who authorities said planned to kill a police officer and later ambush the funeral procession using explosives. During the investigation of the Hutaree group, law enforcement seized machine guns and a variety of explosives.

On Monday one of the nine accused of the Michigan plot pleaded guilty to weapons charges, the first to do so.

The guilty plea in the Michigan case underscores that while Islamist terrorists do pose a threat to U.S. service members, those with other types of extremist beliefs also pose a similar kind of threat to U.S. government officials and American law enforcement.

Terrorist threats against U.S. officials and police that have nothing to do with Islamist militancy are surely also worthy of the scrutiny of Congress, but neither the Senate nor House homeland security committee, nor it seems any other congressional committee, has examined the issue in any detail since 9/11.

@highlight

House and Senate panels hold hearings on homegrown terrorists and U.S. military

@highlight

Authors say study shows dimensions of the threat

@highlight

American military is a target for Islamist extremist plots at home and abroad, they say

@highlight

Authors: Congress should also study threat from non-Islamist terror groups of left, right