The Nobel Peace Prize has turned the global spotlight back on the conflict in Syria.

The prize committee in Oslo, Norway, awarded it Friday to the Organisation for the Prohibition of Chemical Weapons, the international chemical weapons watchdog helping to eliminate the Syrian army's stockpiles of poison gas.

EXCLUSIVE: Inside lab that tested Syria chemical weapon evidence

Its inspectors have just begun working in the active war zone, and the Norwegian Nobel Committee said it hopes the award offers "strong support" to them as they face arduous and life-threatening tasks.

But the OPCW did not receive the prize primarily because of its work in Syria, committee chairman Thorbjorn Jagland said. "It is because of its long-standing efforts to eliminate chemical weapons and that we are now about to reach the goal and do away with a whole category of weapons of mass destruction. That would be a great event in history, if we can achieve that."

Nevertheless, OPCW Director-General Ahmet Uzumcu said he wants the prize to inspire everyone to reach for peace in Syria.

"I truly hope that this award ... will help broader efforts to achieve peace in that country and (ease) the suffering of its people," Uzumcu said told reporters Friday afternoon.

Uzumcu, saying he was "pleasantly surprised" by the award and acknowledging it was a great honor, added that "events in Syria have been a tragic reminder that there remains much work yet to be done."

"The recognition that the peace prize brings will spur us to untiring effort, even stronger commitment and greater dedication," he said.

U.S. President Barack Obama congratulated the group. A White House statement said "this award honors those who make it their life's work to advance this vital goal."

"Today's award recognizes that commitment, and reinforces the trust and confidence the world has placed in the OPCW, Director-General Ahmed Uzumcu, and the courageous OPCW experts and inspectors taking on the unprecedented challenge of eliminating Syria's chemical weapons program," the statement said.

Chemical weapons team faces many dangers

Team in Syria

A team from the OPCW and the United Nations has been in Syria since October 1, and it oversaw the first destruction of chemical weapons equipment this week.

On Sunday, Syrian personnel used "cutting torches and angle grinders to destroy or disable a range of items," the OPCW said. "This included missile warheads, aerial bombs and mixing and filling equipment."

U.N.: Destruction of Syria's chemical weapons begins

Given the danger the inspectors face, U.N. Secretary-General Ban Ki-moon this week described the joint OPCW-U.N. mission in Syria as "an operation the likes of which, quite simply, have never been tried before."

The joint mission is tasked by a U.N. Security Council resolution with eliminating all chemical weapons in the country by midyear 2014.

Nobel recognizes risks faced by weapons inspectors

Ban has set out the three phases of the mission: establishing an initial presence and verifying the Syrian government's declaration of its stockpiles; overseeing the destruction of chemical weapons; and verification of the destruction of any and all chemical weapons-related programs or materials.

The team is in Syria is made up of 35 members, but the OPCW is preparing to deploy a second team to strengthen the effort. The group plans to grow the team to 100.

Where are Syria's chemical weapons?

The government in Damascus has been cooperative so far, and there is hope they will reach their goal.

"These developments present a constructive beginning for what will nonetheless be a long and difficult process," Uzumcu said.

On August 21, a chemical attack outside Damascus led the United States and its allies to call for military intervention in Syria's civil war -- a confrontation that was defused in mid-September, when Damascus agreed to a U.S.-Russian plan to give up its chemical weapons stockpile.

The United States estimates the Syrian arsenal at about 1,000 tons of blister agents and nerve gas. The Syrians provided an initial declaration of its stockpile and must submit a plan for destroying the weapons by October 27, Uzumcu said.

Nobel justification

The award to the OPCW was intended in part as a message to countries still harboring chemical weapons to get rid of them, Jagland said.

In awarding the prize, the Norwegian committee highlighted the widespread use of chemical weapons in World War I and efforts to stop it since.

In 1925, the Geneva Convention prohibited their use. But during World War II, the Nazi dictatorship under Adolf Hitler employed them to extinguish the lives of millions of concentration camp inmates in the Holocaust.

Chemical weapons: The desperate commander's escape from stalemate

The Geneva Convention left some loopholes open, though, the Norwegian committee said.  It does not prohibit the production and storage of chemical weapons.

But in 1997, an international convention banning that as well was instituted.

About the OPCW

The Organisation for the Prohibition of Chemical Weapons, based in The Hague, in the Netherlands, is the independent implementing body for the Chemical Weapons Convention, an international arms control treaty.

The Chemical Weapons Convention entered into force in April 1997, at which point 87 states had ratified it, and the work of the OPCW to implement its provisions began at that point.

Syria: Are chemical weapons worse than conventional attacks?

According to the treaty's wording, signatories are "determined for the sake of all mankind, to exclude completely the possibility of the use of chemical weapons, through the implementation of the provisions of this Convention."

Sixteen years later, more than 100 additional states have ratified the treaty. In September, Syria became the latest nation to ask to join the convention. It is due to enter into force in Syria on October 14, when it will become the 190th member state.

Peace prize

In the lead-up to the prize announcement Friday, the global media speculated that an individual would win, possibly Congolese physician Denis Mukwege, who treats victims of gang rape, or Malala Yousafzai, the teenage education activist from Pakistan whom a Taliban assassin shot for her work to promote education for girls.

Malala appeared to be the front-runner in headlines around the world.

CNN's Monita Rajpal asked Jagland why she did not win.

"Fortunately, we have many good candidates every year, actually this year, more than 250. And the woman you mentioned, Malala, is an outstanding woman, but we never comment on why she or others didn't get the prize," he said. "The right answer is that she didn't get the prize because OPCW got it. She and others will probably be candidates in the years to come."

A Twitter account in Malala's name sent out a message congratulating the OPCW and thanking it for its work. In an interview with CNN's Christiane Amanpour, which is to air at 7 p.m. Sunday, Malala said it might be premature for her to receive the Nobel Peace Prize this early in her life.

U.N. Secretary-General Ban Ki-moon congratulated the OPCW, saying it has "greatly strengthened the rule of law in the field of disarmament and non-proliferation."

"From the battlefields to the laboratories to the negotiating table, the United Nations is honored to work hand-in-hand with the OPCW to eliminate the threat posed by chemical weapons for all people and for all time," Ban said Friday.

U.S. Secretary of State John Kerry also voiced congratulations. He highlighted the organization's role in Syria.

"The Nobel Committee has rightly recognized their bravery and resolve to carry out this vital mission amid an ongoing war in Syria," he said.

Last year, the Norwegian committee awarded the peace prize to the European Union as it grappled with the worst crisis since its founding -- devastating debt and the threat of disintegration.

The award was a salute to the struggling 27-nation union for its work in promoting democracy and reconciliation since World War II.

It is common for the Nobel Peace Prize to go to organizations.

Opinion: Why Europe deserved the Peace Prize

Other large organizations that have won it include the United Nations, Doctors Without Borders, U.N. peacekeeping forces, the U.N. atomic energy agency, the Red Cross and the International Campaign to Ban Landmines.

The Peace Prize is the fifth Nobel Prize to be awarded this week, preceded by honors in medicine, physics, chemistry and literature.

The final Nobel Prize, recognizing achievement in the field of economics, will be awarded Monday.

@highlight

Nobel committee hopes the award gives "strong support" to OPCW inspectors in Syria

@highlight

Panel says the prize wasn't for work in Syria, but for work to eliminate all chemical weapons

@highlight

OPCW inspectors have just begun to work in the active war zone

@highlight

All chemical weapons in Syria are to be destroyed by mid-2014