(CNN) -- Five years ago, on October 3, 2008, with the economy in a tailspin, President George W. Bush signed the $700 billion Troubled Asset Relief Program into law, giving the government the ability to bail out the big banks to prevent further calamity.

A number of factors caused the economic collapse, but one in particular stands out -- a witch's brew of money and politics.

As the Financial Crisis Inquiry Commission wrote in its 2011 report, "It did not surprise the Commission that an industry of such wealth and power would exert pressure on policy makers and regulators. From 1999 to 2008, the financial sector expended $2.7 billion in reported federal lobbying expenses; individuals and political action committees in the sector made more than $1 billion in campaign contributions."

Five years later, with millions of Americans still unemployed or underemployed, not much has changed.

Wall Street is still the biggest player in Washington. The industry dished out more dough than any other industry during the 2012 election. In the first six months of 2013, the finance, insurance and real estate sector has already given $63 million to federal candidates and committees. It has spent $242 million on more than 2,000 lobbyists.

The Dodd-Frank financial reform was an important legislation and it has, and will continue, to protect consumers from abuses of the banks. But the industry played a major role in what rules were passed and it continues to play a role in the implementation of regulation rules.

Soon, the Supreme Court may give bankers and wealthy special interests -- the same guys and gals who wrecked the economy in 2008 -- even more influence.

On October 8, the court will hear oral arguments in McCutcheon v. FEC, a case brought by Alabama businessman Shaun McCutcheon and the Republican National Committee that threatens to remove the aggregate limits that individual donors can give, in total, to federal candidates and committees each election cycle.

For the 2014 election cycle, that total is $123,200 -- more than double the median American family income. If the court sides with McCutcheon, an individual donor could bundle more than $1 million to congressional fundraising committees.

So what does this have to do with Wall Street and TARP? Plenty.

Some 28% of the roughly 1,200 individuals who got within 10% of the aggregate limit in the 2012 election work on Wall Street. These super donors work at Goldman Sachs, Elliott Management and other top financial firms. Wall Street was the biggest industry to put money into politics.

If aggregate limits are thrown out, a future presidential candidate could be allowed to ask for a $2 million donation for his campaign and various committees. Congressional leaders could set up a fundraising committee that could take in $3.5 million from one donor. That's a sweet deal for Wall Street, but it's a raw deal for democracy.

Based on past precedent, the court should uphold the current limits. But whether the justices do or do not, our democracy is already in trouble. Congress must act to raise the voices of We the People.

StampStampede.org brings the issue home to Main Street.

The Stampede encourages people to legally stamp messages such as "not to be used for bribing politicians" on our nation's currency to support reforms to #GetMoneyOut of politics. Every bill is seen an average of 875 times and helps demonstrate a growing, sustained demand for reform.

One solution is modeled on successful systems in Arizona, Connecticut and Maine, which allow candidates to run competitive campaigns for office by relying on a mix of small donations and limited public funds. There are a handful of similar measures already introduced in Congress. They would empower small dollar donors and help them compete with the lobbyists, bankers and wealthy donors writing big checks.

The American people want and deserve a representative democracy that represents the people, not super-rich donors. But unless we come together and demand change, Congress will continue to be owned (or at least rented) by big money.

The opinions expressed in this commentary are solely those of Ben Cohen and Betty Ahrens.

@highlight

It's been five years since the government bailed out banks during the economic crisis

@highlight

Ben Cohen, Betty Ahrens: Today, Wall Street is still the biggest player in Washington

@highlight

In upcoming McCutcheon v. FEC, Supreme Court may give the rich even more power

@highlight

Cohen, Ahrens: We need democracy that represents the people, not super rich donors