WASHINGTON (CNN) -- It was an odd collection of vehicles on display on Capitol Hill, ranging from a bucket truck used for repairing power lines to something resembling an enclosed golf cart to a pair of hot-looking, two-seater sports cars.

Lawmakers eyeball one of several alternative-energy vehicles parked this week on Capitol Hill.

What they had in common was alternative energy: The cars run on electricity and biofuels as well as gasoline. Tuesday's display attracted some U.S. senators who couldn't resist taking the vehicles for a spin.

"I'm about to have claustrophobia!" laughed Sen. Thomas Carper, D-Delaware, as he folded himself into a yellow, low-slung vehicle known by the initials ENVI, developed by the Chrysler Corporation.

"Evan Bayh [Democratic senator from Indiana] and I were talking about taking a road trip in the van down there," said Carper, pointing to a nearby offering from General Motors. "That's probably better for a road trip than this!"

Carper then spotted Democratic colleague Tom Harkin, and joked that the sports car might draw too much attention in the Iowa senator's corn country.

Undeterred, Harkin climbed in next and asked to take a test drive. But instead of starting with a growling engine and a roar of exhaust, the little yellow coupe simply rolled quietly out of its parking space.

It is an electric vehicle.

The display, titled "The Energy and Environmental Showcase," was intended to demonstrate for lawmakers actual production models of vehicles that may cut the nation's reliance on petroleum-based fuels. An unusual aspect of the show was that traditional Detroit nameplates such as General Motors sat next to competitors from other countries.

The event was organized by Bright Automotive, a small carmaker from Anderson, Indiana, to showcase its IDEA, a new, 100-mpg plug-in hybrid electric vehicle that it hopes to market for government and commercial fleets. In a statement, the company said it has applied for funding through the federal Advanced Technology Vehicle Manufacturing Loan Program.

Other manufacturers took advantage of the opportunity to bring their own vehicles to the public display, in a parking lot near the Russell Senate Office Building.

During the Bush administration, Japanese automakers complained they weren't invited to a similar demonstration near the Treasury Department, despite having brought their alternative-energy cars more swiftly to the U.S. market than the Detroit automakers.

But neither the competition nor the threat of bankruptcy held back the enthusiasm of a General Motors product spokesman at Tuesday's display. "If anything, it's just a little bit of noise in the background," said Tony Posawatz, a GM vehicle line director.

He told CNN the automaker places high on its recovery agenda the line of Volt electric cars expected to come to market by November 2010. A silver GM sedan on display nearby uses electric batteries and a self-contained recharging engine powered by a variety of fuels.

"I would like people to stop talking mpg," Posawatz said, leading a reporter toward a van powered by a hydrogen fuel cell. The Chevy Equinox on display is one of 100 now in private hands. Instead of miles per gallon, the energy plant supplies electricity and a calculation of cruising range while driving.

For now, however, drivers might still be impressed by the ZENN, a little car claiming 280 miles per gallon. The car's cruising range of about 40 miles translates to about 280 miles per gallon, according to the Canadian automaker.

"ZENN" stands for Zero Emission No Noise, said a worker who was buffing away some tree pollen that had settled on the car during the breezy afternoon. The car's top speed is about that of a strong gust of wind -- 35 mph.

"It's supposed to be your third car in the driveway," explained ZENN spokesman Daniel Stiller. "Most people drive less than 20 miles from home on streets with speed limits of 35 miles per hour or less."

He acknowledged that the car may qualify as street-legal only on local, low-speed roads. But Stiller said the ZENN is a dramatic improvement in both safety and driveability, compared with the golf carts often seen around retirement communities.

Among the other alternative energy vehicles on display were cars from Mercedes-Benz, Toyota, Honda and the Smart car company.

Another brand shown to lawmakers is named after Nikola Tesla, an inventor who helped develop the practical use of electricity a century ago. Tesla's system of alternating current eventually displaced Thomas Edison's use of direct current in the nation's early power grid.

The red, two-seater electric sports car on display might have been a good fit for Tesla, a lifelong bachelor. Carper, the Delaware senator, suggested the two sports cars were classic "chick magnets."

Tesla spokesman Joe Powers told CNN his company now has about 400 of the sleek, aerodynamic cars in private hands. "We've created a viable car, and we came out with this model first to help draw attention to the Tesla brand," he said.

The California-based company also is developing a a sedan that will use the same advanced battery technology as the sports car, which costs about $109,000.

"It will be the kind of car you can take on a trip, and carry four passengers and their luggage," Powers said. It uses 7,000 lithium-ion cells of the same chemistry now powering cell phones and laptop computers.

"We are working on a battery exchange program that will cut the cost of these vehicles by about $35,000," Powers said, describing a leasing program where owners can swap a used-up battery back for a new one.

Most of the vehicles on display qualify for a new $7,500 federal rebate intended to encourage car buyers to consider alternative-energy vehicles.

Perhaps the vehicle that caused the most double-takes Tuesday was a bucket truck from the local electric utility company serving the Washington, D.C., area. The Pepco vehicle, the kind seen repairing downed power lines, runs on biofuels that range from discarded cooking grease to soybean oil. The truck was apparently not for sale, and there were no representatives nearby to answer questions.

@highlight

An eclectic assortment of alternative-energy vehicles hit Capitol Hill this week

@highlight

The display attracted U.S. senators who couldn't resist taking the cars for a spin

@highlight

The event was organized by a carmaker from Indiana to showcase its plug-in hybrid

@highlight

Display included cars from GM, ZENN, Bright Automotive and Smart, among others