(CNN) -- North Korea, under its untested young leader Kim Jong Un, has ratcheted up the threats toward South Korea and the United States to unprecedented levels and with greater intensity than ever before.

A torrent of threats has flowed from North Korean spokesmen, including a promise of preemptive nuclear strikes on the United States and calls to "break the waists of the crazy enemies, totally cut their windpipes and thus clearly show them what a real war is like."

North Korean brinkmanship, bluff, and bluster are stock elements in its diplomatic toolkit, but why have the threats become so outsized, and how worried should we be? Is North Korea playing the same game it has always played, or does the now-nuclear playbook of a rash young leader represent a new threat the we cannot afford to ignore?

Threats of annihilation normal for South Koreans

In some respects, we have seen this movie before. North Korea has long used its bluff and bluster as a form of self-defense to keep potential enemies off guard, to strengthen internal political control, magnify external threats to promote national unity, and to symbolically express dissatisfaction when international trends are not going its way.

This year, converging factors are squeezing North Korea, creating a stronger-than-usual response in the face of seemingly greater international pressure.

The U.N. Security Council resolution passing financial sanctions on North Korea following its satellite and nuclear tests were tougher than expected, and coincide with U.S.-South Korea military exercises organized to show political resolve to deter North Korean aggression. The establishment of a U.N. Commission of Inquiry into North Korea's human rights situation tarnishes the standing of the new leadership. North Korea's over-the-top responses belie a sense of vulnerability.

North Korea has a record of testing the mettle of each new South Korean leader through threats and provocation in an apparent hazing ritual that also determines its strategies toward the South.

South Korea has responded threat for threat in recent weeks to signal to North Korea that it will not be blackmailed by its neighbor's seeming nuclear advantage. Recent South Korean media reports of military plans to target thousands of statues of Kim Il Sung and Kim Jong Il in North Korea are virtually guaranteed to throw North Koreans into a frenzy of effort to defend and show loyalty to the Kim family leadership.

North Korea's threats: Five things to know

But the intensity and frequency of threats in Kim Jong Un's first year of leadership is uncomfortably high, raising questions about whether junior Kim fully understands the ritualistic rules of the inter-Korean "threat-down"; whether he might be more accepting of risks than his father, and whether he's more likely to make miscalculations that could drive a hair-trigger situation over the edge.

Moreover, no one can be sure whether internal political challenges or a need to consolidate political control are driving young Kim to walk even closer to the edge than usual.

North Korea has historically employed guerrilla-style methods in carrying out provocations, using elements of surprise and ambiguity of attribution to avoid risks of full-scale escalation. If North Korea decides to follow through on its threats through direct confrontation, however, this would be evidence that something is going terribly wrong inside its new leadership.

How can North Korea's frenzy of threats be brought under control? Past behavior shows a pattern of threats followed by diplomatic "charm offensives" designed to ease tensions and reap diplomatic gains in an environment of general relief that the situation has calmed down.

Analysis: What's Kim Jong Un up to?

Although South Korea and the United States are weary of this game, South Korea has started to provide opportunities for North Korea to climb down as spring military exercises start to wrap up.

The new South Korean government has separated humanitarian aid from nuclear weapons negotiations, and President Park Geun-hye has patiently held out an olive branch in the form of her "trustpolitik" policy, which promises step-by-step efforts to stabilize inter-Korean relations.

Given the North Korean leadership's contradictory need for South Korea to be both an enemy and a source of economic assistance, this might prove to be the more difficult phase in dealing with North Korea as its well-worn strategy of alternating threat and diplomacy continues to yield diminishing returns.

The opinions expressed in this commentary are solely those of Scott A. Snyder.

@highlight

Scott Snyder: Kim Jong Un ratchets up threats toward South Korea and U.S. to record level

@highlight

Snyder: Bluff, followed by "charm offensive," is typical strategy but Kim gets closer to brink

@highlight

We don't know what Kim is trying to prove, Snyder says, or what political events drive him

@highlight

Snyder: South Korea and U.S. are tired of chest-thumping and it's not working anymore