(CNN) -- Ten months into the uprising in Syria, deadly clashes between opposition fighters and government forces have now spread to suburbs just 15 minutes from the heart of the capital Damascus.

What's the latest on the ground?

Syria's humanitarian crisis is worsening as armed rebels and government forces battle for control of towns and cities across the country.

Much of Ghouta, in the eastern suburbs of Damascus, faces a "complete siege and closure" after days of sustained bombings that has killed dozens, according to the opposition Local Coordination Committees.

Electricity, water, heating fuel and food are in short supply, and communications have been interrupted, the LCC said, as Syrian forces battle to take back neighborhoods located uncomfortably close to President Bashar al-Assad's seat of power in the capital.

At least 37 people were confirmed dead across several cities Tuesday, according to the LCC. The group reported 100 deaths Monday. A resident of Homs said six members of one family were found dead.

In one part of Homs, Syrian forces battled to take back a neighborhood from the rebel army and anti-government protesters, according to an opposition activist who asked that his identity be withheld over a fear of government reprisal.

The dead and wounded littered the streets of the neighborhood, which was under siege, the activist said.

More than 5,000 people have died since March, when the government launched a crackdown against demonstrators, according to the United Nations. Opposition groups estimate a higher death toll, with counts near or exceeding 7,000 people.

How is the international community reacting?

The Arab League suspended its monitoring mission in Syria on Saturday, recalling all of its observers around the country to Damascus as violence escalates.

While some Arab League monitors will leave the country, others will stay in Damascus, but none will be conducting missions at this time, according to Ali Erfan, senior advisor to Arab League Secretary General Nabil el-Araby.

On Tuesday, the U.N. Security Council failed to reach an agreement on a resolution that would call for al-Assad to step down.

Arab and Western diplomats voiced their support for the draft resolution, but representatives from Russia and China slammed it as meddlesome.

Russia -- which, like China, is one of the five veto-wielding permanent members of the Security Council -- has said it is concerned about a Syrian civil war and does not want al-Assad pushed out of power. It has proposed its own draft resolution that assigns equal blame for the violence on both al-Assad and the opposition. The draft that will now be considered also lacks sanctions but is tougher than the earlier version, which said nothing about transfer of power.

The Syrian regime has been under international pressure to stop the crackdown -- and the U.N., the United States, the European Union and some members of the Arab League have called for President al-Assad to step down.

What did the Arab League monitors achieve in Syria?

The Arab League monitoring mission in Syria has been criticized for failing to stop the al-Assad regime's deadly crackdown on anti-government protests across the country.

Read profile of President Bashar al-Assad

But the head of the Arab League observers in Syria, Sudanese Gen. Mohammed Ahmed al-Dabi, said the mission was designed not to bring an immediate end to violence but to investigate and observe the situation.

The choice of Al-Dabi to lead the mission was controversial in itself: he was part of the Sudanese security establishment that put down the rebellion in the breakaway region of Darfur a decade ago.

Still, one expert says the Arab League mission, which began on December 26, kept the world's attention focused on Syria at a time when attention had been slipping away.

"The presence of monitors served to galvanize the opposition, and we saw an increased number of demonstrations and anti-government activity during that time period," Middle East professor Chris Phillips from Queen Mary, University of London told CNN. "But as a consequence we also saw the government step up its visible repression of the protesters."

While critics say al-Assad has used the Arab League mission as a cover to continue suppression of protests in Syria, Phillips says it was important that the League be seen to be acting on the Syrian crisis before taking the issue up with bigger organizations.

"The Arab League have now exhausted their own internal options and they can be seen to have taken action themselves to try to resolve the crisis," said Phillips. "It would now seem legitimate for the Arab League to now turn to larger bodies, certainly the U.N., to take action itself."

Individual states in the Arab League have called for al-Assad to step down, but the organization as a whole has failed to table a similar resolution -- and Phillips says that is unlikely to change anytime soon.

"While it seems likely there is going to be some internal negotiation (on a resolution) taking place, it certainly seems very unlikely Lebanon or Iraq -- states who are allied effectively to Iran and Syria -- will ever join calls for Assad to stand down," said Phillips.

Will the international community intervene like it did in Libya?

Nothing will happen in terms of military intervention in Syria unless Russia changes its current stance, according to Phillips.

"Russia have said quite clearly that they're not going to support anything that would risk al-Assad being forced from power," Phillips told CNN.

"If Russia gave the same kind of green light for Syria that it did for Libya, there's every possibility that you'd see military intervention, probably coming out of Turkey," Phillips said. "But Turkey have said they're highly reluctant to intervene unless they have NATO or U.N. backing."

Rights group Amnesty International urged Russia Wednesday to rethink its opposition to the latest draft.

"Russia's threats to abort a binding U.N. Security Council resolution on Syria for the second time are utterly irresponsible. Russia bears a heavy responsibility for allowing the brutal crackdown on legitimate dissent in Syria to continue unchecked," said Jose Luis Diaz, Amnesty International's representative to the United Nations.

"Russia must work with other Security Council members to pass a strong and legally binding resolution that will help to end the bloodshed and human rights violations in Syria once and for all."

Is the opposition united against the al-Assad regime?

The longer the fighting goes on in Syria, activists and Western diplomats say, the more radicalized the revolution is becoming.

Fringe elements of Muslim extremist groups are moving in and sectarian rifts are widening as feelings of despair descend on some flashpoint Syrian cities.

While the besieged city of Homs has traditionally been a place of religious tolerance, "there is a real sense now that that is changing and being manipulated by people on both sides" of the conflict, according to Phillips.

President al-Assad belongs to the Alawite Muslim sect while Sunni Muslims form the majority in Syria.

"The older Sunni merchant class that feel the city is theirs rightfully are now turning on the Alawites, who they see as these recent migrants that don't actually belong in the city," said Phillips.

Many Christians have fled to Damascus as communities begin to divide on sectarian lines. Salafists -- Islamic radicals, many of whom have brought terror tactics honed in neighboring Iraq -- are moving into Homs.

Hard-liners inside and outside the country are already jockeying for post-al-Assad power, while the Alawite community fears the prospect of persecution if the government falls.

"The regime is trying to persuade the Alawites that if they abandon the government, they will be wiped out in the dog-eat-dog aftermath," Phillips said.

CNN's Arwa Damon, Nic Robertson, and CNN Wires contributed to this report.

@highlight

Clashes between rebels and regime forces have reached suburbs of capital Damascus

@highlight

Arab League has suspended monitoring mission in Syria as violence escalates

@highlight

International intervention won't happen without Russian approval, expert says