Spencer, Iowa (CNN) -- Joni Ernst takes running for Senate literally. Try keeping up with her as she races through a rainy parade. It's a workout.

Ernst doesn't march, she sprints -- darting side-to-side, shaking as many hands as possible -- a lieutenant colonel in the Iowa National Guard recruiting potential voters for her campaign.

The Iraq War veteran and little-known conservative Iowa state senator burst onto the political scene earlier this year with the TV ad of the political primary season.

Smiling straight to camera, Ernst says in the ad that she knows how to cut pork because she grew up on a farm castrating pigs. The squealing pigs in the background became a trademark of her campaign.

She decisively beat three GOP primary opponents with the support of a broad coalition of Republican groups -- rare in these divided times for the GOP.

Still, Ernst's conservative views, combined with her interesting personal story and boundless energy, have made her one of this election yearÂ¹s most high-profile tea party favorites.

The problem for Ernst is that while Iowa has its share of conservatives who vote in GOP primaries, and of course its first in the nation presidential caucuses every four years, it is actually a relatively moderate state.

And Ernst is running for an open Senate seat being vacated by Democrat Tom Harkin, a venerable liberal in the state and nationwide.

With a new CNN/ORC poll showing just a 1-point difference between Ernst and Democratic opponent Bruce Braley, well within the margin of error, it's no surprise that Ernst is trying to moderate her image.

When we asked whether she wanted to be a senator in the mold of Ted Cruz, the freshman conservative firebrand from Texas, without missing a beat she replied, "Oh, no."

"I'm a senator in the mold of Joni Ernst, just an independent leader who will represent Iowa," Ernst told CNN.

Ernst says she was harassed in the military

Make issues the issue

Democrats working to elect Braley believe best the way to beat Ernst and keep this seat in Democratic hands is to steer the conversation away from her persona and toward her position on issues, which Democrats argue fall well out of the mainstream of Hawkeye State voters.

"Ernst and the people supporting her don't seem to want to engage and talk about where she stands on the issues," Braley said.

With primary over, Iowa Senate race gets ugly

Ernst did answer some of our questions about those issues. That includes when she was a state senator and co-sponsored personhood legislation, which would legally mean life begins at conception. It's a position some self-described pro-life voters do not support, but Ernst stands by it.

"I promote a culture of life. I promote life. That's the person I am," Ernst told us.

One of the practical results of the personhood measure -- life starts at conception -- is that it would likely outlaw some forms of birth control.

She tried to distance herself from that notion, telling us, "Heavens, no."

"I am someone who supports a woman's right to birth control, absolutely, so to say that is absolutely false and misleading," she said. "So, if women would like to talk to me about those items, I am happy to talk it over. Birth control yes, and promoting a culture of life, yes."

On pocketbook issues, Ernst opposes a nationwide, federal minimum wage, which Braley's campaign thinks is so harmful politically to her that it's running ads and talking about it nonstop.

She explained to us that she doesn't believe minimum wage should be a "one size fits all approach," but rather state by state.

"We really do need to have a minimum wage that is set based on local economies. And I think the state is best to do that," Ernst said.

She said she believes the current minimum wage, $7.25 per hour, is "appropriate for Iowa, but that's up for our state legislators to decide, and I'm willing to have those discussions at the state level."

When we pointed out that a lot of families live on minimum wage, she replied, "It's a beginning wage, it shouldn't be the wage they survive on forever."

Ernst: Savvy, rebellious or both?

Ernst is the beneficiary of millions of dollars from outside groups funded by the Koch brothers and other big national donors. She has no shortage of strategic help from GOP operatives on a national level, hoping this will be one of the six seats Republicans need to win the Senate.

But she doesn't always take the advice she gets.

On our three-hour drive from Des Moines to Spencer, we got a call from one of her operatives informing us that our scheduled brief interview was canceled.

"No more national interviews for a while," was what we were told.

But when we arrived and approached Ernst, instead of avoiding us, she greeted us warmly and answered several questions along the parade route.

Whether that was savvy (avoiding unflattering pictures of her running away) or rebellion against Washington advisers, it was a telling level of sophistication for a first-time statewide candidate in a high-profile race.

Braley working to repair his image

As for her Democratic opponent, he, too, has a comfort level and natural rapport with voters -- characteristics that fly in the face of the unfortunate image of an out-of-touch Washington insider he helped inflict on himself with a series of early gaffes.

The congressman complained about no towel service in the House gym during the government shutdown.

And Braley was caught on tape disparaging Iowa's popular senior GOP Sen. Charles Grassley and farmers -- a big Iowa no-no -- by calling Grassley a "farmer from Iowa who never went to law school."

While walking with us through the quiet streets of his hometown of Brooklyn, Iowa, Braley owned those mistakes without being defensive.

"All of us say things that we regret. And if you grow up in Iowa, the important lesson to learn is that if you make a mistake, you take responsibility for it, and that's what I did," he told CNN.

First lady to campaign for Democrat in tight Iowa Senate race

He brought us to this small Iowa town where his mother still teaches school at 85 and he started a paper route in third grade, facts that Braley hopes can beat back a narrative that Republicans seized on after his rhetorical stumbles: that he's a Washington creature now who can't relate to Iowans.

"I've baled hay, I've worked farms, I was a truck driver, a construction worker. I was a janitor in this town. I learned the value of hard work from the people I grew up here with," Braley said.

"They taught me that it's important to respect other people, to be a good listener, and to work hard and fight for people who don't have an ability to be their own voice. And that's what I've done in the House and that's what type of senator I'd be," he told us.

While Iowa isn't conservative, is certainly isn't ultraliberal. Tom Harkin, feted by the Clintons at his final famous steak fry over the weekend, is a unique public figure in the state -- quite popular statewide despite his openly liberal leanings.

Still, Braley told us he would be "a progressive problem solver in the mold of Tom Harkin."

Congressman apologizes for #TrailofTears tweet

Gender gap, even with a GOP woman on ballot

If Ernst, a 44-year-old mother and stepgrandmother, were to win this seat, she would be the first woman senator from Iowa.

But the new CNN/ORC poll shows that 57% of women voters in Iowa support her male, Democratic opponent. The traditional gender gap between the parties still exists here, even with a Republican woman on the ballot.

We only had a chance to ask Ernst one quick question about gender along the parade route here -- why she thinks so few of the 20 women U.S. senators are Republican? (There are four GOP female senators).

"That'd is a really good question. You need to ask the voters in all those other states," she said abruptly before racing off to shake more hands of potential voters.

Finally, a Democrat who wants Obama to come

Like many Democrats on the ballot this year, Braley is weighed down by an unpopular president, whose approval rating here now stands at just 37%.

That's remarkable, considering that Iowa is where Barack Obama's big 2008 caucuses win knocked Hillary Clinton off her White House path -- and where Obama beat GOP rivals in 2008 and 2012.

If Republicans take control of the Senate for Obama's last two years in office, it would likely sting even more if Iowa elected a Republican and helped deliver that blow to the President.

Still, while Democratic candidates in red states keep their distance, Braley does not.

"If the President has time in his schedule to come to Iowa in this campaign, I'd welcome him," he said.

"Iowans are the type of people who welcome somebody of significant importance, and that would certainly include President Obama. Even though they may disagree with him, every four years we welcome people of both parties to come and talk about important policy issues, and I think that would be one of the reasons why it would be alright for President Obama to come to Iowa," Braley explained.

"Come on, President Obama!" That was Ernst's reaction when we about her opponent's willingness to host the unpopular Democratic President on the campaign trail here.

"I think that would be wonderful," Ernst told us, barely hiding a mischievous smile.

In Iowa, DREAMers confront Clinton

CNNs Adam Levy contributed to this report

@highlight

Iowa Republican Senate candidate Joni Ernst raised her profile with pig castration ad

@highlight

Democratic opponent Bruce Braley stumbled into "out of touch with Iowa" tag

@highlight

In the moderate state, Ernst might lean too far to the right, Braley too far to the left