(CNN) -- Zambian economist Dambisa Moyo is an outspoken critic of international aid, arguing for years that foreign handouts stifle Africa's development, perpetuate corruption and hinder the continent's growth.

A New York Times bestselling author, Moyo first grabbed international headlines with her 2009 book "Dead Aid: Why Aid is Not Working and How There is a Better Way for Africa."

Since then, she's penned two more books, on the subject of the decline of the West, and the effects of China's commodities rush.

In a new interview with CNN's Robyn Curnow, Moyo explains why she's optimistic about the future of Africa. She looks at the positive impact that China can have on the continent and details the key drivers that will spur Africa's economic growth.

An edited version of the interview follows.

CNN: The aid debate is so different from before ...

Dambisa Moyo: So much has happened in the last five years -- whether you're in Africa, South America or Asia, nobody talks about aid anymore.

Policy makers themselves are going out and issuing debts in the market. My own country, Zambia, did a fantastic bond, a $750 million 10-year bond, last September. The discussion is so much more about job creation and investment, which is such a fantastic story and it's obviously partly to do with the fact that the traditional donors are having a financial problem, fiscal problem, on their balance sheets. They just don't have the capital anymore to hand out cash like they did in the past.

CNN: The Chinese story has been thrown into the mix, has that changed the landscape?

DM: Yes, absolutely, but in a strange way it's exactly what we need in terms of delivering economic growth and meaningfully reducing poverty. We need jobs, we need investment, we need trade, we need foreign direct investment, whether investment domestically but also from the outside.

It's not some magic pill, everybody knows that this is the formula, and finally the Chinese are showing up, again, not just in Africa, but around the world with that elixir, that mix of opportunities to really transform these countries. Remember, 70% of the populations of these places is under the age of 24. There is no escape: we have to create jobs.

Read this: How 'Afropreneurs' will shape Africa's future

CNN: A lot of people are critical of Chinese "neo-colonialism" but you argue that's not the case.

DM: Well, it's not, because China has so many economic problems in itself. You know, this is a population of 1.3 billion people with 300 million people that live at the level of Western living style. So they've got a billion people to move out of poverty. The notion that they would be spending their time trying to colonize other places is just, frankly, absurd.

I'm not saying that China should be given a red carpet, carte blanche, to come into Africa or, indeed, anywhere in the world, and do what they like. We do need the investment, we need job creation and we do need actual trade in these places. But I think what's really essential is to focus on what China can do for Africa, as well as what Africa can do for China. And I think that discussion is not had as objectively as it should be.

Ultimately, the responsibility of how China engages in Africa is really at the domain of the African governments. We would not be worried about the risks of neo-colonialism or abuse, environmental abuse and labor issues, if we trusted the African governments to do the right thing.

CNN: How do you see the trends playing out in the next decades?

DM: I'm an eternal optimist. I'm probably the wrong person to ask, because I do believe that the structural and fundamental structures of Africa right now are poised for a very good few decades. If you look at an economy through the lens of capital, which is basically money; labor, which is basically how many people do you have and what skills do they have; and productivity, which is just, how efficiently they use capital and labor, the trend is very clearly in favor of Africa.

Read this: African CEOs look to bright future

We've got a very solid fiscal story. The debt-to-GDP ratios in Africa today at the sovereign level are nowhere near the burdens that we are seeing in Europe and the United States.

The labor story is very positive -- 60-70% of Africans are under the age of 25. So a young population dynamically needs to be leveraged, so definitely we need to invest in skills and education to make sure that we get the best out of this young population. And then, in terms of productivity, this continent is a great absorber of technologies and all the things that can help us become more efficient.

Therefore, these three key drivers: capital, labor, and productivity, help spur economic growth.

Now is it going to be smooth sailing? Of course not -- there will be volatility, but I think the real investors in Africa will be able to make a delineation between risk and uncertainty.

CNN: And it's about a country's resources, too, right?

DM: That's a brilliant question, because actually the answer is no. I think it's really about the structural things that I mentioned: capital, labor, productivity.

Why do I say that? Let's take a look at the African stock market. There are about 20 stock exchanges in Africa and about 1,000 stocks that trade in Africa -- 85% of them are non-commodities. We're talking about banking, we're talking about insurance, we're talking about retail, we're talking about consumer goods, logistics companies, telecommunications companies, those are the stocks that are on the African stock market.

CNN: Do you feel a sense of responsibility to represent the African success story?

DM: Well, I suppose, for me, I feel a responsibility to tell the truth. This is a great continent. I went to primary school on this continent, secondary school, university, I've worked on this continent and I think that it's a great disservice that, for whatever reason, people have usurped an imagery of Africa that is absolutely incorrect.

They focus on war, disease, corruption and poverty. That is not all about Africa and I think it's really essential if we're going to turn the corner, we need to take that responsibility, as governments, as citizens, not just Africans, global citizens to say, "that's actually not true."

There are more poor people in India than there are in Africa; more poor people in China than there are in Africa, but somehow there's a stigma for decades that's been associated with the African continent that is completely unjustified -- and it's that I find objectionable.

@highlight

Dambisa Moyo is a Zambian economist, investment strategist and author

@highlight

She's been arguing for years that international aid stifles Africa's development

@highlight

Essential is to focus on what China can do for Africa , she says

@highlight

Moyo says capital, labor and productivity will help spur Africa's economic growth