(CNN) -- Young, athletic and troubled -- NFL player Chris Henry might have been a football cliché.

After being arrested four times, suspended by the league three times and released once by the Cincinnati Bengals, the wide receiver appeared to be on a personal and professional comeback.

But all that ended in December 2009. Henry died after falling from the bed of a moving pickup during a fight with his fiancée. His death was considered a tragic and bizarre end to a life plagued by behavioral problems.

This week, findings from Henry's brain examination reverberated through the sports world, raising questions about head injuries and safety in high-contact sports.

Doctors found evidence of brain damage, called chronic traumatic encephalopathy, that has been observed in retired players who've had many concussions. Unlike those older players, Henry was 26 when he died.

CTE is also known as dementia pugilistica, because career boxers who've suffered repeated blows to the head have been known to develop the syndrome. Sudden stops and collisions can cause the brain to slosh inside the skull.

Its effects are mainly neurobehavioral. These symptoms include poor decision-making, behavioral problems, failure at personal and business relationships, use of drugs and alcohol, depression and suicide.

"The effect on the brain appears to be damages to the emotional circuitry of the brain," said Dr. Julian Bailes, chairman of neurosurgery at West Virginia University.

"We think Chris exhibited some of the characteristics of the neurobehavioral syndrome of CTE," he said at a news conference Monday. "We don't know if there is a cause and effect."

The neurologists at the Brain Injury Research Institute at West Virginia University did not draw any association between Henry's actions and the disease.

"His case highlights the fact there is documented damage in someone young and actively playing," said Bailes, a former doctor for the Pittsburgh Steelers.

Bengals coach: Henry 'beacon of hope' before death

The syndrome is believed to be caused by large accumulations of tau proteins in the brain that kill cells in the regions responsible for mood, emotion and executive functioning. Tau proteins are also found in the brains of patients with Alzheimer's disease and dementia.

The findings regarding Henry's brain raised unsettling questions: Could CTE contribute to misbehavior of football players? If Henry, a seemingly healthy athlete in his mid-20s, had signs of CTE, could other young athletes have this syndrome, too?

Dr. Jon Weingart, professor of neurological surgery and oncology at Johns Hopkins University, said extrapolating from one case, like Henry's, would be a "big leap."

"That would be misleading," he said. "There's not enough data. ... To think that this is something brewing in many players -- there's no data to support that statement."

Weingart said the relationship between multiple traumas and head hits and CTE is not a proven cause and effect. At this point, it's a correlation.

Sports Illustrated: Concussions and football: Is the game too dangerous for our kids?

In 2009, the Center for the Study of Traumatic Encephalopathy at the Boston University School of Medicine reported that an 18-year-old multisport athlete who suffered multiple concussions also had CTE,  a finding that a neuropathologist described as "shocking."

MRIs and CAT scans are unable to detect CTE. Detecting the syndrome requires brain samples, which cannot be given until a person is dead.

The samples are colored with special microscopic stains. In Henry's brain, doctors found a tau protein accumulation, inflammatory changes and white matter changes that were significantly abnormal.

The fibers in the brain had brown discoloration and showed significant damage.

In previous findings of former NFL players, the brown tangles flecked throughout the brain tissue resembled what might be found in the brain of an 80-year-old with dementia.

Dead athletes' brains show damage from concussions

Henry could've had a genetic predisposition for the type of brain injury, because a majority of the brains with CTE contained the gene called the apolipoprotein E3 allele.

"We may be seeing a genetic trend that Chris is in the 70 percent of those diagnosed with CTE, who have a special genetic sign," said Bailes, the West Virginia University neurosurgery chairman. "Perhaps that may be a clue as to who's at risk for this to develop."

Genetic factors could make some people less able to tolerate subtle trauma to their brains. For example, some high school athletes get a concussion and struggle afterward, while others who experience the same degree of head bump recover without a hitch.

"There's some variability of how someone is able to handle and recover from trauma to the brain," Weingart said.

Henry's case has "sparked a lot of social debate and reflection and was scientifically valuable," Bailes said.

"We want to continue to study. We don't have all the answers. We're also looking, as soon as we can, to find treatment and prevention," he said.

NFL medical heads and Goodell convene on brain injuries

The NFL has recently pledged to step up its efforts on head injuries and named new co-chairs and members to its medical committee. The league has also changed guidelines prohibiting a player suffering a concussion to practice or play.

@highlight

NFL star Chris Henry was found to have a type of brain damage seen in older players

@highlight

Findings have raised questions about brain injuries and safety in high-contact sports

@highlight

Patients with CTE exhibit poor decision-making, behavioral problems, relationship problems