London (CNN) -- From a few thousand people traveling by camel in the 7th century to three million a year today: The story of the Hajj -- the Muslim pilgrimage to Mecca -- is an epic journey.

That journey is celebrated in the first major exhibition dedicated to the Hajj, opening at the British Museum in London on January 26.

It includes sacred objects, pictures and the human stories of pilgrims past and present.

"We hope to be able to get across the hardship of the journey in the old days when it was a long journey by camel or by sea and could take two years there and back," said Venetia Porter, the exhibition curator. "Now of course you can go by plane."

Yet despite the changes over the years, it was what hadn't changed which most struck Porter.

"The experience itself doesn't seem to have changed," she said. "If you read the historical accounts of pilgrims in medieval times, their rituals, how they feel and the deep spiritual significance is the same as now."

The exhibition falls into three sections, the first focusing on the journey to Mecca, particularly along the major routes used through history across Africa, Asia, Europe and the Middle East.

The second section focuses on the Hajj today, its rituals and what the experience means to pilgrims. Finally, the exhibition takes on Mecca itself, its origins and importance.

Mecca is considered the spiritual center of Islam because it was where the Prophet Mohammed is said to have received his first revelations in the early 7th century.

At its heart is the cube-shaped Ka'ba, built by Abraham and his son Ishmael, according to the Quran.

The Hajj takes place in the last month of the Islamic year, known as Dhu'l Hijja and includes certain rituals which must be completed. Every Muslim who can is expected to go on Hajj at least once in their lifetime.

It took the British Museum more than two years to collect all the objects, which include a seetanah which covers the door of the Ka'ba, archaeological material, manuscripts, textiles, historic photographs and contemporary art.

Also on Inside the Middle East: Finding freedom behind bars

The exhibition was put together with the help of the King Abdulaziz Public Library in Riyadh, which arranged the loan of some objects which had never before been taken outside Saudi Arabia.

The Saudi Ambassador to Britain, HRH Prince Mohammed bin Nawaf Al Saud, said: "Hajj is not just a physical journey, it's the most extraordinary spiritual journey every Muslim takes.

"We leave our families and our homes to undertake this profound life-changing experience.

"It doesn't guarantee passage to Heaven, but it focuses us on what's important in life.

"It's a sensitive issue for the British Museum to tackle and we had long discussions to make sure it was accurate. Eventually they did an excellent job."

Porter said: "The most challenging aspect for us was to turn it from a mere collection of objects into something evocative of the strong spiritual experience.

"The way we did it was to include quotes and voices from pilgrims."

To accompany its exhibition, the British Museum invited Muslims to recount their own experiences on its website, and hundreds have done so.

One, Kamran Majid, from London, wrote: "The moment you enter the Harem Mosque and first lay eyes on the Ka'ba feels like the day you are truly born of life, your soul, heart and eyes soften and ease to the glorious sight."

Also on Inside the Middle East: Youth march 'shows true spirit'

Another, Amal Alabdulkarim, from Riyhad, wrote: "Hajj is the journey of pureness, love, hope and optimism. It taught me humility, patience and justice."

Sophia Khan, from Slough, UK, wrote: "My most memorable moment was when I just happened to sit on some steps looking out to the Ka'ba. There were thousands of people from all over the world circumambulating this sacred structure at the center of the Earth, all there for a common purpose of praising God, yet each engaged in private reflection oblivious of any other."

@highlight

British Museum hosts first major exhibition on Hajj

@highlight

Three million Muslims a year take Hajj to Mecca

@highlight

Qu'ran says all Muslims should go at least once in their lifetime