(CNN)Liberation 70 years ago today at Auschwitz-Birkenau was anything but a celebration for my mother, Rena Margulies, who as an 11-year-old prisoner was one of the very few children to survive the Nazi death factory.

She lacked the capacity to celebrate as Russian troops in their long coats and fur hats plowed through the snow-covered landscape into the massive camp. Rena was emotionally numb, intellectually bewildered and physically drained.

At that moment she could hardly imagine that the madness that had destroyed her family and community could suddenly be lifted, that life could somehow return to a semblance of normality. Liberation simply allowed her to ease her focus on immediate survival and begin a long search for understanding.

In the days leading to liberation, she and her mother, Hinda, had hidden under the wooden planks of a barrack as Nazi guards evacuated the camp, forcing prisoners on death marches and shooting those who could not march; she had witnessed musselmen, skeletal figures inhaling their last breaths, collapsing upon each other in a pile of death.  She had repressed mourning for her little brother Romek who had been gassed four months earlier. One had to endure with stoicism, since any show of emotion could elicit a deadly beating or a bullet to the head.

She had lived under a cloud of uncertainty and fear, wondering what had become of her father who had also been imprisoned in Auschwitz, all as she suffered from tuberculosis and malnutrition. The Russian Red Army may have have physically liberated Rena, but mentally she remained imprisoned, still feeling that she was surrounded by death.

The coming days brought a series of disorienting events, rather than celebrations. The Russians handed the children striped prison uniforms, which they had never worn in camp. Rena put the uniform over her gray sackcloth dress, then marched with the other children by the barbed wire as a Russian camera crew filed the scene.

This would become an iconic film clip documenting the liberation, but one that spread the false idea that all Auschwitz prisoners wore such striped uniforms when in fact they were for slave laborers who worked in Aussenkomando brigades outside the camp.

On the train ride with her mother and Aunt Andzia back to their hometown of Tomaszow-Mazowiecki in central Poland, people exclaimed, "Oh, the Jews are back. Too bad Hitler didn't kill you all!," then shoved Hinda and Andzia off the train.  The Holocaust was over, but hate remained very much alive.

It was not until four decades later that the day of liberation would come to be a celebration of sorts.

Rena, her cousin Frieda and a small group of child survivors gathered on January 27, 1985, to celebrate what they determined was their common "birthday" -- the day they were reborn to have a second chance at life. For each year afterward, the child survivors would meet for a weekend around January 27 to celebrate their rebirth, share cake, flowers and good wishes, but also to reflect, discuss, study and help each other face the trauma they had endured. Enough time had elapsed that they could then confront the nightmare.

Study and reflection is exactly what the United Nations intended for this date when in 2005 the international body declared January 27 to be International Holocaust Remembrance Day.

The U.N. urged "... member states to develop educational programmes that will inculcate future generations with the lessons of the Holocaust in order to help prevent future acts of genocide." Today, there are numerous deeply meaningful curricula that are of great benefit to students of all backgrounds.

Just as my mother and her child survivor friends sought understanding as they tried to come to terms with the unimaginable, students around the globe must be engaged in education about the Holocaust and the lessons it holds for humanity -- because, tragically, the liberation of Auschwitz failed to deliver an end to terrorism and genocide.

The world continues to suffer from too much hate-driven violence, from this month's terror attacks in Paris, to genocides in Syria, Darfur, Rwanda and Bosnia, all case studies that the lessons of the Holocaust 70 years on remain as relevant as ever. They still must be taught, more widely disseminated and never forgotten.

This is a day not merely to commemorate, but to educate.

@highlight

Allan Chernoff's mother was 11 when she was among those liberated from Auschwitz

@highlight

On International Holocaust Remembrance Day,  the lessons of the terrible event have not been learned in many parts of the world, he says