DNA pioneer James Watson is to sell the Nobel Prize he won for his co-discovery of the double helix structure, the building block of life.

The coveted gold medal is expected to go under the hammer for up to $3.5 million in a sale at Christie's in New York on December 4.

It will be the first time a Nobel Prize has been sold by a living recipient.

Watson, now 85, was awarded the medal for work in the field of physiology or medicine alongside fellow scientists Francis Crick and Maurice Wilkins in 1962.

The scientist's notes for his acceptance speech at the Nobel ceremony in Stockholm and the manuscript of his Nobel lecture are also on offer at the auction.

New life engineered with artificial DNA

Watson and Crick worked together on the structure of DNA at the University of Cambridge's Cavendish Laboratory in the early 1950s.

"He was the first person I met who I could really talk to," Watson said in 2013. "I'd met people, but they didn't share my conviction that only DNA was important."

In 1953, the pair came to the conclusion that DNA was formed by two twisted strands of molecules, like the rungs of a ladder, holding the iconic double helix structure together.

"All we could say when we got it: It's so beautiful!" Watson said.

'DNA was my only gold rush,' says Watson

The discovery, which explained how DNA stores information and how it is replicated, changed biology forever and revolutionized medicine.

"Everything we do since then is more or less based on that structure," Mario Capecchi, professor of genetics and human biology at the University of Utah and a former graduate student of Watson's, said last year.

Announcing the sale, Christie's auction house said Watson's work was "On a par with Newton, Darwin and Einstein, (and his) unyielding quest for knowledge led to discoveries that forever altered human history."

The lucrative allure of the double helix

Watson says he intends to use part of the money raised by the sale to fund projects at the universities and scientific research institutions he has worked at throughout his career.

"I look forward to making further philanthropic gifts to Cold Spring Harbor Laboratory, the University of Chicago, and Clare College Cambridge," he said in a statement.

He added that the auction would mean he could "continue to do my part in keeping the academic world an environment where great ideas and decency prevail."

Last year, Francis Crick's "Secret of Life" letter to his son, in which he explained the structure of DNA weeks before the discovery was officially announced in the April 1953 edition of the journal Nature, was sold for $6.06 million.

The world record price -- more than three times its pre-sale estimate -- made it the most expensive letter ever sold at auction.

How your DNA can reconstruct history

@highlight

James Watson, co-discoverer of DNA, to sell Nobel Prize medal he won in 1962

@highlight

Watson, Francis Crick and Maurice Wilkins won for work on double helix structure

@highlight

Auction will be the first time a Nobel Prize has been sold by a living recipient

@highlight

Gold medal is expected to go under hammer for $2.5 million to $3.5 million