(CNN) -- My first investigation as a new Epidemic Intelligence Service (EIS) Officer with the Centers for Disease Control was of a large outbreak of measles, mostly among Hispanic children, many under a year old, and many who became infected when they visited hospital emergency departments for other reasons.

I will never forget how nervous I was. I wanted to do a good job for those children, their families and everyone around them. These infants were too young to be vaccinated, and as a result they were particularly susceptible. So we vaccinated those around them to stop transmission.

By 2000, a decade after my EIS experience, measles transmission in the United States was declared to have been stopped. However, we still have occasional clusters of measles in pockets of unvaccinated children after measles has been brought into the United States from somewhere else in the world.

Usually there are about 60 cases of measles in the United States in any given year. But this year we saw 175 reported cases in the first 11 months -- all ultimately linked to people who brought measles to the United States from abroad.

Although most of us don't realize it because it is so rare in our country, measles is a serious disease. Worldwide, on an average day, 430 children -- 18 every hour -- die from measles and its complications.

Measles is so contagious that if one person has it, 9 of 10 people close to that person who are not immune will also become infected.

Frieden: A nightmare health scenario we can stop

Today's interconnected world means we're all linked by the air we breathe, the water we drink, and the food we eat. Global travel speeds the rate at which infectious disease threats such as measles can be delivered to our doorstep.

Some think infectious diseases are no longer a problem in the industrialized world. But the fact is that infectious diseases continue to be with us. That's why prevention is the key.

The threat from measles would be far greater in the United States were it not for the development of the measles vaccine and its widespread use in childhood immunization programs around the world.

This week we celebrate the 50th anniversary of its creation.

Since 2001, a global partnership that includes CDC has vaccinated more than 1 billion children. Over the past decade, these vaccinations have prevented more than 10 million deaths.

The worldwide effort to prevent deaths from measles will leave behind an important global health infrastructure that will continue to make the world more secure. Improvements overseas, such as strengthening surveillance and lab systems, training disease detectives, and building facilities to investigate disease outbreaks, make the world -- and the United States -- safer and healthier.

Measles is just a plane ride away. It can be brought here by U.S. travelers and visitors from other countries. We must continue to be vigilant about measles transmission here at home. Parents should protect their children by making sure they've had two doses of measles vaccine. And all of us should make sure we're up-to-date on vaccinations, particularly prior to overseas travel.

These steps will protect the United States from measles until the world becomes measles-free.

CDC Director: A disease outbreak anywhere is a risk everywhere

The opinions expressed are solely those of Dr. Tom Frieden.

@highlight

Measles was declared eradicated in the United States in 2000

@highlight

We still continue to see cases stemming from overseas

@highlight

Measles is preventable through vaccination