LONDON, England (CNN) -- Violent and predatory pirates are "totally out of control" according to experts; but what can be done to solve the problem?

Held hostage: The crew on the merchant vessel "MV Faina" are among 286 being detained by Somali pirates.

It's the question that major trading nations, navies and shipping companies are all battling to answer as luxury yachts, large freighters and even competitive race boats face unprecedented levels of piracy.

As of December 5, a staggering 286 crew members aboard 14 vessels were still being held captive by pirates after a significant flurry of attacks that started in July this year.

The center of pirate activity has been the Arabian Sea, east of Africa. The majority of this year's pirate attacks have occurred in the Gulf of Aden region, particularly the waters off the coast of Somalia.

The number of hostages taken in the nine months to the end of September is more than triple the amount taken in the same period last year.

While many attacks have focused on trading vessels, luxury yachts have not been immune. Among the victims was French yacht "The Ponant," which was hijacked by Somali pirates in April and 30 crew were taken hostage.

Michael Howlett, assistant director of the International Maritime Bureau, said the number of pirate attacks was "totally out of control... and totally unprecedented."

There have been 101 reports of ships being attacked by pirates, including 40 hijackings, 34 cases of ships being fired upon, with over 800 crew members being affected, he said.

Howlett told CNN the pirates are hard to stop due to a lack of effective authorities in Somalia, limits in terms of how patrolling navies can act, and the vast expanses of water in which the pirates are operating.

"Because there is no real deterrent they are acting with complete disregard for everyone else," he said.

For cruising yachties in the area, the piracy problem has meant a dramatic rethink of plans.

Many cruisers cross the Gulf of Aden when heading towards the Mediterranean in February and March -- however, it appears that in 2009 these sailors may not be as free to make the journey.

As a result of the piracy sailors on one popular discussion site appear to be turning away from the area completely.

"The pirates have evolving tactics, and the situation changes often enough that what works today may not tomorrow. There is no absolute defence other than not sailing there," one sailor advised another.

So, how can this situation be remedied?

According to Howlett, the long term solution is a stable, functioning and effective government in Somalia.

"We need an effective government in Somalia ... and what we really need is a coordinated response. Somalia can't do it without its neighbors and the international community," Howlett told CNN.

Because most of the pirates are operating from Somalia, they need to have their supply lines and support networks cut off there, he continued.

In the shorter term, solving the problem, or at least minimizing it, depends upon the actions of the navies patrolling the area.

"The only effective parties are the navies. We would like them to play a bigger part, particularly engaging in some pre-emptive targeting.

"What we need to do better is make it more difficult using co-ordinated attacks. There needs to be more robust rules of engagement," Howlett said.

Without the ability to launch pre-emptive strikes, the naval vessels must wait until something happens until they can act, and even then they are limited in what they can do.

"It's really because their rules of engagement don't allow them to be involved at the moment," he said.

Still, the maritime community greatly appreciates the work of coalition, U.S. Navy, NATO, French and Yemeni coast guard vessels that were helping to deter some would-be attackers.

United Nations World Food Programme (WFP) Somalia spokesman, Peter Smerdon agreed that further naval assistance would be a huge help in the area.

The WFP in Somalia had been under threat with pirate attacks a serious danger for shipments of food into the impoverished country.

However, Smerdon said the WFP had now secured the services of European Union (EU) naval vessels to escort them into the area for one year.

"We don't foresee that the piracy issue is going to go away very quickly -- so this is excellent for us."

Smerdon told CNN that if pirates were to affect the flow of food aid into the country it could spark a massive humanitarian crisis.

The WFP was currently feeding about 1.7 million Somalian people every month and was aiming to increase that to 2.4 million per month, he said.

However, even with increased naval efforts, the attacks would still be hard to prevent due to the range of water pirates cover, Howlett said.

Over on the west coast of Africa, in the waters off the coast of Nigeria, frequent attacks by pirates are causing similar concerns.

In the first nine months of 2008, there were 24 piracy incidents in Nigerian waters, according to the most recent IMB piracy report. However, as the report noted -- it is believed attacks are seriously under-reported in Nigeria which is a "cause for great concern."

Another major issue is whether ransom payments should be paid.

While a South Korean shipping company decided to pay one of the ransoms requested, others have refused to -- citing the likelihood it would encourage more attacks.

Howlett said there was currently no set policy for ransoms, as it was a difficult area to deal with.

"Nobody wants to pay the ransom, but it's tricky because if you don't pay the ransom then you won't get your ship back."

Howlett said the piracy problem could also have a significant impact on the world economy if it is not addressed quickly.

"We are already starting to see a number of larger shipping operators re-routing their ships via South Africa. This will be a lot more expensive and the incurred costs will get passed on to the consumer," he said.

In a recent interview provided to CNN, a pirate leader claimed attacks onshipping would continue so long as life in Somalia remained desperate.

"The pirates are living between life and death," said the pirate leader, identified by only the name, Boyah.

"Who can stop them? Americans and British all put together cannot do anything," he said.

For now, Howlett said shipping operators and recreational boaters needed to take caution through the area -- or avoid it if possible.

@highlight

More than 280 crew members are still being held hostage by pirates

@highlight

Michael Howlett of the IMB says the situation is "totally out of control"

@highlight

Navies need to be able to do more to stop pirates, Howlett says

@highlight

The pirate problem has threatened the UN World Food Programme in Somalia