Johannesburg (CNN) -- When Nelson Mandela was admitted to hospital, South Africans took a deep breath and prepared themselves for the worst. Despite the government issuing statements telling concerned citizens not to panic, they did. Mandela holds such a special place in South African's hearts that they fortify themselves with the inevitable day when he takes his last breath.

At 93, many here are grateful the former president and Nobel Peace Prize winner is still with them. He has long left the public and political stage but the knowledge that he is still around -- enjoying retirement on a farm in the Eastern Cape -- gives them a sense of comfort.

Nelson Mandela is held in deep affection because he reminds South Africans of how far they have come. Mandela rekindles South Africans nostalgia for a time when this country was a miracle of democracy. Mandela is the embodiment of the South Africa that was promised in the election of 1994.

The reality is that many South Africans worry that their "rainbow nation" no longer embodies Mandela's vision. With Mandela old and silent, there have been many worrying signs that his country has deviated off Mandela's path of reconciliation and democracy, say observers.

The government, under President Jacob Zuma, finds it challenging to embrace Mandela's dedication to a critical and probing free press. A new law, called the Protection of Information Bill, could jail journalists and whistleblowers for up to 25 years if they are caught in possession of classified state information. The government has refused to add a "public interest" clause, which would limit the scope of this legislation. The government says this law aims to protect the country from foreign enemies.

However, civil society groups say it is an attempt to muzzle the press, which has been vigorous in reporting corruption within government.

Corruption has for many, become the cancer at the heart of modern-day South Africa. It seems not a day goes by without a civil servant being outed for dodgy dealings. The former police chief is in prison for accepting bribes from a crime boss, the wife of the minister of state security has been found guilty of drug trafficking and Schabir Schaik, President Zuma's former financial adviser, who was jailed for fraud and corruption, barely served his sentence and is on "medical parole" despite being seen playing golf by journalists. The province of Limpopo was recently declared "technically bankrupt" by the national treasury after discovering there was "unauthorized and irregular" spending by the provincial leadership. Observers say the looting of state coffers is not just limited to the Limpopo province.

Additionally, the cornerstone of Mandela's legacy -- the constitution -- has always been a soothing balm to even the most pessimistic about South Africa's prospects. No matter the challenges that convulse society, there was always the sense that the work of the judiciary and the Constitutional Court would protect the democratic edifice. When President Zuma recently said in a newspaper interview that he was looking to "review" the work of the Constitutional Court there was a deep sense of dismay. Many people have been left wondering why ANC-led government would tinker with the foundations of Mandela's South Africa.

Mandela is said by those close to him to be suffering from a form of senile dementia, which doctors say is common in the very old. He gets confused and is easily upset and agitated. Importantly, for a man who was obsessed with the news, his family and the military now largely protect him from the details of everyday life.

If he really understood what was going on around him, what would Nelson Mandela say about an apartheid-era law that was being used to threaten journalists trying to report on his health?

Ironically, the government is using the National Key Points and Strategic Installations Bill -- previously known as the feared National Key Points Act -- to increase the powers of the security structures to declare, in secret, buildings that are of "national importance." This law was created in 1980 at the height of the state of emergency and policed by apartheid forces.

When reporters stood on the perimeter of the military hospital believed to be where Mandela was being treated, they were threatened with arrest if they filmed the hospital building. One photographer was detained briefly and has since been released. The same law has been evoked in a case against two news agencies, which apparently set up cameras outside Mandela's Eastern Cape home.

Legal experts hope that case goes to court because they say this "key points" legislation would never pass a constitutional test.

Despite many contradictions, South Africa remains a beautiful and extraordinary nation. Present day South Africa is so much better than those dark, ugly days when Nelson Mandela was in jail and the racist laws subjugated most citizens.

However, the reason South Africans panic when they hear Mandela is unwell is because they think to their future. They worry that when the day finally comes that Mandela goes, the country loses its democratic anchor.

@highlight

Ailing Nelson Mandela holds special place in South Africans' hearts

@highlight

Mandela has long left political stage but he embodies nation promised in 1994

@highlight

South Africans worry their "rainbow nation" no longer matches his vision

@highlight

Corruption is widespread; apartheid-era law being used to protect his privacy