(CNN) -- A shortage of lethal injection chemicals has contributed to declining use of capital punishment in the United States with a new report on Thursday noting only 39 executions this year.

It is only the second time in the past two decades the annual number of inmates put to death has dropped below 40.

The total represents a 10 percent reduction from last year. No further executions are scheduled in 2013.

"Twenty years ago, use of the death penalty was increasing. Now it is declining by almost every measure," said Richard Dieter, executive director of the Death Penalty Information Center, and the author of the report.

"The recurrent problems of the death penalty have made its application rare, isolated, and often delayed for decades. More states will likely reconsider the wisdom of retaining this expensive and ineffectual practice."

The nonprofit organization provides accurate figures and a range of analysis, but opposes use of the death penalty.

Lethal injection in nine states

While the annual number of executions and death sentences continues to drop nationally overall, it remains a legally and socially acceptable form of justice for aggravated murder in 32 states.

But just nine states conducted lethal injections this year, and two -- Texas with 16 and Florida with 7 -- accounted for nearly 60 percent of the total.

Texas is among the active death-penalty states scrambling to find new lethal injection protocols after European-based manufacturers banned U.S. prisons from using their drugs in executions.

Among them is Danish-based Lundbeck, which manufactures pentobarbital, the most commonly used -- either as a single drug, or in combination with others -- to execute prisoners.

New drug combinations

States have been forced to try new drug combinations or go to loosely regulated compounding pharmacies that manufacturer variations of the drugs banned by the larger companies, according to an investigation last month by CNN's Deborah Feyerick.

A pending lawsuit against Texas filed by several death row inmates and their supporters alleges the state corrections department falsified a prescription for pentobarbital using an alias.

Until recently, most states relied on a three-drug "cocktail," but many jurisdictions now use a single dose or a two-drug combination.

Various state and federal courts have postponed some planned executions until issues surrounding the new protocols are resolved.

Every execution this year relied on pentobarbital, except in Florida, which used midazolam hydrochloride -- a drug applied for the first time in human lethal injections.

And Missouri was prepared to inject a single dose of the anesthetic propofol for its two recent executions, until Gov. Jay Nixon halted its application.

The European Union had threatened to limit export of the widely used drug for other purposes if the state had proceeded. The two inmates were separately put to death in recent weeks using pentobarbital instead.

First woman executed

Among the high-profile capital cases this year involved Kimberly McCarthy, the first woman executed in the United States in three years.

The former Dallas-area resident was convicted of murdering her neighbor, and in June became the state's 500th prisoner to die at the hands of the government since 1976, when the Supreme Court allowed capital punishment to resume.

So far, 1,359 people have been put to death across the country since that time, using lethal injection, electrocution, gas chamber, hanging, and firing squad. That includes three federal prisoners.

Spared for now was Georgia inmate Warren Hill, whose attorneys say he is mentally disabled. Courts earlier this year stayed three separate execution dates, one with just minutes to spare.

The Supreme Court in March will hold oral arguments and decide whether the Florida scheme for identifying mentally disabled defendants in capital cases violates previous standards established by the high court.

Freddie Lee Hall and an accomplice were convicted of the 1978 murders of a pregnant 21-year-old woman and a sheriff's deputy in separate store robberies, both on the same day. His lawyers say the death row inmate has an IQ of 60.

In Missouri, Reginald Griffin was freed in October and his sentence thrown out after the state high court found the trial prosecution withheld critical evidence that may have implicated another prisoner in a jailhouse murder.

He became the 143rd person exonerated from death row in the past 40 years.

Maryland abolishes death penalty

Maryland became the sixth state in as many years to abolish its death penalty, joining Connecticut, Illinois, New York, New Jersey, and New Mexico. Eighteen other states have previously done so.

Attorney General Eric Holder faces a tough decision in coming months: whether to seek the death penalty in federal court for Boston Marathon bombing suspect Dzokhar Tsarnaev.

Across the country, capital sentences remain at historic lows, with just 79 so far this year.

They have declined in number by 75 percent from 1996, said the report, when 315 people were put on death row.

With the death penalty declining and recent polls showing a corresponding drop in public support, some legal analysts wonder if the Supreme Court is prepared in coming years to take another look at the issue's overall constitutionality -- whether capital punishment in the 21st century represents "cruel and unusual punishment."

No sign of Supreme Court review

The justices in most cases continue to deny most requests for stays of executions, usually without any comment, or a breakdown of which members of the nine-member bench might have granted such a delay.

"It certainly seems that it merits another day in court after 40 years," said Evan Mandery, a law professor at John Jay College of Criminal Justice, and author of the new book "A Wild Justice: The Death and Resurrection of Capital Punishment in America."

"There are a lot of reasons to think that (moderate-conservative) Justice Anthony Kennedy's vote is up for grabs and his mind is open on this question. So I don't think the outcome of a case would be predetermined one way or another."

But there is no sign such a monumental legal and social review by the nation's highest court will be coming soon.

@highlight

Shortage of lethal injection chemicals contributes to drop in capital punishment

@highlight

The number of executions falls below 40, off 10 percent from last year

@highlight

Nine states executed inmates in 2013 with Texas and Florida accounting for most

@highlight

The Supreme Court is not likely to address the issue any time soon