(CNN) -- If the U.S. military were to intervene in an increasingly chaotic Libya, it would most likely be part of a NATO action in which Libyan bloodshed has reached a humanitarian crisis, analysts said Thursday.

As reports emerged Thursday about deadly clashes between leader Moammar Gadhafi's forces and anti-government protesters in the town of Zawiya near Tunisia, analysts highlighted how Gadhafi has already pledged to fight a rebellion to martyrdom.

Military intervention "is something which I hope doesn't happen, but it looks as though at some point that it should happen," said Simon Henderson, senior fellow at the Washington Institute for Near East Policy.

"What's an acceptable number of civilian deaths? I don't know. Choose your figure," Henderson said. "At the very least, instead of having a casualty list certainly in the hundreds, possibly in the thousands, we don't want a casualty list numbering in the tens of thousands, or 100,000 or so."

After 10 days of protest, Gadhafi has lost control of the eastern portion of a country he has ruled for 42 years, and analysts portrayed him as a dictator desperately clinging to power. Members of his government have defected, and in a sign of growing international pressure, Switzerland ordered Thursday that Gadhafi's assets be frozen.

"You've got to assume the worst about Moammar Gadhafi," Nicholas Burns, a professor at Harvard Kennedy School and former under secretary of state between 2005 and 2008, told CNN. "With his back to the wall, he's going to go out in a blaze of vicious attacks."

North Atlantic Treaty Organization defense chiefs ought to be holding discussions about "not taking action but preparation" for the Libyan crisis, said Robert Kagan, a Mideast expert who worked in the State Department under President Ronald Reagan.

"I don't think anyone is talking about immediate military actions now," Kagan told CNN, especially as 167 U.S. citizens are waiting on a ferry to leave Libya.

U.S. officials have said all options were under consideration, including sanctions and enforcement of a no-fly zone, to try to keep the Libyan government from attacking protesters.

Ibrahim Sharqieh, deputy director of Brookings Doha Center in Qatar, interpreted that statement as indicating that military force remains a possibility.

"In my opinion, it's still premature to talk about U.S. military intervention in Libya at this point, but we should not eliminate it completely," Sharqieh said.

Meanwhile, the Department of State recommended Thursday that the 6,000 or so Americans in Libya "depart immediately due to the potential for ongoing unrest."

Libya's disintegration, the latest Middle East uprising that has already toppled autocracies in nearby Tunisia and Egypt, poses greater impacts to Europe than the United States, analysts said.

Africa's largest oil producer, Libya exports 1.5 million barrels a day, mostly to Europe, which relies on the country for 10% of its energy needs, analysts said.

Meanwhile, refugees fleeing Libyan violence are expected to land in such European countries as Italy, analysts said.

On Thursday, President Barack Obama spoke with the leaders of France, Italy and the United Kingdom on coordinating an international response to the crisis in Libya, the White House said.

In separate phone conversations with French President Nicolas Sarkozy, Italian Prime Minister Silvio Berlusconi and British Prime Minister David Cameron, Obama "expressed his deep concern with the Libyan government's use of violence, which violates international norms and every standard of human decency, and discussed appropriate and effective ways for the international community to immediately respond," the White House statement said.

While some critics say the Obama administration has been slow to react to Libya, the statement said Thursday's discussions were to "coordinate our urgent efforts to respond to developments and ensure that there is appropriate accountability."

"The leaders discussed the range of options that both the United States and European countries are preparing to hold the Libyan government accountable for its actions, as well as planning for humanitarian assistance," the White House statement said.

Complicating any consideration of military intervention is how American and European armed forces have been strained from repeated deployments to Afghanistan and Iraq for almost 10 years, analysts said.

Libya's factions and tribalism would make an intervention perilous, said Nathan Hughes, director of military analysis for the global intelligence firm Stratfor of Austin, Texas.

"It's not clear what a post-Gadhafi Libya looks like," Hughes said. "It's a very messy situation. It would be a very difficult situation to jump into militarily.

"There are no geographical boundaries. There are soft demographic, cultural and tribal boundaries. To get enmeshed in that without understanding the local culture ... it would be a pretty tough spot to put troops in," Hughes added. "Once the writing is on the wall that Gadhafi is going to go likely to go, the incentive for the various tribal factions and other factions within Libya is to maneuver to make sure they have a place in whatever comes next."

Were NATO to send armed forces into Libya, the rest of the Arab world wouldn't protest much, the analysts said.

"I don't think they would have any problem with this. I would suspect that the Arab world would support this," Sharqieh said.

Added Henderson: "On day one, they would probably think it's a good idea. On day two, come back and ask...me."

@highlight

Libyan leader Moammar Gadhafi has pledged to fight the rebellion to martyrdom

@highlight

Analysts say U.S. military intervention is a remote thought for now

@highlight

But if bloodshed spirals out of control, U.S. may be likely to join a NATO intervention