(CNN) -- As an 11-year-old boy, Hedi Slimane sought refuge in the school darkroom. Shortly after starting photography classes, the former Dior Homme designer had a key to the lab and would go there to develop photos whenever he could.

He may be one of the most influential designers of this century, but it is the camera that continues to fascinate Slimane.

Born to a an Italian mother who worked as a seamstress and a Tunisian father, Slimane is credited with transforming the male silhouette when he introduced skinny jeans with a rock 'n' roll edge at the turn of the century.

In 2002, he was declared International Designer of the Year by the Council of Fashion Designers of America, previously won by Karl Lagerfeld and Jean-Paul Gaultier.

In 2007, Slimane turned his back on fashion, leaving Dior, and returning to photography to take melancholic androgynous images heavily influenced by the British music scene.

Today, he shoots for fashion magazines and his subjects have included Lady Gaga, Lindsay Lohan and Robert Pattinson.

Now based in Los Angeles, he is photographing California youth culture and has an exhibition opening in November.

In an exclusive interview with CNN, Slimane talks about falling in love with photography; his book, "Anthology of a Decade," which follows his journey through fashion, music and the art world; and how the attacks of 9/11 are forever imprinted on to his mind.

CNN: What is your first memory of photography?

Hedi Slimane: My parents offered me my first camera, a vintage Nikon F and a 50mm lens for my birthday and I developed an exclusive passion for it over the years. Since I was not the most social kid on the block, the camera helped me to express myself, invent my own language -- something like a secret garden. I decided early on I would not write in a diary but take silent photographs instead. This is, of course, what I still had in mind when, in 2007, I started to develop online this idea of a photographic "diary," which later became a format, or definition for some emerging photography blogs.

CNN: How would you describe your style?

HS: It has not evolved much over the decades. I started as a black-and-white teenage photographer, and I'm still there decades after. In some ways, the genre is almost gone. I am thinking of true, stubborn, lifetime black-and-white photographers, as opposed to black-and-white as a photographic commodity.

I presume my work has also always been about reduction -- the subject alone -- without any distraction or after effects, outside emotions, or intimacy or complicity with the subject ... The grace of it all and the fragility of it all are the main subject.

CNN: Who or what inspires you?

HS: Mostly the subject of the photograph, which can be anyone really, coming down the street -- someone that has no idea. "Heroism" in photography, just like in a novel, is for everyone. Choosing it, or finding it, is the most difficult thing, really. It is mostly a mere coincidence, or some sort of luck. Besides, I like it to stay very organic, and to remember a personal story behind all my subjects.

CNN: What are some of your favorite images from 'Anthology of a Decade?'

HS: I'm so personally attached to all the characters I met and photographed over the years ... the anthology is like a photographic reliquary that could potentially preserve their grace, fierce joy, and restlessness. Some of them, like Amy Winehouse, are so sadly already gone.

CNN: Your photography documents the European music scene, the New York art scene and global street fashion. How are music, art and fashion interconnected in your eyes?

HS: Music, since the 1950s and the birth of the concept of the "youth" as a social group, has always been a laboratory for new ideas and sub-cultures. Music defines decades, and quite clearly shapes the rhythm, vitality of fashion, attitude and social behaviors. The anthology, just like most of my work, from photography to fashion design, is about and around music.

CNN: Your book is a reflection of the past decade. What have the last 10 years been like for you?

HS: This decade is certainly the most significant and singular decade ... a decade which has transformed us completely. Tragically, this decade started in 2001, rather than 2000. Together with the rise of the internet, September 11 and its aftermath has changed most of our lives.

The anthology and most of its subjects are somehow representative of this decade. The new indie generation in music was born in 2001 and the internet and newborn social networks ended up as an experimental channel for most of the musicians involved in the anthology project.

CNN: What is the most enduring image of the last decade for you?

HS: September 11, unfortunately. It is interesting to foresee the awakening of the Arab world, and hopefully growing democracy, as the beginning of the new one.

California Song, a collection of photographs by Hedi Slimane, will be on view at MOCA Pacific Design Center in Los Angeles from 12 November 2011. More information: moca.org

Anthology of a Decade, published by JRP-Ringier, 2011

@highlight

Hedi Slimane has photographed Amy Winehouse, Pete Doherty, John Lydon and more

@highlight

Former Dior Homme designer-turned-photographer talks about turning his back on fashion

@highlight

Recently published collection of his work, "Anthology of a Decade"

@highlight

Currently working on a solo exhibition, "California Song"