(CNN) -- In a year rife with films styled after the classic gritty and morally ambiguous cinema of the 1970s ("Moneyball," "Shame" and "The Ides of March"), the best of the lot arrives Friday with Tomas Alfredson's brilliant "Tinker Tailor Soldier Spy."

Adapted from John Le Carré's 1974 novel of the same name, the film is an exceptional treat for those who like to give their brains a little bit of a workout from time to time.

The year is 1973: The Cold War is raging around the world, and Britain's security apparatus is split into two branches: MI5 for domestic operations (much like the FBI) and the Secret Intelligence Services, aka MI6 (the CIA equivalent). It's not really that simple, but go with it.

Code-named The Circus, MI6 is run by a small group, led by a man known only as "Control" (John Hurt). A grizzled Cold War veteran, Control is convinced a Soviet agent is embedded at the top of The Circus, and he has authorized a clandestine operation to convince a Hungarian general with knowledge of the mole to defect.

Alas, the mission goes disastrously wrong, and agent Jim Prideaux (Mark Strong) is killed. In the aftermath, Control is hung out to dry and forced to leave the service, taking with him his loyal lieutenant, George Smiley (Gary Oldman). In his involuntary retirement, Control suffers a heart attack and dies.

Shortly thereafter, amid increasing evidence that Control's fears were right, Smiley is secretly rehired by the British government and tasked with uncovering the double agent. Control has done some of the work for him and narrowed the suspects down to five men, all nicknamed after characters from a children's nursery rhyme:

Percy Alleline (Toby Jones) is "Tinker," Bill Haydon (Colin Firth) is "Tailor," Roy Bland (Ciaran Hinds) is "Soldier," Toby Esterhase (David Dencik) is "Poor Man" and Smiley himself is codenamed "Beggarman." So distinct are these men that they each might as well have their own adjectives: "snippy" Percy (aren't they all?), "sardonic" Bill, "menacing" Roy and "unctuous" Toby.

If there were ever to be a remake of "Casablanca" (and I should probably be struck dead for even imagining it), Dencik would make an excellent Ugarte (Peter Lorre).

Due to the clandestine nature of his task, Smiley is forced to recruit his team from the ranks of junior agents or the recently fired, including Peter Guillam (the always excellent Benedict Cumberbatch from the BBC's "Sherlock"), who in one ingeniously staged sequence, must steal documents from The Circus. Cumberbatch also has the single most emotionally affecting scene in the film, illustrating the sacrifices the intelligence community must pay in the service of secrecy.

As Smiley, Oldman does more with his eyes and subtle facial expressions than most actors do with histrionics and yelling, and he doesn't say a word for what seems like forever at the start of the film. Not only that, he's the perfect example of hiding in plain sight.

With a sloppy suit and giant owl-eye glasses, he looks old and worn, almost befuddled. But he's the fox in the chicken house, wearing a chicken disguise, and when he speaks, it's clear that his is by far the brightest bulb in the room, and you ignore him at your peril.

Smiley is a master spy in the real-world sense. James Bond is great fun but realistically, you wouldn't want your espionage experts to be dashing, recognizable extroverts. You want them to be the everyday schmuck who's reading the paper across from you on the subway or the random briefcase-toting CPA that lives down the hall.

Le Carré was an MI6 officer in the 1960s (real name David John Moore Cornwall), and his books have that air of authenticity detectable by even those who have no such experience themselves. As for the novel, those familiar with it will notice quite a few departures, omissions and location changes from the original (and the big one, an MI6 holiday party, was approved by Le Carré), but for all these differences director Alfredson et al. have nailed the important stuff: They have made a great film with the feel of the source material. There's not a false note in the film.

Alfredson ("Let the Right One In") told the screenwriters (Peter Straughan and his wife, the late Bridget O'Connor) and designers he wanted the film to look and feel "like the smell of damp tweed," and if it's possible to pattern visuals after a smell, Alfredson, cinematographer Hoyte van Hoytema and the rest of the crew pull it off brilliantly. The flared collars and trousers in various shades of brown, tan and beige scream mid-1970s, and you can practically hear the rustling of the corduroy slacks as they wade through piles of fallen leaves.

If I were a betting man, I'd put my money on Oldman joining George Clooney ("The Descendants"), Brad Pitt ("Moneyball"), Jean Dujardin ("The Artist") and Michael Fassbender ("Shame") as a best actor nominee. I consider only Clooney, Pitt and Dujardin as locks, but Oldman's performance is the equal of any on this list, and these five could make for the strongest competition in this category for years.

For those of you expecting Jason Bourne or James Bond, please adjust your expectations. There is no gadgetry, no Parkour, no sexy villains with silly names and no absurd doomsday devices. There is, however, a meticulously crafted thriller with complex characters, some great vintage Cold War espionage, plot turns you won't see coming and some magnificent acting.

"Tinker Tailor Soldier Spy" is rated R. It contains some off-color language, brief nudity and a few short, sharp bursts of violence. It opens Friday in New York and Los Angeles and expands throughout the country this winter.

@highlight

"Tinker Tailor Soldier Spy " is adapted from John Le Carré's 1974 novel

@highlight

The film is a spy thriller set during the Cold War in 1973

@highlight

The action involves one of Britain's security forces, MI6