The uptick in attacks by Afghan security forces against coalition troops has hit home, with all troops at NATO headquarters and all bases across Afghanistan now ordered to carry loaded weapons around the clock, CNN learned Friday.

Gen. John Allen, the NATO commander in Afghanistan, ordered the move, according to a U.S. official with direct knowledge of the orders. The order, made in recent days, was divulged amid two more so-called green-on-blue or insider attacks Friday.

An Afghan police officer opened fire on U.S. troops in Farah province in southwestern Afghanistan, killing two service members, the NATO-led command said. Two International Security Assistance Force troops and an Afghan service member were wounded by another Afghan service member in Kandahar province, in the south.

The order comes as coalition forces adopt and study measures aimed at thwarting such attacks.

In Afghan combat situations, all troops are armed.  But at other locations, only base security forces had been regularly armed. Those troops have been called into action when insurgents have launched attacks on the base.

Coalition steps up fight against Afghan 'green-on-blue' attacks

Now, anyone who goes to the base headquarters would see that all troops, regardless of their tasks, carry weapons with a magazine of ammunition attached, a U.S. official confirmed.

Troops now could fire against an attacker within seconds by sliding a lever on their weapons to make a round drop into the firing chamber. Loaded weapons are being carried both in the open outdoor areas of the base and inside buildings and meeting rooms.

Allen and his top commanders live and work at the Kabul NATO headquarters, attached to the U.S. Embassy.

The Friday green-on-blue attacks follow a claim purportedly from Taliban leader Mullah Mohammed Omar that fighters are infiltrating Afghan security forces to attack NATO-led forces on their bases.

"Many Afghans in the rank and files of the enemy have shown a willingness to help the (Taliban) in a shrewd manner," said a statement posted on militant websites Thursday and obtained by SITE Intelligence Group, which monitors the activities of militant groups on the Web.

"As a result, the foreign invaders and their allies at their military centers and bases are suffering crushing blows by these heroic soldiers."

CNN can't independently verify the authenticity of the statement, which was released in advance of this weekend's Eid al Fitr celebrations that mark the end of the Muslim holy month of Ramadan.

The Taliban are known routinely to claim responsibility for attacks and inflate casualty numbers.

Omar also urged employees of the Afghan government to seek out the group's newly established "Call and Guidance, Luring and Integration" departments that have been established throughout the country "so that they may leave the enemy ranks and join the fighters," according to SITE.

Omar's statement drew a sharp response from Allen, who accused the Taliban leader of issuing "an unmistakable message of death, hate and hopelessness for the Afghan people" on the eve of the Eid celebrations.

"The pride of the Afghan people has been smeared by killers who pose as soldiers and police, yet they represent the worst of humanity," Allen said Friday.

The commander accused of Omar of sending "young brainwashed men to carry out attacks in a fruitless cause," while he "rests comfortably from afar."

"He professes love for his fighters, yet he sends them to their deaths by the hundreds. Where is the vision that Omar speaks of? Where is the love he professes for the Afghan people?" Allen said.

"Are these not the acts of a deranged man who puts his own goals of personal domination ahead of the future of the Afghan people?"

Shootings by Afghan forces take growing toll on NATO troops

An estimated 101 NATO troops have been killed in green-on-blue attacks since May 2007 across the country, military analyst Bill Roggio said Friday.

Roggio, managing editor of the Long War Journal blog, which reports and analyzes terror issues, said green-on-blue attacks have caused around 13% of coalition deaths this year.

Of the green-on-blue attacks since 2007, about 40% of the deaths have occurred this year and 35% occurred last year, he said.

Roggio said there was a flurry of insider attacks early in the year, then a lull, and now a flareup in recent days. Green-on-blue is military lingo, with green a reference to Afghan forces and blue to coalition troops.

" 'Blue' is always the color of the friendly force, i.e. NATO/ISAF; 'Red' signifies the enemy force; and 'Green' is the indigenous force allied with, but separate to, the friendly force. In this case, 'Green' is the ANSF," said Maj. Adam Wojack, a media officer with the International Security Assistance Force, referring to the Afghan National Security Forces.

The U.S. military is starting to use the term "insider attack" rather than "green-on-blue" because it's easier to understand and because Afghan troops have been victims of the attacks.

The NATO-led command did not provide details about the deadly attack in Farah, but a provincial police chief told CNN that an Afghan policeman shot the American service members early Friday during a training session in the Bala Boluk district.

Police Chief Aqa Noor Kintos said two U.S. Special Forces members were killed and another was injured. The gunman was killed when troops returned fire, he said.

During the gunfight, an Afghan National Police member was also killed, and another was injured, he said. Lt. Col. Hagen Messer, a NATO-led command spokesman, confirmed that two U.S. service members were killed in the attack.

The Taliban claimed responsibility in a text message to journalists, saying a 70-year-old policeman killed the three troops.

It's the second time a man in an Afghan security uniform has opened fire on coalition troops in the Bala Boluk district. In December 2011, a gunman posing as an Afghan soldier wounded coalition troops.

Official: Man in Afghan security uniform kills 3 U.S. troops

In the Kandahar incident, the member of the Afghan National Army who turned his weapon against coalition forces was shot and later died of his wounds after he was taken to an ISAF medical facility. The incident occurred in the province's Zharay district, ISAF said.

The frequency of the insider attacks has prompted Afghan intelligence agents to go undercover during recruit training to spot possible extremists, military officials said.

Allen said coalition officials were working on a new procedure to check the backgrounds of Afghans who sign up for the army or police force.

The U.S. government has offered a reward of up to $10 million for information leading to the arrest of Omar, who took over Afghanistan in the early 1990s and established a hard-line Islamic fundamentalist regime that gave shelter to Osama bin Laden and al Qaeda.

Omar vanished from public view after a U.S.-led coalition ousted the Taliban and its leaders from power in Afghanistan in December 2001 for refusing to hand over bin Laden after the 9/11 attacks.

Over the years, he has refused to be photographed or filmed, and has rarely traveled. As a result, Omar's appearance has remained a mystery to many. Those who have met Omar say he has one eye stitched shut, the result of a wound suffered during a battle with Soviet troops during their occupation of Afghanistan.

There have been conflicting reports about Omar's fate. As late as last year, the Taliban denied reports the leader was dead.

The attacks come a day after a helicopter crash in southern Afghanistan killed seven U.S. service members, three Afghan soldiers and an Afghan interpreter. Authorities are investigating whether the crash was caused by technical problems or a shoot-down.

@highlight

NATO official's order was made in recent days as concern mounted over the attacks

@highlight

Taliban leader Mullah Mohammed Omar has purportedly released a statement

@highlight

In the statement, he says fighters are having success infiltrating Afghan forces

@highlight

"Green-on-blue" attacks have been carried out by Afghans in security uniforms