(CNN) -- A clean-cut young man buys tons of fertilizer, which he uses to create a huge bomb. He puts it into a box truck, brings it into the middle of the city, and then sets off a massive, and deadly, blast.

That happened in 1995, when Timothy McVeigh unleashed terror in Oklahoma City.

And it happened again Friday in Oslo, Norway, when, police say, a 32-year-old man sparked a explosion that killed seven people in the heart of the city center. In Norway, the suspect allegedly and then traveled 20 miles to Utoya island, where he gunned down at least 85 others at a youth camp.

Sixteen years and nearly 5,000 miles separate the sites of the bombings. Yet Kari Watkins, executive director of the Oklahoma City National Memorial and Museum, said she has been flooded by calls and e-mails from survivors, victims' relatives and others affected by the attack in that Midwestern city who have been shaken by this week's violence in Scandinavia.

"It's a senseless and needless attack," said Watkins, noting that the Norway incident caused "flashbacks" for many. "And it's almost exactly what our people went through."

It has struck close to home in two parts of the world, in part because both McVeigh and the prime suspect in the Norwegian attacks are being painted as "domestic terrorists."

Scores of innocent civilians, including a number of children, were killed in both locations as attackers went after symbols and institutions -- in McVeigh's case a U.S. federal government building, and in the other a Norwegian government building and a youth camp affiliated with the ruling political party.

McVeigh had some help from Terry Nichols, who was convicted and is serving a life sentence for conspiracy and manslaughter for helping build the bomb; and Michael Fortier, convicted for failing to alert authorities. Meanwhile, Acting National Police Chief Sveinung Sponheim said that although only one man had been arrested as of Saturday, Norwegian police have yet to determine definitely that only a single person was responsible for both of the Norwegian attacks.

Growing up, McVeigh didn't appear to stand out, working at Burger King and a security guard. With his crew cut, the son of a automobile factory-line worker and homemaker looked the part of an all-American and even joined the military, where he became a decorated Army veteran before leaving the service.

Anders Behring Breivik, who Norwegian media have identified as the first and then only person detained in the more recent attack, appears to fit the role of a quintessential Norwegian. Pictures show him with blond hair, blue-green eyes and chiseled features, dressed in a preppy style. He had been a youth and adult member of the conservative Fremskrittspartiet (FrP) or Progress Party, VG newspaper reports, but there has been no indication he'd ever been arrested prior to this week.

Yet police say they believe the Norwegian is responsible for the deadliest attack ever on its soil. That was true for McVeigh, too, before the September 11, 2001, terrorist attacks.

"When it's one of your own, when it's one of our folks doing it to us, it's hard to stomach," said Watkins, who joined the memorial effort soon after the 1995 attack.

Both Breivik, according to reports, and McVeigh had extreme political agendas.

In the American's case, this included a growing disillusionment with the federal government. He viewed its treatment of the Iraqi people as that of a schoolyard bully, then became angered at its role in the disastrous raids at the Branch Davidian compound at Waco, Texas, and the cabin of white separatist Randy Weaver at Ruby Ridge, Idaho.

Up through his execution in 2001, McVeigh never expressed remorse for his role in the Oklahoma City bombing that left 168 dead.

The suspect in the bombing and mass shooting in Norway conceded the terrorist attacks in that nation were "horrible," but "in his head (they) were necessary," a man who identified himself as the suspect's lawyer told Norwegian broadcaster TV2.

Geir Lippestad told TV2 late Saturday that Breivik "is ready to explain himself" in a court hearing Monday.

The fact the Norwegian suspect doesn't look the part of a terrorist, especially in an age marked by threats and strikes by members of the Islamic fundamentalist group al Qaeda, doesn't surprise Watkins.

One thing the Oklahoma City bombing taught her is that "evil doesn't have to look like a monster."

That is one of many lessons learned by people in and around Oklahoma's capital. Oklahoma City Mayor Mick Cornett said that another is that there's no one, clear path toward emotional recovery from such a traumatic event.

"It's impossible to sum up the emotions of an entire city," the mayor said. "It's so emotional individually."

Cornett said that, in time, the experience made the Oklahoma City "stronger," more united and more patriotic, invigorated by the sense that "we were not going to let a criminal act tear us apart."

And Norwegian Prime Minister Jens Stoltenberg spoke to this sentiment hours after the attacks, when he vowed, "You won't destroy our democracy ... No one will bomb us into silence. No one can scare us from being Norway."

The people of Oklahoma City know, more than most, that such resiliency is possible -- but it is also difficult. Watkins said that the city's memorial and museum plans to offer its assistance to the people of Norway, including children's psychiatric counseling and other resources.

One lesson that the Midwestern city's residents have learned, the hard way, is that evil exists and it can strike at any time -- at times perpetrated by seemingly the least likely people.

"It seems so simple that we should be able to stop this, but it's so much harder than that," Watkins said.

CNN's Catherine Shoichet contributed to this report.

@highlight

Bombs in both Oklahoma City and Oslo were made from fertilizer

@highlight

Bombers in both cases are described as domestic terrorists, attacking their native countries

@highlight

Timothy McVeigh killed 168 people in the 1995 Oklahoma City terror attack

@highlight

An Oklahoma memorial chief says she's learned "evil doesn't have to look like a monster"