We've learned that some varieties of fish are low in fat and contain oils that keep the heart healthy. But recent reports about contaminants such as mercury and polychlorinated biphenyls, or PCBs, have prompted some health experts to rethink their advice about seafood.

Lots of varieties of fish are safe, but some types of seafood can be risky for certain groups of people.

For Seattle cardiologist Florence Sheehan, M.D., it isn't just her patients she worries about. It's her family, too. "Ours has a history of high cholesterol," Sheehan says. "So I eat fish frequently to keep my cholesterol down."

Lately, she finds herself scanning medical journals and government advisories to stay abreast of fish safety issues. She says that untangling the facts behind the latest seafood scares isn't as complicated as it seems. "The key is to place the benefits and risks into perspective," Sheehan says. "Lots of varieties of fish are safe. It's just that some types of seafood can be risky for certain groups of people." Here's a look at which fish pose risks, and which ones are safe -- and good for you, too.

The truth about salmon

A 2004 study in the journal Science raised concern among fish lovers with news that farm-raised salmon, the type found at most supermarkets, contained higher levels of cancer-causing pcbs than wild salmon. (Banned in the 1970s, PCBs still contaminate the environment. They are released by incinerators and toxic waste sites.) But two more recent studies, one on farm-raised salmon and the other on wild, found that both harbor similar levels of this pollutant. The first study, done with Chilean- and Canadian-farmed salmon, found an average of 11.5 parts per billion PCBs. The second, conducted by the Alaska Department of Environmental Conservation, sampled 600 wild salmon from the Gulf of Alaska and the Bering Sea, and found 8.2 to 10 parts per billion PCBs. It's important to realize that the amount of PCBs being talked about is very small, says Cornell University seafood specialist Ken Gall, who has studied fish safety issues for 22 years. "High doses of PCBs, like the kind of contamination that occurs with an industrial accident, can be dangerous," Gall says. "But it's uncertain whether the tiny amounts of PCBs found in many foods such as fish, meat, or milk can cause cancer."

Most health experts feel the health benefits of salmon far outweigh the risk posed by minute levels of PCBs. William Connor, M.D., a professor of medicine at Oregon Health and Science University, in Portland, who has spent most of his career studying the health benefits of the omega-3 fats found in salmon, says he has no qualms about recommending farm-raised salmon. "I would rather my patients not miss out on the benefits of salmon, a fish with some of the highest levels of heart-healthy omega-3 fats around, than fear PCBs," he says.

Connor adds that for most people, farmed fish might be all that's available in the local supermarket. Indeed, the majority of the 16 pounds of fish the average American eats annually is farmed. Another benefit of farm-raised salmon and other fish, he says, is that they're typically low in mercury. CookingLight.com: 7 salmon main dish recipes

Minding mercury

Since exposure to high levels of mercury can cause neurological damage in a growing fetus, the Food and Drug Administration continues to issue related seafood safety advisories to pregnant women and young children. In March of 2004, the FDA updated that advice with stricter, more specific rules: Pregnant women, or women who plan to become pregnant, should avoid eating four fish with high levels of mercury: swordfish, shark, tilefish, and king mackerel. While fresh and canned tuna didn't make the FDA's list, many experts say pregnant women may be better off limiting fresh tuna steaks and canned albacore, or "white," tuna to one meal per week or less, since these large fish can harbor mercury levels close to the one part per million threshold the FDA deems safe. (Canned light tuna is considered safe since it is made with smaller skipjack fish that are low in mercury.) The American Medical Association recently encouraged the FDA to require supermarkets to post warning signs about mercury near canned tuna as well as at the fish counter. CookingLight.com: Risks, benefits of 8 most popular U.S. seafood

Being aware of mercury is also a good idea for those who aren't pregnant. When internal medicine specialist Jane M. Hightower, M.D., performed a yearlong study of 123 of her patients, she found that a steady diet of high-mercury fish caused serious symptoms such as headaches, hair loss, problems with concentration, and high blood levels of mercury. Fortunately, once these patients switched to eating low-mercury varieties, symptoms began to disappear, and blood mercury levels returned to a safe level.

Minimize risk

Purdue University seafood expert Charles Santerre, Ph.D., thinks the key to minimizing health risks for any food is to aim for variety. "If you ate swordfish or shark or king mackerel every day, you could experience mercury toxicity," Santerre says. "But if you eat them once a month [and trade off with] some other low-mercury fish, it shouldn't be a problem." However, the "sensitive population," including pregnant and nursing women, should always avoid swordfish, shark, tilefish, and king mackerel, Santerre says. On his list of safe, low-mercury options: shrimp, salmon, pollock, farm-raised catfish, tilapia, flatfish (flounder, sole, plaice), scallops, haddock, farm-raised trout, herring, crawfish, mullet, oysters, ocean perch, sardines, squid, white fish, and anchovies.

Connor agrees. He eats seafood three or four times per week and calls the health benefits of fish, particularly the varieties that harbor omega-3 fats, profound. "These fats prevent heart disease. They lower blood pressure and help prevent strokes. And studies show that eating two meals of fatty fish like salmon or sardines each week can help prevent sudden death," Connor says. CookingLight.com: The alphas of omega-3s

There are additional benefits as well. "[By eating fish] you may be replacing a fatty meal like a bacon cheeseburger with something low in fat," Sheehan says. She advises her patients to eat fish at least twice per week, particularly those rich in omega-3s. And after looking at all the safety issues, she feels comfortable taking her own advice.

Safe supplements

If fish can harbor toxins, it seems plausible that the oils extracted from fish to make supplements might be contaminated, but that's not the case. "Fish oils are pure," says Connor. One recent study tested 16 fish oil supplements sold in warehouse clubs, pharmacies, and supermarkets, and none contained significant amounts of mercury, PCBs, or the pollutant dioxin. Currently, the American Heart Association recommends 1,000 milligrams of fish oil supplements per week for people with heart disease. According to Connor, supplements are a great way for nonfish lovers to tap into the important heart-healthy benefits of omega-3 fatty acids.

Angling for trouble

Freshwater sport fishing brings its own share of safety concerns because of runoff from farms and sewage treatment plants, as well as the same environmental contaminants like mercury and PCBs that are found in ocean fish. "The risk is different if you're fishing in a lake and eating only fish from that lake," says Cornell's Gall. "Chances are you'll be eating a good amount of the fish you catch, so your exposure levels to a particular contaminant, or the contaminants in the lake, will be higher than exposure levels for someone who eats a variety of commercial fish from many sources." CookingLight.com: Selecting, storing and cooking fish

Gall advises anglers to check with their local or state environmental health department for the most current warnings regarding the area where they plan to fish. If waters are safe to fish, the Environmental Protection Agency suggests catching the smallest fish allowed -- as a rule, the smaller the fish, the fewer the contaminants. Other safe freshwater choices include bluegill, perch, stream trout, and smelt. Since these panfish feed mainly on insects, they're less likely to harbor pollutants. Pregnant women are advised to eat only six ounces of freshwater fish a week since freshwater predator fish such as walleye, smallmouth and largemouth bass, lake trout, and Northern pike tend to contain higher levels of mercury than other local water varieties. E-mail to a friend

For more tips on making healthy taste great, try Cooking Light - CLICK HERE

Copyright 2009 Cooking Light magazine. All rights reserved.

Maureen Callahan, R.D., is a frequent contributor to Cooking Light.

@highlight

Chief concerns are contaminants such as mercury, cancer-causing PCBs

@highlight

Health benefits of salmon seen to outweigh the risk posed by minute PCB levels

@highlight

Pregnant women should avoid high-mercury swordfish, shark, tilefish, king mackerel

@highlight

Some experts say pregnant women also should limit tuna consumption