(CNN) -- Violence in Mexico is back in the news and so is the perennial question: Is Mexico safe?

In just the last few weeks there have been stories of 12 young people allegedly abducted in daylight from a Mexico City club; the death by beating of Malcolm X's grandson, also in the capital; the kidnapping of a U.S. Marine reservist from his father's ranch; the freeing of 165 people, including two pregnant women, who had been held prisoner; and the case of an Arizonan mom traveling on a bus who was arrested and jailed, accused of smuggling drugs.

That's all before you look at the staggering toll of the years-long war between security forces and drug cartels -- at least 60,000 people killed in drug-related violence from 2006 to 2012, according to Human Rights Watch. Other observers put the number even higher.

Disappearances in Mexico City linked to gang

Outside of war zones, more Americans have been killed in Mexico in the last decade than in any other country outside the United States, and the number of U.S. deaths jumped from 35 in 2007 to 113 in 2011.

But those numbers do not lead to any simple conclusion.

Millions of Americans visit Mexico every year without incident, and the number of tourists continues to grow. Nearly 6 million U.S. citizens visited Mexico in 2012, according to data from Mexico's tourism ministry. The first quarter of 2013 has seen a 5.9% uptick in American tourists compared to a year before, the ministry reported.

Analysts and travel experts agree that security in Mexico varies -- sometimes dramatically -- from place to place. It's a contradiction -- Mexico is both as dangerous as ever or as safe as ever, depending on one's destination, actions and common sense.

"I think what you see in Mexico over the past few years is this movable target of what's safe and what's not safe," said Shannon K. O'Neil, senior fellow for Latin America studies at the Council for Foreign Relations.

Of course you can be hurt anywhere, but the risks are different for a business trip to the capital, seeking sun and sand in Cancun or visiting family across the border.

Mexico City caution

Residents of Mexico City were gripped this week by the disappearance of 12 young people from an after-hours bar in a popular entertainment district. The families of the missing, one only 16 years old, allege that they were kidnapped in broad daylight by an armed group. Investigators have confirmed that the group was at the Heavens After nightclub, but the case remains shrouded in mystery: There was no sign of an armed group or of a struggle at the scene, officials said.

The incident grabbed attention because it was a particularly brazen crime for the nation's massive capital. Throughout the violence spawned by the drug war, Mexico City remained a relatively safe place, not immune, but not awash in gangland violence.

Twenty years ago, the city had a reputation as a dangerous place, but successive local administrations have made it safe for residents and visitors. Analyst O'Neil points out that there is a large police and security camera presence to keep it that way.

"Even if there was this wave of organized crime coming in, the law enforcement capacity in Mexico City is much higher than in other parts of the country," she said.

Malcolm Shabazz, grandson of Malcolm X, died last month after suffering an apparent beating in Mexico City. Many of the details of his night out remain unknown, but he had been at a bar one block south of Plaza Garibaldi, a rough but famous patch of the capital known for its mariachis. Those who know the city say that, just like any other major metropolis, there are areas that visitors should stay away from at certain hours.

"Physical safety if you are in the main tourist areas and you are sensible is not a problem," in Mexico City, said John Bailey, professor emeritus at Georgetown University who has researched public security in Mexico. "Bad things happen to good people, but that's just a small fraction."

The State Department has issued no travel advisories for Mexico City.

Opinion: In Mexico, guilty till proven innocent

Safe at the beach

The majority of the millions of Americans who visit Mexico head to resort cities along its coasts. The most popular destinations, according to Mexican officials, are Cancun, Riviera Maya, Los Cabos, and Puerto Vallarta.

And while it's impossible to separate completely the parts of Mexico on drug routes from where tourists go, there is a level of separation, O'Neil said.

Drug trafficking may happen in Cancun just like anywhere else, but the tourist areas are typically safe, she said.

3 undeniable reasons to explore Mexico

One thing the tourist destinations have in common, besides beaches, is that none is the subject of a travel advisory.

Jill Noble, owner of Cruise Therapy Travel Co. in Texas, staunchly defends Mexico as a safe destination.

"I've never felt threatened in any way, and that's what I tell my clients," she said.

She blames the media for focusing on the negative and provoking fear in would-be travelers.

That's all that people read about, Noble said.

"I've seen more paranoia, for sure," she said. "But it'll pass."

Once her clients vacation in Mexico, they come back and wonder why they were scared at all in the first place, she said.

By the numbers: U.S.-Mexico relations

Border remains an unknown

Two of the recent incidents that garnered headlines -- the jailing of Yanira Maldonado, accused of smuggling marijuana, and the search for missing Marine reservist Armando Torres III -- took place near the border.

The area where Mexico abuts the United States is culturally unique and sees hundreds of billions of dollars' worth of cross-border trade pass by on trucks. But the proximity to the United States makes many border cities key to illegal markets as well.

Drug cartels fighting for lucrative smuggling routes engage in turf battles that can turn cities into war zones. Nuevo Laredo experienced this in the mid-2000s, and later, Juarez suffered the same.

Some things are changing. The number of killings in Juarez, across the border from El Paso, has dropped enough for the city to shed the title "Murder Capital of the World." (San Pedro Sula, in northwest Honduras, has topped that list for the last two years.) Brazen daylight shootings and mass killings farther south in the state of Tamaulipas, across from where Texas hits the Gulf of Mexico, are no longer in the news.

But that does not mean all is well.

Rape case in Mexican resort city puts violence back in the spotlight

"Tamaulipas is under the control of criminal groups," said Bailey, the professor with expertise in Mexican public security. The cartels may not be having daily shootouts in the streets, but the risks for those who venture to the wrong place at the wrong time persist, he said.

Arizonan Maldonado was arrested in the northwestern state of Sonora after the bus she was riding was searched at a military checkpoint. Soldiers claimed to have found 12 pounds of marijuana under her seat and detained her. A very public campaign by her family put pressure on a judge to release her, which he did after a video showed that she did not board the bus with the illicit bundles.

Buses have previously been targeted by criminal groups for extortion and kidnapping.

In 2011, the U.S. Consulate in Matamoros, across the border from Brownsville, Texas, issued a warning against bus travel after at least three reports by Americans that their buses were boarded by criminals.

In at least one case, the male bus passengers, including one U.S. citizen, were forcibly removed and went missing. In Tamaulipas this week, authorities freed 165 migrants apparently kidnapped and held, possibly for ransom.

The State Department has issued a travel warning for visitors to "defer nonessential travel" to most areas of Mexico's border states.

Overall, Georgetown's Bailey said travel to Mexico is safer today than two years ago.

But it has a lot to do with one's common sense and a twist on the old adage -- not so much who you know but where you go and what you do.

"Americans," Bailey said, "have a gift for finding trouble if they're looking for it."

@highlight

Recent abductions and violence have put security in Mexico back in the news

@highlight

Yet millions visit Mexico every year without incident

@highlight

Safety varies dramatically depending where you are and what you do