(CNN) -- When he got a concussion playing football in junior high, Kevin Guskiewicz didn't even see a doctor. No one cautioned him about the dangers of repeated head trauma in sports. He stopped playing that day and suffered headaches, but came back to the field a couple of days later.

"That would have been in the early '80s, and we certainly didn't know half of what we know now about the injury," he said.

Guskiewicz, 45, dedicated his career to discovering and harnessing knowledge about head injuries. Now, he's a highly regarded concussion expert and the recipient of $500,000 from the John D. and Catherine T. MacArthur Foundation. He is one of 22 distinguished individuals to receive the no-strings-attached award, informally called the "genius grant," for 2011.

His research on retired sports players shows that repeated head injuries in sports increase the risk of memory loss, depression and other long-term consequences. In fact, in July, 75 former professional football players said they were suing the National Football League, accusing it of hiding that information.

Figuring he wouldn't make it big-time in football (or his other interests, baseball and tennis), Guskiewicz got interested in sports medicine as a way to use other skills while remaining involved in athletics. In junior high, he took an introductory sports medicine course over the summer at Pennsylvania State University and became a student athletic trainer in high school.

"It's a bit scary how little I knew then, but I thought I knew everything. And here I am 30 years later, certainly very happy that I stayed with that passion," he said.

He worked as a graduate student athletic trainer with the Pittsburgh Steelers while earning his master's at the University of Pittsburgh, which he completed in 1992, and came to realize just how little was known about concussions.

"It was pretty much a guessing game about whether someone was ready to play again. It's such a subjective injury," he said.

He went on to get his Ph.D. at the University of Virginia, where he got involved with technologies for more objectively assessing concussions. In 1995, he came to the University of North Carolina, where he is the chairman of the Department of Exercise and Sport Science.

Guskiewicz sees his work as piecing together a puzzle: preventing, diagnosing and treating concussions are all pieces that he wants to fit together.

He and colleagues developed the Balance Error Scoring System, a cost-effective tool that is being widely used in scholastic athletics for diagnosing and managing concussions. Athletes are asked to stand in three different ways on both firm and foam surfaces, and an athletic trainer or other clinician follows the guidebook to rate their balance. It's a quick way to assess damage from a head injury, because concussions often affect balance, especially in the first days after the impact.

My concussion: Be nice to your brain

Guskiewicz's group has proposed that all student athletes get a baseline test -- that is, an evaluation when they are healthy -- so if they do suffer a head injury, medical professionals can compare their performance after impact to the scores from when they were healthy. Part of that is the Balance Error Scoring System. Memory testing and self-reporting of symptoms are also taken into account, so clinicians have a clear idea of what the athlete's functioning is like normally vs. after a concussion.

Another tool he's exploring is a helmet with a built-in accelerometer, called the Head Impact Telemetry System. It allows clinicians to see on a computer exactly how hard a player was hit. Analyzing the information from this helmet also helps clinicians see exactly where and in what ways players get hit, so they can make recommendations about how to avoid concussions in the future.

Athletes can be taught how not to lead with their heads inappropriately and to position their bodies better to withstand an impact, Guskiewicz said. There is no concussion-proof helmet, and there won't be for many years, but in the meantime Guskiewicz urges a focus on behavior modification.

Only about one of every 15 concussion patients get a CT scan at UNC, Guskiewicz said, and the ones who do get imaged are athletes who report worsening symptoms, such as headache and light sensitivity, which could signal a brain bleed.

Guskiewicz and colleagues are also using a newer imaging technique called diffusion tensor imaging, a type of magnetic resonance imaging that lets doctors look at how water diffuses in the brain's white matter tracts. It can show areas where neurons have been disrupted. The use of this technique for concussions is still being analyzed.

Major sports groups such as the National Football League, the National Hockey League and the National College Athletics Association have done a better job of increasing awareness about concussions over the last few years, Guskiewicz said.

"I think we're certainly in a better position today to educate athletes and prevent these catastrophic outcomes because of some of the initiatives they put in place," he said.

The NFL, for example, has instituted a new rule that kickoffs must be moved from the 30-yard line to the 35-yard line. This distance adjustment would theoretically reduce the number of high-speed collisions at kickoff. Although there is some skepticism about this, Guskiewicz is confident that there will be fewer concussions this season as a result.

After the blow in junior high school, Guskiewicz suffered two concussions as an adult: one in a cycling accident and, most recently, on a roller coaster. Just as his own research suggested, having had two concussions in the past made him more susceptible to a third. But because he is not additionally exposed to repeated smaller head injuries the way contact sports players are, he's hopeful he isn't at as high a risk of memory loss and other symptoms.

It might come as a surprise that Guskiewicz puts no restrictions on the contact sports playing of his four children -- 11, 13, and 15-year-old boys, and a 4-year-old girl. The boys have already played a lot of football, including tackle football. Their dad wants them to learn the skills early so they'll be able to protect themselves better later in their teens, when they're more susceptible to more serious injuries.

"Many of my friends think I'm crazy for allowing it, but I'm also out there helping to educate parents about this, so I'm hopeful that we're making a difference," he said. "If we can see it happening in a positive way in one community, it can be extended to the next community."

As for what he'll do with the grant, Guskiewicz wants to develop rehabilitation protocols, not just for athletes with head injuries but also for soldiers, since there has been a documented similarity between blast injuries and sports concussions. Coincidentally, he had scheduled a meeting with a military group on Tuesday to discuss possibilities, unrelated to the announcement of the award.

"I also hope that our MacArthur award will allow us to explore creative ways to expand that work for youth athletes, and helping to protect them as they move up through the ranks," he said.

@highlight

Kevin Guskiewicz has won a MacArthur Foundation award for concussion research

@highlight

His research found head injuries increase risk of memory loss, depression

@highlight

He also helped develop a system to measure balance before and after concussion