Cars park side by side in a vacant lot in the center of Kuta, Bali, near a sign that implores passersby not to urinate there.

It was here 10 years ago that a bomb tore through the Sari Club, for a split second silencing the crowd of revelers as they chatted, drank and danced on a typical Saturday night out.

Phil Britten was there with his team mates from the Kingsley Cats, Australian rules football players on an end of season trip from Perth, on the country's west coast.

In his book "Undefeated," Britten, who received burns to 60% of his body, describes the stench and burning in his throat from the bomb, before his hearing kicked in and the screams rang out.

"It started really softly, a moaning or whimpering, then grew louder and louder. It was piercing. It sounded unnatural, as if it was part of a horror movie, and it was terrifying," he wrote.

Britten is back in Bali this week for memorial events to mark the 10-year anniversary of the bombing.

He's one of thousands of victims, family members, government officials and dignitaries in Kuta to pay their respects to those killed in what has been described as Indonesia's worst ever act of terrorism.

On the night of October 12, 2002, just past 11 p.m. local time, a bomb went off inside Paddy's Bar, sending clubbers out into the street and into the path of a massive car bomb outside the Sari Club. A third, smaller bomb was detonated seconds later outside the U.S. consulate but it caused no injuries.

Back on the tourist strip, the air was thick was smoke, flames and chaos as survivors tried to drag themselves and others to safety.

Two hundred and two people were killed; 88 Australians, 38 Indonesians, 24 Britons, seven Americans and 30 others from a number of European countries. New Zealand, Brazil, Canada and Japan also lost citizens, as did South Africa, South Korea and Ecuador.

The attack was blamed on Jemaah Islamiyah (JI), a South East Asian militant group with links to al Qaeda. Since the attack, Indonesia has tried and executed three perpetrators and killed other key conspirators in police raids. The last man to stand trial over the blasts, Umar Patek, was jailed for 20 years in June for helping to assemble the bombs.

Writing in the Sydney Morning Herald on Thursday, Indonesia president Susilo Bambang Yudhoyono said 10 years on "we can say with some relief that justice has been done."

The Bali bombings, he wrote, "set off a series of critical chain reactions. Indonesia developed a highly skilled and dedicated police anti-terror unit. And an international campaign was launched to restore the image of Indonesia as a peaceful tourist destination. Today, tourism in Bali has exceeded pre-attack figures."

One man who won't be in Kuta this week, if ever, is Grant Nicholson, the secretary of the Forbes Rugby Union club. He lost his best friend, Greg Sanderson, in the blast. Sanderson, or "Sando" as he was known, was one of 25 Forbes players who were there celebrating the end of the rugby season. Three didn't make it home.

"I can pay my respects to Sando here, I don't need to go to Bali and see what hasn't been done," Nicholson said from his home in Forbes, a town of just 8,500 people in rural New South Wales. He was referring to the site where the Sari Club once stood, which is now being used as a car park.

"It's a sacred site," he said. "It's like walking over someone's grave. Two hundred and two people died there... I don't need to go to and see that to be close to Greg. He's here with us."

Campaigners had hoped by now there would be a permanent memorial to those killed in the attack. A monument to the dead now stands where Paddy's Bar used to be, but Britten and other survivors want to see the Bali Peace Park, a place of reflection for those killed, built on the Sari site.

"Initially there were people who planted some banana palms, so there were some things being grown there, which was OK," Britten said. "At least it wasn't being driven over, walked on, urinated on."

Development is said to have been held up in haggling over the price. "The landowner is asking a ridiculous amount of money -- it's not worth paying that much -- it's just unrealistic. So we've just got to work out what's fair for everybody and come to a win-win," Britten said.

Until then, survivors, friends and family members of those killed have created their own makeshift shrine. In the past few days, wreaths, flowers and photos of the dead have been laid on the former Sari site. An Australian flag hangs along a fence where someone has pinned photos of all 88 Australians killed, images crudely cut from a newspaper special.

Britten was just 22 years old when he was caught in the blast. It was his first time in Bali.

"I flew in, was here for six hours and I got blown up," he said. Ten years on, he says with more than a hint of relief, "I'm in a place mentally and physically that I couldn't have dreamed of."

This is his eighth trip to Bali since the bombings, and another step in his personal journey from terror to a place of strength and peace.

"Just walking down the street I'm bumping into people I've met, or even seen in a paper, and you can just tell, you look at each other in the eyes and you can tell go, 'yep, you've been there, you've done it,'" he said.

"You have a handshake and a cuddle and a cry and you move on. It's quite surreal; it's like we've known each other, all these people, for so long, but never met."

While some may see the 10 year mark as a time to let go, Britten says, for him, the significance of the date won't fade over time.

"Ten years does mark a significant stepping off point, but for me, 11, 12, 15, 20 years is going to feel exactly the same. When I wake up in the morning and I get changed I don't see anything different each day. I see the scars of the burns that I got.

"For me each year is going to be exactly the same."

@highlight

Thousands gather in Kuta, Bali to mark 10 years since terror attacks killed 202 people

@highlight

Blasts targeted revelers in popular night clubs; 88 Australians were among dead

@highlight

Survivors and relatives want a permanent park to be built on the site of the Sari Club

@highlight

It's currently being used as a car park with prominent signs urging people not to urinate there