(CNN) -- Next to Beyonce, the musical surprise of the 2013 holiday shopping season so far is the limited iTunes release of "The Beatles Bootleg Recordings 1963." It's a potential gold-mine excavation: fifty-nine previously obscure tracks, unknown outside the subculture of obsessive collectors.

Over on the bookshelves, the recently published first volume of biographer Mark Lewisohn's three-part "The Beatles: All These Years" takes up considerable space. Titled "Tune In," the first book offers 944 pages on the iconic group, concluding in 1962 -- before they were famous. Beyond serving as baby boomer stocking stuffers, do these kinds of archaeological digs enhance the Beatles' legacy? Or is pop-culture nostalgia starting to scrape the bottom of the barrel?

Never officially released and mostly known to hard-core collectors, the actual music on the "Bootleg Recordings" consists of outtakes, live versions and two demos of songs the Beatles wrote for other artists. The motivation for its release is complex, extending beyond immediate sales considerations. Due to a recent European Union ruling, the copyright to this material would expire in 2014 if it remained unreleased. So the sudden appearance of "Bootleg" on the marketplace may in part be a legal ploy for Apple Records, the company the Beatles began in 1968.

But is there a sizable -- even insatiable -- audience for every bit of the scraps and marginalia of Beatlemania?

Overall, the numbers are somewhat surprising. Turns out the Fab Four are still doing major business. In fact, recent profits suggest their customers can't only be co-members of the boomers' aging demographic.

According to Forbes magazine, the two surviving members and the estates of John Lennon and George Harrison together and individually earned roughly $71 million in 2013 from record sales, royalties, merchandise and licensing. Earlier this year, the UK trade publication Music Week reported the Beatles' Apple Corp. turned over 43.5 million pounds in 2013, an improvement of 2 million pounds over 2012. While archival releases are only drops in this plentiful bucket, the long-defunct group's persistent popularity serves as a lifeboat for the perpetually struggling music retail business.

The "Bootleg Recordings" (and "Tune In") could put Beatlemaniacs' devotion to the test, however. Ten years in the research and writing, Lewisohn's doorstop tome has been hailed as a labor of love -- and digression. The author's minute attention to detail matches the microscopic focus of "The Beatles Bootleg Recordings," where the only arguable revelations are at best minor finds: Lennon's roughly sung demo tracks of two songs, "Bad to Me" and "I'm in Love," later recorded by, respectively, Billy J. Kramer and the Merseybeats.

It's hard to imagine the retrieved versions replacing the originals in anyone's affections, but casual fans should be entranced by the behind-the curtains glimpses into the early Beatles working process. Even without producer George Martin's finishing polish, the group's signature high energy and unstoppable melodies come through loud and clear. And in the absence of true surprises, there are plenty of eyebrow-raising moments such as two spunky versions of "One After 909" (eventually rerecorded on the "Let It Be" album).

Apple Records may be protecting the Beatles brand by releasing these curios and preventing further substandard bootleg releases, but even fans may question the wisdom of serving up every leftover and prototype. Even from geniuses.

On the other hand, the latest (Volume 10) entry in Bob Dylan's "Bootleg Series" came out this year to near-universal acclaim. "Another Self Portrait (1968-1970)" retrieves obscurities and alternate versions from one of Dylan's most difficult periods. A bit of thoughtful pruning makes this unearthed archival treasure something more than another clearance sale.

The opinions expressed in this commentary are solely those of Mark Coleman.

@highlight

Mark Coleman: "Bootleg," a release of obscure Beatles tracks, is a holiday surprise

@highlight

He says group still earns millions and release may be tied to extending copyright

@highlight

With new 944-page book, too, he asks if Beatlemania is scraping dregs of barrel?

@highlight

Coleman: Some leftovers can be appetizing such as Dylan's recent "Bootleg Series" release