FREDERICK, Maryland (CNN) -- Andrew Stein, 10, and his brother, Nathan, 7, are having a typical end-of-summer vacation: hanging out at the pool, visiting their grandparents and waiting for the beginning of school.

Nathan Stein, 7, said getting some shots was worth it to help other kids.

But this week they're doing something most of their classmates will never do. The Stein brothers will be testing the new vaccine to prevent swine flu.

Because the younger population, from 6 months to 24 years, is at high risk of developing complications from the H1N1 virus, the National Institutes of Health is conducting a clinical trial specifically to make sure the vaccine is safe for children. Vaccine developers hope to get the doses out by mid-October, before the flu season really shifts into high gear.

Although both boys dislike needles, they are willing to make the sacrifice. "One boy that I knew at our school died from a type of the flu," said Andrew, frowning. "So I wanted to prevent that as much as I could."

The boys, who live in the suburbs between Baltimore, Maryland, and Washington, got their first inoculations at the vaccine satellite office in Frederick, Maryland. The trial is being conducted by the University of Maryland School of Medicine, one of 11 institutions across the country holding pediatric trials. Researchers will test the boys' blood, have them keep journals and make sure they have no severe reactions after each vaccine.

The pediatric studies are divided into two groups within the United States. Half the sites will be comparing reactions between the H1N1 shot and the seasonal influenza vaccines on kids; the others will be looking at the effectiveness of a two-dose vaccine. The Steins are enrolled in the dosage trial.

The data are crucial for developing a safe vaccine, said Dr. Karen Kotloff, who heads both the pediatric and adult trials at Maryland. "The purpose of the studies we are doing is to try to collect information that will help to inform policymakers about the best way to give the pandemic H1N1 flu vaccine," she said. "Whether we need one or two doses and what strength we need."

Before they received their shots, both boys, along with their parents, Christy and Eric Stein, got an explanation of the procedure and were warned about possible complications. Nancy Wymer, who coordinates the study, says the boys will receive two inoculations over six weeks and will continue to check in periodically over the following six months. Dr. Sanjay Gupta reports on the H1N1 clinical trial »

Neither brother gave more than a grimace as he rolled up his sleeve and took a shot for science. Andrew Stein said it was no big deal. "It was in and out, in a couple of seconds."

Why would parents have their children be part of such a trial? Most say to help other children. Christy Stein was involved in a pediatric trial for the swine flu vaccine in 1976 and understands what her sons are going through. But she also believes it's good for the country's public health. "I trust the people who are running the study," she said. "And I'm not concerned about it at all."

The studies are based on other influenza trials in the past. Many parents have already volunteered their children but openings still exist. Children 6 months to 35 months are needed, Kotloff said.  "Like with any shot, children may have a sore arm. Your arm can be red...There might be some fever or achiness, but the symptoms go away in a couple of days.

"There can be allergic reactions, mostly rashes, but in some rare circumstances there can be severe allergic reactions," she added. "Each volunteer is informed about these possibilities, so it's up to the parents to make that choice."

The 11 main sites across the U.S, in nine states, are currently recruiting children for the vaccine trials. The two-dose vaccine tests are being conducted at the University of Maryland Baltimore; Duke University in Durham, North Carolina; Children's Mercy Hospital in Kansas City, Missouri; Children's Hospital and Regional Medical Center in Seattle, Washington; and Vanderbilt University in Nashville, Tennessee.

And the trial comparing H1N1 and seasonal flu vaccines is at Hope Clinic, Emory University in Atlanta, Georgia; St. Louis University in Missouri; the University of Iowa in Iowa City; Cincinnati Children's Hospital Medical Center in Cincinnati, Ohio; Baylor College of Medicine in Houston, Texas; and the University of Texas Medical Branch in Galveston.

Each location has a Web site to sign up if more children are needed.

Andrew and Nathan are doing fine. They will keep a diary on how they feel and what, if any, reactions they have. Each was rewarded with a $40 gift card for his trouble. And even after being stuck with a couple of needles, Nathan Stein says it was worth it.

"Not just for the gift card," he said, "but for being able to help other kids."

@highlight

National Institutes of Health has specific H1N1 vaccine trials for children

@highlight

People 6 months to 24 years at  high risk of developing H1N1 complications

@highlight

Studies compare H1N1 and seasonal shots, look at dosage

@highlight

Doctor: Data gathered will be crucial for proving vaccine safe for kids