(CNN) -- Every year, thousands of families gather in school gymnasiums and auditoriums across the country to enter a drawing, one they believe will make the difference between success and struggle.

These lotteries are how charter schools decide who their students will be; the experience can be quite dramatic.

As each name is revealed, many winning families can't help but cry out, relieved that they've beaten the odds, convinced that great things are now in store for them.

But just a few feet away from these joyful celebrations, there are tears. Students -- some still in kindergarten -- sob with their parents as they realize their hopes have been dashed.

These gut-wrenching scenes play out in "Waiting for 'Superman'" and "The Lottery," two new documentaries that put a harsh spotlight on America's public education system and have sparked nationwide debate on what education solutions are needed.

"I don't even go to lotteries anymore because they break my heart," Newark, New Jersey, Mayor Cory Booker said in "The Lottery." "A child's destiny should not be determined on the pull of a draw."

But destiny is exactly what many parents believe is at stake. Frustrated with failing public schools in their neighborhoods, they've turned to a charter school that they hope will dramatically improve their child's chances for success.

Space in these schools is limited, however, and by federal law, lotteries decide who gets in.

"The Lottery," directed by Madeleine Sackler, follows four elementary-age children from low-income neighborhoods in New York. Their parents have applied for Harlem Success Academy, a highly regarded charter school where "about 95 percent of the kids are at grade level," Sackler said in an interview with CNN. "In Harlem overall ... it's 56 percent."

"Waiting for 'Superman,' " directed by Davis Guggenheim, takes a national approach, following children applying for charter schools in New York, California and Washington. Both films reach the same consensus: The U.S. public education system is antiquated and needs to be revamped.

"By getting to know these children -- and the mothers and fathers who are fighting for them -- then maybe people will be outraged enough to demand real change in their own neighborhoods," said Guggenheim, who also directed the Academy Award-winning documentary "An Inconvenient Truth." "The idea of education reform becomes a lot less abstract and a lot more compelling when you see these beautiful kids and realize all their potential."

Both "The Lottery" and "Superman" use successful charter schools to illustrate that all children can learn as long as they're in the right environment.

Charter schools are similar to public schools in that they are free to attend and funded by taxpayer dollars. But unlike public schools, they are not bound to the rules and regulations of a district, state or teachers union. They are free to set their own guidelines for curriculum, teacher evaluations and lengths of school days.

In return for this autonomy, the schools must live up to a contract, or charter, signed with the governing authority in their state. If the schools fail to reach required goals set in the charter, which are usually three to five years in length, they can be closed down.

Charter school proponents say increased accountability -- as well as the freedom to innovate -- gives them an edge over traditional public schools. Since 1991, 40 states, as well as the District of Columbia and Puerto Rico, have signed legislation that allows charter schools.

While "The Lottery" and "Superman" celebrate charter schools and hold up their leaders as shining examples of positive reform, the films are highly critical of politically powerful teachers unions, saying their unwillingness to change is largely responsible for hindering progress in America's public education system.

Both films detail how difficult it is to fire a tenured teacher for poor performance. "The Lottery" said that of 55,000 tenured teachers in New York, 10 were fired in 2007. The cost to do so? About $250,000 each.

"The system is really built for the harmony amongst adults," Guggenheim told CNN. "That means that the teachers unions, the central bureaucracies and the administrators, they've got job security, and everything is working just fine. We need to reorient our schools so that they serve the kids."

Randi Weingarten, president of one of the country's two largest teachers unions, appeared in both films and said they aren't without merit.

"They connect us to real-life struggles. They may even call much-needed attention to the challenges confronting many students and schools," said Weingarten, who leads the American Federation of Teachers. "But the attention will be misplaced if it centers on off-base solutions and denigrating good teachers rather than on what works to improve our schools."

Weingarten thinks "Superman," in particular, was "inaccurate, inconsistent and incomplete" despite its "unquestionably good intentions."

"There also are countless good, great and exceptional teachers working in our public schools every day in neighborhoods across the country -- although for this film, they apparently ended up on the cutting-room floor," she said.

Weingarten also said the film's charter school success stories are not representative of charter schools as a whole: "Guggenheim makes only glancing reference to the poor achievement of most charter schools, despite the abundance of independent research showing that most charter schools perform worse than or only about as well as comparable regular public schools."

One report, released last year by the Center for Research on Education Outcomes at Stanford University, looked at 70 percent of the nation's charter school students and compared their progress with similar students in nearby public schools. It found that 17 percent of charter schools reported progress significantly better than public schools, 46 percent showed no difference, and 37 percent performed worse.

Whatever the answer to America's education troubles, Guggenheim said, his ultimate goal is to get people talking and motivate them to take action. The film's website offers detailed instructions of how people can make a difference on a local level -- from writing public officials to volunteering at schools in their own communities.

"The option of just sticking your head in the sand, praying for some Superman to come in and save your schools, it ain't going to work," he said.

@highlight

Two films, "The Lottery" and "Waiting for 'Superman,' " take on the U.S. education system

@highlight

Both highlight successful charter schools and lengths families go to enroll

@highlight

Critics say the films ignore good public school teachers and charter schools' shortcomings