It's been more than a century since Istanbul's residents were kept awake at night by the howling of tens of thousands of stray dogs.

The dogs were rounded up and shipped to a deserted island in the Marmara Sea where they starved to death -- all part of a government-led effort to modernize Istanbul.

But the stories surrounding the so-called "Great Dog Massacre of 1910" are still fresh in the minds of Turkey's animal rights activists. Today, these activists are staging massive protests against a proposal to create "natural habitat parks" for stray cats and dogs in Turkey's urban areas.

These parks, they say, would really be concentration camps for stray animals.

"It's a law that might be killing hundreds of thousands of dogs and cats and little animals," said Michael Halfie, a television personality who joined thousands of demonstrators, many of whom marched with their pet dogs, through downtown Istanbul late last month. "We are now the voice of these voiceless, wonderful animals."

Supporters of the bill insist that the proposed law would protect these animals, who are left to fend for themselves on the city streets.

"The purpose of the law is to ensure a comfortable life for animals and that they be treated well," according to the government ministry that wrote Draft Law 5199.  The ministry also said the law would "ensure that they are protected as best as possible from bad treatment, pain and suffering."

In recent weeks, animal rights activists have staged colorful, furious protests in Istanbul and more than a dozen other cities and towns across Turkey, criticizing the proposed legislation in the starkest terms before it was even submitted to a parliamentary vote.

"I am here only because I love animals. They are not animals for me, they are like my children," said Romali Perihan.

Perihan, an actress and singer from Turkish films of the 1970s and '80s who sported brightly dyed pink hair, strained to be heard over the roar of a crowd of protesters in Istanbul.

"I'm a soprano, I need my voice. But for animals I lost my voice!" she yelled.

The "natural habitat parks" outlined in the proposed legislation would be temporary homes for strays when there isn't enough room in animal shelters, until they are adopted, according to the Turkish Forestry and Water Works Ministry.

"They will be looked after, fed and sheltered," explained the ministry in an e-mail to CNN.

The parks would be built on the outskirts of cities, and would be equipped with facilities for visiting school groups, as well as veterinary departments, according to the ministry's blueprints.

But some animal rights activists fear the natural habitat parks will become dumping grounds for stray animals, a charge the Forestry Ministry bluntly denies.

"As a lawyer, when I read the article, it says un-owned animals will be collected. Which means to me any kind of animals you see around, even the ones I own -- if they run away into the street, it's a potential animal to be collected," said Deniz Taysanl Kalafatoglu, vice president of the Istanbul Bar Association's Animal Rights Commission.

Animals are furry fixtures on the street corners of nearly every Turkish neighborhood. In Istanbul, Turkey's largest city, it's not unusual to see cafes and bars adopting strays as pets -- cats even take seats at bars to lap up saucers of milk, next to patrons sipping more fermented substances.

The practice of feeding and caring for neighborhood strays extends to butcher shops and even street vendors.

In Istanbul's throbbing Taksim Square, Husnu Atac sells the Turkish bagel known as "simit" from his car. Next to him, a white dog basks in the autumn sun.

"I love him by my side," said Atac, who named the dog Reis, which means chief in Turkish.

Atac noted that in recent weeks, municipal workers had collected at least five other stray dogs that he used to feed regularly.

"If the state can't guarantee that they will take care of the animals," Atac said, "then we are willing to take care of them."

Turkey's government insists there will be no round-up of strays.

"Cats and dogs being rounded up, not the case," the Turkish Forestry Ministry wrote in a blunt, one-line response to an e-mail question from CNN asking whether it should be acceptable to have dogs and cats living in Turkish streets.

Critics have also latched on to another vaguely worded clause of the proposed law that would limit the number of animals in a single household. Some pet owners expressed fear the law would force them to give up their beloved animals.

When asked about the proposed limits to pet ownership, the Forestry Ministry responded, "The number and type of domesticated or accessory animals will be determined by taking into consideration the ecological needs of the animals, the conditions of the space, and human health."

One thing that both sides seem to agree on is the proposed criminalization of abuse of animals.

"Under the current (animal rights) law, the torture and sexual exploitation of animals only receives an administrative fine," the Forestry Ministry wrote. "The draft law proposes a criminal punishment of up to 2 years of torture which can lead to death, and up to 1 year for sexual exploitation."

Fukushima's animals abandoned and left to die

Little of charity's money going to help animals

U.S., Mexico volunteers team up to help strays in Tijuana

@highlight

A proposed bill would create "habitat parks" for stray animals in Turkey

@highlight

Protesters oppose the measure, saying the parks would be "concentration camps"

@highlight

Supporters say strays would be fed and sheltered at the parks

@highlight

Turkey denies allegations that it is rounding up strays