(CNN) -- Susan Rice, the U.S. ambassador to the United Nations who drew heavy criticism from Republicans over her statements after the September attacks on a U.S. diplomatic mission, withdrew her name from consideration for secretary of state on Thursday.

In a letter to President Barack Obama, she said "the confirmation process would be lengthy, disruptive, and costly -- to you and to our most pressing national and international priorities. That trade-off is simply not worth it to our country."

Obama acknowledged her letter in a statement that described her as "an extraordinarily capable, patriotic, and passionate public servant." He will meet with Rice Friday at the White House, National Security Council spokesman Tommy Vietor said.

Read Rice's letter to the President

She was thought to be a frontrunner for the post, which Secretary of State Hillary Clinton said she would vacate as soon as a successor is confirmed.

Democrat 'extremely upset' with Rice's withdrawal

But Rice drew criticism for her description of the September 11, 2012, attack on the U.S. mission in Benghazi, Libya, which killed four including the U.S. Ambassador to Libya, Chris Stevens. On several television programs several days after the attack, she described a protest of an anti-Islam video outside the mission buildings.

She said her comments were based on declassified talking points, and sources within the intelligence community said the talking points were not modified by any other body, such as the White House.

She further explained her decision to withdraw and defended herself Thursday in a piece for the Washington Post, writing: "I have never sought in any way, shape or form to mislead the American people. ... Even before I was nominated for any new position, a steady drip of manufactured charges painted a wholly false picture of me."

Obama had defended her, describing the criticism from several key Republicans as "outrageous." "If Senator (John) McCain and Senator (Lindsey) Graham and others want to go after someone, they should go after me," Obama said at a White House news conference in late November. "When they go after the U.N. ambassador, apparently because they think she's an easy target, then they've got a problem with me."

She visited Capitol Hill in an attempt to answer what the legislators called "unanswered questions," but her visit there appeared to backfire. Senators who sat in on the meetings said her appearances raised more questions than they answered.

5 questions on Susan Rice

Her closed-door meetings "really hurt her," one knowledgeable Democratic source said. "She probably underestimated the club."

The longer Rice went un-nominated, the source said, the worse her prospects appeared. It was "better to get out now" so that Obama could begin announcing a national security slate as early as next week.

In a statement, Clinton called Rice "an indispensable partner over the past four years."

"From the National Security Council to the State Department to the United Nations, Susan has worked tirelessly to advance our nation's interests and values. I am confident that she will continue to represent the United States with strength and skill," Clinton said.

After Rice's Thursday announcement, Graham said in a statement: "I respect Ambassador Rice's decision. President Obama has many talented people to choose from to serve as our next secretary of state."

Senate Majority Leader Harry Reid described Republican opposition to Rice's possible nomination as "shameful."

"Ambassador Rice is eminently qualified to serve as Secretary of State and she could have been confirmed by the Senate. The politically motivated attacks on her character from some of my Republican colleagues were shameful," the Nevada Democrat said in a statement. "Their behavior was a disgrace to the Senate's tradition of bipartisan cooperation on national security issues and beneath the stature of senators with otherwise distinguished records on national security."

Rice's decision to not seek the post now leaves Sen. John Kerry, D-Massachusetts, as the presumed frontrunner for the spot. Defense Secretary Leon Panetta and other high-ranking officials are also expected to depart soon.

Kerry praised Rice as "an extraordinarily capable and dedicated public servant" in a statement after her announcement.

"I've known and worked closely with Susan Rice not just at the U.N., but in my own campaign for president. I've defended her publicly and wouldn't hesitate to do so again because I know her character and I know her commitment," he wrote. "We should all be grateful that she will continue to serve and contribute at the highest level. As someone who has weathered my share of political attacks and understands on a personal level just how difficult politics can be, I've felt for her throughout these last difficult weeks, but I also know that she will continue to serve with great passion and distinction."

Kerry's road to the State Department, should he be nominated, would appear to be smoother than Rice's. Senate Minority Leader Mitch McConnell said after Rice's announcement that Kerry would be a "popular choice with the Senate."

Obama's cabinet: Who's in, who's out?

Another Senate Republican, Rob Portman of Ohio, named Kerry as one of Obama's "better choices" for the spot, according to The New York Times.

But despite his lauded role assisting Obama in preparing for the presidential debates this fall, Kerry is understood to be less of an Obama confidante than Rice.

Kerry is a decorated veteran who served two tours of duty in Vietnam before his career as a lawyer and then in the U.S. Senate. His assignments there include the chairmanship of the Foreign Relations Committee.

Should Kerry step down before his term ends in 2014, Gov. Deval Patrick, a Democrat, would appoint a temporary replacement to hold the seat until a special election could be held. The special election race would likely include Sen. Scott Brown, who won in a special election three years ago but lost his bid for a full term, as well as Democratic Rep. Ed Markey, who is seriously considering a bid should Kerry's seat open, a Democratic source said.

On Thursday, Sen. Kelly Ayotte, R-New Hampshire said she had "respect" for Rice's decision, "however, my concerns regarding the terrorist attack in Benghazi go beyond any one individual. I remain deeply troubled by the continued lack of information from the White House and the State Department. With four of our public servants murdered, it is critical that we get to the bottom of what happened."

Ayotte told CNN after the late November meeting with Rice, Graham, and McCain, "Certainly she misled the American public."

Opinion: A lucky day for Susan Rice

Former CIA Director David Petraeus, who resigned last month after admitting to an extramarital affair, returned to Capitol Hill to testify on the attacks, and Clinton is scheduled to testify next week.

Sen. Susan Collins, the moderate Republican from Maine, said through a spokesman that the Senate Homeland Security Committee, where she serves as ranking member, would continue its investigation into the Benghazi attack. She had raised her own questions about Rice's potential nomination after a private meeting with the ambassador.

The Thursday decision was Rice's own; she was not asked to step aside in the consideration process, a former administration official who had knowledge of her decision said.

"She has got a lot of honor, a lot of dignity, a lot of patriotism. This was a completely manufactured distraction, and she was determined to put her country first," the former official said. "No nominee for secretary of state has been subjected to such a sustained campaign of politicization and slander. And it is really troubling."

Madeleine Albright, who was the first woman to serve as secretary of state and has known Rice for decades, said Rice is "brilliant" and described her withdrawal from consideration as "sad."

"I think it is genuinely, genuinely sad because she is one of the smartest people that I know and completely dedicated to serving the United States," Albright told CNN. Rice "put the country and the president ahead of her own ambition. It just shows what a tremendously thoughtful and good and responsible person she is."

In her letter to Obama, Rice wrote "the position of secretary of state should never be politicized."

"As someone who grew up in an era of comparative bipartisanship and as a sitting U.S. national security official who has served in two U.S. administrations, I am saddened that we have reached this point, even before you have decided whom to nominate," she wrote. "We can not afford such an irresponsible distraction from the most pressing issues facing the American people."

Rice served in President Bill Clinton's administration on the National Security Council, eventually leading African affairs for the council and serving as a special assistant to the president.

She was confirmed by the Senate as the top diplomat to the U.N. in January 2009.

If Rice had been nominated, she would have faced criticism from religious leaders about her role in the Clinton administration's handling of the Rwandan genocide in the 1990s.

U.S. Rep. Mike Rogers, chairman of the Permanent Select Committee on Intelligence, said on CNN that Rice's decision was "probably for the best."

"I think Ambassador Rice was facing an uphill battle in the senate for any confirmation she may have received," he said.

Asked in an interview Thursday on NBC whether she wanted the top diplomatic post, Rice replied that she "would have been very honored to serve in that job."

She added, "But yeah, sure. How can you not want to -- in my field -- serve at the highest possible level?"

Opinion: An unfair portrait of Susan Rice

CNN's Jessica Yellin, Jim Acosta, Dana Bash, Gloria Borger, Elise Labott, Jamie Crawford, Paul Steinhauser and Gregory Wallace contributed to this report

@highlight

NEW: Sen. Harry Reid: Republican attacks on Rice's character were "shameful"

@highlight

Susan Rice withdraws from consideration as secretary of state

@highlight

Nomination would be "be lengthy, disruptive, and costly," she says in letter to president

@highlight

Republican critics "respect" Rice's decision, vow to continue Benghazi inquiry