(CNN) -- As the country searches its soul in the wake of the recent wave of questionable killings by police, Americans of all races are struggling with a distressing sense of deja vu. This is not the first time we have struggled with this anguish and it will not be the last. But there may be a new prospect for hope this time.

Perhaps more than at any point in the country's history, Americans are open to changing the way they look at police violence. If so, we can begin by enhancing the perception of fairness of the official response when police use deadly force.

Much of the anger being expressed across the country comes from the fact that after these deaths, the criminal justice system -- widely perceived as eager to prosecute young black men -- suddenly seems toothless when invoked in their defense. That perception needs to change.

Importantly, the problem is not (as many have suggested) that the prosecutors in Ferguson and Staten Island presented exculpatory evidence to the respective grand juries. True, prosecutors do not normally present the defense side when seeking an indictment. But a typical case with substantial defense evidence (for example, bystanders who support the defendant's account and corroborating physical evidence) never gets to a grand jury in the first place.

The grand jurors in Ferguson and Staten Island were doing something different from what typical grand jurors do. They were taking the place of the prosecutor, deciding, as the prosecutor would normally do, whether to bring criminal charges. While we generally trust prosecutors to make charging decisions, there is good reason not to trust them when the suspect is a police officer. Local prosecutors and police work closely together and form tight bonds.

The grand jury should make the charging decision in these cases, both in terms of actual fairness and public perception. If the grand jury is acting as the prosecutor, however, it must see all the evidence.

One of the worst outcomes of recent events would be if prosecutors and grand jurors internalize the notion that the public wants cases to advance to trial notwithstanding substantial doubts about guilt. There are already thousands of defendants across the country jailed pending trial, trying to choose between pleading guilty to a shaky charge or risking a much higher sentence at trial. Ask them whether prosecutors and grand jurors should be encouraged to defer objective assessments of guilt until trial.

The problem in the response of Ferguson and Staten Island criminal justice officials wasn't that they presented all the evidence to the jury -- it was who was presenting that evidence. As commentators have correctly pointed out, prosecutors wield tremendous influence over a grand jury. If we don't trust prosecutors to make the decision of whether to charge, it makes no sense to give them the task of presenting the evidence that controls that decision.

Police deadly force cases should go to grand juries, and the grand jurors should see all the relevant evidence, but the presentation should be guided not by a prosecutor, but by a "special counsel," an attorney completely independent of the local police and prosecuting authority.

There is a model for this approach.

The Department of Justice's Civil Rights Division employs skilled prosecutors whose primary task is prosecuting wayward police officers. If those prosecutors determine, for example, that a police officer such as Darren Wilson shot Michael Brown while Brown stood still, arms up (as some witnesses alleged), a federal criminal civil rights prosecution can be brought and won.

The process will be similar to what we have already seen. The federal prosecutors will convene a grand jury, present the evidence supporting a civil rights charge (that Wilson deprived Brown of his right to trial by, in essence, executing him) and, this time, get an indictment. But the federal prosecutors may find the evidence does not support that narrative, and if so, will not proceed.

Not because there is a "high bar" to federal prosecution as some reporting suggests, but because there is not enough evidence to go to trial. And the public will likely accept the federal prosecutors' judgment because it is not clouded by affinity for the police involved.

The federal model, however, is just that, a model. As the country is witnessing, deadly force cases are all too common. The federal government does not have the resources to investigate them all.

State and local authorities must fill the gap. As they rethink their role, states should adopt a first step of providing for an independent, special counsel to investigate police deadly force cases -- stepping in for the local prosecutor and presenting evidence to the grand jury.

While this reform will not stamp out instances of unjustified deadly force, it will give the public greater confidence that the government values the life and liberty of all its citizens, not just police officers.

The opinions expressed in this commentary are solely those of Jeffrey Bellin.

@highlight

Bellin: Criminal justice system appears eager to prosecute black men but not to defend their rights

@highlight

To restore confidence in justice, local prosecutors shouldn't present police shootings to grand juries, he says

@highlight

Special counsel wouldn't be compromised by ties to local police, he says