WASHINGTON (CNN) -- Who knew what, and when?

Some congressional Democrats are calling for an investigation into controversial CIA interrogation techniques.

Those questions, focused on recently released Bush-era CIA memos detailing "enhanced interrogations" of suspected al Qaeda members -- are now being posed inside the Beltway, as calls by Democrats for an independent investigation into torture allegations have become louder.

House Minority Leader John Boehner said Thursday that the release of what he described as the "torture" memos is politically motivated.

"Last week, they [Obama administration] released these memos outlining torture techniques. That was clearly a political decision and ignored the advice of their Director of National Intelligence [Dennis Blair] and their CIA director [Leon Panetta]," Boehner said.

The Ohio Republican pointed out that he saw a partial list of the number of members of the House and Senate, Democrats and Republicans "who were briefed on these interrogation methods and not a word was raised at the time, not one word."

Rep. Peter Hoekstra, R-Michigan, also blasted concerns being raised by Democrats.

"Only now that we have a new administration are people coming out who were aware of these programs saying wait a minute, these were terrible programs. In reality, two, three years ago, they signed off on it, they voted for legislation that funded these programs, and now all of a sudden these are terrible practices," he said.

But when asked whether or not she raised objections to the interrogation measures at the time, House Speaker Nancy Pelosi -- a then-ranking member of the House Intelligence Committee -- vehemently said "we were not, I repeat, we were not told that waterboarding or other enhanced methods were used."

"What they did tell us is that they had some legislative counsel ... but not that they would. And that further, further the point was that if an when they would be used they would brief Congress at that time," she added.

President Obama has called waterboarding -- which simulates drowning -- torture, and has defended releasing the CIA memos.

One memo showed that CIA interrogators used waterboarding at least 266 times on suspected al Qaeda leader Abu Zubaydah and Khalid Sheikh Mohammed, the suspected mastermind behind the September 11, 2001, terrorist attacks on the United States.

Earlier this week, Obama left open the possibility of criminal prosecution Tuesday for former Bush administration officials who drew up the legal basis for aggressive interrogation techniques many view as torture.

Obama said it will be up to Attorney General Eric Holder to decide whether or not to prosecute the former officials. Prosecutions of CIA interrogators carrying out Justice Department orders would not, however, be prosecuted, according to Obama and Holder.

Sen. Jay Rockefeller said he agreed that CIA operatives shouldn't face prosecution, but is "not prepared to say the same for the senior Bush administration officials who authorized or directed these policies in the first place."

"The focus for right now should be on finding the facts," the West Virginia Democrat added.

Sen. Patrick Leahy, the Vermont Democrat who is chairman of the Senate Judiciary Committee, has said that he wants a commission of inquiry to look into the matter.

"We must take a thorough accounting of what happened, not to move a partisan agenda, but to own up to what was done in the name of national security, and to learn from it," he said.

But the Senate's top Democrat said Thursday that it's important for both Democrats and Republicans to take a step back and let the appropriate investigation take place.

Majority Leader Harry Reid said while he doesn't support an independent "truth commission" to look into the affair, he does want the Senate Intelligence Committee to take the lead.

"I think it would be very unwise from my perspective to start having commissions, boards, tribunals until we find out what the facts are. I don't know a better way to get the facts than through the intelligence committee," he said.

That position puts Reid at odds with Pelosi, who said Thursday that, "I have always been for a truth commission."

Earlier this week, the Senate Armed Services Committee released a 230-page report detailing interrogation tactics used at the Abu Ghraib prison in Iraq -- and the methods employed at Guantanamo Bay.

The report showed that top Bush administration officials gave the CIA approval to use waterboarding, a controversial interrogation technique, as early as 2002.

"These are 230 pages of facts as to how abusive techniques were used, what I consider to be abominable legal opinions were written to justify those techniques," Chairman Carl Levin, D-Michigan, told CNN. Read more on the report

Levin now wants the Department of Justice to investigate exactly what happened -- something Obama called for on Tuesday.

On Thursday afternoon, Holder told a House committee on the memo prosecution question, "I will not permit the criminalization of policy differences."

But, he said, "it is my responsibility as the attorney general to enforce the law. It is my duty to enforce the law. If I see evidence of wrongdoing I will pursue it to the fullest extent of the law and I will do that in an appropriate way."

Other Democrats are calling for criminal inquiries to be held.

"It is the duty of the United States under the law to at least have an investigation," Rep. Jerry Nadler, D-New York, said.

Democratic leadership sources say, however, that strong GOP resistance makes that a hard sell.

Reid insisted that despite calls for investigations and even prosecutions to take place, there is no Democratic divide.

"Justice must be served. Retribution ought not be what were talking about," he added.

Resistance has begun to show -- coming from a top Senate Republican.

Sen. John McCain -- a Vietnam War P.O.W. who was tortured -- has been a vocal opponent of the practice. But on Wednesday, he told reporters that it's important for the country to move forward.

"If we prosecute individuals for providing their best recommendation to the president of the United States, it will have a chilling effect from now on," the Arizona Republican said. iReport.com:Share your take on torture

McCain -- along with Sens. Joe Lieberman, I-Connecticut, and Lindsey Graham, R-South Carolina -- on Wednesday sent a letter to Obama strongly urging him not to prosecute government officials who provided legal advice related to detainee interrogations.

"Pursuing such prosecutions would, we believe, have serious negative effects on the candor with which officials in any administration provide their best advice, and would take our country in a backward-looking direction at a time when our detainee-related challenges demand that we look forward," they said in the letter.

The senators' concerns are also being echoed by Obama's defense secretary, who warns of the consequences abroad.

Defense Secretary Robert Gates said Thursday that he was is concerned with the "potential backlash" in the Middle East and in the war zones. He said the release might have a negative impact on the troops.

But Gates said with all the congressional investigations being released and lawsuits, the release of the memos was going to happen.

"There is a certain inevitability that much of this will eventually come out," Gates said. "Pretending that we could hold all this and keep it all a secret, even if we wanted to, I think was probably unrealistic."

CNN's Dana Bash and Time's Mark Thompson contributed to this report.

@highlight

President Obama recently released CIA documents on "enhanced interrogations"

@highlight

New report shows that top Bush officials signed off on the controversial methods

@highlight

Democrats are calling for investigations into Bush officials

@highlight

Republicans insist that Democrats in Congress knew what was happening