(CNN) -- Smartphone competition isn't just about choosing the biggest screen, fastest processor or sleekest operating system. As phones continue to replace point-and-shoot cameras, a new battleground for smartphone manufacturers is camera quality.

And the bar keeps getting raised.

Nokia's new Lumia 1020 smartphone, which goes on sale July 26 through AT&T, features a whopping 41-megapixel camera. The Finnish company is fighting to stay competitive in the phone market, where it has been overtaken by Samsung as a top mobile phone vendor, and where Windows 8, its smartphone operating system of choice, is a distant third behind Android and iOS.

Nokia has decided to focus on adding the best possible camera technology into its phones, a mission that started with its PureView 808 camera. Unveiled in early 2012, the 808 also featured a 41 megapixel camera but was bulkier and ran the now obsolete Symbian operating system.

If 41 megapixels in a smartphone sounds too good to be true it's because in some ways it is. The beefed-up pixel count makes for an excellent marketing soundbite when you compare it to the competition. The iPhone 5's back-facing camera is just 8 megapixels, the Samsung Galaxy 4's is 13 megapixels and the Canon 5D Mark III DSLR camera, favored by many professional photographers, is 22.3 megapixels.

A megapixel -- that's one million pixels, if you're counting -- is a broad measurement of image quality: The more megapixels, the sharper the image and the more you can enlarge a photo without it looking blurred or grainy.

But there is more to a good image than megapixel count. Most amateur photographers don't need more than 8 or 10 megapixels. Some experts believe a better measure of a camera's quality is the size of its light sensor: The larger a sensor, the more light it lets in and can use to create an image. Large sensors can capture crisper photos in low-light settings.

The sensor on the Lumia 1020 is larger than what's found in other smartphones, but smaller than compact cameras. Beneath the 41-megapixel number is some impressive proprietary technology, called oversampling, that combines data from a cluster of pixels for a single, more accurate final picture. The end result, typically a 5-megapixel image, benefits from improved zooming capabilities and better low-light performance, but the images are far from DSLR-quality.

So is all this technology the start of a new battle over megapixels, this time between smartphone companies? Maybe not, says Seattle photographer and camera-phone evangelist Chase Jarvis.

"The idea of continuing to pack more and more megapixels into (phone cameras) will have diminishing returns," said Jarvis, who recognized the potential of smartphone photgraphy early on, writing a book and app around the idea that the best camera is the one that's with you. "The megapixel wars are by and large moot."

The benefit of high-resolution photos from phones is limited. People who primarily upload their images to social media sites are already compressing their images, and their friends and family are increasingly viewing them on small smartphone screens. It's even possible make a decent 8-by-10 inch print from an iPhone photo.

To upload pictures over Wi-Fi and cellular networks, the image file needs to be a workable size. There are also memory limitations on smartphones, where apps, songs and videos are already competing for limited space.

Jarvis believes there are still plenty of other areas where smartphone cameras can improve. He cites better low-light performance, increased dynamic range (producing sharper contrast between an image's shades and colors), and external features like better flashes and lenses.

Phone makers are moving fast to put the best features of compact cameras into smartphones. But the same is not yet true for camera companies. Traditional camera manufacturers have been slow to integrate connectivity features and app ecosystems into their devices, which would require entering a strange new world of relationships with wireless carriers.

Samsung has started releasing cameras that run Google's Android operating system, but for most manufacturers, true integration is still a long ways off.

Smartphones have another advantage in the battle to be your primary camera: a surplus of sensors tracking things like location and movement.

"What we're going to see accelerating dramatically is the contextualization of photography," said Jarvis. The additional metadata collected by the various sensors inside smartphones -- not just size and sharpness -- are what will add value to photos in the future, he said.

Jarvis predicts being able to sort your past images based on such factors as your heart rate or how fast you were moving when they were taken.

With big data, people will be able to make more sense and add context to all photos uploaded publicly. Imagine seeing what colors are trending in photos around the world in real time.

If this is the future of amateur photography, smartphones already have the platform, the connections and the sensors in place.

"Images are not about dynamic range and megapixels, they're about stories and about moments," said Jarvis. Sensors, not megapixels, will help tell those stories.

@highlight

Nokia's new Lumia 1020 smartphone will feature a 41-megapixel camera

@highlight

Smartphones have advantage over cameras because they allow instant sharing

@highlight

The next wave of phone cameras may display information collected by sensors

@highlight

41 megapixels is more than some professional cameras