Jerusalem (CNN) -- Clashes between pro-Palestinian protesters and Israeli forces erupted along Israel's borders and occupied territories Sunday, leaving at least 12 dead on a Palestinian mourning day marking the birth of the Jewish state.

Israeli Prime Minister Benjamin Netanyahu decried what he called "violent demonstrations" aimed at undermining Israel's existence.

"We hope for the peace and restfulness to return quickly, but no one should be mistaken -- we are determined to defend our borders and our sovereignty," Netanyahu said.

The conflicts broke out on "Nakba Day." Nakba -- Arabic for "catastrophe" -- marks the period when more than 700,000 Arabs were displaced from their homes during fighting that followed the creation of Israel in 1948.

Two protesters were killed and 170 were wounded Sunday when fighting broke out in the Golan Heights area, the Syrian Arab News Agency said. And at least 10 were killed and 112 others were injured in clashes along the line of demarcation with Lebanon, Lebanon's state news agency reported.

Pro-Palestinian demonstrators also clashed with Jordanian security forces near the border of Jordan and Israel, injuring 25 people including police officers and protesters, according to a Jordanian police spokesman.

In the most violent confrontations Sunday, an Israeli military spokeswoman said, troops fired on demonstrators who were illegally crossing from Lebanon and Syria and damaging "security infrastructure." But Syrian and Lebanese officials criticized what they said were Israeli attacks, state media reported.

Israel's military accused Syria of inciting a crisis to divert attention from its own clampdown on anti-government demonstrations. Ten Israeli soldiers and three officers were injured in the clashes, the Israel Defense Forces reported.

A spokesman for U.N. Secretary General Ban Ki-moon said Ban had called on all sides to "show restraint and refrain from provocations so as to prevent escalation of tensions and ensure civilians are not killed or injured."

"He (Ban) reiterates the urgent need for a just, lasting and comprehensive Arab-Israeli peace, which ensures dignity and security for all, including an end to occupation, an end to conflict, and a just and agreed solution to the plight of Palestinian refugees," the spokesman said in a statement.

The Israeli military also was attempting to push back demonstrators near the Erez crossing which connects Israel and Gaza, where medical sources said at least 70 people had been injured. Large clashes broke out between Israeli soldiers and Palestinians near a checkpoint that separates the West Bank from Jerusalem as well.

Some protesters hurled rocks, while Israel's military met approaching protesters with volleys of tear gas and rubber-bullet fire.

"We tried as best as we could not to hit anyone innocent," said Lt. Col. Avital Leibovich, an Israeli military spokeswoman. "At the end of the day, we are protecting civilians here in Israel."

Israeli soldiers fired warning shots in the air after dozens of Syrians broke through the line of demarcation and entered the Golan Heights, she said. Israel captured the region from Syria in 1967 and has occupied it ever since.

A statement from the military said forces "fired selectively towards rioters who were targeting security infrastructure and some were injured as a result."

"The Syrian regime (was) attempting to divert world attention from their brutal crackdown and to incite violence on the Israel-Syrian border," Leibovich said.

Reports from non-government organizations suggest between 700 and 850 people have been killed since the start of anti-government protests in Syria and "thousands of other people have reportedly been arrested," the United Nations said Friday.

"Syria condemns Israel's criminal practices against the people in Golan, Palestine and South Lebanon which resulted in a number of martyrs and injured people," the state-run Syrian Arab News Agency reported, citing an official with the country's foreign ministry.

Syrian state television Sunday showed protesters along the border using Palestinian flags to fan an injured victim lying on the ground.

Different accounts were emerging Sunday of clashes along the UN line of demarcation that separates Israel and Lebanon , where ambulances stood by as the steady crackle of gunfire filled the air.

Lebanon's state news agency said five people were killed and 56 others were injured. The Israeli military said troops fired warning shots after protesters attempted to breach a fence and infiltrate into Israeli territory

It was unclear who fired the shots that killed and injured protesters. The Lebanese military was also deployed along the line of demarcation, Leibovich said, and they were using live fire to stop protesters as well.

"The IDF sees the governments of Syria and Lebanon as responsible for any violence or provocation towards Israel that emanates from their respective territories," the Israeli military said in a statement.

Lebanese Prime Minister Saad Hariri issued a statement supporting the Palestinian cause and criticizing what he said was Israel's "blatant and intolerable aggression" toward peaceful demonstrators Sunday.

"On this day, we cannot but strongly condemn Israel's continuous violation of human rights, and the fact that it faces peaceful movements of the Arab citizens in Lebanon, Golan and Palestine with killing and murder," he said.

The commander of the United Nations Interim Force in Lebanon "urged antagonists to exercise maximum self-restraint," Lebanese state media said.

Israeli military spokesman Brig. Gen. Yoav Mordechai told CNN affiliate Channel 2 that dozens of men had broken through a crossroad and entered the Erez crossing near Gaza. The Israeli military was trying to push back demonstrators using live ammunition and anti-demonstration weapons, he said.

Medical sources reported that 70 people had been injured there, and 15 of them were in critical condition.

"The Nakba is the defining event in our history and collective struggle," Chief Palestinian Negotiator Saeb Erakat said in a statement released Sunday.

"Once Israel recognizes the right of return, Palestinian refugees must be given options and allowed to choose how they want that right to be implemented. Those options must be meaningful and must include return to their original homes and villages," he added. "For there to be a just and lasting peace, their choices must be respected."

New questions about the viability of the stalled peace process were raised this month in the wake of a formal reconciliation agreement between the two largest Palestinian factions: President Mahmoud Abbas' party, the West Bank-based Fatah, and the Islamist group Hamas, which rules Gaza.

Both Israel and the United States consider Hamas a terrorist organization and have voiced strong opposition to the inclusion of the group in any unity government, demanding that it first renounce violence, recognize the state of Israel and abide by all previous agreements.

Mustafa Barghouti, a Palestinian lawmaker who helped negotiate the Fatah-Hamas agreement, said Sunday that the reconciliation signaled a "golden opportunity to make peace" between Israelis and Palestinians.

An Israeli government spokesman said Sunday that the country would continue to push for peace, but he said the agreement with Hamas was a significant stumbling block.

"It's clear that there's really a problem here if the Palestinian leadership has chosen Hamas as a partner," he said.

Barghouti criticized Israel's reaction to the news.

"I think this Israeli government unfortunately is working against the interests of its own people, against the interests of peace and against the interests of Palestinians," he said.

Elsewhere in the region, pro-Palestinian protesters clashed with police outside the Israeli Embassy in Cairo, Egypt, on Sunday.

"We want to cut diplomatic relations between Egypt and Israel," said Islam Amin, a university student. "Israel is our enemy. We know it's our enemy. But we don't want a war."

Egyptian police said they had arrested 30 people by late Sunday and state news reported that at least 24 people were injured.

In the Jordan Valley, anti-riot forces fired tear gas and water cannon to disperse an estimated 800 demonstrators in the town of Shouneh, two kilometers from the closest land crossing to Jerusalem, after dozens of participants attempted to break through a military checkpoint.

According to Jordanian police Lt. Col. Mohammed Khatib, clashes broke out shortly after 11 protesters -- including three children -- attempted to cross the Israeli border to "free Palestine."

The ensuing clashes left 11 police officers and 14 protesters injured, all of whom have been treated and released, according to Khatib.

Jordan, home to 1.8 million U.N.-registered Palestinians, is one of two Arab countries with normalized relations with Israel.

CNN's Kevin Flower, Shira Medding, Guy Azriel, Rima Maktabi, Saad Abedine, and journalists Ian Lee, Taylor Luck and Mohamed Fadel Fahmy contributed to this report.

@highlight

Pro-Palestinian protesters clash with police outside the Israeli Embassy in Cairo

@highlight

Hariri: The clashes Sunday are "blatant and intolerable aggression" from Israel

@highlight

Netanyahu: "We are determined to defend our borders and our sovereignty"

@highlight

10 are killed along the Israel-Lebanon demarcation line, state news agency says