After years of rising cholesterol levels from fatty diets and pudgy waistlines, there's finally good news, experts say. More people who are trying to lower their cholesterol are actually succeeding in getting their low-density lipoprotein, or bad cholesterol, down to healthy levels.

Research suggests that decreasing LDL -- via drugs, exercise and/or diet --  can ward off heart attacks and strokes.

However, there's still room for improvement, according to research from nine countries, including the United States and Canada. And there's good reason to stay focused on lowering your cholesterol: Research suggests that decreasing LDL can ward off heart attacks, strokes, and other health problems.

In the new study, which was funded by Pfizer and published in Circulation: Journal of the American Heart Association, an international group of researchers led by David D. Waters, M.D., of the University of California, San Francisco, looked at 9,955 people with an average age of 62 to see whether cholesterol-lowering efforts -- including taking medication or trying diet and exercise alone -- were having the intended effect.

For healthy people, the current target for LDL cholesterol is less than 160 mg/dL, and for those with two or more heart disease risk factors, it's less than 130 mg/dL. For people with heart disease, LDL should be less than 100 mg/dL and possibly even less than 70 mg/dL for those at super-high risk.

The survey, known as the Lipid Treatment Assessment Project 2, is an update of a similar survey done in the United States in 1996 and 1997. At that time, just 38 percent of Americans in general and 18 percent of people with heart disease who were trying to lower cholesterol actually had their LDL cholesterol under control. Health.com: 4 tips for healthy drinking while dieting

Things have definitely gotten better. Waters and his colleagues found that in 2006--2007, 73 percent of people had their LDL cholesterol in an acceptable range. This included 86 percent of people at relatively low risk of heart problems, 74 percent at moderate risk, and 67 percent at high risk. But just one in three people, or 30 percent, who already had heart disease and at least two other risk factors (such as obesity and smoking) had their LDL cholesterol in the healthy range. About 75 percent of the patients in the survey were taking statins, 16 percent were treated with only diet and exercise, and the remainder took a cholesterol-lowering medication that was not a statin. Statins include brand-name drugs like Lipitor, Zocor, and Crestor, among others.

The findings "should be a wake-up call" to people who already have or are at risk of heart attack and strokes, says Gregg Fonarow, M.D., the codirector of the UCLA Preventative Cardiology Program, who was not involved with the research. People with cardiovascular disease should not "assume that just because they're under medical care that they've optimized their cardiovascular health," he says. Health.com: Ultimate guide to fresh fruits and veggies

However, Dan Hackam, M.D., Ph.D., of the University of Western Ontario and the Stroke Prevention and Atherosclerosis Research Centre in London, Ontario, says the survey may not be a fair representation of people with high cholesterol.

The survey included only people who had been using the same cholesterol-lowering approach for at least three months. "There's lots of people in the general population who should be on these drugs who aren't on them," Hackam says. "I see a lot of patients who've had heart attacks and strokes who aren't on these medications."

Nevertheless, according to Hackam, the findings are "very good news." When the original survey was done, he says, there were just a couple of major clinical trials showing the health benefits of cholesterol reduction with statins. Since then, there have been around 50 such trials, he adds, including some with women, minorities, and seniors. "There's just so much more awareness now among physicians of the clinical evidence," he says. Health.com: 10 celebrity couples: Who's healthy, who's not?

Fonarow says there are still plenty of doctors out there who don't treat cholesterol as aggressively as they should. "The threat to the patient is something that plays out over many years or decades; it's not an immediate threat," he notes. This time lag can make it difficult for some people to see the benefits of treating high cholesterol just as aggressively as they would a heart attack, says Fonarow.

Hackam says he measures his patients' heart disease and stroke risk by giving them a 12-hour fasting cholesterol test and a scan of the walls of the arteries in their neck. If the scan shows fatty plaques, he recommends cholesterol-lowering therapy even if the patient's cholesterol levels are normal. Health.com: New iPhone apps for healthier, more earth-friendly shopping

Other steps people can take, aside from seeing their doctor, include quitting smoking and exercising more, Hackam says. There's even a home cholesterol test -- just like the home glucose tests used by people with diabetes -- that patients could use. "People can be very proactive," he explains.

To find out if your cholesterol levels are where they should be, and what to do if they aren't, Fonarow recommends checking out the interactive Web sites run by the American Heart Association and the American College of Cardiology.

Why are more people hitting cholesterol targets? It probably isn't because more patients are taking their medication properly or sticking with their diet, according to an editorial published with the study. It's more likely that the newer cholesterol-lowering drugs do a better job of curbing LDL, writes Antonio M. Gotto, Jr., M.D., D.Phil, of Weill Cornell Medical College, in New York City. About half of the study participants were taking one of these newer drugs, he notes. Health.com: The medical tests every woman must have

Gotto is a consultant for Merck and other companies and is on the advisory board of DuPont and Novartis. Waters and other study coauthors have received consulting fees from Pfizer and other pharmaceutical companies.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study: More heart patients are succeeding in getting cholesterol to healthy levels

@highlight

In 2006-07, 73 percent of people had LDL in healthy range vs. 38 percent in 1996-97

@highlight

Likely that the newer cholesterol-lowering drugs do a better job of curbing LDL

@highlight

There's still room for improvement, says one expert