Mogadishu, Somalia (CNN) -- When Ahmed Jama decided to leave behind the successful restaurant he'd started in London to open a new one in one of the world's most dangerous cities, his hometown of Mogadishu, reactions ranged from surprise to scorn to straightforward questioning of his sanity.

"A lot of people think that I am a crazy guy," says the Somali chef, his wiry figure looming over roasting pans full of vegetables and meat inside his downtown Mogadishu eatery.

"When I opened this restaurant they could not believe it," he remembers. "When I came here and bought the land some people told me, 'you are not coming back, come back when you're ready' -- I said, 'I am going to build it soon.'"

And he did. A risk taker, in 2008 Jama chose to open his first Somalia-based restaurant in Kilometer Four, a dangerous area in Mogadishu where battles would often rage between various factions fighting for control of the city.

"That is the only reason I opened it," says Jama, who grew up in Mogadishu before heading to the UK to study culinary arts. "If I do, people are going to see; they are going to say, 'he has done it, why are we not doing it?'"

Read this: Holidays in Somalia, anyone?

Jama realized that, despite more than 20 years of conflict, there was money to be made here. And now, five years on, Jama owns not one but five popular restaurants across the Somali capital, all of which sell fresh local foods to its growing middle class.

But Jama's bold move was spurred on by more than just profits. His mission was to give his fellow countrymen, who'd been scarred by years of war, something greater than just good food. He wanted to offer a taste of normal life and a sense of hope for the future.

"The only reason why I came here is to change the lives of the people who don't have somewhere to work and people who have been locked indoors and they don't have anywhere to go and socialize," says Jama. "Basically, what I am looking for is to show them, 'yes, you can laugh when you finish work, university, office work, wherever you are, you have somewhere to go.'"

War-torn Mogadishu has for decades been known for the lawlessness and poverty governing its streets. But today, things are starting to change as hope gradually returns to parts of the East African country.

With increased security and stability, for the first time in a long time Mogadishu is beginning to open for business. International and regional flights are on the rise, real estate is booming and at the seaport, the country's key national asset, there is a frenzy of activity as commercial ships and boats line up in the harbor carrying goods for import and export.

Part of this rising business activity is Jama's chain of restaurants, all called "The Village," that dot the city. The chef and restaurant owner is just one of a growing number of Somalis who, after years abroad, are now returning to be part of their country's economic renaissance.

"I wanted to reach where no one has ever reached before and I just wanted to show the world, everyone, that for Somalia this is a time we can take more and remove that dangerous label and to show them that we need help," says Jama.

"To show them this is time for peace and for living."

Read this: Rappers defy bullets for Mogadishu concert

From his eatery in the heart of Mogadishu to his seafront restaurant in Jazeera beach, Jama's establishments are known as the go-to places in a city that was mostly off limits until recently. Now people gather here to meet friends, eat freshly made Somali food, sip cappuccino and even smoke a pipe of flavored tobacco, albeit discreetly.

"Here it is a beautiful place to come over the weekends," says local client Ali Ahmed. "It's beautiful to come out and sit and eat food at the restaurant."

The relatively peaceful business environment in Mogadishu is propped up by African Union security forces. They've been able to squeeze out the Al-Qaeda linked militant group Al-Shabaab from the city.

But the insurgents seeking to impose strict Islamic rule still launch sporadic terror attacks. Last year, suicide bombers attacked one of Jama's restaurants, killing several people.

"People get into my restaurant feeling like they are going out; they have somewhere to sit and have a nice ice cream, have a nice coffee, lobsters too -- there is all of that that makes people come to my restaurant. But politicians and Al-Shabaab they don't like each other -- that's what makes them target my restaurant," says Jama.

Despite the danger, Jama is undeterred. He sees his restaurants as more than just somewhere to eat. He sees them as providing hope and has no regrets for leaving the comforts of his life in London to start a business in his country.

"I know why I have done it and I want the people to feel that this is what we need to (make things) change," says Jama.

"My dream is to have tourism and travel holidays, a mixture of people -- white, black, everyone -- coming on holiday (to Mogadishu). That's my dream."

@highlight

Somali chef Ahmed Jama owns five restaurants across Mogadishu

@highlight

He left his successful cafe in London to start a new business in his hometown

@highlight

Jama says he wanted to give his countrymen a taste of normal life

@highlight

Growing numbers of Somalis come back to be part of their country's renaissance