(CNN) -- A Texan couple faces an agonizing wait for the birth of their baby boy to a surrogate, some 14,000 kilometers away, in a country now under military rule that's changing the laws mid-way through the pregnancy.

The parents, who have asked not to be named, have never met their surrogate, who they chose from a photo and profile supplied by a clinic in Thailand.

"We are not allowed to have direct access to the surrogate, (to) talk to her.... but we are in contact with our agency that has kept us up to date even in the midst of all that has been happening," they said in an email to CNN.

What's been happening is an unprecedented crackdown on a lucrative industry that has flourished in the absence of rules and regulations. In recent weeks, Thai authorities have raided a number of surrogacy clinics, closing some down and throwing hundreds of couples into a legal and emotional maelstrom.

"The thing that has helped me cope with all the uncertainty is my faith and the hope to have a baby," said the intending mother from Texas.

She's not alone.

Hundreds of confused couples

Families Through Surrogacy (FTS), a non-profit organization that helps intending parents through the process, says there are currently around 400 couples with pregnant surrogates or frozen embryos in Thailand.

Around half are from Australia, with many others from the U.S., Canada and Israel, said FTS founder Sam Everingham, who has been inundated with calls from around the world from worried parents.

"Many clinics are being run on a skeleton staff, or staff working from home. As a result it's very hard for parents to contact their clinics," Everingham said.

"We want to assure parents that their surrogates are being looked after. They shouldn't panic, they shouldn't try to contact their surrogates direct. This is a difficult time but clinics are doing all they can to ensure those existing pregnancies are looked after," he said.

Draft laws approved

The recent police raids have exposed the extremes of surrogacy in Thailand, including the case of a 24-year-old Japanese man suspected of fathering at least 12 surrogate babies because he wanted "a big family," according to his lawyer. DNA tests are underway.

The industry had already been subject to international scrutiny following the case of baby Gammy, a seven-month-old boy with Down Syndrome whose parents left him with their Thai surrogate, while taking his twin sister home to Australia. It was later revealed the children's father, David Farnell, was a convicted pedophile.

Change in the industry was already underway, with the announcement by Thailand's military government in late July that clinics would be reviewed to ensure they were abiding by the Medical Council's code of conduct.

Many weren't.

"People have been operating on a pretty informal basis and the risk has always been that that would change, and change very quickly. So in that sense the worst fears of legal professionals like myself have come to bear," said Jenni Millbank, a surrogacy expert from the University of Technology in Sydney.

Last week, the interim Thai Cabinet approved a draft law to make commercial surrogacy a criminal offense. It's unclear when it will be formally approved by the National Legislative Assembly and endorsed by the Thai King.

Everingham told CNN it's unlikely people in current arrangements will be charged.

"The Thai government has assured us in recent days that there will not be penalties for those in current arrangements, whether they be surrogates or intending parents. (But) there will be a new process for exit from the country," he said.

Babies stopped at airport

In the last few days, Thai immigration officials have stopped two couples -- from the U.S. and Australia -- from leaving the country with their newborn babies.

Police Major General Suwitpol Imjairat said both had been allowed to leave after presenting a missing document.

"Thai authorities are now more rigorously enforcing documentary requirements upon exit of the country when they suspect a child has been born of surrogacy in Thailand," said a spokesman from the Australian Department of Foreign Affairs and Trade (DFAT).

A spokeswoman from the U.S. Embassy said: "We are aware of reports of cases where the parents were not permitted to exit, and we are seeking clarification about Thai Immigration requirements."

Suwitpol told reporters on Tuesday: "If all documents are right, there will be no problems."

Legal limbo

Couples with pregnant surrogates are now expected to have to seek a Family Court ruling before they're able to take their newborns out of the country -- a process that could take up to six months. "It's been three to five weeks in the past. It's a huge increase," Everingham said.

The extra costs and delays are an unexpected blow for couples who have already spent thousands of dollars on surrogacy services, but there's little they can do.

"Going early to Thailand would serve no purpose, and we would not know who to lobby anyway," the hopeful Texan mother said. "We are not rich. We have regular jobs, and like most people, we only have so much vacation time to use to get our baby and take care of the legal requirements to take our baby home."

End of Thai surrogacy?

Already, people who may have sought surrogacy in Thailand are looking elsewhere, Everingham said.

"Mexico and Nepal are very viable possibilities now for same-sex couples, singles and de facto couples."

The options will be discussed at a conference in Washington DC, next month, when Families Through Surrogacy will also be calling for mandatory criminal checks worldwide on intending parents, to avoid a repeat of the outrage that followed the case of baby Gammy.

"At the moment, some U.S. clinics do ask for criminal checks on parents, but it's the least that can be done by clinics to protect their reputation, as well as protect the babies who'll be born," Everingham said.

It's likely the Thai crackdown will lead to a sharp drop in foreign parents seeking surrogacy in the country. However, Everingham says he doesn't think that it's the end of the industry in Thailand.

"There is going to be surrogacy in the future, but brokers or intermediaries won't be allowed. Basically it looks like it'll only really be possible if you arrive with a local Thai person or you're bringing a surrogate in from another country with you."

@highlight

400 couples worldwide worried for surrogate babies in Thailand

@highlight

Thai Cabinet approved draft laws to criminalize commercial surrogacy

@highlight

Raids exposed extremes of the industry, a man suspected of fathering 12 babies

@highlight

Intending parents have been stopped at Bangkok airport by immigration officials