Nineteen years ago, Ron Davis and Lucia McBath celebrated the birth of a son.

Sunday, they should have celebrated Jordan Davis' birthday with him. Instead, they faced the prospect of a new trial for the man accused of killing him.

A jury in Jacksonville on Saturday found Michael Dunn guilty of attempted second-degree murder for opening fire on three other teens in the same SUV as Jordan Davis -- but deadlocked on the murder charge against him in Davis' death.

Prosecutors had argued that Dunn recklessly shot at the teens after complaining about the volume of their music in a convenience store parking lot. Three of his 10 shots struck Davis, one of them cutting through his liver, a lung and his aorta.

Dunn testified that Davis threatened him and that he thought he saw a gun sticking out of the Dodge Durango.

But Ron Davis said his son was a good kid and didn't deserve to be collateral damage in an argument over loud music. McBath said she was happy for a little bit of closure.

"It's sad for Mr. Dunn that he will live the rest of his life in that sense of torment, and I will pray for him," McBath said. "And I have asked my family to pray for him, but we are so grateful for the charges that have been brought against him. We are so grateful for the truth."

And moments before prosecutor Angela Corey said she would seek a new trial on the murder charge, McBath said she and her ex-husband will continue to stand up for their son, who was 17 when he was killed.

"We will continue to wait for justice for Jordan," she said.

Verdict evokes mixed reactions

Shooter faces decades in prison

A jury on Saturday night convicted Dunn of three charges of attempted murder for shooting at the other three teenagers in the SUV and one count of shooting into the vehicle on November 23, 2012.

As the jury's decisions became clear about 7 p.m. Saturday, Dunn looked ahead solemnly with a frown but no tears. His lawyer, Cory Strolla, told reporters later that his client was "in disbelief."

"Even as he sat next to me, he asked, how is this happening," Strolla said. "... It has not set in. I don't think it will set in anytime soon."

Ron Davis was pleased that Dunn face 60 years or more in prison for the attempted murder charges.

"He is going to learn that he must be remorseful for the killing of my son, that it was not just another day at the office. My son will never be just another day at the office where (Dunn) can leave the scene and be stoic," he told reporters.

He wanted it known that Jordan was not a troublemaker.

"It wasn't allowed to be said in the courtroom, but he was a good kid. We will say it. He was a good kid," he said. "There are a lot of good kids out there ... and they should have a voice. They shouldn't live in fear and walk around the streets worrying about if someone has a problem with somebody else that if they are shot, it is just collateral damage."

The incomplete finale to this hot-button trial -- emotionally charged partly because Dunn is white and the teenagers he shot at are black -- echoed George Zimmerman's trial for the killing of 17-year-old Trayvon Martin about 120 miles down the road in Sanford, Florida. While the state's "stand your ground" law wasn't used by Dunn, his lawyers did argue that he fired in self-defense.

Opinion: Florida shooter saw black, thought 'threat'

Another murder trial?

Given the partially hung jury, Corey, Florida's state attorney, said prosecutors would press for a new trial in Duval County on the murder charge.

"Justice for Jordan Davis is as important as it is for any victim," said Corey, whose office also handled the Zimmerman case.

Even without a final decision on the murder count -- and pending defense appeals -- the 47-year-old Dunn is looking at a lengthy prison term.

Prosecutor Erin Wolfson explained Saturday night that each attempted second-degree murder conviction carries a minimum sentence of at least 20 years. There's also a 15-year sentence possible on the conviction for shooting into the teenagers' vehicle.

"You are looking basically at life in prison," Strolla said, even as he vowed to challenge the convictions. "At 47 years old, that's a life sentence regardless of count one."

CNN legal analyst Paul Callan said in most cases prosecutors will take some time after a mistrial to reflect on the case before planning the next steps.

"If he winds up with 60 or 75 years in jail, from a pragmatic standpoint it doesn't make a whole lot of sense to retry the case," he said Sunday. "On the other hand if you're the parents of Jordan Davis and you believe, as well  you should, that your son's reputation has been besmirched by this self-defense claim, the family (might) want a retrial, and that's something that a prosecutor has to consider carefully.

"Hopefully (Corey will) look carefully  at the pluses and minuses of  doing a retrial."

The decision to convict on these counts, and not on murder, didn't come easily for a jury that had deliberated for about 30 hours since getting the case late Wednesday.

Judge Russell Healey acknowledged earlier Saturday that the jury of four white women, two black women, four white men, an Asian woman and a Hispanic man was "struggling, obviously."

"But it's not for want of trying to reconcile all of this," he said then. "I think we've got some analytical people in there who are trying to do just that -- trying to analyze this from every possible angle."

The lack of a murder conviction upset some, including protesters who marched outside the Jacksonville courthouse calling for Corey to lose her job. "The people united will never be defeated," they chanted.

Confrontation at a gas station

It was November 23, 2012, when Michael Dunn pulled into a gas station in Jacksonville, parking next to a red Dodge Durango with four teenagers inside.

The teens had come in for gum and cigarettes; Dunn, meanwhile, had just left his son's wedding with his fiancee, who'd gone inside the convenience store for wine and chips.

Dunn didn't like the loud music -- "rap crap," as he called it -- coming from the teens' SUV. So he asked them to turn it down.

What followed next depends on whom you believe. Dunn says Davis threatened him, and he decided to take matters into his own hands upon seeing what he thought was the barrel of a gun sticking out of the Durango.

But prosecutors say it was Dunn who lost control, firing three volleys of shots -- 10 bullets total -- at the SUV over music he didn't like.

Prosecutors challenged what he did next: He left the gas station and drove to his hotel, about three miles away. There, Dunn walked his dog, ordered a pizza, then drank rum and cola -- "stunned and horrified, (shocked how) things escalated the way they did over a common courtesy."

After learning almost six hours later that he had killed Davis, Dunn testified that he became "crazy with grief," experiencing stomach problems for about four hours before taking a nap.

"My intent was to stop the attack, not necessarily end a life," he testified. "It just worked out that way."

Yet his fiancee, Rhonda Rouer, testified that Dunn had never mentioned any weapon to her -- be it a shotgun, a stick, a barrel or a lead pipe.

In fact, police found a basketball, basketball shoes, clothing, a camera tripod and cups inside the teenagers' Durango. There was no gun.

Dunn himself never called police. The first contact he had with them was at his home in Satellite Beach as he was being apprehended.

Arguing that he wasn't in a rational state of mind, Dunn admitted, "It makes sense that I should have (contacted authorities). We didn't. I can't tell you why."

Echoes of Trayvon Martin and George Zimmerman

Some people were quick to compare Dunn to Zimmerman, who ultimately was acquitted of murder for the shooting of Martin.

Martin's own parents were among them, claiming Davis' killing is another reminder that, in Florida, "racial profiling and stereotypes" may serve as the basis for illegitimate fear "and the shooting and killing of young teenagers."

But Dunn's defense attorney, Strolla, told CNN's Chris Cuomo on Friday that the Zimmerman and Dunn cases aren't so similar.

There was a physical confrontation between Zimmerman and Martin, and police gave Zimmerman the benefit of the doubt about defending himself, Strolla said.

"My client did not wait to become that victim," he said. "My client did not wait to either get assaulted by a weapon or have someone potentially pull a trigger," he said.

Though a weapon was never found, Strolla maintains the youths could have had one and somehow ditched it. He said the key point was that Dunn believed they were armed and that his life was in danger.

"Now, does it sound irrational? Of course it sounds irrational. But have you ever been in that situation?" the lawyer asked.

Strolla said Saturday the four convictions leave him with regret, even as he said he couldn't immediately think of anything he'd do differently in the case.

At the same time, the prosecution didn't manage a conviction on what was by far the biggest charge: first-degree murder.

This mixed bag means that no one can fully celebrate the jury's decision.

"Everybody lost something in this," the lawyer said.

His client "will live to fight another day" in court, but he and his loved ones are suffering now, Strolla said. He acknowledged, too, the pain felt by Davis' family.

@highlight

Michael Dunn is convicted on three counts of attempted second-degree murder

@highlight

But there's a mistrial on first-degree murder; prosecutors say they'll seek a new trial

@highlight

Dunn faces 60 years in prison, possibly 15 more for another charge

@highlight

The teen killed, Jordan Davis, would have celebrated his 19th birthday Sunday