Beirut, Lebanon (CNN) -- The leaders of Syria and Saudi Arabia on Friday implored Lebanese officials to shun violence in settling political differences and declared their "solidarity with Lebanon against all Israeli threats."

Syrian President Bashar Assad and Saudi King Abdullah sat down Friday with Lebanese President Michel Suleiman and met with Lebanese politicians from various factions in an attempt to avoid Shiite-Sunni conflict ahead of the release of a U.N. tribunal indictment in the 2005 assassination of Prime Minister Rafik Hariri.

It has been rumored that Hezbollah operatives will be blamed for the killing, a seminal event in Lebanon. Rafik Hariri died in a powerful explosion that left a 10-foot crater in a street in downtown Beirut and had a similar impact on Lebanon's political culture.

Assad and Abdullah traveled to Beirut from Syria, where they met Thursday.

Suleiman issued a communique saying both men "held talks with Lebanese officials and discussed ways on how to enhance the national reconciliation and the internal stability in Lebanon and how to improve opportunities for economic growth and social development."

The communique said the two asserted their empathy for Lebanon because of "the daily Israeli breaches of Lebanese sovereignty, independence and Israel's attempts to destabilize the Lebanese nation."

They "stressed the importance of continuing to support the Doha agreement," a pact reached by Lebanese rival movements in 2008, and to "complete the implementation of the Taif agreement," an accord developed to end the Lebanese civil war.

The leaders urged the importance of "everyone's commitment not to resort to violence and to place Lebanon's interest above any interest of any faction, and to be part of the legal and constitutional institutions and the Government of National Unity in order to resolve any differences. The Syrian and Saudi Arabia leaders expressed their continued support for Lebanon and the Lebanese president and the interests of Lebanon and its people."

After the visit, Abdullah went to Jordan and Assad traveled home to Syria.

Ibrahim Mousawi, a Hezbollah spokesman, said the group "welcomes any kind of any Arab coordination and unity" and said the summit will play an important role in "repelling the Israeli threats in Lebanon and in the region as a whole."

"The region is facing many challenges and pressures by the Israelis amidst all the talks about a new war in the region and Israel's crimes in expelling the Palestinians, judaizing Jerusalem and threatening the entire region with their scheme against our nation and the rest of the Arab world," he maintained.

Hezbollah and Israel fought a bitter war in 2006 after militants seized two Israeli soldiers and killed three others.

The significance of the visit is that Assad and Abdullah have backed different political movements in Lebanon since the killing, with Saudi Arabia backing Prime Minister Saad Hariri, the son of Rafik Hariri, and Syria supporting Hezbollah, which has representatives in parliament and a presence in the government.

Rafik Hariri's death stunned the nation at the time and prompted tens of thousands to take to the streets, blaming Syria for the killing.

At the time of the killing, neighboring Syria had immense political influence in Lebanon. Syria has always denied the accusations of being involved in the assassination.

A U.N. Security Council resolution demanded Damascus fully cooperate in the U.N. investigation. The assassination and subsequent investigation led to a complete withdrawal of Syrian troops from Lebanon after 30 years of military presence.

The investigation by the U.N. tribunal into the killing is still going on, and the tribunal's prosecutor, Daniel Bellemare, is expected to issue the long-awaited indictment between September and December 2010.

It is Assad's first visit to Lebanon since Rafik Hariri was assassinated. Both leaders last visited Lebanon in 2002 for an Arab League summit to launch the Middle East peace process.

Last week, Hezbollah leader Hassan Nasrallah said he believes that the tribunal will blame elements of his party, but said he would reject any such conclusion. He also said that any indictment of a Hezbollah member would represent a U.S.-Israeli effort to disarm Hezbollah's militant wing.

The United States considers Hezbollah, which has close ties to Iran and Syria, to be a terrorist organization. The Shiite group is a political party and a major provider of social services in Lebanon but also operates a militant wing.

Nasrallah, in a rare press conference, said Hariri's son, current Lebanese Prime Minister Saad Hariri, had told him that the special tribunal would implicate rogue Hezbollah members for the killing, but not the party itself.

"I told Hariri when he accused Syria to bring us one single proof and I will stand by your side and support you, but you cannot allow the instigation against Hezbollah and the Shiites in Lebanon to continue," Nasrallah said.

Nasrallah said forces inside and outside Lebanon "don't want the stability in the country to last."

Among many Muslims, Hezbollah is seen as a heroic organization, successful in having driven Israeli forces from Lebanon in 2006.

In previous parliamentary elections, the so-called March 14 coalition -- parties association with Saad Hariri -- campaigned on a platform to disarm Hezbollah and opposed Hezbollah's 2006 war with Israel.

"In the last five years, some Lebanese politicians dragged the country into a bigger battle that targeted everyone," Nasrallah said. "Every day we were on the verge of a new civil war and we are all victims of a bigger plot that wanted to destroy the resistance in Lebanon.

"These same politicians want to drag Lebanon into that same phase once again.

"So I ask their supporters: Do you really want to stand by these leaders, despite all what happened? Despite everything they have done?"

This week, U.S. State Department spokesman P.J. Crowley, asked about the meeting, said the United States values "dialogue" among the three leaders. He said he suspects Israeli-Palestinian peace moves and other items could be part of the discussions.

"Syria's relationship with Iran is of concern to us. And to the extent that Syria wants to advance its relations within the region and around the world, it would be, you know, much better for Syria to distance itself from Iran and move in a more constructive direction."

He also said, "We think that President Assad and other Syrian leaders should listen very attentively, you know, to what King Abdullah will tell them."

CNN's Saad Abedine contributed to this report

@highlight

NEW: Assad, Abdullah urge officials in Lebanon to avoid violence

@highlight

NEW: They worked to enhance Lebanese reconciliation

@highlight

First visits for both since Hariri death