Beijing (CNN) -- Hold the shark's fin soup. Cancel the elaborate pre-Chinese New Year parties.

Those are some of the new directives from Beijing now being relayed to government officials across China.

"We used to get together for a big banquet before the New Year holidays," a local official told me last week. "No more. Even in obligatory official banquets, we are also banned from serving dishes like sharks fin, bird's nest and all that stuff."

And who is telling you that, I inquired.

"The Number One," he replied, nodding his head.

In the past four decades that I've lived and worked in China, dining has always been a big part of my social and professional activities. In China, like anywhere, one of the best ways to know people and conduct business is to share a meal.

I have enjoyed sharing luscious -- and not necessarily expensive -- meals with Chinese friends and associates. I particularly love dumplings, Peking duck and spicy Sichuanese food.

I have also eaten and drunk my way through many of the government's traditional 12-course banquets, which sometimes left me dyspeptic and dizzy.

In that sense, at least, it's good news that Beijing is slashing the bureaucrat's entertainment budget and scaling back on ostentatious banquet binges.

It's about time.

But not all in China are pleased.

Many restaurants, shops, spas and recreation centers that have largely banked on government-sponsored spending sprees -- especially during holidays -- are hurting badly.

"Our business is down this year," Tony Chang, a Beijing restauranteur, told me. "Many of our usual customers from government agencies have canceled their Chinese New Year banquets. We're down by nearly half."

Wang Lisheng, an employee at a "recreation village" in suburban Beijing, recalled receiving over 30 groups of customers from state-owned enterprises in January last year. As of last month they have only had a few individual customers.

"What has been affected is not just the food business," wrote the Southern Weekly newspaper in a commentary entitled "The Disappearing Evening Banquet." "The banquet has created a complete chain, and all the other related industries will be affected if the banquet shrinks."

But some do not think the changes will be lasting.

"This is what officials usually do after they take up office," wrote a micro-blogger on Weibo, China's micro-blogging site. "The society will relapse in three years, and then those officials will be even more greedy and corrupt to compensate for what they lost. Famished wolves will never become vegetarians."

This, analysts say, may be just a "new guard, new policy" scenario. "Xin guan shang ren san ba huo," a new broom sweeps clean, so says the the Chinese saying.

Since Xi Jinping, 59, took over as the paramount leader of China in November, he has rolled out a raft of decrees aimed at changing the leaders' "working style."

"Compared with their predecessors, the new leaders seem to show more sophistication, confidence and ambition," said Wenfang Tang, a political science professor at the University of Iowa. "They want to give unscripted speeches and hold shorter meetings. They call for the realization of 'the Chinese dream' or China's renaissance."

Xi has pledged to curb ostentatious displays among officials. Last week he ordered a ban on television advertisements selling bling. He has also banned the unnecessary use of red carpets and banners during meetings. He has even threatened to scrap sacrosanct perks, like the road-clogging motorcades and traffic controls arranged for leaders.

"Such a working style must first start with the members of the Politburo," read a statement of the Politburo, the Communist Party's top policy-making body, issued just two weeks after Xi's ascension.

"If you want people to do something, then do it yourself first; if you don't want somebody to do something, then certainly do not do it yourself."

Analysts say the statement reflected Xi's desire to win back trust in the government.

The recent cost-cutting reforms, analysts say, are meant to remind officials to stick to business and cut back on the perks.

"Xi's directive to officials to improve their work style and decrease their pomp and privileges is a challenge to the system, resonating with public anger and giving voice to public frustration," said China analyst and author Robert Lawrence Kuhn.

The list of public grievances is long, including rampant graft and corruption, environmental degradation and the growing gap between the rich and the poor.

China this week approved sweeping income distribution reforms to make state-owned enterprises and the rich pay more in taxes.

The government pledged to double the average real income of urban and rural residents by 2020 from the 2010 level.

Many Chinese cities are poised to increase workers' minimum wage -- in southern Guangdong province, as much as 14% starting in May -- to put more disposable income into the hands of more Chinese. The goal: to boost domestic consumption and narrow the gap between the rich and the poor.

Will Xi's gambit work, and will it last?

It's too early to say. Still, analysts give Xi credit for trying.

"For Xi to do so much so quickly to differentiate the new generation of leaders from the previous one is quite startling, unprecedented in a one-party political system that claims no-surprise, long-term continuity as a virtue," explained Kuhn.

He says Xi has no choice but to back change.

"Reform is change, and change is risk," he explained. "But in China now, perhaps for the first time, the risk of not reforming is higher than the risk of reforming. Xi Jinping knows this."

Wang Bo contributed to this report.

@highlight

New leader Xi Jinping rolls out decrees aimed at changing officials' working style

@highlight

Officials across China are told to stop hosting elaborate banquets, celebrations

@highlight

Analysts say the statement reflects Xi's desire to win back trust in the government

@highlight

Public discontent growing over rampant corruption, growing gap between rich and poor