(CNN)Seventy-five years after its premiere at Atlanta's Loews Grand Theater on December 15, 1939, "Gone With the Wind" retains its hold on the popular imagination.

Tourists to Atlanta long to see Tara. (Sorry, it doesn't exist, though there is a Road to Tara Museum south of town, not to mention the Margaret Mitchell House, which showcases the apartment where Mitchell wrote the book.)

Its lines -- "Fiddle-dee-dee," "Frankly, my dear, I don't give a damn," "Tomorrow is another day" -- are still widely repeated and parodied.

And, in its monumental Hollywood-ness, it's often held up as the pinnacle of one of the finest years in film history, 1939.

But the film is also incredibly divisive, partly because of the era it represents -- the South in the Civil War -- and partly because of its sheer, over-the-top bulk. Its racism is particularly unnerving in 2014, a year in which American society has grappled with racial unrest over police treatment of African-Americans and other issues.

Frankly, we still give a damn

Here are some reasons to love and hate "GWTW":

Love: It's incredibly faithful to the book

This is not a small point. The 1936 book -- all 1,037 pages of it -- was a phenomenon of Harry Potter proportions and audiences damn well wanted to see every last detail on screen.

"It is the picture for which Mr. Gallup's American Institute of Public Opinion has reported a palpitantly waiting audience of 56,500,000 persons, a few of whom may find encouragement in our opinion that they won't be disappointed in Vivien Leigh's Scarlett, Clark Gable's Rhett Butler or, for that matter, in Mr. Selznick's Miss Mitchell," wrote The New York Times in a contemporary review.

CNNMoney: How 'Gone With the Wind' became America's biggest blockbuster

Hate: It's incredibly faithful to the book

The book may have been a huge best-seller, but it was not universally loved. Other writers disparaged it; in a 1937 meeting of the American Writers Congress, the rank and file voted overwhelmingly for John Dos Passos' "The Big Money" as the best book of 1936. "GWTW" got one vote.

Why? It is sprawling and messy, traffics in clichés and is "unforgivingly racist," Time noted in 2011.

Hate: It's, well, racist

The black characters in "GWTW" are walking stereotypes of slaves and maids. Black dramatist Carlton Moss compared it with "The Birth of a Nation," noting that "GWTW" was just a quieter vilification of African-Americans: a "rear attack" compared with "Birth's" direct approach.  A "weapon of terror against black America," added the Chicago Defender.

There were demonstrations against the film in some cities, and Hattie McDaniel, who won an Oscar for her performance, couldn't even attend the Atlanta premiere with other celebrities because of segregation laws.

The film's portrayal of African-Americans still troubles -- partly, says Esquire's Stephen Marche, because they're still evident today.

"There are good blacks and insolent blacks. There are house blacks and there are field blacks. Whenever African-American characters are articulate, it is always meant as a comic surprise," he writes. "These are still the prejudices that bedevil representations of African-Americans on screen."

Love: It showcases a modern woman

Scarlett O'Hara may live in the 1860s, but as many critics have observed, in her determination and independent spirit, she's still relatable today -- and she was exceptional in 1939. After all, this was a passionate woman who married three times, had her own business and -- despite being left alone at the end of the film -- refuses to wallow in her abandonment. "Tomorrow is another day," indeed.

Watch rare footage from the premiere

Love: It's the peak of Hollywood filmmaking

With its gorgeous photography, scene-grabbing acting, swelling Max Steiner score and overall operatic pitch, few films are as Technicolor brilliant as "GWTW," and perhaps nothing has matched it since.

One scene that continues to be talked about decades later is the famous burning of Atlanta. Not only was it one of the most expensive scenes ever shot -- $25,000, an enormous sum at the time -- but it also destroyed the sets for some previous movies, notably "King Kong," and prompted some area residents to call the fire department. But what emerges is a sense of the grand, tragic scale of the war.

You can thank inventive production designer William Cameron Menzies for much of its success; he had the idea to burn old sets for the Atlanta fire scene, he used color filters to highlight mood and he storyboarded the entire film in advance.

Moreover, there's the passionate but turbulent love story between Scarlett O'Hara (Vivien Leigh) and Rhett Butler (Clark Gable) that drives the movie forward.

"As few American films have, 'Gone With the Wind' succeeds both as historical epic and as intimate drama," wrote the Los Angeles Times' Kevin Thomas in 1989.

Hate: It wasn't even the best film of 1939

The year of "Gone With the Wind" is often touted as the greatest year in Hollywood history, when no fewer than 10 films were nominated for best picture, including "Mr. Smith Goes to Washington," "Stagecoach," "Wuthering Heights" and "Dark Victory." Of those, "GWTW" took home the Oscar, but many critics would put the influential "Stagecoach," Jean Renoir's "The Rules of the Game" or even "The Wizard of Oz" ahead of it.

Moreover, though "GWTW" has topped polls of Americans' popular films in the past, including a 1977 American Film Institute survey, its popularity may be slipping. The epic is currently ranked No. 157 on the Internet Movie Database's top 250 list, surpassed by "It's a Wonderful Life," "The Godfather" and "Schindler's List" -- and even "Fight Club," "Forrest Gump" and, uh, "Snatch." (Yes, the Guy Ritchie film.)

"No one I know of has yet solved the secret of this 1939 film's apparently timeless appeal, though I'd guess it has something to do with the elaborate mechanisms of fate, history and sex brought to bear on Scarlett, whose overweening libido must be punished as magnificently as it has been celebrated," wrote film critic Dave Kehr.

Love: Length

"Gone With the Wind" lasts 222 minutes -- that's three hours and 42 minutes -- and many fans wish it were longer. When it had its premiere on commercial TV in 1976, NBC ran it over two nights -- and received blockbuster ratings for both broadcasts, with almost two-thirds of the viewing public watching.

Hate: Length

222 minutes? And that doesn't include the intermission.

Hate: Its effect on history

Thanks to its enormous popularity, "GWTW" has been hard to escape -- especially in Atlanta, where Mitchell lived and died. And yet its glorification of the antebellum South is troubling to many critics, who believe it has hampered views of race.

"We like to think 1939 was a different world, a world divided from our own by a supposedly vast span of progressive enlightenment. Unfortunately, while 75 years in American life is enough to constitute several distinct epochs, it's not long enough to kill off the country's enduring prejudices," wrote Esquire's Marche.

"The movie is, in many ways, a repository of the originals that have shaped American culture's tortured descriptions of race since."

Love: It's still a powerful movie

If you depend on movies for a clean, uncluttered and accurate view of history, you'll be disappointed every time. Leave the history to the historians; movies are storytelling, and few stories are as well told as "Gone With the Wind."

As Roger Ebert noted in 1998, "It is still a towering landmark of film, quite simply because it tells a good story, and tells it wonderfully well."

@highlight

"Gone With the Wind" opened 75 years ago Monday

@highlight

The movie is criticized for racism, celebrated for its filmmaking bravado

@highlight

"GWTW" remains representative of golden era of Hollywood filmmaking