Lake Mary, Florida (CNN) -- Shortly after joining the Lake Mary Police Department in 2007, Zach Hudson was dispatched to the home of two elderly women.

What he saw left him appalled.

The two women -- a mother in her 90s and a daughter in her 70s -- had no food and no electricity. Each month, they alternated what they spent their small amount of money on: One month it would be medicine, the next it would be food and bills.

"They were struggling horrifically," Hudson recalled. "They had to cut their medications. They were doing the things that seniors often do to try to make up the financial difference."

In his 10 years as a Florida police officer, Hudson had witnessed countless senior citizens in tragic circumstances. But this was the last straw for him.

"I'd had enough," he said. "And I realized that something had to be done. And that's when I started to conceptualize the Seniors Intervention Group."

Since 2009, Hudson's group has tended to the basic needs of nearly 1,000 seniors in Seminole County, Florida. With the help of hundreds of local volunteers, seniors are provided with essential assistance such as food, money, transportation, vehicle maintenance and help around the house.

"If you're 80 years old and you have to get up on a footstool to change your light bulb and you fall, it could kill you," said Hudson, 40. "When it's 100 degrees outside and you're faced with either doing your yard or being fined, and you can't pay somebody to do it, what do you do? Well, you get out there and do it and suck it up, right?

"But sucking it up killed this (one) gentleman. A very kind elderly man walked outside to do his yard, and he didn't survive. And that's happening all the time."

Hudson said seniors facing diminished income in a difficult economy often have to make life-and-death choices for where and how to spend their money. For example, a light bulb that illuminates a doorway -- or a repair to a front door -- might easily fall below food and medicine on a senior's list of priorities and make them more vulnerable to crime.

If a licensed worker is out of a senior's financial reach, they might be willing to pay cash to a stranger who knocks on their door offering to clean their yard or perform basic services. Too often, Hudson says, these strangers are not who they say they are.

"As cops and firefighters, we see people at their worst. That's just the way it is," Hudson said. "And when you see seniors on a regular basis ... and they're constantly being scammed or victimized ... you start to ask yourself: 'Why? What can we do? I'm tired of walking away from this elderly person's house every day and not being able to fix the problem.' ...

"If you have a crime, then (police) can handle it. If you have a fire, the fire department can handle it. But what do you do when somebody can't pay their electric bill and, as a result, that won't run their oxygen pump? How do you deal with that?"

Forming the Seniors Intervention Group was a natural offshoot of Hudson's job as community relations officer for his department. The group became a nonprofit in early 2010, and it expanded to include the entire county this year.

By partnering with faith-based organizations, local businesses and other nonprofits, the group can call upon hundreds of volunteers to make house calls. Seniors are either referred by local first responders or reach out for help directly. Assistance could be as minor as retrieving a pill that has fallen behind a piece of heavy furniture or as major as rebuilding a senior's home. All of the group's services are free and covered by private donations.

About once every month, the group schedules a large "operation" in which dozens of volunteers descend upon a local neighborhood to do massive group service, such as yard cleanup or a sweeping installation of energy-efficient lighting. Hudson says this is often a great way to identify individuals who need more help.

"That operation ... always leads to finding other things, whether it's floor issues, window issues, (air conditioning) issues, whatever the case might be," he said. "It's a neat opportunity for us to get on the ground, take a good look around and see how else we can help."

Do you know a hero? Nominations are open for 2012 CNN Heroes

Hudson's dedication to public safety might not be unique among police officers, but his compassion for seniors is rooted in a more intimate history. He was raised primarily by his grandparents and great-grandmother in a senior community.

"Elderly people rescued me in a lot of ways," he said. "They taught me respect. They taught me so many things. And this is simply an opportunity for me to give back to them in their time of need, because that time is here and it's now."

And it's something that is only going to get worse over the next 20 years, according to the Pew Research Center. Each day in the United States, about 10,000 Americans turn 65. By 2030, when all baby boomers will have passed the milestone, 18% of the nation's population will be at least that age, Pew projects.

"We need more organizations, more businesses, more churches, more police departments, more fire departments to get on board, see the big picture, see the problem," said Hudson, who hopes to see his nonprofit model replicated nationwide. "This is just the beginning."

For seniors like Ralph Anderson, the group's efforts have been life-changing.

The Vietnam veteran had worn a hole in his bathroom floor with his wheelchair, leaving him vulnerable to an accident. It was also difficult for Anderson to leave his home, so he had to often rely on other people to walk his dogs.

But he was introduced to Hudson's group last month, and volunteers have since replaced and tiled his bathroom floor, fixed his leaky kitchen faucet and installed a wheelchair ramp at the front entrance of his home.

"It means the difference between feeling like I'm a burden on someone and being able to do something for myself," Anderson said. "Since they're putting this little ramp (in), I can take the dogs out to walk them. I don't have to wait for someone to come help me."

Hudson says that helping Anderson and other seniors is a pleasure and a privilege.

"(This) is an opportunity for me to embrace the very people that embraced me growing up. ... This is my chance to take care of them as they have taken care of me."

Want to get involved? Check out the Seniors Intervention Group website at seniorsinterventiongroup.org and see how to help.

@highlight

Police officer Zach Hudson often saw senior citizens vulnerable and victimized

@highlight

He formed a group of volunteers in Florida to reach out to seniors and help

@highlight

The house calls provide specialized service that police, fire departments usually can't

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes