(CNN) -- It may be a time of fasting, but the Muslim holy month of Ramadan can also be a time of indulgence. (Ramadan begins this year on June 28 or 29, depending on which part of the world is observing.)

In several countries, there's a tendency toward overeating as the traditional light dawn meal, the suhoor, and post-fast iftar get super-sized.

In Dubai, health warnings are issued -- cases of diabetes and chronic indigestion have been known to spiral.

For those who can control their appetites and savor the experience, there's a lavish world to be enjoyed in Bedouin-like tents laid on by luxury hotels in the United Arab Emirates.

These elaborately decorated pool, beach or desert-side pitches compete with each other for Ramadan tent wow factor.

Some mega-tents seat hundreds.

Live cooking stations and superstar Lebanese performers are all part of the fasting-to-feasting scene.

So are shisha parlors -- where revelers smoke multi-flavored tobacco with the hookah or hubble bubble water pipe.

These are some of the best under-canvas candidates.

Kempinski Hotel Palm Jumeirah (Dubai)

Despite the luxury location on Dubai's palm tree-shaped island, this is less of a glittery taste-fest and more a traditional at-home celebration.

Albeit in a very swanky home.

Diners can recline in the tiered Ottoman-style seating areas or swan about the terrace with garden glimpses over the lagoon.

Energy-rich substances dominate the Ramadan menu including assafiri, a sweet crepe filled with an Arabic cream.

Dried fruits and nuts also take center stage.

Dates are Ramadan royalty, with some 400 varieties eaten during the festivities -- molded by chefs into pyramids and other eye-catching culinary arrangements.

Kempinski Palm Jumeirah, Crescent West, Palm Jumeirah; +971 4 444 2501; open to hotel guests only

Atlantis The Palm (Dubai)

Tahina addicts take note: a showpiece of the white billowy-walled Asateer Tent at the Atlantis Palm Jumeirah is a fountain from which the sesame paste flows like Niagara Falls.

Big enough for 900 eaters, the tent spreads along the beachfront and features a mod Oriental decor of strawberry sofas and oval lights.

Chocolate-coated dates, macaroons and other iftar treats peer from alcoves of minaret-shaped cake displays.

A towering construction of Turkish delight, nougat, Emirati dates and baklava tops off the sweet intake.

Jumbo-sized Arabic coffee pots loom over mosaic-patterned brass cooking stations where chefs whip up lamb with spiced rice, and fish with caramelized onions.

Those who manage to tear themselves away from the food can dabble with PlayStation consoles, traditional Arabic board games and free Wi-Fi.

Atlantis The Palm, Crescent Road, Palm Jumeirah; +971 4 426 0800

Madinat Jumeirah (Dubai)

It's a less family-oriented affair at the Arabian coastal resort of Madinat Jumeirah's Al Majilis tent.

No one under 21 years old is allowed in.

Beneath a massive shimmering star chandelier, dripping with hundreds of diamond-cut crystal beads, the tent's creamy fixtures are set within golden Moorish arches and Jali latticework.

Around the walls, more intimate raised seating areas are soft lit with pendant lights.

The suhoor experience is particularly chilled out.

Crisply presented mezze and salads of crumbled Lebanese cheese balls, onion, olive oil and parsley are delivered by waiters in red fez hats.

Fresh tamarind drinks and beverages are made from fermented barley, vegetable juices and warm infusions of rosemary, fennel and mint to ward off indigestion.

Al Majilis, Madinat Jumeirah, Jumeirah Beach Road; +971 366 6730

World Trade Center (Dubai)

This elegant Arabesque venue is a world away from the fashionable hotel crowd who talk of "apres Iftar" lounging on beachfront hotel sofas.

Here the contemporary souk atmosphere of carved trellis tables, white sofas and golden brass lanterns is crowned by a constellation of ceiling lights, casting a blue night light over the gazebo.

The award-winning buffet of 50-plus dishes includes Ramadan staples such as kibbeh meatballs in yogurt sauce, vegetarian potato kibbeh, grilled meats and halloumi cheese infused with fresh thyme.

This iftar is considered reasonably priced at $38 compared to the standard $50-60 charged by luxury hotels.

The WTC also offers mini majlises for private celebrations.

Ramadan Majilis, Sheikh Saeed Hall 3, World Trade Centre; +971 4 308 6322

Emirates Palace (Abu Dhabi)

This is the UAE's largest tent, housing 730 guests and serving up to 1,200 diners per day in its 25,833 square foot (2,400 square meters) beachfront pavilion.

The Mega Tent's menu takes three months to prepare and 150 chefs to deliver.

As the sun sets, fasters descend on the marquee to graze on hot and cold mezze, goat with Oriental rice, kebab with saffron and herbs and the energy-bolstering apricot Ramadan drink Qamar al Din.

Many iftar essentials are super sweet.

Kunafa is a cream-filled pastry drowned with pistachios and sugar syrup; qatayef, sometimes called Arabian pancakes, are filled with walnuts or white cheese and then fried and dipped in orange blossom syrup.

Mega Tent, Emirates Palace, W. Corniche Road, Abu Dhabi; +971 2 690 9000

Bab Al Shams Desert Resort (Dubai)

A Disneyesque version of the true Arabian tent experience can be found in the sand dunes.

No matter if July temperatures rise toward their usual 108 F (42 C), this tent is climate controlled.

Food from the dune-side cooking stations might be spicy but the hotel says guests can "chill" inside, entertained by musicians and whirling Sufi-style Tanoura dancers.

Out in a courtyard resembling an Arabian fort and decked out with palms, flickering candles and stained glass lanterns, a gang of cooks whips up regional specialties including barbecued meats, grilled fish, chicken, hot breads and baklava.

On the rooftop lounge overlooking the desert, guests can watch belly dancers, Arabian horse shows and camel caravans fading into the desert haze.

Bab Al Shams Desert Resort, Dubai; +971 4 809 6194

Community tents and Ramadan bazaars

Beyond the hotels there are numerous convivial public iftar events organized by city councils, religious associations and embassies.

Abu Dhabi's Sheikh Zayed Grand Mosque feeds up to 15,000 people every night with platters spread out on carpets in its parking lot.

The Emirates Red Crescent dishes up 800,000 free iftar meals in 112 tents across the UAE during Ramadan.

The charitable tents are open to non-Muslims, non-fasters and passersby.

@highlight

Lavish Bedouin-like tents are laid on by luxury hotels in the United Arab Emirates

@highlight

Live cooking stations and superstar Lebanese performers are part of the fast-to-feast scene

@highlight

At Bab Al Shams Desert Resort in Dubai, guests watch belly dancers and Arabian horse shows