(CNN) -- Just 12 years after the arrival of the 6 billionth individual on the planet in 1999, humanity will greet the 7 billionth arrival this month. The world population continues its rapid ascent, with roughly 75 million more births than deaths each year. The consequences of a world crowded with 7 billion people are enormous. And unless the world population stabilizes during the 21st century, the consequences for humanity could be grim.

A rising population puts enormous pressures on a planet already plunging into environmental catastrophe. Providing food, clothing, shelter, and energy for 7 billion people is a task of startling complexity.

The world's agricultural systems are already dangerously overstretched. Rainforests are being cut down to make way for new farms; groundwater used for irrigation is being depleted; greenhouse gases emitted from agricultural activities are a major factor in global climate change; fertilizers are poisoning estuaries; and countless species are threatened with extinction as we grab their land and water and destroy their habitats.

The economic challenges are equally huge. Population is growing most rapidly in the world's poorest countries -- often the places with the most fragile ecological conditions. Poor people tend to have many more children, for several reasons. Many live on farms, where children can be engaged in farm chores.

Poor societies generally suffer from high rates of child mortality, leading parents to have more children as "insurance" against the possible deaths of children. Girls rarely make it to high school, and are often married at a very young age, leading to early childbearing. And modern methods of contraception may be unavailable or unaffordable.

When poor families have six or eight children, many or most of them are virtually condemned to a lifetime of poverty. Too often, parents lack the wherewithal to provide decent nutrition, health care and education to most of them. Illiteracy and ill health end up being passed from generation to generation. Governments in poor countries are unable to keep up, their budgets overmatched by the need for new schools, roads and other infrastructure.

So the arrival of the 7 billionth person is cause for profound global concern. It carries a challenge: What will it take to maintain a planet in which each person has a chance for a full, productive and prosperous life, and in which the planet's resources are sustained for future generations? How, in short, can we enjoy "sustainable development" on a very crowded planet?

The answer has two parts, and each portends a difficult journey over several decades. The first part requires a change of technologies -- in farming, energy, industry, transport and building -- so that each of us on average is putting less environmental stress on the planet. We will have to make a worldwide transition, for example, from today's fossil-fuel era, dependent on coal, oil and gas, to an era powered by low-carbon energies such as the sun and wind. That will require an unprecedented degree of global cooperation.

The second key to sustainable development is the stabilization of the global population. This is already occurring in high-income and even some middle-income countries, as families choose to have one or two children on average. The reduction of fertility rates should be encouraged in the poorer countries as well. Rapid and wholly voluntary reductions of fertility have been and can be achieved in poor countries. Success at reducing high fertility rates depends on keeping girls in school, ensuring that children survive, and providing access to modern family planning and contraceptives.

Two centuries ago, the British thinker Thomas Robert Malthus famously warned that excessive population growth would cut short economic progress. That is a threat still with us today, but it is a warning, not an inevitable outcome.

We face an urgent task: to adopt more sustainable technologies and lifestyles, and work harder to achieve a stable population of some 8 billion or so by mid-century, rather than the current path, which could easily carry the world to more than 10 billion people by 2100.

The opinions expressed in this commentary are solely those of Jeffrey Sachs.

@highlight

Jeffrey Sachs: Earth's population will hit 7 billion this month; milestone, huge challenge

@highlight

He says with earth's resources already stretched thin, rapid growth is cause for concern

@highlight

He asks: How do we increase opportunities for all, leave a usable planet for future?

@highlight

Sachs: Vital to switch to sustainable technologies, cut fertility rates