For decades, prosecutors say, Johann (John) Breyer had successfully eluded a dark past.

In his twilight years, the 89-year-old Philadelphia man was forced to defend himself against accusations that he was more than a mere perimeter guard at the notorious Auschwitz camp, where more than 1 million people, most of them Jews, were killed during World War II. He maintained that he never persecuted anyone.

In 2003, a U.S. court ruled that he was not responsible for joining a Nazi unit because he was only 17 years old at the time.

But new evidence has emerged, U.S. and German prosecutors say, that shows Breyer had to have been involved in the crimes that occurred in that place.

Breyer, who has lived in the United States since the 1950s, is facing possible extradition to Germany following his arrest Tuesday in Philadelphia, authorities said.

Federal Magistrate Judge Timothy R. Rice on Wednesday ordered him held without bail, pending an extradition hearing in late August.

"Extradition is traditionally a very long and complicated process," CNN legal analyst Jeffrey Toobin said. "It's always possible to fight extradition. It just often takes a long time."

German authorities alleged that Breyer served in the Nazi "Death's Head Guard Battalion" from 1943 to 1945 at the Auschwitz II-Birkenau concentration camp and at another location, according to court papers.

German authorities have charged Breyer with complicity in the murder of more than 216,000 European Jews from Hungary, Germany, and Czechoslovakia, who were forcibly deported to Auschwitz, in southern Poland, on 158 trains between May and October 1944, according to court documents filed in the U.S. District Court for the Eastern District of Pennsylvania.

Little is known about Breyer's life in the United States, where he most recently lived with family in a redbrick row house in northeast Philadelphia. In court this week, Breyer's lawyer described his client as old, frail, sick and weak, according to CNN affiliate KYW.

"One of the core issues, how can the German government or any government charge someone with a crime so long after the actual crime?" Toobin said. "How can you have the evidence? How can you put on witnesses? How can you prove what happened in the 1940s?"

The U.S. case against Breyer dates to the 1990s, when federal authorities sought to strip him of his U.S. citizenship, arguing that Nazis were not eligible.

At the time, Breyer admitted to the U.S. Department of Justice that he served as an armed guard at the Buchenwald concentration camp, in Germany, and was later transferred to Auschwitz.

According to the current complaint, Breyer told U.S. authorities in 1991 that he was a perimeter guard and may have fired into the air occasionally. He also stated that on three or four occasions he marched prisoners to construction sites outside the camp complex.

He told authorities he heard that people would be cremated and saw smoke but did not know how the prisoners had died, the complaint said.

He is quoted in court papers as saying Auschwitz was "a terrible camp" where "something is going on there." He allegedly said he knew people were being cremated and saw smoke.

The new complaint states that Breyer was promoted at least once while stationed at the Auschwitz II-Birkenau, and granted leave to visit his German hometown twice, once in April 1944 and another time in January 1945. The complaint explains that such benefits were not afforded to guards who had refused to perform the full range of duties of an SS "Death's Head Battalion" guard.

It was common knowledge among guards that prisoners unfit for labor were gassed and their bodies burned, according to the documents.

Breyer got his original claim to U.S. citizenship from his mother, who was born in Manayunk, Pennsylvania, and who returned with her family to Germany before World War I. After World War II, Breyer migrated to the United States in 1952 and claimed citizenship as a displaced person.

In the court documents submitted to the federal magistrate this week, Breyer is said to have made statements since 1951 that are "highly inconsistent with each other and are contrary to existing historical records and other credible evidence." Authorities allege that he deliberately made false statements to minimize his role in the Holocaust.

A spokesman for the Anti-Defamation League who is also a Holocaust survivor praised the long-running efforts that led to Breyer's arrest.

"We applaud the German and American governments for their commitment to ensuring that, while justice may be delayed, perpetrators of the Holocaust will be pursued to the end, no matter how long it takes," Abraham H. Foxman, the Anti-Defamation League National Director, said in a statement.

"We are especially grateful for the tireless efforts of the U.S. Department of Justice, which has long sought an order of deportation against Breyer, who served in the Nazi SS as a guard at two notorious concentration camps during World War II," said Foxman.

Breyer's extradition hearing is scheduled for August 21.

Owner of art collection suspected to contain Nazi loot dies

An extraordinary story of Holocaust defiance

@highlight

Johann (John) Breyer long ago admitted he was a perimeter guard at Auschwitz

@highlight

But he said he had no involvement in camp deaths or cremations

@highlight

Two governments -- the U.S. and Germany -- say he had to have been involved

@highlight

Breyer, now 89, is charged with complicity in the deaths of thousands at the camp