In the final, chaotic moments before the South Korean ferry Sewol rolled over and sank into the chilly waters of the Yellow Sea, 48 girls obeyed the orders of crew members and put on their life vests.

Perhaps afraid, they all crammed into a single room meant for 30.

None of them survived.

The account of the recovery of the girls' bodies, offered Friday by rescue officials, offers a glimpse of the final moments aboard the sinking ferry, which went down on April 16 with 476 people aboard.

It also illuminates the daunting task facing divers trying to retrieve bodies while maintaining a fading glimmer of hope that perhaps, somewhere aboard the ferry, someone remains alive.

Rescue officials spoke of a forest of floating objects, doors forced shut by enormous water pressure, and of currents that tug at the breathing tubes that keep them alive as they look for the dead.

Civilian diver Chun Kwan-geung, one of the many rescuers working in the murky waters, spoke of having to break out windows to get to the lower decks of the ship, which now lies on its right side on the seafloor some 73 meters (240 feet) below the surface.

"The rescue effort is getting slower," said South Korean navy Capt. Kim Jin-hwang, commander of the rescue operation. "The divers already searched all the places easily accessible. They are expecting the search to become harder because of increasing currents and harsher weather. But the navy will not stop until the last body is found."

As if highlighting the point, Kim's divers are trying to find their way into another dormitory-style room where 50 girls were believed to be as the ship began to sink.

So far, rescuers have retrieved 187 bodies. Another 115 people remain missing, although no one has been rescued since 174 were plucked from ship and sea the day the ferry sank.

As the effort inside the ship continues, South Korean authorities are pressing a criminal investigation into the sinking. It's resulted in the arrests of the ship's captain and 14 other members, searches of the company that owned the ferry and the home of the man whose family controls it, and a wide-ranging probe into the country's marine industry.

Safety concerns about sister ship

Prosecutors in Mopko, South Korea, who are leading the ferry investigation told CNN's Nic Robertson on Friday that authorities have yet to determine what caused the sinking.

Leading theories include changes made to increase the ferry's passenger capacity and shifting cargo.

On Friday, investigators checked out the Sewol's sister ship, the Ohamana, and said they found 40 of its life rafts weren't working, emergency slides to help evacuate passengers were inoperable, and equipment to tie down cars and cargo either was nonexistent or didn't work very well.

Like the Sewol, the Ohamana had been modified to add more passengers, the prosecutor's office said.

The ship arrived in Incheon on April 16, the same day the Sewol sank, and has not left yet, officials said.

Investigators are looking into whether those modifications could have contributed to the Sewol's fate.

Kim Yong-rok, an opposition lawmaker who represents Jindo, an island near where the ship sank, told CNN that modifications to add 117 more passenger cabins to the ship raised the ferry's center of gravity.

On Friday, the South Korean Ministry of Oceans and Fisheries announced it would ask lawmakers to consider legislation prohibiting modifications to ships to increase passenger capacity.

Government investigators are also probing the private organization that conducts ship safety inspections on behalf of the government to determine if any wrongdoing was involved in the certification of the Sewol after its 2013 modifications.

Families confront officials

The revelations about the sister ship came the day after angry relatives of missing ferry passengers cursed government and police officials for failing to do enough to save the lives of their loved ones as hopes of finding survivors dimmed.

The relatives berated Fisheries Minister Lee Ju-young and two coast guard officials, accusing them of misleading the public about the operation and of wasting time.

"How can you fool us into believing you were out there trying to save our children?" one mother yelled at the officials.

Also, officials at the South Korean headquarters for the task force coordinating the search told CNN that they believe the body of a boy who reportedly made the first emergency call from the ship after it began to list sharply has been recovered. DNA tests will help officially identify the remains, officials said early Friday.

Also on Friday, an official involved in the investigation in Mokpo asked for patience.

"I know a lot of people are curious as to the cause of the accident, but we don't have the information yet," said Heo Yong-beom, a maritime safety judge. "We will try our best to satisfy and answer questions."

'We join you in mourning'

Meanwhile, U.S. President Barack Obama, in South Korea for a previously scheduled trip, presented South Korean President Park Geun-hye with an American flag that flew over the White House the day the ferry sank.

"I'm very mindful that my visit comes at a time of mourning for the people of this nation," he told the U.S. and the South Korean delegations. "As allies but also friends, we join you in mourning the missing, and especially the young people."

The delegations held a moment of silence, then Park thanked Obama for the gesture.

"The Korean people draw great strength from your kindness," she said.

Young crew member hailed as heroine

In recent disasters, captains didn't hang around

Students remember vice principal who took own life

Murky waters cloud the horror facing rescue divers

@highlight

Rescuers describe finding 48 girls in one room meant for 30 people

@highlight

Divers trying to reach room where another 50 girls believed to have been, commander says

@highlight

Search effort now expected to slow, says commander of the rescue operation

@highlight

Prosecutors investigate Sewol's sister ship, find numerous safety problems