(CNN) -- Lucia Whalen strolled down a sidewalk near Harvard University, enjoying a lunchtime ritual she'd repeated many times in her 15 years working in Cambridge, Massachusetts. But on this day, July 16, her outing would become something else altogether -- the first steps in a national drama.

President Obama has invited police Sgt. James Crowley and Harvard professor Henry Louis Gates for beer.

An older woman approached Whalen, worried that she'd just witnessed two men breaking into a home. That's when Whalen, a first-generation Portuguese-American, called 911 from her cell phone -- alerting police to 17 Ware St. -- the home, as it turns out, of renowned Harvard professor Henry Louis Gates Jr.

Whalen's call -- now clearly the well-intentioned act of a passerby -- ignited a firestorm over race and police relations, a national debate that went all the way to the White House. It was a call she says she never expected to be "analyzed by an entire nation."

Gates was arrested by Cambridge police Sgt. James Crowley for disorderly conduct, a charge that was later dropped. Exactly what happened inside Gates' home may never be known, but it seems clear that the key players in this saga brought their own personal history with race to the moment. That was true of Gates and Crowley, as well as the nation's first African-American president.

All three will meet for a beer today at the White House to help chill the furor over Gates' arrest and, in Obama's words, try to turn the events of the past two weeks into a "teachable moment."

"White woman" targeted

It's a bit ironic, said Whalen's attorney Wendy Murphy, that the three people who "reacted badly" will sit down together while the "one person who did not overreact" will be at work Thursday. "Maybe it's a guy thing," Murphy said, adding of Whalen: "She doesn't like beer anyway."  Watch Whalen describe "painful" criticism »

Gates' arrest sparked heated rhetoric on TV, radio and the Internet. Initially, it seemed to break down along racial lines: African-Americans saw it as racial profiling by a white officer. Whites asked why the acclaimed scholar on black history didn't just show his ID to Crowley at the outset. Wasn't the officer just doing his job?

Even Whalen, the Good Samaritan, got smeared in the initial response. The police report identifying her as a "white woman" resulted in a torrent of accusations that she racially profiled Gates and his driver when she first called 911.

But a review of the call showed she never identified the suspects as "black" -- and even told a police dispatcher she wasn't sure it was a break-in. "The criticism at first was so painful for me. ... I was frankly afraid to say anything," Whalen said Wednesday, fighting back tears. "People called me racist and said I caused all the turmoil that followed, and some even said threatening things that made me fear for my safety."

Whalen is sensitive to the issue of racial profiling, because of her own olive-skinned complexion, her attorney said.

Two men; two views

Inside 17 Ware St., Gates and Crowley exchanged words as the officer sought to determine whether Gates belonged in the home. Each blamed the other for a situation that escalated; each felt the other brought prejudices to the moment.

Both had personal experience with racial profiling. iReport: Racial profiling, from both sides

Long before his acclaim as a scholar of black history, Gates had faced the prejudice of a white man. Gates was just 14, and had suffered a hairline fracture in his hip.

"The white doctor who examined Gates shortly afterward questioned the boy about his injury as well as his career plans. When the young Gates replied that he wanted to be a doctor and then correctly answered many questions about science, the doctor made his diagnosis," according to a biography of Gates posted on Gale, an online research tool.

"He told Gates to stand and walk, and the young boy fell to the floor in intense pain. The doctor then turned to Gates's mother and explained that her son's problem was psychosomatic -- a black boy from Appalachia who wanted to be a doctor in the mid-1960s was an overachiever."

Gates, now 58, walks with a cane as a result. "The most subtle and pernicious form of racism against blacks [is] doubt about our intellectual capacities," he once said.

The typically soft-spoken Harvard professor is revered worldwide for being at the fore of African-American issues. His award-winning PBS documentaries have made him one of the most powerful forces of academia, admired by colleagues of all races.

At the time of his arrest, Gates had just returned from China, where he had filmed the ancestral cemetery of Grammy-winning cellist Yo-Yo Ma as part of an upcoming series on immigration in America.

Gates told CNN's Soledad O'Brien that his arrest was a wake-up call.

"What it made me realize was how vulnerable all black men are -- how vulnerable all people of color are and all poor people to capricious forces like a rogue policeman," he said. "It was the fault of a policeman who couldn't stand a black man standing up for his rights right in his face."  Watch Gates describe arrest »

But those who know Crowley, including African-American colleagues, say not so fast.

For years, Crowley taught a racial profiling class at a Massachusetts police academy -- hand-picked by an African-American police commissioner.

He also tried to save the life of Boston Celtics star Reggie Lewis in 1993 when the black athlete died during an off-season practice. "I wasn't working on Reggie Lewis the basketball star. I wasn't working on a black man. I was working on another human being," he told the Boston Herald.

Two black officers on the Cambridge force have stood solidly by their comrade.

Sgt. Leon Lashley was outside Gates' house when the professor was arrested. He has no problems with the way Crowley handled the situation.

"It happened to be a white officer on a black man, and the common call a lot of times is to call it a racist situation," said Lashley. "This situation right here was not a racial-motivated situation. ... There's nothing rogue about him. He was doing his job."

Lashley acknowledged that if he, as a black officer, had entered the home first, it likely would've been a different outcome.

Kelly King, another African-American Cambridge officer, said she has known Crowley for more than a decade and that he's "a good police officer, a good man with character."  Watch black cops stand by Crowley »

"I think Professor Gates has done a very good job of throwing up a very effective smokescreen, calling race into this. It had nothing to do with it," she told CNN's Don Lemon with Crowley at her side.

She said people who have turned against Crowley need to "keep their minds open and realize that we would not support someone that we felt wronged someone else. ... We would not support anyone in blue doing the wrong thing."

When she finished speaking, she and Crowley embraced. "You've got to be touched by that," CNN's Lemon said.

The officer at the center of the controversy nodded his head, fighting off tears.

Obama steps in

A third player ratcheted up the controversy and he, too, brought history to the moment. President Obama entered the fray when he said police "acted stupidly." His comments outraged many in law enforcement, and he soon did a mea culpa, saying he could've "calibrated" his words differently.  Watch Obama say he helped ratchet up debate »

Obama is a friend of Gates. A graduate of Harvard Law School, the president also once studied under Charles Ogletree, the law professor who represents Gates.

As state senator in Illinois, Obama pushed for a racial profiling bill in 2003. According to the Chicago Tribune, the bill created a means for police to track the race of drivers stopped for traffic infractions over a period of years.

In his 2006 book "The Audacity of Hope," Obama said his status insulated him from the "bumps and bruises" of the typical black man in America.

But, he said, "I can recite the usual litany of petty slights that during my 45 years have been directed my way: security guards tailing me as I shop in department stores, white couples who toss me their car keys as I stand outside a restaurant waiting for the valet, police cars pulling me over for no apparent reason."

"I know what it's like to have people tell me I can't do something because of my color, and I know the bitter swill of swallowed-back anger."

As the three men sit down together at the White House, there are many lessons to be drawn from this most teachable moment. Not the least of which might be that race is still a major factor in perceptions, and misperceptions.

As for Whalen, she says she would still make that 911 call if she had it to do over again.

"I would hope people would learn not to judge others," she said.

She added, "I was just trying to get lunch."

@highlight

Harvard professor, Cambridge cop, Obama to sit down for beer at White House

@highlight

Attorney for 911 caller notes irony in meeting of the three people who "reacted badly"

@highlight

Prof walks with cane as a result of white doctor's misdiagnosis when he was 14

@highlight

Two black cops stand by Sgt. James Crowley, say race had nothing to do with arrest