(CNN) -- Economists pore over central bank interest rate decisions, key retail numbers and consumer confidence figures for signs of economic health -- but could road toll collections also carry clues for the future?

Academics at Germany's Institute for the Study of Labor, based in Bonn, believe they can. They have developed a system, called the Toll Index, to tap road toll data for indications of industrial production in Europe's biggest economy.

"Toll collectors use it to bill people, to finance our roads. We use it usefully to solve early forecasting problems," Klaus Zimmermann, one of the institute's directors, told CNN.

Most heavy vehicles in Germany carry GPS technology which links to a satellite system for collecting road tolls. The data -- which calculates the number of trips made across borders -- is then used by Zimmerman's team for economic forecasting.

DSV head Jens Bjorn Andersen, one of Europe's biggest transport companies, points out the industry is one of the first to feel the brunt of an economic downturn. The industry suffers if consumers cut back on spending, because there is less need to transport goods.

Transportation was hit by a rapid drop in volumes after the third quarter of 2008, as the global slump kicked in, Andersen said. "The downturn in the whole world economy was probably seen first in transport companies," he added.

Driving a truck through Europe's debt crisis

According to Zimmermann, the transportation industry is able to give analysts a quick status check on the economy, rather than having to wait weeks or months for official data to be released. "[It's] the first forecast of the economy which is actually better than existing economic indicators," he said.

Nikolaus Askitas, the institute's chief technology officer, said they considered exploring river and rail transport for economic indicators but the trucking industry provided the best data. "[How do you] bring the product from the production site to the harbor or to the railway station? By trucks," said Askitas.

The Toll Index still has some kinks, such as inability to differentiate between trucks which are carrying goods for export and those which are not. But its developers argue the speed of its data analysis delivers an insight into market movements as they are happening.

CNN's Emily Smith contributed to this story

@highlight

Academics have developed a system to examine industrial production by analyzing the number of trucks on the road

@highlight

The pair examines toll collections to track trucks containing goods

@highlight

The CEO of DSV says transport companies are one of the first industries to feel the brunt of economic downturns