(CNN) -- U.S. health officials said Wednesday they have found a contaminant in a blood-thinning drug produced by Baxter Healthcare Corp. that has been linked to more than a dozen deaths in the United States.

The drug can keep potentially life-threatening blood clots from forming in the veins, arteries, and lungs.

In early February, the Food and Drug Administration launched an investigation and then a recall of some forms of the product.

The scrutiny began after a spike in reports of health problems associated with heparin, a drug made by Baxter from pig intestines at plants in China and Wisconsin.

Though the cause of the problems has not been determined, FDA investigators found "a heparin-like compound -- that is not heparin -- present in some of the active pharmaceutical ingredients" in both facilities, said Dr. Janet Woodcock, acting director of the FDA's Center for Drug Evaluation and Research.

The contaminant, which made up 5 percent to 20 percent of each sample tested, "reacts like heparin in some of the conventional tests used for heparin," which explains why it was not picked up, she told reporters in a conference call.

No causal link between the contaminant and the adverse events has been established yet, Woodcock said.

She added that it was not clear whether the contaminant was added accidentally, as part of the processing or deliberately.

It also was not clear whether the contaminant was introduced in the company's plant in Wisconsin or the one in China, Woodcock said.

Though she said the exact structure of the contaminant has not been identified, "it is similar to heparin glycans." Glycans are polysaccharides, a complex class of carbohydrate.

She added it was unclear whether other heparin products used outside the United States might also contain the product.

Later this week, the agency will release recommendations on how manufacturers and regulators can screen for the contaminant, she said.

Last year, pet food made in China was found to be tainted with an ingredient that replaced more expensive protein and that initial tests did not identify as a contaminant. Asked if the heparin contamination could be a similar case, Woodcock said, "It's possible."

Doctors have used the blood-thinner for 60 years with "no history of any problems whatsoever," said the FDA commissioner, Dr. Andrew C. von Eschenbach.

Its intravenous use can keep potentially life-threatening blood clots from forming in the veins, arteries and lungs.

Von Eschenbach said it would be "disingenuous" to expect the agency would be able to inspect "every institution in every case."

Over the last fiscal year, the agency reported having inspected more than 1,000 foreign plants, a record.

Since the agency issued its report that 19 deaths had been linked to the drug since January 1, 2007, it has received word of another 27 deaths, "but many of those do not fit our definition of this type of event," Woodcock said.

In all, the FDA has received 785 heparin-linked reports of adverse events -- including difficulty breathing, nausea, vomiting, excessive sweating and plummeting blood pressure that can lead to life-threatening shock.

"They're continuing to come in fairly rapidly because there has been a lot of reporting of this," she said.

In a written statement, Baxter said its tests have suggested "that the root cause may be associated with the crude heparin, sourced from China, or from the subsequent processing of that product before it reaches Baxter."

Meanwhile, Scientific Protein Laboratories LLC, which supplies the company with the active pharmaceutical ingredients, issued a statement saying it is working with the FDA, Baxter and outside experts to identify the cause of the adverse events.

"Thus far, no conclusions have been reached about the root cause," it said.

"It is premature to conclude that the heparin active pharmaceutical ingredient sourced from China and provided by SPL to Baxter is responsible for these adverse events."

It said that its voluntary recall of suspect product was being made as a precaution.  E-mail to a friend

@highlight

FDA investigators find "a heparin-like compound -- that is not heparin"

@highlight

Tests did not pick up the contaminant because it reacts like heparin

@highlight

FDA: It's not clear whether the contaminant was added accidentally or deliberately

@highlight

At least 19 deaths have been linked to the drug since 2007