(Travel + Leisure) -- New Yorker Marsha Sharpe, 31, travels constantly for her corporate music business SongDivision -- logging trips to Turkey, South Africa and across America. But she's no longer flying business class. "Economy has become the new black," says Sharpe.

Fortunately, even as cash-strapped airlines raise fees and cut services, there's a countervailing trend that has gone largely unnoticed by disgruntled travelers: economy class is getting better. Some airlines are introducing amenities and getting creative with seat design to lure budget-minded travelers like Sharpe. Where once business class was the primary revenue engine, it's increasingly important that every cabin and every seat is both profitable and comfortable.

This change started in the early 1990s, when safety certification changes forced airlines to tweak their seats across the craft, explains Vern Alg of Aircraft Interiors Expo. New materials like aluminums and titaniums have brought about new design possibilities, he says, and due to the rising price of fuel, "there's pressure on airlines to have seats that are lighter and more comfortable."

Travel + Leisure: World's best hotels 2011

Leave it to the Germans to engineer a simple-yet-brilliant upgrade to economy-class seating. Lufthansa embraced seat manufacturer Recaro's pioneering design, purchasing 32,000 new seats across the fleet. The seats themselves have been thinned down (without compromising comfort) and the magazine pouch shifted from knee height to behind the tray table to increase legroom.

There's no better catalyst for change than competition, lately in the form of new models: the Airbus A380 and the Boeing 787. As airline companies snap up these new planes, they have a chance to reimagine the economy-class cabin in hopes of placating both profit-seeking shareholders and comfort-craving passengers. Japan's ANA, for instance, is outfitting its new 787 fleet with gender-segregated bathrooms that have windows and bidet-toilets ("Washlets") that offer warm, pressurized water jets for a fresher clean than one-ply paper.

Of course, not all creative ideas take flight. The semi-standing Skyrider seat that would offer just 23" of legroom -- an experience compared to riding horseback -- was widely shunned last year. But travelers have (literally) embraced a revolutionary loveseat-like arrangement for couples that Air New Zealand has nicknamed "Cuddle Class." It's an economy-class row of three seats that converts to a bed with the touch of a button.

Now if only they could come up with a seat that prevents jet lag.

LAN Chile
Economy-class innovation: Breathe-easy cabins.

LAN Chile will soon be using brand-new 787s, which have a hidden plus for cramped, germ-riddled economy cabins: a state-of-the-art air filter and cooling system. It strips ozone from outside air, and uses a HEPA filter to blitz bacteria and viruses, and then a gas filter to take out any nasty smells. The result: cleaner, fresher air throughout an entire flight. Although LAN Chile will be one of the first to help passengers breathe more easily, it's not the only carrier: JAL, Air India, Royal Air Maroc, and Continental/United will also be flying Boeing Dreamliners outfitted with this filter and cooling system.

Travel + Leisure: Ode to the never-ending packing list

Delta Air Lines
Economy-class innovation: Premium Economy without a big price hike.

Many airlines now have some kind of upgraded economy option, but usually for a hefty premium. Delta is bravely trying to buck the trend with its new Economy Comfort class, available on 160 aircraft beginning in summer 2011. Free for Platinum and Diamond SkyMiles regulars, and otherwise offered at a scaling fee (nominal for Gold and Silver SkyMiles), this new section has plenty to recommend it: priority boarding; 50 percent more recline; four extra inches of legroom; adjustable headrest and, on some carriers, footrest; and free drinks throughout the flight. Cheers!

Singapore Airlines
Economy-class innovation: Improved in-seat entertainment.

It may share a name with one of the Kardashian clan, but Singapore's KrisWorld entertainment system delivers more than just reality stars. It's like a hybrid of Netflix and Spotify with 80 on-demand movies, 180 TV programs, a dozen radio channels with hundreds of songs and Dolby headphones for everyone. On almost every aircraft, the airline is rolling out international Wi-Fi with OnAir for a small fee. And even in economy there are USB ports for charging -- or for preparing presentations using a thumb drive and the built-in office software.

Travel + Leisure: Most complained-about airlines

Air New Zealand
Economy-class innovation: A bed at your fingertips.

Imagine if an economy row of three seats could convert to a bed with the touch of a button. Well, AirNZ's Skycouch does exactly that: arms retract, the seat base extends, and the seatbelts lengthen to buckle up when reclining. Two passengers can snuggle horizontally, leaning against the wall or lying flat. And the price is a steal: pay a standard fare for each seat, and the third shared berth is half price -- or a 25 percent per-person premium. By the end of 2012, every flight to America will offer this "cuddle class." Until then, AirNZ has a last-minute trick to help economy passengers sleep soundly on all its long-haul flights. If available, an empty neighboring seat can be purchased for a bargain price at check-in (often less than $60 one way).

South African Airways
Economy-class innovation: Gourmet treats and a toiletry kit.

Forget packing a sandwich at home or worrying about running low on snacks onboard SAA's long-haul flights to Africa. The airline now offers passengers many of the delicious gimmicks usually restricted to the pricier cabins: grab-and-go juice or water bottles always available at the galley, two full meals and a snack with three different options and a full, gratis bar stocked with South African wines and unusual treats like Amarula, the local answer to Baileys. Even better, every passenger enjoys not just a blanket and pillow, but an amenity kit with after-dinner toothpaste and eye masks.

Lufthansa
Economy-class innovation: Slimmed-down seats for extra legroom.

Trust German engineering -- whether it's BMW or Recaro, the aviation industry's answer to a sports car. This seat manufacturer has just pioneered a simple-yet-brilliant upgrade to economy seating that creates more legroom. Lufthansa has embraced the design, purchasing 32,000 new seats across the fleet for $175 million. The seats themselves have been thinned down (without compromising comfort) and the magazine pouch shifted from knee height to behind the tray table. The result? Stretching your legs a few more inches without stretching your wallet.

Qantas
Economy-class innovation: More comfortable seats.

Qantas deeded all its design needs to industrial icon Marc Newson -- and he hasn't forgotten about economy passengers or the little details that can make a big difference. On the A380, seats have movable bases that recline as the back does, making for a smoother nap. But his canniest tweak is a new riff on the footrest. Newson strung a net from the seat like a foot hammock. It's surprisingly comfy and a great prophylactic against deep vein thrombosis as it keeps circulation flowing.

Jetstar
Economy-class innovation: iPad brackets.

The Pinnacle seat by B/E Aerospace is an industry-wide, economy standard -- more than 200 million have been produced. But the Aussie budget carrier Jetstar has snapped up a new version with an ingenious tweak: an integrated bracket so that an iPad can be snapped onto the back of the seat in front, creating a TV-like screen. Passengers who don't have their own iPads needn't miss out: Jetstar will soon offer an in-flight rental service for $8.40.

ANA
Economy-class innovation: Luxury toilets.

Japan's ANA is the first airline to launch Boeing's much-delayed and much-anticipated 787, nicknamed the Dreamliner; the first delivery is expected by the end of September 2011. And in all classes, ANA is introducing select women-only bathrooms and outfitting all bathrooms with windows and the Japanese-style bidet-toilets known as Washlets, which offer warm, pressurized water jets for a fresher clean than one-ply paper. They're common in Japan (60 percent of households use them) and will surely make a splash internationally.

Airline To-Be-Determined
Economy-class innovation: Automated flight attendants.

Developed in Germany, this reinvented trolley leaves the rest looking as outdated as a VCR. Via a touchscreen, the Skytender uses syrups, water and a carbonation pellet to produce almost three dozen different drinks, among them hot coffee, tea, juice, sodas and even beer or mixed drinks. (All that, plus a major eco-boost since fewer bottles and cans will be discarded.) It's currently undergoing a few final design tweaks before its onboard test in the fall; expect the Skytender to surface in flight by spring 2012.

Travel + Leisure: Best new hotspots in Florence, Italy

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Airlines are introducing amenities and getting creative to lure budget-minded travelers

@highlight

LAN Chile will use brand-new 787s with state-of-the-art air filters and cooling

@highlight

Other airlines are changing their seat structure to be more comfortable