Lagos, Nigeria (CNN) -- Fingers tickle keyboards fastidiously, bright-colored walls boast signs reading "We Code Hard," and an idle foosball table waits for its next contenders. These are all signs you've entered a place for passionate tech enthusiasts. But if 'Bosun Tijani has his way, this is where Nigeria's next great idea will be born.

Tijani is co-founder of the Co-Creation Hub -- or CcHub -- in Lagos, part of a 21st-century technology movement sweeping the African continent.

Similar to Kenya's iHub and the newly opened Jozi Hub in South Africa, Nigeria's version also creates a state-of-the-art space for like-minded people to collaborate and innovate. The CcHub, though, aims to stand out from the pack with its focus on social responsibility.

Read more: 'Africa's tallest building' set for $10 billion tech city

New smartphones and tablet computers may be trendy, says Tijani, but they're more powerful when harnessed in a way that improves healthcare, increases voter registration or "bridges the gap between citizens and government." Tackling that last concept is Oluseun Onigbinde, an original paying member of this innovation space and creator of the data-visualization site YourBudgIT.com.

Onigbinde and his team have built colorful infographics explaining the highly complex, and some might say boring, Nigerian federal financial system.

In one area, users can click through an animated display showing tiles sized relative to each and every government expense. If you click on a tile, like the Ministry of Education for example, additional breakdowns emerge showing how its money is divided. All of the information is current, some is displayed as maps or pie charts, and one section even allows users to experiment with increasing and decreasing specific funds.

"Most people never went to school to do public finance or economics," says Onigbinde, "so you're [helping] people understand these things" that are important to everyday life.

Read more: Why tech innovators are Africa's future

Other developers, like Sola Ajayi, have their sights set on mobile phone applications. Ajayi created Efiko (which means bookworm) -- a multi-platform app of timed quizzes with shareable results aimed at secondary school students.

Even young filmmakers enjoy coming to the CcHub to network with tech-savvy developers who might be able to help with movie editing or special effects software.

The seemingly limitless potential of the CcHub made it a popular pillar of Nigeria's first ever Social Media Week. The global conference, which last month took place simultaneously in 10 cities stretching from New York to Tokyo, attracted entrepreneurs, investors, academics and government officials.

Nigeria was the only African country to host an SMW event, and according to its global organizers, Lagos was the third "most social" city out of the entire bunch.

Tijani's excitement, and exhaustion, during the event was evident as dozens of eager outsiders walked through the CcHub's workspace and filled its rooftop lounge. Understandable when you consider he and his team also squeezed in an hours-long meeting with Intel executives interested in what these young Nigerians are doing.

Read more: Lagos Social Media Week: A local's guide to the city

CcHub's founders chose a central location for the hub because of a well thought out long-term strategy. It sits near the University of Lagos, so Nigerian students can easily visit, close to a design school so creative artists feel welcome, and down the street from more than a dozen tech startup companies so they can connect physically with like-minded entrepreneurs.

Tijani says the next step is to convince the regional government to install fiber optic cables on surrounding streets and free Wi-Fi access to anyone within the hub's vicinity. He's confident it will happen, feeling optimistic as he looks over Lagos. "Building solutions," he says, "that's what this is about."

@highlight

Nigeria's CC Hub is an innovation space where tech-savvy people share ideas

@highlight

Founder Bosun Tijani wants the hub to be the birthplace of Nigeria's next big innovation

@highlight

Those involved work together to build tech solutions to community problems

@highlight

CC Hub helped host Lagos Social Media Week last month