The U.S. Department of Veterans Affairs says it is firing four senior officials after allegations and investigations of long wait times and other problems at VA medical facilities.

Directors at the VA health care systems in Pittsburgh, central Alabama and Dublin, Georgia, are in the process of being fired, and the VA's deputy chief procurement director in Washington is also in line to lose her job, the VA headquarters in Washington said in recent news releases.

The Pittsburgh move comes almost two years after CNN first reported about an outbreak of Legionnaires' disease at a VA hospital there. Part of CNN's 2012 investigation found 21 patients at the Pittsburgh VA who were diagnosed with the disease, five of whom died within 30 days of being diagnosed.

VA officials knew about problems and dangers with the medical center's water system, but did not disclose that information for almost a year.

In a followup investigation, the VA's inspector general found that the Pittsburgh VA's staff did not take the proper steps to prevent the spread of Legionella, such as flushing water faucets, and that pneumonia patients were not properly tested for the disease.

The director of that hospital, Terry Gerigk Wolf, has been on administrative leave since June and is now in the process of being fired for "conduct unbecoming a Senior Executive." Wolf has the right to appeal that decision before the firing is complete, a VA representative said.

"VA will actively and aggressively pursue disciplinary action on those who violate our values. There should be no doubt that when we discover evidence of wrongdoing, we will hold employees accountable," VA Deputy Secretary Sloan Gibson said.

The firings are a direct result of wrongdoing found by the VA's Office of Inspector General and the Office of Accountability Review, including significant delays and wait times of veterans, manipulation of appointment data, "neglect of duty," inappropriate handling of VA contracts and misconduct at VA facilities.

VA inspector general admits wait times contributed to vets' deaths

The firings also follow a yearlong investigation by CNN that found numerous instances of delays in care and, at times, deaths of U.S. veterans at VA facilities across the country. The reports sparked a national outrage, which led to the resignation of VA Secretary Eric Shinseki and prompted numerous House and Senate hearings.

That resulted in a new law revising the VA health care system designed to help veterans get faster care. The new law, which was passed this summer and signed by President Obama, also gives VA Secretary Robert McDonald more authority to quickly fire top executives.

The VA also announced that John Goldman, the director of the VA medical center in Dublin, is in the process of being fired after the VA's inspector general revealed that the hospital's staff closed out more than 1,500 patient appointments to hide long wait times in order to meet goals set by VA headquarters. Goldman announced he was retiring four days before his removal was made public.

U.S. Rep. Jeff Miller, R-Florida and chairman of the House Veterans' Affairs Committee, who led the charge for more accountability at the VA and whose committee has been instrumental in pressing for details of wrongdoing at VA facilities, said Tuesday that he is not certain the new process of firings is enough.

"Bragging about the proposed removal of someone who has already announced his retirement can only be described as disingenuous. Department leaders must not tolerate this instance of what appears to be blatant deceit. Such semantic sleights of hand are insulting to the families struck by the VA scandal and only do more harm to the department's badly damaged credibility," he said in a statement to CNN.

"Congress acted with near unanimity to give the VA secretary greater authority to actually fire failing executives, not just propose removing them. Because this is merely a proposed action, we need to reserve judgment on whether appropriate accountability has been achieved."

In a statement Tuesday, VA Deputy Secretary Sloan Gibson said, "Recently, VA announced disciplinary actions against four individuals, consistent with the law that Congress just passed. If Congress wants VA to implement a different law, it should pass one.  Until then, VA will use the authority it has been given fully and responsibly to protect the health, safety, and well-being of our nation's veterans while at the same time ensuring that disciplinary actions are based on the best possible evidence from entities such as the Inspector General, the Office of Special Counsel, and the Justice Department, so that these actions stick."

Part of CNN's investigation brought national attention to a secret waiting list at the Phoenix VA and to charges by whistleblowers that veterans had died there, waiting for care. All of the charges have been substantiated by the inspector general. Just after those revelations, three top officials at that VA facility, including Director Sharon Helman, were placed on administrative leave and are in the process of being fired. Helman is still being paid.

The VA is also in the process of firing James Talton, the director of the Central Alabama VA Healthcare System, where the inspector general confirmed this year that a lack of trained appointment schedulers contributed to some delays and dysfunction in the hospital's podiatry clinic.

A 2012 inspector general report also found that Central Alabama VA patients did not receive timely colorectal cancer screenings. VA audits this year showed that more than 6,000 patients waited at least 90 days for care at this medical center and that some schedulers there were instructed to hide long wait times.

The fourth VA employee being fired, Deputy Chief Procurement Officer Susan Taylor, inappropriately influenced the awarding of VA contracts to a private company and interfered with an investigation into the matter, according to a report by the VA's inspector general.

Taylor reportedly gave preferential treatment to the company FedBid, an online marketplace, and had an affair with a former employee of several government agencies who had ties to the company.

The VA's inspector general stated that Taylor "improperly disclosed non-public VA information to unauthorized persons, misused her position and VA resources for private gain, and engaged in a prohibited personnel practice."

On Tuesday, the VA also announced that Joan Ricard, the director of the Edward Hines, Jr. VA Hospital in Chicago, will retire at the end of this month, after 40 years at the VA, including two years as director of the hospital.

Ricard has, like other VA officials, been at the center of controversy in recent months. At Hines, like other VA hospitals, CNN and other media outlets reported allegations made by whistle blowers about veterans being kept on secret wait lists, and hiding of actual delays in care, while administrators received bonuses.

@highlight

Officials in Pittsburgh, Alabama and Georgia are in the process of being fired

@highlight

VA's deputy chief procurement director in Washington is also in line to lose her job

@highlight

VA's Office of Inspector General and Office of Accountability Review found wrongdoing

@highlight

A CNN investigation found numerous instances of delays in care for veterans at VA facilities