Saber rattling rose to new levels Monday on the Korean Peninsula as Pyongyang officials "scrapped" the armistice credited for nearly 60 years of uneasy peace and then failed to answer a hotline phone.

"The Korean Armistice Agreement is to be scrapped completely just from today," said a spokesman for the North Korean military -- the Korean People's Army Supreme Command -- according to Rodong Sinmun, the official newspaper of North Korea's ruling Workers' Party.

North Korea cited the U.N. Security Council's unanimous passage Thursday of tougher sanctions against Pyongyang for carrying out missile and nuclear tests.

North Korea declares 1953 armistice invalid

"The collective sanction is precisely a declaration of war and an act of war against the DPRK," said the newspaper, using the initials of North Korea's formal name, the Democratic People's Republic of Korea.

U.S.-South Korean drills

North Korea's announcement came as military drills involving South Korea and the United States were taking place. The exercises, called Key Resolve, are in conjunction with the Foal Eagle joint exercises that began March 1 and are scheduled to last two months. More than 3,000 U.S. forces are taking part in Key Resolve, according to U.S. Forces Korea.

North Korea also has called the annual training exercises "an open declaration of a war."

"Under the cloak of the UNSC, the U.S. seeks to realize its aggressive purpose against the DPRK by threatening its right to existence as well as its sovereignty," the newspaper continued. "What is graver is the fact that the U.S. cooked up the resolution on sanction timing to coincide with the 'Key Resolve' and 'Foal Eagle' joint military exercises."

The U.N. Command notified the North Korean military on February 21 of the exercise dates, noting they are annual joint exercises defensive in nature and not related to current events on the Korean Peninsula.

In his inauguration speech on Monday, South Korean Foreign Minister Yun Byung-se called the security situation "very grave," South Korea's government-backed Yonhap News Agency reported.

"The security situation on the Korean Peninsula for now is very grave as the unpredictability surrounding North Korea is rising following its third nuclear test," Yun said. "However, my aim is to turn this era of confrontation and mistrust into an era of trust and cooperation with North Korea."

Two weeks after her inauguration, President Park Geun-hye presided over her first cabinet meeting.

"If we are going to get North Korea to give up its nuclear programs and make the right choice, what is more important than anything else is to cooperate closely with the international community," she said, according to Yonhap.

She ordered the government to take measures to keep safe South Korean workers at a joint industrial complex in the North Korean city of Kaesong and residents on the border island of Yeonpyeong, which was targeted by the North Korean artillery in 2010, according to her spokesman, Yonhap said.

In remarks delivered Monday at the Asia Society in New York, national security adviser Tom Donilon said, "The United States will not accept North Korea as a nuclear state; nor will we stand by while it seeks to develop a nuclear-armed missile that can target the United States."

He added, "The international community has made clear that there will be consequences for North Korea's flagrant violation of its international obligations."

Why the Korean War still matters

He announced that Park has accepted President Barack Obama's invitation to visit Washington in May.

Donilon attended Park's inauguration in Seoul. "When we met, I conveyed to President Park President Obama's unwavering commitment to the defense of the Republic of Korea," he said.

He cited "provocations and extreme rhetoric" from the impoverished North. "To get the assistance it desperately needs and the respect it claims it wants, North Korea will have to change course," he said. "Otherwise, the United States will continue to work with allies and partners to tighten national and international sanctions to impede North Korea's nuclear and missile programs."

Donilon cited the Treasury Department's imposition of U.S. sanctions against the Foreign Trade Bank of North Korea, the country's main foreign exchange bank, "for its role in supporting" Pyongyang's weapons of mass destruction program.

"North Korea's claims may be hyperbolic, but as to the policy of the United States, there should be no doubt: We will draw upon the full range of our capabilities to protect against, and respond to, the threat posed to us and our allies by North Korea," he said.

Concern over 'bellicose rhetoric'

In Washington, White House Press Secretary Jay Carney told reporters that Pyongyang's "bellicose rhetoric" had raised concerns. "The DPRK will achieve nothing by threats or provocations, which will only further isolate North Korea and undermine international efforts to ensure peace and stability in northeast Asia," he said.

Also Monday, North Korea did not answer its hotline with Seoul, South Korea's Unification Ministry said, according to the Yonhap news agency.

The ministry said the North did not answer two attempts to communicate by telephone at 9 a.m. and 4 p.m. local time.

The military hotline was set up in 2004 with the goal of easing tensions along the heavily fortified border between South and North, the world's last Cold War frontier.

What's in a threat? A look at North Korea's escalating rhetoric -- and actions

Last week, Pyongyang said it planned to terminate its military telephone line with the United States.

But Andre Kok, deputy public affairs officer for U.S. Forces in Korea, said reports that the North's Korean People's Army, known as the KPA, cut off communication often arise when military training exercises are taking place.

"When we place a call on the direct phone line and the KPA does not answer, we have no way of knowing if the KPA has actually disconnected the phone lines or are just not answering the phone," he said.

North Korea's nuclear warning

North Korea had previously warned it could carry out strikes against the United States and South Korea.

But analysts say North Korea is years away from having the technology needed to mount a nuclear warhead on a missile and aim it accurately at a target.

And, analysts say, North Korea is unlikely to seek a direct military conflict with the United States, preferring instead to try to gain traction through threats and the buildup of its military deterrent.

Its problems are also internal: a U.N. Human Rights Council report dated February 1 cited "grave, systematic and widespread violations of human rights" in the country.

The Koreas are still technically at war because the 1950-53 war ended in a truce, not a peace treaty.

In 2002, then-U.S. President George W. Bush labeled Pyongyang part of an "axis of evil" with Iraq and Iran.

Beyond the DMZ: Tweeting from North Korea

@highlight

White House: "The DPRK will achieve nothing by threats or provocations"

@highlight

North Korea declares invalid the armistice agreement that started 60 years of an uneasy peace

@highlight

North Korea has called annual training exercises "an open declaration of a war"

@highlight

U.N. Command says the drills are defensive in nature