(CNN) -- Imagine sipping Argentina's finest wines with the snowcapped Andes in the distance. Sailing the fjords of Finland while the midnight sun shines down. Or taking in a live opera under the stars in the high desert of Santa Fe, New Mexico.

These stirring scenarios have one thing in common: a gorgeous backdrop tailor-made for romance.

"We're all starring in the movie of our lives," declares Susan Moynihan, founder of The Honeymoonist, a boutique travel-planning company for luxurious romance experiences. "And a beautiful setting makes you feel more beautiful—you want a setting that matches your mood."

Sometimes it's not just the usual hot spots that hit the spot, though. In compiling our favorite romantic summer getaways¸ we looked further afield than staples like Rome, Bora-Bora, the Greek Islands and Paris. (Don't worry, we'll always have Paris.) We even let another of New York's boroughs steal our hearts away from perennial favorite Manhattan.

"Part of the goal for a romantic trip is to get out of your routine and away from everyday stresses and surroundings so you can focus on each other," says Moynihan. "Going to a destination that is distinct and different from your everyday life helps create that mood and magic."

Find out where you two can create some magic of your own this summer.

Rovinj, Croatia

Dubrovnik gets lots of love, but we're smitten with the lesser-known city of Rovinj to the north. The terracotta rooftops, church steeples and winding cobblestoned streets of the medieval old city are set on a peninsula jutting into the Adriatic Sea, which provides the focus for the many alfresco cafés lining the waterfront. Shop for wild asparagus, truffle and just-off-the-boat seafood at the St. Euphemia farmers' market, held daily, then take your picnic to Golden Cape Forest, a short bike ride or walk from the old town.

The striking Hotel Lone overlooks the edge of the forest and offers chic, design-conscious rooms with private infinity pools on each balcony. Dine at the top of the hill, near the cathedral, at Monte, where molecular cuisine meets farm-to-table fine dining.

Travel + Leisure: Beautiful beaches to visit in 2014

Mendoza, Argentina

Tear yourselves away from Buenos Aires for some wine-region romance in Mendoza, an hour's flight. At Cavas Wine Lodge, the stylish west-facing adobe rooms include perks like plunge pools, wood-burning fireplaces and outdoor showers—plus views of the snowcapped Andes mountain range. Hit the wine trail to sample some of the region's praiseworthy Malbec.

Carlos Pulenta showcases impressive reds and sparkling wines in a bucolic setting whose main house features Criollo native Argentinean architecture. Wind down at the 19th-century Park Hyatt Mendoza, whose excellent Kaua spa offers decadent treatments like a "chocolate body glow."

Travel + Leisure: America's most romantic restaurants

Helsinki, Finland

Embrace summer by heading to a land where the midnight sun shines all season long. The Finnish capital really comes into its own in the warm months, when locals take both to the water—to explore Helsinki's gorgeous islands and fjords—and the streets for the culinary spectacle that is Restaurant Day.

Thousands of the city's best cooks gather to host pop-up restaurants selling everything from Finnish-style donuts to Thai curries. Board the jaunty blue-and-white ship Doris for lunch and a sightseeing tour of the archipelago, then hit the Design District, a walkable route with 200 shops, galleries and boutiques. Over dinner at Juuri, you can sample sapas, a Scandinavian version of tapas. Sleep it all off at the chic Klaus K, where that famed Finnish design is on full display.

Travel + Leisure: America's best road trips

Jamaica

This laid-back island continues to be among the most-visited Caribbean destinations thanks to its heady combination of intoxicating music, sublime sunsets and affordability. Couples should make a beeline for Negril, the fun-loving resort town on Jamaica's northwest coast, and check in to T+L reader favorite Rockhouse Hotel, where love is always in the air.

Book one of the thatched-roof villas on the edge of cliffs overlooking Pristine Cove, and feast on blackened mahi mahi with mango chutney—served by the light of tiki torches in the cliff-side restaurant. Hit the elevated wooden boardwalk in Negril's tranquil Royal Palm Reserve, a forest oasis filled with Morass royal palms (found nowhere else in the world) and more than 300 species of fauna, including butterflies and exotic birds.

Riga, Latvia

Charming architecture and a lack of tourist hordes make the Latvian capital an alluring alternative to the usual European hot spots. Start by taking a guided tour of the opulent Opera House, then head to Alberta and Streinieku streets to ogle a wealth of perfectly preserved Art Nouveau buildings—there's even a small museum dedicated to the movement (known as Jugendstil here). While on Alberta, pop into Madam Bonbon, a boudoir-like boutique stocked with chic shoes, fine jewelry and pretty frocks you won't find elsewhere, many by Latvian designers. Dine at the city's most acclaimed restaurant, Vincents, where star chef Martins Ritins works his culinary wizardry: expect decadent dishes like foie gras ravioli and risotto Milanese served with gold leaf.

For a more casual but no less memorable dining experience, check out Valtera, a serene, clean-lined restaurant in the old city where chef Valters Zirdzinš uses organic produce to great effect. At the end of the day, retreat to the hip Hotel Bergs, whose sleek, contemporary rooms (some with Art Nouveau fireplaces) hide behind a 19th-century façade.

Beaver Creek, Colorado

This tiny ski town has a hot secret: it rocks in summer too. Park yourself at the Park Hyatt Beaver Creek and indulge at the Allegria, the only spa in town to offer couples suites. The two-hour-and-15-minute "Spa Romance" Colorado-inspired ritual features a wildflower and eucalyptus scrub, a steam, a Swedish or deep tissue massage, a lavender bath and champagne.

On select summer Tuesdays, the lawn behind the Park Hyatt hosts Movies Under the Stars, family-friendly movie screenings. It's grown-ups only at the Beaver Creek Wine and Spirits Festival, an annual August event that showcases great wine and food along with cooking demonstrations and hikes followed by farm-to-table feasts.

Riviera Nayarit, Mexico

Stretching nearly 200 miles from the colonial town of San Blas to Nuevo Vallarta (just north of Puerto Vallarta), Riviera Nayarit winningly combines Pacific coastline with the majesty of the Sierra Madre Mountains. An acclaimed culinary scene and some of the world's best whale-watching don't hurt either. The city of Puerto Vallarta's siren song is strong—lively nightlife, a pretty historic center and winsome hotels like colonial art--filled Hacienda San Angel. If you're in the mood to splurge, seek out the 250-acre Imanta (doubles from $800), hidden between lush jungle and a perfect sweep of beach near Punta de Mita, at the northern tip of Banderas Bay.

Kick back with a margarita and sublime fish tacos at the beach restaurant. Nearby, the famous surf town of Sayulita offers a laid-back vibe and activities (paddleboarding, horseback riding, yoga) that draw a youthful and New Agey crowd.

Lake Garda, Italy

Como attracts the glamorous set (ciao, Mr. Clooney!) but Lake Garda has all its neighboring star's pulse-racing beauty and old-world charm—minus the day-trippers and celebrity-spotters. Wander among olive and lemon groves, take a lazy paddle out on the glimmering water, or savor a long lunch in picturesque villages like Sirmione (known for its thermal spa culture and ruins from ancient Rome) or Gargnano, with its cobblestoned medieval town and charming marina.

Whether for drinks or an overnight stay, be sure to check out the lake's most storied address: Villa Feltrinelli. It's a neo-Gothic 1860s mansion-turned-luxury-hotel whose many virtues include a Fellini-esque sweeping marble staircase, frescoed walls, a lemon grove and dilettante distractions like a croquet court.

Bali

Awe-inspiring scenery, spiritualism and rich cultural and culinary traditions continue to lure lovers to this Indonesian island—which also has its share of world-class spas and resorts. One of the newest, The Mulia, has three tiers of lodgings: rooms within the Mulia Resort, butler-serviced beachfront suites at The Mulia and ultra-private Mulia Villas, also with private pools and butlers. Sip cocktails at the Instagram-worthy candlelit Sky Bar, with its sweeping Indian Ocean views, then dine at Table8, the property's new restaurant, featuring home-style Cantonese and Sichuan dishes and fancy street food.

For a dose of culture, head up to the lovely hill town of Ubud, with its poetically beautiful jade-green terraced rice paddies and vibrant arts scene, and wander through the Sacred Monkey Forest, a wooded sanctuary filled with Hindu temples and cheeky macaques.

Guanacaste, Costa Rica

Helping burnish Costa Rica's reputation as an eco-destination, the recently opened Andaz Peninsula Papagayo overlooking the Gulf of Papagayo and Culebra Bay caters to couples seeking pura vida—without giving up the indulgences of romantic travel. Architect Ronald Zurcher's design uses clean, modern lines while embracing the artisanal heritage of the region; local influences also turn up in dishes like fresh ceviche and Costa Rican chicharrones at three on-site restaurants.

If you fancy bonding at the beach instead, the affordable Witch's Rock Surf Camps, around 1.5 hour's drive from Peninsula Papagayo, offers surf lessons, a restaurant, a brewpub, and 18 rooms.

See more spots for romance at Travel + Lesiure

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

These ten spots around the world are ready-made for romance

@highlight

Enjoy the alfresco cafes of this charming Croatian city to the north

@highlight

Bali has stunning scenery, spirituality and romantic world-class resorts