(CNN) -- Chemical testing of air samples from the trunk of Casey Anthony's car primarily showed the presence of gasoline, jurors in Anthony's capital murder trial heard Wednesday.

Other compounds, including chloroform, were also found, but the amount did not appear to be large, University of Central Florida chemist Michael Sigman told jurors in the Orlando courtroom. Testing was not done to determine the amounts, Sigman said, but "they gave very low responses in the instrument."

While some of the compounds found are associated with human decomposition, Sigman told defense attorney J. Cheney Mason, he cannot definitively say that their presence indicated a decomposing body was in the trunk, because there are other natural sources for those compounds as well.

Sigman took the air samples from the trunk, one of which was sent to Arpad Vass at Tennessee's Oak Ridge National Laboratory.

Earlier in the trial, Vass testified that testing on a carpet sample from the trunk showed chloroform at a level that was "shockingly high." He also testified the odor in the air samples he received was "extremely overwhelming." He identified it as human decomposition.

Casey Anthony, 25, is charged with seven counts in her daughter's death, including first-degree murder. If convicted, she could face the death penalty.

Prosecutors allege Anthony used chloroform to render her daughter unconscious, then used duct tape to cover her nose and mouth, suffocating her. Caylee's remains, prosecutors allege, were then put into Anthony's car trunk and eventually disposed of. The girl's skeletal remains were found in a wooded field on December 11, 2008, nearly six months after her family last reported having seen the child.

Defense attorneys say Caylee was not murdered, but that she accidentally drowned in the family pool on June 16, 2008, the day she was last reported to have been seen. They argue that Anthony and her father, George Anthony, panicked and covered up the death. George Anthony has rejected that scenario in his testimony.

Caylee was not reported missing to police until July 15, 2008, when Casey Anthony's mother, Cindy, tracked down her daughter and demanded answers regarding Caylee's whereabouts.

Sigman was one of a handful of forensic experts testifying Wednesday as Anthony's defense continued presenting its case. Jurors also heard from FBI geologist forensic examiner Maureen Bottrell, who analyzed a number of items in the case for soil samples, including 22 pairs of shoes from the Anthony home.

Only three pairs had some material for comparison, she told defense attorney Jose Baez, and soil on them did not match that at the site where Caylee's remains were recovered. However, she acknowledged on cross-examination that does not mean she can say for sure the shoes were never there, as soil can fall off or material from several locations can cloud testing results.

Also, FBI forensic toxicologist Madeline Montgomery told jurors she tested the "hair mass" found with the child's remains for the presence of 11 drugs, including Xanax, Valium and ketamine. The results were all negative, she said. The FBI lab does not test hair for the presence of chloroform, she said.

FBI forensic chemist Michael Rickenbach was recalled to the stand, where he testified that testing showed no chloroform was found on Caylee's car seat, in the interior of Anthony's car or the steering wheel cover in the car. Testing on a liquid found in a syringe, discovered inside a plastic bottle near Caylee's remains, showed testosterone compounds but no significant amount of chloroform, he said.

FBI trace evidence examiner Karen Lowe, also recalled to the stand, said that of "hundreds" of hairs she examined in the case, from the Anthony home, Anthony's vehicle and Anthony's clothing, she only found one that showed evidence of decomposition. But, she told prosecutor Jeff Ashton, that one came from Anthony's trunk -- the subject of her previous testimony.

Under questioning from Ashton, Montgomery said that sometimes drugs do not show up in hair and that a person still could have been given drugs with negative hair testing results.

On Tuesday, prosecutors told Orange County Chief Judge Belvin Perry Jr. they are looking into information regarding a woman who at one point was incarcerated with Anthony, and whose child died in a way similar to how Anthony's defense says Caylee died. The matter was mentioned in a conversation regarding discovery items provided to the defense.

April Whalen's child died in a pool, and the child's grandfather discovered the body, prosecutor Linda Drane Burdick told Perry.

Whalen says she never spoke with Anthony, but did not know whether Anthony may have talked to other inmates, Burdick said. "It's being explored whether there was indirect contact," she said. The information came from someone who called the Orange County Sheriff's Office last week, suggesting the two could have been in contact, Burdick said.

In response to a question from Perry, Burdick said she does not currently plan for Whalen to testify, but the information could become relevant.

Whalen told CNN's sister network HLN she never met Anthony during the few days she was in jail for driving with a suspended license and that she has nothing to do with the case.

According to the Orlando Sentinel newspaper, Whalen's 15-month-old son, Isaiah Whalen, drowned in a backyard pool on Christmas Day 2007. After finding him in the pool, the boy's grandfather performed CPR and called 911, Burdick said in court Tuesday.

Allen Moore, a spokesman for the Orange County Sheriff's Office, said Whalen was in the same dormitory as Anthony for five days, from June 4 through June 8, 2009. There are no jail records, investigations or reports that indicate any contact occurred between the two, he said.

A Dutch forensic scientist testified Tuesday that given even a small amount of DNA, it would be possible to extract a DNA profile from the duct tape covering the mouth portion of Caylee's skeletal remains. But DNA expert Richard Eikelenboom testified that he did not ask to test the duct tape, although he said he offered to investigate.

Eikelenboom testified about "low copy number" DNA, a technique by which small samples of DNA are amplified and copied in an effort to obtain a full profile.

He said that when tape is used to cover a person's mouth, it is possible the sticky side of the tape could contain skin cells from the face as well as DNA from the mouth. However, he told Ashton, factors such as heat and water have "a very detrimental effect" on DNA and it would be difficult to determine a profile from tape that, as in this case, had been exposed to the elements for as long as six months.

An FBI examiner previously testified that DNA testing on the tape was inconclusive, but a possible indication of DNA there did not appear to match that of Caylee, Casey Anthony or George Anthony.

Also Tuesday, Marcus Wise, an analytical chemist from the Oak Ridge National Laboratory, testified that, while testing on carpet from Anthony's car trunk showed the presence of chloroform, a test to determine how much chloroform was present would have been meaningless, as chloroform is a "volatile chemical" that evaporates, much like gasoline,

Asked what effect a closed trunk would have on that, Wise said it would not slow the chemical's volatility but might make it more difficult for the chemical to escape the trunk.

Wise told Ashton on Tuesday that the "relative abundance" of chloroform was "very unusual to me."

Earlier Tuesday, a forensic botanist testified Caylee's remains could have been at the site where they were found -- less than a mile from her grandparents' home -- for as little as two weeks, based on plant evidence found there.

"I don't know exactly when" the remains were placed there, Jane Bock said. "My best guess is what I have presented today."

Ashton introduced into evidence a photo of Caylee's skull, showing leaf matter and debris that had accumulated up to the lower portion of the eye sockets. He asked Bock if that could have occurred in two weeks.

"If these leaves are, in fact, the level that has fallen since the skull has been there, then clearly the skull has been there for a lot longer than two weeks, wouldn't you agree?" Ashton asked.

"Given your hypothesis that it had lain there undisturbed all that time, the answer would be yes," Bock acknowledged. She told Ashton she could not say for sure if it was possible the skull could have sunk into the leaf litter.

As the photo of the skull was shown in the courtroom, Anthony looked downward with her mouth pressed to the back of her hand.

Bock also told jurors Tuesday that fragments found on and in Anthony's car did not match the vegetation at the scene where the remains were found.

The trial entered its fifth week Monday. Perry told jurors that the trial will go only until about noon Wednesday, adding that he has a meeting at 1 p.m. concerning state trial court budgeting. He said the court day on Saturday will be extended to make up the time.

In Session's Mayra Cuevas, Michael Christian and Grace Wong and HLN's Selin Darkalstanian contributed to this report.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

Chemist says he can't say for sure a decomposing body was in the car trunk

@highlight

Toxicologist: Drug testing on hair found with Caylee Anthony's remains was negative

@highlight

Casey Anthony is accused of killing her 2-year-old daughter, Caylee, in 2008

@highlight

She has pleaded not guilty; her defense says the child drowned in the family pool