(CNN) -- Last month the Cambodian government announced their plans to build a dam on one of the Mekong River's most important tributaries, the 3-S River Basin, in 2014. This was declared just five days before the government of Laos held their ceremony to launch the construction of the controversial Xayaburi dam, the first dam to be built on the lower Mekong River.

Conservation International along with other conservation groups working in the region are extremely concerned by this move and have requested a delay on this decision to allow time for research to better understand the trade-offs between power generation and the dam's impacts, and the opportunity to offer sustainable alternatives for Cambodia's economy.

In Cambodia today only about 5% of infrastructure projects go through the Ministry of Environment's Environmental Impact Assessment process, and when they are completed, they often do not include detailed studies of the full range of environmental impacts.

Such considerations are crucial for the Greater Mekong region's development pathway and will ensure that these countries are protecting yet utilizing their natural assets for the benefit of their people, their economy and the environment.

The 3-S River Basin (Sekong, Sesan and SrePok Rivers), borders Laos, Cambodia and Vietnam, and supports 20% of the Mekong River water flows, ensuring food and water security for millions of people living in the basin. It also contains some of the region's most unique and rare biodiversity including yellow cheeked gibbons and Asian arowana (dragon fish), among many other endangered and charismatic species.

Principally our concern is for the people who rely on the water flows of the lower Mekong River for their food, health, income and other essential livelihood securities. This includes the people who live in the 3-S River Basin, the 1.1 million people that depend on the Tonle Sap and another 60 million people living on the Mekong Delta.

Our economic concern is that dams on the Lower Mekong will likely reduce the productivity of the region's agriculture and aquaculture industries, particularly in Cambodia and Laos, and plunge them back into even more severe poverty then they currently suffer.

A recent assessment of the 42 dams proposed for the river basin found that they are likely to produce substantial changes to the natural fluctuation in the seasonal flow. This would have severe impacts on the natural delivery of nutrients and other critical aspects that are required for agricultural and fisheries productivity.

In Cambodia fish provide 85% of the population's protein needs and an essential source of fat. Right now the Cambodian per capita in-take of fats is the lowest in Southeast Asia and the most essential of these, the omega-3 fats which come from fish, are the least available. If there was a reduction in fish populations, nutrition and health will decline on a national scale and further deepen Cambodia's current situation of severe poverty.

The biodiversity underpinning the ecosystem productivity and life that has thrived for thousands of years is in danger. Of all the various impacts on the horizon as a result of this development, the most serious is the potential for major changes to the migration patterns of fish. A recent environmental impact assessment of the Lower Sesan 2 dam concluded that the impacts on fish populations will be very severe.

As approximately 66% of the Mekong fish species are migratory their passage will be blocked by the dam in its current design which will seriously reduce the reproduction rate and overall fish populations downstream will be reduced.

If this traditional migration is hindered it could lead to a serious decline in fish reproduction which will unbalance the delicate food chain on which this ecosystem depends. This has already happened in other dam developments globally, due to lack of adequate planning and understanding of the dams effects.

Before the construction of the Pak Moon dam in Ubon Ratchathani province, Thailand, the waterway contained over 250 species of fish. This plummeted over 80% when the dam began operation, and a decade later, through extensive government investment to restock the river, the species number is still less than half the original amount. More than 20,000 people have been affected by this loss of fish. This dam was anticipated to have a production capacity of 136 megawatts, but it can barely generate 20 megawatts during high-demand months.

Conservation International support the development of electricity generation for domestic consumption and export as these are critical components of development for Laos, Cambodia and Vietnam. We believe that the Greater Mekong region has the potential to become a world leader by pursuing an innovative, low carbon, green development pathway that will foster economic growth and create opportunities for its people, while conserving the natural environment.

However, this region needs integrated hydro-power development and conservation planning so that the trade-offs between energy production and other ecosystem services, particularly those vital for the survival of the people that depend on them, are better understood before such dams are developed.

A delay will allow for the delivery of decision support tools that can explain how different scenarios, such as variances in the dam location, design and operation will influence their impacts. Careful consideration must be made now of the potential impacts of this, and other dams being considered for the 3-S River Basin, to avoid serious losses and to form a positive solution for the people of the lower Mekong, their energy needs and the environment on which they depend.

The opinions expressed in this commentary are solely those of Tracy A. Farrell

@highlight

Cambodian government intends to build new hydroelectric dam

@highlight

Conservation International believe current plan needs more consideration

@highlight

Livelihoods and rare wildlife could be irreparably harmed by new project

@highlight

3-S river basin supports 1.1 million people