(CNN) -- When doctors had to remove Aaron Loy's lower legs in November after he contracted meningococcal disease, his parents hoped students at his university would receive protection against it.

So far, they're still waiting.

Loy, a promising lacrosse and soccer player at the University of California Santa Barbara (UCSB), was the victim of an outbreak of meningococcal disease, a bacterial infection that causes bloodstream infections and meningitis.

Meanwhile, across the country at Princeton, eight cases of meningitis B were reported last year. Princeton was given special permission to use a new vaccine. Four meningococcal disease cases were reported at UCSB, but the vaccine is not being used there.

Some of the UCSB cases were caused by type B bacteria, the same strain as at Princeton, although officials found no link between the two outbreaks.

European, Canadian and Australian students have access to a meningitis B vaccine called Bexsero, but the Food and Drug Administration still hasn't approved it for routine use in the United States.

Loy's parents hope that will change.

"It's absolutely devastating to have Aaron, in the prime of his life, be stricken" with the disease, Mike Loy said previously. "We hope that Aaron's horrific illness brings increased awareness and rapid approval by the FDA of the vaccine" for the type B strain.

The Centers for Disease Control and Prevention sent a team of scientists to study the outbreak in California in December. It recently amended a letter it wrote to the FDA to get special permission to use the unlicensed vaccine to include UCSB students, but permission has not yet been granted.

"You don't go online and order 10,000 doses and get next-day delivery of this vaccine," said Dr. Tom Clark, chief of the CDC's meningitis branch. "It takes time."

Fortunately, he said, a meningitis B outbreak moves more slowly than others. "It smolders. You have a bit more time to get everything in place."

8th case of meningitis confirmed at Princeton

In December, the FDA agreed to the CDC's request to give Princeton special permission to bring the vaccine over from Europe to protect its students. The CDC had been carefully monitoring the Princeton cases since the first couple of students had been diagnosed about nine months before.

Meningitis B outbreaks are rare but can be deadly, according to the CDC. In 2012, there were 480 cases of bacterial meningitis; some 160 of those were group B, the agency said.

There's an approved vaccine for other types of meningitis. There is none for group B, which is the one the CDC describes as "pack(ing) the most powerful punch." College dorms are perfect breeding grounds for an outbreak.

This infection of the protective tissue around the spinal cord and brain called the meninges can spread when someone coughs or sneezes. It can spread if people forget to wash their hands or belongings, or through sharing a glass or a kiss. Excessive alcohol use leaves people susceptible to it.

And it's tricky, because students who get sick with it may think they merely have flu. Patients experience flu-like symptoms: fever, headache, stiff necks, vomiting and delirium. But if the bacteria spreads to the meninges, patients can suffer hearing loss, permanent neurological damage, and even death.

Novartis, the Swiss company that makes the group B vaccine, declined CNN's interview request, but confirmed it is working with the FDA for approval.

A press release on its website from December said: "Over the last few weeks, we have been working closely with officials at Princeton and the CDC to put in place a timely and decisive response to the outbreak. This situation serves as a reminder that MenB can strike anyone at any time."

Novartis successfully tested the vaccine on almost 8,000 infants, children, adolescents and adults. That qualified the vaccine for a license in European Union last January. Australia approved it in August, and Canada in December.

In an e-mail to CNN, the FDA explained it is kept from legally "discussing investigational drug applications."

However, the fact that the vaccine hasn't been approved yet has been criticized by at least one former FDA scientist.

"The FDA's demands are excessive," said Dr. Henry Miller, the Robert Wesson Fellow in Scientific Philosophy and Public Policy at the conservative Hoover Institution at Stanford University. Miller spent 15 years at the FDA and founded its office of biotechnology. He has written extensively about his belief that the FDA has gotten "fanatically risk-averse."

In the past five years, the FDA has approved only a couple of new vaccines on average every year. But a 2012 study in the New England Journal of Medicine found that the FDA review time is comparatively faster than Europe's or Canada's.

Miller believes the California students could have been vaccinated by now if the FDA had granted accelerated approval. Accelerated approval means the FDA would temporarily allow U.S. use of the vaccine without this extra step involving the CDC letter requesting special permission. Accelerated approval, he said, still leaves the FDA a legal mechanism to withdraw the vaccine.

Meningitis outbreak: California students wait for vaccine

"The FDA should have negotiated in good faith for reciprocity with their foreign counterparts," Miller said.

Dr. David Gortler, a former FDA senior medical officer and FDA regulatory expert, said vaccine approvals generally require special caution.

"When our FDA gives its approval to a drug, this is the gold standard for drug approval in the world," said Gortler, who is now an associate professor of pharmacology and medicine at Georgetown University.

If a drug is going to be approved in the United States, he said, there should be "no room for doubt of its clear safety and efficacy."

Gortler points to the 1960's Thalidomide scandal as the primary example of why the FDA's strict standards are essential.

The morning sickness drug had been approved in the United Kingdom and in Europe, but pregnant women who took Thalidomide had babies with severe birth defects.

In the FDA's careful review of the drug, medical officer Dr. Frances Kelsey discovered Thalidomide had never been tested on pregnant animals. Her discovery and her agency's refusal to approve it averted a major public health catastrophe in America.

The FDA's drug and vaccine approval process is exhaustive. Pharmaceutical companies spend hundreds of millions of dollars on testing that can take several years. Scientists must prove vaccines are safe and effective in the lab, in animal tests, and then in larger and larger groups of humans.

The companies send the FDA test results throughout the testing phase. Before digital records, Gortler said it took more than one loaded 18-wheeler of paperwork for the FDA review.

"It's not an easy process to review such voluminous amounts of data, while simultaneously being mindful to enforce the heavy federal regulations concerning new drug approval in the USA," Gortler said.

The FDA is still reviewing the results for the meningitis B vaccine.

Novartis, meanwhile, said on its website it is "committed to continuing the dialogue with the FDA to find a licensure pathway to bring a MenB vaccine to the U.S. to fulfill this unmet public health need for the future."

@highlight

A meningitis B outbreak hit students at Princeton and UCSB

@highlight

Princeton students got special permission to get unlicensed vaccine, UCSB's still waiting

@highlight

Vaccine approval is a complicated and time-consuming process