(CNN) -- In 2003, Massachusetts became the first state to legalize same-sex marriage. At that time, 60% of Americans opposed the idea and the move provoked an immediate backlash. In the next year, 12 states passed constitutional amendments outlawing same-sex marriage. Eventually 30 states, including traditionally liberal California, passed such measures.

But since then there has been an astounding transformation of public opinion and legal thinking. Support for gay and lesbian civil rights, starting from a much lower base than support for racial and gender equality, has risen with stunning speed. Between 2003 and 2013, the proportion of Americans supporting same-sex marriage rose 21 points nationwide, from 32% to 53%, writes Robert P. Jones in The Atlantic.

Even in the socially conservative South, support more than doubled, increasing from 22% to 48%. By contrast, in 1978, 11 years after the Supreme Court struck down laws prohibiting interracial marriage, only 36% of Americans supported such unions.

This rapid and massive change in public attitudes toward same-sex marriage undercuts the argument that "judicial activism" has frustrated the will of the American people. But the legal tide has certainly turned as well. In the past year and a half, 42 separate court rulings have upheld marriage rights for gays and lesbians.

Because of this month's Supreme Court decision not to hear appeals of such rulings, 24 states and the District of Columbia now permit same-sex marriage. Today more than 50% of Americans live in places where it is legal for gays and lesbians to wed. That will soon rise to 60%, because the Supreme Court's actions affect six other states in the judicial circuits overseen by the same appellate courts.

Many factors have contributed to these changes in public and legal opinion. One is the increased visibility of gays and lesbians across the culture, as more come out of the closet. Three-quarters of Americans now say they have a relative, friend or co-worker who is gay and millions have become used to sympathetic gay and lesbian characters on television and to openly gay talk-show hosts and entertainers. It is harder to deny rights to people who are no longer faceless "others."

Another factor in the rapid acceptance of marriage equality is the success the civil rights and feminist movements have had in establishing social equality as a moral and ethical principle. Fifty years ago, when the Civil Rights Bill was introduced in Congress, congressional opponents openly vowed to resist anything that might "bring about social equality."

No public figure would say that today. Even politicians who oppose measures to protect the rights of minorities, women or gays and lesbians now frame their opposition as a defense of equality against "special privileges."  So when advocates for social change can claim their goal is a simple matter of equity, they have an advantage they lacked in the 1960s and even the 1970s, when substantial numbers of Americans were still willing to admit to opposing gender and racial equality.

A third factor behind changing public opinion has been the growing tendency to treat freedom of choice in marriage as a basic right. This was not the case historically. Before the late 1960s, a majority of states had laws prohibiting marriage of whites to blacks, Asians or Filipinos.

Twelve states forbade "drunks" or "mental defectives" from marrying. Several states denied marriage to any person with tuberculosis. Prisoners had no right to marry, and employers were legally entitled to refuse to hire a woman who was married, or to fire her if she married after getting the job.

But in 1967, invalidating anti-miscegenation laws, and in 1987, ruling that prisoners could not be denied marriage rights, the Supreme Court ruled that states could not prohibit marriages just because they disapproved of the partnership. Once it became a violation of individual rights to prevent prisoners, inter-racial couples, flight attendants, and female teachers from marrying, gays and lesbians could argue that they, too, should have the right to marry a partner of their choice.

Ironically, the most important factor in persuading many Americans to support same-sex marriage may have been the dramatic changes heterosexuals have made in their own marriages.

For thousands of years, marriage was defined as the union of two individuals who had different and unequal rights and responsibilities based on their gender.

Until the late 1970s, husbands -- but not wives -- were legally obliged to support their families, while wives -- but not husbands -- were legally obliged to perform services (including providing sex) in the home. This is why the legal definition of rape was a man's forcible intercourse with a woman not his wife. It is also why a husband could sue for the loss of companionship, affection and sex (when the actions of another deprived him of the relationship benefits he was due), but a wife, who was not legally entitled to such services, could not.

In the past 30 years, however, as Americans have rejected such rigid gender roles, the courts have redefined marriage as a union of two individuals who have equal rights and responsibilities, and who can organize their marital division of labor on the basis of personal inclinations rather than pre-assigned gender roles.

As late as 1977, two-thirds of Americans believed that the man should be "the achiever outside the home" and the woman should take "care of the home and family." Today 62% of all Americans prefer a marriage where husband and wife share breadwinning, child care, and homemaking. The more that heterosexual couples organize their own marriages without regard to gender roles, the less reasonable they find it to deny marriage to two people who happen to be the same biological sex.

@highlight

Stephanie Coontz: Since first same-sex marriage state, U.S. attitudes have changed fast

@highlight

Number of Americans living where gay marriage legal will likely soon reach 60%, she says

@highlight

Coontz: More high profile gays in culture; plus civil rights, feminism widened view on social equality

@highlight

Coontz: Big shifts in concept of equality in heterosexual marriage also helped clear path