The deal reached with the Iranians late Saturday in Geneva represents a risk well worth taking by the Obama administration and the five other powers that negotiated it with the Iranians. If the Obama administration briefly got some first-term international diplomatic credit for the suggestion it would hit the "reset" button on relations with Russia, for this, its most important second-term initiative to date, it has opted for the "hold" button.

The deal is an interim agreement by which Tehran has consented to freeze efforts that could lead to the development of nuclear weapons in exchange for modest relief from international economic sanctions.

Now that an interim deal has been reached, the Iranians cannot move closer to a bomb as talks proceed. Even skeptics who don't trust Iran and fear it has been moving ever closer to gaining nuclear weapons capability must acknowledge that if this deal slows Iran down at all, it serves a useful purpose. If it does not, but intensive negotiations continue as a result of it, then we are at least no worse off than we were in the first place.

Obama: Iranian deal limits ability to create nuclear weapons

Further, if at the end of the ensuing negotiating phase no deal is reached, taking military action would be seen as more justified given that diplomatic options were exhausted.

That said, this deal has other little-noted or discussed implications and dimensions at many levels beyond the letter of its terms.

For example, despite Israeli Prime Minister Benjamin Netanyahu's advance denunciations of the deal -- struck between Iran and a group of international powers led by the United States -- he deserves as much credit for the deal as anyone else. His incessant banging on the drums of war led the world to believe that absent some diplomatic agreement soon, military action by the Israelis or the U.S. would be inevitable.

The deal struck Saturday in Geneva was as much to freeze Israel's edging toward war as it was to freeze Iran's nuclear program. For Israel, despite its apprehensiveness about the arrangement, to strike Iran now would make it an international pariah.

For the Obama administration, the deal offers multiple advantages. For the near term, at least, it is a rare diplomatic triumph. It arguably validates its program of sanctions by suggesting that the economic measures drove the Iranians to the negotiating table. But in addition, it not only forces Netanyahu to at least sit on his hands for awhile; it avoids the awkward situation of having to choose between supporting Israel (and inviting a major conflict in the region into which it would like be drawn) and appearing weak on Iran.

For the Iranians, the deal provides some relief from the hardships associated with the sanctions -- estimates run in excess of $10 billion and some suggest the impact might be multiples of that. (Europeans, Russians and the Chinese all also have been hoping for anything that might promise a restoration of economic ties with the oil-rich nation.)

But the deal also gives Iran useful negotiating leverage as it seeks to influence the outcome in neighboring Syria, where the embattled Assad administration is an important ally. Not only has it produced a more robust diplomatic dialogue with the Iranians, but now that the six nations that are engaged in this deal have a stake in it producing a positive outcome, they are less likely to inflame the Iranians or put them on the defensive with a Syria deal that is seen by them as a defeat.

Of course, the critical question will be whether the next phase of negotiations for which this deal clears the way will produce a real breakthrough, a verifiable program for dismantling those elements of Iran's nuclear program that might allow it to develop nuclear weapons.  If it did, it would be a rarity, one of the few recent instances where diplomacy succeeded in  stopping a nation that wanted nukes from getting or keeping them.

But it would not address the myriad other areas in which Iran has been helped inglame the problems of the Middle East during the past several decades.  It would not impact its state sponsorship of terror.

It would not impact its efforts to extend its influence via support for regimes and political actors--from Syria to Iraq to Lebanon to Gaza;  indeed, as noted earlier, it might help them in this respect. And what's more, if it gave the U.S. a greater stake in a better relationship with Iran, it might also complicate relations with the Gulf States and the Israelis who see Iran as a threat.

What's more, if the interim deal does not result in a longer term deal, what would happen next? Would war then be the only option? More sanctions? Would the absence of military action in that case suggest it would never come?

The Geneva deal is a genuine diplomatic step forward. If it delays or reduces the risk of Iran gaining nuclear weapons and triggering an arms race in the region, it will be even more than that. But it needs to be viewed with open eyes, with sensitivity to the risks it creates, those it does not address and to its many resonances and potential consequences.

@highlight

David Rothkopf: Obama administration deal sets the "hold" button.

@highlight

Tehran to freeze nuclear weapons efforts in exchange for modest relief from sanctions

@highlight

Rothkopf: This puts Iran on hold as more intensive talks continue

@highlight

He says: Deal freezes Israel's edging toward war; shows we did our best