WASHINGTON (CNN) -- President Barack Obama addressed Congress shortly after 9 p.m.  Tuesday, but a casual viewer might have believed it was actually morning in America.

President Obama takes a page from Ronald Reagan's playbook in his speech to Congress.

"Morning in America" was the theme of Ronald Reagan's 1984 re-election campaign, and it was front and center in Obama's most critical event since Inauguration Day.

The president who has pledged to reverse much of Reagan's economic revolution took a page from the 40th president's playbook in his 52-minute speech, striking a defiantly optimistic tone that belied the nation's sour mood and rebutted critics who have accused him of intentionally talking down the economy for short-term political gain.

"Though we are living through difficult and uncertain times, tonight I want every American to know this: We will rebuild, we will recover and the United States of America will emerge stronger than before," Obama declared to a thunderous round of applause from a packed House chamber.  See video highlights of the speech, issue by issue »

Delivered against a backdrop of dismal economic news and with polls showing overwhelming majorities of Americans believing the country is on the wrong track, Obama's first speech to Congress amounted to a political tour de force. He proposed what many claim is a complete overhaul of the country's economic foundation while ripping his conservative predecessors for transferring "wealth to the wealthy" and gutting regulations "for the sake of a quick profit at the expense of a healthy market."

And he did it while employing some of Reagan's favorite rhetorical tools. Obama stuck to a fairly short list of priorities while invoking traditional American values of responsibility, hard work and thrift to pound home a back-to-basics message. iReport.com: 'Obama just replaced Reagan'

"A generosity, a resilience, a decency and a determination that perseveres; a willingness to take responsibility for our future and for posterity ... Those qualities that have made America the greatest force of progress and prosperity in human history we still possess in ample measure," he said.

It is time, he declared, to "summon that enduring spirit of an America that does not quit."

Ideological differences aside, the nation's 44th president has made no secret of his admiration for his Republican predecessor.

"Ronald Reagan changed the trajectory of America in a way that Richard Nixon did not, and a way that Bill Clinton did not," Obama argued at the start of last year's Democratic primaries.

Reagan, Obama said, knew that Americans "want clarity. We want optimism. We want a return to that sense of dynamism and entrepreneurship that [has] been missing."

Tuesday night's speech featured all of those elements.

"The answers to our problems don't lie beyond our reach. They exist ... in the imaginations of our entrepreneurs and the pride of the hardest-working people on Earth," Obama said.  What did you think of the speech? Rate it through our CNN report card »

The president's agenda as defined in his address to Congress may have been the most ambitious in a generation or even two, but it was also easily boiled down to a few bullet points: restore financial stability, strengthen education and promote energy independence and health care reform.

It was, in many ways, the mirror image of 1981, when a newly inaugurated Reagan used the combination of stagnating economic growth and skyrocketing inflation to promote an equally ambitious, simple agenda: cut taxes, shrink government and build up the defense budget.

"You never want a serious crisis to go to waste," White House Chief of Staff Rahm Emanuel said shortly after the election in November.

In fact, Obama's team believes that their boss has already trumped both the Great Communicator and Obama's immediate Democratic predecessor.

Reagan didn't get his economic agenda passed until summer 1981, a senior White House official noted before the speech Tuesday.

And when then-President Bill Clinton delivered his first speech to a joint session of Congress in 1993, he had only passed the Family and Medical Leave Act and was struggling politically because of the gays-in-the-military flap.

In contrast, Obama has already signed into law a sweeping $787 billion economic plan, an expansion of children's health insurance coverage and pay equity legislation.

The senior official boasted that Obama has "gotten more done in 30 days ... than any modern president."

When he took office in 1981, Reagan said, "Government is not the solution to our problem; government is the problem."

Obama's response came Tuesday night: "I reject the view that says our problems will simply take care of themselves, that says government has no role in laying the foundation for our common prosperity."

It is morning in America again. A new day has clearly dawned.

@highlight

Like Reagan, Obama takes a defiantly optimistic tone in speech to Congress

@highlight

Obama employs some of Reagan's favorite rhetorical tools

@highlight

But Obama rejects Reagan view that government has no role in prosperity