A lengthy report on wait times at VA health care facilities in Phoenix found that 28 veterans had "clinically significant delays" in care, and six of them died, but investigators couldn't conclusively link their deaths to the delays.

The scathing report, released Tuesday by the Department of Veterans Affairs' Office of Inspector General, said the delays were because of scheduling issues.

There were also 17 patients -- 14 of whom died -- in the review who received poor care but not as a result of access or scheduling issues.

Read the full report (PDF)

The majority of patient cases studied by investigators were on official or unofficial "secret" lists, according to the 133-page report, and experienced delays accessing primary care.

Investigators studied 3,409 cases, including those of the 40 patients who died while on the Electronic Waiting List between April 2013 and April 2014.

They outlined 45 separate cases in which veterans were negatively affected, including that of a man in his mid-60s who walked into the Phoenix VA with a massive lump on his chest. Despite tests being ordered, he was forced to wait nine weeks before he was given a biopsy and diagnosed with widely metastatic lung cancer. He later died.

Another patient visited the VA emergency room several times for different complaints, and each time his chart noted very high blood pressure and recommended immediate follow-up care. The man, who was in his late 70s, never received an appointment and died within weeks of complications from his condition.

"While the case reviews in this report document poor quality of care, we are unable to conclusively assert that the absence of the quality of timely quality care caused the death of these victims," the executive summary of the report states.

VA response

Earlier Tuesday, the VA leaked Secretary Robert McDonald's response to the report, highlighting the fact that there were no deaths directly linked to delays in care, but that statement lacked the context of the report's negative findings.

Tuesday's report includes 24 recommendations, including determining an appropriate response to veterans who've been injured and a complete overhaul of the way appointments are scheduled and tracked.

McDonald spoke at the American Legion's National Convention in North Carolina later in the day, agreeing to all 24 recommendations.

He added that employees within the VA have been disciplined.

"Two members of the senior executive service have resigned or retired. Three members of the senior executive service have been placed on administrative leave, pending the results of investigations. Over two dozen health care professionals have been removed from their positions, and four more GS-15s or below have been placed on administrative leave," McDonald said, adding that the Office of Special Counsel is investigating 100 whistleblower allegations or retaliation complaints.

McDonald took over the Department of Veterans Affairs after former VA Secretary Eric Shinseki resigned in May, following the release of the inspector general's interim report.

CNN's in-depth reporting

CNN has long reported about delays in getting care and scheduling problems at VA facilities nationwide. In November, a CNN investigation showed that veterans were dying because of long wait times and delays. In January, CNN reported that at least 19 veterans had died because of delays in simple medical screenings like endoscopies and colonoscopies, according to an internal document from the VA obtained exclusively by CNN.

In April, retired VA physician Dr. Sam Foote told CNN that the Phoenix Veterans Affairs Health Care system kept a secret list of patient appointments that was intended to hide the fact that patients were waiting months to be treated. At least 40 patients died while waiting for appointments, according to Foote, though it is not clear whether they were all on secret lists.

The Inspector General's report says "we were able to identify 40 patients who died while on the EWL (Electronic Waiting List)" from April 2013 to April 2014.

It also confirmed that clerks were cooking the books to make the delays in wait times appear shorter. It said 69 members of staff admitted to hiding true wait times, "fixing" wait times and printing out requests for appointments and hiding them in desks instead of adding them to official wait lists.

Read more about what Foote said

In June, a VA scheduling clerk in Phoenix, Pauline DeWenter, told CNN that records of deceased veterans were changed or physically altered to hide how many people died while waiting for care at the Phoenix VA hospital.

Concerns about other facilities began emerging. Employees at VA centers in Wyoming, Texas and North Carolina alleged that there was a concerted effort to hide long wait times.

In May, the inspector general said it was going to investigate 26 VA facilities.

A June 9 internal audit of hundreds of Veterans Affairs facilities revealed that 63,869 veterans enrolled in the VA health care system in the past 10 years had yet to be seen for an appointment.

President signals changes

President Barack Obama pledged Tuesday at the American Legion conference in North Carolina to "get to the bottom of these problems."

He called the issues "outrageous and inexcusable."

The President announced measures designed to improve care for veterans including expanded research into brain injuries, suicide prevention programs and services to ease the transition into mental health services after leaving active duty.

Obama signs $16 billion VA overhaul into law

Veterans neglected for years, U.S. Office of Special Counsel report says

Learn more facts about the Department of Veterans Affairs

@highlight

VA inspector general: 28 veterans harmed by delays in getting care; six died

@highlight

Inspector general says it cannot conclusively link delays in treatment to the deaths

@highlight

Majority of patients reviewed were on wait lists and experienced delays

@highlight

Report also confirmed that some staff members admitted to hiding true wait times