(CNN) -- The makers of BlackBerry devices, Research in Motion, are gearing up for a fight they can't afford to lose.

On Wednesday at a press event in New York, the company will finally unveil its new smartphone operating system, BlackBerry 10, and a pair of new handsets -- one with a physical keyboard and another that's all touchscreen.

But are there enough BlackBerry fans left out there to embrace a new kind of smartphone from a company that has fallen woefully behind the competition, both in sales and innovation? Many BlackBerry users in the United States are stuck with the device because it is issued by their employer, which has led to a cumbersome trend of people carrying two devices: a work phone and a personal one.

To succeed, RIM must persuade diehard BlackBerry fans to upgrade to something radically new. BlackBerry also must woo corporations by emphasizing security and support features while distinguishing itself from the leading smartphone platforms, iOS and Android, and the other new kid, Windows Phone 8.

"They need to get everything absolutely right, from the design of the hardware to the UI (user interface) of the hardware to the number of applications to the price of the applications," said Carolina Milanesi, an analyst at Gartner.

Unlike Microsoft, which cut its teeth on Windows Phone 7 and sunk huge amounts of money into polishing and marketing Windows Phone 8, the troubled RIM needs its new platform to be a success the first time out.

It has been a rough couple of years for the Canadian company. Unable to keep pace with the rich app store selections and slick design of iOS and Android devices, RIM has hemorrhaged users in the United States. The company's public image has suffered, as chunky BlackBerry phones became a popular target for mocking by the press and iPhone owners in coffee shops, bars and meeting rooms. A widespread network outage in 2011 didn't help.

The financial impact was brutal. Over the course of a year, RIM's sales volume dropped 51%, according to the company's third quarter 2012 earnings, and in July, RIM announced plans to cut 5,000 jobs.

Part of this plunge could be spun as customers waiting for the next generation of BlackBerry devices. The BlackBerry 10 platform was announced in May, along with plans to roll out products by the end of 2012. But the date was pushed back, and the company missed out on the lucrative holiday season and corporations' IT planning for 2013.

"The delay has not helped them. Corporations that have decided to move away from RIM already made that call for 2013." said Milanesi, who believes corporations will be the key to RIM's survival.

Real vs. virtual keyboards

It's a different world now than when the first waffle-shaped BlackBerry caught on in the early to mid-2000s.

At the top of its game, the BlackBerry had cachet. Its users were workaholics, such as high-powered executives and members of Congress, and they were adept at composing full-length missives on the small keyboard with one hand while walking and talking.

But in recent years a new trend has swept many of the large corporations that issued BlackBerrys. Now many employees bring in their desired devices, usually iPhones or high-end Android phones, from home and use them for work instead of taking what's doled out by the IT department.

RIM recognizes that its core customers are highly regulated industries such as government and finance, which have struggled with mobile security issues. On Wednesday, the company released BlackBerry Enterprise Service 10, a device-management system for corporations and government agencies that can support company-issued devices as well as employees' personal smartphones.

RIM also is promoting another feature, BlackBerry Balance, which sets up separate profiles for work and personal apps and data on a single device.

The brand's traditional focus on IT-friendly support, security and e-mail productivity will likely still appeal to companies. But RIM also needs to liven up its line of phones with great apps and smart-looking hardware.

RIM still has loyal fans outside IT departments, like speed typists hooked on the phones' physical keyboard. The BlackBerry was one of the first devices to combine e-mail and a mobile phone in a way that made it possible to do real work. For many BlackBerry users, that level of productivity was never quite matched by the next generation of touchscreen smartphones, kicked off by the iPhone in 2007.

When the first iPhone debuted, a common criticism was that it couldn't be taken seriously as a work device because it didn't have a "real" keyboard. There was a sharp learning curve, and typing required getting used to the autocorrect features that were supposed to compensate for stray fingertips.

Eventually the the new school of touchscreen smartphones won out, thanks to powerful features the BlackBerry couldn't touch, such as stocked app stores, stunning games and full Internet browsers.

The features that appeal to the remaining BlackBerry fans are the ones that make the devices good for communicating quickly, like pounding out e-mails on the full QWERTY keyboard or using the BlackBerry Messenger service.

"RIM has always built a device you use 300 times a day for 10-20 seconds at a time. Their goal is to add seconds back into your day," said Kevin Michaluk, editor of CrackBerry.com, a site for BlackBerry fans.

But a new phone that lacks the signature keyboard could be a hard sell for BlackBerry fans who have managed to resist the siren song of touchscreen devices.

"The difficulty is that the people who are left over are the people who are happy with what they have today," said Milanesi.

What's coming at Wednesday's launch

RIM is expected to cover its bases by introducing two devices -- one joining the mainstream with an all-touchscreen display and another keeping the keyboard. The release dates for the new products haven't been announced, but Michaluk thinks RIM could make a touchscreen phone available first in an attempt to convert the curious keyboard faithful.

The BlackBerry 10 operating system will still emphasize work productivity with a BlackBerry Hub feature that collects e-mail and other messages in one spot. A voice assistant will do its best Siri impersonation, and mobile payments will get a boost with built-in NFC.

App selection is another key area that BlackBerry must address. BlackBerry App World, its online store, has about 100,000 apps, compared to more than 700,000 each for Android and Apple. Historically, the company has been known as an inhospitable place for small outside developers. But as part of its internal shakeup, RIM has drastically revamped its developer relations program.

Led by Alec Saunders, the group has been actively courting developers ahead of next week's launch with tools that make it easy to port over Android apps and programs like Built for BlackBerry, which offer incentives for apps made for the BlackBerry 10 platform. RIM is extending the deadline for the Built for BlackBerry program after it says it received 19,000 submissions.

Saunders has stated the company wants to have more apps at kickoff than the other smartphone platforms originally launched with. However, many big developers will likely wait to see the initial reaction to BlackBerry 10 before sinking money into creating apps for the new system.

Developers might be more optimistic about RIM's international potential. In Europe, where the BlackBerry brand has faired slightly better over time than in the United States, carriers still offer extremely competitively priced data plans for the devices, giving the phones an edge with companies that have international business travelers, according to Milanesi.

According to IDC, BlackBerry 10 is set to battle it out with Windows Phone 8 for the No. 3 smartphone operating system worldwide in 2013, behind Android and Apple's iOS. While its grip has slipped in North America, BlackBerry has maintained a strong presence in such far-flung places as Indonesia, Nigeria, South Africa, Mexico and some South American countries.

Michaluk thinks that RIM's decision to delay its big BlackBerry 10 launch until after Windows Phone 8 debuted could yield unexpected advantages.

"Being the newest platform on the block, they can look at what everybody's doing, what's good and bad," said Michaluk.

RIM will have to convince existing users that BlackBerry 10 and its new phones are worth sticking around for, but those last vestiges of BlackBerry's fan base probably won't be enough to keep the company afloat. The company also must lure back past BlackBerry users who have moved on to newer platforms, and present itself as a reinvigorated alternative to iOS, Android and Windows Phone 8.

Even then, there's no guarantee it will work.

Said Milanesi, "They can still do everything right and not succeed because of how competitive the environment is out there."

@highlight

New BlackBerry 10 operating system being unveiled at RIM event Wednesday

@highlight

The company must appease its corporate base while winning over Android and iOS users

@highlight

This could be the company's last opportunity to cling to its No. 3 spot in the smartphone market