(CNN) -- Where would Tiger Woods be without his agent? The golfer's crown as one of the world's wealthiest and most successful sportsmen may have slipped somewhat, but he knows who helped get him there in the first place.

When Mark Steinberg departed from IMG last month after his contract expired, Woods decided to stick with the man he has worked with since 1998 rather than stay with the company that has done more than most to boost golfers' incomes.

The move underlined the importance that such "super agents" have in the modern game of golf. The focus of the game may always be the battle fought on fairways and greens, but the side of the sport that is away from public gaze is of increasing importance.

Whether it's navigating the pitfalls of fame, cutting lucrative behind-the-scenes deals with sponsors, managing media appearances or just providing support to an athlete on a long, grueling Tour -- agents are crucial to the life of a top golfer.

If you watch this week's U.S. Open, you will no doubt notice Andrew "Chubby" Chandler. With his mahogany tan, broad grin and even broader waistline, the 58-year-old cuts quite a dash on the golf course.

Tiger leaves IMG, stays loyal to agent

At Augusta in April, it was Chandler who bear-hugged Charl Schwartzel as the South African celebrated Masters victory. And Chandler who defended Rory McIlroy after the young Northern Irishman's challenge imploded on that final day.

Chandler's company, International Sports Management (ISM), represents two of golf's four reigning major champions, and has four players inside the world's top 20. Not much happens in the sport without him knowing about it first.

"There's no question Chubby's a massive influence in golf right now," Golf World magazine editor Chris Jones said.

"He could bring down a tournament if his biggest players decided not to play in it. Potentially, that's a dangerous amount of power to hold."

The rise of ISM has coincided with a global power shift in golf. Five years ago, three of the four major champions were American, and all three were members of the PGA Tour.

Today the U.S. is empty-handed. The four majors are held by two South Africans, in Schwartzel and British Open winner Louis Oosthuizen, a German in Martin Kaymer (U.S. PGA Championship), and an Irishman in Graeme McDowell (U.S. Open).

The PGA Tour still have three major holders as members -- in McDowell, Schwartzel and Oosthuizen -- but with Kaymer, along with Chandler stars McIlroy and England's World No. 1 Lee Westwood, opting to concentrate on the European Tour instead, the PGA Tour lost out on the memberships of two the top three players in the rankings, and three of the top 10.

New breed of super agents

The power base has shifted across the Atlantic. And from a management perspective, the traditionally all-powerful IMG agency has been forced to concede some influence.

McDowell is managed by Connor Ridge of Horizon Management in Ireland, while Kaymer is with Johan Elliot of Swedish-based Sportyard AB.

IMG, meanwhile, is without a major winner but it does represent England's Luke Donald -- the latest world No. 1 in succession to Westwood and Kaymer following the fall of Woods.

No wonder Chandler was smiling when we met at London's exclusive Jumeirah Hotel -- dressed in a slick gray suit and open shirt after yet another day of wall-to-wall meetings.

"You think we're powerful, do you ... I was hoping nobody noticed that," Chandler said.

"We've certainly got influence, but I don't think we use it unfairly. I don't think it's an unhealthy situation."

Snubbing the "fifth major"

Not everybody would agree. When McIlroy and Westwood announced they would skip the PGA Tour's flagship event, The Players Championship in Florida, Chandler and his players were widely criticized.

"Moving it to the middle of May has made it about the 10th most important tournament in the world," Chandler said.

"It isn't a priority for them as they would rather win a major or a World Golf Championship event."

If this was Chandler against the PGA Tour, then he wasn't pulling his punches. He wanted the best for his players, and the best meant pulling two of his biggest draws from one of the highest-profile tournaments in the world. Even if it wasn't intentional, it was a quite a power play.

Chubby the fixer

Chandler's evolution to a super agent began in his 15 years as a journeyman professional golfer, where he earned a reputation as a man who sourced cheap flights and did things on a budget.

It turned out he was a far better fixer than he was a golfer, and when he retired in 1989, aged just 36, he set up a management agency to make the most of his talents.

"My big break was when I got a call from Darren Clarke to meet him over in Ireland in 1990," Chandler said.

"We shook hands on a deal and when I saw him play for the first time I thought, 'Wow, this guy can really play, we've got a proper business now.' "

Word spread quickly, and a week later Chandler got a phone call from Westwood's father, who wanted to show him a video of his son's swing. A cup of tea later, Westwood joined ISM, and the foundations were in place for his empire.

Chubby's empire

Two decades on and ISM now looks after the interests of 48 golfers, 20 cricketers, 41 footballers and a Paralympic gold medallist.

It employs around 30 people and has offices in the UK, India, South Africa and Florida -- plus a new base recently acquired in Manhattan, New York.

Chandler's profile has reached such a level that he regularly gets autograph requests at tournaments -- much to the amusement of the likes of Westwood and Clarke.

And much as ISM is a lot more than the one-man show it began life as in 1989, it's hard to imagine its existence without the showman and ringleader who heads up the operation.

"I am what I am. I'm straight shooter and I'm blessed with a fair amount of common sense -- which stands me in good stead," Chandler said.

And there speaks arguably the biggest player in golf today.

@highlight

Andrew "Chubby" Chandler is a former professional golfer who set up agency ISM

@highlight

The 58-year-old manages the likes of Ernie Els, Rory McIlroy and Lee Westwood

@highlight

ISM represents major champions Louis Oosthuizen and Charl Schwartzel

@highlight

Chandler's growing influence has sparked concerns that he is too powerful in golf