Urfa, Turkey (CNN) -- The petite 25-year-old tentatively opens the door to the hotel room where we've agreed to meet. Her face is covered, but her body language betrays her anxiety.

She slowly lifts her niqab, revealing her young, heart-shaped face. Her large brown eyes, filled with guilt and turmoil, are delicately made up under perfectly sculpted brows.

She calls herself 'Khadija.' It's not her real name, because she's a marked woman. Once a member of a fearsome, female ISIS brigade, she's a recent defector, disillusioned by the group's brutality.

Her interview with CNN is the first time she has ever told anyone her story.

'I ran away to something uglier'

Growing up in Syria, Khadija's family ensured she got an education. She earned her college degree and began teaching elementary school. Khadija describes her family and upbringing as "not overly conservative."

When the Syrian uprising began more than three and a half years ago, Khadija joined the masses who began peaceful protests against the government of President Bashar al-Assad.

"We'd go out and demonstrate. The security services would chase us. We'd write on walls, have different outfits to change into," she said. "Those days were great."

But it was when the Syrian uprising spiraled into chaos and violence that she said she began to lose her soul, her humanity.

"Everything around us was chaos," she said, her words tumbling out. "Free Syrian Army, the regime, barrel bombs, strikes, the wounded, clinics, blood -- you want to tear yourself away, to find something to run to.

"My problem was I ran away to something uglier."

Gradual induction

She found herself drawn to the eloquence of a Tunisian whom she met online. Taken with his manners, she grew to trust him over time and he gradually lured her into the Islamic State, she said. He assured her that the group was not what people thought, that it was not a terrorist organization.

"He would say, 'We are going to properly implement Islam. Right now we are in a state of war, a phase where we need to control the country, so we have to be harsh.'"

He told her he was coming to the Syrian city of Raqqa, that they could even get married.

"I got in touch with my cousin, and she said, 'You can come join us in the Khansa'a Brigade. She was living in Raqqa with her husband who was with the Islamic State," Khadija said. The brigade is the feared, all-female police for ISIS.

Khadija convinced her family to move to Raqqa, saying it would be easier to register her younger siblings in school, and that they would have the support of relatives.

With her cousin to open the doors, Khadija was welcomed into the feared Khansa'a brigade.

Inside the female ISIS brigade

The Khansa'a Brigade is made up of around 25 to 30 women and is tasked with patrolling the streets of Raqqa to ensure that women adhere to proper clothing as outlined by the Islamic State.

Beaded or slightly form-fitting abayas are banned. Women are not allowed to show their eyes.

Those who broke the laws are lashed.

The lashings to the women who broke ISIS rules were carried out by Umm Hamza.

When Khadija first saw Umm Hamza, she was terrified.

"She's not a normal female. She's huge, she has an AK, a pistol, a whip, a dagger and she wears the niqab," Khadija said.

Brigade commander Umm Rayan sensed Khadija's fear "and she got close to me and said a sentence I won't forget. She said, 'We are harsh with the infidels, but merciful among ourselves.'"

Khadija was trained to clean, dismantle, and fire a weapon. She was paid $200 a month and received food rations.

Her family sensed Khadija was slipping away, but were helpless to stop it. Her mother tried to warn her.

"She would always say to me, 'Wake up, take care of yourself. You are walking, but you don't know where you are going.'"

UAE's first female fighter pilot led airstrike against ISIS

Second thoughts

Initally, Khadija did not pay attention to her mother's warnings, seduced by the sense of power. But eventually, she started questioning herself and the principles of the Islamic State.

"At the start, I was happy with my job. I felt that I had authority in the streets. But then I started to get scared, scared of my situation. I even started to be afraid of myself."

She started thinking: "I am not like this. I have a degree in education. I shouldn't be like this. What happened to me? What happened in my mind that brought me here?"

And her image of ISIS began to crumble.

Burned into her mind is an image she saw online of a 16-year-old boy who was crucified for rape. She questioned her inclusion in a group capable of such violence.

"The worst thing I saw was a man getting his head hacked off in front of me," she said.

Violence against women

Even more personally, she witnessed ISIS' brand of violence reserved for women. The brigade shared its building with a man who specialized in marriage for ISIS fighters.

"He was one of the worst people," she said of the man tasked with finding wives for both local and foreign fighters.

"The foreign fighters are very brutal with women, even the ones they marry," she said. "There were cases where the wife had to be taken to the emergency ward because of the violence, the sexual violence."

Khadija saw a future she did not want.

With her commander pressuring her to submit to marriage, Khadija decided she needed to leave the brigade.

"So it was at this point, I said enough. After all that I had already seen and all the times I stayed silent, telling myself, 'We're at war, then it will all be rectified.'

"But after this, I decided no, I have to leave."

Khadija left just days before the coalition airstrikes, but her family remains in Syria.

She was smuggled across the border to Turkey.

Inside the online world of the women of ISIS

Life after ISIS

Khadija still wears the niqab, not just to conceal her identity but also because she's struggling to adapt back to life outside the Islamic State.

Regretful of her immersion in radical Islam, she is wary of another sudden change.

"It has to be gradual, so that I don't become someone else. I am afraid of becoming someone else. Someone who swings, as a reaction in the other direction, after I was so entrenched in religion, that I reject religion completely," she said.

Towards the end of our interview, speaking about how ISIS could have gotten a foothold in parts of Syrian society, she has a personal moment.

"How did we allow them to come in? How did we allow them to rule us? There is a weakness in us."

Khadija spoke to us because she said she wants people, especially women, to know the truth about ISIS.

"I don't want anyone else to be duped by them. Too many girls think they are the right Islam," she said.

She desperately wants to be the girl she was before falling under the spell of ISIS -- "a girl who is merry, who loves life and laughter... who loves to travel, to draw, to walk in the street with her headphones listening to music without caring what anyone thinks," she said.

"I want to be like that again."

@highlight

25-year-old joined ISIS after chaos following protests against Syrian president

@highlight

Lured by man she met online, she became interested in ISIS

@highlight

She joined female police brigade that enforces ISIS rules on women

@highlight

She witnessed beheading and violence against women