Washington (CNN) -- The U.S. Supreme Court on Monday searched desperately for ways it could avoid a sweeping ruling in what one justice called a "tinderbox" legal fight over perhaps the most vexing diplomatic issue -- unrest in the Middle East.

Menachem Zivotofsky, 12, and his family want the American citizen's passport to say he was born in Jerusalem, Israel. But the U.S. State Department, ignoring a congressional law, will not allow the boy to list his country of birth on the document, only Jerusalem.

The Obama administration maintains a strict neutrality policy over the holy city's sovereignty. Both Israelis and Palestinians claim Jerusalem as their capital, but the international community does not recognize either position.

The Zivotofskys framed the case as a "small gesture" for a boy, which does not implicate the U.S. government's ongoing efforts to secure a binding, lasting peace settlement for the troubled region.

Supreme Court to decide if boy can list Israel as passport birthplace

At issue is a classic tug of war between the executive and legislative branches of government -- specifically whether a federal law that explicitly directs the State Department how to record the birthplace of an American citizen on a passport impermissibly infringes on the president's power to recognize a foreign sovereign.

More than 50,000 Americans were born in Jerusalem since the law was passed in 2002.

In a brisk hour of oral arguments, the nine justices seemed especially torn about how to decide the case, many looking for a way perhaps to rule narrowly. Many on the bench were at odds over whether this mix of politics, diplomacy and religion will result in de facto recognition of Israel's unilateral sovereignty over Jerusalem.

"You say that this isn't recognition," Justice Anthony Kennedy told the Zivotofskys' attorney. "So the ultimate conflict is not before us and therefore, the government's policy, which says that this is recognition, should be given deference and it trumps."

Justice Antonin Scalia said, "Congress is entitled to do what it is authorized to do under the Constitution, even when that contradicts" with the views of the executive branch, And as far as the passport issue, "the fact that the State Department doesn't like the fact that it makes the Palestinians angry is irrelevant."

Case heard during growing unrest in Jerusalem

The debate comes during a week of unrest in Jerusalem, with daily protests near sacred sites and fears of a third intifada, or Palestinian uprising.

Temple Mount crisis fuels unrest in volatile Jerusalem

The case could have broader implications over U.S. foreign policy. The justices raised ongoing debates over those born in British-controlled Northern Ireland; whether Taiwan should be recognized as independent of China; and the armed conflict between Russia and Ukraine over disputed territory, including Crimea.

Jerusalem's Old City is the heart of the region, a holy symbol to the three major Abrahamic religions -- Christianity, Islam and Judaism. That tiny area -- just a third of one square mile -- contains the Temple Mount, Western Wall, Church of the Holy Sepulcher, Dome of the Rock and Al-Aqsa Mosque.

It has been destroyed twice -- and attacked, besieged and captured more than 100 times. Canaanites, Hebrews, Arabs, Greeks, Romans, Persians, Crusaders, Turks and the British have all laid claim to the land.

Its status today remains one the thorniest issues blocking a comprehensive Mideast peace agreement, with both Israel and the Palestinian people claiming sovereignty. During the 1948 war, the western part of the city was annexed by the newly formed nation of Israel, and the eastern part annexed by Jordan.

Israel then captured the eastern part during the 1967 Six-Day War. It considers East Jerusalem part of its "undivided capital," but most of the international community deems the annexations illegal and a part of Palestinian land. The Israeli government is based there, but no foreign embassies are.

The city is home to Ari and Naomi Zivotofsky. The couple and their two oldest sons were born in the United States, but the family migrated to Israel a decade ago, and in October 2002 the youngest, Menachem Binyamin, was born.

"We're very proud of the fact that he was born in Israel and that we live in Israel and it's the modern state of Israel," Ari Zivotofsky told CNN. "Religiously and historically, that's very significant."

The father said his son -- who has been at the center of this legal fight for 11 of his 12 years -- frequently reminds his siblings he is the one Zivotofsky born in their current home. The boy is preparing for his bar mitzvah.

Bush's 'signing statement'

Three weeks before Menachem was born, Congress gave American citizens born in Jerusalem the individual discretion to ask that Israel be listed on passports and consular reports, where it says "Place of Birth."

President George W. Bush signed the bill but issued an executive "signing statement" indicating he would not comply. The law, he said, "impermissibly interferes with the president's constitutional authority to conduct the nation's foreign affairs and to supervise the unitary executive branch."

The State Department's official Foreign Affairs Manual still reads: "For a person born in Jerusalem, write Jerusalem as the place of birth in the passport. Do not write Israel, Jordan or West Bank for a person born within the current municipal borders of Jerusalem."

It is not the first time Congress and the White House have clashed over the region. The American Embassy remains in Tel Aviv over U.S. lawmakers' objections.

Competition to speak among justices

During Monday's oral arguments in the case, Zivotofsky v. Kerry, there was much competition on the bench to speak. Chief Justice John Roberts at one point had to referee and allow Kennedy, with his seniority, to go first.

"You want us to say in our opinion that this is not a political declaration?" Kennedy asked attorney Alyza Lewin of the 12-year-old congressional law. When told that was true, "Well, then, I'm not sure why that Congress passed it then."

Kennedy offered a compromise, suggesting what a select number of U.S. passports might say: "The place of birth on this Jerusalem-born citizen's passport has been listed as Israel at the holder's request. This designation is neither an acknowledgment nor a declaration by the Department of State or the President of the United States that Jerusalem is within the borders of the State of Israel."

But Justice Elena Kagan -- who along with Justices Stephen Breyer and Sonia Sotomayor seemed most supportive of the administration's assertions -- wondered "(i)f Congress then passed a law saying that (hypothetical) statement had to come off the passport, could Congress do that?"

"Why is it that it's OK for Congress to say something that hasn't happened, meaning to say that someone born in Jerusalem is actually born in Israel?" Sotomayor added. "I mean, they can self-identify all they want, but can they do that?"

Representing the government, Solicitor General Donald Verrilli framed the issue in larger terms, saying the congressional law in effect would "force the executive branch to issue official diplomatic communications that contradict the position of the United States."

Justice Samuel Alito asked, "But is that really true? Could Congress pass a law saying that every passport issued to an American citizen must list the place of birth, including country, and that for this purpose, the country is the nation that issued the birth certificate to that individual? Could Congress do that?"

Zivotofsky's attorney, Lewin, concluded by saying granting the boy's request would be a "nonissue" and have no long-term effect since the Jerusalem passports -- by simply listing "Israel" would be indistinguishable from those who were born elsewhere in Israel.

"This seems a particularly unfortunate week to be making this kind of, 'Oh, it's no big deal' argument," said Kagan, referring the recent violent protests in Jerusalem.

"History suggests that everything is a big deal with respect to the status of Jerusalem. And right now Jerusalem is a tinderbox because of issues about the status of and access to a particularly holy site there. And so sort of everything matters, doesn't it?"

A ruling in the case is due by the spring.

@highlight

A boy, 12, and his family want his passport to say he was born in Israel

@highlight

Ignoring law passed in 2002, U.S. State Department policy is to list only Jerusalem, not Israel

@highlight

At issue is a classic tug of war between the executive and legislative branches

@highlight

Justices weigh arguments in case that could have impact on U.S. policy in Mideast