WASHINGTON (CNN) -- The Supreme Court dealt federal prosecutors dual setbacks Monday in efforts to prosecute the laundering of drug ring and organized crime profits.

The Supreme Court considered a pair of cases involving hidden money and an illegal gambling ring.

The justices ruled that merely hiding money headed out of the United States is not proof of money laundering.

Justices also concluded that prosecutors had to prove that an illegal gambling ring had laundered profits of its betting, rather than just proceeds.

In a unanimous ruling, the justices overturned the federal conviction of Humberto Regaldo Cuellar, who had run afoul of the "transportation" part of the international money-laundering law when his car was stopped by a deputy sheriff near Eldorado, Texas.

Inside the car, officers found nearly $81,000 in cash wrapped in duct-taped bundles and hidden in a secret compartment covered with animal hair, presumably to trick drug-sniffing dogs. Police suspected the money came from drug trafficking and arrested Cuellar, who had been heading for Mexico when he was stopped. Cuellar was convicted and sentenced to 78 months in prison.

Federal law requires proof the transportation was "designed to conceal or disguise the nature, location, the source, the ownership, or the control" of the money. Writing for the high court, Justice Clarence Thomas said prosecutors failed to prove the reason for moving the money across the border was to hide its source, as part of an alleged international drug ring.

"Although the evidence suggested Cuellar's  transportation would have the effect of concealing funds, the evidence did not demonstrate that such concealment was the purpose of the transportation " Thomas wrote.

Congress passed a law in 1986 designed to prevent the laundering, or "washing," of criminal funds through legitimate enterprises and overseas bank accounts.

In the other case, the high court split 5-4 in concluding that prosecutors failed to show money used to pay couriers in alleged gambling operation were "profits," rather than "gross proceeds."

The case involved Efrain Santos and Benedicto Diaz, convicted of running an illegal lottery in Indiana since the 1970s. Santos allegedly used a network of "runners" and "collectors" to run the enterprise, and Diaz was a collector who gathered money from the runners and delivered it to Santos.

"The money laundering charges brought against Santos were based on his payments to the lottery winners and his employees, and the money laundering charge brought against Diaz was based on his receipt of payments as an employer," Justice Antonin Scalia wrote in a very narrow opinion.

"Neither type of transaction can fairly be characterized as involving the lottery's profits," Scalia added. "Indeed, the government did not try to prove, and the defendants have not admitted, that they laundered criminal profits."

Scalia noted the high court's ruling would not overly burden prosecutors, saying only one instance of "profitability" would be required to prove money laundering. "What counts is whether the receipts from the charged unlawful act exceeded the costs fairly attributable to it," he said, adding the government "exaggerates" the difficulty it would have to do that.

Although Scalia wrote the main ruling, it was Justice John Paul Stevens who provided the critical fifth vote for a majority, and his concurring views will probably provide the controlling opinion to guide lower courts in similar cases down the road.

Stevens did not go as far as Scalia wanted, saying Congress failed by writing an "ambiguous" law that only confused judges. He said lawmakers seemed to want a broader interpretation of "proceeds" as the term applied to money laundering.

Justices Samuel Alito, Anthony Kennedy, Stephen Breyer, and Chief Justice John Roberts dissented.

@highlight

In one case, court rules that hiding money not same as money laundering

@highlight

In another, justices say prosecutors have to prove gambling ring laundered "profits"

@highlight

Cases involved cash hidden in car, illegal Indiana lottery