Near Simferopol, Ukraine (CNN) -- In the wake of Russia's invasion of Crimea, the mood here Tuesday was tense, but the streets appeared eerily calm.

Ukraine's Crimea region has become the flashpoint in a geopolitical crisis that has embroiled London, Washington, the United Nations and NATO.

In the days since they crossed the border into this strategically important peninsula on the Black Sea, Russian forces have surrounded 10 Ukrainian military bases -- 16,000 troops in the past week, according to Ukrainian officials.

There has been no fighting -- or loss of life -- but there were ample signs of preparation.

The situation in Simferopol, Crimea's regional capital, is almost surreal. Rumor, confusion and outlandish claims mix freely -- and reality is difficult to pin down. On the surface, the capital seems undisturbed. Shops are open, people sit in cafes, the buses and trams are running normally.

And then there are pockets -- especially around the parliament and other Crimean government buildings -- where the discord hangs in the air.

These places have moved firmly into the pro-Russian camp, where the Russian and Crimean flags are flying and the yellow-and-blue flag of Ukraine is not. Knots of men, most of them burly, middle-aged and chain-smoking, gather outside the buildings recently taken over by pro-Russian parties. They say they are defending the rights of Russians in a country led by people they see as ultranationalist Ukrainians. They say they relish the prospect of a referendum this month that could see Crimea "decoupled" from Ukraine.

On the streets appears a truckload of men in uniform, not Ukrainian, for sure, but not identifiably Russian. They are close to Ukrainian military compounds, where troops remain inside, largely out of sight.

Similar standoffs are playing out around barracks and bases in far-flung corners of Crimea. Here, there has been no violence. Instead, the hint of camaraderie among fellow soldiers can be discerned.

People anxiously await what comes next

But among Ukrainians and Tatars, a predominantly Muslim group, living here, there is a sense of foreboding, one that most of them are reluctant to express. There are no pro-Kiev demonstrations, perhaps for fear of the consequences. And so people go on living their lives as best they can, waiting anxiously for what comes next.

On Tuesday, about 12 miles (20 kilometers) southeast of Simferopol, about 100 Russian soldiers at a Ukrainian military base were digging in against a backdrop of rolling hills. They parked their troop-moving vehicles, excavated a series of mini trenches in the dirt and erected mess tents.

Apparently oblivious to the international tensions over Russia's moves, they were carrying on civil conversations with Ukrainian soldiers and moving about freely.

It all appeared fairly friendly. The Russian soldiers treated their presence as nothing special, even as it made nearby residents uncomfortable.

A supporter of the Ukrainian forces had driven all the way from Yalta to offer food.

"I'm Russian and I want to say I don't need any protection from any brother nation or anyone else on my land. We will solve our problems through talks not fights," the man told CNN.

Blocking food deliveries at the gate was a pro-Russian "self-defense" group, which hopes a referendum will split Crimea from Ukraine.

"It will mean either we have full autonomy or we disconnect from Ukraine and join fully with Russia. That can only be positive," said Sergei Golovko, a member of the group.

Much of the tension here stems from generations of heritage and tradition. Ethnic Russians have lived in Crimea for centuries, and many of the current generation look upon Moscow's forces as friendly protectors.

That view may not be shared by many of those Crimean residents with Ukrainian roots.

This unease manifests itself in small ways. On one side, wives of Ukrainian soldiers complained it would be difficult for their husbands to swear allegiance to pro-Russian leadership when they had already done so to Kiev. On the other, residents sometimes approached Russian soldiers and shook their hands -- slapping them on the back in signs of support.

The Russian soldiers seemed to be trying to keep it low-key. Their uniforms bore no Russian army insignia that might inflame anti-Russian Ukrainians.

Standoff near air base

But forces remained poised to react to the slightest provocation. As more than 100 unarmed Ukrainian soldiers tried Tuesday morning to return to Belbek Air Base, a Ukrainian military base north of Sevastopol, Russian forces fired warning shots over their heads.

Video shot by one of the Ukrainian soldiers showed the Ukrainians continuing to move forward. In the video, a Russian, holding his weapon, orders them to halt their advance: "I have orders; I will shoot you in the legs if you come any further."

The Ukrainian commander responded that they had no weapons and that the Russians were in control.

The two sides then negotiated, and 15 of the Ukrainian soldiers were granted passage onto the base.

The commander told CNN he had been ordered to surrender the base by noon, but the deadline passed without incident.

He said he had been told to sign a document swearing allegiance to the local government, but he was unwilling to do so and continued to take orders from Kiev.

On the road to the base, pro-Russian civilians blocked the entrance to journalists. On the other side of a barricade stood Ukrainian soldiers. Beyond them, at the main entrance to the base, were Russian soldiers, CNN was told.

The commander said he had tried to speak through an intermediary with the Russian forces to arrange a meeting to defuse the situation but had not succeeded.

The base's structure complicated the situation -- it is home not only to Ukrainian service members but also to their families.

And even the source of much of the tension was uncertain. One Ukrainian military commander said he had received anonymous phone calls threatening him and his family if he did not surrender to Russian forces.

Russian President Vladimir Putin has yet to acknowledge the forces here are even Russian, but a commander of troops -- who are wearing Russian uniforms without identifying insignia and driving vehicles bearing Russian plates -- was frank. He told CNN he came from a Russian city near Crimea and had been dispatched by his commanding officer from Sevastopol to a ferry port on the eastern side of the Crimean peninsula.

A different feel in Kiev

The mood was different hundreds of miles away in Ukraine's capital of Kiev, which is more European in its location and self-image. Protesters waved posters depicting caricatures of Putin and declared their willingness to fight against Russian forces, if necessary.

The newly installed, pro-European interim central government is shaky, at best. Ousted President Viktor Yanukovych fled more than a week ago in the wake of protests in Kiev's Independence Square, where snipers from nearby rooftops killed scores of demonstrators.

U.S. Secretary of State John Kerry arrived Tuesday in Kiev and surveyed a makeshift memorial to the dead before meeting with the Ukrainian interim administration about the Russian incursion and a promised $1 billion in U.S. loan guarantees to help the country rebuild its shattered economy.

Flowers and flags marked the spot of the killings. One person left a poem that read, "Mother, I'm sorry I had to go. I was shot by the police because I couldn't turn back."

An acting president and an acting prime minister have taken the reins of power.

A crisis in Crimea is the last thing the new government needs or residents want.

"The amount of propaganda Russia has poured onto Ukraine is hard to comprehend," said Maia Mikhaluk, a freelance photographer and Christian ministry worker in Ukraine. "Putting troops on Ukrainian land is going to bring the very opposite result from what Putin expected: I believe it's uniting Ukraine."

Russian state-run TV offered a different view, blaming the crisis on far-right radicals aided by the West.

Russian news reports note that Ukrainians had called for a ban on teaching the Russian language in schools. That proposed ban has been rescinded, but the reports created an emotional reaction among Russians.

CNN's Diana Magnay, Ben Wedeman and Tim Lister reported from Crimea, Elise Labott from Kiev, Phil Black from Moscow, and Thom Patterson and Tom Watkins wrote from Atlanta.

@highlight

NEW: A supporter of Ukrainian forces says talks, not fights, will solve problems

@highlight

Rumor, confusion and outlandish claims mix freely in Crimea's capital

@highlight

"Mother, I'm sorry I had to go," reads poem at memorial in Kiev's Independence Square

@highlight

Protesters in Kiev say they are outraged, willing to fight Russian troops