(CNN) -- The possibility of sinking is the last thing you want to think about when booking a carefree vacation at sea.

Yet colorful ads depicting people having the time of their lives on cruise ships are now competing with frightening footage of Costa Concordia passengers, some still elegantly dressed for dinner, on a desperate quest to escape the ship.

The vessel struck rocks off the western Italian coast Friday night and rolled onto its side, leaving at least 11 people dead.

"This isn't some tugboat off Italy. This is a very modern cruise ship, very similar to ships that are currently in the Caribbean," said Fran Golden, a cruise expert and contributor for Budget Travel.

"I don't think anybody could predict that a modern, beautiful cruise ship only six years old would hit a rock and sink," she told CNN's Early Start.

So it's no wonder some travelers may be questioning just how safe cruising is.

"It sure does frighten me, a longtime cruiser," wrote Carolyn Spencer Brown, editor-in-chief of CruiseCritic.com, about how quickly things went wrong on the Concordia. "This was a systemic failure that should rock the cruise line to its core."

But the cruise industry says there's very little to worry about, despite the incident.

About 16 million people took a vacation at sea last year, according to the Cruise Lines International Association, which represents 26 major cruise lines.

The group called Friday's incident a terrible tragedy, but asked travelers to keep it in perspective.

"Accidents such as this one are an extremely rare occurrence in the cruise industry, and cruising continues to be one of the safest means of travel among all types of vacationing," the association said on its website.

Modern cruise ships have sophisticated equipment designed to keep them on course, steer them away from bad weather and keep them steady in rough seas.

Still, accidents and unpredictable acts of nature do happen.

Overheard on CNN.com: Worst-case scenario

Some recent examples include the Louis Majesty, part of the Greece-based Louis Cruise Lines. In 2010, two passengers were killed and 14 were injured when 26-foot waves crashed into the ship off northeast Spain.

In 2007, the Sea Diamond, a Greek cruise ship that was carrying 1,156 passengers and 391 crew members, sank off the Aegean island of Santorini after slamming into a volcanic reef. Two passengers were reported missing after the incident and were never found.

To know how to survive an emergency, cruise passengers are required by law to attend a safety briefing within 24 hours of embarkation. Costa Cruises says most passengers on board the Costa Concordia took part in an evacuation drill.

During a typical muster drill, the ship sounds the signals that would call people to their lifeboat stations so they know what to do if there is something wrong.

But passenger Benji Smith said the safety briefing was more of a "sales pitch" for shore excursions. Others, who embarked at Civitavecchia, about an hour's train ride from Rome, had yet to have the briefing.

Nancy Lofaro, a passenger from New Rochelle, New York, said the drill was scheduled for Saturday, a day after the disaster.

Lofaro also said it appeared the crew didn't really know what to do during the emergency.

The confusion may have been caused in part by communication problems, Golden said. Unlike ships cruising in the Caribbean, Costa gets passengers from many countries and thus passengers speak different languages.

"I can only imagine the chaos of trying to communicate to passengers from, maybe, eight different languages how to get off the ship," Golden said.

What caused the cruise ship disaster?

The incident underscores the importance of safety drills and paying attention to them, she added.

"People go on a cruise, and they think they're in this protected wonderland, and the reality is you always need to have safety in the forefront of your thinking," Golden said.

"I've seen passengers go to the life boat drills and the crew do honest efforts to have you learn how to put on your life vest, and meanwhile, people are trying to get drinks and take photos."

Crew training in emergency response also is key.

A lot of the training is done by the cruise lines themselves based on international maritime standards, Golden said.

The Coast Guard inspects foreign-flagged cruise ships in U.S. waters twice a year, studying the competency of the crew during fire and abandon-ship drills, said Cmdr. Buddy Reams, chief of the U.S. Coast Guard's Cruise Ship National Center of Expertise.

Still, no matter how many safety and training protocols are in place, the image of a submerged Costa Concordia will stay burned in people's minds when they decide if they're going to take a cruise, said Jonathan Bricker, a psychologist at the University of Washington.

To prevent any decline in bookings, the cruise industry will have to communicate how safe cruising actually is, he added.

That said, "The vast majority of people who are planning to take a cruise are probably still going to take the cruise. And they're going to be fine," Bricker said.

CNN's Katia Hetter and Marnie Hunter contributed to this report.

@highlight

"It sure does frighten me, a longtime cruiser," editor-in-chief of CruiseCritic.com writes

@highlight

Accidents such as this one are an extremely rare occurrence, cruise industry group says

@highlight

Cruise expert: Chaos may have been caused in part by communication problems

@highlight

Psychologist: Industry will have to communicate how safe cruising actually is