(CNN) -- Supporters of the rulers of Bahrain threatened about 5,000 university students protesting against the government at Bahrain University Sunday, eyewitnesses said. The government denied that unjustified force was used.

Elsewhere in the strategically important kingdom, riot police fired tear gas at protesters to break up the blockade of a highway, the government said.

A video posted by an opposition party showed police appearing to fire two tear gas canisters at a man standing only a few feet from them. He doubles over after the first shot, and drops to the ground after the second, which appears to hit him in the face.

The man is not obviously threatening the police in the video, which was posted Sunday by Wefaq. The opposition party told CNN it was filmed Sunday near Pearl Roundabout, the center of month-old protests in the kingdom.

About 150 supporters of the royal family tried to get onto Bahrain University campus during the protest there, but only some managed to get in. An unknown number of people were injured, but it's not clear how many or how badly.

Security forces tried to prevent the regime supporters from entering the campus, and allowed people to leave the grounds but not to enter.

According to the state-run Bahrain News Agency, security forces intervened for the safety of students after clashes broke out.

"Some of the university's facilities have been vandalized by the demonstrators in breach of the allegedly claimed peaceful nature of the protests," the news agency reported.

The tense standoff was one of at least three protests Sunday against the rulers of the small Gulf kingdom triggered by popular demonstrations that brought down the long-time presidents of Tunisia and Egypt earlier this year.

The latest protests came a day after America's defense secretary said he's "convinced" that Bahrain's royal leaders are "serious about real reform and moving forward," but emphasized that they must move quickly.

Defense Secretary Robert Gates was visiting the restive island kingdom, where he huddled with King Hamad and Crown Prince Salman and talked about the importance of engaging with opposition forces.

"I think that the concern now is that it's important that they have somebody to talk to and that the opposition be willing to sit down with the government and carry this process forward," he said.

Sunday, the United States again called the government to pursue talks with the opposition and to refrain from using force.

"In particular, we urge our GCC (Gulf Cooperation Council) partners to show restraint and respect the rights of the people of Bahrain, and to act in a way that supports dialogue instead of undermining it," said White House Press Secretary Jay Carney.

The crown prince similarly renewed his call for dialogue Sunday, calling on the opposition to negotiate. He said talks could include discussion of parliament and corruption and that any decision reached could be put to a vote in a special referendum.

The crown prince also stressed, however, the significance of Bahrain's security.

"Bahrain's security and the safety of its people have never been, and will never be, negotiable," he said in a statement.

Also Sunday, some 250 young people organized a protest in front of Bahrain Financial Harbor in the capital Manama, witnesses said.

Text messages exchanged between them and others in the area warned of regime supporters approaching from Muharak, another island, but it's not clear whether the warnings were accurate.

Police and anti-riot squads stationed near the harbor  fired tear gas and rubber bullets at protesters, leaving 20 injured, according to Salmanya Hospital. Al Wasat cameraman Mohammed Al-Mukharaq was among the seriously injured, his editor said.

The government says protest camp tents were "removed," but did not say how.

Many protesters mobilized to block off King Faisal highway to prevent the pro-regime groups from entering Bahrain's main island.

The government and eyewitnesses disagree about how the blockade ended.

Eyewitnesses and journalists say security officers asked them to disband and open the highway, and they complied.

The government said attempts by uniformed police officers to persuade the protesters to re-open the road reached an impasse and that a group of protesters attacked unarmed police officers, resulting in one police officer being stabbed and another sustaining a serious head injury.

Police then sought to disperse approximately 350 protesters by using tear gas in order to clear the road, the government statement said.

"The Ministry of Interior is currently undergoing operations to reopen the King Faisal Highway and advised all protesters to return to the Pearl Roundabout for their own safety," the government statement said.

The roundabout has been the center of protests in the kingdom for a month.

Bahrain, which sits in the Persian Gulf and is the base of the U.S. Fifth Fleet, has been wracked by anti-government protests since mid-February.

Sunni Muslims -- a minority in the kingdom -- dominate the government of Bahrain.

The Shiite Muslim majority has staged protests in recent years to complain about discrimination, unemployment and corruption, issues they say the country's Sunni rulers have done little to address.

Many of them are in the anti-government coalition that has been demanding reform as part of the eruption of discontent sweeping across the Arab world for the past several months. They have staged dramatic protests and camped out in the capital's Pearl Roundabout

Initially, protesters took to the streets of Manama to demand reform and the introduction of a constitutional monarchy. But some are now calling for the removal of the royal family that has led the Persian Gulf state since the 18th century.

Bahrain is in the shadow of Iran, a predominantly Shiite country and antagonist of Bahrain's close ally, the United States.

But Gates told reporters Saturday he "expressed the view that we had no evidence that suggested that Iran started any of these popular revolutions or demonstrations across the region."

However, he said, there's evidence that Iranians "are looking for ways to exploit" the protracted processes unfolding in the region, "particularly in Bahrain."

Three hard-line groups in the Gulf kingdom -- the Haq, Wafa and Bahrain Freedom Movement -- have united and called for the ruling family to step aside.

The new coalition is calling for a democratic republic with no ruling family -- a step further than other opposition groups, which are calling for a constitutional monarchy.

It appeared the hard-line groups represented a minority of the protesters at the roundabout.

In response to the protests, the government has promised to build 50,000 new housing units and hire an additional 20,000

police officers, roughly doubling the size of the force. Members of Bahrain's majority Shiite Muslim community are not allowed to join the force.

Bahrain's king reshuffled his Cabinet last month as protesters continued to call for reforms. He has also touted a "national dialogue" and urged Bahrainis "to engage in this new process" and "move away from polarization."

Journalist Mansoor Al-Jamri and CNN's Christine Theodorou, Dominique van Heerden, Mohammed Jamjoom and Jenifer Fenton contributed to this report.

@highlight

NEW: Bahrain's crown prince says security is not negotiable and calls for dialogue

@highlight

Riot police appear to shoot a man point blank with tear gas, a video shows

@highlight

About 5,000 university students demonstrate against the government

@highlight

It's one of several protests in Bahrain Sunday, eyewitnesses say