COLOMBO, Sri Lanka (CNN) -- Shell-shocked and scarred both inside and out, they huddle in tents, water and medicine in short supply -- hundreds of thousands of people, civilian victims of Sri Lanka's recently-ended civil war.

Displaced Sri Lankan people look out from inside a camp in Cheddikulam.

"We suffered a lot because shelling was coming from everywhere," said a 38-year-old man identifying himself as Vishwamala. "Firing, shelling -- many, many people have died ... there was nobody there to carry the dead. A lot of dead were left on the road."

Another survivor, Krisha Duray, recalls "running and running" to escape shelling by both the Sri Lankan military and the Tamil Tiger rebels, who waged a bloody 25-year war.

United Nations Secretary General Ban Ki-moon on Saturday visited refugee camps housing such victims. "I have traveled around the world and visited similar places, but this is by far the most appalling scenes I have seen," he said.

Ban requested that the United Nations be provided full access to the displacement camps in order to provide aid.

In a joint statement issued Saturday, Ban and Sri Lankan President Mahinda Rajapaksa said the United Nations will continue to provide humanitarian assistance to displaced persons, and that the government will continue to provide access to humanitarian agencies.

That access, however, is limited. The United Nations and other organizations have never had full access, as government officials fear some remaining Tamil Tiger rebels may be hiding in the camps and are screening those inside.  Watch the U.N. chief discuss the humanitarian crisis »

Sri Lanka's Sunday Times newspaper reported that attempts to smuggle youths out of the camps has prompted the government to impose restrictions on visits. Rajiva Wijesinha, the nation's human rights ministry secretary, was quoted as telling the newspaper that people "with the connivance of Non-Governmental Organization workers" were involved in the plot. Because of the plot, "a thorough screening of IDPs was under way," the newspaper said.

"I have United Nations humanitarian agencies, and there are ICRC (International Committee of the Red Cross) and many other international humanitarian agency workers," Ban said in a Saturday news conference, according to a transcript.

"They should be given unimpeded access and freedom of movement within the camp. That is what I have asked the foreign minister and the president (for), and I was assured that the leaders of the Sri Lankan government will make sure (of this)."

Sri Lanka's government as of Sunday had not responded to Ban's appeal. But the joint statement Saturday said, "The government will expedite the necessary basic and civil infrastructure as well as (the) means of livelihood necessary for the IDPs to resume their normal lives at the earliest.

"The Secretary-General welcomed the announcement by the government expressing its intention to dismantle the welfare villages at the earliest as outlined in the plan to resettle the bulk of IDPs and call for its early implementation."

Ban toured Manik Farm, a sprawling camp for internally displaced people in the country's north, days after Sri Lanka declared victory in a 25-year civil war against the Tamil Tigers rebels.

About 250,000 to 300,000 people are refugees in the country, according to humanitarian groups and U.N. figures. Some in the camp have experienced fierce fighting in recent months, saying that at moments they did not believe they were going to survive.

Asked whether he agrees with the military's assertions that not many civilians died in the violence, Ban told CNN he believes there were many civilian casualties.

While the war's end elicited celebrations in parts of the country, humanitarian groups and the United Nations worry about those uprooted by the fighting. Ban arrived in the South Asian island nation Friday, saying he came to offer help and partnership.

"I hope my visit today can help begin a process of national recovery, renewal and reconciliation for all Sri Lankans," Ban said in a written statement issued Friday. "That is why I am here."

He said he would urge the government to expedite the screening and processing of refugees and ensure that displaced camps have adequate supplies of food, medicine and water.

With the war's end, "the government of Sri Lanka faces many immediate and long-term challenges relating to issues of relief, rehabilitation, resettlement and reconciliation," the joint statement said.

Ban also flew to the site of the civil war's final battle, near Mullaitivu.

CNN's Iqbal Athas in Colombo, Sri Lanka, and CNN's Sara Sidner contributed to this report.

@highlight

Ban Ki-moon says camp contains "the most appalling scenes I have seen"

@highlight

Ban asks president to grant unrestricted access to humanitarian agencies

@highlight

About 250,000 to 300,000 people are refugees in the country, aid agencies say

@highlight

Sri Lankan government has declared victory in the country's 25-year civil war