(CNN) -- "The French, British and Americans have no understanding of what's happening here," a foreign diplomat posted in Syria told me in the summer of 2012. At the time it was still possible for an outsider like me, having recently arrived in Syria from London, to imagine Bashar al-Assad's imminent departure. Even a U.S. State Department official had dismissed his regime as "a dead man walking."

But non-Westerners who had spent years in Syria were less hopeful. They rejected reports in the American press prophesying the demise of the government. Al-Assad, they said, was popular among the minorities. Besides, the army's loyalty to him was near-absolute.

Today, Bashar al-Assad is more powerful than he was 15 months ago. For all the predictions of his impending overthrow, his Baathist machine remains the only stable feature in Syria. Despite the carnage, daily life in Damascus, al-Assad's bastion, largely continues as before. There have been no major defections, and most importantly the Syrian Arab Army, despite suffering more than 30,000 fatalities, continues to pledge its allegiance to al-Assad. In the past two months, it has reclaimed from the opposition territory outside Damascus.

Yet, instead of recalibrating its response, Washington remains tethered to its same narrow policy goal: al-Assad's removal from power. John Kerry devoted his speech Wednesday in Switzerland, where representatives of the Syrian government and some opposition groups have assembled to hold peace talks, to reiterating this demand. This is an unrealistic expectation. Far from achieving al-Assad's exit, it will prolong the violence. Syrian government representatives did not go to the negotiating table to throw away his gains. The so-called Geneva CommuniquÃ© that forms the basis of Kerry's demand does not in fact call for Assad's removal.

And he is unlikely to budge without a credible threat of force from the United States.

Kerry claimed this week that such a threat was still "on the table." In truth, Washington's options are severely limited by the embarrassing fact that the opposition that has come to Switzerland to wrest power from al-Assad does not have a significant constituency in Syria. Its members hold little sway over the mujahideen fighting government forces.

Much of the territory outside the government's control is held by groups linked to al Qaeda, and al Qaeda is opposed to the peace talks. It is aware that it could emerge as the unintended beneficiary of any Western attempt to dislodge al-Assad.

Even the "moderate" elements of the opposition appear to be beyond Washington's control. The peace talks in Switzerland were deemed crucial by Washington. Yet members of the opposition repeatedly threatened to derail them if their demand to exclude Iran from the process was not met. Kerry had been attempting for weeks to get a seat for Tehran at the talks because he grasped that, as a regional power that has abetted Syria in its civil war, Iran's presence was vital to progress. This irked Saudi Arabia, the Sunni theocracy that is alarmed by the thaw in relations between Tehran and Washington.

Saudi Arabia's intervention in Syria has always been part of its effort to blunt Iran's influence and cripple what it sees is a Shia corridor of power in the Middle East. As the principal backer of the opposition, Saudi Arabia has played a key role in transforming Syria into a haven for foreign jihadists cut from the same ideological cloth as the men who carried out the 9/11 attacks. Iran hurt its own interests by refusing to adhere to preconditions, which in Tehran's view bound it to an unfavorable outcome -- a Saudi-backed transitional government -- even before the talks had begun. But its abrupt exclusion from the peace talks is a triumph of Saudi policy.

All of this explains why al-Assad, despite having presided over the slaughter of so many Syrians, was able to ridicule the negotiations as a "joke." His decision to dispatch a delegation to participate in them was in deference to his sponsors in Russia who, having labored hard to halt the threat of a U.S. military strike against their client last year, are eager to demonstrate the utility of diplomacy. Sergei Lavrov, the Russian foreign minister, was quick to cast the opening day as a success. "For the first time in three years," he said, "the sides -- for all their accusations -- agreed to sit down at the negotiating table."

But the framework for the negotiations already looks obsolete. Hammered out in 2012 by Kofi Annan, then the U.N. peace envoy to Syria, its terms -- calling for a transitional governing body by mutual consent of all parties, a national dialogue, free elections, and a comprehensive review of the constitution -- hark back to a time when al-Assad seemed weak, the opposition was unified, and the phrase "Arab Spring" could be spoken hopefully in the West. The major powers that helped forge the Geneva CommuniquÃ©, perhaps anticipating al-Assad's fall, refused to place their weight behind it when it mattered. Annan quit his job in frustration.

To ordinary Syrians, the ongoing talks in Switzerland look like a meaningless sideshow. Al-Assad, feeling triumphant, refuses to go. An internally riven opposition refuses to temper its demands. The West, unwilling to intervene militarily and incapable yet of forcing change diplomatically, watches with impotent rage. Al Qaeda, once enfeebled, looks on expectantly.

Syria is now a homicidal theater for a proxy war between Saudi Arabia and Iran -- the Middle East's Sunni and Shia powers. A dialogue between the two may do more to halt the fighting in Syria than negotiations between Assad and his Syrian adversaries operating from abroad. Washington's energies are better spent in nudging the two rivals in that direction.

More immediately, the United States' ambition should be to end the violence. Rather than push for al-Assad's departure, it should work toward obtaining a pragmatic power-sharing deal centered on reconciliation rather than regime change. Finally, it should press its allies in Saudi Arabia and Qatar to drop their support for radical Islamists. If not, the flames that are now devouring Syria may soon engulf the West.

The opinions expressed in this commentary are solely those of Kapil Komireddi.

@highlight

Kapil Komireddi: In 2012, from outside Syria, it seemed the regime would fall

@highlight

He says that proved mistaken; military still backs Bashar al-Assad

@highlight

He says the U.S. goal of an al-Assad ouster is unrealistic

@highlight

He says U.S. should try to head off al Qaeda gains from Saudi backing of the opposition