(CNN) -- Facebook co-founder and CEO Mark Zuckerberg burst into the public's consciousness as the awkward, hoodie-wearing Harvard kid who cooked up a website in his dorm room and went on to earn billions from it.

But in the past year, he's begun to leverage his deep pockets -- he's worth about $16 billion -- and high profile as an advocate for issues beyond the company's Menlo Park, California, offices.

Whether it's pledging to spread Internet access to the world's poorest corners, as he announced Wednesday, or plunking down millions to encourage kids to become scientists, Zuckerberg has evolved into a big-time player, willing to put himself forward for issues he believes in.

Here are five examples.

The Web evangelist

Zuckerberg on Wednesday announced Internet.org, a new nonprofit devoted to spreading Web access to the nearly 5 billion people around the world who don't have it.

Calling access to the Internet a human right, Zuckerberg told CNN the organization will focus on the mobile Web, which is the way many people in poor and developing nations get online. It's also, perhaps not coincidentally, an area where Facebook has focused heavily on expanding its reach and revenue.

But Zuckerberg says the effort isn't designed to be self-serving.

"If we really just wanted to focus on making money, the first billion people who are already on Facebook have way more money than the next 5 or 6 billion people combined," Zuckerberg said. "It's not fair, but it's the way that it is. And, we just believe that everyone deserves to be connected, and on the Internet, so we're putting a lot of energy towards this."

The immigration reformer

At first glance, immigration reform doesn't seem like a natural cause for an Internet billionaire.

But Zuckeberg took the lead this month in bringing together tech luminaries to form FWD.us -- a group advocating for Congress to reform the nation's immigration system.

Tech companies mostly benefit from the federal government's H1B program, which makes it easier for highly skilled workers in fields like computer programming to emigrate to the U.S. But the group advocates equally for issues like helping undocumented immigrants who were brought into the country as children.

The group has pumped millions of dollars into things like a TV ad urging Congress to "fix our broken immigration system."

The bipartisan backer

Silicon Valley has an uneasy relationship, at best, with Washington. But in recent months, Zuckerberg has begun spreading the wealth around.

Does the Facebook founder "like" Democrats or Republicans? It's complicated.

Early this year, Zuckerberg hosted a fundraiser for Republican New Jersey governor -- and potential presidential candidate -- Chris Christie, with whom he has partnered on education issues (see below). But he would later do the same favor for a Jersey Democrat -- Newark Mayor Corey Booker (see same).

Zuckerberg hosted a town hall meeting at Facebook for President Barack Obama in 2011. But his FWD.us group has helped fund campaign ads for conservative Republican senators like Florida's Marco Rubio and South Carolina's Lindsay Graham, considered swing votes for the immigration bill in their chamber.

It may be unclear which lever Zuckerberg tends to pull at the voting booth. But when he picks up the phone, politicians answer.

The health-science patron

Zuckerberg spearheaded an effort early this year designed to spur innovation that has nothing do with social media or mobile apps. Instead, it's for saving lives, or making them better.

He helped create the Breakthrough Prize in Life Sciences, an annual award given to researchers whose work is "aimed at curing intractable diseases and extending human life."

The award pays recipients $3 million each -- twice as much as a Nobel Prize -- and is also funded by tech leaders like Google's Sergey Brin and Apple board Chairman Art Levinson.

"Society has a lot of heroes for a lot of different things, but we don't have enough heroes who are scientists and researchers and engineers," Zuckerberg told CNN in February. "We're just trying to set up this ... to reward and recognize the amazing stuff these folks are doing."

The philanthropist

Zuckerberg hasn't shied away from giving back. In fact, last year he was the second-most generous giver in the United States, according to the Chronicle of Philanthropy.

He doesn't have any direct personal ties to Newark, New Jersey. But in 2010, he pledged a whopping $100 million of his fortune to helping out troubled schools there.

The money was the first gift from Startup: Education, a foundation created by Zuckerberg to help schools. Joined by Booker and Christie, Zuckerberg took to "The Oprah Winfrey Show" to announce the donation and foundation.

Cynics noted that the gift came shortly before the release of "The Social Network," the fictionalized film on Facebook's birth that many believed cast Zuckerberg in a negative light.

But his philanthropy didn't stop there. Zuckerberg later pledged an even bigger sum, nearly $500 million, to the Silicon Valley Community Foundation, which issues grants for a host of causes in the San Francisco area. In 2012, its charitable causes ranged from programs that teach immigrants English to groups providing food and shelter to the needy to funds for victims of the California wildfires.

Watch New Day weekdays at 6am-9am ET. For the latest on New Day click here

@highlight

Mark Zuckerberg is increasingly speaking up on non-Facebook issues

@highlight

Facebook CEO announces new effort to bring Web access to nearly 5 billion people

@highlight

He has donated to schools and politicians from both major U.S. parties

@highlight

Zuckerberg also spearheaded tech-industry efforts to pass immigration reform