Johannesburg, South Africa (CNN) -- How to make money from ballet is a question puzzling many art executives around the world, but one dance group in South Africa is hoping that a new initiative will help keep its curtains from closing for good.

South African Mzansi Ballet (SAMB) is a Johannesburg-based professional ballet company comprising both classical and contemporary dancers. But it hasn't received any government funding for the last 12 years and is struggling to make ends meet.

Angela Malan, ballet mistress at SAMB, says that running the company with very little financial support is not easy.

"It's a fight all the time," she explains. "Business is business -- you have to pay the bills, you have to pay the salaries. So we have to do whatever it takes to make this business and this product sellable and good."

To do exactly that, SAMB joined forces with students from Harvard Business School (HBS) visiting South Africa as part of their Field Immersion Experiences for Leadership Development program, which aims to help HBS students increase their practical experience in the business world.

Last month, six business administration students from HBS visited SAMB for two weeks to conduct research and find ways to improve the marketing of the ballet company.

"It's a fantastic opportunity for us to really get out into the world and see how people run businesses outside of the classroom," says Jonathan Herbert, one of the students.

And as the students gain practical experience, the directors of the ballet company gain marketing advice on how to turn their art form into a sustainable business.

"There are a lot of people out there who are a potential target audience and who are potential target revenue and what's important is just finding ways of capturing it," says Herbert.

"So you're selling experience," adds Rie Yamamoto, also one of the HBS students. "It's not just a posture you're selling.

"It's not about tutus or the shoes or whatever; it's this special feeling that you feel when you go see the performance; it's about the music, it's about the whole new world that you see on stage and that's exactly what you're selling. It's just the feeling that you get at the theater, so that's exactly your product."

Watch video: Investing in the arts

But apart from simply selling ballet as a product, Harvard professor Sandra Sucher believes that dance companies have to be business savvy to market professional ballet successfully.

She says it's all about taking off your tutu and putting on your business hat.

"I think that there is a discipline to learning how to run yourself as a business organization that is important for an arts company regardless of whether they have government funding," says Sucher.

Dirk Badenhorst, chief executive of SAMB, says it costs about $2 million to run a ballet company in South Africa, and ticket sales cannot cover all the costs.

"We recoup about a third of our running costs through ticket sales," says Badenhorst.

For the other two thirds, the ballet company has to rely on generous contributions from South African dance lovers. But Badenhorst says that this is not enough and not sustainable for a long-term business plan.

"Our product, which in our case is the luxury brand of ballet, needs to be sold like any other product, because by keeping us like an arts company, you literally keep us on our knees," he says.

During their stay in South Africa, the Harvard students conducted extended interviews with people from all walks of life to find out how to best market ballet. Herbert says they came across genuine excitement for the art form, even in unexpected places, where people little disposable income.

"When we went out to different areas of Johannesburg, certainly to some of the areas like Soweto, where we weren't expecting to find people who would be really interested in coming to see something that perhaps people have a preconceived notion is a European art form, and what was striking was that a number of those people felt that they would actually be very happy to come and see the ballet, to buy tickets," he explains. "They weren't afraid of the cost of coming."

Herbert adds: "It was a very aspirational product for them and the biggest issue was one around transport and whether or not they'll be able to get here. So it was not so much that they weren't interested, it was just that they didn't necessarily know of the way to come to the performances or know when the performances were on."

One way of combating these issues, Herbert says, is by taking the ballet to the people.

Badenhorst certainly agrees. "It's also time that we move out of our comfort zones in the big theaters and that we actually start touring again," he says. "That we take the ballet to the army, to farmers to the plants of big big companies and businesses, to the real man on the street and to get them to appreciate the beauty and wonder of ballet."

Business advice given, lessons learned, this collaboration between Harvard's best and SAMB may just be what the South African ballet company needs to keep its dancers on stage.

@highlight

Harvard students give business advice to ballet company in South Africa

@highlight

South African Mzansi Ballet hasn't received government funding in years

@highlight

Running art companies as businesses is crucial to their survival, experts say