(CNN) -- Both the International Monetary Fund and the World Bank gave their updated projections on the global economy ahead of this week's G8 Summit in North Ireland. It was not pretty reading.

In a nutshell, according to the World Bank, it looks like this:

Global growth is stable, but slow. It is now forecast to reach 2.2% from last year's 2.3%. The industrialized countries are barely sputtering along. The 34 countries that are members of the OECD will be just above 1% and the developing countries just over 5% this year and a hair over 5.5% through 2015.

But tucked into the World Bank "Global Economic Prospects" report is an interesting caveat; developing country performance would be much lower without the two pillars of emerging markets and the two anchor members of the BRICS: China and India.

READ MORE: Does Brazil deserve to be the 'B' in BRIC?

Strip them out of the equation, according to the World Bank, and developing countries see their top line number come down to 3.6% this year -- a full 1.5% lower. That spread should be consistent through 2015, according to the forecasts.

Two points were given more than their fair share of market and media coverage last week. The World Bank cut its projections from China quite severely to 7.7%, down more than 0.5%.

The view was circulated that the BRICS have lost their luster; in essence their better days are far behind them.

Andrew Burns, author of the World Bank report, said that investors should adjust their expectations.

There will be a "new normal for developing countries of slower growth," Burns suggested. However, referring to the 2008 -- 2009 global financial crisis, he said the overall environment "will be more stable because we put behind us the very serious risks."

The past week of trading was a nasty one for emerging market countries. Their equity markets and currencies remain under pressure on fears that the U.S. Federal Reserve may alter course on its bond purchases and thereafter raise interest rates if necessary.

READ MORE: Building on the BRICs

"It is robust growth, strong growth, growth we should be happy with," Burns said. "But well off the highs that we saw in the earlier part of the last decade."

Perhaps what we should be doing, however, is looking at China and India. The two countries posted their worst performances in more than a decade last year, but the weight of two and a half billion people and their demand for commodities to fuel growth (even at a slower pace) are the developing world's two pillars.

Rising demand in the emerging world has led to a 17.6% increase in South-South trade for the last decade. In another major shift, half of the products made in emerging markets now goes to partners in other emerging markets.

The emerging markets are less dependent on the developed world than ever before.

READ MORE: China spaceship blasts off

But this is an important period of transition which is far from complete. China is trying to move away from being an economy overly dependent on exports and government investment to one that benefits from domestic-led demand. India, other strategists suggest, needs to unleash growth by cutting the size and role of government.

A decade ago, after investment bank Goldman Sachs authored the BRIC acronym, these countries were lulled into thinking that commodity demand would be a one way bet that would override a need to accelerate economic reforms.

READ MORE: World's most powerful leaders meet

This is evident is both Brazil and Russia, which are struggling to recover after the financial crisis. Brazil, according to the World Bank, is projected to bounce back to 2.9% this year after struggling at below 1% in 2012. Russia's growth is pegged at just 2% to 3% in 2013, despite North Sea Brent oil prices hovering at $100 a barrel for three years running.

Both of these countries should be experiencing a "halo effect" of sorts, with two things in common.

Both have landed the hosting of two global sporting events: The FIFA World Cups and Olympic Games between 2014 and 2018. They will be on the global radar for sporting fans, opening the way for substantial visitor growth.

But re-energizing these economies is not that simple.

Brazil is trying to contain a protest movement with many feeling alienated by the infrastructure buildout and rising cost of transport. Last autumn, Russians took to the streets again frustrated they are not seeing the fruits of middle income growth.

The games may begin from 2014, but both these countries may miss the full benefits of golden opportunities to promote the next wave of growth.

@highlight

The International Monetary Fund and the World Bank have updated their global economic projections

@highlight

The new figures make for ugly reading, with a slowdown still apparent in the global economy

@highlight

But there is an interesting caveat in the World Bank's report on the emerging market economies

@highlight

Two members of the BRICS are emerging as the globe's economic pillars