(CNN) -- The long-awaited remake of the 1970s cult classic "Sparkle" is finally seeing the light of day as it opens in theaters across North America this weekend.

The film stars season six "American Idol" winner Jordin Sparks and the late pop icon Whitney Houston. It's set in Detroit during the 1960s and chronicles the rise and perils of an all-girl R&B group -- a la Diana Ross and the Supremes and the glitzy 1981 Broadway show "Dreamgirls" and its 2006 movie adaptation.

The project has been a labor of love for producer Debra Martin Chase for more than a decade. She and Houston, her film producing partner, scored with "The Princess Diaries" films and the made-for-TV movie, "Rodgers & Hammerstein's Cinderella." As longtime fans of the original 1976 flick (written by an upstart Joel Schumacher), the duo yearned to bring it to a new audience.

"Just thinking back to why this movie was important to me as a teenager and I know why it was important to Whitney; it was really the first time we saw the fabulous women of color on the screen, who were glamorous, the men were gorgeous, the clothes were gorgeous," Martin Chase told CNN this week. "In and of itself, it was inspirational."

The TriStar Pictures film, which has been virtually kept under lock and key from media for months, had showings this week in Martha's Vineyard in Massachusetts, New York and Los Angeles. It also stars Carmen Ejogo, Tika Sumpter, Mike Epps, Derek Luke and Omari Hardwick, with appearances by Cee Lo Green, Michael Beach, Kem, Terrence Jenkins and Tamela J. Mann.

"It's surreal. It's hard to believe that it's finally coming into fruition," Martin Chase said. "It's like a lot of life lessons about believing in what you believe in and just sticking with your guns and just keep pushing forward to make it happen."

The road to post-production wasn't an easy one for this new "Sparkle."

In the late 1990s, Warner Bros. Pictures struck a three-picture deal with then-rising R&B star Aaliyah. One of the star-making vehicles was to be "Sparkle," to which the studio owned the rights. Under their BrownHouse Productions shingle, Martin Chase and Houston were tapped to help bring the remake to life. But shortly after Aaliyah's second film, "Queen of the Damned," wrapped, tragedy struck when the singer died in a plane crash.

The project languished for years. "I took the idea to other studios and got a bunch of nos," Martin Chase said. "I never gave up on it."

The names of singer/actresses such as Raven-Symone and Ashanti were bandied about at one time or another, but nothing materialized.

During a dinner a few years ago at Sony Pictures Chairman Michael Lynton's home, the idea of "Sparkle" once again came up. Unbeknown to Martin Chase, it was a "passion project" for the studio chief, too.

From there, the remake received the green light. On the heels of the success of their 2010 feature film debut, "Jumping the Broom," husband-and-wife creative team Salim and Mara Brock Akil -- already established forces in the television industry -- were tapped to direct and write the new movie.

Redefining what it means to 'Sparkle'

Salim Akil had his trepidation about taking on such a storied work. The original -- which featured a timeless score and soundtrack by Curtis Mayfield -- made stars out of Irene Cara, Philip Michael Thomas, Dorian Harewood and Lonette McKee. The legend of "Sparkle," which predated the fabled musical "Dreamgirls," would be a prized staple in black movie lovers' collections for years to come.

"I think with having conversations with my wife, Mara, and riffing on 'Well what if I did do it?' and 'I would do this, I would do that,' I felt like it's an opportunity to take us back to a time that was a little bit more innocent in terms of the way that we approached life back then," Akil said. "I thought 1968 was an interesting year for America, and so I thought we could do something and present something that a younger generation could appreciate it."

Outside of the relatively small $15 million production budget (period movies usually start at around $50 million) and a marathon 30-day shooting schedule, casting was one of the biggest challenges for the new "Sparkle."

Akil said he knew off the cuff he wanted to work with Epps, a renowned comedian, again after "Jumping the Broom." And as far as the leading role, Sparks -- who starred in Broadway's "In the Heights" in 2010 -- was a born natural.

"Jordin just has this quality about her that lends itself to innocence, and I needed that for 'Sparkle,' " he said. "I needed someone who, in this day and age, there was some innocence left. I wanted someone who was sort of (a) mystery to the public and who can sing her ass off, and she could definitely could do that."

However, the role of Sparkle's eldest, wilder sibling, Sister, proved less obvious once Paula Patton, also in the Akils' "Jumping the Broom," couldn't do it because of a previous commitment. The director said he saw just about everybody in Hollywood to portray, what is arguably, the strongest role in the movie.

And then a screen test of Ejogo, in full character, came his way. "She had taped herself and it just blew everyone away, and I remember when I saw it, I sent a text to everyone that said: 'This is Sister. She is Sister' and in a lot of ways, you get what you need through blessings like that. I think she knocked it out of the park."

As far as the creative process, Akil left his wife to her own devices. "I gave her five points that I would like to see and then I left her alone. Mara is a competent writer. I wanted her to write the movie because I knew she would do a great script," he said. "And even though she wanted me to read the script before she was finished, I wouldn't because I didn't want to interfere with her process."

Some central plot points are different from the original film, but it is a remake in every sense of the term, according to Martin Chase. "We've made some changes. And with approaching a remake, you want to preserve that which is most beloved about the original and you want to adapt it to a modern audience," she said. "But at its heart, it's very much a remake. We've stayed true to the essence and basic plot of the original movie."

Outside the usual marketing push, the movie is making an impact in two other arenas: publishing and music. On August 7, Simon & Schuster released a novelization of "Sparkle" by best-selling author and journalist Denene Milner. "It's a traditional triumph story and we knew that it would resonate with the audience similar to the movie," book editor Todd Hunter said. "It had all the properties of love and lost. The product is a tremendous story, and in terms of publishing, that's what we're all about."

Last month, RCA Records released the original motion picture soundtrack featuring music from the movie produced by R. Kelly, Harvey Mason Jr. and the Underdogs and featuring what is believed to be Houston's final recordings.

Early buzz on the movie has been good, and seeing Houston, whose role of the matriarch was originated by veteran actress Mary Alice, in her final movie role is expected to draw her fans.

"I'm excited, I'm not nervous," Salim Akil said. "I think when I feel like I've done my job and I've respected the audience and respected the material, there's no reason to be nervous. I don't read reviews so I don't go down that road. So I'm just excited. I'm excited for all of the actors. I'm excited for people to see Whitney. I want them to see her, how beautiful she is and what a wonderful actress she is. This is the closest I think I'll come to giving birth."

'"Sparkle" will be shown on more than 2,600 screens, Martin Chase said, which is considered a wide release. Most films catering to African-American audiences average between 1,500 and 2,000 theaters.

"We still live in an age where we don't have enough stories really dealing with African-American women, and dealing with their tensions and their conflicts," said black film historian and author Donald Bogle, who chronicled the original "Sparkle" and many other films in his seminal tome "Brown Sugar: Over 100 Years of America's Black Female Superstars."

"We still need movies about African-American women and not just movies like 'The Help,' where it's all about how they relate, basically, to white people. We need stories that are looking at African-American women and their particular conflicts and not just their romantic tensions but also their professional dilemmas," he said. "I think with this new version of 'Sparkle,' I think people are going to show up. They've been waiting to see something like this."

@highlight

Producer says she's excited to see the film come to light after more than 10 years

@highlight

Director talks about casting choices and other challenges in remaking beloved cult classic

@highlight

Film historian: "We don't have enough stories really dealing with African-American women"