(CNN) -- A Dubai-based perfume, cosmetics and jewelry chain is set to become one of the first international luxury retailers to open its doors in previously war-torn areas of Iraq.

Paris Gallery, known across the Gulf for its opulent premises piled high with glass cabinets of designer watches, perfumes, and other mainly European luxury goods, has unveiled plans to open at least five stores across major cities in Iraq -- including Baghdad and Basra -- over the next three years.

With the first shop due to begin trading in the first half of 2013, Paris Gallery CEO Mohamed A. R. Al Fahim says that now is the time to invest in Iraq's domestic market.

"We've been waiting for years for the right conditions," he said. "We've done extensive assessments and believe that now the country is really moving away from what it was to what it wants to be ... there is great potential."

The IMF estimates that between 2009 and 2012, GDP per-capita based on current prices in Iraq more than doubled, and Paris Gallery is hedging its bets on the growth of a previously stagnant consumer culture and Iraqis with more disposable income.

"When companies like ours move into places like Iraq, it tells the people something which is: 'Look guys, you deserve it -- you deserve to feel better about yourself, you deserve to have some of the best products from around the world at your doorstep,'" Fahim said. "It's a confidence boost for the people."

Sura Alrawi is an accountant earning $19,000 a year -- over four times the national average based on IMF figures. She has lived and worked in Baghdad her whole life and welcomes the prospect of being able to purchase branded cosmetics and perfumes locally.

The price of bottle of perfume starts at $50 dollars and many cosmetics brands familiar in the West will be easily available for the first time.

"I'm an Iraqi woman who can afford and wants to buy the kind of things that very few shops here sell," she said.

Now 23, Alrawi was just a young girl before the 2003 U.S.-led war in Iraq that toppled Saddam Hussein, but she still recalls that the most basic international brands were then prohibitively difficult to buy.

"Our borders with Iran and Kuwait were blocked and there was an international economic blockade, so I remember it was very expensive to buy anything fancy," she said.

Even now, Alrawi -- who lives at home with her parents -- says that imports are inconvenient and import duties costly. As such, she and her friends are looking forward to the sheer convenience of stores like the Paris Gallery opening in their city.

"Yes there is still a lot of variation in incomes here, and of course I don't believe that these kind of products will immediately be affordable to everyone. But after years of having so little, there is now definitely a feeling of great demand," she said.

Continued sectarian violence, like the car bombings that killed at least 13 people in northwestern Baghdad over the weekend, as well as stalling government infrastructure programs, mean that a flourishing mainstream consumer culture is still some way off, according to William Watts, director of operations at Dunia Frontier Consultants.

"Iraq is sitting on one of the world's largest oil reserves, so there's no question it has enormous economic potential," Watts said. "However, as things stand the infrastructure is not where it needs to be."

Iraq is still struggling just to transport oil from its vast oil fields to the shipping tankers that export it to the rest of world, according to Watts.

"It all comes back to oil ... Revenue from oil constitutes around 96% of Iraq's budget, so the more money they can make from that, the more they can then spend on building roads, reliable electricity supplies and security," he said. "These are the building blocks that make for a stable and attractive business environment."

Watts say that Iraq nonetheless has a historic reputation as a good place to do business, the culture of which still remains.

"Despite the last 35 years of instability, Iraqis retain their entrepreneurial instinct. They're great at making deals, diversifying their interests, working hard and solving problems," he said.

On the other hand, Watts points out that the legacy of the Saddam era is a heaving, highly bureaucratic state, which makes conducting business slow and difficult.

"I've heard of companies who have had equipment held up in customs for eight months," he said. "And getting routine work visas can be a nightmare."

Al Fahim, however, is undeterred. He explains that Paris Gallery has teamed up with the Al Handle Group, an Iraqi firm established in 1975 that he says understand the local business environment and will run the stores on a franchise basis.

"There are always problems setting up a businesses in a new country, no matter how developed it is. But there are no difficulties we can see that can't be solved," said Al Fahim.

"Once we've shown everyone that it can be done then I would love nothing more than to see other international firms who specialize in shopping and entertainment, moving in and helping make Iraq a happier place to live."

@highlight

Luxury jewelry, perfume and cosmetics chain store plans to open number of shops in Iraq

@highlight

The Dubai-based Paris Gallery says that the economic conditions are now right to invest

@highlight

Projected growth of middle class and current unmet demand for luxury brands account for decision, says CEO