(CNN) -- You might have seen the video last week. I'm talking about Lt. Col. Will Adams, away from his family for nearly two years while he served in Afghanistan, taking off a catcher's mask and surprising his 9-year-old daughter in a well-executed stunt as she threw out the first pitch at a Tampa Bay Rays game.

When you watched third-grader Alayna Adams run to embrace the father who'd been away at war for so long, you might even have shed a tear.

The reunion was so heartwarming that you could easily forget that this 9-year-old girl had not even been born when President George W. Bush launched the military action in Afghanistan in 2001. Indeed, could anyone have imagined that U.S. troops would still be fighting and dying in that mountainous, isolated country 7,500 miles away a dozen years later?

Thank God that Lt. Col. Adams is home safely, but about 63,000 other American troops are still in country, and generals envision as many 8,000 to 12,000 troops still "over there" when -- or if -- the U.S. combat role winds down next year.

On the same day the Adams family was reunited in South Florida, two American soldiers and four U.S. contractors were among the dead when a bomb struck a military convoy in Kabul.

And yet I'd bet that the average American who wept watching the first-pitch video could not give a good answer when asked what fighting men like Adams or his killed comrades are doing in Afghanistan today. It all made sense in 2001, when the rubble of the World Trade Center was still smoldering, for Congress to pass the Authorization for the Use of Military Force act, which gave the White House the OK to wage the war. It seemed wise, certainly, to target Afghanistan, where an unfriendly Taliban government had harbored 9/11 mastermind Osama bin Laden and allowed his al Qaeda minions to train there.

Since then, the Taliban has been ousted, bin Laden has been killed, and al Qaeda shattered, with many of its top lieutenants killed or in American custody. Yet ongoing warfare in a nation beset by violence for decades continues to claim U.S. lives, and it's difficult to see how it improves the safety of citizens here at home.

The authorization for military force act has been invoked to justify drone strikes and other types of military action in places that no one could have predicted in 2001: places like Yemen and, increasingly, Africa. President Barack Obama, after earning what seemed to be anti-war bona fides by opposing the 2003 Iraq invasion, has driven this expansion.

Some critics are calling the fighting that began in 2001, branded as "the global war on terror," America's "forever war." I say some critics because frankly most Americans have stopped paying attention, which the White House and the Pentagon are probably counting on. Just hours before Lt. Col. Adams reconnected with his daughter last week, the assistant secretary of defense for special operations, Michael Sheehan, went before a congressional hearing on the topic of that 2001 war authorization.

Yet few if any members of the Senate Armed Services Committee seemed eager to end the authorization act after 12 years; instead, senators such as Arizona's John McCain -- increasingly the pied piper of American military intervention -- spoke of expanding the measure, to make sure that new terrorist groups that formed after 2001 could be legally targeted by U.S. weapons. What Sheehan told the senators must have sounded like a Hallmark Channel ad for the romance of "the forever war."

The Pentagon official told Sen. Lindsey Graham, R-South Carolina, that the war against terrorism "is going to go on for quite a while, and, yes, beyond the second term of the president," adding a second later, "at least 10 to 20 years."

That's mind-numbing. The Pentagon believes that we could still be fighting the conflict that began on 9/11 in the year 2033. It's hard to even find the right analogy. Imagine if U.S. involvement in World War II that began at Pearl Harbor was still taking place in 1973, a long strange trip from the Andrews Sisters to Led Zeppelin. I'm the parent of a 20-year-old -- will I be telling my grandson someday not to worry, that the war should be over before he hits draft age?

The "forever war" might be defensible is it were making you, me and all other Americans safer. The cold reality is that the effect has been the opposite, that the increasing length and scope of the war puts us at greater risk.

The trillions of dollars in debt to pay for the war has left us in deeper hock to China and other foreign creditors. At home, or "the homeland" as it came to be called, the war has been used to justify a flurry of civil rights abuses, including warrantless wiretaps and monitoring of e-mails, harassing whistle-blowers and clamping down on press freedom.

Since 9/11, the all-too-human desire to avenge the attacks has trumped common sense. The ultimate goal, after all, is to stop any further attacks on Americans. But too many actions such as the abuses of waterboarding, and lack of trials for prisoners at Guantanamo Bay, and the flurry of drone strikes that have killed innocent civilians along with terrorists, have provoked rising anti-Americanism and possibly motivated newer attackers.

In other words, revoking the 2001 war authorization would save money and lives. It should be a no-brainer, but for some hard-to-explain reason it requires a courage that can't be found in either the White House or the halls of Congress.

Yes, it was joyous to watch a 9-year-old girl welcome her father home from Afghanistan. But the notion that her elementary school pals could someday fight in the same war should blow the American mind.

The opinions expressed in this commentary are solely those of Will Bunch.

@highlight

Will Bunch: Reunions of troops with families great, but why are we still in Afghanistan?

@highlight

Bunch: It made sense in 2001, but 12 years later, bin Laden is dead and al Qaeda in ruins

@highlight

Bunch: Americans dying for little reason in a war that makes it riskier, not safer, at home

@highlight

Pentagon estimates put us there till 2033, meaning Bunch's grandkids could go