(CNN) -- The smells of oil, tires and hard work surround Monwabisi Bokwe as he stands on the Volkswagen production line. He's one of the thousands of employees at the auto plant in the South African town of Uitenhage, a cog in Eastern Cape's crucial sector: car manufacturing.

"It's not easy working in this industry, it's got its challenges," says Bokwe. "But I frequently go to the Western Cape and when you see a VW car go down the road and you tell your friend that you were part of that process that puts the car together...that fills you up with pride."

Regional economy

After a decade working with Volkswagen cars, Bokwe has seen a lot. As a production operator at the factory in South Africa's self-proclaimed Garden Town, he's not far from the ocean in a province known for its auto-sector.

"If you look at the Eastern Cape it's one of your poorest provinces in the country," says Bokwe.

"My understanding is that we've got about three car factories in the Eastern Cape and I cannot imagine what kind of province we would have had those factories not been in the Eastern Cape," he continues.

David Powels, a native of the region and VW's managing director in South Africa, says auto-companies in the area are catalysts for economic growth.

"Whilst we employ 4,000 people, we create a multiply effect through the economy," he says.

One way this effect is made manifest is in the number of companies making car components in the area. In fact, the Eastern Cape Development Corporation says there are 40,000 auto-sector jobs in the province, 75% of which are created by supplier companies.

And it's not just the jobs VW creates that makes it popular in South Africa. The company's products dominate the roads, accounting for almost 23% of South Africa's passenger car market according to the National Association of Automobile Manufacturers of South Africa. That means the company sold more passenger cars in South Africa than any other brand -- a title VW celebrated for the fourth consecutive year in 2012.

But VW is not the only global car brand with production plants and ambition in the region. Auto giants like Toyota, Ford and General Motors have big operations in the Eastern Cape. While Ford is focused on making engines in the country, Toyota has produced some of their best-selling cars in South Africa.

The region puts together half of the country's passenger vehicles, according to the Eastern Cape Development Corporation, but it is also essential for other markets. Over half of South Africa's vehicle exports are produced there.

Engines of growth

What's changing is where these cars are being sold. While America and Europe have been the key markets, these days more cars are being exported to other African markets. In fact, African countries are the second biggest market for car components made in South Africa after the E.U. It's this aspect of the market that executives think will drive growth.

Brian Olson, vice president of sales, services and marketing at General Motors, says that Africa's middle class will be buying two and a half million new cars a year by 2020. Given that current new sales are around 1.7 million vehicles, he's optimistic about Africa's future.

The auto sector makes up about 7% of South Africa's economic output -- a crucial chunk. With the Eastern Cape being so key to the country's vehicle exports, some compare it to America's Motor City: Detroit.

"We have Mercedes, GM, Ford and Volkswagen with all the production in the Eastern cape province," says Powels. "So to some extent we could fairly say that we are the Detroit, but with that comes quite a responsibility. If you look at the history of Detroit, it's gone into decline because of the over dependence on the auto-sector and the number of companies in the auto-sector that went through the very difficult times," he continues.

"The auto-sector is an anchor tenant in the province, we are an important driver of growth -- but we have to recognize that that brings risks."

Risky Business

Challenges are fresh in the minds of the region's auto executives. In 2013 weeks of strikes meant production lines lost over 45,000 vehicles which translated into lost revenues of about R20 billion -- approximately $1.8 billion. It was only after the NAAMSA union, which represents auto workers, negotiated a new pay deal that workers went back to the factories.

Another serious issue weighing on the minds of car manufactures is the disposable income in consumers' pockets. Indeed, the union says that's why the latest data shows new vehicle sales are falling. With sales of new vehicle at 55,722 in August 2014, they're down 1.4% compared to the same period last year.

And these difficulties are clear to executive and workers alike.

"If the Eastern Cape had to close down all its factories," Bokwe reflects, "we will not be a ghost town -- we will become a ghost province."

@highlight

The Eastern Cape provides 51% of South Africa's vehicle exports

@highlight

Approximately 40,000 people are employed in the Eastern Cape's auto-sector

@highlight

The auto sector makes up about 7% of South Africa's economic output

@highlight

African countries are the second biggest market for South Africa's automotive component exports