(CNN) -- As mass protests swept Egypt on Friday, the actions of two key institutions served as indicators for what lies ahead for the embattled regime: the military and the media.

President Hosni Mubarak deployed the Egyptian army for the first time to the streets to quell angry demonstrations against his authoritarian regime. That's a sure sign of the government's desperation, according to experts on the region.

And for the first time, the state-run media didn't ignore the unrest or dump on the demonstrations as acts of terrorism in its usual manner. That, too, say experts, was a key indicator that Mubarak could be facing trouble.

It's a given that the military, a pillar of Egyptian authority since a 1952 coup toppled the monarchy, holds the keys at this critical juncture.

Many feared that the army will silence the protesters with its firepower and tanks that are now out on the streets of Cairo and Alexandria.

But Edward Walker, a former U.S. ambassador to Egypt, said that a military crackdown would be a "death knell not only to the military but the regime." Such a crackdown didn't happen in nearby Tunisia, where the authoritarian ruler fled the nation, and it was hardly what happened in Egypt on Friday.

On the contrary, Egypt's 450,000-strong armed forces are well-established and respected by the people. Journalists reported seeing protesters cheer army convoys as they drove into Cairo and Alexandria. Some embraced the soldiers on the ground; they were seen as saviors from excessive police brutality.

To Mohammed el-Nawawy, a professor at Queens University in North Carolina, the fact that the military was called out Friday showed that Mubarak was desperate. The all-important question is how loyal the armed forces will remain to the aging leader who has ruled Egypt with an iron fist for three decades.

Meanwhile, the state-controlled television network walked a tightrope Friday.

Early in the day, Nile TV began showing footage of the demonstrations of "tens of thousands of people" and reported the use of police tear gas. It aired opposition leaders criticizing the government for shutting down the lines of communication.

Shawn Powers, a Georgia State University assistant professor who studies international media, said it was unusual for an arm of the government to even cover these events or portray them as anything but acts initiated by unsavory elements of society.

"I'm amazed," Powers said of the coverage.

Even with social media and mobile phone messaging blocked, Egyptians could see events unfolding live on international networks including CNN. The Egyptian media may have felt that they would lose all credibility with the people if they were to completely distort the story.

Ultimately, Powers said, he suspected fissures within Mubarak's ranks and said some in the government may be thinking of their own future in a nation barely holding back from the brink.

"What we're seeing today is parts of the government feeling increasingly isolated from Mubarak or intentionally doing so to hold on to power after Mubarak goes," he said.

By the end of the day, however, Nile TV's coverage shifted, reverting to words like "hooliganism" and "lawlessness" to describe the demonstrations.

El-Nawawy, who has studied Egyptian media in depth, said Friday's media coverage could mean that Mubarak has no one left to blame, so he gave the protesters, many of whom are young people, a little wiggle room.

"The state media is walking a fine line to give credit to the young people, but in the meantime, it has to justify intervention and crackdown," el-Nawawy said.

El-Nawawy said things will get really thorny if Egypt's impoverished masses join hands with the protesters -- believed to be largely from the educated middle classes -- and the demonstrations grow to even more chaotic proportions.

That's when the military and the state-run media will both have to come to terms with events in their country.

That's when Mubarak, el-Nawawy said, may realize that he can shut down Facebook but not the People's Book.

@highlight

Mubarak called out the army Friday to help quell the protests

@highlight

The military will play a key role in what happens next

@highlight

In the past, the state-run media have ignored protests or downplayed them

@highlight

Friday, Nile TV showed the clashes but also justified the crackdown