(CNN) -- Did waterboarding and other coercive interrogation techniques that were used on al Qaeda detainees in CIA custody eventually lead to the Navy SEAL operation that killed Osama bin Laden in Pakistan early in the morning of May 2, 2011?

The Senate Intelligence Committee report released Tuesday has a simple answer to that: Hell, no!

According to the Senate report, the critical pieces of information that led to discovering the identity of the bin Laden courier, Ahmed al-Kuwaiti, (Ahmed the Kuwaiti) whose activities eventually pointed the CIA to bin Laden's hiding place in Pakistan, were provided by an al-Qaeda detainee before he was subjected to CIA coercive interrogation, and was based also upon information that was provided by detainees that were held in the custody of foreign governments. (The report is silent on the interesting question of whether any of these unnamed foreign governments obtained any of their information by using torture.)

Further critical information about the Kuwaiti was also provided by conventional intelligence techniques and was not elicited by the interrogations of any of the CIA detainees, according to the report.

Even worse for the CIA -- which has consistently defended the supposed utility of the interrogation program, including in the hunt for bin Laden -- a number of CIA prisoners who were subjected to coercive interrogations consistently provided misleading information designed to wave away CIA interrogators from the bin Laden courier who would eventually prove to be the key to finding al Qaeda's leader.

The Senate report provides the fullest accounting so far of the exact sequence of intelligence breaks that led the CIA to determine that the courier, the Kuwaiti, was likely to be living with bin Laden in Pakistan.

This reads more like a careful Agatha Christie detective story than a story about the efficacy of coercive interrogations, which some have characterized as torture.

The report points out that the courier was in touch with Khalid Sheikh Mohammed, the operational commander of the 9/11 attacks, and that it was SIGINT (signals intelligence) from phones and email traffic that made this link first in 2002, well before any CIA detainees made such a connection.

Indeed, in a fascinating footnote, the report makes the case that it was "voice cuts" of the courier that were first collected in 2002 that were matched eight years later to the Kuwaiti and were "geolocated" to an area of Pakistan in 2010 where he was traveling around. This was a crucial lead that helped prompt the CIA to examine the mysterious compound in Abbottabad, Pakistan, where bin Laden was hiding.

In 2002, reports from four different detainees held by foreign governments provided important information about the courier's age, physical appearance and family, information that was also acquired prior to any information about the courier being obtained from CIA detainees. Detainees held by foreign governments also said that the courier was close to bin Laden.

It was Hassan Ghul, an al Qaeda operative captured in Iraqi Kurdistan, who provided the most detailed account of bin Laden's courier and his relationship to bin Laden in January 2004, before he entered CIA custody.

According to a CIA official cited in the report, Ghul, who was in Kurdish custody, "sang like a tweetie bird. He opened up right away and was cooperative from the outset."

Ghul described the courier as bin Laden's "closest assistant" and "one of three individuals likely to be with" al Qaeda's leader. And he correctly surmised that bin Laden would have minimal security and "likely lived in a house with a family somewhere in Pakistan."

If there was good intelligence coming from sources that were not in CIA custody, the Senate report demonstrates that the detainees who were in CIA custody and were subjected to coercive interrogations made every effort to hide the significance of bin Laden's courier.

Five of the most senior al-Qaeda detainees in CIA custody, all of whom were subjected to some of the most intensive coercive interrogation techniques, variously said that the courier worked only with low level members of al Qaeda; that he was not a courier for bin Laden; that he wasn't close to al Qaeda's leader, and that he was focused only on his family following his marriage in 2002. None of this, of course, was true.

The CIA, of course, is not happy about the portrayal of its work in the Senate report, and in a rebuttal on its website on Tuesday the agency pushed back, saying that detainees "in combination with other streams of intelligence" played a role in finding bin Laden.

In particular the CIA cites a detainee, Ammar al-Baluchi, who was coercively interrogated and provided what it terms the first information indicating that the Kuwaiti was indeed bin Laden's courier, rather than just someone who was an ordinary member of al Qaeda.

The CIA rebuttal is not, however as persuasive as the very detailed history laid out in the Senate report, which is buttressed by copious source notes.

And, in any event, were interrogations of al Qaeda detainees really the key to how bin Laden ultimately was found? After all, it still took almost a decade after the first identification of the courier to find bin Laden.

Indeed, there were a number of key breaks that had little to do with the interrogations of al Qaeda detainees, which I discovered in the course of reporting my book "Manhunt."

A large break, according to U.S. counterterrorism officials, came in 2007, when a foreign intelligence service that they won't identify told the CIA that the Kuwaiti's real name was Ibrahim Saeed Ahmed.

It would still take three more years for the CIA to find Ibrahim Saeed Ahmed in Pakistan, a country with a population of 180 million. This involved painstaking work going through reams of phone conversations to try to locate him through his family and circle of associates.

In June 2010, the Kuwaiti and his brother both made changes in the way they communicated on cell phone, which suddenly opened up the possibility of the "geolocation" of both their phones, according to U.S. counterterrorism officials.

Finally, sometime in the late summer of 2010, the Kuwaiti received a call from an old friend in the Persian Gulf, a man whom U.S. intelligence officials were monitoring. "We've missed you. Where have you been?" asked the friend. The Kuwaiti responded elliptically. "I'm back with the people I was with before." There was a tense pause in the conversation as the friend mulled over that response. Likely realizing that the Kuwaiti was back in bin Laden's inner circle, the caller replied after some hesitation, "May God facilitate."

The CIA took this call as a confirmation that the Kuwaiti was still working with al Qaeda, a matter that officials were still not entirely sure about.

The National Security Agency was listening to this exchange and through geolocation technologies was able to zero in on the Kuwaiti's cell phone in northwestern Pakistan. But the Kuwaiti practiced rigorous operational security and was always careful to insert the battery in his phone and turn it on only when he was at least an hour's drive away from the Abbottabad compound where he and bin Laden were living. To find out where the Kuwaiti lived by monitoring his cell phone would only go so far.

In August 2010, a Pakistani "asset" working for the CIA tracked the Kuwaiti to the crowded city of Peshawar, where bin Laden had founded al Qaeda more than two decades earlier. In the years when bin Laden was residing in the Abbottabad compound, the Kuwaiti would regularly transit though Peshawar, as it is the gateway to the Pakistani tribal regions where al Qaeda had regrouped in the years after 9/11.

Once the CIA asset had identified the Kuwaiti's distinctive white Suzuki SUV with a spare tire on its back in Peshawar, the CIA was able to follow him as he drove home to Abbottabad, more than two hours' drive to the east.

The large compound where the Kuwaiti finally alighted immediately drew interest at the agency because it didn't have phone or Internet service, which implied its owners wanted to stay off the grid.

Soon, some CIA officials would come to believe that bin Laden himself was living there.

They were, of course, right.

@highlight

Did coercive interrogation yield evidence pointing to bin Laden?

@highlight

Peter Bergen says the Senate torture report finds that other forms of investigation were key

@highlight

Coercive interrogation actually yielded incorrect information, the report says