Attorneys for Texas teen Ethan Couch claimed that his "affluenza" meant he was blameless for driving drunk and causing a crash that left four people dead in June.

Simply put, Couch, 16, claims that his condition stemmed from having wealthy, privileged parents who never set limits for him.

Judge Jean Boyd sentenced him Tuesday to 10 years of probation but no jail time, saying she would work to find him a long-term treatment facility.

But Eric Boyles, who lost his wife and daughter in the crash, said on CNN's "Anderson Cooper 360," "There are absolutely no consequences for what occurred that day. The primary message has to absolutely be that money and privilege can't buy justice in this country."

Is "affluenza" real? Or is it a way for coddled children and adolescents to evade consequences for their actions?

Not surprisingly, "affluenza" does not appear in the Diagnostic and Statistical Manual of Mental Disorders, or DSM, the "psychiatric Bible."

Video: Callan: Poverty in prison cures affluenza

But the term highlights the issue of parents, particularly upper-middle-class ones, who not only refuse to discipline their children but may protest the efforts of others -- school officials, law enforcement and the courts -- who attempt to do so, said Suniya Luthar, a professor of psychology at Arizona State University.

"There are families where very, very few limits are set at a time when they should be," she said. By age 16, she noted, it's too late: "The horse is out of the barn."

The diagnosis for youths in such situations would be impulse control problems, said Atlanta psychologist Mary Gresham -- and impulse control problems are seen across all socioeconomic levels in families where limits aren't set.

"We don't know if the rates of poor limit-setting are higher in affluent families or not," Gresham said, noting that there has not been a lot of research.

Luthar says she has studied wealthier families, however, and "we've found the level of serious adjustment problems ranging from depression, anxiety, delinquency, substance abuse higher among kids of upper-middle-class families."

She says in one of her studies, her team gave youths several different scenarios, ranging from minor to serious infractions -- such as being caught for the third time with vodka at school or plagiarizing on a test -- and asked them how likely their parents would be to protest any punishment for them.

"There was definitely a subgroup of kids that said, 'My parents would object (to punishment from school officials),' " she said.

However, she points out that this is not the norm. "It's a small group (of parents) but very vocal, aggressive, entitled. ... There is definitely a small subgroup that is powerful and way off the charts."

"I wouldn't say there's worse parenting in affluent families and fewer limits set," Gresham said. "That's not true."

But in wealthy families, Gresham said, "kids without limits have a lot more resources to use for their impulsive behavior. They have a lot more money and a lot more access to powerful cars that are fast; to drugs and alcohol, because those things cost money. So the extra resources that you have to live out your impulse control problems really create a problem."

Both she and Luthar pointed out that affluent families also have the means to afford things like quality defense attorneys and treatment for their children. And, says Gresham, children in affluent families may not have jobs and may have more free time.

Blame it on 'affluenza,' rich kid syndrome

The day of the crash, Boyles' wife, Hollie, and daughter Shelby had left their home to help Breanna Mitchell, whose SUV had a flat tire. Youth pastor Brian Jennings also stopped to help.

All four died when Couch's pickup plowed into them. The vehicle also struck a parked car, which slid into another vehicle coming the opposite way. Two people riding in the bed of Couch's pickup sustained severe injuries.

Earlier that day, Couch and some friends had stolen beer from a local Walmart. Three hours after the crash, Couch's blood alcohol level was 0.24, three times the legal limit for someone of legal drinking age, according to prosecutors.

"There are ways in a society that we collectively shape the behavior of our kids," meaning parents, school officials and law enforcement, Luthar says.

"If you find the parents are not imposing limits themselves but fighting consequences ... then obviously, the child is going to continue whatever," she said. "You keep upping the ante." And unless a child faces consequences, their actions are "likely to mushroom."

"It really speaks to the importance of attending to our children's behavior early on," she said. "In all cases, it is the duty of us ... to step in and do the right thing. It's not just loving our kids but putting the appropriate limits" on their behavior.

Gresham says she understands why Couch's sentencing left some outraged but agrees with the judge that he should be in treatment.

"I can understand how people would be angry, if 16-year-olds from less affluent families are sentenced to juvenile detention and not treatment," she said. "All teenagers who act out should actually have access to therapeutic resources," although not all of them do.

Luthar says she doesn't like to blame children for their actions. But on "affluenza," she notes: "If you have a child who grew up in the inner city, and the parents abused crack, and (the child) was abused all along and grew up at the age of 16 and ran over four people, how likely is it the public or culture would say, 'You must understand, what the child did was a result of his upbringing'?

"It is hard to justify such vastly different approaches taken toward inner-city children versus those in affluence."

@highlight

A Texas teen claims "affluenza" rendered him blameless in a fatal DUI crash

@highlight

Some parents refuse to set limits, a psychologist says

@highlight

Those parents may resist efforts of others to discipline their child

@highlight

Without appropriate limits, a child's behavior will "mushroom," she says