The West has slapped stringent sanctions on Russia in response to the downing of Malaysia Airlines Flight 17, believed by the U.S. and others to have been shot down with a Russia-supplied Buk missile system by eastern Ukraine rebels.

While the introduction of financial sanctions will create the most immediate squeeze on Russia, it is the crack-down on the arms trade which has triggered debate. Future imports and exports between the EU and Russia are now banned -- but existing contracts, including France's $1.6 billion Mistral-class warships deal, are allowed to go ahead.

But Russia is one of the few countries in the world that is nearly self-sufficient in its defense production, according to IHS Jane's expert Guy Anderson. So will the arms embargo have an impact?

Here is a cheat-sheet on Europe's arms trade with Russia.

How big is the arms trade between Europe and Russia?

European Union countries earned $583 million from weapons exports to Russia in 2013, the bulk of which was part-payment of the Mistral deal, according to analysis from IHS Jane's.

Russia is, by comparison, the world's second largest military exporter after the U.S., earning $13.2 billion from arms exports last year. Its biggest customers are India and China, countries which have not joined the sanctions against Russia.

The industry is heavily regulated and EU figures track the bloc's arms trade by licenses approved. In total, European Union countries granted 922 licenses to sell $259 million worth of weapons to Russia in 2012, according to the latest statistics available.

However, according to Anderson, the licenses -- which in the UK, for example, expire after two years -- are more an "expression of intent" than indication of likely sales.

The trade with Russia compares to $4.3 billion worth of weapons the EU licensed arms companies to sell to the U.S.

What are the biggest deals?

While Russia is a significant player in the supply of arms, it has also leaned on Europe for some big deals.

The biggest -- and now most controversial -- is the Mistral contract of 2011, signed by France's previous government. The warships are powerful vessels equipped with six helicopter landing zones. Each of them can carry up to 16 heavy helicopters and around 500 marines.

The first of the two carriers due to be delivered is now completing sea trials, and 400 Russian troops are currently training on it in the French port of Saint-Nazaire.

David Prater, of Stockholm International Peace Research Institute (SIPRI), said they were Russia's first "serious" weapon supplied by Europe.

Russia's other significant deals include its purchase of two German engines for missile boats in 2001, and four light transport aircraft from the Czech Republic in 2012, according to the SIPRI databases. Details on the contracts are scarce but the Czech planes were reported to be worth around $3.2 million each. Russia also bought 60 army vehicles, reportedly worth estimated $24 million, from Italy in 2011.

According to the SIPRI, Russia has also agreed to buy at least eight drones from Israel in 2009, worth a reported $50 million.

Russia was also importing arms and military equipment from Ukraine, but the Russian Defense Ministry was reported saying it would phase this out within two years.

"Ironically, the loss of Ukraine as a supplier to Russia is far more significant that the loss of Europeans," Anderson said. "A lot of subcontracted work for Russia's industrial base took place in Ukraine."

Russian President Vladimir Putin's office did not respond to a request for comment on the deals and impact of sanctions.

Why is the Mistral deal so politically hot?

The Mistral warships -- which experts say are "very capable weapons of mobile war" -- have landed France in a politically awkward spot.

French Foreign Minister Laurent Fabius last week argued the country is contractually obligated to deliver the ships -- but his comments were made as  European relations with Russia deteriorated.

UK Prime Minister David Cameron declared the deal's completion "unthinkable" before being slapped back by Fabius, who echoed the phrase in reference to the UK's involvement in the 2003 Iraq invasion.

The Mistral deal keeps some 1,000 Frenchmen and women employed in a country with a 10% unemployment rate -- and reversing it would be costly.

However, French President Francois Hollande has thrown doubt on delivery of the second ship, saying last week it "depends on Russia's attitude."

What happens next?

European leaders are trying to hit Russia where it hurts with the latest round of sanctions.

As of Thursday, Russia state-owned banks will be restricted from accessing European capital markets and exports of oil-related equipment and technology to Russia will be slowed or stopped by red tape.

All new contracts for arms imports and exports between the EU and Russia will stop, and there will be a prohibition on exporting goods and technology that can be used for both military and civilian purposes.

But in the short-term, the arms ban is unlikely to have a significant impact on Russia's military might. "The embargo in itself doesn't change anything in Russian military capabilities right now," Siemon Wezeman, senior researcher with SIPRI said.

In the long term, he said, Russia could feel pain from losing access to the latest high-tech defense electronic systems developed in the EU.

Opinion: We must end this trade in weapons of warNina Dos Santos: To punish Russia, Europe must be prepared to suffer Map: Europe's thirst for Russian gas

@highlight

As part of its sanctions against Russia, the EU has cracked down on the arms trade with Moscow

@highlight

But Russia is one of the few countries in the world that is nearly self-sufficient in its defense production

@highlight

In the short-term, the arms ban is unlikely to have a significant impact on Russia's military might