(CNN) -- I would not take anything away from the success of Occupy Wall Street in bringing so many people together in Lower Manhattan and elsewhere. It is quite an accomplishment.

Notwithstanding what has happened so far, the hard work of leadership has not yet begun.

It is relatively easy to get disempowered, angry, frustrated people together to rail against a wide range of enemies and scapegoats. It is quite another to effect change.

Like it or not, the values and processes that have created the Occupy Wall Street phenomenon are inadequate and ill-suited to taking the next steps and creating real impact.

The democratic, inclusive, and consensus-driven norms that have guided OWS up to this point will not get it to the next level -- that is, if there is real interest in changing the current reality rather than just complaining about it and speaking out against it.

Another view: Occupy beta tests a new way of living

Here are three big examples of the self-imposed constraints that will get in the way.

First, everyone's grievance is equal to everyone else's grievance. Anti-capitalism, lack of health care for the uninsured, tuition hikes at public universities, and many other complaints share the stage. The message is muddied. Clarifying the message and focusing on specific targets are necessary next steps. They will inevitably leave some of the grievances on the cutting room floor, and leave those who care most about those abandoned grievances disappointed and alienated both from the rest of the group and from their own constituents who are not camping out at Zuccotti Park, but who expected them to ensure that their particular issues stayed front and center.

Second, the nonhierarchical consensus-driven process will soon reach the end of its utility, at least in its purest form. If OWS is to lead change rather than just call for change, some individuals will have to step up and take on authority roles. The presence of authority is essential in order to move this work forward. Someone, or some ones, will have to provide some of the functions of authority -- direction, protection and order -- so that the movement can begin to make hard choices, create priorities, allocate human and financial resources, and keep the anarchistic outliers from undermining the potential outcomes.

When people have different agendas, the downside of operating by consensus is that the only way to get everybody to agree is to agree on something that is so ethereal and abstract it becomes meaningless. That works in an election where you are mobilizing people to vote (see Obama 2008 and "Change We Can Believe in"), but not to generate change from the outside in.

Third, the movement will have to decide whether it is willing to create change by infiltrating the dreaded system it is trying to change. There is no other way except violent revolution, and if those in Zuccotti Park think there has been pushback so far, wait till they see what is in store for them if there were to be violence.

History has important lessons here.

The great movements of the 1960s in civil rights, women's rights, and opposition to the Vietnam War were narrowly focused, well organized, strategically brilliant, and, while attracting large numbers of people, managed by people who took on authority roles and made essential decisions, albeit often with significant consultative processes.

They all used their share of extreme measures, but all were directed toward capturing the attention and support of people on the sidelines. Violence, when it surfaced at all, was perpetrated by the system, with the protesters having adroitly stimulated the establishment powers to overreact, thus generating more popular support for their cause.

The over-the-top response by law enforcement to nonviolent civil rights protests was so embarrassing to Northern liberals like me that we had to get involved and provide the civil rights cause the additional personpower, financial resources and political clout to create change.

More recently -- and both sides hate this comparison -- in a remarkably short period of time, the tea party movement went from a rowdy group of people who felt disenfranchised in different ways to a nonviolent army with a sharply focused, clearly articulated agenda, and fierce commitment to infiltrate the system in order to change it. It has been amazingly successful, influencing elections and the political discourse and soon winning elections with candidates who were completely beholden to its agenda, whether they believed in it all or not. Whether you like it or not, the tea party has changed the system.

Where does that leave OWS?

Very soon, it will come to a fork in the road. Numbers are very important in a democratic society, and OWS is beginning to have numbers that have caused some establishment members they are railing against to take notice, either positively or negatively. Right now, the Zuccotti Park protesters are being used by those establishment folks, one way or the other, to shore up their own bases and spruce up their own images. Those numbers will only translate into power, and then change, if they can be harnessed to raise the heat on the decision-makers to get them to do something they would otherwise not do. That translates, alas, into joining the system they are protesting against, by taking a page out of the tea party's book and working in campaigns, raising money, and running for office.

Leadership is a risky and subversive activity. The crowds at Zuccotti Park and their colleagues in other cities have yet to demonstrate that they are interested in anything other than, well, demonstrating.

The opinions expressed in this commentary are solely those of Marty Linsky.

@highlight

Marty Linsky says it's impressive that Occupy Wall Street has so many supporters

@highlight

But he says it isn't likely to have a big impact unless it develops leadership

@highlight

Governing by consensus means agreement on watered-down, vague goals, he says

@highlight

Linsky: Great movements of 1960s were narrowly focused, well organized and strategic