(CNN) -- Like many immigrant parents of Central American children who cross the U.S.-Mexico border alone, Elva Marroquin Rosales is now in agony over what became of her two small youngsters who dared to enter the United States illegally by crossing Rio Grande River.

For two or three weeks, the Los Angeles area mother heard nothing about her son Angel, 10, and daughter Dulce, 7. It's a silence many Central American families in the United States endure, wondering for weeks or even months if their child is alive or dead.

Then, Marroquin finally heard word about two weeks ago: she received a phone call from an "immigration" official in Texas who desperately sought the mother's voice in order to calm her two sobbing children, who were apparently in a detention facility.

At last, Marroquin knew they were at least alive. She soothed her children, but then the June 8 phone call went dead.

"My children were heartbroken, sad, tearful, crying beyond comparison, begging me to take them out of there," Marroquin, 25, said. "Their begging was so distressing because I couldn't run to get them."

Since then, Marroquin has been unable to track down the detention facility in Texas that called her, and now the angst of her children's absence goes on, day after day. Her son told her a painful rash was stinging his body.

"I wanted to run and tell him, 'Son, I'm here and you have me here,' but I simply couldn't. I cried and asked God to look after them," said Marroquin, who lives in Rialto, California.

Marroquin's ongoing saga is the other half of what families experience when children, some as young as age 5, cross the border alone, with siblings or with other children as they become part of a disturbing new tactic to enter the United States illegally.

Marroquin has now been waiting a total of one month for an official notice about her children's status.

"To be together with them and hugging them and telling them, 'I love you,' it will be worth the wait and the sacrifice," Marroquin said.

Risking all

It's a high-risk mission that imperils a family's most precious asset -- and an experience shared by other parents and relatives of tens of thousands of Central American children. Many children become victims of crime or sex abuse during their unchaperoned journey.

If the child successfully enters the country illegally, the reward for families and parents such as Marroquin is an emotional reunion of a high order.

In Marroquin's case, she and her husband have been living in the United States for six years and now have an 8-month-old baby, their third child, whom the two older siblings haven't met face-to-face.

The mother hasn't seen her two eldest children in person during those six years. She kept in touch with them online, through video chats on Skype.

Marroquin hopes U.S. officials will call her again soon so her family can be reunited.

But such U.S. reunions are being discouraged by federal officials, who are now streamlining bureaucracy so that the government can hasten the deportations of the children, to separate them again from their U.S.-based families.

At the same time, the U.S. government is providing several million dollars in additional support for the three main Central American countries -- El Salvador, Guatemala, Honduras -- to receive and repatriate migrant children and other deportees, the White House said Friday.

Besides the peril of crossing the desert or waterways along the border, the children are finding their eventual arrest and detention as equally distressful: U.S. processing and detention facilities are designed more for adults than minors and offer poor living conditions for children.

"It is also hazardous to send a child into South Texas to a processing center," Department of Homeland Security Secretary Jeh Johnson stated last week. "A processing center -- and a number of us here have seen them ourselves -- are no place for children, and to put a child into hands of a criminal smuggling organization is not safe either.

"I would encourage no parent to send their child or send for their child through this process," Johnson said.

But Central American families take the risk any way, with private hopes that somehow they can obtain legal residency some day -- though the Obama administration warns that the unaccompanied children or mothers with children won't benefit from any proposed immigration reforms or a deferred deportation policy for young immigrants called Deferred Action for Childhood Arrivals.

Central American treatment

What makes Central American children an exceptional case is how U.S. also favors them over other children arrested at the border: Mexican children are deported immediately, but the other Latin American children are detained and then put in the care of parents or relatives in the United States. They are then assigned a court date, but union leaders of the U.S. Border Patrol agents say many families skip the court dates, and the children join America's population of 11 million undocumented immigrants.

Often fleeing drug and gang violence in their home countries, the children take buses from El Salvador, Honduras and Guatemala, and when they reach the U.S.-Mexico border, they cross alone, with siblings or in groups of children, according to families.

In Marroquin's case, her children were chaperoned by a relative on the bus rides from Chimaltenango, Guatemala, but when they reached the U.S. border, the two children joined a group of other minors, some with mothers, and crossed the Rio Grande River, Marroquin said.

Marroquin offered some insight into why families allow children to take such unaccompanied risks: A smuggler charges $8,000 to guide two children to the border, but then asks for $7,000 more to escort them across, for a total of $15,000. Marroquin said she didn't use a smuggler, or so-called coyote, and instead relied on a family member to bring the children to the riverbank.

To reduce the inflow, the U.S. government is providing millions of dollars in aid to the three Central American countries to combat violence at home: $40 million for Guatemala, $25 million for El Salvador, and $18.5 million for Honduras, the White House said.

In the meantime, U.S. agencies are taking a disaster-like approach to what the White House calls the "urgent situation" of unaccompanied minors crossing into the United States.

On Friday, Vice President Joe Biden met with Guatemalan President Otto Perez Molina to discuss the massive migration of children from there. Biden also spoke by phone with Honduran President Juan Orlando Hernandez on his way to Guatemala to discuss a regional strategy to reduce the migration.

At the same time, Homeland Security Secretary Johnson was scheduled to travel Friday to Texas to review the U.S. response to the crisis.

A Salvadoran mother's wait

On average, apprehended child migrants under age 18 spend 35 days in U.S. custody and holding facilities, said Kenneth J. Wolfe, a deputy director of the U.S. Department of Health and Human Services, which provides the care and placement for such children.

But some parents, such as one El Salvador immigrant mother in Los Angeles, had to wait so long that they began to wonder if they would ever see their child again.

The mother asked to be identified only by her first name, Ana, because she fears for the safety of her two children.

Her 12-year-old son, Henry, and 9-year-old daughter, Estefania, left El Salvador with their grandmother in December, and the three arrived in Mexico on December 24, Ana said.

In early January, the grandmother hired a smuggler in Mexico to take the two children to the Rio Grande River and point them to Texas, Ana said. The grandmother last saw her two grandchildren in the company of other children, some with mothers, near the river, Ana said.

It's unclear how far the smuggler may or may not have accompanied the children across the Rio Grande, Ana said.

Two weeks later, Ana received a phone call from a U.S. immigration official.

The good news was the official had Ana's children in custody.

The bad news was her son was crying, and the federal worker asked the mother to speak to her son.

"All I told my son is to calm down, that everything will be okay," Ana said.

Then, "the call got cut off, and they didn't call me back," she said.

Said son Henry in a recent interview: "When I talked to my mom, I told her where I was, and she said not to worry and the phone got cut off."

A month later, HHS social workers called Ana: at last, they arranged for Ana to pick up her kids at Los Angeles International Airport.

The rendezvous occurred in February.

"This was the longest wait for my life. I didn't know nothing -- how they were, if they ate or not," the mother said. "When I saw them, I felt happy. They ran and hugged me and my daughter cried and I did, too, and that was it.

"Now that my kids are here. It's worth that risk," the mother said.

Her two children seemed to agree -- though Estefania says she misses her grandmother, who raised them the past six years and is now back in El Salvador.

"Ever since I've been here my mom has taken us to different places, she has bought us toys, and she has taken us to really cool places," Estefania said. "I'm happy to be here because it's different."

Crossroads of hope and fear: Stories from a desert bus station

Daniel's journey: How thousands of children are creating a crisis in America

@highlight

Parents wait for weeks wondering if their child survived a border crossing

@highlight

A Guatemalan immigrant mother has been in agony for a month

@highlight

Immigration officials often call mothers so that they can calm down crying children

@highlight

But those calls are abruptly cut without any official information on whereabouts