(CNN) -- From wars in Ukraine and Afghanistan to the fast-spreading spectre of ISIS in the Middle East, it's no wonder that this week's NATO summit in Wales is being called "the most important gathering of NATO leaders in more than a decade."

NATO leaders arriving in Cardiff will have a host of issues to deal with, so what should we expect?

In short, we should see a return to NATO's core mission of facing a re-emerging security threat from the east.

Russian President Vladimir Putin's push in to Ukraine has the 28-nation alliance focused on action -- and that goes double for NATO's new members in the east, including Estonia, Latvia, Lithuania and Poland.

But the 65-year-old alliance's worries aren't limited to Eastern Europe. ISIS, the terror group that has declared an independent state in Iraq and Syria in recent months, is threatening to spew violent ultra-jihadists on to NATO members' streets.

And Afghanistan, NATO's biggest overseas commitment of troops, is in flux, so adjustments are required there as combat troops prepare to depart at the end of the year.

Last -- but by no means least -- as NATO looks to its future, it wants to build on its past. The alliance will seek to use lessons it has learned in nation-building to create advisory and training teams in a drive to carve out a role as a global security hub.

Return to core mission

A rapid or readiness action plan will emerge and will likely include much of the following:

1. Preparing thousands of troops that can be ready to deploy at 48 hours' notice.

2. Preposition defense equipment at bases in Poland and the Baltic nations.

3. Equipping troops for constant rotation through the bases in front line states for as long as needed -- rather than maintaining a permanent force, which would contravene the NATO-Russia founding act.

4. Extending measures for air policing of NATO states.

5. Considering an increase in NATO's naval presence in the waters around member states.

The major issues on the table will include:

Afghanistan

This is expected to be the first major topic up for discussion. NATO's role there will change as U.S. troops draw down over the next two and a half years. The role of ISAF forces in the country will shift from leading Afghan troops in the fight to supporting Afghans in an advisory and training role.

Asymmetric and hybrid threats

NATO is also expected to discuss the best way to face Russia's new hybrid, or asymmetric style of attack -- Putin's sending of masked, unidentified "green men" into Ukraine to intertwine with local militias, rather than deploying a traditional invasion force of armored vehicles and tanks.

The solutions to this challenge may include any of the following: special forces, cyberwarfare, counterinsurgency, greater intelligence gathering, or stronger border security.

The aim is to reassure those NATO nations who feel most exposed to Putin's new nationalist-fueled expansionism -- namely Estonia, Latvia, Lithuania and Poland -- but it's also to improve the readiness time with which troops can be deployed to defend NATO's interests in the east.

Ukrainian President Petro Poroshenko, who is attending the summit, will of course pay close attention to all these details, but as Ukraine is not a NATO member it may be of little direct benefit to him.

The hope, of course, is that Putin will see NATO's resolve and recalibrate his westward adventurism. But nothing so far indicates that's remotely close to happening.

In the interim, NATO leaders are expected to discuss how they can support Ukrainian democracy and strengthen security -- and also explore what further material and economic support they can offer to the war-torn country.

Global Security Hub

Another major item on the agenda will be a discussion about NATO's role as a global security hub. The alliance is considering using its experience to build up the defense and security capacity of governments in hotspots around the world, using small teams of NATO advisers and trainers.

Money

All NATO nations are obliged to commit 2% of their GDP on defense spending, but very few do. The U.S. spends 4.4% of its GDP on defense -- and President Barack Obama will be hoping to push the Europeans to keep closer to their commitment on this issue.

ISIS

Obama is also keen to get NATO's support for tackling the growing ISIS menace emanating from Iraq and Syria. Perhaps indicating how late this issue has raced up the agenda, discussion on the topic may get it best airing at the summit dinner amid the trappings of historic warfare at Cardiff castle. Given the toxicity pervading discussion around Middle East intervention, the leaders will likely be hoping they don't leave the banquet with a bitter after taste.

@highlight

NATO summit is called "the most important gathering of NATO leaders in more than a decade"

@highlight

NATO may return to core mission of facing a re-emerging security threat from the east

@highlight

Russian President Putin's push in to Ukraine has the 28-nation alliance focused on action

@highlight

As NATO looks to its future, it wants to build on its past