(Financial Times) -- Prime minister Manmohan Singh faces a growing political storm over how to measure poverty in India amid fears that new benchmarks proposed by a powerful policymaking body could see many of the country's poor lose their welfare benefits.

The poverty line estimates in India, traditionally worked out by calorie intake, are highly sensitive because as many as 400m Indians live on less than $2 a day. Those below the poverty line are entitled to subsidised food and other welfare payments.

But new benchmarks by the Planning Commission, submitted in an affidavit to the Supreme Court as part of new food security legislation, suggest that a person living on more than Rs32 ($0.64) a day in urban areas, like New Delhi and Mumbai, would no longer be classified as being below the poverty line. The threshold for rural areas would be Rs26 a day. By comparison, the World Bank's poverty line is $1.25 a day.

India is now home to more poor people than the entire sub-Saharan Africa region. Two years ago, a government appointed commission estimated that one in three Indians live below the poverty line.

The commission's estimate was higher than an earlier Planning Commission estimate of 28 per cent of the population. But Montek Singh Ahluwalia, the respected economist who is now the Planning Commission's deputy chairman, has argued that up-to-date data will show that India has made considerable progress in reducing poverty levels.

The proposed new benchmarks have angered leaders across India's political spectrum. They have also opened India's two most respected government economists -- Mr Singh and Mr Ahluwalia -- up to criticism that they are out of touch with the poor in India, who are struggling with the highest inflation of any large emerging market .

Yashwant Sinha, a former finance minister and Bharatiya Janata party leader, lambasted poverty threshold estimates put forward by the Planning Commission as "laughable".

Mr Sinha derided the body's calculations as having exposed Mr Singh, who cuts an increasingly solitary figure in his cabinet after a year battling high profile scandals, as insensitive to what was "a matter of life and death" for many people and the cause of violence across India.

"Neither the prime minister nor the deputy chairman of the Planning Commission has any real idea of poverty. They rarely go to the villages and interact with the poor," Mr Sinha said.

The benchmarks have also divided the Planning Commission itself. A senior member of the commission told the Financial Times that the poverty line figures should not have been included in the affidavit. He said the government had to do better on how it communicated economic policy to the country's 1.2bn people. "I wouldn't have put these numbers in," he said. "You can't [as an economic planner in India] get on your high horse of economic rationalism."

Senior Congress party ministers have also raised objections. Jairam Ramesh, the minister for rural development and a close ally of Congress party president Sonia Gandhi, has written to Mr Ahluwalia asking him to consider alternative measurements and warning of possible confrontation.

A.K. Shivakumar, a member of the National Advisory Council chaired by Mrs Gandhi, said Rs32 a day went nowhere in India's fast-growing cities where rents are high and food inflation in double digits.

© The Financial Times Limited 2011

@highlight

Indian prime minister faces a growing political storm over how to measure poverty

@highlight

Proposed policy changes may lead to many of India's poor losing their benefits

@highlight

India is home to more poor people than the entire sub-Saharan Africa region