(CNN) -- Evidence of another deadly attack in Syria has surfaced, this one with an incendiary agent, opposition activists said Friday.

Seven people died and dozens were wounded Monday in the attack on a school in northern Syria, they said.

The allegation comes as U.S. President Barack Obama considers military action against the regime of Syrian President Bashar al-Assad after what U.S. officials and chemical weapons experts say was a chemical weapons attack on the outskirts of Damascus on August 21.

Videos that activists said had been shot in the Urum Al-Kubra village of Aleppo province after the Monday attack show people with severe burns, but no other external injuries.

Bergen: Syria is a problem from hell for the U.S.

Some people reported hearing nothing before chemicals started to burn them.

"It's like they used chemicals, like napalm or something," said a doctor at a local hospital who confirmed the casualties. "It's causing a lot of burns."

CNN has not been able to independently confirm the accounts.

An expert who saw the videos, which were broadcast Thursday on the BBC program "Panorama," said they did not appear to show the aftermath of a chemical weapons attack.

What do Syria's neighbors think?

"You could see burns around the school, the playground, it looked like there had been a fire," said Alastair Hay, professor of environmental toxicology at the University of Leeds, in a telephone interview. "Chemical weapons don't cause that sort of destruction.

Hay, who advises the British government on chemical weapons issues, applauded Parliament's decision not to back British involvement in military action against the government in Damascus.

"I think the U.N. process should be allowed to run to completion," he said, referring to Secretary-General Ban Ki-moon's request that the Organization for the Prohibition of Chemical Weapons carry out an investigation on his behalf.

The OPCW oversees the Chemical Weapons Convention, which bans the production, stockpiling, and use of chemical weapons and has been signed by 189 countries. Syria has not.

Why Russia, China, and Iran are standing by Syria

If the OPCW were to find that chemical weapons had indeed been used, that would pressure China and Russia -- which have signed it -- to support some action against Syria, Hay said.

"These governments have been supportive of the OPCW; it would be very difficult for them to ignore a report produced by the OPCW's inspectors."

It is the indiscriminate nature of chemical weapons that puts them in a particularly abhorrent category, noted Hay, who said he was confident they had been used in Syria.

"All of the features that I saw in all the videos that I've seen, with individuals having no evidence of trauma, having great difficult breathing, suggests exposure to something that is causing asphyxia," he said. "Chemical agents in the nerve-agent category do this."

Still, he added, "I'd like to see the final proof."

Does the public care about U.N. support?

If the OPCW were to conclude that chemical weapons had been used, the debate would then turn to who used them.

The manufacture of chemical weapons such as sarin is a technique known to very few, he said. "It's a very dangerous process because the chemical is so toxic, and you have to make sure that there's protection for those involved in making it. Otherwise, they will die."

Putting the chemicals into a weapon requires another set of skills that are known to very few people, he said. "It's not something you can do in your lockup or your garage; it would, obviously, point to somebody like a government having these weapons."

Obama's talk about the use of chemical weapons crossing a "red line" appears to have put him into a corner, Hay said. "It's difficult to know how he's going to back out of that one, without some kind of punitive strike."

Hay said he hoped any military action would not be against al-Assad's chemical weapons stockpiles because "that runs the risk of spreading these agents even further."

Syrian crisis: Latest developments

The alleged use of chemical weapons in the August 21 attack in a suburb of Damascus was only the latest of more than a dozen such reports in recent months, according to Jon Day, the chairman of Britain's Joint Intelligence Committee.

"We have assessed previously that the Syrian regime used lethal CW (chemical weapons) on 14 occasions from 2012," he said Thursday in a two-page report to Prime Minister David Cameron.

If what Day described as "a clear pattern of regime use" of chemical weapons has indeed been established, why did the latest report spark a more bellicose response from world powers?

Part of the answer lies in the scale of the event, in which hundreds of people are reported to have died, said Dr. Howard Hu, a consultant on chemical weapons for Physicians for Human Rights and dean of the Dalla Lana School of Public Health at the University of Toronto.

In addition, the evidence is strong, he said. "This time, there was enough videotaped evidence of victims subsequent to the attacks to provide a level of detail that allowed observers like myself to see signs that were consistent with an acute response to a nerve agent. And that level of specificity, I think, also increased the level of certainty and urgency to this."

Hu noted the August 24 report by Medecins Sans Frontieres, also known as Doctors Without Borders. It cited information from three hospitals it supports in Syria's Damascus governorate that said some 3,600 patients had arrived at one of the hospitals within a three-hour time span showing neurotoxic symptoms, and that 355 of them died.

"Medical staff working in these facilities provided detailed information to MSF doctors regarding large numbers of patients arriving with symptoms including convulsions, excess saliva, pinpoint pupils, blurred vision and respiratory distress," said Dr. Bart Janssens, MSF director of operations.

Secretary of State John Kerry said Friday that U.S. intelligence information found that 1,429 people were killed in the attack, including at least 426 children.

Patients were treated with atropine, a drug for neurotoxic symptoms.

Janssens said the group could neither confirm the cause of the symptoms nor identify who was responsible.

However, he added, "the reported symptoms of the patients, in addition to the epidemiological pattern of the events -- characterised by the massive influx of patients in a short period of time, the origin of the patients, and the contamination of medical and first aid workers -- strongly indicate mass exposure to a neurotoxic agent. This would constitute a violation of international humanitarian law, which absolutely prohibits the use of chemical and biological weapons."

Hu said that the reports of medical personnel winding up with some of the same symptoms suffered by their patients "is very consistent with a toxic CW agent causing secondary effects. So, put it all together, it's a very, very compelling case."

Charles P. Blair, a senior fellow on state and non-state threats at the Federation of American Scientists, said Thursday that the August 21 report stands apart from the others in the number of reported casualties.

But questions remain about all of the reported cases -- as to what agents may have been involved and who was responsible, said Blair.

"I think it's likely the Assad regime has (used) sarin on potentially two occasions, maybe three that we know if, but it's done so using very, very small quantities of it," he told CNN in a telephone interview. "And it's used primarily to dislodge entrenched opposition forces and probably to test the international community" to see how it responds, he said.

That would not explain the apparently large use reported in the August 21 attack, which crossed the administration's oft-repeated "red line," he said.

"If it was a chemical attack, if it was the Assad regime, it was such an egregious and completely irrational use of chemical weapons that the administration had to respond," he said.

But that has left the administration in a dilemma, he said. "There's nobody on the ground right now that they can identify that they can back safely without the risk of that group being overrun or taken over by the jihadist groups in Syria."

In other words, the jihadists could wind up being empowered if the Obama administration carries out an attack, he said. "If they don't play this right, the leadership in Damascus could be jihadist -- with a large chemical weapons arsenal at their disposal."

Blair proposed three theories about why the Syrian regime might have carried out the attack:

-- It is playing an "incredibly complex chess game, playing like what Spock used to play -- it makes sense to them, but we can't even figure it out;"

-- The regime is beginning to disintegrate and the attacks were carried out by rogue elements and was not authorized;

-- The leadership has lost touch with reality.

Attacking the regime would be a risky move, he said. "You don't know the response. They could launch Scuds at Israel full of sarin."

Another concern: the command and control over the country's vast stocks of chemical weapons could be delegative, meaning that subordinates in the field may have the power to launch the stocks if certain conditions are met. "So, if the United States destroys x,y and z, it could actually trigger a response from commanders in the field."

And Blair added that he was not persuaded that chemical weapons have indeed been used. "There's nothing available in open sources that they definitively have been," he said.

Verification is critical given the U.S. government's history of being duped about the alleged weapons of mass destruction that preceded the U.S.-led attack on Iraq. "Words can't describe how catastrophic it was," Blair said. "Most people in the community are skeptical."

@highlight

It does not appear to be a chemical weapons attack, expert says

@highlight

Professor says he's confident chemical weapons have been used, but wants proof

@highlight

Russia, China have signed the Chemical Weapons Convention