London, England (CNN) -- From the original celebrity endorser King Henry VIII to modern-day superstars such as Cristiano Ronaldo and Lionel Messi, the humble football boot has come a long way.

Britain's notorious wife-beheading royal paid four shillings -- the equivalent of $1,350 in today's money -- for his custom-made leather pair that were in an inventory of his wardrobe when he died in 1547.

By comparison, Nike's new Mercurial Vapor Superfly II is the most expensive boot on the modern retail market, coming in at around $400.

Henry VIII's boots would have been sturdy models made from tough leather to cope with the violent, no-rules, all-in-brawl approach to the game of the 16th century, a far cry from the streamlined and lightweight shoes designed for today's game.

"We have a revolutionary technology which has a stud that adapts to different pitch conditions," Nike design director Andy Caine told CNN.

"This will make the fastest player even faster whatever the pitch conditions might be. For a modern footballer who's really fast, this is really going to change his game."

The birth of boot-making giants

From workers knocking about in brutal steel-caps, the evolution of boots really kicked off in the late 1880s when nailed-in leather studs helped with traction in muddy fields.

In 1948, a falling-out between the two German siblings behind the Dassler Brothers Shoe Factory led to the creation of Adidas and Puma -- the two most influential boot makers until the emergence of Nike in the 1980s.

Both companies laid claim to the invention of the screw-in synthetic stud.

Adolf ("Adi") Dassler's company said his firm's innovation helped Germany win the 1954 World Cup when treacherously wet weather struck before the final against Hungary, but brother Rudolph insisted Puma's Super Atom boot featured interchangeable studs years previously.

Two decades later, Puma struck an important blow by signing up the world's greatest player, Pele, for $125,000, according to a book by Dutch author Barbara Smit.

At the opening game of the 1970 World Cup, the Brazil legend asked the referee to delay starting the match so he could tie up his laces -- meaning valuable exposure for Puma as the world's television cameras focused in on the player's feet, Smit wrote in "Three Stripes Versus Puma."

Pele's Puma King range was also worn in the 1980s by Argentina superstar Diego Maradona, giving the company an association with two of the best players to have graced the sport, says Alan Spurgeon of specialist Web site www.Footy-Boots.com.

Enter the Predator

But Adidas consolidated their position at the top of the boot market thanks to a much lesser-known player.

Craig Johnston, born in South Africa and raised in Australia, made his name with English club Liverpool in the 1980s. After retiring at the relatively young age of 27 to look after his ill sister, Johnston came up with the novel idea of adding rubber patches to the outside of boots, which boosted control of the ball and gave added swerve when kicking it.

"I was coaching kids in Australia and I was telling them that they had to grip and bite into the ball like a table tennis bat to swerve it. 'That's fine Mr Johnston,' they said, 'but our boots are made of leather and not rubber, it's raining and they are slippery,' " he told Britain's Design Museum Web site.

"I went home and took the rubber off a table tennis bat and stuck it on my boots with super glue. Immediately I went outside again and kicked the ball, I could hear a squeak when the rubber engaged with the polyurethane of the ball."

The result, after years of development, was the Predator. Launched in 1994, it has been worn by superstar names such as Zinedine Zidane and David Beckham -- both of whom had customized versions.

Johnston, ironically, has recently been a critic of modern boots, saying they contribute to injuries suffered by players.

"People say that the boots don't provide enough protection. In fact, the opposite is true," he told FootyBoots in 2009. "The problem is that the boots are so well made there is no give at all in the materials -- especially the cheaper synthetics.

"The pitches are now so well-maintained and even woven with synthetic materials that the players' studs engage like they should do, but they don't release enough, causing injury. Also, the studs are far too long and give far too much grip."

A new major player in the market

The next most significant boot was Nike's Mercurial Vapor, Spurgeon said, launched in 1998 with the endorsement of Brazilian World Cup winner Ronaldo.

That range's popularity is expected to continue with the Superfly II, worn by Portugal's Real Madrid superstar Cristiano Ronaldo -- the planet's most expensive player at $130 million -- at the World Cup in South Africa.

Caine said the design took a painstaking three years.

"We really started from scratch on this boot," he said. "It's a long process. Every change you make, you have to make a sample then you have to test it on the pitch, test it in a lab, and make sure it provides a benefit."

The process starts with a small core team who focus on what needs improving from the previous boot, Caine said, gathering input from players and seeking out the latest technical innovations.

"Once you get onto the manufacturing side there's obviously larger development teams that come into it," he said. "A lot of people touch it through its life cycle, but there's quite a small core team who work on the real essence of the design and what it's about."

While Caine is proud of the Superfly's new adaptable retraction system, which can change and extend automatically, Adidas have also unleashed an innovative new product before the World Cup -- even daring to revamp the traditional three-stripe design in a boot that changes color in different light.

The AdiZero is the lightest football boot on the market, Spurgeon says, with 2009 world player of the year Lionel Messi's F50 spearheading the range.

"It's the fastest and lightest football shoe that we've ever created," Adidas senior product manager for footwear Aubry Dolan told CNN.

"We've talked to the players, professionals and amateurs, and their message was very simple: make me faster.

"The goal was simple, the challenge was very difficult. Never before have so many players felt, touched, tested, seen and thought about the product."

Who rules the roost?

The leading companies are coy about releasing boot market figures, but Spurgeon believes Adidas is a clear leader from Nike -- last year the firm claimed it had a 50 percent share in North America and Germany.

United States-based Nike, however, is regarded the No. 1 sportswear company, he said.

And it may be team shirts and balls, rather than boots, which prove to be the biggest money-earner at the World Cup, according to Germany-based marketing consultancy SPORT+MARKT.

"As the sale of boots is still the core business, both companies are trying hard to sign the world's best football players to endorse their products," consultant Stephanus Tekle told CNN.

"However, although boots are the right tool to promote the reliability and the technology of the brands, in terms of sales the World Cup shows a different trend.

"During the event, fans tend to show commitment to their own national teams by purchasing the official jersey and the official ball rather than the boots of their favorite football players. This is probably the most profitable line of business during the World Cup for both Adidas and Nike."

New avenues: The Internet

Adidas has guaranteed maximum exposure in South Africa by buying up exclusive sponsorship rights, forcing Nike to continue the more innovative tactics it started with 2006's "Joga Bonito" social networking-style Web site.

"Now Nike is trying to pursue a long-term strategy: no more single campaigns but the activation of more comprehensive marketing, especially via the Internet," Tekle said.

"For instance, Nike is deeply involved in CSR (Corporate Social Responsibility) activities with the latest campaign, "Lace Up, Save Lives," endorsed by important athletes. The aim is to lend more credibility and reliability to the brand.

"The Internet is soon going to be a major resource for the kit suppliers more and more, and new innovative campaigns should be expected on the web."

@highlight

The first recorded football boot belonged to Britain's King Henry VIII almost 500 years ago

@highlight

Leading manufacturers Adidas and Puma formed by the feuding Dassler brothers

@highlight

U.S. company Nike began to emerge as the top rival to German firm Adidas in 1990s

@highlight

Both companies are launching new boot ranges ahead of World Cup in South Africa