Washington (CNN) -- There is little evidence the U.S. government's sweeping collection of phone records, as revealed by admitted intelligence leaker Edward Snowden, has helped prevent terror attacks as national security officials have claimed, a top senator said on Wednesday.

Senate Judiciary Committee Chairman Patrick Leahy opened a hearing on the controversial National Security Agency (NSA) program applied under post 9/11 anti-terror legislation and approved by a secret court by questioning if it works or is needed.

"If this program is not effective, it has to end," the Vermont Democrat said of the phone record collection program under Section 215 of the Patriot Act.

He noted that classified details provided by the NSA on how the initiative had been used do not "reflect dozens or even several terrorist plots" that it helped prevent "let alone 54 as some have suggested."

Despite Leahy's complaint, NSA Director Gen. Keith Alexander later Wednesday repeated the figure of 54 terrorist events thwarted by the overall surveillance effort, of which the Section 215 program is one component.

"If we tell everyone exactly what we're doing, then the adversaries will know exactly how to get through our defenses," he told a conference in warning of the danger caused by Snowden's leaks.

Published reports have indicated the NSA received secret court approval to collect vast amounts of so-called metadata from telecommunications giant Verizon and leading Internet companies, including Microsoft, Apple, Google, Yahoo and Facebook.

NSA chief: Snooping is crucial to fighting terrorism

This includes "non-content" material -- phone numbers called, or e-mail addresses -- rather than the actual substance of the information, which would require a separate search warrant.

Senate Intelligence Chairman Dianne Feinstein said her panel was looking at potential changes to the surveillance programs, including a reduction in the five-year limit that the NSA currently can can hold gathered records.

Feinstein, a California Democrat, said the Senate also was considering a requirement for the NSA to expedite its review of information it collects under the Section 215 program and another one that gathers Internet use information from abroad.

"These are things that can be done to increase transparency, but not to stop the program," she said. "I believe, based on what I have seen and I read intelligence regularly, that we would place this nation in jeopardy if we eliminated these two programs."

Meanwhile, the Guardian in London published a report on an NSA program that it says mines Internet browsing history and other online data, some of it in real time.

The program called XKeyscore, which does not require any type of formal authorization, was detailed in documents leaked to the newspaper by Snowden, the Guardian said Wednesday.

Snowden's revelations have triggered new debate about national security and privacy interests, and about the secretive legal process that sets in motion surveillance.

With lawmakers sharpening scrutiny of how the law is applied and the House narrowly defeating an amendment to cut surveillance funding last week, the Obama administration is scrambling to demonstrate more transparency and regain congressional support.

Earlier this month, it declassified and publicized the NSA program's periodic renewal. On Wednesday, Director of National Intelligence James Clapper released other previously secret documents, including reports from the 2009 to 2011 period.

Report: FBI wanted to fly Snowden's father to Moscow

The Justice Department reports were aimed at helping Congress understand the surveillance as lawmakers debated renewing relevant parts of the Patriot Act.

"The National Security Agency's bulk collection programs provide important tools in the fight against terrorism, especially in identifying terrorist plots against the homeland," the 2011 report said. "These tools are also unique in that they can produce intelligence not otherwise available to NSA."

Snowden's father: My son loves his country

At Wednesday's hearing, Justice Department and security officials conceded the lack of direct causal links between the Section 215 phone record collection and thwarted attacks, but said the program was part of a crucial network for filling information gaps.

Opinion: We need transparency on domestic surveillance

They said the network of surveillance programs over the years helped thwart dozens of plots, including those targeting the stock exchange and the subway system in New York.

In another apparent bid to demonstrate transparency, the Obama administration now says terror defendants should be informed when the government plans to use as evidence any information from its secret collection of electronic records.

The change in legal interpretation this week suggests that criminal defendants subject to certain types of surveillance may be able to challenge the constitutionality of the NSA programs.

As recently as this spring, the administration had argued that such disclosure of information from a secret court order was not necessary, even if the information was used to track and capture a suspect.

The Supreme Court in its last term limited lawsuits against the government by plaintiffs who were unable to prove they were specific subjects of surveillance.

Those plaintiffs had complained of a "Catch 22" because the government refused to acknowledge any surveillance for national security reasons.

It was not clear if other pending terror prosecutions involving metadata evidence would adopt the new legal interpretation.

CNNMoney: NSA chief to hackers: If you don't like what we do, change it

But the latest efforts in transparency were clouded by the Guardian report on XKeyscore, which it said magnified statements by Snowden that he, as a contractor, could easily access an astonishingly broad menu of personal information on just about anyone.

Security officials had called Snowden's assertion untrue, and White House spokesman Jay Carney echoed that denial on Wednesday by saying allegations of "widespread, unchecked analyst access to NSA collection data are false."

Separately, the NSA said in a statement that its tools include stringent checks to limit what an analyst can do.

"Not every analyst can perform every function and no analyst can operate freely," the statement said.

At the Senate committee hearing, Leahy asked NSA Deputy Director John Inglis whether the agency has held anyone responsible for the Snowden leaks.

"How soon will we know who screwed up?" Leahy asked, contending that inadequate controls allowed the former NSA contractor to leak surveillance program documents to media outlets.

"I think that we'll know over weeks and months precisely what happened and who should then be hold accountable -- and we will hold them accountable," Inglis responded.

House rejects effort to curb NSA phone surveillance

Leahy was impatient with the answer and raised the issue in connection with former Army intelligence analyst Bradley Manning, who was convicted on Tuesday of leaking a trove of Iraq war battlefield reports, diplomatic cables and other information.

"We had a huge security breach, I think we'll all agree, committed by Edward Snowden. And a few years ago Bradley Manning downloaded hundreds of thousands of classified and sensitive documents -- passed them on to WikiLeaks," Leahy said. "Now, if two data breaches of this magnitude occurred in the private sector, somebody would have been held accountable by now."

Snowden has fled the country and remains in diplomatic limbo at the Moscow airport. The United States has charged him with espionage.

Opinion: NSA secrets kill our trust

CNN's Barbara Starr contributed to this report.

@highlight

NEW: NSA director repeats his statement that surveillance network thwarted 54 terror plots

@highlight

Sen. Leahy: Classified details show phone records had little role in stopping terror attacks

@highlight

The Director of National Intelligence releases details of surveillance programs

@highlight

NEW: The latest Snowden leak details a broad Internet surveillance program