(CNN) -- All eyes this week are on North Korea, which looks set to move forward with a provocative long-range missile launch.

Last month, Pyongyang announced it would launch a rocket carrying a satellite sometime between Thursday and April 16 to mark the 100th anniversary of its founder, Kim Il Sung.

Japan, the United States and South Korea see the launch -- which would violate U.N. Security Council resolutions -- as a cover for a long-range ballistic missile test. And a South Korean intelligence report says it's likely to precede a nuclear test, as it did in 2006 and 2009.

Pyongyang insists its intentions are good and have invited foreign journalists, including CNN correspondent Stan Grant, to view the secret launch site.

CNN on Monday interviewed Jim Walsh, an international security analyst from the Massachusetts Institute of Technology, on "Starting Point" to help explain the tense situation:

CNN: This whole parading the journalists through -- letting people see -- is this Kim Jong Un bragging internally? Is it sending a message to the international community? Both?

Jim Walsh: It's a good question. Often when North Korea acts out, its purpose is to communicate with the broader world, communicate to the United States or to Japan or South Korea.

This is really about internal messaging, being able to go to its own public and say, "Look, all these Western journalists are here, we're really important, we're really a big deal."

And why do I say it's internally driven? Because they are going through a political transition. This young guy, this 20-something-year-old, has taken over for his father (Kim Jong Il), and he's in the middle of trying to consolidate his position. And it's the 100th anniversary of Kim Il Sung's birth. ... They've been planning big events for years now for this.

So this is all about regime legitimacy and talking to the North Korean people and the military, the elites in the military.

CNN: CNN saw what appears to be a satellite. I think most of the media there agree that there definitely is a satellite for this rocket, to launch this satellite into space.

... We also know that this is a country that has nuclear ambitions, no matter how nascent it is or successful it might be.

Walsh: Yes, well, you know, this missile is not the greatest missile in the world.

There are two characteristics if you have a modern missile program: One is solid fuel, and the other is a modern-guidance system. This missile has neither of those.

And four tests, four long-range missile tests over like 15 years, is not a very active missile program. It's more like a tube filled with gasoline than it is anything else.

The big worry is they're going to fire it up there, and it will get wobbly on them and start to veer off course like the last two did. That's the real concern I have: not the missile itself but that the missile might stray into foreign airspace and that Japan or South Korea might feel inclined to shoot it down and then suddenly we're off to the races with an international incident.

CNN: Are we looking at a scenario where we're going to see a couple of missiles get launched or troops marching down to the (demilitarized zone)? Should people be legitimately scared about this? ...

Walsh: Well, I think it is about trying to impress the family and the military. I don't think they're going to march a lot of people toward the DMZ. I think that would be provocative.

Certainly, you could see other missile tests. That's a good question. They've done that in the past, short-range missiles.

But I'm afraid what we're really looking at here, further down the road, is there's going to be the missile test, then there's going to be international reaction, and then (North Korea) is going to have to push back. So I would not rule out a nuclear test sometime later this year if this continues to ratchet up.

CNN: This is obviously very provocative behavior by the North Koreans, even after there was just this highly publicized deal for food for this starving country. So what's the point? What are they trying to do?

Walsh: That's the $100,000 question, and we really don't have an answer here. Now I know lot of people who have been following this over the years. They sort of think this is the same old, same old -- that we cut a deal and they've broken the deal; they got something, but they didn't live up to their promises.

Well, that's not what's happening here. There was a deal, and we really hadn't given them anything yet. We haven't given them the food aid.

So that tells me one (of) two things happened. Either there was some misunderstanding about the contents of that deal -- the Americans thought one thing, the North Koreans the other -- or maybe that deal got back to Pyongyang and then ran into trouble there.

Maybe the military pushed back, or there was something else going on. But at this point, we don't know the reason. If we had an answer to that question, that would tell us what's going on inside North Korea.

It's the most opaque society in the world -- more than Iran, more than any other place on Earth -- so we really don't know what's going on.

@highlight

North Korea appears moving ahead with plans to launch a long-range missile

@highlight

Analyst Jim Walsh discusses Pyongyang's possible motivations

@highlight

Walsh sees some posturing going on, legitimacy building for North Korea's new leader

@highlight

He says he thinks situation could escalate into a nuclear test like it did in 2006 and 2009