MINDEN, Nevada (CNN) -- Fellow aviation enthusiast Sir Richard Branson said Wednesday he was worried that rescuers had found no sign of his friend, adventurer Steve Fossett, who disappeared two days ago after taking off from another friend's desert ranch.

Fossett poses after accepting his induction into the National Aviation Hall of Fame on July 20, 2007.

However, the billionaire president of Virgin Atlantic also was optimistic that Fossett -- whom he calls "a tough old boot" -- will surface soon.

"If he's landed and he's not too badly hurt, he's the one person in the world who will be mentally and physically equipped to get out of it," Branson said.

Rescuers began looking again Wednesday for Fossett.

Search organizers at the Minden-Tahoe Airport, just south of Carson City, Nevada, said they expect the wind will not hamper search efforts, as it did Tuesday.  See a map of the area »

"The winds have cooperated much more today, so that will allow the helicopters -- the three being dispatched out here today -- to fly much closer to the ground to get a better look at what's going on," said 1st Sgt. Chuck Allen, spokesman for the Nevada Department of Public Safety.

Five planes being used in the search will be able to cruise at about 1,000 feet, the spokesman said. The California and Utah wings of the Civil Air Patrol joined the search Wednesday, said Maj. Cynthia Ryan of the Nevada Civil Air Patrol. She is leading the rescue effort.

One of the search planes is equipped with ARCHER, a modified version of the Navy's hyperspectral imaging technology. To use it, search-and-rescue personnel input such information as the shape, size and color of what they are looking for, and imaging equipment compares those parameters with what it sees on the ground.

"It can see as little as 10 percent of the target and extrapolate from there," Ryan said. Helicopters or ground searchers can follow up on anything of possible significance, she added.

Though there were no signs of Fossett on Tuesday evening, searchers and friends remained optimistic that the eclectic adventurer was safe.

"We're confident if his plane only sustained minor damage that he's strong enough to survive the elements," Allen said.

Fossett, 63, was in a single-engine Bellanca Super Decathlon when he took off at 9 a.m. (noon ET) Monday in good flying conditions from hotel magnate Barron Hilton's Flying M Ranch in Nevada, Ryan said.

A world-record-holding pilot, yachtsman and balloonist, Fossett is an accomplished sportsman who knows how to handle himself in the wild.

In addition to skippering flights and voyages around the globe, Fossett has competed in cross-country skiing competitions, the Iditarod Sled Dog Race and the Ironman Triathlon. He also swam the English Channel and ran in the Leadville Trail Run, a 100-mile foot race through the Colorado Rockies.

He has prevailed in the past after experiencing complications during a flight, once walking 30 miles for help after making a forced landing, Ryan said.

Branson -- whose Virgin Atlantic company has sponsored some of Fossett's attempts to shatter world flight records -- said Tuesday that Fossett's track record suggests "we'll get some good news soon."  Watch as Fossett's plane is described »

"Steve is a tough old boot. I suspect he is waiting by his plane right now for someone to pick him up," Branson said in a written statement. "The ranch he took off from covers a huge area, and Steve has had far tougher challenges to overcome in the past."

Branson struck a more cautious tone Wednesday, saying he was "obviously worried" that Fossett may be injured because he was wearing a watch capable of emitting an emergency distress signal. If Fossett were OK, Branson surmised, he would have been able to activate the manually operated signal.

However, he added, "If anyone's going to end up walking back up [to] the ranch and apologizing for pranging the Hiltons' plane, it's likely to be Steve Fossett."

Though Ryan was optimistic that Fossett will be located, she noted the challenges facing the rescue mission -- namely a 600-square-mile swath of desert, covered with sagebrush and deep ravines, and swept by tricky wind conditions that confounded Tuesday's aerial search.

"It's a very large haystack," she said. "And an airplane is a very small needle. No doubt about that."

Fossett was supposed to return to the Hilton ranch, about 30 miles south of Yerington, Nevada, at noon (3 p.m. ET) Monday. The search began six hours later, Ryan said.

Fossett did not file a flight plan, but one is not required on flights using visual navigation.

When he left, he had four to five hours of fuel for flight, Ryan said.

"Steve took off toward the south and was going to fly southbound, looking around for some dry lake beds for some plans he had for the future," Ryan said.

Those plans, she said, involved testing a vehicle in an attempt to set a world land speed record. Fossett was in Sparks, Nevada, last month preparing a jet racer to break the land speed record at Bonneville Flats in northwest Utah.

Ryan said Tuesday that authorities were analyzing information from radar intelligence to track Fossett.

There has been no sound detected from the plane's emergency locator radio beacon, which goes off if there is a hard impact.

In 2005, Fossett piloted the first nonstop, solo flight around the world without refueling.

Virgin Atlantic sponsored the plane, the GlobalFlyer, which Fossett used a year later to break the world's flight distance record, traveling almost 26,000 miles in 76 hours and 43 minutes from Kennedy Space Center in Cape Canaveral, Florida, to Bournemouth, England.

He made an emergency landing during that flight after electricity on the aircraft failed over Shannon, Ireland. His goal had been to land at Kent International Airport in Manston, England.

In 2002, he achieved the first solo balloon flight around the world, traveling 20,626 miles in 14 days. He's credited with 115 world records or world firsts, and holds official world records in five sports, according to his Web site.

In a interview with CNN last year, Fossett said his favorite record-breaking feat was the 2002 solo balloon flight.

"We had to really upgrade the technical capability of balloons, and the flight was much more difficult than I'd ever imagined it would be. I tried six times over the course of six years before succeeding," he said.  See Fossett's adventures via land, sea and air »

Asked how long he'll keep going, Fossett answered, "I imagine that when I'm 80 years old and sitting in a wheelchair that I might do something like take a remote control airplane and try and fly it around the world. I plan to be setting and breaking records indefinitely."

Fossett was born in Jackson, Tennessee, and grew up in California, where he attended Stanford University, graduating with a degree in economics in 1966.

After earning an MBA at Washington University in St. Louis, he became a commodities broker and launched in 1980 the Chicago-based securities company Lakota Trading, the income from which he used to fund his adventures.

He and his wife of almost four decades, Peggy Viehland, have no children. E-mail to a friend

@highlight

Searchers say weather will let 5 planes, 3 choppers "get a better look"

@highlight

Friend Sir Richard Branson "worried" there has been no sign of Fossett

@highlight

Aircraft combing rugged terrain in western Nevada for Fossett and his plane

@highlight

Fossett made first solo, nonstop, non-refueled airplane trip around the world