Washington (CNN) -- First the Obama administration and the intelligence community said there was no program gathering Americans' data. Then they said the government was only gathering focused bits of data and only on foreign targets.

Then they admitted intelligence operatives were gathering large amounts of data but not accessing it unless a court first gave the OK.

Now it appears there are thousands of times each year when the data of Americans not suspected of having anything to do with terrorism are gathered.

"Can you understand, though, why some people might not trust what you're saying right now about wanting ..., " a reporter asked President Barack Obama last week at a White House news conference.

"No, I can't," Obama said.

Americans would be comfortable with the programs, he argued, if they knew everything about them.

Fact-checking Obama on Snowden

"I am comfortable that the program currently is not being abused," the president said. "I'm comfortable that if the American people examined exactly what was taking place, how it was being used, what the safeguards were, that they would say, 'You know what? These folks are following the law and doing what they say they're doing.' "

But the public has learned about the National Security Agency programs in such a way that every time a new revelation is served up, it undercuts what the president or the major players in the intelligence committee just said. Here are the most glaring examples:

1. Obama: Programs not being abused

The president tried to assuage concerns about the programs during his August 9 news conference. He said he had ordered a new review of the programs, even as he suggested Americans would be better off if NSA leaker Edward Snowden had never let the world know about them.

The important thing, he argued, is for Americans to be able to trust their government isn't abusing the information it is collecting.

"What you're not reading about is the government actually abusing these programs and listening in on people's phone calls or inappropriately reading people's e-mails. What you're hearing about is the prospect that these could be abused," he said, adding that the special Foreign Intelligence Surveillance Court was guarding against those abuses.

Less than a week later, The Washington Post published a blockbuster report based on more documents provided by Snowden under the headline, "NSA often breaks privacy rules."

The documents given by Snowden to the Post suggest thousands of accidental and some intentional infractions. The head of the Foreign Intelligence Surveillance Court took the unprecedented step of issuing a public statement that his barebones staff can only oversee what NSA provides to it. And the Senate Intelligence Committee, one of the main overseers of the NSA in Congress, was not made aware of the internal review by the NSA -- staffers learned of the review of privacy infractions when the Post contacted them, according to the newspaper.

Lawmakers pledge hearings oversight after NSA broke privacy rules

The NSA argued in a response that the infractions represent only a small fraction of the calls and data it is sifting through and they are incidental to the overall mission of preventing terrorism.

Obama also noted at his news conference that a review of the programs was already under way and that Americans learning about the NSA's gathering of their data shouldn't have come through leaks.

Obama takes questions from press

2. Obama: The programs are transparent

During a combative June 16 interview with Charlie Rose, Obama dodged a question about how often the Foreign Intelligence Surveillance Court denies NSA requests to subpoena and analyze the data that it collects. Rose asked if the program should be in some way transparent.

"It is transparent," Obama said. "That's why we set up the FISA court."

According to Thursday's Washington Post report, the court is not given all the information about every request for surveillance. And Obama has admitted that the programs needs review to assure Americans they are not violating civil liberties.

Obama says NSA programs are transparent

3. Clapper: U.S. not gathering Americans' info

The most obvious misstatement came from Director of National Intelligence James Clapper when he told Sen. Ron Wyden at a March congressional hearing that the government isn't gathering information on Americans. Wyden, who has been a critic of the programs behind closed doors, was trying to get Clapper on the record.

Wyden asked Clapper whether the NSA collected "any type of data at all on millions or hundreds of millions of Americans?"

Clapper answered, "No, sir."

Wyden: "It does not?"

Clapper: "Not wittingly. There are cases where they could inadvertently perhaps collect but not wittingly."

The nation's top spy later had to apologize in a letter to the Intelligence Committee. He admitted what he said was "erroneous." He told NBC that what he said was the "least untruthful" answer.

Clapper admits error in testimony, apologizes

4. Alexander: NSA doesn't have capability to 'flip the switch'

In testimony to a House committee on June 18, Gen. Keith Alexander, the head of the NSA, had the following exchange with Rep. Mike Rogers, chairman of the House Intelligence Committee and a supporter of the data mining programs:

Rep. Mike Rogers: "Does the NSA have the ability to listen to Americans' phone calls or read their e-mails under these two programs?"

Gen. Keith Alexander: "No, we do not have that authority,"

Rogers: "Does the technology exist at the NSA to flip a switch by some analyst to listen to Americans' phone calls or read their e-mails?"

Alexander: "No."

Rogers: "So the technology does not exist for any individual or group of individuals at the NSA to flip a switch to listen to Americans' phone calls or read their e-mails?" he repeated.

Alexander: "That is correct."

It has since become clear through subsequent leaks that the government does have temporary access to large amounts of the phone calls and e-mails sent in the United States. But the distinction that allowed Alexander to answer "no" is that analysts are supposed to obtain the OK from the Foreign Intelligence Surveillance Court before doing so. That's perhaps why he said they lacked the "authority."

Subsequent leaks in July about a program called XKeyscore printed in the UK's Guardian newspaper and in The New York Times suggested that the NSA collects nearly every phone call and e-mail. The idea is that the intelligence community is collecting the entire "haystack" of information that it can sift through later when it has some idea what needle it needs to find. Even if the analysts need court approval, the newer disclosures suggest the NSA has access to the content of communications, at least for a time.

Documents shed light on U.S. surveillance programs

New Snowden leak: NSA program taps all you do online

5. Alexander: 50 plots thwarted

Alexander also argued several times before Congress that information "gathered from these programs provided government with critical leads to prevent over 50 potential terrorist events in more than 20 countries around the world."

But details of these plots have not been shared publicly.

Lawmakers who have been briefed on the plots have expressed skepticism. At a July 31 hearing, Sen. Patrick Leahy said by his estimation the NSA's data showed the data collection had not foiled "dozens or even several terrorist plots."

Officials cite thwarted terror plots, oversight in defending surveillance

@highlight

New report raises more concerns over NSA surveillance programs

@highlight

Obama: Americans would be comfortable with programs if they knew all about them

@highlight

Obama says programs not being abused; later report says NSA often breaks privacy rules

@highlight

Court overseeing programs reportedly doesn't see all documents