Justice Clarence Thomas rarely speaks from the bench but his comments in less formal settings are often illuminating, often controversial -- especially on race.

It is a topic that continues to engage the national debate, especially when it comes from the mind of the Supreme Court's only African-American jurist.

Thomas spoke this week at a small gathering of students and faculty at a Florida college, where he echoed previous statements on the not-so subtle racism he remembers experiencing when leaving his native South.

"The worst I have been treated was by northern liberal elites. The absolute worst I have ever been treated," the 65-year-old justice said. "The worst things that have been done to me, the worst things that have been said about me, are by northern liberal elites, not by the people of Savannah, Georgia," his hometown.

His comments were first reported by Yahoo! News, but confirmed by several people who attended the Tuesday event at Palm Beach Atlantic University, a nondenominational Christian school.

Social media reaction strong

The reaction from social media has been strong, reflecting the unique pull Thomas commands, despite his low-key, press-adverse persona.

That theme of personal, political, and cultural isolation in his early professional life informs much of Thomas' current views on hot-button issues like race, seen most keenly in rulings issued from the bench.

Last year, he sided with the conservative majority to strike down a key section of the landmark Voting Rights Act, blocking the federal government from using its most potent enforcement tool.

No longer can the Justice Department rely on a decades-old formula to require states with a past history of voter discrimination against minorities to "pre-clear" any changes in their voting procedures.

In a concurrence, Thomas went further, saying the Voting Rights Act provision was completely outdated and unconstitutional.

"Today, our Nation has changed," he wrote.

A long-held belief

Now the justice's comments this week echo his long-held belief that government and society at large is overly focused and overly sensitive on trying to solve perceived racial problems.

"My sadness is that we are probably today more race and difference-conscious than I was in the 1960s when I went to school," he told students. "To my knowledge, I was the first black kid in Savannah, Georgia, to go to a white [Catholic] school. Rarely did the issue of race come up. Now, name a day it doesn't come up. Differences in race, differences in sex, somebody doesn't look at you right, somebody says something. Everybody is sensitive. If I had been as sensitive as that in the 1960s, I'd still be in Savannah. Every person in this room has endured a slight. Every person."

Thomas has also consistently voted as a justice to eliminate affirmative action in college admission criteria, including a case from last term.

"Although cloaked in good intentions, the university's racial tinkering harms the very people it claims to be helping," said Thomas in a June decision limiting use of race at the University of Texas to achieve diversity in the student body.

Comments are familiar

CNN Senior Legal Analyst Jeffrey Toobin said Wednesday the justice's latest comments are familiar.

"This is very consistent with how he has expressed himself about race throughout his entire career," said Toobin. "Race is something to be overcome by individual initiative. Any problems you might have can be overcome by hard work and not collective action."

Thomas has long been perceived as a contradiction, an African-American man and self-professed civil rights activist in college with liberal views, who became increasingly conservative as his career advanced in government.

He wrote about the transformation in his memoir, "My Grandfather's Son," saying he felt "tricked" by whites, when recruited to attend Yale Law School.

"I was bitter toward the white bigots whom I held responsible for the unjust treatment of blacks," he wrote. "But even more bitter toward those ostensibly unprejudiced whites who pretended to side with black people while using them to further their own political and social ends."

Most famously, he voiced that frustration during his 1991 Senate confirmation to the high court, when aggressively fighting off accusations of prior sexual harassment.

"This is a circus. It's a national disgrace. It is a high-tech lynching for uppity blacks who in any way deign to think for themselves," he said.

Sources close to him say the memories of his wrenching public ordeal are not forgotten by any means, but the experience, they say, has given him a greater appreciation of the unique role he now occupies.

Controversial hearing

For most Americans, Thomas slipped into virtual anonymity after he took his judicial oath. He shuns interviews and rarely speaks during arguments. In fact, he has gone eight years without speaking substantively, when cases are presented in the public sessions.

But those close to him say you don't know the real Clarence Thomas.

"Justice Thomas is known as being quiet and taciturn, and hasn't asked a question in years," said Carrie Severino, a 2007 law clerk who remains close to him. "He's actually an incredibly great storyteller. He could talk for hours very easily. If you do get into a conversation with him, it's normally a very long and engaging process."

Behind the closed marble hallways of the court, Thomas is well known for his booming voice, hearty laugh, and friendly manner. Colleagues say they are amazed he seems to know every one of the several hundred employees by their names, as well as their families and their problems.

He shatters the mold in many ways, and is especially close friends on the court with Justice Stephen Breyer, whose views are considered liberal. The two can often be spotted on the bench whispering in each other's ears, sharing an occasional laugh.

"There are a lot of people who don't like the fact that he breaks their expectations," Severino said. "They expect him as an African-American to be toeing the liberal line, and he's his own man. You know, he's his own man among conservatives. He's not following Justice (Antonin) Scalia, he's not following Chief Justice (John) Roberts. He's going to do his own thing. And the people who might expect him to follow their lead are going to be disappointed."

Doing his own thing

Doing his own thing has often meant Thomas is a lone dissenter in cases big and small, in issues ranging from state-federal authority to executive immunity and government regulation.

The consistency of his conservative views has earned him a quietly influential power base among his colleagues, which only recently has begun to attract public notice.

"In several of the most important areas of constitutional law, Thomas has emerged as an intellectual leader of the Supreme Court," said Toobin in a 2011 "New Yorker" essay. "Since the arrival of Chief Justice John Roberts in 2005, and Justice Samuel Alito in 2006, the court has moved to the right when it comes to the free-speech rights of corporations, the rights of gun owners, and potentially, the powers of the federal government; in each of these areas, the majority has followed where Thomas been leading for a decade or more. Rarely has a Supreme Court justice enjoyed such broad or significant vindication."

But anger and disappointment remain among many in the African-American community.

"It is severely disturbing. I won't call it disappointing, because I didn't expect anything different from Justice Thomas," said Mark Lamont Hill, a CNN political commentator and Columbia University professor, about these latest remarks. "He suggested race doesn't matter, that race shouldn't matter or be a factor in any decision-making process. This ignores reality of race that persists today."

Despite the public focus on skin color during his comments in Florida, Thomas' broader message was one of faith and public service, topics he feels far more comfortable addressing in such forums.

As one of six Catholics on the bench, Thomas noted his religious upbringing helps in the role as a judge, where he is "in the right place to do hard things."

"I quite frankly don't know how you do these hard jobs without some faith," he concluded.

@highlight

Supreme Court justice doesn't speak from the bench

@highlight

But he did this week in Florida where he echoed previous comments on racism

@highlight

The reaction from social media has been strong, reflecting the unique pull Thomas commands

@highlight

Thomas has long been perceived as a contradiction