(CNN) -- Any kid can dream up a roller coaster. But those who visit a new exhibit at Walt Disney World's Epcot theme park can actually take a ride on their fantasy creations.

An artist's rendering of the "Sum of All Thrills" interactive ride, opening Wednesday at Disney World.

Epcot on Wednesday opened a new attraction called "Sum of All Thrills," which lets kids use computer tablets to design a virtual roller coaster, bobsled track or plane ride. After inputting their designs, kids climb into a robotic carriage that uses virtual-reality technology to help them experience the ride they've created.

"This is really the next generation -- where there's a lot more personalization involved" in the amusement-park experience, said Eric Goodman, Disney's lead project manager on the ride.

This make-your-own-ride approach appears to be a growing trend in the world of amusement parks and museums. Taking cues from the video game industry, park and ride designers have realized that people -- especially young ones -- want to interact with and even design their own thrill rides.

In addition to the new Epcot ride in Orlando, Florida, two Disney theme parks feature a ride called "Toy Story Mania," which lets riders shoot at targets as they roll down the track and, in doing so, shape their own ride experience. Another Disney attraction, CyberSpace Mountain, caters to adults and kids by letting them customize their own virtual ride from a menu of drops, loops and other features.

Universal Studios in Florida opened a roller coaster in August called the "Hollywood Rip Ride Rockit," which lets people create their own personal musical soundtrack for their ride.

Interactive rides are in the "baby stages" so far, since roller coasters and theme-park attractions are so expensive to build, but interaction and personalization promise to be running themes in the industry, said Bob McTyre, president of Apogee Attractions, which has has helped design rides for Disney, Universal Studios and others.

McTyre was not involved in the new ride at Epcot.

He said theme park designers frequently bring up ideas such as roller coasters with three possible endings, allowing riders to choose which path to take.

But those big ideas quickly hit a roadblock: the high costs of implementing such a project, he said.

Shawn McCoy, vice-president of marketing and business development at Jack Rouse Associates, another amusement-park design firm, said this desire for interactivity in amusement parks takes its cues from video games.

"There's also a definite need to compete with video games or the gaming industry -- where [players] have control over all of the elements, from the environment to the players' movement," he said, noting that museums and zoos also are taking notice of the trend.

The "Sum of All Thrills" ride at Epcot employs a robotic arm -- more commonly seen assembling cars at an auto plant -- to let kids experience their roller coaster creations.

Sitting in a carriage with their legs and arms outside the ride, kids watch a video version of their ride while the arm moves them from side to side and up and down to simulate the feeling of a real roller coaster. Fans blow air at the riders at various speeds to give people the sensation that they're moving forward.

Goodman, the Disney designer, said the robotic arm and carriage come "pretty darn close" to replicating the real roller coaster experience.

Kids design their experience on touch-screen computers, using a digital ruler and pre-selected track options to construct their rides. If a person tries to build something physically impossible -- a hill that's too steep for the cars to climb, for example -- then they're asked to retool their ideas.

Disney hopes the interactive nature of the Epcot ride also helps kids learn that math and science can be fun.

"I think it's really empowering for the kids to realize that the math doesn't control them. They get to control the math," Goodman said.

The Raytheon Company, a maker of weapons and defense systems, said it sponsored the exhibit as a way to get middle-school aged kids more interested in careers in math and engineering.

@highlight

Disney opens an exhibit where kids create roller coasters -- and ride them

@highlight

Theme parks are trying to make their rides more interactive, taking cues from gaming

@highlight

The "Sum of All Thrills" ride opens Wednesday at Epcot Center in Florida

@highlight

Kids design their rides on computers, ride them in a stationary robotic carriage