(CNN) -- Starbucks, McDonald's, Zara -- many of the international chains have tried to colonize Paris but the city seems to have put up more resistance than, say, London or New York.

Parisians still love their little neighborhood vendors selling one thing and selling it very well -- shops of a kind apparently threatened with extinction in other big cosmopolitan cities.

Not that these often quirky Paris establishments are all old, family-run and hidden down a side street.

Some are new and pushing retail boundaries far more boldly than your average timid multinational.

When it comes to shopping in the French capital, some of the best things still come in small packages -- probably one beautifully wrapped and tied with a neat little bow.

1. Deyrolle

Stuffing all creatures great and small for Parisians since 1831, this venerable taxidermist's was threatened with closure in 2008 after most of the shop was destroyed in a fire.

But with help from some deep-pocketed fans of the stricken store, including the fashion house Hermès, its current owner, Prince Louis Albert de Broglie, rebuilt it entirely.

Today, the 19th century-style interior has been restored to its full glory. Its beautiful wooden showcases contain everything from stuffed beetles to house cats and full-sized giraffes.

"If dead animals scare you, don't come here," says one fan.

"Otherwise, it's like entering another world."

Deyrolle, 46 rue du Bac, 7th arrondissment; +31 1 42 22 32 21

2. Tombées du Camion

Its name translating as "fallen off a truck," this Montmartre miscellany sells an assortment of collectibles from dolls' heads and toy harmonicas to vintage pistols and broken clocks.

"I sell items with emotional instead of commercial value," explains the owner, Charles Mas, voicing an ethos that still holds sway among many Parisian shop holders.

"I buy many items from wholesalers and old factories -- they're old but have never been used.

"Nostalgia, humor, surrealism, punk and the absurd inspire me.

"I hope that my customers get the message: that things only have the value you give them."

Most items are priced from €1 ($1.40) to €15.

Tombées du Camion (French site only), 17 rue Joseph de Maistre, Montmartre, 18th arrondissement; +33 9 81 21 62 80

3. Maison du Miel

Spooning out the goods since 1905, the House of Honey is the queen bee -- the oldest -- of Parisian honey vendors.

Lavender, lemon, eucalyptus and thyme are among the 40 honey varieties representing the French regions that line its shelves.

A pamphlet explains the putative health benefits of each -- thyme honey is apparently good for digestion, for example, and lavender for insomnia -- but the ambrosial tastes are their own advertisement.

You can sample three honeys before you buy.

The shop also sells honey candy, honey jam, honey oil and soaps made from honey.

Maison du Miel (French site only), 24 rue Vignon, 9th arrondissement; +33 1 47 42 26 70

4. Pour Vos Beaux Yeux

This may be the coolest collection of specs on the planet.

The legendary folding Persol model of sunglasses worn by Steve McQueen in "The Thomas Crown Affair" and a Ray-Ban Bausch & Lomb frame like that perched on Johnny Depp's nose in "Fear and Loathing in Las Vegas" are among the vintage items on sale.

After the success of his first store in Nice, optician and eyewear-collector Charles Mosa opened this second shop in Paris in 2011.

It's no ordinary opticians, however -- Mosa hunts down dead stock from defunct factories, creating a collection of never-worn-before frames dating from 1900 to 1980.

The shops "offer a glimpse of cinematographic style or something a little glamorous and romantic," says Mosa himself.

Prices range from around $110 to $4,000.

Pour Vos Beaux Yeux (French site only), 10 Passage du Grand Cerf, 2nd arrondissement; +33 1 42 36 06 79

5. Noir Kennedy

Stuffed rats hang from traps alongside taxidermied ravens; 1980s patent leather pumps and reconditioned baseball jackets spill from coffins; leather jackets hang from the ceiling, and the changing rooms are fashioned from classic red British telephone booths.

Entering this vintage clothing shop and Marais fashion institution is like stepping into a Thriller-esque music video set.

Prices are cheap for a Parisian boutique and the rockabilly shoppers are serenaded with old school rock tunes booming from the speakers.

Noir Kennedy, 22 rue du Roi de Sicile, 4th arrondissement; +33 9 67 32 17 80

6. La Fausse Boutique

La Fausse Boutique translates as "The Fake Boutique," and the name fits.

Before 2010, this was simply a workshop for young artists, designers and inventors.

However, from the outside it looked so much like a shop that people kept coming in and asking if they could buy the creations they saw.

Et voila -- La Fausse Boutique was born.

From anti-hangover capsules to satirical board games such as Méditations Foireuses ("Half-Assed Meditations"), the focus is on quirky and surreal products.

The creators are still there, working in an office behind the showroom.

La Fausse Boutique, 32 Rue Pierre Fontaine, 9th arrondissement; +33 9 52 43 25 71

7. Goumanyat & Son Royaume

If you didn't already know that it takes 150,000 crocus flowers to make a kilo of saffron, you should after a visit to this spice emporium in a former Parisian apothecary shop.

Saffron has been the Thiercelin family's signature product for more than 200 years, and Monsieur Thiercelin, the shop's current owner, likes to reel off spice lore to customers whom he personally welcomes in once they have rung the bell.

Pierre Gagnaire and Helene Darroze, among other Michelin-starred Paris chefs, come here to stock up on spices.

Cooking classes are held on Saturday afternoons.

Goumanyat & Son Royaume (French site only), 3 Rue Charles-François Dupuis, 3rd arrondissement; +33(0) 144 789 674

8. Nose

Founded in 2012 by seven scent lovers -- including Mark Buxton, creator of Comme Des Garçons' first fragrance -- this boutique aims to match you with your perfect perfume.

Customers are handed an iPad and asked to fill in a questionnaire about the perfumes they've worn, their favorite smells and more.

The application then suggests five scents out of the 50 available, including from brands Diptyque, L'Artisan Parfumeur and Callé, that you might like.

Nose, 20 Rue Bachaumont, 2nd arrondissment; +33 1 40 26 46 03

9. Julien Aurouze

Ridding Parisians of vermin since 1872, this exterminator's shop is famous not only for its cameo role in the Disney/Pixar film "Ratatouille" (the lead rat, Remy, is shown the window by his father as a warning to stay away from humans) but also for its gruesome storefront display of stuffed rats hanging from traps.

Preserved vermin are clearly a theme among Parisian boutiques.

Even if you're not suffering from a vermin infestation, it's worth stepping inside to see its impressive array of pest control contraptions.

The shop attracts grotesquerie fans worldwide, who come to pose for pictures in front of the rat traps.

"It makes a nice change from the clothing and shoe shops around here," says one enthusiast.

Julien Aurouze (French site only), 8 Rue des Halles, 1st arrondissment; +33 1 40 41 16 20

@highlight

Paris has defended its quirky little traders better than many other large cities

@highlight

Prince Albert de Broglie runs a taxidermist's that's been stuffing animals since 1831

@highlight

Nose uses a questionnaire to match you up with your perfect scent