Washington (CNN) -- A hotly debated measure that offers a path to citizenship for illegal immigrants who came to the United States as children won approval Wednesday from the U.S. House.

The 216-198 vote, mostly on partisan lines, sends the so-called DREAM Act to the Senate, where it was uncertain if supporters had the votes to overcome a certain Republican filibuster against it.

The Development, Relief and Education for Alien Minors Act -- or DREAM -- would create a path to citizenship for immigrants who entered the United States illegally as children under the age of 16 and have lived in America for at least five years, obtained a high school or General Education Development diploma and demonstrated "good moral character," according to a White House fact sheet.

Even then, only a six-year conditional status would be awarded, and before moving to the next phase, the students would need to meet additional requirements -- attending college or serving in the military for at least two years, and passing criminal background checks.

Proponents, including President Barack Obama and Democratic leaders, say the bill offers legal standing to young people brought to the United States who have bettered themselves and served their new country, while opponents claim it is a form of amnesty for illegal immigrants.

Before Wednesday's House vote, Education Secretary Arne Duncan and Homeland Security Secretary Janet Napolitano joined congressional Democrats at a news conference to urge Congress to pass the bill.

"These are not the individuals that are a threat to our public safety or our security," Napolitano said. "This is an area where ... our nation's immigration laws have not kept up with our nation's needs."

The White House has touted the bill as a measure that will strengthen the nation's military and its economy.

A potential beneficiary is Cesar Vargas, a soon-to-be law school graduate with a 3.8 average who wants to serve in the U.S. military.

Under current law, Vargas won't even be able to hold a job after he graduates, much less enlist. He is in the country illegally after being brought to New York from Mexico as a child.

"All I want is the opportunity to serve my country and to give back to the country that has given me so much," Vargas said. "... We're not a problem. We're the solution."

However, Rep. Lamar Smith, R-Texas, said the bill could grant amnesty to more than 2 million illegal immigrants.

"Mass amnesty is not the only problem with the DREAM Act," said Smith, the ranking member of the House Judiciary Committee. "The bill allows illegal immigrants to receive in-state tuition at public universities, placing them ahead of U.S. citizens. The bill also is a magnet for fraud."

The White House disputed that the bill will give amnesty, noting in a fact sheet that "it requires responsibility and accountability of young people who apply to adjust their status under the DREAM Act, creating a lengthy and rigorous process."

It also points out that DREAM Act beneficiaries would not be eligible for federal grants, such as Pell Grants, to attend college. "Undocumented youth adjusting to lawful permanent resident status are only eligible for federal student loans which must be paid back, and federal work-study programs where they must work for any benefit they receive," according to the White House.

"This is not some dream road, easy-picking concession of the Congress of the United States, of the government, to American citizenship," said Rep. Luis Gutierrez, D-Illinois, who delivered an impassioned plea on behalf of the measure. "No Pell Grant. I'd like to see you get through college without a Pell Grant. No government assistance ... no health care. Nothing. Nothing but your own faith and your own determination and your own work to get you through school. And nothing but your own work, your own determination to join the military."

Beneficiaries will receive in-state tuition in their state of residence, the same as any student, he said.

The Congressional Budget Office has said the measure would cut the federal deficit by $1.4 billion and increase government revenues by $2.3 billion over the next decade.

Young people who do not fulfill the act's requirements will lose their legal status and would be subject to deportation, according to the White House fact sheet. DREAM Act applicants would be responsible for paying the processing fees associated with their applications, and would be subject to "rigorous criminal background checks and reviews."

DREAM Act beneficiaries would not be able to petition for legal status for their family members until after they had satisfied all the requirements. They would also be subject to waiting periods.

"The bottom line is that it would take many years before parents or siblings who previously entered the country illegally could obtain a green card," the White House said.

CNN's Jim Barnett and Tom Cohen contributed to this report.

@highlight

NEW: The House votes 216-198 to pass the DREAM Act

@highlight

Cabinet members say passing the act is the right thing to do

@highlight

The act makes illegal immigrants brought to America as children eligible for citizenship

@highlight

A Texas Republican says the bill could grant "amnesty" to 2 million