(CNN) -- A new invasion of pyrotechnics and full-body costumes will assault London this weekend, as the 2014 NFL International Series signs off with a third sell-out date at Wembley Stadium.

More than any previous tour, this series has delivered on the league's grand ambition to embed itself in the public imagination overseas.

Backed by feverish hype and a willing host government, NFL chiefs are confidently predicting a permanent franchise in London within a few years.

As the party gets started ahead of Dallas Cowboys vs. Jacksonville Jaguars on Sunday, events will be closely followed by Richard Scudamore, the all-powerful Chief Executive of England's Premier League (EPL), who would dearly love to take the 'other' football on tour, sending Manchester United and Chelsea over to entertain the locals in New York or Shanghai.

Scudamore, credited with much of the league's vast commercial success since his appointment in 1999, first raised the idea of adding an extra, overseas fixture -- the "39th game" - to the calendar in 2008.

That proposal was swiftly shot down but, in August, Scudamore maintained: "It will happen at some point."

At an informal meeting in October, Premier League officials discussed the possibility of a single round of fixtures from the existing schedule being taken abroad as early as the 2016-17 season.

It is easy to see the appeal. The league is the most popular domestic sporting product in the world, with a vast global audience worth over £650 million ($1.04 billion) each year in international TV rights.

Overseas friendlies have also been richly rewarded, with Manchester United earning £8 million ($12.8 million) over three matches in the U.S. last summer. One of these, a 3-1 win over Real Madrid in Michigan, broke the American attendance record for the sport with a crowd of 109, 318 at the "Big House."

The Premier League's competitors are looking abroad to find ways of closing the gap.

Italy's Serie A has international TV rights worth just £146 ($234 million) million each year, but already plays its Super Cup match abroad. Past locations include China and the U.S., with the next edition set to be held in Qatar. Roma President James Palotta is keen for league fixtures to follow.

Such expansion is a strategic goal for owners of English team, says Alex Fynn, a football consultant who advised the country's Football Association on the creation of the Premier League.

"The majority of clubs are foreign owned, and it's a natural step for them," says Fynn

"The Premier League is no longer an English league, it's an international league that happens to played in England. If that's the case why not play it abroad? That's the owners' thinking."

If clubs are the driving force for the proposed changes, they have been reluctant to say so.

West Ham United vice-chairman Karen Brady has said she "likes the idea," and Swansea City Chairman Huw Jenkins has said matches abroad are "inevitable".

But a spokesman for the Welsh club later claimed that Jenkins had been misquoted, while West Ham, along with most clubs, will not discuss the matter until they see a formal proposal.

The caution has been conditioned by fierce and unanimous hostility from supporters.

The 2008 proposal was killed off in little over a week by sustained campaigning from fan groups, including lobbying international authorities and nationwide protests.

The response this time has been just as emphatic, with every supporter trust rapidly issuing a condemnation of the plans.

"The first issue is competitive integrity," says Tim Rolls of the Chelsea Supporter's Trust. "Half the teams would lose a home game and the normal advantage of that."

Rolls lists concerns over when the games abroad would be played -- potentially at a crucial stage of the season -- as well as the dramatically different conditions they could be played under, and which games were chosen.

"Not all games are going to be attractive to foreign audiences so would they engineer the draw, or make it purely at random? Say you play Burnley's home match with Manchester United in Kuala Lumpur -- their home fans are losing the most attractive game of the season."

Research from supporter trusts with their overseas branches in Asia revealed that few were keen on league games in their countries, with a popular response being that the setting of famous stadiums like Old Trafford or Anfield is an integral part of the appeal.

Activists believe this supports a business argument for keeping clubs in England.

"Our argument is that what makes the premier league so effective at generating sales overseas is not just what's on the pitch -- Spain and Germany have been more successful lately," says Kevin Miles, chief executive of the Football Supporter Federation, which represents fans across the country.

"Scudamore and the league are very aware that when it comes to overseas sales, atmosphere and tradition are crucial to what they were selling, and give them the edge. I think they jeopardize that at their peril."

Despite recent progress, the NFL still highlights the challenge of exporting passion for teams outside the U.S., believes Michael Oriard, former lineman for the Kansas City Chiefs, academic and author of several books on the business of the sport.

"I've long believed that marketing the NFL overseas would struggle, because my sense of team sports is that they are locally rooted," says Oriard.

"Europe has its football, ours is alien there so it's harder for people to attach themselves. The London games have done well but they are largely curiosities."

However, Oriard believes that NFL fans are more tolerant of international games that their English counterparts as Americans "are often more attached to the league than a team."

The NFL also has the advantage of avoiding barriers from international bodies that the Premier League now faces.

FIFA -- football's global governing body -- rules dictate that games abroad would need to be approved by all relevant member associations and confederations, with the global authority retaining a veto in any case.

UEFA, which runs European football, is emphasizing the obstacles, while the Asian confederation previously rejected the "39th game."

The timing is problematic, against the backdrop of mounting criticism and supporter disillusionment with governance in the English game.

A leading concern is ticket prices that have risen over 1000% in many cases since the Premier League was introduced in 1992, pricing out younger and lower-earning fans, an issue which has led to fan activists targeting sponsors.

Fans also argue that prohibitive pricing has damaged the matchday atmosphere, and there is increasing acknowledgment that this is under threat.

Chelsea manager Jose Mourinho recently criticized the club's home support, saying it felt like his team was "playing in an empty stadium," while various clubs are promoting initiatives such as dedicated singing sections.

Anger directed at club owners is growing, fueled by disastrous cases of mismanagement at teams such as Leeds and Portsmouth, both of which have entered administration and tumbled out of England's elite division.

Thirty-six league clubs have gone into administration in the Premier League era.

Supporters are demanding a greater role in clubs' decisions, often inspired by Germany's 50+1 rule that guarantees majority fan ownership.

English clubs like Wimbledon and Portsmouth have been saved from extinction by fans who now run them successfully.

That model could become commonplace. The Labour party has committed to historic legislation should it win next year's election, that would see supporter representatives on the boards of every club in England.

The government has responded with a working group aiming to facilitate supporter ownership.

Despite their many grievances, the loyalty of local fan bases was shown by attendances of 96% capacity at Premier League games in 2012/13.

But playing league games abroad would represent an unprecedented test of that loyalty, at a time of growing tension. It would motivate and mobilize vast numbers of local supporters in opposition, to prove they cannot be taken for granted

The issue marks a crossroads for major English clubs on the journey from community institutions to global brands. Should the campaign against matches abroad succeed, it could mark a new era of supporter involvement and democratic ownership.

If the League gets its wish for foreign fixtures, it could pave the way for even more radical transformations such as cross-border leagues and the slashing of the domestic calendar.

At a time of great uncertainty, only change is guaranteed.

@highlight

The NFL returns to London Sunday, as Dallas Cowboys take on Jacksonville Jaguars

@highlight

Third and final installment of the 2014 International Series

@highlight

NFL is keen to place a permanent franchise in the British capital

@highlight

Soccer's English Premier League is also looking to play matches overseas