(CNN) -- Most Americans had never heard of the Khorasan group until this week, when President Barack Obama announced that U.S. airstrikes in Syria had targeted the "seasoned al-Qaeda operatives." U.S. officials said that the Khorasan group was actively plotting to conduct an attack in the United States or Europe.

"We can't say that we definitely disrupted their plots" against the West with the U.S. airstrikes, a senior Obama administration official told one of us, but "there is a decent chance we have" because "their communications are interrupted" and members of the group were killed in the strikes.

The sudden public emergence of the Khorasan group as a threat underlines the fact that the global jihadist movement, which at the time of the 9/11 attacks was largely concentrated in Afghanistan, has morphed and metastasized a great deal since then.

Which raises the question: What are the dimensions of the overall global jihadist threat today?

During the Cold War the U.S. intelligence community knew in detail the size of the Soviet military and the disposition of its forces across Eastern Europe and Russia.

In the long, twilight struggle against al Qaeda, its affiliates, splinter groups, and like-minded organizations -- armed forces that fight without uniforms and often in secret -- such an accounting is harder to do.

A good example of this is the shifting estimates of ISIS's strength. ISIS, which split off from al Qaeda earlier this year, "can muster between 20,000 and 31,500 fighters across Iraq and Syria," a CIA spokesman told CNN last week.

This is as much as three times previous estimate of ISIS's strength; U.S. officials initially estimated ISIS had around 10,000 fighters.

To see if we could come up with some kind of estimate for the total number of militants fighting with jihadist groups around the world, we asked a range of experts to estimate the number of fighters belonging to various al Qaeda-affiliated or like-minded groups. These estimates appear in a report, which we helped to author, that was released this week by the Bipartisan Policy Center's Homeland Security Project, a successor to the 9/11 Commission.

If we tally up the low and high estimates for all these groups, we can begin to have a sense of the total number of jihadist militants that are part of formal organizations around the globe. We found that on the low end, an estimated 85,000 men are fighting in jihadist groups around the world; on the high end, 106,000.

How did we arrive at those numbers?

-- We assess that core al Qaeda, whose members are largely located in the Pakistani tribal regions along the Pakistan-Afghanistan border, has been devastated in recent years by CIA drone strikes and now numbers only in the low hundreds of militants.

-- Al Qaeda in the Arabian Peninsula (AQAP), which operates out of Yemen, poses perhaps the most immediate threat to the U.S. homeland. AQAP had 300 original members in 2010, expanding to around 1,000 by 2012, and membership has remained steady since then, according to Gregory Johnsen, whose book "The Last Refuge: Yemen, al-Qaeda, and America's War in Arabia," is the authoritative history of AQAP.

-- Jabhat al Nusra, the al Qaeda affiliate operating in Syria and northern Iraq, is estimated to be smaller than ISIS, with which it is presently at war. Aaron Zelin, who tracks Nusra for the Washington Institute for Near East Policy, estimates that Nusra has 5,000 to 10,000 fighters. (The Khorasan group is only a small subset of Nusra).

-- Al-Shabaab, al-Qaeda's Somalia affiliate, once controlled much of that country, but it has suffered a number of battlefield losses over the past three years. Ken Munkaus, a professor of political science at Davidson College and a specialist on Somalia, believes that the most reliable estimates for the group put the number of fighters between 3,000 and 5,000.

-- French military intervention in Mali in 2013 largely defeated the forces of al Qaeda in the Islamic Maghreb (AQIM) and its splinter groups, which had taken over half of the country, but AQIM countinues to operate in Algeria, Mali, Mauritania and Niger. AQIM's main appeal is its wealth, as its focus on kidnappings for ransom has brought in an estimated $90 million. Hannah Armstrong, who studies North African militant groups for New America's International Security Program, estimates the total number of AQIM-associated fighters in the Sahel region of North Africa at about 3,000.

-- Counterterrorism operations in 2009 and 2010 have reduced Jemaah Islamiya (JI), al Qaeda's Southeast Asian affiliate. In the period after 2010, "JI was severely crippled and could only stage small-scale attacks" according to Zachary Abuza, a leading JI expert at the National Defense University. The U.S. National Counterterrorism Center (NCTC) assesses: "Southeast Asian governments since 2002 have arrested more than 300 suspected terrorists, significantly degrading JI's network." About 100 Southeast Asians have reportedly traveled to fight with ISIS, which could reinvigorate Southeast Asian extremist networks.

The threat to Western interests, of course, doesn't just come from those groups that are formally affiliated with al Qaeda.

-- Though the Pakistani Taliban is predominantly focused on fighting in Pakistan, the group has repeatedly threatened the United States. The group was responsible for Faisal Shahzad's failed car bomb attack in Times Square on May 1, 2010. According to National Defense University Professor Hassan Abbas, who has written extensively on the Taliban, the Pakistani Taliban have anywhere from 17,000 to 22,000 foot soldiers.

--The influx of Pakistani Taliban militants into Afghanistan --under the leadership of Pakistani Taliban commander Mullah Maulana Fazullah, who currently resides in Afghanistan --adds more fighters to an already robust Taliban force: U.S. government officials estimate the number of Afghan Taliban members at around 35,000.

-- Since 2011, the Islamic Movement of Uzbekistan (IMU) has lost several senior leaders, yet the group continues to pose a threat to Afghanistan and Pakistan. The IMU claimed responsibility for the June 2014 attack on Karachi's Jinnah International Airport, which killed 28 people. The U.S. State Department estimated that as of April 2014, the IMU had about 200 to 300 members and that its splinter, the Islamic Jihad Union, has 100 to 200 members.

-- Since its creation in 2002, Boko Haram has only attacked Western interests once, when it bombed the U.N. office in Abuja, Nigeria, in August 2011. The group has consistently shown little inclination for attacking Western targets and is principally interested in putting Nigeria under its version of Sharia law. Dr. Peter Lewis, the director of African Studies at Johns Hopkins School of Advanced International Studies has estimated that Boko Haram had several thousand supporters and at least 300 armed men.

(We excluded from our overall account the armed forces of Hezbollah and Hamas, because these organizations also engage in conventional politics and governing and also do not attack American targets -- all facts that make them at odds with al Qaeda and its affiliates and splinter groups).

The vast majority of the estimated 85,000 to 106,000 militants fighting with militant jihadist groups around the world are fighting for purely local reasons, for instance, trying to install Sharia law in northern Nigeria or trying to impose Taliban rule on Pakistan and Afghanistan, while only a small number of these militants are focused on attacking the West.

By historical standards this is hardly a major threat. At the end of the Cold War, Soviet and other Warsaw Pact countries could muster around 6 million men to fight in a war against the West, a number that is some 60 times greater than the total number of militants estimated to be fighting for jihadist organizations today.

And, of course, the Soviets had a vast supply of nuclear-armed, land-based missiles, nuclear-armed submarines and nuclear-armed bombers and many other highly sophisticated weapons systems that jihadist organizations have never acquired and are quite unlikely to.

The only reasonable conclusion to draw is that the threat posed by jihadist organizations around the globe is quite inconsequential when compared with what the West faced in the past century.

@highlight

Peter Bergen, Emily Schneider: Khorason shows jihad groups metastasizing. But growing?

@highlight

They say new report they try to count these forces that fight without uniforms, often in secret

@highlight

They say between 85,000 and 106,000 militant jihadists fighting worldwide

@highlight

Writers: To compare, In Cold War USSR could muster around 6 million to fight the West