(CNN) -- Americans talk a good game about wanting to eat well. More than 75 percent claim they want to see more healthy options on restaurant menus. But when it comes time to order, only about half say they actually make nutritious choices, according to a recent survey.

Steakhouse portions often exceed the recommended five to seven ounces of animal protein per day.

On the other hand, 77 percent rank taste as the top priority for a restaurant dinner, and 44 percent say satisfying hunger matters most, according to the responses reported in June by Mintel, a market research firm. Of 2,000 adults polled in February, 20 percent said food health is an important factor when they order dinner.

Still, nutrition experts stress that it is possible to satisfy your taste buds and hunger while making nice to your heart.

"Eating out with friends and family is a pleasure you don't have to give up when you're on a special diet," said Anne Cain, a registered dietitian and senior editor at MyRecipes.com. "You just need to arm yourself with information about heart-healthy choices and not be afraid to ask questions about the menu and make special requests." (MyRecipes.com is owned by Time Warner, the parent company of CNN.)

Every person's needs are different when it comes to what he or she should eat, health experts say.

"There are some people that really have to worry about calories, there are some people that really have to worry about sugar, some people that really have to worry about salt. All of these bring in different kinds of mandates for you," said Riska Platt, a registered dietitian and spokeswoman for the American Heart Association.

Still, some foods are more likely than others to derail a heart-healthy diet. Here are some tips to help you eat for your heart when dining out.

Chinese  Instead of oil- and fat-laden dishes such as lo mein, egg rolls, kung pao chicken or fried rice, try steamed chicken, seafood or tofu with vegetables, and ask for sauce on the side.

"Chinese food can be a hidden salt mine,"said Sari Greaves, a registered dietitian and spokeswoman for the American Dietetic Association. Ordering it "as unadorned as possible" and with sauces on the side will help you control your sodium intake.

Soups such as egg-drop and hot-and-sour are low-calorie and low-fat, but may also be "salt bombs," Greaves said. But despite the poor reputation eggs have for their high-cholesterol properties, low-fat dieters don't have to steer clear of egg-drop soup, she said: "It's saturated fat and trans fat in your diet that raise your blood cholesterol, more so than cholesterol in your diet."

Stir-fried dishes are also a safe bet because they're generally cooked quickly and with very little oil. On the other hand, watch out for foods designated "crispy" or "double-sauteed," which indicate deep-fried dishes, said Greaves.

Sandwich shop  Instead of a sandwich on white bread, a white roll or white wrap and topped with mayonnaise or cheese, try whole-grain bread options topped with vegetables, mustard or olive oil, and little to no cheese.

Watch out for deli meats, which often contain a lot of salt, Platt said.

Hummus can be a good alternative to mayonnaise or cheese, as it contains heart-healthy fat. Platt endorses hummus, which is made from chickpeas, because it helps Americans fit legumes into their diet. Just don't overload on it, because the calories can add up.

Platt also suggests skipping oversized muffins. Even if they're bran muffins and consequently high in fiber, they're full of fat, sugar and calories. Breakfast wraps can also be detrimental to a heart-healthy diet, especially when an entire salt- and fat-heavy meal of eggs, cheese and bacon is packed into a compact package.

Italian  Instead of pasta topped or filled with cream, cheese or meat, try grilled, broiled or poached seafood with a small order of pasta with garlic and oil or tomato sauce.

Greaves suggests ordering shellfish such as shrimp, mussels or clams at an Italian restaurant, as long as they aren't deep-fried or cooked in butter. Although these shellfish might be higher in cholesterol than salmon or tilapia, she said, they're still very low in saturated fat.

If you do want cheese in your meal, add a sprinkling of parmesan atop a dish instead of gobs of cheese as the centerpiece of your meal.

And for an appetizer, Greaves recommends skipping the meat- and cheese-heavy antipasto salad in favor of shrimp cocktail, which is low in saturated fat. Also, pair bread with heart-healthy olive oil, not butter. Oil is rich in calories, though, so don't overdo it.

Japanese  Instead of tempura-style rolls or rolls with mayonnaise (think spicy tuna), try fresher sushi with fish high in cardio-friendly omega-3 fatty acids, such as salmon, tuna, mackerel or halibut. The avocado in California rolls also carries heart-healthy benefits.

Edamame, which are green soybeans, may indirectly lower your blood cholesterol and are a good source of fiber and omega-3s, Greaves said. But if you're monitoring your sodium intake, request that the salt be omitted.

Be on the lookout for the word "kewpie," or Japanese mayonnaise, if you're trying to cut back on saturated fat.

Steakhouses  Instead of a full portion of steak, try limiting your meat intake by ordering a beef kebab, or a chicken or seafood selection cooked without butter or salt.

Choose lean cuts of beef such as round, sirloin, chuck, flank steak or tenderloin. Remove any visible fat that may be attached to the cooked meat, Cain said.

The American Heart Association recommends eating five to seven ounces of animal protein per day, and a 12-ounce steak at a restaurant far exceeds that, Platt said. Split a steak with one of your dining partners, or eat half and take the rest home for another meal.

Steakhouses also offer deceptively fattening sides, such as creamed spinach or fully loaded baked potatoes. Swap out those fatty sides for steamed vegetables, and you'll be in better shape.

Mexican  Instead of a cheese-filled burrito or taco, try a seafood, chicken or vegetable fajita.

The seafood or chicken will provide lean, healthy protein, while a vegetable centerpiece will boost your fiber intake. If you get beans, make sure they're not refried; black beans provide protein and fiber without artery-clogging saturated fat, Greaves said.

You can also cut down on saturated fat by opting for pico de gallo or salsa instead of sour cream. Since it's made from heart-healthy avocados, guacamole contains good fat that can lower bad LDL cholesterol while raising good HDL cholesterol. Just limit your intake to about two tablespoons, Greaves said, because it can carry a lot of calories.

Greaves also warns that you should watch out for salted rice and rice with cheese -- no-no's for people on low-sodium or low-fat diets.

@highlight

Dietitian: Be heart-friendly by asking how things are prepared, making requests

@highlight

"Chinese food can be a hidden salt mine," another dietitian says

@highlight

At steakhouses, portion size can present a challenge

@highlight

Watch out for "kewpie," or Japanese mayonnaise, at sushi restaurants