Washington (CNN) -- Immigration reform entered an uncertain new phase on Wednesday as House Republicans signaled some willingness to compromise with President Barack Obama and Democrats but rejected a Senate-passed bill and insisted they would take their time drafting their own version.

Following more than two hours of talks on how to proceed, GOP legislators said the biggest question was whether to give the 11 million immigrants living illegally in the United States a path to eventual citizenship, as provided by the Senate measure.

Participants in the Republican caucus meeting described a 50-50 split over the undocumented immigrant issue, with more consensus on the need to produce some kind of legislation to show the party's commitment to fixing a broken system and addressing concerns of Hispanic Americans -- the nation's largest minority demographic.

Despite the divisions on the undocumented immigrant issue, House Majority Leader Eric Cantor of Virginia told the GOP members that children living illegally in the United States through no fault to their own should receive legal status.

House Judiciary Chairman Bob Goodlatte said he and fellow Virginia Republican Cantor were working together on a bill focused on children, which is a priority of Democrats pushing for immigration reform.

At the same time, House GOP leaders made clear they intended to slow the process down by tackling individual components of the broad measure passed by the Democratic-led Senate last month with bipartisan support.

Bush welcomes new citizens in soft push for immigration reform

Prospect of political attacks

That means taking up smaller bills on specific provisions, such as border security and employment verification measures, in coming months while also seeking a compromise within the caucus on providing legal status for undocumented immigrants.

House Speaker John Boehner warned his caucus that Republicans would face political attacks if they failed to move legislation, according to several GOP sources in the room.

"We don't want the White House to hope that we fail to make it a campaign issue," said GOP Rep. Michael McCaul of Texas. "House Republicans want to do this on our terms, and not on the Senate's terms and not on the White House terms."

Another prominent House GOP leader, Budget Committee Chairman Rep. Paul Ryan of Wisconsin, told his colleagues that doing nothing was not an option.

The unsuccessful Republican vice presidential nominee in last year's election, Ryan made the case also pushed by the White House that immigration reform would help boost the American economy, participants said.

Meanwhile, a group of bipartisan House legislators trying to draft its own immigration measure met for several hours on Tuesday night and would continue its work, said Democratic Rep. Xavier Becerra of California.

The group is working on a comprehensive bill closer in form to the Senate measure and Becerra argued the incremental approach advocated by House Republicans wouldn't work.

"It's better to eat your Wheaties and do it right than do it poorly and 5-10 years from now have to come back at it again," Becerra said.

How immigration reform would affect 3 families

Path to legal status

The 1,000-plus page Senate immigration bill passed last month takes a comprehensive approach that removes the threat of immediate deportation for most undocumented immigrants and provides a path to legal status and eventual citizenship.

It also includes stronger enforcement provisions including the virtual militarization of the Mexican border with almost double the agents, new technology and a longer fence, as well as requiring employers to verify the immigration status of workers and improved monitoring of visa holders.

While the Senate measure passed 68-32 with support from 14 Republicans, House GOP leaders insist they will not bring it up because most of their caucus opposes it.

Boehner has repeatedly said any immigration bill brought up for a House vote must have support from a majority of Republicans, and he repeated that guarantee to his GOP caucus on Wednesday.

Democrats called on Boehner to allow a House vote on the Senate version, believing it could pass with unified Democratic support along with several dozen Republicans.

Rep. Steny Hoyer of Maryland, the No. 2 Democrat in the House, said Wednesday that Republicans were "splintered and confused" on immigration, describing what he called a "deeply divided party" that was "much more into ideology than they are into solving problems."

Opinion: Should the U.S. be more like Mexico?

Midterms loom in 2014

The immigration issue will be significant in next year's congressional elections, with House Republicans under pressure from conservatives to oppose what the political right-wing calls amnesty in the form of a path to legal status and even citizenship for people who sneaked into the country illegally or overstayed their visas.

"Once you start down that line, you're destroying the rule of law," conservative GOP Rep. Steve King of Iowa said after Wednesday's caucus meeting.

He and fellow conservative Rep. Michele Bachmann of Minnesota described the GOP caucus as evenly divided on the question.

"The real issue is amnesty. The whole game is about legalization, the status of legalization," Bachmann said.

On the other side was Rep. Ileana Ros-Lehtinen, a Cuban immigrant from Miami, who told reporters that "we have different points of view."

"I hope we can also look at the 11 million people who want to legalize their status," she added.

For Obama and Democrats, passage of immigration reform would mean following through on a promise to the nation's largest minority demographic -- Hispanic Americans -- to reduce uncertainty for millions of them living illegally in the United States.

Searching for the American Dream in Mexico

Moderate Republicans, including most of the party's leaders in Congress, want a compromise that would represent a potential breakthrough for the GOP with Hispanics who voted overwhelmingly for Obama in last year's election.

Earlier Wednesday, former President George W. Bush added his voice to calls for a solution, telling a ceremony for new citizens that the present system was broken.

"I do hope there is a positive resolution to the debate," Bush said in a rare public comment about politics since he left office. While he refrained from taking sides, he sounded moderate in saying he hoped that "we keep a benevolent spirit in mind."

"We understand the contributions immigrants make to our country," said Bush, a Republican. "We must remember that the vast majority of immigrants are decent people who work hard and support their families and practice their faith and lead responsible lives."

White House keeps up pressure

However, conservatives fear that legalizing undocumented immigrants means guaranteeing future electoral hardship for Republicans by adding millions of new voters who generally lean Democratic.

The White House sought to keep up pressure on House Republicans, asserting Wednesday that the Senate immigration measure would boost the U.S. economy and help create jobs.

A Congressional Budget Office report released in June indicated the Senate bill could reduce deficits by $175 billion over the first 10 years and by at least $700 billion in the second decade. The CBO, working with the congressional Joint Committee on Taxation, estimated that eight million unauthorized residents would become legal in the first decade.

In addition, the CBO report estimated the bill would boost the U.S. population by a net of 10.4 million people by 2023 and by 16 million by 2033.

"The benefits are clear. The fact that there is a broad bipartisan consensus behind this is clear," White House spokesman Jay Carney said Wednesday.

"It cannot be acceptable, broadly and in the long term, that immigration reform would be blocked because some minority of House Republicans is concerned about a primary challenge from the far right. That's not a good argument. It's not a good argument politically. It's certainly not a good argument economically," he said.

Senate immigration deal includes tougher border security

'Fully comprehensive'

On the House side, the bipartisan group working on an immigration package would require that border security measures be in place before any process toward residency for undocumented immigrants could begin.

GOP legislators endorsed that strategy after Wednesday's caucus meeting.

"The American people want our border secured, our laws enforced, and the problems in our immigration system fixed to strengthen our economy," said a joint statement by House GOP leaders that expressed distrust in Obama and Democrats to fully enact tougher security laws before legalizing undocumented immigrants.

GOP Republican Rep. Darrell Issa of California told reporters the end result in the House would be "fully comprehensive immigration reform" that would address undocumented immigrants.

He outlined legislation that would provide some with legal status, such as those who served in the military and children of undocumented immigrants brought into the country illegally by their parents.

While other immigrants also could be considered for legal status, those with criminal records should be kicked out, Issa said.

Sticking points in the House debate include whether undocumented immigrants would be eligible for health care benefits during the years it would take to get legal status, and empowering state and local police to work with federal authorities in enforcing immigration laws.

Opinion: On immigration, GOP offers fear, not ideas

CNN's Dana Bash, Alan Silverleib, Lesa Jansen, Ashley Killough and CNNMoney's Jeanne Sahadi contributed to this report.

@highlight

NEW: House Republicans argue for and against legal status for undocumented immigrants

@highlight

NEW: GOP legislators say work on immigration measures will likely go on for months

@highlight

Former President Bush calls for a solution in a rare comment on a political issue

@highlight

GOP leaders refuse to hold a vote on a Senate version that passed with bipartisan support