(CNN) -- It's shaping up to be a huge week for Microsoft. On Monday, the company announced its Surface tablet platform at a hush-hush event in Los Angeles, and now Microsoft has unveiled Windows Phone 8 Apollo at its Windows Phone Summit in San Francisco.

Microsoft announced eight specific platform updates for its upcoming mobile OS. We've already covered one of the most consumer-facing updates, the new Start Screen, but other changes include hardware-related features like multi-core processor and memory card support, a revamped Internet Explorer 10, shared native code between Windows Phone 8 and Windows 8, NFC support, a new Wallet hub, Nokia Maps, and Windows Phone 8 for business.

Many of these updates shouldn't come as a surprise, considering all the leaks and reports that came out in February. Nor was today's announcement a full-fledged reveal like Apple's iOS 6 presentation at WWDC. Microsoft says it will unveil more end-user features in the summer. But in the meantime, these platform updates are significant, and Microsoft had a lot to say about them.

Here's a deeper dive into what we can expect from Windows Phone 8.

Hardware updates

As suspected, Windows Phone 8 will support multi-core chips. It's a move that will make Windows Phone more competitive with the iPhone and Android handsets, which have been able to check off multi-core support on their spec sheets for quite a while. When they launch, Windows Phone 8 devices will run on dual-core processors, specifically those from Qualcomm.

"The experience that people have had on a single-core will get much, much better as we move to dual-core," Joe Belfiore, manager of the Windows Phone Program, said at the event.

Windows Phone 8 will also support three screen resolutions. (Windows Phone 7.5 supports just one.) The new screen resolutions include WVGA at 800×480 pixels and a 15:9 aspect ratio; WXGA at 1280×769 and 15:9; and 720p at 1280×720 at 16:9.

Rounding out the hardware story, Windows Phone 8 will support microSD card expansion. Hardware manufacturers can include a microSD slot for users to easily transfer information from device to device. "What this enables is that an end user can add a MicroSD card months after they've bought a phone and transfer information from PC to phone, and phone to phone," Belfiore said. "We didn't want to deliver this feature until we could do it where it's easy to use."

Revamped Internet Explorer 10

Microsoft showed off a new Internet Explorer browser for Windows Phone 8. The new IE 10 features Smart Screen, an anti-phishing filter that uses data from Windows PCs to block malicious websites in real time. Belfiore showed off how IE 10 can protect users who might fall victim to scam links sent via email.

IE 10 also receives a JavaScript update — JavaScript is now four times faster than the browser in Windows PHone 7.5, according to the company. There's also twice as much HTML5 support.

How does mobile IE 10 compare to other mobile browsers? According to recent SunSpider scores that measures a browser's JavaScript execution performance, IE 10 performed the best.

Shared Native Code

Windows Phone 8 will share native C and C++ code with Windows 8, making it easier for developers to create apps for both platforms. It's not something that consumers will immediately notice when they use the OS, but Microsoft hopes shared native code will lead to better, faster app development — and thus more quality apps in Windows Phone Marketplace.

"The biggest effect this will have is we're going to see some freaking killer games this year," Belfiore said.

At its developer summit, Microsoft continually hammered on how easy it will be for developers to port games from Windows 8 to Windows Phone 8, and vice versa. "Suddenly, with Windows Phone 8 with that shared core, taking an app from the PC to phone is very straightforward," Belfiore said.

In essence, native code will enable developers to write high-performance code — which is why games are such a big deal — and drive hardware acceleration. "You're going to see some beefy, powerful phones running some amazing games this year," Belfiore said.

NFC Sharing

As suspected, Windows Phone 8 devices will support NFC sharing. NFC isn't a totally new technology, but it's far from ubiquitous, so it's interesting to see Microsoft pushing it forward. Belfiore demoed how NFC would work in a Lexus advertisement with an embedded tag — he used the April issue of Wired magazine, actually: With a simple tap of his phone on top of the advertisement, he transferred product information directly to his Windows Phone.

Also, sharing isn't limited to just phones. The new Microsoft platform supports NFC between phones, laptops, slates, and PCs. And NFC also has an important role in the next platform update....

Wallet Experience

Windows Phone 8 will feature a new Wallet hub where users can store their credit and debit card information, third-party loyalty and membership cards, and coupons and deals. It's not unlike Apple's iOS 6 Passbook app. But Windows Phone Wallet experience will also support NFC tap-to-pay.

Yes, it's like Google Wallet, but with one fundamental difference. All of your credit and debit card information will be stored in a secure SIM card, not in an on-device system. Google Wallet is built directly into a device, making it impossible to move your Wallet info from one device to the next, but Windows Phone has opted for a more transition-friendly option.

Microsoft's approach is also an experience that carriers prefer. But don't get too excited just yet, as the NFC tap-to-pay capabilities won't be coming to the United States until next year. At launch, the capability will be limited to the France-based Orange carrier. US Windows 8 consumers, however, will still be able to access the Wallet hub as their central location for cards, third-party services, and deals.

Goodbye Bing Maps, Hello Nokia Maps

Say goodbye to Bing Maps. Windows Phone 8 maps will run on Nokia's mapping technology, built directly into the onboard Maps app. There's not too much news on this front, but this development isn't surprising considering Microsoft and Nokia's close ties. Some key features include: Global NAVTEQ map data, offline map support, turn-by-turn directions, and map control for developers. 3-D navigation didn't make it.

Windows Phone 8 for Business

Microsoft has always had a strong hold on the enterprise market with Windows, and now it's taking all of that work and pulling it together with a business-friendly Windows Phone platform. Windows Phone 8 will come with a complete security platform with Secure Boot and encryption (which is a derivative of Windows Bitlocker). It'll make app distribution and deployment flexible for business, offering up a mechanism for private distribution and full-on onsite management.

Businesses will also be able to manage Windows Phone 8 devices through a software management system. And finally, Windows Phone 8 will run the Microsoft Office suite — though we have yet to see how it will look in that mobile form.

New Start Screen

Ah, the new Start Screen. "It's the sexiest thing in Windows Phone 8," Belfiore said. And this should definitely the case for more visually motivated users. As we wrote in our story about the Start Screen and current Windows Phone devices, the new Start Screen is the most visible end-user feature of Windows Phone 8 (at least that's been announced so far).

Microsoft has taken its Live Tiles and made them more customizable, bringing a new small size to the experience.

"These live tiles are the heart and soul of the Windows Phone," Belfiore said. "We know that our users really love their phones, and we think the biggest reason is because Live Tiles make the phones so special and so personal."

Users will be able to choose between a small, medium and large size for their Live Tiles. And now the entire screen is available for Live Tile pinning — the arrow and empty space on the right-hand side have dissapeared. To that end, users can pin more on their Start Screen.

And of course, Windows Phone 8 and Windows 8 are coming even closer together. As Microsoft said, they're "better together."

"The intent in our changing the Live Tiles support is not just to make Live Tiles more personal, but to give a more consistent experience between Windows 8 Live Tiles and Windows Phone 8 live tiles," Belfiore said.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Windows Phone 8 Apollo unveiled at Microsoft's phone summit

@highlight

Newly announced features for operating system included a new start screen

@highlight

Phone will run on powerful dual-core processors

@highlight

System will also include a new Wallet hub for payments