The Keystone XL pipeline represents a big step toward true North American energy independence, reducing our reliance on Middle Eastern oil and increasing our access to energy from our own nation and our closest ally, Canada, along with some oil from Mexico -- to 75% of our daily consumption, compared with 70% now.

That decades-long goal for our country is finally within reach, but we need to stay focused on the big picture, and we need to act. This $7 billion, 1,700-mile, high-tech transcontinental pipeline is a big-time, private-sector job creator, and it will also hold down the gas prices for consumers and reduce our energy dependence on an unstable part of the world. Finally, it will do so with good environmental stewardship.

That's why I, along with 44 of my colleagues from across the nation, introduced new legislation to move the project toward approval and construction after President Barack Obama's rejection of the project last month.

Another view: Ted Turner on the case against the Keystone XL pipeline

The Hoeven-Lugar-Vitter amendment to the highway funding bill, which we are now working to pass, authorizes TransCanada to construct and operate the Keystone XL pipeline from Alberta, Canada, to the Midwest and Gulf Coast, transporting an additional 830,000 barrels of oil per day to U.S. refineries. This includes 100,000 barrels of crude oil a day from the Bakken region of North Dakota and Montana.

That's key to my state, because providing pipeline capacity and gathering systems for that much North Dakota crude will take as many as 500 trucks a day off of roads in the oil patch. That's a win-win for producers, state revenues and most importantly, public safety on our Western highways.

The Keystone XL project is good for North Dakota, but it is vital for the nation. Some 75% of the pipe for the Keystone XL pipeline will be made here in North America, 50% of it in Arkansas. Some 90% of all other construction materials will come from companies in the United States and Canada.

From an environmental perspective, the project has been under review since September 2008, more than three years, and the State Department's environmental review, completed in August 2011, found "no significant impacts on most resources" providing environmental restrictions are met. Further, our new legislation includes all federal and state safeguards and sets no time limit on Nebraska's ability to further review the pipeline's route through the state, the only portion of the route in contention. Additionally, 80% of the new Canadian oil sands development is being developed "in situ," meaning, it has a similar carbon footprint and emissions as conventional oil wells.

If the Keystone XL pipeline isn't built, Canadian oil will still be produced -- 700,000 barrels a day of it -- but instead of coming down to our refineries in the United States, instead of creating jobs for American workers, instead of reducing our dependence on a turbulent part of the world, that oil will be shipped to China.

It will have to be carried there on large oil tankers, creating more carbon emissions, and it will be processed at facilities with weaker environmental safeguards.

Finally, it's important to point out that the Keystone XL pipeline is nothing new. Thousands of pipelines crisscross our nation, delivering refined products to fuel our cars, heat our homes and power our industries. In fact, the original Keystone pipeline, which became operational in 2010, runs from Alberta through my state of North Dakota. Contrary to claims by critics, the pipeline itself has never leaked. The leaks happened at fittings and seals at above-ground pumping stations, which were properly and promptly fixed.

I have worked toward approval of the Keystone XL pipeline, first as governor of North Dakota and now as a U.S. senator, because I believe it helps our nation on so many levels. It is just the kind of project that will grow our economy and create jobs in the right way -- through private-sector investment.

The Keystone XL pipeline will also help to wean us from our dependency on oil from volatile regions of the world and help us move toward a true energy independent future. It will make our nation safer and stronger for the American people.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

@highlight

Keystone XL pipeline would take crude oil from Canada through Midwest to Gulf Coast

@highlight

John Hoeven: It will create jobs, help lead to North American energy independence

@highlight

Hoeven-Lugar-Vitter amendment would allow TransCanada to build the pipeline

@highlight

State Department reports it will have little environmental impact, Hoeven writes