(CNN) -- A deeply divided Venezuela is mourning its late leader and preparing to pick a new president to replace him.

Venezuelan officials called for peace and unity after President Hugo Chavez's death on Tuesday, emphasizing in state television broadcasts that all branches of the government and the military were standing together.

Elections will be held in 30 days, and Vice President Nicolas Maduro will assume the presidency in the interim, Foreign Minister Elias Jaua said in an interview broadcast on state-run VTV.

Tearing up as he announced Chavez's death after a long battle with cancer, Maduro called on Venezuelans to remain respectful.

"We must unite now more than ever," Maduro said.

Henrique Capriles Radonski, a former presidential candidate and opposition leader, said Venezuelans should come together.

"This is not the time for difference," he said. "It is the time for unity. It is the time for peace."

Supporters of Chavez poured into a Caracas square soon after news of his death spread. Some wept openly. Others waved flags and held up pictures of the late president.

There were no reports of major violence, but there was palpable tension in the streets, as some Venezuelans heading home from work tried to steer clear of Chavez's fervent supporters.

Venezuela's military is in a "process of deploying ... to ensure the safety of all Venezuelans" and to support the country's constitution in the wake of Chavez's death, said Adm. Diego Molero, Venezuela's defense minister.

iReport: Share your thoughts on the death of the Venezuelan president

Venezuela prepares for funeral, elections

Venezuela's government has declared seven days of national mourning, Jaua said. At Venezuelan embassies around the world Tuesday, flags were flying at half mast.

Chavez's remains will be taken to a military academy in Caracas on Wednesday, Jaua said. There he will lie in state for three days. His state funeral will be held there on Friday morning, Jaua said.

The announcement of Chavez's death came hours after Maduro met with the country's top political and military leaders about Chavez's worsening health condition and suggested someone may have deliberately infected Chavez with cancer.

Chavez first announced his cancer diagnosis in June 2011, but the government never revealed details about his prognosis or specified what kind of cancer he had

Shortly before his last trip to Cuba for cancer surgery in December, Chavez tapped Maduro as the man he wanted to replace him.

"He is one of the young leaders with the greatest ability to continue, if I cannot," Chavez said.

Chavez leaves a revolutionary legacy

Maduro made no mention of running for election in his public comments Tuesday, but he is widely expected to be the United Socialist Party of Venezuela's candidate for the job.

During Chavez's absence from the political stage over the past three months, Maduro has been front and center. He has spoken at political rallies around the country and delivered updates about Chavez on national television, drawing growing support from Chavez loyalists.

Opposition critics have said he was campaigning for office -- a claim the government has denied. Even as Jaua said Tuesday that Maduro would temporarily assume the presidency, some critics questioned whether that was constitutional, since Chavez missed his inauguration and was never officially sworn in.

Opposition politicians haven't said who will represent them in the election. But as speculation mounted over Chavez's health in recent weeks, many had turned to Capriles, who lost to Chavez in October's presidential contest.

On Tuesday, Capriles called for a national dialogue including all Venezuelans, not just Chavez's supporters.

"Today there are thousands, maybe millions, of Venezuelans who are asking themselves what will happen, who feel anxiety, and including those who feel afraid," Capriles said.

Chavez supporters, critics react

Word of Chavez's death drew swift expressions of sorrow and solidarity from regional allies.

Ecuador and Cuba both announced three days of national mourning to honor Chavez.

"The national government expresses its solidarity in light of this irreparable loss that puts the Venezuelan people and all the region in mourning and at the same time sends its heartfelt condolences to the family of the late champion of Latin America," Ecuador's foreign ministry said in a statement.

Bolivian President Evo Morales' voice cracked as he spoke to reporters, describing Chavez as someone "who gave all his life for the liberation of the Venezuelan people ... of all the anti-imperialists and anti-capitalists of the world."

But longtime critics of the controversial president offered a different take.

"Hugo Chavez was a tyrant who forced the people of Venezuela to live in fear. His death dents the alliance of anti-U.S. leftist leaders in South America. Good riddance to this dictator," said U.S. Rep. Ed Royce, chairman of the House Committee on Foreign Affairs. "Venezuela once had a strong democratic tradition and was close to the United States. Chavez's death sets the stage for fresh elections. While not guaranteed, closer U.S. relations with (this) key country in our Hemisphere are now possible."

Venezuela-U.S. relations surge into spotlight

Just hours before the announcement of Chavez's death, relations between the two countries appeared to be souring, as Venezuelan officials said they were expelling two U.S. Embassy officials and accused them of plotting to destabilize the country.

The U.S. officials, both air attaches at the U.S. Embassy in Caracas, are accused of having meetings with members of the Venezuelan military and encouraging them to pursue "destabilizing projects," Venezuelan Foreign Minister Elias Jaua said.

"We will not allow any foreign interference in our country," Jaua said. "Do not think that the situation of pain over the health of President Chavez will translate into weakness."

State Department spokesman Patrick Ventrell denied the accusations.

Opinion: Chavez used force of personality to win votes, influence leaders

"Notwithstanding the significant differences between our governments, we continue to believe it important to seek a functional and more productive relationship with Venezuela based on issues of mutual interest," he said. "This fallacious assertion of inappropriate U.S. action leads us to conclude that, unfortunately, the current Venezuelan government is not interested an improved relationship."

After announcing the expulsion of one attache, Maduro -- addressing the media in a lengthy statement -- asserted that someday there will be "scientific proof" that Chavez was somehow infected by outsiders.

"An assertion that the United States was somehow involved in causing President Chavez's illness is absurd, and we definitively reject it," Ventrell said.

It isn't the first time that a Venezuelan government official has implied that a plot could be behind Chavez's cancer.

Chavez made the assertion himself in 2011, saying at a military event in Caracas that he wondered whether the United States could be infecting Latin American leaders with the illness.

CNN's Shasta Darlington, Mariano Castillo, Rafael Romo, Patrick Oppmann, Juan Carlos Lopez, Ione Molinares and Pam Benson and journalist Osmary Hernandez contributed to this report.

@highlight

Official: Maduro will temporarily assume the presidency until elections are held

@highlight

A state funeral for Chavez will be held Friday, Venezuela's foreign minister says

@highlight

Venezuela's defense minister says troops are deploying to ensure safety

@highlight

"We must unite now more than ever," Venezuela's vice president says