Sanaa, Yemen (CNN)Yemen's President resigned Thursday night shortly after his prime minister and the Cabinet stepped down: seismic changes in the country's political scene that come just one day after the government and Houthi rebels struck a tentative peace deal meant to end days of turmoil.

The resignations of Yemeni President Abdu Rabu Mansour Hadi and other officials are the latest fallout from the Houthis' move in recent days to gain power in the capital, which included kidnapping Hadi's chief of staff on Saturday and taking over the presidential palace on Tuesday.

The chaos in Yemen is cause for concern far beyond the country's borders. For the United States and its allies, Yemen's government has been a key ally in the fight against al Qaeda in the Arabian Peninsula, the Yemen-based group linked to attacks such as the recent slaughter at French magazine Charlie Hebdo.

The United States responded by reducing embassy personnel in the capital because of security concerns, a senior State Department official said Thursday night. "While the embassy remains open and is continuing to operate, we may continue to re-align resources based on the situation on the ground," the official said.

The Cabinet and Prime Minister Khaled Bahah resigned before Hadi did on Thursday night, with Bahah telling Hadi in a letter that they essentially wanted to wash their hands of "destructive political chaos," an apparent reference to the deal that was to give Houthis more power.

We resigned "so that we are not made party to what is going on and what will happen," Bahah wrote in the letter, which Yemeni Information Minister Nadia Sakkaf posted on Twitter.

Hadi's resignation came soon afterward. It wasn't immediately clear who would succeed Hadi.

The Houthis' latest push to power picked up steam on Saturday.

The Houthi rebels, Shiite Muslims who have long felt marginalized in the majority Sunni country, kidnapped presidential Chief of Staff Ahmed bin Mubarak in the capital, Sanaa, on Saturday. The rebels then took over the presidential palace Tuesday, prompting talk of a coup.

The tentative deal reached Wednesday called for bin Mubarak's release, as well as measures to give the Houthis more political power, according to a Yemeni official with access to a draft text of the agreement.

But by Thursday, before the top officials quit, Sakkaf questioned whether the rebels would live up to their side of the pact.

"Ahmed Mubarak is still #Houthis hostage despite deal. They got what they want why should they fulfill their promise?" she said on Twitter.

She added, "I have been following up the promises to release Dr. Ahmed bin Mubarak since the beginning. Conclusion: Buying time."

Mistrust was hampering the implementation of the peace deal, both sides said Thursday.

One Yemeni presidential adviser told CNN the government was waiting for the Houthis to release bin Mubarak, but acknowledged that the rebels have withdrawn some forces.

Ahmed Al Bahri, a Houthi official, said they were unsure of how serious Hadi was about the deal, and that they were keeping 20% of their militia numbers in the presidential palace and other key buildings as a guarantee.

Questions about who was in charge over the past few days have sparked concerns that a power vacuum could help terrorist groups get a stronger foothold.

Besides the Charlie Hebdo attack, AQAP also tried to blow up a plane landing in Detroit in 2009. ISIS is also recruiting in Yemen to expand its ranks.

Under the peace deal, the Houthi rebels agreed to withdraw their militias from key government institutions if officials take a significant step: rewriting parts of the country's constitution, according to the Yemeni official.

Under its terms, the government would accept changes in the draft of the new constitution that would grant the Houthis more political power.

Word of the deal still leaves many questions unanswered: What could the reshaped constitution look like? How much power will the rebels get?

U.S. officials said they're unclear about the intentions of the Houthis. Do they want to run the government? Or be a powerful opposition?

There are currently no talks with the Houthis, but there are discussions about whether to talk to them, according to U.S. officials.

Multiple policy options are being considered, the officials said, though there is no consensus yet about how to proceed.

Al Qaeda benefits from Yemen takeover

Several of the constitutional changes sought by the Houthis would emphasize the characteristics of Yemen as a federal state and push for more inclusion of diverse groups.

Seven things to know about Yemen

The Houthis call for marginalized political groups to have the right to partnerships in state institutions and fair representation, according to the text of the tentative agreement.

In return for these government concessions, the rebels basically agree to withdraw their fighters from the capital, where they control or blockade several government installations: the presidential palace, the presidential residence, the Prime Minister's residence and a military installation where missiles are housed.

A Houthi official said the rebels would abide by the deal if the President follows a timeline specified in the negotiations for the political process.

This isn't the first time the rebels and the government have hammered out an agreement.

Houthis swept into the capital last year, sparking battles that left more than 300 people dead in a month. In September, they signed a ceasefire deal with the government, and Houthis have since installed themselves in key positions in the government and financial institutions.

As violence flares, 7 things to know about Yemen

CNN's Nick Paton Walsh reported from Sanaa and Laura Smith-Spark wrote from London. CNN's Catherine E. Shoichet, Mohammed Tawfeeq, Elise Labott and Salim Essaid contributed to this report.

@highlight

U.S. reducing embassy personnel because of security concerns, State Department official says

@highlight

President, prime minister, Cabinet resign, Yemeni officials say

@highlight

Minister says rebels still hold kidnapped presidential aide despite agreeing to free him