Texas on Wednesday became the latest state to have a federal judge strike down its same-sex marriage ban, thanks to a sweeping decision holding that its current prohibition has no "legitimate governmental purpose."

The ruling, by San Antonio-based Judge Orlando Garcia, will not take effect immediately: Its enforcement has been stayed while the case works its way through the appeal process, meaning same-sex couples in Texas cannot get married for the time being.

Still, gay rights supporters and activists believe the judgment -- because of what it says, how it follows similar rulings in other states and where it happened, in one of the most conservative states in the country -- has special significance.

Texas Democratic Party chairman Gilberto Hinojosa called Wednesday "a historic day for the LGBT community and the state of Texas," while the National Gay and Lesbian Task Force's head predicted the ruling "hastens the day when all loving couples who simply want the ability to share the benefits and responsibilities of marriage can."

Victor Holmes, one of the four plaintiffs that brought the lawsuit, pumped his fist in the air and cried "woo hoo!" in reaction to what he called "an awesome first step."

"Growing up, (with) my mom and dad, I envied their marriage because I really didn't think that I would be able to have something like that," Holmes, a 23-year U.S. Air Force veteran, said alongside his partner Mark Phariss. "And now ... reading that decision, it really was the first time I realized that, yeah, I can."

Those on the other side of the debate, meanwhile, are promising to keep fighting.

Texas Attorney General Greg Abbott said his office will challenge the ruling, which would be heard by a federal appeals court in New Orleans. The Republican is running for governor, with early primary voting now in full swing and the full primary election set for March 4.

"The U.S. Supreme Court has ruled over and over again that states have the authority to define and regulate marriage," said Abbott. "The Texas Constitution defines marriage as between one man and one woman."

Gov. Rick Perry, who is not running for re-election, offered even more forceful remarks, insisting that the 10th Amendment of the U.S. Constitution "guarantees Texas voters the freedom" to decide on the parameters for marriage.

"Texans spoke loud and clear by overwhelmingly voting to define marriage as a union between a man and a woman ..., and it is not the role of the federal government to overturn the will of our citizens," said Perry, an outspoken conservative who ran for president in 2012. "... This is yet another attempt to achieve via the courts what couldn't be achieved at the ballot box."

In November 2005, Texas became the 19th state to adopt a constitutional amendment banning gay marriage. Whether homosexual couples should be allowed to wed like heterosexual ones was a hot-button issue then and in subsequent years, with polls showing that most Americans favored restrictions.

But public opinion shifted over time. A CNN/ORC International survey last June found a majority -- 55% -- of Americans back same-sex marriage, up 11 percentage points from 2008.

A total of 17 states now allow such legal unions, due to actions by voters, state courts or their legislatures. Federal courts have also helped move the needle on the issue, especially over the past year.

The most significant such move came last June, when the Supreme Court rejected parts of the Defense of Marriage Act while ruling same-sex spouses legally married in a state may receive federal benefits. The justices didn't go as far as saying that all states must allow such marriages to take place within their borders, but a number of lower federal courts have since stepped in to the fray.

Federal judges have ruled that gay marriage bans in Virginia, Kentucky, Oklahoma and Utah violate the U.S. Constitution.

Judge Garcia echoed his colleagues Wednesday with respect to Texas, saying that "equal treatment of all individuals under the law is not merely an aspiration it is a constitutional mandate."

"(The Texas law) is unconstitutional because, without a rational relationship to a legitimate governmental purpose, it denies same-sex couples the benefits, dignity and value of celebrating marriage and having their out-of-state marriage recognized," the judge said.

In his ruling, Garcia raised notable arguments from some supporters of same-sex marriage bans: that allowing such unions would hurt children raised in them, that it would stifle procreation and that it "could lead to the recognition of bigamy, incest, pedophilia and group marriage."

The judge then shot down the defense's case. "Procreation is not and has never been a qualification for marriage" and "tradition, alone, cannot form a rational basis for a law."

Texas has "the 'unquestioned authority' to regulate and define marriage," but only "in a way that does not infringe on an individual's constitutional rights," Garcia added.

"It is clear that (the four plaintiffs) suffer humiliation and discriminatory treatment under the law on the basis of their sexual orientation, and this stigmatic harm flows directly from Texas' ban on same-sex marriage," the judge wrote. "(Texas' law also) causes needless stigmatization and humiliation for children being raised by the loving same-sex couples being targeted."

After the ruling, all the key players acknowledged the fight isn't over. Ultimately, it may fall to the Supreme Court to decide whether the gay marriage bans in Texas and a host of other states are legal under the U.S. Constitution.

For now, though, the Texas plaintiffs are celebrating. Phariss says the courts' decision "are going to put an end" to stories like his as a  youngster, going to bed "knowing they're gay and praying that they won't wake up."

That sentiment was echoed by Nicole Dimetman, who is raising a child with her partner and fellow plaintiff Cleopatra De Leon.

"It's a huge victory for us, but it is also a victory for young people that don't have to go through the process that we all went through growing up -- of daring to dream," Dimetman told reporters. "They will have the same dreams from the time that they're little that their parents had. And I think that that's amazing."

Map: Same-sex marriage in the United States

Fast Facts: Same-sex marriage

Arizona's decision on anti-gay bill unlikely to end religious liberty movement

@highlight

A plaintiff calls the ruling an "awesome first step," noting an appeal is coming

@highlight

Judge: Same-sex ban has "no rational relation" to legitimate government

@highlight

Texas governor calls ruling a case of federal courts impeding on state rights

@highlight

This is the latest court ruling overturning laws forbidding gay and lesbians from legal wedlock