(CNN) -- Chinese travelers are now the top source of tourism cash in the world, according to a new report by the United Nations World Tourism Organization (UNWTO).

Boosted by a rising Chinese currency, Chinese travelers spent a record US$102 billion on international tourism in 2012, a 40 percent rise from US$73 billion in 2011.

Chinese tourism: The good, the bad, the backlash

The results fall right in line with China's outbound tourism growth over the last 10 years.

The UNWTO says the volume of international trips by Chinese travelers grew from 10 million in 2000 to 83 million in 2012, making it the world's fastest-growing market.

So what's behind the increase?

The UNWTO credits rapid urbanization, rising disposable incomes and the relaxation of government restrictions on foreign travel.

"In 2005 China ranked seventh in international tourism expenditure, and has since successively overtaken Italy, Japan, France and the United Kingdom," says the report.

"With the 2012 surge, China leaped to first place, surpassing both top spender Germany and second largest spender United States (both close to US$84 billion in 2012)."

Though the report did not break down spending per trip amongst international travelers, calculating total spend by number of trips suggests Chinese travelers averaged a spend of $1,230 per trip.

By 2015, 100 million Chinese will travel abroad, a benchmark originally forecast for 2020, according to the UNWTO.

And now that China's State Council has crafted a landmark plan to kick start Chinese outbound tourism even further, expect more phenomenal growth figures.

It is dubbed the "Outline for National Tourism and Leisure (2013-2020)" and is a roadmap for restructuring the current paid leave system across China with an aim to encourage governmental agencies, social organizations, enterprises and public institutions to promote the use of leave days. Importantly, it also gives Chinese workers more freedom and flexibility of where and when to travel.

It's all about shopping

And what do Chinese travelers prefer to do on their trips?

According to Dr. Yong Chen of Hong Kong Polytechnic University who specializes in Chinese outbound tourism, unlike other global travelers, Chinese tourists focus mainly on shopping.

"It is the most prominent difference and more evidential in recent years," says Chen.

"If you look at Chinese tourists 10 years ago, they will mainly buy souvenirs. Nowadays, they want to buy luxury products in Italy or Paris like handbags and watches."

Dr. Wolfgang Georg Arlt, director of the China Outbound Tourism Research Institute (COTRI), agrees, saying shopping is one of the main drivers for Chinese tourists.

"Luxury goods are 20-30% cheaper in other global cities. If you plan to spend US$10,000 on shopping and only spend US$1,000 on airfare, it's much cheaper for Chinese tourists to fly abroad to shop."

Traveling is also a form of soft power, he adds, so it's only natural for the Chinese government to support its citizens to head abroad.

"For Chinese people the United States is the only competitor left," he says.

"They have an interest in the model for capitalistic development and want to see what they can learn so they can overtake and become number one."

Chinese are very proud of the fact that they are traveling, he adds, given the Cultural Revolution is still fresh the minds of people over 40.

"This happened all in one generation," he says. "Many have parents who didn't have shoes. All this growth happened so fast it's still in living memory.

"Now they're showing the world and themselves: 'I'm strong, I can go spend US$5,000 for nothing, just my pleasure.'"

Other hot markets

Other emerging markets to increase tourism spending abroad over the past decade include Russia, which saw an increase of 32 percent in 2012 to US$43 billion, bringing it from seventh to fifth place in the international tourism spending rankings.

"Emerging economies continue to lead growth in tourism demand," said UNWTO Secretary-General Taleb Rifai in a statement.

"The impressive growth of tourism expenditure from China and Russia reflects the entry into the tourism market of a growing middle class from these countries, which will surely continue to change the map of world tourism."

Meanwhile, traditionally hot outbound tourism markets, usually growing at a slower pace, also posted positive results, says the report.

Spending on travel abroad from Germany and the United States grew by 6% each.

Spending from the UK grew by 4% and the country retained its fourth place spot in the list of major source markets. Expenditure by Canada grew by 7%, while both Australia and Japan grew by 3%.

The only markets in the top 10 to record a decline in international tourism spending were France (down 6%) and Italy (minus 1%.)

Top international tourism spenders in 2012

1. China -- US$102 billion
2. Germany -- US$83.8 billion
3. United States -- US$83.7 billion
4. United Kingdom -- US$52.3 billion
5. Russian Federation -- US$42.8 billion
6. France -- US$38.1 billion
7. Canada -- US$35.2 billion
8. Japan -- US$28.1 billion
9. Australia -- US$27.6 billion
10. Italy -- US$26.2 billion
11. Singapore -- US$22.4 billion
12. Brazil -- US$22.2 billion
13. Belgium -- US$21.7
14. Hong Kong (China) -- US$20.5 billion
15. Netherlands -- US$20.2 billion

-- source: UNWTO.

CNN's Hiufu Wong contributed to this story

@highlight

Chinese travelers spent $102 billion overseas in 2012

@highlight

Rising incomes, relaxed restrictions behind surge

@highlight

Experts say Chinese tourists focus on shopping