(CNN) -- A freight train went off the rails outside Casselton, North Dakota, in the last week of December, spilling a load of crude oil and creating an impressive explosion that prompted officials to evacuate the small town. No one was hurt, but cell phone videos of the fireball were given wide exposure in the media.

Here was "an airborne toxic event," a phrase Don DeLillo famously used in his novel "White Noise," a theatrical catastrophe born of the most quintessential American screw-up: a railroad crash.

In addition to its use as shorthand for a failed government initiative or a friend who really ought to quit drinking, train wrecks occupy a contradictory place in the American cultural memory. They are as much celebrated as they are feared, and frequently memorialized in art and song. One of the most celebrated martyrs in American history, for example -- Casey Jones -- lost his life while trying to limit casualties in a 1900 smash-up on the Illinois Central.

But beneath the morbid romanticism lies a historical home truth about train wrecks -- it took a little while before the most spectacular and shocking of them resulted in enough popular outrage to spur by real legislative action to make the rails safer. And so today an incident such as Casselton draws attention, with the help of dramatic TV images, to the enormous amount of oil being shipped on American rails and the inadequacy of current tank-car designs.

It was different before mass media, and not every crash was galvanizing.

Wrecks were all too common on early American rails, mainly because the tracks were constructed so badly. The merchant barons of Baltimore and Philadelphia were in a rush to get their lines over the Appalachians and into the fertile grain country of the Middle West during the 1830s. Crews grew accustomed to laying warped wooden ties and low-quality iron, and breakneck curves were common in the mountains. Signaling was also primitive, which meant that collisions -- euphemistically called "cornfield meets" -- were another cost of doing business.

Perhaps because they involved an exciting new technology -- the railroad was the first true "machine" of the steam era to see widespread use -- or perhaps because the crashes were so messy and difficult to clean up (a combination of jacks, ramps and pulleys were often necessary to rerail cars), train wrecks came to assume a mythic stature and even a nobility that a later generation of car and plane mishaps would never touch.

When engineer Casey Jones hit the brakes on his speeding Illinois Central locomotive instead of jumping in 1900, he died in the crash but became the subject of an enormously popular ballad and an oral legend that he died with the throttle puncturing his heart and a halo of spilled corn around his head. Songs such as "The Wreck of the Old 97" and "Wreck of the Royal Palm" became beloved standards.

There were no stirring ballads to be drawn out of a horrendous train caught fire in Angola, New York, in 1867 that burned 49 people to death. The result was that carriages would no longer be made of wood and track gauges were standardized throughout the country, a turning point for cars and rails. And in New York City's Park Avenue was torn up and Grand Central Depot was completely rebuilt after a wreck in the tunnels killed 15 people in 1902.

The Long Island Rail Road installed automatic speed control on its system after a crash near Richmond Hill, in Queens, in 1950 killed 78 commuters and triggered the threat of a boycott by frightened Long Island riders. And Southern California's Metrolink began an accelerated program to install a GPS-based safety system called positive train control after a 2008 wreck in which the driver blew through a stop signal because he was texting on his phone.

Likewise, the deadly crash of a Metro North train north of New York City in December has raised the urgency of a 2015 federal deadline for railroads to install positive train control.

Wrecks have so fascinated and horrified the public since the early days of train travel that perhaps it is no surprise that America's first corporate public relations department was created by the Pennsylvania Railroad after one of its trains plunged into a creek near Atlantic City in 1906, killing 53 passengers.

Last week's derailment in North Dakota has already raised questions about just how much oil is now being shipped by rail in America. The answer: a lot. Almost all of North Dakota's considerable production of oil is shipped by rail, and train cars carrying petroleum went from about 10,000 in 2009 to an estimated 400,000 by the end of this year. This signals a revival of a hauling practice not widely used since the 1860s, and has spurred calls to toughen federal design standards for the DOT-111 type of tank car that is most often used to transport oil.

Unlike other transforming rail crashes in American history, nobody died or was even hurt in the Casselton incident. It would be a major step forward -- perhaps even worthy of myth -- if this bloodless wreck on the prairie is what it took to bring us better oil cars on American tracks.

The opinions expressed in this commentary are solely those of Tom Zoellner.

@highlight

Tom Zoellner: Oil freighter went off rails in North Dakota; fireball made arresting media image

@highlight

Americans have a perverse, folkloric fascination with wrecks in song and story

@highlight

He says deaths and media coverage have helped make wrecks spur reform

@highlight

Zoellner: Let's hope North Dakota crash spurs higher safety in rail transport of oil