Montevideo, Uruguay (CNN) -- The tiny faces pressed against the airport window stare in wonder at the aircraft waiting for them at the end of the sky bridge: this is the plane that will take them to a new life.

Syrian refugee Nassar and his family - he has five sons and five daughters, aged from three to 22 -- fled their home in Idlib as the country's bloody civil war took hold.

Now, after almost three years of fear and uncertainty, they are on the move again, flying more than 12,000km from their temporary base in Lebanon to a more permanent home on the other side of the world.

"Returning to Syria is not an option," Nassar told CNN a day before he began the daunting 23-hour journey to Uruguay, where he and his children are being resettled at the invitation of the country's President Jose Mujica.

"I'm excited to go to Uruguay but I'm also nervous. I'm going because I want my kids to continue their education," he said.

"Traveling to the other side of the world to find a new chance to live, this is not easy," said Uruguay's Human Rights Secretary Javier Miranda, who accompanied the group, along with a CNN team.

"They are very brave to choose a new destiny for their lives because they want to educate their kids with dignity. They deserve our help and they deserve the opportunity."

Uruguay has offered to take in up to 120 refugees to help with the humanitarian crisis sparked by the conflict in Syria. Nassar and his family are among the first 42 - five families -- to make the move. A second group is expected to follow by February 2015.

Together, they will live at Hogar San Jose, a Catholic home on the outskirts of the capital, Montevideo, for two months, learning Spanish and adjusting to a new culture before moving on.

First though, they have to get there. It's a lengthy and life-changing journey - from Beirut, via Frankfurt and Buenos Aires - and one filled with mixed emotions.

After one final briefing from Pierre King, operations manager at the International Organization for Migration, which has organized the trip, and a last medical check-up, they are cleared to set off.

For most of the refugees, it is their first time on a plane, so there is an air of excitement as well as of apprehension about what awaits them on arrival in Montevideo.

Nassar's eldest sons, Mohammed and Bassel are keen to learn all they can about their soon-to-be-adopted home, peppering me with questions when we first meet.

"What is life like there?"

"What is the nature like?"

"How can we live there and adapt quickly? How can we make friends?"

"What is the weather like there?"

"Which places can we visit?"

They are all too aware that their first challenge will be the fact that they don't speak Spanish, but both young men are desperate to continue their education, having been forced to abandon their university studies when they left Idlib.

Inevitably, the conversation turns to football; the brothers say they are looking forward to playing and watching it in Uruguay. Their favorite players? Neymar, Messi, and -- of course -- Luis Suarez.

As the plane makes its way across the vast South American continent, Nassar studies the flight's interactive map on a screen.

"Hours have passed and we are still flying above Brazil!" he says in amazement at the size and scale of the countries passing below.

After a brief stop in Buenos Aires - a chance for the refugees to stretch their legs after more than 19 hours flying - they are finally on the last leg of the journey, a short hop to Montevideo.

The children, by now familiar with the in-flight entertainment system, keep themselves occupied as they near their destination.

Two of their fellow passengers, Uruguayans, greet the children with hugs and kisses after realizing who they are.

"We are very happy to welcome them to our country," they told CNN.

Eventually, tired but with broad smiles on their faces, the enthusiastic group of refugees emerges from the Air France flight at Montevideo's Carrasco International Airport.

They are greeted by President Mujica after their arrival. Mujica later told reporters he hopes more countries will follow Uruguay's example and offer homes to Syria's refugees.

"We must insist that the world moves in this direction; we can't continue with statements on human rights and [saying] that we support human rights if later we don't put our words into action, above all for the children."

According to the U.N., there are more than 1.1 million Syrian refugees like Nassar's family registered in Lebanon, while the country's population is just over 4 million people.

Lebanon's Minister of Social Affairs, H.E. Rashid Derbas, and UNHCR's Representative in Lebanon, Ninette Kelley, recently called for renewed investment in Lebanese infrastructure to help the country manage the influx of refugees from the Syrian conflict.

"Lebanon today faces an unprecedented challenge to manage both its own population and Syrian refugees," said Kelley.

"The presence of over 1.5 million Syrians across Lebanon has directly affected the public and service sectors at the national scale," Derbas explained.

"From Akkar all the way to the South, our towns and villages have been at the forefront of the humanitarian response to an incessantly escalating crisis. The inhabitants of these communities have opened their hearts and homes to the refugees. Therefore, the projects undertaken since 2011 have brought much needed breathing space to our communities and improved our lives and the lives of our Syrian kin."

Walking from the plane towards his new home, one of the children proudly showed off his football shirt, bearing Suarez's number 9. At last, he and his family have reached their final goal: a new country and a new life, leaving memories of war behind.

@highlight

Five Syrian refugee families have been flown to Uruguay to begin a new life there

@highlight

The group are the first of up to 120 Syrians who will be resettled in the South American country

@highlight

Father-of-ten Nassar told CNN he was moving for the sake of his children's education

@highlight

"They deserve our help and they deserve the opportunity," said Uruguay's Human Rights Secretary