Tacloban, Philippines (CNN) -- The last time I'd seen Tacloban, it was a mangled wreck.

Much of the city had been smashed. What was left was a landscape of rubble, rain and mud, stripped and torn-down trees, smashed vehicles and isolated concrete shells that had been homes.

Worst of all was the smell of death and decay as bodies were dragged from the ruins and left at the side of the road to be collected. The living were in a state of shocked bewilderment.

It was a little more than a week after Typhoon Haiyan had pummeled this Philippines city.

As I climbed onto a U.S. military flight to Manila I could see thousands of people trying desperately to get out on one of the handful of aid flights -- a stark testimony to the devastation they were leaving behind.

Half a year on

Coming back, almost seven months later, I was prepared for the worst and half expecting to see a city still in shock, lacking the basics of food, water and housing.

But Tacloban surprised me. The scars of Haiyan are still vivid but the city is recovering.

The main commercial district is very much open for business, the roads are cleared and busy and the power companies are restoring supply. The Coke and Pepsi plants are both back up and running and hotels are open doing a brisk trade, especially with workers from the many NGOs involved in the recovery effort.

But the evidence of one of the most intense storms in recorded history is everywhere -- in shattered steel structures that were once factories, as well as the many wrecked houses left by their owners to rot in the searing tropical heat.

And always most haunting are the graveyards. From tiny unmarked mounds indicating the burial of a child, to bigger plots filled with extended families. On one wooden board, I counted 22 names from the same family.

Moving forward

But even amid these scenes of such desperate sadness, there is an acceptance of what has happened and a willingness to move forward. We arrived at sundown at a mass grave in the grounds of San Joaquin church in Palo, which is just outside Tacloban. An empty piece of ground just meters from the graves had been taken over by children playing, the sound of laughter ringing across the night.

It is the resilience of the people here that stands out. Tacloban was a moderately wealthy, mid-sized city before the storm -- though that doesn't mean they're insulated from nature. On average 20 powerful storms hit the region ever year. Loss and destruction are part of the fabric of this region.

But talk to the local people here now and it becomes clear that the rebuilding of Tacloban has reached a critical stage.

The initial response to Haiyan as the international aid effort ramped up was a success -- no outbreak of disease, no widespread breakdown in law and order and enough supplies of emergency food and clean water.

However, the rebuilding stage needs to be faster.

After six months, less than 150 permanent new houses had been built. The master-plan calls for 200,000. While bureaucracy has been a major factor in the delays, the most important has been finding suitable land that fits in with the government's "Building Back Better" plan. New accommodation must be able to withstand Haiyan-like wind speeds, and be built on ground not vulnerable to storm surges and landslides.

I asked Toto Andrada what he thought. I'd met Toto at the hotel the CNN team had taken refuge in during Haiyan. Producer Tim Schwarz, "storm-chaser" Josh Morgerman and I had helped rescue Toto, his wife and their disabled daughter who had been trapped in their ground floor room by the rising storm surge.

Toto was angry at the pace of the rebuilding but at the same time he was proud of what had been achieved in the recovery.

"The national government should help the city more," he said. "The money is here -- it's just taking so long for the government to release it. Why?"

His family is divided about whether they should stay. His daughter Kaykay, who has cerebal palsy, probably put it best though. "I don't mind where we are," she said. "As long as we are together."

IN PICTURES: Tacloban after Typhoon Haiyan and six months later

@highlight

Typhoon Haiyan hit the Philippines in November, devastating towns such as Tacloban

@highlight

CNN's Andrew Stevens returns to the city almost seven months on

@highlight

Landscape littered with wrecked cars, torn-down trees slowly replaced by signs of rebuilding