(CNN) -- The head of the National Security Agency denied Tuesday that the United States collected telephone and e-mail records directly from European citizens, calling reports based on leaks by Edward Snowden "completely false."

"To be perfectly clear, this is not information that we collected on European citizens. It represents information that we, and our NATO allies, have collected in defense of our countries and in support of military operations," Army Gen. Keith Alexander, the NSA director, told a House committee reviewing the agency's surveillance activities.

The statement by Alexander before the House Intelligence Committee came as a number of lawmakers called for changes to the way intelligence is collected.

The hearing, billed as a discussion of potential changes to the 35-year-old Foreign Intelligence Surveillance Act, commonly known as FISA, follows a report by the German magazine Der Spiegel that the NSA monitored German Chancellor Angela Merkel's cell phone. Some reports also suggest the United States carried out surveillance on French and Spanish citizens.

It was the latest in a series of allegations that stem from disclosures given to news organizations by Snowden, the former NSA contractor who describes himself as a whistle-blower.

Rocky relations

The allegations have rocked U.S.-European relations with a number of countries calling for investigations. Germany has threatened to cut off the ability of the United States to track bank transfers associated with terror groups.

As the nation's spy chiefs testified, two ranking lawmakers from opposing parties introduced bills that call for greater transparency and oversight of the NSA's surveillance programs.

But during the hearing, House Intelligence Committee Chairman Mike Rogers said collecting foreign intelligence was important to protecting Americans and allies from terrorism.

"Every nation collects foreign intelligence. That is not unique to the United States," said Rogers, R-Michigan. "What is unique to the United States is our level of oversight, our commitment to privacy protections, and our checks and balances on intelligence collection."

Alexander said media outlets misinterpreted documents that were leaked. He said the NSA legally collected metadata from some phone calls, and the rest of the metadata came from U.S. allies.

He said European intelligence services collected phone records in war zones and other areas outside their borders and shared them with the NSA.

Alexander vigorously defended the agency's intelligence gathering activities, saying it has saved lives "not only here but in Europe and around the world."

'Fundamental given'

Director of National Intelligence James Clapper said that trying to determine the intentions of foreign leaders -- by getting close to them or getting their communications -- is a "fundamental given" among intelligence services, and one of the first things he learned in his 50-year intelligence career.

Asked by Rogers if he believes U.S. allies conducted espionage activities against U.S. leaders, Clapper said, "Absolutely."

Snowden's revelations about U.S. intelligence-gathering activities have been "extremely damaging," Clapper said.

But, he added, the activities themselves have been lawful, and "rigorous oversight" has been effective.

Top senator: Obama didn't know of U.S. spying on Germany's leader

Even so, Clapper admitted there have been mistakes.

"We do not spy on anyone except for valid foreign intelligence purposes and we only work within the law. Now, to be sure, on occasion, we've made mistakes -- some quite significant," Clapper said.

"But these are usually caused by human error or technical problems and, whenever we have found mistakes, we've reported, addressed and corrected them."

But it is those mistakes that have prompted calls for reform, including from a ranking member of the House Intelligence Committee.

FISA "must be reformed" to improve transparency about and restore the public's confidence in the United States' intelligence gathering activities, Dutch Ruppersberger, D-Maryland, said.

"We must improve transparency, privacy protections and thereby restore the public's confidence."

Yet, the reforms must preserve the intelligence community's abilities to help protect the nation, he said.

Ruppersberger said authorities were considering a proposal to require a declassification review of any FISA Court decision order or opinion "to improve transparency without threatening sources and methods."

The FISA Court grants or refuses surveillance rights requests from U.S. government agencies.

Meanwhile, Sen. Patrick Leahy, D-Vermont, and Rep. James Sensenbrenner, R-Wisconsin, introduced legislation to limit the NSA's collection and analysis of cell phone calls and emails.

It was an about-face for the two men, who were the leading authors of the Patriot Act in the wake of the September 11 attacks.

Reporting mistakes

Alexander, the NSA director, said that of the billions of records of personal data collected last year by the agency, just 288 of them were reviewed.

And technical safeguards exist to ensure that the data are not available to non-authorized personnel, he said.

Only 22 people at NSA are authorized to look at certain phone numbers, he said, and about 30 are authorized to look into the database that contains those numbers.

Referring to the unauthorized release of documents about the NSA's activities, he said, "Nothing that has been released has shown that we are trying to do something illegal or unprofessional; when we find a mistake, a compliance issue, we report it to this committee, to all our overseers, and we correct it."

Opinion: Does Obama still have faith in Government?

In his testimony Tuesday, Clapper noted that he had ordered the declassification of a series of documents in recent months to inform the public debate on the matter, and would continue to do so.

"These documents let our citizens see the seriousness, the thoughtfulness and the rigor with which the FISA court exercises its responsibilities," he said, adding that the NSA comprises "honorable people."

Though changes must be made, he urged lawmakers to "remain mindful of the potential long-term impact of overcorrecting."

Most of the documents released by Clapper date to 2009, when the administration was pushing lawmakers to reauthorize sections of the Patriot Act that were set to expire.

Most of the newly declassified documents describe the aggressive push by the NSA, FBI and the Justice Department for lawmakers to save the bulk telephone data collection effort, known as the 215 program, because it was important for their efforts to thwart terrorist threats.

NSA spying claims: Five things you need to know

The collection of mobile phone data, or metadata -- including numbers called and date, time and length of calls -- began in 2006 and matched the NSA's collection of land line telephone data.

At the same time, lawmakers were urged not to discuss the classified program for fear it would hurt national security, the documents say.

This year, after Snowden released the cache of classified documents, including court orders detailing the 215 bulk data program, many lawmakers said they were shocked about the extent of the program.

On Tuesday, Clapper said he wasn't buying their reactions. "It reminds me of 'Casablanca,' " Clapper said, referring to the movie from the 1940s. "My God, there's gambling going on here."

Opinion: U.S. needs to get spying under control

CNN's Catherine Shoichet, Tom Watkins and Mariano Castillo contributed to this report.

@highlight

NEW: "This is not unique to the United States," a committee chair says

@highlight

NEW: Trying to determine the intentions of foreign leaders is a given, Clapper said

@highlight

NEW: Media outlets misinterpreted leaked documents, the NSA chief says

@highlight

"This is not information that we collected on European citizens," the NSA chief says