(CNN) -- We have no kings or queens, dukes or duchesses, counts or countesses in the United States to build great royal castles as evidence of their power, importance and prestige.

Why? The U.S. Constitution specifically bans the government from granting noble titles. (Seriously: It's in Article 1, Section 9.) We don't want any future English King George III coming back to haunt us.

That's why there's no U.S. version of Leeds Castle, some 40 miles southeast of London, where six English queens have lived. There's no U.S. replica of Fenton Tower in Scotland, a 16th-century castle that sheltered an on-the-run King James VI of Scotland (who later became King James I of England).

However, we do have the rich, who have long built great houses as symbols of their power, wealth and pride. And some hoteliers just like to build castles.

Which is why you can still stay in places that will wine and dine you and make you feel like royalty. Here are eight of our favorites.

Castle Marne Bed & Breakfast, Denver, Colorado

Castle Marne in Denver's Capitol Hill neighborhood was built as a private residence for real estate developer and investor Wilbur S. Raymond. The house was completed in 1889, and Raymond lived in the house less than a year before losing it to creditors in 1891. After a series of private owners, a stint as a processing center for state parolees and eventual abandonment, new owners restored the structure and opened the once-again elegant Marne as an inn on its centennial birthday.

Now restored to its former glory with modern touches, it's a favorite spot for weddings and late afternoon tea. (The tea is included in the room rate, and outside guests can join you for a small charge.) Room rates start at $140 per night based on double occupancy.

Norumbega Inn, Camden, Maine

Built in 1886 as a private residence, the Norumbega Inn overlooks Penobscot Bay in Camden. Known as the "stone castle by the sea," it was converted to a bed-and-breakfast in 1984. It was re-infused with life (and a renovation) only last year by new owners, one of whom is a former Culinary Institute of America instructor. (Dinner, say Down Easters, is worth it.)

Enjoy the history of this Maine castle, and the rebuilt decks and Wi-Fi that the renovation brought. Low-season room rates start at $159 per night based on double occupancy (starting November 1), and high season rates start at $239 (starting May 22, 2015).

Thornewood Castle, Lakewood, Washington

While Thornewood Castle has stood guard over its tiny parcel of Washington state for the past century, its English roots date back more than 500 years. One of the founders of the Port of Tacoma, Chester Thorne bought a 400-year-old English Elizabethan manor in England for his bride, Anna. After it was dismantled, three ships took the manor pieces to northwest Washington, where it was reassembled under the direction of architect Kirtland Kelsey Cutter.

A perfect addition is the sunken garden, which was designed over 100 years ago by Frederick Law Olmsted Jr. and John Charles Olmstead. Room rates start at $300 per night (weekdays) and $325 per night (weekends) based on double occupancy.

Europe's best affordable castle hotels

Biltmore, Asheville, North Carolina

Known to prefer the country over the city, George Vanderbilt still didn't care for Spartan living. That's why he built the Biltmore. Completed in 1895, the Biltmore was designed by architect Richard Morris Hunt and had 250 rooms, a banquet hall with a 70-foot ceiling, an indoor pool, a bowling alley, a 10,000-volume library, and works of art by Pierre Auguste Renoir and John Singer Sargent.

While the 35 bedrooms in the main house aren't for rent, guests can stay at a historic cottage that once served as the gardener's house or an inn built in 2001. The starting rate is $249 per night at the inn based on double occupancy and $1,750 per night at the two-bedroom cottage.

The Chanler at Cliff Walk, Newport, Rhode Island

A summertime retreat for New York Rep. John Winthrop Chanler and his wife, Margaret Astor Ward, great granddaughter of the famed businessman Jacob Astor, the Chanler at Cliff Walk was built along Newport's eastern shoreline. Finished in 1873, the house hosted President Theodore Roosevelt, Henry Wadsworth Longfellow and other distinguished guests. The house fell into disrepair after serving as a school for girls, Naval officer housing and a museum.

The current owners purchased the house in 2000 and spent three years renovating it as a luxury hotel. Room rates start at $305 per night based on double occupancy.

Keswick Hall, Keswick, Virginia

Built for Robert B. Crawford and his wife, the Villa Crawford estate was completed in 1912. After his 1919 death, the estate served as a private residence for 35 years. When the Keswick Country Club took over the estate, which originally consisted of an 8,000-square-foot, two-story, stucco-clad Italianate villa, renovations included a pool and tennis courts.

English businessman Sir Bernard Ashley -- widower of designer Laura Ashley -- bought the decaying manor in 1990 to convert Keswick into a hotel. Ashley, whose sense of style and business acumen helped turn his wife's work into an international brand, spent $25 million to turn it into a "country house hotel" respecting the original structure and design and upgrading the facilities for modern times. Ashley died in 2009, and the hotel is now owned by Historic Hotels of Albemarle. Room rates start at $359 per night based on double occupancy.

Castle Hotel & Spa, Tarrytown, New York

Less than an hour's drive north of New York City -- depending on traffic, of course -- Castle Hotel & Spa once served as the Westchester home of Gen. Howard Carroll, a noted businessman and one-time Washington correspondent of The New York Times. Architect Henry Kilburn designed the 45-room "Carrollcliffe" in the style of Norman fortifications in the United Kingdom. The success of Carroll's parties inspired him and his wife to expand the original structure to include a new dining room and ballroom.

The castle became the headquarters of an investment consulting firm under the next owners. The roof and tower were even used during World War II as an observation post by the town's civil defense to monitor local air traffic. Now you can monitor its lush grounds. Don't forget to book a meal at the hotel restaurant, Equus, which is noted for its use of seasonal, local produce. A 2013 renovation added a THANN Sanctuary Spa. Room rates start at $319 (weekdays) and $455 (weekends) based on double occupancy and include breakfast for two, Wi-Fi, minibar and valet parking.

Castle Hill Resort and Spa, Ludlow, Vermont

The home of Allen Miller Fletcher, businessman and governor of Vermont from 1912 to 1915, Castle Hill was the first home in the state to be fully wired for electricity and to boast its own elevator. The English Cotswold-style castle still has original details, including an exterior made of gneiss stone, wallpaper in the staircase that dates back to 1905, and many lighting fixtures and woodwork. Current room rates start at $199 per night on weekdays and $299 on weekends, based on double occupancy.

@highlight

These U.S. castles are fit for a king or queen

@highlight

A once-private residence in Maine features elegant culinary dining

@highlight

A New York castle features fine dining and an elegant spa