(Mother Nature Network)  -- The phrase "organic farming" was coined in 1940 by Lord Northbourne, a British author and Olympic athlete who helped launch the organic movement.

Joined by fellow organic pioneers like J.I. Rodale, Lady Eve Balfour and Albert Howard, he championed farms as natural ecosystems, and railed against chemical fertilizers and pesticides.

"The farm itself must have a biological completeness," he wrote. "It must be a living entity ... which has within itself a balanced organic life."

Those words still resonate with many farmers and shoppers today, however, they were drowned out for decades by famine. Earth's human population grew 293 percent in the 20th century -- compared with an average of 22 percent each of the previous nine centuries -- and farmers couldn't keep up.

As hunger spread, an Iowa agronomist named Norman Borlaug came to the rescue in the early 1940s, using man-made pesticides, fertilizers and crossbred crops to start the Green Revolution, which saved countless lives and won him the 1970 Nobel Prize.

MNN: How to cut costs when shopping at the farmers market

It also highlighted a common critique of organic farming: It's already hard to feed billions of people, even without rules against spraying chemicals or swapping genes. Borlaug's methods often raised yields while reducing acreage, and it seemed for years he'd proven the organic movement wrong.

But "chemical farming," as Lord Northbourne called it, lost some luster when synthetic pesticides and fertilizers were linked to environmental ills like cancer, blue baby syndrome, dying eagles and dead zones. Ecologists warned of gene pollution from genetically modified organisms, and overuse of livestock antibiotics was widely blamed for drug-resistant "superbugs."

This created an opening for organic farming in the late 20th century, and today there are an estimated 1.4 million organic farms worldwide, including some 13,000 certified in the U.S.

Yet despite these gains, organic farms still struggle to match the output of conventional ones -- no small detail since there are now about 6.9 billion people on Earth, three times the 1940 population. And with that number forecast to hit 9 billion by 2050, the future of organic farming remains unclear.

MNN: Farms of America from the 1930s and '40s

It seems especially murky during economic dips like the recent recession, when higher-priced products of all kinds tend to suffer.

But does organic food's premium price translate into any real health or environmental benefits?

Critics like Alex Avery don't think so -- the conservative author and researcher has compared "organic-food fanatics" to the terrorist group Hezbollah, and wrote a book in 2006 called "The Truth About Organic Foods" that, according to his website, "strips bare organic myths."

While supporters say organic farming merely reveals the true cost of food, Avery and other critics say it makes food unaffordable. Aside from supporting synthetic pesticides and fertilizers, they've focused their ire lately on critics of genetically modified organisms.

"For nearly a decade these agri-extremists have attempted to totally block agricultural biotechnology," Avery wrote in 2003, calling GMOs "the most important and critically needed agricultural advance in human history."

A brief history of organic farming

Early farmers had no choice but organic farming, and they still achieved some major milestones over the years, like taming the first grains in Mesopotamia or turning a thin grass called teosinte into plump, protein-packed corn.

Agriculture has stayed largely organic for most of its 10,000-year history, from the first Fertile Crescent plots to the plantations of colonial America. Some plants would control pests and soil quality naturally, and humans helped by rotating their crops; if extra fertilizer was needed, manure usually filled in.

But some farmers used toxic additives as early as 4,500 years ago, when Sumerians dusted crops with sulphur to kill insects. Within a few centuries, the Chinese were killing lice with heavy metals like arsenic and mercury, a strategy later applied to crop pests.

MNN: Where to find coupons for organic or natural products

Arsenic remained king of bug killers from medieval times up to the mid-1900s, when science found something more effective. DDT had been created in 1874, but it was overlooked as an insecticide until 1939, when Swiss chemist Paul Müller made a world-changing discovery that won him a Nobel Prize.

German chemists had already invented a process by then for synthesizing ammonia to make nitrogen fertilizers, for which they also won Nobel Prizes.

Borlaug then mixed these and other modern tactics to fight famines in Mexico, India and the Philippines, securing his own place in history.

Meanwhile, a rival revolution still simmered below the surface, advocating ancient tools like compost and cover crops. It was led in the U.S. by magazine magnate and Rodale Institute founder J.I. Rodale, who popularized organic farming in the 1960s and '70s as environmental attitudes were already in flux.

When Congress officially defined "organic" in 1990 and set up national certification rules, it quickly triggered an organic bonanza. USDA-certified acreage grew by an average 16 percent a year from 2000 to 2008, and still grew 5 percent in 2009 even amid the recession, points out U.S. National Organic Program spokeswoman Soo Kim.

"I'm no forecaster," she says, "but I'd have to say there's a strong demand for it, and I would expect that to continue."

For more on the benefits and downsides of organic farming, read the complete story at MNN.com.

© Copyright 2011 Mother Nature Network

@highlight

World population outgrew ability of farmers to feed everyone in the early 20th century

@highlight

Growers started using more pesticides, fertilizers

@highlight

J.I. Rodale popularized organic farming in the 1960s and '70s

@highlight

Sales of organic foods continue to rise