(CNN) -- If you had tried to visit Winslow Homer when he was alive, you would have been greeted by a warning sign proclaiming "Snakes! Snakes! Mice!" on the path to his studio on Prouts Neck, a peninsula in Scarborough, Maine.

While Peter Paul Rubens entertained dignitaries at home in Antwerp, Belgium, and Frida Kahlo and Diego Rivera were famous for welcoming Nelson Rockefeller, Leon Trotsky and other guests to their homes in Mexico City, Homer and other artists were considerably less accommodating. We can only wonder what the notoriously private Homer and Andrew Wyeth would say about their studios in Maine and Pennsylvania being opened to visitors for the first time this year.

If you've been admiring your favorite painter's work in a museum, you've only been seeing part of the picture. For the full view, you must visit the artist's home and studio. There you'll see where and how he lived and worked; what she saw when she looked out her window.

Whether carefully decorated or intentionally uncluttered, artists' homes and studios show us who they were at the core. "Everything in her house reflects Frida's taste and personality," says Hilda Trujillo Soto, director of the Museo Frida Kahlo in Mexico City. "It is like a piece of art, decorated entirely by Frida ... her personal universe."

Here are six destinations where you can explore the personal universes of several renowned artists.

6 spots for architecture lovers

Winslow Homer Studio, Maine

Homer's "Snakes! Snakes! Mice!" sign was the artist's way of scaring away the "rusticators" -- city folk who summered in this private enclave 12 miles south of Portland, Maine. Expect a warmer welcome when the Winslow Homer Studio opens to the public September 25 after a six-year restoration overseen by the Portland Museum of Art.

Homer lived and worked at Prouts Neck from 1883 until his death in 1910, completing paintings such as "Cannon Rock" and "The Gulf Stream." He left his mark on the place in countless ways, including traces of graffiti on the walls and his signature scratched into the window glass. At the Portland Museum of Art, the companion exhibition "Weatherbeaten: Winslow Homer and Maine" (September 22-December 30) showcases Homer's paintings of the area.

A Local Excursion Pass offers discounted admission to area attractions including scenic ferry cruises on Casco Bay Lines, the Portland Observatory and the Henry Wadsworth Longfellow House.

8 religious wonders in the United States

Andrew and N.C. Wyeth Homes and Studios, Pennsylvania

Like the quiet beauty of his paintings, Andrew Wyeth's studio in Chadds Ford, Pennsylvania, puts visitors in a meditative mood. The intensely private artist didn't share this space with many people, but after his death in 2009, his wife, Betsy James Wyeth, gave the simple white former schoolhouse building to the Brandywine River Museum. It opened for docent-led tours in July.

Andrew Wyeth painted here from 1940 until 2008, and the tools of his trade remain much as he might have placed them: brushes, sketches, even the eggs and pigments he used to mix the tempera for paintings such as "Roasted Chestnuts" and "Adam" are now in the museum's collection.

The studio of N.C. Wyeth, Andrew's father, has a different feeling. Built with earnings from his illustrations for the 1911 Scribner's edition of "Treasure Island," N.C. Wyeth's studio is filled with props he used in his robust illustrations, including a birch bark canoe and a wooden horse on which models posed for Western pictures.

The Brandywine Valley, which extends from southeastern Pennsylvania to Delaware, retains much of the rural character that so appealed to the Wyeths. White Clay Creek Reserve in Pennsylvania and Brandywine Creek State Park in Delaware are pretty places for nature walks, day-hikes, canoeing and horseback riding.

Georgia O'Keeffe Home and Studio, New Mexico

It took more than 10 years for Georgia O'Keeffe to convince the local Catholic diocese to sell her a crumbling hacienda in Abiquiu, New Mexico, overlooking the Chama River Valley. Abiquiu's cottonwood trees inspired her, the fertile soil and abundant garden pleased her and the views captivated her. O'Keeffe finally prevailed in 1945 and, after a complete renovation supervised by her friend Maria Chabot, she moved to Abiquiu in 1949 and stayed until 1984.

Located about 55 miles from Santa Fe, the Georgia O'Keeffe Home and Studio is managed by the Georgia O'Keeffe Museum in Santa Fe. Guided tours (reservations required) are conducted from March through November. Separately, her former home at Ghost Ranch, now an educational retreat center, offers tours of the vistas she painted. "Georgia O'Keeffe and the Faraway: Nature and Image," through May 5, 2013, at the Georgia O'Keeffe Museum in Santa Fe, features her paintings from Ghost Ranch.

Find your own artistic inspiration on a scenic drive through New Mexico. Nearby areas of natural beauty and historic interest are the Puye Cliff Dwellings, Pecos National Historic Park, Bandelier National Monument (still recovering from fire and floods in 2011) and the Native American pueblos and villages throughout the state.

Cézanne and Monet homes and studios, France

Aix-en-Provence in southern France is Paul Cézanne's town. Brimming with relaxed charm, it almost begs you to pick up a paintbrush -- and many visitors do. Most also visit Cézanne's picture-perfect atelier. Built in 1901 and surrounded by leafy grounds, the sparsely furnished studio is where Cézanne worked late in his life.

Nearby are the Cézanne family's Jas de Bouffan estate and the Bibémus quarries, both of which feature in his paintings. (The men pictured in Cézanne's "Card Players" series were workers on the estate.) The Aix-en-Provence Office of Tourism offers guided tours of the three sites and a map for self-guided Cézanne tours of the city. Aix itself is a place to exhale, while wandering in the Old Town, beneath the arching trees of the Cours Mirabeau, or through one of the city's famed outdoor markets.

Giverny in northern France belongs to Claude Monet. The "father of Impressionism" lived and worked there from 1883 to 1926, after spying the town from the door of a train as he traveled from Vernon to Gasny. His house, built in 1890, is spacious and prettily furnished. (When Monet was alive, it also would have been very noisy, with his eight children running around.)

Among the highlights indoors is his collection of Japanese prints by masters such as Hokusai and Hiroshige. Outdoors, of course, are Monet's legendary gardens and the ponds dotted with water lilies and spanned by a Japanese bridge. Just 45 minutes by train from Paris, Giverny is a day-trip destination, but it's also a gateway to medieval Rouen with its magnificent cathedral and ties to Joan of Arc, and to other sites in Normandy, such as Omaha Beach and Mont Saint Michel.

Frida Kahlo and Diego Rivera Homes and Studios, Mexico

Frida Kahlo's singular vision is evident everywhere in Casa Azul, her home and studio in Mexico City's Coyoácan district. Born in the house in 1907, she lived there most of her life and died there in 1954. No place was more significant to her.

"Almost all of her paintings include an element, a corner or a piece of her house," says museum director Hilda Trujillo Soto. "Even the plants she had in her house are painted in her paintings." Kahlo's books and her collections of Mexican folk art and religious healing charms, or ex-votos, are cherished mementos of her life there.

Kahlo was less attached to the San Ángel home and studio her husband, Diego Rivera, commissioned architect Juan O'Gorman to design for them in 1931-32. Yet Rivera loved the place, and it is where he died in 1957.

Its two Functionalist style buildings connected by an exterior catwalk were restored to their original design in the 1990s based on photos taken by Frida's father in 1932. They featured as a location in the 2002 film "Frida." (Casa Azul was recreated in a studio for the movie.) Today they comprise the Museo Casa Estudio Diego Rivera y Frida Kahlo. For an excursion from Mexico City, try one of Frida and Diego's favorites, a visit to the first century A.D. city of Teotihuacan.

Rubens House, Belgium

Peter Paul Rubens was not your typical starving artist. Born into a well-connected family in 1577, at age 32 Rubens was named court painter to Archduke Albrecht who ruled much of modern-day Belgium at the time. His artistic style reflected optimism after a period of war and hardship, and his charismatic personality won him influential admirers and special privileges, such as permission to employ an unlimited number of assistants in his glorious 17th-century baroque home and studio in Antwerp.

It is Rubens' work we see in masterpieces such as "The Raising of the Cross" in Antwerp's Cathedral of Our Lady, but he had help executing his vision. How else could he have made the 2,500-plus paintings attributed to him? The process becomes clear inside his atelier, the vast workspace where assistants painted sections of individual works following sketches and notes Rubens provided. Meanwhile, Rubens himself might have strolled along the gallery overlooking the atelier, probably accompanied by an illustrious client.

Rubens' influence is everywhere in Antwerp. On the modern side, Antwerp is a fashion capital, a major world diamond center and a fantastic shopping city. Come 2013, it will also be home to the Red Star Line Museum, a maritime and immigration museum in the Het Eilandje revitalized harbor district.

Do you have a favorite artist whose home or studio you'd like to visit? Please share your recommendations in the comments below.

@highlight

Artist Winslow Homer's home and studio in Maine will open to visitors in September

@highlight

N.C. Wyeth's studio holds a birch bark canoe, a wooden horse and other props

@highlight

Much of Frida Kahlo's home and studio in Mexico City is reflected in her art

@highlight

The 17th-century baroque home and studio of Peter-Paul Rubens is open to visitors in Antwerp