(CNN) -- There is mounting evidence that the electoral threat from the tea party is fading. In the power struggle between the tea party faction of the GOP and the "establishment," the establishment is winning.

Party primaries are an imperfect way to measure the direction in politics. The news from one week can be overshadowed by what happens a few weeks later. Primaries are just snapshots of the political landscape at a given moment.

But at least this week the news for tea party advocates was not good. The primaries are providing evidence as to how much of a threat the Republican leadership really faces when opponents attempt to unseat them for moving too far to the center.

House Speaker John Boehner faced a twin tea party challenge from Republicans who claim he has been too willing to compromise. The tea party campaign in his district picked up some steam after the speaker made disparaging remarks about colleagues who were holding up the immigration bill. Tea party candidates J.D. Winteregg and Eric Gurr both went after him.

But Boehner enjoyed an easy victory Tuesday, putting aside speculation that discontent with his recent statements about immigration and the budget might cause him problems. There was never a genuine threat that he would be unseated, but a strong showing by his opponents would have been enough to send some shock waves to Washington. It didn't happen.

A more serious contest is taking place in Kentucky, where on May 20, Senate Minority Leader Mitch McConnell faces off against tea party Republican Matt Bevin. Thus far, all the evidence suggests that McConnell will do just fine in the primary.

The primaries are also telling us something about the status of immigration as an issue in the GOP. The immigration reform legislation that passed the Senate has been held up by a faction of House tea party Republicans, equaling about 30 to 40 members, who have been steadfast in their refusal to let a bill pass. The opposition as well as threats of political harm made against anyone who dares speak in favor of reform has been a major barrier to passing legislation.

Yet the evidence is still thin that taking a hard-line, anti-immigration stance is the only way for a Republican to survive.

As Politico recently noted, Facebook founder Mark Zuckerberg's pro-reform group FWD.us has argued that the threat has been exaggerated, pointing out that few Republicans who have supported immigration reform have lost.

GOP establishment 1, tea party 0 after NC Senate primary

"Purely from a quantitative standpoint, the percentage of GOP primary voters who are hostile to what we might call ... all manner of immigration reform is pretty low," said Jon Lerner, a pollster working for Zuckerberg's organization.

Two Texas Republicans, Sam Johnson and John Carter, survived their primaries despite working on the immigration bill in the House. In his primary in March, Johnson won with more than 80% of the vote.

This week in North Carolina, Rep. Renee Ellmers defeated Frank Roche, a former currency trader, who targeted her for support for more liberal policies toward immigrants. "If an individual wants to come to this country to work, to provide for his family and to contribute to his community, he should be allowed to do so," she wrote. Roche attacked her for supporting "de facto amnesty."

Ellmers won. The victory provides more evidence that proponents of immigration reform, and there are many, can move forward with legislation and survive. As one expert at Cornell Law School told CNN, "If the primaries in spring and summer show immigration is not that big an issue with activists, then Republicans will feel they can go out on the limb and support reform."

The final lesson Tuesday has to do with the organizational and financial muscle of the tea party. Is it mostly bark, but no bite? This has been an issue that has dogged the tea party since it emerged in 2010. Can these activists really match the money and resources of the establishment?

In certain campaigns, establishment organizations, allied with business, have been putting substantial amounts of money to shape the outcome. They spent big to support conservative candidates who would be viable in the general election against Democrats.

In North Carolina, the primary between Thom Tillis, Mark Harris and Greg Brannon for the Republican candidacy in the race for the Senate seat currently held by Kay Hagan has been the center of attention. Sen. Rand Paul of Kentucky traveled to North Carolina to announce his support for Brannon.

Groups such as American Crossroads -- Karl Rove's organization -- have invested millions to back their candidate, Tillis. Once again, the establishment won. Tillis secured well over the 40% threshold he needed to avoid some kind of runoff.

His victory offers more fodder for those who have argued that tea party organizations such as the Tea Party Patriots and the Madison Project have been ineffective, squandering resources by spending more on fund-raising and direct mail than on their candidates.

Brian Walsh, who had worked for the National Republican Senatorial Committee, even downplayed their ability to shape the grass roots. "Their influence in terms of on-the-ground activity and spending money is greatly overstated. ... Their influence has generally been in the echo chamber, with talk radio and blogs."

It's important that this trend should not be seen as a victory of "moderate" Republicans over "far right" Republicans. The truth is that the entire GOP has shifted to the right, and these are all contests between different factions of conservative Republicanism rather than a true ideological war within the party.

The tea party still has a lot to prove. This week's primaries only made its case that much harder.

There are still opportunities for tea party Republicans to show they can deliver a punch on the campaign trail. But more poor showings at the polls will continue to strengthen the Republican establishment in its effort to quash the tea party as a political power in its caucus.

@highlight

Julian Zelizer: In battle between tea party and establishment, the tea party is losing

@highlight

He says mainstream candidates such as Boehner, McConnell not in danger of being unseated

@highlight

Zelizer says Tuesday's vote showed the power of establishment GOP groups

@highlight

He says the results could help tip the balance toward immigration reform legislation