(CNN) -- It was his most famous speech, and the most memorable moment of the March on Washington.

All eyes were on the Rev. Martin Luther King Jr. on August 28, 1963, as he delivered his "I Have a Dream" speech to a crowd of 250,000.

But one photographer, there to document the event, trained his camera away from the civil rights icon and toward the crowd.

The result was a visual document showcasing the diversity of marchers who gathered that day.

"This is the Day: The March on Washington," is a collection of 75 of Leonard Freed's photographs -- most published for the first time -- taken before, during and after the March on Washington for Jobs and Freedom.

Freed's most recognizable image is likely a photo of King glad-handing supporters in Baltimore after receiving the Nobel Peace Prize in 1964.

But in "This is the Day," there is only one photograph of King, an atmospheric shot taken from afar.

Most of the images focus on anonymous marchers: black, white; union and nonunion; secular, religious; people from all over America, and from many different walks of life.

"Leonard Freed's moving photography offers still images of an America at once frozen in time and marching restlessly to its multicultural and multiracial future through the lens of a visionary artist," Michael Eric Dyson writes in the foreword to the book.

Freed was an American Jew, born in Brooklyn, who spent time in Europe. He was living in Berlin in 1961 when he took a photo of an unnamed African-American soldier standing guard by the Berlin Wall.

He was haunted by that image, according to Paul Farber, a contributing author to "This is the Day."

"(To Freed) that encounter was a contradiction of American culture: that a soldier could guard a country's freedom abroad, but would be denied those rights at home."

It compelled Freed to return to the United States to photograph the story of race in America.

Freed's wife, Brigitte, recalled those images when she heard then-candidate Barack Obama say: "I am here because somebody marched."

Those words prompted her to revisit her husband's archives from the March on Washington. Her husband died in 2006, but she hoped his images of that day would live on.

She worked with Farber, a visiting assistant professor of writing at Haverford College, to curate the project, and "This is the Day: The March on Washington" was born.

In this edited conversation, CNN spoke to Farber about Leonard Freed's photographs from the march and the importance of images in communicating the message of the civil rights movement.

CNN: As a co-curator of the project, how did you and Ms. Brigitte decide which images to select? What criteria was used?

Farber: What we did was look (at photographs) that Leonard had marked with a wax pencil, meaning this was an image he liked or would like to explore.

We also sought images from the perspective of now, decades later, which images might stand out and be important to a contemporary viewer -- especially the ones that give us a view of the faces of the crowd.

The goal was always that Leonard's own vision might be brought out from the day, but also that other images might participate in a broadened cultural awareness of the sweeping diversity and impact of the march.

CNN: What would you say is the most powerful image from this collection? Why?

Farber: One in particular that stands out is of young women in zip-up NAACP jackets standing at the base of the Washington Monument with American flags waving behind them.

I think what you get a sense of is it took people out of their everyday circumstances and brought them together, here, against this monumental landscape of the National Mall. This was the people's gathering place. And using their presence as a way to create a collective -- that stands out -- and states belonging. The photograph to me is a feeling of a belonging.

CNN: Martin Luther King Jr.'s "I Have a Dream" speech is perhaps the most enduring symbol of the march. What do the photos reveal that history often forgets?

Farber: One of the great historical facts about the march was the difficulty in pulling off an event that was pioneered by a number of organizations and individuals with different definitions and investments of social change at the march.

(I see) the rich diversity of the "we": Although there are different groups and investments, you get a sense from photographs like these that it's not an "us" and a "them" but a "we".

It's not to erase the differences, or simply streamline them, but in co-existing, you get a richer vision of what social change can be.

CNN: How was this photography critical in the message of the march?

Farber: Leonard captured some important private reflective movements.

It's a lesson for us in thinking about great moments in history: what it takes to envision progress or possibility is both about moving forward and also about considering and questioning and stopping -- and having the patience for social change.

Part of what photography gives us is ... a sense of the high points of these great moments in history, as well as the unexpected glances that really capture the subjects (as) they have their own thoughts and own ideas, (and) relate to the broader group's perception throughout the day.

@highlight

"This is the Day: The March on Washington" is a photo essay of the March on Washington

@highlight

The book shows many of the people who participated in the march

@highlight

Images from the march were important in remembering the message, the co-producer says