(CNN) -- Dr. Abdulmonem Hresha knows first hand how Moammar Gadhafi's regime works. He says the seeds of his opposition were sown when he was age 10.

He and classmates were taken to witness the public execution of a political opponent of Gadhafi.

"They hung him up in front of thousands of small kids," Hresha said. "He did that to scare people."

Hresha, who taught physics at Tripoli University, later fled to Canada.

The prominent member of the Muslim Brotherhood now lives in London, and anticipates the group could become an important player in a post-Gadhafi environment.

As in Egypt and Tunisia, the Brotherhood in Libya has been energized by the sudden upheaval sweeping the Arab world.

It says it has no organizational links with the Brotherhood elsewhere, but shares the philosophy of the pan-Arab Islamist movement founded in Egypt in the 1920s.

Largely drawn from the devout educated middle classes and university campuses in Tripoli and Benghazi, the Libyan Muslim Brotherhood was founded in the mid-1950s.

Islamist opposition to the Libyan regime gathered force in the late 1980s, as part of a wider Islamic awakening or "Sahwa" in the region and in reaction to what many saw as an attempt by Gadhafi to hijack and interpret Islam for his own purposes.

While jihadists launched a brief but unsuccessful campaign to overthrow Gadhafi in the 1990s, the Brotherhood focused much of its efforts on clandestine preaching and social welfare efforts in Libya.0

In 1998, Gadhafi's security services launched a crackdown against the group that saw more than 200 members imprisoned and hundreds more forced into exile, including Hresha.

Despite years of repression, Hresha claims the Brotherhood still has thousands of members scattered across Libya, with chapters in almost every single town, including Sirte, Gadhafi's birthplace on the coast west of Tripoli.

In 2006, its leaders were released after reconciling with the Libyan regime. But now the Brotherhood is siding with the rebellion.

In February, as protests in Libya began, Yusuf al Qaradawi -- an Egyptian preacher in Qatar widely viewed as the Muslim Brotherhood's chief spiritual guide -- issued a fatwa or religious ruling obliging any Libyan soldier who had the opportunity to do so to assassinate the leader.

Al-Amin Bilhaj, a leading figure in the Libyan Muslim Brotherhood and the President of the Muslim Association of Britain (MAB) recently traveled to Benghazi, the headquarters of the rebel movement, according to Hresha.

Other Brotherhood exiles have returned to help treat the wounded in hospitals, according to Kemal el Helbawy, the Egyptian founder of the British association.

There is little or no overt presence of the Brotherhood in Benghazi, according to CNN's Arwa Damon, who has been there for most of the month.

But in the longer term, in a country where the political space has been dominated by Gadhafi for more than 40 years, the Brotherhood's organization and nationwide presence may afford it an advantage.

The West has nothing to fear from the Muslim Brotherhood in Libya, according to Hresha.

Like their counterparts in Egypt, they would embrace multiparty democracy.

"I've lived for many years in Canada and the UK, and that's exactly the political system that we want," Hresha said.

Hresha says that if his organization forms a political party, it would seek to legislate according to Koranic principles, which would include, for example, a continued ban on the sale of alcohol.

"Why shouldn't we be able to press our point of view -- we are humans too," he said.

Hresha said the Libyan Muslim Brotherhood welcomes airstrikes in Libya, a startling turnaround for a movement that previously supported jihad by Iraqis against U.S. forces occupying Iraq.

"I salute and am very grateful to the Americans, French and British governments for stopping the killing," he said. "I will never forget this."

Hresha said he hopes a post-Gadhafi Libya will be a close friend to the West.

A more prominent role for the Brotherhood in Libya could dent support for al Qaeda and other jihadist groups, especially in eastern provinces that have witnessed significant radicalization in recent years.

But Libya's deeply tribal structures -- unlike Egypt and Tunisia -- may complicate its efforts to build a national base.

And hardline "Salafi" preachers have gained influence in neglected towns like Derna -- on the coast near the border with Egypt.

"Conservative imams (in Derna)," a U.S. diplomat wrote in 2008, "deliberately sought to eliminate the few social activities on offer for young people to monopolize the social and cultural environment."

But in the end, the reach of the Brotherhood may be most limited by the emergence of secular forces at the forefront of the rebel movement.

The Interim National Council in Benghazi -- a 30-member opposition leadership -- is mostly made up of lawyers, doctors, intellectuals and former political prisoners with a secular bent.

In a statement Monday, the Council stated the ultimate goal of the revolution was "to build a constitutional democratic civil state based on the rule of law, respect for human rights and the guarantee of equal rights and opportunities for all its citizens including ... equal opportunities between men and women and the promotion of women empowerment."

Guma el-Gamaty, a Libyan academic based in the UK who has emerged as a key liaison between the Libyan opposition overseas and the Benghazi Council said no Muslim Brotherhood leaders had yet been appointed to the Council, and played down their influence.

Hresha, the long-time Brotherhood member, expects that to change.

"We've been working secretly till this moment," he said.

@highlight

The Brotherhood in Libya is energized by the sudden upheaval sweeping the Arab world

@highlight

It says it has no organizational links with the Brotherhood elsewhere

@highlight

It is largely drawn from educated middle classes in Tripoli and Benghazi