Pretty much everything has changed in U.S.-China relations since Richard Nixon and Premier Zhou Enlai signed the Shanghai Communiqué 40 years ago on February 21, 1972.

Nixon's goals were purely geostrategic.  By cultivating China, he sought most of all to put pressure on North Vietnam to come to terms to achieve his promised "peace with honor" there, hopefully before the November election.  He also sought, through China, to pressure Moscow to embrace détente and thus put America in the catbird seat in relations with the two communist behemoths.

China had different priorities -- most of all, Beijing wanted to stiffen President Nixon's spine to oppose Soviet aggression and therefore to reduce Moscow's threat to China.

In the 1980s, Beijing got its way with Ronald Reagan, who came into office as an anti-Soviet crusader.  Indeed, President Reagan aligned U.S. strategic interests with China so closely that America began military sales to Beijing.  But in 1989 everything changed.  President George H.W. Bush, just inaugurated and planning to move U.S.-China relations to a new level, saw this goal cut short by the brutal suppression of demonstrators at Tiananmen on June 4, 1989.  As China transitioned from being America's darling reforming communist country to being its poster child for communist repression, the Soviet Bloc (and soon afterward, the Soviet Union itself) unraveled.

Not only did the Soviet collapse rob U.S.-China relations of their underlying strategic rationale, post-Tiananmen repression in China introduced human rights as a major political factor in the relationship.  Every American human rights organization expended much effort in the 1990s to attach China somehow to that agenda and thus increase its own visibility and emotional power.

This made it far more difficult to deal with Beijing, especially as the Chinese connected this human rights agenda directly to an American objective to bring down the Communist Party's rule.  The result was deep mutual distrust.

Deng Xiaoping in 1992 set the country again on a course of reform to generate rapid growth, which he viewed as critical to maintain the party's rule.  Economics now moved to the center of U.S.-China relations.

Where in the 1970s the Nixon administration could ignore China's horrendous human rights abuses under Mao to achieve American geopolitical ends, starting in the 1990s, America pursued economic gains in China in part with the hope that these would also lay the foundation for democratic evolution there.  This took place in the context of overwhelming American economic and technological superiority, further enhanced by the information revolution that America also led.

This history highlights a core reality: the U.S.-China relationship has never sustained one rationale or focus for very long.  It has periodically adapted to major developments in the international environment and in domestic politics.  None of those changes has come easily.  Each sowed apprehension, distrust and deep doubts about the future.

We are now at another such turning point.  Both sides look to the future knowing that we are deeply interdependent but also deeply conflicted economically and have no common strategic enemy to bind us.

The people of each country interact on a scale never before achieved, but caricatures often replace realistic images in shaping popular opinions in both countries. Perhaps most challenging, both countries know they cannot continue to pursue the economic policies that have worked to date, yet neither is confident that it can make the changes necessary to thrive in the future.

In sum, U.S.-China relations now encompass real interdependence but also deep mutual distrust, with unusually large uncertainties about each country's future prospects -- including the future power balance.  Allowing strategic drift at this point will likely lead to our moving further apart, while our degree of success in getting our respective economic houses in order will deeply affect future economic and trade relations.

In the absence of a major threat to bind China and the United States, we face the danger of making each other the threat we must guard against. That may prove unavoidable, but it will also achieve, at best, limited and very costly long-term security.

This is not the year to look for serious progress.  China will witness a 70% turnover in its top party, government and military bodies in the coming 13 months, and nobody wants to take major new initiatives now.

In America,  China policy has become a part of the election  debate over  how to make America bounce back.  With Mitt Romney adopting  very tough trade and military positions to force China to change its policies, President Obama has committed America to maintain its leadership role in Asia and demanded that China "play by the rules of the game."  He is establishing a body to rigorously enforce America's trade rules against "countries like China."   The net result of the coming 12 months is likely to be deeper distrust in U.S.-China relations.

To have the U.S.-China relationship again adapt for the future, therefore, both sides should begin to lay the groundwork to begin serious, long-term engagement as of 2013 around a core topic: What are each country's core requirements to assure its own overall security in Asia, and how can each side meet those requirements without posing an unacceptable threat to the other?

The economic changes each needs to make are remarkably in the interests of the other, too.  To adapt U.S.-China relations for the future in the economic and trade side, we should initiate what will be prolonged and difficult negotiations for a bilateral investment treaty and for a U.S.-China free trade agreement.

The negotiating process on both security and economic issues can itself help move policies and sentiments in the right directions.

U.S.-China relations have never been smooth, but they have served both countries' interests very well over the past 40 years. Now they must adapt again, and it is still worth the effort to make this happen.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

@highlight

On February 21, 1972, President Nixon, China's Zhou Enlai signed a path-breaking accord

@highlight

Kenneth Lieberthal: Nixon's opening to China had particular motives for both nations

@highlight

He says concerns have shifted, but U.S. and China need each other more than ever

@highlight

Lieberthal: Letting relationship drift is a recipe for antagonism and security dangers