Washington (CNN) -- President Obama will sign into law Wednesday the Wall Street reform bill -- the most-sweeping set of changes to America's financial regulatory system since the 1930s.

The legislation will vastly reform the way big financial firms do business.

This is "reform that will prevent the kind of shadowy deals that led to this crisis, reform that would never again put taxpayers on the hook for Wall Street's mistakes," the president said last week.

The bill aims to strengthen consumer protection, rein in complex financial products and head off more bank bailouts.

The Senate approved the reforms Thursday on a 60 to 39 vote, ending more than a year-long effort to pass legislation in response to the 2008 financial crisis.

To secure enough votes, Senate Democrats made lots of deals, which watered down the bill. For example, Wall Street banks will get wiggle room to make limited risky bets, which is tougher than the current law, but weaker than earlier drafts.

The legislation would establish a Consumer Financial Protection Bureau inside the Federal Reserve that could write new rules to protect consumers from unfair or abusive practices in mortgages and credit cards.

The bill creates a new council of regulators, lead by the Treasury Department, that would set new standards for how much cash banks must keep on hand to prevent them from triggering a financial crisis. It would also establish new procedures for shutting down giant financial firms that are collapsing.

The measure would put new limits on Wall Street banks' speculative bets for their own accounts and their ability to own hedge funds, while leaving the door open for some investment activities.

The bill aims to shine a brighter light on some complex financial products, called derivatives, that are blamed for exacerbating the collapse of financial companies such as American International Group and Lehman Brothers.

It would force most derivatives onto clearinghouses and exchanges, to better pinpoint the value of the trades. And it would insert a middleman between trades, so that financial firms are less interconnected, to prevent the domino effect of financial firm failures in 2008.

"We made a promise in the fall of '08 that we'd do everything in our power to see to it we'd never again put the American public in the position we were in September and early October 2008," Sen. Christopher Dodd, D-Conn., said after the Senate vote. "And we have fulfilled that promise with this legislation."

Republicans objected to some of the bill's major provisions, particularly parts that establish the consumer agency and create new rules for the derivatives. While they generally favored more consumer protection and more regulation of derivatives, they argued that the legislation is too heavy-handed in these areas.

They also object to the fact that the bill virtually ignores the increasingly insolvent government-owned mortgage giants Fannie Mae and Freddie Mac, beyond studying their problems.

"[This bill] is widely expected to stifle growth and kill jobs," said Senate Minority Leader Mitch McConnell, R-Ky.

In fact, House Minority Leader John Boehner, R-Ohio, called for the repeal of the reform bill hours before the Senate even passed it.

Yet Republican Maine Sens. Olympia Snowe and Susan Collins, as well as Massachusetts Sen. Scott Brown voted for the bill, joining 57 Democrats to limit debate and move forward. One Democrat, Sen. Russ Feingold of Wisconsin opposes the bill, saying it isn't aggressive enough against Wall Street.

@highlight

The legislation changes the way Wall Street does business

@highlight

The Wall Street reform bill passed last week on a 60 to 39 vote

@highlight

The bill aims to strengthen consumer protection