Athens, Greece (CNN) -- Greece's Prime Minister George Papandreou announced Wednesday that a government reshuffle will take place Thursday, after which he will seek a vote of confidence in parliament.

The planned reshuffle represents an attempt to win support for additional austerity measures intended to help the economy weather the current crisis, measures that sparked debate Wednesday in parliament as demonstrators protested outside.

Papandreou faces strong opposition from his own party over the measures, with one member of parliament defecting and another saying that he would vote for them.

After Papandreou's announcement of the reshuffle in a brief televised statement, the main opposition called for an early election.

The Greek parliament has opened debate on the austerity measures, seen by some economists as essential to Greece's meeting the terms of its international creditors.

Papandreou said the formation of a unity government requires agreement from all opposition parties on the cuts and privatizations agreed to in an international bailout Greece undertook slightly more than a year ago.

Papandreou's reshuffle comes amid mounting opposition and the defection of one of his party's parliament members over the austerity program.

The main opposition party, New Democracy, has repeatedly demanded that Papandreou quit and that a cross-party coalition renegotiate the terms of the bailout package.

The government's popularity has plunged recently, and anti-government protests turned violent Wednesday, as demonstrators threw gasoline bombs at the Ministry of Finance and police fired tear gas at protesters, police said.

Tens of thousands of protesters had vowed to form a human shield around the parliament to prevent lawmakers from debating new austerity measures Wednesday afternoon.

"This is a joke. It is all a joke," protester Christos Miliadakis, 35, said of the government plans.

"When will we be able to get out of this vicious circle? My wife lost her job. I had a 12% pay cut as a result of the first bailout. The new measures want to cut another 20% of jobs in the public sector," he said. "So if no one has money and we are just more in debt, who is going to drive the economy? We will live like slaves paying all our lives."

Architecture student Maria Iliadi, 23, said that, for people like her, "the future in this country has been erased. There will be no big public projects, and no one will be building for a long time. Sometimes, finishing my degree seems totally pointless."

About 25,000 demonstrators were on the streets of the capital by the middle of the day, police said. Two police officers and four civilians were slightly injured, and 12 people were arrested, they said.

Labor unions were holding a 24-hour strike to protest the measures and planned to march to Parliament to join forces with the protesters.

The strike has brought public services to a grinding halt and kept most transport networks at a standstill, although flights have not been affected.

Rallies also were scheduled to take place in other Greek cities.

On June 9, the Cabinet approved a tough five-year plan for 2011-15 and introduced a bill in Parliament to put the measures into effect.

The government has said that the passage of these additional measures is essential to Greece's securing the fifth portion of a 110 billion euro ($158 billion) bailout package that Greece signed with the European Union and the International Monetary Fund to prevent the country from defaulting on its debts.

Greek Finance Minister George Papaconstantinou has said the country hopes to secure a second bailout deal this month.

The search for a second bailout comes after it became evident that Greece is extremely unlikely to raise capital from private markets in 2012 due to the prohibitively high interest rates it would face.

Papaconstantinou has also indicated that European Union members may support calls to get the private sector involved.

Despite the harsh austerity measures that the Greek government has imposed, it is failing to close its budget deficit as quickly as many had hoped. The country is in recession amid its fiscal restructuring program.

The finance minister has defended the five-year austerity plan, saying it is needed to keep Greece solvent. The new measures will include a number of additional taxes and an additional 20% cut in public-sector jobs.

Protesters have been gathering outside Parliament for more than three weeks as part of an ongoing peaceful demonstration against austerity measures, with some camping in the square facing Parliament.

They call themselves "The Indignants," a grass-roots movement that takes its name from the Spanish campaign of "Los Indignados," who have been holding similar mobilizations against austerity across Spain.

The Indignants issued a statement saying it would keep going until the politicians and technocrats it blames for what is happening in Greece "go away."

The credit rating agency Standard & Poor's on Monday cut Greece's rating to just two notches above default, among the lowest in the world. The agency has said a default on some debt appears "increasingly likely."

Unemployment in Greece skyrocketed to more than 16% in May, a 40% rise since last year.

The European Commission has said Greece's economy was expected to shrink by 3.5% this year.

Papandreou has pledged to continue with the changes no matter the political cost. He has said that the alternative, a default, "would be a catastrophe."

The five-year austerity plan is expected to face a vote in Parliament in before the end of the month.

@highlight

Prime Minister George Papandreou will seek a vote of confidence Thursday

@highlight

At least 25,000 turn out to keep lawmakers from debating budget-cutting measures

@highlight

The protests against the austerity turn violent, with gasoline bombs and tear gas

@highlight

Greece is getting international help to deal with its budget deficit