(CNN) -- Kevin Cordova's family tried cooking hot food to stay warm. They wore their winter coats inside and buried themselves under blankets.

But on Sunday, six days after powerful winds from Superstorm Sandy knocked out their power, temperatures dipped so low they couldn't spend another night in their home in Floral Park, New York.

"There's really no amount of blankets that can stop you from being cold in 30-degree weather," said Cordova, 28. "We feel a little homeless right now. We have our house, but we can't really use it."

Officials say thousands of New Yorkers left without heat after Superstorm Sandy might need to leave their homes as temperatures plummet, but it's not clear where they'll go.

How you can help people recover

Between 30,000 and 40,000 people in New York City could need housing, Mayor Michael Bloomberg said Sunday. Officials are working on coming up with a solution, he said, but they haven't yet.

"We don't have a lot of empty housing in this city," he said. "We are not going to let anybody go sleeping in the streets. We're not going to let anybody go without blankets, food and water, but it's a challenge and we're working on that."

New York Gov. Andrew Cuomo described it as a "massive housing problem."

The storm that broke records -- and hearts

"People are in homes that are uninhabitable," Cuomo told reporters. "It's going to become increasingly clear that they're uninhabitable when the temperature drops and the heat doesn't come on."

In Long Island's Nassau County, where 266,000 customers were still without power Sunday, some people have died while trying to heat their homes with propane grills and other improvised methods, County Administrator Edward Mangano said Sunday.

"We've very concerned about people sheltering in places without proper heat," he said.

Utility officials warned some residents that it could take until Wednesday for power to be restored, Cordova said. The freelance editor said his family was grateful their house survived the storm, but they're unsure of what to do if their power stays out much longer. On Sunday night, his family planned to stay with friends.

"We're all staying in different houses," he said, "but I don't know how long we can keep that up."

More than 10,000 people across nine states spent Saturday night in shelters, American Red Cross spokeswoman Attie Poirier said. The Red Cross is sending 80,000 blankets to the region ahead of colder weather predicted this week.

"As we move through energy and gasoline, housing is really the No. 1 concern," said Homeland Security Secretary Janet Napolitano, who spoke in Hoboken, New Jersey.

Live blog: Aftermath of Sandy

"And we don't even know yet which of the houses are reparable and which are irreparable losses. Those assessments are going on right now, as well as finding temporary housing for individuals who can't move back to their home right away."

As of Sunday, roughly 182,000 people in Connecticut, New Jersey and New York had applied for assistance from the Federal Emergency Management Agency, which has approved more than $158 million in aid.

In her apartment in Yonkers, New York, Julie Munn huddled under the covers, watching her breath in the air before she went to sleep. Her 6-month-old cat, Sheldon, got skittish, trying to crawl under things to keep warm.

"It got so cold that I left Saturday morning," she said. "It was the same temperature inside the apartment as it was outside."

Munn, 25, who stayed at her parents' house, got word that her power came back Sunday.

But many others were still in limbo.

"People aren't leaving their homes," said Staten Island resident Tara Saylor, 25. "They have no place to go."

Official: Sandy-stricken areas will vote 'come hell or high water'

For many, keeping warm isn't simply a matter of turning on the heat, after Superstorm Sandy knocked out gas lines and electricity. More than 1.5 million customers were without power across 15 states and the District of Columbia.

Among those still in the dark Sunday was New Jersey Gov. Chris Christie, who urged patience.

"I know it stinks. I still don't have power at my house. I'm not happy about it ... but it's the way it is," he said.

Less than a million households in New Jersey were without power Sunday, he said, down from 2.7 million soon after the storm.

Sandy wreaks havoc on NYC art

Colder weather is only one concern the region faces, with the presidential election on Tuesday.

Election officials in New York City will temporarily relocate or combine some poll sites because of damage from Sandy, the Board of Elections said in a statement Sunday.

In New Jersey, Christie ordered early voting sites to offer extended hours through the weekend to encourage voters to make it to the polls.

For those who can't make it to their voting precincts, Christie ordered election officials to allow displaced New Jersey voters to cast their ballots electronically by submitting a mail-in ballot application via e-mail or fax. Once approved, the voter will be sent an electronic ballot that can, in turn, be e-mailed or faxed back to the county clerk.

Long gas lines test patience

The 900-mile-wide superstorm left a huge swath of damage when it hit the Northeast last week, claiming at least 110 lives in the United States and two in Canada after earlier killing 67 around the Caribbean.

Worst-hit New York state suffered 47 deaths, including 40 in New York City, authorities said. Half of those were in Staten Island.

Almost a week since the storm hit, Staten Island resident Diana Cristiano is struggling to make sense of its surreal aftermath.

She found valuables in the bushes, a generator in the pool and a fish -- still alive -- inside her flooded childhood home. A boat from a nearby canal ended up on a neighbor's lawn.

"It looks like a war zone with people's stuff all out everywhere," said Cristiano, 24.

Volunteers were on hand to aid in the recovery effort, including hundreds of would-be New York City Marathon runners, reported CNN affiliate NY1.

The race, scheduled for Sunday, was canceled for the first time in its history so as not to draw resources and attention away from the response.

Extra day of voting possible in New York

Other marathon runners decided to go ahead with the race, "without any official support from the city and without diverting any resources," said CNN iReporter Talis Lin, who sent photographs from the course.

As communities grapple with the human toll, the price of the damage is stunning: Between $30 billion and $50 billion, according to disaster modeling firm Eqecat. That far exceeds the firm's pre-storm estimate of $20 billion.

Officials said Sunday that relief was in sight for residents facing fuel shortages, with Defense Department plans to deliver generators and fuel to stations that need electricity and gasoline.

"We think things will be getting better. We know what a disaster this is," New York Sen. Charles Schumer said Sunday. "My wife waited two and half hours for gas yesterday and called me every half hour to see what I was doing about it, so this is an answer to her as well as to every New Yorker."

Meanwhile, Bloomberg said he plans to take the subway on Monday, a sign that transit is coming back.

Powerless in New Jersey

New York City students will also go back to school Monday, Bloomberg said. Some students will be bused to other locations if their schools have been damaged and cannot reopen.

Adding to concerns, a storm is forecast for the region this week.

"As we have this nor'easter coming ... we have to remain extremely vigilant about our neighbors," New York Sen. Kirsten Gillibrand said Sunday.

While many residents are seeking disaster relief help from federal and state officials, she said, some of the state's seniors may be afraid to leave their homes, even if they don't have heat. And they may not know what resources are available.

"What I'm most concerned about right now are the people we haven't met and we haven't seen," she said.

7 health risks in the wake of the superstorm

CNN's Dana Ford, Devon Sayers, Sarah Hoye, Josh Levs, Erinn Cawthon, Henry Hanks and Maria White contributed to this report.

@highlight

Would-be New York City Marathon runners help in recovery efforts

@highlight

"Housing is really the No. 1 concern," Napolitano says

@highlight

Cold temperatures heighten health and other concerns in areas still without power

@highlight

Mayor: Up to 40,000 people could need housing in New York City