Ukraine is ground zero in a tense power play between Russia and the West, with U.S. officials saying they just want Ukrainians to be allowed to decide their own fate, and Russian officials saying they simply want to ensure that Russian-speaking Ukrainians have a fair say over how they are governed.

Militants, army face off in Ukraine

Officials from both sides say they don't want to impose their influence on the former Soviet satellite, but they have given no indication they would object if the result of this dustup is closer ties: Ukraine is on Russia's doorstep and, though short on cash, is awash in natural resources.

1. What's going on in eastern Ukraine?

Eastern Ukraine is home to a large number of pro-Russia, Russian-speaking Ukrainians, and is where the play-out of tensions has been most visible.

On Tuesday, acting Ukraine President Oleksandr Turchynov announced an "anti-terrorist operation" to restore order to the country's east, saying its aim was to "stop attempts to tear Ukraine to pieces."

The military then launched its first, formal action against the pro-Russian militants who have seized government and police buildings in at least 11 eastern towns and cities.

On Wednesday, helicopters and a fighter jet circled over the city of Kramatorsk and a column of tanks rolled through the city, one with a Russian flag affixed.

A similar convoy of armored personnel carriers also entered the city of Slaviansk, some 100 miles from the border with Russia.

But there was little sign that the Ukrainian military presence was effective. In a village near Kramatorsk, pro-Russian militants surrounded the Ukrainian forces, took away their vehicles and forced them to surrender, CNN's Nick Paton Walsh reported. They were allowed to depart only after they disabled their weapons.

Russian President Vladimir Putin warned earlier that the escalating tension "essentially puts the nation on the brink of civil war."

2. What do the people in the east want?

They want more say in how their affairs are handled. Ukraine is currently a unitary state, where Kiev makes the major decisions that affect the rest of the country, according to Nicolai N. Petro, a professor of political science at the University of Rhode Island specializing in Russian affairs.

"What folks in the east are asking for is greater autonomy, local self-government," he said. Were it to become enshrined in the constitution, that form of autonomy would become a new form of government --  federalism.

3. What do Russian officials want?

They say they want to protect the rights of ethnic Russians, but some observers say Putin is wistful for the days of the Soviet Union.

"It's just Russia trying to expand back into the borders of its old empire," said Roman Popadiuk, the first U.S. ambassador to Ukraine under George H.W. Bush, from 1992-1993. He is now a principal in Bingham Consulting LLC.

4. How did this all start?

It all started with money, or lack thereof.

When the Soviet satellite became independent in 1991, hopes were high that it would succeed, given its rich human and natural resources: vast tracts of arable land and stores of coal, iron ore and titanium, said Popadiuk.

At the time, the country was largely unified. "When Ukraine held its independence referendum, almost 91% voted for independence, including the majority of ethnic Russians in Ukraine, including Crimea," Popadiuk said.

That remained the case in the early to mid-1990s, when Russian nationalists in Russia's parliament and in Crimea wanted Crimea to break away and become more independent. The efforts failed to gain traction.

But years of massive corruption and economic stagnation took a toll. The hopes for a better future deflated, only to be renewed late last year, when Ukraine began negotiating an association agreement with the European Union.

Then-President Viktor Yanukovych initially said he would sign it.

But when he reversed course, deciding instead to sign a deal with Russia, fed up Ukrainians took to the streets. They filled not only Maidan Square in the capital city of Kiev, but protested in western Ukraine and, though to a much lesser extent, in eastern Ukraine.

In February, after dozens of demonstrators had been killed, Yanukovych succumbed to the pressure, signing an agreement for a unity government.

But he then fled to Russia.

Back in Kiev, the Ukrainian government saw the unity government agreement as null and void and parliament took over, appointing an acting president and prime minister and calling for presidential elections to be held May 25.

5. What about Crimea?

But Russia, coming off the success of the Winter Olympic Games in Sochi, declared the new government illegal. "With the Sochi Games over, Putin had a clear opening to move into Crimea," Popadiuk said. "He sent instigators, got the people riled up, introduced troops without insignia, claiming that they were local militia, local citizens."

Russia has said the uprisings have been the work of pro-Russian Ukrainians.

In Crimea, where Russia's Black Sea Fleet is based, a referendum was held March 16.

Voters were able to choose to become more independent but stay within Ukraine, or to join Russia. The latter option prevailed by an overwhelming margin.

Putin then moved troops to near the border with Eastern Ukraine, "and that's where we are today," Popadiuk said.

6. Why did Putin move troops to the border with Eastern Ukraine?

"He thought he would be able to foment a general uprising," Popadiuk said. "That did not happen; Ukrainians stayed quiet."

Moscow said its forces are arrayed along the border to conduct military exercises.

7. So then what happened?

Putin has been sending provocateurs and special forces masquerading as Ukrainians into the zone, Popadiuk said, citing news sources as well as sources he would not identify.

"He's basically manufactured an environment of instability," one that lends itself to rebellion, he said.

Russian Foreign Minister Sergey Lavrov, speaking Tuesday in Beijing, rejected as "nonsense" accusations that Russia is fomenting the unrest and supporting the militants.

8. Is it true the country is on the brink of civil war?

Petro predicted the tensions will ease "if Kiev waits them out," but could escalate if Kiev resorts to force and there is significant loss of life.

Popadiuk said he doubted a civil war would break out, but said that would depend on how hard the Russians push with instigators, whether they introduce troops and how the Ukrainians respond.

He applauded the Ukrainians for having responded thus far "in measured terms."

Rather than allowing themselves to be baited by pro-Russian demonstrators, Ukrainian forces could simply isolate them, he said. "Let them sit there -- you could have a stand-down for weeks or months. Right now, the ones that are pushing the envelope are the Russians, not the Ukrainians."

Negotiations will prove key, he predicted. "The Russians are trying to convince the West there is a civil war that could impact the region, and it's necessary for the Ukrainian government to create a federalist structure," he said. "The great fear now is if the West buys that line."

9. And what if it does?

The drawbacks would be obvious, according to Popadiuk. "By creating a federalist structure you would create regions that are almost autonomous," he said, citing the educational system, trade practices and the use of language.

That relative autonomy could undermine the strength of the central government in Kiev "and is a step away from Russians being able to have a referendum along the lines of Crimea -- which could then lead to a breakaway," he added. "It's kind of like taking Ukraine one slice at a time."

@highlight

What's going on in eastern Ukraine?

@highlight

What do the people in the east want?

@highlight

What does Russia want?

@highlight

Is it on the brink of civil war?