(CNN) -- In the latest in a series of recent incidents that threaten to involve Lebanon in the civil war next door, two rockets fired from Syria landed Tuesday in and near the Lebanese city of Hermel, Lebanon's state news agency NNA reported.

No one was hurt in the city, which is a Hezbollah stronghold.

It was not immediately known who fired the rockets. Hezbollah, the militant Shiite movement, has been backing the Syrian government in its fight against anti-government rebels.

Earlier Tuesday, three Lebanese soldiers were killed when unknown armed men opened fire at a military checkpoint near Lebanon's border with Syria, according to NNA.

The attack, in the eastern border town of Arsal, was branded a "heinous crime" by former Lebanese Prime Minister Saad Hariri.

"It requires all political groups to be vigilant and wise, to enable the army to accomplish its mission of protecting this peace, and to keep away from ongoing operations aiming to drag Lebanon into the fighting inside Syria, which will fuel incitement and turn the State and its military and security institutions into a false witness of policies that are not in the national interest," Hariri said in a statement published by NNA.

Arsal is known for its links to Lebanese Sunni rebel sympathizers; some of its residents are believed to be fighting under the banner of the radical group al-Nusra Front.

The Arab World's lost generation

Tuesday's attack on the Lebanese army in Arsal marks the second such incident in the northeastern town, where many Sunni residents accuse the Lebanese military of conspiring with the Shiite Hezbollah in targeting Arsal because it is considered to be the main smuggling route for the Syrian rebels.

Afterward, the Free Syrian Army's chief of staff vowed to "take all measures" against Hezbollah militants if they don't halt their operations in support of Damascus within 24 hours.

"I tell the Lebanese president, Arab League chief and United Nations secretary-general that, if Hezbollah's attack against Syrian territories does not stop within 24 hours, then we will take all measures and reach Hezbollah, even in hell," Gen. Salam Idris told the Al Arabiya TV network. "We are being subjected to genocide at the hands of Hezbollah."

Q&A: Is Syrian war escalating to wider conflict?

In March, two Syrian jets fired three rockets into empty buildings near Arsal.

On Monday, a 17-year-old girl was killed and two other people were wounded when four rockets launched from Syria landed in Hermel, NNA reported.

European Union to lift embargo on rebels

The European Union voted Monday to lift its embargo on arming Syrian rebels effective in August, in a move that British Foreign Secretary William Hague said was intended to pressure Syrian President Bashar al-Assad to negotiate.

"It was a difficult decision for some countries, but it was necessary and right to reinforce international efforts to reach a diplomatic solution to the conflict in Syria," Hague said in a written statement.

"It was important for Europe to send a clear signal to the Assad regime that it has to negotiate seriously, and that all options remain on the table if it refuses to do so."

The Syrian National Coalition, an opposition umbrella group, said the EU's decision did not go far enough.

Spokesman Louay Safi predicted that the Syrian regime will "escalate its brutality" against civilians during the coming weeks, before EU countries can send arms to rebels.

The coalition stressed in a statement that "words must be solidified by action."

Opinion: Syrian hostilities bring Middle East catastrophe closer

A statement posted Tuesday on the state-run Syrian Arab News Agency and attributed only to a spokesperson for the Foreign and Expatriates Ministry blasted the move.

"The recent EU decision exposes the falsity of their allegations and it proves they are hindering the international efforts aimed at contributing to achieving a political settlement to the crisis in Syria based on national dialogue among the Syrians led by Syria," the spokesperson said.

The statement said "the decision uncovers the political hypocrisy of France and Britain, which claim to care about the interests of the Syrian people, while they push at the European Union for taking new decisions to renew the economic sanctions imposed on Syria and supply terrorists in Syria with weapons."

Russia to send more weapons to Syria

Iran blasted the EU's decision, warning that the move would encourage terrorism in European countries.

"The decision to lift the embargoes on arms shipment to the terrorist groups in Syria is a dangerous one," said Iranian Deputy Foreign Minister Abbas Araqchi, the semi-official Fars news agency reported.

"By their incorrect decision to support such groups, the European countries brought the terrorists thousands of kilometers closer to their soil and such a hasty and incorrect decision will certainly increase threats against them."

Russia's deputy foreign minister similarly slammed the decision, saying that arming the rebels would undermine the peace process and amount to an "example of double standards."

Russia said it would move ahead with plans to ship S-300 surface-to-air missiles to the Syrian government, contending that doing so may help contain the conflict.

"We believe that moves like this one to a great degree restrain some hotheads from escalating the conflict to the international scale, from involving external forces," said Deputy Foreign Minister Sergei Ryabkov, according to the state-run Russia Today news agency.

"The S-300 supplies to Syria are being made under a contract that was signed several years ago," Ryabkov told reporters Tuesday.

Russia has long insisted its weapons sales to the Syrian government stem from pre-existing contracts, including some from the Soviet era.

Russia's announcement did not sit well with Israel, which is just southwest of Syria.

"Obviously, from our perspective, it is a threat at this stage," Defense Minister Moshe Yaalon told reporters at a Home Front Command Base in Ramla, Israel. "The shipments are not on their way yet, this I can say. I hope they will not leave and if, God forbid, they reach Syria, we will know what to do."

Unrest in Syria began in March 2011, when regime security forces clamped down on peaceful protesters. The conflict eventually morphed into a civil war that has killed more than 80,000 people -- most of them civilians, according to the United Nations. Dissidents say al-Assad's forces indiscriminately shell neighborhoods that are known as opposition hotbeds; al-Assad says his forces are trying to save the country from terrorists.

On Tuesday, at least 112 people were killed across Syria, including three women and 11 children, according to the Local Coordination Committees in Syria, an opposition group. More than 30 of the reported deaths happened in Damascus and its suburbs.

Sectarian strife flares in Lebanon

Western nations conflicted

While many countries -- including the United States, France and Britain -- have called for al-Assad to step down, they have not agreed on whether to arm Syrian rebels.

Britain and France led efforts to lift the EU arms embargo on Syria. Both nations suggested joining countries such as Qatar in providing weapons to rebels, arguing such a step would strengthen moderate rebels and make them less reliant on well-armed extremists in their ranks.

The United States has been reluctant to arm rebels, fearing that the weapons could end up in the wrong hands. In recent months, radical Islamic militants such as members of al-Nusra Front have joined the rebels in fighting against the regime. The United States has designated al-Nusra Front as a pro-al Qaeda terrorist group.

Interactive: War not only about Syria

But U.S. Defense Secretary Chuck Hagel said this month that Washington was reconsidering its policy of not providing weapons to the rebels.

"You look at, and rethink, all options. That doesn't mean you do or you will," Hagel said.

McCain makes unannounced trip to Syria

U.S. Sen. John McCain entered Syria through Turkey on Monday, making him the highest-ranking U.S. official to visit during the war.

The Arizona Republican met with 18 commanders of the rebel Free Syrian Army near the country's northern border, according to the Washington-based Syrian Emergency Task Force, which helped plan the trip and traveled with McCain.

The rebels' "main message was that we are desperate for ammunition, we are desperate for weapons," said Mouaz Moustafa, executive director of the group.

Opinion: Obama's no-win options in Syria

McCain has for months urged that the United States support arming Syrian rebels. But during his meeting with rebel leaders, McCain also mentioned his concerns about extremism in the country, Moustafa said.

The FSA commanders said they are confident that, if weapons go to the army's Supreme Military Council, they "will not fall in the wrong hands," Moustafa said.

CNN's Holly Yan, Salma Abdelaziz, Hamdi Alkhshali and Elise Labott contributed to this report.

@highlight

NEW: Iran slams the EU's decision to lift its embargo on arming Syrian rebels

@highlight

NEW: At least 112 people are reported killed across Syria on Tuesday

@highlight

"We are being subjected to genocide at the hands of Hezbollah," rebel chief says

@highlight

Three Lebanese soldiers killed at checkpoint near Syrian border by unknown attackers