(CNN) -- What turns a few cases of disease into thousands?

Sometimes Ebola, or cholera or other infectious diseases, emerge and are brought under control, but the current Ebola crisis in West Africa continues to grow. What makes the critical difference in quickly controlling an outbreak?

Luck plays a part. Where the first cases emerge, what the weather is like, the coincidence of holidays and migration can all make a difference in how quickly disease spreads. Biology also matters, including the unexpected evolution of pathogens and the level of prior exposure and immunity in populations at risk. Health infrastructure is important too. Countries that invest little in health -- including training health personnel and public health surveillance and diagnostic capacity -- will struggle to mount a rapid and effective response.

Bad luck and lack of investment in health are hard to address once a disease starts to spread. However, a lot depends on how governments respond to the first cases that pop up -- and denying or minimizing the early cases is one of the worst things a government can do. Indeed, restricting health information and imposing controls on the media breed mistrust and impede an effective response. Another potential obstacle, which might seem counterintuitive, is quarantines.

Ebola cases first appeared in West Africa five months ago, and so far, there have been more than 4,784 confirmed or suspected cases, and more than 2,400 deaths, according to the World Health Organization. As cases first emerged, the lack of information about the disease and suspicion of the government led to rumors that the reports of Ebola were created by the government to secure -- and embezzle -- aid.

Although Ebola is not transmitted by water, fears spread in Liberia that the government was poisoning wells to increase the number of cases. In Guinea, on August 29, people rioted when a market was sprayed with disinfectant they believed was infected with the Ebola virus, with more than 50 injured. People attacked health workers and the hospital in Guinea's second largest city, Nzerekore, shouting: "Ebola is a lie!"

Then quarantines were imposed. Following an attack on an Ebola treatment center in West Point, a populous neighborhood in Monrovia, Liberia's capital, the government reportedly ordered a quarantine of the entire peninsula. The incidence of Ebola was reportedly no higher in West Point than anywhere else in the city, but Information Minister Lewis Brown said the neighborhood was quarantined because of its density and the potential for political violence.

The quarantine was abandoned after 10 days, but Brown declared it a success because it changed attitudes -- increasing awareness of the severity of the disease.

Isolating a community as punishment for not trusting the government neither fosters trust nor effectively limits transmission. During the quarantine period, the price of basic goods like food, water, coal, soap and phone cards doubled. The cost of rice tripled, to 90 cents a cup.

Early on, there were violent clashes between security forces and angry residents trying to leave. A 15-year-old boy was fatally shot, and four other residents were wounded. In addition, residents who could afford it bribed security forces to get out, while others fled by swimming away or escaped when security was lax. Access to routine health care inside the quarantine zone was limited and there were reports of pregnant women desperate for help.

Meanwhile, on September 6 in Sierra Leone, government officials announced a three-day quarantine to facilitate detecting cases through house-to-house searches. Yet detecting Ebola cases is not necessarily straightforward, and Sierra Leone doesn't have sufficient capacity to hospitalize everyone it may identify. Doctors Without Borders issued a statement that "lockdowns and quarantines do not help control Ebola as they end up driving people underground and jeopardizing the trust between people and health providers. This leads to the concealment of potential cases and ends up spreading the disease further."

So what can be done?

Education and social mobilization campaigns that explain Ebola and facilitate community participation in the response are key. Social support and home-based care can increase trust and ensure that voluntary isolation measures are respected and people who are sick can be safely cared for at home.

Efforts to ensure that survivors are not shunned and stigmatized are also important, and survivors, who are immune from reinfection, can play an important role in the response. In other words: Ensure that the Ebola response respects human rights.

Access to health information and treatment, involving the community in the planning and response to the epidemic, making sure that restrictions on liberty and movement are imposed only when they are strictly necessary -- these are all human rights principles that are codified in international treaties.

Of course, respecting, protecting and fulfilling human rights is not a magic bullet to stop a disease in its tracks. But, as we've seen in the current Ebola outbreak, failing to implement a response in line with human rights principles can increase the risk that a small outbreak will become a much larger one.

@highlight

Outbreak of Ebola has claimed more than 2,200 lives, according to WHO

@highlight

Lack of info and suspicion of government made outbreak worse, says Joe Amon

@highlight

Education campaigns are key to limiting outbreak, he says

@highlight

Amon: Responses that violate human rights principles can increase risk of spread