(CNN) -- The oil disaster plaguing the Gulf of Mexico and our coastal states puts our desperate need for a new clean energy economy in stark relief. We need to move away from dirty, dangerous and deadly energy sources.

We are pleased that the White House is now saying it will suspend any new offshore drilling while the explosion and spill are investigated, but there should be no doubt left that drilling will only harm our coasts and the people who live there.

Taking a temporary break from offshore drilling is an important step, but it's not enough. We need to stop new offshore drilling for good, now. And then we need an aggressive plan to wean America from dirty fossil fuels in the next two decades.

This BP offshore rig that exploded was supposed to be state-of-the-art. We've also been assured again and again that the hundreds of offshore drilling rigs along our beaches are completely safe. Now, we've seen workers tragically killed. We've seen our ocean lit on fire, and now we're watching hundreds of thousands of gallons of toxic oil seep toward wetlands and wildlife habitat.

This rig's well is leaking 210,000 gallons of crude every day, wiping out aquatic life and smothering the coastal wetlands of Louisiana and Mississippi. As the reeking slick spreads over thousands of square miles of ocean, it rapidly approaches the title of worst environmental disaster in U.S. history, even worse than 1989's Exxon Valdez oil spill. The well is under 5,000 feet of water, and it could take weeks or even months to cap it.

This disaster could unfortunately happen at any one of the hundreds of drilling platforms off our coasts, at any moment. It could happen at the drilling sites that the oil industry has proposed opening along the beaches of the Atlantic Coast.

Indeed, even before this spill, the oil and gas industry had torn apart the coastal wetlands of the Louisiana Bayou over the years. These drilling operations have caused Louisiana to lose 25 square miles of coastal wetlands, which are natural storm barriers, each year.

Another view: Why it won't be easy to replace fossil fuels

And it's hardly just the environmental costs of oil spills that we have to worry about with offshore drilling. The threat to the people who work on these platforms has again become terribly clear. In fact, more than 500 fires on oil platforms in the Gulf have injured or killed dozens of workers in just the past four years, according to the federal Minerals Management Service.

We don't need to pay this price for energy. We have plenty of clean energy solutions in place that will end our dependence on dirty fossil fuels, create good, safe jobs and breathe new life into our economy.

One huge example came Thursday, when the Obama administration approved our country's first offshore wind farm.

Our country has huge solar power potential as well. We can also save more oil through simple efficiency measures than could be recovered by new drilling on our coastlines.

This oil spill changes everything. We have hit rock-bottom in our fossil fuel addiction. This tragedy should be a wake-up call. It's time to take offshore drilling off the table for good.

The opinions expressed in this commentary are solely those of Michael Brune.

@highlight

Gulf spill can have devastating effect on wildlife and shoreline, says Michael Brune

@highlight

He says we've been assured that oil drilling is completely safe

@highlight

Brune: Workers killed, and spill could be nation's worst environmental disaster

@highlight

He says U.S. needs moratorium on new drilling, plan to wean off fossil fuels