Editor's note: Kevin Fenton is director of the National Center for HIV/AIDS, Viral Hepatitis, STD and TB Prevention at the Centers for Disease Control and Prevention. Fenton has written for journals including The Lancet, AIDS, the British Medical Journal and the Journal of Infectious Diseases. After graduating from medical school, Fenton earned his Masters in Public Health at the London School of Hygiene and Tropical Medicine and his Ph.D. in Epidemiology from University College London.

Dr. Kevin Fenton urges Americans to get tested for HIV.

ATLANTA, Georgia (CNN)  -- Every 9½ minutes someone's brother, mother, sister, father, or neighbor becomes infected with HIV in the United States. That's 56,000 people every year. But there's something we can all do to help protect ourselves and our partners from this disease -- get tested for HIV.

In the fight against HIV, I can tell you that few things are more important than testing. It's an essential step in reducing the number of new HIV infections and extending the lives of those who are infected.

Put simply, HIV testing saves lives.

As a CDC official, I've spoken with hundreds of people who have made the decision to get tested. Many described the relief they felt when they found out they were HIV-negative.

Thanks to the HIV test, they could take steps to make sure they and their partners stay that way. I've also met people who found out they were HIV-positive.

Although initially worried about their diagnosis and their future, they were thankful they had their infection diagnosed early, and were able to live long, healthy and productive lives with HIV. They had the knowledge and will to protect their partners from infection, or to prevent their infants from becoming HIV infected.

I recently met one young woman who learned about her HIV infection after being diagnosed during routine HIV testing in pregnancy. By getting tested early, and having access to effective treatment, her child was born without HIV, and she now has two healthy children.

She is a living testament that life does not stop with this disease. Instead, knowledge of her HIV status along with effective treatment and care has given her the freedom, resolve and respect to make choices to protect her life and the lives of those she loves.

Yet today, not everyone has benefited from knowing their HIV status. Far too many individuals with HIV don't know that they're infected. CDC estimates that one in five people with HIV in the United States is unaware of being infected.

That's more than 200,000 Americans who may be transmitting the virus to others without knowing it, and who can't take advantage of HIV treatments that could prolong and improve the quality of their lives. As we mark National HIV Testing Day on Saturday, I strongly encourage all Americans to get tested for HIV.

At CDC, our goal is to make HIV testing as routine as a blood pressure check. HIV testing has never been quicker, easier or more accessible. In fact, with rapid HIV tests, results can be available in as little as 20 minutes, and tests can be given in your doctor's office or other locations in your community, such as churches and college campuses.

To ensure that all Americans know their HIV status, CDC recommends that everyone between the ages of 13 and 64 get tested for HIV as part of routine medical care -- regardless of their perceived risk for infection. CDC also recommends that those at increased risk, such as sexually active gay and bisexual men, get tested at least annually. We are also working with our partners to bring HIV testing services directly to communities across the nation.

Increased HIV testing will make it possible to significantly reduce the number of new infections. Research indicates the majority of new sexually transmitted HIV infections are transmitted by people who do not know they are HIV-infected. Studies also show that most people who test HIV-positive take steps to protect their partners from infection.

Nearly 30 years after the start of the epidemic, far too many people continue to be diagnosed late in the course of their infection. Too many times, I've heard stories from people who went to the emergency room after a few days of flu-like symptoms. Once there, doctors conduct tests and inform them they have both pneumonia and AIDS. They never knew they were HIV infected, and yet they had the virus for years.

In fact, data released today show that nearly 40 percent of people develop AIDS within just a year of being diagnosed with HIV. Many of these people could have stayed healthier if they were diagnosed with HIV and began drug treatment much earlier. Anti-retroviral treatment can lower the amount of the virus in the blood, slowing progression from HIV to AIDS.

We must remember that AIDS still kills in this country -- more than 14,000 people die every year. Yet we have the tools to diagnose an HIV infection early, to begin life-prolonging treatments to prevent progression to AIDS, and to ensure a strong quality of life for HIV-infected people.

But without a test, there is no diagnosis -- and no treatment.

The fight against HIV here at home is far from over. But too many mistakenly believe that HIV in the United States is no longer a serious problem. In fact, a recent survey by the Kaiser Family Foundation found a troubling decline in awareness and concern about the domestic HIV/AIDS crisis, in the general population and among those at greatest risk.

To help combat this complacency, the White House recently joined CDC and the rest of the U.S. Department of Health and Human Services to announce a new communication campaign, "Act Against AIDS." The campaign is working on a number of fronts to refocus national attention on the U.S. epidemic, and to increase the number of Americans who get tested for HIV.

Although HIV/AIDS continues to pose a serious threat to the nation's health, HIV testing is a powerful weapon against the disease. By increasing the number of people who know their HIV status, we can decrease the number of new HIV infections, and help save thousands of lives.

What you don't know can hurt you. In fact, it can kill you. But a simple test could change your fate and the fate of others. That's why today I urge all Americans to take the test -- and take control.

To learn more about HIV/AIDS and where you can receive a confidential HIV test, visit hivtest.org, call 800-CDC-INFO, or text your ZIP code to "Know It" (566948). For comprehensive information about HIV prevention, visit http://www.cdc.gov/nineandahalfminutes/index.html, the Web site for the first phase of CDC's recently-launched Act Against AIDS campaign.

@highlight

Fenton: Testing is essential to reducing the number of new HIV infections

@highlight

Many who get tested are relieved when they find out they are negative after all

@highlight

Those who are positive can prolong their lives and ensure the health of loved ones