It was a disappointing week for the women of the Supreme Court.

All three -- Justices Ruth Bader Ginsburg, Elena Kagan and Sonia Sotomayor -- were on the losing side of rulings involving women's reproductive health.

First came the Hobby Lobby decision, in which the high court decided 5-4 that the government cannot force certain for-profit companies to offer contraception coverage under Obamacare.

Supreme Court rules against Obama in contraception case

Then another decision emerged late on Thursday in which a Chicago-area evangelical college won a temporary victory over the requirement in the 2010 health care law that religious non-profits provide contraception insurance to their workers.

Wheaton College objected to potential fines if it refused to provide coverage or sign a release form, arguing that doing so would be morally wrong. The Supreme Court said the college didn't have to do either for now.

Strident dissent

Coming after the Hobby Lobby decision, narrowly defined to the specifics of cases involving two businesses run by families with strong Christian beliefs, the Wheaton ruling rankled the three liberal women justices.

Their unusually forceful dissent written by Sotomayor said the Wheaton injunction threatened the credibility of the Hobby Lobby decision.

"Those who are bound by our decisions usually believe they can take us at our word," Sotomayor wrote. "Not so today."

The point of the dissent? "It is not the business of this court to ensnare itself in the government's ministerial handling of its affairs in the manner it does here," Sotomayor wrote.

Hobby Lobby ruling much more than abortion

While the Wheaton College ruling only gives the school a pass until the matter is decided by lower courts, it represents an important victory for those objecting to the contraception coverage requirement.

The mandate was a negotiated compromise between the Obama administration and religious-based non-profits such as hospitals and faith-based universities that oppose birth control.

It made contraceptives available under the Affordable Care Act with no co-pay, but gave those entities a work-around through health plans written by third parties.

Legal challenges

Since the law championed by President Barack Obama took effect, the contraceptive coverage requirement has faced several challenges, including a case last year by the religious charity Little Sisters of the Poor.

As in Wheaton, the Supreme Court said the government couldn't enforce the contraceptive mandate.

Religious-based groups sought delays in the requirement that took effect July 1, saying that signing the form would force them to choose between what the Little Sisters of the Poor-- a Denver-based home for the elderly run by Catholic nuns -- called "onerous penalties or becoming complicit in a grave moral wrong."

The high court ruling in the Wheaton appeal said those who object only have to inform the government "in writing that it is a nonprofit organization that holds itself out as religious and has religious objections to providing coverage for contraceptive services," rather than sign government form.

What the Supreme Court's Hobby Lobby decision means

The ruling also made clear the high court had yet to decide the larger legal and constitutional issues, but merely acted on the enforcement question. The issue could be presented to the justices in coming months for final review.

"We are grateful to God that the Supreme Court has made a wise decision in protecting our religious liberty-at least until we have an opportunity to make our full case in court," said Wheaton College President Philip Ryken. "We continue to believe that a college community that affirms the sanctity of human life from conception to the grave should not be coerced by the government into facilitating the provision of abortion-inducing drugs."

Wheaton is a private Christian liberal arts school located in a Chicago suburb, and is represented in court by the Beckett Fund for Religious Liberty, which also represented Hobby Lobby -- an Oklahoma chain of 572 retail outlets -- and the Little Sisters of the Poor.

The Hobby Lobby ruling Monday authored by Justice Samuel Alito suggested the two for-profit companies could sign the same government form as the religious non-profits.

"Unnecessary costs"

In the dissent of Thursday's ruling, Sotomayor expressed concern the court no longer required use of the form by any institution.

"The court's actions in this case create unnecessary costs and layers of bureaucracy, and they ignore a simple truth: The government must be allowed to handle the basic tasks of public administration in a manner that comports with common sense," the dissent said.

"The court's grant of an injunction in this case allows Wheaton's beliefs about the effects of its actions to trump the democratic interest in allowing the government to enforce the law," it continued.

Hobby Lobby: the Bible verses behind the battle

A Mennonite family's fight over Obamacare reaches Supreme Court

The White House previously said the contraceptive coverage requirement in Obamacare was lawful and "essential to a woman's health," and that its rules struck the right balance. There was no immediate reaction about the Thursday court order from the administration.

Abortion rights groups expressed disappointment, with the Planned Parenthood Action Fund calling the court order "alarming" because it confirmed "that many more women may lose access to birth control coverage in the coming months and years if Congress does not act soon."

While Democratic members of Congress are proposing fixes to the health care law to address the issue, the chances of such legislation passing in an election year are considered low due to opposition by conservative House Republicans.

Court rulings: It's GOP v. Democrats

How Obamacare can reduce abortions

@highlight

Three women justices dissent against high court's latest Obamacare order

@highlight

Justice Sotomayor: Those bound by decisions can't take take us at our word

@highlight

The cases involve exceptions to a mandate to provide health coverage for contraceptives

@highlight

Supporters say the decisions uphold religious rights; foes say they hurt women's rights