Tokyo (CNN) -- Photographer Ahn Sehong walks into the Nikon building in Tokyo with his photos under his arm. They're pictures of elderly women, part of his exhibit that was scheduled to take place at the Nikon gallery. That is, until Nikon canceled it without explanation.

It's not the quality of his work that's the problem, says Sehong, but the content. Sehong's photographs are portraits of the Korean women known as comfort women, victims who were forcibly taken from Korea and used as sex slaves for Japanese soldiers during WWII.

Now 80 to 90 years old, they're the living but dwindling history of the decades-old war crimes. Some Japanese extremists believe the crimes against the comfort women never happened. Others would prefer to stop discussing Japan's ugly war history in modern times.

Sehong knocks on the door of the Nikon gallery manager's office. A middle-aged man opens the door. The gallery manager knows who Sehong is and asks him to wait. He closes the door.

"In the beginning I was angry and frustrated," says Sehong, referring to receiving the notice that his exhibit was canceled, as he waits outside the manager's door. "But this is not a matter of being angry. I believe there is a problem with the Japanese government. They're discriminating against the comfort women."

The letter Sehong received didn't state why the exhibition was canceled, and while Nikon told CNN that public complaints had been lodged before its planned opening, a representatives said that wasn't the reason the exhibition was pulled.

Sehong's pictures are emotional but don't appear to make a political statement about the Japanese. In one portrait, a woman appears to be crying. Her face is deeply lined, her back slouched with age, her hands spotted with freckles. The picture is black and white, carrying a timelessness that betrays the endless grief the woman carries. It is just one of dozens of portraits of the elderly, poverty-stricken Korean women, quietly living out their twilight years in rural China.

"The reason I do this work is for these grandmothers," says Ahn. "The government and some Japanese people just hope these women will die and history will be erased. It's not right."

Japan has a track record of downplaying its war crimes. Most recently, Japan's government says two delegations met with the mayor of Palisades Park, New Jersey, asking the city to remove a memorial dedicated to comfort women.

The city says the Japanese officials offered cherry blossom trees if the city would take down the memorial, a small, unremarkable rock that has a single bronze etching on the side. The city says it refused the offer. Japan's government would not confirm it offered Palisades Park any gift in exchange for the removal of the memorial.

The move, widely reported through the Korean American community, reopened old wounds.

"They think it's an anti-Japanese monument, trying to attack Japan, but it's not," says Chejin Park, staff attorney for the Korean American Civic Empowerment, based in New York. "We don't want to repeat that kind of massive, government-organized human trafficking. The only way we can stop that kind of human rights violation is remembering that human rights violation. The best way to remember it is to have a memory of it."

Korean American activists say Japan needs to accept and properly acknowledge its war crimes instead of trying to eradicate its history. The Palisades Park effort backfired on Japan, says Park. "Their request was helpful for our movement. It's helping us to do more things for the comfort women issue. Many more communities now want to have memorials in their communities."

Japan's government has formally apologized on numerous occasions for the atrocities against the women. Japan helped establish the Asian Women's Fund in 1995, which is supported by government funds and provides assistance to comfort women. The AWF has received donations from Japanese people equaling US$7 million.

Japan has resisted direct payments to individual victims, leading to complaints among activists and victims that the country appears to be avoiding officially acknowledging its history.

The lack of direct reparations continues to support a culture of discrimination against the women, say activists. That's why Ahn believes Nikon could so easily cancel his photographic memorial to the women.

Nikon's gallery manager reappears out of his office and tells Ahn his exhibit remains canceled. He won't explain why.

Ahn is disappointed. He had hoped to teach young Japanese people about their history and challenge them to reconcile it.

"These grandmothers were forced into slavery 70 years ago," says Ahn. "They lived and survived alone. Afterwards, no one remembers them."

Ahn gathers his pictures and heads to the gallery's exit. "Will they be blown away in a bleak wind and dispersed and vanished to the back stage of history?"

@highlight

Nikon cancels a photo exhibition by Ahn Sehong on Japan's comfort women in Tokyo

@highlight

Photographer says he believes it demonstrates discrimination against the women

@highlight

"Comfort women" is the term given to Korean women used as sex slaves by Japanese soldiers

@highlight

Now in their 80s and 90s, the women are living their final years in poverty in rural China