Washington (CNN) -- Richard Lugar had it all -- a sterling global reputation, bipartisan respect, a fat campaign bank account and 36 years of Senate experience.

But somewhere along the line he forgot Tip O'Neill's old axiom: all politics is local.

On Tuesday, that mistake cost Lugar his career. The 80-year-old pillar of Washington's foreign policy establishment lost his Indiana GOP primary battle to a younger, hungrier and more politically attuned conservative challenger, state Treasurer Richard Mourdock.

Lugar loses Republican primary

The venerable senator's finished. Chalk up another win for the tea party.

Lugar "served too long," said Republican pollster Christine Matthews, who did public opinion research for the race. "We're in a new era. He never adapted."

The list of conservative complaints against Lugar has grown over the last several years, a period coinciding with an aggressive campaign to rid the GOP of officeholders who fail to march in lockstep with the party's ideological activists. Lugar voted for Obama Supreme Court nominees Sonia Sotomayor and Elena Kagan, advocated a hike in the gas tax, backed immigration reform, opposed an earmark spending ban and supported the financial and auto industry bailouts.

He was the Senate GOP's most prominent supporter of a new arms control treaty with Russia, America's "number one geopolitical foe," according to Mitt Romney.

Lugar was once called Obama's favorite Republican senator, a fact Mourdock's campaign repeated endlessly. With friends like that, conservatives asked, who needs enemies?

"It all adds up," said GOP pollster John McLaughlin, who helped Lugar in the past but is working for Mourdock this time. It "goes against (Indiana primary voters') conservative values."

Lugar's "campaign was not very nimble or adept at responding to some of the charges against him," one Indiana Republican operative said. "You have to react and you have to pivot" when challenged. There was "a failure to remind people what Dick Lugar has done for this state, this country, and this world."

To the end, Lugar kept the support of establishment Republican leaders like Indiana Gov. Mitch Daniels and Arizona Sen. John McCain. But insurgent icons like former Alaska Gov. Sarah Palin, Minnesota Rep. Michele Bachmann and former Pennsylvania Sen. Rick Santorum flocked to Mourdock's banner.

Perhaps more importantly, outside conservative groups like FreedomWorks and Club for Growth poured pro-Mourdock ad money into the state, obliterating what once would have been considered an insurmountable financial advantage for Lugar.

None of that may have happened, however, if Lugar had paid more attention to Indiana Republicans in recent years. Most analysts contacted by CNN reached the same conclusion: Lugar's defeat is as much a reflection of the political weakness of a globetrotting elder statesman who failed to maintain ties with the folks back home as it is a sign of tea party strength.

Mourdock is "the uber-accessible guy," the operative noted. "Any (state party) event you go to, there should be a Mourdock name tag printed out because chances are he's showing up. ... He's at every chili cook-off imaginable."

The operative noted that Lugar rarely if ever showed up to local Republican Party events in recent years. Not coincidentally, the overwhelming majority of local GOP officials backed Mourdock.

There was a feeling among the GOP's county chairmen that Lugar is "too big for us, and he's too good for us," Matthews said.

In contrast, the operative said, Indiana's other GOP senator, Dan Coats, assiduously courted grassroots activists and local party leaders when he decided to return to elected office in Indiana after more than a decade working as a diplomat and a Washington lobbyist. While Coats wasn't a tea party favorite when he won the GOP nod in 2010, his hard work on the local level helped him beat back a primary challenge from a couple of candidates more strongly favored by conservatives.

A number of analysts said Lugar should have followed the lead of Senate colleague Orrin Hatch, who committed significant time and resources to his own renomination fight this year. Two years ago, Hatch saw fellow Utah Sen. Robert Bennett lose his GOP nomination battle to political newcomer Mike Lee. Bennett, a fairly conservative three-term Senate veteran, failed to see the tea party storm coming in 2010 and paid the price at that year's Utah GOP convention.

After Bennett's loss, Hatch furiously cultivated the support of local activists. In April, he won the support of an overwhelming majority of delegates at the state convention. He is now expected to easily win his primary and roll to victory in the general election.

For many Indiana Republicans, a controversy earlier this year over Lugar's residence crystallized the perception that he had abandoned them. Lugar, who actually has lived in northern Virginia since the sale of his Indianapolis home in 1977, was forced to beat back a ballot eligibility challenge based on the location of his current home.

Lugar successfully argued that Indiana's constitution only required him to maintain a physical residence in the state during his first campaign. Politically, however, the damage was done. At one point, Lugar admitted he wasn't even sure what address was on his Indiana driver's license.

Indiana politics, the operative noted, has a long history of residency-based ballot access controversies. Coats faced a similar challenge when he returned to the state to run for Senate in 2010.

"In and of itself, I don't think it would have worked," the operative said. But Lugar is "casting these (controversial) votes because he's never here and doesn't hear us." The residency issue was more potent this time around "because it fits the overall narrative."

The challenge to Lugar's residency, McLaughlin told CNN, "was saying he's really gone to Washington and doesn't even live here anymore." Why, he wondered, didn't Lugar "just buy a condo?"

Two-thirds of primary voters in Mourdock's campaign polls said Lugar has been in Washington too long and is out of touch with Hoosier values, McLaughlin added. Mourdock, in contrast, has pledged to serve only two terms in Washington.

Mourdock also maintained a "respectful" tone while challenging the veteran senator, McLaughlin added.

Mourdock "stood up in (his) one debate (with Lugar) and was credible," Matthews said. He may have been the favorite of the most conservative voters, but "nobody could say he's a whack job."

Now Mourdock is probably going to Washington. And Lugar, a hero of the Washington establishment, is headed home, wherever that is.

@highlight

Lugar lost primarily because he didn't pay attention to his Indiana GOP base

@highlight

Lugar took a series of positions out of line with current GOP orthodoxy

@highlight

Lugar's failure to keep an Indiana residence showed him as out of touch

@highlight

Richard Mourdock paid close attention to Indiana's GOP grassroots