LONDON, England (CNN) -- Scientists in the United States are developing a "synthetic tree" capable of collecting carbon around 1,000 times faster than the real thing.

A conceptual design of how the "synthetic tree" might look should they ever reach the stage of production.

As the wind blows though plastic "leaves," the carbon is trapped in a chamber, compressed and stored as liquid carbon dioxide.

The technology is similar to that used to capture carbon from flue stacks at coal-fired power plants, but the difference is that the "synthetic tree" can catch carbon anytime, anywhere.

"Half of your emissions come from small, distributed sources where collection at the site is either impossible or impractical," said Professor Klaus Lackner, Ewing-Worzel Professor of Geophysics in the Department of Earth and Environmental Engineering at Columbia University.

"We aim for applications like gasoline in cars or jet fuel in airplanes. We are going after CO2 that otherwise is nearly impossible to collect," he told CNN.

While the idea of carbon-catchers may sound far-fetched, an early model has been built and Lackner is in the process of writing a proposal for consideration by the U.S. Department of Energy.

He personally explained the concept in a 45-minute meeting with U.S. Energy Secretary Steven Chu last month at a three-day symposium on climate change in London.

"He was there and I was there and he showed interest," Lackner told CNN. "That's exciting, but I don't particularly want to discuss this in a public forum because I think this gives me a little bit of an opportunity to tailor my proposals to the Department of Energy in a way that makes them more palatable."

Lackner started working on the concept of an ambient carbon catcher in 1998. "I argued back then and I still argue that the reason this can be done, from a theoretical point of view, is that the CO2 in the air is actually surprisingly concentrated, therefore the device you need to collect CO2 is quite small."

The "synthetic tree" looks more like a public convenience block than a hi-tech method of reducing carbon emissions, but Lackner told CNN it is highly efficient for its size when compared, for example, to a modern power-generating wind turbine.

"If you give me one of those big windmills which have those big areas through which the rotor moves -- how much CO2 can I avoid? And if I had an equally sized CO2 collector -- how much CO2 can I collect? It turns out the collector is several hundred times better than the windmill."

Is the "synthetic tree" an interesting alternative, or a  scientific flight of fancy that's unlikely to happen? Sound Off below.

Lackner told CNN that initial concerns over the cost of the technology were focused on the "front-end" carbon collector, including the sorbent used to catch the carbon dioxide in the air.

But after years of research, Lackner told CNN he and his colleagues have developed a sorbent that is "close to the ideal," in that it uses a relatively small amount of energy to release the CO2 and is not prohibitively expensive.

"By the time we make liquid CO2 we have spent approximately 50 kilojoules [of electricity] per mole of CO2." Compare that, Lackner said, to the average power plant in the U.S. which produces one mole of CO2 with every 230 kilojoules of electricity.

"In other words, if we simply plugged our device in to the power grid to satisfy its energy needs, for every roughly 1000 kilograms [of carbon dioxide] we collected we would re-emit 200, so 800 we can chalk up as having been successful," he said.

Lackner told CNN the biggest cost was at the "back-end" of the collector, primarily the technology used to release the CO2 from the sorbent.

He said for that reason, on a cost-basis, the "synthetic tree" could not compete with modern coal-fired power plants that are designed to release fewer carbon emissions than their older predecessors. But he said when compared to the cost of retro-fitting an existing coal plant, the "synthetic tree" becomes more viable.

"The bottom line is we have in this way the ability to deal with the problem at a cost which is somewhat higher than on a coal-fired power plant retro-fit, but not much higher."

Besides, he said, the technology is not being developed as an alternative to the carbon capture and storage methods currently being tested for large-scale use on coal-fired power stations. He's targeting carbon that's already in the air.

The concept of the "synethic tree" has caught the imagination of one of the first scientists to warn the world about global warming, Lackner's colleague at Columbia University, Newberry Professor of Earth and Environmental Sciences, Professor Wally Broecker.

"I'm extremely excited about this. I think this is something that the world's going to have to have, unfortunately," Broecker told CNN from Madrid where he received a BBVA Foundation Frontiers of Knowledge Award for his work on the issue of climate change.

Broecker told CNN most people still don't recognize the magnitude of the task the world faces in reducing global carbon emissions, and it was likely that one day urgent action would need to be taken, above and beyond the current measures being discussed.

"We're probably not going to stop CO2 rising until it's double what it was near-1800 and maybe even more than that," he said. "I think we will find that the planet is too warm, ice is melting too fast... and we'll want to bring the CO2 back down again. The only way we can do that on a short timescale would be to pull it back out of the atmosphere."

Broecker told CNN the units could stand in the middle of Australia, for example, and their presence wouldn't significantly disrupt the atmospheric distribution.

"Each unit would take out a ton of CO2 a day -- which would be the amount of CO2 produced by 20 average automobiles in the U.S.A. And the cost of each unit would be about the cost of a Toyota. So that would mean if you added a five percent surcharge on automobile purchases that money could go to building units to remove the CO2 those vehicles are going to create."

@highlight

"Synthetic tree" would capture carbon dioxide in the air to reduce emissions

@highlight

Trapped carbon would be compressed to liquid CO2 ready for sequestration

@highlight

Technology is being developed by scientists at Columbia University in the U.S.

@highlight

Broecker: "I think this is something that the world's going to have to have"