New York (CNN) -- I have chosen 10 films which, I feel, begin to tell our stories in our own words and belong in the annals of international cinema. Some are classics, some are audience favorites, some reconnect us to our past, some reflect deep societal trends.

They show Africa's unique brand of storytelling and add a distinct African flavor to modern and universal themes. They have swept me away. I am sure they will also touch you.

Sex, Okra and Salted Butter (Mahamat Saleh Haroun, Chad/France, 2008, 81m)

This is a must! A truly hilarious film that shows we Africans also like comedy and know how to turn the lens on "the other." Hortense, a 40-year-old nurse originally from the Ivory Coast, leaves her family for her lover, Jean-Paul, an oyster farmer in the area of Bordeaux, France. Her husband -- a macho, very traditional man -- sees his whole world turned upside down. His son, who turns out to be homosexual, the arrival of his sister-in-law from Abidjan, all provide many surprising and funny twists to the story.

Guelwaar (Ousmane Sembene, Senegal, 1993, 115m)

We revere Sembene, who is the master of storytelling. "Guelwaar "("The noble one") revolves around the mysterious death and disappearance after death, of a philandering patriarch and pillar of the local Christian community. Guelwaar's errant corpse was mistakenly buried in a Muslim cemetery. This sets off a tempest of bureaucratic red tape, family conflicts and religious factionalism, culminating in a tense standoff at the disputed grave site. Guelwaar is many films in one.

Forgiveness (Ian Gabriel, South Africa, 2004, 112m)

"Forgiveness" is the story of Tertius Coetzee, an ex-apartheid policeman, who resigned from the South African police force after giving evidence at the Truth and Reconciliation Hearings. He is tormented and his search for the family of one of the victims he "eliminated" triggers a ferocious series of revelations as events rapidly spiral out of control.

Yeelen/Brightness (Souleymane CissÃ©, Mali, 1987, 105m)

"Yeelen" is an adaptation of an ancient oral legend from Mali, and it is one the most acclaimed and widely seen African films ever made. An Oedipal story mixed with magic, Yeelen is visually stunning. Set in the powerful Mali Empire of the 13th century, Yeelen follows the journey of Nianankoro, a young warrior who must battle the powerful Komo cult. He travels through the arid Bambara, Fulani and Dagan lands of ancient Africa, as his own father, a corrupt wizard, uses his dark magic to try to destroy his son.

Cosmic Africa (Craig and Damon Foster, South Africa, 2002, 72m)

Astronomer Thebe Medupe embarks on a quest to reunite his science with the origins of celestial knowledge in Africa with these words: "I know so much about the stars, yet I know so little about my own continent and how my people are connected to the sky." His journey takes him to the ancestral lands of the Ju/'hoansi in Namibia, to the Dogon people of Mali, and deep into the Sahara, where a cosmic clock attests to the African origins of astronomy. A beautifully shot, densely layered meditation on the influence of the cosmos on our daily lives.

The Colonial Misunderstanding (Jean Marie Teno, Cameron, 2004, 78m)

We lost our own history. Teno reminds us in this documentary feature that we must reclaim ourselves and our heritage, through the knowledge of our traditional culture. This film sheds light on the complex and problematic relationship between colonization and European missionaries on the African continent. It reveals how colonialism destroyed African beliefs and social systems taking away our "minds and souls" and reveals that the genocide of the Herrero people was indeed a launching pad for the Second World War and is a neglected aspect of contemporary history.

Mossane (Safi Faye, Senegal, 1996, 105m)

I love this film. It is one of the most beautiful tragic love stories ever made! Faye's gorgeous film begins as a detailed study of contemporary, Wolof life and unfolds with the mounting force of ancient tragedy. Mossane, whose mythic beauty is tied to her family's future, has been betrothed to a rich man but is in love with Fara, a student with no prospects. Unable to follow her dreams and bound by tradition, Mossane takes action and tragedy ensues.

Cuba: An African Odyssey (Jihan El Tahri, Egypt / South Africa, 2007, 118m)

"Cuba" shows how a film can be incredibly informative about little-known historical facts and full of brilliant humor. It will also keep you on the edge of your seat. It is the previously untold story of Cuba's support for various African revolutions, one of the Cold War's most vigorous contests over resources and ideology. This film attempts to understand the world today through the saga of these Cuban fighters who won every battle but ultimately lost the war.

HyÃ¨nes / Hyenas (Djibril Diop Mambety, Senegal, 1992, 113m)

An extraordinary example of how a famous play by a Swiss author, Friedrich DÃ¼rrenmatt, "The visit," set in Europe in the 1950s, can be revisited to fit the African landscape. An aging, wealthy woman returns to her village and lavishes luxuries in exchange for the murder of a shopkeeper who abandoned her after she became pregnant at 16. Hyenas adapt a timeless parable of human greed into a biting satire of today's Africa.

Rostov Luanda (Abderrahmane Sissako, Mali/Mauritania, 1997, 70m)

Director Sissako travels to Luanda, in search for his old friend, the Angolan freedom fighter Bari Banga and embarks with us on a voyage of discovery of the landscape and people of Angola. This is turbulent African history written in actual flesh and blood, as Sissako captures the painful stories of the habitues of all colors of the Biker Cafe, located in the heart of Luanda.

The opinions in this piece are solely those of Mahen Bonetti.

@highlight

Ten films chosen for exhibiting the words and voice of African people

@highlight

Choices include classics, audience favorites, links to the past and show societal trends

@highlight

They illustrate the difference in storytelling that emerges from Africa