Kalamata, Greece (CNN) -- Throughout its history, Greece has been conquered by the Macedonians, the Romans, Persians and, in modern times, the Ottoman Empire and Nazi Germany.

But now there is a new and different battle being waged against the Greeks, and the enemy is not wielding swords or guns but the threat of bailouts and default. For many, it's a modern-day tragedy that even the Greek classical writer Euripides would have a hard time envisioning.

After reading all the bad economic news coming out of Greece, it's easy to lose sight of the fact that the Greek people are still carrying on their daily lives.

Greeks may be cutting back on their vacations, but the country has seen a rise in the number of tourists. The Association of Greek Tourism Enterprises expects more than 10.5 million visitors this year, a 9.6% increase from 2010.

On a recent trip to my mother's hometown of Kalamata, I was curious to see how this seaside city on the southern part of the Peloponnese, best known for its luscious olives and as the birthplace of the New Age performer Yanni, was faring amid the country's economic crisis.

As my flight descended over Athens, I couldn't help but think that I was flying from the heels of one storm -- Hurricane Irene had just ravaged the eastern U.S coastline -- into the throes of another. The sea of white marble buildings below offered no glint of the economic tempest that has produced fear, anxiety and scores of strikes and protests throughout the country.

The uneventful three-and-a-half hour bus ride to Kalamata (about $30) is expected to get shorter with a new stretch of national highway from Athens. But how quickly will the work get done in the current economic climate? Only time will answer Greece's growing list of uncertainties.

As in Athens, cigarette smoke is pervasive in Kalamata, and pedestrians yield to cars, whether you like it or not. But there the similarities end.

Unlike Athens, which is home to more than 3 million Greeks, the images of protests and distress are nowhere to be visibly found in this sun-drenched town of just over 100,000. Here, the city seems to embrace the energy of the sun. Young people seem to outnumber the old.

The origins of the city's name remain murky, but according to relatives, it's probably derived from the Greek words "kala ommata," which means "beautiful eyes."

Kalamata is hardly a destination most tourists consider when they think of a vacation in Greece. The islands of Mykonos and Santorini are usually the headliners in that fantasy.

Kalamata, the 10th largest city in Greece and the capital of Messinia, is built on the foot of the Tavgetos and near Messinia Bay. It draws mostly Greek vacationers, as it's a good home base close to other tourist sites in Messinia and ferries to some nearby islands, including the Ionian island of Kythira and Kissamos in Crete.

Within an hour's car ride, you can visit the beaches Navarino or the castles and historical sites of Mystras, Olympia, Koroni, Methoni and Mani.

Though Kalamata has grown dramatically since an earthquake ravaged portions of the city in 1986, some areas have a small-town feel. It's not uncommon to catch the smell of jasmine on a summer evening while walking the paths between the family-owned plots of lime, fig and orange trees.

The pride and joy of many residents is owning some land -- even a small parcel -- where they can grow a variety of things including cucumbers, squash, tomatoes and herbs.

Kalamata has a historical center with beautiful neoclassical houses. A 13th-century castle dominates the town and has an interesting archaeological museum and a folklore museum with relics of the War of Independence of 1821.

In addition to its theaters and theatrical groups, Kalamata hosts an International Dance festival during the summer in the amphitheater of the castle.

But for most people, the lure of Kalamata is the beaches, with their blue waters and free sun beds.

The tranquil beaches in Kalamata are more than 6 miles long, and elderly people taking a morning swim is a familiar sight.

Take a leisurely walk or bike ride along the promenade, and it's hard not to stop into one the many tavernas for a cold Mythos beer and a Mikri Pikilia: a selection of sardines, meatballs, calamari, tomatoes and cucumbers.

I always have to smile when I get up from a taverna's hard straw chairs. Although patrons won't ever be rushed out by a waiter trying to turn over a table, the uncomfortable seats are more than likely to leave you with a funny walk for the first several strides.

And while unemployment in Kalamata, which city officials put at 10%, is far below the national average, there's still a feeling of uncertainty in the streets.

"The mood is gloomy. Things are tough, very tough. It seems there is no hope, and there isn't a light at the end of the tunnel," Mayor Nikas Panagiotis said.

"Strikes happen every day; there is unemployment. But compared to Athens, things are better. Not as bad as some places in Athens, but this doesn't mean that things are easy in Kalamata. There is no work, and they don't give us any hope, and that is the worst," he said.

Panagiotis says Kalamata's annual budget of about 100 million euros is very dependent on tourism to cover the gap with what comes from Athens, which supplies only around 65 million euros.

Although Kalamata does very well with tourism -- and the new national highway will help -- high unemployment and a small but increasing number of immigrants from North African countries, Afghanistan, Pakistan and Sri Lanka have put strains on social services, the mayor said.

Hotel owner Nikos Haikos, 35, whose establishment bears the family name and is situated across the street from the beach, says business has been mixed this year.

"This year we did not have a very good season in the beginning. June did not go as we preferred." The hotel had a good May, July and August, but that success came with sacrifice.

"We lowered the price in the high season to keep the hotel full," Haikos said. The rooms, which normally go for 100 euros in the high season, were lowered to 70 euros this year.

With the economy in shambles and the government reducing benefits and cuts to pensions, that's less money for Greeks to spend on holidays, Haikos said. So he's planning to adapt to the circumstances and begin making arrangements with the hotel site Booking.com.

"Good companies, if they manage, will survive. If you give good quality, with inexpensive rents, you will have tourists and still be able to pay off the expenses, and you will continue to live," Haikos said.

Penny Manis contributed to this report.

@highlight

Traveler was curious to see whether economic crisis had reached the town

@highlight

Protests and distress are not visible in Kalamata, he says

@highlight

The city is rich with history and culture alongside its bright beaches and blue waters