(CNN) -- On New Year's Day, after months of suffering from debilitating headaches, I learned that I had brain cancer.

I was 29 years old. I'd been married for just over a year. My husband and I were trying for a family.

Our lives devolved into hospital stays, doctor consultations and medical research. Nine days after my initial diagnoses, I had a partial craniotomy and a partial resection of my temporal lobe. Both surgeries were an effort to stop the growth of my tumor.

In April, I learned that not only had my tumor come back, but it was more aggressive. Doctors gave me a prognosis of six months to live.

Because my tumor is so large, doctors prescribed full brain radiation. I read about the side effects: The hair on my scalp would have been singed off. My scalp would be left covered with first-degree burns. My quality of life, as I knew it, would be gone.

After months of research, my family and I reached a heartbreaking conclusion: There is no treatment that would save my life, and the recommended treatments would have destroyed the time I had left.

I considered passing away in hospice care at my San Francisco Bay-area home. But even with palliative medication, I could develop potentially morphine-resistant pain and suffer personality changes and verbal, cognitive and motor loss of virtually any kind.

Because the rest of my body is young and healthy, I am likely to physically hang on for a long time even though cancer is eating my mind. I probably would have suffered in hospice care for weeks or even months. And my family would have had to watch that.

I did not want this nightmare scenario for my family, so I started researching death with dignity. It is an end-of-life option for mentally competent, terminally ill patients with a prognosis of six months or less to live. It would enable me to use the medical practice of aid in dying: I could request and receive a prescription from a physician for medication that I could self-ingest to end my dying process if it becomes unbearable.

I quickly decided that death with dignity was the best option for me and my family.

We had to uproot from California to Oregon, because Oregon is one of only five states where death with dignity is authorized.

I met the criteria for death with dignity in Oregon, but establishing residency in the state to make use of the law required a monumental number of changes. I had to find new physicians, establish residency in Portland, search for a new home, obtain a new driver's license, change my voter registration and enlist people to take care of our animals, and my husband, Dan, had to take a leave of absence from his job. The vast majority of families do not have the flexibility, resources and time to make all these changes.

I've had the medication for weeks. I am not suicidal. If I were, I would have consumed that medication long ago. I do not want to die. But I am dying. And I want to die on my own terms.

Brittany Maynard, advocate for 'death with dignity,' dies

I would not tell anyone else that he or she should choose death with dignity. My question is: Who has the right to tell me that I don't deserve this choice? That I deserve to suffer for weeks or months in tremendous amounts of physical and emotional pain? Why should anyone have the right to make that choice for me?

Opinion: When assisted suicide is not the answer

Now that I've had the prescription filled and it's in my possession, I have experienced a tremendous sense of relief. And if I decide to change my mind about taking the medication, I will not take it.

Having this choice at the end of my life has become incredibly important. It has given me a sense of peace during a tumultuous time that otherwise would be dominated by fear, uncertainty and pain.

Now, I'm able to move forward in my remaining days or weeks I have on this beautiful Earth, to seek joy and love and to spend time traveling to outdoor wonders of nature with those I love. And I know that I have a safety net.

Dying young and on her own terms

I plan to celebrate my husband's birthday on October 26 with him and our family. Unless my condition improves dramatically, I will look to pass soon thereafter.

I hope for the sake of my fellow American citizens that I'll never meet that this option is available to you. If you ever find yourself walking a mile in my shoes, I hope that you would at least be given the same choice and that no one tries to take it from you.

When my suffering becomes too great, I can say to all those I love, "I love you; come be by my side, and come say goodbye as I pass into whatever's next." I will die upstairs in my bedroom with my husband, mother, stepfather and best friend by my side and pass peacefully. I can't imagine trying to rob anyone else of that choice.

Share your personal essays with CNN iReport

@highlight

Married for a year, Brittany Maynard, 29, found she had aggressive brain cancer

@highlight

She had six months to live, and she didn't want her family to watch her dying in pain

@highlight

Maynard and her family moved to Oregon to take advantage of the Death with Dignity law

@highlight

She says nobody has the right to take away the option from someone who is terminally ill