(CNN) -- Alan Morris talked very fast about the dangers of thyroid gland radiation poisoning as his business line rang incessantly in the background.

"Look, I really have to go," Morris said as he abruptly ended the telephone interview to fill another order.

Morris is president of Anbex Inc., one of only two FDA-approved U.S. manufacturers of potassium iodide, a medication that can block the thyroid glands of human beings and animals from absorbing excessive amounts of radiation from a nuclear accident.

Experts believe that many of the dangers posed by overexposure to nuclear fallout, including cancer, can be diminished by blocking thyroid absorption of radiation.

On Friday, a massive earthquake and tsunami triggered what is being called Japan's worst nuclear emergency since World War II. Since, Morris said his Williamsburg, Virginia-based company has received hundreds, if not thousands, of calls from potential buyers in Asia as well as repeat U.S. customers suddenly seeking to replenish their stockpiles of the drug.

So, too, has Fleming Pharmaceuticals in Missouri, which, according to the FDA, is the only U.S. manufacturer of the anti-radiation medication in liquid form. Anbex is the only company in the United States that manufactures the tablet form of potassium iodide, according to the FDA.

Fleming's owner, Debbie Fleming-Wurdak, said her is currently getting inundated by more calls than her 85 employees can handle. She and company President Phill Dritsas said they are looking to add temporary employees to help handle the flood of calls.

They also said they've added a second shift and are considering staying open around the clock until the current crisis is over.

Officials for both companies said the deluge of requests stemming from Japan's nuclear crisis comes as state and local governments, hospitals, schools and other institutions in the United States have expressed renewed interest in replenishing their supplies. That's partly because the threat of nuclear fallout in Japan appears to have heightened demand in this country, they said.

It is also because some of those stockpiled medications are close to expiring. That includes the 6 million doses of liquid potassium iodide provided to the U.S. government in 2006 by Fleming Pharmaceuticals. The expiration dates for those medications begin in April, Fleming-Wurdak said.

The U.S. Nuclear Regulatory Commission has said that although weather conditions in Japan have moved "small releases" of radiation from damaged reactors in the Fukushima prefecture out to sea, the United States was "not expected to experience any harmful levels of radioactivity" given the thousands of miles that separate the two countries.

The federal government, Fleming-Wurdak said, isn't currently planning to purchase more potassium iodide for national stockpile.

The Strategic National Stockpile is a repository of vaccines, antibiotics, antidotes and other drugs and supplies for use in natural disaster, pandemic or bioterrorism attack.

Fleming-Wurdak said she began alerting customers that their potassium iodide supplies were starting to expire two weeks ago. That prompted an uptick in orders, including one from New York state for "hundreds of thousands of bottles," she said.

"We don't have enough to meet the current demand," she said.

Fleming-Wurdak said eyedroppers for the medication are particularly in short supply.

Dritsas said the U.S. government should consider tapping into the Strategic National Stockpile for Japanese earthquake victims threatened by nuclear fallout from the Fukushima Daiichi plant.

"Help Japan now," Dritsas said. "In the meantime, we would be definitely working towards filling those quantities that are being ordered now."

Dritsas said he made that request Monday to U.S. Rep. Edward Markey, D-Massachusetts, senior member of the House Energy and Commerce Committee.

Markey has warned that Japan's nuclear accident highlights the vulnerabilities of reactors in the United States. On Monday, he called on the Obama administration to fully implement a provision in the Bioterrorism Preparedness and Response Act of 2002 to make potassium iodide available for anyone who lives within 20 miles of a nuclear power plant.

The federal government has never purchased enough to meet that standard. There is currently only enough of the medication available for populations living within 10 miles of nuclear reactors in the United States, according to U.S. officials.

That's not nearly enough, Morris said. He cited the April 1986 incident at the Chernobyl Nuclear Power Plant in Ukraine, considered the worst nuclear reactor accident ever. Death tolls resulting from the accident have varied widely according to various studies, with totals ranging from the thousands to more than a million.

Several studies have found that the accident led to a rise in thyroid cancer cases in children as far away as Poland.

"Even taking the most conservative numbers, it all says there is something wrong with this picture when we know there isn't more potassium iodide out there," Morris said as he talked on his personal telephone line.

In the background, the other phone was ringing.

@highlight

The Japanese nuclear crisis prompts calls to U.S. manufacturers

@highlight

Potassium iodide blocks thyroid gland's absorption of radiation

@highlight

U.S. supplies of the drug are nearing expiration dates

@highlight

The U.S. is "not expected to experience any harmful levels of radioactivity"