(CNN)It could be billed as the billionaires' derby.

A clash between Chelsea and Paris Saint-Germain on Tuesday signals the business end in this season's Europe's money-spinning Champions League competition has landed.

Chelsea, a comfortable leader in the English Premier League, faces off against Paris Saint-Germain, which is in contention for a third successive league crown in France.

Among its many intriguing plot lines is a battle between two of football's biggest egos: Chelsea's irascible, but eminently quotable, manager Jose Mourinho, and PSG striker Zlatan Ibrahimovic, a walking well of self confidence.

It also sees the London club's Russian owner Roman Abramovich put his expensively assembled side up against an equally star-studded Parisian outfit, which is owned by Qatar Sports Investments.

Throw in a chance for PSG to avenge its elimination from last year's competition at the quarterfinal stage, and David Luiz meeting the side that sold him to the Paris club for a reported fee of $76 million in May, and it has all the makings of a classic.

Who has the biggest ego out of Mourinho and Ibrahimovic?

How long have you got?

These two possess such magnetic personalities a simple televised conversation between them on CNN would probably attract an audience of millions.

Of course, Mourinho is the man who arrived for his first spell at Chelsea after having guided Porto to the Champions League title and promptly informed the British press that he was "a special one."

A litany of trophies has followed in his subsequent stints at Italian club Inter Milan -- a haul that included another Champions League title -- and Spanish giants Real Madrid, but also a long charge sheet of controversy.

As well as a series of spats with fellow managers, Mourinho famously poked then Barcelona assistant manager Tito Vilanova in the eye after a touchline melee -- this a few seasons after he charged onto the Camp Nou pitch to celebrate Inter's victory over Barca in a Champions League semifinal.

Ibrahimovic is as good a match as any for Mourinho's ego in the game of soccer.

Richly talented, and as enigmatic as they come, the Swede recently suggested a statue of him could replace the Eiffel Tower.

His recent autobiography 'I Am Zlatan' was utterly self-aggrandizing and all the more entertaining for it, filled with hubris along the same lines as his response when asked what gift he would get his girlfriend for her birthday. "Nothing," he replied. "She already has Zlatan."

He has played for a selection of the world's biggest clubs -- Juventus, Barcelona, Inter Milan, as well as AC Milan, and now PSG -- scoring spectacular goals wherever he has been.

The Portuguese managed Ibrahimovic for just one solitary season when they were at Inter together, the latter saying in his book: "Mourinho would become a guy I was basically willing to die for."

At the end of the 2008/09 season, Inter having won Serie A for the third straight season and Ibrahimovic finishing as the league's top scorer with 25 goals, the Swede left for Barcelona in search of a Champions League crown. But it was Mourinho and Inter who won it the following season.

Now the pair go head-to-head; Ibrahimovic is yet to win Europe's top club prize, Mourinho is gunning for his third.

How rich are the clubs' respective owners?

Mega-rich.

Abramovich made his money from the controversial privatization of the Russian oil fields and is currently worth an estimated $9 billion, according to Forbes.

After purchasing the club in 2003 Abramovich transformed them from also-ran into a major force with a series of lavish spending sprees on players, outlaying nearly $3bn in his first 10 years.

Notoriously reticent, the 48-year-old has never offered any public statement or fluff piece on the club's website to explain any of his decisions, one of which was to hand Mourinho a huge payoff at the end of his first stint at the club.

Though the Portuguese delivered a first English league title in over 50 years during his first season at the helm, it was the Champions League crown that Abramovich desperately craved.

After running through a series of high-profile managers since, Chelsea's first ever European Cup was actually delivered by a caretaker manager and former player -- Roberto Di Matteo, who took over after Andre Villas-Boas was sacked after just nine months at the helm.

Even after delivering the ultimate prize, Di Matteo himself lasted just three months the following season before he was dismissed by the Russian.

Recently, Abramovich has curtailed his extravagant spending to ensure Chelsea complies with Financial Fair Play (FFP), a directive from European football's governing body that insists all clubs must live within its means.

Chelsea have recouped around $215 million in recent seasons through player sales, a large chunk of which came through the sale of Luiz to PSG, and recorded a profit for the second successive year to the end of June 2014.

Abramovich hasn't put the brakes on his own spending though, his $1bn super yacht a reminder of his vast personal wealth.

There are many similarities between Abramovich and PSG's owners -- Qatar Sports Investments (QSI).

It has vast reserves -- an estimated $200 billion -- and also craves a Champions League crown.

It is being forced to curtail spending after being hit with a fine by UEFA for failing to meet the criteria set out by FFP.

After QIS purchased 70% of the club in June 2011, and became the sole shareholder the following year, PSG was transformed into one of the world's richest clubs overnight.

Like Abramovich, it invested heavily in the playing squad -- purchasing the likes of Javier Pastore and Ibrahimovic -- and was rewarded in 2013 with PSG's first league title for 19 years.

Despite defending its French crown last season, success on the European scene continues to elude it.

It has been knocked out at the last eight stage in the last two seasons, by Barcelona in 2012/13 and by Chelsea in 2013/14.

Coach Laurent Blanc is presiding over an injury crisis at present but the tie with Chelsea could be the deciding factor as to whether he continues in his job beyond the end of the season.

Who will be the key protagonists?

Leaving aside the wealth of attacking options on display, there is one man who is certain to attract plenty of attention -- David Luiz.

The Brazilian defender spent three years with Chelsea, and was part of the squad that won the Champions League in 2012, but turned down a new contract to join PSG for a fee of around $76 million.

His defensive prowess was the focus of much attention in the Premier League, one pundit saying Luiz operated on the field as if he was being controlled by "a 10-year-old on a PlayStation."

Prone to abandoning his defensive station and pouring forward when deployed at the back, Mourinho moved the 27-year-old into midfield for the majority of last season.

This two-legged tie could go either way for the Brazilian: either Luiz proves his former club made a mistake in letting him go with a barnstorming performance, or those trademark lapses in concentration will confirm the belief that Chelsea pulled off an outstanding piece of business.

Luiz will be tasked with shackling Diego Costa, Chelsea's new striker who has taken to the Premier League like a duck to water, scoring 17 goals already to help the Londoners carve out a seven-point lead over Manchester City.

Cesc Fabregas is the man who supplies most of Costa's goals after joining from Barcelona in June, while Mourinho has stiffened Chelsea's resolve in defense, veteran skipper John Terry key to its parsimonious nature.

As for PSG, after two years of outright dominance in France, it is stuttering this season.

Even before a crippling injury crisis recently took hold, it had been criticized for under performing and currently sits third in the table, behind Marseille and Lyon.

Sunday's draw with Caen was a case in point. Leading 2-0 at halftime it lost four players to injury and having run out of substitutes, its nine men couldn't prevent slumping to a 2-2 draw.

Ibrahimovic is still its talisman, and his striker partner Ezequiel Lavezzi will also be important in the absence of so many players.

It is hoped Blaise Matuidi will recover in time to feature against Chelsea, while Marco Veratti will have to take on extra responsibility given its depleted ranks.

What happened last time they met?

Quite simply, PSG should have won.

It secured a 3-1 lead in the first leg at the Parc des Princes after goals from Pastore and Lavezzi were added to a by a Luiz own goal.

Chelsea took the lead in the return leg through Andre Schurrle -- recently sold to German club Wolfsburg -- but were struggling to conjure any chances as the game entered its final moments.

But substitute Demba Ba popped up to bundle the ball home in the 87th minute to spark wild scenes of celebration at Stamford Bridge and send Mourinho sprinting down the touchline to pass on some tactical instructions in the aftermath.

Chelsea would fall at the next stage, beaten 3-1 on aggregate by Spanish champions Atletico Madrid, which succumbed to city rivals Real in the final.

This is Mourinho's fifth attempt at securing the Champions League crown for Chelsea, but will he succeed this year?

@highlight

Chelsea meets Paris Saint-Germain in the Champions League last 16 on Tuesday

@highlight

Battle of the egos between Chelsea boss Jose Mourinho and PSG striker Zlatan Ibrahimovic

@highlight

Chelsea are seven points clear in the English Premier League while PSG currently sit third in France

@highlight

Both have wealthy backers in Roman Abramovich (Chelsea) and Qatar Sports Investments