President Barack Obama is loading new missions on the U.S. military with fast-expanding mandates and no certain end dates as he grapples with the threats posed by ISIS and Ebola.

Evolving operations in the Middle East and west Africa are causing some supporters to ask whether the president, a notoriously reluctant warrior dedicated to ending foreign entanglements and getting troops home, has changed his mind.

By committing the U.S. military to two new crises, with no clear exit strategy, Obama risks the same perilous slide into "mission creep" that hounded some predecessors, who got sucked ever deeper into wars in Vietnam, Somalia and Iraq.

Already, there are mounting questions about whether the strategy is working. A former top U.S. counterterror official told CNN Tuesday that the "imminent threat" from one of the groups targeted in an initial wave of airstrikes in Syria hasn't abated.

When Obama announced America's new war in August, he said U.S. air strikes would only take place "if necessary" and only in Iraq to save civilians from massacres by the marauding Sunni radicals and to protect U.S. personnel.

Yet less than three months later, in the newly branded Operation "Inherent Resolve," U.S. warplanes have blasted ISIS fighters, vehicles and supply lines in Syria, as well as Iraq. There are more than 1,400 troops in Iraq and hundreds more aboard ships and in nearby countries carrying out airstrikes. U.S. attack helicopters have gone into battle against ISIS in Anbar province.

It is indisputable that the campaign has widened. US planes this weekend intensified air strikes on the besieged Syrian town of Kobani, and dropped arms and ammunition to Kurdish forces locked in a struggle for the strategic choke point near the Turkish border.

There is every sign the anti-ISIS operation will go on for years. And there is no clear idea of what success will look like, despite Obama's vow to destroy ISIS's "network of death."

As for Ebola, the Pentagon didn't have a role when the outbreak exploded in west Africa.

But soon Obama — warning the deadly epidemic could spark a national security crisis if left unchecked, announced plans to send 3,000 troops to build treatment centers and health care infrastructure. All this came with a caveat that no American soldiers would go near sick patients.

Soon, the Pentagon said the number of troops could go as high as 4,000. Then last week, Obama issued an executive order clearing the way for reservists to be called up to fight Ebola if necessary, amid increasing frustration in the White House that US allies have not stepped up.

PHOTO GALLERY: U.S., Arab nations attack ISIS in Syria

On Sunday, the mission expanded further when the Pentagon revealed it was standing up a rapid reaction squad to leap into action should more Ebola cases emerge on the U.S. mainland — opening the possibility that military officers would be exposed to infected patients for the first time.

Deepening U.S. involvement in Iraq and Syria seems to be the result of a reluctant conclusion by Obama that the burgeoning threat from ISIS requires a wider US response.

But on Ebola, the president is personally and actively demanding the military get more involved.

The concept of an emergency treatment team only emerged after Obama ordered more action from his administration in crisis meetings last week as political pressure spiked amid infections on U.S. soil, two senior administration officials told CNN.

The White House is walking a fine line. Obama faces skepticism from the Democratic left, which is skittish about new wars and warnings from Republicans that he isn't hawkish enough.

The administration insists there will be no "boots on the ground" in the ISIS conflict and notes an international coalition is helping to bear the burden. Although US involvement may be deepening, it pales in comparison to the 150,000 strong U.S. garrison in Iraq when Obama took office, officials say.

Top Pentagon officials privately say the new mission list exposes the folly of current budget cuts at a time when the military is also being asked to bolster Obama's pivot to Asia and strengthen NATO to counter Russia. Top defense officials often cry wolf but they say this time they're not playing politics, and warn that in future they may not be able to answer every time the president calls.

It is ironic that Obama is parrying questions on mission creep, after being hammered by critics for "leading from behind" on Libya and for setting timelines for troop withdrawals from Iraq and Afghanistan rather than making drawdowns conditional on battlefield gains.

But presidents find themselves sucked deeper into military operations for many reasons — including reverses in the field, temptations brought on by the unique capabilities of the US military or the realization that local allies are deficient. Sometimes, they just have their hands forced by rising political heat back home.

Some or all of these conditions may apply to both the Ebola and Iraq operations.

But in the ISIS campaign at least, it's clear those in Obama's inner circle have the dangers of Middle East mission creep on their minds. The message is clearly that Obama will use force if necessary — but not beyond certain points.

"We make no apologies for being deliberate about the use of force, particularly when it engages the United States in conflicts in a region like the Middle East," deputy national security advisor Ben Rhodes told CNN's "The Situation Room" on Monday. "The American people want a president who is going to think hard before making those decisions who .... makes sure he is drawing from the lessons of Iraq and Afghanistan."

Top officials pushed back hard against the idea that U.S. ground troops will inevitably be drawn into the fight, and comments by Gen. Martin Dempsey, Chairman of the Joint Chiefs of Staff, that US advisors could see combat advisors on the ground alongside Iraqi troops.

"That's not come up the chain to anybody at the White House. And I don't anticipate that it will," National Security Advisor Susan Rice said on NBC's "Meet the Press" on October 12.

CENTCOM commander Gen. Lloyd Austin rejected the idea that U.S. operations around Kobani represented a stretching of the military's orders, saying last week that he was simply exploiting a chance to hit ISIS forces massed in the town.

"I think that we really have to remain focused on the first task, and that is to help the Iraqis restore security and stability inside of the country of Iraq; restore their borders; regenerate forces to be able to help them do that," Austin said.

But there are concerns in Obama's political base that things are already going too far.

Anna Galland, executive director of progressive group MoveOn.org said that what started off as a humanitarian mission has morphed out of all recognition.

"Our members are very concerned by the prospect of a slippery slope in Iraq and Syria back into another open ended war," she said.

Rep. Barbara Lee (D-CA) told CNN that Americans were war weary and not ready for another widening conflict.

"We cannot allow the U.S. to be dragged into another endless war. Since the start of US military action in Iraq and Syria, I have been gravely concerned with mission creep," Lee said Tuesday.

But Lawrence Korb, a former assistant secretary of defense, said he believed the limited nature of the campaign would mitigate against public war fatigue.

"I think now we have recognized that no one is going to transform the Middle East," Korb said, comparing the ISIS operation to US anti-terror strikes in Yemen and Somalia. "We just deal with the immediate threats and keep them from getting out of hand."

@highlight

President Obama risks getting sucked into deeper and deeper conflicts

@highlight

ISIS campaign has widened in recent months

@highlight

After initially being left out of Ebola response, the Pentagon is playing a bigger role