London (CNN) -- Authorities in Britain arrested three people Thursday in two meat plants amid an investigation into the sale of horse meat as beef in Europe.

French prosecutors continue to investigate, the country's consumer affairs minister said.

The announcement comes as UK inspectors said that horse carcasses contaminated with an equine painkiller harmful to humans may have entered the food chain in France.

A number of meat plants that handled the horse meat as it made its way through the food chain are facing questions about what they knew and whether fraud was involved.

The arrests in Britain involved workers at Farmbox Meats near Aberystywth and Peter Boddy Slaughterhouse in Todmorden, West Yorkshire, the country's Food Standards Agency said. Inspectors toured the plants Tuesday and suspended their permits to operate on Wednesday, the agency said.

The three men were arrested under the Fraud Act and are being detained at a police station, where they will be questioned by police and FSA investigators, according to the agency.

It's the latest twist in a Europe-wide crisis over rogue horse meat in beef products. Over the past week, unauthorized horse meat has been discovered in a variety of products labeled as beef that were sold in supermarkets in countries including Britain, France, Sweden, Switzerland, Germany and Ireland.

French Consumer Affairs Minister Benoit Hamon said Thursday that the French firm Spanghero should have known that the meat it labeled as beef was actually horse.

Spanghero was the first company to label the meat as beef, the minister said, adding that 750 tons of horse meat were involved over a period of at least six months.

Spanghero should have identified the meat as horse from its Romanian customs code, as well as its appearance, smell and price, he said.

The matter has been passed to the Paris prosecutor to be investigated as fraud, Hamon said.

The offense is punishable by up to two years in prison and fines of up to 187,500 euros for the companies involved.

Hamon said there was no reason to doubt that the Romanian supplier of the horse meat was acting in good faith.

Before it reached Spanghero, the horse meat also passed through the hands of a Dutch company, Draap Trading, run by Jan Fasen. Fasen had previously been imprisoned for meat trafficking, Hamon said. CNN has not been able to reach Draap Trading for comment.

Hamon said another firm implicated in the scandal, Comigel, should also have noticed anomalies in labeling of the meat it received.

A Spanghero representative said the company acted in good faith.

"The company has never ordered horse meat and we never knowingly sold on horse meat," the representative said.

Fears over the rogue horse meat surfaced after it was discovered that eight out of 206 horse carcasses checked between January 30 and February 7 tested positive for the drug phenylbutazone, widely known as bute, the UK Food Standards Agency said.

EU health chief vows plan to restore confidence in wake of horse meat scandal

Of these, six went to France, raising concerns they may have entered the food chain there.

The agency is working with French authorities to try to trace the six carcasses, which were slaughtered at an abattoir in Somerset, England.

The two others that tested positive, at a different slaughterhouse, did not leave the premises and have been disposed of, the agency said.

What's behind the horse meat contamination scandal?

Bute is not allowed to enter the human food chain.

The drug is no longer approved for human use in the United States, the U.S. Food and Drug Administration website says, because "some patients treated with phenylbutazone have experienced severe toxic reactions."

The drug can cause various blood conditions and is a carcinogen, the FDA says.

But the UK's chief medical officer, Professor Dame Sally Davies, sought to reassure worried consumers.

It is "extremely unlikely" that anyone who has consumed affected horse meat will suffer harmful side effects, she said in a statement Thursday.

"Phenylbutazone... is a commonly used medicine in horses. It is also prescribed to some patients who are suffering from a severe form of arthritis," Davies added.

British authorities raid slaughterhouse over horse meat scandal

"At the levels of bute that have been found, a person would have to eat 500 to 600 burgers a day that are 100% horse meat to get close to consuming a human's daily dose. And it passes through the system fairly quickly, so it is unlikely to build up in our bodies," she explained.

German supermarket chain Real confirmed Wednesday that samples of a frozen beef lasagna had tested positive for horse meat. Fellow supermarket chains Rewe and Tengelmann said they are examining certain beef products as a precaution.

Ministers met for emergency talks in Brussels, Belgium, on Wednesday on how to tackle a crisis that has thrown the European meat industry into disarray.

Battle over blame after horse meat found in beef products

It was already reeling from a bombshell last month, when Irish investigators found horse and pig DNA in a number of hamburger products. The discovery of pig DNA in beef products is of particular concern to Jews and Muslims, whose dietary laws forbid the consumption of pork products. Jewish dietary laws also ban the eating of horse meat.

After Wednesday's talks, Irish Agriculture Minister Simon Coveney said the ministers had agreed to implement measures including random DNA testing of processed beef products across the European Union's 27 member states.

The United Kingdom is awaiting the outcome of "authenticity" tests on beef products ordered last week by the Food Standards Agency across the UK food industry. The results are due by Friday.

Investigations into what could be criminal fraud somewhere in the supply chain also are being led by Europol, the European Union's law enforcement agency.

UK Environment Secretary Owen Paterson, who met with Europol officials Thursday, said, "This is an incredibly important step. It's increasingly clear that this case reaches right across Europe.

"It's clear that Europol is the right organization to coordinate efforts to uncover all wrongdoing and bring criminals to justice, wherever there may be."

Meanwhile, steps have been taken to tighten up the legitimate slaughter of horses in the United Kingdom.

Beginning January 30, the Food Standards Agency ordered 100% testing of horse carcasses, and, as of this week, their meat will not be allowed to enter the food chain until the all-clear has been given.

Previously, a random sample was tested. In 2012, 6% of horse carcasses tested positive for bute, the agency said.

CNN's Antonia Mortensen, Susannah Palk and Erin McLaughlin contributed to this report.

@highlight

Three people are arrested in the British horse meat investigation

@highlight

French officials name the company that first mislabeled the meat

@highlight

The company, Spanghero, says it acted in good faith

@highlight

UK authorities are working with the French to try to trace six suspect horse carcasses