For the world's two largest economies -- and largest emitters of greenhouse gas -- to announce a sustained commitment to reducing carbon emissions by almost a third by the year 2030 is a watershed moment for climate politics on so many fronts.

Firstly, it raises the tempo worldwide regarding just how seriously we should be listening to the science and the Intergovernmental Panel on Climate Change (IPCC).

Secondly, it provides a new benchmark for international negotiations to break the lethargy we have seen at climate summits over the past decade.

The realization of real and effective multilateral action has lacked political will, insofar as the largest emitters have not shown the kind of initiative needed to inspire the rest of the world.

For this reason, this announcement may be a game changer for the Paris climate talks next year.

Already on the table for that meeting is the EU's commitment to cut emissions by 40% of 1990 levels, but with China and the U.S. weighing in, multilateral momentum will likely shift from incremental to dynamic.

Anyone skeptical that the Sino-U.S. announcement is without substance ought to consider that it is the culmination of nine months of secret talks, and has involved leadership right up to the countries' respective presidential offices.

The increased global spotlight on China's climate policies will change international despair on climate. It is true that China surpassed the U.S. as the world's largest emitter in 2007, but it is disingenuous to simply caricature China as a rogue state that is out of control with its energy consumption.

As the workshop of the world, China became a freight train of industrial growth before emissions reduction was on anyone's radar. Its emissions are not "domestic" in the way we usually measure carbon pollution, as it is developed nations which put the immense demands on China's energy sector.

To meet these demands, China is burning more fossil fuels than anyone else, but it has also made the greatest leaps forward with renewables.

China invests more annually in its renewable energy sector than the whole of the EU. It has now surpassed Germany with the largest domestic solar sector, and surpassed the U.S. in domestic wind power.

According to a Lowy Institute report, the Chinese leadership has been frustrated in the past with the slow political inertia of international negotiations, which makes this announcement all the more significant.

So all eyes will now be turning to the G20 summit on the weekend. With so many meetings of world leaders in quick succession, the opportunity for building momentum on global climate solutions has never been better.

But it remains to be seen whether this breakthrough announcement will have an impact on the G20 meeting, as host Australia has been trying to keep climate off the agenda for all year.

As an economic meeting, the G20 cannot afford to ignore the restructuring of energy markets and productive capacity that will be needed to accommodate these very ambitious cuts propose by China, the U.S. and EU.

Australia has become a pariah state on climate since the election of Prime Minister Tony Abbott's government last year. With statements from Abbott as recently as last month that "coal is good for humanity," Australia has been ridiculed in the international press as a regressive government that sees climate mitigation as incompatible with economic growth.

Australia has been identified as the only country on Earth to be winding back national climate legislation -- a Globe International assessment on the effectiveness of decarbonization policies of 66 countries placed Australia at the bottom of the list.

On hearing of the China-U.S. announcement, the Australian opposition leader Bill Shorten commented: "Now this gigantic news has been announced at APEC four days before the G20, the Australian government needs to join the rest of the world."

@highlight

U.S., China announce historic climate deal to cut carbon emissions

@highlight

Deal is a "watershed moment for climate politics" writes David Holmes

@highlight

Breakthrough could put climate back on the G20 agenda this weekend

@highlight

Australian government has been ridiculed for its regressive climate policies