(CNN) -- Superstorm Sandy sent residents along the East Coast running for cover this week. For those households that count animals among their family members, the storm brought an extra worry: What do I do with my pet?

The Swobodzien family of Wall Township, New Jersey, was faced with that potentially life-altering question as the storm approached.

The Swobodziens' 5-year-old cockapoo, Penny, is black with a white chest and, at only 12 pounds, the runt of her litter. "She is also my fourth daughter," said Arletta Swobodzien. The family's neighborhood was one of the first in the area to evacuate before Sandy hit, so they searched for options to keep Penny with them while they cleared out.

"We went to the first shelter and I told them, 'We have a dog at home, can she come here?' They said no. Make sure she has food and water, leave her," said Arletta. "When they said leave her, I just couldn't help it, I cried."

Include pets in your emergency plan

Gulf Coast residents faced the same dilemma seven years ago. Hurricane Katrina left countless family pets dead, stranded or homeless. When faced with the decision to leave their animals behind, some people decided to stay, and some may have perished because of that choice, said Tim Rickey of the American Society for the Prevention of Cruelty to Animals.

"People would never evacuate a home and leave behind their children or their spouse," said Rickey, senior director of field investigations and response at the ASPCA. "Pets are family members. Society continues to evolve, and local governments know now that if they don't consider the animals, they may be putting residents in danger."

Lessons learned on the Gulf brought about the 2006 Pets Evacuation and Transportation Standards Act. The PETS Act made it mandatory for local and state governments to include plans for pets in their emergency procedures and opened the gates for FEMA funds to be put toward the welfare of animals in disaster zones.

"After Katrina and with the PETS Act, we have tremendous support now from the USDA, FEMA and the federal government that just did not exist in 2005," said Rickey.

Niki Dawson of the Humane Society of the United States said local governments have been encouraging people to take pets with them when they evacuate, which helps prevent some of the dangers pets faced during Katrina.

Both animal welfare agencies applauded New York City for mandating that all city shelters and transit allow pets entrance leading up to and during the superstorm. "It is a model that we hope the rest of the nation follows in the future," said Rickey.

The PETS Act gives first responders and pet owners more to work with, but ultimately local governments must decide what provisions to put in place. That could mean anything from relying on local animal shelters to investing in mobile pet rescue units.

Katrina, Joplin survivors offer advice to Sandy victims

"Most animal shelters run at 100% capacity even when it is not a disaster situation, which means they couldn't possibly take in private pets. But under the PETS Act, that state will have fulfilled their obligation," said Dawson.

The second line of defense comes in the form of volunteer networks and non-government groups. The ASPCA, in partnership with Petsmart Charities, has set up a distribution center in Syracuse, New York, and contributed more than 4,000 supplies to local rescue groups, primarily in New York, Pennsylvania and Virginia. In New York City and on Long Island alone, the ASPCA now has more than 400 owned animals sheltered in 40 evacuation centers.

In addition to shelter assistance, helping animals means getting out in the field. The ASPCA has two transport trailers and three water rescue teams on standby. The Humane Society has responders in New Jersey, New York, North Carolina and Delaware. They are joined by hundreds of other organizations and many dedicated volunteers.

When animal rescue groups can't get out in the field, they increasingly turn to social media. In Connecticut, New York, Pennsylvania, Maryland and Virginia, storm refugees could find pet-friendly shelters by following the Humane Society on its media platforms. Twitter has allowed for quick communication.

When the Humane Society found out via Twitter that a Connecticut town instructed residents to leave pets behind during a mandatory evacuation, the society sprung into action and persuaded local officials to open up an animal shelter to owned pets and change the evacuation notice.

"That community and those officials should be commended for turning on a dime to accommodate the needs of their community," said Dawson.

Local response to the PETS Act may vary, but there are universal guidelines that all pet owners should follow during a storm, said Rickey: "Keep your pets on a leash and close to you. There may be contaminated water and spoiled food. It is critical that pet owners should have a backup number outside of your region available. Make sure you have a crate and leash, so you can always move quickly."

Back in Wall Township, Arletta Swobodzien eventually found a shelter for her whole family, including Penny. As the clouds gathered overhead, a volunteer piled the family into his car to retrieve their dog, just before the worst of the storm hit.

"I don't know what we would have done," Swobodzien said. "When the girls got to see her, it was amazing."

How to help

Have you been affected by Sandy? Share your experiences in the comments section below. Like CNN Living on Facebook

@highlight

If your pet is lost in a disaster, the first point of contact should be your local shelter

@highlight

Report stranded pets in New York to the ASPCA's 24-hour hotline at 347-573-1561

@highlight

Ensure that your pet wears a form of identification in case it is lost in an emergency

@highlight

When returning home, secure your home from dangers before releasing pets