This weekend, Curiosity successfully landed on Mars. Now the one-ton roving robotic laboratory, part of NASA's four-ton Mars Science Laboratory spacecraft, gets down to business. Its task? Determining whether Mars ever did or could support life.

That's the big question. To quote Humphrey Bogart's Rick in "Casablanca": "Of all the gin joints in all the towns in all the world," why should life occur only on planet Earth?

Living organisms are found in the most improbable places -- in the dark, sulfurous depths of the oceans and in the driest deserts.

News: Curiosity rover lands on Mars

All it takes is some water, carbon, a few other elements and energy.

In fact, the organic chemicals needed for life seem to occur naturally everywhere, even in chilly, dry interstellar space. On Earth, the first living cells followed, then multi-cell organisms, and eventually humans.

So, are we alone, or not? It seems likely that life has arisen on other planets, in our solar system or near other stars or in other galaxies. It's natural to wonder what's out there. Probably, Neanderthals sat around their campfires speculating whether others roamed the land.

Exploring our solar system and looking for signs of life is the lifeblood of NASA.

More than a century ago, Edgar Rice Burroughs wrote about "little green men" on Mars and astronomers reported seeing irrigation canals through telescopes. Nowadays, we know better -- Mars certainly does not harbor walking, talking aliens, nor does any other planet or moon in our solar system, notwithstanding fictional depictions like the famous Georges Méliès movie "A Trip to the Moon."

But Mars might harbor simpler forms of life, or might have done so in the past.

And it's an entirely new environment. Most of what we know about "habitability" -- the ability of an environment to host and support life -- has been studied under the very different conditions on Earth. For example, scientists investigate the hyper-dry environments found in Antarctica (but there is still a lot of water, compared with Mars) or Death Valley (dry enough, but much hotter than Mars).

Curiosity will explore the completely different conditions on Mars.

On Sunday, the Mars Science Laboratory executed a series of maneuvers designed to slow its approach to the Mars surface. At the start, it was moving at 13,200 miles per hour, and needed to be slowed down, to keep it from ending up a smashed pile of rubble.

To do this the laboratory used the thin atmosphere, which slowed it down, albeit not as effectively as the Earth's more substantial atmosphere slows re-entering spacecraft. Then it released a parachute and fired some rockets to decelerate more before gently lowering the Curiosity rover on cables until it reached the surface. Scientists monitoring the landing at the Jet Propulsion Laboratory, including the President's Science Advisor, John Holdren, were elated. The crowd watching the NASA feed in Times Square cheered and began chanting, "Science! Science!"

The Curiosity rover is roughly the size of a Mini Cooper. It cost a lot more and has better fuel economy, having coasted 352 million miles since launch, in 8.5 months. Scientists back on Earth used the long voyage to calibrate instruments and practice operating them.

The mission has three goals: to assess the habitability of Mars, past and present; to study its geology and geochemistry; and to investigate planetary processes relevant to habitability, including the role of water. It is also useful preparation for future missions to Mars, perhaps including astronauts.

Curiosity is not unlike a human: It has "eyes" (cameras) with which to see and analyze the landscape. There are eight "hazcams" front and back, to take stereo black-and-white pictures for depth perception, and four navigation cameras ("navcams") at the top of an extendable mast.

Besides the high mast, it has an "arm" that can go even higher and carries another camera. It has "feet" -- wheels, actually -- capable of rolling over obstacles up to 2½ feet high.

Curiosity has "ears" to hear commands relayed from NASA's Deep Space Network via the Odyssey and Mars Reconnaissance spacecraft orbiting Mars.

Curiosity has many "mouths" to taste test rocks or dust it vacuums up -- really, to analyze them chemically. In fact, just like science labs on Earth, it has a number of complex instruments capable of testing the properties of solids, liquids and gases.

Since cosmic radiation alters surface composition, Curiosity can drill into rock to extract pristine material from below. This is especially important for finding organic molecules that might be destroyed on the surface.

Curiosity may be a robot, but it acts like a scientist: always skeptical, running experimental controls, double and triple checking every result. Unlike humans, thankfully, the robot won't be (easily) killed by radiation or toxic substances.

How do we know what signs of life to look for?

One example: By studying rocks on Earth, geologists know how different kinds of rocks formed and changed over time. In particular, biological materials alter igneous rocks in well-understood ways. Were we to see the same kinds of weathered rock on Mars, it's a good guess that life was once present on the Mars surface.

Other instruments will test for atomic elements, organic materials, radiation and water. Over the next Martian year (687 Earth days), Curiosity will try to satisfy our curiosity about the world around us.

Space is today's frontier. Renowned historian Frederick Jackson Turner posited that the American character was shaped by the frontier experience.

With NASA's Mars Science Laboratory, we're all Lewises and Clarks. Let the exploration and learning begin.

Follow @CNNOpinion on Twitter

@highlight

Meg Urry says this weekend, Curiosity, NASA's roving robotic laboratory, landed on Mars

@highlight

Curiosity will try to tell whether there's been life on Mars, where conditions different from Earth

@highlight

She says Curiosity made tricky Mars landing, now will take pictures, collect  information

@highlight

Urry: Rocks on Mars can give up clues about whether any life has existed there