(CNN) -- Three major U.S. airlines on Saturday confirmed that pilots were complying with Chinese government demands that it be notified of plans to traverse the newly declared air defense zone over the East China Sea.

The demands from Beijing have resulted in tensions with Japan and the United States.

On Saturday, United, American and Delta airlines told CNN that its pilots were following Washington's advice and complying with Beijing's "air defense identification zone."

A senior official in U.S. President Barack Obama's administration said Friday that commercial airlines are being told to abide by Beijing's instruction, even if the U.S. government doesn't recognize it.

"We ... are advising for safety reasons that they comply with notices to airmen, which FAA always advises," the official said.

Japan resists Chinese demand

Two major Japanese airlines have refused to comply with China's declaration.

The Japanese government said Saturday it has asked the International Civil Aviation Organization to address China's designation of the new defense zone, the Kyodo News Agency reported.

The Japanese Foreign Ministry said the government's proposal at an ICAO meeting Friday in Canada called the Chinese zone a threat to aviation safety, Kyodo reported.

Kyodo said Australia, Britain and the United States supported the proposal, with China opposed.

Fears of unintended consequences

The latest U.S. advice to comply with the defense zone requirements reflects fears that the back-and-forth between the two sides could have unintended consequences involving not just opposing troops, but innocent civilians as well.

It's a subtle change from two days earlier, when the State Department said "the U.S. government generally expects that U.S. carriers operating internationally" comply with other countries' mandates, rather than directing them to.

OPINION: China's balance between sovereignty and stability

Last Saturday, China announced the creation of the zone over several islands it and Japan have both claimed. The two countries have been sharply at odds over those isles, which are believed to be near large reserves of natural resources.

Tokyo rejected the new zone, as well as Beijing's insistence that aircraft entering it identify themselves and file flight plans. They were joined by South Korea and Washington, with Secretary of State John Kerry saying the move would "only increase tensions in the region and create risks of an incident."

Since then, there's been no backing down.

On Friday morning, for instance, China scrambled fighter jets after U.S. and Japanese military aircraft entered its disputed air defense zone, according to a Chinese military official.

U.S. military flights 'not changing'

Col. Shen Jinke, a Chinese air force spokesman, said in Beijing that the two U.S. and 10 Japanese aircraft were targets of monitoring in the zone. He said the Chinese air force and navy were identifying and monitoring all foreign warplanes in the zone.

A U.S. military official told CNN that at least one U.S. unarmed military aircraft and several Japanese military aircraft flew through the zone Friday without incident. The official said the U.S. flight was part of scheduled routine operations.

"This is status quo," the official said. "We are not changing what we are doing. We are not trying to make a point with China. We fly U.S. aircraft daily in international airspace in the region. This is normal."

The official said the aircraft were not B-52s, though the United States did fly two of those type of planes through the zone Monday as part of what the Pentagon described as a preplanned military exercise.

South Korea said its military sent a plane on a routine patrol flight into the zone on Tuesday without alerting China. A South Korean Defense Ministry official said such flights are carried out twice a week and would continue despite China's declaration.

Can China keep up the monitoring?

U.S. officials said they did not know how China would be able to monitor the flight zone, given its lack of midair refueling capability and limitations of its early warning radar aircraft.

"It is indeed the right of every country to defend its airspace, and also to make sure that its territorial integrity, its sovereignty, are safeguarded," Liu Jieyi, China's ambassador to the United Nations, told reporters Tuesday. "This is a normal arrangement."

Why China's new air defense zone has incensed neighbors

On Wednesday, U.S. Ambassador to Japan Caroline Kennedy offered a different view: "Unilateral actions like those taken by China, with their announcement of an East China Sea air defense identification zone, undermine security and constitute an attempt to change the status quo in the East China Sea," she told reporters in Tokyo. "This only serves to increase tensions in the region."

Japan and China have a lot at stake in maintaining their delicate relationship: Last year, trade between the two countries totaled more than $333 billion, according to the Japan External Trade Organization.

CNN's Ray Sanchez, David Simpson and Kevin Wang contributed to this report.

@highlight

Administration had advised airlines to comply with Beijing demand

@highlight

Japan resists Chinese defense zone, asks international aviation agency for help

@highlight

Chinese zone extends over islands also claimed by Japan

@highlight

Military flights continue without incident