(CNN) -- Rafi Kopelan is a typical 5-year-old. She's mastered Candyland. She's learning to read. Given a choice, she'd spend hours on the swings at the playground.

But unlike her classmates, Rafi's body is covered in blisters from her scalp to her feet. Her corneas are scratched. Her toes are fused together. And her esophagus is lined with so much scar tissue that she can barely swallow.

That's because Rafi was born with a rare connective tissue disorder called epidermolysis bullosa (EB). The genetic disease causes her skin to break down in response to the slightest friction. Even minor contact -- the scratch of a fingernail, the tag on the back of her shirt -- causes her skin to tear or to erupt in blisters, leaving 75% of her body covered in painful, open lesions.

Likewise, EB ravages her organs, damaging her heart, eyes, teeth and esophagus. Virtually no part of her tiny body is left untouched.

"It's literally the worst disease you've never heard of," said her father, Brett Kopelan.

An estimated 15,000 children in the United States suffer from EB, according to the Dystrophic Epidermolysis Bullosa Research Association of America. The disease, which occurs when the body lacks the ability to produce a specific type of collagen, is so rare that few treatments exist.

Eventually, EB proves fatal, either through organ failure, secondary skin cancer or infection. Worst of all, there is no cure.

But in New York City, where Rafi lives, a group of neighborhood mothers is hoping to change that, and in doing so, they are helping to change the way rare disease research is funded in the United States.

Group leaders Jill Arnold Pallad and Jamie Granet Bederman met the Kopelans when their children were enrolled at the Montclare Children's School in Manhattan. Moved by Rafi's struggle, they felt an urgency to act.

"I became consumed by it," said Bederman, "Here was this family in my neighborhood, who was so like my own, except that their little girl had an awful disease no one had heard of."

Armed with nothing more than their personal e-mail accounts and their networks on Facebook, they launched Rafi's Run, an annual 5K that raises money for EB research.

Last year, they raised $200,000 that went to Dr. Jakub Tolar, director of the Stem Cell Institute at the University Of Minnesota in Minneapolis, who conducts early-stage research on EB treatments.

Bederman and Pallad were confident they could reach out online to find runners -- and donors -- who would participate.

"We had no media plan or press plan, and no big corporate fund," said Bederman. "We all just networked through our friends and family."

Sickle cell patient refuses to let disease define her

"Social media was huge in reaching people both inside and outside our community," recalled Pallad. "We all started fundraising pages, and it was amazing watching people come out of the woodwork."

While private foundations often funnel money into disease research, the ability of a community of people to come together so quickly and deliver funding directly to an early stage researcher is a newer phenomenon.

Thirty years ago, the Orphan Drug Act provided financial incentives to pharmaceutical companies to develop treatments for rare diseases -- diseases that afflict fewer than 200,000 people. According to the National Organization of Rare Disorders, there are nearly 7,000 such diseases in the United States, affecting a total of 30 million people. Today, nearly 1 in 10 Americans are currently battling a rare disease.

But while the Orphan Drug Act increased the amount of research into rare diseases, the field is still vastly underfunded. So, increasingly, individual patients and their private social networks of friends, co-workers and other casual affiliates are playing a vital role -- not just in raising awareness about a disease but in directing money into R&D for new therapies.

Tolar applauds this type of fundraising. As a pediatric oncologist and stem cell transplant specialist, his area of focus was initially cancer research, but he saw a challenge -- and an unmet need -- in rare diseases like EB.

A rare disease in the smallest of patients

The transferability of his gene therapies from treating cancer to treating EB is an object lesson in itself, as a breakthrough in one disease often leads to new treatments in another.

"It is a misconception that rare disease research only helps a small number of patients," said Tolar. "Finding a treatment for a rare condition often informs treatment for a more common disease."

Still, Tolar admits that his greatest allies in finding support for his research are his patients and their families.

"To fund great leaps in research, there needs to be an urge to succeed," said Tolar. "We get this from parents, and patient communities. They are working every minute to find a cure."

Under his care in 2010, Rafi was the eighth child in the world to undergo a stem cell transplant for treatment of EB. While it hasn't cured her symptoms, the treatment was a success at the cellular level, as her bone marrow now produces the collagen that she had been unable to make on her own.

Since then, Tolar has transplanted a total of 24 children with EB, and continues to conduct research in gene therapy for EB and other rare diseases.

He describes the money from Rafi's Run as vitally important to his work.

"The fact is, we need more brainpower to develop new therapies," said Tolar. "The more people who wake up in the morning and spend their entire day dedicated to studying EB, the faster we can move the research forward."

Living with a rare disease, making a difference

Next month, the second annual Rafi's Run will take place in New York. Bederman and Pallad are hoping to match last year's total and look forward to once again putting the money in the hands of an early-stage researcher.

In the meantime, the Kopelans continue treating Rafi's disease. To fight the high risk of infection that comes from having so many open wounds, Rafi endures a daily bath in a solution of diluted bleach, followed by an application of specialized bandages. From start to finish, it takes two hours, and the pain it causes Rafi is excruciating.

"It's physically and emotionally exhausting," said Jackie Kopelan, Rafi's mother. "I wish we had more hugs and kisses than baths and bandages."

@highlight

5-year-old Rafi Kopelan suffers from a rare connective tissue disorder

@highlight

A group of moms banded together and used social media to create Rafi's Run

@highlight

Last year the run raised more than $200,000 for medical research