Obamacare is expected to increase patient demand for medical services. Combine that with a worsening shortage of doctors, and next year you may have to wait a little longer to get a doctor's appointment. And the crowded emergency room may become even more so.

There are approximately 48 million uninsured people in the United States. When the mandatory insurance rules of Obamacare kick in next year, and a couple dozen states expand who is eligible for Medicaid, you can bet more people are going to want to use their health benefits.

In fact, so many people were anxious to get access to health insurance -- many for the first time -- when the insurance marketplaces opened Tuesday, more than a dozen of the websites experienced technical glitches.

Obamacare open enrollment: Everything you need to know

Dr. Ryan A. Stanton is worried that this coming flood of newly insured patients may crash the U.S. health care system as well. Stanton works at the emergency room at the busy Georgetown Community Hospital right outside of Lexington, Kentucky.

While he sees trauma cases often, a good number of the patients he sees don't involve trauma. They're the uninsured who can't afford to pay for a regular doctor's visit -- so they use the emergency room instead.

"People turn to the ER because they have no other place to go after hours or they don't have access to a level of appropriate primary care," Stanton said. "The ER has become the safety net of our health care system.  We can't turn anyone away like a doctor's office could. ... I worry though with (Obamacare) this will significantly increase patient volume."

There is already a national shortage of doctors, according to the Association of American Medical Colleges. We're down about 20,000 now, and the number is expected to get worse as nearly half the nation's physicians are over age 50 -- meaning many are at or near retirement age. And it's not just doctors who are in short supply; we also need more nurses, according to the American Medical Association.

"Keep in mind the Affordable Care Act didn't create this crisis," said Dr. Reid Blackwelder, president of the American Academy of Family Physicians.  "We've got an aging population that needs more care and a growing population."

Government shutdown forces clinical trial patients to wait

A study in the Annals of Family Medicine journal projected the country will need 52,000 more primary care physicians by 2025. Most of those extra doctors are needed because of projected population growth. But the problem also begins in training; only one in five graduating medical residents plan to go into primary care, according to the Journal of the American Medical Association.

Stanton said he might have been interested in primary care rather than emergency care, but the lower pay kept him away. Doctors on average graduate with hundreds of thousands of dollars of debt. Specialists make more money.

"Primary care is the backbone of our medical system, but most people I know in medical school can't afford to go that route," Stanton said.

If the popularity of the insurance marketplaces on the first day they opened is any sign, there will be a lot more people in Kentucky fighting to get a doctor's attention. Problems plagued the Kentucky exchange site until midafternoon, but still more than 1,200 people had purchased policies or enrolled in Medicaid by the end of the day, according to a spokeswoman for the Cabinet for Health and Family Services.

"I think of (Obamacare) as giving everyone an ATM card in a town where there are no ATM machines," Stanton said. "The coming storm of patients means when they can't get in to see a primary care physician, even more people will end up with me in the emergency room."

What happened in Massachusetts in 2006 when the state's mandated health insurance rules went into effect illustrates the impending national problem.

When the Massachusetts law kicked in, wait times to get an appointment at primary care physicians' offices increased significantly, and they've remained high ever since, according to an annual survey from the Massachusetts Medical Society. And Massachusetts has the second highest physician-to-population ratio of any state.

When patients couldn't get doctor's appointments they once again turned to emergency rooms. A Harvard study found all 11 of the emergency rooms that researchers studied in Massachusetts became busier after the law went into effect.

The Affordable Care Act does try to address some of the problems. There's an additional $1.5 billion in funding allotted for the National Health Services Corps, which provides support to health care professionals in exchange for their service in areas with a shortage (physician numbers are particularly stretched thin in rural areas).

The law also puts more money toward training in hopes of increasing the primary care workforce. It offers more graduate positions for primary care doctors and more scholarships. It even offers a 10% bonus to primary care doctors who agree to see Medicare patients through 2015. The law's emphasis on coverage for preventive care may also mean fewer people will need to visit doctors for more serious issues down the road.

Blackwelder is optimistic that this problem will be the prompt the system needs to address these long-standing issues with our medical system. He admits, though, that he's a "glass-half-full kind of guy."

He suggests existing technology could help. Not all patients actually need to see him personally; if there is a way to set up an online system so patients could access records, e-mail simple questions or request prescription refills, that would cut down on the amount of time they'd have to spend in his office.

Blackwelder also thinks a team approach would be more productive in health care practices -- something many hospitals are already trying to adopt.

"In Kingsport, Tennessee, where I work, I'm happy to see patients, but we also have a health department or retail clinics that people could go to for their flu shots or other treatments," Blackwelder said. "And if we maintained good communication with those other providers we could also avoid duplication of services and increase our overall effectiveness."

Qualified nurse practitioners might also be able to lighten some of the primary care physicians' load, as would physician assistants if such practices are allowed. But in some states that are already desperate for doctors, such as Mississippi, nurse practitioners must legally practice under the guidance of a physician.

Why your waiter has an MD

Other solutions could include opening more residency slots for doctors. Blackwelder said he'd also love to see universities discount tuition for students who studied primary care.

"I'd love for them to say to a student, 'I hear you are interested in primary care,' and present them with a bill with only zeros on it," he said. "And then say to people who were going into a specialty, 'Here's your tuition bill,' with a number in front of all those zeros."

People were worried the health care system would be overwhelmed when Medicare and Medicaid started in the 1960s too, Kentucky Gov. Steve Beshear told CNN chief medical correspondent Dr. Sanjay Gupta, but the system adapted.

"I understand there is a sense of worry, and change can be scary, but our present system is broken," Blackwelder said.  "We pay twice as much for our health in this country and have worse outcomes than other countries.

"We will have to start coming up with creative solutions to this problem -- ones that won't have to wait for an act from Congress."

@highlight

Approximately 48 million people are currently uninsured in the United States

@highlight

There is a physician shortage, and experts say more primary care doctors are needed

@highlight

When Massachusetts mandated health insurance for residents, wait times increased

@highlight

Technology, team care may help in handling the influx of patients, doctor says