(CNN) -- The 850-square-kilometer swath of the Indian Ocean where officials have focused their hunt for missing Malaysia Airlines Flight 370 probably isn't the right place, the joint search agency said Thursday.

The area off the coast of western Australia is not the "final resting place of MH370," the Australia-based Joint Agency Coordination Centre said.

Officials zeroed in on that zone after acoustic pings originally thought to be from the black boxes of the missing plane were detected in early April.

"The Australian Transport Safety Bureau (ATSB) has advised that the search in the vicinity of the acoustic detections can now be considered complete and in its professional judgment, the area can now be discounted as the final resting place of MH370," a statement from the Joint Agency Coordination Centre said.

But Australian Deputy Prime Minister Warren Truss defended the country's efforts in the southern Indian Ocean.

"We are still very confident that the resting place of the aircraft is in the southern ocean and along the seventh ping line," he told Parliament on Thursday.

"We concentrated the search in this area because the pings and the information we received was the best information we had available at the time. And that is all you can do in circumstances like this ... follow the very best leads."

Unlikely to be from Flight 370

Hours earlier, a U.S. Navy official told CNN that the pings at the center of the search for the past seven weeks are no longer believed to have come from the plane's black boxes.

The acknowledgment came Wednesday as searchers wrapped up the first phase of their effort in the southern Indian Ocean floor without finding any wreckage from the Boeing 777.

Authorities now almost universally believe that the pings did not come from the onboard data or cockpit voice recorders but instead from some other manmade source unrelated to the jetliner that disappeared March 8, according to Michael Dean, the Navy's deputy director of ocean engineering.

If the pings had come from the recorders, searchers would have found them, he said.

When asked whether other countries involved in the search had reached the same conclusions, Dean said, "yes."

Underwater search for MH370 postponed for at least 2 months

"Our best theory at this point is that (the pings were) likely some sound produced by the ship ... or within the electronics of the Towed Pinger Locator," Dean said.

The pinger locator was used by searchers to listen for underwater signals.

Signals still being studied

"Always your fear any time you put electronic equipment in the water is that if any water gets in and grounds or shorts something out, that you could start producing sound," Dean explained.

He said it is not possible to absolutely exclude that the pings came from the black boxes, but there is no evidence now to suggest they did.

However, U.S. Navy spokesman Chris Johnson called Dean's statement "speculative and premature."

"I am not saying that what Michael Dean said was inaccurate," Johnson said, "but what we are saying is that it is not his place to say it."

The Navy is continuing "to work with our partners to more thoroughly understand the data acquired by the Towed Pinger Locater," he said.

"As such, we would defer to the Australians, as the lead in the search effort, to make additional information known at the appropriate time," he said.

Australian Transport Safety Bureau Chief Commissioner Martin Dolan, whose agency judged that the plane isn't in the area where the pings were detected, said the signals were still being analyzed.

"We are a cautious and evidence-based organization, and at this stage, we do not understand the signals sufficiently to understand their cause," he said, declining to comment specifically on Dean's statement.

Here's what we do and don't know about new MH370 data

Disbelieving families

Sarah Bajc, whose partner Philip Wood was on the plane, dismissed the back-and-forth over the release of the latest information a public relations management.

As far as she and some of the other families are concerned, they have not received the truth from officials since the get-go.

"The sequence of events is just a blatant coverup as far as I'm concerned," she told CNN.

Bajc is among the family members calling for an independent investigation. Private investigators have been hired by relatives of those on the plane, but Malaysian and Australian officials have not been interested, she said.

"But they don't listen, and they don't respond," she said.

Key role in search

The pings have played a key role in shaping the search for the plane, which disappeared on a flight from Kuala Lumpur to Beijing with 239 people aboard.

Search officials expressed "cautious optimism" in the pings when they were discovered April 5 and 8.

Angus Houston, the man leading the hunt for the missing plane, said as recently as this month that the pulse signals remained "the most promising lead" in the search.

The optimism stemmed from the fact the pings were detected near an arc where an Inmarsat satellite had last communicated with the plane.

And it was bolstered by the pinger's steady one-ping-a-second cadence, matching that of equipment known to be on the plane.

But caution stemmed from the ping's 33.3 kHz frequency, slightly lower than 37.5 kHz design frequency. There were also concerns because the four ping detection sites were miles apart.

But experts said crash damage or deep ocean pressures could alter the pinger frequency. They said the plane's two black boxes could have been separated during an explosion or crash. And they noted that sounds can travel far, and even echo, in underwater environments.

Dean said Wednesday that officials were also concerned because, after twice detecting pings April 5, searchers had difficulty reacquiring the pings the next day.

One incident -- the loss of the pinger signal April 8 -- had the peculiar impact of both lowering and raising expectations. The signal loss made it harder to zero in on the black boxes. But it also boosted confidence that they had found the pingers, since the batteries were expected to die about that time.

Truss, the Australian deputy prime minister, said the next stage of the search will begin in August and is expected to take up to 12 months.

"Hopefully, there will be a breakthrough earlier, and so it won't take that amount of time," he said.

"But unfortunately, this is a painstaking effort in a very large ocean."

What happens next?

CNN's David Molko, Neda Farshbaf and Holly Yan contributed to this report.

@highlight

Australia's deputy PM defends searching the southern Indian Ocean

@highlight

The joint search agency says the original search area is not plane's final resting place

@highlight

U.S. Navy official: The pings detected are no longer believed to have come from the plane

@highlight

The pings had been at the center of the search since they were picked up weeks ago