(CNN) -- A former foreign minister claimed to be in control of an interim government in Kyrgyzstan early Thursday after a wave of protests that left at least 40 dead and appeared to have driven President Kurmanbek Bakiev from office.

"We must restore a lot of things that have been wrongly ruled," said Roza Otunbayeva, who called herself the country's interim leader.

No independent confirmation of the claim was immediately available. The U.S. State Department said earlier that it believed Bakiev remained in power, but Otunbayeva said he had fled Bishkek, the capital, and his government had resigned after a day of clashes between anti-government protesters and police.

Are you there? Share your story, photos and video

A senior State Department official told CNN late Wednesday that the situation in Kyrgyzstan remains "very fluid and fast moving," and declined to comment on reports that the government had collapsed or that the president had left the country.

The official, who insisted on anonymity because of the quickly changing situation, said the United States had been in contact with both members of the government and the opposition. The United States is encouraging all sides to work toward resolution according to the rule of law, the official said.

Otunbayeva's announcement came after hours of clashes between anti-government demonstrators and police, who responded with water cannon, tear gas and eventually with live ammunition. Kyrgyzstan's Health Ministry told CNN that 40 people had been killed and 400 wounded in the clashes, and that the toll was expected to rise.

The former Soviet republic is home to an air base that forms an important link in the supply line for U.S. and NATO forces in nearby Afghanistan. In Washington, a senior Pentagon official said that the turmoil has interrupted flights into and out of that facility, and it was unclear when those flights would resume. But the U.S. military has contingency plans to deal with the situation, the official said.

Otunbayeva is the head of Kyrgyzstan's Social Democratic Party and a member of its parliament. She was a leader of the protests that brought Bakiev to power in 2005, and she served as his foreign minister for about two years before quitting to protest his appointment of one of the president's brothers to an ambassadorship, said Mirsulzhan Namazaliev, executive director of the Central Asian Free Market Institute in Bishkek.

Opposition leaders have accused Bakiev of consolidating power by keeping key economic and security posts in the hands of relatives or close associates. Protests began Tuesday in the northern city of Talas, Kyrgyzstan, over increases in electric and fuel rates, which had been jacked up at the first of the year as Bakiev's government sold the country's public utilities to companies controlled by his friends, Namazaliev said.

The demonstrations spread to the capital on Wednesday after the government responded by arresting opposition leaders in Talas. Namazaliev said that demonstrators were already gathered outside Bishkek's main square when he was headed to his office Wednesday morning, and the crowd had grown to about 5,000 people by noon (2 a.m. ET).

About that time, police began to open fire on them, he said.

"I was running together with them while the police was shooting," Namazaliev said. Other protesters remained and battled with police, and some took weapons from officers they overpowered, he said.

Machine-gun fire could be heard in the streets into the evening. Opposition leaders took control of the state television network Wednesday evening, airing images of riot police turning water cannons on demonstrators and asking people to donate blood.

Though the opposition called for calm, clashes with police continued into Wednesday night, Bishkek resident Munarbek Kuldanbaev said. And Namazaliev said some protesters turned to looting after the proclamation of a new government, and police began trying to crack down on the looting only after negotiations with the interim government.

iReporter describes protests, discusses grievances

Bakiev came to power in 2005 after a similar upheaval led to the ouster of then-President Askar Akayev. He won a new term in July 2009 in a vote the United States said "was marred by significant obstacles for opposition parties, intimidation, voting irregularities, and the use of government resources to benefit specific political interests."

There have been reports of restrictions on the freedom of expression and the media in the country, including the recent closure of an opposition newspaper and other media outlets, the United Nations said.

Outside Bishkek, opposition leaders had taken control of Talas and several other towns before claiming power in the capital, the Russian independent news agency Interfax reported. Russia called on Kyrgyz authorities and the opposition to settle all disputes without force and with a democratic process. It also stepped up security at its air base in Kant, Kyrgyzstan.

"On the assumption of our interests to secure political stability in a country that is friendly to ours, we believe it is important that all issues in the given situation be resolved within the legal framework. At the same time, we would like to strongly appeal to the opposing forces to refrain from the use of force to avoid bloodshed in any case," the Russian Foreign Ministry said.

U.N. Secretary-General Ban Ki-moon, who had visited Kyrgyzstan on Saturday, said Wednesday that he was "shocked" by the reports of violence and urged all sides to show restraint, engage in dialogue and promote calm.

"While freedom of assembly is an essential element of any democratic society, the rule of law must be respected," he said.

CNN's Ben Brumfield, Matthew Chance, Talia Kayali and Matt Smith contributed to this report.

@highlight

NEW: Former foreign minister says she is in charge of interim government

@highlight

NEW: Roza Otunbayeva says President Kurmanbek Bakiev has been driven from office

@highlight

NEW: No independent confirmation of the claim was immediately available.

@highlight

At least 40 dead, 400 wounded in fighting in capital city, health agency says