(CNN) -- President Obama looked uncomfortable as he stood before the nation on Saturday, announcing that he would ask for a congressional resolution of support to use limited force in Syria.

Obama, who won the hearts and souls of many Americans in the 2008 election with his trenchant criticism of President George W. Bush's war in Iraq, now finds himself leading a controversial and ambiguous military operation that has little support, in Congress or abroad.

Asking Congress for a resolution of support is an important step in making this decision, but what will matter much more is how the operation unfolds.

In the best-case scenario, limited air strikes would achieve their intended goals and the president could bring the operation to an swift end, shifting his focus back to domestic debates. Presidents George H.W. Bush and Bill Clinton, as well as Obama with Libya in 2011, learned that in the modern era this outcome is possible.

In the worst-case scenario, the situation will deteriorate and overshadow anything else. The violence in Syria could intensify, forcing the United States to increase its presence and become embroiled in a deadly and costly war.

Obama is not the first president to become involved in an international conflict that forces him to make decisions that fundamentally contradict what he hoped to stand for.

Syria: Who wants what after chemical weapons horror

In 1917, Woodrow Wilson sent U.S. troops into World War I after having won the admiration of progressive activists during his successful run as a peace candidate the previous year. World War I proved to be highly controversial. Wilson alienated progressives through his crackdown on anti-war movements and dismissal of civil liberties. The brutality of the war disillusioned many citizens and the rationale behind U.S. involvement always remained unclear.

The president's inability to persuade the Senate to ratify the peace treaty ended his term in failure.

In 1964, Lyndon Johnson wanted to be the domestic president who finished the New Deal. Johnson initially took a hawkish stand on Vietnam, with the intention of insulating himself from right-wing attacks about being weak on national security and with the hope of keeping the U.S. out of a bigger war through firm action at the outset. He always feared suffering the fate of President Harry Truman, whose political strength plummeted after China fell to communism in 1949 and the United States became bogged down in a stalemate in Korea.

But Johnson's strategy didn't work. The Vietnam War continued to expand and gradually dwarfed Johnson's huge domestic accomplishments. He found himself bogged down in a quagmire, much worse than Truman.

Upon his election in 1976, Jimmy Carter promised to rebuild America's faith in government after Watergate and Vietnam. Carter promised to offer new approaches to domestic policy that avoided the militaristic record of his Cold War predecessors. He promoted human rights as a centerpiece of international policy and signed the Panama Canal treaties that he hoped would rebuild the image of the United States in the region. Carter also continued to try to ease strained relations with the Soviet Union, pushing for the ratification of the SALT II arms agreements.

But all of his efforts ended in November 1979 when Iranian revolutionaries took American hostages. Then the Soviets invaded Afghanistan in December 1980. Carter was forced to shift to the right by calling for increased troop presence in the Persian Gulf and higher defense spending among NATO allies. He disappointed Democratic supporters, while never winning the backing of opponents who believed that he was a failed president.

Most recently, George W. Bush found himself in a similar predicament. When Bush ran for office, evidence suggests he didn't want to become involved in prolonged and costly international operations. He had criticized Bill Clinton's "nation-building" efforts and said that the United States had to be very restrained in using its military power.

Bush was a politician who cared most about domestic policy. He wanted to re-energize the Republican Party around issues like education reform and the liberalization of immigration laws.

But 9/11 changed everything, shifting the national agenda to foreign policy. Bush focused his efforts on fighting against al Qaeda, and on a war in Afghanistan to bring down the Taliban regime that harbored terrorists. Then, when he and his advisers decided to go to war in Iraq, he moved on a path that would be disastrous.

The war damaged his presidential legacy and eroded the positive feelings many Americans had developed about his leadership after the horrendous attacks on 9/11. Then Sen. Barack Obama defeated Sen. John McCain in 2008, due in large part to his outspoken opinions against the war -- both its faulty rationale and the way in which the president ignored Congress and international opinion.

President Obama now finds himself at a potential crossroads. The initial rollout of this plan has been highly problematic. The administration has failed to build international support for this action and has offered a shifting set of reasons for using force, a strategy that has reminded many Americans of the buildup to Iraq. Obama, who has been such a strong supporter of congressional involvement, seemed to back into announcing that he would approach the House and Senate only when he had no other choice.

Even though an operation in Syria is unlikely to grow to the scale and scope of the bigger conflicts that the United States has been through, it is crucial that Obama handle this situation in the right way, learning from the mistakes of his predecessors. He needs to provide the strongest possible evidence that Syria was responsible for the chemical weapons and make it clear to the public that he does have a plan about the mission in this war.

So, what exactly are Obama's options on Syria?

He needs to marshal public support behind the operation without resorting to scare tactics. He needs to allow legislators to have a healthy debate on what to do, if there is no imminent threat.

If he does, and the operation goes relatively well, Obama can come out of this predicament in relatively good shape and possibly complete work on issues like immigration reform.

If he doesn't, Obama knows that his presidency, and his party, will be paying the consequences for many years.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

President Obama won support in the 2008 election with his criticism of the war in Iraq

@highlight

Obama is not the first president to become involved in a difficult international conflict

@highlight

How the operation in Syria unfolds will affect Obama's legacy in the White House