London, England (CNN) -- An interview with a Swedish footballer playing in his home country's fourth tier usually only engages the interest of the most parochial of soccer fans, but when Anton Hysen agreed to speak to a local magazine last month, it unexpectedly created headlines from Brazil to China.

The 20-year old midfielder -- a former under-17 Swedish international now playing for Utsiktens BK of Gothenburg, a team that rarely attracts crowds of more than a few hundred -- made history as well as headlines.

"I am a footballer and [I am] gay. If I perform as a footballer, then I do not think it matters if I like girls or boys," he told Swedish football magazine Offside.

In a heartbeat Hysen became the world's only current professional footballer to go public on being gay, breaking the game's last taboo.

Homosexuality in professional sport remains a controversial issue. But as attitudes have changed, sportsmen and women like Martina Navratilova, arguably the greatest women's tennis player of all time, to basketball's John Amaechi, have publicly announced their sexuality despite the pressure from both the locker room and the prejudice of fans.

Yet whilst tennis, basketball, cricket and even rugby union have acknowledged the presence of gay players, football has been oddly, and stubbornly, resistant.

Even in the past six months, for every Mario Gomez or Manuel Neur -- two German internationals who have urged gay players to go public -- there's a Vlatko Markovic, the head of the Croatian Football Federation, who told Croat newspaper Vercernji List that: "While I'm president of the Croatian Football Federation, there will be no homosexuals playing in the national team ... thankfully only normal people play football."

And FIFA president Sepp Blatter was caught out too when he joked that gay supporters should refrain from having sex at the 2022 World Cup in Qatar. Homosexuality is illegal in the emirate.  Football lags behind

But why is it that soccer, which has waged a largely successfully battle against racism and sexism in western Europe, remains one of the few bastions of homophobia in sport? The answer according to the "Justin Campaign" -- a group that campaigns for more tolerance for homosexuality in football -- is the fear of reprisals from fans.

"Football, with its roots in working-class male culture, has always had a far more aggressive and vocal support," explains spokesman Alan Duffy. "That's not to say that middle class people aren't racist or homophobic. Simply that often they will keep their views to themselves. Footballers receive crowd abuse for everything and anything. Fans now know not to openly express racist views at grounds. We need to get to a stage where they know that homophobic chanting is unacceptable too."

The campaign is named after the only other professional footballer, aside from Anton Hysen, who went public about their sexuality. Fashanu was a promising young English striker who in 1981 became Britain's first £1 million ($1.6 million)black player when he signed for then-European Cup winners Nottingham Forest.

In 1990 he came out after a British newspaper planned to run an expose of Fashanu's affair with a politician. But according to gay activist and friend Peter Tatchell, the pressure of leading a double life, coupled later with the abuse he received from supporters everywhere he played, left an indelible mark.

"During that decade of closeted double life he found it immensely difficult to cope with the strain of hiding his gayness in the macho world of football," he recalled. "Justin suffered racism too ... they would make monkey noises and gestures, and throw bananas on the pitch. But it was the anti-gay prejudice that ultimately dragged him down."

Fashanu never fulfilled his potential and drifted down the divisions. In 1998, after falsely believing that a warrant had been issued for his arrest in the U.S. following allegations of a sexual assault, Fashanu hanged himself. He was 37 years old.

According to the Justin Campaign, the experiences of Fashanu, and the vitriol it unleashed, has made it harder to persuade high-profile footballers to come out. Only last year, the English Football Association (FA) delayed the launch of a viral video tackling the issue of homophobia in the game when it emerged that every footballer and agent the FA approached had declined to endorse it.

"I suspect agents and clubs shied away from it," Peter Clayton, chair of the FA's Homophobia in Football advisory group, told British newspaper the Daily Mail. "A player coming forward to appear in it would feel he might ignite more vitriol."  Agents or fans?

Indeed, new research has suggested that it is the football clubs and football agents themselves, rather than the fans, that might be the real barrier to players coming out. Dr Ellis Cashmore, professor of culture media and sport at Staffordshire University, conducted an anonymous survey of over 3,000 fans and footballers, and discovered that 91% believed that only a player's performance on the pitch mattered, whilst just 9% believed that a player's sexuality posed a problem.

"Before we did the research the big homophobia barrier was fans and the players didn't want to confront hostile fans," Dr Cashmore told CNN. "But they [the fans surveyed] said that they thought it was the clubs, because no clubs want to take a risk because they feel it will hurt the brand of the club."

It was sentiment echoed by Max Clifford, a UK media impresario who last year revealed that he represented two gay Premier League footballers but urged them to stay in the closet.

"Do I think it's right? Of course not ... It's a very sad state of affairs. But it's a fact that homophobia in football is as strong now as 10 years ago."

Dr. Cashmore agrees. "They [football clubs and agents] have read Max Clifford's remarks. Agents make money from commission. Agents will ask players: 'We have $6.5 million in endorsement contracts, would it damage your reputation [to come out]?' It's how they think about this. By nature they are cautious. You have two conservative forces here. Clubs who are institutions and agents who want to protect their own income streams. Many of them reluctantly concede that perception."

The English FA believes it is now on the right track when it comes to dealing with homophobic abuse, perhaps even setting the stage for a footballer to follow Anton Hysen.

"The FA is communicating with experts in tackling homophobia on a regular basis ...there is an FA strategy in place to implement those over the next 12 months and beyond," explained the FA's Matt Phillips.

The next Hysen?

Some, like Dr. Cashmore, believe that far from being a barrier to earning money, an openly gay player would be able to significantly raise their profile, an experience borne out by the interest in Anton Hysen's story. But even with the changing attitudes in society, gay footballers still look as much to the experiences of Fashanu as Hysen.

"Would a player face the same vitriol as Justin? It's hard to say," said Duffy.

"He may well do. But there would be also many many more words of encouragement. Something that would help and something that Justin didn't get, unfortunately."

@highlight

Anton Hysen, a fourth division Swedish footballer, recently declared he was gay

@highlight

He became only the second professional footballer to do so

@highlight

The first, Justin Fashanu, hanged himself in 1998

@highlight

CNN looks at the reasons why sexuality remains the last taboo in football