(CNN) -- A day after losing the first presidential debate, President Barack Obama and his campaign accused his Republican challenger Mitt Romney of being dishonest about tax policy and other issues.

"If you want to be president, you owe the American people the truth," Obama said at a campaign rally Thursday in Denver. "So here's the truth: Governor Romney cannot pay for his $5 trillion tax plan without blowing up the deficit or sticking it to the middle class. That's the math."

Romney's pledge: No tax cut for the rich

The president's top aides were even more blunt.

"Romney's performance was one that's probably unprecedented in its dishonesty," senior adviser David Plouffe told reporters.

Still, senior campaign adviser David Axelrod acknowledged Obama will examine his debate strategy for the next two contests -- on October 16 in New York and October 22 in Florida.

The president opted against "serial fact-checking with Governor Romney, which can be a never-ending, exhausting pursuit," Axelrod said. "Obviously, going forward, we're going to have to look at this, and we're going to have make some adjustments."

What's next: Can Obama recover or will Romney run up the score?

Meanwhile, Romney continued to push his debate theme that there's been much federal spending under Obama, complaining of "trickle-down government" that has failed to solve the nation's economic woes.

"Trickle-down government that the president proposes is one where he will raise taxes on small business, which will kill jobs" he said in an unannounced visit Thursday to a conservative conference in Colorado. "I instead want to keep taxes down on small business so we can create jobs."

He and his vice presidential running mate, Paul Ryan, then appeared together Thursday night in Fisherville, in western Virginia. Ryan touted the National Rifle Association's endorsement earlier in the day of the GOP ticket, adding that he's looking forward to when "after we elect Mitt Romney president, I can take my daughter deer hunting."

Both the Wisconsin congressman and Romney, who followed him onstage, referenced the previous night's debate as demonstrating "a clear choice" for voters.

"Last night was an important night for the country, because people got the chance to cut through all the attacks and the counterattacks and all the theatrics associated with the campaign, and instead they were able to listen to substance," said the former Massachusetts governor.

Analysis: Five reason the president fumbled the debate

"As a result ..., the American people recognize that (Obama) and I stand for something very different," he said, before vowing, "I am going to help the American people get good jobs and a bright future."

His supporters crowed about his debate performance, saying it reshaped a race that Romney had appeared in danger of losing.

Sen. Rob Portman of Ohio, who played the role of the president in debate rehearsals for Romney, said the GOP candidate had a "terrific night" in discussing Obama's record, talking about his own policies and setting "the record straight on ... misleading ads."

"He did exactly what he had to do for the undecided voter in Ohio or around the country," Portman said.

To Ed Gillespie, a senor adviser to Romney, the GOP challenger brought focus to the sharp contrast between the candidates by showing voters that "we can't afford four more years like the last four years."

While both sides were in full spin mode Thursday, it was widely felt that Romney won the debate itself.

Analysis: Romney seizes the story

"A week ago, people were saying this was over. We've got a horse race," said CNN Senior Political Analyst David Gergen, who called the debate Romney's best so far after the 22 the former Massachusetts governor took part in during the GOP primary campaign.

Alex Castellanos, a Republican strategist and CNN contributor, expressed surprise at Romney's strong performance, saying he "rose to the moment" and seemed to benefit from the multiple primary debates.

"It looked like Romney wanted to be there and President Obama didn't want to be there," noted Democratic strategist and CNN contributor James Carville. "The president didn't bring his 'A' game."

The CNN/ORC International poll of 430 people who watched the debate showed 67% thought Romney won, compared with 25% for Obama.

Obama joked Thursday that a different Romney appeared at the debate from the conservative candidate who won a grueling primary campaign to challenge him on November 6.

"When I got on to the stage I met this very spirited fellow who claimed to be Mitt Romney," Obama said told the crowd of more than 12,000 at a Denver park. "But it couldn't have been Mitt Romney because the real Mitt Romney has been running around the country for the last year promising $5 trillion in tax cuts that favor the wealthy. The fellow on stage last night said he didn't know anything about that."

In Denver and later in Wisconsin, Obama also went after Romney's pledge during the debate to cut funding for public broadcasting, referring specifically to the popular Sesame Street character Big Bird.

"He'll get rid of regulations on Wall Street, but he's going to crack down on Sesame Street," Obama joked about Romney's pledge to repeal the Dodd-Frank Act that reforms the financial sector.

"Thank goodness somebody is finally getting tough on Big Bird," Obama added. "It's about time. We didn't know that Big Bird was driving the federal deficit."

5 things we learned from the presidential debate

During Wednesday's 90-minute debate, neither presidential candidate scored dramatic blows that will make future highlight reels, and neither veered from campaign themes and policies to date. Moderator Jim Lehrer of PBS had trouble keeping the duo within time limits for responses, especially Obama, who ended up speaking four minutes longer than Romney.

Romney criticized Obama's record and depicted the president's vision as one of big government, while the Democratic incumbent defended his achievements and challenged his rival's prescriptions as unworkable.

But Romney came off as the more energized candidate overall by repeatedly attacking Obama on red-meat issues for Republicans such as health care reform and higher taxes, while the president began with lengthy explanations and only later focused more on what his opponent was saying.

The former governor's strongest moments came in criticizing Obama's record, saying the nation's high unemployment and sluggish economic recovery showed the president's policies haven't worked.

Complete coverage of CNN fact-checking the candidates

"There's no question in my mind if the president is re-elected, you'll continue to see a middle-class squeeze," Romney said, adding that another term for Obama also will mean the 2010 Affordable Care Act, known as Obamacare, "will be fully installed."

At another point, he noted how $90 billion spent on programs and policies to develop alternative energy sources could have been devoted to hiring teachers or other needs that would bring down unemployment.

Obama argued his policies were working to bring America back from the financial and economic crisis he inherited, and that Romney refused to divulge specifics about his proposed tax plans and replacements for the health care law and Wall Street reform that the Republican has pledged to repeal.

At crossroads of economic crisis, debate disappoints

In one of his strongest lines of the night, Obama said Romney lacked the important leadership quality of being able to say "no" when necessary.

"I've got to tell you, Governor Romney, when it comes to his own party during the course of this campaign, has not displayed that willingness to say no to some of the more extreme parts of his party," Obama said in reference to his challenger's swing to the right during the primaries to appeal to the GOP's conservative base.

Romney rejected Obama's characterization of his tax plan, insisting it won't add to the deficit, and criticized the president's call to allow tax rates on income over $250,000 for families and $200,000 for individuals to return to higher 1990s rates as a job-snuffing tax hike on small business.

Romney repeatedly went after Obama on the health care reform bill, criticizing the president for focusing so strongly on a measure that passed with no Republican support instead of devoting more attention to creating jobs.

"I just don't know how the president could have come into office, facing 23 million people out of work, rising unemployment, an economic crisis at the -- at the kitchen table, and spend his energy and passion for two years fighting for Obamacare instead of fighting for jobs for the American people," Romney said.

"The right answer is not to have the federal government take over health care," Romney added, quickly noting his plan would include popular provisions of Obamacare such as allowing children up to age 26 stay on family plans and preventing insurers from denying coverage for pre-existing conditions.

Read a transcript of the debate

With polls narrowing less than five weeks before Election Day, Obama and Romney launched a new phase in a bitter race dominated so far by negative advertising as both camps try to frame the election to their advantage.

Whether it matters is itself a topic of debate. According to an analysis by Gallup, televised debates have affected the outcome of only two elections in the past half century -- Nixon-Kennedy in 1960 and Bush-Gore in 2000.

25 funniest tweets about the debate

@highlight

NEW: Ryan, Romney say debate offered voters a clear choice

@highlight

The Obama campaign says Mitt Romney was dishonest

@highlight

Republicans crow about the first debate; Democrats downplay it

@highlight

Analysts and a snap poll say Mitt Romney won the opening round