(CNN) -- This week, the U.S. International Trade Commission made a decision that sent shock waves around the world.

The governmental agency banned the importation of Apple's older iPhones (before the 4S) and cellular iPads (before the third-generation iPad 4G) into the U.S. market. These devices were found to violate a Samsung patent necessary to connect with AT&T's cellular network. Simply put, if you're an AT&T customer, your phone is not a phone without a technology that Samsung owns.

Customs officers will hold any Apple shipments coming from China in 60 days if they contain those older products unless an appeals court sides with Apple or President Barack Obama vetoes the order.

The president has delegated this decision-making power to the U.S. trade representative, but obviously, he can still do what no U.S. president has done in decades.

However, he shouldn't get mired in this particular battle.

A veto would be consistent with a set of patent reform proposals the White House unveiled a few hours before the ITC's decision, which would make it harder to obtain such bans. But it would mean depriving Samsung of its most significant victory in a bitter legal spat with Apple and interfere in the intense two-horse race going on in the smartphone market.

A veto would also snub a major U.S. trading partner and geopolitical ally: South Korea, where Samsung accounts for about a fifth of the national economy. The South Koreans would certainly cry foul over "protectionism."

The good news for Apple is that most of the affected products are no longer on sale. The ones that are still being sold are Apple's lowest-priced entry-level offerings. As soon as Apple launches the iPhone 5S, the iPhone 5 will replace the 4S as the mid-priced product. The iPhone 4S, which is also safe, will then become the low-end iPhone.

Until this happens, we're talking about 1% of Apple's sales -- less, actually, because AT&T can buy as many iPhone 4 and iPad 2 units over the next 60 days as it wants and sell them afterward. And customers still have different models from which to choose.

But there's a bigger reason for concern.

What Samsung dropped on those older Apple products is the patent equivalent of a nuclear bomb, and a U.S. government agency with court-like powers said: "Yes, Samsung, you're in your right to use this lethal weapon, and we don't care that Apple claims it's been universally outlawed."

Next time someone -- not necessarily Samsung, which could even find itself on the receiving end -- will use patents of this kind, called standard-essential patents, to nuke products that jobs depend on and that customers will sorely miss. And next time could be a matter of months because various other ITC cases over standard-essential patents are pending and will come to judgment soon. That's the real concern. Not the iPhone 4.

Why are standard-essential patents the equivalent of a nuclear weapon?

Because there are industry standards that establish the use of certain techniques. Unless your phone and mine use the same standard, we can't give each other a call or send each other a photo because the devices we use won't understand each other. This is called interoperability -- working together. When companies get together and define a standard, they have to promise to use these patents only as parking meters, not as guns.

Conventional patents, such as the ones Apple is suing Samsung over, don't raise the same issues.

For example, Apple is suing Samsung over a feature called "rubber-banding." It's the iconic bounce-back effect when you scroll a list (such as your phone's address book) and reach the end. I like it, but if you have rubber-banding and I don't, we can still keep in touch. No nuclear threat there.

Congress should work with the president and denuclearize the mobile patents wars by disallowing import bans over standard-essential patents. Now.

The opinions expressed in this commentary are solely those of Florian Mueller.

@highlight

U.S. government agency gave Samsung a victory over Apple in patent dispute

@highlight

Florian Mueller: President Obama can veto the ruling, but he shouldn't get mired in it

@highlight

He says what's really at state are standard-essential patents

@highlight

Mueller: Congress can abate mobile patents wars by disallowing bans over SEPs