(CNN) -- As the two Australian miners lay trapped in a space less than 5 feet square and 3,000 feet below the surface, they discovered common ground in American country singer Kenny Rogers.

"I'm more rock and roll, he's more country, but we both knew 'The Gambler,' by Kenny Rogers," Brant Webb said of Todd Russell, who spent 14 days trapped with Webb in the Beaconsfield gold mine in northern Tasmania in 2006.

The two sang to pass the time, shared their life stories and told jokes after a 2.2-magnitude earthquake triggered an underground rock fall, trapping them in darkness. They could not sit or stand. They were so cramped, one had to lie on his side if the other lay on his back.

Five days into their captivity, rescuers located them and established a phone line. The men were kept abreast of rescue efforts and were given counseling throughout the ordeal. Rescuers also passed them food, water and iPods. But it would take another nine days for them to be extricated from the dank hole that Webb, at times, thought might become his grave.

He never let the idea knock around his mind for too long, choosing to cling to hope that he would live to see his wife and two children. It's the same advice he has for 33 Chilean miners facing the prospect of remaining trapped 2,300 feet below ground for several months.

"They've got to keep their heads together and hope alive," Webb said in a telephone interview from his home in Beauty Point, Tasmania. "They've got air, they've got food and water; they'll get them out of there eventually."

The miners have been trapped in the San Jose copper and gold mine in northern Chile since its roof collapsed on August 5. Rescuers took 17 days to locate them, during which the men rationed small amounts of tuna and mackerel to survive. Rescuers were eventually able to send supplies through a 4-inch pipe.

On Friday, the miners were informed that it could take another three to four months to get them out.

The miners and their families will face stresses that could continue once the men are freed, experts and those who have survived similar ordeals say.

Chilean authorities have sought guidance from NASA and other institutions in the United States on how to help the miners cope with their environment on physical, mental and logistical levels.

The most common comparison in academia to their situation and others like it is space travel. Astronauts and cosmonauts spend weeks or months in enclosed spaces cut off from society and loved ones, although to a lesser extent these days with the advancement of telecommunications.

"There is a dialogue going on between Chile's Ministry of Health and NASA, where we have a great deal of experience regarding medical, nutritional and behavioral issues related to space travel," State Department Spokesman P.J. Crowley said Thursday. "[We] are providing that perspective to Chile, so that it can develop a program for helping to sustain these miners."

In addition to maintaining nutritional and hygienic needs, the men will need to develop a routine that resembles a normal life, down to mealtimes, showers and light to mimic daytime, said Joseph Barbera, co-director of the Institute for Crisis, Disaster, and Risk Management at George Washington University.

"A large part of maintaining their mental well-being is allowing them to have a sense of control over the situation. That's part of the reason why you want to develop a routine," said Barbera, who is also a member of the Fairfax County Urban Search & Rescue Task Force in Virginia, which has offered assistance to the Chilean government through the Office of U.S. Foreign Disaster Assistance.

The Chilean miners are already adopting various roles to help them through their ordeal and give structure to their existence.

A shift leader is fulfilling a leadership role and another man with nursing experience is carrying out basic medical and psychological tests. Maintenance mechanics helped organize the space.

The men have split into two shifts so half can rest while the others keep busy doing tasks, exercising or playing card games or dominoes. Stretchers that were stored in the rescue cabin are being used as beds. They hold daily meetings and make decisions by consensus, according to a video the men sent to the surface Thursday.

Barbera, along with Webb and others who have shared the harrowing experience of being trapped in isolation, agreed that one asset the Chilean miners have is space.

Portions of a 131-foot-long (40-meter) shaft are being used as a latrine. The shaft is connected to the main 538-square-foot (50-square-meter) cabin, which is being used for sleeping, washing and praying.

"[The space] makes a significant difference, because it's not so cramped that they can't stretch out. It sounds like they'll have enough space to move around and potentially have some personal space and privacy," Barbera said.

"The big downside is length of time, as far as how long it'll take to get them out," he said. "If they can maintain their psyche and develop a regular routine to stay psychologically fit, hopefully, they'll make it. But this situation has no precedent."

Like the Chileans, who have asked for playing cards and religious figures to create a shrine, the Australian miners also received items to pass the time, including magazines, iPods, toothbrushes and clothes.

When food first began to come, however, in the form of sweets, the rush of sugar overwhelmed their systems, making the situation even more unpleasant, Webb said.

"That was definitely a low point," Webb said, laughing.

Maintaining contact with people on the surface, especially loved ones, will help the Chilean miners, he said.

"That was a big stumbling block, thinking that if anything did happen I never coulda said, 'I love my wife,' " Webb said.

The Chilean workers sent a video message to their families Thursday in which they expressed thanks for the efforts under way to free them and assured them they were OK.

Nine coal miners trapped in southwestern Pennsylvania in 2002 wrote notes to their loved ones as water inched within 70 feet of where they sat huddled.

The letters were sealed in a bucket to be found with their bodies, said Mary Pugh, whose son, Robert Pugh, was one of the men known now as the "Quecreek 9." All were rescued.

She has never seen her son's letter, nor does she want to.

"It was just so sad, such a sad time. I don't want to hear the story again unless my son wants to tell me," said Pugh, a lifelong resident of Somerset County, Pennsylvania. Her father, husband and brothers have all spent time in the mines.

For nearly five days in July 2002, Pugh awaited news at the Sipesville Fire Hall, surrounded by children, grandchildren and great-grandchildren, as well as the families of the eight other miners. Together, they rode out the ups and downs of the rescue effort with support from the community.

"It was crowded, food galore. They kept bringing the breakfasts, lunches, dinners, we didn't have to cook all weekend," she said. "But we always came home to sleep because it was so crowded. Not that we actually slept."

The first few days that her husband and son-in-law were trapped, Denise Foy could not bring herself to sleep or eat.

"I thought that if he's not going to eat, I'm not going to eat," she said. "But I worried more for my daughter than for me because her husband was down there, too. She was really taking it hard. To have your father and husband in there, it was a lot worse for her because those were the two main men in her life."

Most of the Quecreek 9 declined to speak to CNN about the incident. But Thomas Foy said the key to their survival was simple: "stick together, keep warm and stay alive."

"We went through hell the first time, trying to escape. We were swimming through water up to our chins. We tried three different entries, but weren't nothing we could do. They were all full. But when we heard them drilling we knew it was just gonna take time. We weren't about to give up."

Words were scarce as the men sat in darkness more than 200 feet below ground, soaking wet and huddled together for body heat, Foy said.

"Wasn't too many things to talk about; about how long it's gonna take, but we really didn't know. We just sat and waited and waited and waited, talked about how we're never gonna go back in the mines," he recalled.

The first stage of preparing the Australians for their rescue began with injections of blood thinners they administered to themselves to prevent clots as a result of lying down for two weeks, Webb said.

After the rescue, the real work of returning to society a new person began, not just for the survivors, but for their families.

"Your loved ones need to be ready for the emotional highs and lows. There's this huge high when you get out, then life goes back to normal, and you go back down," he said.

Webb, now a part-time real estate agent, said he has watched only four movies since he's been out.

"The highs and lows are so extreme. When I'm sad, I cry. When I'm happy, I laugh a lot, probably too much. And your family needs to be ready to deal with all that."

Webb said he and Russell followed advice to do speaking engagements about their ordeal to exorcise their mind of the experience. That, along with three years of counseling and a two-week caving expedition have got him to a place where he's happy.

"Just one of those things, fall off the bike and get back on it. I didn't want to have a hang-up. But I have found a new career."

CNN's Karl Penhaul contributed to this report.

@highlight

Australian miner says he and cohort sang, told jokes during 14-day captivity in gold mine

@highlight

Survivor of flooded mine in Pennsylvania says group huddled together to stay alive

@highlight

Maintaining routine key to survival in isolated places for extended periods, prof says

@highlight

Relatives need to prepare for emotional highs and lows after rescue, miner says