(CNN)As the world digests the shock of Russian opposition leader Boris Nemtsov's brutal murder in front of the Kremlin on Friday, everybody is trying to determine who was behind it.

The Russian authorities were quick to throw out a number of theories, which ranged from the CIA to Ukraine, and even to Nemtsov's relationship troubles. While most people have discounted these out of hand, there are a surprising number of people who have bought into the statement, released by Vladimir Putin's spokesman, that "Boris Nemtsov was only slightly more than an average statistical citizen" -- implying that the Russian President would have no reason to want him dead.

First of all, that is not true. Nemtsov may not have been a significant threat two years ago when oil prices were high and Russians were feeling politically apathetic -- but with oil prices down 50%, the ruble down 50%, the economy shrinking and companies firing people, a charismatic opposition politician like Nemtsov is a real and direct threat to Putin, who is terrified of experiencing a Ukraine-style revolution in Russia, especially when there is an unpredictable economic crisis brewing.

Nemtsov's corruption exposés laid out, in damning detail, the truth behind the personal wealth of Putin and his cronies; one doesn't need to be an expert to see the similarities with former Ukrainian President Viktor Yanukovych, who fled Kiev following popular uprisings in February of last year.

Nemtsov was also preparing a paper documenting the experiences of Russian soldiers in Ukraine -- one that could have dealt a catastrophic blow to the Russian propaganda machine about the Ukrainian conflict. And he was instrumental in organizing the March 1 anti-war rally in Moscow -- a protest march he would have led, had he not been gunned down just hours before.

The benefit of this murder to Putin wasn't just that it eliminated one opponent of the President, but that it will terrorize an entire class of dissidents.

READ MORE: Other critics of Putin who ended up dead

Putin has a history of viciously attacking the most important person in any given group of enemies, in order to send a message to the rest of them. In 2003, he did this by arresting and imprisoning the richest oligarch in the country, Mikhail Khodorkovsky. When Khodorkovsky was put on trial in 2004, Putin allowed the television cameras film the wealthiest man in the country sitting in a cage.

Imagine that you were the 17th richest man in Russia, and you saw a man more successful and influential than you sitting in a courtroom cage. What would you do? Anything you could to avoid meeting the same fate; in the case of Russia's oligarchs, they all fell into line and were never a problem for the President again.

The same thing happened with the murder of investigative journalist and vocal Putin critic Anna Politkovskaya in 2006. Although Kremlin involvement in her killing was never proved, the number of brave, outspoken investigative journalists in Russia dropped to only a handful after her death.

Now, in 2015, one of the most vocal opposition leaders has been gunned down directly in front of the Kremlin. In addition to the political benefits of Nemtsov's demise, his killing also sends a clear and chilling message to anyone else who is similarly outspoken against Putin: It doesn't matter how well known you are, how many heads of state in the West know you, or how many people would be outraged by your death. If you cause problems, you can and will be killed.

Not only does this have a powerful effect on other opposition leaders, but it puts a primordial fear into the minds of average Russian citizens, who may now think twice before taking to the streets to protest corruption, the war in Ukraine, or the poor standards of living. No matter your agenda, is it worth your life?

The West needs to act urgently, with actions, not words. This is the most brazen high-profile assassination of a political opposition leader in modern Russian history.

So what can be done?

Firstly, create, without any delay, an independent international inquiry into Nemtsov's assassination. No investigation conducted solely by the Russian government would be credible under the circumstances, because it cannot impartially examine the possible complicity of Putin or the Russian secret service in this act. There are statutory instruments in place for this kind of investigation, using the OSCE, the Council of Europe, and the United Nations.

Secondly, Boris Nemtsov was a passionate supporter of "Magnitsky sanctions," visa bans and asset freezes targeted specifically at kleptocrats and human rights abusers. It would befit his legacy if European governments would finally impose these sanctions, and stop accepting the billions of dollars which beneficiaries of the corrupt Putin regime are able to keep safely in Western banks. These sanctions will also act as a real consequence if the Russian government refuses to cooperate with an independent inquiry into Nemtsov's murder.

The only reason that someone was bold enough to kill Boris Nemtsov was because a string of previous murders were met with words of condemnation, but no real action from the West. Yushenkov, Politkovskaya, Shchekochikhin, Klebnikhov, Estemirova, Markelov, Magnitsky and now Nemtsov. How many others need to die before real action is taken?

This is a watershed moment, not just for Russia, but for the West. We have a responsibility to the future Nemtsovs of this world to make sure that these assassinations will no longer go unpunished.

@highlight

Opposition leader Boris Nemtsov murdered in Moscow on Friday

@highlight

Browder: There are reasons why Vladimir Putin would want Nemtsov dead

@highlight

Russian government has denied any involvement in killing