(CNN) -- The National Institutes of Health will "substantially reduce" the use of chimpanzees in NIH-funded biomedical research and retire most of the chimps it currently owns or supports, the agency said Wednesday.

NIH Director Francis Collins accepted most of the recommendations issued in January by an NIH working group, according to an NIH statement.

"Americans have benefited greatly from the chimpanzees' service to biomedical research, but new scientific methods and technologies have rendered their use in research largely unnecessary," Collins said. "Their likeness to humans has made them uniquely valuable for certain types of research, but also demands greater justification for their use."

The agency will, however, "retain but not breed" up to 50 chimpanzees for future biomedical research, the NIH said. Those that remain available for research will be selected based on research projects meeting the Institute of Medicine's principles and criteria for NIH funding.

That's in line with the working group's report, which suggested about 50 chimps be kept for potential research needs. Chimpanzees share about 99% of their DNA with humans.

Hundreds of research chimps may be retired

The January recommendations were issued regarding about 360 chimpanzees owned by the NIH, classified as either "research active" or "research inactive."

Another 91 chimps eligible for research live at the Texas Biomedical Research Institute in San Antonio. Officials said in January the NIH supports their maintenance but could not itself retire the animals.

A separate group of 219 NIH-supported chimpanzees was previously retired and lives at Chimp Haven Inc. in Keithville, Louisiana, or the New Iberia Research Center at the University of Louisiana at Lafayette.

Chimp Haven operates the Federal Sanctuary System, established in 2002 and overseen by the NIH. About 150 chimps are in the sanctuary system.

The Texas Biomedical Research Institute, however, said it was "disappointed" in the NIH response to the recommendations.

While it agrees with chimps should be provided with "an appropriate environment," and said some important biomedical research can be conducted with a pool of 50 chimps, "this arbitrarily chosen number is not sufficient to enable the rapid development of better preventions and cures for hepatitis B and C, which kill a million people every year," the institute said.

Fifty chimps is also not enough to ensure progress in testing aimed at treating autoimmune diseases and some forms of cancer, it said, or even to research prevention and cures of diseases including Ebola hemorrhagic fever and chimpanzee AIDS, "which are contributing to the extinction of chimpanzees and gorillas."

As the number of available chimpanzees drops below 50 as the animals die due to natural causes, the pace of research "will be slowed even more, and human and chimpanzee lives will be lost unnecessarily due to delays in bringing new drugs and vaccines to market," the institute said in a statement.

New Mexico chimps won't be used in additional research, pending review

The IOM, it noted, recognized that new or re-emerging diseases may require the use of chimps, and recommended NIH establish a breeding program for future research needs.

In its statement, the NIH also pledged to provide facilities similar to those chimps would encounter in their natural environments, with space requirements yet to be determined; and "wind down" research projects using NIH-owned or supported chimps that "do not meet IOM principles and criteria in a way that preserves the research and minimizes the impact on the animals."

A provision currently limits the amount of funding NIH may put toward retiring chimps and caring for them in the Federal Sanctuary System. The agency said it would continue working with Congress to remedy that.

But, said Texas Biomedical Research Institute, "We are disappointed that the NIH intends to transfer the remaining NIH-owned and NIH-supported chimpanzees to the federal sanctuary and to seek additional taxpayer money from Congress for that purpose."

Sending most of the animals to the sanctuary "would take them away from their caregivers, many of whom they have known all of their lives," the institute said. "It would also deprive them of the state-of-the-art medical and diagnostic capabilities that have been developed at chimpanzee research facilities over several decades with taxpayer money."

The NIH decision "culminates more than two years of intensive deliberations among NIH leadership, independent chimpanzee experts, researchers, bioethicists and members of the public," said Dr. James Anderson, NIH's deputy director for program coordination, planning and strategic initiatives, in the statement. Anderson's division oversees the NIH Chimpanzee Management Program.

Restricted use of chimps in government research recommended

A study was commissioned in December 2010 to examine the "continued scientific need" for chimpanzees in NIH-funded research. A year later, the IOM said most current use of chimps in biomedical research was unnecessary, and the use that was needed should be guided by principles and criteria.

The advisory committee began its work the same month and presented its report in January.

Recently, the U.S. Fish and Wildlife Service issued a proposed rule listing captive chimpanzees and endangered.

"NIH expects to adapt its policies for research projects using chimpanzees to comply with the conservation guidelines that the USFWS establishes in a potential final rule," according to the NIH statement.

Laboratory chimps get new lease on life

CNN's Elizabeth Landau and Kim Segal contributed to this report.

@highlight

Chimps' use in medical research is "largely unnecessary," says NIH director

@highlight

The agency will retain, but not breed, about 50 chimps for future needs

@highlight

A Texas research institute says it's "disappointed" with the NIH decision