(CNN) -- Could you fit your life into 300 square feet? Developers are betting on it, positioning tiny living spaces as a new status symbol for urban millennials.

Chic, central and closet-sized, micro-condos -- loosely defined as units under 500 square feet -- are being marketed as luxury rentals or a stylish first step onto the property ladder. While small units are already the norm in high-density Asian megacities and old European neighborhoods, major U.S. cities like New York and San Francisco are leading a new charge in North America with others quickly following suit.

"What these great world cities have in common is a scarcity of the resource called land and a large number of people who want to work and play in these cities," says Mark Vlessing, co-founder of London developer Pocket Living.

According to a report from Neilson, an American consumer research company, 40% of Americans between the ages of 18 and 36 want to live in urban areas instead of the suburbs their parents idealized, but 69% feel they don't earn enough to afford the lifestyle they covet. High rent, rising property prices, and growing demand make finding an affordable home harder than ever.

Local governments have taken notice. New York City, for one, has waved its minimum 400-square-foot housing requirement for a pilot project with units between 250 and 370 square feet. Last year, Pocket Living -- which makes 400-square-foot units for those who earn less than around $100,000 a year -- received roughly $36 million from the mayor of London to build approximately 400 units for first-time home buyers. Small units are seen as an affordable way to make cities accessible to more people.

This was the case for Andrea Wong, a hair stylist living in Vancouver. In 2012, unable to afford a centrally located apartment, she decided to move into a unit in Burns Block, the city's first micro-condo. Most of the studios she'd seen rented for around $1,400 a month, so her 291-square-feet apartment -- the building's largest -- seemed like a steal at $1,000.

But it was the design, she says, that she sealed the deal. The tiny space -- all enamel-like white cupboards, foldout tables, and wall-mounted design hacks -- was not only smart, but stylish.

"I wanted something that looked pretty modern. The use of space was really good," she says. "I didn't feel like I was living in a jail cell or anything."

Her friends marveled. Her place was officially cool.

Maxwell Ryan, the New York-based founder of home design website Apartment Therapy, isn't surprised that micro-condo developers are pushing design and utility as their major selling points. To him, it shows an awareness of how generational priorities have shifted.

"As a culture, there's been a renaissance of interest in design -- design as a lifestyle choice, design as a way of life," he says.

Ryan believes young people will happily accept smaller spaces, but only if done properly.

"When you design a small space, you can design it in a way that has more utility and expansiveness," he says, going on to quote Charles Eames, one of the 20th century's most celebrated product designers: "I have never been forced to accept compromises, but I have willingly accepted constraints."

It's a maxim Smart House, an upcoming micro-condo project in Toronto, exemplifies. The designs, masterminded by architecture firm architectsAlliance, are stylish, with seemingly endless concealed storage, contemporary finishes, and floor-to-ceiling windows. Drawers become dishwashers and refrigerators. Couches fold into beds and walls. A number of elements, like a bathtub and oven, have been left out. But even these omissions are meant to cater to the millennial lifestyle.

"This generation wants to live within the city," says Peter Clewes, of architectsAlliance.

When they aren't working, they're eating out with friends and enjoying city life, not spending time at home. For a unit that offers elegance on a budget (Smart House units, which have yet to go on sale, will likely start at $285,000), Clewes thinks they'll be willing to make a few sacrifices.

"Five years ago, if you suggested units of 258 square feet, people would say that's mean, that's immoral. But that's starting to flip the other way," Clewes says. "It's become a moral cause. We need all (income) groups to make a healthy city."

No one seems to know whether tenants or owners will look at micro-condos as temporary stops, or something more permanent. Certain elements seem so tailored to a certain lifestyle they risk being outgrown by those they so carefully target.

For Wong, the initial novelty of micro-living wore off as time wore on. She started to resent not having space for her screen-printing and acrylics projects, or an oven for cooking. When it came time to renew her yearlong lease, she decided to move to a 620-square-foot unit across the street, even though it cost almost $400 more per month.

Today, Wong lives with her boyfriend in a 900-square-foot apartment in East Vancouver. Now 35, she's more focused on settling down. But she doesn't regret giving micro-condos a try.

"My lifestyle has changed a lot since I lived down there," she says. "I liked being there at the time, but I like the space I have now."

@highlight

Micro-condos -- units under 500 square feet -- are a growing trend in cities like New York, San Francisco and London

@highlight

Developers are targeting millenials who wouldn't otherwise be able to afford properties in major Western cities

@highlight

The units are designed to be hyper-functional and stylish to appeal to design-conscious young buyers