Venice, Italy (CNN) -- Their stare is blank and unblinking; they stand rigid and dumb. Passers-by look on bemused as a child attempts to clamber up one of their backs. It's no harm, they are after all just a pair of concrete cows, painted white with cute little black spots.

The question is: what do these rock-solid ungulates have to do with the future of architecture? The answer: more than you imagine.

The setting is Venice. I'm here for the 14th Architecture Biennale, directed on this occasion by Rem Koolhaas -- the Dutch, Pritzker prize-winning powerhouse who, over 40 years, has built notable structures everywhere from Texas to Taipei. This, while maintaining a side-line in serious academia, publishing, journalism and, for good measure, a place on Time magazine's list of the world's 100 most influential people.

We meet under dappled light in a quiet corner of the Giardini -- a sloping, lovingly tended park, split by a canal and dotted with "national pavilions" -- miniature exhibition spaces built by each participating country at various intervals since 1893.

Sat in a fresh white shirt without so much as a bead of sweat on his tanned, furrow-less brow, Koolhaas appears remarkably calm for a man who's just spent the last four years managing this colossal undertaking, often referred to as the "Olympics of Architecture."

"What's unique about the Biennale is that it's based around these national pavilions... so you end up with a global tour of ideas," he says.

There are 65 contributing nations this year -- a jump from 55 in 2012 -- including a refreshing dose of non-western first-timers like Mozambique, the Dominican Republic and Morocco. But what are they showing, exactly?

"Architecture should be open to everything. My whole life has been dedicated to expanding the boundaries of architecture - never considering it a single entity ... Events like the Biennale help to open new possibilities precisely by showing us something other than buildings alone," explains Koolhaas, whose slim, long physique is at odds with the weighty seriousness of his character.

Read more: Astonishing origami exhibit displays dance of art and science

This brings us back to those concrete cows. Guarding the entrance to the neoclassic British pavilion, like quaint, toothless lions, the cows are on loan from Milton Keynes -- the last of the post-war British New Towns -- where they've been serving as unofficial mascots since the mid-70s.

They're the opening gambit of an exhibition that includes a poem by William Blake, a portion of a David Hockney painting and snippets from Stanley Kubrick's A Clockwork Orange; much of it infused around electric indigo depictions of the UK's most iconic housing estates.

For a sentimental Brit like me, it's an exhilarating kaleidoscope of cultural reference points. To echo Koolhaas, it's also a bold reminder that architecture is -- or at least should be - about a great deal more than blueprints, digital renderings and scale models.

"We must accept that it's part of a broader culture," says Dutch architectural historian Wouter Vanstiphout, who co-curated the exhibit alongside British architect Sam Jacob.

The pair contend that culture -- from the romantic traditions of the late 19th century, to the sci-fi visions and imagined utopias popular right through the 20th -- has had a significant influence on British architecture over the last 100 years.

Read more: 7 of the world's most beguiling bus stops

"These images and ideas have shaped the way we live. So what we've really made is an argument -- an argument that the world is something you can change with a fired-up imagination," says Jacob, in what for a moment feels like a rousing call-to-arms.

Like all the national pavilions, the British exhibit is a response to a specific theme, set by Koolhaas, titled "Absorbing Modernity, 1914-2014."

Explaining the idea behind this theme, Koolhaas argues (in fact, he tells me it's more of a "provocation") that modern forces -- particularly those of globalism and advancing technology -- have led to a uniform "international" architecture (glass towers, square blocks and so on) at the expense of more distinctive, traditional styles worldwide.

And so it is that as you stroll from pavilion to pavilion, you encounter all manner of colorful explorations riffing on this idea -- mostly characterized, in fact, by each nation's attempt to show how they are the exception to the rule.

Outside the Romanian pavilion, for instance, a small plantation of old-fashioned alarm clocks stand like black sunflowers on long, rigid stalks. It's an eerily surreal reference to factory life, the clockwork operations of workers, and a precursor to an exploration of the factory as the distinguishing symbol of modernity in Romania.

Over in the Dominican Republic, the floor is smothered in a brilliant bright, multi-colored carpet -- conjuring a sense of the Caribbean nation's vibrant spirit. In contrast, the thrust of the exhibit dwells on the pre-eminence of concrete which, after the catastrophic San Zenon hurricane of 1930, was obligatory for all new construction.

Read more: World's most stylish supercars take a luxury road trip

In this sense, a natural disaster thrust a new mode of architecture onto the island. The result, claim curators Laboratorio de Arquitectura Dominicana, was a distinctive form of modernism -- adapted to the tropical climate with a healthy twist of Dominican flair.

Inside the German pavilion there's a full-size partial replica of the Kanzlerbungalow (Chancellor's Bungalow) in Bonn -- built by architect Sep Ruf in 1964. The Kanzlerbungalow was ubiquitous in the West German media during the tenure of the Bonn Republic, and functioned as the "nation's living room."

Its airy, forward-looking 60s modernism is worlds apart from the formal grandeur of the pavilion itself, which was built during the era of the German Reich.

The result is not only a visceral dialogue between two generations of German architectural history, but a statement about the role of politics in shaping the country's national style.

A hop, skip and jump and we're in the Russian pavilion -- where the curators have turned the ornate building into a spoof international trade fair. In a playful, tongue-in-cheek turn, 20 fictional companies have set up shop across rows of mock sales stands -- most with a dedicated agent -- offering commercial, distinctly Russian-themed solutions to the problems of contemporary architecture.

Read more: Inside the world's biggest furniture fair

A man from "Estetika Ltd" tries to sell me some ornamental gold decorations -- with an unmistakably Russian diagonal lattice shape - to fix on the front of my building, making it "instantly Russian." Nearby there's "PrefabCorp" - a hypothetical merger of all existing Russian prefabricated housing suppliers, and "Ark-Stroy" -- a booth selling above-ground bunkers based on Russian social housing blocks, designed for post-apocalyptic living.

"Trade fairs are the ultimate symbol of modernity" explains co-curator Anton Kalgaev, as he guides me past a series of garish corporate logos. "They all look exactly the same -- they operate by the most universal language you can imagine."

There's a great sense of theater here, and underneath is a well-considered comment on both the state of modern architecture and the means by which new ideas are communicated and sold. As Kalgaev says, "the advantage of using this commercial language to display our exhibit is that it explains complicated things in a very easy way."

The Russian pavilion is perhaps the most direct response to Koolhaas' theme -- distilling key aspects of the country's architectural identity into discreet elements. By transforming them into commodities, they also show how facets of our past must be repackaged in a commercial framework in order to survive modernity.

Looking back to when he first conceived the idea for this Biennale, Koolhaas says that he was struck by how easy it was, when looking at a series of buildings from a 100 years ago, to identify them by nation.

Read more: China's crop of outrageous new hotel designs

Looking at a series of glass towers from around the world today, he says, "Everyone would agree that there are enormous similarities between them and that it would be reasonably hard to identify any of these in terms of national architecture."

If we are to succeed in finding an antidote to the generic, then looking to our own societies must surely be a critical first step. The Biennale succeeds because it places people -- our history, culture and even our bodies -- at the very heart of its thinking. It may not have all the answers, but it's certainly asking all the right questions.

@highlight

The Venice Biennale has been described as the Olympics of Architecture

@highlight

65 nations have contributed to this year's showcase

@highlight

Director Rem Koolhaas has dedicated his life to expanding the boundaries of architecture