(CNN) -- Seeing lightness and color are the simplest sensations the brain has. And yet even at this most basic level we never see the light that falls onto our eyes (called the retinal image) or even the real-world source of that image.

Rather, neuroscience research tells us that we only ever see what proved useful to see in the past. Illusions are a simple but powerful example of this point. Like all our perceptions, we see illusions because the brain evolved not to see the retinal image, but to resolve the inherent "meaninglessness" of that image by continually redefining normality, a normality that is necessarily grounded in relationships, history and ecology.

Which is why we innately find regularities in information and reflexively imbue those regularities with value. But it is the value, not the information itself we see.

So, tomorrow morning when you open your eyes and look "out into" the world, don't be fooled. You're in fact looking in. You're not seeing the world; you're seeing a world ... an internal map of value-relations derived from interactions within a particular, narrow context.

Another essential point about illusions implied in my TED talk is that they reveal our amazing capacity to entertain mutually exclusive internal realities simultaneously.

Learn what TED is all about

For instance, while looking at one of my color illusions (say the multicolored cube) you're aware of one reality: that two tiles look very different, while simultaneously being aware of an opposite reality: that the two tiles are in fact physically the same.

This capacity to be an observer of yourself is phenomenal and possibly unique to humans. Indeed, to literally "see yourself see" is in my view the principal act of consciousness, which has the power to transform one's view of the world and of oneself.

The importance of the above observations stemming from my own work and that of others transcend neuroscience. They show us in an explicit (and I hope engaging) way that our senses are not "fragile," as many would have you believe.

They show us instead that we are not outside observers of nature defined in isolation. We are instead indivisible from nature, defined by the trial and error process of interaction, a process in which we can choose to become active agents (but too often choose not to).

Understanding this point is I believe critical to personal and social well-being, since the typical barrier to a deeper insight into oneself and others is the overriding, but necessarily false impression that what "I" see, what "I" hear and what "I" know is the world as it really is.

But, by "seeing yourself see," in other words by actively exploring how your thoughts, feelings, beliefs and even the colors you see reflect your physical, social and cultural ecology, only then is it possible to understand the source of coherence and conflict within and between individuals.

Put another way, only by accepting my own humanity can I accept the humanity of others. "Seeing myself see" creates the opportunity for this acceptance. Illusions, then, were not the point of my talk, but simply a tool for encouraging this process.

Resolving uncertainty is essential to our survival. Hence our fear of ambiguous situations is palpable -- e.g., the inability to resolve sensory conflict between the eyes and ears can result in nausea (like seasickness). And yet it is only by embracing the unknown within education, science, art and most importantly within our own private lives that we will find new routes to more enlightened ways of seeing and being.

Thus, courage not confidence is at the heart of this process of actively redefining normality, which is the route to compassion and creativity.

Encouraging this process by celebrating uncertainty is the raison d'etre of my work ... from the science of human and bee perception, to the art of translating images into music, to the design of a glass windmill for primary schools, to the creation of the "My School" educational program (a framework for teaching and architecture that directly supports creativity, community choice and compassion), even to giving a talk at TED.

By providing relevant, tangible and accessible frameworks for others to take part in the process of discovery, I hope -- in a very modest way -- that my work will help foster a more empathetic view of nature and human nature.

The opinions expressed in this commentary are solely those of Beau Lotto.

@highlight

R. Beau Lotto: We only ever see what proved useful to see in the past

@highlight

But when seeing, we can be aware of one reality and an opposite reality, he says

@highlight

Lotto: To literally "see yourself see" is the principal act of consciousness

@highlight

Lotto's talk first of weekly series on CNN.com: Ted Talk Tuesdays