Beach bums beware: 10% of water samples collected from U.S. beaches failed to meet the government benchmark for swimmer safety, according to a new report.

It's an icky thought, especially considering the popularity of several of the failing beaches included in the Natural Resources Defense Council's 24th annual "Testing the Waters" report.

Beach choices matter: the U.S. Environmental Protection Agency estimates up to 3.5 million people become ill from poor water treatment each year, largely because of contact with "raw sewage from sanitary overflows."

"Sewage and contaminated runoff in the water should never ruin a family beach trip," said NRDC senior attorney Jon Devine in a statement. "But no matter where you live, urban slobber and other pollution can seriously compromise the water quality at your favorite beach and make your family sick."

So which beaches are "superstars" and which are "repeat offenders"?

Here's the good, the bad and the ugly.

The good

At 4%, the eastern coastline comprised of beaches in Delaware, Maryland and Virginia boasts the lowest failure rate of beach water samples in the country.

All samples were tested against the new EPA water quality standard, called the "Beach Action Value."

For individual states, Delaware, New Jersey and New Hampshire tied for the top marks, each with a 3% failure rate.

Additionally, the NRDC selected 35 beaches as "superstars" -- meaning popular spots that consistently meet water quality safety thresholds.

These locations spanned 14 states and showed at least a 98% water safety record over five years:

-- Alabama: Gulf Shores Public Beach in Baldwin County, Gulf State Park Pavilion in Baldwin County, Dauphin Island Public Beach.

-- California: Newport Beach in Orange County (one of three monitored sections).

-- Delaware: Dewey Beach-Swedes in Sussex County.

-- Florida: Bowman's Beach in Lee County, Coquina Beach South in Manatee County, Fort De Soto North Beach in Pinellas County.

-- Georgia: Tybee Island North in Chatham County.

-- Hawaii: Hapuna Beach State Recreation Area on the Big Island, Po'ipu Beach Park on Kauai, Wailea Beach Park on Maui.

-- Massachusetts: Singing Beach in Essex County.

-- Maryland: Point Lookout State Park in St Mary's County, Assateague State Park in Worcester County.

-- North Carolina: Ocean Pier at Main Street and Sunset Boulevard in Brunswick County, Beach at Cape Hatteras Lighthouse in Dare County, Ocean Pier at Salisbury Street at Wrightsville Beach in New Hanover County, Ocean Pier at Ocean Boulevard and Crews Avenue in Topsail Beach in Pender County.

-- New Hampshire: Hampton Beach State Park in Rockingham County, Wallis Sands Beach at Wallis Road in Rockingham County, Wallis Sands State Park in Rockingham County.

-- New Jersey: Washington (Margate) in Atlantic County, 40th Street (Avalon) in Cape May County, 40th Street (Sea Isle City) in Cape May County, Stone Harbor at 96th Street in Cape May County, Upper Township at Webster Road in Cape May County, Wildwood Crest at Orchid in Cape May County, Broadway (Point Pleasant Beach) in Ocean County

-- New York: Long Beach City in Nassau County.

-- Virginia: Virginia Beach at 28th Street in Virginia Beach County, Virginia Beach at 45th Street in Virginia Beach County, Back Bay Beach in Virginia Beach County, Virginia Beach -- Little Island Beach North in Virginia Beach County.

-- Washington: Westhaven State Park, South Jetty in Grays Harbor.

The bad

The new "Beach Action Value" resulted in a significant increase in failure rates in 2013, especially in certain states.

The Great Lakes region had the highest rate of beach water impurities, with 13% of all samples failing to pass safety standards. The region was also home to the worst individual state offender, Ohio, which posted a 35% failure rate.

Next closest states were Alaska and Mississippi, with 24% and 21% failure, respectively.

Under the old, less-stringent standard, 7% to 8% of beaches failed to meet water quality standards. This year, the number jumped to 10%.

The report detailed the disastrous effects swimming in infected waters could have.

"Beach water pollution nationwide causes a range of waterborne illnesses in swimmers including stomach flu, skin rashes, pinkeye, ear, nose and throat problems, dysentery, hepatitis ... and other serious health problems," it said. "For senior citizens, small children and people with weak immune systems, the results can even be fatal."

The ugly

Some beaches just don't get the hint.

Over the past five years of analyzing over 3,500 beach water samples, the NRDC has identified 17 U.S. beaches that have "consistent contamination problems."

To qualify for this "repeat offender" list, a beach has failed to meet public standards for water quality more than 25% of the time since 2009 -- a dubious distinction.

Here they are:

-- California: Malibu Pier, 50 yards east of the pier, in Los Angeles County

-- Indiana: Jeorse Park Beach in Lake County (both monitored sections): Lake Jeorse Park Beach I, Lake Jeorse Park Beach II.

-- Massachusetts: Cockle Cove Creek in Barnstable County.

-- Maine: Goodies Beach in Knox County.

-- New Jersey: Beachwood Beach in Ocean County.

-- New York: Main Street Beach in Chautauqua County, Wright Park -- East in Chautauqua County, Ontario Beach in Monroe County.

-- Ohio: Lakeshore Park in Ashtabula County, Arcadia Beach in Cuyahoga County, Euclid State Park in Cuyahoga County, Noble Beach in Cuyahoga County, Sims Beach in Cuyahoga County, Villa Angela State Park in Cuyahoga County, Edson Creek in Erie County.

-- Wisconsin: South Shore Beach in Milwaukee County.

What you can do

Strictly swimming in "superstar" beaches would be a plus, but the NRDC has other recommendations on how to remain safe in troubled waters.

Here are two suggestions:

-- "Stay away from beaches with visible discharge pipes and avoid swimming at urban beaches after a heavy rainfall."

-- "A good rule of thumb is to avoid swimming at the beach for at least 24 hours after it rains and 72 hours after heavy rains."

For the full list of tested waters, policy recommendations to improve quality and a ZIP code searchable map, go to http://www.nrdc.org/beaches.

@highlight

Report: 10% of water samples from U.S. beaches fail standards for swimmer safety

@highlight

Thirty-five beaches rated as "superstars" for water quality

@highlight

Seventeen beaches labeled as "repeat offenders" for continuous violations