More than a week after Superstorm Sandy devastated the New York metropolitan area, some commuters will regain something of a sense of normalcy Wednesday morning.

The Holland Tunnel is set to reopen to all commuter traffic at 5 a.m., according to a joint news release from New York Gov. Andrew Cuomo and New Jersey Gov. Chris Christie. On an average weekday, the release says, about 91,000 vehicles use the tunnel, which passes under the Hudson River between Manhattan and Jersey City, New Jersey.

But for thousands of Sandy's victims, normalcy and reality are far apart.

Tired, homeless and emotionally drained, 76-year-old Frank Gissi was not planning to vote Tuesday.

The storm-battered ex-New York City cop is among the hundreds of displaced residents in the coastal Staten Island neighborhood of New Dorp with far more basic needs.

"I'm sick, crying," he said, eight days after Superstorm Sandy knocked out power and swept away homes.

"I lost everything."

The storm that broke records -- and hearts

Overall, more than 139,000 Staten Island households were affected by Sandy, and thousands there were among about 80,000 New York-area customers still lacking power Tuesday night, according to Con Edison, New York City's largest utility company.

Elsewhere, Mayor Michael Bloomberg visited the hard-hit Rockaway neighborhoods of Queens, where sanitation workers continued to clean up downed trees, utility poles and homes.

According to the latest count, Sandy has claimed 110 lives across the Northeastern United States. Next, freezing temperatures, lingering power outages and an incoming low pressure system could make matters worse.

"Now if the snow comes in heavy, we're cooked," Gissi said.

Related: Polling places both 'inspiring' and 'insane'

Tuesday morning brought life-threatening cold across the New York metropolitan region, with temperatures dropping into the 20s.

Across the entire region hit by Sandy, nearly 9,000 storm survivors spent Monday night in public shelters, the Red Cross told CNN, while others slept in cars or stayed with family or neighbors.

Forecasters predict rain will move in early Wednesday and will gradually become heavier, bringing 2- to 4-foot storm surges and up to 45 mph wind gusts. The weather will get worse, CNN meteorologists say, with daytime temperatures hovering in the 40s.

"Mother Nature is not cooperating, and this will complicate the restoration effort," said John Miksad, Con Edison's senior vice president of electric operations.

At night, it could again get down to the 20s, leaving those without shelter in potentially deadly circumstances, while a renewed risk of floods again plagued the region.

Related: Salvaging smeared memories in Sandy's wake

"A lot of these beaches have had their sand eroded" by Sandy, creating flood risks in areas that typically do not have them, said Bloomberg, who ordered all parks, beaches and playgrounds closed by noon Wednesday.

More than a week after the storm hit, officials painted a picture of a recovery that left many survivors disappointed. In New Jersey, 566,000 customers were without power, Gov. Chris Christie said.

"It is like a war zone down there," he said, referring to places such as Mantoloking in Ocean County, where heavy flooding and fires wiped out large sections of the town.

At least 20 homes burned to the ground there, mirroring a similar incident in Breezy Point, a neighborhood in Queens New York City, where a cluster of more than 100 houses caught fire during the storm.

Related: Five ways to help kids cope with disaster

"We don't know what to expect for the flooding situation as the shorelines have been changed," Christie said. "For many of them, the dunes are gone. So moderate flooding under normal conditions become major in these conditions."

During the past six days, power has been restored to some 2.1 million customers, he said. But, "2.1 million people with power back doesn't mean a damn to you if you don't have your power back," Christie told reporters. "I want to see that 566,000 number come down to close to a quarter of a million by end of the day today, if we could. That's the goal."

New Jersey's largest power provider, PSE&G, said it made a dent in that number Tuesday, restoring power to nearly 90,000 of its customers between 6:30 a.m. and 9:45 p.m.  The utility company said it has restored power to about 87% of storm-hit customers so far. "We hope to have 90% of customers restored by tomorrow morning," the company said on its website earlier Tuesday.

In New York, Gov. Andrew Cuomo said the number without power across the state Tuesday was 350,000. As many as 20,000 households across New York City and Westchester are not expected to back online by the weekend because of internal electrical damage to their homes, officials said, though Con Edison tweeted Tuesday afternoon that its crews had restored power to 80% of its Westchester customers.

And many of those hunkering down in the dark were stocking up on blankets and fueling their generators on Tuesday as the wintry weather moved closer.

"With this storm coming in, everyone's a little bit nervous," said Kevin King, a 41-year-old Maplewood, New Jersey, resident who was still without power.

"I've got twin preemies (premature infants) being released from a neonatal care unit and no power," he said. "I can't leave the area right now, I have to stay local."

Downed power lines and toppled utility poles still littered Maplewood streets, and King said PSE&G has frustrated residents by constantly shifting timetables of when restoration could be expected.

"If I knew it was going to be two weeks -- I know that's bad -- but at least you can plan for it," he said.

The PATH train between New Jersey and New York restarted limited service under the Hudson River Tuesday, after having been shutdown ahead of the approaching storm last week, while long, slow-moving lines stretched around polling stations across New York City.

Elections Commissioner J.C. Polanco called it "an interesting day" after the Board of Elections temporarily relocated or combined some polling locations because of storm damage.

Related: Powerless in New Jersey

But bigger concerns loomed over the incoming nor'easter predicted for later Tuesday, albeit a far less severe storm than Sandy.

"When it rains, it pours. When it storms, you get more storms," Cuomo said.

A nor'easter is a strong low pressure system with powerful northeasterly winds coming from the ocean ahead of a storm.

"What has compounded the problem has been the quote-unquote 'panic buying,' " Cuomo added, referring to long lines that continue to wrap around gas stations as residents frantically stockpile reserves.

In Staten Island, resident Katie Fairley, 25, said people were still sleeping in their cars.

She said it felt like Staten Islanders had been forgotten, leaving them largely to fend for themselves.

"Thank God, we have each other here."

Waiting out the storm

@highlight

The Holland Tunnel between Manhattan, New Jersey is slated to reopen Wednesday

@highlight

A new storm "will complicate the restoration effort," a Con Edison VP says

@highlight

As many as 20,000 households are not expected to back online by the weekend

@highlight

At least 20 homes burned to the ground in Mantoloking, in Ocean County, New Jersey