(CNN) -- The political infighting in Washington took on global importance Thursday when the ratings agency Standard & Poor's released a report saying it would downgrade the world's largest economy's credit rating if a deal to raise its debt ceiling is not agreed on soon.

This comes after similar warnings from Moody's and Finch -- who, along with S&P, are known as the "Big Three" global credit ratings agencies.

Meanwhile, European Union markets reeled this week after Moody's recent credit downgrades of Ireland, Greece and Portugal -- heightening fears that the EU debt crisis will hit the larger economies of Italy and Spain.

Government officials on both sides of the Atlantic have railed against the agencies. So how did the global economy become so dependent on the opinions of three companies?

Who are the credit rating agencies?

The "big three" are Standard's & Poor's, Moody's Investor Services and Fitch Ratings. All originated in the United States, although Fitch has dual headquarters in New York and London.

What do they do?

Before you can get a credit card, banks run a credit check on you. Similarly, the ratings agencies run credit checks on companies, countries and financial products.

Countries are rated on a sliding scale: the U.S., for example, has a top rating (AAA) which allows it to borrow cash at cheap interest rates. The lower the rating grade, however, the higher interest payments a nation must pay to attract investors to buy its bonds. Anything that slips to junk status -- as Ireland, Portugal and Greek government bonds are rated -- is considered a "highly speculative" investment. Furthermore, the pool of eligible investors is reduced -- many institutional investors, such as government pension funds, are forbidden to invest in junk-rated bonds.

Why do they wield such power?

Investors across the world look to credit rating agencies to judge where to place their bets in the market. For governments, the ratings agencies have a lot of power over the popularity of bonds: cash given to governments by investors that, over time, will pay a return on the original investment -- unless the government defaults. The downgrade of Ireland this week signaled Moody's belief that Ireland has a higher likelihood to default on investments. And global investors have little appetite to invest in those bonds.

What does a debt rating downgrade mean?

The decisions of the "Big Three" catalyze market moves in often unpredictable ways, creating a strong ripple effect. In the wake of the Greece downgrade last year, for example, investors across the globe started rethinking investment in other governments' bonds and began selling off more risky investments -- throwing the EU into crisis and depressing the value of the euro.

There was a similar psychological ripple through the markets this week after Moody's recent downgrades of Ireland and Portugal -- it put the spurs to Italian lawmakers to pass deep cuts in government spending on Thursday and turning up the heat on Washington lawmakers to extend the debt ceiling.

How are ratings agencies paid?

Historically, they were created to give investors an unbiased assessment of investments and investors paid for access to the ratings. In the 1970s, however, credit rating agencies started charging the issuers of new investments fees for ratings. In 1975, U.S. legislators -- fearing a proliferation of unscrupulous ratings agencies -- designated Standard & Poor's, Moody's and Fitch as the only ratings organizations banks and brokers could use to evaluate the credit worthiness of their products.

What are the complaints against the firms?

Critics complain the agencies have lost their ability to independently judge the risk on certain investments -- especially in light of AAA ratings given to mortgage-backed securities that imploded when defaults on U.S. home loans shot up, triggering the financial crisis. Critics also note that the agencies are paid by the very entities they rate, raising questions about their trustworthiness.

"No nation, agency or organization has the authority to dictate terms to the United States Government," U.S. Congressman Dennis Kucinich, D-Ohio, said on Wednesday after Moody's placed the U.S. on review for a possible downgrade.

"Moody's is representing people who stand to gain from the U.S. being able to issue more financing. This is an unwarranted interference in the political process and continues to raise questions about conflicts of interest among the rating agencies."

In a speech Monday in Paris, Michael Barnier, a member of the European Commission in charge of Internal Market and Services, said: "We need to be more demanding when it comes to how credit ratings agencies rate sovereign debt.

"These ratings play a crucial role not only for the rated countries but for all our countries: a downgrading has the immediate effect of making a country's borrowing more expensive, it makes states weaker, and there are possible effects of contagion on neighboring economies."

The agencies say they have revamped their procedures since the credit crisis. They also argue their ratings are merely opinions -- protected by free speech laws -- and ultimately, it's up to the markets to decide.

@highlight

"Big Three" are Standard's & Poor's, Moody's Investor Services and Fitch Ratings

@highlight

Rating agencies downgrade pressure felt this week from Washington to Rome

@highlight

Critics on both sides of the Atlantic say the agencies have too much power

@highlight

Agencies say they only give opinions on credit; choices ultimately up to investors