(CNN) -- Gore Vidal was a man of immense literary talent, some of which he used well, some of which he wasted. His essays are widely thought to be his best work. Two of his historical novels, "Burr" and "Julian" are gems. The more widely read and prize-winning "Lincoln" ruffled Lincoln scholars and many Americans, who objected to Vidal's depiction of our 16th president as a ruthless proto-fascist intent on crushing the South and transforming the small government American republic into a version of Bismark's Germany.

But Vidal loved to be a polemicist and he valued imagination and vision, especially his own, more than he valued fact.

Indeed his great talent for satiric wit, which perhaps brought him more fame than either his writing or his brief political career, exhibited how much more he valued wit than truth.

His death removes a man who loved his country so much that sometimes he hated it, and who loved no one, even himself. Love was not a feature of human life that he had much interest in or sympathy for. He was mainly preoccupied with power and justice in the individual life, in the community and in the historical perspective. He was not shy about saying that behind his icy exterior was an icy interior. Shy is the wrong word. He was not shy about anything.

I got to know Gore Vidal quite well, up front and personal, his magnificent strengths and his appalling, almost other-worldly weaknesses. One day in the mid-1990s I got a call from Vidal's literary executor, asking if I would be interested in writing his biography. The idea excited me. All my biographical subjects had been long dead literary greats. Gore had looked at my bios of Dickens and Henry James. He liked the idea of being in such company.

News: Gore Vidal, chronicler of American life and politics, dies

Still, I hesitated. Vidal had the reputation of being a man used to getting his way. What if he attempted to exercise control over the manuscript and to pressure me to write it to suit him? At my request and on the basis of a draft I provided, he wrote a letter stating that he would give me complete cooperation and not attempt at any stage to vet the manuscript. He would not see the book until it was published.

As soon as we could clear our schedules, we began six months of intensive interviews at his home in Ravello and on the phone. He enjoyed fine dining and drinking, and he was disappointed that at the time I was a nondrinker. He made up for my abstinence, and the Gore who verged on alcoholism and who went to fat farms to work off dozens of pounds before doing a book tour called me at any hour, his speech slightly slurred, to make another point or simply to talk.

Opinion: My friend, il maestro Gore Vidal

He was not a conversationalist. He was a magnificent monologist. With a deep, mellifluous voice, a sharp witty tongue and a wide range of anecdotes about himself and famous people he had known and knew, he commanded the stage. At his best he was riveting, though often with a touch of the pompous.

For Gore, charm and charisma, like his voice, were tools in an arsenal. He had a deep, unquestioned faith in his ability to get his own way. Where he succeeded most was in his writing and his spontaneous interviews. In his attempt at a political career, pursuing the nomination of the Democratic party for the governorship of California in 1982, his tools failed him. Charm and charisma didn't work. He was too much the cultured patrician to be a viable candidate. There was no way he could be elected to high office.

News: A dozen thoughts from Gore Vidal

He made another misjudgment when he moved to Italy in the late 1960s. He could never understand why Norman Mailer and Truman Capote had more presence on the American literary scene than he did. It was, I suggested, because he lived in Italy. In the pre-Skype days, that was like living on another planet. Americans want their writers to be in America. He preferred the attractions of Italy.

Vidal also preferred to pay for sex. He met his long-time companion, Howard Austen, in a New York bath house. He later stated a number of times that they never had sex, which is why they could have such a long relationship. Vidal was vain and delighted in his physical good looks until he lost them. He loved to be photographed. Whatever room he walked into, he thought himself the most important man in the room. He sometimes was not, but he was usually the most interesting.

Coldness, narcissism, pomposity, the preference for wit and personal vision above truth, his love of celebrity and celebrities -- all that fades away, as do the failings of the two writers he felt most competitive with and trashed often, Mailer and Capote.

What remains is a large body of literary work: the insignificant but respectable work for stage, movies and television; the paranoid political fulminations of his later years; the wonderful variety of historical novels; the satiric novels about sex and religion, like "Myra Breckinridge" and "Live from Golgotha;" the imaginative and wicked fantasy novels like "Duluth;" and the wonderful collected essays that reveal a mastery of the essay tone that places him almost in the company of Montaigne and Emerson.

In my own view, he should have stuck to literature, he should not have alienated so many people, he should have given higher value to truth than wit, and he should have found ways to value if not to love those who were ready to love him.

In my case, the tiny affair was over when he called me, just before the biography was to go to press, and demanded to vet the manuscript as if the agreement we had put in writing did not exist. I was disappointed but not surprised. Most of his people relationships ended that way.

But he did have and still has an ongoing significant relationship with literary history, and he deserves more than a footnote, or at least a very long footnote, in discussions of the American scene and American culture between 1960 and 1990.

The opinions expressed in this commentary are solely those of Fred Kaplan.

@highlight

Fred Kaplan: Gore Vidal had huge literary talent, some well used, some wasted

@highlight

His satire showed how he prized wit, vision over truth, he says. He loved celebrity

@highlight

He says he wrote biography of Vidal, saw his charm, pomposity, inability to love

@highlight

Kaplan: Vidal a brilliant essayist, should have stuck to literature, his enduring legacy