Beijing (CNN) -- A cold case involving the poisoning of a college sophomore in Beijing almost two decades ago has captured the imagination of Chinese communities around the world, landing a petition on the White House website and igniting an emotional debate on the pursuit of justice in China.

Zhu Ling was a chemistry major at the prestigious Tsinghua University, often called "China's MIT," when she started experiencing stomach pain, hair loss and other inexplicable symptoms in late 1994, state-run news agency Xinhua reported in a story published in April.

Doctors eventually diagnosed her with poisoning by thallium, a highly toxic chemical used in rodent and insect poisons. Police investigated one of Zhu's roommates, Sun Wei, but subsequently cleared her as a suspect, Xinhua said. The authorities have so far remained quiet on the case.

Although domestic Chinese media had covered the unsolved mystery in the past, news of a fatal poisoning case at a Shanghai college dorm in April rekindled national -- and even global -- interest in Zhu's story.

In the Shanghai case, police quickly identified the victim's roommate as the suspect and arrested him for alleged murder. As events unfolded in Shanghai, Chinese reporters and Internet users increasingly looked back at the Zhu case and highlighted her plight.

Now almost 40 years old, Zhu remains mostly bed-ridden and appears overweight in recent photos. Once an accomplished musician and avid swimmer, she is practically blind and has the mental capacity of a 6-year-old child.

Was investigation botched?

Amid new outpourings of sympathy, speculation on the investigation abounds across Chinese cyberspace. On Sina Weibo, China's equivalent of Twitter with more than 300 million users, many posts alleged a botched process complete with vanishing crucial evidence and mounting political pressure due to the Sun family's powerful connections.

Sun's grandfather was a high-ranking official in the Nationalist government before the Communist takeover in 1949. He later held senior -- though largely symbolic -- positions in the People's Republic until his death in 1995. Another close relative, a cousin of Sun's father, was considered a national leader from 1993 to 2003 when he was a vice-chairman of China's top political advisory body.

Sun has reportedly made three online statements on Tianya, a popular Chinese Internet discussion forum, according to state media. CNN's efforts to reach Sun and her family Tuesday were unsuccessful.

In 2005, Sun stated that police took her in for questioning in April 1997 because of her access to thallium. She said police cleared her as a suspect in August 1998 due to lack of evidence. Sun added that she was not the only student with access to the toxic substance and denied personal animosity between herself and Zhu. Addressing her family's political connections, she said her grandfather had died by the time she was questioned.

In 2006, Sun said her family had submitted an application to the police on her behalf requesting the authorities re-open the investigation to "find the truth." In April, after the Shanghai poisoning reignited public interest in Zhu's case, Sun resurfaced on Tianya and wrote: "I, more than anyone else, would like to bring the real perpetrator to justice."

Online campaign for 'justice'

Last Friday, with discussion on the Zhu case reaching fever pitch, Weibo started censoring the topic by blocking keywords like "Zhu Ling" and "thallium." The site's action only added fuel to the fire over the continued official silence, especially about whether Sun had any role in the crime.

On the same day, a "Y.Z." from Miami created a petition on the White House's official website, naming Sun -- whose English name is Jasmine -- as the prime suspect in the poisoning case and accusing her of committing marriage fraud to enter the United States. The petition calls for the U.S. government to investigate and deport her "to protect the safety of our citizens."

In less than four days, more than 130,000 people had signed the petition.

Anyone can petition the U.S. federal government online to take action on an issue. According to terms posted on the White House website, a petition must reach 100,000 signatures within 30 days to require a response.

"It's extraordinary to seek another country's help to address a domestic judicial issue," Yao Bo, a Beijing-based political commentator, told CNN. "But if your own government ignores you, I think it's reasonable to see people feel compelled to seek outside pressure to ensure judicial fairness and transparency in their own country."

Other observers oppose what they view as a cyber witch-hunt for Sun.

"The law is about evidence -- you can't convict someone without evidence and not everything is a conspiracy," a U.S.-based user wrote on his Weibo page. "Petitioning the White House without evidence is the ultimate fail -- those people really don't understand the law or American politics."

Zhu's mother speaks out

Weibo has lifted its short-lived ban on the discussion of the Zhu case, as her 72-year-old mother was interviewed by a talk show host on China National Radio on Monday

Recounting her experience of being stonewalled by the police over the years, Zhu Mingxin said the government has rejected the family's request to make the investigation results public.

"I will continue to apply," she said. "I hope to have an answer. I hope to give Zhu Ling an answer."

"Zhu Ling is my child and she is a good child," she added. "In the prime of her youth, she almost lost her life and she's been miserable since. I hate the perpetrator."

Such heart-wrenching words have resonated with the public, prompting many of the so-called "Weibo stars" with millions of followers to retweet Zhu's story and appeal for help. Websites set up by Zhu's supporters home and abroad are attracting new donations for her parents, whose entire lives now focus on caring for their ailing daughter.

Will public attention bring action?

Even the official Xinhua news agency has jumped into the fray, mentioning Sun's "unusual family background" and challenging the police to speak up about the case with concrete evidence in a widely circulated article published Monday.

"Whether or not to re-open the investigation depends on new evidence, but the Beijing police should take a meaningful step forward by breaking their silence," opined the Southern Metropolitan Daily newspaper on its official Weibo page. "Doing so would help not only the victim but also the alleged suspect as well as the police's own credibility."

"In the past few years, people have seen too much injustice in stories posted online -- and the political power's wanton interference in the judicial system," said Yao, the commentator. "Things just erupted when Zhu's case resurfaced."

For Zhu's parents, however, the latest wave of public attention changes little for their daughter.

"I used to hope for a miracle," Zhu's mother said on the radio show. "Now that it's been so long, I just hope to see her conditions improve."

@highlight

Zhu Ling was studying at Tsinghua University in 1994 when she was poisoned

@highlight

Now almost 40 years old, Zhu is mostly bed-ridden and is practically blind

@highlight

Suspicion turned to her roommate who wasn't charged due to lack of evidence

@highlight

A petition to the White House urges U.S. officials to investigate the case