(CNN) -- As the Supreme Court prepares to hear arguments in the constitutionality of the health care reform law, CNN spoke with two experts on opposing sides of the issue.

Ron Pollack is the founding executive director of Families USA, a 30-year-old nonprofit supporting "the achievement of high-quality, affordable health care for all Americans." The group worked with the Obama administration and members of Congress to help pass the Affordable Care Act.

(Karen Harned of the National Federation of Independent Business is against the health care reform law. Read her viewpoint here).

The following interview with Pollack is edited for clarity and brevity:

CNN: From your perspective, what does the Affordable Care Act accomplish?

Pollack: "ACA moves us very close to achieving health coverage for everyone. The only people who would be excluded would be people who immigrated to the country and do not have documentation. Those who currently have coverage in the workplace will continue to do so. In fact, small businesses, which have the greatest difficulty paying for health care coverage for their workers, are already receiving tax credit subsidies to make such employer-supported insurance more affordable."

Preview: 'The implications ... are impossible to overstate'

CNN: What is your message to the Supreme Court as they take on this legal challenge?

Pollack: "I think that the claims that have been made challenging the constitutional validity of different portions of the ACA are very weak claims. It's my hope that the justices protect the law and allow the law to go into effect. It's reform that's way overdue, it really is going to help the American public, even if much of the public is not even aware of the provisions that have yet to be implemented. And it's my hope that the court allows these provisions to go into effect. I think as these provisions do, they will be very popular."

CNN: Does the fact it is an election year make this health care issue more politically charged?

Pollack: "We took 16 of the key elements of the ACA and compared them to the Massachusetts health reform [supported by then-Gov. Mitt Romney, now a leading Republican candidate for president], and they're virtually identical. This criticism of the ACA is more political than it is substantive. The reforms that were adopted in Massachusetts truly were a model for the ACA and even Gov. Romney at one point not too long ago indicated that he thought it would be a good model for the nation.

"Much of the ideas that are not considered controversial were ideas that were originally introduced by Republicans. Having this new marketplace called exchanges -- that's a Republican idea. It's creating a private marketplace for private insurance. I don't think that, innately, these are controversial items. They've become controversial because of the politics of the moment. If President Obama supports something, Republicans will oppose it, not because they opposed it in the past."

CNN: What are some of the major changes?

Pollack: "50 million uninsured -- most people can't grasp that figure -- will get coverage in two main ways. The law provides for an expansion of the Medicaid program. If you either live alone or in a household that has income below 133% of the poverty level, then you will be eligible for Medicaid. In 42 states, you could be penniless and not qualify for coverage -- adults with no children. The ACA creates a floor under which nobody can fall.

Two families, two viewpoints on health reform

"The second change is for people with incomes just above 133% [of the poverty level]. For many of those people, it's unaffordable -- $14,000 on average for family coverage. The new law allows you to go into a new private marketplace -- called exchanges -- and you can select an insurance plan that's in the exchange. You will get a tax credit subsidy to make the premiums more affordable.

"Right now, people seeking insurance when they have pre-existing conditions, are told: 'We're not going to sell insurance to you.' Or if they can get insurance: 'We're not going to cover the condition that drove you to desire the coverage. We're not going to cover your diabetes, your asthma.' That affects huge numbers of people. The people who need insurance the most are going to get this protection. The companies also cannot charge discriminatory premiums.

"A huge portion of the population that has insurance is limited on how much the insurance will pay out. Those limitations come in two forms -- we're not going to pay out more than 'x' number of dollars per year, and we're not going to pay more than 'y' dollars over the life of the insurance policy. The ACA eliminates both of those.

"A significant portion of the premium does not actually go to your health care -- instead [it goes] to advertising and marketing, administrative costs, agents' fees, profits. The ACA now places limitations on how much can be spent for those nonhealth benefit costs from your premium dollars. For small plans, at least 80 cents on the dollar must be spent on actual coverage. For larger plans, it's 85 cents on the dollar. The law is going to create some cost efficiencies."

CNN: You argue seniors also benefit under the law.

Pollack: "There are a host of insurance market reforms that are very valuable. For senior citizens , you don't think of them as uninsured. However, seniors have significant gaps in coverage. Two of the most prominent gaps are dealt with in the ACA.

"For prescriptions, three-quarters of the cost is covered. Then around $2,500, you go into a no-coverage zone, euphemistically called the 'doughnut hole.' At that point, you're on your own. The ACA eliminates that hole in coverage.

"Medicare requires out-of-pocket cost for preventive care. Now there's no out-of-pocket costs. It tries to move Medicare from a sick-care coverage to a health-care coverage. You can get you checkup each year, tests, screenings, that some people don't get because they have to pay out of pocket and as a result, the condition does not get diagnosed in a timely manner."

@highlight

Ron Pollack is the founding executive director of advocate group Families USA

@highlight

Pollack: "ACA moves us very close to achieving health coverage for everyone"

@highlight

He says criticisms that the health law is unconstitutional are "very weak claims"

@highlight

People with pre-existing conditions need the law's protections, Pollack says