Water tests after a chemical spill in West Virginia are encouraging, the governor said, but it's unclear when people might be able to use their taps again.

About 300,000 residents in nine counties in the southwest section of the state can't use tap water.

"Our team has been diligent in testing samples from throughout the affected area. The numbers look good and, like last night, they are very encouraging. I believe that we're at a point where we can say that we see light at the end of the tunnel," West Virginia Gov. Earl Ray Tomblin told reporters Sunday.

Jeff McIntyre, president of West Virginia American Water -- a company affected by the spill -- said that officials will begin lifting the water bans by zone. Certain areas will be prioritized, including downtown Charleston, but decisions will also depend on test results.

He declined to put a timeline on when the do-not-use orders will be lifted.

"I don't believe we're several days from starting to lift, but I'm not saying today," McIntyre said.

Officials have warned water customers to watch for symptoms of exposure to the chemical, which is used to clean coal, such as skin irritation, nausea, vomiting or wheezing.

Karen Bowling, secretary of the state's Department of Health and Human Resources, said Sunday that more than 1,000 people had called the West Virginia Poison Center, concerned about their exposure to contaminated water. There have also been more than 60 animal exposures reported.

A total of 10 people have been admitted to three hospitals, none in serious or critical condition, and 169 patients have been treated and released from emergency rooms, Bowling said.

Water restrictions were imposed Thursday after it was discovered that about 7,500 gallons of a chemical used to clean coal --  4-methylcyclohexane methanol -- had leaked out of a storage tank a mile upriver from the West Virginia American Water plant.

Residents were told to use bottled water to wash hands, brush teeth or take showers.

The federal Department of Homeland Security sent 16 tractor-trailer loads of bottled water to help and the water company also provided truckloads.

The medical impact was hard to assess.

"We've had a lot of worried-well calls," Dr. Rahul Gupta of the Kanawha-Charleston Health Department said over the weekend. He cited complaints of irritation of the skin, throat, chest and stomach that some residents have linked to possible exposure.

The unknowns made residents anxious.

"They don't even know what the health risks are," Stacy Kirk of Culloden told CNN affiliate WSAZ. "We had bathed, cooked and everything right before the news came on yesterday."

"I don't know anything about the chemical to say too much good or bad about it, so we're all up in the air," said Arthur Taylor. "We're common folks -- we're not chemists."

No quick fix for water woes

Anxiety about effects of chemical

Water company spokeswoman Laura Jordan urged people to get medical attention "if they are feeling something ... isn't right."

Many did just that.

"Our emergency rooms have been very busy with individuals unnecessarily concerned and presenting no symptoms," said the Charleston Area Medical Center.

Dr. Robert Maha, chief medical officer for MedExpress, a group of seven medical clinics in the area, said many patients sought treatment for symptoms they worried were tied to the chemical exposure.

He said the water crisis may contribute to the spread of flu because people are having a difficult time finding clean water to wash their hands.

"That's one of our biggest concerns for the community," Maha said.

The goal: Less than 1 part per million

Officials will know that the water is safe for more than firefighting and toilet flushing -- its only sanctioned uses now -- when tests find less than 1 part per million of 4-methylcyclohexane methanol in treated water, said McIntyre, with West Virginia American Water.

Four laboratories have been set up to measure the levels in a uniform manner. "The treatment plant must consistently produce samples at or below this level before the current do-not-use order is lifted," he said.

West Virginia National Guard  Maj. Gen. James Hoyer said Sunday that sampling and testing at the water treatment facility showed a consistent number of below 1 part per million for 24 hours at the outflow of the facility.

"This allows us to move forward to the next phase of sampling and testing throughout the system," he said.

Though the water woes since Thursday have led scores of businesses to close, Gupta said that some restaurants were reopening after devising alternative plans.

The problem affected people of all ages.

"I'm here to get some water for the baby because she has to make formula," Deborah Williams, who was caring for a granddaughter in Culloden, told WSAZ. "Right now, we're in desperate need of washing baby bottles and filling them up."

7,500 gallons leaked

The chemical overflowed a containment area around the tank run by Freedom Industries, which supplies products for the coal-mining industry. It migrated over land and through the soil into the river. The leak happened about a mile upriver from the West Virginia American Water plant.

Mike Dorsey, chief of the Department of Environmental Protection's Homeland Security and Emergency Response group, said officials estimate that 7,500 gallons -- the equivalent of about 10 hot tubs that can accommodate eight people each -- leaked through a 1-inch hole in the tank's stainless steel wall.

"It's an old system," he said about the physical plant, adding that the company had planned to upgrade it.

C.W. Sigman, the deputy emergency manager for Kanawha County, said the tank appeared to be "antique."

"When I see a riveted tank I know it's an old tank," he said.

Dorsey expressed confidence that the chemical, which smells like licorice, did not start leaking long before Thursday morning, when it was reported. "We would have gotten odor complaints earlier than that if it had been going on longer," he said.

After concluding late Thursday afternoon that the tap water was contaminated, officials issued a stop-use warning to customers in Boone, Cabell, Clay, Jackson, Kanawha, Lincoln, Logan, Putnam and Roane counties.

Since then, the offending material has been hauled from the site, officials said.

Some residents have directed their anger at Freedom Industries, the coal industry company from whose storage tank the chemical leaked.

"It's caused us more problems than you could ever imagine," said Danny Jones, the mayor of Charleston, the state's capital and most populated city. "It's a prison from which we would like to be released."

Kanawha County Commission President Kent Carper told CNN on Saturday that more than 100,000 customers were affected, bringing the number of people affected to about 300,000.

"It was scary because I went to brush my teeth this morning, and I went to turn the water on, and it was like, you can't turn your water on yet," Evelyn Smith of Rand said. "You have to change your mindset of how you do things right now."

An investigative team from the U.S. Chemical Safety Board on Saturday deployed to the scene of the spill. The CSB is an independent federal agency charged with investigating industrial chemical accidents.

Freedom Industries President Gary Southern said two Freedom employees noticed material leaking from a storage tank into a dike around 10:30 a.m. Thursday. They contacted authorities and began the cleanup process -- including hauling away the chemical still in the tank and vacuuming up some from the nearby ground, he said.

"We have mitigated the risk, we believe, in terms of further material leaving this facility," he said.

But Sigman, the emergency management official, said it didn't appear the company was in emergency mode when his team began to arrive Thursday.

"They didn't appear to understand the magnitude of the incident at the time, and we didn't either because we just got there," he said, adding that investigators from the Environmental Protection Agency had also arrived and took the lead in the investigation.

"It took a little bit of time to get a determination how serious it was," he continued. "I never got a good indication from the plant folks how bad the leak was, how much was going to the river, anything else. It was probably a little ways into the incident before we realized how bad it was getting into the river."

@highlight

Gov. Earl Ray Tomblin says he can see light at the end of the tunnel

@highlight

10 people have been admitted to hospitals, none in serious or critical condition

@highlight

A chemical used to clean coal has polluted water in southwestern part of the state

@highlight

So far only a few people have been hospitalized, but 300,000 can't use tap water