Editor's note: Dina Habib Powell, global head of corporate engagement at Goldman Sachs, served as U.S. assistant secretary of state for educational and cultural affairs from 2005 to 2007.

Dina Habib Powell says there are encouraging signs the world is ready to invest in empowering women.

NEW YORK (CNN) -- As we mark International Women's Month in March, it is encouraging to see that the movement to recognize the vital role that women play in families, nations and economies has been building for more than a decade and that developments in the past few years have shown that real progress has begun to take hold.

On the heels of International Women's Day, President Obama said Monday, "we will not sow the seeds for a brighter future or reap the benefits of the change we need without the full and active participation of women around the world."

He also recently announced the creation of a new position, ambassador-at-large for global women's Issues, at the State Department.

To fill this critical role, the president nominated Melanne Verveer, a widely respected women's advocate and former top aide to then first lady Hillary Clinton.

Verveer was a founder of Vital Voices Global Partnership, an organization committed to empowering women and recently co-chaired by Secretary Clinton and Sen. Kay Bailey Hutchison, R-Texas.

There has also been very recent progress on Capitol Hill. Last month, the U.S. Senate created a Foreign Relations subcommittee that will focus on the global status of women, led by Sen. Barbara Boxer, D-California.

The efforts have been a bipartisan priority for our leaders. In 2008, then-Secretary of State Condoleezza Rice successfully led the effort in the U.N. Security Council to officially recognize rape as a weapon of war. And in 2001, Laura Bush used the first presidential radio address ever given by a first lady to focus international attention on the plight of women in Afghanistan and used her influence to protect and empower women around the world.

Critical strides are also being made globally. In Rwanda, a country devastated by genocide, women have become a key part of the nation's rebirth. Under the leadership of President Paul Kagame, more than half of the parliament is made up of women. In Liberia, President Ellen Johnson-Sirleaf made history when she became the first female president on the African continent.

In the Middle East, Kuwait has emerged as a leader in women's suffrage and political participation. And in the United Arab Emirates, women such as Sheikha Lubna Al Qasimi, minister of foreign trade, have been trailblazers for progress throughout the region.

This social change is being promoted at the United Nations, where Secretary-General Ban Ki-moon recently noted that the protection, education and empowerment of women and girls are among the most important ingredients to achieving all other Millennium Development Goals.

Such consensus should not be surprising as study after study has found that investing in the education of women improves lives.

Every extra year of girls' education can reduce infant mortality by 5 to 10 percent. In Africa, children of mothers who receive five years of primary education are 40 percent more likely to live beyond age 5. And multicountry data show educated mothers are about 50 percent more likely to immunize their children than uneducated mothers are.

But one of the most important developments of recent years has been the increasing amount of research that shows investments in women can offer not only social benefits, but also real economic growth. A growing body of evidence highlights the economic advantage of educating and empowering women.

The private sector has seized on this data. There is now broad consensus that investing in women is not only just good social policy, it is "smart economics," as Bob Zoellick, president of the World Bank, says.

Toward that end, the World Bank has convened a Private Sector Leaders Forum with companies committed to these issues, such as Standard Chartered, Cisco, PricewaterhouseCoopers, Ernst & Young, Carlson and Nike.

My own firm, Goldman Sachs, published two critical pieces of research, "Womenomics" and "Women Hold Up Half the Sky," which found that investments in women -- through increased education and labor force participation -- can lead to real economic growth in developed and developing countries.

Specifically, this research found that a 1 percentage point increase in female education raises the average level of gross domestic product by .37 and raises annual GDP growth rates by .2 on average.

Such findings led to the development of 10,000 Women, an initiative that is working with a global network of leading academic and nonprofit partners to provide women at home and abroad with quality management and entrepreneurial education.

This education is helping to create a greater number of female-owned small and medium enterprises, and a new generation of leaders poised to have exponential impact.

One recent graduate of the program, Tuokpe Esisi, a fashion designer from Nigeria, has already increased her revenues, and immediately invested a portion of her profits to provide tutors for the illiterate male tailors she employs. This not only positions her enterprise for greater growth, but is also a perfect demonstration of the multiplier effect of investing in women.

Organizations such as Women for Women International, Camfed and the International Center for Research on Women have long touted this multiplier effect and are supported by private-public partnerships dedicated to the promotion of women leaders.

For example, the State Department, with the help of Vital Voices, instituted a mentoring program for the past four years with Fortune's Most Powerful Women. The program pairs leading U.S. executives -- such as Ann Moore (Time Inc), Pat Woertz (ADM), Helene Gayle (Care) and Anne Mulcahy (Xerox) -- with rising female entrepreneurs in developing countries.

At the dawn of the 20th century, Egyptian poet Hafez Ibrahim said: "When you educate a woman, you create a nation."

Nearly a century later, the cause of women's empowerment has never been more important.

As New York Times columnist Nicholas Kristof recently put it, gender inequality is "the dominant moral challenge we face in the 21st century."

This challenge also presents an opportunity we cannot afford to squander. We should seize this moment and this momentum.

There is tremendous work to be done, but history has shown us that women will not let us down.

They will take up the challenge and build up their families, their villages and ultimately all our nations.

The opinions expressed in this column are solely those of Dina Habib Powell.

@highlight

Dina Powell: As we mark Women's Month, there are encouraging signs

@highlight

Both parties in the U.S. are taking steps to invest in the role of women, she says

@highlight

She says studies show that more education decreases infant mortality

@highlight

Investing in women's education leads to increases in economic growth, she says