Islamabad (CNN) -- On Tuesday, the United States votes to elect its next president. For Americans, the choice is about which candidate will improve the economy, healthcare, the employment rate and ensure better living standards.

However, for Pakistani citizens living in the country's northwest, especially for the 800,000 people in the tribal region of Waziristan, the American election is a question of life and death.

Malik Jalal Khan lives in Datta Khel, a small town in North Waziristan, and is an elder of the Mada Khel tribe. He told me that more than 200 people from his tribe have been killed through the CIA-run clandestine drone program in the last seven years.

Thanks to Pakistani local channels which translated all three presidential debates into Urdu, Malik Jalal has paid close attention to every word uttered by President Barack Obama and Governor Mitt Romney.

Just like these candidates, Malik Jalal is also responsible for the wellbeing of his people. He has to ensure that his tribe's young have stable jobs, children can go to school and sick people are treated in the best possible way. Malik Jalal listened very carefully when Obama said he would further strengthen health care, improve employment, raise taxes on the rich and improve public education. Such promises were doubled by Romney, who said that he would do even better if elected president.

This was all good news for Americans voting in the elections. But when it came to matters concerning Malik Jalal and his tribe's people, there was no good news. Both Obama and Romney promised to continue with drone warfare that has targeted northwest Pakistan if elected.

This means that Malik Jalal still has to live with the fear that any of his tribe's women, children or men like him are all potential targets, as reports suggest the CIA considers every male of able military age a potential terrorist in North Waziristan

It means his 9-year-old will still not go to school due to fear that his school might be targeted by a drone. It means people will still not attend funerals, have large weddings or conduct their fruit export or mining businesses openly.

Drone strikes started under President George Bush but were escalated in real sense by President Obama since he took office in 2009. According to the Bureau of Investigative Journalism, more than 3,300 people have been killed in more than 350 drone strikes during the last nine years.

So far, according to our estimates, these strikes have only killed 41 of the Al Qaeda-linked individuals who were meant to be the real targets of the drone program. No names are known of all the others killed, and the CIA expects Americans to accept their word that everyone killed in a drone strike is a terrorist posing an imminent threat to the United States of America.

In a recent conversation with an American diplomat in Islamabad, I was astonished when he said to me that civilian deaths number only in two digits, according to their records.

I was further shocked when I asked him if he knows about independent sources that report on civilian deaths such as the Bureau of Investigative Journalism, or the recent report compiled by Stanford and New York universities. The diplomat looked completely lost.

Why do American presidents love drone technology? The obvious answer lies in American politics. Any president at war cannot afford large numbers of American soldiers coming back in coffins. But the U.S. would like to keep its hegemony, and drone technology makes this dream a reality. Now the U.S. can wage war anywhere in world without putting American troops on ground, and the resulting loss of political capital. Drone warfare is also keeping the very strong American defense lobby happy and busy with new technology.

But Malik Jalal tells me this does not work for him, his people and certainly not for peace in the region. Policies like drone attacks, extrajudicial murders committed by a state, and covert programs like rendition and secret prisons in timid allied states not only kill people -- they decimate any hope for peace.

These killings help extremists recruit more discontented youth. A person in tribal society who has lost his family members in this manner is bound by the Pashtun honor code -- Pashtunwali -- to retaliate and opt for "badal" (revenge or justice). There is growing anti-American sentiment in regions affected by drone attacks and some people are tempted to resort to illegal means when the system does not deliver justice to them. This discontent is spreading among Muslims. Pakistani-born US citizen Faisal Shahzad is one example of this as he cited drones as one reason for his failed attempt to car bomb New York's Times Square.

Malik Jalal worries when he listens to war-mongering presidential candidates and wonders if he ever will be successful in preaching peace to his kinsmen if the opponent has only contempt, and a message of death for his people. Malik Jalal wishes that Waziris were also able to vote in American elections.

@highlight

Obama and Romney both say they will continue the CIA-run drone program

@highlight

According to one report, the program has killed more than 3300 people in nine years

@highlight

The attacks are breeding resentment against America, says Akbar