Concepcion, Chile (CNN) -- There are days working for CNN when you feel like you are in the final scene of the film "Hotel Rwanda," hurtling toward an uncertain salvation from a disaster of epic proportions.

Fear and frustration are softened by exhaustion. Your heart races, but every other sound is like white noise. You plunge ahead, but also long to return to the comfort of your own life with its own particular frustrations and joys.

That's how it felt pulling out of Concepcion, Chile, where an earthquake sent people gliding across the floors of their own homes, tossed some buildings into pieces and set off frantic unrest among people living without food, water or safety. We had been on an odyssey just to get to the epicenter of this disaster.

We had left behind a documentary project on the Haiti disaster to fly to Miami, Florida, where we turned around and went through Panama; Lima, Peru; Sao Paolo, Brazil; and Buenos Aires and Bariloche, Argentina, before driving through Patagonia into Chile. But we couldn't stay long in Chile without jeopardizing that project.

Full coverage of the Chilean earthquake

Even as this new disaster unfolds, there are still thousands living on Haiti's streets in a crisis of uncommon proportions. A documentary on Haiti's children needs to air while the public is still focused.

Meanwhile, CNN was getting more teams on the ground to help those already here amid tough conditions. Our team of nine journalists and four drivers had arrived in Concepcion to join a few others, but we'd all been stymied by the lack of generators or fuel to power them in a place with no electricity.

We had a mountain of snack food and water, but until we found ways to get electricity, each attempt at making television was a challenge.

Then some of our local drivers confused the cans of extra diesel fuel and gasoline and filled the wrong fuel in the tanks. They spent half a day sucking it out of the vehicles, but then threw out the empty jugs we needed to get refills -- if fuel ever reappeared. It was a comedy of errors that ended up with three of four cars temporarily inoperable.

It was cold with no place to stay, no way to power our cameras or equipment. The CNN logistics folks hustled, getting new people in with fresh supplies and gas. Our Haiti project was looming. We'd have to leave soon. But how?

No fuel means no cars, and this whole region of Chile was at a standstill. The only thing moving was the earth, in constant aftershocks. And we were a 12-hour drive from Santiago, where the only big airport was closed. We hopped aboard one of the cars that still had fuel and headed to a small airport outside town.

Concepcion, city of chaos

It wasn't easy: Whenever you leave a story, a reporter feels enormous guilt. After all, you'd come to tell people what's happening, to hold the authorities accountable, to record history in the making. This town was in crisis, and we were leaving.

As we drove, dozens of people rode around on bicycles dangling fuel cans from one hand, aimlessly searching for ways to power cars and light homes. We dodged barricades put up by residents to discourage looters and around piles of bricks from homes newly damaged from aftershocks. The air smelt like smoke and concrete. Military vehicles and sirens made the only noise.

We expected the tiny airport, which was officially closed, to be empty, but it was abuzz with the displaced. We were not the only ones hoping to leave. Hundreds of people carrying luggage had slept outside the darkened terminal hoping some aircraft would soon land and leave.

The Chilean Air Force was offering rides, so we made our way to Santiago where the Peruvian president had a few police planes offering trips out of the disaster zone to Lima. We boarded the small airplane through the back ramp and saw that this aircraft was meant for cargo, not people. The gray metal "seats" ran along the sides of a curved plane that forced you to curve your back to sit. No big deal, we figured. It's just three hours.

World's biggest quakes since 1900

But on these planes it's not. They have small gas tanks and have to stop to refuel twice. It was cold -- bitter cold -- on the "seats." But everyone was so grateful no one whined, not even the eight or nine children wrapped in jackets much too big for them and tucked into their parents' arms.

We, too, threw on more and more layers --mostly dirty clothes, as we'd been on the road for two weeks. We huddled together. Two hours in, the children onboard needed to pee in a plane with no bathrooms. Plastic bags appeared. There was no way to sit comfortably, and it was soon the middle of the night.

The refueling happened in tiny mountain towns that looked like the surface of the moon. Each time we landed, we'd check e-mail on our quickly dying Blackberries. Another aftershock had hit, this time a strong 6.3.

An e-mail went out from the main coordinating team in Chile, asking each reporting team to check in ASAP. Then, a tsunami warning. Finally, confirmation they are all OK. That was a relief, but word followed of another producer stranded someplace trying to find fuel and a generator to bring to our colleagues in Concepcion. How nerve-wracking. Then, word that someone has found a way to go help them. We pressed on.

Everything on this trip evolved in 12-hour clips, and our trip was no different. We arrived in Lima at 4 a.m., cold and exhausted. Some women kissed the ground, crossed themselves or cried.

Rose's family is at least from Lima, so it's a familiar place to one of us, but it's many hours from home -- and many miles from the last big story.

@highlight

Soledad O'Brien and her team go from one earthquake zone to another

@highlight

They give a behind-the-scenes look at what it's like to cover a major disaster

@highlight

They experience guilt as they have to leave Chile and the story of its troubles

@highlight

Exiting Chile proves to be as arduous as getting into the earthquake-ravaged nation