(CNN) -- Florida neighborhood watch volunteer George Zimmerman was charged with second-degree murder in the death of unarmed 17-year-old Trayvon Martin, a special prosecutor announced Wednesday.

Zimmerman, 28, who had been in hiding, turned himself in, his new lawyer told CNN legal analyst Mark NeJame.

The suspect was transported Wednesday evening to the Seminole County Criminal Justice Center, police said. Zimmerman got out of a black SUV and was escorted into the center. He wore a plaid shirt, with a black cloth draped over his head.

A hearing in the case is expected Thursday, according to authorities and Zimmerman's attorney, Mark O'Mara. Sheriff Donald F. Eslinger said officials would determine whether Zimmerman would be held in the general inmate population.

What happens next

Charges against Zimmerman were announced in Jacksonville by prosecutor Angela Corey, who has said her job was "to find out the full truth" about the February 26 incident in Sanford.

"It is the search for justice for Trayvon that has brought us to this moment," Corey told reporters. "We did not come to this decision lightly."

What do you think about the decision to charge Zimmerman?

Zimmerman's claim of self-defense failed to quell an uproar about the decision by Sanford police not to initially charge him and about Florida's "stand your ground" law, which allows the use of deadly force by anyone who feels a reasonable threat of death or serious injury.

The case also sparked a nationwide debate about race and racial profiling.

Martin's parents spoke after Corey's announcement.

"We simply wanted an arrest; we wanted nothing more, nothing less," said Martin's mother, Sybrina Fulton. "We just wanted an arrest, and we got it and I say thank you, thank you Lord, thank you Jesus."

Martin's father, Tracy, said, "we will continue to walk by faith, we will continue to hold hands on this journey. White, black, Hispanic, Latino.... We will march until the right thing is done."

George Zimmerman's brother, Robert Zimmerman Jr., told CNN's "Piers Morgan Tonight" that the family was "devastated" by the development.

"There were no winners in this already," Robert Zimmerman Jr. said. "Our brother could have been dead. Our brother literally had to save a life by taking a life."

Trayvon Martin case has a tough, controversial prosecutor

O'Mara said a bond motion hearing may be held Thursday in Seminole County. "I will be seeking his release," he said of Zimmerman. Corey said Zimmerman had the right to appear before a magistrate within 24 hours of his arrest.

"I think (Zimmerman) is troubled by the fact the state decided to charge him," O'Mara attorney told reporters Wednesday evening. "I think anyone charged with second-degree murder would be scared."

He said his client will enter a plea of not guilty.

Like Zimmerman's relatives, O'Mara asked there be no rush to judgment.

"I am hoping the community will calm down," he said. "We have to have faith in the justice system."

In Florida, a conviction for second-degree murder carries a maximum sentence of life in prison.

Elements in such a charge include demonstrating the death was caused by a criminal act, and that the act demonstrated a depraved mind without regard for human life.

CNN legal analyst Jeffrey Toobin said Corey "threw the book" at Zimmerman. Robert Zimmerman Jr. said prosecutors in such cases sometimes hope a defendant will take a plea deal.

The Rev. Al Sharpton appeared with Martin's parents after Corey's announcement.

"They charged him with a serious crime," Sharpton said of Zimmerman. "He deserves a fair trial. We don't want anybody high-fiving tonight. There's no victory here. There are no winners here. They've lost their son," he said of Martin's parents.

Zimmerman was alone Wednesday when he turned himself in to the Florida Department of Law Enforcement's office in Jacksonville, said Joyce Dawley of the department.

In a letter last month to the Orlando Sentinel, George Zimmerman's father wrote that his son has been unfairly portrayed as a racist.

Although details of the evening shooting remain murky, what is known is that Martin, an African-American, ventured out from his father's fiancee's home in Sanford to a nearby convenience store, where he bought a bag of Skittles and an Arizona Ice Tea.

On his way back, he had a confrontation with Zimmerman, who is Hispanic, and Zimmerman shot him.

Zimmerman had called 911 to complain about a suspicious person in the neighborhood, according to authorities.

In the call, Zimmerman said he was following Martin after the teen started to run, after which the dispatcher told him, "We don't need you to do that." Zimmerman pursued Martin anyway before saying he lost sight of him.

According to an Orlando Sentinel story later confirmed by Sanford police, Zimmerman told authorities that after he briefly lost track of Martin, the teen approached him. After the two exchange words, Zimmerman said, he reached for his cell phone, and then Martin punched him in the nose. Zimmerman said Martin pinned him to the ground and began slamming his head into the sidewalk.

Audio experts earlier this month told CNN that they don't believe it's Zimmerman who can be heard yelling "Help!" in the background of a different 911 call related to the shooting. They compared those screams with Zimmerman's voice, as recorded in the 911 call he made minutes earlier.

Authorities have said Zimmerman was not immediately charged because there were no grounds, at the outset, to disprove his account that he'd acted to protect himself. A police report indicated the volunteer was bleeding from the nose and the back of his head.

Florida Rep. Dennis Baxley, who sponsored the "stand your ground" law in 2005, said nothing in it allows people to "pursue and confront."

Gov. Rick Scott, in a statement issued late Wednesday afternoon, said, "Most Floridians and local civic leaders are law-abiding, responsible citizens who all want justice to prevail. No matter what State Attorney Corey determines following her investigation of the Trayvon Martin tragedy, I trust in the goodness of all Florida citizens to allow our justice system to reach an appropriate conclusion in this case."

O'Mara replaces Craig Sonner and Hal Uhrig, the two lawyers who had been giving legal advice to Zimmerman. They told reporters Tuesday that they had lost contact with their client and no longer represent him.

Attorney General Eric Holder pledged Wednesday that the Justice Department will "conduct a thorough and independent review of the evidence."

"I know that many of you are greatly -- and rightly -- concerned" about Martin's death, Holder said -- "a young man whose future has been lost to the ages."

The department's investigation, launched three weeks ago, remains open, he said, which "prevents me from talking in detail about this matter." Holder did note, however, that Justice Department officials had traveled to Sanford to meet with Martin's family, community members and local authorities. The FBI is assisting, he said.

The case has drawn comments from President Barack Obama and led to protest marches in cities and campuses across the country.

Ben Jealous, president of the NAACP, said Zimmerman's arrest "is an important first step toward bringing justice for Trayvon and his family." He claimed Martin was profiled because of his race.

CNN's Martin Savidge and Vivian Kuo, and InSession's Beth Karas, Jessica Thill and Aletse Mellado contributed to this report.

@highlight

Zimmerman's brother said family "devastated"

@highlight

George Zimmerman arrives at Seminole County facility

@highlight

Trayvon Martin's mother says family simply wanted an arrest

@highlight

Special prosecutor charges George Zimmerman with second-degree murder