(CNN) -- Eddie Lovelace's symptoms were subtle at first, almost imperceptible -- a headache now and then, a little dizziness in the first week of September.

A healthy 78-year-old circuit court judge in Albany, Kentucky, Lovelace didn't want to go to the doctor, and he certainly didn't seem terribly ill. As usual, he worked more than a full day every day except Sunday, and walked at least three miles.

But then on September 9, Lovelace became confused while teaching his regular Sunday school class at the Albany First Baptist Church and had to stop partway through. Two days later, he went to pick up his newspaper and fell over onto the sidewalk. He said he couldn't feel his legs, and his daughter rushed him to the emergency room.

Fearing he'd had a stroke, doctors at Clinton County Hospital sent him by ambulance to Vanderbilt University Medical Center in Nashville, where an MRI confirmed he had indeed had a stroke. Lovelace died five days later, his death attributed to a combination of old age and bad luck.

At his funeral, Kentucky Chief Justice John Minton eulogized Lovelace, remembering his 20 years on the bench and his 23 years as a state prosecutor. Lovelace's granddaughter played a hymn on the piano, and he was buried at the Memorial Hill Cemetery, with Joyce, his wife of 55 years, their two children, five grandchildren, and one great-granddaughter in attendance.

As she sat in the church, Lovelace's daughter, Karen Talbott, couldn't get something out of her mind.

She's a nurse, and while her father was at Vanderbilt, not one but several doctors took her aside and told her his stroke was in a part of the brain where strokes hardly ever happen -- and when they do, it's in patients with severe, prolonged high blood pressure. The judge's blood pressure was normal, even a little low.

"This is the strangest stroke I've ever seen," they told her.

'Bitter, angry, and heartbroken'

Right now, doctors in 23 states are looking back at medical records to reconsider whether deaths that looked routine might actually have been caused by contaminated medicine from the New England Compounding Center.

"There will be people who gradually come to light -- people like this judge," says Dr. William Schaffner, an infectious disease specialist at Vanderbilt who's been working with the Tennessee Department of Health and the Centers for Disease Control during the outbreak.

What is a compounding pharmacy?

Lovelace died on September 17, more than a week before doctors -- and the rest of the world -- learned about the contaminated shots.

Then, three weeks later, Lovelace's son-in-law, Bob Talbott, read a short article online in The Tennessean newspaper, which said a 78-year-old man was the first to die in the meningitis outbreak. The date of death was listed as September 17 at Vanderbilt University Medical Center.

Talbott called Lovelace's widow, Joyce, immediately. It must be Eddie, he said -- how many other 78-year-old men could have died at Vanderbilt on September 17?

But no one from Vanderbilt or the state department of health had reached out to the family.

Then Joyce remembered receiving a telephone call a week after her husband's death from someone at the St. Thomas Outpatient Neurosurgery Center in Nashville, where her husband had had three steroid injections for neck and back pain over the summer. The caller wanted to know how "Brother Eddie" was doing.

"I said, 'Well, Brother Eddie passed away,' and they said they were sorry and everything, and that was the end of the call," Joyce remembers. "Then the next day I got a call from the same number and it was a different individual. She wanted to know about his symptoms and whether an autopsy had been done."

Steroid injections common for back pain sufferers

Joyce thought the calls were a little odd -- she wondered why they were inquiring about her husband's health nearly a month after they gave him the injections.

The callers never mentioned the words "fungal meningitis," she says, even though the connection between the shots and the disease had been made by that time.

CNN tried through e-mails and phone calls to get answers from the St. Thomas Outpatient Neurosurgery Center, but did not receive a response.

Only after reading the Tennessean article did Joyce put it all together. The St. Thomas Outpatient Neurosurgery Center received 2,000 vials of tainted steroids, and some 1,000 patients received the injections between June 6 and September 6, according to the St. Thomas Hospital. Lovelace received his three injections in July and August.

"I've been bitter, angry, heartbroken, and grief-stricken," Joyce says.

Vanderbilt reported Lovelace's death as one of four "suspected" cases of meningitis, according to hospital spokesman Craig Boerner.

A strict judge, a loving grandfather

Some 14,000 people may have received shots of contaminated medicine from the New England Compounding Center, according to the Centers for Disease Control. Since it can take as long as seven weeks for symptoms to show up after a patient receives a shot, it's possible some of them are experiencing symptoms such as headaches and dizziness and haven't connected them to the shots they received.

Meningitis outbreak: What you need to know

"It's important to make that connection, because the earlier you treat this, the better," says Dr. Howard Kirshner, vice chairman of the Department of Neurology at Vanderbilt, who has treated patients in this outbreak.

That's why Joyce Lovelace says she's speaking out -- she doesn't want anyone else to suffer the way her husband did.

Eddie Lovelace and Joyce Davis were college sweethearts and married 56 years ago this December. She worked as a lab technician while he attended law school at the University of Louisville, graduating in 1960.

"Those were rough years. We didn't have money or anything, but they were good years," Joyce remembers.

After graduation, Lovelace went to work as an attorney for the city of Albany and then as a county and state prosecutor. He was a circuit court judge from 1992 until he passed away, and was named Kentucky Trial Judge of the Year in 1995.

Lovelace worked seven days a week, cutting down only recently to six.

"He loved the law," Joyce says.

"He was the most intelligent man I've ever met," his son, Chris Lovelace, says. "If you needed advice, regardless of what the subject was, you could always take his and trust it and rest assured that things would work out."

The lawyers who argued cases before him remembered how well prepared he was -- and that his decisions were rarely reversed by appellate courts.

FDA: More issues with drugs from Mass. facility

"He believed in proper courtroom decorum and had a respect for the legal system and for the office he held," David Cross, an Albany lawyer, wrote in an article in The Wayne County Outlook. "He will be remembered as one of the most influential figures in our county's history."

Lovelace's family remembers him as a loving father, grandfather, and great-grandfather. He sometimes took his granddaughters to work with him, letting them play with their Barbie dolls quietly behind him on the bench while he heard cases.

Lovelace's term as judge would have ended in two years, and he had planned on opening a law practice with one of those granddaughters, Megan Lovelace Thompson, who recently graduated from law school.

"He was really looking forward to that," Joyce says. "He had many more years -- good years."

Now the entire family has to figure out how to live on without the man they describe as "the center of our universe."

"I was married when I was 19. I don't remember what it's like not to be married," Joyce says.

"It was such a useless death."

CNN's Trisha Henry and William Hudson contributed to this report.

@highlight

Judge Eddie Lovelace initially was thought to have died of a stroke

@highlight

His family now believes he contracted meningitis through contaminated injections

@highlight

Other cases will "gradually come to light," one doctor says

@highlight

Lovelace's wife says his death was "useless"