(CNN) -- Who can ever forget the electrifying series of presidential debates in which Lyndon B. Johnson, outlining his Great Society program, went head-to-head in 1964 with Republican nominee Barry Goldwater, who boldly stood his ground on rock-solid, small-government ideals?

Or the 1968 debates that America couldn't take its eyes off: Richard Nixon, trying once again to make it to the White House, toe to toe with Vice President Hubert Humphrey in what was shaping up to be a close election with starkly different platforms.

The 1972 presidential debates, of course -- Nixon, who was by then the incumbent, trading verbal body slams with his Democratic challenger, George McGovern, against the backdrop of the Vietnam war -- were like a professional wrestling grudge match, with each excited camp of viewers at home pulling for its man to triumph.

What?

You say you don't remember those debates?

You're right.

They didn't happen.

It's an intriguing footnote to modern political history. Televised presidential debates -- the first one of this year's general election will be held in Denver, Colorado on Wednesday -- have become so much a part of the fabric of autumn campaigns that many people assume that the famed John F. Kennedy-Richard Nixon debates of 1960 began an uninterrupted string.

But in fact, after the four Kennedy-Nixon debates, it would be 16 years before there was another debate between a Republican and Democratic candidate.

Brazile: Why debates don't always make a difference

Kennedy-Nixon, for a long stretch, was the anomaly -- the exception to the rule.

Before their debates, no presidential candidates in a general election had debated on radio or television. There had been intraparty, primary-season debates but never one after the end of the summer conventions.

It is part of political lore that, because of Nixon's pale, perspiring look in the first of those 1960 debates, he suffered in comparison with the tan, confident Kennedy, and the TV cameras did him in. Key to the shorthand narrative is that Nixon, not fully understanding the relatively new medium of television, declined to wear makeup.

But there's more to the story than that. Largely forgotten is that Nixon had been hospitalized for two weeks in August, when he had hoped to be out campaigning. He had banged his knee getting out of a car at an event in North Carolina and had developed a serious infection. So, while Kennedy was introducing himself to voters around the country, Nixon was in a hospital bed -- and the newsreel footage of him, in his pajamas, being visited by President Dwight D. Eisenhower did not play well against film of the healthy-looking, vibrant Kennedy working election-season crowds.

By the time Nixon left the hospital, he was in a weakened state. He had the flu and a fever when he arrived in Chicago for that first debate, and had lost considerable weight. He allowed his assistants to apply a drugstore-aisle product called Lazy-Shave to tone down his 5 o'clock shadow, but his ashen appearance, and the perspiration, were as much a consequence of his health problems as anything else.

He lost, and in 1964, with Goldwater as the Republican candidate, President Johnson, who had taken office after the assassination of Kennedy, decided that there was no reason for him to debate. Johnson was well ahead in the polls; he was said to feel that a debate could not help him much but could certainly hurt him, if he did not do well. He sent word that he was not open to participating.

Rosen: How Obama can win debate

There was another factor arguing against presidential debates in the 16 years after Kennedy-Nixon: the Federal Communications Commission's equal-time provision, which mandated the inclusion of all candidates -- fringe ones as well as the nominees of the major parties. (It had been suspended for a year in 1960, when Kennedy and Nixon debated).

So the major candidates could use that as an out, if they preferred not to debate. In 1968 Humphrey wanted to debate Nixon, but Nixon -- still stung by 1960 -- said no.

And in 1972, when Nixon was the incumbent and far ahead in the polls, he barely deigned to say McGovern's name during the fall campaign, much less debate him.

By 1976 a way around the equal-time rule was found: If debates were sponsored not by television networks but by outside groups setting their own criteria, they could be considered news events and thus not required to include minor-party candidates.

That year, President Gerald Ford, having entered office after Nixon resigned, agreed to debate Jimmy Carter. He may have wished he hadn't. It was in one of the debates that Ford said, "There is no Soviet domination of Eastern Europe," a misstep that changed the course of the election.

Today debates between the candidates -- even when one of them is the incumbent -- are all but mandatory. A candidate would be seen as chicken for not agreeing to debate. (If you thought the Clint Eastwood empty chair at the Republican National Convention this summer caused conversation, just think what a candidate who agreed to debate would have to say about the empty chair of an opponent who declined).

Even post-1976, some candidates tested the waters of skipping debates. In 1980, President Carter chose not to participate in the first one because independent candidate John Anderson was included. Carter's opponent, Ronald Reagan, did show up at that debate -- and even though Carter appeared at the one subsequent debate that fall, Reagan went on to win the election.

Four years ago, Republican candidate John McCain said that he wanted to postpone the first debate in Oxford, Mississippi; he proposed that he and his opponent, fellow U.S. Senator Barack Obama, instead go to Washington to help with the financial crisis. Obama said he would be in Mississippi regardless of whether McCain was ("It's going to be part of the president's job to be able to deal with more than one thing at once"). McCain relented and came to the debate, but his initial hesitation seemed to throw his campaign off balance.

It's unlikely that there will ever be another autumn in which the candidates do not debate, but you never know.

It's a pretty safe bet, though, that come nightfall Wednesday in Colorado, Obama and Mitt Romney will be at their appointed places on the stage. It's how we do things now.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: After Nixon vs. Kennedy in 1960, there were no presidential debates until 1976

@highlight

He says Nixon's sweaty showing in '60 helped put candidates off TV debates

@highlight

In subsequent campaigns, neither LBJ nor Nixon debated their rivals

@highlight

Greene: Now debates are nearly mandatory, much as candidates might like to avoid them