(CNN) -- On the afternoon last week when the Rod Blagojevich jury rendered its verdict, you just know that someone, in some entertainment-industry high-rise office suite somewhere, was seeing the invisible lightbulb click on:

Eureka!

The next big reality-show idea.

No, not a show about Blagojevich. That's not thinking big enough.

But as the anxiety built up during the 14 days of deliberations, as panels of journalists, attorneys and retired judges filled airtime guessing what the outcome would be, the concept was dangling out there like a fresh, ripe, red apple, just begging to be picked:

A jury, deliberating.

On television.

Impossible, you say? It could never happen?

Never say never.

The jury room is America's last secret place. Once the testimony in a trial has ended, and the door to the jury room closes, all is mystery. High-powered lawyers, distinguished judges, hard-charging prosecutors, wealthy defendants . . . all of them may be prominent during the public part of a trial, but once the jury begins its deliberations those courtroom players are as in the dark as anyone else.

In a society that seems to be willingly throwing away all vestiges of privacy, the jury room is still sacrosanct. When trials end, some jurors decide to talk to reporters, but by then the outcome is public. And a juror's retelling of the deliberations, regardless of how precise, can't match the moment-to-moment tension of the real thing while it is unfolding.

A handful of times in the decades since television was introduced to the U.S., judges have allowed documentary crews to record jury deliberations for future airing. Such instances have been exceedingly rare.

With good reason. Justice is not entertainment; the determination of someone's guilt or innocence is not amusement.

But, of course, just about everything else in American life has been turned into entertainment and amusement. So we shouldn't rule out the possibility that at some point, in some state, rationalizations will be made and cameras will be placed in jury rooms for a continuing television series.

And how great a leap is it, really, from cameras in the courtrooms to cameras in the jury rooms?

Reasons not to do it are myriad: Jurors might be reluctant to speak candidly knowing they are being watched by people at home; some jurors, on the other hand, might seek stardom by playing to the cameras; men and women who might make excellent jurors would be made uncomfortable by the whole process and ask not to serve.

The argument presented in favor of it will be that the jury system is such a fundamental part of the nation's identity that the public would be well served to be able to see exactly what goes on as a case is decided. There will be promises: no juror will be televised if he or she doesn't want to; no case will be sent to a jury room with cameras unless the judge, the prosecutors, the defense lawyers and the defendants agree on it.

Still think it won't happen?

Here's why it might:

In some state somewhere in the U.S., when dwindling budgets for the courts have reached crisis proportions, a proposal will be made by a television production company: We will pay [fill in the monetary blanks] dollars for the right to televise your juries. With that money you can hire more judges, you can modernize your courtrooms, you can increase the number of prosecutors and public defenders. This will be good for you, and will be good for society.

And someone, somewhere, will swallow hard and say yes.

Will the result be a nonfiction version of the cinematic classic "12 Angry Men"? Or will it be "Jersey Shore" with bailiffs?

The dramatic possibilities are unarguable. If television viewers get breathless waiting to see who is voted off an island, think of the anticipation as the decision is made whether to set someone free or send him to prison. "Survivor," all right. You can almost hear the promotional tagline now: "Twelve strangers are sent into a small room. By the time they come out. . . ."

Most judges would undoubtedly reject all this out of hand, but there are some who like publicity more than others. With a big enough jury pool, it would hardly be difficult to find 12 men and women who would welcome the opportunity to deliberate on national television. For every defense attorney who would find the concept abhorrent, there might be another who would silently think: My client doesn't have much of a chance in this case anyway; I might as well say yes to the jury being televised, because then I'll have a video and audio record to search for errors that will help us win an appeal.

And the TV shows themselves? The jury deliberations would have to be heavily edited to get rid of the tedious parts. Trials would be shown on a delayed basis, because most of the country wouldn't be familiar with the cases anyway, and would be unaware of the verdicts. But when the ratings needed a boost, you can imagine the producers' pitches to the presiding local judge:

"We want to do this one in real time, to be shown after court ends each night You know how sometimes you instruct jurors not to read the papers or watch TV? Well, the hook this time will be to turn that around. The whole country will be watching the jury on TV-- but you'll forbid the defendant, the prosecutors and the defense attorneys from watching. They'll be the only people in America who won't know what the jurors are saying. . . ."

This all sounds like a bad dream, right?

In other words: television gold.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says Blagojevich jury verdict likely led to some exec's Eureka moment

@highlight

Why not a reality show about a deliberating jury?, he speculates

@highlight

He says in a tell-all culture, with cash-strapped courts, someone, somewhere is bound to allow it

@highlight

Greene: Dramatic possibilities endless, as are potential abuses.  But it would sell big