Beijing, China (CNN) -- "Mr. Ambassador, as time goes on we know that the odds of my son and the other relatives on the plane having survived becomes smaller and smaller," said a grey-haired man named Wen.

As he addressed the Malaysian diplomat seated at a table just a few feet away in the packed Beijing hotel conference room, Wen began sobbing uncontrollably into a microphone. It had been more than 45 days since his son disappeared aboard missing Malaysian Airlines flight MH370.

"To know that somebody is alive, you need to see them. To know that somebody is dead, you need to see the body. That's all I ask of you," Wen concluded, weeping. Members of the audience sobbed quietly in their seats.

Visibly uncomfortable, the representative from Malaysia's embassy in Beijing, could do little more than repeat his government's talking points. "There's a team coming to answer your questions. Let them come. Let them come," he pleaded.

But the words from deputy chief of mission Bala Chandran Tharman only angered the relatives. They erupted into fist-waving chants: "Live up to commitments! No more delays! No more lies!"

Each day seems to bring another disappointment to the hundreds of Chinese relatives waiting for news about missing loved ones. 153 Chinese nationals flew aboard the ill-fated flight. For more than a month, Malaysian Airlines has housed hundreds of their relatives in a number of Beijing hotels.

From their improvised headquarters in Beijing's Lido Hotel, the families have set up committees, published press releases, printed T-shirts and hats with the slogan "Pray for MH370," while also coordinating information with the next of kin of passengers from other countries.

This agonizing limbo has been punctuated by highly emotional and contentious daily briefings held with Malaysian officials in a windowless conference room in the Lido Hotel.

Last week, relatives stormed out of the hall en masse after technical glitches left a panel of Malaysian technical experts mute on a giant screen. The long-awaited video conference with Kuala Lumpur was a complete failure.

"You're all bloody liars, and you're lying to us again now!" one representative yelled, as relatives marched out of the room.

A committee representing passengers' families in Beijing has continued pressing its case, demanding answers to highly technical questions that were translated and submitted in writing to the Malaysian government. To better understand the final moments before Flight MH370 was believed to have crashed into the Indian Ocean, they wanted the audio recording of the crew's last radio communications with air traffic controllers, an explanation of how many emergency locator transmitters [ELT's] the plane was carrying and whether or not the ELT's activated as intended at the moment the aircraft hit the ocean.

"You need to do it yourself," explained a young Chinese physicist on the families' technical committee, who had helped draw up the questions. The man asked not to be identified, because he was keeping his father's disappearance a secret for fear of upsetting his elderly grandmother.

For several days after the failed video conference, Malaysian diplomats did not appear at daily briefings. Instead a representative of Malaysian airlines addressed increasingly hostile family members. Last Friday, he pledged that a high-level team of technical experts would come to Beijing the following Monday to brief the family members.

But that Monday, Malaysia informed family members there had been a last-minute change of plan.

"The authorities in Malaysia would like to move forward in the endeavor to address the missing flight MH370," said Tharman, the Malaysian deputy chief of mission.

"While keeping in mind that the family have many questions regarding technical issues, the authorities over the weekend put the view that these important questions should be taken up a little later at an appropriate time and place."

The message was not well received. For nearly three hours, Chinese relatives took turns yelling, begging and cursing at the Malaysian.

"Are you hiding things from us? Are there things you are not willing to tell us?" said Jack Song, a spokesman for the families whose wife was a passenger.

In these highly emotional confrontations, it is clear that many of the Chinese next of kin believe their missing loved ones are still alive.

"We have not given up hope. We dare to hope. We dare to believe," said Mr. Wen during his tearful speech on Monday.

However, hope has become a dangerous emotion, according to a psychologist who has helped treat some of the next of kin. "That's a dangerous thing when you artificially manifest hope which in the end cannot be sustained. You are setting them up for a fall," said Paul Yin, a counselling psychologist who also treated victims of Asiana Airlines flight 214, which crashed in California in 2013 killing at least three people.

But Yin said Malaysian authorities bore some responsibility for the crisis. "So many of the moves that they have taken are just so wrong," Yin said.

Malaysian officials sent to brief Chinese families are armed with little to no information on the search for the plane.

Meanwhile, in the eyes of many passengers' relatives, contradictory statements from Kuala Lumpur have shaken the credibility of Malaysian officials charged with leading the investigation. Lack of information has led many to suspect a cover-up, an accusation Malaysian authorities have repeatedly denied.

While repeatedly challenging the Malaysian government, the passengers' families face clear limits that appear to have been set by the Chinese authorities.

On Friday, the family committee announced plans to hold a prayer ceremony for missing spouses in a park near the Lido Hotel. Instead, the service was held in the same conference room. Dozens of men and women sat cross-legged on the floor, weeping in front of a banner that said: "Honey, it's not home without you."

After the ceremony, the spouses -- many dressed in "Pray for MH370" T-shirts and baseball hats, marched out of the hotel to the park. They were closely followed by uniformed and plain-clothed Chinese police. After a short speech in front of the park gates, they drifted back to their hotel.

"It's just like big cage," said Steven Wang, when asked about the hotel. The 26 year old has become one of the main international spokespeople for the committee of family members.

"It is full of bad emotion ... we feel sad and angry and exhausted," Wang added.

@highlight

CNN's Ivan Watson: Each day brings another disappointment to relatives waiting for news

@highlight

Malaysian Airlines has housed relatives in a number of Beijing hotels, he writes

@highlight

Watson: A committee representing the families has continued pressing its case

@highlight

Malaysian officials sent to brief Chinese families are armed with little to no information, he says