Paris (CNN) -- U.S. Secretary of State Hillary Clinton lambasted Russia and China on Friday for blocking efforts to topple Syrian President Bashar al-Assad, who has lost a key general to defection.

Speaking at the Friends of Syria conference in Paris, Clinton called on Russia and China to "get off the sidelines" and accused them of "standing up for" al-Assad's regime. She urged the other 100 or so nations and organizations represented at the summit to "make it clear that Russia and China will pay a price" for that position.

"I ask you to reach out to Russia and China and not only ask but demand that they get off the sidelines," she said. "I don't think Russia and China believe they are paying any price at all, nothing at all, for standing with (the) Assad regime."

High-ranking general defects from Syrian military

But it was unclear whether those two nations would reverse their long-standing opposition to forcing al-Assad from power. The two trade partners of Syria have vetoed previous efforts by the U.N. Security Council to condemn the violence in Syria and oust al-Assad. Neither Russia nor China was represented at the Paris meeting.

Western and Arab nations started the Friends of Syria initiative because China and Russia posed diplomatic obstacles to tackling the Syrian crisis. The United States and others said they were hoping that Friday's meeting could lead to stricter economic sanctions and more support for the opposition.

Speaking after the meeting concluded, Clinton argued for additional sanctions to be backed by a Security Council resolution under Chapter 7 of the U.N. Charter. Chapter 7 could ultimately authorize the use of force.

"No transition plan can progress as long as the regime's brutal assaults continue," she said. "That's why the entire world is looking at those few nations who have influence in Damascus."

Clinton warned allies of al-Assad within Syria that evidence of abuses is being collected and that they should "get on the right side of history."

She added: "Let me say to the soldiers and officials still supporting the Syrian regime -- the Syrian people will remember the choices you make in the coming days."

Clinton's comments came as a Western diplomat said that Brig. Gen. Manaf Tlas of Syria's Republican Guards has abandoned the regime.

Tlas, the son of a former Syrian defense minister, defected over the killing of Sunnis, said the official, speaking on condition of anonymity. The official was not authorized to speak to the media.

"He's an inside confidant of Assad," the official said. "So it counts that even an insider thinks it's time to go."

The defector's father and the rest of his family are in Paris, the official said.

Western officials told CNN that Tlas was en route to Paris. It was not immediately known if he had joined the Syrian opposition.

French Foreign Minister Laurent Fabius, speaking at the end of the Friends of Syria meeting, called the defection of someone close to al-Assad a "hard blow" for the regime.

"We are told of the defection of someone quite important in the regime, very close to Bashar al-Assad, which means that his close entourage is starting to understand that the regime is unsustainable," he said.

Fabius said he did not know what the final destination would be for the defector, whom he did not identify by name but said was a member of the Republican Guard and a longtime friend of al-Assad.

Asked about the defection, Clinton did not name Tlas, but said an "increasing stream of military defectors" is leaving Syria.

"Regime insiders and the military establishment are starting to vote with their feet," she said. "Those who have the closest knowledge of Assad's actions and crimes are moving away, and we think that's a very promising development. And it also raises questions for those who remain in Damascus."

Friends of Syria meeting in Paris

The defection is one more setback for al-Assad, who Clinton said has been feeling the bite of economic sanctions. The Syrian leader's "currency and foreign reserves have collapsed," she said, curbing his ability to continue his crackdown.

But she said challenges remain. Al-Assad was being kept afloat by "money from Iran and assistance from Russia and the failure of countries here" at the conference to tighten economic sanctions.

"None of us is satisfied or comfortable with what is going on in Syria," she said.

But since the Friends of Syria met in Tunis in February, "there has been a steady march toward ending this regime," Clinton said.

Fabius said Friday's meeting showed that the international community is uniting to voice support for the opposition, promise increased humanitarian aid for the Syrian people and back sanctions against the regime.

"Today was not a good day for the regime," he said.

The Paris meeting comes less than a week after a conference of foreign ministers, which included China and Russia, met in Geneva, Switzerland, and called for a transitional government body as a step toward ending the Syrian crisis.

That emergency meeting, called by former U.N. Secretary-General Kofi Annan, raised hopes that Russia was easing its position. But even as Russia appeared to agree that a key step in the peace process would be the establishment of a transitional government, the country's foreign minister said it should not be viewed as outside powers imposing a transitional government on Syrians.

Senior U.S. officials said the United States and its European and Arab partners will move to impose global sanctions if Syria doesn't quickly implement the transition plan that includes the appointment of a new government.

Diplomats at the United Nations are working on a document that would demand restrictions on oil and other commercial business with the Syrian regime if it refuses to implement the Annan peace plan for a cease-fire and a transitional government. A Security Council resolution under Chapter 7 of the U.N. Charter could be introduced next week, the officials said.

Clinton's marathon trip tackles a range of U.S. foreign policy issues

The officials said the Russian and Chinese willingness to discuss a political transition plan in Syria and sign on to that plan last week in Geneva could boost the effort to impose sanctions. The absence of the two nations from the Paris conference, however, could reflect the difficulties ahead in persuading Moscow and Beijing to back the resolution.

Clinton praised the Syrian opposition's six-page "vision" for a Syrian transition that was unveiled last week at its meeting in Cairo, Egypt.

The United States hopes the document, which has details on a new parliament and constitution, will allay fears of Alawites and other minority groups that the Sunnis leading the fight against al-Assad will grab all of the power and take revenge on al-Assad's supporters. The regime is dominated by Alawites, an offshoot of Shiite Islam, and the opposition is largely Sunni.

French President FranÃ§ois Hollande also called for al-Assad's departure Friday, saying a political transition is the only way to end 16 months of violence in the Middle East nation.

Members of the Syrian opposition attended the Paris meeting, and many are pushing for the imposition of a no-fly zone in Syria.

Opposition groups reported dozens of deaths on Friday. The Local Coordination Committees of Syria counted at least 89 people.

Meanwhile, a Turkish foreign ministry official told CNN that two children were killed and six Syrian refugees were injured when a gas canister exploded Friday at the Yayladagi refugee camp in southeastern Turkey.

CNN cannot independently confirm reports of violence or casualties as Syria has limited access by international journalists.

WikiLeaks releasing 2.4 million Syria e-mails

CNN's Ben Brumfield, Ivan Watson, Laura Smith-Spark, Joe Sterling and Chelsea Carter contributed to this report.

@highlight

Dozens of people were killed Friday in Syria, an opposition groups say

@highlight

Western officials: Bashar al-Assad ally Manaf Tlas has defected

@highlight

Hillary Clinton says an "increasing stream of military defectors" is leaving Syria

@highlight

France's foreign minister says the defection of a regime insider is a "hard blow" to al-Assad