San Francisco (CNN) -- Executing a successful remake of a video game can be like shooting blindfolded, and that's especially true when you're dealing with the fervent following behind Microsoft's "Halo" series.

Longtime fans look for any reason to balk at attempts to repackage their beloved games, and for "Halo: Combat Evolved Anniversary," people who follow its development closely have reasons to be skeptical. It's the first game wholly developed without intervention from Bungie, the company that created "Halo" but which has since severed ties with Microsoft.

"Halo Anniversary" is available only for the Xbox 360 starting Tuesday, the 10th anniversary of the original "Halo," which launched alongside Microsoft's first home gaming console.

The game adds high-definition graphics and a big-production musical score to the original, without changing much else.

Producers often look at remakes as a way to add their signature to a well-regarded work, but the team shepherding "Halo" went to extraordinary lengths to preserve the feel of its decade-old model.

Frank O'Connor, a development director for 343 Industries, the division Microsoft created to specifically handle the "Halo" franchise, stressed that "Halo Anniversary" was created to appease fans.

The $40 price tag, versus the standard $60 price for new games, fits with that model. "This is a celebration of the past."

O'Connor leads a team of a few people within 343 Industries that's tasked with making the final say about whether a storyline for new games, books and other media fits with "the Halo canon," he said.

With several bestselling books and more products in the works, this is a fragile process.

Sometimes O'Connor has to temper his own instincts in order to stay true to precedents set by earlier games. For example, he wanted to hide a rocket launcher behind a waterfall in the second level of "Halo Anniversary" as an Easter egg for explorers. His team challenged him on it, and so he conceded: no rockets, he lamented as he motioned to the waterfall while demonstrating the game.

Designing a familiar but unique 'Halo 4'

The team within 343 Industries that's working on "Halo 4," the major new game scheduled to be released late next year, has been given more creative freedom than the external group that's programming "Halo Anniversary."

Kiki Wolfkill, the executive producer for "Halo 4," said that being able to consult with O'Connor's team makes it "incredibly easy" to keep their stories straight. But Josh Holmes, the creative director for the game, said that despite the help, the breadth of the "Halo" franchise creates a minefield for storytellers to traverse.

"There are times when we're thinking about all of the different interconnected storylines," Holmes said. "That's really important to us, because we believe in the universe and want to keep the universe consistent."

They declined to talk much about "Halo 4," but they said it will strike a delicate balance between keeping up with innovations in other first-person-shooter games and keeping the mechanics familiar to fans of the series.

The game will have a familiar control scheme, using two analog sticks for movement, rather than doing a drastic departure with, say, Kinect camera navigation, 343 Industries executives said. It may incorporate limited Kinect functions for throwing grenades or toggling settings using voice commands, like those in "Halo Anniversary," they said.

"One of the things that's really important to us is that the game feels, at its core, like 'Halo,' " Holmes said. "It feels like 'Halo,' yet it feels new and unique."

Staying true to 'Halo' in 'Anniversary' edition

That same criteria are not what's driving "Halo Anniversary." The primary concern for developers was that it feel almost identical to the original "Halo."

One roadblock that Saber Interactive, the team behind the single-player element of "Halo Anniversary," ran into was a result of running an old game on the Xbox 360's faster hardware, O'Connor said.

The game just felt smoother and speedier, he said.

So the team tweaked the code in order to reproduce glitches found in the original.

"If things like that happen with physics or animation, and we go change it, then we're changing the game," O'Connor said after watching an alien in the game make an unintentional, jittery movement. "Some things we had to go back and break to make it authentic."

But like O'Connor's failed attempt at hiding a rocket launcher, Saber wanted to do more. O'Connor and his team had to talk the developers out of overreaching.

"They just wanted to put their own stamp on it," O'Connor said. "But we said, 'This isn't about putting your stamp or our stamp.' "

New features for 'Halo Anniversary'

While the characters and scenes from the first "Halo" have been re-created with an attention to detail that takes advantage of the Xbox 360's processor, "Halo Anniversary" players can switch to the vintage look at any time, except during video sequences. This results in a brief pause, but it can be a welcome distraction throughout the game.

The feature lets players compare today's standards to what was cutting edge a decade ago. At some points, like in grassy environments, the original holds up surprisingly well, but the aesthetic changes in "Halo Anniversary" aren't just for show. Lighting effects and brighter textures on walls were used to guide the player along in places where it was once difficult to navigate. These changes are not likely to upset even sensitive fans.

Perhaps more controversial, the developers made some significant alterations to a particular character and added video terminals throughout the game. Both were done for the purpose of broadening the plot and for relating it to games and books that have come out since the first game, O'Connor said.

The floating blue-and-metallic orb named 343 Guilty Spark, which Microsoft's 343 Industries took its name from, has received a sort of makeover. The wisecracking robot, which guides players through certain levels but was known to stray, has been made more visible and talkative. His lines have been updated to hint at story elements from books and future games, O'Connor said. Likewise, the terminals placed throughout the levels, another element not found in the original, let players watch short clips that hint at events in "Halo 4" and other "Halo" media, O'Connor said.

The online multiplayer component in "Halo Anniversary" has more in common with "Halo: Reach" than it does with the original. It uses the same "Reach" game engine that was designed by Bungie. Certain Affinity, an Austin, Texas, game developer, rebuilt versions of a few maps and weapons from the first "Halo" to be played with friends. "Halo: Reach" owners will be able to access the modes for free.

The true test: Fan appraisals

You can never quite gauge how fans will react to seeing one of their beloved entertainment artifacts recreated for a new generation.

Remember when George Lucas remastered "Star Wars" in the late 1990s? "Han shot first," a reference to a particular scene from the original movie that was changed, remains the bane of many geeks.

Eagle-eye followers of "Halo" have begun grumbling over the addition of metallic fins lining the bottom of the ring that surrounds the planet in the game. Execs from 343 Industries initially said the fins were present in the first game but not visible due to the low graphic resolution. In fact, the fins are an important element of the plot in the Greg Bear novel "Halo: Primordium," which is set to come out in January, O'Connor said. Without them, the game would be inconsistent with the book.

As "Star Wars" fans nervously await the three-dimensional remakes that are in the works, "Halo Anniversary" players with television sets that support the feature will get to play in 3-D glory.

"Halo Anniversary" and "Star Wars" have one more thing in common. The musical score for the new "Halo" game was recorded using Lucas' Skywalker Symphony Orchestra. "Halo Anniversary" includes the ability to switch back to the music from the original game, "though I don't see why you'd want to," O'Connor said.

@highlight

"Halo: Combat Evolved Anniversary" is a remake of the original for Xbox 360

@highlight

The developers went to great pains to stay true to the first "Halo's" formula

@highlight

The team working on "Halo 4" has more freedom to flex their creative muscles