(CNN) -- Drumming on the beach, moving in time with junkanu dancers and eating heaping plates of mashed plantain soaked in coconut stew -- more than likely these aren't the experiences you imagine while planning a trip to Belize.

In fact, you have to venture off the newbie trail, and head to the southern Stann Creek and Toledo Districts to experience Belize's unique Afro-Caribbean Garifuna culture.

The Garifuna live along the coast, in the most scenic areas of Belize, where miles of beaches run east to south.

One of the smallest groups in the country, they make up just 4% of a total population of around 325,000.

The Garifuna are descendants of Carib Indians and West Africans who escaped Spanish slave ships wrecked off the coast of St. Vincent in 1635.

In 1763, when the British invaded, the Garífuna were exiled to Roatán in 1798. From there, they migrated to mainland Honduras, and continued along the coast -- to Guatemala, Nicaragua and arriving in Belize by dugout canoe in 1802.

According to the Belize National Garífuna Council, there are an estimated 500,000 Garífuna worldwide, including large populations in the United States.

About 15,000 remain in Belize, primarily in Dangriga, Hopkins, Seine Bight, Punta Gorda and Barranco.

Passing through these areas, it's difficult to tell that this culture has an endangered status. Signs of African ancestry are evident, whether in the thatched roofs of ceremonial temples, frequent echo of drums, fishing canoes dotting the sea at sunrise or girls having their hair braided under a tree on a hot afternoon.

"Many of the kids are losing the language; they're embarrassed to speak it," says Marva Augustin, a Hopkins Village native and owner of Laruni Hati Beyabu ("Under the Moonlight") Diner.

Partially a reaction to language erosion, a community-wide effort has taken hold to preserve and share the Afro-Amerindian heritage, particularly through music, dance and food.

This summer, The Garífuna Collective, seven talented musicians hailing from Belize's Garífuna villages, toured the U.S. and Canada for the first time, winning over crowds with traditional, hip-swaying beats.

"I see us as a vehicle for the next generation," says Joshua Arana, the band's lead drummer and one of Belize's most respected musicians. Arana also teaches at Galen University, in western Belize.

In Belize, tourism continues to creep along the coast and local towns and villages are offering more opportunities for visitor interaction.

"The Garífuna culture isn't only for the Garífuna, it's to be shared with the world," says Desiree Diego, a native of Dangriga and lead singer of the Garífuna Collective.

Here are seven ways to take her up on the offer.

1. Tour a Garífuna museum

The country's primary collection of Garifuna artifacts is housed at the Luba Garífuna Museum in Belize City.

On display are cooking utensils, arts and crafts, photographs, books and traditional clothing.

Others worth visiting are the Gulisi Garífuna Museum in Dangriga and the Barranco Culture House in the Toledo District.

Luba Garífuna Museum, 4202 Fern Lane, corner of Jasmine and Mahogany Streets, Belize City; +501 202 4331; Luba_Garifuna@yahoo.com; 8 a.m.-5 p.m.; $5

Gulisi Garífuna Museum in Dangriga, Mile 2 on Hummingbird Highway, Belize City; +501 661 0720; gulisimuseum@yahoo.com; Monday-Friday 10 a.m.-5 p.m, Saturday 9 a.m.-noon; $5

Barranco Culture House, village of Barranco, two hours' drive from of Punta Gorda, in Toledo District

2. Sample traditional Garífuna dishes

Traditional dishes consist of cassava, fish, coconut and mashed plantains.

In every Garífuna kitchen you'll find cooking utensils such as coconut graters, mortar and pestle and other tools reminiscent of West African ancestry.

At Hopkins Village, several eateries offer traditional dishes in an effort to expose visitors to local cuisine.

A typical offering is a plate of hudut -- fish cooked in a coconut broth and served with mashed plantains. No fork needed.

Laruni Hati Beyabu Diner, Northside, Hopkins Village; +501 661 5753, 10 a.m.-9 p.m.; entrees $4-8

Innie's, Hopkins Village Road; +501 503 7333, 7 a.m.-9 p.m.; entrees $4-10

3. Take drumming lessons

A symbol of the Garífuna culture, drums represent a connection to African ancestors.

In Hopkins, the award-winning Lebeha Drumming Center offers individual and group lessons.

Students learn the differences between primero and segundo drums and punta and paranda beats.

The Warasa Garifuna Drum School in Punta Gorda is another great choice.

Lebeha Drumming Center, Northside, Hopkins Village; +501 665 9305; $15 per hour

Warasa Garífuna Drum School, New Road, Punta Gorda; +501 632 7701; Monday-Friday 4:30-8 p.m., Sunday 9 a.m.-8 p.m.; $12.50 per hour

4. Tour a cassava bread farm

Three miles outside Dangriga, the family-run Sabal Farm produces cassava bread, a Garífuna staple.

The thin, cracker-like snack is distributed and sold across various parts of Belize.

"We are the only cassava-making farm in the country," says Cyril Sabal. "We've been here for 25 years, and we bake twice a week."

The process begins with a group of eight women, who sit in a circle talking while peeling 12 bags of cassava over four hours.

Simultaneously, peeled roots are passed on to be washed, grated, sifted and prepared into a thin flour.

Then the women skillfully toss and bake the bread by fire hearth.

To schedule a visit, contact Belize licensed tour guide David Obi (+501 602 3077; $20 per person).

5. Make a drum

In Dangriga, on a corner of Y-Not Island, where the North Stann Creek River merges with the sea, Austin Rodriguez, 82, carves the country's finest Garifuna drums.

Against a backdrop of pelicans and fishermen at sea, Rodriguez and his daughter have kept the drum-making tradition alive for close to 30 years.

Stop by the beachfront space for an impromptu or scheduled lesson, in exchange for a donation of your choice.

"I opened this shop so the young people will come learn how to make Garífuna drums," says Rodriguez. "But anyone can come. I am here all day, until the night."

The entire drum making process takes at least a week and you'll need all the muscles you've got.

You can try your hand at any of the various stages, from using a chainsaw to hollow out the wood -- typically cedar or mahogany -- to preparing and attaching the deer skin to the top of the drum with vines.

Or you can pick up an autographed instrument on your way out, available for sale in various sizes.

Austin Rodriguez, Y-Not Island, Dangriga; casual, drop-in system preferred; no charge but donations welcome

6. Visit Hopkins Village

The Garífuna village of Hopkins has a near five-mile stretch of sand, with few people in sight at any one time.

No vendors and no noise, aside from the sound of distant drums.

The village offers a wide range of affordable accommodations, Garífuna restaurants and a drumming school, making Hopkins an ideal place to enjoy and appreciate Garifuna culture.

Hopkins Bay Resort; +501 523 7320 or +1 877 467 2297 (U.S.); rooms from $250

7. Experience Garífuna Settlement Day in Dangriga

Garífuna Settlement Day (November 19) celebrates the arrival of the Garifuna people to Belize by dugout canoe, with a live reenactment along the shores of Dangriga.

Dusk-till-dawn drumming and dancing at local bars, or "sheds," begins on November 18.

At sunrise, crowds along the banks of the North Stann Creek River cheer the arrival of the dories.

The day continues with drumming in the streets, a religious ceremony and an afternoon parade.

Pelican Beach Resort, near airstrip, Dangriga Town; +501 522 2044; rooms from $135

@highlight

Belize's Garifuna people are fighting to preserve endangered culture

@highlight

Food and music provide easy, fulfilling entrees into unique Afro-Amerindian heritage

@highlight

Drums -- both playing and making them -- are the heart of Garifuna culture