(CNN) -- With the inevitability of Mitt Romney's GOP presidential nomination now assured, the next question looming in this long, twisted election cycle is likely to be this: Which Mitt Romney will be running against President Barack Obama?

In a perfect Mitt World, Romney would have been able to stay in his comfort zone, touting his economic prowess vs. the nation's (read: Obama's) economic failures. But a covey of conservative Republican opponents fueled with super PAC money and jazzed by tea party frenzy forced him from the middle and into an increasingly conservative persona, culminating in his somewhat plaintive declaration that he was "severely" conservative.

With his need to compete for the Republican right now ebbing, will Romney migrate back to the center, hoping that a good shake of the Etch A Sketch will create a clean slate to start courting moderates and independents?

He can only wish it were that easy.

There is little doubt that Romney, like most presidential candidates before him, will recast his message for a general election. His problem in doing so, however, is his well-established record as a political chameleon who changes colors to match the polemics of his strongest political rival. In a weird through-the-looking-glass transformation that echoes through Romney's political career, Mitt the candidate often takes on some of the positions and personality traits of his opponents.

When he challenged Ted Kennedy for the U.S. Senate seat in 1994, Romney became Moderate Mitt, staking out a painfully sincere middle ground stance on abortion. Watching him in debate with Kennedy, viewers can be excused for thinking they have wandered into an earlier "Saturday Night Live" skit. Romney's tortured answer wiggles one way -- he says he will support and defend Roe v. Wade -- then wiggles the other by saying his family, including his mom, had its own beliefs "but we will not force our beliefs on others on that matter. And you will not see me wavering on that."

Kennedy puts it more simply. "I support pro-choice," he says. "My opponent is multiple choice." The line drew a burst of applause.

Romney ran a similar campaign for governor in 2002, modeling the same moderate positions of the two liberal Republican governors who preceded him. He took the same tortured tack on abortion as in 1994; his campaign courted Log Cabin Republicans, promising, according to members who attended a meeting, to be a supporter of gay rights and to stay out of the gay marriage case making its way through the state courts.

There was little change in his political stance in the first year of his governorship. No social initiatives came out of the governor's office. Most of his work revolved around the annual budget process, a Beacon Hill ritual in which the governor, Republican or Democrat, presents a budget to the Massachusetts legislature, which quickly dismantles the plan and replaces it with its own agenda, overriding any eventual veto attempts by the governor.

Then came two events that forced the governor out of his comfort zone of moderation.

The first was the state's Supreme Judicial Court's 2003 ruling that a ban on same-sex marriage was unconstitutional. With his eyes already set on the White House, Romney faced the unplanned prospect of running for president as the governor from the first same-sex marriage state in the union.

Fortunately for him, however, he had no real constitutional power to do anything other than to act as a sideline cheerleader for a proposed constitutional amendment that would have allowed civil unions but not same-sex marriage. The amendment eventually failed in the legislature.

In the meantime, Romney did some executive huffing and puffing, summoning up a dusty 1914 miscegenation statute that barred out-of-state couples from marrying in Massachusetts if their union was prohibited at home. The order was dropped after municipal clerks complained about the extra work it would bring. But mostly Romney was able to use rhetoric to play to conservatives while taking no action that would offend the liberals.

Perhaps the more significant, and less noted, event that forced Romney to switch his protective coloring was the resignation in September 2004 of House Speaker Tom Finneran, a staunch social conservative who ruled the Massachusetts House with an iron hand. A singular power in the legislature, Finneran controlled all action in the House, keeping liberal proposals from advancing out of committee. With Finneran as sentinel, Romney was spared from making any decisions on legislation that could haunt him in Republican primaries.

Finneran's departure in advance of federal obstruction of justice charges -- he eventually pleaded guilty -- forced Romney to drop his Massachusetts Mitt persona. With a more liberal Democratic speaker in place, who is now doing time in federal prison, Romney had no place to hide as hot-button issues such as stem cell research, the morning-after pill and various bills on sexual orientation rights escaped the legislature and made it onto his desk.

He faced a turning point. Sign those bills and safeguard his position for another run for governor or oppose them to curry favor with the more conservative Republican voters he would need to win a presidential nomination.

He chose the latter, beginning his long public transformation to Severely Conservative Mitt. Even back then, reporters covering the Massachusetts State House could anticipate carefully crafted statements by Romney on any social issue likely to come up when he shared the dais with Republican presidential primary rivals.

His one major legacy as governor -- the health care reform bill for which Massachusetts Democrats now honor him -- was part of that same Romney political calculus. When he collaborated with the Democratic leadership to pass the law, the central fixture of individual mandate was within a general Republican ideology for reforming health care. But Romney's dream of being the savior of the health care crisis became a nightmare when conservatives demonized a Democratic president for the same legislation.

Romney couldn't get a break from his Massachusetts legacy. In the last two years of his governorship, Romney was out of state campaigning for president more often than he was in his State House office. His campaign patter often included digs at liberal Massachusetts, such as the time he described himself as "a vegetarian at a cattle ranch."

The tactic didn't increase the love in Massachusetts. In March 2005, he had a 55-to-41 favorable to unfavorable rating. Those numbers continued to decline over the next two years. By November 2006, as his term was ending, his numbers dropped to 37-to-52 favorable to unfavorable. Only 29% said they would vote for him again.

Some say Romney's shifting persona is nothing new to American politics. Even Abraham Lincoln tailored his message to the audience or electorate he was trying to woo. But the politicians who win elections and leave legacies keep to core ideals.

Romney may have such ideals tucked away in a lockbox, but who can tell? His often ham-handed attempts to win over whatever demographic he is targeting this week creates a stink of insincerity that trails him even when he actually means what he says.

That will be the problem for whichever Romney we see over the next months. Whatever message he chooses, part of the audience will wonder if the Mitt Romney they are seeing will be the same one they might vote for.

The opinions expressed in this commentary are solely those of Fred Bayles.

@highlight

Fred Bayles: Romney courted conservatives; with nomination in bag, what's next?

@highlight

Bayles: Moderate Mitt has morphed into Severely Conservative Mitt over time

@highlight

Bayles: As Massachusetts governor, he was able to play to both sides for awhile

@highlight

Whatever stand he chooses, Bayles writes, people will wonder if it's the real Romney