(CNN) -- A 35% increase in demand for air travel.

A tripling of the region's airplane fleet.

Up to nearly 13,000 new planes needed.

Predictions for growth in the Asia Pacific aviation industry over the next two decades are impressive.

But one question keeps recurring in the region and, indeed, around the globe.

Will there be enough pilots to fly the new planes and enough technicians to maintain them?

"The airlines say, 'OK, we've just bought a bunch of airplanes and we've put in all our funding into the airplane,'" says Bony Sharma, vice president of Mil-Com Aerospace Group, a Singapore-based aviation training company.

"Now where does the funding come in to train the pilots, to train the engineers, to train even the management people, to keep these airplanes operational and safe and flying? That's the biggest challenge that we're facing."

100 flight schools 'still not enough'

Mil-Com runs training for a number of Asia-based airlines, including the privately owned Vietnamese carrier VietJet Air.

Earlier in February, the low-cost carrier signed a $6.4 billion contract with Airbus for 63 new single-aisle A320 planes, the lease of seven and the option to buy a further 30 aircraft.

Like so many of Asia Pacific's low cost carriers, however, VietJet Air is struggling to recruit enough personnel to fulfill its lofty ambitions, due to what Sharma describes as an "extremely serious" shortage of pilots.

"All the airlines in Vietnam are heavily dependent on international pilots," says Sharma. "They're competing from the same pool of pilots as the Middle East, with the growth of Singapore, the growth of AirAsia. It's that same pool that all these airlines are competing for, so it's a big challenge in Vietnam."

Mil-Com has been working with VietJet Air since it was founded in 2011, training engineers, technicians and cabin crew.

At February's Singapore Airshow, Mil-Com and Eagle Flight Training of New Zealand signed a Memorandum of Understanding with Vietnam's Aerospace Engineering Services JSC (AESC), to open a flight school in Vietnam, focused on training pilots.

"Even if we set up 100 airplane flying schools tomorrow, it still wouldn't be enough," says Sharma. "The shortage is that extreme."

Half a million pilots needed globally

Released in August 2013, the Boeing Pilot and Technical Market Outlook for 2013-2032 forecasts nearly half a million new commercial airline pilots will be needed to fly all the new airplanes entering the world fleet over the next 20 years.

The problem is acute in Asia Pacific.

There the Boeing report says the explosion in demand for air travel will mean 192,300 new pilots will be required by 2032, including 77,400, or 40% of them, in China.

It's an issue the industry is working to address.

"What we can do is partner with governments, partner with training agencies, partner with airlines and focus a training curriculum that allows the training of those pilots," says Randy Tinseth, vice president of marketing for Boeing Commercial Airplanes. "We're trying to get out in front of it."

Together with partner airlines, Boeing runs pilot training schools in Singapore, South Korea, Australia, Japan and China.

Ground crew also in short supply

Boeing's chief competitor Airbus has a training school in Beijing and last week announced a new joint venture with Singapore Airlines to set up a $64 million facility, offering full pilot training in Singapore.

Mil-Com works in China, too, with joint venture training centers in Xian in central northwest China and in Tianjin southeast of Beijing.

As in Vietnam, the country is heavily dependent on foreign pilots because of the shortage of trained locals.

Sharma says pilots in China are paid 25% more than anywhere else in the region, and even then airlines have problems holding on to them for any more than a couple of years.

But he warns there's an even more pressing area of concern in the region.

"Everybody talks about the sexy industry of pilots," he says. "Nobody talks about the poor mechanic who's in the hangar working day and night, in sweat, rain and humidity."

"That's challenge number one -- attract the talent pool, because a lot of kids just say, 'Yeah I'd rather be an IT guy, work in an air-conditioned office, rather than be standing in these conditions working on an airplane,'" says Sharma. "So that's a big, big challenge to attract the right talent."

According to Boeing's Pilot and Technical Market Outlook, Asia Pacific will need 215,300 new maintenance technicians to service the new airplanes entering the region between now and 2032.

That's 43% of the projected global demand for technicians.

David Stewart is a UK-based aviation analyst for ICF International, a government and commercial consultancy based in the Washington, D.C. area.

"You can get a new pilot in 18 months," he says. "You can take it from zero, to being in the right hand seat, in 18 months. It might worry some people, but that's the truth."

"And if you're growing at Japan Airlines you can go and recruit out of a low-fare carrier because the pilot at the low-fare carrier wants to fly a bigger plane. So the people who've got the problem finding the pilots are the low-fare carriers, the bottom of the food chain.

"Mechanics take five years before you can sign off a plane certificate for release. So the supply chain is much more difficult there because it takes longer for it to react."

Same problems, new solution?

Stewart says pilot shortages have been talked about for years, as has the shortage of mechanics in the United States, yet somehow the issue always gets sorted out.

Boeing's Randy Tinseth agrees.

"The market's going to double over the next 15 to 20 years, but remember it doubled over the last 15 to 20 years that we've just come through," he says. "It's something we can manage through, but we have to get out ahead of it."

Relatively hidden among the thousand-plus exhibitors at last week's Singapore Airshow was a small Florida-based company called DiSTI, which says it has the software to help contribute to the industry getting ahead.

DiSTI does virtual maintenance training for military aircraft, including the F-35 Joint Strike Fighter and the F-16.

During a demonstration, in what looks like a video game, a maintenance technician circles an aircraft, in 3D.

DiSTI President Joseph Swinski says his company is engaging the digital generation by giving them a platform they can relate to, with real training value.

"The aircraft's always running just like it would be in the real world," he says. "So if somebody goes and pulls the wire somewhere or breaks a wire, the whole aircraft will then function in the way that it does in the real world. It's a much more realistic training."

DiSTI global sales manager Christopher Giordano says by using software, you can train more cheaply, more quickly and more effectively.

"Stereotypical maintenance training right now is all done with hardware," says Giordano. "Hardware's extremely expensive to build and it breaks a lot. So if you go into a virtual world and you break something, all you need to do is hit reset and you can continue your training."

The company hopes to break into the market for training commercial aircraft maintenance technicians, but concedes this could still be some years away.

"We find the commercial guys are a little bit slower to adopt things than the military," says Swinski. "The military likes to try things out and then validate it."

"The commercial guys seem to want to wait until the military's done all that, make sure it works right and then they take a look at it. So we're kind of at that point right now."

As technology improves, simulation-based pilot certification training is also starting to take on a greater role internationally.

Asia Pacific has all the predictions for growth.

Whether its support systems keep pace with demand remains to be seen.

Charlotte Glennie is an award-winning journalist living in Singapore. She's worked as a foreign correspondent based out of both Beijing and Hong Kong.

@highlight

Expert says, "If we set up 100 flying schools tomorrow, it wouldn't be enough."

@highlight

As many as half a million new pilots needed globally

@highlight

Asia's airplane fleet expected to triple over next 20 years

@highlight

Mechanics and other qualified ground crew also in short supply