Allan Levene really -- really -- wants to serve in Congress.

So much so, that he plans to run in four states: Georgia. Minnesota. Michigan. Hawaii.

It's puzzling, but the Republican freely admits his strategy increases his odds of winning a House seat.

As he sees it, all roads lead to Rome.

"No matter where you win a seat in Congress, you go to the same building. You do the same work," he said. "You can work for your constituents, which all have similar needs, but the key is you go to Washington and help solve the country's problems."

Legally, his strategy is possible. But it likely will be a logistical nightmare.

Running a congressional campaign as a political newcomer is tough enough. Multiply that by four and add a society that's quick to shun "carpetbaggers" -- people who move to a state to run for office -- and you get what some experts predict to be a waste of time and money.

It appears Levene may be the first to try the unusual tactic. But what if he succeeds? Is he blazing a trail for a new campaign model?

Jumping through the loophole

The Constitution lists only a few requirements for a House member:  Be at least 25, a U.S. citizen for at least seven years and a resident of the state when elected.

But the Constitution says nothing about primaries or the nominating process, and that's the heart of Levene's strategy.

The top 12 campaign questions of 2014

Leaving out a rule that would prevent multi-state campaigns was an understandable omission by the Founding Fathers, Levene said. How could they have envisioned such an approach?

"Back then they couldn't fly from state to state," he said.

In Levene's case, all four races are open, meaning there's no incumbent. Two districts â€” the ones in Georgia and Minnesota â€” are considered safe for Republicans, while the other two are considered safe for Democrats.

The four states only require candidate residency at the time of the general election, not the primary.

They also don't have laws prohibiting candidates from running in the primary if they're attempting to get on primary ballots in other states.

The Federal Election Commission tracks the money side of federal campaigns. It told Levene his mission was legal as long he kept his fundraising separate in each state, meaning he couldn't raise money in Georgia and spend it in Minnesota.

The FEC told CNN it hasn't issued specific guidance on that kind of campaign strategy.

'All politics is local'

Levene, an avid blogger with some unorthodox ideas, has already created websites for each of his campaigns.

But his true focus is on Georgia's 11th Congressional District, whose current representative, Republican Phil Gingrey, is running for the Senate.

Of the four states, Georgia holds its primary first, on May 20. If Levene doesn't win the GOP nomination, he'll campaign in the other states. Minnesota, Michigan and Hawaii have nominating contests in August, just days apart from each other.

Jordan Powell, a Republican political consultant based in Texas, said he's never heard of someone trying to run in multiple states and argued it's not a "viable political strategy."

"There's two problems: There's the practical day-to-day issues, like scheduling, fundraising, meetings, etc," Powell said. "If you get past that, you still have a problem, to me, with voters about political opportunism."

CNN Poll: GOP has edge in early midterm indicator

A number of people, including Powell, brought up a common saying coined by former House Speaker Thomas "Tip" O'Neill: "All politics is local."

"It's very much true in Hawaii," said David Chang, chairman of Hawaii's Republican Party. "People care what high school you went to, what nationality you are, what your last name is, how many generations your family has been in Hawaii, whether you know my auntie and uncle."

"Being from the mainland and running for the office Hawaii, you have an uphill battle because of those dynamics," he added.

Levene hasn't lived in Hawaii; he has only visited the state. But he says he still has a plan specific to the Aloha State. He wants to bring more IT jobs and companies from California and make the island known for being more than a tourist hub.

"It's clear that you need a noisy, loud congressional mouthpiece. I am noisy and I will put Hawaii on the map," he writes on his Hawaii website.

Born in London, Levene, 64, first came to the United States when he was 21 and eventually became a naturalized citizen. He pursued a career in the IT industry and is now settled in Georgia, but he has lived in Michigan in the past, which is why he chose the Wolverine State as one of his "four."

As for Minnesota, the 6th Congressional District has been a Republican stronghold for the past decade. Its current representative, Michele Bachmann, is retiring.

Levene is attracted to races that would essentially guarantee him a general election victory if he wins the primary.

"The election process is about winning first and foremost," he said.

But three well-known Republicans have already been vying for the seat for months.

"The runway for candidates who are serious about it literally started the day Congresswoman Bachmann announced her retirement," said Keith Downey, chairman of the Minnesota Republican Party.

Downey had not heard of Levene's plan to run in the state, but found it difficult to see voters gravitating toward an outsider.

"I would imagine, like in most places, Minnesota voters are a little more comfortable voting for their own and having some past connection to a candidate," he said.

Copycats in the future?

Levene is surely hedging his bets. But what if his plan works?

A source who worked to get Democrats elected to the House last decade seemed open to the idea.

"I wish we had known about that. Maybe we could have gotten even more Democrats elected," the source said, somewhat jokingly.

The source, who asked not to be identified, added the tactic could come in handy for candidates running in districts along state borders.

7 keys to the 2014 midterms

Others had a hard time imagining the strategy becoming one for the textbooks.

Powell said "some of the practical decisions would be easier" in such a scenario, but the candidate would still have a "messaging problem."

"You're still looking like you just desperately want to be in Congress, regardless of the district or the issue," he said. Such an image doesn't pass "the smell test" with voters, he added.

Another House campaign strategist, who asked not to be identified in order to speak more freely, had also never heard of the multi-state approach but said "it's something that a credible strategist would never recommend for any candidate."

"You're opening yourself up to several attacks," the source said.

'Just ideas'

Levene realizes he will run into criticism and said he's prepared to take on his opponents.

"I'm not carpet bagging in the sense that I want to take advantage of the district that I'm running for," he said. "I will work very hard for whichever district that I'm elected to."

For Levene, he believes he must get elected to carry out his ideasâ€”which include carving out a back-up territory for Israel inside of Texas, and creating a pathway for thousands of Chinese nannies to come to the U.S. and teach children how to speak Mandarin.

"Having ideas without going to Washington means they're just ideas," he said in his Americanized British accent. "No one will pay the slightest bit of attention."

He also wants to eliminate corporate income taxes. To combat "career politicians," he wants to void pensions for members if they don't leave office after four terms in the House or two terms in the Senate.

Part of his rush to get elected stems from his expectation to live for only one more decade, a prediction based on family history. He's also convinced the U.S. currency will collapse by 2020.

"My job is to stop that from happening."

If he doesn't win any of the races, he and his wife plan to liquidate all their real estate and other assets, buy Swiss francs and simply wait until the economy gets better.

"If what I want to do does not resonate with the public, then the public will choose somebody else," he said. "And that's OK."

@highlight

Allan Levene wants to run for Congress in Georgia, Minnesota, Michigan and Hawaii

@highlight

Constitution and state laws don't preclude the strategy

@highlight

Experts mostly say it could be a waste of time, but it could set a new campaign model

@highlight

It's believed Levene is the first to try the approach