Amman, Jordan (CNN) -- Thousands of protesters gathered in downtown Amman, Jordan, Friday to demand political change.

The demonstration came less than a day after King Abdullah II dissolved the country's parliament and called for early elections close to the new year.

The peaceful rally called for constitutional reforms, with protesters complaining that the king has too much power. They demanded that representatives be able to run for election in a democratic system rather than be under his control.

"Whoever (is) corrupted is the enemy of God," they chanted, waving Jordanian flags.

Read more: On eve of protest, King Abdullah dissolves parliament

Many said Jordan's economy is hurting, and too many people cannot afford the high cost of living and are being burdened by high inflation. Unemployment is too high, they said, and young people especially are without work. The complaints have been echoed for some time in Jordan and gained steam when the Arab Spring began to sweep North Africa and the Middle East in 2010 and 2011.

Popular uprisings in Tunisia, Egypt and Libya have ousted longtime leaders from power.

Jordanian Foreign Minister Nasser Judeh told CNN that he thought media had exaggerated the number of protesters at the rally, and said an accurate number is about 7,000 to 8,000.

"I think if you compared that to the 2 million people who registered to vote in the late couple months, we can do the math and see that 2 million people are eager to be a part of our democratic reform and new elections," he said.

"I think we are heading in the right direction in very, very firm steps."

King Abdullah has made some changes over the past year, but he hasn't done enough, protesters said.

"The king saw this coming and he's been watching the Arab Spring carefully," said Elliott Abrams, a senior fellow at the Council on Foreign Relations with a specialty in Middle Eastern affairs. "But it's important to remember that Jordan is much more open than Libya. Here you had 10,000 people demonstrating, and they're allowed to."

Read more: U.N. ambassador Angelina Jolie visits Syrian refugees in Jordan

In the past few years, there has been much more open criticism of the king, he said. "Five years ago, people might have grumbled in private but not publicly," he said. "There's more criticism of the royal family."

But the king is in what appears to be in a tough spot. If he makes political reforms, that would mean taking power away from his base -- the Bedouin tribes, a group known as the East Bankers.

On top of that concern, the king is also dealing with more than 200,000 Syrian refugees who have entered Jordan recently.

Read more: Jordan's king calls Syria attack 'a tremendous blow' to al-Assad regime

"So what you've had this past year or so is the king promises change, but then nothing really happening," Abrams said.

In nearly two years, King Abdullah has fired four prime ministers. In February 2011, shortly before Egyptian President Hosni Mubarak stepped down following weeks of intense protest, King Abdullah dismissed his government and ordered "genuine political reform," the country's royal court reported.

The king promised that the government would "take practical steps, quick and concrete, to launch a process of genuine political reform" and "comprehensive development," and would act to strengthen democracy.

New prime ministers were appointed in October 2011 and May 2012.

Opinion: Syria fighting sparks refugee crisis in Jordan

On Thursday, government spokesman Samih al-Maitah framed the king's latest decision to dissolve parliament as part of his promised reforms.

"This was not a surprise decision," al-Maitah said, adding that to ensure fairness, an independent commission will oversee upcoming parliamentary elections.

Protesters Friday chanted, "We came to call for reforms and an amendment to the constitution so the people can see the light!"

The Muslim Brotherhood organized the protest.

The religious and political group -- which was started in 1928 and counts Egypt's new president, Mohamed Morsy, as a member -- believes Islam is not simply a religion but a way of life. It advocates a move away from secularism and a return to the rules of the Quran as a basis for healthy families, communities and states. The Brotherhood has repeatedly called for political reform in Jordan.

"No way are we going to accept anymore that one person rules over 6 million people and nobody can ask him about what he does," said Nimer al-Assaf, deputy secretary general of the Islamic Action Front, the political arm of the Muslim Brotherhood.

It's unclear how much power the Brotherhood has in Jordan. The group has publicly vowed, Abrams said, not to contest the parliamentary elections in the new year.

The Muslim Brotherhood in Jordan has been a part of politics for decades, the foreign minister said. He said the majority of those at Friday's protest were members.

"This is not new for Jordan," Judeh said, adding that "certain agendas" rather than political reform are the Brotherhood's objectives.

CNN's Sara Sidner reported from Amman; CNN's Ashley Fantz reported from Atlanta.

@highlight

Protesters in Amman say they want the king to have less control

@highlight

The protest comes after the king dissolved parliament and called for new elections

@highlight

The king is in a tough spot, as reforms could erode support from his base, an analyst says