(CNN) -- The knock on the door is a sign of bad things to come.

"Do you have any work?" they ask.

They have fled their villages and come into the city out of desperation. Their bellies ache from hunger.

"For those of us in the city, we are seeing the first signs of food crisis spreading across our country. We have seen it before. It has already started, and it is coming fast."

That's what Haoua Lankoande, a manager with the humanitarian agency CARE wrote in a recent blog post from the Niger capital, Niamey.

The first phase of hunger drives villagers into the city; the second phase brings knocks on the door, Lankoande wrote.

"Do you have any food?" they ask. "I haven't eaten in three days."

Eventually in phase three, Lankoande said, people don't ask anymore.

"You wake up and go outside in the morning, and there is a family sleeping on your doorstep. They don't ask for anything, they just look up at you, hoping."

CARE and other aid agencies fear Niger is already in the first stage of crisis. It doesn't take long, they say, for the situation to deteriorate from phase one to three.

"What we are seeing is a tip of the iceberg," said Cassandra Nelson, spokeswoman for Mercy Corps.

Nearly half of Niger does not have enough to eat. The 5.4 million people struggling to stay alive are part of a wider crisis affecting at least 10 million people across the swath across Africa that borders the Sahara, known as the Sahel.

This is the third time in the last decade the people of the Sahel have faced severe food shortages.

The problem, caused by drought and high food prices, is exacerbated by an ongoing conflict in Mali between the military and Tuareg rebels that has forced people to flee into neighboring nations.

Niger, Mali, Chad, Burkina Faso and Mauritania are all facing hunger. All five governments have declared states of emergency.

In Niger, people depend on crops and livestock for survival. They are used to living life on the edge. Every year, life is a gamble.

In the dry months, they prepare for what is known as the "lean season." They eat once a day or maybe even once every 36 hours.

Typically, said Nelson of Mercy Corps, the lean season begins in May. This year, it has already arrived. Premature and deadly.

This week, a United Nations delegation arrived in Niger to size up the horrific situation.

"We know what is coming, and we know what to do to save lives," said Valerie Amos, the U.N. emergency relief coordinator. "While we cannot stop this crisis from taking place, we are taking steps to avert a catastrophe."

Amos said international aid agencies have called for about $725 million to respond to the crisis. Donors so far have provided $135 million.

"But we need more resources now to prevent a large-scale crisis," she said.

In the hard-hit Filengue region, the images are stark. A woman with skin as black as her dress is white surrounded by shades of parched earth. Around her, rows of millet and sorghum that no amount of water could save now.

The rains came late and locusts and crickets damaged crops. The next harvest isn't until October. People grow more desperate by the day, Nelson said.

A bridge stands over a river of crevices. People dig up the river bed, hunting for the last few drops of water. They rely now on God and authorities, one man told the United Nations World Food Programme (WFP).

The agency said it has enough emergency food in the area to feed 2 million people in the Sahel for a month. It hopes to reach 8 million people in the coming months.

Dije Ousmana told CARE she tries not to think of the three babies she has lost in previous years when food was hard to come by. But she is seeing all the wretched symptoms of hunger again in 2-month-old Abdulahadi, wailing to be fed.

She put her baby to her breast but there is no milk, she told CARE. "I haven't eaten yet today."

CNN's Joseph Netto contributed to this report.

@highlight

Aid agencies fear the situation will deteriorate rapidly

@highlight

Drought has led to a failure of crops

@highlight

In all, 10 million people in the Sahel region are at risk