(CNN) -- What would truly delight the geek in your life? It's nearly impossible to know if you don't share his or her peculiar tastes.

It's not good enough just to get them a Rubik's Cube or copy of "The Hobbit." (You know they could solve a Rubik's Cube by the time they were 7, and they already own the complete collection of Tolkien in hardback.)

Show them you care by learning about the things they like and demonstrating that knowledge with your gift choice.

Start by determining what the geek in your life is obsessed with. Geeks are passionate about niche interests, and a little digging on your part is sure to result in a wide-eyed, bouncy, emphatic "thank you!" when it's time to open presents.

Once you have a good idea, look to niche, online shopping destinations such as ThinkGeek, Big Bad Toy Store, Nichibei, EA, SteamPowered and The Space Store.

"We sell what we think is cool," Shane Peterman of ThinkGeek said. "Everyone here, all the product buyers, we're all geeks. So we have a pretty good handle on what we think would work."

Peterman said that sci-fi and fantasy-related merchandise always sells well for ThinkGeek, including anything having to do with franchises such as "Star Wars," "Star Trek," "Doctor Who" and "Hitchhiker's Guide to the Galaxy."

You can also find plenty of geeky merchandise on broader sites such as Amazon or Best Buy.

Too late for shipping? Head for a comic book store, where you can generally find figurines, collectable action figures and specialized merchandise as well as comic books, graphic novels, DVDs and manga. To find the comic book store nearest you, go to comicshoplocator.com.

Or check out a hobby shop, which may have a room dedicated to games. Also go to gaming stores or bookstores. Bookstores such as Barnes & Noble or Borders have gaming books, comics and manga as well.

Geek merchandise can be confusing for a gift-giver who doesn't know what "Neon Genesis Evangelion" is. (It's a popular Japanese franchise about a group of teenagers who pilot robot-like vehicles in an apocalyptic war against "Angels.")

That's why CNN.com's Geek Out! team collaborated with experts to compile a list of gift suggestions for the geeks in your life.

But geeks are not one-size-fits-all, and our gift suggestions might not be right for your situation.

If you can't find the specific thing the geek in your life likes, ask for help in a bookstore or comic shop. There's usually one go-to geek on staff who can assist, pointing out suitable gifts within the genre.

For example, if the comic book geek in your life has a good relationship with the local comic shop purveyor, they might have an established wish list of comic books from certain authors or artists.

Fans of some sci-fi or fantasy television shows may also be part of the comic book fan culture, since many shows, such as "Buffy the Vampire Slayer," "True Blood," "The Walking Dead" and "Firefly," continue and develop story lines in comic book format.

Volumes collecting six-issue (or more) storylines are a growing phenomenon in the comic book world, so these would certainly be a big hit with the comic book geek in your life.

"Japanophile" geeks crave stories and characters that are different from American comic books and animation, said Colette Bennett, editor-in-chief of Tomopop.com, a blog about Japanese toys, collectibles and fan culture.

"From Japan's obsession with over-the-top romance to the emphasis on always "doing your best" and working hard, there's something about [Japanese entertainment] that really makes you feel good," Bennett said.

That's why these geeks turn to manga, a Japanese take on the comic book format, and anime, animated series and movies often based on the story lines in manga. Titans in anime include filmmakers Hayao Miyazaki, often called the "Walt Disney of Japan," and Katsuhiro Otomo, who created the groundbreaking 1988 film "Akira."

While "Star Trek" and "Star Wars" have long defined what a passionate, sci-fi geek is all about, other established franchises such as "Doctor Who" and "Battlestar Galactica" and newer shows such as "Fringe" also have large, passionate fan bases.

It's critical to establish which character, space ship or story line the sci-fi geek is interested in. If your geek likes "Star Wars," don't assume that anything "Star Wars"-related will do.

Keep in mind there may be several iterations of the sci-fi franchise. Starwars.com and startrek.com include information about their different incarnations.

The mainstreaming of some fantasy franchises certainly makes shopping for a fantasy geek easy, since merchandise is widely available. You'd have to be pretty out of touch not to be aware of characters and plot from "The Lord of the Rings" or "Harry Potter," given the popularity of the books and movies in the past decade.

"We love to love the good guys and love to hate the bad guys. With the added factor of magic and/or futuristic technology thrown in, anything is possible," said Pat Dawson, a senior staffer of TheOneRing.net, a Tolkien fan site.

See TheOneRing.net's Tolkien gift guide

Gamer geeks may prefer retro selections like the Atari and Nintendo games from arcades. Others could be into first-person shooter games or strategy games. Gamers aren't limited to computer or console games -- tabletop games such as Dungeons & Dragons capitalize on imagination and a role-playing penchant.

Most gamers like to stay on the cutting edge of titles and tech. So if a game came out in November, it is likely they already have it. But downloadable content -- content that adds to games after they are released -- and add-ons that make game-play faster will be appreciated gifts.

Of course, gift cards for game shops and outlets are the easiest way to please a gamer because they can choose exactly what they want. Just don't be alarmed when you hear, "Thanks for 'Slaughter Fest 2010,' Grandma!"

Shopping for an astronomy geek can be tough. They're not a one-star-fits-all kind of crowd, explained Brittney Dempsey, office manager for NASA's online Space Store.

There are star geeks who like memorizing constellations and myths, NASA lovers who obsess over space travel and physics geeks who love stargazing and mapping. Before you pick a gift, make sure you know which kind of space geek you're dealing with.

Piece of advice: Space geeks are not necessarily "Star Trek" or "Star Wars" geeks. If you assume they are, be prepared -- your space geek will be quick to point out the differences between the reality that interests them and science fiction.

Henry Hanks, Jamie Gumbrecht and Larry Frum contributed to this report.

@highlight

Shop for geeks by going niche; a little homework will go a long way

@highlight

Don't be afraid to go into a comic book store -- you'll find helpful service there

@highlight

Geeks are not one-size-fits-all; not every space fan loves "Star Wars"