London (CNN) -- The leatherback turtle is one of the ocean's titans. The largest member of the turtle family, it is also one of the world's biggest reptiles, outsized only by some species of crocodile. Adults can weigh more than 900 kilograms and reach more than 2 meters in length, with the largest ever discovered measuring about 3 meters from bill to tail.

The species gets its name from its ridged, dotted carapace which, unlike other sea turtles, has the texture of hard rubber. Spending virtually its entire life at sea, the leatherback -- the only warm-blooded sea turtle -- is able to withstand colder waters than other species.

This has allowed it to become the most geographically dispersed reptile, spotted off the coasts of Newfoundland and Norway in the north, to New Zealand and the southern tip of Africa.

But despite its wide spread across the world's oceans, leatherback populations have plummeted in recent decades. The impact of commercial fishing, the poaching of their eggs and other hazards saw their numbers drop by an estimated 80% during the 1980s and 1990s, and today the species is classified as critically endangered.

On the beaches of Gabon on Africa's west coast, however, there are encouraging signs. Here, an important conservation project run by local NGO Aventures Sans Frontieres (ASF, or Adventures Without Borders) is attempting to save this ancient giant from extinction.

Watch: New research to save Africa's leopards

Gabon is home to the world's largest nesting population of leatherbacks, with an estimated population of between 15,000 and 41,000 females using its warm, tropical beaches as a place to incubate their eggs. As ASF's Celine Gagne explains, if you know where to look, the man-sized leatherback can be glimpsed on a nightly basis for months at a time.

"There is, from October to March or April, perhaps every day some turtles coming to the beach to lay their eggs and go back to sea," she said.

After mating with a male just off shore, the female leatherback will wait for nightfall to head for the beach, dig a shallow pit in the sand, and deposit her eggs -- as many as 150 at a time.

See also: Meet Senegal's octogenarian master drummer

She buries the eggs about 80cm deep with her hind flippers, compacting the moist sand with the weight of her body to protect the eggs. Her work on land done, she returns to the sea.

Gagne says that for every thousand eggs laid, perhaps only one turtle will survive to maturity. Some of the 10cm long hatchlings will be unable to dig their way to the surface to make it to the surf, and suffocate in the nests. Others are easily picked off by crabs, dogs, seabirds and other predators.

ASF's program involves collecting data on the nesting patterns of the leatherback populations, and operating hatcheries. In these projects, eggs from the wild are allowed to hatch in a fenced-off location, before the hatchlings are introduced to the ocean, in order to improve their chances of survival.

The organization also works to educate the public about turtle conservation. "There is a lot of threat for young turtles," said Gagne. "The most important are human threats, because activities, sounds, lights are ... a real problem for turtles."

Watch: Combating South Africa's rhino hunters

She said it was important to minimize human activity around beach areas used by nesting leatherbacks. The nests could be easily crushed by vehicles or beachgoers, and the noise they produced could scare off nesting females. Furthermore, because both female turtles and their hatchlings navigate their way to the ocean using the bright moonlight reflecting off the breaking surf, artificial lights could disorientate them and send them towards danger.

Although leatherbacks have not traditionally been prized for their meat, their eggs have been highly sought in various parts of the world as a protein source, an aphrodisiac or for use in traditional medicines. Gabon was no exception, said Gagne.

"People used to eat turtle eggs, but only in [their] family," said Gagne. "They take just a few eggs for children and wife."

See also: Kenya orphanage takes in elephant babies

ASF has encouraged locals not to eat or sell the eggs, stressing the greater economic value to the community in assisting conservation efforts. "Turtles can be an important tourist product and if they disappear ... tourists may disappear with it. It's a source of money."

Even if the leatherback survives the hatching process, it faces many more dangers on its journey. Large numbers are killed each year on the long-lines or drift nets of commercial fishermen, in which the animals can become snared and drown within 40 minutes. Pollution also poses a threat: floating plastic bags look a lot like the jellyfish they rely on as their main food source, and have been found in the digestive systems of about half of the leatherbacks studied in recent times.

If they can avoid these hazards, however, these solitary giants can live to be over 50 years old. The males of the species may never return to land after surviving the arduous hatching process. Remarkably, though, when it comes time to lay their own eggs, the female of the species will typically cross the ocean to return to precisely the same beach where she may have hatched 15 years earlier.

@highlight

The leatherback is the world's largest turtle, and one of the largest species of reptile

@highlight

It is critically endangered, having suffered a population decline of about 80% in recent decades

@highlight

The beaches of Gabon, in west Africa, are the most popular spot for females to lay their eggs

@highlight

Aventures Sans Frontieres operates a conservation project to help the hatchlings survive