Washington (CNN) -- Supporters of the Violence Against Women Act hope to revive the law in a new Congress after efforts to renew it failed in the last one.

"It is an early priority for us," House Minority Leader Nancy Pelosi, D-California, told CNN as the 113th Congress convened Thursday. "Since it passed the Senate last time, with two more Democrats in the Senate, we hope that it will have an easy path there and a doable path there -- and a successful one in the House."

The Violence Against Women Act mostly provides support for organizations that serve domestic violence victims. Criminal prosecutions of abusers are generally the responsibility of local authorities, but the act stiffened sentences for stalking under federal law.

Supporters credit the 1994 act with sharply reducing the number of lives lost to domestic violence over the past two decades.

Baseball player charged after domestic dispute

The Senate voted to renew the act for a third time in April, barring agencies that receive funding under the law from discriminating against gays and lesbians, allowing immigrants who face domestic violence to seek legal status and giving tribal authorities new power to prosecute cases on Indian reservations.

The Republican-led House passed its own bill, one that didn't include those provisions and that advocates said rolled back some protections in existing law. The White House threatened to veto it, and no resolution was reached before the clock ran out on lawmakers this week.

The failure to reauthorize the act leaves people such as Nancy Neylon, executive director of the Ohio Domestic Violence Network, facing the prospect of layoffs at her organization and others that work with spousal abuse victims. Neylon said the act funds the paycheck of one of her group's nine employees and others in towns around the state.

"We have no state money that supports domestic violence or sexual violence programs," Neylon said. The money already in the pipeline is running out, she said -- and without federal support, "We have no services here."

Granderson: Stop and think, Rihanna

The National Task Force to End Sexual and Domestic Violence Against Women says the failure to reauthorize the Violence Against Women Act doesn't mean the law is dead -- "VAWA itself is very much alive and will continue in its 2005 version," it notes.

But the programs it supports "are certainly threatened because the budget crises at the local, state and national levels are always looming."

The standoff over the so-called fiscal cliff put off across-the-board cuts to those programs, according to the task force, a coalition of civil rights groups other advocates. But without further action, it says nearly 200,000 people could lose help they now receive.

Opinion: Don't gut the VAWA

Neylon's Columbus-based organization supports shelters and programs across Ohio. Federal money supports legal aid for victims facing custody, housing, employment or immigration problems and training for police, prosecutors and probation officers involved in domestic violence cases, she said. Other programs under the Violence Against Women Act pay for court programs aimed at curbing abuse.

The existence of federal law "drew incredible attention to the issue" and spurred states to toughen their own laws on spousal abuse and sexual assault, Neylon said. It means protective orders cross state lines -- an important issue in a state where metropolitan areas such as Cincinnati and Toledo straddle the borders.

Neylon said changes included in Senate bill "bubbled up from the field" based on years of experience by women's advocates, prosecutors, judges and social workers -- "literally thousands of people providing input into what the major problems were out here in the country."

"We've now had a number of years to look at what the needs are, and the field was telling our federal legislators, 'This is what we need,' " she said.

Opinion: House GOP failed women on Violence Against Women Act

The Senate bill passed 68-31, with the support of 14 Republicans. The 222-205 vote on the House bill was more of a party-line affair, with only six Democrats supporting it and 23 Republicans voting against it.

The House bill failed to extend the power of Native American tribes to prosecute offenses committed by non-Indians on tribal lands, which the National Congress of American Indians said allows abusers to "game the system" and avoid prosecution.

Talks extended into late December, with Vice President Joe Biden -- the architect of the 1994 law -- and House Majority Leader Eric Cantor, R-Virginia, attempting unsuccessfully to reach a deal.

Cantor spokeswoman Megan Whittemore told CNN the majority leader "has been working with our members, Vice President Biden and groups who serve those directly affected by these crimes to seek common ground across party lines and put an end to violence against women." She pointed to a letter from the task force praising Cantor's "good-faith efforts" to find a resolution.

But the letter also said the task force remains committed to keeping the language involving tribal courts. And Pelosi said the House bill "was really a step backward for women."

CNN's Dan Merica in Washington and Matt Smith in Atlanta contributed to this report.

@highlight

Efforts to renew the 1994 Violence Against Women Act failed to survive the last Congress

@highlight

Supporters say the law sharply cut the number of domestic violence deaths

@highlight

Senate wanted to extend protections for Native Americans, gays and lesbians

@highlight

House bill didn't contain those provisions, which activists say are necessary