(CNN) -- The news reports streaming out of the Middle East this week have understandably focused on concerns Iran is working to build a nuclear weapon, challenging Israel's own widely believed but publicly undeclared nuclear arsenal and threatening stability across the region.

Iran's record supporting terrorism in the Middle East through groups like Hezbollah in Lebanon elevates those concerns.

Some say President Barack Obama only needs to give Israeli Prime Minister Benjamin Netanyahu a "green light" to carry out an attack that would aim to damage or destroy Iran's nuclear enrichment facilities at the core of concerns. Other Israeli sources are insistent that the U.S. military is better able to carry out the attacks and should therefore take the lead.

Nuclear weapons: Who has what

As the world marks 10 years since the Iraq invasion, it might be a good time to look ahead and ask the decision-makers some basic questions about the threat and the strategy to deal with it.

They've been wrong before, but plenty of pundits are laying out a "spring or summer" timeline for military action.

Is this to be a pre-emptive strike?

In April, 2006 Iranian President Mahmoud Ahmedinejad stood onstage, surrounded by dancers holding glowing vials representing enriched uranium and declared: "I am officially announcing that Iran joined the group of those countries which have nuclear technology."

Iran has repeatedly denied it is trying to "weaponize" its nuclear program and spiritual leader Sayyed Ali Khamenei has even issued a fatwa in a speech against the production and use of weapons of mass destruction.

The IAEA says it has no evidence Iran is diverting its enriched uranium to make a weapon, but refuses to give Tehran a clean bill because inspectors have been unable to visit a military location where nuclear weapon research could be conducted.

There is no shortage of experts who believe Iran is doing everything it can to ready nuclear weapons technology so that if it considers itself threatened, it could produce one relatively quickly.

The question is not whether Israel and the U.S. would attack Iran if it developed a nuclear weapon. Both states have said they will not allow Iran to possess nuclear weapons.

The question is at what point Iran's capability to go nuclear is unacceptable. It is important because it's relatively easy to bomb buildings and factories, but you can't bomb knowledge.

What would be the U.S. or Israeli military goals?

Any strategy that involves attacking Iran to control its nuclear program compels us to ask what the U.S. and Israel hope to achieve? Will it be enough to shut down the nuclear enrichment process for a year...two years...five years?

In the event of a strike on its nuclear program, it is reasonable to assume Tehran would immediately resume its research in deeper, hidden underground shelters. It may already be preparing to do that. The U.S. can expect Iran would try to rebuild and improve on its past efforts with a vengeance.

It is also reasonable to assume Iran would end cooperation with the IAEA nuclear inspectors and the United States, Europe and Israel would lose the window to look inside Iran's nuclear program, however imperfect it may be.

A more important question the U.S. needs to ask is whether a military attack strategy will force it into a "lawn mowing" ritual that has to be repeated, again and again?

Military experts have been clear that a strike on Iran's nuclear program isn't going to be simple or easy.

It might have to include scores of targets like radar installations, airfields and missile sites. Those same military voices remind everyone there will be necessary bomb damage assessments -- possibly by drone, aircraft or satellite -- in the wake of any strike to determine what was damaged or missed.

It all tends to add up to a very major military effort -- not the simple "one and done" raid Israel carried out on Iraq's Osirak nuclear reactor in 1981.

The only way out of a cycle like this would seem to be negotiations, or perhaps even to learn to live with a nuclear capable Iran. It bears mentioning because that's precisely where the U.S. and Israel are right now -- before taking on the high costs and high risks of another military "solution."

Has the diplomatic route been exhausted?

Obama has repeatedly said there is "a window -- not an infinite period time, but a window of time -- where we can resolve this diplomatically."

This week, it became clearer than ever that Netanyahu is growing impatient with the lack of progress that talks and sanctions have achieved.

That's understandable. Israel and Iran are already locked in a covert war. Since 2007, Iran has alleged at least five of its nuclear scientists have been assassinated by Israeli agents. There was no official response from Israel.

In July 2012, a suicide bomber attacked a bus carrying Israeli tourists in Bulgaria. Five Israelis were killed -- along with their Bulgarian driver -- and a Bulgarian investigation established links between the bomber and the pro-Iranian Lebanese group Hezbollah.

So the most important question of all is: When does America give up on diplomacy with Iran?

Iran is different from other Middle East countries in an important way. For decades, the United States propped up Arab leaders and had, on the surface anyway, warm relations with them. But almost universally, the man in the street detested the U.S. government.

In Iran, it's the man on the street who is largely supportive of America. It's the government and the extremists it trains that have all the hatred for what the U.S. represents.

Perhaps the question right now isn't about giving up, but whether it's time to double down on diplomacy to avoid a conflict that poses serious and unpredictable consequences.

@highlight

Pundits are laying out a spring-summer timetable if the U.S. or Israel is to attack Iran's nuclear program

@highlight

CNN's Jim Clancy says decision-makers need to ask basic questions first

@highlight

How would success be assessed and how would Iran react?

@highlight

He points out U.S. also enjoys great support on the Iranian street unlike in many regional neighbors