(CNN) -- If you crave fries in San Francisco, Jasper's Corner Tap is a natural choice. But your decisions aren't over yet. Will it be thin, thick, or sweet potato? Do you try the smoked-paprika seasoning or a cheese curd-based poutine, or play it safe with sea salt? There's an entire menu devoted to customizable fries at your fingertips.

French fries are one of the true crowd-pleasers -- a food that friends agree upon, that turns up at both five-star steakhouses and roadside dives, and that is familiar but can also surprise you. They can be cut thick or curly, cooked with or without skins, served Belgian-style in paper cones or in a parchment-lined basket with malt vinegar on the side. No matter how you slice it, the deep-fried spud is king.

Eat Like a Local: Share your favorite local eats -- we want pictures!

So, how do you know a good one? "The best fries are made from fresh-cut potatoes and double-fried, which adds crispness," says Glenn Walker, who has been posting reviews at frenchfrydiary.blogspot.com since 2004. "I've also noticed that more and more restaurants are enhancing the flavor of their fries by frying them in duck fat, seasoning them with truffle oil, and serving them with numerous dipping sauces," he says.

As for the fry's humble beginnings, some say that, in the U.S., Thomas Jefferson was an early adopter. He was known to entertain guests with "potatoes served in the French manner," according to essayist Charles Ebeling, a member of the Chicago Literary Club. Drive-in restaurants and fast-food joints that began popping up in the 1940s popularized fries by pairing them with burgers. And it's become almost impossible to think of one without the other.

Here are some of the best fry variations in the U.S.:

The Breslin Bar & Dining Room, New York City

It's no secret that French fries served crispy on the outside, tender on the inside, are the golden standard. But this Manhattan hipster favorite goes a step beyond others to assure the crunchiness of its spuds: introducing The Breslin's thrice-cooked chips. These long, medium-thick slices of Idaho russet potatoes are first boiled, then fried twice in a sunflower and canola oil blend before receiving a dash of salt, and presented either as a stand-alone dish or alongside a feta-topped, chargrilled lamb burger. Only thing left to request: a side of cumin mayo for dipping.

Travel + Leisure: More amazing fries across the U.S.

Boise Fry Company, Idaho

With a slogan that reads "burgers on the side," you know this is a place serious about its spuds. The potato reigns supreme in this state, and between the vast selection of sauces, seasonings, and spritzers, it's possible to never try the same thing twice. The ordering goes like this: walk in, choose from six varieties of potato including purple, yam, and sweet, then decide how you'd like it cut. Next up, the dressing. Perhaps you'd like your curly Yukon gold fries topped with malt vinegar and served with a side of blueberry ketchup (that's right: blueberry), or you might be craving a russet fry with rosemary garlic salt and Thai sour cream. Or why choose at all? Enlist some friends, and sample away.

The Original Hot Dog Shop, Pittsburgh, PA

At this family-run stalwart, the mountain of fries that comes in even a small order borders on the ridiculous -- so no wonder the college kids keep coming back. Located on the campus of the University of Pittsburgh, "The Dirty O" has a reputation for decadent spuds: hand-cut and peeled Idaho potatoes, twice fried in peanut oil, and served golden and crunchy on a cafeteria tray. The Original even has its own dedicated fry station, where you can order them with sides of gravy, cheese, or ketchup. 3901 Forbes Ave.

Travel + Leisure: World's most delicious street foods

Duckfat, Portland, ME

When it comes to delivering the perfect fry, it's all in the name at this Portland sandwich shop. The locally sourced potatoes are twice fried in a healthy coating of duck fat that results in a crunchy exterior but leaves each fry's interior fresh and tender. They're then served in paper cones with a handful of specially made dips like smoked mussel mayo and chopped egg and caper mayo. Being close to Canada, Duckfat also offers its own version of poutine, topping those same crispy fries with a heaping of local cheese curd and house-made duck gravy.

Jasper's Corner Tap, San Francisco

Since its 2011 debut, Jasper's has won a following for its bar offerings, including a menu devoted exclusively to fries. Seriously. You get to choose your fry (thin, thick, or sweet potato), your seasoning -- options include smoked paprika and truffle, Parmesan, and herb -- and, for an extra $3, add a cheese curd-based poutine. Word on the street is that the smoked cheese fondue is "to die for." Jasper's also obliges with a late-night menu ideal for entertaining the Tenderloin neighborhood's after-hours crowd. The highlight? A helping of thick-cut fries, naturally, topped with buffalo mozzarella curds and hot brown gravy.

Travel + Leisure: World's top fast food restaurants

Pike Street Fish Fry, Seattle

Late-night crowds line up at the counter of this tiny Capitol Hill neighborhood eatery for some of Seattle's best fish and chips; after all, the fries alone are worthy of the wait. They're hand-sliced, fried to perfection, and served in paper cups with dipping sauce (the tangy chili mayo is a perennial favorite). And while it's hard to beat a helping of these crispy gems after an evening out boozing, Pike Street Fish Fry outdoes itself every third Friday from 5 to 7 p.m. by serving its fries for free.

The Green Room, Greenville, SC

This go-to source for upscale comfort food also has a reputation for creativity (ever heard of a Philly Cheesesteak soup?), and its fries are no exception. Chef Patrick Long specializes in Parmesan truffle fries, shoestring cut and tossed in truffle oil immediately after he takes them out from the fryer. He then tops them with grated Parmesan cheese and fresh parsley. Pair them with a plate of BBQ pork biscuit sliders, and you've got yourself a satisfying southern meal.

Travel + Leisure: World's top night markets

Bourbon Steak, Miami

Celebrity chef Michael Mina's dinner-only restaurant offers up generous cuts of beef that are both organic and hormone-free -- and its fries get the same attention to quality and detail. Mid-thick cuts of potato get dunked in duck fat to provide both their rich flavor and crispness, and an order covers three seasoning and sauce combos: rosemary herb accompanied by a side of spicy ketchup; onion-dusted with sour cream sauce; and smoked paprika with smoked barbecue sauce.

Jonesy's EatBar, Denver

The fries at this Uptown neighborhood gastropub are consistently voted Denver's best: they're thick-cut, extra crispy, and simply put, phenomenal. They also come in four "World Famous" and original varieties, including Buffalo (doused in wing sauce and blue cheese crumbles with a side of dressing), and a Bacon Mac & Cheese that regular costumers swear by. Factor in a dash of nostalgia from the setting within a restored 1950s soda fountain.

Thrasher's, Ocean City, MD

It may have something to do with the salty air, but there's a certain je ne sais quoi in a boardwalk fry that just can't be found elsewhere -- and Thrasher's has been preserving and protecting that quality for the last 80-plus years. No wonder there's always a wait. It's hard to beat a bucket of hand-cut spuds that have been fried in peanut oil with skins on, especially when served with nothing more than a little salt and vinegar. Purists believe there's no messing around with the fry's intense potato flavor, so if you really want ketchup you'll have to bring it yourself. And while you're at it, invite a few friends to share: Thrasher's smallest fry order is a 16-ounce bucket, and its largest is a whopping 53.
thrashersfrenchfries.com

Travel + Leisure: See more of the U.S.'s best fries

What's your pick for the best fries? Do you indulge in fancy sauces or are you a purist or a ketchup-only consumer? Share photos and suggestions for your favorite local eateries on iReport.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

French fries are a food most people can agree on -- at least the basic principle

@highlight

Restaurants are going all out to spice up their fries with unique preparations

@highlight

Sauces beyond ketchup are gaining in popularity

@highlight

What's your favorite fry? Share you picks for local eats on iReport.com