(CNN) -- Frank Korona lives near the West Virginia-Pennsylvania border with his wife Kathy, in a house that he built with his own hands, on the same property where he grew up.

He served in the Army Special Forces in Vietnam. The Koronas have a long, proud tradition of military service, but their family's greatest losses have been to heart disease.

"Our family has shrunk tremendously. We've lost so many people through death," Kathy says.

In 1992, Frank's brother Bob died in his arms, suffering a heart attack on their kitchen floor. Parents, siblings, aunts, uncles and cousins have all died from complications from heart disease, too. The Koronas point them out in a graveyard near their home.

Frank and Kathy have both had heart attacks, and both have stents holding their blood vessels open. The birth of their grandson Caleb led them to try harder to extend their lives. So last year, the couple joined the Dean Ornish Program for Reversing Heart Disease.

Medicare, the government health insurance program for Americans 65 and older, covers the Ornish program, which teaches a plant-based, meatless diet, meditation and regular exercise. The program was officially declared an intensive cardiac rehab program in 2010, and the first patients started in May 2011.

Ornish is a persistent advocate within the halls of government. There are mountains of scientific evidence that his recommended lifestyle changes do reverse heart disease, the No. 1 killer in the United States and worldwide.

Helping patients make these lifestyle changes costs Medicare about $70 per hour, and patients can receive up to 72 one-hour sessions. Proponents of preventative medicine point out that that cost is still much less than operations and medications.

Ornish believes that fear cannot motivate lifestyle change in people long-term. Change has to be about feeling better and having more zest for life. The greater the change, the better the feeling, he says.

That seems to ring true for the Koronas. Despite the grim history of heart disease, they say it's how good they feel that keeps them living the lifestyle that their neighbors sometimes find strange.

"If I was going to be able to participate as a grandparent in his life, that gave me another incentive, that really did," Kathy explains. "But in order to do that, I needed to feel good about myself first."

The Koronas' favorite yoga positions are "cobra" and "fish," and their favorite pizza is meatless meat-lovers, made with soy pepperoni and soy "ground beef."

"Usually at the end of the session, the instructor will say, 'Now the reward, get into the total relaxation pose,' and we do that, and it just feels so good," Kathy says.

Together the Koronas have lost 85 pounds on the program, and Frank is off of four medications.

Hospitals can now bill Medicare for their patient's yoga and group discussion sessions because the Ornish program is an approved intensive cardiac rehab program, a new class of cardiac rehab created by Congress in 2009.

Traditional cardiac rehab, developed in the 1950s and covered by Medicare since 1982, focuses almost exclusively on exercise -- getting patients out of bed and the blood flowing again.

But in the 1970s, Ornish and others began leading experiments to test whether improving diet and stress levels could make a difference for those with heart disease. In the following decades the researchers published volumes of studies in peer-reviewed journals that became the basis of the Dean Ornish Program for Reversing Heart Disease.

There are four components to the program: nutrition, stress management, moderate exercise and group support.

Part of the underlying cause for widespread heart disease, explains Ornish, is chronic loneliness and isolation, which lead to stress and bad habits. When people feel emotionally close to others, they're physiologically healthier, too, so Medicare is paying for it.

"The reason that I spent 16 years working with the Centers for Medicare and Medicaid Services to achieve Medicare coverage for our program is that I knew that most insurance companies follow Medicare's lead. In other words, if Medicare covered our program, most other insurance companies would, as well," explains Ornish, who also says he was once naive in thinking that solid science alone would be enough to change health care policy.

"Reimbursement as well as science are primary determinants of medical practice. If it's not reimbursable, it's not sustainable."

@highlight

Dean Ornish Program for Reversing Heart Disease is covered by Medicare

@highlight

Patients do yoga, eat a plant-based, meatless diet and meditate regularly

@highlight

Kathy and Frank Korona have lost 85 pounds on the program