(CNN) -- My job as an imam and outreach director for the Dar Al-Hijrah Islamic Center, located minutes from the Pentagon and the U.S. Capitol, was created September 11, 2001, to convey a more accurate image of the American Muslim community and to create opportunities for interfaith cooperation and understanding distinct from the stereotypical image of Muslims as intolerant and violent religious anti-American extremists.

On the morning of the 9/11 attack, while I was calling my patients from the waiting room at Howard University Hospital, I saw the plumes of smoke in the distance coming from the Pentagon, and on the TV monitor watched the twin towers of the World Trade Center being destroyed.

I had been volunteering as the Muslim chaplain and imam at Howard University at that time, and the media began calling me for interviews.

By 2002, the Dar Al-Hijrah Islamic Center asked me to be their first outreach director. I left my work as a biomedical researcher, working on my doctorate studying sickle cell disease, and took up this work.

Much like the tradition of the black church, I believe I was "called" to this ministry to bring people back together, to try to heal a lot of the pain, fear and anger that persisted.

The work I do in the greater Washington area is similar to what Daisy Khan and Imam Faisul [Feisal Abdul Rauf] want to do with the Cordoba Initiative at Park51, which is being referred to as the "Ground Zero mosque."

I know how important this work is, since I do it every day, reaching out to Christian, Jewish and other faith groups as well as colleges, universities, government and the media in order to find common ground and understanding.

In March of this year, a group protested my leading an opening prayer for the Virginia General Assembly.  I called the delegate who was responsible for the official invitation -- Adam Ebbin, who is white, Jewish, male and gay. He said he looked at the work I had been doing for almost a decade, and said "I will stand by you."

That was a teachable moment. Later, members of the House of Delegates said this was one of the most impressive prayers they had heard, and that they were convinced they were hearing from the type of Muslim that we need in America.

The struggle for equal access, for the right to build mosques in America -- not just in lower Manhattan -- is reminiscent of the pain and struggle of black Americans for churches, housing, employment and, actually, public acceptance.

By the letter of the law, blacks had the right to live or work anywhere, but they were often segregated to certain areas and specific jobs.  Similarly, American Muslims have the right to worship anywhere, but some Americans say we're not ready yet for mosques being built in certain areas.

Some years ago I preached in the Holy Land to 70,000 Palestinians at the "Jerusalem Festival."  I wondered why they invited me.  As I saw their communities and felt a reminiscent pain of being a second-class citizen in my country, then I knew why God made me a black American at this time: to share my hope and faith.

I told them the Quran teaches,"O you who believe! Stand out firmly as a witness before God; and let not the enmity and hatred by others allow you to depart from justice. Be just: that is closer to piety; and fear Allah. Indeed, Allah is Well-Acquainted with what you do." [Al Maaidah 5: 8]

I realized then that as an heir through the civil rights and black power movements, and now as a Muslim, I am building a bridge from one faith tradition and civil rights movement to another faith and new civil rights movement -- from the fight for civil rights for black Americans, to the fight to secure the right for American Muslims to overcome and live beyond the "terrorist" stigma in a post-9/11 world, to make a better America for everybody.

The spiritual says, "I come too far from where I started from, nobody told me the road would be easy." Establishing Park51 is another step on the road to equality for all people.

It must succeed for all of us. These Muslims who respect America want to continue to pray, live and work in their community in lower Manhattan. While honoring our fallen citizens, we must continue to uphold the banner of freedom -- not guilt by association.

Although I thrive off the passion of Malcolm X, I engage in struggle with the compassion of Dr. King.

"We shall overcome" once again.  America eventually gets it right. That America will once again choose the road toward freedom, justice and equality for all people, and that is the America that I believe in.

The opinions expressed in this commentary are solely those of Imam Johari Abdul-Malik.

@highlight

Imam Johari Abdul-Malik is director of outreach for a Washington Islamic Center

@highlight

He compares moderate Muslims' struggles to the civil rights movement

@highlight

U.S. Muslims have the right to live without the "terrorist" stigma, he says