(CNN) -- Egyptians swarmed Cairo's Tahrir Square to demand that their first freely elected leader respect their wishes, hoping to revive a democratic groundswell that swept the country's former strongman from power nearly two years ago.

Protesters waved flags and banners, chanted slogans and called on President Mohamed Morsy to roll back last week's decree giving himself expanded presidential powers -- or resign. The crowd included many different Egyptian factions, including Western-style liberals, secularists, moderates and women's rights activists.

"I'm here because this is our country -- all of us," one woman told CNN. It's not just for our president."

But Morsy showed no signs of backing down.

Egypt's Cabinet chief, Mohamed Refa'a al-Tahtawi, said there will be no retreat from the constitutional decree, state-run EGYNews reported. He reportedly stressed the president would not back down because his move was motivated by democratic aims.

There were no official crowd estimates for Tahrir Square. But the square was packed as protesters clogged the roundabout and tents filled the grassy area in the middle. The rally lasted into Wednesday's early hours, with some demonstrators singing and playing drums and guitars while others listened to speeches.

Though the protest was mostly peaceful, at least one demonstrator died in early clashes with authorities ahead of Tuesday night's massive rally, the Ministry of Health said. The opposition Popular Alliance Party said the protester died after inhaling excessive amounts of tear gas, which police used in numerous scuffles with rock-throwing protesters on the side streets leading to the square.

And in the Nile Delta city of Mahalla, police reported dozens of injuries when demonstrators stormed the headquarters of the Muslim Brotherhood, Morsy's political movement, Interior Ministry spokesman Alaa Mahmoud told CNN. Police also used tear gas to break up the melees and made numerous arrests, but the building was destroyed, Mahmoud said.

Ahmed al-Aguizi, a spokesman for the Freedom and Justice Party -- the Brotherhood's political arm -- said the anti-Morsy protesters carried knives, swords, clubs and guns and battled Brotherhood supporters for four hours.

Across the country, 116 people were injured in protests in Cairo and elsewhere, EGYNews reported, citing the Ministry of Health.

Protesters are angry with Morsy for his declaration last week that his edicts are beyond the reach of judges in what critics call an unprecedented power grab. A statement Monday night that appeared to at least partially limit the scope of the decree did not seem to salve their anger.

On Monday, his office clarified the edict, saying it only applied to "sovereign matters." Morsy "did not give himself judicial power" but did provide "immunity for his presidential decisions," said Jihad Haddad, a senior adviser in the Freedom and Justice Party.

Haddad added that "the president himself (is) not immune from judicial oversight," though it wasn't clear in what instances that would come into practice, or if there was anything preventing Morsy from issuing a new decree so this could not happen.

Protesters want to show that "the whole population of Egypt is against" Morsy and his backers, said former Finance Minister Samir Radwan.

Morsy and his Muslim Brotherhood supporters have defended the policy as necessary to defend the fragile Arab Spring revolution that pushed former President Hosni Mubarak from power and led to the country's first free elections. On Tuesday, the Brotherhood's official Twitter feed dismissed the protests as underwhelming and said what it described as a low turnout indicated a "lack of support among Egyptians."

But Egyptian journalist Mona Eltahawy said the crowds have turned out to tell Morsy, "We are your checks and balances."

"We are the people who will keep you honest, right after you grabbed all of this power for yourself that has made you even more powerful than Mubarak, who we got rid of last year," Eltahawy told CNN. "So, the people are there to say, 'We might have elected you as president, but we did not elect a new dictator.'"

Eltahawy said Egypt's judiciary does need to be "cleansed" -- "but the way to help Egypt toward freedom is not by paving it with dictatorship."

The Muslim Brotherhood scrapped its own demonstration to show support for Morsy -- also scheduled for Tuesday -- "to avoid any problems due to tension in the political arena," said spokesman Mahmoud Ghozlan. But the Muslim Brotherhood Twitter feed told opponents to brace for "millions in support of the elected prez."

Opinion: Don't blame Muslim Brotherhood for Morsy power grab

Morsy's decree Thursday said that judges can't overturn his decisions or interfere with an Islamist-dominated council writing a new constitution.

He also sacked the nation's top prosecutor.

In addition to outbursts on the street, Egypt's judges have reacted. All but seven of Egypt's 34 courts and 90% of its prosecutors went on strike Monday in protest, said Judge Mohamed al-Zind of the Egyptian Judge's Club. He described Morsy's edict as "the most vicious ... attack on the judicial authority's independence."

Edict divides Egypt, unifies opponents

Morsy insists he's trying to protect Egypt's fragile Arab Spring revolution, not accumulate unchecked power. His moves "cemented the process that would create the institutions that would limit his power, define the constitution and have parliamentary elections so that we can say this is a democracy," said Haddad.

Senior presidential aide Essam El-Erian called concerns about Morsy's edict overblown, blaming the protests on "counterrevolutionary forces" loyal to Mubarak's party. Polls show "an overwhelming majority supporting President Morsy and his decisions," Haddad said Monday.

Analysis: Morsy makes his move

But that's not how his political foes -- seen as "heretics" by many members of the Muslim Brotherhood, according to Washington Institute for Near East Policy fellow Eric Trager -- look at the situation.

Amr Hamzawy, who'd been in the now-dissolved parliament, said action is needed to prevent more "suffering" under a president with "sweeping powers," as Egypt had for 60 years under men like Mubarak, Anwar Sadat and Gamal Nasser.

"Morsy is the ... president who has sweeping executive (power), sweeping legislative (power) and ... puts himself above the judicial branch of government," said Hamzawy, founder of Egypt's Freedom Party. "That is a very dangerous mix, which can only lead to a dictatorship."

The rest of the world is watching, too.

Former U.S. diplomat Jamie Rubin said Morsy's edict "brings to mind all the fears that people in that part of the world have had about the Muslim Brotherhood when it comes to democracy."

Morsy to meet with top judicial body

The unrest raises new concerns about stability in Egypt, which has gone through two years of protests and turmoil.

"The majority of the people are really suffering, and they were looking forward to some stability," said Radwan, the former finance minister, who served under Mubarak as well as in the government that followed him. "I'm afraid that this constitutional declaration has blown it up."

Hamas leaders in Egypt for cease-fire talks

CNN's Reza Sayah and journalists Ian Lee and Mohamed Fadel Fahmy reported from Cairo. CNN's Michael Pearson, Greg Botelho and Jason Hanna contributed to this report in Atlanta.

@highlight

NEW: Egypt's Cabinet chief says there will be no retreat from the constitutional decree

@highlight

NEW: 116 people are reportedly injured in protests throughout the county; 1 died

@highlight

"I'm here because this is our country -- all of us," a demonstrator says

@highlight

A Morsy backer says the president has "overwhelming" support from Egyptians