For 13 years, President Bashar al-Assad has governed Syria. For 2½ of those years he's faced repeated calls from many inside and outside the country for his resignation.

Now, al-Assad's regime is thought by many Western governments to have used chemical weapons against its own people, prompting talk of international military intervention.

But Syria's president shows no sign of stepping back from the brink of confrontation. So who is al-Assad and what might he do next?

When Bashar al-Assad succeeded his father Hafez Assad in 2000, there was the promise of a modern and more democratic Syria.

In his inauguration speech, al-Assad indicated he would be a very different kind of leader to his father. "I shall try my very best to lead our country towards a future that fulfills the hopes and legitimate ambitions of our people," he said.

And for a while that promise was kept. His official website says he has built free-trade zones, licensed more private newspapers and private universities, and fought government waste and corruption. He has also worked on social and economic reform.

Low profile for Syria's first lady

But many say al-Assad's promises have largely not been delivered. Human Rights Watch called his first 10 years as president "the wasted decade," with a media that remained controlled by the state, a monitored and censored Internet and prisons still filled with dissidents.

Back in 2011, al-Assad drew criticism from around the globe as he met popular protests and unrest with force. Since then, the conflict has escalated into a brutal civil war and the rebels have at times threatened government strongholds in Damascus.

Through it all, al-Assad and his government have consistently said that its forces are targeting armed terrorists funded by outside agitators. And the president has shown no sign that he will accede to demands that he stand down and quit the country.

In November last year, he told Russia Today TV: "I am Syrian. I was made in Syria and to live and die in Syria."

Over time, his public appearances have become rare events. But an Instagram account set up on July 24 offers an alternative vision of the president's life -- one that is all about feeding the hungry, science Olympiads and widespread support for al-Assad and his wife, Asma. The closest it comes to reflecting the ongoing war are pictures of the president meeting "with the armed forces who are fighting the terrorist groups."

Andrew Tabler, a senior fellow at the Washington Institute for Near East Policy, describes al-Assad as "a master of deception" -- and his manipulation of the media is one part of that.

"I think that the regime -- the package of Bashar and his wife Asma, it's very seductive. And it draws you -- how could someone who seems so reasonable command such a horrific regime?" said Tabler.

And if the threat of Western military intervention in Syria is borne out, al-Assad's response may not be an obvious one, he said.

"He's going to think about, 'How am I going to react to these strikes?' Now what we can see from past strikes by the Israelis is that actually Bashar does very, very little in terms of a direct response. But over time, he might carry out other kinds of attacks on American assets."

A brutal war? Not to hear al-Assad's Instagram tell it

'Victim of cruelty'

Two former regime insiders -- now its opponents -- told CNN of their time with the younger al-Assad. Former Vice President Abdel Halim Khaddam said Bashar was often the victim of his elder brother's cruelty. "His brother Basil bullied him as a child. His father never gave him as much attention as Basil," Khaddam said.

Al-Assad's uncle Rifaat, who left Syria in 1984 after being involved in a failed coup, also recalled the future president.

"He is very different than his father. Hafez was a leader, the head of the entire regime, while Bashar was never that close to being one and never fell within that framework. He is being perceived as the leader but he follows what the regime decides on his behalf."

Al-Assad himself said reform faltered because of unrest in neighboring states -- Lebanon and Iraq.

But Khaddam, who was vice president under both Bashar and his father, says the younger al-Assad is both brutal and indecisive.

"Bashar's problem is that he listens to everything but denies and forgets quickly. You discuss an issue with him in the morning and another person comes along and changes his mind.

"Politically, Bashar does not have a consistent ideology; he changes his opinion according to his interests and that of the regime."

And the regime is a family affair. Al-Assad's younger brother Maher commands an elite division of the army, and is accused of widespread human rights abuses. His cousin Rami Makhlouf is the richest man in Syria.

The Assads belong to Syria's Alawite minority, who according to the president's uncle Rifaat, are driven by fears they could be overwhelmed. "There is no doubt that the Alawites are a minority who are in fear of the outcome and they are driven by that fear factor," he said.

'Not my forces'

Despite the brutal crackdown in Syria, al-Assad has maintained that he is not in charge of Syria's military. He told ABC's Barbara Walters in 2011: "They are not my forces. They are forces for the government. I don't own them. I'm president. I don't own the country. So they are not my forces."

Wouldn't al-Assad, the commander in chief, have had to give the order for any military actions? "No, no no," he said.

Not by your command? "No," he said, "on no one's command. There was no command to kill or to be brutal."

Al-Assad said those members of the armed forces who "went too far" had been disciplined.

But Khaddam, the former vice president, expressed no doubts about who does give the orders to kill: "Bashar Al-Assad and no one else. He gives out orders to use all means of force to crush the revolution. He is surrounded by close aides and a security apparatus that advise him, but he decides."

It wasn't expected that Bashar would carry on the family's political dynasty. He didn't seem to have the personality for the job; he wasn't deeply involved in military or government matters, according to "Inheriting Syria: Bashar's Trial by Fire," a biography by Flynt Leverett, who worked as an expert on Syria for the CIA in the 1990s and was the senior director for Middle East affairs at the National Security Council in the early 2000s.

Because his older brother Basil was expected to succeed his father, Bashar al-Assad went to London in the 1990s and studied ophthalmology, and headed the Syrian Computer Society. "Dr. Bashar," as he was widely known, liked to windsurf and play volleyball. He is believed to have started dating British-born Asma al-Akhras during this time.

But Bashar was called back to Syria in 1994 when Basil died in a car wreck. This turn of events made him first in line to rule Syria, and he was appointed president by Syria's rubber-stamp Parliament in 2000 after his father died.

Before 2000 ended, he and Asma were married. They have three children.

Steps toward change?

Shortly after the Arab Spring started in early 2011, al-Assad made apparent moves toward change in Syria. Initially, protesters wanted basic reforms, more freedoms, a multiparty political system and an end to emergency law. Some of these measures were, on paper, implemented by al-Assad, but they were far too little and, by the time they came about, too late.

In a speech in January 2013, al-Assad laid out his latest solution to the ongoing crisis in Syria.

He said he wanted to foster national dialogue and proposed a new constitution that would be put up for a public referendum. He also said he would not negotiate with terrorists and asked regional governments to stop supporting them.

Months later, though, any chance of finding a political solution seems as remote as ever. A date has yet to be agreed for a second international meeting on Syria in Geneva, Switzerland, initially proposed for June.

After more than two years of violence and more than 100,000 deaths, many opposition supporters have lost any faith they ever had in al-Assad's ability to deliver reform, and simply want an end to his rule and true democratic elections.

But the president's days at the helm may be far from over.

@highlight

Bashar al-Assad has been president of Syria since 2000

@highlight

He has faced calls from many inside and outside Syria to resign

@highlight

"I was made in Syria and to live and die in Syria," he said last year

@highlight

Al-Assad is a "master of deception" says one analyst