Conversations about refereeing controversies in the National Football League have run amok this week.

Sunday's disputed, last-second field goal by the Baltimore Ravens that gave them a 31-30 win over the New England Patriots first set tongues wagging.

But that uproar was comfortably outdone the next night by an even more controversial, game-winning score -- this one by the Seattle Seahawks, which resulted in their narrowly defeating the Green Bay Packers.

This play -- both the lack of a blatant offensive pass interference call and officials' determination that Seattle's Golden Tate deserved a touchdown, despite evidence indicating the ball was intercepted -- spurred vitriol on Twitter and criticism from pundits and fans alike. For many, it illustrated the credibility problem plaguing the league during its season's first three weeks with replacement officials on the field, in place of regular referees who were locked out by the NFL in a prolonged contract dispute.

This storm subsided late Wednesday, when NFL Commissioner Roger Goodell temporarily lifted the lockout to allow the "regular" referees to officiate Thursday's game between the Cleveland Browns and Baltimore Ravens. NFL officials remain locked out until a new collective bargaining agreement is voted on by the union membership.

About time,' players, fans say as NFL officials return

Goodell has had his critics, including those up in arms over the league's handling of the latest officiating issues. But it is worth pointing out that the sport has at times been a trailblazer in the field of technology, making soccer -- or football as it's known outside the United States -- look like it is still stuck in the dark ages.

The NFL introduced an instant replay system in 1986, allowing officials to review and possibly overturn calls on the field. This system at first didn't take and was scrapped, but an improved replay system was reintroduced in 1999.

Since then, instant replay has been a key feature of the sport, with coaches allowed to challenge a call. Each time, play is halted while the on-field referee watches a replay of the disputed incident from the sidelines and makes his final call.

In all, two challenges are allowed per side per game -- the limited number is to ensure games don't totally lose their flow or get too long -- and an additional challenge is permitted if the first two are proved correct.

In the final two minutes of each half, no coach challenges are allowed, but an additional official, watching from overhead in the press box, can intercede over any controversial decisions.

As seen this week, the instant replay system isn't foolproof. But problems about officiating decisions have, in the past decade or so, become increasingly reduced now that there's an avenue for calls to be overturned.

This has not been the case, however, in soccer.

"The NFL embraced technology early on, and it's much more progressive than other sports, even in America, like baseball," said Nat Coombs, a commentator on both sports for British broadcasters Channel 4 and the BBC, as well as ESPN.

"With better camera angles and social media with armchair referees, there's more pressure than ever for the officials to get it right, so it's logical to embrace and adapt the technology," he added.

NFL's stop-start nature lends itself better to such a system, whereas in soccer there has been a reluctance to introduce technology because of fears it could break up the game's flow.

Resistance has been voiced by the likes of UEFA President Michel Platini who, in an interview this week, once again professed his dislike for goal line technology.

"You will never convince me on technology, and I will not change at the age of 57," said Platini, a Frenchman. "Technology assisting referee, I say 'no'. My idea is to help referees by putting up more referees."

Such a system has been tried in the Europa League since 2009 and was used at the recent Euro 2012 tournament. But mistakes were still made.

Notably Marko Devic's "goal" for Ukraine against England, which looked to have crossed the line, would have been allowed had technology been in place.

It was an incident at the 2010 World Cup that finally convinced world governing body FIFA and, more specifically, president Sepp Blatter, of the need for change.

A shot from England's Frank Lampard -- which was comfortably inside the German goal line -- was not ruled a goal. Ultimately, the British fell by a 4-1 score.

"I have to say, 'Thank you, Lampard'," said Blatter at the time. "I was completely down in South Africa -- when I saw that it really shocked me. It took me a day to react."

The lack of goal line technology in soccer is hard for Coombs' American colleagues and friends to comprehend.

"The lack of technology was the overriding issue (some Americans) had with regards to the World Cup," said Coombs. "They're just astonished there's not a review, that it's just unprofessional and illogical."

Navigating injury: Can GPS help reduce player burnout?

If the beast that is soccer has taken its time to crank into life over the use of technology, other sports like cricket and tennis have been solid bedfellows with the NFL in providing help to umpires and officials.

In all those sports, the NFL included, there were skeptics when technology was introduced.

"There's always been a fear that it makes a game more stop-and-start," said Coombs, arguing that in each case instant replay has made sports better. "The drama of a challenge in the NFL is incredible. It creates a great buzz for all the spectators.

"I'd love to see it come into (soccer). The good would far outweigh the bad and in a few weeks of it being introduced everyone will be thinking why didn't we have this before."

The Premier League is among those planning to use goal line technology next season, a decision that has been welcomed by the vast majority of the league, including Chelsea manager Roberto di Matteo.

"We see every season, every big tournament, we need it because there are some crucial moments within those games where you could find the right solution with a bit of technology," said the Chelsea boss.

There is a parallel between soccer and the NFL in the way players, coaches and fans have a tendency to berate officials, as has been seen in abundance in the United States this week.

Patriots quarterback Tom Brady stepped in to ease the row over the controversial ruling in his game this week, when the Ravens' field goal attempt soared toward the uprights -- and through them, according to the officials in the field, if not to New England fans.

When asked whether the field goal had or had not gone through, he said: "From the angle that I have, I can't tell. Those guys are standing at the uprights. So, if they can't get it right, then nobody can."

That throws up the question of further technology.

Had cameras been in place on the goalposts then the matter would not even have been a talking point this week. As an aside, American comedian Adam Carolla has a stand-up routine in which he suggests posts rise up to 500 feet in the air to avoid any issue.

On a serious note, that is a potential issue for Goodell and the NFL commission to address, and one that Coombs believes they will.

"It's such a forward-thinking sport in terms of technology that after what happened, I wouldn't be surprised if that matter is already being addressed," said Coombs.

For now, though, Goodell has more instant and pressing matters to contend with.

@highlight

The National Football League has used officiating technology on and off for the last 26 years

@highlight

Soccer has never implemented technology, instead using extra officials

@highlight

Calls for goal line technology in soccer have grown as a result of costly errors

@highlight

Sports such as tennis, cricket and rugby already use technology successfully