(CNN) -- "Yes, but what was the best film for grown-ups?" a friend asked me when I told him "Hugo" was my favorite movie of the year.

That took the wind out of my sails. Of course he hadn't seen "Hugo," which is absolutely a film for sensitive, alert, thinking-audiences of all ages. The movie is very much concerned with art, mortality and the passage of time, which some might consider mature and adult themes. But in a more general sense, he had a point.

The movies -- and especially Hollywood movies -- have been so thoroughly infantilized over the years that even the New York Film Critics Circle can overlook the few truly grown-up movies out there -- "Margaret," "The Descendants," "Tinker, Tailor, Soldier, Spy," "J. Edgar" and "Tree of Life" -- to nominate "The Artist" as the film of the year.

Don't get me wrong. I enjoyed this charming, anodyne, affectionate pastiche, not least because it reminded me of many, far better movies such as "Singin' in the Rain," "A Star is Born" and bits and pieces by Charlie Chaplin and Harold Lloyd. But even though it's calculated to appeal to a middle-class crowd, this is essentially bland, sentimental entertainment. It doesn't challenge the audience, ask questions or provoke. It doesn't stir the emotions, break new ground or grapple with the pressing issues of our time.

Does "Hugo"? I think so.

Like "The Artist," "Hugo" resurrects a bygone era of cinema. In this case, Frenchman Georges Melies, a pioneer in the techniques of special effects, jump cuts and superimposes live action and animation in a kind of proto-CGI.

In evoking this pioneer, veteran director Martin Scorsese means us to reflect on how quickly fame and fortune pass by and on what is important about the past.

No coincidence that "Hugo" was made in 3-D -- and beautifully, I might add. This was a tectonic year in the movie industry -- the year that 35mm was all but phased out of the exhibition sector in favor of digital projection. The shift does not come at the instigation of filmmakers or the audience, but rather to cut the costs of distribution. Nevertheless it will have considerable effect on the way movies are made, how they look and how they are consumed.

In this brave new multiplex world, 3-D is not the only story, but it is a major part of it, and a generation of children are growing up watching stereoscopic animated features and family blockbusters. Will these kids look back on 2-D, "flat" movies with the same disinterest the preceding generation feels for anything in black and white?

I don't know, but I suspect that's why we've seen such heavyweight filmmakers as Scorsese, Steven Spielberg ("The Adventures of Tintin"), Werner Herzog ("The Cave of Forgotten Dreams") and Wim Wenders ("Pina") embracing 3-D this year. And what's more, each of them makes a compelling case for the new form in the very different ways they explore movement.

The Best

1. "Hugo"

Scorese turns back the clock to celebrate the genesis of cinema even as he fashions perhaps the most beautiful 3-D movie yet.

2. "Margaret"

Kenneth Lonergan's second film took six years to find even a token release, but it's a masterpiece. Anna Paquin is outstanding in this teeming, devastating movie about connection.

3. "The Descendants"

There is no sharper comic filmmaker than Alexander Payne, and this poignant Hawaiian family story is astute and perfectly turned.

4. "Source Code"

A commuter train trip becomes a kind of purgatory for Jake Gyllenhaal, with each journey ending in death. Easily the smartest sci-fi movie of the year.

5. "Drive"

Pure pop bliss, this chic retro thriller cast Ryan Gosling as an icon of machismo cool and rediscovered the latent noir malignancy in Albert Brooks.

6. "Melancholia"

Only Lars von Trier would dream of destroying the planet without ever leaving the grounds of a country house -- and get away with it. It's an excessive, frustrating but formidable movie with a remarkable performance by Kirsten Dunst.

7. "Nostalgia for the Light"

There were several stunning documentaries this year -- I strongly recommend "The Interrupters," "Project Nim" and "Tabloid," for starters. But this Chilean nonfiction essay is something apart, a scintillating rumination on humanity and the cosmos.

8. "Take Shelter"

Michael Shannon and Jessica Chastain are the bedrock, blue-collar Christians whose life is torn apart by his visions of a biblical storm on the horizon.

9. "Poetry"

This South Korean film about a grandmother looking for grace in the midst of a sea of trouble is one of those slow-burners that stays with you.

10. "Bridesmaids"

Probably the most fun you could have at the movies this year. Kirsten Wiig's raucous anti-chick flick was lewd and crude but a laugh riot.

The Worst

1. "Sucker Punch"

Zack Snyder strikes again. This inane video game wannabe fetishizes feminism for cheap thrills to deeply dull effect.

2. "Extremely Loud and Incredibly Close"

This misconceived, terminally cute "prestige picture" asks all the wrong questions about 9/11 and exploits that tragedy to jerk out easy tears.

3. "Cowboys and Aliens"

Should have been fun. Wasn't.

4. "Your Highness"

In which several talented people (including James Franco, Natalie Portman and director David Gordon Green) aim low and wind up looking silly.

5. "The Beaver"

In which Mel Gibson's convincing portrait of a middle-age breakdown is undermined by an incoherent script and Jodie Foster's hackneyed direction.

@highlight

Movies have been thoroughly infantilized over the years, Tom Charity says

@highlight

Charity: Like "The Artist," "Hugo" resurrects a bygone era of cinema

@highlight

Heavyweight filmmakers such as Martin Scorsese, Steven Spielberg embrace 3-D