(CNN) -- The Greek government said Friday that in a phone conversation with the country's president, German Chancellor Angela Merkel suggested that the issue of whether his country remains in the eurozone be put to a referendum, a claim Germany flatly denied.

Merkel made the call to President Karolos Papoulias, whose country is facing uncertainty over its government, ahead of her visit to the United States for the G8 summit of international leaders.

According to the Greek prime minister's office, Merkel "conveyed ... thoughts about holding a referendum in parallel with the elections with the question how much do Greek citizens want to remain in the eurozone."

When asked about the statement, a spokeswoman for the German government said, "This is not true." The spokeswoman declined to elaborate further.

The Greek government stood by its statement about the phone call and declined to comment further. Papoulias' office also declined to comment except to confirm that the phone call took place.

A temporary Greek government took office Thursday as the country wrestles with a political crisis that sprang from its inability to pay its debts.

Greece is heading toward new elections next month, with polls suggesting a narrow victory for a radical leftist party that wants to tear up an international loan agreement that forced the government to make deep budget cuts.

That possibility has sent ripples of fear through markets in Europe, Asia and the United States as analysts worry that it could ultimately lead to the collapse of the euro currency used by 17 European nations.

Ratings agency Fitch cut Greece's long-term credit rating from B- to CCC on Thursday, reflecting worries about its ability to remain in the eurozone.

"The downgrade of Greece's sovereign ratings reflects the heightened risk that Greece may not be able to sustain its membership of Economic and Monetary Union," Fitch said.

"In the event that the new general elections scheduled for 17 June fail to produce a government with a mandate to continue with the EU-IMF programme of fiscal austerity and structural reform, an exit of Greece from EMU would be probable."

Antonis Samaras, the leader of Greece's New Democracy party, slammed the possibility of a referendum.

"The Greek people do not need a referendum to prove their choice of the euro, a choice that it defends with bloody sacrifices," Samaras said. "Merkel's proposal tonight about a referendum -- and at a pre-election time -- is, at the very least, unfortunate and cannot be accepted."

Samaras' party narrowly came in first in this month's elections, but opinion polls since then have suggested that Syriza would finish in first place in a new election.

Alexis Tsipras, the leader of the Syriza party who leads in polls ahead of the June 17 election, said Friday that with the vote, "The Greek people will hold a final answer. ... This will put an end to the austerity bailouts, submission and lack of dignity and will pave the way to progressive developments for the entire of Europe."

Greek voters punished the major parties at the polls May 6 for the harsh budget cuts imposed by the country's international lenders, the European Union, European Central Bank and International Monetary Fund.

The election left no party able to form a government, creating deep uncertainty about Greece's ability to continue to meet the terms of its bailout package and therefore its debt obligations.

In her call with Papoulias on Friday, "(Merkel) reiterated the German position that Europe is waiting for the elections and that it is the wish of all European partners and also of Germany that a government is formed as quickly as possible after the elections," a German government spokeswoman said.

Merkel said Wednesday that she is working to keep Greece in the eurozone.

"Europe needs to show solidarity and help, particularly with growth, unemployment and development," she said.

Merkel, a champion of forcing governments to balance their budgets in order to promote stable economic growth in Europe, said she regrets the suffering of the Greek people in the face of tough budget cuts.

"It's very bitter, obviously," she said of the austerity measures that have left some Greeks struggling to pay for food or utilities.

But, she said, "Sacrifices had to be made. ... I think these are necessary measures that had to be taken."

CNN's Laura Perez Maestro and journalist Elinda Labropoulou contributed to this report.

@highlight

NEW: Greece says Merkel has raised the possibility of a referendum on the eurozone

@highlight

NEW: Merkel's government denies the statement

@highlight

Greece is holding fresh elections next month after a first vote failed to produce a government

@highlight

Ratings agency Fitch has cut Greece's credit rating amid concerns about its future