(CNN) -- Montana's governor declared a state of emergency Tuesday related to a ruptured pipeline that caused tens of thousands of gallons of oil to gush into the Yellowstone River -- a break the pipeline's owner still doesn't know the cause of, a spokesman said.

The declaration applies to Yellowstone, Treasure, Rosebud, Custer, Prairie, Dawson and Richland counties, all of which have been affected by the spill just before midnight Friday. ExxonMobil has reported 750 to 1,000 barrels (32,000 to 42,000 gallons) of oil escaped into river in Laurel, about 16 miles southwest of Billings.

The longest undammed river in the United States, the Yellowstone eventually leads into the Missouri River, one of the biggest in the United States.

Gary Pruessing, the president of the ExxonMobil Pipeline Company, told reporters Tuesday that oil had been confirmed 25 miles away, with most such pockets within 19 miles of the leak site. But in the emergency declaration, which paves the way for emergency funds for the seven counties, Gov. Brian Schweitzer claimed oil has since been discovered beyond Hysham, about 90 miles from the leak site.

The Democratic governor stated in the same executive order that the "ExxonMobil Pipeline Company (is) the responsible party for this release."

ExxonMobil has seen "measureable progress," said Pruessing, as it has stepped up its cleanup effort -- one that's come under criticism from Schweitzer.

The Texas-based firm has committed 350 people to  the spill response, up from the roughly 280 people working to mitigate the fallout as of Monday night. Of those, between 150 to 200 people are actually on the ground, cleaning up and looking for oil, said Pruessing.

"We're going to keep adding resources," ExxonMobil Alan Jeffers told CNN on Tuesday.  "That's our focus -- find the oil, clean it up and get it back to its original state as quickly as possible."

Schweitzer toured the spill site Tuesday morning, one day after criticizing the speed and effectiveness of the response in an interview with CNN.

Later that day, Pruessing of ExxonMobil said, "We do not yet have a resolution, as to what caused the incident."

The current continued to move swiftly Tuesday down the Yellowstone, carrying with it all sorts of debris, like a tree 30 inches in diameter that Schweitzer spotted. While no official determination has been made on what caused the pipeline rupture, the governor said it is easy to see the dangers posed by fast-moving waters.

Any pipelines built now, Schweitzer noted, must be buried deeper under the riverbed in order to prevent such incidents.

The company said it shut down the line within minutes after the break, but not before toxins had been dumped in the water. Schweitzer told PBS on Tuesday that a pressure drop tipped pipeline operators in Houston, Texas -- more than 1,300 miles from the rupture site -- seven minutes after the rupture occurred, with the shutdown complete within 30 minutes.

Lloyd Webber, a Laurel rancher, said the spill left a "pretty heavy" smell of oil hanging over the area.

The governor noted that roughly one year ago, several state, county and local agencies held a "mock pipeline spill" drill on the Yellowstone River.  Many of those organizations, including the Montana Fish, Wildlife and Parks Department, the state Environmental Quality Department and various Yellowstone County officials, are involved in the current effort in the southern part of the state.

Historically high water levels and rapid currents have made things difficult for those trying to clean up the spill.  On Saturday, levels near Billings reached their peak for the season at 13.95 feet, nearly a foot above flood stage, according to the U.S. Geological Survey.

"The river level is actually up again, far exceeding its banks," Jeffers told CNN Tuesday.  "It's just not safe" for crews to go into the river itself.

Duane Winslow, Yellowstone County's emergency services director, said over the weekend that crews have been forced to work from onshore for fear of being swept up in the water.

Exxon said Monday it has eight boats ready to go should conditions improve.

In terms of evacuations, flooding has -- and continues to -- affect more people in the region, thanks largely to the residual effects from the melting of massive winter snowpacks.  About 200 residents were ordered out Friday night, and then allowed back in the next morning.  That's significantly less than the hundreds who have been forced from their homes because of the persistent, far-reaching flooding in the area.

"We haven't seen a lot of issues around here (due to the spill)," said Nathan Hammond, who works at the Yellowstone River Campgrounds in Billings. "But there has been a lot of flooding, that has been a big issue."

Still, ExxonMobil reported in a statement that it had received 94 calls to its community claims line as of Monday night -- 36 of those coming from landowners reporting oil had washed up on their property.

The governor called it premature to minimize the spill's potential impact by saying, for instance, that it has only affected 10 miles of the river.  His fear is that the abundance of fish, birds and animals in the area, which is about 100 miles downstream from Yellowstone National Park, may be hurt in the short and long term.

"My biggest concern is those 1,000 barrels," Schweitzer said. "You cannot dump (that much oil) into a pristine trout stream without causing damage to the fisheries."

Besides the fish, the area is home to Canada geese, ducks, ospreys, otters and bald eagles, said Charles Preston, an ecologist and conservation biologist who heads the Draper Museum of Natural History.  The birds, in particular, might die directly or indirectly as they go after fish. Long term, and depending on factors like the quantity and nature of the leaked oil, toxins may kill critical insects, which in turn could have a trickle-down effect on the multimillion-dollar fishing industry, he said.

"It could take years to really understand the impact of the spill," Preston said.

The Yellowstone is the nation's longest river without a dam -- a plus for the spill cleanup efforts because the continuously running water more easily breaks up the toxins, but a negative because any ill effects could spread into the Missouri River and its other tributaries, Preston said.

More than 48,000 feet of absorbent boom and 2,300 absorbent pads had been used as of Tuesday to soak up the oil, while "vacuum trucks" and tankers have been positioned nearby to transport them from the scene, according to ExxonMobil. The company said the air quality and municipal water systems are also being monitored, while planes are routinely flying over the river to help detect patches of oil.

David Eglinton, an ExxonMobil spokesman, said the company is committed to staying the course and studying the effects through the whole course of the river. That includes checking water quality as far downstream as Miles City (144 miles) and Glendive (222 miles) from the original spill site. Pruessing said Tuesday that no dangerous levels of oil have been detected yet in the air or ground water, even as he committed to continued checks for the foreseeable future.

"We have not put ... any estimates about what this will cost, that's not our primary focus right now," said Pruessing. "We are going to be here until the job is done."

Schweitzer, too, promised that the state government agencies likewise wouldn't rest until the cleanup is complete and all related issues -- including the cost of the effort, a tab he said should go to the oil companies -- are resolved.

"Everybody in Montana will work hard until this is done," the governor said. "We'll be on it like a stink on a skunk."

CNN's Greg Botelho, Matt Cherry, Alan Silverleib and Matt Smith contributed to this report

@highlight

NEW: An ExxonMobil official says oil detected 25 miles away; the state says 90 miles

@highlight

Montana declares a state of emergency for 7 counties, says ExxonMobil is responsible

@highlight

Company officials remain unclear of the cause of the spill in Montana's Yellowstone River

@highlight

ExxonMobil reports up to 1,000 barrels of oil -- 42,000 gallons -- escaped through a crack