(CNN) -- Several U.S. diplomatic cables obtained by WikiLeaks show growing anxiety among Chinese officials about citizens getting uncensored online content through Google -- with one Politburo member reportedly angry to find negative comments about himself online.

In May 2009, Google approached the U.S. Embassy in Beijing, according to one leaked cable, "to discuss recent pressure by the Chinese government to censor the company's Chinese website."

Chinese officials were unhappy that the sanitized google.cn, which was established by Google in 2006, contained a link to the uncensored google.com, and appeared especially sensitive about the issue because of the imminent 20th anniversary of the Tiananmen Square protests.

The redacted cable, dated May 18 and written by Economic Minister Counselor Robert Luke, says U.S. diplomats had been told that "the root of the problem was China's Politburo Standing Committee member (name redacted)." Later it says: "(name redacted) allegedly entered his own name and found results critical of him....He also noticed the link from google.cn's homepage to google.com, which (redacted) reportedly believes is an 'illegal site.'"

In another apparent reference to the Politburo member, the cable says he "believes Google is a 'tool' of the USG being used to 'foment peaceful revolution in China.'"

The New York Times, which had advance access to the cables obtained by WikiLeaks, says that official is Li Changchun, who is a member of the Chinese Communist Party's Standing Politburo Committee -- its highest body -- and runs the Politburo's propaganda apparatus. He subsequently asked three ministries to demand that Google end its "illegal activities," according to the cable.

At the same time the Chinese government was taking commercial steps against Google, instructing state-owned telecom firms to stop doing business with the company -- "a hard blow because mobile Internet is Google's 'big bet in China,'" the cable added.

Google refused to remove the link on its Chinese site, and its lawyers "found no legal basis for China's demands."

The dilemma for the company was that it risked "losing the Chinese market in retaliation for maintaining its integrity and brand," the cable said.

Google had entered the Chinese market on three principles: it would never disclose to the Chinese government any personal information about its users or their search habits; it would always include a disclosure notice to identify when search results had been removed due to censorship; and it would always provide an uncensored, U.S.-hosted site, subject to U.S. law.

Two months later -- in July 2009 -- Google's servers were "virally infected" for 24 hours, amid claims that Google was failing to filter out pornographic sites. The embassy's sources, says a cable from that month, believe "the real reason for the government's wrath is the company's refusal to remove a link to google.com from the google.cn website."

The cable continued, apparently quoting a Google official,: "(redacted) said the negative press coverage and service outages have caused the company to lose market share.....(redacted) said that, faced with the continual difficulties of doing business in China, the company may even consider pulling out of the market."

The attacks on Google servers continued, with the company reporting in January of this year that it had been the victim of a sophisticated cyber attack originating from China. It said it also discovered that the "Gmail accounts of dozens of human rights activists connected with China were being routinely accessed by third parties." So it began redirecting users visiting google.cn to the uncensored content of google.com.hk.

A US. cable written from Beijing after that cyber attack said: "A well-placed contact claims that the Chinese government coordinated the recent intrusions of Google systems. According to our contact, the closely held operations were directed at the Politburo Standing Committee level."

The cable noted: "An appeal to nationalism seems to be the Chinese government's chosen option to counter Google's demand to provide unfiltered web content." An unnamed Chinese contact "stated that PRC operations against Google were 'one hundred percent' political in nature and had nothing to do with removing Google, with its minority market share, as a competitor to Chinese search engines."

The cable also suggested the move might backfire on the Chinese authorities, apparently citing a Chinese contact. "All of a sudden, (redacted) continued, Baidu (a state-owned internet search engine) looked like a boring state-owned enterprise while Google 'seems very attractive, like the forbidden fruit.'"

However, the cables suggest that the Chinese leadership -- and specifically the State Council Information Office -- believed that the internet in China could be controlled. "Through the Google incident and other increased controls and surveillance, like real-name registration, they reached a conclusion: The Web is fundamentally controllable," according to one source quoted in a cable.

Long before the crisis in 2009, Google was running into hostility from Chinese officials.

In November 2007, China asked the U.S. government to reduce the resolution of Google Earth images of military, nuclear and other sensitive sites in China.

Chinese officials warned of "possible 'grave consequences' if terrorists exploit the information to harm China." A diplomat at the embassy said he would report the Chinese request to Washington, but noted that Google is a private company.

Other cables suggest close ties between Chinese state enterprises and private hackers in China. According to a cable from the U.S. secretary of state's office written in June 2009, the China Information Technology Security Center "has recruited Chinese hackers in support of nationally-funded 'network attack scientific research projects.'"

One such enterprise -- TOPSEC -- employed "a known Chinese hacker, Lin Yong (a.k.a. Lion and owner of the Honker Union of China), as senior security service engineer to manage security service and training." Another was "known to affiliate with XFocus, one of the few Chinese hacker groups known to develop exploits to new vulnerabilities in a short period of time."

The cable concludes: "While links between top Chinese companies and the PRC are not uncommon, it illustrates the PRC's use of its 'private sector' in support of governmental information warfare objectives, especially in its ability to gather, process, and exploit information."

@highlight

WikiLeaks cables show Chinese officials were worried about Google

@highlight

The officials were concerned about uncensored online content

@highlight

A U.S. cable says a Chinese official believes Google is a "tool" of the United States