(CNN) -- "What # are you at?"

The brief e-mail arrived late on the morning of January 24. I keep looking at it.

It was from Jeff Zaslow. We first became friends more than 25 years ago. We got together as often as we could when we found ourselves in the same town, usually for long, laughter-filled dinners; Jeff, a columnist for the Wall Street Journal, in recent years became the author of multiple big bestselling books, most of them on inspirational themes.

"What # are you at?"

He was going to be making appearances for his latest book, "The Magic Room," and he had looked at his schedule and saw that he had a few days between speeches in the South. He knew that I'd been holed up in a hotel on the west coast of Florida, trying to get some writing done. He was going to take those two days between speeches to join me and just hang out.

So we talked on the phone, and arranged the days. Today -- Sunday, March 4 -- is the day he was to arrive.

On February 10, on his way back to his home in suburban Detroit from a book signing in Petoskey, Michigan, the night before, Jeff was killed instantly when, according to police, his car skidded on a snowy road and was hit head-on by an oncoming semitrailer truck. He was 53.

Jeff's wife, Sherry, his three daughters, Jordan, Alex and Eden, and his parents, Harry and Naomi, have suffered an unfathomable loss. The obituaries and tributes written by his friends and colleagues have all centered on Jeff's never-ending thoughtfulness and compassion. The tributes have been entirely accurate; the constancy of Jeff's kindness was one of life's rarities.

Today, when Jeff should have been arriving for our time together, I'd like to pass on a lesson from him that I believe can be used to great effect by anyone, regardless of his or her line of work.

It has to do with the book that first made him a bestselling author, "The Last Lecture," written with Professor Randy Pausch of Carnegie Mellon University. The book was a publishing phenomenon: 5 million copies sold in the English language alone, translations into 48 languages around the world.

Some people thought that Jeff got lucky with that book.

But luck had nothing to do with it.

In early September 2007, Jeff was working on a Wall Street Journal column about a trend he was hearing about at U.S. universities. Professors were thinking what they might say if they had to deliver one last lecture, and were in fact giving those lectures, summing up what had been meaningful in their lives.

As he was reporting the piece, Jeff learned that a professor at Carnegie Mellon -- Pausch -- was going to give what might literally be his last lecture. Pausch was dying from pancreatic cancer.

It was going to be inconvenient for Jeff to go from Detroit to Pittsburgh for the speech; there was a problem with the price of the flight, and the schedule, and he also had obligations to attend to in Michigan that day. It would have been much easier just to call the professor and get a quote, or have the university send him an audio or video recording of the lecture. Remember: Jeff didn't even know, at that point, whether Pausch's lecture would warrant a whole column.

But he got up that morning in Detroit and -- Jeff being Jeff -- decided that he really ought to see for himself.

He was an established and respected Wall Street Journal staff member; no one at the paper would have faulted him for doing a quick interview with Pausch on the phone.

Jeff got in his car and drove more than 300 miles from Detroit to Pittsburgh to sit in the audience and listen to the speech. A five-hour drive there, and then a five-hour, 300-mile drive back.

It paid off spectacularly, of course. The column -- moving, tender, insightful -- was a sensation, and the book that he ended up writing with Pausch gave Jeff a new career in the top echelon of American authors, and provided financial security for his family.

But -- and this is what is important -- it was nothing he didn't do all the time. In his work, he always went the extra step -- the extra hundred steps. He never took the easy way.

I remember, seven or eight years ago, well before "The Last Lecture," Jeff had come to Chicago to interview an old-time vaudeville performer. To the best of my recollection, the newspaper story was going to have something to do with audiences, or audience reactions. The old performer was going to be one sliver of a longer piece. An easy phone-call interview.

But Jeff didn't do things that way. He flew to Chicago and, suitcase in hand (he hadn't checked into his hotel yet), met me at the restaurant where we had arranged to have dinner. At one point we talked about why, at this stage in his career, he still pushed himself so hard. He said he just wanted to look into the man's eyes when he interviewed him the next day. He felt the story would be a little better that way.

At the end of the meal we went to the coat-check window; they had taken Jeff's suitcase down a long flight of stairs to store it on a basement level. Jeff didn't want the young woman to have to carry it up the stairs, so he went down to get it. I stood there and watched as he came up the steep flight of stairs, visibly weary, huffing, sweating, lugging the heavy bag; we looked at each other and both of us burst out laughing.

"Look at you," I said. "You look like 'Death of a [cuss-word-adjective] Salesman.'"

"I know," he said. "Why do I do this?"

We both knew the answer. He did it because it was the right way to do a job. And it doesn't matter what a person does for a living. It can be the lawyer who stays late to look up a few more citations of case law, to give his client the best possible chance. It can be the teacher who goes over the lesson plan one more time, adding something vital to it at midnight, even though the students or the school administrators will never be aware of the effort she has put in. It can be the factory worker who takes it upon himself to check the specifications a third and fourth time, wanting to be absolutely certain that the product will be as close to perfect as humanly possible.

Does it always pay off, as Jeff's 10 hours on the road paid off with "The Last Lecture"? Of course not. It hardly ever pays off that big. Most times, your boss, your colleagues, your own family will never know that you put in the extra effort when you didn't have to.

But you'll know. That's what counts. And when the day finally comes when you have your big success, when you get your big break, it won't be because you made the extra effort once. It will be because you made the extra effort every time.

Jeff did. And that's the lesson I'd like to pass on for him. Especially today. The silence at the dinner hour tonight is going to be awfully loud.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says he heard from friend, Jeff Zaslow, 2 weeks before his death in a car crash

@highlight

He says writer Zaslow's integrity, both personal and professional, was inspiring

@highlight

He once drove hundreds of miles for a story that he easily could have "phoned in"

@highlight

Greene: Over and over in his life, he took extra steps to get it right -- a lesson for us all