(CNN) -- Chronic seizures can present a risk for adolescents, whose bodies and metabolism are changing.

Jett Travolta was the elder of John Travolta and Kelly Preston's two children.

A seizure disorder caused the death of Jett Travolta, the 16-year-old son of actors John Travolta and Kelly Preston, a source at a Bahamas funeral home told CNN.

"Literally dozens of different disorders can cause seizures: genetics, stroke, brain tumor, lack of oxygen, low blood sugar, drugs, even certain medications," said Dr. Sanjay Gupta, CNN's chief medical correspondent.

Another expert said the teen years bring risks for those with seizures. "Adolescence is a time, even if you don't talk about children with any seizure disorder, where things change in a child," said Dr. Shlomo Shinnar of Montefiore Medical Center in New York.

There are effective drugs to treat seizures. As children grow, their bodies and metabolism change, perhaps causing a need to adjust their dosage, said Shinnar, a professor of neurology and pediatrics and director of the Comprehensive Epilepsy Management Center at Montefiore.

"Seizures during adolescence can get better or worse or stay the same," he said.

And the risk of seizures is higher for children with disabilities such as autism and cerebral palsy, Shinnar said.

Jett Travolta had a developmental disability that his parents have linked to Kawasaki disease, an inflammatory disorder of the artery walls that most commonly occurs in young children.

An autopsy of the actors' son was completed Monday, and the body was cremated that evening, the funeral home source said.

Jett was found unconscious in the bathroom Friday while on vacation with his family. Michael Ossi, an attorney for Travolta, told CNN last week that Jett had a seizure that morning at the family's home in a resort area. He was taken by ambulance to a hospital and pronounced dead on arrival, according to local police.

People.com reported that Travolta, Preston and their 8-year-old daughter Ella Blue arrived in Florida on Monday night with Jett's ashes.  The reports that a seizure disorder caused Jett's death were preliminary, Gupta said.

"It tells us more about what did not happen than the ultimate cause of death. It rules out brain injury, bleeding on brain, skull fractures, rules out heart problems due to Kawasaki disease, which is the disease the Travoltas say their son suffered," he said.

Kawasaki disease, believed to be caused by an infection, inflames the heart muscles.  In 2001, Travolta told CNN's Larry King that his son had a near brush with death related to the condition.

"I was obsessive about cleaning -- his space being clean, so we constantly had the carpets cleaned. And I think, between him, the fumes and walking around, maybe picking up pieces or something, he got what is rarely a thing to deal with, but it's Kawasaki syndrome," Travolta said of his then-2-year-old son.

Dr. Cam Patterson, general cardiologist at the University of North Carolina and a genetics expert who follows Kawasaki disease, told CNN, "There is no real good link at all between Kawasaki disease and cleaning products.

"Kawasaki disease is due to an abnormal immunnologic response, probably to an infectious agent or infection we don't yet understand," Patterson said. "There is nothing that links environmental toxins to this problem."

Someone with Kawasaki could have seizures for one of two reasons, but they would be rare, he said.

"One, sometime in the past one of the arteries in the brain ruptured and caused stroke," he said.  "Two, if the artery had enlarged enough, it could be pressing on parts of brain and that could cause seizure. Both possibilities are unusual for Kawasaki disease."

A very small study released in 1991 found an association between cases of Kawasaki disease in homes where carpet had been cleaned in the past 30 days.

"It's very easy to find correlations, but doesn't mean causative," Patterson said.

The next step would have been to conduct more tests, by taking toxicological tests and brain examinations to see what could have caused the seizure.

"Even with physical evidence and a deeper look by neuropathologists, we still may never have an answer," Gupta said on CNN's American Morning.

CNN's Stephanie Smith and Miriam Falco contributed to this report.

@highlight

Seizures in teenagers can be caused by dozens of disorders, genetics

@highlight

Seizure said to have caused the death of Jett Travolta, 16

@highlight

Family has linked seizures to Kawasaki disease; experts say it's unlikely