(CNN) -- Powered by ferocious winds, Typhoon Hagupit is whipping towards central Philippines and could affect the same area hit by the deadly Typhoon Haiyan just 13 months ago, several forecasts show.

With winds gusting up to 172 miles per hour (277 kilometers per hour), the strongest storm of 2014 could slam into the Philippines, a country of more than 92 million people all too familiar with destructive weather.

Forecasters don't know exactly where Hagupit, or Ruby as it's known in the Philippines, will make landfall. But local authorities estimate that about 44 provinces, home to 35 million people could be in the storm's projected path.

Typhoons are compared in terms of intensity, wind speeds, gusts, rainfall and, for the people in their path, homes and lives lost, and dollars and time needed to rebuild.

Super Typhoon Haiyan, or Yolanda as it was known locally, which struck in 2013, was recorded as the strongest tropical cyclone ever to make landfall anywhere in the world in recorded history.

What's in a name?

Typhoons and hurricanes are both tropical cyclones, but they assume different names, depending on their location.

Typhoons form in the northwest Pacific Ocean, west of the international date line. They become Super Typhoons if they reach maximum sustained 1-minute surface winds of at least 240 kilometers per hour (150 mph, or 130 knots), according to the National Oceanic and Atmospheric Administration.

A Super Typhoon is the equivalent of a strong Category 4 or 5 hurricane in the Atlantic, or a Category 5 severe tropical cyclone in the Australian basin.

The Philippines is in the firing line of typhoons, for a number of reasons.

In Tacloban, children ripped from arms

Path of destruction

The Philippines sits on the western rim of the Pacific Ocean, the most active area for tropical cyclones because of the vast expanse of deep, warm ocean water.

The country comprises more than 7,000 islands, leaving plenty of exposed coast at the mercy of wind and rain.

More than 92 million people live there, most of them outside the capital, Manila, where 12 million people are packed into one of the most densely populated cities in the world.

Last year, Super Typhoon Haiyan made landfall south of the capital, while most people were sleeping, about 4:30 a.m. The devastating storm killed more than 6,000 people as it crashed into the Eastern Visayas region where it severely devastated the city of Tacloban, and then struck the Central Visayas.

Frequency

An average of eight or nine tropical cyclones make landfall in the Philippines each year. Eleven typhoons have affected the country this year, compared with the record of 19 that smashed into the coast in 1993, according to PAGASA, the Philippine Atmospheric, Geophysical and Astronomical Services Administration.

The Philippines is covered in mountains, which drop sharply to coastal areas, increasing the risk of devastating landslides. Storm surges are also a risk along the populated coasts. Despite the frequency of violent storms, many of the buildings are not built to withstand a heavy battering from strong wind and rain.

Over the last decade, the Philippines has consistently ranked in the top five most disaster-hit countries -- along with China, the United States, India and Indonesia -- according to the Center for Research on the Epidemiology of Disasters, or CRED.

High costs

By international standards, the Philippines may be showing strong annual economic growth, but it's one of the poorest countries in the world, ranking 165th in GDP per capita, according to the CIA World Factbook.

In 2013, GDP per capita was $4,700.

Any natural disasters deal a hefty blow to the country's finances. The cost of Super Typhoon Haiyan reached over $13 billion, according to some estimates.

It was by far the biggest natural disaster to hit the country in terms of the number of people affected and the total cost of damage, according to the International Disaster Database.

CNN's Madison Park contributed to this report.

@highlight

The Philippines is one of the most disaster-hit countries in the world

@highlight

Typhoon Hagupit following path towards places hit by Super Typhoon Haiyan

@highlight

The country sits in the western Pacific Ocean, a vast expanse of warm water

@highlight

Steep mountains increase the risk of landslides, and low-lying areas are easily flooded