(CNN) -- "Hong Kong enjoys a far higher degree of press freedom than before the handover in 1997 and this is on par with the most developed places in the world," said Hong Kong Secretary for Home Affairs, Tsang Tak-sing, to the Legislative Council last November.

Tsang was urging council members to vote down a motion defending press freedom in the territory, put forth by the Democratic Party's Emily Lau amid growing concern about China's influence on Hong Kong's media.

In fact, he sounded like a mainland official citing instances of 'good deeds' when rebutting criticism against China's human rights record.

Such claims contrast sharply with the reality in Hong Kong, where the free flow and access to information has been gradually but steadily restricted following Hong Kong's return to Chinese sovereignty on July 1, 1997. Although freedom of the press is enshrined in Hong Kong's de facto constitution, the Basic Law, the gap has been shrinking between our city and mainland China, which does not enjoy freedom of expression.

Hong Kong Special Administrative Region- Is it still special 15 years later?

In Hong Kong, the proliferation of media outlets does not tell the whole story. The figures are robust: a city of seven million people consuming 46 daily newspapers and 642 periodicals as of 2010, according to the Hong Kong Yearbook. Nonetheless, the large number of media outlets does not ensure a diversity of voices, which is a fundamental part of press freedom.

According to an industry survey conducted by the Hong Kong Journalists Association (HKJA) in April, nearly 87% of the 663 journalists who responded said press freedom in Hong Kong has deteriorated since 2005 when Donald Tsang took office as Chief Executive. This builds upon a similar survey conducted by the HKJA in 2007, in which 58.4% of journalists felt press freedom had been eroded since the 1997 handover.

The results confirmed a worrying trend in the media industry.

More than 92% of respondents in this latest survey found the government's tight grip on the flow of information has now surpassed self-censorship as the main mode of eroding press freedom.

In many ways, the government now controls what information can be reported, and which images and soundbites can be used. The media have been blocked from many coverage opportunities and forced to rely more on official press materials. The government has increasingly resorted to holding press briefings, where information presented there may be attributed only to "anonymous" government sources.

In one recent example, a population policy report was presented at a Rotary Club lunch by Chief Secretary Stephen Lam. A closed-door briefing was held, during which no audio or video recording was allowed. The full report was also not provided to the media, who were told to find it on the government's website.

The tightening of information sources by the government has more significance in Hong Kong than elsewhere because there is not a multi-party system in place. The governing party is the only source of official information, and it allows only manipulated information to trickle out into the public domain.

More worrying are the reports of rough treatment being meted out to reporters on the ground. At the July 1 march last year -- an annual display of public wrath against the destruction of democracy -- at least 19 frontline reporters were pepper-sprayed and one was unreasonably arrested.

In August, media access to a three-day visit by Chinese vice-premier Li Keqiang was mostly denied, with the press area located far away from the official ceremony.

There are also tight restrictions on movement in the vicinity of the new government offices in Tamar, making it impossible to freely conduct interviews.

But what is more damaging for press freedom is the increased self-censorship among journalists. In the HKJA survey conducted in April, 79.2% of respondents said self-censorship now is more serious than at the start of Tsang's term in 2005.

Many observers in Hong Kong claim Beijing's liaison office made tremendous efforts to help the new Chief-Executive Leung Chun-ying win his position in the April elections. Three days before the vote, the Sing Pao newspaper distorted the opinion column of veteran commentator, Johnny Lau, to support Leung's candidacy. Lau had rejected both candidates in his piece, which was altered without his consent to, "Out of the two, I would rather choose Leung Chun-ying."

Sing Pao's editor-in-chief, Ng Kai-kong, admitted the alteration was made to conform with front-page coverage supporting Leung. Nonetheless, Lau's column was dropped completely from the paper shortly afterward, following a piece on the passing of mainland dissident Fang Lizhi in U.S. exile.

The structural factors of journalistic self-censorship are reinforced when Hong Kong media outlets are owned by listed companies that have an eye on mainland China's enormous market. Over half of their owners and major stakeholders are appointed as delegates to the National People's Congress or members of the Chinese People's Political Consultative Conference.

This conflict of interest leads to unfavorable coverage of the Chinese government being cut. Criticism of conglomerates that wield strong influence over advertising, and news detrimental to media owners' interests are downplayed.

Last month, the English-language South China Morning Post's reduction of a 25-cm-long story to a mere 100-word brief on the questionable death of mainland dissident Li Wangyang on the day the story broke aroused allegations of self-censorship from both its employees and the media industry. The newly-promoted editor-in-chief, Wang Xiangwei, who is a member of the Jilin Chinese People's Political Consultative Conference, provided a weak defence in an official statement, arguing that he "chose not to prioritize coverage on the first day it broke until more facts and details surrounding the circumstances of this case could be established."

The SCMP only gave wider coverage to the incident after the local Chinese media gave it extensive coverage, and 25,000 people took to the streets to demand a thorough investigation into Li's death. It seems the newspaper does not want be seen as lagging behind the ethos of Hong Kong.

Read about Hong Kong's mass protest on July 1

Press freedom in Hong Kong is endangered and while efforts should start from us journalists, we need a collective effort to turn the tide. This latest controversy shows that mass social pressure may be an effective way to ward off self-censorship.

The Chinese authorities could not immediately be reached for comment.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Mak Yinting.

@highlight

Freedom of the press has steadily eroded in Hong Kong since city's return to Chinese sovereignty

@highlight

Survey shows nearly 87% of journalists say press freedom in Hong Kong has deteriorated

@highlight

Government's grip on flow of information is main form of eroding press freedom

@highlight

Increased self-censorship is most dangerous form of declining press freedom