(CNN) -- Ziplining through tropical rain forests, rappelling down steep waterfall cliffs and whitewater rafting satisfy the rugged outdoor cravings of Costa Rica's tourists.

But after a day of wear and tear on the body, a long soak in a natural hot spring can provide much-needed relief and relaxation for adventure travelers. Visitors to Costa Rica seeking a low-key, laid-back vacation will appreciate the hot springs, too.

Costa Rica's rich landscape is dotted with these pools. CNN.com explored five locations that vary in size, luxury and tranquility.

TabacÃ³n Grand Spa Thermal Resort

This tropical eco-friendly spa places its emphasis on making the guest experience "a close encounter with nature."

TabacÃ³n's thermal hot springs are surrounded by lush gardens, with the Arenal Volcano and rain forest as a dramatic backdrop as you soak in the all-natural waters flowing throughout the property. Five springs, fueled and heated by the nearby volcano, range in temperature from 77 to 122 degrees Fahrenheit.

TabacÃ³n was the first public hot spring resort in the Arenal Volcano area and is accompanied by a 102-room luxury hotel for guests seeking an extended visit.

In addition to the hot springs, guests can be pampered with massages, hydrotherapy, facials and a full range of indigenous treatments.

Many couples have celebrated their weddings and honeymoons at this peaceful oasis -- and can now share private time at the resort's new Shangri-La Gardens area, a space intended only for adults.

The Springs Resort and Spa at Arenal

The Springs Resort in La Fortuna near the Arenal Volcano boasts 18 hot springs spanning four acres of lush gardens. Tucked next to the springs is the resort's five-star hotel, a 14,000-square-foot full-service spa, and a wildlife preserve with rescued jungle cats, monkeys, sloths, wild turkeys and a variety of birds.

The resort provides every guest with plenty of options for finding the hot spring that best suits his or her mood and personality. Some pools have raging waterfalls, while others provide a tranquil rain-forest experience and close-up views of the volcano. Temperatures in the pools range from 83 to 103 F. Some pools are all-natural, while others are chlorinated.

Day passes for guests not registered at the hotel are available for $40. These passes include entry to the hot springs and the wildlife preserve and access to four restaurants and five bars on the property. Hotel and day visitors can also reserve kayaking, horseback riding and ATV tours.

Baldi Hot Springs Hotel and Spa

Located in the heart of the rain forest, this large resort boasts 25 pure water pools and takes pride in a its family-friendly atmosphere. Unique to Baldi is the resort's three large water slides, ranging from 104 to 325 feet long. The slides cater to children and adults alike.

Numerous waterfalls pour into the pools, which reach temperatures up to 104 F. The temperatures in the waters increase as you walk higher up in elevation along a path to reach the various pools.

The resort complex, which opened to the public in 2000 under the vision of businessman Alberto Rodriguez Baldi, is located at the foot of the Arenal Volcano and includes two restaurants, three swim-up bars, a sauna, 8 acres of colorful tropical gardens, and 32 nonsmoking rooms for overnight guests. Guests seeking total relaxation can retreat to the spa, where full-body volcanic mud wraps, massages and facials top the menu.

Eco Termales Hot Springs

Eco Termales in the La Fortuna area does not accept more than 100 visitors at a time and is geared toward privacy. It's one of the smallest hot springs in the Arenal Volcano area, and many guests consider this one of its main selling points, since the crowds are small.

This retreat, surrounded by lush green gardens, has been a labor of love for the Manolo Hidalgo family, which has spent years building and caring for the resort.

There are seven relaxing hot spring pools, including one with a waterfall reaching temperatures up to 105 F. A restaurant serves authentic family-style Costa Rican dishes.

"I like this resort because of the lack of crowds -- and feel I can really escape from the world here," said Pablo Brenes, a local resident and manager of Anywhere Costa Rica, a travel agency certified by the Costa Rica Tourism Board.

Blue River Resort & Hot Springs

"Our guests say they feel as though they have stepped into paradise when they visit our resort," said Blue River Resort owner Daniel Apelboim. "We aim to make visitors feel invigorated, relaxed and pampered."

Blue River Resort & Hot Springs is located on the north side of the scenic Rincon de la Vieja volcano and across from the blue volcanic river, Rio Celeste.

It features four pools fed from the hot springs bubbling up nearby and is landscaped with rain-forest foliage, flowers and waterfalls. Each pool has a unique theme -- including a pool designed for children. There is also a freshwater pool with a 98-foot slide for both adults and children to enjoy.

In addition to the springs, guests may want to explore the resort's botanical gardens and butterfly gardens, relax at the spa, or enjoy a cool refreshment at the tiki bar.

Guests are invited to visit for a day or spend more time by checking into the resort's hotel. Rooms feature large terraces with views of the volcano and the lush green rain forest.

@highlight

Costa Rica's rich landscape is dotted with hot springs where visitors can unwind

@highlight

Thermal hot springs vary in size and level of luxury

@highlight

Many hot springs are located in the La Fortuna area and Rincon de La Vieja