Muslims in America just lost their right to privacy.  Last week, a federal judge in New Jersey ruled that blanket, suspicion-less surveillance of Muslims is permissible under the U.S. Constitution.

Since September 11, 2001, the New York Police Department has used community mapping, video surveillance, photography and confidential informants to map Muslim life in and around New York.  No detail has proved too remote for the prying eyes of the NYPD.  Mosques, student groups,  restaurants, even grade schools, have all been surveilled.

In 2012, a group of New Jersey plaintiffs sued the NYPD, alleging that the spying program chills religious expression and stigmatizes Islam.  The plaintiffs include an Iraq war veteran, a prominent mosque and a math teacher.  Each was monitored by the NYPD absent any evidence of wrongdoing.

The judge, however, ruled the plaintiffs failed to prove discrimination, and found that monitoring Muslims was the only way to stop terrorism arising from the Muslim community.    The court also dealt a damaging blow to whistle-blowers, ruling that The Associated Press revelations about the program caused the plaintiffs' injury, not the NYPD.  According to the judge, the harm to Muslim communities was caused by overzealous journalists, not snooping cops.

The most immediate effect of the decision is that it will deepen the isolation of Muslims in America.  A report by The Creating Law Enforcement Accountability & Responsibility Project at CUNY Law School illustrates this sharply.

Many Muslims in New York live under an umbrella of fear.  Not because they have anything to hide, but because they want to be left alone, what Justice Louis Brandeis once called the right most valued by civilized men.

They hesitate before speaking Arabic or Urdu in public, dither before attending religious services or joining faith based groups, and shy away from embracing emblems of faith, like hijabs and beards.  Not even students are immune from this incessant second-guessing.  Many vacillate before joining Muslim groups on campus or speaking on controversial issues like religious profiling in the classroom.

Nor is the problem confined to Muslims in and around New York.  Indeed, the court's decision raises the specter of something far more ominous.  What stops the federal government from mapping and monitoring Muslims nationwide?

Permitting dragnet religious surveillance of Muslim communities will also exacerbate anti-Muslim sentiment.  The NYPD spying program comes on the heels of a nationwide maelstrom against Islam.

More than a dozen state legislatures have considered legislation criminalizing sharia law.  Mosques have been burned and vandalized, and Muslims have been the target of countless hate crimes.

Congress has joined the chorus as well, with some members repeatedly overblowing the threat posed by home-grown Muslim extremism. This widespread animus has led to a disturbing paradox: More Americans fear Islam today than just after the 9-11 attacks.

Still, it's not just Muslims who should be troubled by the court's decision.  It's every American, for in its faulty reasoning, the court has also diminished the U.S. Constitution.  Consider an example.  What if the NYPD had mapped the state's African-American population to stop criminal activity in that community?  The practice would be denounced and defeated in a court of law.

Why then, is religious surveillance tolerated?  Race and religion both have a storied role in American history, and both are afforded similar protection under the U.S. Constitution.

But, time and again, we ignore the enduring wisdom of the Bill of Rights, and succumb to political whim and social fiat.  The Japanese relocation camps after Pearl Harbor; the blacklisting and harassment of communist sympathizers during the Cold War; the surveillance of civil rights, feminist and anti-Vietnam war activists throughout the 1960s and '70s; and more recently, stop and frisk in New York.  The examples are legion.  So is the disgrace.

These policies once enjoyed widespread support and were considered necessary law enforcement tools.  Today, they are a stain on our national consciousness.  Religious surveillance of Muslim communities will one day join this tragic, shameful legacy.

But until then, the New Jersey plaintiffs have vowed to press on.  They announced last week that they intend to appeal the court's decision and vindicate their rights.  I hope they succeed.  In the end, they're fighting for the U.S. Constitution, and thus, you and me.

The opinions expressed in this commentary are solely those of Arjun Sethi.

@highlight

A federal judge dismissed a suit challenging broad NYPD surveillance of Muslims

@highlight

Arjun Sethi says the ruling breaches privacy, sustains fear among many Muslims

@highlight

He says the judge erred in blaming journalists rather than police for the harm caused

@highlight

Sethi: The targeting of Muslims will be seen as a tragic infringement of civil liberties