Eski Mosul, Northern Iraq (CNN)The mortar was dropped into the launch tube, but nothing happened. A prod, a kick and a shake failed to stir it. Eventually one of the Kurdish fighters at this position near Mosul unceremoniously tipped the tube upside down, picked up the offending shell and lobbed it over the sandbags, where mercifully it failed to explode.

About 100 Kurdish Peshmerga fighters were at this frontline position in Eski Mosul late last week, perhaps the most contested piece of real estate in northern Iraq. It sits at a junction that leads from Mosul to Tal Afar and beyond to the Syrian border -- a critical supply line for the Islamic State in Iraq and Syria (ISIS). Supported by coalition air strikes, the Kurds swept down to seize the area late last month.

Now they are engaged in daily battles with ISIS fighters, many of whom are local, according to Kurdish commanders who listen in on ISIS radio communications.

Between the sandbags and through the haze, a white building 800 yards away protected an ISIS position. After one mortar was (this time successfully) fired at the building, a sniper's bullet shot over the Kurds' position with a faint hiss -- as if to say "You missed."

The Peshmerga are now well dug in at Eski Mosul with mortar batteries, at least one MILAN anti-tank missile and heavy machine guns. The MILAN is especially useful for taking out vehicles rigged up as suicide bombs. The wreckage of one sits just 100 yards from the Kurds' defensive positions.

In two days, the Peshmerga say, ISIS sent 20 vehicle bombs up the road, a sign of how badly the terrorists want to retake this position. One had 8.5 tons of TNT primed to explode, according to Kurdish commanders, but its driver was shot and killed before he could detonate the device.

The importance of the crossroads was evident from the presence of a small detachment of British military personnel who covered their faces and quickly drove off at the first sign of a television crew. "No photos please," pleaded their Kurdish minder.

On the way to Eski Mosul, the villages around Zumar show the scars of ISIS occupation. Some buildings occupied by the group had been razed by air strikes. But many more were blown up by ISIS fighters as they retreated. Others were booby-trapped with cleverly-hidden explosive devices to await families coming home.

One elegant villa on a hill had been reduced to a jagged mix of concrete and steel wire. Crushed between cement slabs was a flat screen TV; a staircase lay at a crazy angle. The owner -- a Kurd -- stood outside, curling amber beads between his fingers. His nephew had come to the house with three others, he said. They opened the front door and there was a massive explosion.

The commander of this area and head of the Kurdistan Region Security Council is Masrour Barzani, one of Kurdish President Massoud Barzani's sons. At his well-guarded hilltop base, he waved his hand across a map of the region. The Peshmerga have retaken some 5,000 square miles of territory since the high-water mark of ISIS' expansion in this region, and now guard a front of some 700 miles -- an area stretching from Sinjar in the north to Kirkuk in the center of Iraq.

"The myth of ISIS being undefeated has been broken," Barzani said. But he also described ISIS as "pretty much intact" as a fighting force. He estimated it has some 40,000 members in Syria and Iraq, aided by many more collaborators and sympathizers among Sunni Arab tribes alienated by Iraq's previous government.

But now the Iraqi army had to step up, he said. The Kurds could not -- and should not -- take mainly Arab towns like Tal Afar, which ISIS has held since June. "We don't want to create any political sensitivities with the Arabs," said Barzani.

Barzani -- like many in the region and beyond -- is trying to work out ISIS' strategy in Iraq. Its center of gravity appears to be shifting south and west, with most offensive operations taking place in Anbar and Salah ad Din provinces. Its raid on the town of al-Baghdadi in Anbar, using sleeper cells within and coordinated attacks from outside, shows that ISIS is still capable of complex operations, even after months of airstrikes.

Some of these territorial gains are fleeting and tactical and may be intended to pull Iraqi forces in different directions. For example, ISIS last week launched an attack on villages south of the city of Tikrit, which it still holds, drawing in a mixture of Iraqi military, police and Shia militia units.

At the same time, ISIS is making a major effort to resupply and reinforce its presence in Mosul. From a ridge overlooking the town of Sinjar, we witnessed a constant stream of trucks and tankers traveling between the Syrian border and the Mosul area at high speed, as coalition drones and F-16s flew overhead.

Barzani believes ISIS is redeploying fighters from Syria to this part of Iraq. The Kurds' progress means militants have had to take a circuitous route, but there is no sign that ISIS is ready to abandon Mosul -- a symbolic and strategic prize.

ISIS draws on the victories of Nur al-Din al-Zanki against the Crusaders 900 years ago and his slaughter of Christians throughout what is now Syria. Al-Zanki united Aleppo and Mosul under his rule, and built a mosque in his name in Mosul. It was at that same mosque, on the first Friday of Ramadan last year, when Abu Bakr al-Baghdadi took to the pulpit to declare his caliphate.

Inside the city, however, the situation is dire, according to accounts of the few residents who have been able to leave, messages from inside the city, and Kurdish officials. Water and electricity are in short supply, the price of basics has rocketed, and ISIS' rule has become more draconian. Suspected "collaborators" are being summarily executed, among them former police and military officers. ISIS has been building up its defenses around the city with trenches and berms, and has destroyed at least one main bridge.

Barzani told CNN that in areas the Kurds had taken, people were "literally starving ... in extremely bad condition."

"People are afraid to send their girls out because they are afraid they might be taken as concubines for the emirs or fighters; they are afraid to send young boys out to run errands because they're afraid they might be taken as fighters for ISIS," he said.

But across Iraq, ISIS continues to benefit both from Baghdad's weakness and sectarian tensions. Iraqi security forces are being retrained and reorganized with U.S. help, but they're not yet fit for purpose and still reliant on Shia militias, known as Popular Mobilization Units, in some areas. Nor are they familiar with the close urban combat that will be required to retake a city like Mosul.

The murder in the capital of a prominent Sunni tribal leader, Sheikh Qassim al-Janabi, on Friday has again inflamed sectarian tensions, with Sunni blocs suspending their participation in the parliament and government. Al-Janabi had campaigned for investigations into the disappearance of Sunnis.

A leading Sunni figure in the government, Deputy Prime Minister Saleh Mutlaq, said after the attack: "We must get rid of militias and weapons must be put in the hands of the state."

Prime Minister Haider al-Abadi has promised to do just that, but must also be aware of the need for effective fighting forces against ISIS.

The result, says Joe Stork of Human Rights Watch, is that "Iraqi civilians are being hammered by ISIS and then by pro-government militias in areas they seize from ISIS."

Human Rights Watch is investigating the deaths of more than 70 people after a Shia militia captured a Sunni village in Diyala province last month.

"With the government responding to those they deem terrorists with arbitrary arrests and executions, residents have nowhere to turn for protection," Stork said.

And that's just what ISIS wants.

@highlight

The frontline position in Eski Mosul is perhaps the most contested piece of real estate in northern Iraq

@highlight

Supported by coalition air strikes, the Kurds swept down to seize the area late last month

@highlight

In two days, the Peshmerga say, ISIS sent 20 vehicle bombs up the road