"Crowd control" took on a whole new meaning Wednesday night as a room full of partygoers were given power over a cocktail-making robot controlled by their smartphones.

Attendees at a party for the Google I/O Conference here were invited to send a drink recipe via a smartphone app to the Makr Shakr, a three-armed robot designed especially for the show. They could then interact with attendees of similar taste to collaboratively design their perfect drink via social media.

MIT's Senseable City Lab wanted to see what would happen when you let a mass of people take control of an industrial manufacturing machine.

The idea, according to project leader Yaniv Turgeman, is to demonstrate how digital technology has the potential to take the power of factory robots away from big companies and into the hands of the people.

Turgeman said the team had the idea in January and hurriedly set about getting the arms -- based on the classic factory production-line robot -- programmed to gracefully slice a lemon, shake a cocktail shaker, pour liquids carefully and so on.

The team purposefully chose the look of the iconic orange industrial robot arm to make the point that big manufacturing technology was now becoming accessible to everyone.

"It's a metaphor," he said. "This is the third industrial revolution. People now have the power to control very powerful technology."

At the party, every time someone created a drink the recipe would go up on a big screen behind the bar and the crowd could see it and add their own changes to the recipe -- and try the drink.

"The point is to learn from one another, to design together," he said.

Turgeman said there was an emerging market for people who want to make things, a movement back to craft culture that takes advantage of modern technology -- sometimes referred to as the maker movement (hence the name of the robot). The movement espouses the DIY inventor or developer and promotes the sharing of free technology.

He said MIT's example of easy-access digital manufacturing could transform clothes making, furniture design -- whatever people wanted. Uses could range from manufacturers engaging focus groups in a much more hands-on way at an early stage of product development to mass customization or individual use of the machines.

Jon Collins, research director at UK consultancy Inter Orbis, which specializes in the impact technology is having on society and business, said this was a model that was already working very well in web development.

"Design should take hours not weeks, with a maximum of customer interaction. It's not hard to imagine how that could be extended to creation of, in this case drinks, but also other objects, once 3-D printing is in the mix," he said.

"There's no reason at all why small-run manufacturing should not become a socially driven activity. Meanwhile it is very interesting to think how the Internet of Things - that is, devices and objects with built-in connectivity - can link to our ability to use applications and exchange information socially."

Turgeman added: "Before, to design, you generally had to be a designer or spend your whole life learning to be a master carver. This shifts things. The accessibility brings you back to a basic need to create. You can design, make and enjoy."

@highlight

MIT allows partygoers to control robot bartender using their cellphones

@highlight

Lab wanted drinkers to collaborate via social media to make new cocktails

@highlight

Scientists say making robots available to all via phones signals "third industrial revolution"