(CNN) -- It's a rare thing for the threads of an ongoing crisis to be pulled so closely together in a discrete event, compressed in time and space as if they were part of a dramatization, as they were when President Obama met Israeli Prime Minister Benjamin Netanyahu this month in the Oval Office.

This session had it all: primal Israeli, Iranian, American and even Arab interests; nuclear proliferation and global energy supplies; existential dangers; war and peace.

The meeting was no doubt made more difficult by the strained relations between the two leaders, but in truth, this one needed little personal antipathy to make it hard. Even though both men had announced that Iran's acquisition of a nuclear weapon was unacceptable, there was no final agreement on how to prevent that from happening. In many ways, I suspect, the two men talked past one another.

Recall high school math and being forced to solve algebraic equations? Something like that may have taken place in the Oval, with Obama pointing out how hard we were working to solve for "y" where "y" represented Iranian intentions. Unfortunately, in the prime minister's equation, "y" had already been defined as a constant. Israel believes that it knows where the Iranians are going. In its equation, the unknown is "x." What does the United States intend to do about it?

Clearly, the president was aware of this. Comments about having Israel's back, rejecting containment, even a little tough talk about not being one to bluff -- all this was calibrated to convince Netanyahu that this president would act.

But when? On the long flight back to Jerusalem, Netanyahu was surely asking himself that question.

Israel's window of opportunity to attack Iran's nuclear network is closing. Even allowing for Israeli ingenuity and courage, this was never going to be easy, and it's getting harder by the day, as much of the target is being moved into a fortified mountain near Qom. If Israel defers the attack much longer, its military option will simply cease to exist as the Iranian program gets more hardened, more dispersed and more advanced.

The American window, of course, will remain open longer, a reflection of the raw numbers, weapons, mobility, range and proximate basing that the United States can bring to bear.

But will America move? Can Israel afford to give up its own place in the lineup in the belief that the United States, hitting lower in the order, will actually go up to the plate and take its swings?

And so Netanyahu will ask himself, what are their red lines? What will convince them to act?

Secretary of Defense Leon Panetta probably gave the clearest administration statement when he said that if "we get intelligence that they're proceeding with developing a nuclear weapon, then we will take whatever steps are necessary to stop it."

That, combined with the president's repeated statements that Iran getting a nuclear weapon is "unacceptable," surprisingly aligns this administration with the George W. Bush administration's doctrine of pre-emption. That doctrine famously described it as a duty to "anticipate and counter threats, using all elements of national power, before the threats can do grave damage."

Combining "unacceptable" with "whatever steps are necessary" seems to put Iran's possession of a weapon -- or, more accurately, an Iranian decision to pursue a weapon -- in that doctrine's category of "hostile acts by our adversaries."

And that imposes quite a burden on American intelligence. I recall thinking with the announcement of the pre-emption approach in 2001-02 (while I was director of the National Security Agency) of how good American intelligence would have to be to identify such threats and to identify them at the confidence level that would be needed to justify America shooting first.

How tall an order that could be was evident in the 2002 National Intelligence Estimate on Iraq's weapons of mass destruction. There the intelligence community not only got most of it wrong -- there was no active nuclear program, nor were there chemical or biological weapons stockpiles -- we compounded the mistake with overconfident language that invited others to use intelligence as evidence.

Intelligence is designed to inform policy-making even in the face of doubt, to allow officials to judge potential action while ambiguity still exists. It rarely reaches the level of evidence required in a court of law to prove matters beyond a reasonable doubt.

We may have gotten it a little better in 2007, when we informed the president that Syria had built a nuclear reactor with North Korean assistance. However, we cautioned him that we had low confidence that it was part of a nuclear weapons program, not because there was an alternative explanation that made much sense but simply because our body of knowledge on the other parts needed for such a program (like a reprocessing facility or weaponization work) was pretty thin. In that instance, the president rejected pre-emption. (The site was bombed by Israeli aircraft.)

And now with Iran, intelligence judgments remain anchored to a controversial 2007 National Intelligence Estimate that in 2003, Tehran had "halted" its nuclear weapon design and weaponization work. That estimate was based not on the absence of evidence that such work was ongoing but rather on evidence that it was not. And despite some suspicious and troubling Iranian activity since then, the estimate has survived largely intact, under three subsequent heads of national intelligence and of the CIA.

So there we are. The challenge for American intelligence now is to inform the president of an Iranian decision to weaponize its nuclear stockpile with sufficient confidence and in sufficient time for him to decide to launch a pre-emptive war in one of the world's most sensitive and volatile regions.

It's hard to imagine a higher bar, especially since building the "sufficient confidence" will almost certainly eat into the "sufficient time." And especially since, when that last situation room meeting is held, the intelligence will probably not be at that courtroom evidentiary standard of beyond all reasonable doubt.

The president showed that he could act in the face of ambiguity when he launched the Abbottabad raid to kill Osama bin Laden. This one will be even more difficult.

For Netanyahu, we can identify this as "x." For the importance of "x," see above.

The opinions expressed in this commentary are solely those of Michael V. Hayden.

@highlight

Michael Hayden: U.S. policy on Iran implies pre-emption idea from Bush administration

@highlight

He says Israelis want to know if U.S. would act on Iran nuclear sites in time

@highlight

Hayden says a decision to stop Iran's nuclear program requires strong intelligence

@highlight

He says it's a high bar to prove that Iran decided on developing nuclear program