(CNN) -- If you've ever looked closely at a newly minted penny, you've probably been struck by its sheer beauty. Abraham Lincoln's bearded, chiseled, copper face shines forth beneath the proclamation of "In God We Trust" and beside the quintessential American motto, "Liberty."

Americans revere the penny, as it encapsulates a history lesson -- Lincoln brought freedom to so many -- and a civics lesson all in one.

But increasingly, Americans have stopped using the penny, as we turn toward electronic payments and away from cash. Sadly, inevitably, like so many other beautiful, venerated historical objects, it appears that the penny now belongs in a museum.

Earlier this week, President Barack Obama asked Congress for permission to change the mix of metal that goes into making pennies and nickels. He based this recommendation because it costs taxpayers about 2.4 cents to make each penny and 11.2 cents to make each nickel.

In fact, the costs of using such coins are even higher. Poor Richard, aka Benjamin Franklin, recognized that "time is money." How much is our time worth?

The average American earns a little more than one penny for every two seconds of work. Unfortunately, when there's a penny involved in the transaction, it takes a couple extra seconds to fumble around for the coin and complete the purchase. Thus, for many people, time is more valuable than this money, and increasingly we throw away pennies, lose them, don't bother to collect them to return to the store or let them pile up in jars.

Stores pay out more pennies than they receive, so the order goes down the line to make more pennies, which are often lost and ignored -- repeating this vicious cycle. Unfortunately, the U.S. Mint won't find a miracle metal that will make pennies worthwhile. The bottom line is that even if pennies could be created out of thin air, the cost of our time would outweigh the gains from using the penny. For nickels, the math works out better, so I'll second the president's call to begin making nickels out of less costly metal, rather than consigning them to the history books.

People from across the political spectrum should unite to retire the penny.

Conservatives care about the color red -- they hate the red ink that losses by the U.S. Mint impose on taxpayers. Conservatives also loathe inflation, but unfortunately, the penny's value has been slowly eroded by inflation over the years, so the penny isn't worth a red cent any more.

Liberals love the color green. A penny will turn a sour shade of green if you leave it out in the elements long enough, but it's environmentally un-green. Using pennies means an increase in zinc and copper mining, an increase in energy use and pollution at these mines and an increase in energy use and pollution as the government, banks and businesses put rolls of pennies into sacks and lug them from place to place.

Penny advocates worry that customers will be ripped off if Congress kills the penny. In a penny-free world, sellers would round your bill to the nearest nickel for cash purchases. Purchases totaling $4.98 or $4.99, for example, would be rounded up to an even $5, while those equaling $5.01 or $5.02 would be rounded down to $5. Since so many retail prices end in a 9, the fear has been that this rounding will gouge consumers.

This worry is unfounded.

I calculated the magnitude of this "rounding tax" after obtaining data on nearly 200,000 transactions from a multistate convenience store chain. The data reveal that the "rounding tax" is a myth. In reality, the number of times consumers' bills would be rounded upward is almost exactly equal to the number of times that they would be rounded downward. It turns out rounding would have given customers in my study a tiny gain of about 1 cent per every 40 purchases.

"Why, oh why, has it taken so long to recognize reality?? Get it done [eliminate the penny], and you will deserve the Nobel Prize!" That's the encouragement I received after former Fed Chairman Paul Volcker read about my findings.

Nobel Prize, hmmm ... that's worth almost 150 million pennies. You could start a museum with that ...

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Robert Whaples.

@highlight

It costs taxpayers about 2.4 cents to make each penny

@highlight

Robert Whaples: Americans using the penny less as they turn toward electronic payments

@highlight

He says the U.S. Mint won't find a miracle metal that will make pennies worthwhile

@highlight

Whaples: People from across the political spectrum should unite to retire the penny