(CNN) -- For most of American history, a Supreme Court with no Protestant Christian judges would have been unthinkable. Nearly three quarters of all justices who've ever served on the nation's high court have been Protestant. And roughly half of all Americans identify themselves as Protestant today.

But since John Paul Stevens announced his retirement last month, legal and religious scholars have begun entertaining the unprecedented prospect of a Supreme Court without a single Protestant justice.

Besides Stevens, who is Protestant, the current Supreme Court counts six Catholics and two Jews.

"It's an amazing irony given how central Protestantism has been to American culture," said Stephen Prothero, a religion scholar at Boston University. "For most of the 19th century, Protestants were trying to turn America into their own heaven on Earth, which included keeping Jews and Catholics from virtually all positions of power."

Many religion scholars attribute the decline of Protestants on the high court to the breakdown of a mainline Protestant identity and to the absence of a strong tradition of lawyering among evangelical Protestants.

"Mainline Protestantism isn't a pressure group," said Prothero, "It's not like the National Council of Churches is lobbying Obama to get a Lutheran appointed to the Supreme Court."

And while Judaism and Catholicism have their own sets of religious laws that date back millennia, many branches of Protestant Christianity do not. For much of the last 150 years, evangelical Christianity has stressed an emotional theology of "heart" over "head" -- not a recipe for producing legal scholars with eyes fixed on the Supreme Court.

"Evangelicals have put more effort into getting elected than in getting onto the bench," said Michael Lindsay, a Rice University professor who has studied evangelical elites. "Electoral politics is more similar to the style of rallying of around revival campaign than it is to the arduous journey of producing intellectual giants that could be eligible for the Supreme Court."

President Obama is expected to nominate Stevens' replacement early this month. Of the three candidates who are reported to lead Obama's short list, two -- Solicitor General Elena Kagan and federal appeals judge Merrick Garland -- are Jewish, while one, federal appeals judge Diane Wood, is a Protestant.

Obama's first Supreme Court appointee, Sonia Sotomayor, is Catholic.

One explanation of Catholics' and Jews' high court hegemony is that members of both traditions have long pursued legal degrees as a way to assimilate into a majority Protestant country.

"Most American Catholic law schools were not formed to be elite institutions of lofty legal scholarship, but as way to respond to the fact that other law schools were excluding Catholics," said Richard Garnett, a professor at the University of Notre Dame Law School. "It was a vehicle to get Catholics into the middle class."

"Early on, those schools admitted a lot of Jewish students who were being discriminated against," Garnett said.

Today, Catholic law schools at Georgetown University, Fordham University, and Notre Dame are considered among the best in the country.

Evangelical Protestant colleges, meanwhile -- including Regent University and Liberty University, founded by Pat Robertson and Jerry Falwell, respectively -- have opened law schools only since the 1980s.

And law schools with Protestant roots -- like Harvard and Yale -- shed their religious identities a long time ago, part of the broader fading of a distinct mainline Protestant identity in the U.S..

Some legal and religious scholars say the dearth of qualified evangelical candidates for the Supreme Court came into sharp relief in 2005, when President George W. Bush nominated White House counsel Harriet Miers to the high court.

An evangelical Christian who the White House promoted strenuously among evangelicals, Miers' nomination was brought down largely by conservatives -- nonevangelicals, mostly -- who said she was not qualified for the position.

In the last couple of decades, however, more evangelicals have begun pursuing legal degrees, including at elite colleges. "There are now vibrant Christian fellowships at Harvard and Yale," said Lindsay. "Ten years from now, it will be entirely possible to see an evangelical Protestant on the Supreme Court."

Rachel Heflin, a senior at Patrick Henry College -- a Virginia school whose students are mostly evangelicals from homeschooling backgrounds -- said many of her friends are heading to law school next year.

"When your circle of friends is comprised of aspiring lawyers, the joke is about who's going to make it to the high court first," said Heflin, an evangelical Christian who will be attending George Washington University Law School on scholarship.

Which means that a Protestant Supreme Court resurgence may not be too far off.

@highlight

Current Supreme Court has six Catholics, two Jews and one Protestant

@highlight

Absence of a strong tradition of lawyering among evangelical Protestants

@highlight

Only one of the Supreme Court candidates on Obama's short list is a Protestant

@highlight

More evangelicals have begun pursuing legal degrees in the last few decades