Fast food workers striking for higher wages in seven cities Monday are bound to be disappointed. On their last week before vacation, Congress isn't likely to raise the minimum wage. They're not even close to critical mass on that issue.

With other issues on their plate -- immigration reform, the farm bill and that whole business about funding the government -- it is not one of the things lawmakers are spending a lot of time talking about. There aren't any votes scheduled any time soon and it hasn't yet had a hearing in the House of Representatives this year.

But there does seem to be a confluence of minimum wage story lines, in addition to the fast food walkout, across the nation recently.

Related: Fast food workers protest in seven cities

In a major speech last week, President Barack Obama renewed his call to up the current $7.25 minimum wage for wage earners who don't get tips to $9.00 per hour.

The minimum wage section was an applause line when he spruced up his economic plan with the first in a series of speeches he plans to give outside of Washington.

"Because no one who works full-time in America should have to live in poverty, I am going to keep making the case that we need to raise the minimum wage -- because it's lower right now than it was when Ronald Reagan took office.  It's time for the minimum wage to go up," he said during his speech at Knox College in central Illinois.

He also called for a minimum wage increase in more detail during his State of the Union address earlier this year.

"This single step would raise the incomes of millions of working families," he said. "It could mean the difference between groceries or the food bank; rent or eviction; scraping by or finally getting ahead. For businesses across the country, it would mean customers with more money in their pockets. And a whole lot of folks out there would probably need less help from government. In fact, working folks shouldn't have to wait year after year for the minimum wage to go up while CEO pay has never been higher."

In Washington, the City Council passed a bill this month that would force large retailers -- specifically, Walmart -- to pay a wage of more than $12.00. That's a higher hourly rate than some D.C. city workers get. Supporters of the bill counter that city workers get benefits that bring their compensation above $12.50 -- not everyone at Walmart does. There's still no word on when that bill will head to Washington Mayor Vincent Gray for his expected veto.

Related: Walmart vs. D.C. Lawmakers

The current federally-mandated minimum wage is $7.25 -- the same as it has been for the past four years. A family with children living on one or even two full-time minimum wage salaries could still fall below the federal poverty line, depending on the cost of living in their hometown.

In recent years there has been a push for the minimum wage to be a "living" wage. That would require a drastic uptick, however. According to a "living wage" calculator from MIT,  a "living wage" for an adult and a child in Cincinnati, Ohio, for instance, would be $17.56, if you factor in child care. For two adults and no children, they suggest a living wage of $16.20 per hour if there were no child care expenses.

Every Republican and six Democrats in the House voted against raising the minimum wage when Democrats offered it during a procedural fight over an unrelated bill in March. That vote was 223-184.

The federal rate has only been raised a few times in recent decades, most recently in 2007, soon after Democrats took control of the House. They lost control of the House in 2010. The third and final in a series bumps from that legislation kicked in in 2009. Those who support increasing the minimum wage want to tie it to inflation and initiate automatic cost of living adjustments at periodic intervals. As it stands, only Congress can raise the minimum wage.

And those efforts traditionally take a long time. It took 10 years between a 1997 wage hike and the one enacted in 2007.

States and cities, meanwhile, have worked on their own solutions. They've tied minimum wage to inflation in two states including Oregon, where the rate is approaching $9. Some cities are even higher. The minimum wage in high-cost San Francisco is $10.55.

Eighteen states and the District of Colombia have a minimum wage higher than the federal level of $7.25, according to the National Conference of State Legislatures.

There is evidence on both sides of the minimum wage debate. Proponents of an increase say it is an important safeguard for low-wage workers and evidence shows it does not lead to higher unemployment. But opponents suggest is has other effects on the jobs market.

Raising the minimum wage "makes it harder for unskilled workers to gain the labor market experience and on-the-job training that would raise their productivity and future pay," wrote the economist Stephen Bronars, of Welch Consulting  and a professor at Georgetown recently. "Unskilled workers are less attractive with a higher minimum wage because they produce less per hour and their hiring diverts more senior workers from revenue producing activities to training and supervision."

According to a recent CNN Money report on Bureau of Labor Statistics data, minimum wage jobs are on the decline. An estimated 3.6 million people were paid hourly rates at or below the federal minimum in 2012. Nearly 60% of U.S. workers are paid hourly, according to the U.S. Bureau of Labor Statistics. An estimated 4.7% of those hourly workers make minimum wage or less, down from 5.2%, a year earlier -- the lowest rate since 2008.

@highlight

Little chance Congress with take up increasing the minimum wage any time soon

@highlight

Obama has said he wants to raise rate from $7.25/hour to $9.00/hour.

@highlight

Fast food workers in seven cities rally for a hike in the rate