Durban, South Africa (CNN) -- For centuries, the massive sand dunes overlooking the warm waters off the South African east coast have created a majestic scenery, acting as a natural wall between the sea and the land environment.

Lashed by strong winds, the imposing dunes tower above the acacia-dotted landscape, supporting a vibrant ecosystem that thrives along the scenic coastline near the city of Durban.

In recent years, mining companies have been eager to dig inside these dunes to extract the valuable minerals they contain. At the same time, environmentalists have been campaigning against mining, fighting to keep the dunes pristine and preserve the region's splendid natural habitat.

Watch: Investing in Africa's mining sector

One mining company operating in the area is Richards Bay Minerals (RBM). The firm has been extracting minerals from the region's coastal sand dunes for more than three decades, having set up a massive operation along the shore.

"These sands are mineralized," says Andrew Denton, general manager of mining at RBM. "They've got a total heavy mineral content in them, which is ilmenite, rutile, zircon," he explains.

While carrying its mining operations, the company says it is committed to achieving a high standard of environmental care. It has put in place a rehabilitation program that aims to reshape the dunes and bring the forest to its pre-mining state by putting the indigenous plants back into the ground after the extraction process.

"Clearly, this [mining] is a large scale operation that's got significant impact," says Denton. "What's important to us is that we can rehabilitate the ground, restore the indigenous forest after we mined it and that the communities around us and the society which we operate receive benefits from being in proximity to this mining area. That's key to our operation."

According to RBM, the minerals removed from the sand through mining comprise about 5% of the dunes' total volume.

The company stockpiles the topsoil which contains the nutrients, organic debris and plant seeds that are stripped away during mining. After the dunes are reshaped, the topsoil is spread over the bare sand in a thin layer, triggering the natural processes that facilitate the recovery of the dunes.

Windbreaks are erected to protect the emerging seedlings from damage and to help in the stabilization of the dune.

Read more: Romancing the dune in Namibia

Michelle Boshoff, the company's environmental manager, describes the procedure as a natural restoration process that takes decades to be finalized. She says the program is being followed by a number of stakeholders, including the University of Pretoria which conducts studies in the area.

"There's a way to lessen the impact and do mining and development side by side," she says. "We can prove it [natural restoration] is viable. It's a good option."

Yet, dune mining is being staunchly opposed by many environmentalists who say that the process is damaging the region's ecosystem.

Environmental lawyer Jeremy Ridl is part of a group of eco-activists who successfully blocked dune mining in the area of St. Lucia -- north of where RBM is currently working -- in the 1990s. That area is now a world heritage site.

Ridl describes mining operations in the region as "completely destructive."

"It's a major change to the landscape," he says. "The vegetation gets cleared. Then anything up to 80 meters of dune gets completely mangled up and rehashed. They put humpty dumpty back together again and you have this sort of consolation that the shape will be the same."

Yet, even critics such as Ridl acknowledge that there are benefits stemming from the post-mining efforts to rehabilitate the ecosystem.

Watch: Growing cost of mining gold in Africa

"I've got no complaints about that," he says. "Not only are they trying very hard, they are producing excellent results, but in my mind it's too early to proclaim this as a rehabilitation of the dunes back to its natural state."

Some voices argue that eco-tourism could provide a small but possible alternative to mining, helping local communities generate income and also preserve the ecosystem.

Ridl says that eco-tourism has the potential to benefit the area but warns that its development should take into consideration the sensitivity of the local environment.

"We need to think ahead -- if we're promoting eco-tourism as an opportunity and form of development, then we've got to apply all the same controls and look at it critically, like the mining operation," he says.

"Eco-tourism does have the advantage provided its beneficiaries are local. Now I'm talking about everybody -- owners of resorts, people employed, skills development is very important because these tourism ventures are located in areas where people lack capacity and skills.

"So unless you link tourism in other community-based initiatives and end up having these ventures and all the benefits living in community, eco-tourism has potential to be just as bad as we perceive mining to be."

@highlight

South Africa's sand dunes have been supporting a thriving ecosystem for centuries

@highlight

Mining companies are eager to dig inside them for the minerals they contain

@highlight

Environmentalists are campaigning for the protection of the massive dunes

@highlight

Some argue that eco-tourism can be a valuable alternative to mining