Irbil, Iraqi Kurdistan (CNN) -- They are the faces of an entire community on the run.

Singled out, threatened, chased at gunpoint from their homes.

Pursued purely because they are members of an ethnic and religious minority.

Iraq's Yazidi Kurds are no strangers to persecution. Their faith teaches them that throughout history, they have been subjected to 72 genocides. Many world leaders fear they are on the brink of a 73rd massacre, this time at the hands of the Islamic State in Iraq and Syria, which calls itself the Islamic State.

Kurdish photographer Warzer Jaff spent a week documenting the exodus of the Yazidis from their ancient homeland. What is immediately striking in his portraits are their piercing eyes.

"I am fascinated with the deep sadness in their eyes," Jaff says. "You don't see one single happy face."

There is little room for joy when one has been made instantly homeless.

In the weeks since ISIS militants overran cities and towns in northern Iraq, the Yazidis joined a modern-day exodus of hundreds of thousands of other Iraqis. Most of those fleeing come from the many other ethnic and religious minorities that make up the mosaic of the region, including Chaldeans, Assyrians, Turcomen, Shi'ites, Shabbak, Kurds.

Instantly made homeless, tens of thousands of these families have sought shelter in Iraqi Kurdistan. Driving through this region, one can see families squatting under bridges, camping in derelict buildings, unfinished construction sites, churches, youth centers, open fields.

Each refugee shares horrifying stories of abduction and murder. Even more disturbing, the frequent refrain that "our neighbors did this to us."

Their claims that Arab tribesmen joined in the looting and kidnapping of these defenseless minorities suggests there is little hope these communities will one day live side by side together again in peace. As one senior Kurdish official put it, "the social fabric has been torn."

"I don't want to live with Arabs anymore, they take our land, they kidnap our women, and they kill us, why should I live with them?" asked Ali Khalid, 75, a Yazidi.

He wandered amid the tents of a brand new refugee camp leaning on a cane; his long white mustache, a proud symbol for Yazidi men, drooping over his mouth. Like nearly every other displaced Iraqi we met over the last week, Khalid urged Western governments to grant his people asylum in Europe or North America.

Not far away, a grieving mother showed a laminated identity card. It belonged to her 20-year old daughter, Baran. She was fatally wounded by shrapnel two weeks ago, Khokhe Namir said, while racing out into the backyard to pull a child back to safety.

"I buried her with my own hands," Namir said, scraping at the dirt with her fingers, as tears streamed down her cheeks.

Amid the grief and despair, there are still moments of childlike innocence. In a refugee camp for Iraqis that sprouted up in a Kurdish-controlled enclave in Syria, a red-haired girl picked through a pile of second-hand clothes donated by local Kurds.

"I like the bright colors and the flowers," she said, after eyeing a long dress decorated with pink flowers.

Last Friday, Jaff wandered up from a tent in a refugee camp in Iraqi Kurdistan visibly shaken. "There's a newborn baby who was born on the mountain, I'm afraid she's going to die," he said.

In the tent, the parents of the 6-day-old girl had bound their infant in a sheet and laid her on the dirt, atop a pile of blankets and cushions. They didn't have a cradle for the child.

The girl was born on Sinjar Mountain. Tens of thousands of Yazidis sought refuge on its heights as they fled ISIS fighters, only to find themselves trapped and surrounded by the militants.

Jaff took the little girl's parents into town and bought them a cradle and extra food for their baby. Across the Kurdish regions of Iraq and Syria, there have been many similar acts of kindness and generosity from locals toward their less fortunate cousins from farther south.

The baby's parents told me despite the heat, she was eating normally. The girl appeared healthy. Her mother said she was thinking of naming her child Hajar. Loosely translated, that means migrant or as the family interpreted it, "Exile."

READ: After the rescue: A Yazidi family's harrowing flight to escape ISIS

@highlight

Kurdish photographer Warzer Jaff spends week documenting Yazidi Kurds

@highlight

ISIS has hounded Yazidis from their ancient homeland in northern Iraq

@highlight

Tens of thousands of families have sought shelter in Iraqi Kurdistan

@highlight

Each refugee shares horrifying stories of abduction and murder