I'm one of the lucky ones. I landed a tenure-track job at a liberal arts college, a position that offers lots of personal interaction through teaching and advising. I get to bond with my students not only in the classroom, but also on nature retreats, at national conferences, and during travel seminars to other countries. When my students graduate, they tell me excitedly about their job offers and their acceptance letters to graduate school.

I have a wonderful job.

But my story is the exception. If higher education continues down its current path, full-time professors — already an endangered species — may become extinct. The reason: Uncontrollable fervor for online education.

According to a jaw-dropping 2013 report by the Association of Governing Boards of Colleges and Universities, the percentage of tenure track (i.e., permanent, full-time) positions has plummeted from 78% in 1969 to about 33% today. The report warns that "the rising numbers of non-tenure-track faculty in higher education are negatively affecting student success."

Even before the online revolution, full-time professor jobs were already on the decline as colleges and universities came to rely on an army of inexpensive adjunct instructors. William Pannapacker, an English professor and columnist for The Chronicle of Higher Education, notes that adjuncts make about $2,700 per class, "without job security, benefits, academic freedom, or any say in institutional governance."

But large-scale online education initiatives may do even more harm to the profession of full-time college teaching.

In the 2012 book "The Idea of the Digital University," Frank McCluskey along with co-author Melanie Winter, argue that online learning is a direct cause of the rapid decrease in full-time, tenure-track positions. McCluskey, the retired provost of the American Public University System, believes online learning can be saved, but he says it's going in the wrong direction.

"As online learning has grown, tenure has declined," McCluskey told me. "As technology has removed jobs from other sectors, such as finance and publishing, it is doing the same thing in higher education. But because we are labor intensive and low-tech, it got to us late."

When done right, online education can be a helpful complement to traditional classrooms. For example, my employer, Asbury University, has found a great balance between small online courses and traditional education. But in this season of economic uncertainty, the urge to convert traditional classes into impersonal, large-scale online courses is becoming irresistible to colleges and universities less committed to the sacred bond between teacher and student.

The result? Fewer full-time professors. In the short term, it cuts costs. But in the long term, it could destroy America's higher education system.

Quite depressingly, some online education experts have already disposed of the word "professor."

"The roles of those who decide to stay in higher education will shift to things such as content specialists, course facilitators, course designers and researchers," said Jonan Donaldson, instructional design specialist at Oregon State University and co-author of "Massively Open: How Massive Open Online Courses Changed the World."

Donaldson believes a world without traditional professors is imminent. "The job of the college professor as we know it will continue to exist in elite institutions, but in most cases it will cease to exist," he said. "I predict that the change will come more rapidly than we can structurally or emotionally accommodate."

Sometime in the future, Donaldson predicts an improved higher education system, with better accountability and increased access for economically disadvantaged students.

But in the meantime, Donaldson said: "If our main concern is the happiness and well-being of professors, I'm afraid bad news is coming."

Bad news, indeed. In a recent Wall Street Journal article, "Private Colleges Squeezed," Jonathan Henry, the vice president of enrollment management at Husson University in Maine, predicted that 30% of small, non-elite private colleges will vanish in the next decade. The ones who survive "will have to learn to live with less," he told the Journal.

Online education advocates often tout studies that supposedly show that online classrooms are just as effective as traditional classrooms.

But loan default rates at online-only institutions tell another story. For years, we've seen reports that students from for-profit universities, which specialize in large-scale online models, have loan default rates that are much higher than those from nonprofit schools. In 2010, Democratic Sen. Tom Harkin of Iowa published "Debt Without a Diploma" in which he stated that nearly a quarter of students from for-profit institutions default on their loans within three years. The Government Accountability Office subsequently launched an investigation and found deceptive recruiting practices at many of the largest universities in the online for-profit sector.

Nevertheless, the mad scramble to contain costs by using large-scale online classes continues unabated. Between 2008 and 2013, the number of college students taking at least one online course nearly doubled, to 45%, according to a survey by Crux Research.

While only 2.6% of higher education institutions currently have a "massive open online course,"  or MOOC, more than 9% are planning for it, according to a study by Babson Survey Research Group.

The logic seems to be: "Why hire your own Ph.D. when you can show pre-recorded lectures to students hundreds of miles away, and then have their tests graded by a computer?"

Not all online education experts believe the job of full-time professor needs to vanish. McCluskey, for example, argues that by preserving tenure and keeping online classes small, universities can adapt to an online culture without losing their essence.

"I have watched MBAs use new management theories to make colleges more efficient," McCluskey told me. "But higher education should not be efficient. Fast food restaurants are efficient."

Kim Zarkin, associate professor of communication at Westminster College in Salt Lake City, believes there will be a backlash against online courses done on the cheap. She predicts that negative experiences with impersonal programs will ultimately drive students into the arms of institutions focused on teaching and personal interaction.

"Saying that the MOOCs are a solution to everything is the equivalent of saying, 'There's the public library. Go get an education,'" Zarkin said.

For the sake of both students and professors, I hope Zarkin is right. I hope the job of full-time professor doesn't go the way of the dinosaur.

But I see an asteroid coming.

@highlight

David Wheeler: Tenure-track full-time professors are an endangered species

@highlight

Wheeler: Blame it on the fervor for large-scale online education initiatives

@highlight

He says colleges are embracing online courses for cost-cutting reasons

@highlight

Wheeler: But in the long term they could destroy America's higher education system