(CNN) -- Johnny "Jet" DiScala won't look at video that appears to capture this week's cargo airplane crash in Afghanistan.

DiScala used to be afraid to fly. He got over it by looking at flight safety data, learning that flying is way safer than driving and talking to lots of pilots and flight attendants. Now DiScala flies more than 175,000 miles per year and documents his journeys on his travel website.

"Since I used to be afraid to fly I don't want to risk triggering any of my old emotions," he said in an e-mail. "I just don't need those kind of images in my head."

The fiery images are alarming.

U.S.-based cargo carrier National Airlines confirmed that Flight NCR102 had just taken off from Bagram Air Base in Afghanistan en route to Dubai when the crash occurred, killing all seven crew members aboard. An approximately three-minute video, which has not been authenticated by CNN, shows what appears to be the Boeing 747-400 jet climbing shortly after takeoff, stalling, rolling from side to side and crashing into the ground.

While the video might trigger a fear of flying in usually calm travelers or terrify already fearful passengers, most travelers aren't flying under the kind of conditions faced at Bagram Air Base in Afghanistan.

Here are five things to keep in mind as you head for your next commercial flight:

Civilian aircraft don't fly at such a steep angle

The circumstances under which military troops and cargo airplanes fly in and out of a war zone are far from the routines of commercial airlines, says John Goglia, a former National Transportation Safety Board member and airline mechanic.

"Commercial airplanes climb at about half the angle the military climbs at," Goglia says. "Military aircraft take off at a such a steep angle to get high enough to get away from local arms fire. They need to get over 3,000 feet as quickly as they can."

A commercial airline's cargo hold is small (and full)

A military aircraft carrying heavy equipment might not fill an entire cargo airplane, requiring that the cargo be secured to prevent a potentially deadly sudden shift in weight, Goglia says.

In contrast, aircraft configured for passengers have much smaller cargo compartments, which are filled with baggage and any cargo that the airline can pack into the belly of their planes. "Full compartments leave no room for cargo to shift," he says.

One crash is not a trend

Simply watching a video of a crash isn't a problem, says Julie Pike, a psychologist with the Anxiety Disorders Treatment Center of North Carolina in Durham, North Carolina. It's the interpretations people make after watching a plane crash or other disturbing news events over and over again.

"I will get people up until 4 a.m. watching the Boston bombing story," she says. "They think, 'This happens all the time, which means it could easily happen to me.' "

Monday's plane crash in Afghanistan "is compelling and very sad," she says. "However, it's very infrequent. Airline travel is the safest form of travel. As Americans, we are very good at overdoing it."

An 'Artist's Way' to calm flying fears

Visuals can pack an intensified punch

Watching such a video can activate a different area of your brain than reading a story, Pike says. The visual stimulation can activate people's fight or flight response, making them think they are in imminent danger. "Your brain is telling you that a predator is after you," Pike says. "Reading about it doesn't tend to cause the same reaction."

A small percentage of people worldwide suffer from fearful flying to the extent that it impairs them in some way, she says, and some people can become traumatized by watching and fixating on disturbing videos.

People overestimate the threat and underestimate their ability to react, she says.

CNN.com commenter Peter Gugerell says he usually doesn't suffer from fear of flying. Yet one airplane crash stands out for him.

Ever since he watched all the 1996 news coverage about TWA Flight 800, which blew up a few minutes after takeoff, Gugerell wrote via e-mail that he's "acutely aware" of the early part of his flights. "Now, having watched the Bagram crash, I expect my existing takeoff anxiety to increase slightly."

We can come to terms with our fears

Try not to avoid or try to stop your fears, suggests University of Washington psychologist Jonathan Bricker. "They are hard to stop and they find sneaky ways of reminding you they are there," he wrote via e-mail. "Instead, try to make peace with them."

His suggestions: "Notice your network of fears. Say the word 'flying' or '747' and notice what else comes to mind in your network of fears. Find the scary words. Let's say the word is 'crash.' Rate your level of anxiety when you say the word aloud. Repeat the word out loud for 90 seconds and notice what happens to the scariness of the word. Re-rate anxiety. Try this exercise three times."

And remind yourself of why you're traveling, Bricker suggests. Whether it's a business trip or a much-anticipated getaway or a trip to see a loved one, the reasons can help you see past your fears.

Are you afraid to fly? What do you do to keep calm on an airplane flight? Please share in the comments below.

@highlight

Flying fears may be intensified by video that appears to capture a cargo plane crash

@highlight

Remember that conditions for cargo flight in Afghanistan aren't routine for passenger flights

@highlight

Dramatic visuals may evoke instinctive responses that amplify a small threat