Pizza, pasta, Verdi, the Coliseum, runway models.

We know Italy does some things incomparably well.

But travelers to the elegant boot don't just want to eat spaghetti, deal with opera and gawk at old ruins.

Beyond the clichés, you'll find 10 other surprising ways in which Italy shines.

More on CNN: Verdi: Exploring the Italian hometown of a musical genius

1. Flattery

Depending on whether or not you think the occasional catcall or butt grab is flattering, you'll find Italians are aggressively complimentary of friends and beautiful strangers alike.

A historical tool for both disarming and defusing, flattery is the fulcrum on which Italian society teeters.

As Luigi Barzini writes in "The Italians," "The people have always employed such arts offensively, to gain advantages, destroy rivals and conquer power and wealth; and defensively, as the squid uses ink, to blind and confound powerful men, dictators and tyrants."

But you'll likely only notice the butt grabs.

2. Hot baths

If flattery doesn't get you out of your clothes, the peninsula's 380 spa sites offering healing mud and bubbles will.

Boiling as much beneath the surface as its people, Italy pioneered the world's first large-scale spas, exporting them as they colonized Europe.

Watery therapies include island baths (such as those on volcanic Ischia), Tuscan hot springs, mountain baths in the town of Bormio and the thermal park of Lake Garda.

Just drinking the mineral-rich water in some places is reputed to be healthy.

So convinced is the Italian government of the healing power of hot springs and geothermal mud packs that it covers the cost of some therapies for its citizens.

Free hot springs in Tuscany: www.turismo.intoscana.it

3. Cursing

Be it in Italian or any other language, the accent of native Italy turns any expletive into a blunt force instrument.

Rhythmic, staccato and with an almost operatic legato that fuses syllables together like a hammer-on guitar note, swearing here is a performance art.

Inspired mostly by pigs, anatomical exit points and promiscuous women, Italian profanities -- which vary by region -- sound equal parts dramatic, angry and comical.

Powered by the passion characteristic of the Italian people, the results stun, intimidate and even charm their recipients, sometimes all at once.

More on CNN: 15 best coffee bars in Rome

4. Beach bumming

With 7,400 kilometers (4,600 miles) of coastline, Italy boasts the most beaches in Europe, as well as 27 marine parks.

Summer temperatures peak in many places at just below 30 C (86 F), compared with the mid 20s (70s F) in France and Portugal.

It's like swimming in tropical waters, minus the sharks and trinket hawkers.

When it comes to beaches, it's a tough choice between blinding-white dunes, pebble and even turf shores, but 248 Italian beaches have been awarded Blue Flag status for clear waters and unspoiled sands.

More on CNN: Italy's best beaches and islands

5. Pop-up governments

Italians tear through regimes like their sports cars do dinosaur juice.

Since the end of World War II, Italy has established 62 governments under 38 prime ministers (40 if you count Silvio Berlusconi's three total terms), and only one has lasted a full five years.

Fearing the rise of another Mussolini, Italy's constitutional system years ago provided for a weak executive branch that requires majorities in both legislative houses just to get anything done.

That, combined with an already fractured political landscape of small, warring parties, puts Italy's average MPG (months per government) barely over 12.

6. Volcanoes

Ten active volcanoes allow Italy's geology to vent the way voting gives release to its citizens.

The country's (and Europe's) largest volcano is Mt. Etna in Sicily, the world's second most active volcano after Hawaii's Mauna Loa.

Etna's spectacular eruptions, soot-blackened scenery, lava flows and extensive caves draw more than a million tourists a year.

It leads TripAdvisor's top-10 must-see volcanoes list, along with four other Italian spouters, including Mt. Vesuvius.

In June, Etna became a UNESCO World Heritage Site, joining three other Italian volcanoes, including the Aeolian islands of Vulcano (no translation prizes there), Lipari and Stromboli, known as the Mediterranean's Lighthouse for its breathtaking eruptions.

Mt. Etna tours and excursion: www.sicilytravel.net

More on CNN: Scandal-rocked Pompeii finally gets a makeover

7. Dessert

Apple pie is good and all, and it's never a bad time for a sticky slice of baklava, but for sheer volume and variety of treats, nothing beats Italian sweets.

Much is made of the peninsula's food, the usual suspects being pizza, pasta and antipasti.

But the real stars of Italian cuisine are gelato, tiramisu, cannoli, Neapolitan, biscotti spumoni, tartufo, zeppole -- hell, Italy has nearly as many signature desserts as it's had governments.

Italian confectioners work in all media, too, combining cakes, cookies and creams both iced and otherwise to create the world's vastest, tastiest arsenal of desserts.

Ironically, Italians don't even really eat this stuff, most often preferring a piece of fruit or chocolate after a meal instead.

More: $84 gelati! Greatest travel rip off?

8. Caving

Rich in crumbly, sieve-like karstic landscapes, Italy is one of the most cave-pocked countries on the planet, with more than 35,000 cavities above ground and thousands more underwater.

Grotta Gigante holds the Guinness World Record for largest accessible cave on Earth at a yawning 850 meters (2,788 feet) wide, with 500 steps that descend 100 meters (328 feet) into the earth.

Other notable caves include the Blue Grotto on Capri, where Emperor Tiberius loved to swim. Inside the Grotta del Vento, winds whip through its tortuous trails at 40 kilometers an hour.

More info: Rock climbing and caving in Italy

More on CNN: 24-hour tourism: Rome in a day

9. Sports cars

Eliciting more turns per head than even its fashion models do, Italy's catalog of exotic land jets is what Porsche drivers dream about.

What began as a racecar manufacturer in the 1930s has become the standard bearer for aspirational autos -- in 2012, Ferrari sold just 7,000 cars, but booked $3 billion in revenues.

Meanwhile, Lamborghini may be owned by German Audi now, but the hips are still all Italiano.

Pagani, Alfa Romeo, Maserati -- these names are sex on wheels.

Italy doesn't even crack the top 20 in global auto production, but for out-of-your-league supercars that cover more adolescent male bedroom walls than Kate Upton, no other country can outrace Italy.

10. River cruises

Unlikely to be among the top two or three or hundred things that spring to mind when you think of Italy, river cruising on the peninsula is actually a vibrant business, and new routes keep opening up.

Italian rivers aren't as long or easily navigated as those in the rest of Europe, but visitors can float from one beautiful UNESCO World Heritage Site to another.

Po River Travel, UniWorld and European Waterways offer week-long cruises that take in areas like the Venice Lagoon, Manuta, Padu, the Po Valley and Verona, the city of Romeo and Juliet.

More info: Euro river cruises

@highlight

Italy loves hot baths so much that it covers the cost of some therapies for citizens

@highlight

Italy boasts the most beaches in Europe, 248 of which have been awarded Blue Flag status

@highlight

Pizza's great, but Italy truly shines in its amazing array of delicious desserts