Frederick, Maryland (CNN) -- In front of a mirror, Aesha Mohammadzai sees what is possible.

There, in the center of her face, is a nearly complete piece of herself -- a piece she's been missing since the day she was mutilated nearly four years ago.

Since August 2010, when her image appeared on the cover of Time magazine, she's been known for what she didn't have. Her Taliban husband and in-laws hacked off her nose and ears as punishment for running away.

Her disfigured face became a symbol for oppressed women in Afghanistan, a reminder of what might come in spades if the Taliban regains control.

Today, she is only minor surgeries away from having the new nose she's longed for. The grueling procedures -- involving a painful skin expander in her forehead, as well as skin, bone and cartilage grafts -- are behind her. Come this summer, for the first time in years, she will appear whole.

But rebuilding a nose and rebuilding a life are two very different propositions. The first involves her being at the mercy of others; the second demands that Aesha, 22, do the work.

With the end of her face's transformation in sight, she and the Afghan family that's embraced her believe everything else -- an education, a career, independence -- will be possible.

"She's a very bright girl. And her future is actually in her hands, you know. But we are the instrument to coach her. ... This should be our duty, to show her the right way and the wrong way," says Mati Arsala, who serves as her father figure and is facing his own challenges today. "There is no limitation for her -- where she can go."

CNN has been following Aesha's journey in America since January 2011, a year before we were even able to speak directly to Aesha -- let alone take photographs or shoot video. In our initial exclusive piece, we explored her winding, complicated search to find a place to call home.

Her journey began with a few months in California, where she was supposed to get reconstructive surgery but was deemed too emotionally unstable to handle it. She then went to New York, where she stayed for a year under the care of the nonprofit Women for Afghan Women. There she made progress, with the help of tutors, English classes and therapy. But the support network in New York couldn't give her something she'd eventually claim for herself.

Aesha wanted a family. And after meeting Mati, his wife Jamila Rasouli-Arsala and their daughter from Jamila's first marriage, Aesha campaigned to join them through months of middle-of-the-night phone calls. Knowing what she'd been through, and believing they could give her something no one else could, they opened their doors. In late November 2012, she moved into their Fredrick, Maryland, home.

"I suffered a lot in my life," Aesha said, as Jamila translated, days before her first surgery last June. "Now I feel that a light comes into my life."

Her surrogate parents, though, are now swimming in their own sea of worries.

Days before Christmas, Mati lost his engineering job with Bechtel, one he'd had for nearly 30 years. And Jamila, who'd been an OBGYN in Germany before moving to the U.S. to join Mati, has struggled to find her way professionally. She needs to complete a residency program to practice medicine here, but so far has been unable to secure a spot in a program.

Jamila has spent the better part of the last year in New York, away from her family, working at a Brooklyn hospital as a house physician -- a low-paying and demanding position open to doctors in her situation -- in hopes it would help her land a residency this spring. But for the third year in a row, she came up empty-handed.

Their flexibility as a family, their ability to pick up as a unit and move for work, is limited in part by Aesha's surgeries. She's being treated for free at the Walter Reed National Military Medical Center in Bethesda, Maryland. Once her nose is completed in the coming months, doctors will move onto her ears -- a less-cumbersome reconstructive process, but one that will take time.

Her disfigured ears, though, have not haunted her like her nose. Her dark hair, which flows down to her waist, covers them.

Aesha's transformed face, and her sense of peace and comfort in her new Maryland home, is a testament to her development. But as she progresses physically and emotionally, in other respects Aesha's life is on hold -- teetering between inertia and, at times, regression.

She's been living in a protective bubble ever since her surgical process began 11 months ago. She's floated between surgeries and, for the most part, not been engaged with the outside world. She, and those caring for her, say she can't risk contracting a cold or, worse, an infection.

As a result, she's stopped going to her weekly English classes and barely speaks English anymore. She stays up all night watching Bollywood videos and making jewelry. She sleeps during the day.

Mati and Jamila want to give her space to heal. Now is not the time to push her, they say. Soon enough, when her nose is complete, she'll have no choice but to move forward.

But what will those next steps look like? What will her future hold?

No mirror can reflect to Aesha, or anyone else, those answers.

If you are interested in making a donation to Aesha's personal account to support her on her journey, go to the website set up in June 2012 by the family who is caring for her: Aesha's Journey.

@highlight

Her Taliban husband and in-laws cut off her nose and ears as punishment for running away

@highlight

Aesha's haunting image appeared in 2010 on the cover of Time, a symbol of oppression

@highlight

After multiple surgeries, her new nose is nearly complete and will make her look whole

@highlight

But CNN's multiyear journey with Aesha shows questions remain about her future