(Oprah.com) -- As a trained chef, restaurant owner, healthy-cookbook author, and confirmed food lover, I absolutely refuse to let the word diet hijack my life -- and I don't think you should, either. Smart eating is not about settling for less; it's about heaping more good stuff on your plate.

Three-grain pilaf is a both mouth-watering dish and a contains a dose of healthy carbs.

Let's change just one health habit a week -- shopping, cooking, and eating to meet that goal -- for four weeks?

After a month of making basic grains, fruit, and vegetables into staples using my recipes, you'll find it much easier to plan delicious, satisfying meals.

Try Laura Pensiero's four-week approach to transforming your eating habits!

Week One: Make a produce-aisle hit list

Eating more fruits and vegetables is one of the most important dietary habits you can adopt to prevent heart disease, cancer, diabetes, and hypertension and to manage your weight. Vegetables in particular will cost you little in the way of calories while offering huge health benefits.

Your weekly goal is to eat five to nine servings of fruits and veggies a day. That's not as challenging as it may seem. The serving sizes are reasonable one medium-size fruit, a half cup of cooked vegetables, three-quarters of a cup of 100-percent juice, one cup of raw leafy vegetables, a quarter cup of dried fruit.

Mix fruit into your breakfast cereal, add lettuce and tomato to your sandwich (with a side of a vegetable-based soup), eat a piece of fruit in the afternoon and a vegetable side at dinner, and you've taken care of at least five servings.

Before shopping, write down the names of five richly colored vegetables and fruits that you really like, then add to the list two that you're curious about and are willing to try.

Week Two: Defy your white flour urge

Until recently, it seemed that only nutritionists (and cereal box labels) used the words whole grain. Now delicious whole grain soups, desserts, and breads --bursting with color, texture and flavor -- have become popular. It's also widely known that they have the power to deliver key antioxidants.

Your weekly goal is to make sure that half of your grain servings per day (three to five one-ounce servings) are whole grains such as wild rice, brown rice, barley, bulgur, corn (polenta), faro, quinoa, wheat berries, or whole wheat couscous.

Whole grain foods are not refined, which means they contain all three parts of the grain, including the two lost in the refining process -- the outer layer, bran, which provides fiber, B vitamins, and antioxidants; and the germ, the nutrient-packed inner portion, containing protein, vitamins, minerals, and antioxidants. The endosperm, the starchy part of the grain left in refined products such as white flour, contains some protein and lots of carbs but few nutrients. Look for the word whole on the ingredient list, followed by the name of the grain.

Research shows that adding even a moderate amount of whole grain to your diet every day -- whole grain cereal topped with fruit for breakfast, toasty multigrain bread at lunch, and a pilaf or grain salad for dinner -- significantly reduces the risk of heart disease, type 2 diabetes, and digestive system and hormone-related cancers.

Week Three: Get the perks of dairy -- without all the fat

This week, add some reduced-fat dairy, which will cream up your cooking and get healthy calcium into your diet (approximately 75 percent of adult Americans don't get the recommended daily allowance).

Studies show not only that calcium helps prevent osteoporosis but that getting enough calcium each day (1,000 milligrams from ages 19 to 50 and 1,200 milligrams after age 50), along with adequate vitamin D (200 IU; 400 IU after age 50), helps control weight, lowers blood pressure, and may prevent certain types of cancer.

Your goal is to eat three to four servings a day of low-fat cheeses, yogurt, and 1 percent or skim milk; the calcium in dairy products is the most readily absorbed by your body. If you're lactose intolerant, fortified soy products -- particularly those with calcium malate -- are a fine substitute in cooking and often contain similar amounts of protein, vitamin D, and calcium.

I do not recommend fat-free dairy products, particularly cheese; instead of getting creamy, bubbly, and brown in recipes, it can turn rubbery and tasteless.

Week Four: Get protein

In the past three weeks, you have learned how vegetables, fruit, whole grains, and low-fat dairy can help you fill your plate with quality nutrients that don't pack a lot of calories. Now it's time to address protein. Getting enough is not something most of us need to worry about, but selecting well is.

Your goal is to eat five to six ounces of lean and healthy protein a day. Eat it all in one meal (most restaurant servings of protein are at least five ounces), or eat smaller portions throughout the day.

I often tell clients to divide their plate into quarters: Three quarters should be filled with whole grains and vegetables; one quarter should be a serving of protein -- such as shrimp, fish, chicken, beans, tofu, lean cuts of beef, or pork -- about the size of a deck of cards.

Poultry and meat can take little time to cook (grilling and searing in a hot, nonstick pan) or a lot of hands-off time (braising and stewing until they are fork-tender and flavorful).

Some high-protein foods are rich in protective nutrients, such as the omega-3 fatty acids found in walnuts and fish like wild salmon.

Use nuts as a garnish to add flavor, texture, and toastiness to salad, or eat a small handful as a snack.

Beans are a near-perfect food -- high in protein, fiber, B vitamins, iron, calcium, and magnesium, and very low in fat. Puree them into dips and spreads, or add them to salads, soups, stews, and casseroles for extra protein oomph. E-mail to a friend

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 

Subscribe now!

TM & © 2009 Harpo Productions, Inc. All Rights Reserved.

@highlight

Chef Laura Pensiero: Don't let diet hijack your life

@highlight

Ease good and healthy food on to your menu

@highlight

Getting enough fruits, vegetables is most important step

@highlight

Add low-fat cheese and milk to diet