(CNN)Four geisha, wrapped in kimonos under dark winter coats, walk in single file through a snow-covered forest. Their red and orange parasols a burst of color against the winter monochrome.

It could be a scene from a print by 19th century Japanese artist Hokusai, but behind the evocative image is a modern story.

Leading the four through the snows of Niseko, the ski resort on the northern island of Hokkaido, is Fiona Graham. She's an Australian citizen who first moved to Japan when she was just 15 and in 2007 became a geisha.

Now working and living as Sayuki, she offers those intrigued by the geisha tradition a glimpse into their enigmatic world by hosting banquets and offering visitors the chance to watch them practice their arts.

Her initial fascination with geisha came when working as a filmmaker pitching a documentary on the subject.

She eschewed the detachment gained through a camera lens, claiming that only by becoming one herself could she really get to know their traditions and skills.

"I couldn't just take one step into it, I had to totally embrace it, it was the only way," she says.

"The geisha world is aesthetically very beautiful and with a very beautiful lifestyle," she says explaining what first attracted her to a very different life.

"But, really, to live a beautiful life in any country is not so easy," she adds hinting at the challenges she faced becoming one of the few western women to live as a geisha in Japan.

An experience unchanged for 400 years

For most visitors to Japan attracted by the mystery of the geisha industry, Sayuki's tours may be as close as they will get to experience an authentic geisha experience.

An evening's entertainment at a banquet consists of a multi-course meal with interludes for dances, singing or music played on traditional instruments like the shamisen, a three-stringed lute, or yokobue, a traditional Japanese flute.

Traditionally, geisha would specialize in one art form and spend their careers improving their craft.

Aside from a few 21st century additions like an iPod accompaniment to the dancing, Sayuki says that the scene at one of her hosted dinners would not have changed much for 400 years.

"If you come to a banquet you get to experience the most beautiful parts of Japanese culture, the best of Japanese cuisine. There really is no other way to experience it all in one space." 

While Niseko is something of frontier in the country for geisha culture, the rest of the year Sayuki is based in Tokyo's Asakusa district and also travels to host geisha banquets abroad. 

A tradition cloaked in mystery

For centuries geishas have worked as entertainers and paid companions. The most literal translation of geisha is simply "artist."

Different districts in Japanese cities have varying training regimen for geisha, but typically, as in Kyoto, exams are taken after the first year as an apprentice, with four additional years of training.h

Many operate within geisha houses -- academies for trainee geisha -- that help manage their careers, while also providing a unique bond and atmosphere of sisterhood.

With each delicately crafted kimono costing thousands of dollars (traditionally each geisha would need a wardrobe of 36 to reflect changing seasons), being affiliated with a geisha house helps trainee geisha (called maiko in Kyoto, hangyoku in Tokyo) absorb the costs.

After a year's training at a geisha house in Tokyo's Asakusa district Sayuki now operates as an independent.

She says she was denied the chance to take on the position of  "geisha mother" and mentor young geisha affiliated with the geisha house she trained with because she is not Japanese.

Along with Kyoto, the Asakusa district has a long tradition of geisha, enabling visitors today to easily indulge in some geisha-spotting (particularly the ancient Gion area of Kyoto) as they walk through streets on the way to functions at local teahouses and restaurants.

Commercialization: Against geisha's nature

It's become something of a tourist pastime in Kyoto. There are now organized walking tours, something that many within in the community have criticized as being too intrusive.

For some the commercialization of geisha culture goes against its very nature.

"Exclusivity is part of the deal with geishas," says author Lesley Downer who spent six months living in Kyoto's geisha district while researching her book, "Geisha: The Remarkable Truth Behind the Fiction."

"People want to commercialize it, but as a tourist you won't see the pristine experience, you'll get an experience, but it just won't be the same."

"I think those that work in the geisha industry are very good at hiding (the world from outsiders)."

For Downer, geisha remain the embodiment of refinement and grace and are still the custodians of the traditional Japanese art forms.

And far from being painted courtesans, their role as artists and professional companions makes them rather formidable, believes Downer.

"These are really impressive women. Walking down the street with them I felt really proud."

Sayuki's tour; +81 90 6046 9708; from JPY30,000 ($250)

@highlight

Hoping to make a documentary about geisha, Australian Fiona Graham ended up becoming one

@highlight

Apart from using an iPod to accompany her dancing, a geisha banquet hasn't changed much in the past 400 years

@highlight

Different districts in Japanese cities have varying training regimen for geisha