(CNN) -- The United States has adopted numerous measures to make itself safer since al Qaeda slammed planes into the World Trade Center and the Pentagon on September 11, 2001.

Wars in Afghanistan and Iraq. Hundreds of billions of dollars spent to improve security and strengthen intelligence capabilities. More security for travelers.

After nearly a decade, al Qaeda leader Osama bin Laden is dead, killed early Monday in Pakistan by U.S. special forces, officials said.

But is the United States any safer today than it was on September 10, 2001?

Experts mostly believe -- some strongly, some tentatively -- it is. But, they caution, by no means is it time for the nation to relax its guard.

"I think it's a mixed bag," said Amy Zegart, an associate professor at UCLA's School of Public Affairs who served on the National Security Council under President Bill Clinton in 1993. "... We're never safe. The question is, are we moving in the right direction? The answer is yes, but we have a long way to go."

"There's no question about that -- much safer," said Thomas Kean, former New Jersey governor and chair of the 9/11 commission, which investigated the attack and issued recommendations. "But not safe enough. We've still got some work to do. There are new threats. We need to adjust to those threats."

There has not been a large-scale terror attack on the United States since 9/11. There have, however, been some foiled attacks -- the attempted bombing in Times Square last year, for instance, or the attempted Christmas Day 2009 bombing on a flight from Amsterdam, Netherlands, to Detroit.

There also have been successful attacks, such as the November 2009 shootings at Fort Hood, Texas, in which 13 people were killed and dozens of others wounded. Two U.S. senators found that FBI and Army officials repeatedly ignored multiple warning signs, including the suspect's "radicalization to violent Islamist extremism" and his reported communications with a suspected terrorist, according to a February report. The alleged gunman, Army psychiatrist Maj. Nidal Hasan, reportedly communicated via e-mail with radical Yemeni cleric Anwar al-Awlaki.

"I think we're safer in terms of al Qaeda central," said Tom Fuentes, a CNN contributor and former FBI assistant director. U.S. military actions in Afghanistan forced al Qaeda to go further underground, he said, and reduced both bin Laden's and al Qaeda's effectiveness in carrying out "the big attacks."

"You've had instead the splinter groups start doing the other types of attacks," he said, eventually getting to the point where "they'll do anything they can do" -- attacks like the Times Square plot, for instance, which aim to kill one to 100 people rather than thousands.

But, he said, Americans are vulnerable to those smaller attacks. "You're always going to have the lone wolf, the psychopath, whether it be al Qaeda or others," Fuentes said.

Faisal Shahzad, the would-be Times Square bomber, was linked to the Pakistani Taliban. But John Brennan, assistant to the president for counterterrorism and homeland security, said at the time of Shahzad's arrest that group, known as Tehrik-e-Taliban, or TTP -- is "closely allied with al Qaeda."

While the United States has made strides in preventing a would-be terrorist from coming into the country, homegrown terrorism remains one of the biggest threats the nation faces, Kean said. "We have to have a mechanism to deal with that," he said.

"I think we're absolutely safer, but it's more than just the killing of bin Laden, " said Frances Fragos Townsend, CNN national security contributor and homeland security advisor under President George W. Bush.

While "nothing is perfect," the United States has closed many of its vulnerabilities, she said. Even something as simple as buying large amounts of fertilizer now raises red flags, making it much more difficult for would-be terrorists. In addition, law enforcement and surveillance authorities are more aggressive and able to uncover plots much earlier, she said.

Without question, the nation's security and intelligence capabilities are much stronger than they were before the 9/11 attacks, and have effectively prevented such an attack from happening again, said Peter Bergen, CNN national security analyst.

The 9/11 conspirators, he pointed out, would never be able to conduct the same kinds of actions today as they did pre-9/11 -- getting into the United States, taking flight lessons, wiring money overseas -- without catching authorities' attention. Their command and control centers -- in Germany, where a cell in Hamburg is believed to have planned the 9/11 attacks, as well as Afghanistan and Pakistan -- either no longer exist or have been severely crippled.

"Their ability to do that kind of attack is close to zero," Bergen said. "... These groups retain some capability, but they're under tremendous pressure."

At the time of the 9/11 attacks, 16 people were on the U.S. no-fly list, Bergen said. That number is now in the thousands. Air travelers face increased security and scrutiny at airport checkpoints, and must remove their shoes at the checkpoints because of another failed bombing attempt, in December 2001.

Before 9/11, the FBI and CIA didn't share information regularly, and the United States did not focus on overseas intelligence cooperation as it does today, Bergen said. The CIA's budget has doubled, Townsend said, and the number of case officers increased.

The United States' intelligence relationship with Saudi Arabia, for instance, is "as productive and as strong as our relationship with the British, which was not the case 10 years ago," Townsend said. Those countries understand our enemies better than we do, culturally and operationally, as they live in the same neighborhood, she added.

Kean said, "We're talking to each other now much more." The nation's 17 intelligence agencies were "silos" before 9/11, he said.

"Our targets are certainly harder than they were before," Zegart said. "Intelligence is better coordinated." But, she points out, that bar was low before 9/11. "We were caught flat-footed. ... We had nowhere to go but up."

One of the most dangerous issues still facing the United States is the fact that a common radio frequency has not been set up for first responders, Kean said.

On 9/11, as the World Trade Center towers began collapsing while New York firefighters were inside trying to save people, police had no way to warn them, he said. The same thing was seen during Hurricane Katrina, when "people in the boats couldn't talk to people in the helicopters." He said it's hard for him to believe that, nearly a decade after 9/11, a communications spectrum for first responders does not exist.

In a sense, al Qaeda has also contributed to its own downfall, Fuentes said. "Between 80 and 90% of the people who have been killed by al Qaeda are Muslims. That's really caused them to lose a lot of support in Muslim countries themselves." In addition, nations like Saudi Arabia and Yemen have lost any tolerance they may have had for al Qaeda and are not offering them anything resembling a safe haven, he said.

The to-do list for the United States remains long, Zegart said. On it are tasks such as defining the role -- and the power -- of the director of national intelligence, as well as those of the so-called "fusion centers," aimed at coordinating federal, state and local law enforcement. "We've got to carry the ball forward. We cannot think that the threat is gone."

"I think this is a critical juncture," she said. "It was before Osama bin Laden's death and even more so today." Figures like al-Awlaki continue to pose a threat, she said.

Also, there is still no proper oversight of intelligence agencies, Kean said. Some 80 congressional committees oversee the Department of Homeland Security, he said, and "instead of protecting us, (officials are) always testifying."

"The killing of bin Laden, yes, it makes us safer," Townsend said. "We've denied our enemy the inspirational leadership, the architect of the doctorate of al Qaeda. ... Does it mean the war's over? No. Does it mean there's still a threat? Absolutely. But it's a crippling blow."

@highlight

Experts believe the U.S. is safer today than before September 11, 2001

@highlight

But they say the nation still faces threats that are very real

@highlight

Much remains to be done, says a former National Security Council member