Abu Dhabi, United Arab Emirates (CNN) -- The Oscar-nominated film "Gravity" traces the harrowing tale of astronaut Ryan Stone after a mission goes horribly wrong. She's lost in space and struggles to try to make her way back to Earth.

"Gravity" is just a film. Imagine a similar real-life scenario: Would there be any chance of survival?

That's a concern for the General Authority of Islamic Affairs & Endowments, or GAIAE, the United Arab Emirates' religious watchdog, for anyone who wishes to travel to Mars. The GAIAE has issued a fatwa, or an official Islamic ruling, to warn Muslims against a Mars mission.

So far, the UAE has supported space travel. Abu Dhabi's Aabar Investments teamed up with Richard Branson's Virgin group to create Virgin Galactic to provide spaceflights for tourists, starting this year. But a mission to Mars, it seems, is one step too far.

Tourist trips to the Moon by 2043?

The mission is being planned by the Dutch nonprofit foundation Mars One. In April 2013, it announced its ambitions to establish a human settlement on the Red Planet by 2025.

But the GAIAE likens the journey to a suicide mission. On the authority's free 24-hour hotline, the issue was deliberated by the center's specialized muftis, or scholars, who released the following statement: "It is not permissible to travel to Mars and never to return if there is no life on Mars. The chances of dying are higher than living."

Taking one's life willingly is against Islamic principles.

In response, Mars One issued a statement asking the UAE's Islamic authorities to cancel the fatwa, saying every precaution would be taken to reduce the risk to life. "If we may be so bold: the GAIAE should not analyze the risk as they perceive it today," the statement says. "The GAIAE should assess the potential risk for humans as if an unmanned habitable outpost is ready and waiting on Mars. Only when that outpost is established will human lives be risked in Mars One's plan."

The statement includes a verse from the Quran that "encourages Muslims to go out and see the signs of God's creation in the 'heavens and the earth.' " It goes on to say the first Martian settlers would walk in the footsteps of great Muslim explorers like Ibn Battuta, the 14th century Moroccan journeyman whose travels took him across North Africa, the Middle East and Asia.

Indeed, space travel isn't alien to Muslim culture. There have been Muslim space explorers in the past.

200,000 people apply to live on Mars

The first ever Muslim space tourist was Saudi Arabia's Prince Sultan bin Salman Al-Saud, when he joined the crew of American space shuttle Discovery in 1985. In 2006, Anousheh Ansari became the first Iranian-born woman in space. And to help Muslims observe religious obligations in space, the Malaysian government has been instrumental in setting up guidelines.

In 2006, Malaysia's national space agency Angkasa convened a conference of Islamic scientists and scholars to address the religious obligations of Muslim astronauts. The result was a detailed set of rules called "A Guideline of Performing Ibadah (worship) at the International Space Station (ISS)." It tackles a number of issues, like the number of times a Muslim should observe daily prayers, when a day lasts just 90 minutes in orbit.

Mars One says 1,058 candidates have been shortlisted for the mission, from pool of more than 200,000 applicants around the world. It's not clear how many Muslims are among the candidates, but Mars One says applications came from 107 countries.

Since its inception in 2008, the GAIAE has released nearly 2 million fatwas. The fatwa on the Mars mission is now among them.

Opinion: Why I signed up for a one-way trip to Mars

@highlight

The United Arab Emirates' religious watchdog warns Muslims against a Mars mission

@highlight

It says the journey, which isn't scheduled to return, is like a suicide mission

@highlight

Taking one's life willingly is against Islamic principles

@highlight

Mission organizers issue a statement asking the Islamic authorities to cancel the fatwa