Beijing (CNN) -- Despite attempts by the authorities to censor coverage, millions of people across mainland China have watched warily over the past few days as thousands of Hong Kongers have occupied the heart of their city calling for greater democracy.

For many the verve and passion of this student-led revolt has been captivating to witness. But others are less impressed.

"I think the 'Occupy Central' movement is the Hong Kong version of so-called street politics and color revolutions we've seen in other countries," Chen Zuo'er, who helped facilitate the handover of Hong Kong to China from Britain, told CNN Wednesday, as China marked National Day -- the foundation of the People's Republic of China on October 1, 1949.

"It's very dangerous. It's an obviously illegal movement."

Chen says the protest is bad for Hong Kong's reputation.

"It has caused great harm to Hong Kong in the past few days. Democracy and the rule of law are the pillars of economic prosperity and social stability in Hong Kong. 'Occupy Central' has attacked both pillars," he said.

Illegal demonstration

China itself has labeled the demonstrations "illegal." Some analysts claim the protests have been the most significant since the former colony's handover from Britain to China in 1997.

But not everyone in China knows about the occupation of Hong Kong's central districts -- the beating heart of this Asian financial hub. Beijing's censors have been blocking reports, including CNN's, in the mainstream and social media.

But those who know, like Chen, are watching warily, worried that any clashes or incidents between protesters and police -- as we witnessed on Sunday when the authorities resorted to using tear gas -- could lead to bloodshed or trigger a harsh crackdown.

Chen was posted to the city in 1994 as a member of the preparatory committee for the formation of Hong Kong as a Special Administrative Region (SAR) of China. He was China's point-person in the Sino-British Joint Liaison Group (JLG), in charge of negotiating with British side over the 1997 handover of power. He now heads the Chinese Association of Hong Kong and Macao Studies, a think-tank based in Beijing.

'Gullible' protesters

While Chen praised the passion of the young protesters, he questioned whether they'd been misled.

"The passion of Hong Kong's young people is commendable -- they care about current affairs and politics, care about the future of Hong Kong and China," he said. "But they tend to be gullible and excitable as their class boycott and peaceful sit-in became 'Occupy Central.'"

Chen accused "some people" of manipulating the protest movement.

"Some adults -- I mean those with beards and wrinkles -- suddenly show up in front of the youth to tell them what to do, what not to do, what should be done, what should be their goal," he said.

"We're all shocked. As I've read in Hong Kong media, those adults -- would they let their own children lie on the streets? What are they doing after receiving illegal funding? These are the questions posed by Hong Kong people online that I've read."

Chen declined to give specifics, simply saying "just read what is out there in the Hong Kong media."

Chinese crackdown

Would China would consider sending People's Liberation Army (PLA) troops on to the streets of Hong Kong if the protest persists for a long time?

"The past few days the central government has already stated many times," he answered tangentially. "We believe that the Hong Kong SAR government has the ability to handle well the illegal acts of the Occupation Central. We fully believe so."

The retired vice minister insisted that China's decision to allow "universal suffrage" in the 2017 election is already a significant progress towards democracy.

"If you study the decision by the Standing Committee of the National People's Congress, you will find it comparable to universal suffrage in many other countries during various periods of time. It's one person, one vote and every vote counts the same. It takes some Western countries 200 years to achieve. But after resuming sovereignty over Hong Kong, it took China only 20 years to achieve this in the Chief Executive election," he said.

But many ordinary Hong Kongers insist they want full universal suffrage, rejecting Beijing's decision to allow only Beijing-vetted candidates to run for the 2017 election for chief executive.

Will China be open to changing the elections system in the future to make it freer?

"I'm not a prophet," he replied. "I think Hong Kong's political system will become fairer, more democratic and more open.

"One country, two systems" is a fundamental national policy. No matter how 'Occupy Central' becomes, it won't change shake this policy. I believe it will be thoroughly implemented into the future."

Meantime, Chen sees no room for China to back down from its stated position.

"I know the plotters of Occupy Central," he said. "They launched this illegal action with the central government as its target. They demand that the Standing Committee of the National People's Congress will rescind its decision on universal suffrage. However, I think that is futile. Impossible."

Many political observers have compared Occupy Central to Tiananmen in 1989, when the Chinese army brutally crushed the six-week-long protest in central Beijing.

What is Chen's take?

"They are not comparable," was his only reply.

@highlight

Protests "a very dangerous, obviously illegal movement," says Chen Zuo'er

@highlight

Chen helped negotiate with the British side over the 1997 handover of power to China

@highlight

Occupy Central has attacked pillars of economic prosperity and social stability, he says

@highlight

Chen: "One country, two systems" is a fundamental national policy