ATLANTA, Georgia (CNN)  -- A gaggle of reporters pushed their microphones and cameras toward the North Korean official shortly after he arrived at a college campus here.

North Korean diplomat Kim Myong-gil gathered with other officials to discuss North Korea's energy needs

But Kim Myong-gil's comments were off the record -- a sign of the sensitive nature of openly discussing concerns about North Korea's nuclear program. The U.S. State Department's director of Korean affairs, Kurt Tong, also agreed to participate in Thursday's conference as long as his statements were not published.

Tong and Kim, a North Korea representative at the United Nations, gathered with others including former diplomats and academics at the Georgia Institute of Technology to discuss North Korea's energy needs and the status of the six-party talks on its nuclear program.

Although the two top-level diplomats kept their remarks private, other participants in the conference at the Sam Nunn School of International Affairs aired their opinions openly.

Much of the Korea conference focused on the scientific details of North Korea's infrastructure and how it could be improved to handle sources of energy other than nuclear, such as an oil pipeline or utilizing its significant mineral resources.

But all those ideas will never be realized without a change in relations between North Korea, its neighbors and the United States, and that is why diplomacy was also part of the discussion.

Thursday's conference coincided with Secretary of State Hillary Clinton's announcement that her new envoy to North Korea, Stephen Bosworth, will travel to Russia, China, South Korea and Japan next week "to consult on the next steps to move the six-party process forward."

Senior administration officials said Bosworth is considering heading to Pyongyang on that visit, but only if the leaders of the other parties involved in the talks are comfortable with that overture.

Speaking at a joint news conference with Clinton, Bosworth said there is no doubt the United States plans "to engage with North Korea."

"The question as to whether we're going to engage with them on this particular trip remains to be decided," he said. "That will depend upon our consultations in the region, and it will depend upon what we hear back from the North Koreans."

Thursday's conference also coincided with reports that North Korea is apparently preparing to test-fire its long-range missile, the Taepodong-2, under the guise of launching a satellite into space.

Leon Sigal, a specialist on North Korea who used to work for the State Department, stressed that President Obama is at a "starting point" with North Korea. Mindful that the new U.S. leader is preoccupied with his country's economic recession, Sigal said Obama must act swiftly and decisively with regards to North Korea to avoid the mistakes of the previous administration.

"The only way to fix this problem is to negotiate," said Sigal, who is currently director of the Northeast Asia Cooperative Security Project at the Social Science Research Council in New York.

Part of Sigal's proposal includes helping North Korea construct conventional power plants as it moves toward denuclearization. He outlined two "troubling questions" facing the Obama administration: how to avoid having to constantly react under pressure to North Korea's provocations, and how the scenario could change, possibly for the worse, if there is a change in leadership, "now that Kim Jong-Il's health is at issue."

"It seems to me the answer to both is for Washington to put a bigger deal on the negotiating table now," Sigal proposed.

That drew a couple of comments and questions from the audience. One graduate student asked why the United States should "put more oil in a leaky bucket," referring to the idea of sending more fuel oil shipments to North Korea when the previous shipments -- part of an agreement to get Pyongyang to shut down its nuclear facility -- have done little to deter the country from abandoning its nuclear program.

North Korea maintains that it is due the oil shipments because it fulfilled its obligation to disable its Yongbyon nuclear complex. The United States has demanded Pyongyang verify that by allowing U.N. inspectors to inspect the facility, which it has refused.

At Thursday's conference, former U.S. ambassador to South Korea James Laney cautioned against resorting to the same rhetoric about which side had violated previous agreements.

"I can understand how we want to score points ... but there are times when prudence or better wisdom or real strategy dictates that we have to (have) some sort of engagement," he said.

Laney, who was instrumental in defusing the North Korean nuclear crisis in 1994, suggested that the United States propose a peace treaty to replace the 1953 armistice which effectively ended the Korean War.

"A peace treaty would mean there are two nations on the Korean peninsula," said Laney. "There are two nations now, but a treaty would recognize (this)."

Victor Cha, who was the White House's director of Asian affairs under the Bush administration, cautioned against moving forward on securing a peace treaty before North Korea takes further steps toward denuclearization.

"Even if there are some (in North Korea) who would want to give up nuclear weapons in exchange for a peace treaty, there may be others that say, 'Once we have a peace treaty ... we can be recognized as a nuclear state,'" according to Cha.

Cha, who said he routinely has to apologize for being a member of the Bush administration, praised Obama's government, which he said has "none of the hang-ups" in dealing with North Korea's leadership that the previous administration had.

Laney urged the new administration to "move beyond sticks and carrots," which was the stated approach of the Bush administration. While there is no guarantee that a peace treaty or any other overture to North Korea would work, Laney and Sigal said the administration has to try a new approach.

"You see, I'm 81 and I want to see something (happen) before I die," said Laney, who worked in U.S. Army counterintelligence before serving in the Korean War. "Fifty-five years is a long time."

Sigal concurred, saying that "diplomatic give-and-take is the only policy" for North Korea.

"But sustaining diplomacy ... will be difficult," he added..

"Kim Jong-Il wants to force America to be his friend," he said, referring to the North Korean leader. "He seems unwilling to unclench his fist and shake Obama's hand. We may have to settle for a fist bump."

@highlight

Officials, academics gather to discuss North Korea's energy needs

@highlight

Diplomacy was part of the discussion at Georgia Tech conference

@highlight

Conference coincided with reports North Korea is going to test-fire missle