Moscow (CNN) -- The man claiming responsibility for last month's deadly bombing at Moscow's main international airport is the self-declared mastermind behind numerous terrorist attacks and is described by the U.S. government as "the leader of the Chechen insurgency."

Doku Umarov, who says he ordered the airport blast that killed 36 people, is the head of the Caucasus Emirate, a Chechen Islamic jihadist group.

In a video message posted on a website that regularly carries messages from Chechen rebels, Umarov said the message was recorded on January 24 -- the day of the suicide bombing at the airport. He wore camouflage combat fatigues and a black skullcap.

"The special operation was done in accordance with my order. Similar special operations will be taking place in the future," he said in Russian.

In a separate message posted over the weekend, Umarov vowed to deliver "a year of blood and tears" to Russia, saying that there were dozens of rebels prepared to carry out attacks.

"I won't tell you there are hundreds of us prepared for jihad. But 50 or 60, God willing, we will find," said Umarov. "Those operations will be conducted monthly or weekly, as Allah allows us," he said.

Umarov himself once expressly opposed terrorism.

Now, he is designated by the U.S. State Department as a terrorist. "The emergence of Umarov as the leader of the Chechen insurgency intensified the split between national separatists and radical jihadists and led to a movement seeking to create an Islamic Emirate of the Caucasus with Umarov as the Emir," the department website says.

"Umarov claimed responsibility for masterminding attacks in both Russia and the Caucasus region," including the 2009 Nevsky Express train derailment that killed 28 people and the 2010 Moscow subway bombings, which killed 40, the State Department says.

In a statement in June 2010, the department's coordinator for counterterrorism, Daniel Benjamin, said Umarov poses threats to the United States and Russia and that his attacks "illustrate the global nature of the terrorist problem we face today."

The Commission on Security and Cooperation in Europe, part of the U.S. federal government, notes that the Caucasus Emirate cooperates with al Qaeda and has declared jihad on the United States, Russia, the United Kingdom, and Israel.

In Moscow, investigators say they have identified the suspected suicide bomber behind the airport attack as a 20-year-old man from the North Caucasus region.

Alexander Bortnikov, the head of Russia's Federal Security Service, has refused to publicly name the suspect or identify his specific origin. But he told Russian state television the alleged bomber was under the influence of drugs before the attack.

"Biological studies revealed the presence of a huge amount of highly potent narcotic and psychotropic substances in parts of the suicide bomber's body," Bortnikov said.

Sitting beneath a black flag and flanked by two other bearded rebels in the message posted first, Umarov named the young man to his left as "Mujahedeen Seifullah."

He said the man was being sent on a mission, although it is not clear from the video if this was the suspected Moscow airport bomber, or when the message was recorded.

"I would like Putin and Medvedev and all other kaffirs and enemies to understand that there are many of us who will follow in our footsteps and give their lives for Allah," Umarov said.

Umarov, thought to be 46 years old, is a seasoned fighter who has survived more than three years as the self-styled leader of the Caucasus Emirate despite a concerted campaign by Russian special forces to kill him.

His video appearances reveal a stocky man with craggy features and a dense beard.

Umarov was born in southern Chechnya in 1964, according to Chechen websites, and describes his family as part of the "intelligentsia." He came of age as the separatist campaign against Russian rule began to take root and joined the insurgency when Boris Yeltsin sent troops into the region in 1994.

A peace deal reached with the Russian government briefly interrupted the Chechen revolt, with leading separatists -- including Umarov -- taking up positions in government. But it was a fragile truce and after a series of bomb attacks in Russia in 1999, Moscow sent its troops back into Chechnya. Umarov and others took up arms again.

Russia's brutal military campaign began in 2000, soon after Vladimir Putin became president, and was widely criticized by human rights groups. In 2003, Human Rights Watch accused Russian forces of "committing hundreds of forced disappearances, extrajudicial executions, and widespread acts of torture and ill-treatment" in Chechnya.

David Satter, a senior fellow at the Hudson Institute, said the Russians "had little concern for civilian casualties and used all kinds of weapons in the second war they hadn't used previously."

It changed the nature and the goals of the Chechen revolt. The Chechen rebellion began morphing into a jihad to liberate the Muslim lands of the Caucasus. Chechnya is about 95% Muslim. Satter said Moscow had "effectively created the conditions for Islamic terrorism while systematically eliminating those with whom it might have had a dialogue."

In 2005, Umarov gave a rare interview to Radio Free Europe. He had scars on his lips and chin and walked with a limp, apparently after stepping on a landmine. "Everything they (the Russians) are doing in Chechnya is done to break the human spirit, to make people lose their humanity. And they are having considerable success with the horrific things they are doing to people," he said.

The U.S. State Department said that in 2005, Chechen security forces seized Umarov's relatives "including his father, wife, and six month old son. They later released the wife and child, but the father's location remained unknown. In August 2005 security forces also detained Doku Umarov's sister, Natasha Khumadova."

In November 2007, Umarov declared himself the emir of the Caucasus. In a proclamation published on a Chechen jihadist website, he declared, "It was my destiny to lead the Jihad. ... I will lead and organize Jihad according to the understanding, given to me by Allah."

He began to embrace terrorism and revived the Riyad-us-Saliheen brigade for high-profile suicide missions. It had previously been involved in the siege of a school in Beslan and the takeover of a Moscow theater, both of which ended with heavy loss of life.

Andrew Kuchins of the Center for Strategic and International Studies at Georgetown University said the Caucasus Emirate's targets have shown up Russian weaknesses. "These are really key transport infrastructure links that you would think would be under the highest protection possible," he said.

Umarov's links with other jihadist groups, and in particular al Qaeda, have been the subject of much speculation but little certainty. Chechens have fought with al Qaeda in Afghanistan, and, along with other Muslims from central Asia, are said to have joined forces with the Taliban in northern Afghanistan. The Russian authorities say al Qaeda operatives are involved in the north Caucasus.

Beyond spectacular attacks designed to bring terror to the Russian people, most analysts say the insurgents are unable to challenge the authority of the Russian state. "They're too loosely organized, the sources of the grievances of many of the groups are too different, they are more locally based," Kuchins said.

But he sees no end to the instability in the northern Caucasus. "It's like a classic frontier zone, like the FATA (the tribal areas) in Pakistan," he said. "It's very difficult to govern, and it's becoming more unstable, and that zone of instability is growing."

CNN's Tim Lister and Matthew Chance contributed to this report

@highlight

NEW: Caucasus Emirate has also declared jihad on the U.S., UK, and Israel

@highlight

NEW: Security forces once seized Umarov's 6-month-old son

@highlight

The U.S. calls Umarov the leader of the Chechen insurgency

@highlight

Umarov vows to find 50 or 60 "prepared for jihad"