(CNN) -- European nations could be penalized by being stripped of some powers if they fail to manage their budgets, according to a memo from European Commission President Herman Van Rompuy leaked Tuesday.

The confidential memo, sent out to leaders ahead of the final European Council meeting of the year at the end of the week, comes only a day after the leaders of Germany and France agreed in Paris on a new fiscal pact they say will help prevent another debt crisis.

But Van Rompuy's proposals, details of which were obtained by CNN, are perhaps even stricter than those of German Chancellor Angela Merkel and French President Nicolas Sarkozy.

The five-page memo proposes that the European Commission could perhaps be given the right to strip voting rights within the European Union from some countries who have been bailed out but are still not meeting their deficit targets

For "member states that are under an assistance program and have consistently failed to meet the conditionality, the (European) Commission could receive exceptional power such as ex-ante approval of all major economic reforms," the document says.

As such, the executive arm of the EU could force bailed-out countries, such as Greece, Ireland and Portugal, to comply with deficit regulations, which for the entire EU currently stand at 3% of GDP.

Those rules have been in place for many years but EU leaders are looking for a way to have them more tightly enforced in order to restore confidence in eurozone debt.

Van Rompuy's proposals indicate continuing differences of opinion with other key decision-makers in Europe over how to handle the region's debt crisis.

The proposed change of protocol Van Rompuy has put forward would not need to be fully ratified by all the member states, a person familiar with the plans told CNN.

Merkel and Sarkozy, heads of the two largest economies in the 17-nation eurozone, said Monday that their pact, to be presented in detail Friday, would involve amending or rewriting the treaties that govern the EU to force members to manage their budgets in a more structured and coherent way.

They are expected to write to Van Rompuy on Wednesday to find out whether their initiative would be embraced by all 27 EU countries or just the 17 that share the single currency.

Ahead of that move, Prime Minister David Cameron warned Tuesday he would not sign any reworked EU treaty that does not protect British interests.

"What I'm saying is that if -- and eurozone countries do need to come together, do need to do more things together -- if they choose to use the European treaty to do that, Britain will be insisting on some safeguards, too, and as long as we get those, then that treaty can go ahead. If we can't get those, it won't," he told the BBC.

Resolving the eurozone crisis is a priority, Cameron said, but he would be going to Brussels to "defend and promote" British interests, including the U.K. financial services sector.

As the head of the European Commission, Van Rompuy is expected to steer discussions between the member states as they meet for the final EU summit of the year.

Both Merkel and Sarkozy ruled out Monday the concept of pooling eurozone debt under so-called "eurobonds," saying such discussions were premature.

However, Van Rompuy's memo appears to open the door to such an idea further down the line.

He recommends leaders consider "opening up the possibility in a longer term perspective of moving towards common debt issuance in a staged and criteria-based approach," according to the leaked memo.

Sarkozy said Monday in Paris that the debt crisis, which has shaken markets around the world, must be resolved by March next year.

Meanwhile, Standard and Poor's placed 15 members of the euro currency union on review for a possible downgrade Monday, as the debt crisis in the eurozone continues to worsen.

The warning applies to AAA-rated nations such as Germany, France, the Netherlands, Austria, Finland and Luxembourg, the U.S.-based credit rating agency said in a press release.

A downgrade of France or another of the region's top-rated nations would have serious consequences for the European Financial Stability Facility.

The EFSF, a government-backed bailout fund, could lose its AAA rating if the nations that stand behind it are downgraded.

@highlight

NEW: British PM warns he may not sign a new EU treaty if British interests are at risk

@highlight

Leaked memo sets out tough measures for countries that fail to manage budgets

@highlight

It comes a day after the leaders of France and Germany agreed to a new fiscal pact

@highlight

European leaders are in Brussels later this week for their last summit of the year