Dhaka, Bangladesh (CNN) -- Six months after more than 1,000 people lost their lives in the deadliest garment factory accident in Bangladeshi history, the South Asian country continues to mourn the deaths of workers in other avoidable incidents.

Earlier this month, at least seven people were killed and dozens injured in a large fire that broke out at a knitwear factory on the outskirts of the capital, Dhaka. While the cause is not immediately known, the owner of the company said in a press briefing that the fire had originated in the chimney of a heating machine. He suggested the way the fire quickly spread through factory was mysterious.

As always with these incidents, a committee of government officials and representatives from the garment manufacturers' association convenes to investigate. But ultimately it's never guaranteed that these findings will be made public and corrective measures taken.

Aging safety equipment

The knitwear factory, which supplies leading brands across the world, was recently cited for unsatisfactory safety standards, according to local news reports. Though firefighters told reporters the factory was properly equipped to deal with such an incident, Mushrefa Mishu, President of the Garment Workers' Unity Forum, which advocates better treatment for factory employees, said she found out of date firefighting equipment when she visited the site in the wake of the October fire.

Opinion: The bloodshed behind our cheap clothes

After the Rana Plaza accident earlier this year, which left 1,129 people dead and more than 2,500 injured when the entire building collapsed, safety standards at garment factories across Bangladesh came under the spotlight amid concerns they had been lax or ignored.

The incident was an eye-opener for many. It led to many changes in the garment sector in the months that followed. The country's labor laws were amended with provisions requiring employers to introduce adequate safety measures for workers, while an agreement was signed by the government and representatives of Bangladesh employers' and workers' organizations to ensure a more integrated approach to improving safety.

Substandard

Global brands supplied by Bangladeshi factories were also moved to take action to ensure suppliers complied with suitable safety standards. But in June this year, U.S. President Barack Obama said Bangladesh had not been taking steps to "offer internationally-recognized rights to workers in the country," while announcing the suspension of the General System of Preferences (GSP) for Bangladesh. This agreement gave Bangladesh duty-free access to U.S. markets for some items, though garment products were not included.

One of the biggest issues is compliance, in part due to the shortage of inspectors in Bangladesh able to cover the vast number of factories spread throughout the country. While steps are being taken to recruit more inspectors, it's impossible to overlook the failures of the government's accountability mechanisms. This has created a culture of impunity among factory owners. The failure of successive governments in Bangladesh, ranked in the bottom tier of the Corruption Perception Index (CPI) of global anti-corruption watchdog Transparency International, to curb wrongdoing in the garment industry has created an environment where disasters will happen.

A sector that started to grow quickly in the 1980s, the garment industry has never been accountable to the country's labor laws and regulations. This is because owners are mostly from powerful sections of society who seemingly didn't bother to follow rules. According to one Bangladeshi media report, 10% of lawmakers in the national parliament are owners of garment businesses in Bangladesh. According to Mishu, the number is actually even higher.

Rules ignored

The Bangladesh Garment Manufacturers and Exporters Association (BGMEA) is considered to be one of the most influential trade bodies in the country, with links to all of the major political parties. But such is the dependence of Bangladesh's economy on this industry as its largest export earner, demands to improve working standards and wages are often ignored. Some labor leaders have alleged that during any crisis in the industry, the body takes the side of owners. In the case of the Tazreen fire in November 2012, the role the BGMEA played in protecting the owner raised many eyebrows. The body was criticized for failing to provide a report into the fire, which claimed the lives of more than 100 people.

Despite gradual amendments to labor laws, workers' rights are still far from guaranteed. Human Rights Watch, while welcoming efforts to improve the legal framework, expressed concern that international standards for workplace safety are not being met. HRW also said the government "has consciously limited basic workers' rights while exposing workers to continued risks and exploitation." Crucially, the provision to punish factory owners in cases of accidents was not properly mentioned in the amended law. Though the law mentioned that "adequate" measures have to be taken to ensure air circulation, light, drinkable water and sanitation, the term "adequate" is not properly defined, leaving it to the discretion of owners.

Many factory owners still arbitrarily sack their employees as they do not give contracts to them, thus making it impossible for the workers to demand compensation at the labor court. Mishu says most workers in the garment sector are women, so their rights and entitlements are grossly ignored. Female workers are also frequently subjected to sexual harassment and often lose their jobs so that they cannot claim maternity benefits.

Owners fight back

Factory owners also have their say in this whole saga. Many I have spoken to said that with such a competitive market worldwide, they simply can't give in to the demands of workers. They say persistent corruption and political chaos in Bangladesh has driven up the cost of doing business there. "The buyers, despite our repeated failures to ensure compliance, come to Bangladesh as they can get the cheapest rate here compared to neighboring countries," one owner, who asked not to be identified, said.

"They will keep on coming as long as we offer this rate and we can't afford to lose it by increasing salaries of the workers or ensuring compliance," he added.

"This whole industry has grown ... to make profit for both the owners and foreign buyers," added Mishu. "They can't think of the workers as their working partners. The mentality of the colonial era still exists."

With only a few initiatives by the government and no real evidence of the political will to improve safety standards at work, disasters will continue to happen. Measures will keep being promised without effective action. The workers, who keep the economy running, will continue to bare the brunt of injustice and deprivation.

The opinions expressed in this commentary are solely those of Sajjad Hussein.

@highlight

Hussein: Six months on from Rana Plaza collapse, conditions for workers remain poor

@highlight

Compliance with safety standards difficult to manage due to number of factories

@highlight

Owners of all-powerful garment industry influential in Bangladesh politics

@highlight

Corruption in Bangladesh very common, according to Transparency International