Washington (CNN) -- The Supreme Court has refused a lower court's unusual request to decide whether a shocking 45-year-old civil rights crime can be prosecuted decades later.

The justices Monday dismissed an appeal involving James Ford Seale, convicted in the 1964 kidnapping of two teenagers whose bodies were found in a backwater area of the Mississippi River. The reputed former Ku Klux Klan member had long been suspected in the crime, but it was officially unsolved until Seale was indicted in 2007, and later convicted. He is serving three life sentences.

The move by the high court not to get involved keeps in place Seale's original indictment, but does not resolve the larger question of whether similar cases can be prosecuted.

The issue could have enormous implications for several dozen "cold cases" involving racially motivated crimes dating back to the 1950s.

Seale had appealed his conviction, claiming the statute of limitations had expired five years after the crime. The confusion arises over the fact that kidnapping could be considered a capital offense in 1964, and thus had no time limit for a prosecution. The high court in 1968 eliminated the federal death penalty for that crime, and Congress four years later changed the law to reflect that ruling. But lawmakers 15 years ago reinstated kidnapping as death penalty-eligible.

So the justices were being asked to decide when the statute of limitations kicked in, if ever.

Justice John Paul Stevens, supported by his conservative colleague Justice Antonin Scalia, thought the court should get involved.

"I see no benefit and significant cost to postponing the question's resolution," Stevens wrote in dissent. "A prompt answer from this court will expedite the termination of this litigation and determine whether other similar cases may be prosecuted."

Seale, a former sheriff's deputy, was convicted in June 2007 of kidnapping and conspiracy in the disappearances of Charles Eddie Moore and Henry Hezekiah Dee, both 19.

Federal officials had initially trumpeted reopening the Seale case. "Today's indictment is one example of the FBI's strong and ongoing commitment to re-examining and investigating unsolved civil rights era murders and other crimes," FBI Director Robert S. Mueller said in January 2007. "Under our Cold Case Initiative, we will continue to identify and pursue these cases of racially motivated violence to ensure justice is served wherever possible."

Seale was not tried for murder, but prosecutors alleged that he and fellow Klansmen conspired to abduct, beat and murder Dee and Moore in May 1964. An indictment accused Seale and his cohorts of picking up the two men hitchhiking and driving them into the Homochitto National Forest in Franklin County, Mississippi, where the teenagers were beaten and interrogated at gunpoint.

Dee and Moore were then bound with duct tape and weighted down by an engine block and railroad rail. They were still alive when they were thrown into the Old Mississippi River, where they drowned, according to the FBI. Their decomposed bodies were found two months later during a search for three other missing civil rights workers that would later be known as the Mississippi Burning case.

Seale and another man, Charles Edwards, were arrested in the slayings in 1964, but were released on bond and never tried. The FBI turned the case over to local authorities, and the investigation was dropped after a justice of the peace said witnesses had refused to testify.

The case was revived in 2007 when Moore's brother -- during a visit to Franklin County to help research the case for a Canadian Broadcasting Corporation documentary -- discovered Seale was still alive. Thomas Moore told CNN in January 2007 that he gave the U.S. attorney for the Southern District of Mississippi FBI files on the case, which he had obtained from a Mississippi reporter. U.S. Attorney Dunn Lampton helped form a task force that led to Seale's indictment. Seale was the only person convicted in the Moore and Dee murders, the Justice Department said.

Since then, other notable cold cases from the civil rights era also have gone to trial. In 2005, Edgar Ray Killen was convicted of manslaughter for his role in the Mississippi Burning case.

Adding to the unusual nature of the Seale case is that a lower court was unable to decide the matter. The full 18-judge panel on the 5th U.S. Circuit Court of Appeals split evenly on the time-limit question. They then asked the high court to "certify" the question, a rarely used procedure that essentially asks the justices about how to proceed.

The Supreme Court was under no obligation to accept the case in this fashion, under its "Rule 19." That provision gives appeals courts the discretion to hand off to the high court "any question of law in any civil or criminal case as to which instructions are desired, and upon such certification the Supreme Court may give binding instructions or require the entire record to be sent up for decision of the entire matter in controversy."

The case is U.S. v. Seale (09-166).

@highlight

Appeals court asked high court if a civil rights crime can be prosecuted decades later

@highlight

Justices dismissed appeal involving man convicted in 1964 kidnapping of two teens

@highlight

James Ford Seale appealed conviction in case, saying statute of limitations had expired

@highlight

Indictment stands, but question of whether similar cases can be prosecuted is unanswered