Your forecast for the next century: Hotter, drier and hungrier, and the chance to turn down the thermostat is slipping away.

That's the latest conclusion from the United Nations, which urged governments to address the "increasingly clear" threats posed by a warming climate before some options are closed off for good. The latest report from the Intergovernmental Panel on Climate Change concluded that taking steps to reduce the carbon dioxide emissions blamed for rising temperatures could buy more time to adjust to a warmer world.

Cutting emissions now "increases the time available for adaptation to a particular level of climate change," the report states. But it adds, "Delaying mitigation actions may reduce options for climate-resilient pathways in the future."

"In many cases, we are not prepared for the climate-related risks that we already face," Vicente Barros, the co-chaiman of the IPCC working group behind the document, said in a statement accompanying the report. "Investments in better preparation can pay dividends both for the present and for the future."

The summary for policymakers was released Monday morning in Yokohama, Japan. It's the second part of the IPCC's benchmark assessment of climate change, a document released every six years with the input of nearly 1,000 scientists. Without checks on emissions, the impacts of climate change will be more severe, more likely, and possibly irreversible, it concludes.

Monday's report underscores "that we have committed to a certain amount of warming," said Kelly Levin, an energy and climate expert at the U.S.-based World Resources Institute.

"Over the next few decades, we are going to lock ourselves into a climate change commitment that is going to paint a very different world, depending on what we choose today," Levin said. "The choices we make today are going to affect the risks we face through the rest of the century."

As a result, "Adaptation is emerging as central area in climate change research," Levin said. But adaptation -- steps such as building sea walls, conserving water and designing cities for warmer climates -- has its limits, she said.

"The report suggests some options are going to be too resource-intensive or too expensive," she said.

An increase in atmospheric carbon dioxide and other emissions have driven average temperatures up by about 0.6 degrees Celsius (1 degree Fahrenheit) since 1950, the IPCC says. The first part of its report, released in September, concluded that even a best-case scenario would result in an increase in global average temperatures of 1.6 C; the worst-case scenario estimates a rise of 3.7 degrees Celsius (6.6 Fahrenheit).

The idea that carbon emissions are changing the Earth's climate is politically controversial, but generally accepted as fact by the overwhelming majority of scientists. And as emissions continue to rise, driving up CO2 concentrations in the atmosphere, the impacts will be more severe, more likely and possibly irreversible, Monday's report states.

The summary of the full document -- which is more than 1,000 pages -- will be the premiere guide for lawmakers. It breaks down the expected impacts by continent and by categories such as marine life, agriculture and flood risks. And by diving into the specifics of the report, policymakers will be able to see what risks their specific locations face, as well as what adaptation and mitigation techniques could prove fruitful.

"The real highlight is how many impacts there are, how widespread they are and how pervasive they are around the world," said Heather McGray, who studies adaptation at WRI.

In most cases, climate change will exacerbate existing problems, such as the availability of fresh water in sub-Saharan Africa. The authors conclude that glaciers will continue to shrink "almost worldwide," affecting water supplies downstream.

Animals have begun shifting their habitats in response to a warming world, and key crops have been affected already, they wrote. Colder climates may see increases in crop yields from longer growing seasons and milder temperatures, but the negative effects are expected to outweigh the positive, the report states.

"In this report, the finding is the impacts of climate change are already widespread and consequential," McGray said.

The impacts won't be the same for everyone, and as usual, the world's poor are more likely to be hurt.

"Climate-related hazards affect poor people's lives directly through impacts on livelihoods, reductions in crop yields or destruction of homes and indirectly through, for example, increased food prices and food insecurity," the report states. Positive effects on the impoverished "are limited and often indirect."

For those people, the effects "will be catastrophic" unless emissions can be reduced, McGray said.

Carbon dioxide benchmark hits new heights, worries scientists

Opinion: Is it time for international agreements to recognize national laws?

@highlight

Time's running out to rein in climate change, U.N. panel concludes

@highlight

"A certain amount of warming" is locked in, expert says

@highlight

Without checks on emissions, the impacts may be irreversible, report states

@highlight

Losses outweigh gains for farmers and the poor, it concludes