(CNN) -- After months of talking about each other and their policies, the world finally gets to see Barack Obama and Republican challenger Mitt Romney go toe-to-toe on the same stage in three televised debates ahead of the U.S. election.

Unlike other countries, such as the United Kingdom, where the prime minister must defend his policies under televised duress from the opposition nearly every week, face-to-face showdowns between the two men fighting for the White House only happen every four years.

And while debates rarely swing the outcome of an election, a gaffe -- or a silver-tongued swipe at the opposition -- under the bright lights can alter the perception of the two contenders, for better or worse.

What's the history of U.S. presidential debates?

Presidential debates are a relatively recent phenomenon. The first televised debate was between Republican Richard Nixon and Democrat John F. Kennedy, on black-and-white TV in 1960.

More: Presidential debates by the numbers

Many people listening on the radio to that first of four Nixon-Kennedy debates thought Nixon had won - but on live TV, a tan and youthful-looking Kennedy trounced a sweaty, haggard Nixon (who'd recently suffered a staph infection) in the appearance department. While Nixon improved in later debates, Kennedy went on to win the election.

There were no debates again until Jimmy Carter took on Gerald Ford in 1976. Since then, the Republican and Democratic hopefuls have matched wits in a series of (usually three) debates every election year - and twice, in 1980 and 1992, an independent candidate has joined the duo onstage.

In 1980, President Jimmy Carter refused to take part in the first debate with Ronald Reagan because John Anderson, an independent candidate, had been invited to take part. Carter's boycott led to a dramatic decline in the anticipated viewership for that debate. The second was cancelled, and Anderson was wiped off the program for the third round several weeks later.

What are the debates about?

In recent election cycles, the three debates have consisted of a domestic policy debate, a foreign policy debate, and a general debate in a town hall format, where members of the audience also offer up questions. Vice presidential candidates also face off in a single debate in the run-up to the election.

Generally speaking, candidates are asked questions by a moderator, who in recent years has come from one of America's major broadcast news networks. Candidates then have a set period of time for responses and rebuttals.

More: 10 debate moments that mattered

A coin-flip determines the order of answers at debates. Tonight Obama will answer first, but Romney will have the final word.

The dates and sites for the debates, which typically take place at universities across America, are chosen from a list of applicants by the non-partisan Commission on Presidential Debates.

Do debates even matter to the public?

While the debates offer Romney and Obama a chance to expand on their views and rebut each other's plans directly, experts say that the vast majority of Americans have already decided who they're voting for along party lines.

But although debates aren't typically seen as deciding an election's outcome, there have been a few exceptions over time.

Kennedy's telegenic dominance of Nixon during the first televised debate helped swing momentum in the Democrat's direction in 1960.

In a 1980 debate, facing a barrage of assertions and accusations from incumbent Jimmy Carter, Ronald Reagan coolly replied with a smile: "There you go again." His famous retort momentarily took the wind out of Carter's sails. After entering debate season behind in opinion polls, eventual winner Reagan left the podium with the advantage over Carter.

More: Get latest updates at CNN's Election Center

Sometimes it's not the debate that hurts a candidate - it's the post-game review. In 2000, cameras caught a visibly annoyed Al Gore sighing and shaking his head when George W. Bush spoke.

The clip was played over and over again and lampooned on television, to the point that "people began to project onto Gore a personality trait of just annoyance and irritation of people in general," according to historian Doris Kearns Goodwin. A clear favorite before the debates, Gore lost his lead during the debate season. He eventually lost the controversial election after the Supreme Court ruled in Bush's favor.

Are Romney and Obama any good at debating?

As mentioned above, American politics don't involve many head-to-head debates between Republicans and Democrats, but both candidates are seen as more than competent debaters.

Obama handled Republican John McCain in all three contests four years ago, says debate coach Todd Graham, staying on track in his arguments, showing poise, and refusing to take attacks on his policies personally.

Obama's quick wit may have backfired on him during a 2008 Democratic primary debate. He responded to Hillary Clinton saying he was likeable with, "You're likeable enough, Hillary." The audience laughed, but many viewers saw the remark as a mean-spirited swipe.

More: Coach says Obama, Romney are top debaters

Graham says despite Obama's reputation as a great orator, his debate performances have not lived up to the standards of his speeches - and that at times the president can be awkward and long-winded in his debate answers.

Romney is currently the better-practiced of the two, having emerged victorious from a Republican primary season that featured nearly 20 debates. Graham says Romney is consistently solid, has great opening lines to questions, and has a firm grasp of the issues.

More: Inside debate prep with Mitt's sparring partner

Romney's biggest weakness, according to some experts, is that he often comes across as fake. Graham says Romney's broad smile and "thank yous" following heated answers make it seems like "he's practicing his speeches," not debating his opponent.

Are debates about great politics or great theater?

Long stretches of presidential debates involve dry policy speeches, but it's usually a single gaffe or clever one-liner that comes to define a debate in the annals of national memory.

Reagan was already the oldest president in history in 1984, and when asked during a debate about whether age would be an issue for him, the 73-year-old famously replied: "I will not make age an issue of this campaign. I am not going to exploit, for political purposes, my opponent's youth and inexperience." Even Democratic challenger Walter Mondale, then age 56, had to laugh.

More: Doris Kearns Goodwin's top debate moments

Sometimes body language matters more than words in a debate. In 1992, President George H. W. Bush took a glance at his watch while an audience member was asking a question - a move that made Bush, whose re-election hopes were rapidly slipping away, seem uninterested in the concerns of the public.

John McCain sparked controversy when he referred to Obama as "that one" during the second 2008 presidential debate. At a dinner attended by both senators several days later, Obama joked that his first name was Swahili for "that one," according to the New York Times.

Vice presidents and their counterparts have delivered just as many memorable lines as their bosses have over the years. Lloyd Bentsen's sharp "Senator, you're no Jack Kennedy" reprimand of Republican vice presidential candidate Dan Quayle in 1988 remains one of the all-time greats -- along with Perot running mate James Stockdale's "Who am I? Why am I here?" debate opener in 1992, which drew guffaws from the audience.

A bad enough gaffe can help derail your campaign long before the first primary votes are cast, as Republican Rick Perry showed in late 2011.

At a primary debate in Michigan, Perry became the first candidate in history to say "oops" during a debate after forgetting the name of the third government agency he'd pledged to cut.

When pressed for an answer, Perry said: "The third agency of government I would do away with, the Education ... uhh the Commerce, and, let's see. I can't. The third one, I can't. Sorry. Oops."

After the debate, Perry owned up to the gaffe as only a Texas governor could: "I'm sure glad I had my boots on because I sure stepped in it out there."

@highlight

Obama, Romney to debate domestic and foreign policy over three debates

@highlight

Telegenic John F. Kennedy outshined Richard Nixon in first debate in 1960

@highlight

Romney emerged victorius from primary season that included nearly 20 debates

@highlight

Then-candidate Obama easily handled Republican John McCain in 2008 debates