Atlanta (CNN) -- More than one in three women have experienced sexual assault, physical violence or stalking by an intimate partner during their lifetime, according to a Centers for Disease Control and Prevention survey.

The same is true for more than one in four men, according to the National Intimate Partner and Sexual Violence Survey. The survey, released Wednesday, was based on telephone interviews with more than 16,500 adults in 2010.

Supported by the National Institute of Justice and the Department of Defense, the survey was aimed at better describing and monitoring "the magnitude of sexual violence, stalking and intimate partner violence victimization in the United States," the CDC said. The report is the first of its kind to provide data on national and state levels, the agency said.

The data can assist in understanding the burden of violence in populations and address some of the health issues that may accompany it. Those may include depression, anxiety, low self-esteem and suicide attempts, but also conditions such as gastrointestinal disorders, substance abuse, sexually transmitted diseases and gynecological or pregnancy complications.

"The health problems caused by violence remind us of the importance of prevention," said Howard Spivak, director of the CDC's Injury Center Division of Violence Prevention, in a statement. "In addition to intervening and providing services, prevention efforts need to start earlier in life, with the ultimate goal of preventing all of these types of violence before they start."

Among the victims of intimate partner violence, more than one in three women reported experiencing multiple forms of rape, stalking or physical violence. Among males, 92% reported experiencing physical violence from a partner, while 6% said they experienced both physical violence and stalking. However, nearly half of all women and men reported experiencing "psychological aggression" from an intimate partner.

Nearly one in four women and one in seven men said they had been subjected to "severe physical violence" by an intimate partner -- defined in the report as being hit with a fist or hard object, beaten or slammed against something.

Of the victims of intimate partner violence, nearly three in 10 women and one-tenth of men reported effects of the violence -- fear; concern for their safety; symptoms of post-traumatic stress disorder; needing medical treatment or suffering an injury; contacting a crisis hotline; needing housing, victim advocate or legal services or missing at least one day of work or school.

As far as sexual violence, nearly one in five women -- translating to nearly 22 million women in the United States -- reported having been raped or the target of an attempted rape during their lifetime, according to the survey. More than half of them, 51%, said they were raped by an intimate partner and nearly 41% by an acquaintance. Of the victims of completed rapes, nearly 80% said they experienced their first rape before the age of 25 and 42% before the age of 18. About one in five white and African-American women and one in seven Hispanic women reported being raped at some point.

One in 71 men also reported being raped during their lifetime; of those, more than one-fourth, or nearly 28%, experienced their first rape when they were 10 or younger. More than half the men, or 52%, said they were raped by an acquaintance.

Linda Degutis, director of the National Center for Injury Prevention and Control at the CDC, said the organization was very concerned by how large the numbers were, and by how great an impact such abuse has on people's lives.

Highlighting the extent of the issue may help people to feel more comfortable reporting abuse when it occurs, she said, and aid them in forming healthy relationships.

"The solution is the same for both sexes, to develop relationships that are strong, that are stable and do not allow violence to be a part of the relationship or of resolving conflict in a relationship," Degutis said.

The report confirms "that sexual violence is one of the most pervasive and serious public health issues in the country," said Laura Palumbo, prevention campaign specialist at the National Sexual Violence Resource Center.

"We've been well aware of the kind of far-reaching effects of sexual violence and the frequency of it, but it's really helpful to have a current and widespread set of data that can confirm that for us. It's not news to people that have been doing this work, but it is really wonderful that we have now something really concrete that we can point to."

The information can "be used to spearhead prevention efforts," especially if it will be updated annually and trends over time can be tracked, she said.

Palumbo applauded the report's focus on male victims of sexual assault.

"For a number of reasons in our society, it's really difficult to believe that this happens to men," she said. "It's difficult for a man to be able to say that this has happened to him because our culture doesn't accept male vulnerability. Our culture really puts a lot of pressure on men to be able to protect themselves."

While recent child sex abuse scandals at Penn State University and in the Catholic Church have helped focus attention on child sex abuse, she said, male sexual assault "is consistently happening, and it's not focused on in the way that it needs to be."

Victimization by stalking was reported by one in six women and one in 19 men, to the point where "they felt very fearful or believed that they or someone close to them would be harmed or killed," the survey report said. Two-thirds of women reported their stalker was an intimate partner, while 80% of men said the stalker was an intimate partner or acquaintance. The most common form of stalking reported was repeatedly receiving unwanted telephone calls along with voice or text messages.

The estimates for sexual violence, stalking and intimate partner violence are "alarmingly high" for adult Americans, with intimate partner violence alone affecting more than 12 million people yearly, the CDC said. "Women are disproportionately impacted. They experienced high rates of severe intimate partner violence, rape and stalking and long-term chronic disease and other health impacts, such as PTSD symptoms."

The study points to long-term health effects, "everything from irritable bowel syndrome to diabetes, things that will really have an influence on the quality and length of someone's life," said Palumbo. "... In many ways, there's a domino effect" of complications and needs after a traumatic experience, she added.

Such victims need coordinated services to ensure healing and prevent a recurrence, the report said, including strengthening the response of the health care system.

"One way to strengthen the response to survivors is through increased training of healthcare professionals," the CDC said. "It is also critically important to ensure that legal, housing, mental health and other services and resources are available and accessible to survivors."

Holding perpetrators accountable is also a key issue, according to the survey, which noted that survivors of sexual violence, stalking or intimate partner violence may be reluctant to report the behavior because of shame, embarrassment, fear of retribution or a belief that authorities may not support them.

Prevention efforts should also focus on families, particularly on fostering healthy relationships between parents and children and emotionally supportive environments, the survey said.

"These environments provide a strong foundation for children," the survey said. "... It is equally important to continue addressing the beliefs, attitudes and messages that are deeply embedded in our social structures and that create a climate that condones sexual violence, stalking and intimate partner violence."

@highlight

NEW: Highlighting the issue may help people form healthy relationships, an expert says

@highlight

The National Intimate Partner and Sexual Violence Survey interviewed more than 16,500 adults

@highlight

Nearly 1 in 5 women report being raped in their lifetime

@highlight

More than a fourth of male rape victims say they were first raped as a child