(CNN) -- Melissa Earll owns stacks of classic comic books, baseball cards that include a young Hank Aaron and Whitey Ford and other collectibles she wants to sell.

But she can't do so on eBay, she says. According to Earll, the popular auction site can't confirm her as a seller because she's deaf.

"eBay keeps me from taking advantage of opportunities that other people have and it's because I couldn't hear," Earll, of Nevada, Missouri, told CNN affiliate WDAF-TV. "Somebody has to have the courage to stand up and say 'this is not right.'"

At issue, according to Earll, is the way the auction site verifies sellers. eBay says it offered Earll alternative ways of verifying her identity. But the dispute casts a light on a bigger question that some experts say may need to go all the way to the Supreme Court: Just how responsive must the Internet be to the Americans With Disabilities Act?

The Internet has long been seen as an equalizer, granting everyone the same access to information regardless of cultural background or economic status. But for some users with disabilities, it's not so simple.

"The ADA was signed in 1990. The Internet didn't really start going until the 1990s," said William D. Goren, a Decatur, Georgia, attorney who specializes in cases involving the federal law. "This is a topic we're going to have to be watching. This is not going away."

In Earll's case, she says she can't use eBay's verification system, which requires sellers to retrieve and submit a password from a telephone call. She can't hear the password and says eBay doesn't use voice-to-text or other technologies deaf people often rely upon.

"They said, can your mom or dad answer the phone for you," said Earll, who lip-reads and speaks with the assistance of a hearing aid. "And I said, I'm a 47-year-old adult woman. No. I don't live at home. No."

A federal judge didn't agree with her argument, though.

U.S. District Judge Edward Davila dismissed her complaint after finding it lacked enough facts. Specifically, he said Earll didn't prove that she tried to register as a seller after talking to eBay about a possible solution.

"eBay is pleased with the court's decision to dismiss the case," company spokeswoman Kari Ramirez said in a written statement. "eBay strives to provide all users with the best customer experiences possible, including those with special access needs. eBay will continue to stand ready to assist those who are deaf or hard of hearing become eBay sellers."

Earll is appealing that ruling.

Little legal agreement

eBay is the most high-profile website to be involved in a disabilities discrimination case since Netflix, which last year agreed to caption all of its online movies and other shows by 2014.

The move, which the National Association for the Deaf called "a model for the streaming video industry," came after Netlix was hit with a 2010 class-action suit because not all of its films were subtitled. A federal judge in Massachusetts ruled in the plaintiffs' favor, saying any new laws regarding the Internet should "complement, not supplant" the Americans With Disabilities Act.

"The Disability Rights Education & Defense Fund," which handled the case, "hopes that this is the beginning of opening the Internet for deaf and hard-of-hearing individuals in streamed entertainment, education, government benefits, and more," the group said at the time.

Arguments for both sides in those and other cases point out something of a problem: There seems to be no agreement on how disability issues on the Web should be handled.

Goren, the disability law attorney, said judges have ruled both ways in those cases, and that even those who agreed cited different laws in doing so.

Some have stuck close to the original wording of the ADA, which requires that places of business be physically accessible to people with disabilities. Websites that represent brick-and-mortar stores need to comply, courts have ruled, while Web-only businesses do not.

Other courts have opined that ADA regulations should obviously be extended to Web companies, since the widespread popularity of Web commerce didn't exist when the law was written. It all makes for a confusing jumble of opinions that legal experts say needs to be clarified.

Congress hasn't been much help, either. Even when they made some changes to the original ADA language in 2008, they failed to address online concerns.

To the Supreme Court?

That, Goren says, means the Supreme Court will ultimately need to settle the issue once and for all.

"This is going to go all the way to the top," he said. "There are so many different approaches. You're going to see the courts split. Unless Congress steps in and talks about how the ADA applies to the Internet, the court's going to have to figure it out."

Eric Goldman, a professor of law at Santa Clara University and director of the school's High Tech Law Institute, thinks current law is somewhat more settled. The argument that won the day for eBay -- that the ADA doesn't specifically mention websites and, therefore, doesn't apply to them -- has prevailed except for in "quirky rulings," he says.

"We might debate the merits of those laws, many of which were written for a different time, but that's for the legislatures to do, not the courts," he said. " As a result, the lawsuits against websites for discriminating against the disabled are not legally meritorious. In this case, the courts bent over backwards -- more than they should have, in my opinion -- to give Ms. Earll a chance to make a valid legal complaint. She couldn't."

That said, Goldman thinks websites should voluntarily be doing more.

"In this case, for example, it seems reasonable that eBay should have a workaround to their authentication system that works for the hearing-impaired," he said. "They may have a workaround -- the materials I've read in this case haven't been clear about that -- but the workaround should be easy enough that Ms. Earll never needed to go to court.

"Some websites may not have the resources to provide full accommodations for the disabled, but a site like eBay does -- and it should do so," he added.

eBay notes that in her complaint, Earll said company agents told her about alternative methods, including submitting proof of identity and SMS text messages, that she and other hearing-impaired people could use to become sellers.

"eBay offers solutions to help the visually and hearing impaired, individuals with color vision deficiencies, as well as those with limited dexterity access eBay's services," said Ramirez, the eBay spokeswoman. On its website, eBay has a page devoted to accessibility issues, including a profie of Rick Willison, a pastor who became a successful seller despite a degenerative eye disease.

For her part, Earll says she's willing to go all the way to the Supreme Court if that's what it takes for her to use the auction site as a seller just as easily as she's used it as a shopper.

"You know what's funny -- eBay loved me as a buyer," she said. "Oh, sure ... because they made money off of me."

@highlight

Deaf woman: eBay won't let me sell items because I'm deaf

@highlight

Auction site's verification system requires sellers to retrieve a phone password

@highlight

A federal judge has thrown out the case; woman says she's appealing

@highlight

eBay says it stands ready to help users, including sellers, with disabilities