(CNN) -- As word spread this week that some benefits of the nation's health care law will not extend to the thousands of undocumented immigrants given reprieve from deportation by the Obama administration, advocacy groups were reminded that the youths' status remains much in limbo.

The Obama administration earned the praise of immigrant advocacy groups when it decided to grant relief to young undocumented immigrants who came to the United States as children. But a new rule would keep those same immigrants from federal health insurance coverage, putting some in an uncomfortable spot where they have permission to be here, but can't take advantage of all the programs available for others.

Some who championed the new immigration policy expressed disappointment at the news, which was more in line with critics of the policy who say that this group should receive no benefits whatsoever because of their legal status.

Five things to know about the big change in immigration policy

As many as 1.7 million immigrant youths may meet the criteria to be spared from deportation for a renewable two-year period, according to an estimate from the Pew Hispanic Center.

The New York Times was the first to report about a little-noticed rule put in place by the Department of Health and Human Services, that excludes the beneficiaries of "deferred status" from the health insurance benefits.

The Obama administration was clear that those who qualified for deferred action did not gain legal status in the United States, but would have "lawful presence," which would allow them to work legally and opened the door for other benefits, like driver's licenses.

But the HHS directive, published in the Federal Register, specifically excludes this group from the "lawful presence" category.

The department determined that those with deferred status are not eligible for Medicaid or the Children's Health Insurance Program.

The HHS also stated that those with deferred status would not be eligible for health insurance subsidies under the Affordable Care Act.

What the Affordable Care Act means for you

The directive is effective immediately, before any deferred action recipients may apply for a temporary health insurance program for those with pre-existing conditions.

"It's disappointing that these youths won't be able to take advantage of the resources available to the rest of us under the Affordable Care Act," said Liliana Ranon, director of policy and legislation at the League of United Latin American Citizens.

Those who need, but cannot receive, subsidies to purchase health insurance, are likely to turn to the more expensive option of going to the emergency room for health care, she said.

Because deferred status grants the undocumented immigrants the ability to work, they would be eligible for insurance through their employers. But, Ranon says, not all jobs provide this benefit.

Still, she is supportive of Deferred Action for Childhood Arrivals, or DACA, as the policy is known. Those who qualify remain in limbo, but they are in a better spot than they were in before, she said.

"We need to continue putting pressure on the administration and Congress to ensure they don't stay in limbo status," she said.

The White House said that DACA is just a stopgap measure for those in the country illegally who were brought as children and pose no danger to national security or the public.

"It was never intended that those with deferred action under the Deferred Action for Childhood Arrivals process would receive federal financial assistance for health care," Assistant Press Secretary Nick Papas said.

Congress still must act to find a permanent solution to the issue of illegal immigration, he said.

Obama defends record on immigration at Univision forum

There will be a cost to excluding deferred status immigrants from health benefits, said Adolph Falcon, senior vice president of the National Alliance for Hispanic Health.

"The whole purpose was to allow these youths to be a part of American life and convert that promise into economic contributors to society. An important part of that is a healthy workforce," he said.

By not providing all resources to help this group get health insurance as youths, it creates unnecessary health risks for their future, he said.

"It's unfortunate because this is a group that is not expensive to cover at all," he said.

Under fire on immigration, Romney vows 'reasonable solution'

@highlight

Health insurance benefits are not available to undocumented immigrants in deferred status

@highlight

The White House says such benefits were never intended

@highlight

It leaves those with deferred action with permission to be here, but without all benefits