Washington (CNN) -- Paul Ryan joked at the start of a foreign policy speech last year that "it's nice to actually finally get out of my fiscal cocoon and talk about these issues."

The House Budget Committee chairman, a notorious numbers guy consumed by fiscal policy, then perched himself firmly in that cocoon by explaining to the conservative Alexander Hamilton Society that good foreign policy depends on a strong economy.

"If we fail to put our budget on a sustainable path, then we are choosing decline as a world power," Ryan said in repeating his personal mantra that fixing the nation's chronic debt-deficit problem underpins other major issues and challenges.

Paul Ryan a big Twitter trend

The seven-term Republican congressman chosen to be Mitt Romney's running mate in November is well-known for his fiscal conservatism, part of a political orthodoxy stemming from his background as a devout Wisconsin Catholic with working-class roots.

He adheres to similarly conservative stances on other major issues.

For example, Ryan opposes abortion, believing life begins at conception. He defines legal marriage as between a man and a woman, and voted against ending the military's "don't ask, don't tell" policy that banned openly gay and lesbian service members.

An avid hunter, he hailed a 2008 Supreme Court ruling that struck down a sweeping ban on handguns in Washington, D.C.

On foreign policy, the 42-year-old Ryan expresses the conservative view that America's unique founding principle of God-given equal rights for all -- referred to as American exceptionalism -- makes it the rightful and necessary country to exert influence and leadership in the world.

"A world without U.S. leadership will be a more chaotic place, a place where we have less influence, and a place where our citizens face more dangers and fewer opportunities," he said in last year's speech to the Alexander Hamilton Society.

Foreign policy shaped by budget battles

To no one's surprise, Ryan calls for repeal of President Barack Obama's health care overhaul, both on fiscal and social grounds.

He argues the 2010 law that passed with zero Republican support removes free-market principles from the health care industry. He also opposes how the Obama administration requires religious-affiliated hospitals and schools to provide health insurance plans that cover abortion and female contraceptives, arguing that forces Catholics and others to act against their churches' teachings.

Frum: Romney blew it

The rule "disrespects not only the religious community, but it also disrespects the Constitution," Ryan's congressional website says. "By treating our rights as revocable privileges from our government, instead of inalienable gifts from our Creator, the President has put his personal political philosophies above the principles upon which this nation was founded."

Bennett: Romney nailed it

On immigration reform, Ryan follows the Republican Party line of calling for a comprehensive approach -- stronger border security, an effective worker verification system and no shortcuts to citizenship for those already living in America without legal status.

He also opposes the DREAM Act backed by Obama and Democrats as too narrow because it only addresses a symptom of the overall problem by providing some young immigrants a path to legal status. The proposed law would allow some children of illegal immigrants who graduated high school, attended college or successfully completed military service to avoid deportation. With the measure blocked by congressional Republicans, the Obama administration this year took unilateral steps to stop deporting some eligible young immigrants and give them a chance to get two-year work authorization documents.

Ryan sets domestic pace for GOP

"We must first secure the border and stem the flow of illegal immigration, and then work to increase legal immigration through an enforceable guest worker program and by developing a more secure employee verification system," Ryan's website says. "I believe it would be a serious mistake to pursue piecemeal reforms like the DREAM Act without first putting in place these fundamental components of immigration reform.

The Obama campaign has seized on Ryan's conservative record, portraying him as a right-wing ideologue who would work with Romney to roll back social progress.

Choice of Ryan a gift to both campaigns

In particular, Obama and Democrats argue the House Republican budget plan bearing Ryan's name would slash funding for government programs such as Head Start early childhood education and transform the Medicare health care program for senior citizens into what they say would be a voucher system.

An Obama campaign website says legislation Ryan co-sponsored, if enacted, could result in a ban on in-vitro fertilization as well as any abortion, even if in cases of rape or incest. It also says Ryan voted against the Lilly Ledbetter Fair Pay Act that promotes equal pay for women.

"Congressman Ryan is a right-wing ideologue, and that is reflected in the positions that he's taken," Obama's senior campaign adviser, David Axelrod, told CNN on Sunday, adding: "He is quite extreme. Good, good person, you know, genial person, but his views are quite harsh."

Choice may shift focus to Catholicism

Republicans rallying to support Ryan as Romney's running mate say his record as House Budget chairman, with bold initiatives to tackle the debt crisis, showed him to be a leader in comparison to what they call failed or insufficient policies by Obama and Democrats.

The first poll on Romney's choice of Ryan, released Monday by USA Today/Gallup, showed 39% of the public felt "excellent or pretty good" about it, while 42% felt "fair or poor" and 19% had no opinion. The survey was conducted Sunday and had a sampling error of 4%.

Ryan jokes spring up on internet

By comparison, a poll of the smaller sampling of registered voters four years ago found 46% thought Sarah Palin was an "excellent or pretty good" choice by John McCain, while 37% called the pick "fair or poor" and 17% had no opinion.

Monday's poll also showed that 66% of respondents said Romney's choice of Ryan would have no effect on whether they would support the GOP ticket.

How do you feel about Romney selecting Ryan as his running mate? Let us know on CNN iReport.

CNN's Paul Steinhauser and Jamie Crawford contributed to this report.

@highlight

Paul Ryan has a conservative record on major issues

@highlight

A Catholic with working-class roots, Ryan opposes abortion and legalizing gay marriage

@highlight

The seven-term congressman is House Budget chairman at age 42

@highlight

He backs conservative Republican policy on most matters