Off Aberdeen, Scotland (CNN) -- Against a bright blue sky, seagulls noisily squabbled above us as we set off aboard a crew boat, feeling rather small as we gently weaved our way past the gigantic vessels docked in Aberdeen harbor. The calm conditions that had allowed us to easily film inside the port quickly changed once we left the harbor, as we came up against 25-knot winds, rolling waves and spray soaking us from all sides.

Having grown up on the northeast coast of England, this was the North Sea that I know and love. As we happily bounced around, we joked with the crew from Helix Energy Solutions' marine contracting business unit, Canyon Offshore, that we were -- despite having three cameras, a tripod, and two backpacks -- actually traveling light.

About 2 miles (3 kilometers) out to sea, between the waves, we got fleeting glimpses of the MV Olympic Triton, the support vessel for remotely operated underwater vehicles. We could tell it was large, but as we drew closer to the 315-foot (96-meter) vessel it became clear it was not only large, but a serious piece of maritime engineering.

Above its bow was a large helipad, and from the main deck a huge crane extended, with 9,800 feet (3,000 meters) of cable.

As we approached the Olympic Triton, conditions were too dangerous for us to board and we had to wait for the massive vessel to turn to give us a bit of shelter. While waiting we filmed our first key sequence: the ROV being lowered into the water.

Sequence recorded, next came the challenge of boarding.

The tools used in the search

Sheltered from the worst of the weather we were still rising and falling in the water by as much as 10 feet -- which, in Tony's words, was making things a little "lively." To board, we had to wait for the bow of our boat to rise up and then throw ourselves at a small wood and rope ladder and hanging grab rope and pull ourselves aboard.

Only sitting at the airport at the end of the day did we admit to each other that we could replace the word "lively" with "terrifying."

Safely aboard, we were welcomed by Capt. Morten Stakvik on the bridge. After our safety briefing we did some more filming, followed by a tour of the Olympic Triton. Conditions on board the Norwegian-registered vessel were a credit to the crew. Everything was immaculate and beautifully organized. You can see why that matters when at any one time, there can be 100 people on board, working around the clock for up to four months at a time.

Our filming schedule was pretty similar to our other CNN shoots: interviews, key sequences and unique shots that would allow us to paint the story with rich visuals.

But filming on board a ship did present a few additional challenges.

As the ship rolled in the waves the light kept changing. This meant photojournalist Tony adopted an Iron Man-style pose, waving a light in one hand while operating the camera with the other to counteract the changing light. There were also the stairs to contend with -- five decks of steep stairs. When you're hauling full broadcast equipment, it certainly adds up to a workout.

Only moments after joking with one of the ROV engineers that you learn quickly not to forget things, I realized I'd left the spare batteries for the microphone on the bridge five decks up. Lesson learned.

Ocean Shield: A mission of hope and uncertainty

Broadcast equipment and water don't usually go well together, and there was a danger that filming our underwater sequence would go wrong. Using the ingenuity of the ROV crew we securely attached our underwater camera to the arms of the ROV. But when the ROV and camera descended into the depths and as I watched the live feed turn from brilliantly clear shots to a murky green and eventually to black, I couldn't help but worry that this was the last time we would see this camera.

Twenty-seven agonizing minutes later, the camera was back on deck and perfectly dry inside its case. As we reviewed the footage through a small monitor, our grainy images gave us an impression of just how incredible the ROV was. Its complexity, dexterity and adaptability not only made for great visuals for our viewers, but also began to give us an idea of how it could be used to help with retrieving items from the ocean floor.

After filming some beautiful detail shots from around the ship -- sonar monitors, controls, compasses, barometers -- we concluded the shoot from the bridge, now drenched in the early evening sun. Looking back to shore we could see in the distance our crew boat crashing through the waves toward us, bringing an end to our time on this incredible vessel with its incredible crew.

This also meant we had to face the rope ladder again. As we were now self-proclaimed experts at disembarking, with life jacket tightly fastened I went first. To ensure that we had something to show for our shoot, Tony kept hold of the camera cards in case I decided to copy the ROV and take a dip in the water.

We only spent a short amount of time with the talented crew of the Olympic Triton, but we did get a sense of how good they are at what they do, and how incredibly difficult their work is.

6 missteps in the investigation

@highlight

CNN crew boarded a support vessel in the North Sea for demo of remotely operated vehicles

@highlight

Their camera went deep underwater on an ROV and returned with great video

@highlight

James Frater describes thrills of dragging heavy gear around huge vessel in heavy seas

@highlight

Getting on and off the vessel involved leaps between crew boat and a small rope ladder