(CNN) -- Norwegian massacre suspect Anders Behring Breivik's purported 1,500-page manifesto paints a picture of a deliberative, driven killer -- not a rambling crazy person, criminologists said Tuesday.

Speaking to CNN after Breivik's attorney said his client "may be" insane, Brian Levin, a criminologist with California State University, San Bernardino, rejected the suggestion. Based on what is known at this point, "he's not crazy," Levin said; he is a "sociopath," but "not crazy."

Criminologist James Alan Fox of Northeastern University echoed those sentiments. "The behavior is crazy, but not necessarily the state of mind of the person committing it," he said. "Mass murderers rarely are psychotic. They know what they're doing. They don't hear voices in an empty room. They're mad, but (mad) in terms of bitter and resentful -- not how we often use 'mad' to describe mental illness," he said.

Both said a "crazy" person can be commonly understood as someone who cannot tell the difference between right and wrong and does not understand the nature and consequences of his actions.

Breivik, 32, has acknowledged carrying out a bombing and a shooting rampage Friday, a judge said Monday. Authorities say eight people were killed in the bombing of an Oslo building that houses Prime Minister Jens Stoltenberg's offices, and 68 were killed at a youth summer camp run by his ruling Labour Party.  Breivik said the attacks were necessary to prevent the "colonization" of the country by Muslims, the judge said.

Experts -- who have not met Breivik but have examined materials purported to be from him -- had different takes Tuesday on whether the manifesto suggests he was motivated more by ideology or by a desire for infamy. But several agreed that he seems to have more in common with mass killers, from "Unabomber" Ted Kaczynski to Virginia Tech shooter Seung-Hui Cho, than with many terrorists and typical right-wing extremists.

"If you see this killer as only a terrorist, you might see him as exceptional," said Jack Levin, also a criminologist with Northeastern University. "If you see him also as a mass killer, he fits the mold."

Levin said Breivik's purported manifesto and the "Hollywood-type photos of himself" -- including one in which he is dressed in a wetsuit with a patch that reads "Marxist Hunter" and holding a high-powered rifle -- suggest a "personal pathology, the need to be a celebrity, to achieve worldwide infamy may have been the real motive for this crime," more than an effort to cause terror among a specific population.

Cho, who killed 33 people at Virginia Tech in 2007, also had a manifesto and took photos and a video of himself, Levin said.

Fox, Jack Levin's colleague at Northeastern, had a similar view. "I think this is more about vanity than insanity ... and in fact more self-promotion than promoting any particular ideology," he said.

"The posed photographs, video, and of course the manifesto -- it seems to be all about him. And when you consider his background, (he was) fairly unsuccessful, which is something you find commonly among mass murderers. They see, through their crimes, the opportunity to feel like a big shot."

The manifesto vows that a "European civil war" will lead to the execution of "cultural Marxists" and the banishing of Muslims.  At one point, the writer states that his "European Declaration of Independence" took him nine years to complete. The document contains a link to a video.

The writer identifies himself as Anders Behring Breivik.

CNN could not independently verify that Breivik wrote the document or posted the 12-minute video, and Norwegian authorities would not confirm that the man in their custody wrote the manifesto, saying it was part of their investigation.

Breivik says that he was in touch with two terror cells in Norway and in contact with other cells abroad, but that he acted alone in carrying out the attacks, his attorney said Tuesday.

Fox noted that "mass murders are typically well-planned executions."

Fox added that Breivik's apparent manifesto suggests similarities to U.S. domestic terrorist Timothy McVeigh, who killed 168 people in the 1995 bombing of a federal building in Oklahoma City, and to Kaczynski, who killed three people and wounded 23 others in a string of bombings from 1978 to 1995. The FBI dubbed him the "Unabomber" because of his early targets: universities and airlines.

"McVeigh had his own grudge against the government.  And the Unabomber had his issues with technology.  And in these cases and many more, they used murder as their means of filing a complaint," Fox said.

Magnus Ranstorp, research director of the Center for Asymmetric Threat Studies at the Swedish National Defence College, wrote in an editorial for CNN.com that Breivik "represents the exception rather than the norm in right-wing extremist circles.

"Traditionally, right-wing extremism has been disorganized and impulsive, and it has often been manifested through localized hate crimes against immigrants. ... Breivik was the polar opposite. His nine-year preparation for creating the lengthy manifesto and the violent action that he argues for and documents in minute detail contradicts our traditional view. He argues against impulsive acts of harassing foreign immigrants in favor of spectacular, well-prepared attacks."

Levin of California State University, San Bernardino, said Breivik is "much more deliberative" than people "like the impulsive neo-Nazi" who goes out and attacks people, and seems to be more similar to McVeigh, who planned his attack deliberately.

Levin said he believes ideology was probably Breivik's chief motivation -- and seeking personal benefit took a back seat.

"We're seeing the rise of the aspirational extremist," Levin said, describing someone who "perceives society as careening out of control off a cliff."

"This guy Breivik had a very tight ideological argument for what he was doing," the criminologist said.

Setbacks in Breivik's life certainly played a role as well, Levin said. "When people face a ruthlessness and some kind of personal setback and they've already been accustomed to an ideology that gives them comfort, they can ramp it up to violent forms of it."

Levin warned against writing off Breivik, with his "Islamophobic" writings, as a lone exception who does not reflect broader thinking around him. "While the violence was extreme, the actual sentiments are sentiments that are widely expressed in some form throughout the mainstream of Europe," he said.

@highlight

He's a sociopath, but "not crazy," a criminologist says

@highlight

"Mass murderers rarely are psychotic," another criminologist says

@highlight

Experts disagree over whether he was primarily motivated by ideology or a desire for infamy

@highlight

Some see comparisons to Unabomber, Virginia Tech shooter, Oklahoma City bomber