London (CNN) -- What is the Greece debt deal?

Greece, the country at the center of the eurozone debt crisis, pushed through a huge debt swap in March to save it from disorderly default and clear the way to receive its second bailout, worth â‚¬130 billion ($171.5 billion).

The country's massive pile of debt has threatened the stability of the 17-country eurozone during a crisis which has dragged on for almost two years. The announcement that Greece successfully pushed through the largest ever sovereign debt restructuring gives some breathing space as the bloc attempts to pull itself back from the brink.

In the deal, the country swapped existing bonds for new ones that are worth far less, effectively halving the country's â‚¬206 billion bill to private sector creditors.

The restructuring takes pressure off the country in the short term, but as it struggles to rein in huge debts, questions remain over its ability to remain in the eurozone.

At the time of the swap, David Watts, of Creditsights, said: "It seems unlikely that the Greek [debt deal], despite its sizeable writedown, is the last we've seen of Greece in this crisis." He added, "there are still questions overhanging the restructuring and further questions over whether this deal makes Greece's debt position sustainable."

Does Greece still face disorderly default?

The decision to insert collective action clauses in Greek bonds -- which enabled the country to force through the debt swap against the will of some creditors -- was deemed by ratings agency Standard & Poor's to be a "selective default." Investors who hold credit default swaps on the country's debt -- a type of insurance against default -- were paid out following the deal.

However, the greater fear has been that Greece will face disorderly default, or a sudden inability to pay its bills. That has been avoided for now, but the country is facing a contracting economy and its debt is currently at 160% of its GDP. Questions are already being raised about the ability for Greece, which is entering its fifth year of recession and struggling under harsh austerity measures, to pull through without further restructuring.

An election expected in May is likely to further shine the spotlight on Greece's commitment to the austerity measures which it was forced to implement in exchange for the bailout packages from its eurozone peers and the International Monetary Fund.

Throughout the crisis, which was triggered after Greece admitted its finances were far worse than first reported, the country has faced protests on the street and an inability to raise money from investors, leaving it reliant on the bailout funds.

Why is Greece still being supported?

The financial collapse of a eurozone member is politically and economically charged. The common currency lies at the heart of the "European dream" and a disorderly default by one its members would be devastating.

So Greece is being supported by its eurozone peers as Europe's leaders, led by German Chancellor Angela Merkel and French President Nicolas Sarkozy, desperately attempt to figure out how to fix the problems.

The potential for the crisis to spread to Italy and Spain -- the so-called "contagion" effect -- is a powerful incentive to contain the problem. Bailouts of Greece, Ireland and Portugal have created backlashes in countries such as Germany where the prospect of holding up the bloc's far larger economies is economically and politically unpalatable.

So what are Europe's leaders doing?

Most European leaders have agreed on a fiscal pact which strengthens a financial firewall and is designed to prevent governments running excessive deficits. The â‚¬500 billion permanent bailout fund -- called the European Stability Mechanism -- is being introduced mid year, rather than next year as originally planned.

But Europe's leaders have come up with grand plans before and been knocked back by the markets. It remains to be seen if the latest twist in Greece's debt crisis can stem the crisis.

Simon Denham, of Capital Spreads, said in a note on the deal: "Is this the final breaking point in the conversation over Greece? Unfortunately I fear not as we've been here so many times before." He added, "the focus is likely to shift onto other parts of the eurozone with Portugal being the main target."

How serious is a default?

It depends if it is disorderly, or controlled. The greatest fear has always been a disorderly default, in which Greece would reach a repayment deadline without the funds in hand to pay. There have been numerous grim predictions should this situation eventuate, including global panic and market sell-offs. A default might mean French and German banks exposed to the debt will begin to struggle, resulting in a credit lockdown by the wider banking sector.

If banks are forced to take this hit, it could have global economic consequences similar to those seen in the financial crisis that followed the collapse of Lehman Brothers in 2008.

Investors would also begin looking at which other countries are facing financial difficulties, including Italy and Spain. If investors stop supporting these countries, the eurozone's stronger countries could again be leaned on for financial assistance.

But that's where the help from Europe, and further afield, could run out of capacity. Italy's economy, for example, makes up 17% of the eurozone -- nearly seven times bigger than that of Greece. These countries are regarded as "too big to fail," because bailouts would be too expensive.

How did we get here?

Greece's economy has struggled since the country joined the euro in 2001. In 2004, it admitted its budget deficit was higher than allowed under rules of entry.

By 2008 the government had narrowly passed a belt-tightening budget, designed to trim its massive national debt burden, triggering widespread protests. In 2009, Greece admitted its deficit would be more than 12% of gross domestic product -- far higher than previous estimates and more than four times the requirements of entry into the eurozone.

The country was hit with ratings downgrades, pushing its sovereign bonds into so-called "junk" territory. At the same time, resistance to the austerity measures and a contracting economy have made it extremely difficult for Greece to clamber its way out of the financial problems.

Is it time for Greece to drop out of the euro?

Despite the relief offered by a second eurozone bailout, Greece is running out of options as pressure grows on its finances. Unless it can make good on massive debts it faces financial collapse, with heavy consequences not only for the eurozone countries but for the global economy.

The ECB, IMF and eurozone countries have poured money into Greece to prevent this outcome and may have to continue doing so unless another solution can be found.

This has led to calls for Greece to be allowed to quit or be thrown out of the euro. Some Greeks also support this since they believe it would spare them from harsh austerity measures demanded as conditions for assistance.

Economists are divided. Many say it is impossible for Greece to drop out because the consequences would be so disastrous that eurozone economies will not allow this to happen.

How would quitting the euro affect the Greeks?

This would liberate Greece from the eurozone's fixed exchange rate, allowing it to become a more competitive exporter and -- as it unshackles its currency -- an attractively cheap tourist destination.

But it would come with a heavy price. It would still leave Greece in debt and reliant on handouts that former eurozone partners would be less willing to supply. It would also mean Greeks would face higher prices for imported goods.

It is also likely to drive people out of their homeland as they seek to escape lower wages and higher taxes. This could set back the country's economic recovery back by years.

CNN's Laura Smith-Spark and CNNMoney's Ben Rooney contributed to this report

@highlight

Greece is in negotiations over its latest bailout deal, but needs to meet harsh new terms

@highlight

The country is implementing austerity measures but faces protests and deteriorating finances

@highlight

The default of a eurozone member is politically and economically charged