(CNN) -- In an emergency, do you know how to best use your cell phone to stay safe, informed and in touch?

Recognizing that Americans have been getting mixed messages from many sources, this week the Federal Communication Commission and the Federal Emergency Management Administration teamed up to publish a new list of tips for communicating before, during and after a disaster.

These tips complement the advice already offered in the Get Tech Ready section of the government's emergency preparedness site, Ready.gov.

In an interview Thursday, FCC Chair Julius Genachowski said that in the wake of Hurricane Irene, FEMA and the FCC realized that many Americans still don't understand some important basics about how communication technology functions in emergency situations.

For instance, many people don't grasp the consequences of cordless phones. If the power goes out, you can't use a cordless phone to make or receive calls unless it has a battery backup. Consequently the FCC/FEMA tip sheet recommends: "If you have a traditional landline (non-broadband or VOIP) phone, keep at least one non-cordless phone in your home."

Said Genachowski, "I have a 19-year-old son, and he was my guinea pig on this. I asked him if he could use a cordless phone when the power is out, and he didn't know."

Recognizing that many of today's cell phones can do much more than make calls, the tip sheet also recommends using non-voice channels to conserve capacity on wireless networks during emergencies.

According to the tip sheet, "For non-emergency communications, use text messaging, e-mail, or social media instead of making voice calls on your cell phone to avoid tying up voice networks. Data-based services like texts and e-mails are less likely to experience network congestion. You can also use social media to post your status to let family and friends know you are okay. In addition to Facebook and Twitter, you can use resources such as the American Red Cross Safe and Well program."

Learn more about why your emergency kit should include a cell phone

Disaster response overlaps with day-to-day emergency response systems, which is partly why Thursday's FCC Open Commission meeting focused on next-generation 911, or NG911, systems.

In emergencies, NG911 systems would allow people to contact local emergency responders by sending text or photo/video messages to 911. On Thursday the FCC announced that it's beginning to formulate rules to accelerate the development of NG911 technologies.

"Some of these ideas used to be science fiction -- but implementing this technology is now within reach," said Genachowski

(The U.S. Dept. of Transportation also has an NG911 project.)

The new FCC rules also would call for carriers to increase location accuracy in cell phone call tracking, and to "enhance the information available to Public Safety Answering Points and first responders for assessing and responding to emergencies."

The FCC is also starting to examine how wireless carriers might start prioritizing 911 calls.

"Surprisingly, this is not already happening," said Genachowski. "The way the system works now, if the phone network is so congested that nothing gets through, that holds up 911 calls, too. We definitely saw this after the earthquake a month ago. But when networks are congested, 911 calls should get priority over other call traffic."

Social media is a growing part of the communication picture, especially in the wake of emergencies.

"Social media is ultimately part of NG911. We need to make sure that emergency responders have access to social networks and wireless networks in their digital command centers, so they can see and integrate info from many sources and have it be actionable," Genachowski said.

Russ Johnson, director for public safety and homeland security for Esri (a leading vendor of geographic information systems, or GIS) has offered advice on how social-media users could create actionable emergency response information through the words they use in emergency-related tweets and status updates.

Johnson noted that currently the FCC/FEMA tip sheet offers "no direction or guidance on messaging to communicate a categorical problem. I still believe we are missing the boat by not providing a recommended list of key topics, hash-tags, etc. that could be quickly recognized and prioritized during emergencies for the social media domain."

Despite safety problems posed by texting while driving, or how being distracted by your cell phone might make you an easier target for street crime, Genachowski said that in the big picture, cell phones have made the world a safer place.

"Remember 911 calls in a world without mobile phones? If you were out on the street or in your car and you saw an emergency, you couldn't call 911 immediately. The fact that most people now have cell phones is a very significant improvement in public safety," he said. "Sure, we need to do more maximize this opportunity, but the fact that we have mobile networks is a big plus. The same is true for social networking. We are generally safer thanks to how people use social networks in emergencies."

@highlight

The FCC and FEMA offer new tech tips for emergency preparedness

@highlight

Many don't know how to use technology in emergency situations

@highlight

If the power goes out, you can't use a cordless phone to make or receive calls

@highlight

FCC is developing new rules to foster development of next-generation 911