Washington (CNN) -- The United States has contacted authorities in Hong Kong to seek the extradition of Edward Snowden, the man who admitted leaking top-secret details about U.S. surveillance programs, a senior U.S. administration official said Saturday.

Federal prosecutors charged Snowden with espionage and theft of government property, according to a criminal complaint unsealed in U.S. District Court in Virginia on Friday.

The United States based the extradition request on the criminal complaint and a treaty between the United States and Hong Kong that covers the surrender of "fugitive offenders" and their extradition.

Washington already asked Hong Kong, where Snowden is believed to be in hiding, to detain the former National Security Agency contract analyst on a provisional arrest warrant, The Washington Post reported, citing unnamed U.S. officials.

"If Hong Kong doesn't act soon, it will complicate our bilateral relations and raise questions about Hong Kong's commitment to the rule of law," the administration official said.

The complaint charges Snowden with theft of government property, unauthorized communication of national defense information, and willful communication of classified communications intelligence to an unauthorized person. The latter two allegations amount to espionage under the federal Espionage Act.

Snowden, 30, has admitted in interviews he was the source behind the leaking of classified documents about the NSA's surveillance programs. Those leaks were the basis of reports in Britain's Guardian newspaper and The Washington Post this month. The Guardian revealed Snowden's identify at his request.

The documents revealed the existence of top-secret surveillance programs that collect records of domestic telephone calls in the United States and monitor the Internet activity of overseas residents.

There is a question about whether the espionage charges will be considered political offenses. The U.S. agreement with Hong Kong makes an exception for political offenses, in which case the treaty would not apply to Snowden.

Hong Kong Executive Council member Regina Ip said authorities can arrest Snowden if his actions qualify as a crime under Hong Kong law, China's state-run Xinhua news agency reported early Sunday.

But if his actions are deemed to be political charges, she told Xinhua, then Snowden will not be extradited.

"We will work under the framework of Hong Kong law, and won't allow any illegal or unfair judgment," Hong Kong Secretary of Justice Rimsky Yuen told Xinhua.

Prominent U.S. lawyer Alan Dershowitz, a professor at Harvard Law School, said the espionage charge complicates the case.

"I think it's a dumb decision by the Justice Department to charge him with espionage," Dershowitz told CNN. "That's a political crime under the extradition we have with Hong Kong. It gives Hong Kong an excuse to say we don't have to extradite him.

"They should have indicted him only for theft and conversion of property. Then Hong Kong would have to comply with the extradition treaty and turn him over."

The revelation of the leaks rocked the Obama administration and U.S. intelligence community, raising questions about secret operations of the NSA and whether the agency was infringing on American civil liberties.

Obama, top legislators and national security officials defend the surveillance programs as necessary to combat terrorism and argue that some privacy must be sacrificed in a balanced approach.

They say the law allows collection of metadata, such as the time and numbers of phone calls, and that a special federal court must approve accessing the content -- listening to the call itself.

In interviews earlier this month, Snowden said he fled with the classified documents after taking a leave of absence from his job as an intelligence analyst for NSA contractor Booz Allen Hamiliton. The company has since fired him.

A series of blog posts this week purportedly by Snowden said he leaked classified details about U.S. surveillance programs because President Barack Obama worsened "abusive" practices, instead of curtailing them as he promised as a candidate.

However, Obama "closed the door on investigating systemic violations of law, deepened and expanded several abusive programs, and refused to spend the political capital to end the kind of human rights violations like we see in Guantanamo, where men still sit without charge," a blog post said. The Guardian newspaper and website identified the author as Snowden.

Snowden said that he had to get out of the United States before the leaks were published by the Guardian and The Washington Post to avoid being targeted by the government.

In an interview with the South China Morning Post, he said he plans to stay in Hong Kong to fight any attempt to force him to return to the United States because he has "faith in Hong Kong's rule of law."

The U.S. signed the extradition treaty with Hong Kong in 1996, seven months before the British colony was handed back to China. Hong Kong's extradition laws had previously been governed by the United States-United Kingdom extradition treaty.

This new treaty established an agreement under what is known as "one country, two systems": Hong Kong has autonomy from Beijing in all matters apart from defense and foreign policy.

Snowden told the South China Morning Post, in an interview published Sunday, that the U.S. government is hacking Chinese mobile phone companies to steal millions of text messages. The Guardian also reported Snowden's latest claims.

Last week, Snowden told the Post that U.S. intelligence agents have been hacking computer networks around the world, including in China, for years.

Melissa Gray reported and wrote from Atlanta; Dan Lothian reported from Washington. CNN's Carol Cratty, Tom Dunlavey, Steve Brusk, and Chelsea J. Carter contributed to this report.

@highlight

NEW: Hong Kong authorities say they'll examine the charges against Snowden

@highlight

U.S. contacts Hong Kong to seek Edward Snowden's extradition

@highlight

Snowden has said he plan to fight any extradition attempt

@highlight

Snowden tells paper that U.S. government is hacking Chinese mobile phone firms