(CNN) -- It's been more than 20 years since he fought in a sandpit, but Lone Chaw still recalls the dusty village lots of his youth, unmarked except for footprints stained by sweat and blood.

Stamping about in a ritual known as "lat kha maung," he slaps his open palms against his elbows, imitating the wings of a fighting cock, as if attempting to summon its spirit.

Lat kha maung is performed before the matches as a kind of ritual that originated in farming villages.

This is the way of Lethwei -- Myanmar's traditional form of boxing.

Hidden from the rest of the world for decades, the sport, like Myanmar itself, is experiencing a revival and rediscovery both at home and abroad.

In August, the Woodlands Sports Hall in Singapore hosted an international bare-knuckled Lethwei challenger fight.

Similar events in Bangkok have helped usher in a new era for Lethwei.

Fighters turned trainers

Once derided as a sport fit for only rugged brutes -- Lone Chaw required eight stitches in his face after a fight at age 17 -- Lethwei is finding new respect at the Thut Ti Myanmar Lethwei Club in Yangon.

Here, Lone Chaw teaches introductory lessons to a stratum of society distinctly different from the fierce yet humble fighters he grew up facing in the Ayeyarwady Delta region.

His students are local doctors, foreign investment bankers and even Myanmar celebrities, including advertisement pinup Wutt Hmone Shwe Yi.

"Two years ago, foreigners began coming here," says Win Zin Oo, founder and director of the gym. "Today the Lethwei classes are, on average, half foreign and half local."

Weekend classes can attract up to 10 students, he says.

The boxing club is especially proud of having trained a headline-making Lethwei fighter from the UK, "Mr. Hammer" Sean Bardoe.

During a fight in 2013, Bardoe, 44, displayed a "mental and physical toughness," according to Mr. Win, that won over the crowd and landed him a draw in the ring.

But those interested in taking up the sport don't have to have professional aspirations.

"The workout for extreme pro fighters may not be appropriate for starters so we use a more simplified form for our students," says Mr. Win, who by day is the Humanitarian and Emergency Affairs Director for World Vision, an American NGO.

Mr. Win (as he prefers to be called) is Mickey to Lone Chaw's Rocky.

He coached the Golden Belt freeweight champion until the fighter's retirement.

One of Mr. Win's fondest memories of coaching was Lone Chaw's first fight in Japan, 10 years ago.

Competing under Lethwei rules, a local jujitsu star went up against the then-29-year-old Lone Chaw.

Lone Chaw took him down in less than a minute, leaving the Nagasaki crowd astonished.

"They watched a country boy KO his opponent in the first round, unexpectedly," Mr. Win recalls with pride.

Fewer kicks, higher intensity

At Thut Ti Gym, Lone Chaw and Mr. Win now work as tag-team instructors, offering training sessions for 5,000 kyat ($5) per person.

The setting is typical of the improvised simplicity familiar across Myanmar.

An iron-wrought roof and plastic tarps are all that shield the gym from the elements.

Novices practice agility by bouncing on tires.

The modest ring vibrates with energy every Saturday, when practitioners spar.

Though it bears some resemblance to the Muay Thai practiced in neighboring Thailand, Lethwei is different in a number of ways.

"In Muay Thai, kicks and knee strikes prevail, but Lethwei fighters use more punches and fewer kicks," explains Mr. Win.

"Traditionally, Lethwei fighters don't fight with gloves, and we use a lot of other components such as throwing, choking and head butts. At a more elemental level, the momentum and fighting intensity are much faster."

Bare-knuckled fighting

Watching matches, that momentum becomes evident.

Strikes are uncompromisingly fierce. Knockouts come quickly.

"There are no five or six rounds in Lethwei," says James Ko, a 30-year-old private equity professional from Hong Kong, now living in Yangon. "Fundamentally, it's a bare-knuckled sport.

"If you get close and elbow [your opponent] once, then you got him. It's really about that one blow."

In its traditional form, Lethwei is "fought with bare knuckles bound by cloth," says Mr. Win.

Boxing gloves are a recent development.

As part of its current revival and reform period, contemporary mixed martial arts matches incorporating Lethwei fighters tend to enforce the use of gloves.

"Myanmar Lethwei fighters never put on gloves until now," says Mr. Win.

Still, the old sandpit spirit perseveres.

Having previously trained under Muay Thai rules, James Ko has over the past year become one of the most dedicated foreign attendees at Thut Ti Gym.

Above all, he says he's learned that in Lethwei, self-defense is crucial.

"Before taking up Lethwei, I didn't realize I was so unprotected," says Ko. "If you wear a 14-ounce [boxing] glove, your chin is protected, but when you are in a Lethwei fight it's much easier [for your opponent] to make contact, so you must be more on guard."

It's a lesson an increasingly diverse array of students is learning in Yangon and across Asia.

Thut Ti Myanmar Lethwei Club, Kabaraye Pagoda Road, Yangon; +95 9 731 87441; about $5 per session (5,000 kyat)

In Asia since 2006, Justin Calderon's work has been featured in The New York Times, Newsweek (Japan), CNN Travel, Global Post, Borneo Post and The Nation (Bangkok).

@highlight

Ignored for decades, Myanmar's traditional boxing form of Lethwei is experiencing a revival

@highlight

Former champ now teaches foreign investment bankers and local celebs

@highlight

Lethwei fighters use punches, throws, choking and head butts

@highlight

In its traditional form, Lethwei is fought with bare knuckles bound by cloth