Singapore (CNN) -- In 2003, the SARS virus epidemic was a wake-up call for Asia, forcing China to increase transparency, fostering closer regional cooperation and bringing human security issues to the fore. The disappearance of MH370 will have a similar transformative effect on regional security, but it will take a different form.

In recent years, the focus -- driven by the need to protect the waters of approximately a third of the world's trade, as well as access to energy and resources -- has been on sea lanes, concentrating on reducing piracy and enhancing naval cooperation. The United States, India, Japan and China have all ratcheted up their patrols, buttressed by the smaller naval operations of Singapore, Malaysia, Thailand and Indonesia.

READ MORE: We owe it to the families to solve riddle, says Australian PM

But at times the focus on maritime security in Asia has led to tensions. China has resented the encroachment of other powers into waters it views as its own, while spats have intensified between China and its regional neighbors, particularly over islands in the South China Sea. China's increasingly assertive position has engendered a wariness among countries in the region that has been an undercurrent in the cooperation between neighbors during the current MH370 crisis.

Sky security

Post MH370, attention will increasingly turn to the skies. The disappearance of the Malaysia Airlines jet has revealed shortcomings in monitoring air space. That no one even knew the plane had veered off course for seven hours raises serious questions -- even allowing for the fact the jetliner's tracking mechanisms effectively turned off.

The contradictions and slow trickle of information from the Malaysian authorities and regional neighbors has highlighted how disjointed, uneven and vulnerable the monitoring of airspace across borders is. Satellite intelligence has increased yet no coordination or mechanism for effective information sharing exists. Many nations are not willing to reveal the technology at their disposal, as seems evident in the delays in sharing data, while some -- particularly in Southeast Asia -- have to turn to others to access satellite technology.

Despite the involvement of over 20 countries in the search, trust and capacity is seemingly lacking. The search for MH370 will lead to a rethink of the existing regional architecture, with the need for stronger multilateral ties to secure safer air travel. One option on the table needs to be a credible investigative body to manage air security across the region. Another important step clearly has to involve improved measures to secure transponders for communication.

READ MORE: What is a transponder?

MH370 has also brought the issue of good governance to center stage. Malaysia's response has raised serious concerns about accountability, transparency and competence. From the get go, the Malaysian authorities were on the back foot, given that more than half of the country's population voted against the current government in a 2013 election marred by allegations of fraud.

The government's alleged persecution of political opponents has fostered deep alienation. Hours before he was due to contest in a by-election, a Malaysian court overturned opposition leader Anwar Ibrahim's acquittal of the charge that he sodomized a former political aide. The de facto leader of the People's Justice Party has repeatedly said he is innocent, calling the case against him an attempt by the government to end his political career -- an assertion it has consistently denied. Days after the plane's disappearance, Anwar's lawyer, Karpal Singh, was charged with sedition in another case viewed by some as politically motivated.

Even against this backdrop, many were willing to give the government a chance. But it fell short by failing to learn lessons from the SARS virus: countries need to share information in a timely manner and earn credibility, rather than expect it. Sadly, the international media effectively set the tone for the search for the plane, not the Malaysians. The mystery of what happened to MH370 shows that without the basic practices of good governance, lives can be lost and security put in jeopardy.

The MH370 crisis has also revealed that in spite of the rise of China, the U.S. and its allies still have an important security role to play in Asia. When push came to shove, Malaysia's Najib government turned to its Western partners for their investigative skills and search and rescue guidance.

China-U.S. tensions

Yet Beijing was been increasingly irked by the rate of progress. With more than 150 of its own citizens on board the Boeing 777-200, China has been frustrated by the delays in information and its inability to effectively protect its own nationals. This frustration recently boiled over into criticism of Malaysia's handling of the investigation.

Whatever the outcome the MH370 mystery, China will take steps to enhance efforts to monitor and secure airspace in the region. This in turn will generate greater wariness among its neighbors and possibly bring it into more frequent contact with Western powers -- especially the United States. Unless checked, China-U.S. competition in Asia will deepen with pressure on both to increase their involvement in security in Asia. An important constraint on this great power struggle will be a strong multilateral Asia-led initiative to enhance aviation security -- one that includes the United States but brings in all the key Asian stakeholders.

We do not yet know what happened. We may never know. We do know however that security in Asia will never be the same. Now more than ever the burden is on Asia as a whole to better take care of itself, to come together to assure that its citizens and visitors get the protection and security they need. From stronger multilateral ties to good governance, the case of MH370 can bring about the opportunity for a safer region.

The opinions expressed in this commentary are solely those of Bridget Welsh.

@highlight

Post MH370, attention will increasingly turn to the skies in terms of security, says Welsh

@highlight

Current focus on maritime security in Asia has led to tensions, especially with China

@highlight

"No coordination or mechanism for effective information sharing" in the region

@highlight

Welsh: Asia needs better governance, stronger multilateral ties