BROOKLYN CENTER, Minnesota (CNN) -- Thousands of Liberians living in the United States face deportation March 31 when a federal immigration status created for humanitarian purposes expires.

Corvah Akoiwala is worried about what will happen to his children, born in the U.S., when he is sent to Liberia.

In the 1990s, a bloody civil war raged through the West African nation, killing 250,000 people and displacing more than a million, according to a U.N. report. The United States extended "temporary protection status" to all Liberians who could get to America, and 14,000 of them took advantage of that humanitarian offer.

Temporary protection status is an immigration status somewhere between political asylum and refugee status. Administered by the Department of Homeland Security and the U.S. Bureau of Citizenship and Immigration Services, it is extended to nationals of countries facing civil unrest or natural disaster.

For years, the temporary protection status for Liberians was extended as the situation there worsened under dictator Charles Taylor. But Taylor was ousted in 2003 and Ellen Johnson Sirleaf was elected Liberia's first female president in 2006. In 2007, citing the progress in Liberia, President George W. Bush signed an order of "delayed enforced departure" for Liberians who had been under temporary protection status, giving them 18 months to return to Liberia. Watch more on the uncertainty of Liberians living in U.S. »

Corvah Akoiwala, a Liberian national who was fresh out of college when civil war broke out, remembers how it used to be there. "They dragged us from our homes, they were shooting all around us. They said they were going to have us killed," he said

"On Tupero Road they had a killing field. Like every day they took someone to this field and they would just shoot them in front of everybody. It was just terrible," he said. He came to the United States in 1992 and settled in Rhode Island. A civil engineer by education, Akoiwala married and had three children, all of whom are American citizens.

For the past 17 years he's worked, paid his taxes and contributed to his community. He and his wife were granted temporary protection status but now both face deportation. On March 31 they will go from being legal residents to illegal aliens.

"My fear is, who am I going to leave my kids with?" he said. "Who am I going to leave them with? I want to stay here and see them grow up to be responsible citizens and then I can go back."

The Bureau of Citizenship and Immigration Services said approximately 3,600 Liberian nationals are facing delayed enforced departure, but Liberian community leaders think the number may be twice that because, they said, many Liberians went underground and did not reregister with immigration services, knowing the delayed enforced departure status meant leaving the country.

Brooklyn Center, Minnesota, about an hour north of Minneapolis, has a thriving Liberian community. Many now worry about losing their jobs, homes and businesses.

Seyondi Roberts, a hairdresser, said 65 percent of her customers are Liberians facing delayed enforced departure.

"We're praying that they don't send them back. But if they do, it will have a serious effect on the business. I do mainly African hair, so it's going to have a real big, big impact on the business," she said.

Aba Hamilton Dolo also lives in the Brooklyn Center area and is slated for departure. She said she has nightmares and panic attacks at the prospect of being separated from her two young American-born children. "Please consider what would happen to our families if we were sent home," she begs.  Dolo: 'I have nightmares' »

"Many of these Liberians have become important parts of the communities where they live in the United States," said Sen. Jack Reed, D-Rhode Island. There is a large Liberian community in his home state.

"They have children who are citizens of the U.S.," he noted. "How do you leave children behind who are eligible to stay? They've worked very hard, they've played by the rules, and they've paid their taxes. They're here legally. I think that should be considered at least to let them stay."

Reed has been one of the driving forces for extension of the temporary protection status in previous years and is pushing hard again this year for another extension. In addition, he wants a change in the rule that prohibits those on the temporary protection status classification from applying for citizenship.

"They should have the right to become American citizens," he said. "They should be part of immigration reform. We shouldn't pick and choose different immigrant groups."

Critics say Liberians should go back to Liberia when their status runs out.

"It is time for people to go back and rebuild their country," said Dan Stein, president of the Federation for American Immigration Reform. Stein underlines the temporary in "temporary protected status." He said for Liberians to stay when their country is at peace would be an abuse of U.S. hospitality.

"It makes a mockery of the concept of short-term temporary humanitarian protection."

Department of Homeland Security deputy spokesman Sean Smith said its Immigration and Customs Enforcement agency is "consulting with the White House and the State Department to determine the most appropriate course of action" in regard to the Liberians.

CNN's Jeanne Meserve contributed to this report.

@highlight

14,000 Liberians took advantage of U.S. temporary status during civil war

@highlight

Liberians have to return home when status exemption expires March 31

@highlight

Corvah Akoiwala: "My fear is, who am I going to leave my kids with?"

@highlight

Sen. Jack Reed pushing for extension to allow Liberians to stay