Tensions in Ferguson, Missouri, have simmered since black teen Michael Brown was shot and killed by a white police officer in August.

And with a grand jury expected to soon deliver its decision on whether to indict the officer, a group that represents protesters says it wants 48-hours notice before the decision is announced so it can help prevent the St. Louis suburb from once again boiling over with anger, violence and confusion.

A group of community members calling themselves the Don't Shoot Coalition this week released 19 "Rules of Engagement" that touch on major points of contention between protesters and police since Brown's August 9 killing.

Witnesses said Brown, who was unarmed, had his hands in the air as if surrendering, when he was shot. Authorities said Brown attacked the officer.

Dueling narratives in Michael Brown shooting

'Prepare for the worst'

Ferguson Mayor James Knowles told local media this week that authorities must "prepare for the worst" and he expects demonstrations across the area.

He and his administration didn't respond to CNN's inquiries about whether city officials would agree to the coalition's requests. Ferguson police also did not respond to CNN's questions about what that department thinks of the "rules," but St. Louis County police said their department "endorses the statement from the Don't Shoot Coalition regarding the sanctity and preservation of human life. To that end, and in the spirit of building communications, members of the Unified Command have met with the coalition to define common goals."

Many protesters were furious because they feel Brown's killing was an example of excessive use of force. They and heavily armed law enforcement clashed in the streets for days after Brown's death.

Authorities, who drove armored vehicles and wore military gear, were roundly criticized by members of the media, other law enforcement officials and demonstrators for escalating the violence, rather than tempering it. Law enforcement also was accused of blocking and, in some cases, attacking journalists who were trying to report on the situation.

FAA issues no-fly zone over Ferguson

19 'Rules of Engagement'

Some of the coalition's "rules" ask that police provide information that makes clear law enforcement's chain of command, who is making what decisions and why, and assurances that neither police nor the government will interfere with the flow of information. That means, according to the "rules," there will be no unwarranted wiretapping or attempts to interfere with internet and cellular access. The rules ask the police not to use rubber bullets, armored vehicles, rifles and tear gas.

The organization also has written stipulations about how it wants police to present themselves, including a request that officers wear attire "minimally required for their safety" and that "specialized riot gear will be avoided except as a last resort."

Knowles would not give details on law enforcement's plan following the grand jury's decision, CNN affiliate Fox 2 reported Wednesday. But he spoke in broad terms about the approach law enforcement is going to take.

"It's not going to be about lining up a fixed line of law enforcement officers somewhere, it's going to be about being prepared, being reactive, being mobile, being able to respond to wherever an issue breaks out," the mayor said.

Knowles also expects there's going to be unrest outside of Ferguson.

"It's not going to be about Ferguson," he said. "The threats that are out there are threats across the region. Our expectation is that demonstrations will probably break out in several places."

The mayor told Fox 2 that people who are close to organizers and protesters have informed him that demonstrators are planning to focus on areas around St. Louis and the city's downtown.

Area school superintendents have written a letter urging that when the grand jury comes to a decision that it be announced on a weekend or at least not on a weekday until after 5 p.m. The superintendents are concerned that if chaos happens, that could affect the ability of nearly 20,000 students who use transportation to get to and from school.

If violence breaks out in Ferguson, people who live there won't be behind it, Knowles told Fox 2.

"I think you have to prepare for the worst, but I think we all hope the best out of people," Knowles said. "I don't believe that there is even a small fraction of residents in the city of Ferguson who want to do any damage or harm to any other residents or to any businesses... the concern would be who comes (from) outside the area."

Opinion: Ferguson: The signal it sends about America

Are the 'rules' legal?

Don't Shoot Coalition co-chair Michael McPherson said the purpose of the group's proposed rules is to "de-escalate violence" without tamping down on peaceful protest action.

"What we're trying to do is make sure that we move everything into a constructive way to create change," he said.

CNN legal analyst Paul Callan and radio personality Mo Ivory, appearing on CNN on Thursday, praised the idea of community members working with law enforcement to avoid a repeat of the chaos that raged in August and September.

"It's been done in mass demonstrations in the past -- marches on Washington, D.C., for civil rights, protesting the Vietnam war," he said.

Opinion: What does justice mean for Ferguson?

Callan was skeptical that the police would -- or should -- agree to some of the rules, including those that govern what police can wear and when they can make arrests.

One rule states: "Police will be more tolerant of more minor lawbreaking such as thrown water bottles when deciding whether to escalate the use of force."

"When you're out on the street and there's a huge street demonstration which could go violent immediately, you have to be prepared for that," Callan said. "What are they going to do? Go change? If you're a cop you have to protect yourself from things being thrown at you."

In the days after Brown's shooting, Ivory noted that the police looked like "they were going to war."

"And that's what made the protesters feel that heightened (fear)... because of the way the police were speaking to them," she said.

As far as being notified 48 hours ahead of a grand jury verdict, Callan said that was legal and could be done, though it would be an unusual step.

"I can't find any cases where the judiciary, which runs the grand jury, gave advance notice to street demonstrators about when an indictment was going to come down," Callan said. "On the other hand, it's not illegal, so theoretically, it could be done."

Complete coverage on Ferguson

@highlight

Mayor James Knowles: "Demonstrations will probably break out in several places"

@highlight

Grand jury decision expected this month whether to indict officer who killed Michael Brown

@highlight

Brown's August shooting sparked protests that devolved into riots this summer

@highlight

Don't Shoot Coalition wants 48-hour notice before grand jury announces decision