ATLANTA, Georgia (CNN) -- Eric Hahn thought his financial situation was set after he was approved for a private student loan with an 8 percent interest rate to supplement his federal education loans.

Eric Hahn, 21, estimates he will be in debt for the next five to seven years for his undergraduate tuition.

Just a few weeks later, Hahn, 21, was forced to cash in his savings and investments so he could make his rent and tuition after finding out that the lender, MyRichUncle.com, had suspended its private student loan program.

"Due to continued disruptions in the capital markets, combined with the continued demand we have experienced this year, we are reaching funding capacity limits," a message on his cell phone said, mimicking a statement on the company's Web site.

The sudden news left Hahn, a senior-year finance major, scrambling to find additional funding after maxing out his borrowing options from the federal government. Eventually, the country's leading student loan provider, Sallie Mae, approved him for a private loan at 12 percent.

After he graduates, Hahn estimates it will take him anywhere from five to seven years to repay about $30,000 he will have borrowed by then.

"Money isn't cheap," said Hahn, who transferred to Georgia State University in Atlanta from the University of Connecticut last year because the tuition was less expensive. "The process is time-consuming, and there's also the stress of having to liquidate my investments and wonder where I'm going to find money."

About 8 percent of student borrowers rely on private loans, which tend to be costlier and stricter than federal loans, said Robert Shierman, executive director of the Institute for College Access and Success. In doing so, Hahn and others like him are getting a crash course in market volatility and its effects on the consumer's ability to find money.  Watch how the current economic troubles affect consumers »

MyRichUncle.com is the most recent lender to suspend its private student loan program, joining the ranks of major financial institutions like Wachovia and Bank of America and companies specializing in student loans such as College Loan Corporation and Campus Door, which was backed by Lehman Brothers.

MyRichUncle's president and co-founder, Raza Khan, told CNN: "We are currently working with a number of investors so we can resume loan origination as soon as possible.

"Meanwhile, students and parents should not lose sight of the value of education. Funds do remain available -- we encourage families to do all the homework and research, and to make prudent decisions on borrowing," he added in a written statement.

Since August 2007, 33 lenders have suspended private loans programs, according to the Web site FinAid.org, which tracks activity in the student loan market.  Unlike federal lending programs, private loans rely on liquidity from investors. Even though private loans are considered strong by industry standards, they are feeling the effects of a turbulent capital market.

"The only reason lenders had to stop making the loans was that they ran out of liquidity," said financial aid expert Mark Kantrowitz, who created FinAid.org.

"It's a contagion effect of the sub-prime crisis," said Kantrowitz. "It's an overreaction that has affected the student loan market."

With their strong resemblance to consumer loans, where lenders set the terms based on your credit score, financial advisers often recommended private loans as a means of last resort.

But with rising tuition and increased enrollment putting a squeeze on the student aid market -- which disbursed about $60 billion in federal funds and $17 billion in private loans last year -- students are turning to private loans after they've exhausted all other avenues, or for expenses that federal aid won't cover.

In response, Congress passed legislation this year to increase the maximum amount of federal loans that students can obtain.

"With federal student loan limits increasing, you can borrow now more than last year, regardless of income, assets, collateral or income," said Martha Holler, vice president of corporate communications of Sallie Mae.

Despite the uncertainty in the capital market, many lenders, including Sallie Mae, are still able to offer private student loans by securing lines of credit and raising liquidity on their own.

Holler says other options also exist, from scholarships for skills as random as skateboarding, to tuition payment plans -- an interest-free option that allows borrowers to make payments in monthly installments.

But students like Hahn remain on the fringe. Even after being awarded an out-of-state tuition waiver, which lets him pay the same tuition as a resident from Georgia, he says he has borrowed all he can in federal loans. His parents, who are facing their own financial struggles, can't co-sign for a loan with a lower interest rate or better terms.

Nevertheless, Hahn has accepted his fate. As school begins, he is returning his focus to his studies.

"It's a pain in the neck, but it is what it is," he said in a telephone interview in between classes Wednesday. "The reason this all happened is due to the credit crisis and the housing crisis. So I guess the lesson is don't hop on what everyone else is doing."

CNN's Taylor Gandossy contributed to this report

@highlight

Lender My Rich Uncle suspended its private student loan program on Friday

@highlight

The move left Eric Hahn, 21, scrambling to find alternative funding sources

@highlight

The company says it is working to resume loaning money as soon as possible

@highlight

Financial advisers say investors are pulling out even though loans considered strong