(Financial Times) -- The tour of China by Tim Cook this week had all the trappings of an official visit by a popular head of state.

There were the staged photos of the Apple chief executive's handshake with the Chinese vice-premier and of his visit to an iPhone production line, not forgetting the "man of the people" shot of him posing with customers at an Apple store.

Mr Cook is, after all, the head of a company whose $108bn in sales in its last fiscal year was equivalent to the gross domestic product of Iraq.

The Apple chief appeared to be revered and his attention to China appreciated by ordinary people.

"It is laudable that he shows up here, where people work so hard to make Apple products and spend so much money to buy them," said one of many comments on Sina Weibo, China's leading Twitter equivalent.

But while this was, by all accounts, a successful diplomatic and trade mission, its political implications spread well beyond China's borders. The visit appeared timed to coincide with Thursday's release of the Fair Labor Association's report on conditions in Chinese factories where Apple products are made. It found at least 50 "serious and pressing non-compliances" with its own workplace code of conduct and Chinese labour law.

Apple's welcoming of the report's recommendations and Mr Cook's visit to the factory floor seemed intended to soothe international criticism that alleged Apple made huge profits on the back of poorly paid and badly treated assembly workers in China.

Dozens of labour rights organisations from the US to Poland, India and Indonesia wrote an open letter to Mr Cook this week demanding Apple provide a living wage for Chinese workers so they did not have to work excessive overtime. They wanted an end to the use of involuntary labour in the shape of student interns and called for staff to be given health and safety training and the ability to form a genuine trade union.

The recommendations of the FLA and the agreement to them by Apple and its main supplier Foxconn appear to answer these points. There were commitments that would reduce working hours to legal limits while protecting pay and improving conditions.

"If implemented, these commitments will significantly improve the lives of more than 1.2m Foxconn employees and set a new standard for Chinese factories," said Auret van Heerden, FLA president.

But perceptions of Chinese conditions and Apple and Foxconn's behaviour are different in China itself, where jobs in the factories are seen as highly desirable and paying well above the going rate. A queue of 1,000 people awaited interviews outside a Foxconn facility near Shenzhen last month.

A younger generation of Chinese also have a different work ethic -- preferring to work excessively to get the money they need and then leaving a company -- giving employers like Foxconn the problem of a high turnover rate, one of the biggest issues faced by Chinese manufacturers. The promise to the FLA of more substantial basic pay may actually help Foxconn keep employees longer term.

Indirectly, being seen as a force for higher pay and better working conditions in China may also help to support Apple's recent efforts to appeal to Chinese consumers.

Although Apple has recognised China in recent years as one of its fastest-growing markets, for a long time it did little to give it special treatment. Its China subsidiary is run by a low-key former Hewlett-Packard executive, who industry insiders say has little clout with headquarters.

In stark contrast to many other multinationals, which make great efforts to highlight their special commitment to China with local research and development, frequent new investments and customised products, Apple has refused to divert from the marketing strategy it uses in other markets.

For a while, the delayed launches and scarce supply of its products in China seemed to fire up local consumers' enthusiasm for the cult brand even further. But over the past year, the company started seeing limits to that approach and faced a series of challenges.

Its past two local product launches triggered riots involving the unlicensed resellers who have come to dominate the distribution and retailing of iPhones and iPads in China.

Following the launch of the new iPad this month, Chinese customs started stricter checks aimed at stopping smugglers from bringing in the device for resale in the country. This week, a crackdown on grey-market iPhone resellers in the southern city of Shenzhen triggered a suspension of iPhone sales by a number of unlicensed online traders.

Apple is also fighting a legal battle over the Chinese iPad trademark, which is registered under the name of Proview Shenzhen, a struggling technology firm.

Analysts expect Apple to swallow much, if not all, of the costs of the improvements recommended by the FLA. Labour rights organisations have pointed out Foxconn's limited ability to do so with profit margins falling as low as 1.5 per cent compared with those of more than 30 per cent for Apple. Foxconn has already implemented a series of wage increases over the past two years.

"When Foxconn hiked wages the last time, Apple paid for it," said Kirk Yang, head of Asia ex-Japan tech hardware research at Barclays Capital. "Apple used to pay Foxconn $8 for every iPhone and $10 for every iPad, but they hiked the price by about 30 per cent."

The larger burden for Apple is part of a shift that has been under way since 2010.

When Foxconn announced its first wage increase after a series of suicides among its Chinese workers, it said the time had come for other parts of the technology value chain to shoulder some of the soaring labour costs in China.

"There does seem to be a new trend that customers [of contract manufacturers] are more willing to share the cost when it comes to labour-related issues," said Jenny Lai, analyst at HSBC.

Thompson Wu, a technology analyst with Credit Suisse, said the review of Apple's supply chain, which is being continued by the FLA beyond the initial three Foxconn factories, was likely to influence other contract manufacturers as well.

"Particularly, Quanta, which plays an important role in the MacBook space, and Pegatron, which assembles iPhones, are likely to come under similar examination," he said.

With a huge share of contract manufacturing for the global supply chain done in China, many companies with smaller financial resources than Apple -- the world's most valuable company by market capitalisation -- will be viewing the cost of this week's events with trepidation.

© The Financial Times Limited 2012

@highlight

CEO Tim Cook toured Chinese factories that make Apple products

@highlight

Visit coincided with release of report that found numerous working violations

@highlight

Intended to soothe criticism of Apple profiting from low-paid workers in poor conditions