(CNN) -- For a film about travel, "Gringo Trails" almost makes you never want to travel again.

The 80-minute documentary by New York-based anthropologist Pegi Vail takes the pants off the tourism industry to expose the negative impact travelers have on the places they pass through.

Vail filmed in numerous locations along the "gringo trail," a series of hot spots around the world first explored by adventurous Western backpackers seeking the undiscovered and authentic -- the so-called "hidden gem" destinations.

Inevitably, word gets out about these once little known places, and more backpackers descend.

Close behind comes the whole gamut of the hospitality industry -- the hotels, booze, drugs and sex peddlers, multi-national tour operators, and the sirens of independent travel, guidebooks.

Within a decade, places like Haad Rin beach in Thailand go from untouched haven to full-blown party destination visited by tens of thousands of hedonists.

Uncontrolled development overwhelms the environment and crushes local culture.

Window seat -- but you may not like the view

For those who love to travel, "Gringo Trails" is a bucket of ice water in the face.

It forces us to confront the consequences of tourism and how travelers have a long-term effect on the places that they visit.

Why am I traveling? Why do I want to go where I'm going? Where are my tourist dollars heading and what else am I giving to a place?

These are the questions "Gringo Trails" asks and, as importantly, wants us to ask of ourselves.

As such, it's a neat little Backpacker 101.

A moving essay with a broad scope, it takes us on an intrepid guilt trip around the world, from Haad Rin to Timbuktu to Bolivia's Isla Incahuasi to Bhutan.

For those who have read up on the problems of introducing tourism to developing countries, "Gringo Trails" won't offer anything new, but it brings vague notions to life through dramatic images, sometimes beautiful, most times appalling.

Hodgepodge technique distracting

"Gringo Trails" is inconsistent in style and quality.

Some shots are slick and well-produced -- an opening sequence featuring a continuous aerial shot over the Bolivian jungle sets up a glamorous big-budget feel.

Other scenes have a low-def, hand-held quality, which adds immediacy but can be annoying.

Vail began filming in 1999, picking up new filmmaking skills (and likely more budget) along the way. The hodgepodge approach shows.

Adding to the confusion are humorous anecdotes that pepper the film.

Standing in front of large maps, travel professionals speak directly to the camera in aggressively chirpy tones, like friends recounting travel stories to each other at the bar.

It's a jocular, reality-TV style that clashes with the heavy subject matter and creates emotional speed bumps in an otherwise somber film hurtling toward ever more bleak examples of irresponsible tourism.

One of the primary narratives is set in Bolivia, where the tale of Yossi Ghinsberg, a backpacker who got lost in the Bolivian jungle in 1981 and survived for weeks before being rescued, has attracted a tribe of thrill seeking travelers.

Ghinsberg eventually returned to Bolivia to help set up the Chalalan Ecolodge, a project now owned and operated by the Bolivians that helped to rescue him.

The film concludes with a vignette about the Chalalan Ecolodge project.

It's an optimistic note -- a traveler who harnesses the power he has over a destination and its people -- that serves as a great argument for responsible travel.

There may be no singular, fool-proof formula for how a nation should develop its tourism industry, but Vail's film should get us talking about the many possibilities.

"Gringo Trails" was released through Icarus Films and is now showing on the global film festival circuit.

Upcoming screenings: Environmental Film Festival, in Washington, D.C., March 19; Sebastopol Documentary Festival, in California, March 29

Zoe Li is a travel writer and cultural critic based in Hong Kong.

@highlight

'Gringo Trails' documents negative affects of backpacker travel around world

@highlight

It was filmed over 10 years by a New York anthropologist

@highlight

Locations include Bolivia, Bhutan, Thailand and Timbuktu