(CNN) -- Three suspected al Qaeda terrorists arrested last week in Spain appear to have been interested in targeting a Gibraltar-area shopping mall in a strike that was likely intended to coincide with the London Olympic Games, an analyst says.

Police deduced this from the declaration of a paragliding instructor who had dealings with the group and the contents of a video they recovered from the suspects, according to Fernando Reinares, a senior international terrorism analyst who was briefed by Spanish security services on the investigation.

"Attacking in or near Gibraltar during the Olympic Games apparently was for them a feasible alternative to what they, and their corresponding organizational leadership, perceived as a much more difficult operation, that of attempting an act of terrorism in London," Reinares told CNN.

While the planned execution date of their alleged plot is still not clear, any attack on or near British soil during the Olympic Games would have generated intense global publicity.

Video: Preventing 7/7 style attack at Olympics

Spanish police believe that one of the targets of the alleged cell could have been a commercial complex named "Puerta de Europa" in Algeciras, just across the strait of Gibraltar from the British overseas territory, Reinares told CNN.

Spanish security services suspect their plan may have been to attack the area around the British territory on the southernmost tip of Spain from the air, Reinares said.

A paragliding instructor told police Saturday that Cengiz Yalcin, the alleged cell's Turkish facilitator, asked to be able to take pictures of a Gibraltar shopping mall "at all cost," said Reinares.

Spanish security suspect the cell was testing a remote-controlled plane as a potential bomber. Spanish investigators found a video in which Yalcin was flying a remote-controlled airplane, according to Reinares.

The footage showed the plane, which was about three meters long, being maneuvered into a descent. Two packets were then seen dropping from either wing of the plane following his command.

"In the images he can't help expressing his joy for the successful try," Reinares told CNN. "Terrorists innovate and adapt to security measures, we have to always keep this in mind," he added.

Read more: London's Olympic security headache

It is not the first time that terrorists have sought to use remote controlled aircraft in terrorist plots. In July, Rezwan Ferdaus, a Massachusetts resident inspired by al Qaeda's ideology, pleaded guilty to a September 2011 plot to fly a remote-controlled plane into the Pentagon and U.S. capitol with high explosives.

Two Chechen-Russians -- Eldar Magomedov, also known as Ahmad Avar, and Muhammad Adamov -- whom Spanish security services suspect had been tasked with carrying out an attack, were arrested on a bus traveling toward France.

Investigating Judge Pablo Ruz ruled Sunday there was sufficient evidence to unconditionally detain both men. They were charged with membership in a terrorist group and possession or storage of explosives. Yalcin stands accused of possession of explosives substances.

According to a statement released Sunday from Ruz, the Chechens hid their true identity after they were arrested, but Spanish authorities were able to establish their real names after help from Russian authorities. The judge noted that U.S. authorities and Gibraltar law enforcement also assisted the Spanish investigation.

The arrests were announced Thursday. Experts say the men appear to have constituted one of the most skilled and experienced terrorist cells seen in recent times, and appear to have been dispatched by al Qaeda to carry out an ambitious attack in Europe.

Magomedov, the suspected leader, was a former member of Spetsnaz, the Russian special forces, according to Spain's Interior Ministry. He had training as a sniper and was an expert in poisons, the ministry said.

Reinares, of Madrid's Elcano Royal Institute, said that according to information passed to Spain by several Western intelligence agencies, Magomedov joined training camps in Afghanistan and Pakistan, including camps run by Pakistani militant group Lashkar-e-Tayyiba, after leaving the Russian special forces outfits.

According to this intelligence, between 2008 and 2011, Magomedov operated in the southwestern Russian republic of Dagestan and the Pakistani tribal districts of North and South Waziristan, transiting between them, Reinares said.

Adamov, the other Chechen, had received explosives training in Afghanistan, where he become an expert in managing explosives and may have participated in a recent bomb attack in Moscow, according to Spanish authorities.

According to Reinares, the French described the Chechens to their Spanish counterparts as "really dangerous." He said British intelligence services were also involved in tracking the suspected terrorist cell.

Also found in Yalcin's home was equipment for three motorized paragliding machines. Yalcin told a Spanish investigating judge Friday that he was an enthusiast of motorized paragliding and wished to teach his two Chechen associates how to fly them.

Reinares said Spanish security services have established that both Chechens received motor-paragliding lessons near La Linea and may have had some instruction before arriving in Spain. A paragliding hand book in Russian was found in their possession, Reinares said.

French security services tipped off their Spanish counterparts about the probable arrival of the two Chechen suspected terrorists in May, according to Reinares. The French had been tracking the duo and monitoring their phone calls. At one point, they intercepted a phone call in which the Chechens described Spain as a "more easy country to get explosives," Reinares said.

Investigators moved to arrest all three men after the two Chechens appeared to be heading back to France by bus, concerned that France may be their target. One of them violently resisted arrest, the Spanish Interior Ministry reported.

Read more about al Qaeda on CNN's Security Clearance blog

@highlight

Analyst: An alleged plot in the Gibraltar area was likely timed to coincide with the Olympics

@highlight

It may have been a "feasible alternative" to planning a terrorist act in London, he says

@highlight

Experts say the men are among the most skilled suspects in recent years

@highlight

Paragliding equipment and explosives were found in one suspect's home