(CNN) -- The air in and around New Orleans is electrified with anticipation -- and anxiety.

Louisiana National Guard members arrive at the New Orleans convention center during preparations for Gustav.

Nervous is how Merrick Matherne says he is feeling. Nervous and stressed at the prospect of having to survive and rebuild in the wake of another hurricane.

As Friday's third anniversary of Katrina's landfall passed, the Crescent City found itself potentially in the cross hairs of another destructive storm, Hurricane Gustav. Residents are suspended in a wait-and-see mode, with an evacuation order for New Orleans likely to come sometime after Saturday, according to Mayor Ray Nagin.

Matherne and his family live in a low-lying area in the town of Metairie, near Lake Ponchartrain, just outside New Orleans.

After Katrina and a drawn-out evacuation, Merrick and his wife spent nine taxing months living in various places, sometimes apart. Then, they went through the challenge of dealing with insurance companies and contractors over the phone, waiting for the various bureaucracies involved to do their part. Now they face the prospect that it might happen all over again.

And they are not alone.

"The city is in a little bit of a panic," says Dr. Tim Pearman, Ph.D., a clinical associate professor of psychiatry and neurology at Tulane University School of Medicine.

"Kind of wherever you go, every TV is turned to the news. The news is now reporting nothing else other than the hurricane, and it's days away. People are really heightened in terms of their emotions right now."

Many New Orleans residents already live on the edge emotionally. Among Katrina survivors, New Orleans has a post-traumatic stress disorder rate of more than 25 percent, and a mood and anxiety disorders rate of roughly 35 percent, according to a study published in the journal Molecular Psychiatry in January. The big question is, can the city deal with any mental health fallout should Gustav get within striking distance?

"Thinking about the storm is anxiety-provoking for people. It brings them back to a lot of those feelings they had and memories from Katrina," says Dr. Anthony Speier, the deputy assistant secretary for the office of mental health at the Louisiana Department of Health and Hospitals. "People have memories that are triggered by preparing for this storm."

"Why did we return? Why did we rebuild? Why is this happening again to us? All of those thoughts are going through people's minds," says Dr. Lisa Mills, an associate professor of emergency medicine at Louisiana State University's Health Sciences Center at New Orleans. "People are certainly anxious and doubting themselves."

But there is a small silver lining to all the attention Gustav is generating. Pearman, who also serves as the director of the Tulane Cancer Center Comprehensive Clinic, says that although the anxiety brought on by Gustav is "definitely a bad thing," it is spurring better preparedness. "In terms of the prep, it's great, because I really think it's going to be a different ball game than it was three years ago."

There is no doubt that the city is better prepared overall than it was for Katrina. But in mental health services, many holes still exist.

After the storm, the city lost -- and hasn't completely replaced -- many of its hospital beds devoted to mental health, and also many of its psychiatrists, psychologists and social workers, leaving it ill-equipped to handle its chronic caseload, let alone any spike in mental health care needs brought on by potential stressful events like Gustav.

"Throughout the country, mental health is in crisis, and in areas that are impoverished and recently devastated like New Orleans, they are certainly struggling," says Mills, who is also an ER physician at the Louisiana State University emergency department at the University Hospital in New Orleans. Mills says the city's mental health system that can't provide care for its chronic level of illness, let alone for any surge in demand.

Pearman agrees that the city has not recovered. "Mental-health wise, absolutely not. The number of providers is still far below what's needed," he says.

Still, New Orleans is not a complete wasteland in terms of mental health services. Louisiana Spirit is the state-run counseling program funded by FEMA. "We've been on the ground since Katrina and have been providing mental health and emotional recovery services," says Speier, who directs Louisiana Spirit.

He says the agency has about 215 counselors who service the parishes in and around New Orleans.

"We have provided individual counseling visits to over a quarter-million people and we've generated probably 2.5 million to 3 million contacts -- many people we see more than once. The primary part of their work [is] meeting with survivors, going to their neighborhoods, homes, community centers, and educating people about emergency preparedness, about coping with the recovery process, about getting their homes and lives back together."

As for Matherne, he says he and his wife are dealing with the specter of Gustav with humor, mostly for the sake of his eldest daughter, now 9, who is anxious about losing her friends and her toys all over again.

"We're just trying to be as funny as possible and keep it in as light a mood as possible while we're biting our nails. We're worrying amongst ourselves and eating junk food as relief."

He jokes that they haven't hit the bourbon yet, but they are defrosting the freezer, where a gallon of daiquiris await.

CNN.com's Elizabeth Landau contributed to this report.

@highlight

Katrina survivors face more stress with new looming hurricane

@highlight

Study: New Orleans' post-traumatic stress disorder rate is more than 25 percent

@highlight

City's mental health services haven't recovered from Katrina losses