(CNN) -- Pollution doesn't respect national borders.

Outsourcing manufacturing to China may have resulted in less pollution in some parts of the United States, but other regions have lesser air quality because of U.S.-bound Chinese products, a new study in the journal Proceedings of the National Academy of Sciences finds.

"Pollution from China is having an effect in the U.S., and we need to recognize how that is affecting both our background ozone levels and also particulates that are reaching the West Coast," said study co-author Don Wuebbles, professor of atmospheric science at the University of Illinois at Urbana-Champaign.

In the western United States, Chinese pollution related to exports contribute up to 12% to 24% of daily sulfate concentrations, the study said.

Because of the United States outsourcing manufacturing to China, the eastern United States saw a decrease in sulfate pollution, but an increase was seen in the western part of the nation.

Because of pollution from China, the Los Angeles area and other U.S. regions violate national ozone standards one extra day per year, the study said.

U.S. consumer goods such as cellphones and televisions are often produced in China. Although Chinese manufacturing isn't causing most of the U.S. pollution, winds called "westerlies" can send chemicals across the Pacific Ocean in a matter of days. Valleys and basins in western states can see accumulations of dust, ozone and carbon.

"We know that the efficiency of industry in China is not as it is good in the U.S.," Wuebbles said. Higher efficiency of U.S. manufacturing, combined with controls on emissions and outsourcing, have made strides in reducing U.S.-based emissions.

Opinion: Pollution could turn China's dream into nightmare

Does that mean that outsourcing manufacturing to China is bad for American public health? The study suggests that for the United States as a whole, there's a net benefit, because the population density in the eastern United States is higher than in the West.

But the West still suffers.

Sulfate concentrations went up by up to 2%, and ozone and carbon monoxide levels saw slight increases too, in the western United States in 2006, according to the study.

Average sulfate, carbon monoxide and black carbon concentrations went down by 0.3% to 0.9% when looking at population-weighted averages. But this all comes at a cost: In the western United States and populous Chinese regions, air quality went down.

Smog forces 'blind landing' training on China's pilots

Black carbon has been linked to asthma as well as diseases such as cancer, emphysema, and heart and lung disease. Rain doesn't easily clear it from the atmosphere, so it hangs around and travels far.

Researchers found that 36% of anthropogenic sulfur dioxide, 27% of nitrogen oxides, 22% of carbon monoxide and 17% of black carbon from Chinese emissions were linked to producing goods for export.

About 21% of export-related emissions from China, for each of these pollutants, came from exports that went from China to the United States.

Production of goods for export has rapidly expanded in China, with volume growing 390% between 2000 and 2007, although there has not been as much growth since the global financial crisis. China has generally become a "large net exporter of energy-intensive industrial products," the study said.

Behind this economic growth is a rise in combustion of fossil fuels, particularly coal, a big culprit in carbon dioxide emissions rising worldwide.

Previous research has shown the substantial carbon dioxide emissions that result from Chinese trade, but this study focused on more other air pollutants. Researchers constructed a model using data on economics and emissions.

U.N. climate change report points blame at humans

Over the last decade, China has seen a huge increase in the use of coal-burning power plants, Wuebbles said. Coal use for generating electricity is a big part of why carbon dioxide emissions have nearly doubled their rate of growth worldwide, according to a leaked report from the United Nations Intergovernmental Panel on Climate Change, obtained by CNN.

High carbon dioxide atmospheric concentrations are projected to cause a 2 degrees Celsius (3.6 degrees Fahrenheit) increase in temperature by 2100. Agriculture, forestry, ecosystems and human health are all expected to suffer as a result of trends in climate change.

To decrease pollution from China, Wuebbles recommended increasing the efficiency of manufacturing processes and re-examining energy production. Scrubbers can reduce emissions from coal-burning power plants.

"Consideration of international cooperation to reduce trans-boundary transport of air pollution must confront the question of who is responsible for emissions in one country during production of goods to support consumption in another," study authors wrote.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Study: West Coast air quality suffers because of Chinese exports

@highlight

Manufacturing practices in China are not as efficient as in the U.S.

@highlight

Coal-burning power plants have become more common in China