London (CNN) -- Writing almost a century after the Acts of Union joined Scotland with England, and 50 years since its Jacobite uprisings were brutally supressed, the bard Robert Burns bemoaned the real reason behind his nation's loss of independence: money and its ability to sway the vote.

"The English steel we could disdain,

Secure in valor's station;

But English gold has been our bane,

Such a parcel of rogues in a nation!"

Two world wars and countless upheavals have come to pass since, with Scotland standing valiantly -- if sometimes uneasily -- alongside the rest of the United Kingdom.

Yet one question has never ceased to prey upon its people's psyche: would Scotland be better off on its own?

And what would have happened had its own parliament, which Burns so bitterly berates, not condoned a merger between the two famous foes?

On 18 September, some 300 years after that fateful marriage, the people of Scotland -- not England, Wales or Northern Ireland -- will finally have their chance to reverse that move in a ground-breaking referendum.

And, once again, finances are likely to play a significant role.

With a population less than a tenth the size of the UK's and a GDP worth a quarter of a trillion dollars, Scotland's inhabitants are relatively comfortable in comparison to many of their neighbors across the border.

Scotland enjoys its own legal and education systems, as well as more generous healthcare provisions than England.

It has its own parliament in Edinburgh and Scottish MPs can represent their constituencies in Westminster too, which in effect gives Scotland two voices in one home nation.

Still, the ruling Scottish National Party believes that Scotland should be separate; that its foundations are not only sturdy enough to support an independent state, but also to nurture a new tiger economy in northern Europe, as Burns may well have enthused.

How so?

Because independence, the SNP argues, would give Scotland leeway to cut taxes and to lift those in need out of poverty. It would reduce the country's share of the UK's debt burden and bring back skills and manufacturing eroded by Margaret Thatcher's deeply divisive policies there three decades ago.

What's more, with Britain often challenging its European neighbors on policy, Scotland would like its own dialogue with the international community, saying it aims to join the United Nations and NATO should independence be won.

A noble cause for sure.

But just like Burns's famous poetry, the plot is rich in idealism and light on practicalities, for many of Scotland's pro-independence arguments are based on the assumption that it would be granted automatic membership to a few key clubs without having to wait in line.

One is the Bank of England, the other the European Union, and neither is sending Scotland a welcome message.

Britain's chancellor recently ruled out allowing an independent Scotland into a shared monetary union.

This means that if the nation were to keep the pound as its currency, Scotland would have no control over interest rates and no central bank to bail out its large financial services sector.

And for those pro-independence Scots who thought adopting the euro could be a solution, European Commission President Jose Manuel Barroso appears to have scotched those plans as well, asserting Scotland would have to go through the whole rigmarole of EU accession first and may find its path blocked by existing member states, fearful of their own separatist movements like Spain.

Whether Barroso is right, or as some former EU officials have declared, wrong, the roadmap for Scotland's independent state after a potential "yes" vote is so convoluted that some of the country's biggest businesses have already begun to draw up contingency plans.

Standard Life, with more funds under management than the size of Scotland's entire economy, has become the first major firm to consider upping sticks and heading south should the sovereignty of its homeland be restored, in an action that could put 5,000 jobs under threat.

Burns was right in saying gold was key to his country's future. But today "black gold" also comes into the equation.

After years of alleged shoddy stewardship of Scotland's oil and gas reserves by Britain's central government, pro-independence campaigners reckon the country would be more effective at managing its own resources, keeping profits in a windfall fund that could be used to top up the budget where necessary.

The UK prime minister David Cameron, however, is adamant those offshore wells would be best served by the "broad shoulders" of Britain and to prove the point he's committing money -- some 300 millions of dollars of it -- to recover 4 billion barrels lost in production.

But let's not cry over spilled oil for Scotland! There's plenty at stake for the rest of the UK should Scotland choose to go it alone. And while the referendum has been presented as a binary choice, it's not a zero-sum game.

The dissolution of the Union would have a profound effect on the both parties' clout on the world stage at a time when the EU is seeking a major free trade deal with the United States.

As if to underline this very point, the German Chancellor Angela Merkel chose to speak of the role ''a strong United Kingdom'' should play in Europe in her state visit to the country.

Surrendering large swathes of Scottish industry would make a mockery of Britain's plans to double its exports -- many of which coincidentally are headed for Germany -- to 1.6 trillion dollars by 2020 and throw businesses with branches on both sides of the boundary into disarray.

So, if it's fair to say pro-independence Scots are not too clear on why their realm would be more prosperous alone, why continue to fight for freedom?

Scottish separatism has as much to do with protecting the region's ancient cultural history and reviving auld allies as it does with managing the country's books.

And an independent Scotland could affect the UK's entire defense strategy, opening up an unpredictable flank at its northern extremity in the very place where Britain currently houses its nuclear deterrent.

The web of interests, at times, seems so interminable and the complexities surrounding Scotland's choice so hard to grasp that even the country's own politicians are now weary of talking in hypotheticals, not to mention the 16-year-olds who have been granted suffrage just in time.

The truth is the fortunes of Scotland and England are now woven together more tightly than the finest Campbell Tartan.

And when it comes to Scotland and its role within the UK, it's the trade ties that bind, even if the talk risks tearing them apart.

More from Nina dos Santos: Matteo Renzi, the football fan mayor taking on Italy's elite

More from Nina dos Santos: Is greed really good or will money be the end of us?

@highlight

One question has never ceased to prey upon the Scottish people's psyche: would the country be better off on its own?

@highlight

Nina dos Santos explores the complex relationship between Scotland and the rest of the United Kingdom

@highlight

She finds that while Scotland might want to split away, the complexities of such a move are extreme