At least 30 Palestinian youths were injured Friday in clashes in East Jerusalem, Palestinian medics said, as security was stepped up across the city amid concern that heightened tensions could flare into new violence.

The latest clashes came hours after hospital officials confirmed that a second Israeli had died from injuries suffered when a Palestinian drove a van into pedestrians at a rail station in eastern Jerusalem on Wednesday.

Friday's unrest broke out in the Shuafat Palestinian refugee camp in East Jerusalem, where the van driver lived, as well as in other neighborhoods, sources said.

Smoke rose in the camp as Palestinian youths threw rocks, set off firecrackers and set tires afire, while Israeli security forces responded with rubber bullets, stun grenades and tear gas.

Palestinian medical sources said they had treated injuries caused by rubber bullets hitting the head and body, as well as many cases of tear gas inhalation.

Fierce clashes between Israeli security forces and Palestinian youths erupted in the same area Wednesday after news that the Palestinian van driver had been shot dead by police.

He was identified by Israeli authorities as a member of the Islamist Hamas movement, Israeli police spokeswoman Luba Samri said.

A representative for Jerusalem's Hadassah Medical Center did not give details about the second van attack victim. But the Times of Israel said he was a 17-year-old student who had suffered serious head injuries. An Israeli border police officer also died and 12 other people were injured in the attack.

No motive for the attack was immediately released, but Hamas supported the hitting of the Jerusalem pedestrians in a text message to the news media: "Hamas blesses the action. What is happening in Jerusalem is pushing us to prepare for war."

Israeli police spokesman Micky Rosenfeld called the incident "a terrorist attack."

Barricades near Old City

Against a backdrop of days of unrest over the Temple Mount, or Haram al-Sharif, Israeli police set up barricades early Friday at the Damascus Gate entrance to the Old City.

But some restrictions were eased ahead of Friday prayers, with Israeli forces allowing men over age 35 and all women to enter the site to worship.

Israeli police on Wednesday clashed with Palestinian youths at the holy site, leaving more than 15 people injured, according to paramedics with the Red Crescent.

It was just the latest round of unrest there since activist Rabbi Yehuda Glick was shot and gravely wounded last week after championing more Jewish rights at the site, where Jews can now gather but not pray. Israeli police shot and killed a suspect in Glick's shooting.

Soldiers injured in attack by vehicle

A second attack on pedestrians Wednesday in the West Bank injured three Israeli soldiers, who were taken to the Hadassah hospital. All three are in moderate condition, said Dr. Asher Salmon, the hospital's deputy head.

A Palestinian turned himself in to Israeli authorities Thursday to say he was responsible for that incident, the Israeli military said.

Though the motives weren't immediately clear, the incidents were the latest in a series of vehicles striking pedestrians in Israel and the West Bank as the long-taut tensions between Israelis and Palestinians worsened in recent months, agitated in part by killings and a seven-week Israeli-Gaza conflict earlier this year.

On October 22, a Palestinian man rammed his car into commuters waiting at a light rail stop in Jerusalem, killing a baby and wounding several other people, Israeli police said.

Palestinian state news reported that a 5-year-old girl died on October 19 after an Israeli settler deliberately ran over her as she returned home from kindergarten near a village to the north of Ramallah in the West Bank.

Recent tension at the holy site

Some of the recent tension centers on the Temple Mount/Haram al-Sharif and Glick, who has argued that Jews must have a place of worship there. Such a Jewish prayer right is a sensitive issue for Muslims, who suspect a plan to expel them from the site.

Glick's October 29 shooting helped to ratchet up tensions in Jerusalem and prompted Israeli authorities to close the holy site for one day -- a move that a spokesman for Palestinian Authority President Mahmoud Abbas called a "declaration of war."

A spokesman for the military wing of Hamas said Wednesday that the site's al-Aqsa Mosque "is the detonator needed to ignite a volcano in the face of the cowardly and treacherous occupier."

"We salute the heroes of the mujahideen of Hamas," Abu Abiada said in a message posted on the military wing's website.

Since Muslims began construction at the site in the seventh century, Haram al-Sharif, now controlled by an Islamic trust, has been an almost constant source of tension between Muslims and Jews. Jordan controlled the site for a time until 1967, when Israel seized eastern Jerusalem.

Sacred events

With its golden dome overlooking Jerusalem, the site is said to have hosted sacred events in the Jewish, Muslim and Christian religions.

Jewish tradition holds that the Temple Mount contains Mount Moriah, where Abraham, the Hebrew patriarch, is said to have nearly sacrificed his son -- under God's orders -- before an angel intervened. Later, Israeli King Solomon constructed the first Jewish temple on the mount, including the Holy of Holies, a room that kept the Ark of the Covenant.

At the foot of the Temple Mount, the 62-foot-tall Western Wall, or Wailing Wall, stands. Once supporting the courtyard of the ancient temple, Jews gather there now to hold religious services, to pray or to slip notes into its cracks.

For Muslims, the Noble Sanctuary contains one of the most sacred sites in Islam: the al-Aqsa Mosque.

Muslims believe that the Prophet Mohammed was carried on a flying steed from Mecca to the site during his miraculous Night Journey, said Muqtedar Khan, an expert on Islam and politics at the University of Delaware.

Gaza bombings

Meanwhile, in Gaza, several houses belonging to leaders of the Palestinian Fatah faction in Gaza have been the targets of bombings and were damaged, the Palestinian Authority said Friday.

The explosions took place as Palestinian Prime Minister Rami Hamdallah was due to visit Gaza, but the Palestinian government said that the trip had been postponed until further notice.

@highlight

Palestinian medics: At least 30 Palestinian youths hurt in clashes in East Jerusalem

@highlight

Security is stepped up in Jerusalem amid rising tension over killings, status of holy site

@highlight

An Israeli injured two days ago in an attack by a van driver has died, hospital officials say

@highlight

Israeli military: A driver who says he struck soldiers in another attack turned himself in