Hong Kong, China (CNN) -- They are coming from cities across China, including Beijing and Shanghai:

Students are leaving mainland China for the opportunity to study in Hong Kong instead.

"We are a small elite who can afford freedom beyond China's great firewall," says "Li Cheng" from Shanghai.

Li, a student at the University of Hong Kong, did not want to disclose his real name or details about his study program, fearing consequences back home.

"I live in one country, but it feels like having two identities," Li said.  "In Shanghai, I use special software to access sites blacklisted by the government, like Twitter or the uncensored version of Google.

"In Hong Kong, I am taught to integrate these tools in my research."

In the past, students such as Li would have to travel to far-away countries to get around Beijing's control of information.

Now, they are taking advantage of Hong Kong's special administrative status that allows for a "one country, two systems" rule until 2047.

Hong Kong is nothing like mainland China in terms of its free flow of information, freedom of speech and multiparty political system.

Those differences were recently emphasized by Google's row with the Chinese government over censorship.

In March, Google announced it was routing its users to an uncensored version of the internet search engine based in Hong Kong, amid speculation that Google would pull out of China entirely.

China's reaction to Google's announcement

"When Google redirected its site from China to Hong Kong, it meant a lot of publicity for our free harbor," said David Bandurski, a China analyst at the University of Hong Kong (HKU). He studies censorship issues.

"[Google's] move has emphasized Hong Kong's significance in China, benefiting from the rule of law and its potential as a free information hub."

Many young Chinese have explored that hub since 1997 when the the British colony was handed over to China, paving the way for Chinese from the mainland to apply to universities in Hong Kong.

The influx of students applying from the mainland created fierce competition to enter Hong Kong's top universities.

The number of mainland Chinese applying for HKU's undergraduate program has increased more than tenfold in the past decade.

In 2008, some 12,000 mainlanders applied for the 300 slots that HKU reserves for students from mainland China.

Li Cheng said he considers himself very lucky to be studying in Hong Kong

"Free access to information is a need and a privilege," he said.

The influx of talent such as Li could signify a brain drain for mainland China, according to Bandurski.

"Without political reform, economic growth in China will decline," he said. "Talents will leave China. Students and teachers who want to have more access to information are not dissidents anymore. They are becoming the mainstream."

Asia's top five universities are now located in Hong Kong, Singapore and Japan -- outstripping their rivals in mainland China -- according to a recent ranking of QS, a higher education information network company.

The top mainland school was Peking University in Beijing in 12th place, down from its previous ranking of 10.

See Asian university rankings

The data show that "the tide has turned," according to Paul Denlinger, an internet consultant based in Hong Kong and Beijing.

"During the dotcom era [of the 1990s], head-hunters were looking for talent from universities in Shanghai and Beijing," Denlinger said. "Now they are coming to Hong Kong."

With new freedom at hand, only a few fresh HKU graduates have returned to the mainland.  Last year, only 3 percent of HKU graduates from mainland China returned home to look for a job.

That matches the trend of Chinese students studying overseas.

More than 70 percent of the more than 1 million Chinese students abroad did not return home after graduation between 1978 and 2006, according to a report by the Chinese Academy of Social Sciences

Aware of this brain drain, the Chinese government has recently introduced a plan to attract highly qualified students back to the mainland promising better living standards, including favorable access to medical care.

But that hasn't tempted Li Chang who, like many of his friends, wants to stay in Hong Kong.

"I love my country, but I don't want to give up on my right to access information," he said.

@highlight

More students are leaving mainland China to study in Hong Kong universities

@highlight

Some say it's because of the government's restrictions to the internet

@highlight

Many who leave mainland China to study elsewhere never return

@highlight

China is trying to lure highly qualified students  back by promising better living standards