(CNN) -- The likely failure of Friday's Geneva 2 conference to produce a credible political process to end Syria's civil war points up the painfully obvious: Syria -- a conflict seemingly without end -- is a moral, humanitarian and strategic tragedy.

But it is neither an American tragedy nor the Obama administration's fault nor responsibility.

This does not mean the United States is free to ignore the Syrian conflict; nor that its continuation doesn't negatively affect American interests.

What it does mean is that the President's risk-averse policy -- containment, humanitarian assistance, helping to organize and supply certain rebel groups, and keeping open the possibility of a political track -- is absolutely right. The administration should continue to ignore its critics' call for a more assertive policy, particularly if after a failed Geneva conference, there are calls for military action. Here's why:

We can't fix Syria

With 130,000-plus dead, thousands more wounded, a traumatized nation, and the social fabric of its society in shreds, Syria is beyond immediate repair or rescue. Short of a major international military intervention, followed by a massive humanitarian and reconstruction effort in the billions and thousands of peacekeepers whose stay would be measured in years not months, the Syrian conflict will go on.

The notion that America can now intercede -- or at any point in the past three years, could have intervened -- in a way that would have stabilized the situation, let alone put Syria back together in some new form, is an illusion.

With 140,000 U.S. forces in Afghanistan and Iraq and trillions expended over a decade, we have not been able to fundamentally alter the politics of either nation in a way that promises security or good governance.

In Egypt, where the United States supposedly had leverage from $1.3 billion in military assistance over its closest Arab partner, Washington has been unable to alter the course of Egypt's politics and has become the object of antipathy by almost every faction in the country.

These failures have little to do with U.S. policy, and much more to do with the reality that America doesn't control the world and cannot dictate to societies composed of corporatist, religious and tribal elements who have their own interests and vision. To think we could dictate, let alone significantly influence Syria -- the poster child for sectarian and ethnic conflict and regional intervention -- is sheer folly.

We can't even help the Syrians fix Syria

The notion that in 2011, the United States had a major opportunity to avoid the current situation, pre-empt the radicalization of the country through an infusion of jihadi groups, and unify a secular or moderate Islamist opposition is also illusory.

Had the Obama administration been willing to supply a vetted opposition with sophisticated weaponry, including shoulder launched ground to air missiles, sophisticated anti-tank weaponry, and been willing to neutralize President Bashar al-Assad's air force through offensive no-fly zones, there would still have been no guarantees that a divisive and inchoate opposition could have remained unified and effective.

Even military strikes in the wake of Syria's use of chemical weapons would likely have had to have been followed by a sustained military campaign of some kind. And nobody in the administration, least of all Obama, was prepared to embark on such an open-ended military campaign (for which the American people have shown no appetite). At the end of the day, such an effort would still not have answered the question: Who or what would have been able to hold the country together, stop the vendettas, police the borders and intervene to stop the inexorable struggle for control between Sunnis and Alawis?

Military intervention was always a trap

The liberal interventionists and neoconservatives who have accused the administration of failing to lead never laid out an effective case as to what the relationship between U.S. military action and the political end state in Syria would be.

The Iraq/Afghanistan wars are a false analogy. Nobody was talking U.S. boots on the ground in Syria. Instead the correct analogy from the two longest and among the most profitless wars in U.S. history was how precisely military action was going to achieve the objective of a stable, pluralist Syria in an Arab neighborhood in which there is not one example of such a state.

President Obama was right to resist the use of force and will be right again, if in the wake of Geneva's failure there is more talk of resorting to force. The horrific revelations of mass executions will only strengthen the arguments of those who see U.S. military intervention as the only recourse. Still, the last thing the United States needs right now is a proxy war with Iran, Hezbollah and Russia in a neighborhood where they have distinct advantages.

Iran is the priority

Governing is about choosing. And the president clearly made a choice that preserving the possibility of a deal with Iran on the nuclear issue was much more important than involving the United States in a war with Tehran over Syria that Washington could never win.

There's no evidence to support this, but I have a strong suspicion that the decision not to respond to Syria's use of chemical weapons with military force was partly shaped by this calculation, particularly the possibility that U.S. military action might have killed Iranian forces in Syria, or to be sure increased not ameliorated tensions at a time the administration was already involved in secret talks with the mullahs who control Iran.

There is no foreign policy priority more important to the Obama administration right now than getting an agreement with Iran on the nuclear issue that would prevent an Israeli military strike and make an American one unnecessary.

The conventional wisdom is that a proxy war with Iran in Syria would have weakened the mullahs. But it could easily have led to the opposite reaction -- increasing Iran's sense of encirclement and an acceleration of its nuclear program.

Amoral but not immoral

Syria isn't Rwanda or the Nazi Holocaust. But it is an arena where mass killings and war crimes by the regime in particular, but also by its opponents, take place routinely. The Obama administration, particularly Secretary of State John Kerry, feels deeply about this. But not so deeply that it's prepared to intervene.

That reluctance to intervene militarily reflects a policy that isn't immoral. America has been more active than any other nation in providing humanitarian assistance and helping organize the Syrian opposition. If any kind of sustainable local ceasefires emerge from the Geneva process, the United States will have done much to better a horrible situation. But it is an amoral approach where moral considerations do not dictate.

That is to say what drives U.S. policy in the main isn't moral or ethical; instead it is shaped by a variety of other factors, including the public's opposition to military intervention, the President's own priorities for his legacy (the middle class, not the Middle East) Iran and a general sense that the last thing this country needs is another major foreign policy failure or obligation.

As a result, the administration has rightly pursued a course that is risk-averse, not risk-ready; one that understands that it cannot act alone and that even multilateral action will only have limited results, and above all, one that recognizes that there are no solutions to Syria right now, only outcomes. It's certainly not a morally or emotionally satisfying course of action. But it is the right one.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: Even if Geneva talks fail, U.S. shouldn't intervene in Syria conflict

@highlight

Syria is a tragedy but Obama has followed the right course, Miller says

@highlight

He says president has rightly concluded that U.S. can't resolve the conflict

@highlight

Miller: Preventing a war over Iran's nuclear program is a higher priority for U.S.