Hong Kong (CNN) -- A narrow window of time is closing quickly for Edward Snowden, the former National Security Agency contractor who has infuriated the U.S. government by leaking details of surveillance programs after fleeing the country.

As FBI agents gather evidence against him, the 29 year old is racing to find a permanent refuge while hiding out in Hong Kong on what's thought to be a 90-day tourist visa which could expire in early August.

Experts say Snowden's visa is unlikely to be extended, as he would struggle to prove that his planned stay is temporary.

"Once the 90 days are over, and unless his visa is extended, he's an illegal immigrant here and could be picked up by the police for overstaying," said Professor Simon Young, director of the Centre for Comparative and Public Law at the University of Hong Kong.

What becomes of Snowden depends on a number of factors, not least when and if the U.S. submits a "surrender request" with the Hong Kong government to pave the way for Snowden's return to the U.S.

Scenario 1: He applies to be a refugee and is spirited out of the city within 90 days

Snowden arrived in the city on May 20 and took refuge in a hotel where he made his revelations to the British-based Guardian newspaper before checking out on June 10. His whereabouts are unknown.

It's not clear whether he has approached the local office of the United Nations High Commissioner for Refugees (UNHCR) -- the office has declined to comment on individual cases -- but Young said it was one way Snowden could extend his stay.

"The UNHCR is duty-bound to determine if he's a mandate refugee. If by some miracle they're able to do that within 90 days and say that he is a refugee, and secondly are able to find a place that will take him, then he could be off to that place," Young said.

Speaking hypothetically, a protection officer for the UNHCR in Hong Kong said that Snowden would not be given preferential treatment. "We prioritize older cases," Nazneen Farooqi said, according to the South China Morning Post. Claims through the UNHCR have been known to take years.

Scenario 2: He finds a country willing to take him

Snowden has already sounded out Iceland for a potential asylum claim, according to WikiLeaks spokesman, Icelandic journalist Kristinn Hrafnsson.

Hrafnsson told CNN he was asked by an intermediary, who he was "100% certain" was acting on behalf of Snowden, to approach the Icelandic government. Hrafnsson said he contacted two offices -- the interior ministry and the prime minister's office -- and the response was less than welcoming.

POLL: Most Americans give Snowden thumbs down

"They pointed to the legal code and the understanding, for example, that the asylum seeker must be in the jurisdiction before he can apply for asylum," Hrafnsson said.

However, he added that he did not consider what he called the ministers' "informal" replies as a final answer. "This is a matter not just for the government in Iceland but also the Icelandic parliament and an important issue to be debated among the general public."

When asked in a live chat Monday on the Guardian website why he didn't fly direct to Iceland, Snowden said he feared he'd be intercepted en route so he chose "a country with the legal framework to allow me to work without being immediately detained."

He added that "Iceland could be pushed harder, quicker, before the public could have a chance to make their feelings known, and I would not put that past the current U.S. administration."

A number of other countries have been floated as a possible refugee for the NSA leaker who has acknowledged that he can never go home.

Early speculation centered on potential deal with China, however an opinion piece published Thursday in Communist Party newspaper, The Global Times, suggests that Beijing may be best advised to stay out of it. "China should make good use of the 'one country, two systems' practice with regards to Hong Kong, and let the Hong Kong authorities deal with Snowden in accordance with their own laws," the author wrote.

Another opinion piece in Communist Party paper The People's Daily suggested that Beijing should side with public opinion. "The consequences of extraditing Snowden back to the U.S. would be more troublesome than the alternative, because the local reaction would bring more trouble to Hong Kong and the Chinese mainland. China's growing power is attracting people to seek asylum in China. This is unavoidable and should be used to accumulate moral standing."

Scenario 3: His visa expires and he's arrested by Hong Kong police

If Snowden is still in Hong Kong when his visa expires, he'd most likely make an asylum claim, if he hasn't already gone to the UNHCR.

"If he was to make an asylum claim at that point in time then they wouldn't go ahead with the overstaying prosecution -- it would be suspended -- and then the asylum process kicks in," Young said.

If Snowden sought asylum in Hong Kong, it's likely he'd file a torture claim, based on Articles 1 and 3 of the 1984 U.N. "Convention against Torture and Other Cruel, Inhuman or Degrading Treatment or Punishment," Young said.

However, Jo Renshaw, an immigration lawyer at Turnpin & Miller, said torture claims were hard to prove.

"The threshold for 'cruel, inhuman and degrading' is pretty high particularly when the country in question is the U.S. It has succeeded in relation to Russian prison conditions. It is arguable in the light of Bradley Manning but you would need to find a country which is willing to take on the U.S. and say that its treatment of prisoners breaches Article 3 of the European Convention on Human Rights," she said.

Bradley Manning, the U.S. soldier accused of providing classified information to website WikiLeaks, has claimed he has been mistreated in custody. In 2011, Manning's lawyer filed a formal complaint alleging his client had been stripped, denied his glasses and confined to a cell for 23 hours a day with no pillow, sheets or personal items.

Manning is appearing before a court-martial this week after pleading guilty to 10 of 22 charges against him and faces up to 20 years in jail.

Scenario 4: He makes a run for it...

Being spirited away on a plane or a boat might be attractive options for Snowden to escape Hong Kong authorities, if his visa is about to expire and the U.S. has yet to make its move.

Young said until the U.S. files an arrest warrant -- or even a provisional one -- there's no onus on carriers to report Snowden's presence if he turns up at a departure gate.

"It may well be that informally that there are channels 'that these are individuals, if you do come across them let us know please' but nothing that obligates them to do this," he added.

CNN asked a number of airlines whether they've been asked by authorities report Snowden. Cathay Pacific said in a statement: "For privacy and security reasons, it would be inappropriate for us to discuss communications, if any, received from governmental agencies. It would be up to the sending agency to share the information it deems appropriate." Qantas and Virgin Atlantic gave a similar response.

If Snowden was able to make it onto a vessel, U.S. authorities would be limited in their ability arrest him, even if they were on board, said Dr Zhao Yun, associate professor at the University of Hong Kong.

"That would be a violation of the sovereignty of the airline," Zhao said, adding that the country where the airline is registered has jurisdiction over the flight. The same applies for ships, except in the case of piracy.

However, he said if the alleged crime was serious enough -- for example, crimes against humanity, torture, slavery and hijacking -- universal jurisdiction kicks in.

"Crimes subject to universal jurisdiction are considered crimes against all (the entire world community)," he said, adding "In this sense, I do not think universal jurisdiction shall apply in (Snowden's) case."

Scenario 5: U.S. issues an arrest warrant and he's detained

This could be the worst case scenario for Snowden. If the U.S. issues a surrender warrant, Snowden could be detained by authorities in Hong Kong, after first being given the go-ahead by the territory's chief executive to arrest him.

Once detained, Young said Snowden would likely appear in an open court where a magistrate would decide whether there is enough evidence to commit him to trial.

Based on that decision, Hong Kong's chief executive would then decide whether to approve the surrender order and send Snowden back to the U.S.

Under Hong Kong law, the surrender order could be blocked if it appears that the offense is of a political nature or if the alleged offender might be punished on the basis of his or her political opinions.

However, other considerations would be the 1996 treaty between the U.N. and Hong Kong which takes precedence over the relevant law and includes a clause on "offenses involving the unlawful use of computers," Young said.

@highlight

Time is running out for Snowden before his 90-day Hong Kong tourist visa expires

@highlight

Experts say he may have already approached the UNHCR for refugee status

@highlight

U.S. authorities are yet to issue an arrest warrant for the 29-year-old leaker

@highlight

Snowden exposed details of secret NSA surveillance programs