Seoul (CNN) -- It took two teenage suicide cases due to school bullying last year in South Korea for people to notice something was very wrong.

The students lived in different cities and went to different schools, but both jumped to their deaths after saying they could not take the pain of being bullied any longer.

Over the last few weeks, the country's media has been filled with reports about tragic cases of school bullying. This week, two more students from the same class reportedly took their own lives -- one was the victim of bullying, the other a powerless friend who had stood by and watched the abuse.

Experts say the cases highlight how desperately many South Korean teenagers need a means to escape the bullying as well as a way to cope.

Park Han-wool, a 17-year-old high-school student, said he has been bullied for the past six years. He has been isolated from other classmates, beaten during school trips and locked up in the classroom.

"I wanted to tell people about it. I did tell my parents, but they didn't take it seriously thinking it was an issue between friends," he said.

The bullying became so bad that Park tried to jump from his school building in front of his teachers, but he was stopped by the police.

He is now involved in creating a music video with other teenagers to raise awareness of school bullying, an issue he says that was not taken seriously until recently.

The tools of bullying vary from forcing victims to run errands and steal, to sexual assault, confinement and gang beatings. With reports of other incidents of teenage violence n schools, including the assault of teachers and rape of younger students, many South Koreans are asking, "what is wrong with our kids?"

The answer, according to some analysts, lies within the hyper-competitive nature of South Korean society. As the country continues to enjoy success economically, Korean students are being pushed into an environment of competition to succeed.

"At school, students don't see their peers as friends but as competition and believe that they need to beat others," said Dr. Bae Joo-mi, a specialist at the Korea Youth Counseling Institute.

In a classroom environment in which students are forced to prove themselves, those who fall behind in grades turn to other means to show they are more powerful, taking on the role of the aggressor, Bae explained.

The family support system also fails many adolescents.

"The parents heavily invest in raising their children to be successful and skillful in various fields, but when it comes to raising them to be moral and have healthy personalities I think there has been a lack of interest," Bae said.

Schools and teachers have been criticized for turning the other way in bullying cases and trying to cover it up. Local governments have gone into a frenzy of drafting up new measures to hold bullies accountable and prevent school violence.

Experts such as Bae believe it may take more than simply increasing monitoring of school violence. What students need is a healthier environment to learn more social skills and know how to deal with their problems, they say.

A survey conducted in 2010 by the Foundation for Preventing Youth Violence, a counseling center established more than 15 years ago, indicated that more than 20% of those surveyed said they had been bullied. Of those victims, more than 30% said they felt suicidal due to bullying.

The same group said last year that the number of counseling cases of students seeking help from suicidal feelings doubled from the previous year.

The concern is that students have not been able to learn how to find solutions to their problems in a rigid educational environment and are now turning to suicide as their last resort.

Counseling groups urge the government and schools to step up and punish those accountable, while keeping the victims safe from harm.

@highlight

South Korea's media has been filled with reports about tragic cases of school bullying

@highlight

This week two more students from same class reportedly took their own lives due to bullying

@highlight

Experts say many South Korean teenagers desperately need a means to escape

@highlight

The hyper-competitive nature of South Korean society is held up as one reason for bullying