CNN -- When Apple launched its App Store last summer, few imagined it would reach today's numbers so quickly, if ever.

Auto-apps could become the next way to customize your ride.

The store now hosts over 85,000 titles and has passed 2 billion downloads. Even Apple is surprised. Now the concept of the app store has spread like a virus among competitors. It's also reached seemingly unrelated industries, like automobiles and TV set-top boxes.

The App Store taps the creative energy of entrepreneurial developers. Whether they're big or small, they can make money through it, even though the challenges for them can be considerable.

For consumers, the App Store offers third-party applications (free or charged ) that can be downloaded or synched onto an iPhone or iPod Touch.

Apple takes 30 percent of a paid app's revenue and charges developers an annual fee to use the iPhone software development kit and upload apps to the store. But the rest goes to developers, some of whom have profited handsomely from their creations.

Many companies now offer something similar to the App Store, if not in whole then in part. Even if none has yet come close to Apple's numbers -- or, arguably, its design achievements -- the spread of the app store idea is undeniable.

"It seems like every company remotely related to technology is embracing the app store craze," notes IT expert Tony Bradley in a blog post for PC World.

Handset makers now offering software stores include Palm, Nokia, Sony-Ericsson, and BlackBerry-maker Research in Motion. On the platform side, Google's Android and Microsoft's Windows Mobile -- competitors to the iPhone OS -- each have an app store now.

Nintendo and Sony, the traditional powers in gaming gadgets, have also launched app stores, for their DSi and PSP handhelds, respectively. Apple is now their competitor thanks to all the iPhone games.

The chipmaker Intel announced last month that it's setting up multiple app stores through partners like Acer and Asus to encourage independent developers to create apps for netbooks and handhelds based on its processors.

For Twitter, a startup called Oneforty is trying to position itself as the unofficial "app store" for tie-in services. Cellular operators, wary of becoming "dumb pipes," aren't sitting idly by. Verizon, Vodafone, Orange, and others getting in on the action with their own app stores.

Not every company is a natural fit for creating app stores, so another market is forming for firms that help set them up. A firm called GetJar has helped Sony Ericsson and the cellular carriers Optimus (in Portugal) and 3 (in the UK) with app stores. Amdocs and Comverse, which already provide various services to carriers, have added "app store provider" to their offerings. Other firms are helping developers deal with the sudden rash of app stores.

A California startup called GoldSpot Media recently launched miApp, designed to let developers "design once, deploy in any app store." Of course they weren't thinking about app stores outside the mobile space when they wrote that tagline.

From hand-held to real-world

Few anticipated the app store meme spreading to cars, for instance, but Atlanta-based Hughes Telematics says it's helping automakers prepare app stores for drivers.

For safety, some of these apps would use an audio-only interface for drivers, or be usable only by passengers or when parked, notes Kevin Link, a vice president with the company: "Automotive applications must consider driver distraction, network security, and reliability within the vehicle."

But the possibilities are tantalizing and include taking pictures of a thief in action, playing catch-up audio clips of TV shows, deciphering that obscure Check Engine light, and remotely starting the engine or resetting the car alarm.

Such apps could be accessed through home computers or smart phones, as well as from within the vehicle itself.

Hughes Telematics can't reveal too many specifics about upcoming app stores because their rollouts depend on the schedules of the carmakers. And many details have yet to be worked out, notes Link, such as how revenues will be split with the developers.

An app store of sorts will also be offered later this year by Roku, which sells a TV set-top box that connects to your broadband connection and brings online content to your living room.

The box already lets customers order Netflix movies. With the upcoming app store, online content normally reserved for computers will be easily accessed over the TV. Possibilities include video and audio podcasts and photo-sharing destinations.

As with the App Store, the idea is to let any developer (most likely a content owner in this case) offer their product through the platform.

"What an open platform does is create an opportunity for any content owner or content aggregator that has access to content, to make that content available for viewing on the TV," notes company spokesperson Brian Jaquet.

Between six and 12 new apps, or channels, will be offered by the end of this year, he adds, and more will follow. Of course exactly what will follow is unclear because -- as with the other App Store-like offerings -- the only real limit is the imaginations of developers. Stay tuned.

@highlight

Apple's 'Apps Store' has become hugely successful and mimicked by others

@highlight

Away from hand-held gadgets, apps being developed for cars and TV set-top boxes

@highlight

Such apps could be accessed through home computers or smart phones