To many Westerners, Manga is synonymous with fantasy -- its glossy lines, popping color palettes and fanciful scenarios are an escapist's delight.

But one of the most celebrated makers of the wildly popular Japanese graphic novels says he draws on reality as much as possible.

Takehiko Inoue was just 23 when his second Manga propelled him to fame in Japan.

"Slam Dunk," published in 31 volumes of magazine "Weekly Shonen Jump" in the early 1990s, followed the fortunes of a loveless delinquent who joins a basketball team to impress a girl, and then discovers a natural ability for the game.

Inoue's interest in Manga was piqued when, at nine years old, he read a popular baseball Manga called "Dokaben." It had "attractive characters," he recalls, "and how they play baseball and how their bodies were drawn -- all these things looked so cool."

A keen basketball player at high school, Inoue says drawing a basketball Manga was a natural way for him to combine his two loves, and he believes "Slam Dunk" readers could see the obvious enjoyment he took from drawing basketball.

"I really drew it in the way I liked, did whatever I wanted," he says.

"Slam Dunk" has now sold almost 120 million copies, been licensed in 17 countries, and adapted into an anime TV series.  An English version was released in North America in 2002.

Its popularity endures: According to a 2012 survey by research group goo, it is still the second most popular Japanese Manga, and is responsible for the single most memorable piece of dialogue -- when a coach says, "If you give up, the game is already over!"

Its legacy has also continued well beyond the page. Inoue is credited by some with having popularized basketball amongst a whole generation of high school students. In 2007, his publisher inaugurated a scholarship that sends high school basketball players to study in America, and in 2010, Inoue received a commendation from the Japanese Basketball Association, for his services to the sport.

More from Human to Hero: America's black cowboys fight for their place in history

Inoue says he likes to photograph scenery -- flowers, trees, cats, the sky -- to deepen his appreciation of the natural world.

He also draws on first-hand observation: While working on "Real," an award-winning wheelchair basketball Manga begun in 2001, Inoue attended a Paralympic game to study the players' musculature and posture. "After I saw it closely, I was able to draw with more reality," he says.

When he is ready to start a new work, Inoue first discusses possible storylines with an editor. Next, he installs himself in a cafe -- where he can't be distracted by DVDs or the internet -- and begins drafting the story in small sections, hand-drawing with pencil on paper.

He conceives in terms of double-page spreads -- "I think about what the readers would see first when they open the next page: What would jump into his or her eyes first?" -- and says, ideally, characters generate their own narrative.

"If you can have vivid characters, they will make the story themselves. By putting them in certain situations or having one meet another, they naturally make stories by reacting to each other."

("It sounds like a very easy thing," he adds. "I wish it was.")

Inoue finds the next stage, drawing with pen or brush, more enjoyable. With pen, he says, "I get into a very subtle, delicate world of work;" with brush drawing, "it gives me more freedom ... the brush goes to some uncontrollable place."

More from Human to Hero: Chinese sculptor Xiang Jing's painful search for truth

In particular, Inoue says he pours himself into the task of capturing facial expressions. "I try to express what kind of feelings the characters are having, and how strong those feelings are, as if they are actually coming out of my body.

"It is like I become one with the character," he says. "I think it is similar to acting."

"When I am drawing the face expression of the character, I have the same expression on my face. I never realized myself, but people have told me so."

Tradition dictates that he take special care over face shapes and eyes, but he says drawing hair is fun. "There is no set way of drawing (hair) so I can draw pretty much as I like ... You don't have to think about anything when you draw hair."

Inoue also strives for realism in behavior and dialogue, and says the most important thing is to create and populate a world readers can believe in.

"The imaginary person should exist as if they really exist there, and should think in the way they should, act the way they should, and say a word that they would say."I

This isn't solely about drawing technique, but also depends on a certain authenticity. "The picture should be the artist's original one and it doesn't matter whether it is drawn well or not," Inoue says.

"Manga artists are different from painters: We have to have a story, meaning, and entertainment."

@highlight

Takehiko Inoue has drawn some of Japan's most popular mangas, including the basketball-themed Slam Dunk

@highlight

His work is credited with inspiring a generation of Japanese students to take up basketball

@highlight

He says he studies nature, and draws on his own emotions to achieve the realism that makes his work so engaging