It's tense in Thailand, where violence has spilled into the streets, people have died or been injured, and the army declared martial law Tuesday.

Underscoring the instability, the army's decision to take control of the country came as a surprise to acting Prime Minister Niwattumrong Boonsongpaisan, an aide to the leader told CNN.

The army "took this action unilaterally," said the aide, who did not wish to be named. The person described the action as "half a coup d'etat."

Lt. Gen. Nipat Thonglek said the move was not a coup.

"The army aims to maintain peace, order and public safety for all groups and all parties," a ticker running on the army's television channel said. "People are urged not to panic, and can carry on their business as usual," he said.

The people of Thailand are all too familiar with coups. There have been at least 18 actual and attempted military takeovers since Thailand became a constitutional monarchy in 1932.

United Nations Secretary-General Ban Ki-moon, through a spokesman, issued a statement about the imposition of martial law, saying that he has consistently called on all sides to work together. He is quoted in the statement as saying peace in Thailand can only come about if the people have respect "for democratic principles and engagement in democratic processes."

The secretary-general urged all sides to exercise "utmost restraint, refrain from any violence and fully respect human rights," according to the statement.

Boiling point

The current turmoil in Thailand has been building for some time.

On May 7, Yingluck Shinawatra was removed from government after the Thai Constitutional Court ruled that she was guilty of violating the constitution.

The charges against her were brought in a lawsuit that anti-government senators filed. They accused her of abusing her power by unlawfully transferring National Security Council chief Thawil Pliensri from his role in September 2011, alleging the move was intended to benefit her Puea Thai Party and a family member.

"I didn't do anything against the law," Yingluck insisted in court. "I have performed my duty in the administration with the intention of benefiting the country."

Her ascension to power -- in a caretaker role -- came about because of more instability. She dissolved parliament in December, ahead of a general election in February that was disrupted by anti-government protesters. The Constitutional Court subsequently ruled the election invalid.

In November, protesters had taken to the streets against the government's botched attempt to pass an amnesty bill that would have made it possible for Yingluck's brother, former Prime Minister Thaksin Shinawatra, to return to power. The communications tycoon was ousted in a coup in 2006 and has been living in self-imposed exile in Dubai.

Much of the tension between protesters in Thailand, who have clashed violently in recent years, centers on Thaksin. There are those who vehemently oppose him and those who want him back in power.

Many of Yingluck Shinawatra's opponents say her brother is calling the shots in Thailand through her.

READ MORE: Thailand wakes to martial law: What it means

Martial law helping or hurting?

It's too soon to tell whether the military's declaration of martial law will ease tensions or heighten them, analysts said.

Thitinan Pongsudhirak, a political science professor at Chulalongkorn University in Bangkok, described the situation as "very volatile."

"This is a precarious time now for the army," he said. "They have to be evenhanded."

"If it's seen as favoring one side or the other side, then we could see more violence and turmoil against the military."

Paul Quaglia, director at Bangkok-based risk assessment firm PQA Associates, described the situation as "martial law lite."

"Right now, the military has deployed troops around key intersections of the city. Traffic is a real mess here at the moment, but there's no violence," he said. "I think what the military is trying to do with this ... is to convince protesters to go home. They're trying to dial down the tensions here as well as preempt several large rallies and strikes that were scheduled for later this week."

Sunai Phasuk, a senior researcher on Thailand in Human Rights Watch's Asia division, said declaring martial law is a serious step away from democracy.

"With the enforcement of martial law, the army is one step closer to taking over power completely from civilian administration," he said. "There is no check and balance; there is no safeguards against rights violations."

Guarding the media

As the sun came up Tuesday, the military was guarding all Thai TV stations, Thai public television announced, showing pictures of soldiers and armored vehicles taking positions outside broadcast facilities in the country's capital.

In a statement read on Thai television, the military declared that all of the country's radio and television stations must suspend their normal programs "when it is needed."

The dramatic announcements come days after the head of the army issued a stern warning after political violence had surged in the country's capital.

The U.S. Embassy in Bangkok alerted American citizens in the country that martial law had been imposed. It warned them to pay attention to media coverage of Thailand and avoid protests and public gatherings, cautioning that peaceful events could turn violent.

Journalists inside the country posted on Twitter that some of their social media accounts were being blocked.

Command and control

The military has established a security task force called the Peace Keeping Command Center, which is headed by army Gen. Prayuth Chan-ocha and operates from the Thai Army Club in Bangkok.

The task force has ordered officials to appear before it. Local and international journalists formed a crowd outside the building waiting for Prayuth to speak.

At a news conference, the general said he wanted "all political parties" to start a dialogue aimed at ending the political crisis in Thailand, saying the military "won't allow any bloodshed."

"We cannot keep having" conflict, Prayuth said.

He apologized for banning some TV broadcasts, justifying the measure for reasons of national security. He would not say when martial law would end but indicated he did not foresee it lasting for three to six months.

Going forward

What happens next will depend on how protesters react, Quaglia said.

"The military is taking a step-by-step, gentle approach to see if they can get things to improve," he said. "If not, they'll of course have to ratchet up their actions."

Nipat, the lieutenant general, said the precise restrictions of martial law were being worked out.

Members of the government's "red shirt" support base, many of whom hail from the country's rural north and northeast, view Yingluck Shinawatra's ouster as a "judicial coup" and have been protesting what they consider an unfair bias by many of the country's institutions against their side.

Anti-government protesters are seeking a new government -- but not through elections, which members of the opposition Democrat Party has boycotted, arguing the alleged corruption of their political rivals makes widespread reform necessary before any meaningful vote can be held.

Increased government efforts to improve security are a positive step, Quaglia said.

"That being said, martial law will not solve the political problems that continue to haunt this country," he said. "The differences are stark, and I don't think the military can step in and by force fix the political issues."

Army declares martial law, government wasn't informed

Newly-crowned Miss Universe Thailand in hot water over 'red shirts' remarks

@highlight

Military says it wants to bring stability after protests and Prime Minister's removal

@highlight

Analyst: Military is trying to persuade protesters to go home, "dial down the tensions"

@highlight

Government aide calls situation "half a coup d'etat," says military's action was unilateral

@highlight

Thailand's army has declared martial law but stresses the move is not a coup