Rockets from Gaza hit Israel early Friday morning, breaching a cease-fire that had held for more than two days, the Israeli military said.

"Moments ago, 2 rockets fired from Gaza hit southern Israel. Terrorists have violated the cease-fire," the Israel Defense Forces wrote on Twitter.

It wasn't immediately clear how Israel would respond. The IDF pulled its ground forces out of Gaza on Tuesday but said they were maintaining "defensive positions" around the territory.

"I suspect the Israelis are going to wait to see if it was just these two rockets," said CNN's Wolf Blitzer. "These could be isolated rockets."

But if more rockets are fired from Gaza, "the Israelis will strike back," Blitzer said.

The two rockets landed near Eshkol in southern Israel but didn't cause any damage or casualties, the Israeli military said. It wasn't immediately clear who in Gaza, where multiple militant factions are active, launched them.

Hamas, which holds power in Gaza, denies firing the rockets, said Sami Abu Zuhri, a spokesman for the group. The allegations "are based on Israeli reports aimed at confusing the situation," the Gaza-based spokesman said.

Talks in Cairo

Earlier, negotiators in Cairo had been scrambling to extend the Gaza cease-fire, which was set to expire at 8 a.m. Friday (1 a.m. ET). A Hamas official had told supporters in Gaza City that the group was ready to resume fighting if it didn't win key concessions in the talks.

"We are ready to return to the battle if the Palestinian demands are not met in Cairo," Hamas spokesman Mosher al-Masry told a crowd of supporters waving the group's green flags.

A spokesman for Hamas' military wing, the Al-Qassam Brigades, was even more pointed.

"We demand from the negotiating team to pull out from negotiations if the enemy continues to be stubborn; we are ready for a long war," Abu Obaida said on Hamas-run Al-Aqsa television.

"We demand that the negotiating team not extend negotiations without the agreement on a seaport," he said, demanding that the blockade against Gaza be lifted, and all the crossings into Egypt and Israel be opened.

"We will not accept anything less," the spokesman said. "We will make the tanks of the enemy a toy in the hands of the children of Gaza."

As the spokesman suggested, Hamas wants Israel to end border restrictions that limit the flow of people and goods into and out of Gaza. Israel wants Hamas to give up its weapons.

Israel is willing to extend the truce unconditionally, Dore Gold, a senior foreign policy adviser to Israeli Prime Minister Benjamin Netanyahu, told CNN on Thursday.

Earlier, in a heated interview with CNN's Chris Cuomo on "New Day," Hamas spokesman Osama Hamdan said if the cease-fire was to hold, Israel must show signs of willingness to reach a broader deal before the truce expires.

"There is no decision to undermine the talks, there is no decision to go back to fight," he said. "But we have to evaluate what the Israelis are doing, what the Israelis are saying."

Officials from Israel and the Palestinian side -- including Hamas, Islamic Jihad and the Palestine Liberation Organization -- are communicating through Egyptian intermediaries in an effort to reach agreement on extending the truce.

Hoping for a breakthrough

A Palestinian official said Thursday morning that there had been progress in the talks so far but declined to give any details.

"I am not sure how or when it will come, but we hope for a breakthrough," said the official, who spoke on condition of anonymity because of the sensitivity of the talks.

The warring sides are far apart.

Israel says Hamas must disarm as part of any larger deal that might lead to the end of border restrictions and greater economic freedom for Gaza residents.

Hamas, meanwhile, says the blockade must end before a lasting peace deal can be reached. Israel must also stop activities in response to the kidnapping of three Israeli teens who were later found dead and facilitate reconstruction of the territory's devastated infrastructure, Hamdan told CNN.

"We can't talk about future while the Israelis are putting a pistol to our heads or a knife to our necks," he said.

Gold told "New Day" that the border restrictions and Gaza's economic and redevelopment needs can't be separated because they are "intimately linked."

"If you want cement for building homes or schools, you've got to make sure the cement goes there and not rebuilding attack tunnels that go into Israel," he said.

He also said Hamas' demands for a Mediterranean Sea port raise serious security concerns for Israel.

"We're of course concerned if something like that occurs, that the Iranians or others will bring missile boats into the Mediterranean and to that Gaza port," Gold said. "So it's not so simple as to say, 'Give them a port.' "

Latest death toll

On Thursday, the Palestinian Ministry of Health issued new casualty numbers for the conflict -- 1,888 deaths, including 446 children, and 9,804 injured.

It's unclear how many of the Palestinian dead were militants.

The United Nations has estimated that at least 70% of the dead were civilians. The Israel Defense Forces believes it killed about 900 militants -- roughly half of the dead.

Israeli officials have said 64 Israeli soldiers and three civilians in Israel died.

Additionally, about 65,000 Gaza residents lost their homes to the fighting, according to U.N. estimates.

Palestinian-American: 'Living in occupation felt normal'

Israeli regret over civilian deaths

Israel has come under growing international criticism over the number of civilian casualties, notably from the United Nations, which accused the Israeli military of shelling its shelters.

In Jerusalem on Wednesday, Netanyahu said Israel "deeply regrets" civilian deaths, accusing Hamas of placing rockets and other military targets in crowded population centers.

"The responsibility for this tragedy belongs with Hamas," Netanyahu said.

Apparent evidence of the Israeli argument came with the release of video from France 24 and India's NDTV that appears to show at least one rocket launcher located in a residential area. CNN reporters were blocked from reaching the area.

Maen Areikat, the PLO ambassador to the United States, sought to play down the significance of the launcher.

"We don't know the circumstances of this particular rocket launcher," he told CNN. "And if there has been incidents in which fighters from Palestinian factions fired at Israel from civilian populated centers, I think they were isolated centers. But to portray that this was the rule and not the exception is not a fair representation of what is happening in Gaza."

Hamdan went further, calling allegations of rocket fire from civilian areas nothing more than "Israeli lies."

"We challenge anyone to prove there were any rockets launched from civilian areas," he said.

In fact, he said, Israel intentionally bombed civilians to punish Palestinians after strikes on rocket sites in open areas failed to achieve results.

"Israel is murdering innocent people on purpose," he said.

CNN exclusive: Inside the mind of Hamas' political leader

Nobel laureate Wiesel: Hamas must stop using children as human shields

Gaza conflict: Can economic isolation ever be reversed?

Life in Gaza: Misery heightened by war

@highlight

Hamas denies responsibility for firing the rockets, a spokesman says

@highlight

Two rockets hit southern Israel without causing casualties, IDF says

@highlight

End talks if Israel "continues to be stubborn," Hamas military wing says

@highlight

Israel demands Hamas disarm before any border restrictions can be eased