Atlanta, Georgia (CNN) -- The optimism once held by many Americans has been "beaten out" of them amid a lagging economy, threat of terrorism and two ongoing wars, according to a professor at Emory University.

"All of those things ... have made people start to be much more doubtful than they used to be," says Patrick Allitt, a British citizen who teaches American history.

Allitt recently wrote about what he describes as "America the miserable" -- the mood swing he has seen in his 30 years in the U.S. -- for The Spectator, a British magazine.

Read the professor's full essay

Allitt spoke with CNN about his perspective. Below is a transcript of that conversation, which has been edited:

CNN: How would you describe the change in America since you first came to America?

Allitt: The change is this: I don't get the same sense of intense self confidence as I used to feel when I first came to America, even though that was a period that's usually remembered as a pretty grim time -- the Jimmy Carter years when there was a lot of stagnation and inflation and a general feeling of malaise. Even so, to me, it seemed incredibly energetic here. People in America worked much, much harder than they did in Britain. They seemed more upbeat. They had faith in progress. And there was this feeling of being intensely wide awake for the first time. But now, I think some of that optimism has been beaten out.

Counter: Why there's reason for optimism

It's been a very tough 10 years since 2001, hasn't it? The attack on the World Trade Center, the growing fear of terrorism, the difficulty of prevailing in the wars, obviously, more recently the recession. All of those things, collectively, have made people start to be much more doubtful than they used to be.

CNN: Do you attribute it to a change in American mentality or are we exposed to an array of different beliefs through the ever-expanding media landscape?

Allitt: It's certainly true there are far more media than there used to be ... that devote a lot of time to people who are dissatisfied. In other words, if somebody's happy, that isn't news. It's certainly news when they become dissatisfied in some way or they have some kind of problem to deal with. In that sense, I suppose there's an inherent bias in favor of bad news.

But I think it's more than that. I've spent most of the last 30 years in the company of academics, who also tend to be pessimistic people. They tend to have very high ideals for America. When they see it doesn't live up to its ideals, it makes them disappointed and sometimes embittered. So it may be that, if I spent more time with less educated people, I wouldn't have this sense quite so acutely.

I think that's quite possible.

CNN: You write: "The decline of American confidence isn't just a temporary blip on the screen brought on by the recession." Elaborate on that for me.

Allitt: Even before this recession began, I guess it was in October and November 2008 when things really started to go bad. Already by then, I was having a feeling that the general national optimism was less emphatic than it used to be.

In the first five or six years of the last decade, there was this feeling that things were going wrong, particularly that the wars were grinding on interminably and that it was very difficult to prevail. It wasn't the same kind of decisive conflict as World War II where you're fighting against a nation-state and you can clearly detect when you're winning. The dispersal of the enemy and the very shadowy character of terrorism tends to be very depressing to confront. You have to maintain a high degree of vigilance and sometimes you have to take comfort in thinking what's extraordinary is what didn't happen; there wasn't another major attack.

That doesn't feel like a victory. ... That kind of thing is what I was attentive to when I was writing this story.

CNN: If we are in this funk as you describe, is there anything wrong with that? And how do we emerge from it?

Allitt: The one thing I've always admired about Americans is their willingness to be self-critical. I do think you could take the view that the very fact that so many Americans are willing to scrutinize their own behavior and their nation's behavior is a sign that they do have these high ideals and they want to live up to them.

So in that sense, you can take an optimistic view, even of pessimism -- that sooner or later, the sheer attention to it is going to cause people to recover.

But I do think there are generational trends in American life. People who were brought up in the 1930s during the Great Depression -- the image of it stayed with them for a lifetime. ... In the same way, I expect the kids who have grown up in the last few years are also going to carry the marks of this with them through life. They'll come into conflict with their own children who have different generational experiences. It's impossible at this stage to say what's going to happen next. ...

But it certainly is true studying the American past, you can see how various traumatic events through the nation's history leave a long-term impression on the people themselves.

CNN: You kind of hint about this in your piece: Maybe you're just going through a midlife crisis and that's why you might have this view.

Allitt: I think that's possible, but I think I'm describing something more real than that. My job is to study the American people in the past; but also to some extent in the present. I really do feel this kind of change has come about. But you can't quantify it. You can't say 8 out of 10 people are optimistic -- or at least if you try to you're really giving a false sense of definiteness. So what I'm trying to do is capture a mood and compare it to a mood that I saw previously.

... I still feel there's an enormous amount of hope and potential and capability here, so I don't share the feeling of gloom, which I see in the people around me.

CNN: Describe the "Avatar" analogy for me?

Allitt: The plot [of "Avatar"] is kind of incredibly depressing. The corporation is at the center of this planet. First of all, they have invaded the planet. And now they're sort of stomping on the homeland of the blue people who live there. And really the picture it gives you of America is incredibly depressing.

It shows Americans to be greedy and incredibly violent and intolerant, and they haven't got time for this anthropological experiment that's going on.

But obviously, the hero is one of the Americans. He's clearly an outsider. ... The main part of the story is a condemnation of America and its values. I was surprised how few reviewers said this picture is a grotesque distortion of what we're really like.

CNN: Have you started receiving hate mail yet: Hey, Brit, get the hell out of our country?

Allitt: No, not at all.

... It certainly isn't meant to be an attack on America; quite the opposite. As I say, I'm very, very pro-American.

CNN: Any final thoughts?

Allitt: To me, coming from Britain, one thing that is so inspiring about the United States is people really believe in human equality and they really take it seriously and they try to make it a reality.

When I was growing up in Britain, nobody talked about equality. It's a very hierarchical society in Britain, and everyone has their own place within the hierarchy and others are below them -- and then, what you've got to do is stay in your place.

So it felt very liberating for me to come to America. Although obviously, this isn't a society where everybody is equal in practice. But at least this is a place where everybody tries hard to make sure that every kid really does have the opportunities to make the most of their own abilities.

And that's a great thing. There haven't been many societies in the entire history of the world that have been like that.

@highlight

British professor recently wrote about what he calls "America the miserable"

@highlight

Patrick Allitt says U.S. optimism has been "beaten out" of country in recent years

@highlight

Allitt says mood is like "Avatar," which showed Americans to be "greedy and incredibly violent"