(CNN) -- In the game of chess, one woman has dominated all others for more than 20 years.

Judit Polgar has defeated nine world champions including Garry Kasparov, Boris Spassky and Viswanathan Anand, and is the only female ever to join an exclusive coterie of players rated above 2700 by the World Chess Federation.

Although she is the only woman ranked among the World Chess Federation's Top 100, Polgar has never won the Women's World Championship. By 14, she had so outstripped her female peers that she ceased competing in women's tournaments.

"I have no problem with other women," she said, "but if I had played against ladies there would be a huge gap between the two of us."

"I played against men because it was challenging, it was interesting, and I felt I could improve the fastest and the best (against them). It's very important to know what your aims and ambitions are."

In chess, women's tournaments are only open to females, but women may compete in tournaments for men. It was Polgar's older sister Susan who broke this gender barrier, becoming the first woman to qualify for the men's world championship in 1986, and the first woman to earn a men's grandmaster title in 1991. Younger sister, Sofia, is an International Chess Master, too.

The family's success ignited an ongoing debate about whether genius is born or created, the sexual politics of professional sport, and the value of mixed gender competition.

After Polgar became a mother in 2004, she posed another challenge to the establishment: She didn't retire. Currently ranked 44th in the world with a rating of 2698, and a mother of two, Polgar is competing at the Chess Olympiad, which begins in Istanbul this week, and in the London Chess Classic in December.

Hothoused in chess

By the time she was five, Judit could beat her father at chess. She and her sisters were home schooled as part of an educational experiment by their father, Laszlo, who believed any child could excel at an early age if given the right schooling. Besides learning Esperanto, they were hothoused in the game of chess.

More from Leading Women: Late comic Phyllis Diller's funniest gags

Judit played her first international tournament aged nine, winning the New York Open. "It was a special feeling, you can imagine, for a nine-year-old girl to beat an adult, or even to be in competition," she said.

Aged 11, she beat her first grandmaster, and became one herself in 1991, at the age of 15 -- relieving American Bobby Fischer of his record as the youngest-ever grandmaster.

Polgar's father firmly believed that, since chess is a purely mental competition, women ought to be able to perform at the same level as men. By the time she was 14, Polgar had so outstripped her female peers that she saw little point in competing in women's tournaments.

"I played against men most of my life because our goal was that I wanted to reach the highest potential to be an absolute world champion," she said. "There was a very big difference, even bigger than now, between the best male and the best female players in chess.

"My father believed that the higher you put your goal, the higher you reach. That was the main reason me and my sisters were playing mostly against male competitors."

Tigress at the board

It might not have been Polgar's explicit intention to challenge male domination in chess -- but a challenge was nevertheless perceived. Media attention focused heavily on the spectacle of a young girl competing against men sometimes four decades her senior.

More from Leading Women: The brains behind the most viral ad ever

No great chess player ever likes to lose, but losing to a girl was seen as particularly humiliating.

When Polgar won the Boys Under 14 section of the World Youth Chess Festival in 1990, one columnist wrote approvingly that it was easy to forget that Polgar was " just a girl."

But by 2001, the New York Times reported that, "In the highly masculine world of top-level chess, it is no disgrace to lose to Judit Polgar ... In person, Miss Polgar gives no hint that she is a tigress at the chessboard. She is soft-spoken, modest and very feminine ... "

Today, Polgar says that, if it was strange for chess pundits to see a young girl catapulted to the top, it was strange for her too.

"There was a point when it was a bit much for me, and I couldn't handle the journalists' questions and all the fuss about my results ... I had to realize that I was a role model for other girls and their parents -- they wanted them to follow in my footsteps. But I focused on chess," Polgar said. "I didn't think about other things."

In 2002, Polgar finally defeated Garry Kasparov, who had previously described her as "talented but not greatly talented,'' explaining that "women by their nature are not exceptional chess players ... not great fighters," in a 1990 interview with The New York Times.

But in a game Polgar described as "one of the most remarkable moments" of her career, she won in 42 moves.

Kasparov later credited the Polgars' career success in a chapter on anti-complacency tactics in his book, "How Life Imitates Chess."

"By seeking out and often besting the toughest competition," he wrote, "the Polgars showed that there are no inherent limitations to their aptitude -- an idea that many male players refused to accept until they had unceremoniously been crushed by a twelve-year-old with a ponytail."

In 2003, Polgar enjoyed one of her best results.

At a tournament in the Netherlands, she finished half a point behind current World Champion Viswanathan Anand, a point ahead of Vladimir Kramnik (who Polgar has yet to beat), and beat Karpov. The following year, her son Oliver was born, and she took time out from chess.

In 2005, she competed in two tournaments which brought her to her highest spot on the rankings board -- world number eight.

Things fall apart

"Being professional means 100% is not enough," she said. "Number one, two and three in my life was chess. The reality for women is, when a child comes into the picture, priorities change."

More from Leading Women: At last, it's Zaha Hadid's time to shine

After her daughter was born in 2006, Polgar says, "things in my career dropped, pretty much. Not only my rating points but I was not happy with the way I was playing." Her ranking dropped from 10th to 50th in the world and in 2008 she finished last in the World Chess Blitz Championship.

"Everything really kind of fell apart," she told Chess magazine, "even though I have had help with my children from day one from grandparents and nannies.

"First of all, my priorities in life and in my mind definitely changed. I didn't have the same interest in chess as I had before."

As she reveals in an upcoming book, "How I Beat Fischer's Record" it wasn't until she played an opening gambit that had been a childhood favorite (the King's Gambit) against the eventual winner of the 2009 World Cup, that she felt like devoting herself to chess again.

"It felt like for a moment the Judit from 1988, who many (including myself) had forgotten, had come back to deliver her trademark brilliancies," she wrote.

Polgar has decided to continue with her professional career despite the juggling she now has to do.

"I'm a maximalist and I like to do things in a maximal way," she said. "It's extremely difficult to admit to myself that maybe I cannot, because there are too many fields in my life that I'm covering: Being a mother, being a wife, being a professional player, coordinating chess events and writing books.

"(But) I started to play chess when I was five and ever since, I liked the game. And after all, I can still do things which give me a lot of pleasure."

"When I got married, many of my colleagues thought my life was going to go in a different direction and I probably wouldn't care about my game anymore. Actually, it was the contrary. Somehow I became more balanced and my life became more complete."

@highlight

Polgar became the youngest ever grandmaster at 15, taking title from Bobby Fischer

@highlight

She is the only women ranked in World Chess Federation's top 100 players

@highlight

Birth of first child forced Polgar to reassess: "Everything really fell apart"

@highlight

Now she balances professional chess with writing, motherhood and marriage