(CNN) -- There was an important kernel of truth buried in director Spike Lee's recent tirade against gentrification. New York City, like other big cities, has experienced a decades-long economic squeeze in which the cost of housing has soared while wage levels dropped, leaving middle-class families feeling pinched, punished and pushed out.

Lee's 10-minute, obscenity-laced rant about changes in his old Brooklyn neighborhood, Fort Greene, was deliberately offensive and, at times, incendiary (you can listen to it -- uncut -- here). He accused white newcomers to the area of being rude and disrespectful of local culture. And in this defense of Fort Greene, he sounds somewhat neighborly -- New York could always use a few more polite people -- until you think about it for a minute.

Who, exactly, determines what the local culture is? To whom is this deference or "respect" supposed to be rendered, and how? When can the "respect" bill be considered paid in full?

And whatever happened to the idea that law-abiding citizens in a free society should be able to walk their dogs in the park, take yoga classes, sip overpriced coffee at the local cafÃ© and otherwise go about their business without having their lifestyle choices judged, ridiculed or attacked?

Also, as I've noted elsewhere, it doesn't help Lee's case that he sold his own home for $1 million in the late 1990s and decamped to the wealthy Upper East Side of Manhattan, where he currently resides in a 9,000-square-foot palace that he bought in 2006 for $16 million and recently put on the market with a $32 million asking price. This is a man who made a fortune by promoting the hipness of black Brooklyn, relentlessly and profitably spurring on the very gentrification he now decries.

There was a better point Lee could've made.

The real phenomenon of gentrification worth talking about is a national crisis of housing costs that are climbing faster than the earning power of many residents. It's not confined to black neighborhoods, and it's happening all around the country, not just in New York.

In a fascinating report, Daniel Hartley, a research economist at the Federal Reserve Bank of Cleveland, examined metropolitan areas to measure the number of census tracts where the housing prices moved from the lower half to the top half for that area.

Between 2000 and 2007, Hartley found, housing prices made that leap in 61% of Boston -- the most spectacular increase of any big city. Seattle ranked second, with 55% of the city's census tracts with low-cost housing moving into the pricier bracket. New York, came in third, with 46% of the city's cheaper housing turning not so cheap.

Hartley's price-based measurement of gentrification makes far more sense than racially charged anecdotal observations from Lee. Looking at these kinds of hard numbers also reveals that, in many cities, gentrification takes place without an ethnic shift. It's middle-class black homesteaders who are gentrifying the Bronzeville section of Chicago, for example. And South Boston is going upscale while remaining an Irish-Catholic bastion.

What makes gentrification a problem is that earning power for most people isn't keeping up with the rising cost of buying or renting a place to live. In New York, the cost of renting an apartment jumped 8.6% between 2007 and 2011 -- and in those same years, median household income dropped nearly 7%, according to a report by New York University's Furman Center for Real Estate.

That gap between income and rent is the true crisis of gentrification -- and to fix it will require going beyond ethnic and racial finger-pointing.

What we need is a national campaign to ensure that middle-class wages keep pace with the cost of necessities like food, health care and shelter. It won't make headlines like Spike's rant, but it might replace the heat of blame and resentment with the light of solutions.

The opinions expressed in this commentary are solely those of Errol Louis.

@highlight

Errol Louis: Spike Lee railed against gentrification in his old neighborhood

@highlight

Lee has profited from the thing he decries. But he also missed point, he says

@highlight

In many big cities, housing costs rise much faster than incomes

@highlight

Louis: Fixing that gap requires more than racial finger-pointing