Gore, Georgia (CNN) -- Duncan Shropshire stops at the edge of the treeline, where the meadow becomes a forest. His yellow linen shirt is misbuttoned and crooked, leaving the bottom of his belly slightly exposed.

His 8-year-old daughter, Mia-Grace, stands a foot or so behind him, wiping her runny nose with the sleeve of her blue sweatshirt. After about a minute, she lets out a sigh of boredom.

Shropshire, 51, clasps his daughter's hand and begins leading her into the Northwest Georgia forest.

"This is where your ancestors are buried, back here," Shropshire says. "C'mon, I'll show you."

And with a loving tug, Duncan Shropshire shares with his daughter a key piece of their family's history.

Still holding hands, the pair weaves through the maze of thin pines, stepping over fallen oaks and basketball-sized sinkholes. Mia-Grace stays silent while her father seems singularly focused on moving forward. After five minutes, they reach a large clearing where rows of fist-sized rocks bulge out of the ground.

Each rock sits atop small depressions in the ground.

"You see those humps in the ground?" Shropshire asks.

"Uh-huh," Mia-Grace replies.

"Those are rows of graves. They're stacked like spoons here," Shropshire says. "There was a lot of people here. People of the 1800s are buried here. And I'm trying to keep it in your memory the way granddaddy kept it in mine so it won't be forgotten."

The two crouch over a large, flat rock with the words "Lewis Dickson, 4" scratched into it. To the left of the marker is a row of 12 rocks. To the front, there are four other rows of stones, varying in number.

"How long did they bury our kin here?" Mia-Grace asks.

"They started in the early 1800s, baby," Shropshire answers. "They worked our people to death here. They were slaves. And probably about 1905 is when they stopped burying in this area. Your great-great-great grandfather, a (slave-owning) man named Wesley, he had five children by this slave woman, your great-great-great grandmother. She is buried over here on this side. Her name is Molly."

Mia-Grace's light green eyes get big. "I'm worried I might step on them," she says.

"Oh, baby," Shropshire says with a laugh, "they're gone. They're gone! They're sleeping right now, waiting for the Lord to come."

A "rare" and "special" place

The Shropshire gravesite is in the Appalachian foothills outside Gore, Georgia. About 1,000 feet from the clearing is an old, abandoned church on a dusty dirt road. Experts say that if slaves or former slaves are buried at the site, it would be a unique archeological find.

"In Appalachia, it would be extremely rare to have a black or slave graveyard," explained Ruth Little, co-author of "Sticks and Stones: Three Centuries of North Carolina Gravemarkers." "The farms in Appalachia were small, and there were fewer slaves."

Little says slave cemeteries in the area would have been marked with field stones, like the rocks at the site, or wooden stakes that burned down.

"It's very regional and very local," Little continued. "I've seen on the coastal area with graves marked with seashells."

Other grave markers used in black burial cites throughout the Southeast include iron pipes, broken dishes, cups, bottles and live cedar trees, according to Chicora Foundation Executive Director Michael Trinkley. He specializes in cemetery preservation.

"The problem with preserving these types of sites is that African-American cemeteries are hard to find," Trinkley said. "You can think of the people buried there as the invisible dead. And not knowing where they are, or how many there are, makes them susceptible to loss."

Even if gravesites are recognized, they still might be destroyed for development. Trinkley points to the low country of South Carolina.

"The areas that were used for burial grounds," Trinkley explained, "those areas were close to water. They were considered waste areas, places where burying slaves wasn't a significant loss to the planter. Those areas today are among the most sought-after for real estate."

Officials in Chattooga County, where the site is located, say that they are unaware of any grave sites in the hills near Gore and that the site needs to be registered with the library as a cemetery before it can be considered for protection through local ordinances.

Trinkley and Little both say the potential historical importance of grave sites warrant investigation by local or state officials.

"What if in that grave was your mother or your child?" Trinkley asked. "It's an issue of respect and an issue of dignity. It's the last decision society and the individual make together."

"There aren't many traceable slave graveyards, and each one is special in it's own way," Little added. She says the Shropshire family can point to that spot and say, "This is where we're from; this is where our roots are."

Two cemeteries for two ancestors

Shortly before sunset, Mia-Grace and Duncan Shropshire head over to an old white cemetery about a mile from the forest gravesite. The dates on the gravestones suggest that it was used around the same time as the forest cemetery.

There, Shropshire and Mia-Grace walk over to a marble headstone that tops 10 feet. In front of it is a small plastic Confederate flag flapping in the breeze.

"This is Wesley Weatherspoon Shropshire. ... He was one of the colonels in the Civil War for the Confederacy," Shropshire says. "He had five children by way of a slave he owned by the name of Molly."

"My great-great grandmother?" Mia-Grace asks.

"Your great-great-great grandmother," Shropshire corrects her. He turns to point toward another grave site when Mia-Grace notices her father's misbuttoned shirt. She stops him mid-sentence and begins to fix the crooked buttons.

"Why is Molly buried over there and Wesley over here?" she asks.

"Because that's the way it was, Mia," Shropshire answers.

Mia-Grace's face is filled with intense concentration as she tries to undo the bottom button on her father's shirt.

Finally, she pries the button free. She looks up at her father and says assuredly, "But people are people. It doesn't matter what they are. They're all the same."

"That's a good thing to think, but back then it wasn't like that, Mia," Shropshire tells her. "The dark-skinned people were buried way back over yonder, and the light-skinned people were buried here."

Mia-Grace finally fixes her father's shirt, leaving it straight. Then, she skips over to the other end of the cemetery. Shropshire watches her race across the lot.

"You can't do well in life if you don't know your history. Without your history, you're nothing," he says.

Mia-Grace playfully hides behind a large headstone, calling for her daddy to chase her. A quarter-way toward her, he stops, turns around and yells back, "I reckon she'll be buried wherever she wants to."

@highlight

Duncan Shropshire takes daughter Mia-Grave to see where ancestors are buried

@highlight

The family grave dates to the 1800s, Shropshire says

@highlight

Gravemarkers used in black burial sites include iron pipes, broken dishes, trees

@highlight

People were buried in different parts of the cemetery based on skin color, Shropshire explains