Pope Francis extended an invitation Sunday to the leaders of Israel and the Palestinian Authority to travel to the Vatican for a "peace initiative," after earlier calling for a two-state solution to the intractable conflict.

The pontiff's remarks came at the end of an outdoor Mass in Bethlehem's Manger Square on the second day of his three-day trip to the Middle East.

"In this, the birthplace of the Prince of Peace, I wish to invite you, President Mahmoud Abbas, together with Israeli President Shimon Peres, to join me in heartfelt prayer to God for the gift of peace," Francis said.

"I offer my home in the Vatican as a place for this encounter of prayer."

He added, "Building peace is difficult, but living without peace is a constant torment. The men and women of these lands, and of the entire world, all of them, ask us to bring before God their fervent hopes for peace."

The Palestinian side has accepted the invitation and Palestinian Authority President Mahmoud Abbas will go to the Vatican, a Palestinian Legislative Council member, Hanan Ashrawi, told CNN.

The Israeli President's office said that he welcomed the invitation. "President Peres has always supported, and will continue to support, any attempts to progress the cause of peace," his office said.

Pope Francis then traveled on to Tel Aviv, where in remarks on the airport tarmac to Peres and Israel's Prime Minister Benjamin Netanyahu, he again issued an invitation to pray for peace at the Vatican. He also reiterated the Vatican's support for Israel's right to exist in peace and security.

The next stop on his historic trip was Jerusalem.

Two states

Earlier, speaking alongside Abbas in the West Bank city of Bethlehem, Francis called for the recognition of a Palestinian state -- but he made the same demand on behalf of the state of Israel.

He urged "the acknowledgment by all of the right of two states to exist and to live in peace and security within internationally recognized borders."

The Pope called on all sides to pursue a path to peace together and not take unilateral actions to disrupt it.

"I can only express my profound hope that all will refrain from initiatives and actions which contradict the stated desire to reach a true agreement, and that peace will be pursued with tireless determination and tenacity," he said.

Middle East peace talks recently stalled despite high-profile efforts by U.S. Secretary of State John Kerry to push them forward.

The government of Israel has objected to unilateral initiatives by Palestinians to seek international recognition as a state, and Palestinians have objected to Israeli initiatives to expand settlements on the West Bank.

Protecting Christians

In his remarks in Bethlehem, Francis called on Abbas to protect the religious rights of Palestinian Catholics.

The Vatican has expressed concern over the emigration of Palestinian Christians.

The pontiff also took a stand for the poor, suffering under tensions between Israelis and Palestinians.

"Even in the absence of violence, the climate of instability and a lack of mutual understanding have produced insecurity, the violation of rights, isolation and the flight of entire communities, conflicts, shortages and sufferings of every sort," he said.

After meeting with Abbas, Francis cruised in the Popemobile through a crowd of hundreds of Catholic faithful and onlookers gathered in Manger Square as they awaited the papal Mass.

Priests and the faithful swayed to religious music, while many waved red, green, black and white Palestinian flags and others yellow and white Vatican flags.

The Pope hopped off the Popemobile to shake hands with people in the crowd.

In a symbolically charged moment, he also stopped the vehicle to cross over to the separation barrier erected by Israel, its surface daubed with graffiti including the words "Free Palestine!" There, arm outstretched, he touched the concrete wall, his head apparently bowed in prayer.

Mustafa Barghouti, general secretary of the Palestine National Initiative, told CNN, "The Pope did not only put his hand on a concrete wall. He put his hand on occupation. He put his hand on (an) apartheid system, on a system of separation, and discrimination, and oppression."

Refugee children make appeal

Francis also met with a group of Palestinian refugee children while in the West Bank.

As they entered, the children held up signs about the occupation of Palestinian territories, typed in Arabic, Italian and English.

"Muslims and Christians live under the occupation," read one. Another said, "I have never been to the sea!" in an apparent reference to the restrictions on movement under which Palestinians live.

After the children sang and presented him with gifts, the Pope responded in his native tongue, Spanish, to say he had heard their message.

"Never let the past determine your lives," he said. "Violence is not overcome by violence. Violence is overcome by peace."

While in Jerusalem, Francis will meet with Bartholomew, the Ecumenical Patriarch of Constantinople.

His visit to the region commemorates the 50th anniversary of the landmark meeting between Pope Paul VI and the spiritual leader of the world's Orthodox Christians at the time, Patriarch Athenagoras, in Jerusalem.

The pope will also meet the city's grand mufti and chief rabbis, visit the Western Wall and Yad Vashem, a memorial to the Holocaust, and lay a wreath on the grave of the founder of modern Zionism, Theodor Herzl.

The Holy Land visit is the first for Francis as leader of the Roman Catholic Church, and just the fourth for any pontiff in the modern era.

'Urgent' solution needed to Syrian crisis

On the first day of his trip, Francis also gave a message of unity as he celebrated Mass at a stadium in Amman, Jordan -- a majority Muslim nation with a significant Christian community.

In his homily, Francis spoke of the need for tolerance and diversity and urged everyone to put aside grievances and divisions.

"The mission of the Holy Spirit is to beget harmony ... and to create peace in different situations and between different people," he said.

"Let us ask the Spirit to prepare our hearts to encounter our brothers and sisters so that we may overcome our differences rooted in political thinking, language, culture and religion."

Christian refugees from Syria, Iraq and the Palestinian territories were among those present, and 1,400 children received their First Communion at the Mass.

The Pope's trip to the Holy Land has been billed as a "pilgrimage for prayer," with its roots in faith, not politics.

But in a region where religion and politics are so closely intertwined, his every remark takes on an added significance.

The pontiff is traveling with two friends -- a rabbi, Abraham Skorka, and a Muslim, Sheikh Omar Abboud, who leads Argentina's Muslim community. The Vatican has said their presence is symbolic of his call for unity.

The Pope's first stop was at al-Husseini Royal Palace in Amman, where he met with Jordan's King Abdullah II.

In televised remarks after that meeting, Francis paid tribute to Jordan's efforts to promote interfaith tolerance and to the welcome that the small nation has given to Palestinian refugees and, more recently, those fleeing war-torn Syria.

Francis said it was "necessary and urgent" that a peaceful solution is found to the crisis in Syria.

While in Jordan, Francis met some of the 600,000 Syrians who have fled since the start of the civil war in 2011, as well as refugees from Iraq. He also visited the River Jordan, where many Christians believe Jesus was baptized.

Everything to know about Pope Francis

Pope Francis in the Holy Land: 5 things to know

@highlight

Pope Francis arrives in Tel Aviv, speaks to Israeli leaders

@highlight

Pope invites Palestinian and Israeli leaders to the Vatican to pray for peace

@highlight

Palestinian Authority President Mahmoud Abbas will go to Vatican, official says

@highlight

Israeli President Shimon Peres welcomes the invitation, his office says