Rebels gave Malaysian officials the data recorders from downed Flight 17 on Tuesday, days after the passenger jet crashed in eastern Ukraine.

"We believe these are the black boxes and these boxes will reveal the truth," said Alexander Borodai, the self-declared rebel Prime Minister in Donetsk.

It was a significant step forward in an investigation that's been stalled for days, but key questions remained unanswered: Will the black boxes give investigators the clues they need? What will happen to the bodies of the plane crash's 298 victims, many of which are being kept in refrigerated train cars? And who pulled the trigger to bring the plane down?

Speaking to international reporters invited to watch the handover at the headquarters of the pro-Russian rebel movement early Tuesday, Borodai said the separatists had done their best to retrieve bodies and handle wreckage at the crash site. And he denied accusations that rebels shot down the plane.

"This is an information war," he said. "We don't have the technical ability to destroy this plane. Ukrainians are not interested in the truth."

Col. Mohammad Sakri of the Malaysian military thanked him.

"Having the black box is not to blame each other," he said, "but to show the Malaysians that we are so serious that these things be recovered for Malaysia."

The long-awaited handover came hours after Ukrainian President Petro Poroshenko and U.S. President Barack Obama lashed out Monday at Russia over conditions at the crash site of Malaysia Airlines Flight 17, saying Russian-backed rebels were still impeding efforts to find out exactly what happened.

What will black boxes reveal?

The flight data recorder and cockpit voice recorder, known as the black boxes, could provide key information about what happened to the plane, analysts told CNN.

But is it possible the rebels tampered with them before handing them over?

"You can't go and fool around with the data. These are solid, secure devices," said Peter Goelz, former National Transportation Safety Board managing director. "If there was any kind of attempt to alter them, investigators would know immediately."

The voice recorder could include audio from the cockpit, which would show whether the pilots knew the plane had been hit, said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

And the flight data recorder will give investigators information about engine settings, pressurization and electronic communications, among other details, she said. but that doesn't mean the black boxes hold all the clues to explain what happened to the Boeing 777.

"The black boxes aren't going to solve" the issue of who downed the Malaysian airliner, a U.S. intelligence official told CNN's Evan Perez.

Handling the remains

The remains of 16 people were still missing Monday, four days after Flight 17 plunged to the ground, Poroshenko told CNN's Christiane Amanpour.

Earlier, the Ukrainian government issued a statement saying that 282 bodies and 87 "body fragments" had been recovered from the sprawling crash site.

A train carrying the remains of 282 passengers was headed toward the eastern city of Kharkiv, officials said Monday.

Obama and Poroshenko decried how the bodies had been treated, echoing complaints that the remains had been left exposed to the elements for days and that rebels had stripped personal belongings from some of the bodies and their effects.

Poroshenko said the rebels' conduct was "barbaric." Obama called the handling of remains an "insult" that has "no place in the community of nations."

Dutch forensics experts who inspected the train Monday were "more or less" satisfied with how the bodies were being stored," said Michael Bociurkiw, the spokesman for monitors from the Organization for Security and Co-operation in Europe.

After the train arrives in Kharkiv, the remains will be flown to Amsterdam on board a Dutch C-130 Hercules, officials have said.

Most of those who died in the crash were from the Netherlands.

Dutch Foreign Minister Frans Timmermans said bringing the victims' remains home is his country's top priority.

"To my dying day, I will not understand that it took so much time for the rescue workers to be allowed to do their difficult jobs," he told the U.N. Security Council on Monday, "and that human remains should be used in a political game."

Who pulled the trigger?

The U.N. Security Council adopted a resolution Monday demanding full access to the crash site and condemning the downing of the plane. The resolution won unanimous approval from the 15-member council, which includes Russia. It did not specify who was responsible for the crash.

U.S. and other officials have said it appears the plane was shot down by a sophisticated surface-to-air missile located within rebel-held territory. Evidence supporting that conclusion includes telephone intercepts purporting to be pro-Russian rebels discussing the shootdown and video of a Buk missile launcher traveling into Russia with at least one missile missing.

While they have stopped short of putting the responsibility squarely on Russia, Obama, British Prime Minister David Cameron and others have said the pro-Russian rebels could not have shot such a high-flying jet down without weapons and training from Russia.

But officials said Monday that U.S. intelligence analysts are examining phone intercepts, social media posts and information gathered on the ground to see if Russian officials played a direct role in the shootdown, according to two U.S. officials directly familiar with the latest assessment. The officials declined to be identified because of the sensitivity of the situation.

"We are trying to determine if they manned it, advised, or pulled the trigger," one of the officials told CNN.

Poroshenko, speaking to CNN's Amanpour, pleaded for international solidarity against the pro-Russian rebels.

"I don't see any differences" between 9/11, the Lockerbie bombing and the attack on Flight 17, Poroshenko said, referring to the 2001 terror attacks on the United States and the bombing of a Pan Am flight over Scotland in 1988.

Obama called on Russia to rein in the rebel fighters, who he said had treated remains poorly and removed evidence from the site.

"What exactly are they trying to hide?" he said.

Russians blame Ukraine

Pro-Russian rebels have repeatedly denied responsibility for the shootdown.

In an interview with Chris Cuomo broadcast Monday on CNN's "New Day," Borodai said he believed Ukrainian forces either shot the plane down with a surface-to-air missile or, as the Russian general suggested, one of its own fighter jets.

"We didn't have motives and desire to do that, and it is obvious that Ukrainians have them," he said. "I can't say about desire, but motive is obvious that the crash of this plane was beneficial to them."

Moscow has strongly denied claims it pulled the trigger, and on Monday, a Russian general suggested that it may instead have been a Ukrainian jet fighter that shot the plane down.

Russian monitoring showed a Ukrainian Su-25 fighter jet flying along the same route and within 3 kilometers to 5 kilometers (1.9 miles to 3.1 miles) of Flight 17, Lt. Gen. Andrei Kartapolov of the Russian Army General Staff said at a news conference, Russian state media reported.

"We would like to know why the Ukrainian plane was flying along a civilian route on the same flight path as the Malaysian Boeing," Kartapolov said, according to the reports.

In his interview with Amanpour, Poroshenko rejected the Russian suggestion, saying all Ukrainian aircraft were on the ground at the time.

Vitaly Churkin, Russia's ambassador to the United Nations, also blamed Ukraine for the crash on Monday. But when asked about audio recordings purporting to show pro-Russian separatists talking about shooting down a plane, he suggested that if they did, it was an accident.

"According to them, the people from the east were saying that they shot down a military jet," he said. "If they think they shot down a military jet, it was confusion. If it was confusion, it was not an act of terrorism."

Ukrainian President: The world must choose sides

So much we don't know -- eight unanswered questions

Who were the victims?

Should jet have flown over Ukraine?

@highlight

Rebels hand over black boxes to Malaysian officials

@highlight

"These boxes will reveal the truth," rebel leader says

@highlight

Train bearing bodies expected to arrive in Kharkiv, Ukrainian officials say

@highlight

Dutch foreign minister says human remains were "used in a political game"