(CNN) -- China's President Xi Jinping will have plenty to discuss with his Russian host and counterpart Vladimir Putin when they meet on the sidelines of the G-20 leaders' summit in St. Petersburg this week, as relations between the former foes grow cozier.

The hot issue is clearly Syria, where China and Russia strongly oppose any U.S.-led military intervention against President Bashar al-Assad's government in Damascus over its apparent use of chemical weapons. Both urge restraint and call for a political solution -- much to Washington's consternation.

Xi, who calls the Sino-Russian relationship the "best" among major countries, says they will always be good neighbors who aspire to "never be enemies." China is a major buyer of Russian weaponry and the two countries held their biggest joint naval exercise in the Sea of Japan in July this year.

Obama-Putin will have chance to talk on 'margins' of G-20 summit

The two countries also enjoy a growing trade relationship, expected to be worth $100 billion by 2015, that is based heavily on China buying Russian energy exports such as oil and gas. As part of this energy trade, both sides see investment opportunities in Arctic and Russian Far East resources development, and in the related advancement of pipeline infrastructure and maritime transport links such as the Northern Sea Route through Arctic waters.

Putin has made it clear that he wants to see this energy trade grow even more vigorously, and has given strong backing to the various oil and gas deals struck so far by Russian-state owned energy companies Rosneft and Gazprom with China National Petroleum Corporation (CNPC). The Russian non-state company Novatek also has a deal with CNPC involving development of the vast Yamal Liquefied Natural Gas (LNG) project in northwest Siberia.

Snowden factor

In contrast, relations between the United States and Moscow are increasingly frosty over issues such as missile defense, trade, human rights and the status of former National Security Agency contractor Edward Snowden, who has taken refuge in Russia after releasing details of U.S. surveillance programs.

Opinion: Snowden asylum a blow to U.S.-Russian relations

More recently the crisis in Syria has heightened the rift between Washington and Moscow, with Putin rejecting claims by U.S. intelligence agencies that President Bashar al-Assad used chemical weapons against his own citizens. While China is Syria's biggest source of manufactured goods, it is Russia that supplies most of the military equipment used by the Syrian armed forces and has been its most steadfast ally.

Putin maintains that the G-20 summit is a good forum to discuss Syria. But earlier this month, Washington decided to cancel a planned Obama-Putin one-on-one meeting in St. Petersburg scheduled for this week. The two leaders last met at the G-8 summit in Ireland in June.

Russia Xi's first priority?

When Xi officially became China's president in March this year, his first overseas trip was to Russia. During the visit, he described ties between China and Russia as among the most important in the world and said "it is also the best relationship between major countries." According to Xi, China and Russia held "similar or identical positions on key international and regional issues." For his part, Putin responded that Xi's visit would strengthen the strategic nature of their relationship.

But things haven't always been so rosy in the post-war era. An ideological split between the two Communist powers in 1960 saw relations cool to the point where they fought a border war in 1969. Ties were further strained by China's brief invasion of Russian ally Vietnam in 1979 -- though relations have warmed considerably since the breakup of the Soviet Union and formation of the Russian Federation in 1991.

Even today, with energy sales to China being such a key contributor to Russia's national budget, there is always the potential for friction. Price has been one stumbling block, while the growing energy ambitions of the former Soviet republics in Central Asia also come into calculations over pipeline routes. Kazakhstan, Turkmenistan and Uzbekistan, for example, are already significant suppliers of Caspian oil and gas to China via pipelines that connect to its far-western Xinjiang province in the west. Russian oil from western Siberia also flows through the Kazakhstan pipeline to China. Significantly, Xi will combine his trip to Russia for the G-20 summit with state visits to Kazakhstan, Turkmenistan, Kyrgyzstan and Uzbekistan later this month.

Obama's Asia 'pivot'

When it comes to China-U.S. relations, Xi so far has shown an outgoing style in pursuing what he calls the great Chinese dream of national renewal. He and Obama met as presidents for the first time at Sunnyland estate in California in June this year. While the atmosphere was relaxed at their informal get-together, Xi clearly wanted the U.S.-China dynamic to change. "We need to think creatively and act energetically," he said, "so that working together we can build a new model of a major country relationship."

Xi wants the U.S. to acknowledge China's emergence as a world power, not just in economic terms, but strategically as well. Xi's goal is to convince the U.S. that the days of American strategic primacy in the Asia-Pacific region are coming to an end, and that Obama's military "pivot to Asia" looks to some in Beijing as a policy of containment.

Obama, who is likely to have a special meeting with Xi on the G-20 sidelines later this week to continue their discussions on North Korea, cyber-security, human rights, climate change and bilateral trade and investment, has already gone some way to accommodating China's ambitions, notwithstanding the Asia "pivot."

Hosting Xi in California three months ago, Obama said it was inevitable that there were areas of tension between the two countries. "But what I've learned over the last four years is both the Chinese people and the American people want a strong, cooperative relationship," Obama said.

This week's G-20 is another opportunity to see how well the two sides can nurture that relationship, particularly when Syria looms as a major point of difference.

@highlight

China and Russia have signed energy deals, conducted joint naval exercises

@highlight

Presidents Xi Jinping and Vladimir Putin have hailed Sino-Russian relations

@highlight

Both countries are opposed to military intervention in Syria

@highlight

Relations between China, Russia and Washington have been strained in recent months