(CNN) -- Everyone knows about the risks that narcotics pose and the lethal war waged against them. But there are probably far more deaths caused by dangerous therapeutic medicines.

Lazy, cost-cutting manufacturers and criminal counterfeiters make billions of dollars a year peddling products that may kill you, which you might find online or even at your neighborhood pharmacy.

I first came across dangerous drugs while evaluating HIV and malaria projects in Southern Africa eight years ago.

Patients were dying because the pills did not provide the needed medicine. Fakes contained chalk, talcum powder, road paint and occasionally dangerous heavy metals, instead of the expensive, hard-to-make medicine.

FDA commissioner talks counterfeit drugs

Terrorist organizations such as Hezbollah have profited from this trade, but no group has so far used it as a weapon. Most producers of bad products are not trying to kill patients.

They are out to make money and simply do not care who gets hurt, or even dies, in the process.

It is impossible to know the exact size of the trade or its lethal impact -- some guesses are as high as 700,000 deaths globally each year. I estimate that bad medicines cause at least 100,000 deaths annually.

Some markets are barely affected, while others are replete with substandard products.

Playing Russian roulette with fake drugs

"Pharmaceutical counterfeiting is a low-risk, high-profit criminal enterprise that attracts entrepreneurs and organized criminals," says John P. Clark, vice president and chief security officer for the drug company Pfizer. "What was once seen as a problem limited to lifestyle medicines is now recognized as a threat from which no therapeutic area is immune."

Up to a third of the market for anti-malarials are suspect in some way, and around 10% of all essential drugs in emerging markets fail basic quality tests.

While the United States is much better served -- far less than 1% of all drugs are faulty -- even if only 0.001% of the 4 billion prescriptions filled in this country every year were compromised, 40,000 prescriptions could be deadly.

More worryingly, lethal drug incidents are on the rise in the United States. Fakes of heparin, a blood-thinning drug, killed 149 Americans in 2007 and 2008, and many more deaths likely go undetected every year.

FDA: Beware of 'fake' potassium iodide

In most cases, no crime is suspected as the consumers are often quite sick and the evidence is swallowed. If a relative with a heart problem dies from a heart attack, who would think to investigate the medicine? But fake Plavix, Medicare's most-often reimbursed heart medication, has been found in numerous countries.

Before the civil war in Syria, its capital, Damascus, was home to a major counterfeit drug operation that made tens of millions of dollars between 2003 and 2009.

The ring manufactured more than 80 brands -- including Plavix -- of fake medicine very convincingly, only distinguishable from real drugs by experts. Yet none of them contained the correct ingredients. Fake antibiotics, cancer and heart medications penetrated every major market of the Middle East, including the one funded by U.S. tax dollars in Iraq.

While part of the operation was shut down in 2009, some gang members fled and reassembled in Iraq and Iran. My sources in the Middle East believe that this gang may have begun operations again in Damascus, bribing officials with their vast wealth to turn a blind eye.

Most worrying for Americans, they may have been the source of the fake cancer-drug Avastin that surfaced in California, Illinois and Texas in March and April.

Fighting the growing menace of fake drugs

U.S. authorities are limited in combating illegal trades outside the United States. International law is currently inadequate to combat international fake drug rings, and there is a need for a global treaty against such products. I am optimistic that this will change within the next decade; international laws will be strengthened, and global efforts against counterfeiters will constrain their activities.

But I am less certain that governments will effectively tackle legal producers who make bad products. These companies pay their taxes, provide jobs and have political clout across numerous emerging markets.

Cutthroat competition among chemical and drug manufacturers keeps prices low, but it also encourages corner-cutting. In some emerging markets, there are more than 300 brands of the same class of medicine. Local regulators do not have enough competent staff to conduct either thorough inspections of all production plants or survey products in the market.

Consequently, companies routinely get away with substandard production.

Most tragically, these producers undercut better producers on price and sometimes force more responsible players to exit the market.

Chinese and Indian producers dominate many drug categories in emerging markets, notably anti-infectives. While many of these companies make good medicines, a substantial subset routinely target poor markets with substandard versions.

Until regulators and customers in emerging markets demand better products, tens of thousands will be killed by substandard drugs, and unfortunately some of these products will make their way to U.S. markets, too.

The opinions expressed in this commentary are solely those of Roger Bate.

@highlight

Author says manufacturers and counterfeiters make billions peddling killer products

@highlight

It is impossible to know the exact size of the falsified medicine trade

@highlight

International law is inadequate to combat international fake drug rings, Roger Bate says