(CNN) -- President Barack Obama is back in Washington after a three-day trip to Colorado and Texas that included fund-raising for his Democratic colleagues and meetings with governors and legislators and mayors and citizens.

When asked why he didn't visit the border, the President responded (and please, fellow commentators, let's get the quote and the context right): "...there's nothing that is taking place down there that I am not intimately aware of and briefed on. This isn't theater. This is a problem. I'm not interested in photo-ops; I'm interested in solving a problem. And ... the suggestions of those who work at the border, who visited the border, are incorporated in legislation [that I've already sent to Congress] that we're already prepared to sign the minute it hits my desk."

Context: There's a time and place for photo-ops, and a time and a place to get things done. Hello, Congress?

This current immigration crisis is less about who these child refugees from the drug wars are, and more about who we are as a nation -- a nation of immigrants.

As Americans, we are proud that we are a country that people run to, not from.

Our national symbol is not a Border Patrol guard with a gun. It's the Lady with the Lamp:

"Give me your tired, your poor, Your huddled masses yearning to breathe free, The wretched refuse of your teeming shore. Send these, the homeless, tempest-tost to me."

In 2008, just before leaving office, President George W. Bush signed a law that Congress passed almost unanimously, requiring unaccompanied border-crossing minors from countries other than Canada and Mexico to have a fair hearing before an immigration judge. The American Civil Liberties Union and immigrant rights groups have filed a class-action lawsuit, trying to force the government to supply legal counsel for undocumented minors facing deportation.

President Obama, rightly, is upholding the William Wilberforce Trafficking Victims Protection Reauthorization Act. His administration announced that it would prioritize the immigration cases of recent arrivals, particularly unaccompanied minors and families.

The government will add and reassign immigration judges to focus on recently arrived children and families, whose cases would jump ahead of all the others in line.

In addition, in a balanced approach, President Obama has asked for $3.7 billion to deal with the immediate crisis. Half the money will go to proper facilities for child refugees and more immigration judges. The other half will go to increased border security.

Obama has a strong record on immigration enforcement, outdoing both Republican and Democratic predecessors. He has deported over 1 million immigrants, focusing on those with criminal records. As documented by many nonpartisan sources, by 2011 Obama had reduced illegal immigration crossings to net zero. He doubled the number of border guards from what they were in 2004.

Indeed, Obama's Justice Department has been so aggressive in deportations, the City of Los Angeles refused to hold detainees past their release dates, as requested, citing constitutional protections.

But Congress, rather than confront the immigration problem with a legislative solution or consider Obama's request for emergency funds, has jumped headfirst into the photo-op rabbit hole.

Sadly, unless Congress acts, we will likely send most of the children back -- back to the drug-fueled gang violence from which they fled.

In his request for emergency funds, Obama recognizes the dangerous, abusive conditions these children face in their Central American countries. He has designated some of the money to Honduras, El Salvador and Guatemala, where most of the children come from, to crack down on gang violence and support tougher penalties on smugglers. Money will also go to build better holding facilities for children.

Meanwhile, the Washington Post reports that human rights organizations filed a complaint for 100 refugee children, saying they were denied necessities, including diapers, were subjected to racial insults, and were confined in "squalid" US detention centers.

This "do-nothing" Congress needs to do something. These are children we're talking about.

Congressional opposition to immigration reform or emergency funds doesn't stem from any philosophical objections or differences of principle. It stems from a calculated, petty, selfish rejection of anything Obama proposes. Four years ago, the President remarked, "If I said the sky was blue, they'd say no. If I said fish live in the sea, they'd say no."

It's only gotten worse.

It's time Congress channel the spirits of the late Senate Republican Leader Howard Baker and the late President Lyndon B. Johnson, both of whom practiced the art of bipartisanship, and to recall the saying from Scripture, "Come let us reason together."

It's time Congress got spiritual, considering there's "near universal" religious support across our nation for Immigration Reform. Conservative Evangelicals, Protestant organizations across the spectrum, Catholics, and Jewish organizations have formed coalitions urging Congress to implement comprehensive Immigration Reform. They were shunned.

Elie Wiesel once wrote, "I swore never to be silent whenever and wherever human beings endure suffering and humiliation."

Why is Congress silent?

Where, my fellow citizens, are our acts of goodness and kindness?

For God's sake, these are children we're talking about.

Join us on Facebook.com/CNNOpinion.

@highlight

Donna Brazile says to solve this border crisis, Congress and the administration must work together

@highlight

Thousands of children from Central America have flooded the U.S. border seeking refuge

@highlight

Brazile: This is more about who we are as a nation -- a nation of immigrants

@highlight

We are proud that we are a country that people run to, not from, she says