Washington (CNN) -- When President Barack Obama steps in front of cameras Wednesday, he'll be addressing a nation that's simultaneously war-weary and ready for more military action against ISIS; critical of Obama's handling of the crisis yet largely supportive of his commitment to keep combat troops out.

Those currents of public opinion, however convoluted, will shape how Obama frames his strategy for "degrading and ultimately defeating" the Islamic State militants in Iraq and Syria, which Americans now believe pose a real threat and must be combated.

Here's what the polling suggests Americans are listening for when Obama speaks Wednesday:

What's your plan?

When Obama admitted to reporters his administration lacked a strategy for combating ISIS in Syria, Americans largely agreed with him. More than two-thirds said in CNN's most recent survey the President lacked a clear plan for dealing with the militant jihadists.

Countering that perception will be Obama's main challenge on Wednesday, and aides say he'll point to both the ongoing U.S. effort in Iraq and new efforts to train and equip local forces as evidence of a clear plot to go after the terrorists.

He's open to airstrikes in Syria, officials say, and wants a broad coalition of allied countries to back him up. That puts him in agreement with the nearly three quarters of Americans who say they're ready for a broader air campaign to defeat ISIS in Iraq and Syria.

Certain specifics of the Obama plan, however, may be hard to come by -- on Tuesday, the White House said Obama would offer neither a timeline for his strategy in defeating ISIS nor a price tag.

"I wouldn't expect something that's quite that detailed," Press Secretary Josh Earnest said. "But the President is very interested in communicating clearly with the American public about what our priorities are and what our plans include."

Analysts say whatever strategy Obama announces -- be it airstrikes, broader training, or both -- must have a clearly articulated goal.

"The biggest mistake would be not presenting a strategy that's decisive," said retired CENTCOM commander Anthony Zinni. "I think he has to clearly lay out what the objectives are. If it's the destruction of ISIS, that has significant meaning."

Obama: U.S. to "start going on some offense"

Is ISIS a threat in the United States?

Americans are worried about ISIS -- two-thirds told CNN in a poll the group posed a very or fairly serious threat. The White House agrees, saying the Islamic militants could threaten "core American interests."

But as recently as Tuesday, the White House maintained ISIS had no current plans to attack the U.S. at home.

"There is no evidence to indicate that ISIL right now is actively plotting to hit the homeland," Earnest said, using the administration's name for the terror group. "It is important for people to understand that."

So without a specific looming threat, Americans will want to hear the President's reasoning for ramping up U.S. military effort against the group -- particularly after the rhetoric used to begin the last war in Iraq turned out to be false.

A majority of Americans do say they were upset by the ISIS beheadings of Americans journalists James Foley and Steven Sotloff, and Obama has warned of Western-born foreign fighters who have the potential to return to the U.S. to stage terror plots.

The timing of the speech -- on the eve of the September 11 attack anniversary -- will only serve to remind Americans of how terrorism can hit at home, even as federal officials maintain there's no current risk of attacks from ISIS.

And while terrorism still ranks well below the economy as the issue most important to Americans, it is rising in standing. Just two years ago only 3% of Americans said it was their top issue; now 14% say it's what they care most about.

Analysis: ISIS threat to U.S. mostly 'hype'

Why not have Congress approve?

When Obama was last considering airstrikes in Syria -- one year ago following President Bashar al-Assad's use of chemical weapons on civilians -- he scrapped his plans when it became clear Congress wasn't on board.

This time around things are different. Any action Obama announces Wednesday night won't require authorization from Congress, the White House announced, though they're still looking for support from lawmakers.

The past 12 months in Syria have created a new dynamic. It's now clear al-Assad isn't leaving power, having turned over his chemical weapons to international control. The terror groups that Obama predicted would gain a foothold in Syria have. And Congress is now closer to midterm elections in which a vote for broad military power could be politically harmful.

That means the President will use his existing powers to go after the jihadist group which now controls land spanning the border between Iraq and Syria. The current air campaign in Iraq relies on Obama's ability to order strikes that protect American interests and help alleviate potential humanitarian crises.

Airstrikes against ISIS in Syria, an option Obama is open to, would require those parameters to be broadened -- and that will require some explaining to the American people.

CNN's poll showed a large majority -- 72% of Americans -- want Congress to sign off on new military force against ISIS.

But even some lawmakers themselves aren't so sure. The top Democrats in Congress -- Senate Majority Leader Harry Reid and House Democratic Leader Nancy Pelosi -- both said they agreed with the White House decision to forgo Congressional approval.

Related: CNN Poll finds most Americans alarmed by ISIS

Are U.S. troops heading in?

The short answer is no. Obama, having been elected to office partly on his pledge to draw down the American combat missions in Iraq and Afghanistan, has adamantly maintained he won't be sending American troops back into war.

"You also cannot, over the long term or even the medium term, deal with this problem by having the United States serially occupy various countries all around the Middle East. We don't have the resources. It puts enormous strains on our military. And at some point, we leave. And then things blow up again," he told NBC News last week.

"We've got to have a more sustainable strategy, which means the boots on the ground have to be Iraqi. ... And in Syria, the boots on the ground have to be Syrian."

But there is an asterisk. A few hundred American troops are on the ground in Iraq to advise and help the military there. Such cooperation would be extremely difficult in Syria, where the President called long ago for the ouster of President Bashar al-Assad.

@highlight

President Obama will lay out his plan to deal with ISIS in Iraq and Syria

@highlight

CNN's poll suggests Americans are alarmed at the prospect of a terror attack

@highlight

But the public does not support putting American troops on the ground

@highlight

It is unlikely Congress will need to vote to authorize military action