(CNN) -- Ger Jansen is puzzling about how to fit a windshield. His problem is not installing it in a car, but hanging the glass in thin air and keeping it hovering for a prolonged display.

This is a fairly typical challenge for the Dutch engineer, who along with his daughter Angela runs Crealev, a leading levitation design firm. The mysterious art of floating has been largely confined to ultra-specialist industry applications and magician tricks, but the Jansens have developed a repertoire for any occasion; from lifting a model's top hat for a fashion shoot to a giant rock in a striking art display. They have given sneakers air for Nike, and produced a range of self-suspending lamps for the home.

These are all given flight by patented modules that induce magnetic levitation. The kit is comprised of two parts: a magnetic disc that can be integrated into the chosen object, and a base containing sensors that pin it in space. The latest and most heavy-duty module can support up to 10 kilograms to a height of nine centimeters, but bespoke services are available for unlimited height and weight.

"Our customers drive us by requesting more demanding solutions," says Jansen. "For the higher and heavier loads we have to combine the largest levitation modules."

The company is also developing programming to make the magnets smarter, more responsive and capable of more sophisticated movement.

"People don't want something to just float but also to interact with it. What should happen then is that sensors around the object move depending on the movement of people, so the object is more intelligent."

Jansen is flooded with requests to make every conceivable item levitate. One popular option for illusionists and thrill-seekers is to make a human float, which he is pursuing with some reservations.

"You could have magnets inserted into clothes but it would not feel like resting on the clouds ... If you have these magnets working together it's a giant force. It can hurt the skin. There need to be safety precautions."

The Chairless Chair, an invisible chair that you can wear

The Jansens are not alone as there is a growing market of levitating applications for consumers. A Californian company has released a set of floating speakers, promising a unique experience for the listener. Czech designers have produced a computer mouse buoyed by magnetic levitation, designed to alleviate carpal tunnel syndrome.

But the limiting factor of magnetic levitation is requiring a base to float over, effectively requiring that objects are stationary. This largely puts paid to the hoverboard dream inspired by "Back to the Future" -- another of the Jansens' most common requests -- and explains why transport seems the best placed industry to make use of the technique.

Until recently, "Maglev" trains were expected to revolutionize public transport, promising increased speeds over 300mph. But the high cost and energy consumption has slowed their growth and today only China and Japan operate such a system.

That could change with the advent of superconductor-powered vehicles, able to generate greater magnetic force with lower power consumption. High concept projects such as China's 'Super Maglev' would use this system for supersonic transport, and it could even support space missions.

Dr. Ludwig Schultz of Dresden' Institute for Metallic Materials works with maglev vehicles and feels superconduction offers significant advantages.

"It gives you much more freedom. The energy storage is more efficient, and there are no moving parts. It can be extremely fast with frictionless motion."

Schultz has developed his own superconducting levitating vehicle -- the "Supratrans," a lightweight buggy that hovers above tracks, held in place with a self-stabilizing mechanism. He imagines it being used for rapid transfers in airports, although one research area looks at creating routes and vehicles for private use.

The spaceship reinvented for new frontiers

The applications from superconductors need not be limited to transport, says Schultz. He has consulted on projects to float a 60-ton stage, and to enhance gravity in space, among other ambitious plans.

Another levitation breakthrough has come at the micro level, and by a different method. This year, Japanese scientists used acoustic levitation to manipulate small objects with three-dimensional capability for the first time. Researchers created a "moveable ultrasonic focal point" that allowed them unprecedented control with sound waves.

Experts hailed the potential impact for molecular analysis for chemistry and medicine, but lead researcher Yoichi Ochiai of the University of Tokyo also foresees wider applications: "I would like to draw huge levitated graphics in stadiums or concerts," he said. "Or for use in our daily lives such as floating interactions at home and small object levitation."

In many cases, levitation technologies have yet to find meaningful functions, either serving novelty purposes or yet to break out of the research stage. But the possibilities are multiplying, and the applications are becoming established in fields such as entertainment and transport.

If the spread continues, magicians may need to learn some new tricks.

The Chairless Chair, an invisible chair that you can wear

The spaceship reinvented for new frontiers

Lighting on the wall: World's most spectacular video projections

@highlight

New technology makes levitation a reality for home furnishings, vehicles, and... rocks?

@highlight

Magnetic levitation technology is already allowing Japanese trains to travel at over 500km/h

@highlight

Advances in superconduction could soon take maglev technology to the next level