Washington (CNN) -- Despite mounting pressure from some lawmakers and dissent within the ranks of his top advisers, President Barack Obama decided not to release photos of Osama bin Laden's dead body, a White House spokesman said Wednesday.

"It is not in our national security interest ... to allow these images to become icons to rally opinion against the United States," White House press secretary Jay Carney told reporters.

"We have no need to publish those photographs to establish that Osama bin Laden was killed," he said.

Shortly after U.S. officials announced the decision, a news agency published photographs it said were taken by a Pakistani security official shortly after the raid.

The images, published by Reuters Wednesday, showed three men lying in pools of blood and the wreckage of a U.S. helicopter abandoned during the assault. None of the pictures appeared to show bin Laden's dead body.

White House officials remained firm in their assertion that releasing graphic photos of bin Laden could incite more violence.

To further explain the controversial choice, Carney read Obama's remarks from the transcript of a Wednesday afternoon interview.

"That's not who we are. We don't trot out this stuff as trophies. The fact of the matter is that this is someone who is deserving of the justice he received. ... We don't need to spike the football," Obama told CBS News.

Obama's decision settles the debate over whether the United States will release the images. But opinions about whether the U.S. government's photographs should be public were anything but unanimous among U.S. lawmakers and members of the public at home and abroad.

Some argued releasing the images would put to rest any critics or conspiracy theories, while others countered that the graphic photos would only inflame jihadists.

A senior Democratic official close to the White House told CNN that the president was "never in favor" of releasing the photos, even as CIA chief Leon Panetta made it sound like their release was imminent.

Carney said Obama consulted Cabinet and security officials before he made his choice Wednesday morning, and a majority of them weighed in against releasing the photographs.

Secretary of Defense Robert Gates and Secretary of State Hillary Clinton were among those who supported Obama's inclination to keep the pictures classified, the senior Democratic official said.

But Panetta said Tuesday he thought a photograph of bin Laden's body would be released at some point. "I just think it's important -- they know we have it -- to release it," the CIA director said.

The president's inner circle was not happy with those remarks, the senior Democratic official said.

But a senior Obama administration official said debates over the pros and cons of releasing the photos were "not at all contentious." The official admitted that "leaks are possible," but said that did not sway the president from reaching his decision.

Carney stressed that Obama wanted to hear differing perspectives to inform his choice.

"He wanted to hear the opinions of others, but he was very clear about his view on this," Carney said.

"There are obviously arguments to be made on either side."

Republican Sen. Lindsey Graham of South Carolina called the decision a "mistake."

"I know bin Laden is dead. But the best way to protect and defend our interests overseas is to prove that fact to the rest of the world," he said in a written statement. "I'm afraid the decision made today by President Obama will unnecessarily prolong this debate."

Rep. Duncan Hunter, R-California, also said Obama made the wrong choice about the photos.

"I want to see them, personally," he said. "I did three tours. I'm not talking as a member of the Armed Services Committee -- (but) as a Marine who did three tours because of 9/11. As Americans we deserve to see them."

But House Minority Whip Steny Hoyer, a Maryland Democrat, said he shares the president's view.

"In my opinion, there's no end served by releasing a picture of someone who has been killed, and I think there is absolute proof that Osama bin Laden was in fact the person ... killed," he said.

Lawmakers involved in national security began debating the issue well before Obama's decision.

The top Republican on the Senate Intelligence Committee has argued they should be made public right away.

"I think the question is, what's the negative that could come from it?" asked Sen. Saxby Chambliss of Georgia. "One of these days they're going to be released; it's a question of whether it be now on our terms or (let) somebody else do it."

Sen. Carl Levin, D-Michigan, who chairs the Armed Services Committee -- and who has not seen the photos -- had argued that the United States should wait to allow the emotions of people around the world who may be sympathetic to bin Laden to cool down.

"I'd let a little time pass so we that we don't play into the hands of people who want to retaliate with what obviously will be a sensational picture. I would not want to feed that sensation, so I'd wait days or weeks," he said.

Florida Democratic Sen. Bill Nelson suggested temporarily keeping the photos confidential, but releasing them eventually.

In a letter sent to the White House Wednesday, he proposed establishing a review process "to release all relevant photographs as early as 10 years from now," or when the president "determines their release would no longer endanger the lives of Americans."

While some Republican leaders criticized Obama, the debate over the photographs did not entirely split along party lines.

Republican House Intelligence Committee Chairman Mike Rogers of Michigan said he was against releasing any photos, saying that he didn't want to make the job of U.S. troops abroad "any harder than it already is."

"Imagine how the American people would react if al Qaeda killed one of our troops or military leaders, and put photos of the body on the Internet. Osama bin Laden is not a trophy -- he is dead and let's now focus on continuing the fight until al Qaeda has been eliminated," he said.

House Homeland Security Chairman Peter King, a Republican from New York who has argued that the photographs should not be classified, said he understood Obama's call.

"While I have said that a photo release may be a good way to combat the predictable conspiracy theories about bin Laden's death, this is a decision for the President to make, and I respect his decision," he said in a statement.

Obama's choice comes as a poll shows that a majority of Americans support making the photographs public.

In a CNN/Opinion Research Corp. poll released Tuesday, 56% of those asked said yes, the government should release a photo of bin Laden's body. Another 39% said no. The poll of 700 adults had a sampling margin of 3.5%.

The government has said it matched DNA to confirm that the body was bin Laden's, and most have accepted that news as evidence of the outcome of the operation.

Some groups, however -- including the Taliban -- have questioned the assertion.

"Obama has not got any strong evidence that can prove his claim over killing of the Sheikh Osama bin Laden," Taliban spokesman Zabiullah Mojahed said. "And secondly, the closest sources for Sheikh Osama bin Laden have not confirmed" the death.

And at a university in the affluent Pakistani town where U.S. officials say troops killed bin Laden, a group of students clamored to tell CNN why they doubted the al Qaeda leader had been killed in the raid.

"If it is true, then why they are not showing his body?" one asked.

Similar doubt and demands for evidence that bin Laden is dead echoed on the streets of Islamabad.

"I believe this is all fake," one man said. "Wherever he is, he's alive."

But the White House has dismissed such criticisms.

"There are going to be some folks who deny it. The fact of the matter is, you will not see bin Laden walking on this Earth again," Obama told CBS.

None of the photos published by Reuters appeared to show bin Laden. One photo shows a man, clad in a T-shirt, lying in a large pool of blood that appears to spread from the back of his head. Two other men pictured appear to have died from extensive head and chest wounds.

The White House has received three sets of photographs, according to a senior U.S. official. One batch, which clearly shows bin Laden's body, was taken at a hangar in Afghanistan, the official said.

The official described one of the images as a clear, but gruesome, picture of the al Qaeda leader's face. Bin Laden is shown with a massive open head wound across both eyes, the official said, adding that the image would not be appropriate for the front pages of newspapers.

The other photos include the raid on the compound and bin Laden's burial at sea, according to the official.

CNN's Ed Henry, John King, Jessica Yellin, Ted Barrett, Ed Hornick, Dana Bash, Dan Lothian, Susan Candiotti, Nick Paton Walsh and Leone Lakhani contributed to this report.

@highlight

NEW: A news agency publishes graphic photos taken by a Pakistani security official

@highlight

On the streets of Pakistan, some demand photographic proof

@highlight

"It is not in our national security interest," a White House spokesman says

@highlight

Some lawmakers say the decision is a mistake