(CNN) -- North Korea's young leader has been in the job for more than a year and has managed to step out of the considerable shadow left by his late father, Kim Jong Il.

The humiliation of April's failed rocket launch after a typically jingoistic build-up was followed up by a successful attempt in December despite a chorus of international condemnation. Pyongyang claimed it had put a satellite into orbit, while the U.S. and South Korea insisted it was all a cover for testing ballistic missile technology.

When the United Nations expanded sanctions as punishment, the North Korean leadership bared its teeth and vowed to conduct another nuclear test and continue experimenting with long-range rockets -- with the U.S. in mind.

Kim Jong Un seems determined to make his own mark as leader.

Far from floundering in his own inexperience, Kim has worked swiftly to consolidate his power base domestically by replacing senior figures in the military -- many loyal to his father -- with his own people.

Whereas the elder Kim's leadership was centered around "military first" politics and tied to the powerful National Defense Commission, a government body, the younger Kim is returning the center of gravity for the regime back to the Party apparatus, according to Ken Gause, director of the International Affairs Group at CNA, a not-for-profit research and analysis organization.

But some North Korea watchers believe the Swiss-educated fan of Western movies and basketball lacks the absolute power enjoyed by his father and his grandfather, Kim Il Sung, the founder of North Korea.

"I believe he is in overall control of the Korea Workers Party, the military, and the state -- but with the help of his uncle, Jang Sung-taek, and his family confident, Choe Ryong Hae, chief of the general political bureau of the Korea People's Army," said Chung-in Moon, Professor of Political Science at Yonsei University in South Korea.

"Whereas his father Kim Jong Il had the absolute consolidation of power base and direct full control of the Party, the military, and the state, his son Kim Jong Un seems to reign than rule."

Moon added that his aunt, Kim Kyung-hee, is the other main influence on the younger Kim.

However, the 20-something leader has a very different style to his father, demonstrating a softer, seemingly personable side. In the last 12 months, the world was introduced to his wife during a number of high-profile public appearances, something that never happened during his father's reign. In one memorable scene last year, a visibly relaxed and smiling Kim and his wife, Ri Sol Ju, were filmed taking in the attractions at an amusement park outside the capital.

He has also shown a willingness to speak publicly, even acknowledging the suffering of his own people during one speech in April last year.

"Our Party is determined our people will not have to tighten their belts but will enjoy wealth and the honor of socialism," Kim told a crowd of thousands at Kim Il Sung Square in Pyongyang.

His father is believed to have made only one brief broadcast while in charge.

"Kim Jong Un basically grew up on Google and his father grew up on letters and stamps," said Jasper Kim, founder of Asia-Pacific Global Research Group.

"It's a new era and Kim Jong Un realizes the more he can kind of shape the narrative to the international community, the more it is to his benefit in terms of getting security and money and everything else that he wants for his country."

But despite signs Kim could be someone the world can do business with, the recent aggressive posturing and rhetoric emanating from Pyongyang suggest otherwise -- with the country's leadership seemingly united.

"As far as regime and national security is concerned, there is a unity between hardliners and moderates," said Moon.

"The North Korean leadership does not think that their behavior is aggressive. For example, launching a rocket for peaceful use in space is, they believe, their sovereign right. And any aggressive behavior such as the third nuclear test is a rightful reaction to unfair and unjust punishment by the U.S. and the U.N.

"There seems to be a huge perception gap."

Meanwhile, little is changing for the people of North Korea. Aid groups say malnutrition is still rampant in the countryside where citizens lack access to safe water and sanitation.

According to Human Rights Watch, hundreds of thousands of people remain enslaved in prison camps which are "notorious for horrific living conditions and abuse." The rights group also claims that on taking power Kim's new government gave shoot-on-sight orders to border guards to stop citizens fleeing to China.

CNN's Paula Hancocks contributed to this report.

@highlight

New leader Kim Jong Un has stepped out of his late father's shadow

@highlight

Presided over successful rocket launch after humiliation of April failure

@highlight

Like his father, Kim has ignored international condemnation

@highlight

Kim is more personable, speaking publicly, appearing with his wife