(CNN) -- Scientists say they've found a galaxy that's not just far, far, away -- it's the most distant from our own that's been discovered yet. And it's helping them gain insight about the universe as it existed a long time ago.

Astronomers say the galaxy, called z8_GND_5296, is the most remote one they can confirm with spectroscopy, a technique that looks for the chemical signatures of elements.

In this case, that element was hydrogen, the main fuel of stars. Researchers reported their findings in the journal Nature.

z8_GND_5296 -- no, that's not a typo, or a spam username -- is a window into the past. Because of its distance, it shows what things would have been like 700 million years after the Big Bang.

The universe is 13.8 billion years old, so 700 million years after the start is actually quite early by comparison.

Star formation

Besides breaking the distance record, astronomers find the new galaxy exciting because it appears to produce stars at an unusually high rate, said lead study author Steven Finkelstein, assistant professor of astronomy at the University of Texas at Austin.

Star-formation rate is measured by how much raw hydrogen the galaxy converts into new stars every year. The z8_GND_5296 galaxy converts hydrogen in the amount of 300 times the mass of our sun into new stars each year.

By contrast, the Milky Way only produces stars at one or two solar masses per year.

Scientists established through previous research that in the first billion years of the universe's history, typical rate of star formation went up, Finkelstein said. Galaxies formed more and more stars over time until about 10 billion years ago, when star formation rates began to decrease.

The newly-confirmed galaxy is still unusual in its high star-formation rate, given how far away it is. But one of the previous record holders for "most distant galaxy" was making stars at 100 solar masses per year, which is in the same ballpark, meaning z8_GND_5296 is not a total fluke in its prolific star-making.

"Now it's much less likely that we just stumbled upon a very rare phenomenon, and much more likely that the early universe harbors these sites of intense star formation, many more than we had previously thought possible," Finkelstein said.

Shifting to red

All of the visible and ultraviolet light from the z8_GND_5296 galaxy has been shifted into the infrared spectrum by the time it reaches Earth. That's because the universe itself is expanding, and the stretching of space-time makes light waves stretch as well.

This phenomenon, called "red shift," is similar to the Doppler effect of sound -- for instance, the pitch of a police-car siren sounds higher when it's getting closer to you and lower as it moves away because the car is moving. The movement causes changes in the wavelength and frequency of sound waves that the observer receives.

Astronomers can calculate the distance of a star, galaxy or other celestial object by examining how much light from it has been shifted into the infrared. This requires sophisticated techniques to make the calculations.

In the Nature study, researchers used the MOSFIRE infrared camera at the W.M. Keck Observatory in Hawaii to study 43 galaxy candidates that had been found in a Hubble Space Telescope exploration of the sky: the Cosmic Assembly Near-infrared Deep Extragalactic Legacy Survey (CANDELS).

Astronomers were looking for a special radiation signature from hydrogen called the Lyman-alpha emission line. This radiation represents the particular wavelength of light that gets emitted when hydrogen atoms get excited in a particular way. Researchers were able to detect this emission line coming from z8_GND_5296, but not from any of the other 42 candidates.

What about those other candidates? Finkelstein theorizes that there is just a lot of gas that absorbs the hydrogen emissions, which is why we can't detect them on Earth.

That may mean that "galaxies at early epochs accrete gas at high rates, and that the resulting large amounts of gas extinguish most of the Lyman-alpha radiation in these young galaxies," Dominik Riechers, astronomer at Cornell University, wrote in an accompanying Nature "News and Views" article.

"We need much deeper observation to try to see this Lyman-alpha emission," Finkelstein said.

More most-distant galaxies to come?

Finkelstein and colleagues found this most distant galaxy on the first of two nights of observation, during a period of about six hours. They have applied for more nights at Keck for follow-up, so z8_GND_5296 may soon have competition for the distance record.

Let's hope these far, far away galaxies don't have Star-Wars-ish civil wars.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Most distant galaxy came 700 million years after the Big Bang

@highlight

It produces stars at a rate more than 100 times faster than the Milky Way

@highlight

The galaxy's light is red-shifted because the universe is expanding