HONG KONG, China (CNN) -- Ah Kuan vividly recalls the day she was granted residency in Hong Kong. The 32-year-old woman had been longing to settle in the city ever since she married a Hong Kong construction worker four years ago. But status as a resident from mainland China meant she first had to join a long queue.

Migrant workers march in Hong Kong in May 2006 demanding better working conditions in the city.

"I felt as if I had won the lottery," a jubilant Kuan says of obtaining residency. "Now I finally got what I want. I don't have to keep traveling in and out of Hong Kong to see my husband, and I can find a proper job."

Ah Kuan's story has become an increasingly frequent one since Beijing assumed authority over Hong Kong 10 years ago. During the past decade, an average of 142 mainlanders have moved to Hong Kong each day.

All told, more than 518,000 mainland Chinese -- most of them wives and children of Hong Kong citizens -- have migrated to Hong Kong since the handover, according to Hong Kong's Immigration Department.

Hong Kong has traditionally been viewed by mainland Chinese as a land of opportunity and a chance for a better life. Waves of mainland Chinese immigrants and refugees have come to Hong Kong to escape poverty, war and communism. Since Hong Kong has one of the world's lowest birth rates, the mainland immigrants are crucial to replenishing the territory's workforce.

Nonetheless, the influx also poses many challenges to the former British colony, social observers say. The current wave of immigrants is changing the face of Hong Kong.

And with the changes are coming increasing reports of discrimination and demands for more jobs from newly arrived immigrants, and increasing anxiety from Hong Kong Chinese about preserving social stability.  Watch how Hong Kong's wealth gap is widening »

Under a quota system in place since 1995, a maximum of 150 mainlanders per day are allowed to come to Hong Kong, according to Hong Kong's Immigration Department. Today, mainlanders account for 93 percent of the city's population growth, according to the Bauhinia Foundation Research, making them a key factor in shaping Hong Kong's present and future.

The influx has changed social dynamics in Hong Kong; cross-border marriages have become increasingly common, for example. Today, 35 percent of marriages registered in Hong Kong involve a spouse from mainland China, according to Hong Kong's Census and Statistics Department.

But many mainlanders face hardship in Hong Kong, frequently stereotyped by Hong Kong residents as low-skilled workers with low income, an alien group that is ill-mannered, speaks with a funny accent and competes with the locals for jobs and welfare resources.

"Over the past decade, many poorly educated men in Hong Kong have married mainland women," says Professor Choi Yuk-ping, a sociologist at the Chinese University. "These couples are mainly from the low-income group and the women are low-skilled with no work experience in a city. They are marginalized by society."

The influx of mainlanders has triggered a host of controversies that has sharpened divisions and tensions between Hong Kong Chinese and mainland Chinese residents living in Hong Kong.

In recent years, local media have increasingly reported on pregnant women from mainland China who come to Hong Kong to give birth in order to secure immediate citizenship for their children. Many Hong Kong natives view such actions as straining Hong Kong's health-care resources.

The number of babies born to these "tourist mothers" surged to 26,132 in 2006, from 7,810 in 2001, according to Hong Kong's Census and Statistics Department. Adding to the challenge are some mothers who left the hospitals without paying bills, and a small number who have abandoned BABIES BORN with congenital diseases.

"It's a tremendous burden for us. Our services were already nearly stretched to the full. Now we have to work even longer hours," says Dr. Wong Hon-kwong, an obstetrician at Queen Elizabeth Hospital in Hong Kong. "The situation is not good for the mainland mothers, either. Many of them check out of the hospital a day after giving birth without any proper rest. They probably do that to save money."

To deter the mainlanders, public hospitals recently increased charges on non-local mothers by almost twofold, a measure that has provoked outrage among mainland mothers.

"We are from the low-income group. The new charges have made our life very difficult. We may have to borrow money," says mainland mother Annie Yeh, 25, who is pregnant with a second child. "I can understand why Hong Kong people think we're robbing their resources. But I wouldn't come here if my husband were not from Hong Kong. I asked my 4-year-old daughter what she thought if I gave birth to the baby in the mainland. She cried and said 'we are a family, we must be together'."

The plight of the mainlanders is a result of the Hong Kong government's "discriminatory measures," according to legislator and mainland migrant supporter Fernando Cheung Chiu-hong.

"The biggest problem is that the government is taking the lead to discriminate (against) the mainlanders. With a birth rate of less than 1 percent, Hong Kong has to rely on the mainlanders to create a future. If we don't handle the migrant issue properly, society will only become more divisive."

But not all mainland migrants face a life of hardship in Hong Kong. The Hong Kong government welcomes young mainlanders with professional skills with open arms. As the city now suffers a shortage of high-skilled labor, the government is offering to grant residency to elites from the mainland and abroad. So far about 80 people have secured residency in this way.

Local university graduates from the mainland are also finding it easier to land jobs in Hong Kong. Geng Chunya, 26, a native of northern China, even managed to start his own IT business with the help of government funding upon completing his doctorate degree here.

"The Hong Kong government is the best in the world. And I like Hong Kong. It's a freer place than mainland China and it treats us fairly," Geng says. "Hong Kong needs us. We are young, well educated, unmarried and energetic."

James Tien Pei-chun, legislator and head of Hong Kong's Liberal Party, says the government should do more to attract high-skilled mainland migrants. "We're facing a serious talent shortage and the top seeds from mainland China can help fill the void," he says.

Professor Choi, however, says the Hong Kong must first address the problems linked to the more numerous low-skilled mainlanders. "With our aging population, their arrival is definitely positive to Hong Kong in the long run. But currently the biggest challenge is to tackle poverty among the immigrants. Failing that, a lot of social conflicts would ensue," she says.

"For Hong Kong people, they must come to terms with the fact that mainland immigrants are part of society and they will make a lot of contributions in future. This is what we must recognize." E-mail to a friend

@highlight

More than 518,000 mainlanders have migrated to Hong Kong since 1997

@highlight

Quota system in place since 1995 allows maximum 150 mainlanders per day

@highlight

Many mainlanders are stereotyped as low-skilled workers with low income

@highlight

Hong Kong government welcomes young mainlanders with professional skills