Imagine you're a hotel company with a score of brands that seem, well, dated. All the flash amenities of yesteryear seem irrelevant today.

No one is using the minibar, room service is more trouble than it's worth, and all your young travelers gripe that there's no free wi-fi. What do you do? Answer: you build an entirely new product.

Currently, there is a gap in the market for hotel rooms that fill the needs of the globetrotting generation of millennials. That won't be the case for much longer, though, as many of the world's largest hotel chains are gearing up to roll out new hotels aimed exclusively at tomorrow's travelers.

Next year will see the arrival of Moxy (Marriott), Tommie (Commune Hotels) and Radisson Red, plus the expansion of already established hipster brands, like Aloft (Starwood), Andaz (Hyatt), CitizenM and Hotel Indigo (InterContinental Hotels).

"Every big company is looking at the same statistics we're seeing and saying, 'wow, we better do something for our millennial segment if we want to stay relevant,'" says Ramesh Jackson, the vice president and global brand manager for Moxy Hotels.

In order to appeal to a segment of traveler that is swiftly on the rise and soon expected to surpass Baby Boomers in their spending, hotels are having to majorly rethink their strategies and offerings.

Space: Redefined and redesigned

In previous generations, privacy and personal space were key concepts in the hotel industry. As the world gets more social, however, that is decreasingly the case. Today's traveler doesn't want to sit alone at their desk. Rather, what they crave is community spaces.

Radisson Red, for instance, has replaced many of the workplace staples found in more traditional rooms with more collaborative furnishings, like a sofa in place of a one-person armchair.

"Young people rarely sit at a desk and work. They like to work on their bed, or curl up on a chair, and we've had to design a room that facilitates that," says Gordon McKinnon, the chief brand officer for Carlson Rezidor -- the umbrella company for Radisson.

Moxy, meanwhile, has introduced a range of "zones" in their lobby, including a quiet zone -- a Starbucks-style area where groups of people can work independently, though together -- and a video wall where guests can share their photos.

"This segment doesn't want to be confined to one enclosed space, and that's an idea that's been adopted by many brands," explains Nikhil Bhalla, vice president of equity research in lodging at FBR Capital Markets.

Tech is king

When it comes to satisfying the insatiable techie hunger of today's traveler, new hotel brands know that wi-fi alone no longer cuts it.

"If you don't have high-speed, and if it's not free, you can forget about this target audience," says Jackson.

The standard menu of seemingly endless cable channels also doesn't hold the allure it once did.

"They want to bring their own device, watch their own movies, and listen to their own music," notes McKinnon. To address this, Radisson Red is looking at ditching in-room televisions in favor of projectors and quality surround sound.

The product counts

Even in the budget bracket, customers are expressing their desire for high-quality amenities, particularly when it comes to food, gym and bathroom offerings. As a result, the newer brands are rushing to form partnerships with respected brands, both on the global and local scale.

Though considered an economy brand, Moxy is planning on partnering with cosmetics company Rituals for the bathroom amenities, and Tails, an award-winning drinks company that makes pre-mixed cocktails.

"Even for a brand in the economy tier, guests expect products they can recognize, not a watered-down shampoo," explains Jackson.

The Airbnb effect

So what about that elephant in the room? You know, the king of the "sharing economy" -- Airbnb -- that has lured enough next-gen travelers to potentially put its valuation above Hyatt and the InterContinental? Will Millennials really give up their loyalty for Airbnb for the likes of Moxy and Tommie?

Industry experts seem unperturbed.

"Airbnb isn't really that cheap," notes Jackson. "And is someone who is using the Marriott hotel brand, and earning points towards their next stay, do they want to go to Airbnb? I really think they have a bigger effect on service apartments."

@highlight

Millennials will soon account for half of all business flights

@highlight

To cater to this segment, hotel chains are building entirely new brands

@highlight

Instagram walls, social media concierges and iPhone keys are newest hotel amenities

@highlight

Some think Airbnb although a notable upstart in the market, doesn't threaten traditional hotel chains