(CNN) -- Circles Robinson is a 55-year-old American who has lived in Havana with his family since 2001. He works revising English translations for official Cuban media online publications and in his spare time he writes his own blog and manages the Havana Times Web site.

Circles Robinson: "There are fantastic cultural opportunities in Havana."

CNN: What makes Havana special to you?

Circles: Havana is the only capital city I've seen that I would want to live in. One big reason is that there are relatively few cars, making the city pedestrian-friendly. Another is that it's quite safe for a capital and you feel like the night is your ally instead of your adversary.

Havana is full of contrasts that make life interesting: buildings being restored amid others collapsing. There's an amazing array of cultural activities but it can be hard to buy a nail or cat food or even a roll of toilet paper sometimes.

I love the parks, the Malecon seawall and the ever-expanding network of museums that give you the feeling there is always something new to see on a weekend stroll. And Havana is virtually free of commercial advertising. The TV and other media are ad-free as well, and I love that.

CNN: What are your favorite parts of the city?

Circles: The Malecon seawall is a great place to think, relax and observe, because of its majestic views, sea breeze and mix of characters from all walks of life. I also love the sprawling grounds, stone walls and magnificent view of the city at the San Carlos de la Cabana Fortress across Havana Bay.

The Latinoamericano baseball stadium is also special for a fan like me. Out on the east side of the city the beaches are fantastic. We try to go once every few months and more often in the summer.

Vedado is my favorite district. It has many large parks, beautiful tree-lined streets and a mix of extremely interesting 20th-century architecture. Of course, Old Havana is gorgeous, with all the excellent restoration work and many museums. I usually find myself going there when I have visitors to show around.

CNN: What do you dislike about life in Havana?

Circles: The overcrowded housing situation and deteriorated buildings in some parts of the city make for some difficult living situations and many things only work halfway.

There's a thick bureaucratic maze to accomplish many simple tasks. Most people need to do something under-the-table to get by and there are some seemingly ridiculous prohibitions.

What makes Havana special to you? Let us know.

CNN: What's a typical weekend in the city?

Circles: There are fantastic cultural opportunities in Havana and they are very accessible to all, normally costing from 10 to 50 U.S. cents for a ticket. My wife and I often go to the theater, to movies, dance performances and concerts.

I like jazz a lot and this Friday there's an outdoor jam session around the time when people get off work. On Saturday there's an early evening informal free concert on the porch of an art gallery.

There's also a film festival offering young filmmakers' works and there are numerous venues for stand up comedians, which are a big favorite of the general population.

CNN: Cuban music is known throughout the world. Where are the best places in Havana to hear real Cuban music?

Circles: I much prefer what they call the "penas" -- more intimate sessions where friends and followers show up. Many groups have regular "penas" once or twice a month, where you might hear folk, rumba or jazz. These performances are held at a variety of places, outdoor and indoor, and most are free.

For more formal concerts I particularly like the theater at the Cuban Fine Arts Museum and the smaller hall at the Amadeo Roldan Theater. The Teatro America also offers a good variety of musical presentations.

Some of the best venues for salsa are the outdoor ones. There are outdoor auditoriums in most neighborhoods, like the Tropical's Salon Rosada in Buena Vista, La Bereda in La Lisa, and El Patio de la Salsa in La Virgen del Camino, where you can see the top salsa bands for under a dollar. You can also see top salsa bands for free at the weekend at venues set up in squares or plazas.

CNN: What do you think the future has in store for Havana?

Circles: The potential is awesome. If the hostile policy of the U.S. towards Cuba could turn into a good-neighbor policy, or at least more normal ties, the economy of the city would no doubt improve. If the travel ban was lifted people from the U.S. could appreciate all that Havana has to offer.

Likewise, if the rest of the blockade was lifted it would present a great challenge to the city's government to get beyond a virtual state of siege and be able to confront its serious infrastructural needs, housing deficit and, in some areas, highly deficient public works and utilities. An onslaught of visitors would also put services to the test and most likely require improvements.

CNN: If Havana was a person what would he or she be like?

Circles: He or she would be casually sensuous, timeless, sassy and either 'tranquillo' or combative depending on how the day's going.

@highlight

Circles Robinson is an American who has lived in Havana since 2001

@highlight

"Havana is the only capital city I've seen that I would want to live in," he says

@highlight

He says the Malecon seawall is a great place to "think, relax and observe"

@highlight

You can hear authentic Cuban music at "penas" -- intimate music sessions