(CNN) -- The buzzword in gaming at Mobile World Congress was definitely "quad-core," and that's likely to become an even hotter topic when Apple is expected to unveil its iPad 3 device next week in San Francisco.

Game developers are pushing the very concept of portable gaming on tablets and smartphones at a breakneck rate thanks to quad-core processors such as NVIDIA's Tegra 3.

"Quad-core processors offer much faster performance for graphics-intensive activities such as high-definition video playback and high-end gaming as well as enabling the phone to handle multitasking with less effect on the user experience," said Daniel Gleeson, a research analyst for IHS Screen Digest.

"This will make the smartphone a more compelling consumer experience, delivering PC-like performance. It also will increase the disruption that high-end smartphones will cause to adjacent products, such as handheld games consoles."

Microsoft exec: Quad-core arms race is 'ridiculous'

While Sony holds the lead in deep, portable gaming for those who pick up the PlayStation Vita device, game experiences for smartphones and tablets are quickly becoming more immersive. And at the moment, quad-core technology is the reason for that. Of course, Moore's Law will catapult portable devices forward quickly. Tegra 4 is already on the horizon.

"These games didn't come to Tegra 3 by accident," said Hassan Anjum, Tegra campaign managerÂ at NVIDIA. "We've been working with these leading mobile game developers for over six years to hone and refine their wares. Tegra 3, with four performance processing cores, in addition to its fifth battery saver core, and a 12-core GeForce GPU, is putting console games on notice."

Here are five quad-core games showcased at the mobile tech event in Barcelona, Spain, that are worth looking out for when they go mobile later this year.

These games already look console-quality. And they can even be played with a traditional game controller on an HDTV when you're not on the go.

"Hamilton's Great Adventure THD" (FatShark) -- It's perhaps the best example of a console-quality game gone portable since this literally started as a downloadable PC and PlayStation 3 cooperative puzzle game.

Players control adventurer Ernest Hamilton and his bird Sasha (separately offline on one tablet) as they explore 60 levels filled with puzzles. What's most impressive about this nice blend of action and mazes are the visuals, which bring an assortment of rich interactive environments such as jungles and deserts to life in 3-D.

"Dark Kingdom THD" (GOGN Entertainment) -- Action role-playing games have defined console gaming from the early days. Developed in South Korea, this game promises a rich experience that will immerse players for days and weeks. Players assume the role of King Keizelic's son and embark on an epic quest to find the lost leader.

Along the way, gamers will battle huge bosses in settings that feature destructible environments. Of course, like any good role-playing game, players can hone their character through upgrade by collecting spirit and rune stones.

The visually impressive game comes to life through technology such as PhysX destructible objects and gorgeous water effects.

"Golden Arrow THD" (November Software) -- This game is your traditional hack-and-slash fantasy action game. The title harkens back to the old Sega Genesis game, "Golden Axe," although this is a completely original title.

"Golden Arrow" lets players join up and take on assorted enemies together as they traverse landscapes ripe with cutting-edge special effects. The developer is making this game a showcase for tablets, from the intuitive touch controls to the high-end features such as high dynamic range lighting, lens flares, enhanced explosions and fire effects.

What all of this translates to is a mobile experience that looks beautiful, although the frenetic pace of weapons-clashing won't leave much time for sightseeing. There's also head-to-head gameplay for added replay value.

"Eden to GREEEEN" (iNiS) -- First there was "Plants vs. Zombies." Now the foliage is taking on alien monster trucks. In this colorful action strategy game from developer iNiS, players will battle an assortment of four-wheeled machines that have invaded Eden.

Running on Unreal Engine 3, the same technology that powers Epic Games' "Gears of War 3" on Xbox 360, this game makes use of visual effects such as explosions, smoke, fire and real-time cloud shadows to bring Eden to life.

The action is fast and furious as players control assorted flowers and foliage against attacking machines, which are after the Euphoria that breathes life into the planet. Going green has never been so addictive.

"Zombie Driver THD" (Exor Studios) -- Zombies remain a hot genre for gaming, and this overhead-perspective horror game puts players behind the wheel of one of 13 different vehicles, including a firetruck and a bulldozer. These modes of transport can be upgraded with everything from flamethrowers to mini-guns.

While mowing down the undead is part of the gameplay, other objectives include rescuing people who hide throughout the virtual world, transporting cargo and defending targets. Giant mutant bosses spice things up in this fast-paced arcade game, which features a dynamic combo system.

This game looks as good as its PC predecessor thanks to all the Tegra 3 bells and whistles. PhysX brings the destruction to life in an assortment of challenging modes, including a 31-mission Story mode and an arena-based Slaughter mode.

@highlight

"Hamilton's Great Adventure THD" is example of a console-quality game gone portable

@highlight

"Dark Kingdom THD" was developed in South Korea and promises a rich experience

@highlight

"Zombie Driver THD" puts players behind the wheel of one of 13 different vehicles