(CNN) -- When the head of the World Health Organization says a new virus is her "greatest concern right now," people worldwide may wonder whether they should be concerned.

This new coronavirus, which experts recently named MERS-CoV or Middle East respiratory syndrome coronavirus, first surfaced in Saudi Arabia in spring 2012.

It's in the same family of viruses as SARS (severe acute respiratory syndrome - coronavirus) as well as the common cold -- but the new virus is not SARS.

"There's not the same level of concern as there was in Hong Kong or Toronto during the SARS epidemic," says Dr. Mark Denison, a professor of pediatrics and longtime coronavirus researcher at Vanderbilt University.

Unlike SARS which sickened more than 8,000 people in 2003 and killed 773 worldwide, this new coronavirus does not spread easily between humans -- at least not yet.

It's too early to tell whether MERS-CoV is going to spread or just burn out, so it's essential that health officials stay vigilant, Denison says. "What's important is continued reporting of active cases which allows for better surveillance."

5 things to know about new coronavirus

Should I be concerned about MERS-CoV?

So far only 49 cases of MERS have been reported, including 27 deaths. Most of those were older men with other health problems. And most contracted the virus in the Middle East: Saudi Arabia, United Arab Emirates, Jordan, Qatar.

Cases have been reported in three European countries (United Kingdom, Germany, France) and Tunisia. But those cases had either traveled from the Middle East or in a few instances were infected through close contact with someone who recently returned from one of the above countries.

As of now, if you haven't been to the Arabian Peninsula, your chance of a MERS infection is probably considerably less than 1%, or even zero, as all the cases have been linked to that region, says WHO spokesman Gregory Hartl.

What researchers don't know is how many people may have had mild symptoms and never were reported. The more information scientists have, the more can be done to try to combat the disease.

I recently returned from the Middle East. What signs should I look for?

If you've traveled to the countries above and have cold-like symptoms which are getting worse, and you're having increasing difficulty breathing and a fever, you may want to see a doctor. It's important to tell your physician where you have been, so you can be tested for regular flu and other illnesses that can cause these symptoms as well as MERS-CoV.

The WHO describes the common symptoms as acute, serious respiratory illness with fever, cough, shortness of breath and breathing difficulties. According to Hartl, the real worry is that patients will develop pneumonia -- most, although not all, of the cases have. Many have also had gastrointestinal problems including diarrhea.

New virus takes more lives, spreads

What should I avoid?

The original source of the infection is still a mystery, so health officials cannot tell you what to avoid to prevent getting this coronavirus.

Researchers haven't identified any animal that may be carrying the virus. Early on in the SARS outbreak, an animal called the civet cat was implicated -- maybe unfairly, because bats were later implicated too.

It's not known how the virus spreads between humans, be it droplets in the air from coughing or sneezing or touching contaminated surfaces, but WHO isn't ruling out contact with surfaces as a possible mechanism of transmission.

It's also not known how long the virus can live outside the body. The SARS virus was shown to live as long as four days. Other viruses, such as HIV, lose their ability to be infectious within hours.

How can I help my family?

While there's no cure for MERS-CoV, there are things you can do to protect your loved ones -- the same measures you would take to prevent spreading the flu or other viruses.

If you've recently returned from Middle East and aren't feeling well, stay home and avoid contact with babies and people who may already be sick. Cover your mouth when you cough or sneeze (tissue, sleeve or elbow, not your hands) and wash your hands frequently.

There currently is no vaccine or treatment for MERS-CoV.

A lot has been learned about new coronaviruses over the past 10 years by studying the SARS virus because the National Institutes of Health have continued to support research on it, Denison says, adding that he's hopeful that knowledge could be "potentially applied towards vaccines," if MERS-CoV develops into a pandemic.

New virus is a 'threat to the entire world'

@highlight

If you haven't traveled to the Middle East, your chances of being infected are low

@highlight

There's not the same level of concern as seen with SARS, an expert says

@highlight

There is still much experts don't know about MERS-CoV