(CNN)  -- This week is Nurses Week and hospitals across the country, I'm sure, will celebrate it the same way mine does -- by not doing much.

Last year we all got goodie bags that held confetti, hard candies and a small candle that was symbolic of helping us light our way. Another year all nurses who had worked five years or more got a beach towel emblazoned with the hospital logo. A beach towel! Who wouldn't be excited about that, especially in land-locked western Pennsylvania?

The point isn't the swag, or lack thereof, but the paltriness of the gestures. Hospitals do not function well without nurses, and yet our institutions routinely devalue our work.

A 2002 study published in the Journal of the American Medical Association, led by University of Pennsylvania School of Nursing professor Linda Aiken, revealed that as hospital nurses are assigned more and more patients to care for, the number of patients who die also goes up.

Aiken's study assumed a ratio of four patients to every one inpatient nurse, and found that for every additional patient "in the average nurse's workload," the odds of a patient dying increased by 7 percent.

New data just released by the same authors in Health Services Research confirms the earlier findings. In a tri-state analysis,  the researchers found that adding a patient to nurses' workloads increased patient mortality by 6 percent in Pennsylvania, 10 percent in New Jersey and 13 percent in California. The thinner nurses are spread in hospitals the greater the number of patients who die. It's that simple.

Improved nurse staffing keeps more patients alive because nurses are the canaries in the coal mine, or what Aiken's article in JAMA called "an around-the-clock surveillance system." Fewer patients per nurse means that when a patient develops a serious problem, the nurse will be more likely to notice it and have time to address it: page the doctor, make sure needed drugs get ordered, suggest appropriate scans, and above all, continue to monitor the situation -- be ready to call a condition or "code" if needed.

Hospital patients are sicker than they were 20 years ago because advances in technology and improvements in overall care have meant that more very ill patients survive and end up in hospitals.

These unstable patients can spiral down quickly. To ensure patient safety we nurses have to be vigilant, and we need time to do that well. With the advent of managed care, hospitals cut back on their nursing staffs as a way to save money and increase profitability, but that meant they cut back on patient safety, too.

So, we nurses don't want towels or party favors for Nurses Week. The best present of all would be hospital floors that always have enough nurses. A serious effort to reduce the amount of required documentation, giving us more time with patients in exchange for less time in front of the computer, would also be a welcome Nurses Week change.

Or how about lunch? Research by Dr. Ann Rogers and colleagues in the Journal of Nursing Administration in 2005 showed that nurses routinely work through their allotted lunch breaks in order to provide patient care. Indeed, on my floor, "lunch" often means eating in front of the computer while we chart, shoveling down food before running off to give pain medication to a patient who needs it, or putting aside all thoughts of food while helping a patient who's "having trouble breathing."

Additionally, in many hospitals, nurses are not paid for the 30-minute lunch break we often work through. A quick Google search on "nurses lunch unpaid" turns up multiple hits detailing class-action lawsuits filed against hospitals where nurses are not paid for a 30-minute "lunch," even though they spend that time working.

Not paying nurses for a half-hour lunch break during which we all typically work is in conflict with the Fair Labor Standards Act, but hospitals must save millions of dollars a year by cheating nurses out of lunch. They save even more money by cutting back on nurse staffing in general.

The unpaid and untaken lunch break is a symptom of nurses' work being taken for granted. It represents the chasm separating the life and death value of our work, and the lack of institutional respect we are often accorded. Never forget that the flip side of an overworked nurse, with more patients than she can safely manage, is a dead patient who might have lived otherwise.

So, what I would really like for Nurses Week is to have enough nurses to keep as many patients as possible alive. But I'm a realist; I'm willing to start small. Let's give nurses a real break during the day, or pay up for that half hour we work.

This week is Nurses Week. It's time for hospitals to stop getting a free lunch.

The opinions expressed in this commentary are solely those of Theresa Brown.

@highlight

Theresa Brown: This is Nurses Week, but hospitals don't do much to honor nurses

@highlight

Brown: Studies show that as hospitals cut nursing staff, more patients die

@highlight

Better staffing, she writes, means more attention can be paid to patients

@highlight

Best gift for nurses would be enough staff -- or at least a paid lunch, she says