Canberra, Australia (CNN) -- At first glance, it doesn't look like much. Hidden behind an unmarked door, in a nondescript government office building in the Australian capital, it could be mistaken for a high school science classroom with work benches, slightly outdated computer monitors, and the odd microscope sitting in the corner.

But what happens in this room is anything but amateur.

We're inside the Australian Transport Safety Bureau's accident investigation lab, the place where the black boxes from Malaysian Airlines flight MH370 could be brought if and when they're recovered from the bottom of the southern Indian Ocean. The place that may play a critical role in solving the mystery of what happened to the Boeing 777 and the 239 passengers and crew on board.

Our guide today is Senior Transport Safety Investigator Neil Campbell. An engineer by trade, he's been taking apart flight data recorders and recovering the data from them for over two decades.

Campbell says he thrives on the technical challenge of accident investigation, but there's another factor that attracts him to his chosen line of work. "Anything you can do to improve safety, improve the safety of the traveling public -- that's rewarding," he says.

Just a handful of countries have the capability and technical know-how to decipher what's inside a black box. And if the Malaysians, who by international convention are in charge of the investigation into MH370, select Australia to take the lead, the devices will be brought here.

'Object of interest' found

Retrieving the memory board

We start by the sink. Once the flight data recorder or cockpit voice recorder is retrieved from more than 4500 meters below the surface of the Indian Ocean, it will be packed in water in a plastic bin to stop any salt or chemicals from solidifying and damaging the memory board, says Campbell. When the recorder arrives at the lab, Campbell or another investigator will rinse the recorder with distilled water, then begin the process of taking it apart.

Sometimes getting the data is simple. "A lot of our work is with undamaged recorders and it's very easy to download them, much as you would a USB memory stick," Campbell says, as he flips open a slot on the end of the recorder. But the process becomes much more technical if the recorders are damaged by fire or water.

On the shelves of the lab's main room are examples of black boxes that have survived some of the worst conditions. Their metal casing is warped and torn, or their bright orange exterior charred black. But even with these recorders, Campbell still has options to tackle what some might consider an impossible task.

That's because the only part of the flight data recorder that investigators really need intact is a small rectangular box called the Crash Survivable Memory Unit (CSMU). Campbell unscrews a couple of bolts. Wearing gloves and grounded to an anti-static mat, he begins peeling off layer upon layer of housing and protective insulation. In the center, is a memory board with eight flash memory chips, no bigger than the palm of his hand. This is where the vital data, and potentially the answers, live.

In the case of the Boeing 777, Campbell says, the flight data recorder captures about 2,000 parameters for up to 25 hours. Those include everything from altitude and airspeed, to flap settings, engine performance, even cabin temperature and pressure. Campbell says some of the key parameters are recorded as often as eight times per second. The cockpit voice recorder captures four audio channels for a maximum of two hours before overwriting.

One of the most challenging scenarios is when the board itself is damaged: "We could take each individual chip off the circuit board, read those out individually, and then with the help of the manufacturer, piece all that information together," Campbell explains.

If there's water damage, Campbell says he will rinse the board very carefully, then use a water displacement liquid, before drying out the circuit board in an oven. That process can take a couple of days.

Decoding the data

When the raw data is downloaded from the recorder, it comes out as binary computer code, a slew of zeros and ones. Using a document provided by the aircraft manufacturer, investigators are able to decode each piece of data, and begin the process of getting a clearer picture of what happened and when.

To illustrate the point of just what the information gathered from a flight data recorder can show, Campbell takes us through a heavy door into the soundproof audio analysis lab and pulls up an animation on a monitor. For the next 90 seconds we watch an animated representation of a 2010 twin propeller plane crash in Darwin, Australia, when a simulated engine failure went wrong after takeoff, tragically ending in the death of both pilots on board.

Campbell says having this visual representation is a vital tool in helping the public understand an accident: "There's a satisfaction in working out what happened with the accident and the conclusions, and the closure that that brings."

Closure that any investigator, wherever the black boxes from MH370 end up, might hope to bring to the loved ones of those on board the missing Malaysian Airlines flight.

CNN's Michael Holmes contributed to this report.

@highlight

Black box data from Flight 370 could be analyzed at a laboratory in Australia

@highlight

Even if the flight data recorder is damaged, information is retrievable

@highlight

About 2,000 parameters are decoded, like altitude, engine performance and cabin pressure

@highlight

The data is used to create a visual representation, helping the public understand an accident