(CNN) -- A federal judge with a secret court has refused the Obama administration's request to extend storage of classified National Security Agency telephone surveillance data beyond the current five-year limit.

The Justice Department had argued several pending lawsuits over the bulk data collection program require it to preserve the records for a longer period of time.

Judge Reggie Walton, who presides over the Foreign Intelligence Surveillance Court, concluded on Friday the government had not overcome larger privacy concerns.

"The amended procedures would further infringe on the privacy interests of United States persons whose telephone records were acquired in vast numbers and retained by the government to aid in national security investigations," said Walton, whose main duties are as a Washington-based federal district court judge.

"The great majority of these individuals have never been the subject of investigations by the FBI to protect against international terrorism or clandestine intelligence activities. The government seeks to retain these records, not for national security reasons, but because some of them may be relevant in civil litigation in which the destruction of those very same records is being requested. However, the civil plaintiffs potentially interested in preserving the (telecom) metadata have expressed no desire to acquire the records."

Current surveillance court orders require the National Security Agency or telecommunication companies that gathered the phone records to purge the material within five years.

"The government makes no attempt to explain why it believes the records that are subject to destruction are relevant to the civil cases," said Walton in his 12-page order.

There was no immediate reaction to the order from the Justice Department.

Intelligence leaker Edward Snowden last June revealed a secret surveillance court order approving government collection of mass amounts of metadata from telecom giant Verizon.

It includes phone numbers called and their location. The exact percentage of metadata being collected has not been revealed publicly. Monitoring of actual conversations requires a separate warrant.

President Barack Obama in January cited privacy concerns when announcing that such data should no longer be held by the government, but instead be turned over to the domestic telecoms or a private third party.

NSA would still have access to the calls to track potential terror connections. He ordered the intelligence community to formulate such a plan by March 28.

The mission of the FISA court, named after the Foreign Intelligence Surveillance Act that created it, is to decide whether to grant certain types of government requests -- wiretapping, data analysis, and other monitoring for "foreign intelligence purposes" of suspected terrorists and spies operating in the United States.

The once-secret approval of collecting bits and pieces of information from electronic communications comes quarterly from judges at the court.

To collect the information, the government has to demonstrate to a judge that it is "relevant" to an international terrorism investigation.

There were 1,856 applications in 2012 to the FISA Court for electronic surveillance and physical searches for "foreign intelligence purposes," the Justice Department said.

The current case is In re: Application of the FBI for an Order Requiring the Production of Tangible Things (BR 14-01).

@highlight

Judge with secret FISA court said the government has not overcome privacy concerns

@highlight

Current law requires the government to purge surveillance records within five years

@highlight

The Justice Department argued that the data had to be preserved due to litigation