Istanbul (CNN) -- "Hurry up," one of my rivals curtly warns me, as I clumsily try to decide which tile to add to my deck.

Ali doesn't seem to realize that part of my dawdling is because I'm learning to play the Turkish game Okey for the very first time. Coached by my colleague, CNN producer Gul Tuysuz, I reach for a number. Then, in an effort to create some goodwill, I buy a glass of Turkish tea and send it over to Ali's side of the table.

"Thanks," he writes. But I still proceed to lose the game.

Instead of playing Okey the traditional way, shuffling plastic numbered ties on a green-felt table in a smoky cafe, Gul and I are exploring the game digitally.

This online version of Okey lets you win digital dollars and play with your friends via Facebook. It is definitely designed for a Turkish audience: Among the gifts you can send people are Turkish coffee, a nargila water pipe,and even a belly dancer. There is also a function called "flÃ¶rt" that lets you flirt with other players.

It is a fairly simple formula that the game's online designers say has been wildly successful. Since Turkish start-up company Peak Games released Okey less than two years ago, the game has attracted more than 19 million users, with an average of more than 3 million players a month.

"We're only 2 years old," says Rina Onur, one of Peak Games' founders. The Harvard-educated former investment banker then rattles off accomplishments that would make any entrepreneur jealous.

"We started with three people, and now we're with 200. Five offices around the world, 10 million daily and 30 million monthly active users, to be the third-largest gaming company in the world."

An intense work force

Onur speaks in the company's offices, which overlook Istanbul's Bosphorus Strait.

Ferry boats glide past the window, as employees stare intently at banks of computer monitors. The age of the work force here looks to be in the mid-20s, and the dress code is casual. But the atmosphere is pretty serious. I'm struck by how clearly I can hear the sound of clicking mouse buttons.

It isn't easy to independently confirm some of Peak Games' claims.

The young company does not reveal its revenues. As Rob Fahey, a British gaming industry consultant and columnist explains to me, there is a culture of secrecy within the online gaming industry.

"This is a very young market, and there are people who are treating it as a gold rush and there are others who are saying 'Listen, you have to build something sustainable,' " Fahey says in a phone call from Britain.

Regardless where Peak Games falls in this ongoing debate, it is clear that the Turkish start-up has quickly become a significant player in the online gaming industry. According to the application tracker AppData, Peak's 23 games have a total of more than 22 million monthly active users. That puts Peak Games within the world's Top 20 most popular application designers.

Targeting an overlooked market

Part of Peak's successful strategy appears to be that it has focused on a region apparently overlooked by many of the world's more established game designers.

"We just saw there were huge opportunities around the Turkish and Arabic speaking market," explains Onur. "We realized that there was so much demand, so much usage and Internet consumption, but not enough local content and local games."

With more than 31 million users, Turkey is the world's seventh-largest Facebook country, according to Socialbakers, another social media tracking company. Peak Games first targeted this enormous Turkish market by "localizing" games that had been designed for foreign audiences and converting some Turkish traditional games such as Okey to the digital realm.

Statistically, Peak claims one in five Turkish Facebook users has now played Okey.

Less than a year after its launch, Peak Games expanded its operations to the Arab world. The company established an office in Amman, Jordan, and this year acquired a Saudi Arabian online game designing company.

Half of the company's millions of consumers now log on from the Arabic speaking world.

Bridging a cultural divide

Fahey, who writes columns for Gamesindustry.biz, credits the ambitious Turkish start-up with getting a head start in Middle Eastern markets.

"The rest of the world doesn't really engage with these markets because it's hard. Selling games to American or British or German people is very easy, because it was figured out in the 1990s," Fahey says.

"If you've got a country that can organize a revolution over Twitter and one of the first things the government does when people get grumpy is it turns off the Internet," Fahey adds, referring to the 2011 revolution in Egypt, "that should have been a wake-up call for business people."

Onur agrees it isn't always easy to translate games designed for American teenagers for an audience in, say, Saudi Arabia.

"The Arabic region and Arabic culture is even more difficult than Turkey to understand and penetrate, because of the cultural differences, religious differences, even the way that the alphabet works and the language works is different," she says.

To avoid triggering religious taboos in Arab markets, for example, Peak Games had to transform a game character named Horus from an ancient Egyptian deity to a "hero."

On the other hand, Peak Games has gambled that online gaming will likely grow in the Arab world, in part because it provides conservative Middle Eastern societies with an easy, alternative way to socialize.

"It's not as easy in a lot of these countries to go up to a bar or a cafe and meet someone and have a meaningful conversation," she says. "These games provide a platform and a medium to talk to others without being shunned or looked down upon."

Barring linguistic divisions, the online gaming world effectively has no borders. As a result, designers at Peak's Istanbul offices have made some cultural observations, while monitoring game play of participants from different countries.

In the hard-core, empire-building strategy game New Battles, for example, designer Balkan Cilingir said German players tended to focus on teamwork within their alliances, whereas Arab players were "the most competitive" and Turks were "in the biggest rush to make the biggest army."

Peak is now in the process of designing a new strategy game, "War of Mercenaries." Its slightly cartoonish cast of warrior characters includes a Persian sapper, a Bedouin hunter, an Ottoman janissary and the legendary Ottoman aviator Hezarfen.

Tailing James Bond: 007 locations

Muslim for a month: Tourists take Islamic 'pray-cations'

Turning social activism into a game

More on gaming at CNN.com's Geek Out!

CNN's Gul Tuysuz contributed to this report

@highlight

Peak Games released Okey less than two years ago; it has more than 19 million users

@highlight

Okey lets you win digital dollars and play with your friends via Facebook

@highlight

Peak Games is attempting to turn Turkey and Arab countries into a lucrative gaming market