McDonald's restaurants in many Chinese cities have been eerily quiet this past week.

The fast food giant is enormously popular in China where it has 2,000 outlets, each one typically overflowing with hungry crowds.

But many McDonald's addicts have been forced to go cold turkey as numerous branches have yanked flagship burgers off the menu amid a tainted meat scandal.

The food scare broke when a video surfaced in Chinese media last week, showing appalling practices in a Shanghai food-processing factory that supplies ingredients to many international restaurant brands.

Since then, the tainted meat supply has been found to reach across China, all the way to Hong Kong, and even to Japan.

How was the scandal uncovered?

A reporter from a Shanghai broadcaster secretly filmed inside the food processing plant of Shanghai Husi Food, a subsidiary of U.S.-based food supply giant OSI Group.

The footage captured workers handling food with their bare hands. Several scenes showed them picking up meat that had fallen on the floor and returning it directly into the processing machine.

One worker, his face concealed behind a surgical mask, turned to the camera and stated, "foul meat," referring to the meat being handled.

Shanghai Municipal Food and Drug Administration (FDA) subsequently investigated the factory and found that expired beef and chicken products were processed and repackaged with new expiration dates.

Amongst the tainted products, they were able to trace forged production dates on more than 4,300 cases of smoked beef patties, with more than 3,000 cases already sold.

Who was affected?

Husi had been supplying chicken and beef products to branches of McDonald's, Papa John's, Burger King, Starbucks, KFC, and Pizza Hut in several cities in China.

Since the scandal broke, all the brands have cut ties with Husi's parent company OSI Group, except for McDonald's.

The golden arches will continue to work with the food supplier in China, eventually shifting to a Husi food plant in Henan province, which was described as the "newest state-of-the-art facility" by OSI CEO Sheldon Lavin.

McDonald's has worked with OSI for more than half a century internationally, and for more than 22 years in mainland China, a spokesperson surnamed Xu told CNN.

Meanwhile, beef and chicken products at most McDonald's in northern and central China are unavailable. Branches in southern China, which use a different meat supplier, are largely unaffected.

Xu also said the products will slowly return to menus after August 3.

In Hong Kong, McDonald's previously stated that it does not use products from Husi. It later backtracked the claim after local government issued a ban on the import and sales of Husi products.

As a result of the ban, chicken nuggets, chicken filets, as well as several vegetable products and iced lemon tea are now temporarily unavailable at the city's McDonald's branches.

Japan's McDonald's have also been affected as 20% of the meat for chicken nuggets there were supplied by Husi. It has since stopped importing chicken from China and introduced a tofu and fish version of the McNugget.

The scandal has led to "negative impact on sales and consumer confidence," the company's Japanese unit said in a statement. "Our sales and profit expectations have been reduced."

Who was held responsible?

Although no one has fallen sick as a direct result of the tainted meat supply, Shanghai's FDA has closed the Husi plant at the center of the scandal, and detained five employees for questioning.

Meanwhile, Shanghai's top official has pledged to mete out "severe punishment" for anyone involved in the incident, China Daily reported.

OSI Group is conducting its own internal investigation, promising "swift and decisive action" against those responsible.

It has also announced a number of organizational changes that it says will better ensure food safety at its China subsidiaries. This includes taking the previously separate and decentralized China operations and shifting them under the global management umbrella.

It will also launch an Asia Quality Control Center in Shanghai and a three-year, RMB 10 million ($1.6 million) food safety campaign.

Is China doing enough for food safety?

Food safety has long been a top concern for China, affecting domestic and foreign companies.

In 2008, a major scandal erupted over tainted infant formula that killed several babies and left thousands more ill.

Earlier this year, Wal-Mart recalled donkey meat after it was found to be contaminated with fox meat.

Yum Brands, the owner of KFC and Pizza Hut, has just emerged from a food safety scandal that began in late 2012.

The latest Husi scandal comes amid a revision of China's food safety laws.

Earlier this month, the National People's Congress released a draft version of the law on its website, seeking public opinion. It promised harsher punishment for offenders.

"Over past years, punishment for food safety violators has been increased but it still lags far behind that in developed countries. There should be much higher punishment for offenders," an anonymous industry insider told China Daily.

@highlight

Expired meat was repackaged and sold to fast food chains in China

@highlight

McDonald's is the only brand that will continue to work with the meat supplier

@highlight

China has 2,000 McDonald's branches across the country

@highlight

China's food safety law is currently being revised