(CNN) -- Besides its tall skyscrapers, nothing screams "New York City" more than bright neon lights.

While neon signs are not unique to New York, at one point they proliferated in tens of thousands of storefronts throughout the city. And just like Broadway, which they are often associated with, neon signs became an iconic part of the city's landscape by the middle of the twentieth century.

But a changing landscape is unfolding and an increasing number of neon signs are disappearing. Six years ago, architectural conservator Thomas Rinaldi started documenting New York's historic neon signs.

"Old neon signs had caught my attention for many years, but around this time they began to disappear at such a rate that I felt a real sense of urgency to photograph them before they vanished forever," Rinaldi said.

The result is the book "New York Neon," a visual tour of the remaining exposed-tube neon signs in the five boroughs of New York City. Most of the 200 signs featured in the book are early- and mid-20th century examples, manufactured before 1970.

CNN asked Rinaldi to tell us more about the project recently via e-mail. Following is an edited version of that interview:

What is it about the history or medium of neon lights in New York that intrigues you?

It's many things. New York's old neon signs stand out for their design, their great midcentury letterforms, and their materials. But even more than this, the signs almost invariably mark the spots of great old businesses -- bars, restaurants, small stores -- that give New York's neighborhoods a "sense of place" -- a unique identity of their own.

Is there a time that one could consider the height of neon signs in New York? How many neon signs were there?

Many neon sign aficionados would tell you that New York's best neon signs went up in the 1930s, and I agree. Sign designers really created some beautiful and unique works in the years before World War II. After the War, storefront signs in New York tended to become less inventive, while signs for Route 66-type motels and drive-ins became more flamboyant. This happened partly because of rising labor costs in New York, and partly because of a general shift in emphasis from old urban centers to roadside and suburban development during this period.

Why were neon signs so popular?

One of the fascinating things about neon is how it has been popular -- and unpopular -- with different groups for different reasons through the years. From the 1920s through the '50s, neon was intensely popular with business owners for its ability to grab the attention of potential customers. While this is still true, many small business owners have opted for less expensive forms of outdoor advertising since the 1960s.

Today, old neon signs are popular with many New Yorkers for their ability to evoke another era and most of all for their association with stalwart old independent neighborhood businesses.

Why are they disappearing?

Very sadly, old neon signs in New York are disappearing because many of the veteran businesses they advertise have had a hard time keeping up with the way the city has reinvented itself in the past 20 years. Old businesses can't last forever, some close up when their owners pass away or retire.

But many cite skyrocketing rents and real estate values for having ushered the demise of old restaurants, bars, hardware stores and other businesses that had been neighborhood institutions for generations. Places like these give neighborhoods an identity and their disappearance has been the cause of much concern for many. When they go, they take their signs with them.

@highlight

New book offers a visual tour of New York's historic neon signs

@highlight

Many of the old signs are disappearing as businesses close

@highlight

The remaining signs evoke another era and stand for independent business