Washington (CNN) -- The Nuclear Regulatory Commission told Congress on Thursday that the likelihood of a Fukushimi Daiichi-type event in the United States is "very, very small." However, it said an ongoing study of the Japanese disaster will probably lead to changes to increase safety at the nation's 104 commercial power plants.

The commission said, in a nutshell, it expects to require nuclear plants to be prepared for bigger natural disasters, to survive longer power outages and to consider the possibility of simultaneous disasters affecting multiple reactors, as happened in Japan.

Commissioner George Apostolakis said one of the lessons of Fukushima is "humility."

"I believe that, as a community of safety analysts, we were pretty confident that there would be no new surprises," Apostolakis said. "Fukushima has challenged that belief."

Commissioners said the commission's core safety concept, a belts-and-suspenders policy called "Defense in Depth," is sound. The policy requires power plant designers and operators to have multiple, redundant layers of defense to respond to failures so that no single layer of response is relied on. They also endorsed support for regulations that require plants to be designed to withstand the strongest natural disasters on record for that location, with an added margin of safety.

But while voicing support for both concepts, some commissioners said "Defense in Depth" needs to be deeper and margins of safety wider.

Currently, emergency plans for most U.S. nuclear reactors envision one nuclear reactor being in danger. At Fukushima, all four operating reactors were affected by the tsunami that followed an earthquake in March. The Nuclear Regulatory Commission also requires plans to evacuate a 10-mile zone around power plants, but U.S. authorities recommended that U.S. citizens within 50 miles of Fukushima evacuate.

Japan to hand out radiation meters to children

"If there's an overall lesson we can learn from this, I think that is you can't ... predict everything that will happen in the future. You can't predict every earthquake, every tsunami, but ... you have to be able to recover from whatever happens," Commissioner William Magwood IV said.

Currently, a Nuclear Regulatory Commission task force is midway through a 90-day review of the Fukushima incident, searching for lessons that can quickly be applied to U.S. plants. The 90-day study, to be released July 19, will be followed by a lengthier study involving more long-term changes.

At a hearing before the Senate Environment and Public Works Committee, commissioners discussed some of the lessons learned. They include:

-- The commission needs to evaluate its "station blackout" rule concerning how power plants deal with the loss of electrical power, Commissioner William Ostendorff said. "I think that the commission will probably receive from the task force perhaps some recommendations in this area," he said.

-- Backup batteries used to power control room functions during blackouts are insufficient, Apostolakis said. "Clearly, the main message from Fukushima is that four hours, or sometimes eight, is not sufficient," he said. "Interestingly enough, when the requirement of four or longer hours was put in place, it was actually a conservative estimate. (Regulators) looked at the time it took to recover AC power (during a blackout). The average was about two hours, so to be conservative, they doubled it. And now we have this accident that shows its very inadequate, so that's certainly something we have to look into."

-- The commission needs to consider the impact that spent-fuel pool problems can have during a larger event, Chairman Gregory Jaczko said. "I think we've had a singular focus, perhaps, on reactor safety in the event of accidents and not put enough attention into considering the impact of spent fuel pools (on the response)," he said.

-- The commission needs to consider staging of emergency and back-up equipment. After the September 11 terrorist attacks, the commission required plants to stage auxiliary diesel generators near nuclear plants, Magwood said. "We require those units to be just a very short distance away from, say, reactor buildings. Clearly, if we had those procedures in place and had experienced a Fukushima-type event, that equipment would have been wiped out along with a lot of the other side equipment. That was a significant revelation for me and something I think we have to address," he said.

-- The commission needs to review first-responder communication capabilities. "It's always very difficult to have communication in a crisis situation, and I think that's an area that we can always be exercising and improving," Commissioner Kristine Svinicki commission.

Commissioners also said the agency must study what led to the hydrogen explosions that plagued Fukushima but said not enough is known about the incident to recommend changes.

"We've always asked ourselves the question, 'Are the plants still safe? Is there anything we need to do today to address that?' And the answer continues to be 'No,' " Jaczko said. "We want to get good information, (and) we have time to do that.

"The likelihood of something like this happening in the United States is still very, very small, because these are really very, very unlikely types of events," he said.

Jaczko said the current 90-day review "may seem like a very long time, (but) to the people doing the review, it's going by in a millisecond."

"But it's important that we get it right, and I think that so far, they are looking at all the right things," he said.

@highlight

Commissioners tell Congress of potential changes to power plants

@highlight

"Humility" among lessons of Japan's disaster, commissioner says

@highlight

They say the present core safety concept is sound