(CNN) -- Luxury hotels and resorts conjure images of sunny skies, designer furnishings, lavish restaurants and the well-to-do milling about in grand fashion.

But all that can change in rapid time, leaving decay and squalor in its place.

War, weather, financial foul-ups and man-made catastrophes have all contributed to many of these former pleasure palaces being left to ruin.

Here are a few of the most celebrated empty hotels.

1. Sheraton Rarotonga, Cook Islands

This sprawling almost-resort along the coast road on Rarotonga, one of the Cook Islands, is still shown on Google maps even though it has never hosted a single guest.

Called the "Heartbreak Hotel" by islanders, the project nearly bankrupted the tiny Pacific nation.

The 200 rooms were tiled, plumbed, wired and fitted with air-conditioning. Some were carpeted and furnished -- but now the only residents are a few squatters and local gangs.

Construction began in the late 1980s but, when it was almost complete, the backers pulled out amid lurid allegations of misappropriated funds.

Location: http://goo.gl/maps/unZ4j

2. Sofitel Heiva, Huahine, French Polynesia

Ideally located on a secluded spit of land on the French Polynesian island of Huahine, the over-water bungalows here still appear alluring and the botanic garden-like grounds are still meticulously maintained.

Closer inspection reveals a totally derelict property, battered by the elements and stripped of all fittings, with gaping holes in the bungalow roofs and many of them in danger of collapse.

It's been a decade since the last guest checked out and the former Sofitel stands as a somber monument to the dramatic downturn in this onetime holiday paradise.

Location: http://goo.gl/maps/tu3om

3. Lee Plaza, Detroit, United States

As the city of Detroit appears to descend into a post-apocalyptic nightmare, so too many of the beleaguered metropolis's great buildings are crumbling into dust.

Already the grand Statler, Tuller and Madison-Lenox hotels are gone, leaving this stately 1929 art-deco high-rise the sole unoccupied survivor of heritage status.

Closed for two decades, the Charles Noble-designed 15-floor structure is, however, deteriorating badly despite a preservation order and inclusion on the U.S. National Register of Historic Places.

Images from inside reveal its former grandeur and serve as a tragic indictment of this once great city's spectacular fall from prominence.

Location: 2240 West Grand Boulevard, Detroit, Michigan 42°21′34″N 83°6′6″W

4. Ryugyong Hotel, Pyongyang, North Korea

Is this hotel the world's greatest construction folly? Many say yes.

Begun in 1987 as a monument to North Korea's eternal leader, Kim Il-sung, what was conceived as an attempt to create the world's tallest hotel has turned into the secretive Stalinist state's greatest visible embarrassment.

Just last April, the swank Kempinski chain back-peddled from its earlier management announcement that slated the 330-meter, 3,000-room, 105-story monstrosity to open as early as 2014. " ... [M]arket entry is not currently possible," Kempinski told CNN.

In September 2012, the North Korean state-owned tour company, Koryo Tours, released the first ever images from inside the very empty structure.

Location: http://goo.gl/maps/YrbBs

5. Hotel Renakse, Phnom Penh, Cambodia

This historic hotel is a well-known landmark opposite the Royal Palace on the waterfront at the Tonle Sap and Mekong junction.

It began as part of the Royal Court of Justice and, in 1979, housed the first post-Khmer Rouge government. The century-old French colonial style hotel is owned by the Cambodian People's Party -- or was.

In a controversial transaction that broke the leaseholder's contract, it was sold to a private development company with ties to the ruling party.

Phnom Penh residents and other concerned persons launched a petition to save it from demolition, but its future remains uncertain.

Location: http://goo.gl/maps/RIvVw

6. Varosha, Famagusta, Cyprus

The once flourishing resort district of Varosha in the Cypriot city of Famagusta was once frequented by the likes of Elizabeth Taylor and Brigitte Bardot.

Some regarded it as the most famous seaside resort in the world.

When Turkey invaded Cyprus in 1974, Varosha saw bloody fighting on its streets and, since partition of the island, the once hedonistic enclave is now a forbidden, fenced-off no man's land.

Not one, but dozens of hotels are slowly falling apart as the urge to resettle this region has long diminished.

The Argo, Grecian, Asterias, Florida and King George are just some of the luxury hotels that will probably never see another guest.

Location: http://goo.gl/maps/O9tN0

7. Igloo City, Alaska, United States

If you're driving out along the George Parks Highway in Alaska, keep your eyes peeled for the bizarre Igloo Hotel near Cantwell.

At first glance you might think it was some forgotten Cold War installation or spaceship, but it was started in the 1970s and contravened so many building codes it couldn't ever be opened.

It's served variously as a souvenir stand and gas station over the years but is now all but derelict.

Open to vandals, wild animals and the savage Alaskan elements, enter at your own risk.

Location: http://goo.gl/maps/XIFSh

8. El Hotel del Salto, Colombia

Overlooking the stunning Tequendama Falls on the Bogota River 30 kilometers southwest of the Colombian capital, this hotel sat empty and forlorn for two decades.

Scenic beauty regardless, the river powering the falls is one of the most polluted in the world and, coupled with the hotel's "most haunted" reputation, soon put overnight guests off.

The popularity of the falls for suicides also helped to doom this ornate little hotel.

Built as a mansion in 1928 for the Colombian elite, it will never host another guest even if they did want to stay -- it's become a Museum of Biodiversity and Culture.

Location: http://goo.gl/maps/788QM

9. Hotel Polissya, Pripyat, Ukraine

This then 10-year-old, eight-storey hotel, along with the entire city of 50,000 residents, was hurriedly evacuated in April 1986 after the catastrophic explosion of the nearby Chernobyl nuclear reactor.

One of the tallest structures in the abandoned city, Hotel Polissya serves as a prominent and sad reminder of that fateful day.

The new wave of disaster tourists make a beeline for the building for a rooftop view over the desolate urban wasteland.

The hotel, along with a ghostly amusement park, high school and stadium, make of Pripyat an altogether unsettling experience.

Location: http://goo.gl/maps/NnR2W

10. Unknown hotel, Vientiane, Laos

Just as many abandoned hotels are famous for their once lavish accouterments and celebrity guests, others are notable for their anonymity.

This forlorn, riverside pension still has a couple of ground level occupants but is largely abandoned.

Clearly of French colonial origin, it probably dates from the 1920s or 1930s -- no definitive written or other record remains to confirm it.

On the corner of Rue Sibouaban and Quai Fa Ngum, who knows what stories these vacant walls and empty rooms could tell?

Location: http://goo.gl/maps/klWZ2

@highlight

North Korea's "Hotel of Doom" remains the tallest unoccupied building in the world

@highlight

Cyprus's Varosha lost its tourism appeal after the Turkish invasion in 1974

@highlight

Ukraine's Hotel Polissya was evacuated in 1986 after the catastrophic explosion of the nearby Chernobyl nuclear reactor