(CNN) -- Vladimir Putin may not be the best defender of a free press, but the well-traveled former recruit of the KGB knows how things work abroad.

In America, he has learnt, drawing attention to your point of view does not necessarily imply jailing or inflicting bodily harm to your dissenters but may be as simple as submitting an op-ed to the New York Times. That is exactly what happened on September 11, when the renowned peacemaker of Chechnya advised Barack Obama to "stop the language of force and return to the path of civilized diplomatic and political settlement" on the matter of Syria.

READ MORE: Putin 1, Obama 0?

This was a sweet topic of conversation and an interesting response to Obama's address to the nation the night before, but the Russian president also criticized his counterpart for having mentioned "American Exceptionalism" as a justification for using force or imposing its views on other sovereign countries. There, Putin may have a point.

The American exception may be obvious to Americans, but it has always been a subject of conjecture for everyone else. Simple sense of superiority? Candid idealism? Cynical expression of self-interest? In the eyes of foreigners, the concept varied according to who in America mentioned it, when it was used, and what country, rich or poor, had to deal with it. Adding to the complication, the Americans may disagree on its meaning.

Rush Limbaugh, the conservative radio celebrity, immediately said that Obama had no idea what the American Exceptionalism is. Nevertheless, the president, on September 10, used its most classical Wilsonian definition, after describing the fate of gassed Syrian children. He meant that America has a heart of gold, and more than any other nation, the cruise missiles to prove it. Moral ambitions or pretentions, coupled with overwhelming force. A recipe for success, or, to say the least, disappointments.

As a European child, I was raised in the epic of the GIs of D-Day crushing Nazis, but soon, in 1973, I noticed new kids had arrived in my school in a working class suburb of Paris. They came from Chile, sometimes with only one parent because the other one had been shot dead or was being tortured in Santiago. Their former president, I understood, was not to the liking of the American government of the times.

As an adult, and a journalist, I could see the same post-Vietnam superpower set sail to Somalia at the request of public opinion and pack its bag at the first casualties, abandon the Rwandan Tutsis ( much like every western power) before making good on its promises against the Serbs. All this to say that American Exceptionalism was only rarely exceptional. The myth even took a fatal beating in Iraq under George W. Bush, and worse, was shamed by the nonsense of Guantanamo and the sordid exactions of the Baghram prison in Afghanistan.

Barack Obama on September 10 had at least the courage to try to invoke the mythology. But the damage is done. An example: Human rights organizations, mostly born in the United States in the 1970s, focused back then their action on prodding the American government to use its power and influence to reform rogue regimes abroad. This is simply impossible today because of the terrible deficit of credibility of Washington in this matter. Now, these organizations have to build up their power by themselves, and multiply foreign bureaus at great cost to obtain results and try to save lives.

The reactions to Putin's op-ed proves that he hit a nerve in the United States. The American Exceptionalism, understood as a sense of entitlement, superiority, uniqueness and sometimes immunity to any positive foreign influence is also shaken in the homeland. For long, I had been unable to discuss the tax system, the lack of universal health care, the humongous price of cable or the technology of washing machines without receiving a dreadful glare from American friends, followed by a fatalist and severe "that's the way we do things here."

It is easier now. Good news, the American way seems to follow some of the ways of the world, much as the sacred and mythical "French model" meets reality. America, the new free society deemed exceptional by Tocqueville, was a pioneer in countless domains, like technology, education and justice, before suffocating and declining in its superb and often trivial isolation.

Its values? The country that sent humans to the moon seems now, for the first time in decades, willing to temper ideologies to repair its bridges and roads. The Mecca of medical innovation tries to tackle its dismal public health problems. The birthplace of juvenile justice ended up locking its kids for life without parole. But the Supreme Court is slowly amending mandatory sentences to simply adapt to the mores of most developed societies, as the attorney general, for the first time, dares to take a look at the 2.4 million American detainees. A world record and a terrible American exception.

Another sign of change? In the "Newsroom," the HBO series from 2012 by Aaron Sorkin, the main character, Will McAvoy, a disillusioned star anchorman, is asked "why is America the greatest country in the world?" His totally nostalgic and enraged answer paints the failed, or imaginary, good old times of American Exceptionalism: "We stood up for what was right. We fought for moral reasons, we passed laws, struck down laws for moral reasons. We waged wars on poverty, not poor people. We sacrificed, we cared about our neighbors, we put our money where our mouths were, and we never beat our chest. The first step in solving any problem is recognizing there is one. America is not the greatest country in the world anymore."

But the rant was on TV. It made news, which is, whatever says Mr. Putin, a very good omen for America.

The opinions expressed in this piece are solely those of Philippe Coste.

@highlight

Vladimir Putin's op-ed in the New York Times disputed the idea of American 'exceptionalism'

@highlight

White House has ignored Putin's remarks but some U.S. lawmakers were outraged

@highlight

Coste: Things are changing and many Americans now dispute notion of 'exceptionalism'