(CNN) -- The Affordable Care Act, commonly known as Obamacare, was passed into law more than three years ago, but it really doesn't go into effect until next year. That's when the major changes, including the health insurance exchanges ramp up and the Medicaid expansion occurs. Because there has been such a long time between when things started and now, there are plenty of misconceptions about what's happened, what's going on, and what will occur.

For instance, just a month ago, a poll found that 4 in 10 Americans were unsure about whether Obamacare still existed. About a quarter didn't know or didn't answer. An additional 7% thought that the Supreme Court had overturned it last year. Another 12% thought that it had been repealed by Congress and is no longer a law.

Those that still know Obamacare is around remain divided on how they feel about it. A more recent poll from CNN found that only 43% of the public "supports the health care law." This might lead you to think that most of the country wants it repealed. But, as with so many things related to health care reform, there's more than meets the eye here. A full 16% of Americans, about a third of those who "oppose the health care law," do so because it's not liberal enough.

It's important to remember that in many ways Obamacare was a "centrist" solution. Many don't like to hear that, believing that it's socialism-writ-large, but a sizeable chunk of America supported something like Medicare-for-all, a single-payer solution more like what Canadians, or our elderly, enjoy. Many of them still think that's a better choice for health care reform.

In other words, it might be fairer to say that 59% of Americans support a system that is as liberal or more liberal than Obamacare, while 35% don't. That's a much different interpretation than what many are repeating.

Regardless, it's clear that many are still unclear about what's going on with the law or how they feel about it. It's not surprising, therefore, that the Obama administration is gearing up for another big push to sell its brand of reform to the American people.

This is a critical time for the law. For better or worse, the Republican Party, for the most part, stands in total opposition to Obamacare. Many have called the law a "train wreck" waiting to happen, and they believe that letting the law fail, spectacularly, is the quickest way to get rid of that. Because of this, few, if any, opponents of the law are willing to make any concessions or changes to it at all.

This is a relatively new thing when it comes to major legislation. Past laws on this scale, including the Children's Health Insurance Program, Medicare, and Social Security were amended and changed years and even months after being passed. That's incredibly unlikely to happen with respect to Obamacare.

Moreover, many are doing all they can actively to prevent the law from moving forward. About half of states have refused to partake in the Medicaid expansion, meaning that the majority of the poorest among us will not get Medicaid next year as the law originally planned. Many states are also dragging their feet with respect to the insurance exchanges, hoping that if the federal government fails to get things going in time, Americans will see that the law is unsuccessful. Widespread belief in this might help Republicans increase their electoral power to the point that they can demand repeal.

This strategy could backfire, though. California, one of the states most thoroughly embracing Obamacare, recently had its rates published for its insurance exchange. The cost of insurance premiums came in significantly below what had been projected.

Back in 2009, projections for a "silver" plan for a 40 year old were $5,200-5,400 a year. Last week, though, California announced that the most affordable "silver" plan would cost just over $3,300 a year. That is, of course, the cost without subsidies. For the many Americans who make less than 400% of the poverty line, the cost to them will be even less.

Some will claim that this is still a rate increase for some. That's likely true. There is almost no policy that works out perfectly for everyone. It's likely that some very young, healthy people will spend more on their insurance now for the chance to have it cheaper -- and guaranteed -- later. There are also some who will chafe at having to buy insurance at all.

But the gambit of those opposing Obamacare seems to be a full throated and all-out-effort to show that Obamacare doesn't work. The danger, though, is that it might. The jury is still out, of course. But it's important to recognize that full-out opposition to reform like this is somewhat novel in American politics. No one knows what such a strategy will bring in the long run.

Many thought passing the Affordable Care Act would be President Obama's "Waterloo." It wasn't. In fact, some have argued that the flat out refusal to negotiate in the law's passage cost opponents the chance to get a final product more to their liking. Things are shaping up similarly now. If, a year from now, it appears that exchanges are working out in states that embraced them, and that the Medicaid expansion is succeeding in states that allowed it, then it may turn out that refusing to bend may have instead caused the opposition to break.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: Obamacare's major changes go into effect in 2014; misconceptions remain

@highlight

He says polls show many opposed; but 16% of opposed say it's not liberal enough

@highlight

He says GOP want it to fail; unwilling to even amend, change program

@highlight

Carroll: California exchanges proving less expensive than thought; GOP should take note