World powers and Iran resumed talks Thursday in Vienna, Austria, aimed at reaching a permanent deal on the future of Tehran's nuclear program ahead of a looming deadline.

This is the final round of talks before an interim six-month agreement reached between Iran and the so-called P5+1 group of nations -- the United States, the United Kingdom, France, China, Russia and Germany -- comes to an end July 20.

Iran's Foreign Minister Javad Zarif met with U.S. Deputy Secretary of State William Burns and EU foreign policy chief Catherine Ashton on Wednesday, ahead of the first full session Thursday.

Michael Mann, a spokesman for Ashton, told reporters in Vienna that the six world powers were committed to reaching an agreement ahead of the deadline.

He described the atmosphere at the talks as "very workmanlike, very serious, very determined" and said the negotiations would continue for "as long as it takes" for a deal to be forged. The deadline could potentially be extended.

Ashton also met Thursday with the head of the U.N. nuclear watchdog, the International Atomic Energy Agency, which would play a key role in the implementation of a final agreement, Mann said.

Under the interim deal, Iran cut back on parts of its nuclear program and the six nations reduced economic sanctions.

For example, Iran agreed not to install new centrifuges, used to enrich uranium. The P5+1 nations agreed to suspend sanctions on gold and precious metals, Iran's auto sector and Iran's petrochemical exports.

Iran insists that its nuclear program is peaceful, but the world powers fear it has ambitions to build nuclear weapons.

Tricky negotiations

Tehran has sounded a more positive tone toward the West since President Hassan Rouhani was elected last year to succeed the more volatile Mahmoud Ahmadinejad.

Iran's state-run Press TV quoted the country's top nuclear negotiator, Abbas Araqchi, as saying a deal could be reached if "the Iranian nation's nuclear rights are consolidated and respected."

But there's no guarantee that the two sides will be able to overcome their differences around the negotiating table.

Iran wants the final deal to recognize its right to have a peaceful nuclear program.

Its negotiators have also signaled they would accept tougher inspections and limits on production of enriched uranium. But in return, Iran wants the world powers to lift their crippling sanctions.

However, the world powers expect a final deal that adds further checks and limitations to Iran's nuclear program.

They have even suggested demanding that Iran dismantle some nuclear facilities and shut down thousands of centrifuges, and they may also want some sanctions to stay in place.

Iranians on the streets of Tehran told CNN they want to see a nuclear agreement.

"It's best if we reach a compromise," said poet Mohammed Rostami. "It will help the economy and open things up to the rest of the world."

"We have to be hopeful for a deal, otherwise young people will keep leaving Iran," said graphic artist Behnaz.

Kerry: Iran's leaders have a choice

In an opinion piece published Monday in The Washington Post, U.S. Secretary of State John Kerry urged Tehran "to back up its words with concrete and verifiable actions," saying this should not be hard if it is being honest about its intentions.

"All along, these negotiations have been about a choice for Iran's leaders," he wrote.

"They can agree to the steps necessary to assure the world that their country's nuclear program will be exclusively peaceful and not be used to build a weapon, or they can squander a historic opportunity to end Iran's economic and diplomatic isolation and improve the lives of their people.

"Diplomacy and leadership are marked by tough calls. This shouldn't be one of them."

However, despite all the months of talks, Western negotiators still don't know which way Iran will go, Kerry said -- and a discrepancy remains between what the Iranians say they want from their nuclear program and the content of that program so far.

@highlight

Negotiators for Iran and six world powers resume nuclear talks in Vienna, Austria

@highlight

They want to reach a permanent agreement on the future of Iran's nuclear program

@highlight

An interim deal is due to expire in less than three weeks

@highlight

U.S. secretary of state urges Iran's leaders to back up words with concrete actions