(CNN) -- To ease the heartache of her first child's stillbirth, Kelli Montgomery chose rigorous exercise, yoga and meditation over the antidepressants and sleeping pills that her physicians immediately suggested.

"'You need to be on this medication or that medication.' It was shocking to me that that was the first line of defense," said Montgomery, 42, director of the MISS Foundation for Grieving Families in Austin, Texas. "From the time I was in the hospital to when I was seeing my general practitioner, that's what they were insisting on."

Her choice stemmed partly from a longtime aversion to taking prescription drugs. It was also the result of listening to a growing group of psychiatrists, psychologists and clinical social workers from around the world who argue that depression and other normal responses to life's toughest challenges are too often labeled as disorders -- and as such, demand medicine with sometimes dangerous side effects.

Protesters such as Montgomery contend diagnoses of serious psychological and psychiatric disorders have also needlessly skyrocketed alongside the Diagnostic and Statistical Manual of Mental Disorders' expanding list of what constitutes mental illness. The manual is considered the bible of psychiatry because it's the criteria mental health professionals use to diagnose patients.

One example of the issue is the frequency of bipolar disorder in children. It has jumped 40-fold in the last two decades, said Dr. Bernard Carroll, a former Duke University psychiatry department chairman.

Using downward dogs to treat depression

"You've got all these young kids running around with this diagnosis, yet many of them have never, ever had a manic episode, which is the hallmark of bipolar disorder," said Carroll, now the scientific director of the Pacific Behavioral Research Foundation.

"Many of these kids," he continued, "have never had anything other than irritability. Yet they're exposed to anti-convulsants, anti-psychotic drugs, which have serious long-term side effects in the form of obesity, metabolic syndrome, diabetes and some movement disorders ... that can leave a person extremely disfigured physically."

The International DSM-5 Response Committee -- named after the upcoming fifth incarnation of that diagnostic manual -- plans to launch a campaign next month aimed at blocking the manual's May 20 release. Short of that, critics plan to press ahead with their case that the DSM-5 should be viewed with some skepticism and not wholly embraced by practitioners or patients.

"We believe that there is now overwhelming evidence that DSM-5 is scientifically unsound (and) statistically unreliable," said clinical psychologist Peter Kinderman, director of the University of Liverpool's Institute of Psychology, Health and Society. He is helping organize the international campaign with petition drives in the United States, the United Kingdom and France.

The American Psychiatric Association, whose manual has been used by health insurers, pharmaceutical companies, doctors and other clinicians since it first published in 1952, has dismissed DSM-5 opponents as overly alarmed.

"All the good epidemiological studies unfortunately show that one in five people have a psychological disorder. ... They're prevalent, they're just all over the place, and that's very disturbing to some people," said Dr. Carl Bell, a Chicago psychiatrist and University of Illinois School of Medicine director of public health and community psychiatry.

One of 15 members of a DSM-5 committee zeroing in on personality disorders, Bell spoke on behalf of the psychiatric association. "If you dig down into (the DSM-5), it's an extraordinarily complex document."

Being transgender no longer a mental 'disorder' in diagnostic manual

However, critics contend, the manual's shortcomings include its lack of scientifically conclusive field testing of some of its recommendations; its failure to consider the prior effectiveness or ineffectiveness of anti-psychotic drugs to determine a patient's present diagnosis; and its lumping of, for example, what had been a spectrum of depressions -- from the mildly melancholic to the severely debilitating -- into one group.

"This is the reason that people nowadays are jumping up and saying, 'The antidepressant drugs don't work,'" Carroll said. "If you take this broad category, it's difficult to even show why they don't work."

"There's a great deal of a concern, so we are hardly voices in the wilderness," said Dr. Allen Frances, author of the book "Saving Normal: An Insider's Revolt Against Out of Control Psychiatric Diagnosis, DSM-5, Big Pharma and the Medicalization of Ordinary Life." He is largely credited with spearheading anti-DMS-5 efforts.

"A petition regarding DSM-5, signed by 50-plus associations, was presented to the (psychiatric association), asking for an independent scientific review. The association brushed it aside," said Frances, a Duke professor emeritus and former psychiatric department chairman.

The psychiatric association says the DSM-5 was independently reviewed for 18 months but that those findings will not be made public. Also, the reviewers' identities will not be disclosed until the manual is released.

"The development of DSM-5 began with an unprecedented process of research evaluation that included a series of white papers and 13 scientific conferences supported by the National Institutes of Health," wrote Dr. David Kupfer, chairman of the University of Pittsburgh School of Medicine, who oversees the entire DSM-5 task force, in an e-mail.

"This preparation brought together more than 400 international scientists and produced a series of monographs and peer-reviewed journal articles. DSM-5 is the product of the most extensive discussion and debate -- as part of the most transparent process -- of any DSM."

Mental illness in children: Know the signs

Frances contends that the process, though conducted with volunteers, has been somewhat secretive and did not sufficiently consider objections to what the manual will contain.

Frances led the task force that produced the DSM IV in 2000. "What motivates me is the experience of having inadvertently contributed to fads and psycho-diagnosis that have resulted in over-diagnosis and over-treatment," Frances said. "Some of this happened during DSM IV, even though we were more conservative with that document than they've been with DSM-5, with its many changes that are unsupported and, in some cases, quite reckless."

For example, Frances said DSM-5 would mislabel one in four people with chronic pain and irritable bowel syndrome with the DSM-5's newly created "somatic symptom disorder," which is diagnosed when a person has spent at least six months steadily thinking of and being anxious about their medical illness.

According to Frances and other like-minded critics, a confluence of related factors resulted in an "over-medicalizing" and over-diagnosis of mental illness. Chief among them, they contend, is that an increasing number of primary care and other nonpsychiatric doctors are dispensing anti-psychotic drugs, despite their lack of training in that area of medicine. Aggressive sales and marketing by pharmaceutical companies may also be driving the surge.

Those factors, Montgomery said, were likely part of what was at play after her baby's stillbirth.

"I had no mental illness. I had never been medicated. I had not even suggested that I was depressed," she said. "And I kept asking if anyone merely knew a therapist that I could go talk to about what was clearly a traumatic experience."

While Montgomery didn't require prescription medications, even DSM-5 protesters acknowledge that there are people whose disorders demand such intensive intervention, perhaps throughout their lifetime.

Still, critics say the upcoming manual veers in the wrong direction.

"The DSM-5, in many ways, reflects the politics of psychiatry these days," said Dr. Joel Paris, author of "Prescriptions for the Mind: A Critical View of Contemporary Psychiatry," a psychiatry professor at McGill University and researcher at Mortimer B. Davis-Jewish General Hospital in Montreal, Quebec.

"Everybody has a kind of investment in certain diagnoses. Those who are studying a particular disorder often are saying, 'Well, this is much more common than you think they are. Oh, the prevalence is very high.' But we risk losing legitimacy because of over-diagnosis. ... The fact is that most people get by with bad patches in their lives. They recover."

Opinion: Film offers 'silver lining' for mental illness

@highlight

Experts say normal responses to life's challenges are too often labeled disorders

@highlight

Diagnoses have needlessly skyrocketed, say critics of a diagnostic manual

@highlight

The American Psychiatric Association says critics are overly alarmed