(CNN) -- Journalism is not as black and white as most people would like to believe. We ought to be able to see all shades of grey between the fresh revelations of email hacking by a Sky News reporter, the News International phone hacking scandal and other examples of journalists breaking the law to obtain stories.

The Guardian revealed last week that Sky News reporter Gerard Tubb illegally accessed emails from the personal account of John Darwin, also known as "canoe man", who, in 2007, pleaded guilty to faking his own death.

Darwin's wife, Anne, was due to stand trial for deception in 2008, but the reporter had collected a sufficient amount of emails, he believed, to crush her defense at trial.

The hacking was authorized by Simon Cole, managing editor of Sky News, who stepped down from his position on the same day the Guardian story was published. Emails were given to Cleveland police, used in the successful prosecution and, according to Sky News, "pivotal to the case". Cole has since then tweeted he had been planning to retire for "some time" and the decision was unrelated to the hacking revelations.

Sky News claimed the interception of emails was "justified and in the public interest" and "subject to the proper editorial controls".

Those are the two key aspects that seem to separate this instance from two others: the phone hacking scandal and the outing of the Night Jack blogger by The Times.

Richard Horton, a detective constable at Lancashire police, won the Orwell Prize in 2009 for his anonymous blog Night Jack, about life in the police force. His identity was then exposed against his wishes by reporter Patrick Foster, from The Times. The discovery of his identity was revealed in February this year to have been made via the hacking of his email account.

Unlike the outing of Horton, the hacking carried out by Sky News seems to have been a carefully considered decision by a senior executive as to whether it was in the public interest to commit a prima facie breach of the Computer Misuse Act. It was most likely a calculated risk, taken with the understanding that the Act itself offers no public interest defense and that both Sky News and the reporter would be liable to criminal charges and subject to the discretion of the Crown Prosecution Service not to prosecute. In the Night Jack case, a reporter made the decision to intercept Horton's emails without telling his editors and therefore without subjecting his decision to "proper editorial controls".

If the Computer Misuse Act did offer such defense, the public interest in obtaining information via interception of emails would still have to be weighed by the courts. But Sky News, for instance, would have been able to explain to the public more confidently, from the outset, how the story came to light. I would say this is what we want from journalism -- transparency, responsibility and governance. This may seem a paradox, but that's what we want from newspapers and journalists even when they break the law.

And despite having indisputably broken the law, the process Sky News seems to have undergone to break this story is a far cry from the industrial-scale criminality carried out and admitted to by News International.

What we have found out so far about phone hacking is that during a period of at least two years, hundreds of individuals had their details collected by a private investigator at the request of journalists. Deputy Assistant Commissioner Sue Akers, head of Operation Weeting - the police investigation into phone hacking - told the Leveson Inquiry into the culture, practices and ethics of the British press, that 581 "likely" victims of phone hacking were contacted by police; 231 were uncontactable and 17 were not contacted for operational reasons.

Subsequent to having their details collected, those individuals had their voicemail messages intercepted, listened to and used for an array of stories no one has been able to prove as yet were in the public interest. In fact, the majority of cases we have seen so far, if not all, involved obtaining information to write and publish stories about people's private lives with no good, justifiable reason.

There is a fundamental difference between using a private investigator at any given time to turn around a story on tittle-tattle, or to fish for stories and monitor people's lives, and to make a careful, considered decision to carry out a breach of the law in order to expose wrongdoing.

No one here is advocating a free for all or trying to make it easier for journalists to act like criminals. But if journalists can speak openly about the sourcing of stories, then everybody wins. Accountability is increased, journalists feel more confident to be transparent about their actions and to pursue genuine stories, and sheer criminality can be more easily identified.

In my view, the Computer Misuse Act, Regulation of Investigatory Powers Act, Official Secrets Act (mainly for protection of sources), should all provide a public interest defense for the protection of journalists and real journalism. The Reynolds defense for libel, which is always tested in court, should also be improved.

Martin Moore, director of the Media Standards Trust, and Brian Cathcart, Professor of Journalism at Kingston University, decided to launch the Hacked Off campaign because it was becoming increasingly clear that phone hacking carried out by the News of The World was more widespread than News International and the Metropolitan Police cared to let us know.

The campaign, supported by actors Hugh Grant and Steve Coogan, and several other victims of phone hacking and other abuses by the press, pushed and continues to push for criminality to be exposed, but we have always made absolutely clear that genuine, responsible journalism, carried out in the best interest of the public, should be protected.

We will, however, continue to condemn fishing expeditions and industrial scale data-mining and hacking, which are clearly criminal and unjustifiable.

@highlight

British journalist argues for public interest defense in some cases of hacking

@highlight

There is key difference between peddling gossip and exposing wrongdoing

@highlight

On rare occasions, journalists could be justified in monitoring emails, phones, she argues