Charlotte, North Carolina (CNN) -- Shane Brown squeezed through a gap between sections of a steel security fence 9 feet high, picked his way across a vacant lot infested with fire ants and climbed atop a rickety wooden platform. He stepped up and spoke into the microphone:

"God is a good, good God."

His words were amplified over a hardscrabble patch of earth wedged against a highway the locals call the inner loop. White plastic trash bins stood sentry against litter, but there was no one there to fill them.

Brown, the first speaker to take the platform Wednesday at the official "free speech zone" of the Democratic National Convention, had an audience of just three -- two city workers and a reporter. It was shortly before 3 p.m., and the place had been deserted since it opened five hours earlier.

If a man -- be he a protester, a prophet or a pothead -- talks to a dozen trash cans in a vacant lot half a mile from a bustling political convention, does he make a sound?

Without pausing to ponder the question, Brown simply turned and faced the massive traffic jam behind him on Stonewall Street, ironically in front of the NASCAR Hall of Fame. It may have been a captive audience, but at least it was an audience.

"God is a good, good God," he began again.

And then, the generator powering the sound system shut down. A city worker fiddled with the contraption, shrugging, "I work for the Transportation Department, so of course now I'm the sound man." Brown, meanwhile, carried on with a bullhorn, talking for nearly 40 minutes until the second speaker, also a street preacher, showed up late.

Steve Widdows' topic was "sodomy, abortion, fornication." He taped up signs condemning "Wicked Democrats" and "Abhor-tion." His God apparently was not a happy God.

"It is an abomination for a king to commit wickedness," Widdows preached, promising God's wrath against "a former president" who, he said, phoned "innocent grandmothers" in North Carolina and told them they didn't have to support a law that defined marriage as a union "between one man and one woman."

Opinion: Even vile funeral protests are free speech

And so it went each day, until the rain came or the sun went down, whichever happened first. A preacher was followed by a speaker who wanted to legalize marijuana, who was followed by a group of atheists and agnostics, which was followed by a group of community singers. If at times it seemed like a single hand clapping in the dark, the speakers did not complain.

Widdows admits he was disappointed that no one was there to hear him preach, but he showed up all three days anyway. After using his allotted 30 minutes, he said, he'd find a street corner "where there were lots of people" and start preaching again.

"When you say you're going to do something, you go ahead and do it," he explained. "There was some benefit, to put the understanding on people. I decided I was just going to go ahead and preach, and if anyone hears it, use it, Lord."

Anarchists, occupiers and other protesters in Charlotte shunned the official speakers' area, which they sneeringly called "the pen." Sure, some of them signed up. But they gave false agendas, never intending to show.

"We are under the impression that the whole country is a free speech zone," said Michael Zytkow, a 26-year-old organizer for Occupy Charlotte. "We were bothered by the idea of any government-designated playground."

Carol Sobel, a lawyer from Santa Monica, California, who co-chairs the Mass Defense Committee of the National Lawyers Guild, asked, "Who'd want to use it? You're talking to yourself."

Her group works to push back against what it views as government attempts to stifle dissent.

Sobel keeps a photograph on her desk showing her with blackened eyes from rubber police bullets at the 2000 Democratic National Convention in Los Angeles.

"My rights to freedom of assembly are being violated," complained anarchist Vermin Supreme, a fixture at both of this year's conventions who wears a boot on his head and also happens to be running for president. Like most of the Charlotte protesters, including the cadre of 200 or so Occupy regulars who camped at Marshall Park, he took his case to the sidewalks and streets.

Who's that protester with the boot on his head?

On Tuesday, the first day of the Democratic convention, about 100 protesters blocked the intersection across the street from "the pen," demanding their free speech rights and entangling police in a two-hour standoff that ended peacefully when the skies opened up for the daily downpour.

"At least they gave us some entertainment," said a city worker overseeing the free speech area, which had to be one of the loneliest convention assignments. He passed the time reading a biography of Yogi Berra.

Such was the state of free speech here during last week's Democratic convention, and at the Republican convention the week before in Tampa, Florida.

The First Amendment of the U.S. Constitution protects the right to freely practice one's religion and publicly speak one's mind without government constraint or interference. It also gives citizens the right to assemble and to air their grievances to their government. But the law remains unsettled on whether the government has the power to say where.

The Supreme Court has established guidelines to measure whether speech restrictions pass constitutional muster. The restrictions must be neutral and not based on content, and they must be specific; they must serve a significant government interest, such as public safety; and they must provide for alternative means of communication.

The free speech zones are meant to be that alternative means of communication, but the Lawyers Guild advises clients to avoid them and use the public sidewalks.

The designation of free speech zones at political conventions and other large gatherings has been evolving for more than two decades, Sobel said. In many instances, the free speech zones are set up far from the people whose attention the protesters seek.

"It makes the protest invisible," she said. "This has been a growing problem."

It began at the Democratic National Convention in 1988. Atlanta set up a "designated protest zone" to prevent disruptions by anti-abortion group Operation Rescue and its opponents. The demonstrators objected to being confined to a "free speech cage," but the practice continued during the 1992 and 1996 conventions. And, during the 1990s, free speech zones were designated in other public areas such as San Francisco's airport, which had issues with panhandling Hare Krishnas.

Both the Tampa and Charlotte conventions were designated Special National Security Events, a category created in 1998.

The massive protest against globalization during the 1999 World Trade Organization Ministerial Conference in Seattle was the real game-changer for how police and municipalities respond to protest, Sobel said. More than 40,000 protesters showed up and clashed violently with police in what became known as "The Battle in Seattle." It left behind indelible images of protesters blocking intersections and smashing storefront windows -- and police responding with volleys of pepper spray, tear gas and rubber bullets.

The lawsuits that followed established that officials in Seattle had a right to declare parts of the city off limits to everyone for security reasons, but were wrong to target just the protesters, Sobel said.

Tightened security was noticeable at the 2000 political conventions in Philadelphia and Los Angeles. City officials in Los Angeles tried to file a sealed document justifying the lockdown, but a judge refused to look at it. Attorneys challenged the remote location of the free speech zone and succeeded in moving the protest area to a lot directly across the street from the arena where the convention was held.

A year later, the September 11 terrorist attacks changed the way Americans looked at security. Federal agencies were rearranged in 2002 under the Department of Homeland Security, which determined which events should be considered Special National Security events.

Conventions leave atheists asking: What political party represents me?

The 2002 Winter Olympic Games in Salt Lake City were given that designation, along with the Super Bowls and a handful other other high-profile events.

The agency's head now decides which events earn the designation. It puts the U.S. Secret Service in charge of security and the FBI in charge of intelligence during political conventions, international trade meetings and other events that could become targets for terrorists.

Over the years, the designation has come to apply to any event likely to attract mass protests.

By 2004, amped-up security and a heavy police presence had become a way of life at the conventions. Protesters at the Democratic convention in Boston were corralled into a "pen" with concrete walls and barbed wire and could not be seen by delegates. They responded by donning prisoner of war uniforms and marching in circles inside what they called "Camp X-Ray."

Meanwhile, at the Republican convention in New York, police on horses and motorized scooters herded protesters into "pens" made of orange mesh, said Gideon Oliver, an attorney who represents some of the 1,800 people who were arrested. Eight years after the convention, a class-action lawsuit alleging civil rights violations is still making its way through the federal courts.

In Tampa this year, just two people were arrested during the Republican National Convention. The city's downtown area was all but deserted -- except for the 4,000 cops in khaki fatigues -- giving the place all the ambiance of a third-world city after a military coup.

In Charlotte, 25 people were arrested. Police officers wore dark blue uniforms, which made them look more like cops. Some Secret Service agents were in casual street dress, and the security perimeter was much larger because the event involved President Obama.

But in both cities, everyone was subjected to daily torrents from nature's water cannon, which may have been more effective than anything police could come up with to dampen dissent.

Commenters divided over how free should free speech be

@highlight

Hardly anyone used the 'free speech zones' at the conventions

@highlight

The zones were set aside for protesters, others to voice their views

@highlight

Protesters complained zones were too far from the action in Tampa, Charlotte

@highlight

Free speech zones first established in 1988 in Atlanta amid protests over abortion