(CNN) -- It rarely makes sense to draw big conclusions or make public policy on the basis of anecdotes. But the plural of "anecdote" is data, and sometimes one-off events are useful in crystallizing lessons to guide policymakers and inform the public.

So it was with the Pittsburgh-area rampage this week in which a teenager bearing two kitchen knives is accused of injuring 21 high school classmates and a security guard -- but none of them were killed. It's hard to imagine an anecdote that better illustrates what decades of data show: that for purposes of life and death, the weapon matters.

It's called "the instrumentality effect," and we owe the original scholarly findings (more than four decades old at this point) to the eminent University of California criminologist Franklin Zimring. Others, including one of us (Cook), have validated and built upon his insights.

The idea that the weapon matters emerges in studies of robberies and assaults. When committed with a gun, these crimes are far more likely to result in the victim's death than are similar violent crimes committed without a gun. For example, the likelihood that a victim will die when robbed by a firearm-wielding attacker is three times as high as when the victim faces an attacker bearing a knife and 10 times as high as when the attacker has another type of weapon. For victims injured in an assault, the likelihood of death is also greater when a gun is involved, especially in cases of domestic violence.

Of course, the choice of weapon could be simply a product of the perpetrator's focus on killing; perhaps it's this intensity, not the choice of weapon, that is really to blame. In light of Wednesday's knife attacks in Pennsylvania, Zimring's findings are particularly telling.

To separate the effects of the weapon vs. the intent of the perpetrator, he looked at fatality rates for different calibers of guns. If perpetrator intent were really to blame, zeroing in on attacks with guns would "control" for that effect. Zimring found, as the instrumentality perspective would predict, that people shot by larger caliber guns -- which carry bigger and more destructive bullets -- were more likely to die than those shot by smaller caliber guns.

Adding more evidence to the case that the weapon matters, Zimring and Gordon Hawkins later demonstrated that overall crime rates aren't that much higher in American cities than in comparable cities in other developed countries. We just have higher rates of homicide, and that is because our criminals are more likely to be armed with guns and thus their attacks are more likely to end in the victim's death.

The most important and interesting implication of the instrumentality effect is that if public policy could reduce gun use in crime, the murder rate would go down -- even if the overall crime rate did not. As it turns out, about half of American states have enacted policies that add prison time to felons who use a gun when committing their crimes.

These so-called sentencing enhancements, most of which were adopted in the 1970s and 1980s, were intended to reduce the use of guns in violent acts. Scholarly evaluations based on data, not anecdotes, offer some evidence that these policy innovations have been effective.

This week's tragedy can't help but invoke memories of the mass shooting at Sandy Hook Elementary School some 16 months ago. The difference today is that, because the Murrysville, Pennsylvania, perpetrator chose to use knives, victims' families can look forward to a future with their loved ones -- instead of planning their funerals.

@highlight

Authors: Injury, not death, came from school stabbings in Pennsylvania

@highlight

They say research has long found for purposes of life and death, the weapon matters

@highlight

Writers: Deaths from gun attacks higher than those from knives, other weapons

@highlight

If public policy led to reduction in gun use in crimes, murder rate would go down, they say