(CNN) -- The Syrian government is working constructively with the international team overseeing the destruction of the nation's chemical weapons, the chief of the world's chemical weapons watchdog said Wednesday.

Inspectors visited a first site earlier this week, where they saw some chemical weapons equipment destroyed, and are expected to visit more than 20 others over the coming days, said Ahmet Uzumcu, director-general of the Organization for the Prohibition of Chemical Weapons.

"The cooperation has been quite constructive, and I will say that the Syrian authorities have been cooperative," Uzumcu told reporters at The Hague on Wednesday.

Syria: Chemical weapons team faces many dangers, says U.N. chief Ban

His account comes less than two months after an August 21 chemical attack outside Damascus that led to U.S. and allied calls for military intervention in Syria's civil war -- a confrontation that was defused in mid-September, when Damascus agreed to a U.S.-Russian plan to give up its chemical weapons stockpile.

A U.N. Security Council resolution gives Syria until mid-2014 to destroy that arsenal, which the United States estimated at about 1,000 tons of blister agents and nerve gas. The Syrians provided an initial declaration of its stockpile and must submit a plan for destroying the weapons by October 27, Uzumcu said.

Inspectors must complete their initial inspections of all Syrian chemical weapons and storage facilities by November 1 and complete the eradication of production and chemical mixing facilities, the U.N. resolution states. Uzumcu said inspectors visited a second site Wednesday.

Syria's al-Assad says he welcomes return of U.N. inspectors

Inspectors face risks in 'dangerous and volatile' Syria

The timeline is tight and the inspectors face significant challenges, including having to cross front lines and move through areas controlled by militants fighting Syria's government. Uzumcu hinted that if the deadlines are to be met, cooperation from rebels would be key.

"I think the elimination of those weapons is in the interest of all. Therefore, if we can assure some cooperation by all parties and if some temporary cease-fires could be established in order to permit our experts to work in a permissive environment, I think our targets could be reached," he said.

U.S. officials said at least 1,400 people died in the August 21 attack, which U.N. inspectors determined had been carried out with the nerve agent sarin. The inspectors did not assign blame for the attack, and Syria denied responsibility, pointing the finger at rebel forces. But Washington and its allies have said that details of the report point squarely at government troops.

And there has been some skepticism over whether Syria will give up its entire arsenal.

A defected Syrian brigadier general, Zaher al-Sakat, told CNN's Christiane Amanpour last week that in addition to four secret locations within Syria, the regime is transferring chemical weapons to Iraq and Lebanon -- an allegation that the commander of the opposition Free Syrian Army, Gen. Salim Idriss, also recently made to Amanpour. Iraq and Lebanon have denied the claims.

U.N. Secretary-General Ban Ki-moon told the Security Council on Monday that the current inspection team of about 35 will be beefed up to about 100. But he said the inspectors face a "dangerous and volatile" environment, particularly in urban areas such as Damascus, Homs and Aleppo.

"Heavy artillery, air strikes, mortar barrages and the indiscriminate shelling of civilians areas are commonplace and battle lines shift quickly," Ban said.

It will be up to the Syrian government and the United Nations to make sure that inspectors can get to the rebel-held areas, OPCW official Malik Ellahi said Wednesday.

Two more French journalists reported kidnapped

Syria's descent into civil war began in March 2011, when the government of Bashar al-Assad cracked down on anti-government demonstrations in the wake of that year's "Arab Spring" revolts in Tunisia, Egypt, Libya and other countries in the region. The United Nations estimated the conflict had claimed more than 100,000 lives before the August 21 attack.

Refugees inside their own country: Syrians continue to suffer

The war has ground on while much of the outside world's attention has been focused on the standoff over chemical weapons, with opposition activists reporting triple-digit death tolls on a daily basis. Syria's government has restricted access by international journalists, making it impossible to verify many of those claims.

France announced Wednesday that two French journalists had been kidnapped in Syria, adding to two others whose abductions were reported earlier this year. The June 22 seizure of reporter Nicolas Henin and freelance photographer Pierre Torres had been kept confidential at the request of their families, the Foreign Ministry said.

Opinion: Syria problem is not going away

The two other French journalists, reporter Didier Francois and photographer Edouard Elias, have been held in Syria since June 6, the ministry said.

The ministry has not said who is holding the journalists, but said "all means of the state are mobilized" to free them.

Henin was preparing a report for the Le Point news magazine and the Arte media chain, and Torres had been expected to cover municipal elections organized for Raqqah, Syria, the ministry said. Francois and Elias, working for French radio station Europe1, had been on their way to the northwestern city of Aleppo when they were captured, the station has said.

CNN's Stephanie Halasz, Joseph Netto, Laura Smith-Spark and Joe Sterling contributed to this report.

@highlight

"Cooperation has been quite constructive," head of the watchdog group says

@highlight

Chemical weapons inspectors to visit second site in Syria on Wednesday

@highlight

Initial inspections, destruction of production facilities due by November 1

@highlight

Kidnapped French reporter, photographer have been held since June 22, officials say