(CNN) -- "The United States joins the government of Afghanistan in strongly condemning the murder of Najia Sediqi, who was killed in a drive-by shooting Monday morning," read a press release issued December 12 by the U.S. State Department and distributed by the U.S. Embassy in Afghanistan.

"The United States will continue to stand side-by-side with women who are carrying on Najia's fight, the Afghan government and all Afghan people to ensure that the hard-won gains made by women in the recent years are protected and advanced."

Yet as the 2014 deadline for withdrawal of NATO forces approaches many Afghans and some Americans wonder how, exactly, those gains will be safeguarded. And Sediqi's death, along with three other killings of Afghan women in the past several weeks, shows both the gains and potential losses facing women in Afghanistan.

On a recent Monday morning, gunmen opened fire on Sediqi while she walked to her office in broad daylight in eastern Laghman province. She was the acting head of the region's women's affairs department, which meant that she handled everything from helping abused women get to shelters to overseeing regional economic empowerment programs.

Her title was "acting" because, as Afghanistan's TOLO TV reported, only five months earlier her predecessor, Hanifa Safi, was killed in a car bomb blast that also left her husband in a coma. Both Sediqi and Safi are among the hundreds of Afghan officials and leaders who have been targeted for assassination.

The killings of the Afghan officials come alongside several weeks in which horrific cases of violence against women came to light in the Afghan press. In Kapisa province, a 16-year-old schoolgirl named Anisa was shot dead after leaving the Mahmoud Raqi Girls High School.

Days later Afghan women leaders gathered in Kabul to demand justice and a government investigation into whether the Taliban, which are suspected in the killing, were responsible. Some activists saw a link between Anisa's killing and her work volunteering for a polio eradication campaign the Taliban are known to oppose.

In Kunduz province, 2012 has been the "most violent on record for women and girls," with more than a dozen killed. Most recently, a 14-year-old was killed by a gunman as she opened her door, allegedly in connection to a failed marriage proposal.

Another schoolgirl, Giseena, was found slain, her throat slit in what appeared to be retribution for her father's refusal to agree to her marriage. The girl's killing came while she was on her way to collect water for her home near the Tajikstan border. One of the men the police detained in the investigation was her thwarted suitor.

This collage of horrific violence against women tells two stories. First, for Afghan officials, death is a frighteningly present possibility at all times, and women serving other women are among the leading targets. A slew of high-profile female leaders have been killed, from Malalai Kakar of Kandahar's police force to Safia Ama Jan, who headed Kandahar's local ministry of women's affairs office, the same position Safi and Sediqi held in Laghman.

And second, as a U.N. official in Afghanistan noted this month, while violence against women remains "largely under-reported due to cultural restraints, social norms and taboos," the last year saw "an actual increase in reporting of incidents of violence against women," with prosecutors and courts "convicting more perpetrators for such crimes."

Certainly the high-visibility horrors that "reach law enforcement, that actually get to the court, or receive public attention due to their egregious nature represent only the tip of the iceberg" when it comes to crimes against women in Afghanistan, but the fact is that more women are bringing their abuse to the authorities and a thriving Afghan media are picking up their stories.

This reality points to progress, say advocates for women. And they say they are coming to believe that these steps forward will not recede as the international troops withdraw.

"I don't see that Afghanistan can go backwards," says Manizha Naderi of Women for Afghan Women, an organization that runs shelters for abused women across the country. "Too many people have experienced and felt the freedom of how it is to live in a safe environment. I really don't think the young people will ever go backwards."

Certainly the years since 2001 have been marked by dramatic changes for Afghan women. Nearly 3 million girls are in school, and more than 3,000 midwives across the country save expectant mothers' lives. Women make up a quarter of parliament, and civil society -- groups pushing for human rights and better education -- is filled with 20-, 30- and 40-something women pushing for their rights and their country's future.

In many ways the stories of these women are part of a larger narrative the American public, exhausted by the country's longest-ever war, has nearly stopped hearing: Some women are making great progress -- and taking great risks -- while some others have seen their lives change little and continue to be plagued by violence and deadly abuse.

Their fates are linked. As three prominent Afghan women entrepreneurs who appeared in Washington at the U.S. Institute of Peace this month made clear, the gains of some women lead to the gains of more. Homegrown role models help show what is possible to the girls of the next generation -- and their fathers.

In the political sphere they show that women can lead and they stand up for girls such as Giseena. And in the economic realm these entrepreneurs are creating jobs for women and men in a country that has an unemployment rate estimated to top 35%.

As these women push forward they bring others with them and bolster families' prospects in the process. But their advancement takes time.

In America's recent election, neither side wanted to discuss in any depth either the stakes of the Afghanistan conflict or a sustainable future strategy for the war. Poll after poll shows Americans no longer think it is a war worth fighting. But Afghan women are still in the fight and will be long after 2014. And their battle for a more educated, richer, healthier country is one in which everyone has a stake.

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Acting head of women's affairs department in Afghan province was gunned down

@highlight

Gayle Tzemach Lemmon says the killing fits a pattern of violence against women

@highlight

She says women have made strides in Afghanistan since 2001, but huge issues remain

@highlight

Lemmon: While U.S. focuses on withdrawal, much remains at stake for Afghan women