(CNN) -- As Italy and other countries stare into the financial abyss, questions are being raised about whether the European Central Bank should be bailing out failing economies as the only institution with sufficient funds available to act on several fronts at once.

But although the ECB may have the resources to help pull Italy and other cash-strapped eurozone nations back from the brink, bank president Mario Draghi says ECB intervention cannot be the answer.

"What makes you think becoming the lender of last resort for governments is actually the thing you need to keep the eurozone together?" Draghi said at a press conference last week.

What is the ECB's traditional role?

The European Central Bank was established in 1998 after the Treaty of the European Union -- known as the Treaty of Maastricht -- created the structure for what would become the euro currency.

The ECB's mandates are to control inflation and ensure some level of stability for the 17 countries that use the euro currency. Like other central banks, the ECB's main tool for attaining these goals is by raising or lowering interest rates -- a key tool for influencing financial markets.

The ECB's primary remit is to control inflation around 2% or below. It also keeps money flowing through the eurozone's economy by lending cash (known as providing liquidity) to the sovereigns in return for holding collateral, or bonds, of those states.

The bloc's financial structure allowed, however, each eurozone country to retain their own tax policies, budgets and banks and issue their own bonds. It is this lack of integration which is often pointed to as being a key contributing factor in the eurozone crisis -- not to mention a lack of fiscal responsibility by member countries, according to Howard Wheeldon, senior strategist at BGC Partners.

"The ECB could've been shouting across the rooftops that too many euro members were not obeying the rules that were set in stone before the eurozone came into being in terms of deficit and debt," he said.

How has that role changed during the crisis?

While the ECB's power was initially limited to controlling interest rates, as the global financial crisis deepened European leaders authorized the bank to begin buying government debt in order to stabilize countries' bond yields -- the rate a country must pay to borrow money to pay its bills.

If investors lose confidence that a country will pay back its debts, fewer investors will by the country's bonds, which in turn will drive the rate up.

Greece, Ireland and Portugal were all forced to seek bailouts once their 10-year bond yield, or rate, surpassed and remained above the 7% mark for an extended period of time.

Since August the ECB has bought billions of euros worth of Italian bonds in attempt to keep Italy well below this "point of no return" -- but on November 9 Italy's bond yield surged to a euro-era high of 7.3% amid fears that the eurozone's third largest economy could collapse.

Some investors and economists see the ECB as the only European institution with the capacity to respond quickly to the crisis in Italy.

Why doesn't the ECB want to continue buying Italian bonds?

As international lenders desert Italy, the ECB is now in the uncomfortable position of being seen as a potential lender of last resort for nations that can no longer borrow from the private sector.

The ECB is reluctant to do so, however, because the bank believes the practice would merely gloss over serious economic problems in eurozone countries and discourage them from enacting austerity measures in order to bring their debts under control.

"Once you've put that 'lender of last resort' thing out there, the perception will be (that cash-strapped countries will) be automatically bailed out," said Wheeldon. "But financial stability can only occur if countries have discipline."

Experts say Italy needs to enact reforms that will boost economic growth, not just cut spending, to stabilize its debts -- and ECB leaders remain opposed to expanding the bank's balance sheet with risky sovereign debt.

Still, other analysts say the ECB may quietly increase its purchases of Italian bonds if the government demonstrates a commitment to getting its fiscal house in order.

What else can the ECB do?

While buying bonds is currently an integral part of the strategy to keep Italy from collapse, experts say any successful approach must be more comprehensive if it is to work.

"Buying bonds can't be the total modus operandi", said Wheeldon. "The ECB will have to do a combination of things to (prevent Italian default)."

The ECB could lower interest rates in an attempt to encourage growth in eurozone countries, although some experts doubt a rate drop would make a much of a difference.

European leaders could also pass legislation to allow the ECB to print billions of euros to pay off sovereign debt, but experts say that would only devalue the euro, cause inflation and undermine the bank's credibility.

"If that was the easy solution it would've been done," said Wheeldon. "If the ECB printed money, the soundness of the bank would be seriously questioned."

CNN's Peter Wilkinson and CNNMoney's Ben Rooney contributed to this report.

@highlight

ECB's primary mandate is to control inflation through interest rate changes

@highlight

ECB has been buying Italian bonds since August to try to keep yields low

@highlight

The bank has repeatedly said the bond-buying program is a temporary measure