Johannesburg, South Africa (CNN) -- He might have some 60 albums under his belt and numerous awards to his name but iconic Zimbabwean musician Oliver Mtukudzi has no plans to slow down.

"Retiring from what?" he asks purposefully when asked if he'd consider a break from music. "This is me," explains 60-year-old Mtukudzi moments before he hits the stage at the Market Theater in downtown Johannesburg, South Africa. "I'm doing me; I'm not doing a career. This is who I am; I can't retire really from myself."

It is, then, no surprise that award-winning Mtukudzi, who is affectionately called Tuku by his fans, decided to mark his birthday last September with the release of yet another album.

Called "Sarawoga," which means "left alone" in Shona, Mtukudzi's latest album is a tribute to his beloved son Sam, who died in a car crash in 2010 aged 21.

Watch Mtukudzi performing

The recording comes after a long period of grief for the soft-spoken artist.

"I'm still learning to live with it," says Ntukudzi, who had written and rehearsed many of the album's songs with his son; Sam was a highly talented multi-instrumentalist himself who pursued his own music career but would also often perform with his father.

"I've only released my first offering this year and for the past two years I didn't even think about my music really," says Ntukudzi. "I was just thinking of him and trying to recover, even though music was my therapy. I think I've performed more shows since 2010 up to today than ever before because that's the only therapy I've got."

Read related: Afrobeats going global

Born into a musical family in 1952, Mtukudzi has been successfully performing for nearly four decades throughout Africa as well as in the United Kingdom, the United States and Canada.

His foot-stomping music has been described as a mixture of Zimbabwean pop style "jit" and South African township pop. Through his distinct sound and inspiring lyrics, he's documented the joy and pain of his countrymen who fought for freedom under colonial rule and died for democracy after Zimbabwe's independence in 1980.

"Where I come from you don't get to sing a song if you have nothing to say," says the musician, who grew up in Highfield, a ghetto neighborhood in the Zimbabwean capital of Harare. "So every song has something to do with that man in the street, he must be able to use it in his life."

As a young boy, Mtukudzi joined choirs to improve his singing talent and taught himself how to play a three-string guitar. He soon started writing and recording songs and after an illustrious career he is today one of Zimbabwe's best-known musicians.

Read related: The man who brought MTV to Africa

More than just an entertainer, Mtukudzi is committed to addressing everyday social challenges, using his music as a vehicle to speak about the issues he's passionate about.

In 2003 he founded an art center in Norton, near Harare, and last year he became a UNICEF Goodwill Ambassador for eastern and southern Africa, focusing on youth development and HIV/AIDS.

Mtukudzi, who lost his brother Robert and several band members to AIDS, recently took his campaign to eradicate the HIV/AIDS stigma to mothers in Tanzania.

He is also outspoken against patriarchy and has criticized polygamy as a practice that increases the risk of spreading HIV.

But as well as tackling heated and important issues with his songs, the artist-turned-activist has also been producing and starring in feature films since the early 1990s, using his celebrity to empower and influence others.

Released in the early 1990s, feature film "Neria" questions the place of tradition in the life of contemporary African women. The theme song remains to this day one of Mtukudzi's most popular tracks.

"I know sound is OK but visual can be better ... because it sticks in your head," he says. "If you see things you get to understand things much better than when you just hear things. That's why we do short films and try and show them to the people."

Read related: Malian kora legend breaks music barriers

Back at the Market Theater, a few minutes before his sold-out concert begins, Mtukudzi admits that he still doesn't known which songs from his long repertoire he will play to his audience.

His show, he says, is all about the moment. "I don't write a setlist," he explains. "How do I know the show is going to be for me to plan? I just look for the first song -- if I find the first song everything falls into place, because I don't know the mood of the day, so as I get into the mood I get the songs."

What's more certain, however, is that his audience is in for a memorable show.

@highlight

Oliver Mtukudzi, 60, is an award-winning Zimbabwean musician

@highlight

His latest album is a tribute to his son who died in a car crash in 2010

@highlight

Mtukudzi, known as Tuku to his fans, uses his music to campaign against AIDS stigma and polygamy

@highlight

He's also ventured into feature films to address social challenges in modern day Africa