(CNN) -- Green markets, farmers' markets, fresh markets, wet markets -- whatever you call them, these are the places that make Walmart, Tesco and other supermarket chains look like crimes against cuisine.

Often centuries old but full of freshness, markets are usually packed with dozens of vendors and worth visiting even if you have no intention of cooking anything yourself on your vacation.

1. La Boqueria: Barcelona, Spain

Believed to have originated in the 13th century as a pig market, the Mercat de Sant Josep de la Boqueria has grown into one of the finest outdoor markets in the world.

It's home to fishmongers, butchers, cheesemongers, greengrocers and dozens of small charcuterie shops specializing in Spanish hams and cured meats.

With an entrance off busy La Rambla, La Boqueria is a popular spot to stop for lunch.

The counters of any of the tiny gourmet restaurants provide fresh seafood and Mediterranean specialties.

Rambla, 91 Mercat de la Boqueria (Edifici Direcció, 2a planta), Barcelona, Spain; +34 93 412 1315; www.boqueria.info

CNNGo: The world's best airline for 2012 is ...

2. Tsukiji Fish Market: Tokyo, Japan

Tokyo's Tsukiji Market is the largest wholesale fish and seafood market in the world, selling more than 400 types of seafood, from inexpensive seaweed to sea urchin and caviar costing hundreds of dollars.

The market has the distinction of supplying restaurants all over the world with fresh fish.

It's also one of Tokyo's biggest tourist attractions, where visitors gather in the pre-dawn hours to gawp at the frenetic auction of dozens of enormous tuna.

The outer market, located in a maze of tiny streets packed with retail shops, allows visitors the chance to purchase seafood and other food supplies and enjoy an early morning sashimi meal.

5-2-1 Tsukiji, Tokyo, Japan; +81 3 3542 1111; www.tsukiji-market.or.jp

3. Union Square Farmer's Market: New York City, United States

In the 1970s, New York City's Union Square was a seedy, crime-ridden area of Manhattan until a small farmers' market took root and revitalized the area.

The market has grown into one of the world's best, with more than 140 regional farmers, fishmongers, bakers and butchers catering to more than 60,000 shoppers on peak days.

The greenmarket showcases more than just fresh-picked produce, though.

Celebrity chefs often use the space for cooking demonstrations, there are school tours that teach local kids about seasonality and healthy eating and education programs, including one that helps New Yorkers learn about composting.

Broadway at East 17th Street, New York City, United States; +1 212 788 7900; www.grownyc.org

CNNGo: World's 50 best beaches

4. Or Tor Kor Market: Bangkok, Thailand

Located next to Bangkok's busy Chatuchak weekend market, Or Tor Kor Market is as packed with perfect produce as its neighbor is with souvenirs and tchotchkes.

Or Tor Kor displays exotic fruits and vegetables that are unique to Thailand, as well as imported specialties from around Asia.

The market is immaculate and brightly lit, allowing shoppers to easily cruise for seafood, sweets and cooked foods.

Tourists will enjoy Or Tor Kor's wide selection of prepared curry pastes and spices to take back home, and a food court filled with Thai specialties.

Th Kampangphet (next to Kampheng Phet MRT station), Bangkok, Thailand

8 religious wonders in the U.S.

5. St. Lawrence Market: Toronto, Canada

Toronto's St. Lawrence Market lays on one of Canada's finest shopping experiences.

It's the place that Toronto locavores shop for Ontario-grown-and-made products, including the freshest produce, homemade pies, freshly baked bread and elk, venison and other locally sourced game.

On Saturdays, local farmers sell seasonal organic produce at the North Market, a tradition that began in 1803 and continues today, presenting a wide selection of not just fruit and vegetables but locally produced cheeses, grains and meats.

Embracing more than 120 vendors, St. Lawrence's South Market also sells imported items such as tropical fruits and avocados that are not easily grown in Ontario's chilly climate.

92-95 Front Street East, Toronto, Ontario, Canada; +1 416 392 7120, www.stlawrencemarket.com

CNNGo: World's 10 most loved cities

6. Borough Market: London, England

The oldest fruit and vegetable market in London is also one of the world's finest.

Located in the Southwark neighborhood, Borough Market has been operating here since 1755 -- but the area has been known for its fresh market since the 13th century.

Specializing in locally grown produce and fruits, hand-made cheeses and fresh breads, the wholesale market is the supplier of choice for many of London's best restaurants.

On Thursday, Friday and Saturday the market is open to the public, who, in addition to doing their weekly grocery shopping, can sample the many snacks and gourmet foodstuffs on offer.

8 Southwark St., London, England; +44 (0) 20 7407 1002, www.boroughmarket.org.uk

7-million-mile family shares travel secrets

7. Kreta Ayer Wet Market: Singapore

Combining the bounty of Asia's wet markets with immaculate hygiene standards, Kreta Ayer Wet Market in Singapore's Chinatown is something to behold.

The market stocks a fantastic variety of fresh Asian vegetables, from bok choi to choi sum, as well as exotic ingredients such as live frogs and turtles, preserved eggs, Chinese herbal remedies and a plethora of tofu products.

Named after the ox carts that were used to deliver water to the area, the market is capped by a hawker center upstairs where exhausted shoppers can sit down with a bowl of noodle soup or other local specialties.

Chinatown, Kreta Ayer Road and Keong Siak Road, Singapore

8. Lancaster Central Market: Lancaster, Pennsylvania, United States

The United States' oldest, continuously operated farmer's market stands in the heart of Amish country in Lancaster, Pennsylvania.

The historic market has been in operation since the 1730s, and was granted permanent status by King George II in 1742. It remains popular today, and tourists flock here to purchase hand-crafted products and foods made by the local Amish community.

While the Pennsylvania Dutch wares might be the biggest draw for out-of-towners, locals appreciate the wide variety of imported goods sold alongside local produce, fresh flowers, just-caught seafood and hearty baked breads.

23 North Market St., Lancaster, Penn., United States; +1 717 735 6890, www.centralmarketlancaster.com

9. Marché Provencal: Antibes, France

Located in Antibes' historic old town, the Marché Provencal is brimming with gourmet ingredients from the Provence region of France.

Visitors can learn the art of French cooking with the plethora of local specialties, including foie gras, honey, fresh lavender, wines and cheeses, fruit preserves and fragrant spices.

In the afternoons local artisans display their works, from ceramics to wood carvings to paintings.

Shoppers can also sit down to a coffee at one of the charming surrounding cafés or head across the street to the absinthe bar.

Cours Masséna, Antibes, France

10. Kowloon City Wet Market: Hong Kong

In a metropolis known for the quality and quantity of its wet markets, Hong Kong's Kowloon City wet market stands out.

Both tourists and locals flock to this foodie destination for the highest-quality ingredients, including fresh imported meats hanging from steel hooks, live fish thrashing about and piles of perfect greens.

The neighborhood is also home to many specialty food stores, including those in "Little Thailand" offering all sorts of Thai goods.

In the wet market itself there's a cooked food center that dishes up excellent Cantonese snacks and a wide array of not-too-spicy Thai dishes.

100 Nga Tsin Wai Road, Hong Kong; +852 2383 2224; www.fehd.gov.hk

@highlight

Great markets attract even those visitors with no intention of cooking

@highlight

Take a stroll through La Boqueria in Barcelona to discover the best Spanish hams

@highlight

Hong Kong's Kowloon City Wet Market stands out in a city known for great markets