(CNN) -- The downing of Malaysia Airlines Flight 17 over eastern Ukraine last week, most likely after being struck with a missile fired by pro-Russian rebel forces, was followed this week by the rebels' shoot-down of two Su-25 attack aircraft deployed by the Ukrainian Air Force.

These incidents reflect a typical pattern in insurgencies and counterinsurgency operations. Air power is often crucial in fighting insurgents, as it has been recently in Ukraine. The Ukrainian air force has made up for the poor performance of Ukrainian ground units by driving rebel forces into retreat. The Su-25 ground-attack planes that were shot down this week were part of a renewed Ukrainian air offensive against rebel positions.

Because governments fighting insurgencies often enjoy a monopoly or major advantage in air power, rebel fighters must try to offset this advantage by using surface-to-air missiles, or SAMs, and other air-defense weapons. That is precisely what has been happening recently in Ukraine, where pro-Russian rebels have shot down at least a dozen Ukrainian military aircraft over the past few months.

The downing of MH17 was apparently a tragic mistake, not a deliberate attack on a passenger airliner flying at high altitude. The pro-Russian rebels evidently believed the target was a large military transport aircraft, only to realize afterward that they had committed a terrible blunder.

Who are Ukraine's pro-Russia rebels?

But even if the downing of the airliner had been deliberate, it would not have been unprecedented. Indeed, on numerous occasions, insurgents armed by Moscow have deliberately shot down civilian planes.

In September 1978, guerrillas from the Zimbabwean People's Revolutionary Army shot down an Air Rhodesia passenger airliner using a Soviet-supplied SA-7 shoulder-fired SAM. Dozens were killed in the crash, but 56 passengers survived. The guerrillas methodically hunted down the survivors and killed them (though a small number evaded death by hiding).

Five months later, in February 1979, Zimbabwean guerrillas once again used a Soviet-supplied SA-7 to shoot down an Air Rhodesia passenger aircraft. All the passengers and crew died in the crash. In December 1988, Polisario Front guerrillas in Morocco used Soviet-supplied missiles to attack two U.S. DC-7 civilian aircraft that were spreading insecticide against a locust infestation. One of the planes crashed, killing all five Americans on board.

After the Soviet Union broke apart, the new government in Moscow continued to arm and train insurgent forces, focusing on other former Soviet republics. On three consecutive days in September 1993, Russian-backed separatist guerrillas in the Abkhazian region of Georgia deliberately attacked Transair Georgian Airways passenger flights, using Russian-supplied shoulder-held SA-7s against two of them in flight and artillery against the third during boarding. A total of 136 people were killed in the three incidents.

This record of Soviet and Russian support for insurgents who target civilian aircraft is important to bear in mind when judging the latest crisis over Ukraine. In all these earlier instances from the 1970s through the 1990s, Moscow-backed guerrillas deliberately attacked civilian planes. By contrast, in last week's downing of MH17, the likelihood is that the rebels only targeted the passenger aircraft because they thought it was a military plane.

No one has yet apologized for the incident, and the pro-Russian forces' handling of the crash site has been despicable, but the downing was not akin to the deliberate attacks that occurred in earlier years.

Many flights soar over conflict zones

Many observers have depicted events in Ukraine, including the MH17 tragedy, as reflecting something peculiar about Russian foreign policy under President Vladimir Putin. But as the 1993 attacks by Abkhazian fighters indicate, Putin's predecessor Boris Yeltsin often dealt with Russia's neighbors in a similar manner, seeing them as little more than vassal states.

Under both Yeltsin and Putin, Russia has bullied, intimidated, destabilized and violated the sovereignty of its neighbors, especially Georgia, Moldova, Tajikistan, Ukraine, and Kyrgyzstan, whenever they have been led by rulers the Russian authorities dislike. Since 1992, Russia has consistently supported the entrenchment of authoritarian regimes in neighboring states and opposed upheavals and popular unrest directed against authoritarian rulers.

The historical record of Russia's domineering policy toward other former Soviet republics has often been disregarded in the recent flurry of commentary about Ukraine and MH17. One observer, writing last week on Forbes.com, declared that the MH17 disaster marked "the first case of rebels, supplied by a major power with surface-to-air missiles, bringing down a passenger plane." That statement is absurd and reflects an underlying ignorance of the long record of Russia's imperious dealings with its neighbors.

When thinking about where things might head now in Ukraine, we need to separate entrenched patterns from what is truly distinctive. Many observers get caught up with the daily twists and turns and fail to consider relevant historical precedents.

In each case in the past when Moscow-backed guerrillas deliberately attacked civilian aircraft, the incidents had no lasting impact on the conflicts and did not induce the Kremlin to back down. After the September 1993 attacks that destroyed three Georgian passenger planes, Yeltsin not only maintained his staunch support of the Abkhazian separatists but also deployed thousands of Russian troops in Abkhazia to deter the Georgian government from trying to reclaim it.

Over the past week many have predicted that MH17 will be a "game-changer" and might even lead to the unraveling of Putin's regime. The historical record gives us little reason to be confident about such optimistic prognoses.

Join us on Facebook.com/CNNOpinion.

@highlight

Mark Kramer: Russia and its proxies have a history of shooting down civilian aircraft

@highlight

Kramer: Russia has bullied, intimidated and violated the sovereignty of its neighbors

@highlight

There is little evidence that this attack, or others in the past, will induce the Kremlin to back down