(CNN) -- A major winter storm is expected to dump snow and ice across the southeastern United States Sunday night and Monday, potentially triggering power outages and possibly impacting travel throughout the country.

The latest computer models show wintry weather extending from northeast Texas through the Carolinas, bringing freezing temperatures, snow and ice to areas that normally don't see heavy winter precipitation, according to CNN meteorologist Dave Hennen. The northern regions of Mississippi, Alabama, Georgia and the Carolinas should expect heavy snow, while ice storms are expected to affect the southern regions of those states, he said.

Below freezing temperatures through Tuesday could leave trees and power lines across the south with a heavy coating of ice, said Hennen, which could cause numerous long-duration power outages.

A winter storm warning has been issued by the National Weather Service for parts of Texas, Arkansas, Louisiana, Tennessee, Mississippi and Alabama. The agency warns that significant snow amounts could make travel difficult and dangerous. Three to eight inches of snow could fall by Monday evening and roads are expected to be hazardous through Monday night, especially secondary roads.

A winter storm watch has also been put in place by the weather agency, stretching from northeast Texas to the far western corner of Virginia.

Snow should begin falling in Atlanta during the evening hours Sunday, Hennen said, and it should continue to accumulate through Monday afternoon. Temperatures at or below freezing are expected to remain in place through Tuesday, keeping roads dangerous and travel difficult, he added.

Hennen expects the storm to severely impact Atlanta's Hartsfield-Jackson International Airport. He said hundreds of flights could be cancelled, which would affect air travel all over the U.S.

Parts of Louisiana could get up to an inch of ice, while other states in the region could get between a quarter and a half-inch of ice coating power lines, trees, bridges and roadways, CNN meteorologist Reynolds Wolf said.

Alabama's Emergency Management Agency began warning residents on Friday of the weekend storm.

"It is really important for Alabama residents to take this threat of severe weather serious, freezing weather over an extended period of time has the potential to cause power outages and an interruption in communication services," Alabama EMA Director Brock Long said in a statement.

Meanwhile, airlines were preparing for possible travel snarls ahead of the storm.

"Our big concern from an operating stand point is Dallas-Fort Worth. It depends on how quickly the snow moves eastward," said American Airlines spokesman Tim Smith.

American had not canceled any flights in the region as of Saturday morning, but was monitoring the forecast, Smith said.

Anthony Black, a spokesman for Delta, said the airline expects "to start seeing an impact tomorrow night (Sunday) around 6 p.m."

"We will have flights canceled beginning then (and) probably through until as late as early Tuesday morning," Black said.

Meanwhile, snow moved into the Northeast but the region was spared a repeat of the Christmas blizzard that virtually shut down such large cities as New York and Philadelphia. Emergency management officials were able to quickly recover from the comparably light dusting of snow that began blanketing the region Friday.

AirTran Airways had canceled only three flights Saturday morning into or out of New York's LaGuardia and Boston's Logan airports.

All of the major airports were operating as normal Saturday with the exception of Philadelphia International Airport, which was under a ground delay due to the snowfall.

"In addition to being under an air traffic control ground delay program, they're also de-icing aircrafts and that could tend to slow things down," Southwest Airlines spokesman Chris Mainz said.

More than 400 flights were canceled Friday due to the storm.

Several major airlines -- including American, United/Continental, U.S. Airways and Delta -- announced that their customers could voluntarily reschedule flights to and from snow-affected areas without penalty.

The heavy snow over the Christmas weekend hampered morning commuters, delayed first responders and even prevented aircraft service personnel from reaching airports where 29 international flights were stuck on the tarmac for more than three hours, officials said.

Following sharp criticism of the city's slow response, John Doherty, the chief of the sanitation department, has made management and personnel shake-ups in Brooklyn.

An investigation is currently under way into whether sanitation workers intentionally delayed cleanup efforts over frustrations about demotions and citywide budget cuts.

CNN's Nick Valencia contributed to this report.

@highlight

NEW: Snow, ice and freezing temperatures are expected across the southeastern U.S.

@highlight

NEW: Weather conditions in Atlanta could impact air travel across the country

@highlight

The storm is expected to begin hitting the area late Sunday

@highlight

Airlines are monitoring the forecast ahead of the storm