(CNN) -- At every congressional recess, the question remains: What has Congress accomplished to advance medical innovation, or for that matter any of our national priorities?

A ritual of leaving town with no meaningful action on pressing issues seems to have taken hold as lawmakers once again meet with voters in their districts. Indeed, much will happen during this break, but as elected officials hold yet another town hall meeting, Facebook or Twitter chat or public event, thousands will be diagnosed with cancer or get the dreaded confirmation from a physician that they or a loved one has Alzheimer's disease. Thousands will suffer a heart attack or stroke, and thousands of parents will learn that their child has a rare disease.

Researchers are racing against the clock to identify a new gene or molecule that could lead to the next medical breakthrough and bring us closer to cures and new therapies to halt disease.

Time is of the essence in the scientific community, but unfortunately, our elected leaders continue to squander precious time in political, ideological battles that yield little or no results. Is this the Congress you elected? This is not the first elected body to tackle formidable challenges, but it may be the first that has failed miserably in addressing critical issues that will have short- and long-term implications for the health and well-being of Americans.

Spending bills to fund the National Institutes of Health, the Centers for Disease Control and other agencies in the next fiscal year remain in limbo as sequestration, across-the-board spending cuts enacted in March, tightens its grip on medical innovation. As a result of these mindless budget cuts, researchers are delaying or scrubbing promising studies. Institutions across the country have closed labs, reduced their work forces and implemented hiring freezes. Young scientists are rethinking their career paths or moving abroad to countries that have accelerated investments in research.

Many commentators have noted that the 113th Congress is on track to be the least productive in recent history. Fewer than three dozen bills have been passed by this Congress and signed into law.

This new style of legislating, when there is any, seems to be brinksmanship at the last possible moment: Hail Mary passes to avert a government shutdown and the like. If the head of a Fortune 500 company performed in this manner, he would be given the boot. Perhaps voters should think the same of those obstructionists on Capitol Hill who block action on measures to advance science and innovation the next time they head to the polls. In the meantime, it's important for all of us who care about the future of biomedical and health research to get engaged.

It's a myth that members of Congress don't pay attention in the month of August. On the contrary, during this recess, they are meeting with their constituents to at least shore up support for their next campaigns.

This is the time to tell them that voters are expecting action, not more heated rhetoric. It's time to tell them that tax and entitlement reform is essential -- rational proposals that will reduce health care costs and sustain investments in research and development. Research and development is now classified as an investment rather than an expense by the Bureau of Economic Analysis in calculating the gross domestic product, a sensible approach in recognizing the value of R&D in generating future income and bolstering our economy.

Now, if only our esteemed leaders in Washington will do likewise. They must abandon the notion that research isn't highly valued by most Americans compared with bread-and-butter issues. In fact, more than half of Americans are willing to spend more in taxes if they were certain that all of the money would be spent on additional medical research, according to polling (PDF) commissioned by Research!America, a nonprofit advocacy alliance.

Americans understand the importance of a long-term investment in medical and health research to spur private-sector innovation and produce the therapies, medical devices and treatments that will save lives. The importance of long-term priorities is, by the way, one of the ways a nation stands apart from a corporation beholden to shareholder demands for immediate return.

A nation's leadership must view research through the prism of future generations: our children and grandchildren, who will benefit from both a health and economic standpoint as a result of today's scientific discoveries. Imagine a world free of cancer, free of AIDS, free of Alzheimer's, free of heart disease. It's certainly possible if elected officials get beyond the rhetoric and take decisive action to strengthen our nation's investments in research.

The opinions expressed in this commentary are solely those of John E. Porter.

@highlight

Former congressman John Porter says Congress has done little up to August recess

@highlight

Among the issues he says Congress hasn't tackled is more funding for health research

@highlight

He says people support more spending, and most would pay more taxes for research

@highlight

Porter: Health research is an investment that will benefit our childen and grandchildren