In a world where computers are increasingly powerful and are concealed within ever more glossy slabs of aluminum, the Raspberry Pi (RPi) offers surprising proof for the virtue of moderation.

Resembling little more than a credit card-sized scrap of exposed circuit board, the RPi is a fully programmable PC that runs a free, open-source Linux operating system, plugs into any TV, can power 3D graphics, connects to the Internet and, with a little ingenuity, be used to create your own personalized robot slave.

The computer's miniature frame is crowded with two USB ports, an SD card slot, an Ethernet connection and microchip in the middle -- all powered by a universal USB mobile charger.

Read related: Robotics kit for grown-up kids

Not only is it the world's smallest personal computer but, perhaps most importantly of all, at just $25 the RPi is also the world's cheapest.

Eben Upton, the UK-based University of Cambridge professor and inventor behind the wallet-friendly PC, says he set out to create a computer so affordable that every child in Britain could have one.

With its rough-around-the-edges aesthetic, however, he didn't expect it to catch on very fast and, in the early days of development, set a sales target of 10,000 units within his lifetime.

But when the RPi launched in February of this year, demand far outran supply, and all 10,000 sold out immediately -- crashing the distributing websites in the process.

Read related: The Rubik's Cube in numbers

It turned out there was a voracious appetite -- particularly among a growing class of DIY geeks -- for a cheap, easily-programmable, open-source piece of hardware that would allow them to let their imaginations run wild.

The RPi has since be used to power everything from home-made jukeboxes to baby monitors to miniature near-space crafts and digital weather-stations.

Now, far exceeding its inventor's original estimates, the RPi is set to sell as a million units within its first year of availability.

In a revealing interview with CNN, Upton tells all about why everyone wants a slice of Raspberry Pi.

CNN: What inspired you to invent the Raspberry Pi?

Eben Upton: A group of us here at the University of Cambridge were involved in trying to find 17, 18-year-olds to come and study computer science and what we found every year was a reduction in the numbers.

We went from 500 people in the 1990s applying for our 80 places, down to under 250  and, worse than that, the sorts of things those children knew how to do when they came in the door were much less impressive.

Really Raspberry Pi is an attempt to try and reboot some of that 1980s computer industry feel that had been responsible for giving us this stream of very talented students.

CNN: What in your view are the Pi's most distinguishing qualities?

EU: I think we really have to say the big, distinct feature about Raspberry Pi is the cost. This is a device that comes in two variants, one that cost $25 and one that costs $35.

These are designed to be the same price as a textbook; they're designed to be cheap enough that a child can buy on with their pocket money. They're designed to be cheap enough that you could equip a whole classroom for under a $1000. So, really the cheapness.

Almost everything you can do with a Raspberry Pi, you can do with a conventional PC, but you'd be doing it at 10 times the cost.

CNN: Did you have any idea what kind of response you'd get?

EU: Absolutely not, I think the response has been staggering. Even a year ago we were thinking of this shifting 10,000 units over a lifetime.

All we wanted was a few hundred more students -- or for the students we were getting to have had a little more experience when they came to the door.

CNN: What was your own reaction when you heard how many you'd sold on the first day?

EU: Terror, I guess. When you've scaled everything for a particular size and then you discover you have this enormous spike of demand, then you're always going to wonder if you can fill it. And there were big queues, there were back orders for months after that as we and our partners worked very hard to try and scale out production.

CNN: You set out to sell primarily to schools for use by children in class, who's it actually being bought by?

EU: Until September, it was being bought almost entirely by people like me -- technically literate adults who wanted to use it to do interesting projects. You know this is something you can plug your television into and play videos on; it's got stuff you can use to control a robot. For people like me this is gold dust.

From September onwards we've started to see a swing round towards what we were hoping for, which is educational engagement -- individual children buying them and schools buying classroom sets of them.

CNN: Any other surprise takers?

EU: We're also starting to see some industrial applications. We're seeing people who have been buying $300 industrial computers saying "hang on a second, why am I buying this special purpose computer when I can buy one of these. It does the same thing, it runs Unix. My software engineers can be very comfortable with it, why don't I just switch over to these?"

Another really interesting one that I should have anticipated was of course the developing world. These make very good entry-level productivity computers for the developing world, so we're starting to see an interest there as well.

CNN: How are you able to sell it so cheaply?

EU: One of things that allows us to hit our very low price point is that we have a very high level of integration -- there's just not that much stuff on the board. All of the main features are integrated onto the chip in the middle. It's our central processor and also our graphic processor that drives the display and does some of our peripheral functions, so that's the main chip.

CNN: Do you remember the first time you took it into a school and what kind of reaction you got?

EU: We were really surprised by the reaction we got. School kids today are used to their tablets and their mobile phones, so we thought we were going to have to put into a shiny box.

But one of the biggest reactions from the children was because they could actually see it and point to it and tell what the different bits do. Normally you don't get to see the green stuff and they really love that, there's been such a positive response.

@highlight

The Raspberry Pi is a credit-card sized computer that costs little more than a textbook

@highlight

Originally designed to encourage school children to learn programming skills

@highlight

The mini-PC now hugely popular with DIY geeks, who have used it to power their own creations