Tokyo (CNN) -- A seismic researcher told CNN Sunday that he warned the owner of the earthquake-damaged Fukushima Daiichi nuclear power plant two years ago that the facility could be vulnerable to a tsunami.

The owner, Tokyo Electric Power Company, appeared to ignore the warning, said seismologist Yukinobu Okamura.

TEPCO has not responded to Okamura's allegation.

Okamura heads Japan's Active Fault & Earthquake Center. He said he told members of a TEPCO safety committee two years ago that data collected from layers of earth show that in the year 869 a massive tsunami devastated where the plant now is. The six-unit Fukushima Daiichi plant is located about 240 kilometers (150 miles) north of Tokyo.

Without adequate safety measures, a repeat of the first millennium disaster at the site of a nuclear power plant could be far worse, Okamura said he told the committee then. He said he raised the issue because no one else did.

"I found that odd so I really wanted to speak out and let people know about it," Okamura said. "No one reacted in any way."

Instead, committee members discussed a 1938 earthquake in the region that killed only one person. Okamura said that is understandable because there was far more data available about that event. However, the power company should have considered the 869 tsunami, he said.

TEPCO representatives have held frequent press conferences since the March 11 earthquake triggered Japan's nuclear crisis. However, critics say direct questions rarely get direct answers from the company. That includes Okamura's allegation.

One critic is the Japanese government, which on Sunday pressed TEPCO for better information about the Fukushima Daiichi plant as it battled against criticism of its own handling of the crisis there.

Yukio Edano, the government's point man for the crisis, issued what he called "stronger instructions" to the Tokyo Electric Power Company to fully disclose as much as possible about conditions at the plant.

"Every piece of information must be provided accurately and swiftly" to Japan's Nuclear and Industrial Safety Agency, Edano, the chief Cabinet secretary, told reporters. "Without this communication, it's very difficult for the government to (establish) proper safety measures."

Workers have spent more than two weeks trying to stave off potential meltdowns in three reactors at the plant.

Edano said Tokyo Electric needs to be up-front with the Japanese people -- millions of whom get power from the company, and millions more have been affected by radioactive emissions stemming from the crisis.

Tokyo Electric is Japan's largest utility. Both the company and the Japanese government have been criticized for failing to provide more detailed information about the situation at Fukushima Daiichi, one of three nuclear plants the company owns in northern Japan.

A poll by Japan's Kyodo News Agency found the government is getting poor marks for its handling of the crisis, with 58% telling pollsters that they disapprove. Though 57% of Japanese approve of how the government has moved to provide relief for victims of the March 11 earthquake and tsunami, the poll found, only 39% approve of how it has managed the situation at Fukushima Daiichi.

Edano said the government has done "everything possible."

"But we also realize that many of the people in the affected areas have been very inconvenienced, and they are in a very serious crisis," he added. "We understand that, and there may be more such difficulties ahead."

Edano said Prime Minister Naoto Kan has been talking with local leaders "one by one" to find out what they need.

He declined to share details of those conversations, telling reporters, "We are simply focusing on providing better assistance for the residents."

Yukuiya Amano, the director-general of the International Atomic Energy Agency, returned to his native Japan shortly after the crisis erupted to press Kan for more information.

"In the beginning, we had some difficulty," Amano told CNN Sunday. "But I went to Tokyo and I talked to Prime Minister Kan and I asked him to facilitate the flow of information." Kan "promised me the highest level of transparency, and the flow improved," he said.

The government has ordered residents within a 20-kilometer (13-mile) radius to evacuate and those living from 20 to 30 kilometers to stay indoors. But levels of radioactivity above the levels considered safe for infants have turned up in drinking water as far south as Tokyo, and the anti-nuclear environmental group Greenpeace said Sunday that it had found high radiation levels in Iitate, a town of 7,000 about 40 kilometers northwest the plant.

Jan van de Putte, a radiation monitor for Greenpeace, said radiation levels ranged between .008 to 0.01 millisieverts per hour, or more than 50 times normal readings.

Though that's a dose far below the levels that would cause radiation sickness, it presents "a serious risk for developing cancer in the longer term," he told CNN.

"People living there -- and there are still people living there -- would exceed the maximum annual permitted dose in just a couple of days," van de Putte said. He said the town's mayor is seeking "practical, correct information" from the Japanese government.

"Without the right information, you cannot take the needed precautionary measures to protect yourself from radiation," he said. "We think that, to the population, is really important."

Noriyuki Shikata, a Kan spokesman, said the government understands the nuclear crisis has become "an issue of global attention."

Traces of radioactive iodine have been detected in China's Heilongjiang province, the U.S. state of Massachusetts and as far away as Sweden, authorities there announced over the weekend. None of those readings have been strong enough to harm public health -- and the United States, Hong Kong and Russia have put restrictions on imports of food products from some regions of Japan.

CNN's Whitney Hurst in Tokyo and Matt Smith in Atlanta contributed to this report

@highlight

NEW: Seismic researcher says owner did not consider threat 2 years ago

@highlight

Kyodo poll finds government gets poor marks for handling the nuclear crisis

@highlight

Greenpeace warns of high radiation levels outside the evacuation zone