(CNN) -- He has been called "a great seducer" -- a politician whose relationships with women have landed him in trouble.

He's also known for his brilliant grasp of global economics and European politics.

But for Dominique Gaston Andre Strauss-Kahn -- head of the powerful International Monetary Fund and, until this weekend, presumptive front-runner for the presidency of France -- the most relevant issue today may be whether he can stay out of prison.

Strauss-Kahn, 62, is charged with chasing a hotel employee down the hall of his posh New York hotel suite on Saturday and sexually assaulting her.

Read the criminal complaint (contains graphic language) (pdf)

Police allege he attacked the 32-year-old woman at Manhattan's Sofitel Hotel. Later in the day, authorities pulled him from his first-class seat on a Paris-bound flight minutes before its scheduled departure.

Now, instead of preparing to lead France's Socialist Party against Nicolas Sarkozy next year, he is preparing to defend himself against charges of attempted rape, unlawful imprisonment, forcible touching, and sexual abuse.

The arrest of Strauss-Kahn triggered intense political chatter across the Atlantic. In France, it delivered what the Paris newspaper Le Figaro called a "thunderclap" to the presidential race. And some at the headquarters of Strauss-Kahn's Socialist party were in tears Monday after the news.

Arrest rocks French presidential race

The incident has also disrupted the rhythm of the IMF, which assists countries suffering economic difficulties by providing loans. Founded after World War II, the IMF is composed of 187 countries.

Politically, "it's over. He's done," said Simon Serfaty, a senior European analyst at the Center for Strategic and International Studies, a Washington think tank.

Strauss-Kahn "cannot recover," Serfaty told CNN.

It is, by any standard, a stunning fall for the man many presumed would be the next occupant of the Elysee Palace. It's also a cautionary tale for those who might forget how quickly sexual allegations can bring down even the most influential leaders.

Long before he ended up on the front pages of the tabloids, Strauss-Kahn was well-known to followers of global financial news.

The University of Paris-educated economist has headed the IMF for the duration of the current global financial crisis. In doing so, he has played a lead role in bailing out the economies of Greece and Ireland, as well as propping up Europe's currency, the euro.

"He was a strong and effective leader," said Tsung-Mei Cheng, a health policy research analyst at the Woodrow Wilson School at Princeton University. "He made the IMF not only effective, but credible."

Strauss-Kahn has been a force in French politics for a quarter century, first winning election to that country's National Assembly -- the lower house of parliament -- in 1986. He was President Francois Mitterrand's trade minister from 1991 to 1993, and went on to serve as finance minister in the late 1990s.

During that period, Paris joined the euro and ditched the franc.

Strauss-Kahn lost a fight with Segolene Royal for the Socialist Party's presidential nomination in 2006. One year later, he was named managing director of the IMF.

Married to his third wife and father of four children, he has also taught economics at Stanford University in California and at the prestigious Institut d'Etudes Politiques de Paris, known as Sciences Po.

"He is a very serious political figure as well as a senior economic and financial figure," noted Heather Conley, director of the Center for Strategic and International Studies' Europe program.

He "understands what needs to be done in terms of economics and what can be done in terms of politics," Serfaty said.

A dominant figure in the French left, Strauss-Kahn gained a reputation over the years as someone who enjoys a lavish lifestyle.

It was well-known that he is "not alien or indifferent to money," Serfaty said. He has "been interested in his earnings."

In 1999, after an allegation of unethical financial doings involving his consulting business, Strauss-Kahn resigned his ministerial post. He was acquitted of the charges.

As head of the IMF, Strauss-Kahn pulled in an annual tax-free salary of more than $420,000, according to a 2007 statement from the organization. He also received more than $75,000 for "a scale of living appropriate" to his position.

To the extent that there was a perceived conflict between his socialist political ideals and wealthy lifestyle, it wasn't an issue for most French voters, Serfaty asserted.

It is Strauss-Kahn's sexual reputation that is more relevant today.

Long before he found himself in legal trouble in the United States, there was "no question" that he "had a marked interest in the other sex," Serfaty said.

Strauss-Kahn's history of misconduct charges

Political analysts routinely note that allegations of infidelity are generally much less likely to derail a political career in France than in America. There is simply a "different cultural context in France" to most sexual issues, Conley noted.

Strauss-Kahn became embroiled in sexual controversy soon after joining the IMF. He acknowledged reports that he'd had an improper physical relationship with a female employee. The relationship was consensual, an independent inquiry found.

The IMF's executive board concluded in October 2008 that "there was no harassment, favoritism or any other abuse of authority by the managing director."

Nevertheless, the board found "that the incident was regrettable and reflected a serious error of judgment," the IMF said in a written statement.

Strauss-Kahn issued a statement after the investigation, noting that he had "apologized for it to the (board of directors), to the staff of the IMF and to my family," as well as to the employee.

Strauss-Kahn's departure from the IMF would not leave a huge void, said Reginald Dale, a senior fellow in the Europe Program at the Center for Strategic and Intelligence Services, a Washington-based think thank. "If you fire the manager of a sports team, it still goes on playing while waiting for a new manager," he said. "Strauss-Kahn is not indispensable at the IMF."

Dale said Strauss-Kahn liked to be known by his initials -- as DSK. "Ever since JFK, which is the airport, ironically, at which he was arrested, French politicians and even intellectuals have loved to try to establish themselves with a three-initial moniker because it has that sort of ring of prestige." He cited the philosopher Bernard-Henri Levy, or BHL, as an example.

What is surprising to many observers is the new assertion that Strauss-Kahn -- a man with no criminal record -- physically forced himself on a woman.

"Like all Frenchmen, I was stupefied," said Michel Taubmann, who has written a biography of Strauss-Khan. "I was incredulous."

Taubmann, who recounted Strauss-Khan's amorous adventures in his book, described the economist as "a French lover ... a great seducer."

But the man he studied "could not be a rapist," Taubmann said.

"Imagine that that man, who is an extremely intelligent man, who is a great economist, who is a very nice man in his personal comportment, who is a father of a family, who is a grandfather," Taubmann told CNN.

"I can't believe that he could be sexually aggressive against a young woman as he is accused of doing in New York."

Yet, other charges against Strauss-Kahn are now surfacing in the wake of his arrest.

Anne Mansouret, a Socialist member of the French parliament, said Monday that Strauss-Kahn attacked her daughter in 2002.

French politician: Strauss-Kahn attacked my daughter

Mansouret said she cautioned her daughter, Tristane Banon, not to file a police report at the time, saying it might adversely impact her career. At the time, Banon was an aspiring journalist.

CNN does not typically name assault victims, but Mansouret said her daughter gave permission for her name to be disclosed.

Strauss-Kahn was never charged. However, in light of the charges filed against Strauss-Kahn in the wake of the alleged incident in New York, Banon's attorney in France, David Koubbi, has said he and the young woman are considering whether to file a complaint.

Regardless, Strauss-Kahn has a number of defenders. Some supporters are grumbling about the incident in New York allegedly being a political "set-up."

Strauss-Kahn's attorney, Benjamin Brafman, insists his client will "quite likely" be exonerated.

While most Americans likely hadn't heard of Strauss-Kahn before this past weekend, his fall may prove to be of interest for reasons beyond the obvious.

At the time of Strauss-Kahn's arrest, the IMF was preparing for a critical meeting relating to a bailout for Portugal, an extension of the Greek bailout, and the selection of a new European Central Bank head, Conley noted.

Europe, a huge U.S. export market, currently holds nearly $3 trillion worth of U.S. Treasury bonds, Conley said. American banks hold $1.4 trillion in European debt.

The "worst-case scenario" is that Strauss-Kahn's removal as IMF head would lead to a "shock that sets the global economy back," she said. "We need to care about this issue."

CNN's Richard Allen Greene and Tom Watkins contributed to this report

@highlight

Dominique Strauss-Kahn is known as a brilliant economist and tough politician

@highlight

He was seen as the likely Socialist opponent to Sarkozy next year

@highlight

Strauss-Kahn has a reputation as a womanizer

@highlight

The new accusations could have consequences for the IMF and the world economy