WASHINGTON (CNN) -- An extensive federal report released Monday concludes that roughly one in four of the 697,000 U.S. veterans of the 1990-91 Gulf War suffer from Gulf War illness.

A U.S. soldier wears protection against chemical weapons during the Gulf War in a February 1991 photo.

That illness is a condition now identified as the likely consequence of exposure to toxic chemicals, including pesticides and a drug administered to protect troops against nerve gas.

The 452-page report states that "scientific evidence leaves no question that Gulf War illness is a real condition with real causes and serious consequences for affected veterans."

The report, compiled by a panel of scientific experts and veterans serving on the congressionally mandated Research Advisory Committee on Gulf War Veterans' Illnesses, fails to identify any cure for the malady.

It also notes that few veterans afflicted with Gulf War illness have recovered over time.

"Today's report brings to a close one of the darkest chapters in the legacy of the 1991 Gulf War," said Anthony Hardie, a member of the committee and a member of the advocacy group Veterans of Modern Warfare.

"This is a bittersweet victory, [because] this is what Gulf War veterans have been saying all along," Hardie said at a news conference in Washington. "Years were squandered by the federal government ... trying to disprove that anything could be wrong with Gulf War veterans."

The committee's report, titled "Gulf War Illness and the Health of Gulf War Veterans," was officially presented Monday to Secretary of Veterans Affairs James Peake.

Noting that overall funding for research into Gulf War illness has declined dramatically since 2001, it calls for a "renewed federal research commitment" to "identify effective treatments for Gulf War illness and address other priority Gulf War health issues."  Watch CNN's Elizabeth Cohen report more on Gulf War illness »

According to the report, Gulf War illness is a "complex of multiple concurrent symptoms" that "typically includes persistent memory and concentration problems, chronic headaches, widespread pain, gastrointestinal problems, and other chronic abnormalities."

The illness may also be potentially tied to higher rates of amyotrophic lateral sclerosis (ALS) -- more commonly known as Lou Gehrig's Disease -- among Gulf War veterans than veterans of other conflicts.

The illness is identified as the consequence of multiple "biological alterations" affecting the brain and nervous system. iReport.com: Do you know someone affected by Gulf War illness?

While it is sometimes difficult to issue a specific diagnosis of the disease, it is, according to the report, no longer difficult to identify a cause.

The report identifies two Gulf War "neurotoxic" exposures that "are causally associated with Gulf War illness." The first is the ingestion of pyridostigmine bromide (PB) pills, given to protect troops from effects of nerve agents. The second is exposure to dangerous pesticides used during the conflict.

The report does not rule out other possible contributors to Gulf War illness -- including low-level exposure to nerve agents and close proximity to oil well fires -- though it fails to establish any clear link.

The report concludes there is no clear link between the illness and a veteran's exposure to factors such as depleted uranium or an anthrax vaccine administered at the time.

"Gulf War illness isn't some imaginary syndrome," said Ken Robinson, the senior intelligence officer for the initial Department of Defense investigation into Gulf War illness in 1996-97.

"This is real, and it has devastated families. Now is the time to restore the funding cuts that have been made in the Veterans Administration. Our mission has to be to ensure that these veterans get help and become whole again."

Robinson noted that soldiers in the field today are not at risk for Gulf War illness, because the military is no longer using the PB pills or pesticides that led to the illness in 1990 and 1991.

The report backs Robinson's conclusion, noting that no problem similar to Gulf War illness has been discovered among veterans from the conflict in Bosnia in the 1990s or in the current engagements in Afghanistan and Iraq.

The committee report also backs Robinson's call for more effective treatments among veterans suffering from Gulf War illness.

Noting that overall funding for research into Gulf War illness has declined dramatically since 2001, it calls for a "renewed federal research commitment" to "identify effective treatments for Gulf War illness and address other priority Gulf War health issues."

Specifically, the report calls for at least $60 million in new annual federal funding on research committed to improving the health of Gulf War veterans.

@highlight

NEW: Officer who investigated illness: "This is real, and it has devastated families"

@highlight

One in four Gulf War veterans suffer from Gulf War illness, report says

@highlight

Pesticides, drug used to thwart effects of nerve gas called most likely to blame

@highlight

Illness termed "a real condition with real causes and serious consequences"