Tripoli, Libya (CNN) -- Embattled Libyan leader Moammar Gadhafi seemed increasingly cornered Sunday as security forces defected to the opposition in a town near the capital and the United Nations Security Council voted for tough restrictions on and possible war crimes charges against the Libyan regime.

Former security forces said they had switched sides and joined the opposition in Zawiya, a town about 55 kilometers (35 miles) from the capital, Tripoli. Some buildings in Zawiya showed signs of damage, including a freshly burned-out police station.

CNN's Nic Robertson, on a government-organized trip to Zawiya, saw armed civilians taking defensive positions on rooftops to prepare for a possible effort by Gadhafi loyalists to retake the town.

About 2,000 people took part in an anti-government protest there, some standing atop tanks or holding anti-aircraft guns. They said they wanted the government overthrown, calling Gadhafi a "bloodsucker."

Later in the day, CNN witnessed two smaller pro-government rallies that had apparently been organized by government officials for international journalists to see, Robertson reported.

The opposition now controls several Libyan cities after weeks of protests inspired by demonstrations that toppled longtime leaders in neighboring Tunisia and Egypt.

Gadhafi criticized the U.N. Security Council resolution Sunday, telling private Serbian station Pink TV by phone that council members "took a decision based on media reports that are based abroad."

He added, "If the Security Council wants to know about something, they should have sent a fact-finding committee."

U.S. Secretary of State Hillary Clinton said the Security Council measures -- which include an arms embargo, asset freeze, and travel bans for Gadhafi and members of his family and associates -- form "one of the speediest international responses to a government targeting its own people."

"We recognize the killings are ongoing," Clinton told reporters en route to a meeting of the U.N. Human Rights Council in Switzerland. "We recognize we need to advance the humanitarian, the military, judicial, and even forensic planning already under way."

British Prime Minister David Cameron and British Foreign Secretary William Hague both called on Gadhafi on Sunday to go.

"Libya's future has no future with him at the helm," Cameron said. "Absolutely none."

Britain also announced it was freezing the assets of Gadhafi, five of his children, and those acting on their behalf.

Gadhafi's son, Saif, denied the government used force on its own people. In an interview that ran Sunday with Christiane Amanpour for ABC's "This Week," he was asked about numerous reports of attacks by government forces on civilians.

"Show me a single attack," he said. "Show me a single bomb. Show me a single casualty. The Libyan air force destroyed just the ammunition sites."

The younger Gadhafi -- who is a prominent member of the government -- also played down anti-government protests. Just because "10,000 or 5,000 people" demonstrate against his father, he said, doesn't mean the entire population is against him.

He had harsh words, however, for the Libyan diplomats who have turned their backs on his father, calling them "hypocrites."

"If you are strong, they love you. If not, they say goodbye. That is good. We get rid of them," he told Amanpour.

Meanwhile, Gadhafi's nurse went home to Ukraine. Galyna Kolotnytska gained notoriety in November after WikiLeaks released a cable from the U.S. Embassy in Tripoli describing Gadhafi's almost obsessive reliance on the woman, described as a "voluptuous blonde." Kolotnytska's daughter told CNN on Sunday her mother had returned but was not commenting.

Tunisians on the border with Libya waved pre-Gadhafi-era Libyan flags in support of the opposition as tens of thousands surged towards the country that triggered the series of Arab world revolts.

About 100,000 people have fled violence in Libya in the past week, the U.N. High Commissioner for Refugees said.

CNN witnessed the Tunisian army, charities and ordinary Tunisians trying to help Libyans on the border. Refugees said Tunisians were offering them food, water, and even the use of phones.

The Tunisian government reported Saturday that 40,000 people had crossed its borders since February 20, while Egypt reported 55,000 had crossed over since February 19, the U.N. High Commissioner for Refugees said Sunday. The evacuees include Tunisians, Egyptians, Libyans, and many from Asian countries.

About 10,000 fled from Libya to Tunisia on Saturday, the Red Crescent said.

"Very large numbers of people amassed in the no man's land between Libya and Tunisia in extremely cold conditions," Red Crescent spokesman Joe Lowry told CNN on Sunday. "People stood in the queue for six hours with no food, water, or access to sanitation."

The Red Crescent is affiliated with the International Federation of Red Cross and Red Crescent Societies.

At least four people were carried away in stretchers because of crush injuries and several lost consciousness as a result of the chaos.

"It was very worrying to see women passing their babies in cots over the crowd to keep them from harm," Lowry said.

There were also chaotic scenes in Tripoli as people rushed to banks to claim a government handout of 500 dinars (just over $400) per family. There were also long lines in Zawiya.

Pharmacies in Tripoli were running out of blood pressure and diabetes medicines, a source in the capital told CNN.

Gadhafi has showed no sign of relinquishing power. Sunday, the world waited to see whether the threat of sanctions will have any effect on a country where the death toll from the recent unrest has topped 1,000, according to an estimate from U.N. Secretary-General Ban Ki-moon.

Saturday night, the United Nations Security Council voted 15-0 on the draft resolution, which also refers the situation unfolding in Libya to the International Criminal Court. Gadhafi and others could face an investigation for potential war crimes.

"This resolution will be a signal (to) put an end to the fascist regime that is still in existence," said Abdurrahman Mohamed Shalgham, Libyan ambassador to the United Nations. Earlier Saturday, he renounced support for Gadhafi, calling him "a leader who loves nobody but himself."

Hours before the Security Council's vote Saturday, Libya's budding opposition picked a former top official as its interim leader.

Libya's deputy ambassador to the world body, Ibrahim Dabbashi, indicated that he and fellow diplomats support "in principle" a caretaker administration under the direction of former Justice Minister Mustafa Abdul Jalil.

City councils in areas no longer loyal to Gadhafi chose Jalil to head an interim government that would represent all of Libya and ultimately be based in Tripoli, according to Amal Bogagies, a member of the coalition of the February 17 Uprising, and a separate Libyan opposition source. Both are based in Benghazi, the eastern city that is under the control of the opposition.

Jalil was in Gadhafi's government until Monday, when he quit to protest the "bloody situation" and "use of excessive force" against unarmed protesters, according to Libyan newspaper Quryna.

Protests began February 15 in Benghazi, Libya's second largest city. At least several other cities are now thought to be under opposition control, according to eyewitnesses.  There have been numerous reports of widespread violence -- some of it perpetrated by foreign mercenaries and security forces loyal to Gadhafi, and some by protesters.

While CNN has staff in some cities, the network could not independently confirm reports for many areas in Libya. CNN has also compiled information through telephone interviews with witnesses.

CNN's Ivan Watson, Eve Bower, Ben Wedeman, Salma Abdelaziz, Talia Kayali, Richard Roth, Jack Maddox and Whitney Hurst contributed to this report.

@highlight

NEW: Gadhafi's son: Libyan diplomats who turn their backs on Gadhafi are "hypocrites"

@highlight

Armed civilians take defensive positions in a town they control near Tripoli

@highlight

Gadhafi's nurse goes home to Ukraine

@highlight

People race to banks to claim a $400 government handout