In the big scheme of consumer electronics, smartwatches can't match smartphones, tablets, or even ultrabooks in piquing public curiosity.

And glancing at a photo of the Pebble smartwatch, you wouldn't notice anything too different or special about it -- it looks like an understated digital watch.

But this particular smartwatch has captured the public's attention to the tune of $10 million in Kickstarter funding, making it the most-financed project in Kickstarter history.

Pebble, a smartwatch that wirelessly connects with your smartphone to alert you of incoming calls and messages, blew past the previous Kickstarter record of $3.3 million only five days after launching its crowdsourced funding effort. It's an amazing feat when you consider just how many big-name smartphone and tablet brands are fighting for the same attention.

Time: Pebble Smartwatch pre-orders are sold out, $10 million pledged

What is it about the Pebble that made it such a breakout success? How is the small Pebble team going to put more than $10 million to use? And what, exactly, hides inside this insanely popular piece of hardware? We took a trip to Pebble's Palo Alto office to find out.

Inside Pebble R&D

Pebble's headquarters follows the grand tradition of small, Silicon Valley startups. Whereas Apple started its business in Steve Jobs' garage, Pebble is located on the ground floor of Pebble founder Eric Migicovsky's apartment. Granted, it's a nice amount of space. There's plenty of room for several desks, computers, a soldering station, and even a telepresence robot and remote-controlled helicopters. But for a $10 million operation, it's still humble.

Of course, the Pebble team hasn't gotten its hands on the money yet. The Kickstarter campaign officially ends on May 18, at which point all backers' credit cards will be charged, and funding will be transferred to Pebble. (Kickstarter takes a 5 percent cut of the total raised money.)

But even without cash in hand, Migicovsky and team are moving forward with aggressive product development, a move they can make in confidence now that significant public support is in the bag. They're adding new features — water resistance and Bluetooth 4.0 -- and forging new app partnerships to extend the watch's platform.

We had an hour of hands-on time with a Pebble prototype, and found that one of the most impressive features is the watch's unique display. It looks brilliant in direct sunlight and reads like an e-paper display, but refreshes much faster.

"I love it so much. The display is so cool, it's just this pure black display," Migicovsky said. "As soon as I saw it, I knew we had a product."

The Pebble team calls its watch's display an e-paper display, in order to highlight its readability in direct sunlight. The specific component Pebble uses, however, is Sharp's 1.26-inch Memory LCD. This screen doesn't use the anti-reflective e-ink that's so familiar in Kindle and Nook e-readers. Rather, it's a reflective display that uses a PNLC (Polymer Networked Liquid Crystal) module for improved brightness, and HR-TFT (high-reflective thin film transistor) technology to add contrast.

One bit of memory is also embedded into every pixel. This makes it possible for each pixel to hold its state without much battery power. And with 144×168 pixels in such a tiny screen, the result is a sharp, paper-like reading experience with dramatic black levels. Thanks to the screen's lower power consumption, the watch's lithium ion polymer battery can keep going for seven days, Migicovsky says.

But it's not only the display that makes the Pebble special. The smart, sophisticated design of the watch itself has also inspired public interest. It's not a large, hulking piece of hardware. The watch looked a little big on my small wrist, but was significantly less bulky than the inPulse, a previous smartwatch effort by Migicovsky's team.

Before deciding on the Pebble's final design, the team sketched out a number of other possibilities.

"You do 10 designs or 20 designs, then you choose three, and then you design 10 more designs around each of those three, and then you choose a path. We did that for Pebble," Migicovsky said.

Now that Pebble has officially sold out on Kickstarter -- for a grand total of 85,000 watch orders -- the team still has a lot of work ahead. In its current state, the Pebble prototype is powered by a circuit board that's much larger than the watch itself. The PCB is attached to the watch with a maze of wires, and allows the team to prototype new software and debug the system before commissioning the final miniature board that will go inside the shipping product.

"It's much easier to make a board like this -- it took only two weeks -- whereas if we want to make a miniature board it would take a lot longer and cost a lot more," Migicovsky said. "If we made a mistake, we'd have to remake all of them again."

The "Big Board" as Migicovsky calls it, executes all the features that you'll see in the final Pebble. There are four buttons, a 3-axis accelerometer, a vibrating motor, Bluetooth 2.1+ EDR and 4.0, a microcontroller, and 4MB of memory.

Migicovsky says the team will design a final, miniature board within the next couple of weeks. Pebble has already ordered more than $1 million worth of components for the watch and will be taking a trip to China soon to visit manufacturers there. (Yes, your Pebble will be made in China.)

This is the part of Pebble production where Migicovsky sees potential problems.

"The hard part will be the manufacturing process. There will be things that will come up, and we'll have to solve them," Migicovsky said. "It could be anything. This is our first large-scale manufacturing. There will be some problems, guaranteed."

While the hardware is impressive, where Pebble truly shines is in its software. Pebble will be the first smartwatch capable of connecting with Apple's iPhone, a feature that's helped it reach a mainstream market. Users will be able to customize their watchfaces to their own personal style, and access a number of built-in notification features for calls, text messages, tweets, e-mails, and weather.

What's more, Pebble is partnering with third-party app developers to create compatible apps. The company already announced RunKeeper, the popular running and fitness app, as its first official partner. You'll be able to use Pebble to control the RunKeeper app on your iPhone or Android smartphone.

Quick Alert for bumps in the night

Pebble has also built a partnership with another Kickstarter success, Twine. Twine, made by Supermechanical, is a small box-like device that has built-in Wi-Fi connectivity, an accelerometer, temperature sensors, and an optional moisture sensor and magnetic switch. Through a simple web interface, you can configure Twine alerts for real-world events. And soon Twine will connect with Pebble too.

For example, you could put Twine in your basement during the rainy season and set it to alert your Pebble if the basement starts flooding. The two companies also released a video showing another use case: Attach Twine to a door, and when someone knocks — tripping Twine's accelerometer — you receive an alert on your Pebble that someone's at the door.

"We believe in connecting many simple objects to do powerful things, and when a common backer of Eric's and ours suggested that Twine and Pebble together would be like peanut butter and chocolate, we loved the idea." John Kestner, Supermechanical co-founder, told Wired in an e-mail. "[Pebble] is tinkerer-friendly and a kindred post-PC spirit (it even uses the same low-power ARM processor [as Twine]) and by giving users the ability to incorporate Pebble into Twine rules, the possible applications grow exponentially."

The Twine partnership only hints at the many ways a Pebble smartwatch might be useful in people's day-to-day lives. The Pebble team will make an open software development kit available in August, allowing developers to create more applications for the Pebble platform.

Pebble has already made Kickstarter history, but it will be even more exciting to see what becomes of the watch once it begins shipping this September. Will it be everything that the 67,000-plus Kickstarter backers are expecting? We won't know until we get our hands on one. It's clear, at least, that the Pebble team is already working hard to make the best possible device for its initial supporters.

If you slacked off and didn't get around to pre-ordering a Pebble watch on Kickstarter, don't worry — you'll eventually be able to order a Pebble from the company website.

@highlight

Pebble, a smartwatch, blew past the previous Kickstarter record of $3.3 million

@highlight

It has captured the public's attention to the tune of $10 million in Kickstarter funding

@highlight

The Kickstarter campaign officially ends on May 18