(CNN) -- When Congress passed the last truly major immigration reform, the 1965 Immigration Act that opened the door to the modern era of mass immigration to the United States, it was supported by three-quarters of Democratic lawmakers and 85% of Republicans. That's the right way to pass big laws that can have transformative effects on a society.

With the House of Representatives now tangling over immigration reform following passage of a comprehensive Senate bill last month, there seems little prospect for anything approaching that level of comity. Indeed, as Congress heads to its August break, many have declared the Senate immigration reform bill dead on arrival.

But the road ahead may not be as impassable as it seems. A new poll from a pro-immigration Republican group shows that nearly three-quarters of Republican voters would support a path to citizenship for undocumented immigrants if coupled with tougher border security. There is surprising bipartisan agreement on most of the Senate bill's provisions and plausible paths on the very tough issues that still divide the two parties. Here's a way to get across the finish line:

• Emphasize agreement. Expanding high-skilled immigration, luring immigrant entrepreneurs, requiring employers to verify the legal status of new hires and admitting more farmworkers all enjoy overwhelming bipartisan backing. The Democrats have also agreed to eliminate the diversity visa lottery and end family visas for brothers and sisters of new U.S. citizens, responding to longstanding GOP concerns that the current system is too generous to those with weak ties to the United States.

As they meet with their constituents in August, lawmakers should emphasize that these measures would be a shot in the arm for the still anemic U.S. economy and would go a long way to discouraging future illegal immigration.

• Cut losses. There are, to be sure, many members of the House who will not vote for any sort of comprehensive immigration legislation, and there's no point in supporters of reform wasting their time to try to win them over. Democrats have put together a list of more than 100 House Republicans who might be persuaded to support broader immigration reform.

• Don't trust. Even potential Republican supporters do not trust the Obama administration on enforcement, particularly on securing the Mexican border, and there is little reason to think this view will change. Fortunately, these lawmakers don't need to. This bill will set immigration rules for a generation; President Barack Obama will be gone in a few years.

What is needed is a closer, ongoing relationship between Congress and the professionals responsible for border security -- the Border Patrol and Customs and Border Protection agents. The House Homeland Security Committee already passed a bill in May -- unanimously -- that would be an important start, because it requires those agencies to develop, present to Congress and carry out a clear strategy for further securing the border.

For the GOP to reject the new border enforcement resources that will come with an immigration bill because they don't trust Obama is like refusing to pay for new Pentagon weapons programs as long as Democrats are in charge. Border security must be an ongoing mission of national importance that, like national defense, requires a close working relationship between the professionals in uniform and the politicians--one that transcends the party in power.

• And verify. Verification is particularly difficult because the administration has not provided Congress with any good measures for success on immigration enforcement at all. The Senate bill instead just spends more -- doubling yet again the number of agents and building more fencing. But as we've learned from the public schools, more money does not always equal better results.

Instead, Congress should demand performance and accountability on such key measures as the apprehension rate of illegal border crossers and the number of those who overstay visas. Fortunately, these provisions are already in the House Homeland Security Committee bill. Emphasizing this fact would meet a key demand of many wavering GOP members -- to demonstrate genuine results on border security rather than just throwing more money at the problem.

• Many paths to citizenship, or not.  All but the staunchest opponents of immigration reform accept that most of the 11 million unauthorized immigrants here today cannot simply be deported. But the Democrats' insistence on a certain, if lengthy, path to citizenship for all is misplaced. The fact is that many of the unauthorized will never seek citizenship; of the 2.7 million who were legalized by the 1986 Immigration Reform and Control Act, a little more than 1 million later became citizens, fewer than four out of 10.

This low number is not an argument for denying citizenship; a great strength of the United States has been to integrate immigrants as full members of society, and the bill needs to hold open that possibility. But the first priority for both parties should be to free those 11 million from the daily threat of being fired, arrested and deported.

Instead of a special path to citizenship, there could be many paths -- quicker for young people,for example, but through normal work and family channels for others. As with immigrants who try to enter through legal channels, some may never qualify for citizenship. While this will be the toughest issue to resolve, leaders in both parties should be able to find a sensible compromise. Already there is significant movement; House Republicans are working on a version of the DREAM Act to allow the children of unauthorized immigrants to become citizens, a policy they had long rejected.

Sen. Lindsey Graham, R-South Carolina, who championed immigration reform despite strong criticism in his home state, has said that if Congress fails this time, it will be a generation before it dares to take up the issue again. There is no need to wait that long; the pieces for an ambitious and broadly supported bill are all in place.

The opinions expressed in this commentary are solely those of Edward Alden.

@highlight

Edward Alden says immigration reform can be passed with bipartisan support

@highlight

Alden: Parties must stress areas of agreement; advocates should give up wooing "no" voters

@highlight

Border security bill mandates enforcement accountability and should placate GOP, he says

@highlight

Alden: Priority of parties should be to remove constant threat of arrest, deportation