(TIME.com) -- On the first day back to school after 20 first-graders and six adults died at a Connecticut elementary school, students at a Utah middle school gathered to discuss the massacre.

A boy raised his hand. "The reason why this man shot little kids is because he has autism," he said.

Tricia Nelson's seventh-grade son was at the assembly. He's shy, not the kind of child apt to speak in public, but his hand darted up in response. "Autism doesn't make people shoot other people," he said.

At 12, Nelson's son is somewhat of an expert on autism. His younger brother, who is 10, has a severe form of the neurodevelopmental disorder. He doesn't speak and he attends a school for special needs. But he is not violent, said his older brother; he would not kill anyone.

Amid unconfirmed media reports that alleged gunman Adam Lanza, 20, had Asperger's, a high-functioning form of autism marked by social awkwardness, autism experts are mobilizing to combat misconceptions about the condition.

Parents are reaching out to school principals to ensure that students with autism aren't being taunted. Advocates have issued statements disavowing any link between autism and premeditated aggression. And children -- more often than not the siblings of kids who have autism -- are standing up for others.

TIME.com: Behavior therapy normalizes brains of autistic children

"He was in tears when he was telling me what happened," says Nelson of her older son. She is an events organizer for Autism Speaks, the world's largest autism research and advocacy group. "He said, 'This boy is going to spread rumors.'"

After Nelson's son spoke up, a teacher seconded his comments. She urged the students not to make assumptions. Yet as the country struggles to come to grips with the loss of life at Sandy Hook Elementary School in Newtown, Connecticut, people with autism are finding themselves the focus of misunderstanding and more than a little scrutiny.

Calls and emails to Autism Speaks' hotline are up 130% since Friday's shooting as worried parents wonder how to channel their concern. In an effort to address possible backlash against people who have autism, this week Autism Speaks plans to release formal suggestions for how to educate school leaders, teachers and friends about the characteristics of children with the condition.

"We've had a number of families say their children's classmates have said, 'I hear the shooter has autism, and doesn't your brother or sister have autism?'" says Peter Bell, Autism Speaks' executive vice president for programs and services. "It seems like they're wanting to put the blame squarely on the fact that the shooter may have had autism. This rush to put a label on the situation has caused significant harm already."

TIME.com: Using brain activity patterns to identify autism in kids as young as 2

To dispel misunderstandings, developmental experts are trying to share accurate information about autism spectrum disorders. Poor social skills, trouble communicating and repetitive behaviors are all hallmarks of autism, but there's no correlation with violence, says pediatric neuropsychologist Michelle Dunn, director of Montefiore Medical Center's Neurology and Autism Center in the Bronx.

"Even if (Lanza) had Asperger's, it wouldn't explain his behavior," says Dunn. "In terms of premeditation and how horrific this act was, there is absolutely no association."

People with autism can get easily frustrated, especially when their routines are disrupted. They may yell and scream, throw themselves on the floor or punch something. But it's important to publicly reject any connection with planned violence, says Dunn.

But a widely circulated essay, "I Am Adam Lanza's Mother," by Liza Long, is making that message harder to convey. In the post, Long shared her complex relationship with her 13-year-old mentally ill son, who loves Harry Potter and stuffed animals but has also threatened her with a knife on countless occasions. As her story made the Internet rounds, autism advocates rushed to point out that autism is a brain-related developmental problem and not a mental illness.

TIME.com: The backlash against 'I am Adam Lanza's Mother'

The former chairwoman of the Newtown school board has also expressed dismay, noting that some of the murdered teachers had worked with kids with special needs, including children with autism who attend Sandy Hook.

In a survey sent Monday to 31,000 parents who are members of MyAutismTeam, a social network that serves as a Facebook for parents who have children with the condition, 30% indicated that they're worried their children will be treated differently by teachers and other students in the aftermath of Sandy Hook.

They're also nervous that bullying -- kids with autism are already disproportionately targeted -- will increase. "To have this association to mass murder pinned to them is like putting another target on their heads," says Christine Pasour, the mother of an 11-year-old son with Asperger's.

High-functioning teens with autism are also perplexed. On Monday, Dunn got a call from a mother who wanted to make an appointment for her 17-year-old son, who has been getting questioned by classmates. "Some of these kids who know their diagnosis are asking the question, 'Could I turn out to be violent too?'" says Dunn. "He is very worried about himself."

On message boards and social networks, parents are offering strategies for confronting the uncertainty. Discussing autistic kids' quirky or unusual behavior candidly with school leaders and classmates can help, they suggest.

Pasour posted on MyAutismTeam that she'd read "some horrible, horrible" comments on various news sites about Lanza's reported Asperger's diagnosis. "Keep in mind that this may be the first time many Americans will even hear about Asperger's ... This has the potential of creating horrible bullying situations for our kids."

Her son has been home sick with the flu, but when he returns to school Wednesday, Pasour, from Dallas, North Carolina, plans to ask his principal and teachers to "keep their ear to the ground" to make sure no one is saying anything inappropriate.

It comes down to education, says Pasour. "Children have an amazing ability to grow and to learn and to be empathetic," she says. "Either they learn ignorance and hate or they learn love and compassion."

TIME.com: Can a baby's cry be a clue to autism?

This story was originally published on TIME.com.

Guilt by association: Troubling legacy of Sandy Hook may be backlash against children with autism

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

There are reports alleged Connecticut gunman Adam Lanza had a form of autism

@highlight

Parents are reaching out to principals to make sure kids with autism aren't being targeted

@highlight

People with autism are battling misunderstanding and feeling scrutinized