(CNN) -- After age 60, we are all likely passengers on the Alzheimer's Express. These days it's overcrowded with baby boomers and is predicted by 2050 to claim 115 million victims worldwide, including 13.5 million Americans (up from 5.1 million today), bankrupting our health care system.

That will happen, says a recent Alzheimer's Association report, unless we slow down this terrible disease.

The good news is: Most of us can. It's true that pharmaceutical drugs have failed miserably to stop or reverse the disease. A cure is not on the immediate horizon. "Maybe not for 100 years, or ever," says Dr. Jack C. de la Torre, a prominent Alzheimer's researcher at the National Institutes of Health-funded Banner Sun Health Research Institute in Arizona.

"The answer," he says, as do thousands of other Alzheimer's researchers, "is prevention," the same strategy we use against other chronic diseases of aging, such as heart disease. The evidence that we can cut our risk of Alzheimer's is compelling and mounting constantly.

It is true that your vulnerability to Alzheimer's and other dementias is definitely influenced by your genes. Early onset Alzheimer's, before age 60, is caused by genetic mutations and is thus quite strongly inherited.

But in late-onset Alzheimer's, which appears after age 60 and accounts for 90 to 95 percent of all cases, genes are not destiny; they simply make us more susceptible. I have the major "susceptibility gene" known as ApoE4, that triples my risk of developing Alzheimer's in late life. Seventy-seven million other Americans (25 percent of the population) also carry it.

But Alzheimer's is more of a personal and public health choice than most people realize, as shown by thousands of scientific papers on the subject.

"A lot of Alzheimer's is about lifestyle -- what you do and even who you are, your personality," says prominent Alzheimer's researcher Robert Wilson at Chicago's Rush University Medical Center. Effective deterrents to Alzheimer's, according to Wilson: a higher education, staying mentally active, eating the right foods, exercising, muscle-building and being conscientious, easy-going and an extrovert.

Much research ties Alzheimer's to the same lifestyle factors that cause heart attacks and strokes: high cholesterol, blood pressure, high blood sugar, insulin resistance, diabetes, obesity and physical inactivity. "Taking care of your heart protects your brain," says De la Torre. He urges preventing Alzheimer's by screening for and treating cardiovascular disease in middle age, years before signs of memory loss and dementia appear.

Two other striking ways to ward off Alzheimer's: Stop smoking and avoid heavy drinking, especially binge drinking. Smoking doubles your risk of Alzheimer's, according to a recent University of California, San Francisco analysis. Excessive alcohol brings on Alzheimer's two to three years earlier, UCLA scientists found.

Bottom line: Most Alzheimer's, like heart disease and cancer, is a slowly developing chronic disease of aging that takes a decade or more to produce memory loss and dementia. Its progression is accelerated or slowed by diet, personality, lifestyle factors and other health conditions, such as treatable thyroid abnormalities and depression. Thus, we all have many years in which to stall this disease and perhaps outlive its devastating symptoms.

If we could delay the onset of Alzheimer's by only five years, 1.6 million Americans now expected to get Alzheimer's by 2015, and 6 million by 2050, would be spared, according to the Alzheimer's Association projections. Estimated Medicare savings would be $33 billion in 2020 and $283 billion by midcentury.

We can each help save ourselves by intervening as early as possible before the disease seizes our brain and memory loss is irreversible. The older we get, the greater our risk. About half of all people over age 85 have Alzheimer's.

Our best hope for defeating the looming global tragedy of Alzheimer's, due to the rapid growth of an aging population, is to keep millions of people from boarding the Alzheimer's Express in the first place, or at least to show them how to jump off before the final destination, which offers no hope of a round-trip ticket.

The opinions expressed in this commentary are solely those of Jean Carper.

@highlight

Jean Carper says by 2050 13.5 million in U.S. projected to have Alzheimer's

@highlight

She says research shows most Alzheimer's can be held off a few years with lifestyle choices

@highlight

Education, eating right, exercise, being conscientious and easy-going can help, she says

@highlight

Carper: Delaying Alzheimer's by 5 years would spare 6 million people by 2050