Hong Kong (CNN) -- If that corner office at a financial firm on New York's Wall Street or at London's Canary Wharf has been illusory, then a Victoria Harbor view from Hong Kong's skyscraper skyline may be the place to find yourself in a few years.

That's because the Asian city looks set to become the center of the Earth when it comes to jobs in the financial sector.

CEBR, the London-based economics consultancy, recently forecast Hong Kong will have more financial services jobs than New York or London by 2016, with some 262,000 positions. The Institute of Chartered Accountants in England and Wales (ICAEW) also gives its endorsement, saying Hong Kong will be the world's premier financial job center by 2017, with 275,000 positions.

Believable or bizarre?

"It's three years from now, but it's believable," says Brian Lim, director of Value Search Asia, a Hong Kong-based boutique headhunting firm focused on the banking and financial sectors. "Asian opportunities are going to be a lot more stable. (The employment market) has been slow because of the European and U.S. economic crises -- not because of major issues from our side."

Lim says he does expect continued job volatility on the so-called "sale side" of the financial industry, which includes investment banking, because of sensitivity to market gyrations. But he already sees more hiring on the less-market sensitive "buy side," which includes asset and wealth fund management.

But other search firms find recent job market forecasts far-fetched.

"I think it's bizarre," says Jonathon Hollands, Managing Director of Carraway Group, a financial and corporate headhunting firm headquartered in Hong Kong. As the global economy has slowed over the past few years "Hong Kong is shedding jobs."

This past September, HSBC finished its planned Hong Kong layoffs by eliminating 3,000 staff from its workforce in the city -- part of a global restructuring to cut an astounding 30,000 jobs around the world.

Earlier this month, Barclays announced it will cut up to 2,000 jobs with many of those losses coming out of Asia and Europe. Hollands expects even more job losses in Hong Kong are "still to come."

As proof, Hollands cites a steep drop-off in recruitment requests from global banks based in Hong Kong. He declines to name them but says they are easy to guess.

"The amount they spend on recruiters is 80-100% down. They haven't spent anything on headhunters in the past year."

Still, CEBR's Chief Executive Douglas McWilliams is preaching the message that Hong Kong will boast the most financial jobs by 2016. He says it is "inevitable as a result of the world's changing economic geography.

"And Hong Kong will be boosted by the internationalization of the renminbi (China's currency). But we have accelerated the (West-to-East job) shift through short-sighted overregulation, penal taxation and banker bashing."

Despite those reasons, financial executives from the West will not necessarily secure a new job in the East.

Three Ls

Language ability, links across Asia and localization are prime deciding factors for the success of a financial services job seeker.

"'How good is your Mandarin?' is one of the first questions you will be asked," says Carraway Group's Hollands. "Mainland China's market has been badly serviced by private banks" and opportunities exist if you can speak the language.

The second question will be about the strength of your regional relationships across Asia.

"People have to have relationships -- not just from doing well in the front office but to asset management and private wealth management in particular," says Hollands. "The longer one has lived in China, the better. The best is if you've grown up here."

"(Financial services firms) are getting people who understand the local markets," adds Lim of Value Search Asia. "They will hire a Korean to cover Korean markets, Chinese to cover the PRC. We do see a large inflow of European and U.S. bankers (seeking jobs), but (they are) finding it very difficult to get a job here because they don't understand the local markets. It's a safer bet to pick someone local."

A third question correlates with culture -- literally how far are you willing to go to give "face."

"I recently had a qualified candidate lose out," says Hollands. "He is a Korean national who had lived in Hong Kong but is currently based in Los Angeles. The guy who got the job is a local Hong Konger, and he's here. He had a face-to-face-interview. A phone call or a video call just isn't the same."

"Being here gets you 70% of the way."

Looking ahead two years, the decision to relocate from West to East hinges on whether you believe financial jobs will be easier to find in Hong Kong -- as opposed to London or New York -- and whether you believe you are that much better than the competition.

@highlight

Reports suggest Hong Kong could become the world's financial capital in terms of jobs

@highlight

Many jobs expected to be on "buy side" of industry, in asset and wealth fund management

@highlight

Analysts expect more job volatility on "sale side," which includes investment banking

@highlight

Local knowledge, language skills increasingly important in Asian market