(CNN) -- At over 1500 meters above sea level, the picturesque setting of Davos inspires those attending the World Economic Forum to take a step back and look at the big picture.

If there has been one common thread that has run through this Swiss Alpine village for the past decade and half, it has been the love affair the corporate world has had with fast-growing emerging markets. One would have been hard pressed to find a chief executive in the halls here who was not bullish on the developing world.

But Davos 2014 may bring an end to sweeping generalizations, as those here representing the Fortune 500 become more discerning in their hunt for growth.

Jeffrey Sachs, director of the Earth Institute at Columbia University sees it as the next phase of an economic evolution.

"Some of these emerging economies are well managed, others have some fairly miserable politics, some have good growth prospects, others fairly mediocre," Sachs said in interview with CNN. "So I think that it's good to scrutinize to get much more detail and fine grain in one's analysis."

As an institution, the World Economic Forum was quick to embrace the shift of growth to the East and the rise of India and China. In the early 1990s here in Davos, I bore witness to leaders of China being welcomed on stage signaling the start of economic reforms. Mikhail Gorbachev and Boris Yeltsin were here what as well after the Soviet Union broke apart.

Those major forces of globalization sparked a decade-long drive by chief executives to direct their investments to the developing world.

Nearly a quarter century later, today's emerging markets can be divided into the tortoises and hares. Large, populous countries such as China, Nigeria, and the Philippines shows signs of racing ahead. But those that have been slow to reform like Brazil, Russia and Turkey have lagged behind.

With growth that fell from recent highs, all three of the latter countries bore witness to intense protests with citizens disgruntled about decisions made at the top.

Sachs says this trend is not limited to the developing world, but it is more pronounced now with growth a third if not half of what it was just a few years ago.

"We see in just about every country throughout modern history that politics can interfere with the good economic policy and that's certainly happened in many of the major emerging economies," said Sachs.

2014 may turn out to be a tricky year to navigate with the U.S. Federal Reserve in the mix.

The World Bank estimates $64 billion was pulled out of emerging markets between June and August of last year due to anxieties over the tapering of government bond purchases by the U.S. central bank.

Alex Thursby, chief executive of the National Bank of Abu Dhabi, said even the fastest growing region, Asia, was hit by the trimming of financial support.

"Asia and other parts of the world over the last six to nine months have suffered because of that, not purely because of that, but have suffered. They will need to re-balance and their equilibriums restored," he said in an interview from the bank's headquarters.

As this takes place, the pursuit of growth continues. Southeast Asia continues to impress as a market of some 600 million consumers. The Philippines, according to the World Bank, is projected to grow 6.5% this year.

But from a demand perspective and the building out of infrastructure, the African continent seems to create the most excitement.

"What we can see in other Southeast Asian countries that is terrific, it's true, but let's not forget about Africa. Africa is a continent where we think a lot of developments are going to happen, " said Maria van der Hoeven, executive director of the Paris-based International Energy Agency.

So while leaders of the emerging markets try to find their footing after a bumpy 2013, it will be those atop this mountain who need to decide how much risk they are willing to take in search of growth.

Read more: Can companies win by investing in emerging markets?

Read more: Recovery of the emerging markets stays safely within the speed limit

@highlight

John Defterios says the WEF was quick to embrace the shift of growth to the East and the rise of India and China

@highlight

$64 billion was pulled out of emerging markets due to anxieties over the tapering of government bond purchases

@highlight

2014 may turn out to be a tricky year to navigate with the U.S. Federal Reserve in the mix, Defterios writes