(CNN) -- When FIFA named Qatar as the host nation for the 2022 World Cup finals, it vindicated the gulf nation's continued determination to become one of the key players in the realm of sport by using its considerable economic resources.

The decision by world football's governing body was not met with widespread approval. Traditionalists argued that the kingdom, with a population of just 1.85 million of which only 300,000 are Qatari citizens, had never qualified for a World Cup finals and had no discernible history in the sport.

Yet the power and influence generated by the oil-rich nation swung the vote Qatar's way and, in 10 years' time, football's showpiece tournament will be played in an Arab country for the first time since its inception in 1930.

The Qatari influence in sport is growing year by year and, by the time 2022 is upon us, the portfolio of sporting franchises and sporting events owned by the nation will undoubtedly be even more impressive than it is today.

In football, Qataris own Spanish club Malaga and French giants Paris Saint-Germain. They also host major events in tennis, golf and cycling and are one of the five bidders to host the 2020 Olympic Games, as well as establishing the Aspire sports academy, one of the most prestigious facilities of its kind in the world.

But why are Qataris so heavily involved in the sporting world? And what do they hope to achieve?

"When Qatar discovered their huge gas reserves they invested millions in sport, raising their worldwide profile by buying athletes and footballers and giving them Qatari citizenship," Middle East football expert James Montague, author of the book "When Friday Comes -- Football In the Warzone," told CNN.

"Several Uruguayan players were paid lots of money to switch countries, but this proved a disaster with the national team still failing to qualify for the 2006 World Cup finals,.

"That didn't work, so the next way to qualify was to actually host the tournament and raise their profile by buying football clubs. Now they are spending billions on its infrastructure to ensure Qatar is synonymous with sporting and football excellence."

Sheikh Saoud Bin Abdulrahman Al-Thani, secretary general of Qatar's Olympic Committee, offers an insight into why the nation, and its ruling royal family, is such a major force in the sporting world.

"Sport has huge power and, for a nation like Qatar that has such widespread diversities, in many ways it can put us on the world map," he told CNN's Future Cities show.

"When you organize a big event it brings people from all over the world into your country, and with that comes an exchanging of cultures and a lot of media coverage.

"Sports tourism is also a massive business at the moment. In Qatar we are organizing more than 30 events a year and the economy being generated on the back of these events is massive."

Another Qatari-owned organization is TV channel Al Jazeera. Since its launch in 1996 as an Arabic news and current affairs satellite station, the channel has expanded rapidly over the years and has now become a serious bidder in the TV sports rights market.

This was illustrated at the end of last year when it outbid French pay-TV operator Canal Plus to screen UEFA Champions League matches exclusively in France for the next three years.

Having also won the rights to show French domestic league football from next season, allied to the ownership of Ligue 1 title challengers PSG, it is clear that Qatar now has a huge presence in that country.

Football journalist Julien Laurens says Qatar's influence in French football, and PSG in particular, is not necessarily a good thing.

"The Qatari influence in French football is massive at the moment, although it does seem to create a conflict of interest as they own the biggest club as well as also owning the TV rights to the league that club plays in," he told CNN.

"There is no doubt that a revolution is currently taking place within the French game, but the Qataris have been lured to PSG by the glamor and prestige of the capital city and there is a danger that the league could become all about that one team for many years to come."

Laurens added: "We didn't expect PSG to dominate things so quickly but they are already splashing the cash, which is creating a huge gap between them and the rest of the clubs.

"It was easy for them to take over a French club and lead them to the top straight away, it would not have been as easy in England, Spain or Italy."

Although Qatari businessmen now have a strong foothold in French and Spanish football, they remain without a key base in the English Premier League, which boasts the highest attendance figures in European football.

However, according to Montague, that situation might change in the near future, with a massive English institution firmly on Qatar's radar. And there is a near precedent following the 2008 takeover of Manchester City by an Abu Dhabi consortium.

"The Qatari Investment Authority have been sniffing around Manchester United for a long time," Montague said.

"I have had conversations in Qatar with prominent people and they have told me that United would fit their profile of wanting to use sport in general, and football in particular, to raise their profile to that of a world power.

"The Glazer family, who currently own United, will sell because they will get a better price from the Qataris. It isn't just a numbers or profit thing with the QIA, they want the institution that United stand for."

It remains to be seen whether United, or indeed any other many English club, comes under Qatari ownership in the near future but, with a World Cup and possible Olympic Games both on the horizon, the tiny gulf state is only going to grow in sporting stature and importance over the next decade.

@highlight

Qatar is becoming a major player in the world of sport and sport finance

@highlight

The cash-rich Gulf state already owns football clubs Paris St. Germain and Malaga

@highlight

A Qatari investment group has also been linked with a bid for Manchester United

@highlight

Qatar will host the 2022 World Cup and is bidding to stage the 2020 Olympic Games