(CNN) -- President Barack Obama has had the weight of the free world on his shoulders for 2½ years, and he might be starting to look like it.

At 50, which he turns Thursday, his hair is a little grayer, and his face and neck are a little more creased, than on the day he took office in January 2009.

You'd expect some of that -- he is older. But Obama, like his predecessors, has had plenty to do. He's waged battles over economic stimulus, health care and the debt ceiling. He's juggled wars in Iraq and Afghanistan; he committed to a campaign over Libya's skies; he chased Osama bin Laden; and he dealt with a massive oil disaster off the Gulf Coast.

Obama's 50th birthday bash

It's tempting to think the office makes presidents look older than they are. The George W. Bush who left office in 2009 was not the youthful Bush before 9/11. Bill Clinton's hair was significantly whiter and his eyes baggier after eight years.

Dr. Michael Roizen holds on to what he's said for a while: That presidents effectively age twice as fast while in office.

Roizen, a chief wellness officer at the Cleveland Clinic and co-founder of RealAge.com, said he based his opinion on his research of medical records of previous presidents, back to Theodore Roosevelt. Examining factors such as lifestyle habits, diet, blood pressure and physical activity, he said a person who has been president eight years has the risk of disability or dying of someone who is 16 years older.

Gotta Watch: Happy Birthday, Mr. President

"The main cause is what we call unrequited stress -- they don't have enough friends to mitigate the stress," Roizen, who also co-authored "You: The Owner's Manual" with Dr. Mehmet Oz, said Wednesday. "The major way most of us handle stress is through a number of techniques, but the most prominent way is to discuss it with friends."

Roizen added, "The problem with presidents is, some of them lose friends, and the closest friend they have is usually the spouse. Look at what (Obama) has been under with the debt ceiling. Even his friends spoke ill of him."

Read more on what Roizen says about presidential aging

Roizen, who also wrote "RealAge: Are You as Young as You Can Be?" said he hasn't calculated Obama's "real age," because of a lack of medial records. But records released in 2009 and 2010 show he effectively aged two years in one, in part because of his cholesterol values, he said.

Not everyone who studies aging believes the office accelerates age appearance or risk of death. Eileen Crimmins, who holds the AARP chair at the University of Southern California's Davis School of Gerontology, said research shows leaders in control of circumstances are less negatively affected by stress than people with less control over their environment -- such as poorer people and those with low-status jobs.

Crimmins said presidents certainly face tons of stress, but they're also likely to be people who thrive on it, and who have subordinates to help them manage stress. She also said presidents are high-status people who've lived generally healthy lives before they became president.

"Obama is a smoker ... and it's going to cost him. But aside from that, he's a skinny man who went to Columbia and Occidental," she said, arguing he benefits healthwise from his upbringing and status.

And she said presidents generally exceed the life expectancy of their cohorts. Ronald Reagan made it to 93 (although with Alzheimer's). Jimmy Carter is 86. George H.W. Bush is 87.

"They're the cream of the socioeconomic crop. Generally they've had pretty good lives and already made it to a fairly old age, so they're going to live relatively long almost by definition," Crimmins said.

Not so fast, said Dr. Michael Irwin, director of the Cousins Center for Psychoneuroimmunology at the UCLA Neuropsychiatric Institute.

Irwin, whose center studies how the mind and body influence each other, said it's "unequivocal that significant life stress perceived by a person does accelerate aging."

Both aging and stress produce similar stages in inflammation, the biological pathway that contributes to age-related diseases such as cardiovascular disease, dementia and some cancers, he said.

"A person under significant stress is essentially accelerating the aging process at a biological level, and also at a genetic level," Irwin said. "It's activating the genes that drive inflammation."

Research by molecular biologist Elizabeth Blackburn also has shown that as people age, telomeres -- areas at the end of chromosomes -- shorten, and that this shortening along with inflammation is "highly predictive of death," Irwin said.

"Stress also produces accelerated shortening of telomeres," Irwin said.

"If we look at a middle-aged person who is not under stress, compared to a (similar) person who has been under five years of stress, we'd find an increase in inflammation and a shortening of these telomeres in the second person. Both changes are indicative of increased risk of death," Irwin said.

And stress can induce changes in appearance such as creased faces, Irwin and Roizen said.

Irwin said presidents do have advantages -- generally they're brought up in a good environment and healthy way.

Presidents and everyone else can dampen the effects of stress with good lifestyle practices, strong social circles and proper sleep patterns, Irwin said.

And some effects of accelerated aging -- beyond those that have changed certain physical appearances and caused permanent structural damage -- are reversible, Roizen said.

"The good news for presidents is, like everyone else, it's reversible if you change your habits," Roizen said. And, presumably, lessen that stress.

CNN's Madison Park contributed to this report.

@highlight

President Obama celebrates his 50th birthday a little grayer than when he took office in 2009

@highlight

One wellness expert maintains that presidents effectively age twice as fast while in office

@highlight

"A person under significant stress is essentially accelerating the aging process,'' doctor says

@highlight

Others who study aging don't believe presidency accelerates age appearance or risk of death