JOHANNESBURG, South Africa (CNN) -- Hugh Masekela is the legendary South African musician whose songs were an inspiration in the fight to end apartheid. He tells CNN about growing up under apartheid, why he left South Africa and what is was like to move back to Johannesburg after 30 years away.

Hugh Masekela: "The people of South Africa deserve entertainment, recreation and freedom."

CNN: How did the suffering of the apartheid influence your art?

Hugh Masekela: I don't think what I do is influenced by suffering. I come from a talented people who are prolific in music and dance. We have wonderful singers and we have a diversity of music here that is just amazing.

But in spite of being oppressed these people were very resilient and they were mostly resilient through song. I think we are the only society where music played such a major part in our resistance.

We grew up in rallies and in the street. We didn't have televisions so we played in the streets and made up songs about what was happening.

Watch Hugh Masekela take CNN on a tour of Johannesburg ».

CNN: What's your earliest memory of Johannesburg?

HM: I came to Jo' burg from Springs [a town near Johannesburg]. My family moved to Alexandra township and the first time I went to town alone I must have been 10 or 11. Jo' burg used to be scrubbed every night with fire hoses and those hard brooms and the granite on the sidewalks would always sparkle. I remember that because I came from Alexander township where there were no lights, no sewage and no cafes.

The most vivid memory I have -- we used to stop and look through restaurant windows at the white people eating fancy food, and we'd say "what do you think that is?" and "there are so many types of food!"

CNN: How did it feel to leave South Africa?

HM: When I left South Africa in 1960 I was 20 years old. I wanted to try to get an education and music education was not available for me in South Africa. I wanted to learn from the same kind of teachers that taught Miles Davis and Clifford Brown and Chad Baker and they were not in South Africa. I hoped that one day I could go and learn some of those things and then come back and teach.

It was a rough time, when the apartheid government first started showing that if you don't behave, they'll shoot you -- women and children too. You saw police with guns, with machine guns, and for the first time you saw tanks.

We had a group called the Jazz Epistles and we were about to take off on a national tour. We were the first African group to play on an LP, but gatherings of more than 10 people were banned so we couldn't do our tour.

But four years later, when I was ready to come back to South Africa, I couldn't. The place was impenetrable. By then Mandela had been sentenced to life imprisonment. So I stayed 26 years longer than I planned to.

See Hugh Masekela's Johannesburg »

CNN: Tell us about coming home.

HM: It was great, but it was also a tense time coming back to South Africa and we were not naive about it. It was a time of real turmoil. There were no-go places in the townships, there was sniping, there were major clashes and it was a time when civil war was threatening.

When I left South Africa there were 10 million people -- when I came back there were more than 40 million. I had to learn how to get to the highways because when I left where there were no highways. And I had to adjust my language because people would say "we don't' talk like that anymore!" I was like a sponge trying to learn to do the right things.

Not many people came back from exile compared with those who left. About a million left -- 50,000 came back, and of those about 25,000 did a U-turn because it wasn't easy. It wasn't easy but it's been a great experience.

CNN: How would you define the culture of Jo' burg?

HM: There's no one culture -- it's a cosmopolitan city. It's so diverse, like South Africa itself has so many diverse cultures.

But again, we are still living in the culture of ethnic grouping. If we could beat that and have a major festival of tolerance, it would be the shining path.

CNN: Where do you like to go out in Jo' burg?

HM: I go to Newtown, I go to the Market Theater a lot, and also to the Dance Forum, because we have very brilliant dance choreographers. Old Jo' burg was vibrant, there were things going on all the time -- concerts, festivals, clubs -- but in the last 10 years or so it has become a very quiet city at night.

CNN: What is life like in the city?

HM: It's not very easy to enjoy the city because the safety and security is not such that you can just go anywhere any time. There's a sadness about this city that everybody talks about.

People in South Africa have become inward; they spend most of the time in their homes. When it gets dark, everyone wants to go home as quickly as they can. That is not only Jo' burg's problem, it is a national problem.

What we're talking about doesn't make me very popular with the people who run this country, but it's nothing new -- you see it in the newspapers every day.

It has to be fixed, because the people of South Africa deserve entertainment, recreation and freedom to enjoy the beauty of their country and to show guests around and say "this is my country."

@highlight

Hugh Masekela songs were an inspiration in the fight to end apartheid

@highlight

He left South Africa to get a musical education and couldn't return for 30 years

@highlight

Under apartheid black South Africans were resilient through song, he says

@highlight

He says Johannesburg is cosmopolitan and multicultural, like South Africa