(CNN) -- Former Sen. Tom Daschle has withdrawn his nomination to head the Department of Health and Human Services, according to a statement Tuesday from the White House.

Former Sen. Tom Daschle apologized for making mistakes on his tax records.

Daschle had been fighting to save his nomination after controversy over his tax records and questions over his work in a field that some consider lobbying.

In a statement announcing his withdrawal, Daschle said it was an honor to be chosen to lead the reform of America's health care system.

"But if 30 years of exposure to the challenges inherent in our system has taught me anything, it has taught me that this work will require a leader who can operate with the full faith of Congress and the American people, and without distraction," he said.

"Right now, I am not that leader, and will not be a distraction. The focus of Congress should be on the urgent business of moving the president's economic agenda forward, including affordable health care for every American."  Watch what the administration loses with Daschle's withdrawal »

The Obama administration had stood by his side, and fellow Democrats lined up behind him, but Daschle's problems, coupled with other nominees' issues, gave critics ammunition to question President Obama's call for a "new era of responsibility."

The president said Tuesday he accepts Daschle's decision "with sadness and regret."

"Tom made a mistake, which he has openly acknowledged. He has not excused it, nor do I. But that mistake, and this decision, cannot diminish the many contributions Tom has made to this country, from his years in the military to his decades of public service. Now we must move forward, with our plan to lift this economy and put people back to work,"  Obama said in a statement.

However, in an interview with CNN's Anderson Cooper later Tuesday, Obama said he made a mistake in handling the nomination of Daschle.

"I think I screwed up. And, I take responsibility for it and we're going to make sure we fix it so it doesn't happen again.

"Ultimately, I campaigned on changing Washington and bottom-up politics," Obama said.

"And I don't want to send a message to the American people that there are two sets of standards -- one for powerful people and one for ordinary folks who are working every day and paying their taxes."

Daschle's resignation came hours after Nancy Killefer's withdrawal as Obama's chief performance officer, a new post in the administration.  View past Cabinet nominees who withdrew »

Officials said privately the reason for Killefer's withdrawal was unspecified tax issues. The much-touted post was designed to scrub the federal budget. iReport.com: Share your thoughts on Obama's cabinet choices

Daschle, the former Senate majority leader, apologized Monday for failing to pay his taxes in full. He said earlier he was "deeply embarrassed" for a series of errors that included failing to report $15,000 in charitable donations, unreported car service and more than $80,000 in unreported income from consulting.

Daschle recently filed amended tax returns and paid more than $140,000 in back taxes and interest for 2005-2007.

A New York Times editorial on Tuesday called for Daschle to withdraw.

The paper's editorial board particularly took issue with Daschle saying he identified the unpaid taxes in June but did not pay them until his nomination for the top post at the Department of Health and Human Services.

The editorial also criticized Daschle for generating a sizable income from health-related industries while working in the private sector.  Watch how Daschle's consulting work also caused some concern »

"Mr. Daschle is another in a long line of politicians who move cozily between government and industry. We don't know that his industry ties would influence his judgments on health issues, but they could potentially throw a cloud over health care reform," the editorial said.

Shortly after news of the tax quandary broke, a number of Democratic senators released statements expressing their support for Daschle, including Sens. John Kerry of Massachusetts, Charles Schumer of New York, Patrick Leahy of Vermont and Edward Kennedy of Massachusetts. In their opinions, Daschle identified the problem and corrected it.

Daschle's supporters said that given his record of three decades of public service, he was still the right man for the job.

"One cannot underestimate how widely admired Tom Daschle is in Washington for his integrity, for his public service. And many, many Democrats look to him as one of the favorite people. He's got a lot of support in this White House, starting with the president," said David Gergen, a senior political analyst for CNN.

Obama and Daschle have a longstanding relationship. Daschle endorsed Obama for the Democratic presidential nomination in February 2007 -- nearly 11 months before the first contest. Daschle was also considered to be a contender for Obama's No. 2 spot.

Daschle also has a history with members of Congress. He represented South Dakota in the House of Representatives for four terms, and he served in the Senate for three terms. He was the Senate majority leader from June 2001 to January 2003, and was the minority leader before losing his re-election bid in 2004.

Daschle's work in his post-Senate years was also a point of contention on his path to confirmation.

After leaving the Senate, Daschle went on to serve as a special public policy adviser at the law firm Alston & Bird.

According to the firm's Web site, Daschle advised clients on "issues related to financial services, health care, energy, telecommunications and taxes."

His work, for which he reportedly made millions, seemed to contradict Obama's strict rules on lobbyists working in his administration.

Promising "a new era of openness in our country," Obama signed executive orders relating to ethics guidelines for staff members as one of his first acts in office.

"If you are a lobbyist entering my administration, you will not be able to work on matters you lobbied on, or in the agencies you lobbied during the previous two years," the president said.

The administration had defended its choice of Daschle, pointing out that he was not technically a lobbyist.

"If you're not registered to lobby, you can't be a lobbyist," said White House press secretary Robert Gibbs, according to Time.com. Time.com: When is a lobbyist not a lobbyist?

Daschle and Kellifer were not the first of Obama's nominees to come under scrutiny.

Before Tim Geithner was confirmed as treasury secretary, he was questioned over concerns involving his personal taxes and the immigration status of a former housekeeper.

New Mexico Gov. Bill Richardson also withdrew his nomination to be commerce secretary, citing the distraction of a federal investigation into ties to a company that has done business with his state.

Given Obama's pledge for "unprecedented transparency, rigorous oversight and clear accountability," some said the controversy surrounding Obama's appointments are calling into question the president's vetting process.

"Mr. President, your picks to help run the federal government don't have to be perfect, but is it too much to ask that they pay like everyone else, to keep that same government functioning? And more importantly, that they don't wait until everyone, including you, is watching?" CNN's Campbell Brown wrote in a commentary. Read the commentary

Asked if the president is embarrassed by the slew of appointment problems, Gibbs was quick to negate that idea.

"No, I don't think that -- that we believe there's any problem in the vetting," Gibbs said Monday.

CNN's Ed Henry and Kristi Keck contributed to this report.

@highlight

NEW: President Obama accepts Tom Daschle's decision "with sadness and regret"

@highlight

Daschle's nomination questioned due to tax problems, work in recent years

@highlight

Move follows withdrawal of Obama's pick for chief performance officer

@highlight

Daschle has long history with Congress, was Senate majority leader