(CNN) -- In the Roman poet Ovid's "Metamorphoses," one of the great works of Western literature, King Tereus of Thrace rapes his wife's sister, Philomena, then cuts out her tongue.

In "Titus Andronicus," Shakespeare references Ovid with an even more grotesque rape and mutilation, while including multiple acts of murder, torture and cannibalism. Kathleen Kennedy, associate professor of literature at Penn State University-Brandywine, says, "Everyone is traumatized by Titus."

Over the last few months, students, faculty and administrators at a number of universities have been debating whether faculty should be obligated to place "trigger warnings" on their syllabi before assigning content that might trigger a traumatic episode in one of their students.

Before assigning Ovid, Shakespeare or any topic about human cruelty and suffering, what should teachers be obligated to tell their students?

Proponents of trigger warnings, reasonably, argue that students will be unable to learn when confronted with content that triggers traumatic recollection. This isn't about students just being uncomfortable, they say, but about ensuring students don't have to choose between their education and their sense of safety.

Critics of trigger warnings, also reasonably, contend that education requires pushing students to engage with difficult material that makes them uncomfortable. Professors worry about academic freedom and having to address a whole cascade of "isms" as they design and execute their syllabi.

Furthermore, they see the focus on trigger warnings now as part of the corporatization of higher education, in which syllabi are designed not to structure learning but to prevent lawsuits. Professors are concerned about trauma, but don't want to slap labels on their syllabi that are the equivalent of "Caution: This Coffee is Hot."

To some extent, both sides are right. Some students suffer from serious trauma, but there's no feasible way a blanket policy on trigger warning can really work. Fortunately, we can solve the situation though a combination of best-teaching practices and the application of pre-existing policies.

The biggest problem here emerges from the nature of trauma. Triggers are extremely personal and, from the outside, unpredictable. Professors cannot review their course material and know, with any certainty, what might or might not function as a trigger for their students.

We worry about surprising students with triggering content and re-victimizing them. We don't need a vague if well-intentioned policy, however, to address most cases. Instead, let's just rely on good teaching.

Tressie McMillan Cottom, writer and sociologist, noted that the real problem with triggers is when they catch you by surprise. She writes, "Trigger warnings make sense on platforms where troubling information can be foisted upon you without prior knowledge, as in the case of retweets." In a classroom, where the subject matter ought to be reasonably transparent, such surprises should be rare.

We should all know what we are going to encounter in classes on the Holocaust, on human rights law, on the history of race in America, or countless other clearly labeled topics that of necessity must deal with often graphic and upsetting stories. If you sign up for such a class, be ready.

Students might not be so ready for Ovid or Shakespeare. Why not prepare them for the reading? Don't do it because you are worried about trauma, but because it will help them learn.

I would never want my students to be surprised by something horrific in their reading, whether the "Red Wedding" on "Game of Thrones" or the rape of Philomena in Ovid. Instead, I want them ready to work with challenging texts so they learn. Spoilers might be bad for entertainment, but they are good for education.

Once most students know what they are likely to encounter in their work, the surprise factor in triggering situations ought to be mitigated.

For a small percentage of students, however, this kind of preparation may not be enough. The word "disability" has been largely missing from the debate on trigger warnings in higher education.

Post-traumatic stress disorder is a psychological disability. It doesn't just affect soldiers. Students (or anyone) suffering from PTSD are not just "uncomfortable" when their trauma is triggered. Valeria M. Souza, a lecturer of Portuguese at Washington University in St. Louis and a blogger about disability and education, has noted that universities already have, or at least should have, robust systems to ensure compliance with the Americans with Disabilities Act and to provide reasonable accommodations for students with disabilities.

It would be entirely reasonable to help a student with a disability who is best accommodated by avoiding certain triggering material in the classroom. That said, avoidance is not always the best approach for people with trauma.

One method of treating PTSD is called "exposure therapy," in which patients repeatedly engage with their traumas in order to desensitize themselves to potentially triggering moments.

The classroom is not a therapist's clinic, but the practice does suggest that avoidance is not the only choice. Moreover, it's a decision for a patient and a therapist or doctor to decide and advise a university, rather than for faculty or administrators to decide for themselves.

As educators and as a society we need to respect trauma and create conditions in which healing is possible. Part of that respect is to recognize that we don't know how any given person's trauma might manifest, so we can't assume we know what is or isn't a trigger. And we don't have to know.

If professors follow good teaching practices and help students be ready for the course content as it unfolds, while universities provide well-funded and expert disability support services, we should be ready to handle whatever trigger issues lurk undetected. We don't need a whole new set of warning labels.

@highlight

Universities have debated putting warning labels on violent, abusive scenes in literature

@highlight

David Perry: It should not be necessary to have a new policy of warning labels

@highlight

Good teachers should prepare their students in the course of regular teaching, he says

@highlight

Perry: For students with PTSD, the normal precautions should be taken