Belfast, Northern Ireland (CNN) -- U.S. Secretary of State Hillary Clinton condemned recent outbreaks of violence in Northern Ireland and urged a continued commitment to peace during meetings Friday with political leaders in Belfast.

"There can be no place in Northern Ireland for any violence; the remnants of the past must be quickly condemned," she said.

She described the violence as "a sad reminder, unfortunately, that -- despite how hardy the peace has been -- there are still those who not only would test it, but try to destroy it."

Three people were arrested Friday, and two officers were injured, said Elsie Glendinning, a press officer for the Police Service of Northern Ireland.

Some cars were set afire, she said in a statement.

Twenty-one officers were injured during this week's disorder, said Assistant Chief Constable Will Kerr, who appealed for calm. "This behavior is simply not acceptable," he said. "These people are only wrecking their own communities and putting innocent people's lives at risk."

Friday's violence came a day after four men were arrested Thursday after police investigating "ongoing dissident Republican activity" found what they described as a homemade rocket that could have been used to attack an armored police vehicle when they stopped a car in the area of Londonderry.

Read more: The war is over, yet conflict continues in Belfast

Police said they discovered an unexploded letter bomb in a mailbox in the village of Clough.

Violence broke out this week after a vote by Belfast city councilors to change the year-round policy of flying the British Union flag outside Belfast City Hall, restricting it to certain days.

Police have come under assault in incidents in Belfast, Ballymena and Carrickfergus.

Buildings linked to the cross-community Alliance Party, which backed the flag's removal, have also been targeted.

Read more: Reminders of Irish 'troubles' rise to surface

The party said that its sole lawmaker in the UK parliament at Westminster, Naomi Long, was told Thursday night to leave her home and was advised not to go to her constituency office in east Belfast on Friday after receiving a death threat.

Clinton spoke alongside First Minister Peter Robinson and Deputy First Minister Martin McGuinness at Stormont, the seat of Northern Ireland's power-sharing government, in east Belfast.

She recalled her first visit 17 years ago with then-President Bill Clinton, at a time when the first glimmers of peace were on the horizon. On that occasion, the couple turned on Belfast's Christmas lights.

Read more: Queen makes history with ex-IRA leader handshake

"Peace does take sacrifice and compromise and vigilance, day after day, and we have seen again this week that the work is not complete because we have seen violence break out again," she said.

"There will always be disagreements in democratic societies. We are experts in that in the United States ... but violence is never an acceptable response to this."

Clinton joined Robinson and McGuinness in condemning the recent violence in the Belfast area and the threats against Long.

Read more: Police brace for trouble as thousands join Northern Ireland march

Robinson and McGuinness presented Clinton with an award recognizing her contribution to Northern Ireland's peace and economic progress. She then returned to Washington.

McGuinness, a former commander in the anti-British Irish Republican Army, shook hands last summer with Queen Elizabeth II -- a gesture marking a step forward in the peace process relating to British rule of Northern Ireland.

Belfast was the last stop on Clinton's European tour, which began with visits to the Czech Republic and Belgium.

She was in Dublin on Thursday for an international security conference at which she met with Russian Foreign Minister Sergey Lavrov and the U.N. special envoy to Syria, Lakhdar Brahimi.

The timing of her visit to Northern Ireland, which she has held up to other nations as an example of a divided community that has transitioned to peace, is seen by observers as unfortunate, given the unrest.

The vote on the Union flag followed a summer of heightened tensions between Northern Ireland's Catholic and Protestant communities. Riots in September left dozens of police officers injured.

Just more than a month ago, a prison officer was killed in a suspected dissident IRA attack, the first such attack in years. In recent days, a number of suspected dissident IRA members have been arrested.

On her first visit as secretary of state, in 2009, Clinton paid tribute to the efforts of Robinson, McGuinness and other political leaders in helping to secure more than a decade of peaceful progress for Northern Ireland.

The majority of the island gained independence in 1921, following two years of conflict. But six of the nine counties of the province of Ulster chose to stay in the United Kingdom, eventually becoming the country of Northern Ireland.

In the late 1960s, the conflict between mainly Protestant unionists, who want Northern Ireland to remain part of the United Kingdom, and largely Roman Catholic nationalists, who want it to be reunited with the rest of Ireland, exploded into a political and sectarian war, known as the Troubles.

The three decades of ensuing violence between loyalists and the IRA claimed more than 3,000 lives, most of them north of the border. While the Good Friday Agreement of 1998 effectively ended the conflict, distrust remains between Catholics and Protestants.

Under the terms of the accord, groups on both sides dumped their weapons, and members of Sinn Fein, the political affiliate of the IRA, now work with pro-British politicians in Northern Ireland's power-sharing government.

CNN's Laura Smith-Spark wrote from London and journalist Peter Taggart reported from Belfast. Nic Robertson contributed to this report.

@highlight

3 people are arrested Friday and 2 officers injured, police say

@highlight

"Violence is never an acceptable response" to disagreements, she says

@highlight

Violent disorder broke out in Belfast after a vote on flying the Union flag

@highlight

Northern Ireland is the last leg of the secretary of state's European tour