(CNN) -- At noon on May 16, 1990, a runaway truck struck a minibus at the foot of Jerusalem and bound together the lives of 22 people: 18 Israeli Chasidim, two American Jews, an Israeli Arab and an Israeli Jew who had just found religion. The last died at the wheel of his bus. The rest of us returned to our homes to heal -- a medical jet flying me, my broken neck and a respirator back to New York. I was 19.

In time, half of my paralyzed body returned to life, my spastic left side not quite keeping up with my right. I was a hemiplegic and would be always. And when last year I returned to Jerusalem at age 40, stepping from the plane with my cane and ankle brace, I hoped to write of the crash and its place in my life.

It had taken me years to tease out where I ended and my disability began. Yes, I knew that had my neck not broken, I would have gotten a haircut that May day, would have played baseball in college, would have become a doctor. But what of the rest?

Was it owing to the crash that I was not married, that I was ever-mindful of time, that people seemed to tell me what they told no one else? I wondered if my crash-mates wondered similar things. I wondered how they had made sense of the crash. And so, 22 years after it, I set off to look for them.

***

I found the Chasidim first. They were a large extended family that, together with me and my American friend, had been riding the bus to Jerusalem where they planned to worship at the Western Wall, the Kotel. I found them in the ultra-Orthodox town of Bnei Brak. They welcomed me into their home.

Surrounded by seven shelves of holy books, Yaakov, the family patriarch, told me that God had caused the crash and spared our lives. He said we had to follow the example of Job and serve God though we did not understand him.

TED.com: There are no scraps of men

Next, I found the widow of the bus driver. She was a secular Jew of Yemeni descent and lived in the industrial town of Petach Tikvah. (She wished to keep her name private.) She told me that her husband had feared nothing but God. And, she said, it was God who had ordained the crash. "It is written," she told me. "If you don't believe that, you will go crazy."

Finally, in the Arab town of Kfar Qara, I found the driver whose truck had crashed into the left rear of the bus where I sat. Abed told me that he had become religious after the crash and that the crash was an act of God. He then paused from his coffee and his Hebrew to speak an Arabic word: Maktoob. "It is written."

I left Abed, mindful as I drove south toward Jerusalem that, in this land of competing narratives, Arab and Jew were for once in perfect agreement.

***

Maktoob made a certain sense to me, for I had long wished to see the story of what befell me written down, formed into a coherent narrative. But not by God. By me. And so, years ago, I had settled on my own variant of maktoob: It will be written.

Now -- 23 years later -- it finally is. I have written my book. And it occurs to me that whenever any of us wish to assimilate why we suffer (or prosper), we must choose between these same two narratives. We can attribute our lots to God and his writings, his unknowable ways. Or we can root them in the natural world and chronicle them ourselves -- on paper or simply in our minds. We can take comfort in ultimate if inscrutable justice. Or we can take comfort in observable reason and responsibility.

***

At first, I threw my lot in with God. Never mind that I had long struggled with the theological implications of life's evident unfairness. I was being prayed for and I was recovering, and at age 19, that sufficed. Religion and maktoob were comforts -- the notion of divine authorship (and its obvious extension, ultimate justice) elastic enough to accommodate even inflexible facts like the Holocaust and that my mom was both good and burdened with a vascular disease.

But in the end, whether one believes (or not) is not a choice. It is an empirical question. And in time, I came to see that I did not believe in a deity that choreographs crashes. I soon saw just as clearly the uncomfortable fact that I was agnostic regarding God (though my love of Judaism, its traditions and teachings, did not wane). Maktoob -- reassuring, prescriptive -- was gone for good.

TED.com: My story -- from gangland daughter to star teacher

But the need in me to make sense of things was not. Like all of us, I still needed a narrative! And as the years passed, and I failed to translate my thoughts into words on a page, I feared, as had John Keats,

"that I may cease to be

Before my pen has glean'd my teeming brain."

***

I write narratives for a living. And so, seated at my Jerusalem window last year, ready to at last look back and write, I was familiar with the task at hand, the need to gather information and to then look for patterns in it.

But as a writer, I also knew to be wary of pareidolia, the perception of a pattern or meaning where it does not exist. I knew that each of us is apt to overlook those patterns that do exist if they are inconvenient or painful. And I knew that particularly those narratives we write about ourselves can be as detached from the truth as those we inherit.

And so, when written records -- hospital files, diaries, photos -- contradicted my memories, I deferred to them and tried to learn from the difference. That I misremembered that a girl in college had canceled our date after seeing my wheelchair a first time (when in fact she had long known that I used it) reminded me that I had long seen the shadow of disability where it was not present. And it was then I saw how similarly intent my crash-mates were to see God in a wrecked bus.

Yaakov, the Chasid, told me that God had saved his family because grandmother Etel had said Psalms before boarding the bus. He did not note that the family had headed to Jerusalem only because Etel had suggested they go to the Western Wall (or that God might have done better by them by not causing the crash at all).

The widow of the slain bus driver said that God had taken her husband. She did not note that he had died at a bend in the highway known by some in Israel as "sivuv hamavet," the turn of death, where between 1980 and 2010, according to the State of Israel Central Bureau of Statistics, there were 144 accidents with casualties.

Abed, the truck driver, said that God, not he, had caused the crash (adding that he had lived an unholy life before the crash, partying in Tel Aviv and Haifa). He did not note that he had ignored large yellow signs instructing him to shift his truck into a low gear (evidenced by police photographs of his brake pads). And he did not note that he had already been guilty, at age 25, of 26 driving violations.

But I noted these things. And what for so many years had seemed to point to the arbitrariness of life was soon evidence of the opposite -- my broken neck the almost inevitable consequence not of a divine plan, but of a reckless driver, a truck loaded with four tons of tiles, a backseat with no headrest, and a dangerous road. And it was out of this recognition that the narrative of a slim book grew, careful always to make sense, to reflect, to contextualize -- the obvious efforts of a once passive victim to exert agency over an ungovernable act.

TED.com: The why and how of effective altruism

That agency is important for the writer. It is what enables him or her to wring meaning from facts and observations, and then be free of them. And because agency informs the narrative, it is important for the reader too. Millennia after Job suffered, my Chasidic crash-mates put him forth to me as an example of faith in the face of sorrow. But he had ached to write his own narrative too.

"Oh that my words were now written!" Job said. "Oh that they were printed in a book!"

The opinions expressed in this commentary are solely those of Joshua Prager.

@highlight

23 years ago, a bus crash forever changed the life of Joshua Prager

@highlight

Prager's broken neck led to paralysis; only half his body functions normally

@highlight

He visited others affected by crash, learned that they accept it as God's will

@highlight

Prager: I see the crash as result of a dangerous road and poor truck driver