(CNN) -- One long, brutal year has passed since the Syrian people launched their revolution, demanding an end to the dictatorship of President Bashar al-Assad. Since then, the regime has killed at least 8,000 people, according to the U.N., and it has sent the rest of the world a quiet but blunt message: You are fools.

Fools because much of the world fell for, and even participated in, al-Assad's manipulative, decade-long game in which he portrayed himself as a modernizer and reformer.

But now we know what al-Assad really thought about reform. In his own, ultramodern shorthand: LOL.

From the day he came to power in 2000, al-Assad, a London-educated ophthalmologist, has used the media and massaged the egos of politicians to put forth the fiction that he would bring freedom and openness to Syria. But the charade started to come apart one year ago.

If the massacres committed by Syrian forces on his behalf had not provided enough proof that the image was all fake, a new trove of private e-mails confirms just how far Western observers had missed the mark when they judged the lanky doctor-turned-dictator as one of the good guys.

The Guardian obtained 3,000 e-mails from private accounts used by the president, under the address sam@alshahba.com, and his wife, Asma, as ak@alshahba.com.

The Guardian says the e-mails, which were provided by a Syrian opposition source, are verified as real by many of its correspondents. They confirm that Bashar and his stylish, British-born wife are keenly tuned into the modern world. They shop extravagantly online and consume mass-market cultural fare such as Harry Potter, "America's Got Talent" and country music.

Their e-mail discussions about shoes, jewelry, chandeliers and fondue pots, along with ideas about how to put down the uprising and how to spin the events for foreign audiences, occurred between June and February, as forces loyal to al-Assad slaughtered thousands of mostly unarmed protesters.

In one e-mail, al-Assad laughs at democratic reforms. When his wife tells him she'll come home early one day, he quips, "This is the best reform any country can have that u told me where will you be, we are going to adopt it instead of the rubbish laws of parties, elections, media ..."

Other e-mails show one of al-Assad's media advisers, Shererazad Jaafari, whose father is Syria's U.N. ambassador, helping arrange interviews with American networks such as ABC and dealing with CNN.

Al-Assad joked with Hadeel al-Ali, one of his media consultants, while Arab League monitors were in Syria seeking to bring an end to the carnage. Al-Assad ridiculed the mission, sending al-Ali a YouTube parody of the violence that uses children's toys. "Check out this video," he wrote. She responded with, "Hahahahahahaha, OMG!!!"

If there is any hint that al-Assad has any misgivings about the human cost of his political survival, it comes in an e-mail that attaches an iTunes download of a country song by Blake Shelton, with the lyrics written out for Asma: "I've been a walking heartache / I've made a mess of me / The person that I've been lately / Ain't who I wanna be."

Al-Assad and his wife have been deftly playing international public opinion from the beginning. A Washington Post article in April 2000, a few weeks before he became president, describes him as "soft-spoken and congenial, a fan of Faith Hill and Phil Collins ... mapping his own path by trying to address the social and economic demands of the next generation." Two months later, The New York Times explained that "thanks to an orchestrated campaign in the state news media to credit him with fighting corruption and promoting a more open economy, Dr. Assad also is seen as a beacon of hope for a new, more relaxed Syria."

The image held for years, even if the reforms never quite arrived. In 2005, the Bush administration withdrew the American ambassador to Syria, and European countries froze relations with Damascus for its role in the killing of former Lebanese Prime Minister Rafik Hariri.

But the Obama administration and many in the Washington establishment and in Europe still believed that al-Assad was a closet reformer. As recently as April, Secretary of State Hillary Clinton said members of both parties "believe he's a reformer." And Sen. John Kerry, who has met al-Assad about half a dozen times, said he expected that al-Assad would enact meaningful reforms.

Over the years, al-Assad's wife, Asma, cast a spell on the media. In February 2011, Vogue magazine published a glowing spread about the fashionable first lady entitled "A Rose in the Desert." The article explained that "In Syria, power is hereditary" but called the al-Assads "wildly democratic."

Asma has always been key element of the propaganda effort. Former Bush administration official Flynt Leverett praised al-Assad, saying, "I think who a man marries says a good deal about him." The first lady, he said, "is going to bring exposure to absolute world-class standards and practices in the globalized economy of the 21st century."

Clearly, Bashar and Asma al-Assad are creatures of the modern world. They watch YouTube videos, shop online and use secret e-mail pseudonyms. I bet they're buying the latest iPads. But those in the West who believed that their modernity meant they would bring democratic reform got it all wrong.

What their experience in the West taught them was not a love of democracy and human rights. Instead, it showed them how to manipulate the media and how to create an image that would let them rule by the old-fashioned ways of dictatorship: by imprisoning and killing opponents. Anyone who believed otherwise was taken for a fool.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

The Guardian obtained e-mails from private accounts of Bashar al-Assad and his wife

@highlight

Frida Ghitis: The e-mails reveal that the Syrian president has been fooling the West all along

@highlight

She says that despite al-Assad's embrace of Western culture, he's a dictator

@highlight

Ghitis: Couple are creatures of the modern world; they know how to manipulate the media