(CNN) -- Snapchat may be the latest application with a new mobile payment feature launched this week, but the idea that made Snapcash possible was spawned more than seven years ago in Africa.

When M-Pesa came on the scene in 2007 -- a money transfer system devised by Vodafone and Kenya-based Safaricom - it sparked a mini-revolution.

With the touch of a button, relatives in Nairobi could transfer cash instantly to their remote up-country families without the need for bank accounts, bureaucracy, and sometimes long journeys to settle accounts.

Experimental beginnings

Initially launched as an experiment in creating a development impact through a private-sector solution, and seeded with as little as £2 million (US$3.1 million) in competition money, the system has gone from strength to strength.

M-Pesa has nearly 17 million active customers and as many as 186,000 agents worldwide. Customers make more than €900 million (US$1.1 billion) worth of person-to-person transactions a month.

In 2013, it shifted a massive US$22 billion in wireless financial transactions.

Now, the technology that was honed in Africa is being exported to Europe, with the launch of the mobile wallet technology in Romania.

"The majority of people in Romania have at least one mobile device, but more than one-third of the population do not have access to conventional banking," said Vodafone director of mobile money, Michael Joseph.

While it is early days in Romania -- the company only made its active launch in August this year -- analysts are cautiously optimistic about the prospects for its success.

"By Vodafone's estimation, 35 percent of the Romanian population don't use banking services and, if you look at Vodafone's footprint in Europe, Romania is one of the places where M-Pesa stands the best chance of gaining adoption," mobile analyst for IHS Technology Jack Kent told CNN.

"In more developed markets, like the U.K. and Germany, there isn't a role for this type of payment system. This service really works where people need an alternative to traditional banking."

Expanded potential

When Safaricom partnered with Vodafone, the intention had been to develop a system for women, usually the recipients of microfinance, to repay micro-loans cheaply and quickly.

But after Safaricom's management team looked at the application, they saw it had a greater potential. Kenyans now use it to pay school fees, taxes, traffic fines, and more recently it's been extended to give people the ability to save and to borrow.

Other more sophisticated financial services are also being introduced.

The mobile payment system covers microinsurance, payrolls and even distributors like Diageo, which deliver beer to bars, take M-Pesa payments rather than have the delivery trucks go around with cash.

It has even extended into Kenya's real estate and rental market with a service called Lipa Kodi— Swahili for "pay your rent."

Kenya's rental market is a large and growing segment (the latest census estimated there were 6.5 million rental households) as the country rapidly urbanizes. Valued at around 17.2 billion Kenyan shillings (US$200 million), it represents a fifth of the total value of the real estate market in Kenya.

Within five years, M-Pesa contributes almost 20% of Safaricom's total revenue and has been rolled out in Egypt, Lesotho and Mozambique, before first venturing outside Africa into India.

Universal appeal

While it was originally designed for and aimed at those at the bottom of the pyramid, M-Pesa is used by almost everyone that needs to move money in Kenya, allowing users to transfer between US$1,500--US$1,600 per day.

Recent services, such as the credit application M-Shwari, however, have come under fire over what critics claim are high levels of interest charged to Kenya's poorest.

Even though the loans are small, typically just $300, they have a 30-day term at 7.5%. On an annualized basis, critics say, the loans attract an interest rate of about 100%.

Additionally, a higher rate of interest applies if the loan is paid either early or late and a subscriber's savings account is frozen up to the amount due.

Nevertheless, for many analysts, M-Pesa is an example of a successful social enterprise—a system that not only has a clear social benefit but returns a profit as well. For detractors of Africa's dependence on foreign aid, applications like M-Pesa are the way forward.

Ironically, aid organizations are using M-Pesa themselves to direct cash payments.

"When it was started, it wasn't even conceived as a social enterprise; I don't think it was even a popular term at the time," Safaricom CEO Bob Collymore told CFA Magazine. "But now, USAID, which distributes aid—and often this aid evaporates; it's stolen—these guys use M-Pesa to get the benefit directly to the person who is receiving it."

Read more from Tomorrow Transformed:

Can the web predict the future?

The Universal Translator from science fiction is coming

Finally, a flying car for everybody?

@highlight

Mobile money transfer system M-Pesa is aimed at people without bank accounts

@highlight

Launched in 2007 in Kenya, the revolutionary system has surpassed all expectations

@highlight

M-Pesa has nearly 17 million active customers and as many as 186,000 agents worldwide

@highlight

It recently launched in Romania where an estimated 35% of people have no bank account