New York (CNN) -- A leading philanthropist and cosmetics tycoon plans to donate 78 Cubist works to the New York Metropolitan Museum of Art, a gift described by the institution as "truly transformational."

Leonard A. Lauder will donate 33 works by Pablo Picasso and 17 by Georges Braques, two iconic artists considered pioneers of the Cubist movement.

He will also give the Met 14 pieces by Fernand Leger and 14 others by Juan Gris, according to the museum.

Lauder's collection, approved by the museum board Tuesday, was acquired over nearly four decades.

The four artists were on the cusp of the radical Cubist movement in the early 1900s, a period underrepresented in the Met's current exhibition encompassing more than 5,000 years of art history, according to museum officials.

In a news release, the museum said Lauder's collection, "unsurpassed in the number of masterpieces and iconic works critical to the development of Cubism," will fill the spaces where representations of modern art had been lacking.

Cubists focused on the two dimensional picture plane, attempting visual deception by combining geometric shapes to portray real objects, oft incorporating fragments of reproduced pop culture.

The Cubist movement annihilated the traditional illusionism style that triumphed in years prior. It provided a gateway to abstract expression, historians say, changing the very definition of art.

Forbes values the collection at $1.1 billion.

"This is an extraordinary gift to our museum and our city," Thomas P. Campbell, director of the museum, said in a news release.

Campbell said the Met has "long lacked this critical dimension in the story of modernism," noting that the pieces are transformational to the museum.

"Now, Cubism will be represented with some of its greatest masterpieces, demonstrating both its role as the groundbreaking movement of the 20th century and the foundation for an artistic dialogue that continues today," Campbell said.

Lauder said he hopes his gifts will draw more people to the museum.

"This is a gift to the people who live and work in New York, and those from around the world who come to visit our great arts institutions," Lauder said in a news release Tuesday.

Lauder has long been entwined with New York City's art institutions, serving as president and chairman of the Whitney Museum of American Art, as well as various committees at the Met since the 1980s.

He said he chose the Met because "it's essential that Cubism -- and the art that follows it for that matter -- be seen and studied within the collections of one of the greatest encyclopedic museums in the world."

The collection will be presented for the first time in an exhibit due to open in the fall of 2014, according to museum officials.

The highlights of the historical collection include Picasso's provocative "Woman in an Armchair (Eva)," (1913), an erotic image of Picasso's mistress Eva Gouel, according to the museum's review.

Lauder's collection includes early works believed to have been inspired at Cubism's inception.

Braque's "Terrace at the Hotel Mistral, L'Estaque" (1907) marks the icons transition from fauvism to Cubism, the museum said.

Braque's "Trees at L'Estaque"" is thought to have inaugurated Cubism, officials say.

Picasso's "The Oil Mill" (1909) is also historic among the landmark works. It was one of the first Cubist pictures printed in Italy in the Florentine journal La Voce, according the museum's overview of the collection.

It prompted modernization from Italian futurists who sought to rival their French peers.

Along with the collection, the Met announced the creation of the Leonard A. Lauder Research Center for Modern Art to serve as a mecca for scholars and curators studying Cubism.

Lauder is the chairman emeritus of the Estee Lauder Co. and son of the late cosmetics queen by the same name.

@highlight

Leonard A. Lauder will donate 33 works by Pablo Picasso

@highlight

Other works will include 17 by Georges Braques

@highlight

Lauder acquired his collection over nearly four decades