Washington (CNN) -- President Barack Obama's point person for Obamacare implementation faced her critics on Capitol Hill on Wednesday, testifying under oath before the House Energy and Commerce Committee. Here's what we learned from Health and Human Services Secretary Kathleen Sebelius' 3Â½-hour hearing:

Highlights from Sebelius in the hot seat

Analysis: Sebelius' difficult day

1. The buck stops with Sebelius

Republicans repeatedly pushed the secretary to name names as to who was at fault for recent service outages with the government's online insurance exchange, who made key decisions to delay window-shopping features or who chose to present vague price quotes once that feature was eventually deployed.

Sebelius deferred to the software contractor now responsible for overseeing website repairs, QSSI, and to officials at the Centers for Medicare and Medicaid Services. But when asked specifically by Republican Rep. Marsha Blackburn who was responsible for the Healthcare.gov "debacle," the secretary took responsibility.

"Hold me accountable for the debacle," Sebelius said. "I'm responsible."

Perhaps in an attempt to defray this line of questioning, Sebelius took a cue from CMS Administrator Marilyn Tavenner's testimony before the House Ways and Means Committee on Tuesday and apologized for problems with the rollout in her opening statement.

"In these early weeks, access to healthcare.gov has been a miserably frustrating experience for way too many Americans, including many who have waited years, in some cases their entire lives for the security of health insurance," Sebelius said in remarks not included in her prepared testimony released earlier in the week. "I am as frustrated and angry as anyone with the flawed launch of healthcare.gov. So let me say directly to these Americans, you deserve better. I apologize. I'm accountable to you for fixing these problems."

2. Sebelius tallies up healthcare.gov cost

For weeks, independent analysts have pored over contracts issued by HHS in an attempt to determine how much the government spent to develop the failing website. Conservative critics of the new health care law have cited estimates ranging all the way up to $600 million, but on Wednesday Sebelius gave Congress a figure.

"We have spent about $118 million on the website itself and about $56 million has been expended on other IT to support the web," the secretary said.

Sebelius also revealed that there are outstanding obligations to the agency's primary contractors, CGI Federal and QSSI, and that money will compensate those companies for their assistance in repairing the website.

What happens if either contractor fails to fulfill the terms of its contract?

"There isn't a built-in penalty," Sebelius said in response to questions about the contracts' language. "But I can tell you that paying for work that isn't complete is not something that we will do."

3. Even HHS isn't sure how many people have enrolled

Echoing Tavenner's testimony, Sebelius said that the rocky rollout of healthcare.gov will likely result in low enrollment numbers when the administration issues its first data release in mid-November.

"Our projections prior to launch were always that there would be a very small number at the beginning," Sebelius said. "We watched the Massachusetts trend, which started slowly and then built. I think there is no question that given our flawed launch of healthcare.gov it will be a very small number."

But Sebelius was pushed by many Republicans as to why she couldn't provide any data now. Members asked about call center data, paper applications and attempted enrollments that were thwarted by technical glitches.

No matter the context, Sebelius' answer was the same, "We do not have any reliable data."

When pushed by Republican Rep. Lee Terry of Nebraska to authorize insurance companies to release data from their end, Sebelius said that all of the data that exists was unusable because "the system isn't functioning."

"According to the insurance companies who are eager to have customers, they are not getting reliable data all the way through the system," she said. "It's one of the real problems that we have."

4. It depends what you mean by 'crash'

At one point on Wednesday, Sebelius raised the ire of Republicans by pushing back against their use of the word "crash" when talking about the problems with healthcare.gov.

"I would suggest the website has never crashed," the secretary said. "It is functional, but at a very slow speed and very low reliability, and has continued to function."

CNNTech: When is a crash not a crash?

Administration warned by contractor a month before launch

As many members noted, at the time of those remarks, visitors to the application portion of healthcare.gov were unable to create an account and instead were faced with an error message.

"The system is down at the moment," the message read. "We are experiencing technical difficulties and hope to have them resolved soon. Please try again later."

Many might consider limited or no functionality as a "crash," but when asked for clarification, HHS spokeswoman Joanne Peters stuck by the secretary's assertion that the website has never crashed.

"As the secretary says, the site works," Peters said. "But it is slow and has a lot of user errors. But even on the first day, some people could get all the way through the system. So it did not crash. If it crashed, it would have been totally down."

While the application portion may have been totally down during Sebelius' testimony, visitors were still able to access the healthcare.gov homepage, learn about the law and browse plans through the site's window-shopping feature. Meaning the site wasn't totally down.

5. Sebelius won't get an Obamacare card

Because of an amendment added to the health care law, members of Congress and their staff must enter the insurance exchange intended for those without employer-provided coverage. Earlier this year, the Office of Personnel Management issued a rule that allows those federal employees entering the exchange to keep the contribution that the federal government currently provides to help cover the costs of insurance.

Republican Rep. Cory Gardner of Colorado asked the secretary whether she would join members of Congress and their staff in purchasing insurance on the federal insurance exchange, even though the law did not require her to.

After consulting with Office of Health Reform Director Mike Hash, who was seated behind her, Sebelius responded that it would be "illegal" for her to join the exchange because she receives insurance through the Federal Employees Health Benefits Program.

"If I have affordable coverage in my workplace, I'm not eligible to go into the marketplace, that's part of the law," Sebelius said.

Is it really 'illegal' for Sebelius to have Obamacare?

Later, in a somewhat heated exchange with Republican Rep. Billy Long of Missouri, Sebelius repeated that explanation, telling the committee, "I don't want to give misinformation to the American public."

"I think it's illegal for me to access the marketplace," she said, before adding, "I would gladly join the exchange if I didn't have affordable coverage in my workplace. I would gladly join it."

Later, Peters confirmed that it was in fact illegal for Sebelius to join the exchange, but not for the reason she stated.

"Marketplace plans cannot be sold to a Medicare enrollee, and the secretary is a Medicare enrollee," Peters said.

If Sebelius, who turned 65 in May, did not have supplemental insurance through Medicare, she would have the option of foregoing her employer-sponsored plan through the FEHB and purchasing insurance on the exchange

But because she had affordable insurance available to her, she would be ineligible for federal subsidies regardless of her income, and because the law did not require her to move onto the exchange, the OPM rule would not apply to her -- as it does to members of Congress.

More: 'Whatever,' a frustrated Sebelius says

@highlight

Sebelius wouldn't name names on who was responsible for website woes

@highlight

Health and Human Services secretary says about $174 million has been spent on website

@highlight

Sebelius maintains HHS doesn't have enough 'reliable data' to say how many have enrolled

@highlight

Definition of website 'crash' differs between Sebelius, Republicans