(CNN) -- Each morning of his federal kidnapping trial, Brian David Mitchell sings. In the last few days, he has chosen a holiday theme, with "Silent Night" or "Joy to the World' rising from the defense table as Mitchell closes his eyes and rocks slightly -- lost, it appears, in hymns and psalms.

The 12 people weighing his fate have witnessed the spectacle from the jury box. They will soon have to determine whether the man accused of snatching 14-year-old Elizabeth Smart from her bed at knifepoint and holding her captive for nine months is legally insane, as his lawyers claim, or a calculating kidnapper.

Mitchell's attorneys are mounting an insanity defense, which requires them to prove he was so mentally ill when he snatched Smart that he did not understand the wrongfulness of his actions. U.S. District Judge Dale Kimball has adjourned the trial until after the Thanksgiving holiday, when Mitchell's defense team will continue its case, and present expert testimony in support of the insanity claim.

Mitchell's attorneys have called witnesses to describe his increasingly isolated and odd behavior. But many have also described the 57-year-old as intelligent and resourceful; someone with a salesman's knack for persuasion.

Through tears Friday, Mitchell's legal wife said again and again that she'd been manipulated by him. Wanda Barzee was called to the stand as a defense witness, but it was her cross examination by the prosecution that dramatically punctuated the week of proceedings. She is currently medicated and undergoing therapy for her own mental illness.

Barzee, who is serving a 15-year sentence for her role in Smart's abduction, said she was present while Mitchell kept Smart tethered to a metal cable at a mountain camp above Salt Lake City.

Barzee said Mitchell played on her strong religious convictions, using "revelations" and "priesthood blessings" to sway and appease her.

When she complained about his heavy drinking, Mitchell said he'd had a divine revelation that condoned it, she testified. Her heart broke at the thought of sharing him with other wives. He placed his hand on her head and delivered a blessing, telling her weakness would result in eternal consequence, she claimed.

He smoked and read Hustler Magazine,'because in order to rise above all things, he told her they had to sink below them.

"He's a good liar, isn't he?" Assistant U.S. Attorney Felice Viti asked.

Barzee agreed: "He's a great deceiver."

The battle over Mitchell's mental state has played out in state and federal courts over the years. In February 2005, after failed plea negotiations with Utah prosecutors, Mitchell began his courtroom singing, according to court documents. Later that year, a state court found him incompetent to stand trial. His doctors diagnosed him with "narcissistic personality disorder," and said his illness fell "within the psychotic spectrum."

In 2008, a federal grand jury indicted Mitchell and Barzee on charges of kidnapping and transportation of a minor across state lines for sexual purposes. The following year, Elizabeth Smart herself took the witness stand at a hearing in federal court to determine Mitchell's competency. U.S. District Court Judge Dale Kimball issued a 149-page written order, finding Mitchell well enough to stand trial.

Kimball carefully cited testimony from Mitchell's caretakers at Utah State Hospital's forensic unit, where Mitchell was confined after his arrest.

A nursing director testified that Mitchell's unwillingness to work towards restoring his mental competency "was a huge red flag that he was faking," and that "there was a distinct correlation between Mitchell's singing and his court appearances.

"During his three-year stay at the hospital, Mitchell read dozens of books, yet he never asked for a religious text," noted Kimball. "He especially enjoyed the show Charmed," pulling his chair close to the screen whenever the women at the center of the witchcraft drama were scantily clad, the caretakers said.

Kimball adopted a skeptical view of Mitchell's convictions, writing that "the record is replete with examples showing that Mitchell's religious beliefs are not fixed but, rather, used strategically.

"For instance, Mitchell's claim to be a prophet, the Davidic King, or the One Mighty and Strong, manifests only when it serves his own self-interested purpose. When he encountered law enforcement officer or people from whom he could obtain money, food or shelter, he made no such grandiose claims," wrote Kimball.

"Mitchell has accurately read and exploited the vulnerability in the system, which protects mentally incompetent persons from standing trial ... stalling the process of his legal case for nearly seven years," the judge concluded.

The ruling cleared the way for Mitchell's trial to begin about two weeks ago in Salt Lake City's federal courthouse.

On the second day of the defense case this week, Mitchell's elderly father made his way to the witness stand with the help of a walker to describe his son's character traits.

"Brian's a very intelligent person and used that to its full extent in the harassment of the other children and my wife," he said.

The father described him as a sexually curious boy who "got in trouble playing doctor" with other children around the age of 8 or 9. To educate his son, the father showed him an old medical book with detailed pictures of genitalia.

But the plan backfired, the father said, and Mitchell promptly got into trouble again for playing doctor "with the rest of the neighborhood."

"It was ill-advised because it was too explicit, really. I should have known better, but I wasn't always very careful," the elder Mitchell testified.

Court documents reveal signs of sexual deviance that continued into Mitchell's teens. He was arrested for exposing himself to a 4-year-old girl in the neighborhood. The probation officer assigned to his case called Mitchell's behavior "bordering on psychotic," and referred him to a psychologist who diagnosed "Behavior Disorder of Adolescence." Another counselor at the time described Mitchell as an "excellent manipulator."

Tim Mitchell, the defendant's younger brother, said he watched as a troubled Mitchell grappled to turn his life around and embrace the Church of Latter-day Saints before beginning a steady mental slide, alienating his family and church leaders.

"I said, 'I think you're going off on the wrong way, I think you're drifting away form the church. I think maybe you've been deceived by a false spirit,'" Tim Mitchell testified.

His brother suddenly asked to be called "Daveed," but he refused.

"I just kept calling him Brian."

Their relationship ended after that.

"I started feeling that this is really starting to look like a mental illness and I sent a letter encouraging him to get some help," testified Tim Mitchell, a mental health counselor.

Mitchell met his wife, Barzee, at a church-sponsored counseling session in 1985, the woman testified Thursday. As she shared her story of an abusive marriage, Mitchell took her hand to comfort her.

"And we've held hands ever since," she testified.

But eventually, he began to seek out other "celestial wives," she said.

In a low, rambling voice that sometimes failed her, Barzee described collapsing crying in her husband's arms when he told her of a revelation to take more wives. When attempts to find a willing bride failed, Mitchell declared they were to use force, she said.

"I was told that we were commanded to take 14-year-old young women and we were to snatch them out of the world and train them up in the ministries of God."

She had concerns about this, she said.

"I knew that the Lord had all power to provide the young women if that was his will, and I know of the pain and suffering that I had been through being separated from my children and I didn't want the young women to be taken away from their family and their friends."

Nevertheless, she strived to be obedient.

Mitchell began to "stalk out" young girls while panhandling in town, Barzee testified, and on the morning of June 5, 2002, he arrived at their camp with Elizabeth Smart in tow.

Smart has described him as preoccupied more with the sexual than the spiritual, raping her multiple times per day, and demonstrating with Barzee the finer points of certain sex acts.

If the defense evidence regarding Mitchell's state of mind meets the burden of "clear and convincing" in the jury's estimation, he could walk the streets of Salt Lake City again somedayt. If not, he will face a sentence of life behind bars.

The defendant himself may not be present to face jurors as they deliver his verdict; he watches the proceedings on a security camera monitor each day, expelled from the courtroom for his steadfast refusal to stop singing.

@highlight

Brian Mitchell's attorneys are mounting an insanity defense against rape, kidnap charges

@highlight

They must prove he was so mentally ill he did not understand wrongfulness of actions

@highlight

Some describe him as isolated; others, as someone with salesman's knack for persuasion