(CNN) -- You're doing all the obvious things: the right education, solid experience, a good mentor. But those in the C-Suite often confide that it's the subtle "polish" that takes the superstar to the next level of success.

Small differences can make a big impact. What affects others' perception of your ability to lead a project, a division, an organization, or a movement?

Consider the following habits, attitudes, skills, and characteristics of a leader to see how you measure up and then determine how you can step up:

Act with integrity

Tell the truth. Practice the principles you preach. Be genuine and sincere. It takes just one inappropriate action or comment to uncover the counterfeit. And once credibility vanishes, regaining it becomes a monumental task. People want to see the real you -- the integrity behind your face, the actions behind your promises. In today's economic landscape, trust trumps both price and track record.

Read more: Steve Jobs: How to lead with purpose

Listen like you mean it

Stop whatever you're doing and look the speaker directly in the eye. Tilt your head slightly to one side. The literal message is, "I'm giving you an ear." Ask questions about what the speaker is saying to help clarify thoughts and to verify that you've heard correctly and have drawn the intended conclusions. Answer questions specifically rather than vaguely. Take action to demonstrate that you've heard.

Benjamin Disraeli was right when he observed, "Talk to a man about himself and he will listen for hours." The magic in this mix? He or she will think you are a remarkable person. Listening increases likeability, and likeability leads back to trust in you as a leader.

Commit to what you communicate

Follow through. If you say you'll make an introduction to the potential new client, make the introduction. If you say you'll provide the reference, give the reference. If you say you'll fund the project, budget the money. Show up, own up, and straighten it up. In a marketplace of mealy mouthed moochers, doing what you say will absolutely astonish people.

Be accountable for results

Accountability implies risk and reward. You earn rewards for success; you accept penalties for failure. By the very nature of the risk-reward proposition, others' perception of your position and value increases.

You've heard it said that money is not the most important thing in life. But that's easier to believe when you have enough of it to cover your basic needs. Likewise, people measure competence in different ways, and "enough" competence or "enough" intelligence becomes a matter of degree. At some point, people pull you over the "enough" threshold and begin to judge your performance on degrees of results. Delivering the goods attracts attention and demands respect that translates into others' perception of your leadership and executive presence.

Read more: Leader know thyself

Engage emotionally by being approachable

The combination of both competence and likeability characterizes outstanding leaders with personal presence. You may be credible and have others pick your brain and benefit from your work -- but choose not to be around you if they don't have to be. On the other hand, you may be a likeable, life-of-the-party sort whom everybody wants to hang out with. But people may not consider you credible in challenging times for critical information or competent performance.

The tagline "mover and shaker" comes from a metaphor -- a very visual component of a personality trait or habit. Not only do leaders move through many networks, work a lot of relationships, and shake their share of hands, they literally take the lead in approaching people. People with presence approach others confidently, act as host, make introductions, and connect others in the group. They approach and give attention to others.

Leaders put themselves on the frontline to serve. As a result, others feel their presence because of the attention they give -- not receive. People do pay attention to those with power to reward or punish them. But they enjoy being around those who are humble, willing to serve, and give them the proverbial time of day.

Never whine

Constant complaining characterizes losers. The habit follows those who lack success and feel powerless to improve things for themselves. By their very act of whining, people are admitting that they lack the competence, character, communication skills, or commitment to improve things. Not a good message to send.

Follow protocol in mixing business with pleasure

Because of the heavy demands on their time, leaders blend their social and work lives, often building their personal relationships through business contacts, and vice versa. As the old saying goes, people do business with people they like. Be the liaison who brings people together over lunch, a golf game, committee work, or causes. Understand the rules of etiquette in each of these situations: introductions; timing and appropriateness of business topics; appropriate dress; who arrives first; who pays. It's these little things done right that shout "class."

Act with intention. Communicate with confidence. Lead with clarity.

The opinions expressed in this commentary are solely those of Dianna Booher.

@highlight

Dianna Booher explains key habits, skills, and characteristics of true leaders

@highlight

Commit to what you communicate, and follow through, says Booher.

@highlight

"Delivering the goods attracts attention and demands respect," she adds