San Diego (CNN) -- Introducing a new word: "cultuphobia." It means the fear that another person's culture is taking over your own.

The word may be new, but the concept is ancient. America is a land of immigrants that has, in truth, never liked immigrants -- no matter where they came from and whether they came with the proper documents or a letter of reference from the Queen of England.

Part of the reason that we don't like immigrants is because they frighten us. And one way in which they frighten us is because we worry that -- with the changes they bring -- they'll wind up marginalizing us and making us less important and less relevant.

There is a name for that fear: cultuphobia.

For an example, look at what happened this week to mark the launch of the new English-language, Latino-targeted television network Fusion, founded by ABC and Univision. The parent companies came up with what they thought was the cute idea of swapping anchors on their top-rated morning shows.

The Spanish-language show, "Despierta America," which is based in Miami, sent hosts Raul Gonzalez and Karla Martinez to New York for some early morning chitchat with George Stephanopoulos and Robin Roberts, the hosts of "Good Morning America." Meanwhile, GMA sent Lara Spencer and Sam Champion to Miami to visit with the "Despierta America" crew.

Come to think of it, this was a pretty good idea. And no one seemed to enjoy it more than the hosts who switched places.

In New York, Gonzalez and Martinez were on the "Good Morning America" set on the same day as Enrique Iglesias, who sang a new song. Everyone seemed comfortable with one another, and there was a lot of laughing and dancing.

In Miami, Spencer told The Huffington Post that she "had no idea how much fun it was" to be on Spanish-language television and implored producers to "please have me back." Champion proclaimed that he loved the experience and didn't want to go back to New York. "I'm staying," he told the website. More laughing and dancing, this time to mariachi music.

It is no wonder that it all went so well, proclaimed Mexican actor Eugenio Derbez, who was also a guest on "Despierta America" that day. His hit movie "Instructions Not Included" is in limited release in the United States. After all, these days, the language barrier is just a puddle jump and, he said, among Latinos in the U.S., "everyone speaks both English and Spanish."

Here is where the story gets interesting.

Judging from the reaction on the "Good Morning America" page on Facebook and the comment section following news stories about the switch, many regular viewers of "Good Morning America" did not appreciate the gimmick. In fact, many of them were furious. Some said they changed the channel. Others vowed to never watch the show again if there is a repeat performance. "This had better be a one-time thing," wrote one disgruntled viewer.

One woman complained that, when she tunes in to her favorite morning news show, she expects to get what she always gets -- the news of the day "in ENGLISH."

There's the giveaway. For many of those angry "Good Morning America" viewers, it might just have been a case of them preferring to stick with what they like. But for others, it was a case of cultuphobia. These viewers aren't just protecting their favorite show, but -- as they probably see it -- their language, culture and civilization.

This is the other side to cultural marketing, and it's ugly.

A corporation -- or in this case, a media company such as ABC -- might vie for a larger market share by going after a new set of viewers and alienate its core audience members, who feel slighted, ignored or insulted. When that happens, the core isn't quiet. The core speaks up. Maybe next time, the company decides it isn't worth it.

I hope that doesn't happen here. I hope ABC will stand its ground and continue down this road of trying to reach Latino viewers.

Still, I'm not sure how Fusion will perform in the long run. I have concerns, and I'm not alone. While the new network is marketed to younger viewers who speak English, it doesn't seem that they've thought deeply about how to reach their viewers. That's not an easy demographic group to tap into, for either marketers or media.

Plus, Fusion would be better off not becoming simply an English-language, hipper version of Univision, where -- as I would put it -- the anchors are white and the politics are blue. The liberal Spanish-language network is all about advocacy journalism and protecting what it sees as the interests of Latino immigrants -- especially the undocumented.

Yet, on most of its telenovelas, which are produced in Mexico, the lead actress is European-looking with light skin. So, at Univision, they seem to believe that dark-skinned immigrants should have the full pallet of rights -- except, apparently, the right to appear in a starring role on Spanish-language television.

That's evidence of a different kind of phobia, and a depressing reminder that -- in either language, and either of side of the border -- people are the same, and prejudice is alive and well.

Join Us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Ruben Navarrette

@highlight

Ruben Navarrette: "Cultuphobia" is fear that another culture is taking yours over

@highlight

Navarrette: We worry that new cultural changes will marginalize us

@highlight

When Spanish hosts came to "Good Morning America," some viewers were upset

@highlight

Navarrette: Either they didn't like their morning routine changed, or they were "cultuphobic"