(CNN) -- Onne van der Wal was born to be on the water -- and after witnessing decades of incredible sailing innovations, the renowned photographer now feels like he's an "astronaut of the sea."

"It's more like space travel and I love it," the Dutchman says of yachting's extraordinary technological progress over the past 30 years.

While he hasn't quite had to reach for a helmet and suit, the boats which van der Wal now sails on are light years away from those which he used to frequent as a youngster.

The America's Cup competition, in particular, has taken advantage of innovative materials such as carbon fiber and Kevlar, which were used on the International Space Station and the Space Shuttle orbiter, to create futuristic racing machines.

"When I started racing large sailboats offshore, the sails were made of Dacron, one click up from canvas," van der Wal told CNN.

"The masts were built of aluminum or wood, and the hulls were built of aluminum or fiberglass.

"Today it's all about carbon-fiber boats -- lighter, stiffer, faster -- and the spars (used in rigging) are taller, skinnier, stiffer and smaller sections.

"The sails are laminated, made of carbon or Kevlar, have perfect shape, keep their shape for longer periods of time, have a wider wind range and most importantly are much lighter and easier to handle."

Van der Wal made his first real foray into the world of sailing photography after taking part in the 1981 Round the World Race -- an event now known as the Volvo Ocean Race.

A keen sailor as a child and teenager, the sea was a second home to the Dutchman, who was brought up in Hout Bay, South Africa.

While working on commercial fishing vessels and maintaining race boats, van der Wal spent much of his spare time sailing -- crossing the Atlantic more than 10 times as well as racing in several other events.

But it is that race some 33 years ago which is etched into his memory -- a relic from sailing's past which gave little clue as what was to follow.

"When I did the Round the World race it was an adventure; the same race is now a business run by professionals and sailed by well-paid professionals," he recalls.

"If you want to see a change in sailing, look at the America's Cup. The boats they now sail are so extreme, very cool, but talk about light years from just 10 years ago.

"Then the top speed of the boat was about 15 miles per hour and nowadays they're hitting 50 mph.

"Foiling 72-foot catamarans with wing masts, space-age stuff built of all carbon, now that's a change in what was yachting. It still is but it sure doesn't look and feel like it."

After being approached to take photographs by Sail Magazine during the 1981 race, van der Wal soon discovered he possessed a talent few others could equal.

The thrill of combining his love of sailing with his penchant for photography has taken him as far north as Spitsbergen in the Norwegian Arctic and as far south as Antarctica.

Now living in Newport, Rhode Island with his wife and three children, van der Wal has continued to produce some of the most beautiful images that the sailing world has seen.

His new book "Sailing," which includes nearly 200 color photographs and five gatefolds of panoramic images, showcases work from across the globe.

"I'm so lucky to do a job I love," he says. "I've had some wonderful experiences.

"There are times where you are barely afloat and have the gales blowing. There have been some scary moments, but to get the pictures you have to go through all of that.

"If you stay at home you won't get those photos."

The advances in technology have not only helped the experienced professionals -- the amateur photographer is now better equipped than ever.

Smartphone cameras and DSLRs make taking photos easier than ever, and van der Wal believes these developments can only be good for photography in the long run.

"We've come a hell of a long way since film," he adds.

"The change has been radical and has not only dramatically changed photography for the professionals but brought it to the masses as well.

"Everybody now shoots be it with smartphone or a DSLR. The pictures are better, sharper, better color, no grain, super sensitive in low light -- you can shoot by candle light if needed.

"You can blow up the images to the size of a billboard and to top it all off it's so much easier to do.

"The tools we have today make for much better photography for everyone, and I love it."

@highlight

Onne van der Wal is one of world's most famous sailing photographers

@highlight

Born in the Netherlands, he moved to South Africa as a child

@highlight

He started taking pictures of sailing while on 1981-82 race around the world

@highlight

Sailed north to Spitsbergen in the Norwegian Arctic and as far south as Antarctica