(CNN) -- On Tuesday, our nation will celebrate the 150th anniversary of the Gettysburg Address. President Abraham Lincoln spoke for only two minutes. He started off by reminding his audience that it had been only 87 years since the country's founding, and then went on to embolden the Union cause with some of the most stirring words ever spoken.

He hoped that despite the terrible battle that had taken place at Gettysburg, his country might still have, as he put it, "a new birth of freedom."

Within his famous address, he stated, "The world will little note, nor long remember what we say here, but it can never forget what they did here." Yet a century and a half later, we still honor those sacred words he spoke on the battlefield in Pennsylvania as some of the most important words ever spoken.

It is my hope that Americans across our great nation will take this occasion to look deeper into the history and legacy of the Gettysburg Address and the great sacrifices for freedom Lincoln honored in the midst of the Civil War.

A great way to start is by simply picking up the brief speech and reading it aloud. Read it to your children, your parents and your friends. As you read this timeless piece of oratory, engage in a discussion with those around you on what these words mean to us today.

Let us ask ourselves how it is these words have endured the test of time, especially in current times. We suffer today from what the late historian Arthur Schlesinger Jr. said was "too much pluribus and not enough unum." Few things survive in these cynical days to remind us of the union from which so many of our personal, as well as collective, blessings flow.

Indeed, we have to look no further than the story of a tiny school in Putney, Vermont, the Greenwood School, to understand why this speech above so many others survives. Each year at the school students are challenged to memorize and then publicly recite the Gettysburg Address. These students, boys 11 to 17, all face a range of complex learning differences that make their personal, academic and social progress challenging.

I was inspired by these students and that President Lincoln's historic words motivated them, so much that I am launching today an initiative to encourage as many people across the nation, especially students, to read aloud and learn about the Gettysburg Address.

All five living U.S. presidents, as well as newsmakers and notable Americans from across the country, have already submitted videos of themselves reciting the address to learntheaddress.org. In the tradition of our great democracy, anyone who wishes to participate can join us in doing the same.

As we consider Lincoln's words, we come to a greater appreciation of the significance of that day, just four and a half months after the Battle of Gettysburg, when the president of the United States of America journeyed to the now-quiet battlefield to dedicate a cemetery to those who fell in the greatest battle ever fought on American soil, in a war that had torn our fragile Republic in two.

It is my hope, and that of so many people who have helped with the "Learn the Address" initiative, that we embrace the 150th anniversary and take this opportunity to more fully understand our democracy and our freedom.

That we all discover the Gettysburg Address beyond "four score and seven years ago." In doing so, we hope to appreciate more fully "that this nation, under God, shall have a new birth of freedom -- and that the government of the people, by the people, for the people, shall not perish from the earth."

+ + +

THE GETTYSBURG ADDRESS:

Four score and seven years ago, our fathers brought forth on this continent, a new nation, conceived in Liberty and dedicated to the proposition that all men are created equal.

Now we are engaged in a great Civil War, testing whether that nation, or any nation so conceived and so dedicated, can long endure. We are met on a great battlefield of that war. We have come to dedicate a portion of that field, as a final resting place for those who here gave their lives that that nation might live. It is altogether fitting and proper that we should do this.

But, in a larger sense, we can not dedicate -- we can not consecrate -- we can not hallow -- this ground. The brave men, living and dead, who struggled here, have consecrated it far above our poor power to add or detract. The world will little note, nor long remember what we say here, but it can never forget what they did here. It is for us the living, rather, to be dedicated here to the unfinished work which they who fought here have thus far so nobly advanced.

It is rather for us to be here dedicated to the great task remaining before us -- that from these honored dead we take increased devotion to that cause for which they gave the last full measure of devotion -- that we here highly resolve that these dead shall not have died in vain -- that this nation, under God, shall have a new birth of freedom -- and that government of the people, by the people, for the people, shall not perish from the earth.

Join us Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Ken Burns.

@highlight

Tuesday we mark the 150th anniversary of President Lincoln's Gettysburg Address

@highlight

Ken Burns: The words spoken at a Civil War cemetery are some of the most important ever

@highlight

Burns is launching "Learn the Address," a way to more fully understand democracy

@highlight

Burns says today, we should ask ourselves what has made these words endure