The first thing you notice is the smell: rich, deep, and mysterious. And somehow, both fresh and musty at the same time. It's a scent that immediately piques your curiosity.

CNN's On the Road Japan team visited Japan's oldest whisky distillery just outside Kyoto to learn more about a spirit that's just been named the best in the world.

Just a few weeks ago, the Yamazaki Single Malt Sherry Cask 2013, made by beverage giant Suntory, took home top honors in Jim Murray's "Whisky Bible".  The whisky guru referred to it as "near indescribable genius." Scotch didn't even make the top three.

While Japanese whisky has been taking home awards for over a decade, this was a first.  And standing in the cellar piled high with oak casks, some American, some Spanish, and some Japanese, you get the sense that its rise around the globe has only just begun.

Don't call it Scotch

Suntory's Chief Blender Shinji Fukuyo is responsible for every bottle of whisky  -- don't call it Scotch, he says -- that leaves the 90-year-old distillery.

While the Scotland-trained Fukuyo is modest about taking home the top title, he is clearly proud of what Japanese whisky has achieved.  The secret, he says, is not boldness, but balance.

Perhaps it's the purity of the water, which Fukuyo says makes a gentle spirit. Or maybe it's because the whisky is exposed to Japan's dry, cold winters and hot, humid summers as it matures inside those casks. Or maybe it's about the blending.

"The Scotch industry has more than 100 distilleries there, so blenders can choose from each distillery," Fukuyo points out. "But we have only two malt distilleries, one grain distillery.  That's why we have to make different types of whisky even in one distillery.  It's our challenge."

Creating a perfect blend

Suntory's blender won't show us the secret behind his craft, but when we ask him how he maintains the quality he gives us a glimpse into the science.

Formulas of the most popular labels can change up to two dozen times a year, Fukuyo says, because no two casks are exactly the same.  Change one ingredient in the blend and that precious balance is no more.

It's a challenge that seems even more daunting when we learn some products use 15 or 20 different types of whisky.  Even single malt contains whisky from about ten casks, he says, although all from a single distillery to qualify for the single-malt moniker.

A matter of taste

From blending, we're on to tasting. If you like your whisky neat, well, here's the first big surprise with Japanese whisky: add water.  Even if it's just a dash.

Fukuyo says adding water is a must in order to release the aromas and savor the full flavors. That's because most Japanese enjoy drinking whisky with a meal, sometimes on the rocks, sometimes in a highball glass with soda.

So once in the glass, the whisky has to hold its character and flavor, even while the proof begins to drop. Fukuyo confesses he drinks it straight, but definitely not without a drop or two of water to open it up.

As for that best-in-the-world whisky? You can't get it in Japan, Fukuyo says. Only 3,000 bottles were released, and they were all exported.

Whisky culture

While Japanese whisky is making headlines, whisky culture in the country is distinctly low-key. Many whisky bars are small with only a dozen or so seats and a solitary bartender.

Takayuki Suzuki, the cocktail designer at the Park Hotel Tokyo, gives us a first-hand look at Japanese whisky bar-tending skills. Suzuki's nickname is "Mr. Ice Man," and we soon learn why when he sets to work transforming a rough, softball-sized block of ice into a smooth sphere.

Fragments fly in every direction as Suzuki chips away, before he spins his handiwork into a lowball glass, pours single malt whisky over the top and then carefully lifts the cube twice with a spoon to release the aromas.

"Japanese whisky has a good balance," Suzuki says. "Compared with Scotch whisky, it does not lose the taste and flavor when you mix it with other drinks. It is easy to use as a cocktail base."

So we ask for an Old Fashioned. And he just looks at us. A different bartender might raise an eyebrow, but Suzuki is far too polite.

Which Japanese whisky would be best for that, we ask.  The answer, it turns out, is none.  According to Suzuki, mixing the spirits with anything but ice, water or soda, would ruin its purity and balance.  But he says of course he'll make one if the customer really wants it.

We've learned our lesson.  Another 12-year Yamazaki on the "rock," please.  It's time to relax and enjoy.

CNN's Paula Newton & Yoko Wakatsuki contributed to this report.

@highlight

Last month a Japanese whisky was named the best in the world

@highlight

The Yamazaki Single Malt Sherry Cask 2013 topped Jim Murray's "Whisky Bible"

@highlight

Japan has only three distilleries compared to over 100 in Scotland