Athens (CNN) -- Wandering through central Athens' Syntagma Square, Maria Papanagiotaki and Aristotle Skalizos stop to perch on a sun-soaked bench as they consider their future.

The couple, who have been dating for two-and-a-half years, belong to Greece's post-junta generation, growing up as the country emerged into its modern democracy.

As Greece's turbulent history faded into its past, the country's political landscape remained fraught with nepotism and mismanagement.

Read more: Is Greek democracy regressing?

But the boom times had begun. Greece entered the euro in 2001, and ex-pat money flooded back into the country.

It hosted the Olympic Games in 2004, swelling the country with pride.

But by 2009 -- when the country admitted its deficit was out of control -- the financial mirage evaporated. Maria, 34, and 25-year old Aristotle's generation was caught in the fallout.

The couple belong to a young professional class that will help shape their country's future. Together, they must decide if they are willing to live through -- and help alleviate -- Greece's pain.

Their views differ dramatically, and it weighs on their relationship.

A few meters away from where Maria, an electronic mobile technician, and Aristotle, an electronics tester, chat, a man stumbles to his knees, dropping a begging cup. Grasping for it as it rolls away, he ends up splayed on the ground.

It's a disturbing sight, but one which has become increasingly common in Athens since austerity measures began to bite.

Greece's poverty, suicide and crime rates have increased alongside unemployment and emigration.

It is this environment Maria wants to leave. She dreams of life outside of Greece, in the UK or the U.S., where she has relatives. "I have to go," she says. "I have to leave from here."

Aristotle wants to remain. "I want to stay and fight," he says. "I don't want to abandon my country."

His reasoning is clear: "I love my country."

Maria and Aristotle

Maria and Aristotle began dating after meeting at their workplace, a Germany-based telecommunications company. The relationship blossomed after, in Maria's words, "he saw me there, we became friends, he was trying to approach me in any [way]... and finally after eight months we were together."

They moved in together, but say their financial situation has become increasingly difficult as the crisis has unfolded. Each has taken a significant cut in pay since April, in part because both have seen their work week reduced to four days a week.

They now earn €1,160 ($1,415) a month between them, down from €1,480 ($1,805) two years ago.

They pay €300 ($366) in rent and around €65 ($79) a week in groceries, but face extra costs because of the crisis. Since Aristotle's father's sculpture business went bankrupt in the recession, the young couple must also help his parents get by, he says.

Neither voted in the June 17 elections, because they could not spare the cash to return to their home villages -- €15 ($18) for Maria, and €40 ($48) for Aristotle -- to vote.

Pro-austerity package party New Democracy won the election, despite soaring support for the radical left Syriza party.

Alexis Tsipras, who heads Syriza, is, like Maria, is in his 30s. Tsipras's vociferous rejection of Europe's austerity-driven demands for Greece appealed to discontented youth, with the party capturing 33% of 18 to 34-year-olds, compared to 20% for New Democracy.

The surge is all the more dramatic given that Greeks, born in a country where family loyalty is embedded deep in the national psyche, usually vote the way of their forebears.

Maria, for one, would have fallen behind her parents and voted New Democracy. The party now leads a fragile coalition, but that provides no comfort for Maria.

A country fights for its future

Greece's new government is now renegotiating its bailout package, but there is no guarantee the country will emerge from years of recession. And the country could lose people like Maria and Aristotle overseas, while those with less hope could give in to despair.

More than 50% of working age Greeks under 26 are without a job. Those just entering the workforce are particularly hard-hit, with 2011 figures from Eurostat showing 56% unemployment among those aged 15 to 19. Around one in four workers under 39 years old are unemployed.

Eurostat figures show the extent of the exodus of young workers fleeing Greece's crisis. In 2010, almost 2.5% of those in their mid-to-late 20s left the country, while around 2% of those aged 30 to 34 emigrated.

Dreams of going abroad

Those choosing to leave must struggle against the desire to stay and help their family, and overcome a deep loyalty to a country which has suffered under civil war, dictatorship, and foreign rule under Germany, now its main paymaster.

Those entering the workforce carry a cultural weight of responsibility to family. Aristotle's 19-year-old brother, Nick, a student, wants to move to the Netherlands to study fine arts. Holland attracts him because of its place in art history, and the "country and the color of the sky are beautiful," he says. But any money he earns -- after he's made enough to get by -- will be sent back to Greece, to help his family.

Marios-Aristotle Koulouris, a 23-year-old soldier, also wants to go abroad, and study political science. But he wants to return, to break his generation's "consciousness of dependency."

Greece, he believes, needs to "rise up and develop its own power, to protect our people's benefits. Economically and politically, we need to rise up."

The country's next generation needs to be taught the value of productivity, he believes. The crisis represents a chance "to change people's minds.... to abolish the mentality of dependency."

Coming back home

Some of those who have left Greece have already returned in an effort to help the country they love.

Christina Psarra, a 27-year-old who works in policy at humanitarian organization Doctors of the World studied at the London School of Economics, while George Stathopoulos, a 33-year-old investment banker studied at Middlesex University.

Although their educations opened a world of possibility, both opted to forgo careers abroad to return to Athens.

Christina says when her studies in London were coming to an end last year, she knew it was time to "feed my heart not my mind."

Christina and George describe Greece as a country where one always cooks extra food in preparation for a guest, where a feisty debate over sport will end with friendly drink, and where parents maintain close contact with children after they leave home.

But this often idyllic country today finds itself immersed in anger and fear. And Christina, who is passionate about helping the vulnerable and now works with drug addicts, says she doesn't know which is more dangerous.

"I'm afraid for other people and myself," she says.

With the option to work overseas, she believes she may be forced to leave, due to Greece's lack of opportunities. "I have the chance, I have the choice to decide to live abroad. If I am forced to do it, I can do it," she says.

George believes the country can -- should it follow the example of others, such as Turkey -- restructure itself into a viable European economy. The revelations of its financial irresponsibility, which led the spiral into bailout, were akin to the country being caught "skinny-dipping" when the tide went out, he says.

George wants to see the country's red-tape unraveled to allow investment into its promising industries such as tourism and shipping. The problems for Greece are structural, he says, and that can be a "glass half full ...you can see that as an opportunity. [If] you realize you have a problem, you can transform how you do business."

The way he sees it: "The game is not lost but we are two goals behind."

Marios-Aristotle also sees opportunity in Greece's future, and he is not afraid of the pain that may still come. "My country [during] its history has passed many greater disasters. So I am not afraid."

For Aristotle, there is one answer to a difficult question. It goes against his wishes but he will put his relationship with Maria ahead of his country. "I love [Maria], and I will follow her. I will sacrifice," he says.

@highlight

Maria Papanagiotaki and Aristotle Skalizos are in love, but they disagree over whether to stay in Greece or leave

@highlight

The couple belong to a generation devastated by the country's economic crisis

@highlight

Others who have left Greece come back to contribute to the recovery of their homeland

@highlight

The country's young face such dilemmas even as politicians try and renegotiate the bailout package