Hong Kong (CNN) -- Squads of local government enforcers are operating in Chinese cities without proper supervision, often employing brutal methods and carrying out illegal detentions, a new report from Human Rights Watch claims.

The 76-page report, "Beat Him, Take Everything Away," documents abuses by the Urban Management Law Enforcement units, known as "chengguan," whose principle function is to assist regular police in tackling low-level crime in urban areas such as traffic violations and unauthorized street vendors. It says the behavior of "thuggish" officers has caused widespread public anger and undermined social stability.

While they have the power to impose fines on violators, the chengguan do not have the authority to detain people or use excessive force.

Read the full report here

But victims of chengguan abuse -- many of them street vendors -- describe being dragged, punched, kicked, and thrown from their vehicles to the street for no apparent reason, while others report being ordered to pay arbitrary fines or even being taken into custody without a reason given.

One victim, a 32-year-old migrant from Henan province, told HRW that three chengguan officers in Beijing got onto her cart and without explanation began confiscating the grapes she was selling. When she protested, they began kicking and cursing her. They said "F*** your mother. You dare ask us for a reason?"

Last year, three officers from a local city management bureau in northeast China's Liaoning Province were arrested after a man died when he was attacked trying to lay cement outside his home, the state-run Xinhua news agency reported. No details about the fate of the officers were given.

The New York-based rights group claims chengguan have also been implicated in the forced eviction of residents from their homes "at a time when alleged collusion between corrupt officials and property developers has created what a Chinese human rights organization has described as a 'pandemic of illegal demolition' in China."

HRW says the report is based on interviews with victims of abuse and other research in six Chinese cities between mid-2009 and 2011, and builds on work documenting violations by Chinese police and other public security forces over the past five years, including enforced disappearances, abuses in detention and torture.

"One of the alarming aspects of the chengguan is that there is no clear national framework -- a legal one, a training one -- for supervising and disciplining the chengguan," Sophie Richardson, HRW's China Director told CNN.

"It's up to the individual municipalities how to define and manage these forces, so it's very unclear to whom they can be held accountable."

In November last year, the Beijing Urban Management Bureau issued guidance for its enforcement officers, according to a Beijing Evening News report cited by China Daily. New guidelines prohibit officers from beating, abusing or insulting the other party, the forceful seizure of goods, forceful checks on vehicles, chasing vehicles and chasing people on foot.

More than 7,000 urban management officers and 6,500 security guards and assistants would receive training on the new regulations, the article added.

The HRW report comes at time when China's Communist Party is battling to restore a sense of unity and stability in the country as it prepares for a once-in-a-decade leadership transition. Recent allegations of abuses by Chongqing authorities under disgraced former Party chief Bo Xilai, and the controversy surrounding the treatment of blind activist Chen Guangcheng, have put the leadership on the back foot.

Chinese human rights activist Chen arrives in U.S.

Richardson pointed to a similarly sensitive period for China's leadership as the country prepared to host the 2008 Olympic Games, and it invested heavily in its security forces, giving them more resources and political power to reinforce their control.

The rise of the chengguan, she says, is consistent with that strategy, though it appears to be backfiring. "Part of the point we're trying to make with this report is to say 'this force is causing instability by virtue of its brutal conduct,'" she said.

"It's prompting violent reprisals on the street. If really what you're looking for is policing in the sense of the way we understand it, this is not the solution."

A protest in Anshun, Guizhou province in July last year was sparked by reports that local chengguan had beaten a disabled fruit vendor to death, Caixin Online reported. The crowd clashed briefly with city authorities before eventually dispersing.

The middle-aged street vender, who had a false leg, was chased by officers before he was attacked, witnesses reported in microblogs cited by Caixin.

Chinese authorities could not be immediately contacted for a response to the HRW report.

@highlight

"Beat Him, Take Everything Away," cites abuses by Urban Management Law Enforcement unit

@highlight

Behavior of "chengguan" has caused widespread public anger, undermined social stability

@highlight

Victims of chengguan abuse -- many of them street vendors -- say they've been chased, beaten

@highlight

Urban Management Law Enforcement unit used to tackle low-level urban crime