Cambridge, Massachusetts (CNN) -- Did Wal-Mart's Mexican subsidiary pay bribes, in 2005 and earlier, to the Mexican officials who grant permits for stores like Wal-Mart? And did Wal-Mart cover up these actions for several years, after an internal investigation discovered the bribes, before finally reporting the internal investigation to the Department of Justice and the SEC last December?

The answer, according to recent news accounts, is yes. This could mean that Wal-Mart violated the Foreign Corrupt Practices Act, adopted in 1977, which forbids U.S. companies from paying bribes to foreign officials.

If Wal-Mart violated the law, U.S. officials should prosecute. No one should be above the law, whether the law is sensible or not.

Yet the public and policymakers should also consider whether the Foreign Corrupt Practices Act is good policy. And despite good intentions -- particularly, the goal of reducing corruption -- it is not.

The act is difficult to enforce on a consistent basis, since companies that wish to pay bribes can circumvent the law in numerous ways, mainly with minimal risk of exposure. So, most violations go undetected. The act therefore hurts companies that break the law clumsily and get caught, thereby creating a competitive advantage for companies that break the law cleverly and get away with it.

The most likely outcome is therefore that the Foreign Corrupt Practices Act has minimal impact on bribes but enriches the least honest companies. And if the act deters bribes by U.S. companies operating abroad, that is even worse.

The reason is that the threat of prosecution under the act discourages U.S. companies from doing business abroad in the first place. This holds especially with respect to poor countries where corruption -- pay to play -- is endemic. Thus foreign investment, along with the higher wages and increased competition this investment promotes, is less likely to occur in these countries, condemning their citizens to ongoing poverty.

The act is also harmful, especially when it reduces bribes, because much bribery is an attempt to get around laws that make little sense in the first place. Such laws include barriers to entry, union protections that make firing or plant closures all but impossible, and excessive environmental, health and safety regulation.

These policies have good intentions, but they are frequently so onerous that their main effect is to discourage economic growth, which is critical for alleviating poverty. These policies are a key cause of corruption; it is impossible to do business in some countries without paying bribes that limit the impact of costly regulations.

The Wal-Mart example is a perfect illustration of this dynamic. Mexico has a messy permitting process for allowing companies like Wal-Mart to open new stores. This permitting barrier is bad for Mexicans because it reduces the number of new Wal-Marts or slows their opening. Mexicans therefore pay higher prices for the wide array of inexpensive goods sold by Wal-Mart.

If these negatives were not enough, the act harms U.S. companies relative to those from other countries that do not face something like the Foreign Corrupt Practices Act. Other countries have adopted similar laws in recent years, but enforcement is often weak.

Corruption is a huge problem in many countries, especially the developing world. Much of the corruption, however, arises from excessive government that hurts economic productivity and creates the incentive to pay bribes. The best solution is to scale back these aspects of government. Since that is not always possible, however, it is better to allow companies from the United States and other rich countries to pay the bribes that diminish the negative impact of excessive government.

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Jeffrey Miron: Wal-Mart is facing allegations it covered up a bribery scandal

@highlight

He says the company should be prosecuted if it violated the law

@highlight

Miron says the law forbidding bribery overseas is a mistake, penalizes U.S. companies

@highlight

He says law discourages U.S. companies from doing business in the poorest nations