(CNN) -- In their first year at Yale Law School, many of the students who would graduate  in 1979 were nervous about raising their hands. They often felt intimidated by their professors and complained to one another outside of class.

Sonia Sotomayor is pictured in the 1978-79 yearbook of Yale University Law School.

But not the confident, outspoken Sonia Sotomayor, classmates recall.

"She was always willing to speak up and give her point of view," said classmate Robert Klonoff, now dean of the Lewis and Clark Law School in Portland, Oregon. "I just remember, even back then, thinking that in a group of very, very smart people she was destined to go great places."

Sotomayor, who was nominated to the U.S. Supreme Court on Tuesday, has been described as a studious, outgoing person by classmates from her class at Yale.

"At a time when other students were sitting around worrying about workload, she was doing the work," said Stephen Carter, who attended Yale Law School with Sotomayor and now is a professor there.

Classmates noted that Sotomayor's background was not typical for a Yale Law student. While many other students had come from wealthy backgrounds and had parents who attended the university, Sotomayor grew up in a housing project in the South Bronx in New York. She then attended Princeton University on a scholarship, graduating summa cum laude in 1976.

Her background didn't seem to shake her confidence, classmates said. And she did not use her experience of hardship as leverage in arguments, Carter said.

"She would never sit around and say, 'Oh, well, I grew up in a housing project so I know,' " he said. "She didn't feel her background gave her some kind of special trump. She wanted the argument to work. She would tell you why she thought something, and the 'why' never had anything to do with where she came from."

Sotomayor's emphasis on opportunities for people of color has been instrumental in Klonoff's own thinking, he said.

"As dean, I'm very passionate about diversifying my law faculty and diversifying the student body," he said. "She was very influential in my own thinking on that, on the importance of those values."

Sotomayor demonstrates passions for the law and questions of justice, said Susan Sturm, a Columbia Law School professor and classmate of Sotomayor at Yale. The two women still keep in touch, Sturm said.

"She's someone who really respects and admires the law as an institution and, within that, the law's capacity to really respond to concerns running the spectrum of people who are currently disadvantaged and those who have responsibilities," Sturm said.

Outside of class, Sotomayor served as an editor of the Yale Law Journal. Several of her classmates remember a note she published in the journal about whether Puerto Rico would lose its rights to offshore minerals if it became a U.S. state. Carter was impressed by her use of an old doctrine of constitutional law in her analysis -- she looked at its roots, its reasoning, and the best way of crafting exceptions to it.  Learn more about Sotomayor's life »

"Her work was thorough, dogged, careful and persuasive; steeped in legal sources and attentive to real-world consequences," said Martha Minow, now a professor at Harvard Law School, in an e-mail. She and Minow were classmates and remain friendly, she said.

Sotomayor's later opinions as a judge on the court of appeals reflect some of the same qualities seen in that note, particularly the idea of finding a practical, "in-between" solution to a problem, Carter said.

"She looks and she says, 'I understand a lot of people think A, and a lot of people Z, but if you look at this carefully the real answer is somewhere between those,' " he said. "And indeed what she does in finding these in-between answers is she applies a practical sense, the sense of someone who has been a courtroom lawyer."

Today, Carter teaches some of Sotomayor's business law opinions in his courses. Her continued emphasis on finding practical solutions is refreshing in a world where public discussions about law are usually about "good guys and bad guys," he said.  Learn about the other Supreme Court justices »

"'Good guys and bad guys' is a wretched way to pick judges and it's a wretched way to make law. Thinking about what works practically is a much finer way to make law, and I think that's what you'll find Sonia doing."

The choice of Sotomayor for the Supreme Court seemed so appropriate to Klonoff that, upon learning Justice David Souter was stepping down, Klonoff wrote a letter to the President's Council urging that she be nominated.

"Given her life experience, I think she's going to have a sensitivity that many others couldn't bring to the job," said Klonoff, who also still keeps in touch with Sotomayor.

"This was a master stroke for the president, I think, on so many levels, and not only to have the first Latin-American on the court, but to pick someone with absolutely impeccable credentials and experience, and to have both the trial and appellate experience," Klonoff said.

"She's really smart, intellectually brilliant, she's street smart which is a nice thing to be, in my view, if you're a judge," said Rudy Aragon, now an attorney in Miami, Florida, and classmate of Sotomayor. He and Sotomayor were co-chairs of LANA, the Latin, Asian, and Native American student association at the law school.

He also said that Sotomayor's mother saved up all her money to buy a set of encyclopedias so her kids could learn.

Personally, Sotomayor is "warm, funny, and down-to-earth," said Harvard professor Minow. The judge is a "born teacher" with an attentiveness to detailed facts, she said.

"She has never forgotten where she came from, nor how challenging life can be for people struggling to make it in this country," she said.

@highlight

Sonia Sotomayor graduated Yale University Law School in 1979

@highlight

She has been described as outgoing and studious by former classmates

@highlight

In the Yale Law Review she wrote about Puerto Rico's potential statehood

@highlight

Classmate: Sotomayor is a "born teacher" with an attentiveness to detailed facts