(CNN) -- Of the two of us, Linda is the fan of professional football. And every football fan realizes football games are extremely violent. We are both also feminists. And every feminist knows the women's movement denounces all forms of violence. For a woman who is a football fan, this can be hard to reconcile.

So it was surprising to turn on the TV and find these opposing mindsets coexisting on the football field: Tough, hyper-masculine football players were wearing pink, a color associated with women and girls, femininity -- and sometimes vulnerability -- and also widely known to represent breast cancer.

Who could not be delighted, at first, to see such an apparent break in gender stereotypes? The NFL, it seems, has officially teamed up with the American Cancer Society with the "A Crucial Catch" campaign throughout October to fundraise and spread awareness about breast cancer. The campaign encourages women to get mammograms annually (even though the current state of knowledge is that screening benefits fewer and harms more women than once believed).

Does anyone doubt that the NFL's support of breast cancer awareness is mainly a strategy designed to give the impression that the NFL cares about women, and generate more female football fans? After all, from a public relations perspective, the pink ribbon is worth its weight in gold. Breast cancer has been the cause of choice for corporate marketers for almost two decades, sure to draw a crowd and profits.

But there is another women's issue, domestic violence, that touches many women and men, some of whom are professional football players. This, too, is an issue that would resonate with fans. And as it happens, "Pinkotober" is also Domestic Violence Awareness Month. Might the NFL throw the power of its brand behind this problem?

It would be a profound gesture from a perfect pulpit.

After all, the most recent high-profile discussions in America about domestic violence have centered on the violent actions of Ray Rice, Baltimore Ravens' running back, who was suspended from play when a video was released showing him punching and knocking out his future wife.

But Rice is by no means the only professional football player identified as a batterer. Even in very recent NFL history, again and again other star players have been implicated in violence in their personal lives, including Vikings running back Adrian Peterson; San Francisco 49ers' defensive end Ray McDonald, who was arrested last weekend on felony domestic violence charges; and Denver Broncos' wide receiver Rod Smith, to name only a few.

The incidence of intimate partner abuse in the United States is alarmingly high: One out of three women experiences this kind of violence, according to the American Psychological Association and World Health Organization. Since this violence is committed primarily by men, it can accurately be described as a men's issue, too. Think of the impact of having a bastion of hyper-masculinity, like the NFL, shining a light on it.

Of course the NFL has long been reluctant to focus on domestic violence. Even a recent set of PSA's on the issue have been late in coming, short in duration and far from enough.

Indeed, the league has repeatedly avoided, minimized and downplayed players' aggression on and off the field, responding only when negative press refuses to die down -- as in NFL commissioner Roger Goodell's finally admitting, weeks after revelations about the Ray Rice abuse incident, that he'd handled it poorly. ESPN's live feed of Goodell's remarks revealed a stream of Twitter comments from players themselves who found his mea culpa to be pointless.

This avoidance may be an attempt to manage public opinion. It might also be based in something psychologists call a shield of denial.

Simply speaking, denial is necessary for effective human functioning, to provide psychological protection from thoughts and feelings, such as the prospect of death, too devastating to contemplate for prolonged periods. Shielding oneself in denial enables a person to get on with life, or with the game or the season. There is nothing unusual about this human process; people prefer to feel good, not bad.

But there are moments when it's important, even necessary, to examine individual and cultural ideas instead of denying them.

The painful truth about domestic violence is that it is harmful and terrifying and forces individuals to face an agonizing reality. Under a shield of denial, people predictably avoid the emotional pain of realizing that domestic violence is going on all around us, including in the NFL itself. But by staying shielded, by not speaking out against men's violence against women, we quietly accept it. This is untenable.

There is a purple ribbon to denote Domestic Violence Awareness, but there is no ubiquitous ribbon culture to gather around. The NFL can help.

For the NFL to show it is serious about supporting women, why not lower the shield of denial about domestic violence and put the issue out there before the fans?

@highlight

Gayle Sulik, Linda Rubin: NFL observing Breast Cancer Awareness in October

@highlight

Writers: NFL wants to draw women; why not mark Domestic Violence Awareness month?

@highlight

NFL has had high-profile abuse cases; intimate partner violence ubiquitous in U.S., they say

@highlight

Writers: NFL in denial on domestic abuse. It could do good to publicly take up cause