Geneva, Switzerland (CNN) -- Western diplomats and Iran appear to be inching toward a breakthrough agreement that could slow the nation's suspected progress toward a nuclear bomb while easing some sanctions that have hobbled its economy.

Top diplomats from the United States, France, Great Britain and Germany rushed to Geneva on Friday to see whether they could close the deal, which has emerged suddenly after years of frustrating stalemates and Western suspicions of Iranian cat-and-mouse games with international weapons inspectors.

Russian Foreign Minister Sergey Lavrov may join them on Saturday, Russia's state-run Ria Novosti news service reported. China's foreign minister is also headed to Geneva, according to Press TV.

The planned arrivals Saturday of those officials suggested negotiations did not reach a deal Friday night, as the chief Iranian negotiator -- Foreign Minister Javad Zarif -- had earlier predicted.

Negotiations on Saturday will include a meeting of U.S. Secretary of State John Kerry, EU foreign policy chief Catherine Ashton and Zarif.

"The negotiations have reached (a) critical, very sensitive situation, and it needs decisions at higher levels," Iranian Deputy Foreign Minister Abbas Araqchi told reporters in Geneva.

The emerging deal would ease some sanctions on Iran if it stops enriching uranium to 20% purity -- a key step on the path to a nuclear weapon -- destroys its existing stockpile and takes other steps, according two senior U.S. administration officials.

For years, international leaders have suspected Iran of working toward nuclear weapons, fearful of the instability such a scenario could bring to the already tense Middle East.

Those fears include the possibility of a pre-emptive Israeli strike that could spark a broader conflict. In the past, Iran has threatened Israel with military attack.

Iran has denied working toward a nuclear weapon, and has said it will not submit to any plan that would totally eliminate its nuclear program.

Despite those issues, Zarif said a deal is within reach.

"We are at a very sensitive stage of negotiations, and it is best if these negotiations are done at the negotiating table rather than on live television," he told CNN's Christiane Amanpour. "But I can tell you that we are prepared to address some of the most immediate concerns that have been raised, and we expect reciprocally our concerns to be met by the P5+1."

He had earlier predicted the talks could produce a deal by Friday night.

U.S. official: We think Iran wants a nuclear deal -- and fast

Israeli Prime Minister Benjamin Netanyahu, who is not involved in the talks, warned that the proposed agreement is "the deal of a century for Iran" but a "very dangerous and bad deal for peace."

"It's a very bad deal," he said. "Iran is not required to take apart even one centrifuge. But the international community is relieving sanctions on Iran for the first time after many years. Iran gets everything that it wanted at this stage and pays nothing."

British Prime Minister David Cameron tweeted Friday that he had discussed the talks with French President Francois Hollande and they agreed the talks "offer an opportunity to make real progress."

Separately, the International Atomic Energy Agency, the United Nations' atomic watchdog agency, announced its director will travel to Iran on Monday to meet senior Iranian leaders. The agency's nuclear experts will meet the same day with their Iranian counterparts in Tehran, the agency said.

Despite the progress, officials said much work remains to be done.

Kerry said "some important gaps" remain in the negotiations, echoing earlier comments from his French counterpart, Laurent Fabius.

U.S. officials outline possible deal

Two senior U.S. administration officials said that, under the potential deal, Iran would agree:

-- to stop enriching nuclear fuel to 20% purity;

-- to render unusable most of its existing stockpile of such fuel;

-- to agree not to use advanced IR-2 centrifuges, which can enrich nuclear fuel five times faster than older centrifuges;

-- not to activate a plutonium reactor at Arak.

In turn, the P5+1 would agree:

-- to unfreeze some Iranian assets held in banks overseas;

-- to consider easing sanctions banning trade in gold, precious metals and petrochemicals.

Other sweeteners were also under consideration, they said.

One of the officials said the deal is designed to "stop Iran's progress by stopping the shortening of time by which they could build a nuclear weapon" while also providing temporary, reversible sanctions relief to Iran.

That official cautioned the deal is not done, but said it could happen if the Iranians agree to the P5+1's demands.

Most sanctions to stay in place

Speaking to NBC on Thursday, Obama said the United States would retain its "core sanctions" in place against Iran while granting "very modest relief" from economic sanctions.

"So that if it turned out during the course of the six months when we're trying to resolve some of these bigger issues that they're backing out of the deal, they're not following through on it, or they're not willing to go forward and finish the job of giving us assurances that they're not developing a nuclear weapon," Obama told NBC, "we can crank that dial back up."

Broader implications

The strategy of pursuing a phased deal "is a sensible way for the administration to proceed," said Nicholas Burns, former U.S. ambassador to NATO.

And if it works, reaching a deal with Iran would be "stunning," said Jane Harman, director of the Woodrow Wilson Center and a former member of the House Intelligence Committee.

"This is way beyond the initial deal that people speculated about," she said on CNN's "New Day" on Friday.

"If this can work, if they can get to this agreement today, I see all kinds of advantages for other issues pending in the Middle East, like Syria," she said.

Iran's cooperation could be key to ending the civil war there, she said.

'Getting to the root of the problem'

The details were hashed out during a bilateral U.S.-Iran meeting -- part of an apparent effort on each side to mend fences -- which lasted about an hour on the sidelines of broader talks under way in Geneva.

The U.S. delegation was led by Under Secretary of State Wendy Sherman. The Iranian delegation was led by Deputy Foreign Minister Araqchi.

Iran talks: Do we want a deal or a war?

"The main issue is getting to the root of the problem, which is the enrichment issue and all things that lead from that," Michael Mann, spokesman for Ashton, said on the sidelines of negotiations.

Moments later, the Iranian state-run Fars News Agency tweeted a quote from Araqchi: "Enrichment is our red line, and its suspension is unacceptable."

Iran's supreme leader 'not optimistic' about nuclear talks

When CNN asked Araqchi about the issue of uranium enrichment, he declined to answer.

"The talks are extremely complex and are now going into a serious phase," Mann said. "We want to focus on substance and hope there will be concrete progress over the next couple of days."

Zarif said Iran's nuclear program would continue in some form.

"There won't be a suspension of our enrichment program in its entirety," he said. "But we can deal with various issues. Various issues are on the table."

History of the issue

The sudden progress in meetings between Iran and the group of nations known as the P5+1 or EU3+3 -- United States, France, Britain, Russia, China and Germany -- comes after years of stalemate between Western nations and Iran over its nuclear program.

It also follows a slight thaw in relations between Iran and the West under newly elected president Hassan Rouhani.

Iran has always maintained its nuclear program is for purely peaceful purposes, despite repeated findings by U.N. weapons inspectors that the country appeared to be conducting nuclear weapons research.

In August, the International Atomic Energy Agency --the U.N. nuclear watchdog -- estimated that since declaring its nuclear program, Iran has processed 10 metric tons of uranium to 5% purity, the level used for nuclear power plants.

The International Atomic Energy Agency estimates that Iran has a stockpile of 410 pounds (185 kilograms) of uranium at 20% purity.

Weapons experts warn that this uranium could be further refined for use in a nuclear warhead.

Although experts suggest that amount would not be enough for a single warhead, the IAEA has warned that it believes Iran's nuclear program could have "possible military dimensions."

Iran has been under crippling U.N. sanctions related to its nuclear program since 2006. The United States first sanctioned Iran over its nuclear program in 2000.

Resolutions and sanctions passed by the United Nations in 2006 called on Iran to halt all enrichment activities and clarify that its nuclear facilities were being used for peaceful purposes only.

CNN's Karl Penhaul reported from Geneva. CNN's Elise Labott reported from Washington. CNN's Yousuf Basil, Andrew Carey and Jo Shelley contributed to this report.

@highlight

Iranian negotiator says "decisions (are needed) at higher levels"

@highlight

Russian and Chinese foreign ministers aren't expected until Saturday

@highlight

Top Western diplomats rushed to Geneva earlier Friday amid rising hopes for deal

@highlight

"Some important gaps" remain, Secretary of State John Kerry says