(CNN)The Irish writer James Joyce once said an excellent puzzle would be to try to cross Dublin without walking past a pub. A similar challenge for many cities in the United States would be to drive more than 20 miles on surface streets without hearing your wheels thrum over a perpendicular rail crossing.

Trains and cars must share an uneasy co-existence here in the nation that railroads built, and for many drivers -- especially those who live near active tracks -- the act of crossing them also comes with a brief pause, perhaps mindful of the 3,000 tons of angry steel that could theoretically be barreling toward them.

The horrendous possibility became a reality in the town of Valhalla, New York, on Wednesday evening when a Metro-North train slammed into an SUV that apparently got stuck on the tracks after a crossing bar dropped down on it. The driver, who apparently had gotten out of her car to investigate, was killed in the crash along with five passengers on the train.

Fatalities such as these are not an aberration. An average of about five people each week are killed in train collisions, far more than those who lose their lives in commercial airline crashes.

The exact cause of the Valhalla gate-lowering won't be known until the National Transportation Safety Board finishes its investigation. But the nation's big railroads usually take the position that careless motorists or daredevils trying to beat the lowering gates are always the cause of the problem. Evidence indicates, however, that the victims are sometimes not at fault because the gates are malfunctioning or the lights are broken.

State and local governments are responsible for keeping crossings safe and equipment up to date, but railroads can be complicit in allowing conditions to deteriorate to dangerous levels. Vegetation sometimes grows around signs without being trimmed, for example.

A 2004 investigative series from The New York Times found a persistent pattern of railroad cover-ups in cases of fatal crashes. In some cases, records were destroyed and malfunctioning gates were quickly fixed before lawyers could examine the evidence. Five years later, the freight railroad network BNSF was fined $4 million by a judge for its "staggering" and "egregious" conduct in a lawsuit involving the deaths of four people struck by a train at a crossing with a broken gate. The railroad "knowingly advanced lies, misleading facts and/or misrepresentations" in the legal proceedings, Judge Ellen Maas wrote.

Short of running it underground or up on viaducts, there is no way to run a railroad across open land in the United States without crossing multiple surface streets and country lanes, putting the unwary at risk of being flattened by oncoming trains. The "bells and bars" safety system designed to prevent this horror emerged in fits and starts through the last 180 years, and there are no current movements to replace it with anything else.

The early railroaders of the 1830s got around this problem by posting guards at major crossings and instructing them to keep people away with force when a train was on the way. The first hand-cranked gate was patented in 1867. Automatic flashing warning lights were introduced in 1913, and the familiar X sign known as a "crossbuck" became ubiquitous through the nation.

The striped bar called a "boom barrier" that automatically descends across the tracks used to cover two whole lanes of traffic, but it was eventually shortened to one lane to allow motorists trapped inside to find a way to maneuver out before the train plowed into them. That appears to have been what the Valhalla driver was attempting to do when she was struck.

Better driver education and the painfully slow attempts by railroads and states to upgrade faulty crossing equipment have shown results over the last four decades. Total car-versus-train collisions are down from about 12,000 in 1972 to just over 2,000 in 2013. But it does not change the fact that most American cities are seeded with permanent killing zones that can trap inattentive drivers.

@highlight

Metro-North crash killed six people at railroad crossing in Valhalla, New York

@highlight

Overall, train fatalities down in U.S., Tom Zoellner says

@highlight

But "bells and bars" system still relies mainly on caution, proper gate maintenance, he says