Many observers point to Moscow's close ties with Damascus going back to the 1950s as a reason for Russia now acting to defend the al-Assad regime in Syria against its many internal and external opponents.

What has apparently been forgotten is that Moscow's ties with Syria have been plagued by tensions and disagreements throughout this entire period.

Underpinning the Moscow-Damascus relationship for over half a century now has been a common antipathy toward America, Israel, and the moderate Arab states. But they have also differed on many issues.

When Soviet-Syrian relations first became close during the mid-1950s, Moscow seemed to hope the then-powerful Syrian Communist Party might at least share power with the virulently anti-Israeli and anti-Western Baath Party. But the Syrian Baathists feared the communists and agreed to the 1958 merger of their country with Egypt and even accepted the leadership of the latter's ruler, Nasser, partly in order to get his help in suppressing the communists.

After Nasser helped them do this successfully, he and the Syrian Baathists fell out, and Syria withdrew  from their union (officially the United Arab Republic) in 1961. Moscow restored ties with Damascus, but during the 1960s and early 1970s had much closer relations with Egypt, which had allowed the Soviet Union to build up military and naval facilities there.

Soviet-Syrian relations improved after Nasser's successor, Sadat, switched Egypt from being a Soviet ally to being an American one, and even made a separate peace with Israel. Moscow was also grateful to Syria for being one of the few Muslim states that did not condemn the USSR for invading and occupying Afghanistan.

Nevertheless, Moscow and Damascus disagreed on several issues. Although the USSR supplied arms to Syria, Damascus complained that America supplied better ones to Israel, and that this allowed Israel to best Syria on the numerous occasions when their forces clashed. Moscow responded by saying there was nothing wrong with the quality of Soviet weapons; it was the quality of the Syrian personnel operating them that was deficient.

While it broke diplomatic relations with Israel during the June 1967 Arab-Israeli War, the Soviet Union at least recognized Israel's right to exist. Syria, by contrast, did not. As a result, Syria did not cooperate even with Soviet-sponsored Arab-Israeli peace initiatives.

In addition, Moscow was not pleased about Syria's intervention in Lebanon's long civil war beginning in the mid-1970's. Moscow and Damascus often found themselves supporting different factions during it. Further, while Moscow (and many Western states) supported Iraq during the 1980-88 Iran-Iraq War, Syria -- practically alone among Arab states -- supported Iran.

Syria was not happy with Soviet leader Mikhail Gorbachev for having improved relations with America, the West, the moderate Arab states, and even Israel. And while Russian relations with America and the West deteriorated during the Yeltsin era (1991-99), this was also a period in which Russia was largely absent from the Middle East and thus did not provide much support for Syria.

After Putin rose to power at the very end of 1999, it soon became clear that he wanted to reassert Russia's influence in the Middle East and elsewhere. Even so, Russian-Syrian relations did not improve for several years and were actually quite testy until 2005. Putin was unhappy that Syria was unwilling to repay its Soviet era debt -- some $12-13 billion -- to Moscow. Damascus was unhappy about the improvement in Russian-Israeli relations that occurred under Putin, and about Russia's refusal to sell advanced weapons that Syria wanted but Israel objected to it acquiring.

Russian-Syrian relations, though, did improve in 2005 -- the year that Syria withdrew its forces from Lebanon in response to an amazing popular uprising in that country and possibly to Syrian fear of American intervention if it did not withdraw.

Moscow and Damascus resolved the debt issue (very much in Syria's favor), Moscow began work to revitalize the use of naval facilities at the Syrian port of Tartus that the Soviet Navy had used during the late Cold War era, and the Russian oil firm, Tatneft, gained a foothold in the Syrian petroleum sector.

While the West and the Arab League have condemned President Bashar al-Assad's regime for its violent oppression of the popular unrest against it that arose in 2011, Russia (along with China) has staunchly defended Damascus in the UN Security Council and elsewhere. Many of the previous Russian-Syrian differences, though, remain -- especially ones concerning Russia's close relations with Israel and the inability of Syria to obtain certain Russian weapons systems.

Should the al-Assad regime manage to crush its internal opponents and remain in power, it is doubtful that these ongoing Russian-Syrian differences will disappear.

Moscow is not defending the al-Assad regime because it has been such a great Russian ally. What motivates the Kremlin instead is the fear that if the al-Assad regime falls, what comes next in Syria will be worse for Russia: either a pro-Western, democratic government that has no further need of Russia, or a radical, Islamist regime that is as anti-Russian as it is anti-Western.

In either case, Russia would lose influence in Syria. And since Syria is the last country in the Middle East in which it has strong influence, this means Russia will lose influence in the Middle East as a whole. Compared to this prospect, it is not surprising that Moscow prefers to see the survival of the al-Assad regime despite how difficult and uncooperative a partner for Russia  it has proven itself to be.

Follow CNN Opinion on Twitter.

@highlight

Russia has maintained close ties with Syria since the 1950s

@highlight

Syria one of few states that did not condemn USSR for occupying Afghanistan

@highlight

Russia revitalized their naval facilities in Syrian port of Tartus in recent years

@highlight

Russia fears losing influence in its biggest Middle East ally if the al-Assad regime falls