Protesters seething over their treatment by security forces hurled rocks at riot police in Ankara's Kizilay Square on Monday, the latest in a string of violent clashes that have punctuated massive anti-government demonstrations spreading across Turkey -- leaving thousands injured and at least one dead in the past two days alone.

The protests united demonstrators from across the political spectrum against a common foe: security forces who unleashed tear gas and water cannons on them in response to what had been largely peaceful protests against the government of Prime Minister Recep Tayyip Erdogan.

"There has been unprecedented violence against protesters and social protest," demonstrator Neslihan Ozgunes said Monday.

The Turkish Medical Association claimed that at least 3,195 people had been injured in clashes Sunday and Monday. Only 26 of them were in serious or critical condition, it said. One protester, Mehmet Ayvalitas, died of his injuries, the association said.

The association reported that the bulk of the injuries occurred in Istanbul, where the protests began before spreading to Ankara, Izmir, Adana and other locations.

International groups including Amnesty International have criticized the police response as excessive. In Ankara Sunday night, a CNN crew witnessed authorities roughing up at least one protester. One police officer kicked a CNN videographer, CNN's Nick Paton Walsh reported, and a CNN crew in Istanbul Sunday also witnessed bloodied protesters.

Erdogan responded Monday by dismissing the demonstrations as the work of "extreme elements" and said they would likely spark a backlash against the organizers.

"My smart citizens will recognize this, then they will give them the right lesson," he said.

But Turkey's president, Abdullah Gul, took a somewhat more conciliatory tone Monday, saying "the messages sent in good faith have been received."

"When we talk about a democracy, we of course mean the expression of the will of the people in electing the leaders of the country. But democracy does not just mean elections," he said. "It is natural that outside of elections if there are differing opinion, situations or objections that they be voiced. And peaceful protests are a part of that."

The protests began after plans were made to raze Gezi Park, the last green space in central Istanbul, and replace it with a replica of 19th-century Ottoman barracks. The development would contain a shopping mall.

What began as a sit-in by a handful of angry residents quickly grew into a larger protest. Riot police moved in, using tear gas and pepper spray. Protesters responded by hurling bottles, setting up barricades, blocking bulldozers and burning trash in the middle of the street.

Then, outraged by the behavior of security forces, demonstrators began attacking police. The protests have since morphed into larger complaints against Erdogan, whom protesters call paternalistic and authoritarian.

"This park was just the ignition of all that," said Yakup Efe Tuncay, a 28-year-old demonstrator who carried a Turkish flag while walking through the park Saturday.

In Istanbul, the crowds have been chanting "Tayyip resign" -- referring to Erdogan -- and "Shoulder to shoulder against fascism."

The protests have spread to 67 of Turkey's 81 provinces, according to the semi-official Anadolou News Agency. On Monday, a confederation of unions claiming some 240,000 members added its voice to the anti-Erdogan chorus, saying it would go on strike against what it called the "fascism" of Erdogan's ruling party.

On Monday, Erdogan said opponents who had failed to defeat his party in elections were trying to beat it "by other means."

"The issue of trees in Gezi Park thing is just the trigger," he said.

It's one of the few sentiments that all sides appear to agree on. Richard Haass, a Middle East analyst at the Council on Foreign Relations in Washington, said if the flashpoint hadn't been the park, "it would have been caused by something else.

"What you have is essentially a large group of Turks who feel alienated from this government, in power for 10 years," Haass told CNN. "It's increasingly a one-party country. All the politics happen within it. The opposition is weak, divided, feckless. You have a lot of people in Turkey who feel both alienated and intimidated by the government, and this is the way they decided to push back."

A day earlier, Erdogan was praising his government's accomplishments overseeing a decade of unprecedented economic growth in Turkey, and he defended his record as a leader who has planted many trees.

"They are putting on airs, saying we massacre trees," he said. "We have planted approximately 2 billion trees."

He also downplayed claims that Turkey could be on the cusp of its own "Arab Spring" -- the series of popular uprisings in North Africa and the Middle East that led to political upheaval in Tunisia and Egypt, particularly.

"Those in Turkey who speak of the Turkish Spring are right; the season is, in fact, spring," he said. "But there are those trying to turn it into a winter."

Asli Aydintasbas, a columnist for Milliyet Newspaper, said Erdogan is the most powerful and popular politician Turkey has seen in generations. But his approach to leadership doesn't sit well with all Turks, she said.

"We have a prime minister who has done great deeds and he really has run the economy well," she said. "But you also have this paternalistic style: 'I know what's good for you. I, as your father, can decide on the park, the bridge, the city and the constitution.' So, I think people are just wanting to have a more inclusive form of democracy in Turkey."

Hugh Pope, a senior Turkey analyst with the International Crisis Group, called the protests "completely unprecedented" and said Erdogan was caught off guard. Most demonstrators, Pope said, are "overwhelmingly ordinary people" who simply want their voices heard.

"However, there are other demonstrators who are somewhat more opportunistic in the left-wing factions who normally don't get much in the way of airtime in Turkey and are camped on Taksim Square," Pope said.

"They have outposts where they are delivering their message, and in fact it has to be said that they are sometimes on the front line of the protestors in the fights against the police at the barricades," he said.

@highlight

Erdogan says his supporters will give protesters 'the right lesson'

@highlight

Medical group: More than 3,000 are wounded in two days of clashes

@highlight

The protests are the biggest movement against the prime minister in his decade in power

@highlight

Hundreds have been detained across Turkey, with most released, a local agency says