Bamako, Mali (CNN) -- Islamist militants gained ground in one Malian town on Monday even as government troops stepped up their offensive to wrest control from rebels.

Militants have taken control of the central town of Diabaly, French Defense Minister Jean-Yves Le Drian said, according to CNN affiliate BFM TV.

Word of the rebel advance on Monday came as the U.N. Security Council met to discuss the conflict in Mali, where Islamist rebels have been seizing territory for months.

World leaders from a number of countries have said they'll send troops or provide logistical support for the fight against Islamist militants in the West African nation.

France took the international lead in assisting Mali over the weekend, with military airstrikes targeting rebel training camps and other targets.

Officials said France's intervention last week was necessary to stop a rebel takeover of the capital, Bamako.

"Our assessment was that they (the rebels) were actually able to take Bamako. So we decided that what was at stake was the existence of the state of Mali, and beyond Mali was the stability of all west Africa," said Gerard Araud, French ambassador to the United Nations. "We had no other choice to launch this military intervention."

Read more: France aims to 'eradicate' terrorism in Mali

The United States has promised to help the French effort, U.S. Defense Secretary Leon Panetta said Monday. That assistance could include logistical and intelligence support.

"I commend France for taking the steps that it has. And what we have promised them is that we will work with them to cooperate with them and to provide whatever assistance we can to try to help them in that effort," Panetta told reporters on his plane en route to Portugal.

The United States has already started sharing intelligence from satellites and intercepted signals with the French, defense officials said on Monday.

In addition, the Pentagon is considering sending refueling tankers so that French jets can fly longer, more sustained combat missions, according to the officials.

Drones "are under consideration," the defense officials said, though the military's stash of unmanned aerial vehicles is in heavy demand.

Both stressed that these would be surveillance drones and said there are no plans yet to deploy them.

U.S. State Department spokeswoman Victoria Nuland, meanwhile, said the United States is reviewing a number of requests from the French, but that no decisions have been made.

The United States, she said, is "not in the position to support the Malian military directly until we have democratic processes restored by way of an election in Mali."

It was unclear Monday when France's role in the military offensive would end, and whether there could be consequences beyond Mali's borders.

"There are risks in France and in other countries as well," Le Drian told BFM. "We are extremely vigilant in that regard."

Malian Foreign Minister Tieman Hubert Coulibaly said Monday that it was unclear how long clashes with Islamist militants would last.

"Clearly, for us it's not just about making them retreat," he told BFM. "It is necessary to chase them out."

Coulibaly said his country was grateful for France's assistance, which it "urgently requested." And Mali may call on other countries such as the United States for military aid, he said.

"It is a problem which is currently in Mali, but which concerns the whole civilized world. And those who are in action against Mali could attack the rest of the world," he told BFM. "It is a cancer which could have spread if we had not intervened, of course, with the precious aid of France."

Read more: What's behind the instability in Mali

France has several hundred ground troops in Mali, and nearby West African nations have pledged to send hundreds of troops to join in the fight. Nigeria, which already has a technical team on the ground in Mali, expects to have troops in the country by next week, a presidential spokesman told CNN. He declined to say how many soldiers would be deployed.

Officials from the United Kingdom and Germany have said they're considering offering logistical support to the Malian government as it fights insurgents controlling the north.

As French fighter jets bombed rebel strongholds over the weekend, both sides of the fight said they were determined to win.

"France's goal is to lead a relentless struggle against terrorist groups, preventing any new offensive of these groups to the south of Mali," France's Defense Ministry said in a statement.

Islamist rebels in Mali acknowledged Sunday they suffered heavy losses in fights with the country's military and French troops, but they said it wouldn't stop them.

"The war has only started," said Sanda Ould Boumama, a spokesman for the al Qaeda-linked rebel group Ansar Dine. "We expect more casualties."

He accused the French military of attacking Malians.

"Now the world can see that it's the French who are the real terrorists," he said.

French and Malian military officials say the assaults are against rebel strongholds, not civilians.

Read more: Who is Ansar Dine?

On Monday, Amnesty International called on all sides in the conflict to protect civilians. The rights groups also urged the international community to support the deployment of human rights monitors.

"There are real concerns that the fighting might lead to indiscriminate or other unlawful attacks in areas where members of armed Islamist groups and civilians are intermingled," Paule Rigaud, Amnesty International's deputy director for Africa, said in a statement.

"The international community has a responsibility to prevent a fresh surge in abuses during this new phase of the conflict. Forces involved in armed attacks should avoid indiscriminate shelling at all costs, and do their utmost to prevent civilian casualties," he added.

A French colony until 1960, Mali had military rulers for decades until its first democratic elections in 1992. It remained stable politically until March, when a group of soldiers toppled the government, saying it had not provided adequate support for them to fight ethnic Tuareg rebels in the country's largely desert north.

Tuareg rebels, who'd sought independence for decades, took advantage of the power vacuum and seized swaths of land. A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals, who wound up in control of a large area as the Tuaregs retreated.

The United Nations says amputations, floggings and public executions -- like the July stoning of a couple who had reportedly had an affair -- became common in areas controlled by radical Islamists. They applied a strict interpretation of Sharia law in banning music, smoking, drinking and watching sports on television, and damaged Timbuktu's historic tombs and shrines.

A recent video posted online purports to show Islamic extremists from the Movement for Unity and Jihad in West Africa cutting off the hand of a thief and flogging another man, accused of having sexual relations with a girl with "mental deficiencies."

In the video, the supposed crimes of the men are read aloud before the punishments are carried out. A small crowd, including children, cheer.

Already, the armed groups' activity and a pervasive drought have displaced hundreds of thousands of Malians.

And the Islamists' movement southward has raised concerns among leaders in West Africa and elsewhere, some of them calling for swift and decisive military intervention in support of Mali's government, based in Bamako.

The U.N. Security Council last month authorized a one-year military peacekeeping mission in the country. Members of ECOWAS, the Economic Community of West African States, pledged thousands of troops, and the Security Council has urged other nations to contribute forces as well.

The Security Council met Monday to receive an update on Mali. Following that meeting, the U.S. ambassador to the United Nations, Susan Rice, said there may be a need for a new Security Council resolution.

The United Nations said preparations are under way for a U.N. multidisciplinary team to go to Bamako soon.

Nigeria, Niger, Burkina Faso, Togo, Senegal and Benin are among the countries that have pledged to send troops, French Foreign Minister Laurent Fabius told reporters Monday.

Mali's northern neighbor, Algeria, will close its border with Mali, Algeria's state news agency, Algeria Press Service reported.

A spokesman for Germany's Foreign Ministry said the country's leaders were considering offering medical, logistical and humanitarian aid to Mali.

Two British military transport aircraft have been assigned to help with the French troop deployment, but no British forces will be in a combat role, said Mark Simmonds, minister for Africa for the British Foreign & Commonwealth Office.

"The ferocity and fanaticism of the extremists in northern Mali must be not be allowed to sweep unchecked into the country's capital," Simmonds told British lawmakers Monday. "France, which has an historic relationship with Mali, is quite rightly in the lead. In the coming days, we will be focused on the regional and international diplomacy we must achieve to check this emerging threat."

CNN's Catherine E. Shoichet, Dana Ford, Chris Lawrence, Dheepthi Namasivayam, Vladimir Duthiers, Saskya Vandoorne and Fred Pleitgen contributed to this report.

@highlight

NEW: Defense officials: U.S. has already started sharing intelligence with the French

@highlight

NEW: "We had no other choice," says the French ambassador to the United Nations

@highlight

NEW: The U.N. Security Council meets to discuss the Malian conflict

@highlight

Official: Terrorism in Mali "is a cancer which could have spread if we had not intervened"