Hong Kong (CNN) -- China has one of the oldest food cultures in the world and, like that acme of Western food culture French cuisine, the food needs to be fresh.

At Sei Wui, a remote town in western Guangdong Province, a live goose will cost you little more than $US3 a bird.

"They're 18 kwai a piece," said one market trader, using the Chinese vernacular for the renminbi, China's currency, and pointing to her gaggle of geese honking furiously at one end of a bamboo pen. "Buy it now and they'll cook it for you," she added, pointing down the road to a small stall doing a brisk business serving a lunchtime crowd of pavement diners.

In southern China, it's said that people will eat everything with four legs except for the table. Whether it's a chicken, a goose or even a frog, if its heart is still just beating by the time you get it home, all the better.

It may taste delicious; but the way the birds are handled, stored and slaughtered has the potential to make you very sick.

It's no accident, then, that China's public health authorities are now proactively targeting small towns and villages, taking throat swabs from live food dealers and their customers in wet markets where the rough and ready food culture provides a perfect environment for viruses -- such as H7N9 bird flu -- to flourish.

As with all things in China, the scale of the undertaking is witheringly massive.

China's Ministry of Agriculture, says its medical dragnet has taken samples from poultry markets, farms and slaughterhouses across the country. So far, 84,444 samples have been taken, 47,801 have been tested and 39 samples confirmed as H7N9 positive.

Of these, 38 positive samples came from live poultry markets in the Shanghai municipality and Anhui, Zhejiang and Jiangsu provinces. One sample, worryingly, was found in a feral pigeon; an indication of the virus's ability to spread undetected in wild species.

"Basically, at the moment poultry seems to be the source of the virus so there's a risk if there's direct contact with the poultry or indirect contact with the fecal matter or other products. Of course, if the food is being cooked properly then the risk is limited," said Dr. Leo Poon Lit-man, associate professor, at the School of Public Health at the University of Hong Kong.

While the World Health Organisation has not established a direct link, medical investigators are concentrating their efforts on China's poultry farms and vendors.

"That is the reality," he said. "That is what we learned from H5N1," he added, referring to the outbreak of the bird flu virus in Hong Kong in 1997 that killed six and left 18 seriously ill.

Like most of China, Hong Kong back then liked its chickens fresh. Poultry in bamboo cages on street corners was a common sight and grandmothers could be regularly seen blowing on chickens' anuses -- a common local method of checking the bird's cloaca to gauge its age.

All of these practices have ended in Hong Kong. After 1997, millions of poultry were slaughtered and hundreds of vendors put out of business.

According to Poon, reducing the risk in any market place is not just a matter of improving hygiene, restricting transport and creating overnight "rest days" are all ways of bringing down the viral load in China's ubiquitous wet markets.

"Once a month we leave a day that allows the poultry to sleep and then on that day we have a very thorough cleaning procedure of the market," Poon said, adding that the almost 24/7 nature of many market places in China made it difficult for health authorities to break the cycle of the virus.

"Basically, we come up with a package -- we need more than one single measure to reduce the risk," he added.

Virologists, meanwhile, are now looking at how viruses pass, not just from animals to humans, but from humans to animals and then back to humans again.

According to Professor Gabriel Leung, head of the Department of Community Medicine at Hong Kong University, the spread of disease does not just work in one direction.

He said that dangerous outbreaks of epidemics such as SARS and bird flu are a wake-up call, demonstrating that the fate of humans is inextricably linked with that of the animals we raise and eat.

"It reminds us that human health and veterinary health are one and the same thing and we need to be constantly vigilant," he said. "We are linked to animals not just by contact but also by the food chain."

@highlight

Chinese cuisine demands that food be as fresh as possible

@highlight

But problems arise with the way live poultry is handled, stored and slaughtered

@highlight

China's public health authorities taking throat swabs from live food dealers

@highlight

H7N9 strain of bird flu virus has resulted in more than 17 deaths