(CNN) -- This week Virginia Thomas, the wife of Supreme Court Justice Clarence Thomas, called Anita Hill and left a message on her answering machine inviting her to apologize for testifying during Clarence Thomas' confirmation hearings.

The call brought back, with surprising immediacy, those 1991 hearings. For those too young to remember, the hearings may be little more than a paragraph in a history text. But it's hard to overstate their importance.

For women at the time, Professor Hill's testimony was riveting and unforgettable. The country watched on TV as Hill related her personal story -- describing the sexual harassment she said she endured while working for Thomas as a federal government employee -- before a Judiciary Committee composed entirely of men. Not a single woman senator. (Thomas denied the allegations.)

The issue of sexual harassment was out of the shadows.

Before Hill's testimony, sexual harassment was viewed as a problem for victims, predominantly women, to solve on their own. Most women suffered in silence rather than jeopardize their careers by complaining, even though sexual harassment had been defined as a form of sex discrimination that could be illegal more than a decade earlier by the courts and the federal Equal Employment Opportunity Commission (or EEOC).

When it first appeared that Professor Hill's allegations might not even be aired, outraged women jammed congressional switchboards with phone calls, and seven women members of the House of Representatives, including Rep. Eleanor Holmes Norton, Rep. Louise Slaughter and then-Rep. Barbara Boxer (who was elected to the Senate the following year) marched to the Senate to demand a serious and respectful hearing.

Professor Hill was berated and personally attacked during the hearing. Former Wyoming Sen. Alan Simpson waited until Anita Hill's testimony was concluded to announce, for example, that "I really am getting stuff over the transom about Professor Hill," without providing any details or substantiation about what he was referring to.

Such treatment became the subject of dinner table conversations around the country, as did the problem of sexual harassment itself. And those conversations continued wherever women met.

Pundits speculated that the Anita Hill testimony would forever intimidate women from ever coming forward again, but the opposite happened.

After the hearings, the number of claims of sexual harassment filed with the federal EEOC (the very agency headed by Clarence Thomas where Anita Hill said he had sexually harassed her) more than doubled between 1991 and 1998 (from 6,883 to 15,618).

And women demanded better legal protection. Congress strengthened remedies for victims of sexual harassment at work by passing the Civil Rights Act of 1991, providing damages for the full range of injuries that victims might suffer and giving victims the right to trial by a jury of her peers.

Major victories in the courts struck blows against widespread sexual harassment that women suffered in the workplace, from the mines to Wall Street. Employers took notice, so that now anti-harassment policies are more robust and company training programs are commonplace.

In the aftermath of Anita Hill's testimony, Justice Thomas was narrowly confirmed to the Supreme Court by a vote of 52 to 48. In what became known as "the Year of the Woman," record numbers of women were elected to Congress: 28 women were elected to the House of Representatives, more than doubling the total number of female representatives to 47, and four new women joined the only two women then serving in the Senate.

One of those new female senators from the class of 1992, Dianne Feinstein of California, now sits on the Senate Judiciary Committee. Anita Hill dedicated her career to combating discrimination, including sexual harassment, and opening equal opportunity to all in the workplace and beyond.

The voicemail message from Justice Thomas's wife is a reminder of a moment in time that put a spotlight on sexual harassment. But our country still needs more discussion about the serious harm it causes.

Sexual harassment has certainly not gone away.

The National Women's Law Center, for example, recently filed an amicus brief in a lawsuit where a female electrical maintenance technician in a male-dominated workplace says she was constantly harassed -- with supervisors and co-workers routinely referring to women with demeaning and derogatory words, displaying provocative photos of naked and partially clothed women in common areas throughout the workplace (and not responding to her repeated requests that the photos be taken down), and excluding her from key daily meetings.

Whether bullying and harassment in schools or making women's lives miserable in the workplace, it's time to make sure our laws are strong enough, our institutions committed enough, and our public debate serious enough to give women and girls the protections they need and deserve.

There's still work to be done. For example, Congress needs to eliminate arbitrary limits on damages for sexual harassment victims and to change current legal standards that make it more difficult for students to prove sexual harassment than other claims of discrimination in schools.

Any less not only does an injustice to women and girls, but to our country as well, which needs the talents and skills of us all to thrive.

The opinions expressed in this commentary are solely those of Marcia Greenberger.

@highlight

Marcia Greenberger says Virginia Thomas' call for Anita Hill apology recalls 1991 hearings

@highlight

Back then, she says, women kept sexual harassment to themselves

@highlight

Hill's testimony, before an all-male Senate panel, pulled back the curtain on the issue

@highlight

Writer: Thomas was confirmed, and the "Year of the Woman" ensued