Government and politics teacher Dawn Quarles' voice goes tight with frustration when she thinks back to how trying to register her students to vote thrust her into the center of Florida's high profile and deeply partisan voting rights controversy.

"I never felt like the voting process was on my side... That's not the way it's supposed to be," said Quarles, a registered Republican who was slapped with a $1,000 fine when she ran afoul of a state law requiring a 48-hour deadline for third parties to turn in voter registration forms.

"I felt like I was taking on my own party," she said.

Though a federal judge recently struck down the 48-hour deadline requirement, Quarles and other Floridians have been stunned by the state's standoff with the federal government over voter registration laws.

For some Florida voters, 2012 is starting to feel eerily like 2000.

Twelve years ago, the fate of the presidency hung in the balance as Florida elections officials scurried to recount ballots to determine whether Republican candidate George W. Bush or Vice President Al Gore, a Democrat, would emerge as victor from the close contest.

In the electoral chaos that followed, a number of minority voters said they were turned away from the polls or not provided language assistance, a matter that leaves a bitter taste in the mouths of the state's civil rights activists to this day.

The matter of who won the 2000 presidential election was ultimately decided by the Supreme Court.

And Florida, a battleground state with a history of voting irregularities, cemented its reputation as a place where electorally things sometimes go awry.

On Tuesday the Department of Justice filed a lawsuit to keep Florida from potentially purging thousands of voters from its registration rolls. Florida Gov. Rick Scott has said the purge — which comes months before the general election — was both legal and necessary to keep non-U.S. citizens from voting illegally.

Florida is suing the Department of Homeland Security to gain access to a citizenship database and blames the agency for the election year timing of the purge.

"Had they not stonewalled us, we could have easily identified non-citizens, removed them from the voter rolls, and the issue wouldn't be what it is today," said Lane Wright, a Scott spokesman.

So far, the state has identified "almost 100 individuals" who aren't citizens but are registered to vote. State officials also say they "are not aware of any eligible voter who has been removed through this process; we are only aware of ineligible voters on the list," said Chris Cate, spokesman for the Florida Department of State.

However voters on those lists tell a different tale.

Linda Tibbetts, who is originally from the Philippines, became a citizen a few years ago. Getting her citizenship and registering as a Republican was a big day for her and her family. So they were shocked to find her name on the list of voters who could potentially be purged from Florida's rolls.

"We did everything that we were supposed to do properly... She aced her exam on questions of U.S. law and history and everything," said her husband, Roger Tibbetts.

Linda Tibbetts declined to speak with CNN.

"If she's already a citizen, why does she have to go out and then reprove that she's a citizen to bureaucrats that are not researching properly," her husband asked.

The state also has tussled with voting rights groups including the League of Women Voters, the NAACP, La Raza and Rock the Vote over the controversial 48-hour deadline requirement to turn in registration forms.

"It just seems as if the train has gone off the tracks," said Deirdre Macnab, president of the League of Women Voters of Florida. "The lack of justification of these laws. It's an extraordinary movement toward disenfranchisement of these voters. It's shocking in a state that has had a history of voter suppression."

Florida's efforts to crack down on illegal voting through strict new laws are part of a national trend. Thirty-two states have put in place varying degrees of voter identification laws, according to the National Conference of State Legislatures.

Some of the states that have the most stringent requirements are also states that have seen an increase in their minority population.

Florida has the nation's third largest Hispanic population.

It is also a deeply partisan state where "the Republicans have made a concerted effort to try and limit turnout by Democratic-leaning voters," said CNN legal analyst Jeffrey Toobin

"After the midterm elections in 2010, lots of Republican-leaning states passed efforts to limit voting," Toobin said. "What's particularly noticeable is the effort in Florida because the state has such a history in this area."

State officials say they welcome the spotlight and stand by the purge.

"There is naturally going to be more scrutiny of a state the size of Florida which has such a significant influence on national politics," Cate said. "But we hold ourselves to a high standard and expect Floridians to hold us to a high standard, as well, because we recognize how important it is to have fair elections."

In the meantime, voters like Quarles are waiting to see if the 2012 elections are a déjà vu.

"I agree with folks wanting to clean up the voter rosters," Quarles said. "But being skeptical the way I am, I want to see who is picking and choosing whose getting kicked off."

@highlight

2000 cemented Florida's reputation as a place where elections sometimes go awry

@highlight

Voting rights groups and Florida elections officials are facing off over strict new laws

@highlight

Political experts say partisanship at play in state's voter purge