(CNN) -- A battle is raging in the nation's capital over who should be nominated as the next chairman of the Federal Reserve. As President Obama considers his choices, all sides are pushing their candidates.

The two main contenders to replace outgoing chairman Ben Bernanke are the current vice chairwoman of the Fed, Janet Yellen, and Larry Summers, an economics adviser to President Obama, former Treasury secretary and president of Harvard University.

Summers' acerbic and dismissive intellectual style, his support of bank deregulation (he was a key leader in the Clinton administration's team that worked with Congress to repeal the Glass-Steagall Act, a Depression-era law separating investment banking from institutions with federally insured deposits), his fight against regulating financial derivatives (a major source of the financial crisis) and his successful advocacy with Congress to allow higher executive pay and bonuses for financial executives whose firms received billions in federal bailouts during the financial crisis all feed the opposition, who believe that Yellen is perfectly well qualified to lead the Federal Reserve.

Although many people don't know it, the Federal Reserve doesn't just regulate the money supply -- it is also a principal regulator of America's largest banks.

It's not so much that Yellen is a far superior candidate -- after all, she and Summers are on the same page when it comes to monetary policy. There is little indication from her record about what kind of approach she would take on regulation. But compared with Summers, she cannot be worse.

The real issue is: Given Summers' track record, could he be a tough regulator?

Supporters of Summers say he can be tough. But evidence from his days in government and on Wall Street suggest otherwise.

Summers has advocated for limited regulation throughout his career. In September 2000, while he was the Treasury secretary, he said that the role of financial regulation was to find policies that "help to expand the size of (financial) markets. ... Deregulation becomes that much more important, to ensure that government is not preventing or distorting the development of fast-growing markets."

He also told the Securities Industry Association that "it is the private sector, not the public sector, that is in the best position to provide effective supervision. ... In the past few years, the private sector has risen to meet the challenges ... and we have seen significant self-correction."

A decade later, at a conference in 2011, Summers showed no second thoughts on his previous deregulatory policies, arguing that the financial crisis was not caused by "new-fangled financial instruments," including the derivatives that he fought to protect from regulation in the late 1990s.

When it comes to Wall Street, Summers said he obtained insights based partly on working part-time for the hedge fund D.E. Shaw and Company where he earned over $5 million in just one year. Summers said the experience gave him "a better sense of how market participants sort of think and react to things from sort of listening to the conversations and listening to the way the traders at D. E. Shaw thought."

According to former colleagues at D.E. Shaw, Summers was directly involved in sales, including sales of what turned out to be highly overvalued mortgage-backed securities to Asian sovereign wealth funds, the kind of securities that were deeply implicated in the financial meltdown. He was also a "prized spokesman" for D.E. Shaw, "routinely made himself available for private consultations" with prospective and existing clients, and met with investors from the U.S. and abroad.

One young female quant who worked with him had this to say on her blog, "But when I think about that last project I was working on, I still get kind of sick to my stomach. It was essentially, and I need to be vague here, a way of collecting dumb money from pension funds. There's no real way to make that moral, or even morally neutral."

By "dumb money," she is referring to the fact that investors, including those who manage public pension funds, routinely buy certain types of secure assets on a regular schedule or in other predictable patterns. Hedge funds like D.E. Shaw take advantage of that predictable behavior by selling these assets to investors for a slightly higher price. Because of the huge dollar value and volume of these investments, such strategies can make hundreds of millions of dollars for hedge funds.

Now, Summers has defenders. Michael Barr, a strong advocate of financial regulation who worked for Summers at the Treasury as assistant secretary for financial institutions said, "I wouldn't have gone to work for Larry if he didn't believe in financial regulation."

But arguing that Summers' multi-million dollar sales work for a hedge fund somehow adds to his qualifications for the Fed chairman job is ludicrous.

He was working for and dressing up the work of financial professionals selling high-priced investment products made even more expensive by the exorbitant fees charged by hedge funds.

Moreover, hedge fund investments often are inferior for investors. In 2012, an investor would have done much better by simply buying the S&P 500 index instead of a hedge fund. To convince investors to pay their high fees, hedge funds do a lot of active selling and cozying up to money managers. Summers was part of this public relations strategy -- a glittering ornament to lure in investors.

There's nothing illegal in all of this. But there's also nothing in Summers' experience to suggest that he would be a tough regulator. His supporters include people like Robert Rubin, former chairman of Citibank and co-chairman of Goldman Sachs, and Timothy Geithner, who as president of the New York Federal Reserve and later Treasury secretary, refused to take a tough line on bank regulation. Think they are pushing Summers because he'd be a tough regulator? Think again.

America needs a Fed leader who will protect small businesses, ordinary investors, and the economy from misbehavior by big banks and financial corporations. We need a fierce regulatory watchdog, not a lapdog of the banks.

The opinions expressed in this commentary are solely those of Rick McGahey.

@highlight

Larry Summers is a top contender for the job of chairman of the Federal Reserve

@highlight

Rick McGahey: Given Summers' track record, he is unlikely going to be a tough regulator

@highlight

He says Summers supported deregulation of banks and higher pay for financial executives

@highlight

McGahey: We need a fierce regulatory watchdog at the Fed, not a lapdog of the banks