(Wired) -- When Toshiba announced its 13-inch Excite tablet Tuesday, the company made an argument that one size does not fit all when it comes to touchscreen devices. But who will actually use such a large slab of mobile computing?

"The Excite 13 is what we see as a home tablet," Jared Leavitt, a Toshiba spokesman, told Wired. "The larger size makes it an ideal kitchen tablet. You can watch how-to videos while you're cooking, or look up recipes. And then later, you can bring it into the living room to watch videos with the kids, or to look at family photos with friends."

Thankfully, Toshiba is shipping the Excite 13, which runs on Google's Android 4.0 operating system, with a stand that will relieve owners from having to hold, or prop up, the large device themselves.

And despite being bigger than pretty much every other competing tablet on the market, the Excite 13 is fairly thin and light for its size, Leavitt said, noting that it will weigh 2.2 pounds and measure 0.4 inches thick.

Nonetheless, anyone who's watching the tablet market has to wonder why Toshiba is releasing a tablet behemoth in a world enamored with smaller devices. After all, the first tablet to gain any widespread consumer adoption other than Apple's iPad is the 7-inch Kindle Fire.

And looking forward, the hottest rumors focus on an iPad mini and a 7-inch tablet that would be Google's next flagship mobile device. In short: Small is in, and big isn't even part of the conversation.

Jared Spool, the CEO of User Interface Engineering, a usability research firm, agrees that Toshiba is thinking about tablet design in a way that its rivals aren't. But Spool doesn't agree that the world needs, or wants, a 13-inch tablet.

"This is the sort of typical maneuver of just adding another feature without improving the actual user experience," Spool told Wired. "It's just bigger, and it's not clear to me that anyone is asking for bigger. You can only get the iPad in one size and nobody is saying, 'Gee, it just feels a little too small to me.'"

But while there seems to be no consumer demand for larger tablets, the use case of watching movies as a group, or flipping through photos with loved ones on the couch, on a 13-inch slate isn't too hard to imagine, says Jakob Nielsen, principal at the Nielsen Norman Group, a usability research firm.

"If a small group of people is trying to use the tablet together, sitting on the couch and consuming content, this size makes sense," Nielsen told Wired. "But I do think [the Excite 13] might be a bit of overreach. I don't think that people only need one computer. Nowadays, most people have two computers, between a laptop and a smartphone. But where this Toshiba tablet fits in -- between those devices and the TV -- I'm not sure. It's not likely to be a big success."

Spool also predicts that the Excite 13 will be neither an iPad killer, nor a top-selling Android tablet.

"These types of enhancements are knee-jerk reactions from companies who are trying to 'out feature' other companies," he said. "But what this comes down to is that it's not the specific technology in a tablet that makes it exciting. It's the user experience. And there's just a lot less to do on an Android tablet than an iPad. And what there is to do is much clumsier because the screen sizes and specs for Android tablets are all over the place. A 13-inch screen and a bunch of top specs do nothing to change that."

Among the other specs the Excite 13 touts are a quad-core Nvidia Tegra 3 processor, 1GB of RAM, a 5-megapixel rear facing camera, and four rear-mounted speakers to blast audio from the tablet's aluminum back.

The tablet also sports a 1,600Ã—900 screen resolution, a micro-USB port, a micro-HDMI port and a full-size SD card slot.

The Excite 13 sits at the top of a revamped tablet line for Toshiba, in terms of both price and screen size with a price tag of $649.99 for the 32GB model, and $749.99 for the 64GB model, when it hits stores in early June.

For those looking for a more traditionally sized tablet that still packs a quad-core punch, Toshiba will also ship in June a 7.7-inch version of the Excite (known as the Excite 7) at $499.99 for 16GB of storage and $579.99 for 32GB.

A 10-inch Excite, dubbed the Excite 10, will ship in May for $449.99 with 16 GB of storage and $529.99 for the 32GB. The Excite range of tablets replaces Toshiba's old line of Thrive slates, which were offered in both a 7-inch and 10-inch model.

In case you're wondering why is the Excite 7 more expensive than the Excite 10, Leavitt explained: "Smaller is harder to do."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Toshiba's 13-inch Excite tablet runs on Google's Android 4.0 operating system

@highlight

The Excite will weigh 2.2 pounds and measure only 0.4 inches thick

@highlight

The tablet sports a 1,600Ã—900 screen resolution, a micro-USB port and a micro-HDMI port