Washington (CNN) -- Troubling questions over Georgia's controversial death penalty system will remain unresolved for now, after the Supreme Court declined Monday to review an appeal from a death-row inmate who received unwanted help from state prosecutors on his legal representation.

The justices without comment rejected Jamie Ryan Weis' request for relief. He says he sat in jail for years after the state ran out of money to pay for his lawyers. Weis said prosecutors then suggested that a judge appoint two public defenders, even offering the names of two overworked and inexperienced attorneys who did not want the job. Weis' current legal team calls that a blatant conflict of interest.

At issue is whether Weis' constitutional right to a speedy trial and competent defense were short-circuited by an ongoing budget shortfall. Dozens of other inmates who lack financial resources to afford their own attorneys have made similar accusations.

The Georgia Supreme Court concluded the indigent defense system was functioning adequately, if not perfectly. The state justices also said Weis was partly to blame for the delays because of his unwillingness to work with his legal team, and should have accepted the public defenders. The state has said he was never without legal representation.

Weis was convicted in the 2006 murder of Catherine King during a robbery. Two private attorneys were originally named to represent him, but a lack of funding forced a judge to instead appoint the two public defenders. The new legal defense team later tried three times to withdraw, citing a bursting caseload, a lack of experience handing a capital case, and a lack of money to hire investigators to prove Weis' claimed innocence.

His current lawyers, from the Southern Center for Human Rights, say Weis has suffered greatly behind bars because of the long appeal process. He has reportedly tried to commit suicide three times.

Georgia revised its system by creating a taxpayer-funded public defender system in 2003, and an office to deal just with death penalty cases, which generally undergo greater judicial scrutiny and take longer to work their way through the courts.

But problems in the program popped up almost instantly, exacerbated by the high-profile prosecution of Brian Nichols, who was convicted of escaping from a prison cell and killing a judge and three others in an Atlanta courthouse in 2005. That case ate up $3 million in state funds, nearly draining the new office's budget.

Another $30 million raised from court fees and fines was diverted by the state legislature to a general fund, creating more budget uncertainty for the defender office.

The U.S. Supreme Court in recent years has taken a close look at Georgia's capital punishment procedures. Now-retired Justice John Paul Stevens in 2008 slammed the state's high court for an "utterly perfunctory" review of a death penalty case.

The justices last year also ordered a federal court to review whether Troy Davis received a fair hearing. He was convicted of murdering a Savannah police officer in 1989, but has earned high-profile support from those who claim the state has repeatedly refused to examine new evidence showing he may be innocent of the crime.

State and federal courts have repeatedly rejected his claims. That case could again be back on the Supreme Court's radar in coming months.

The case rejected Monday is Weis v. Georgia (09-10715).

@highlight

The case involves an inmate's complaint of trial delay due to a budget shortfall

@highlight

Georgia's Supreme Court ruled the system worked adequately

@highlight

U.S. justices reject the appeal without comment