Washington (CNN) -- An unprecedented summit of African leaders in Washington. An Ebola outbreak in West Africa that sparks global fears.

The two events this week juxtaposed the best and worst of Africa at a time when its leaders want to move, finally, past perceptions of a "dark continent" rife with war, poverty and disease.

Those problems exist, as demonstrated by the Ebola crisis threatening to spread beyond the epicenter of neighbors Sierra Leone, Liberia and Guinea.

So does evidence of galloping economies and prolonged political stability in countries across Africa, a point emphasized repeatedly at the Washington gathering hosted by America's first African-American president.

5 reasons Obama's Africa leaders' summit matters

Trade, not just aid

Leaders who once came seeking aid now make deals for trade, citing statistics to boost their case.

Six of the world's fastest developing economies are in Africa. Burgeoning middle classes offer growing markets for foreign goods.

To Senegalese President Macky Sall, the summit "should allow us to confirm the change of perspective towards a vision of Africa" from a continent that "used to need aid."

He cited the evolving perception chronicled by The Economist, which ran a May 2000 cover with a picture of a gun-toting African above the phrase "the hopeless continent." Eleven years later, the same magazine's cover heralded "Africa rising."

President Barack Obama emphasized the same point on Wednesday, declaring that "we are here to take action -- concrete steps to build on Africa's progress and forge the partnerships of equals that we seek."

He announced more money for Africa, both aid and investment: $12 billion more for an existing program to provide electricity in sub-Saharan Africa, and $14 billion from companies including Coca-Cola, Marriott, General Electric and Blackstone.

China ahead

African leaders told Obama that the United States needed to catch up with other foreign investors on their continent -- especially China.

For the past two decades, Beijing has poured billions into Africa for roads, bridges, mines and other development needed to extract natural resources sent back home and elsewhere.

In some African countries, governments and local communities have chafed at resulting environmental harm and the use of imported Chinese labor instead of local workers.

Obama got a dig in at China about that, telling his African visitors that the United States would be a responsible partner.

"We don't look to Africa simply for its natural resources; we recognize Africa for its greatest resource, which is its people and its talents and their potential," he said Tuesday to applause. "We don't simply want to extract minerals from the ground for our growth; we want to build genuine partnerships that create jobs and opportunity for all our peoples and that unleash the next era of African growth."

Overall, international trade and aid to Africa have increased in recent years after slowing due to the global recession.

African aid and investment

According to the African Economic Outlook put out by a consortium of international organizations, the total amount of external money flowing to the continent was expected to exceed $200 billion in 2013.

The report showed government aid slowing while direct business investment, portfolio investment and remittances -- money sent to home countries by Africans living abroad -- grew at faster clips.

At the same time, new security concerns over Islamist extremists such as al Shabaab in Somalia and Boko Haram in Nigeria raise questions about future risk for investors.

After disastrous African interventions such as Rwanda, when U.N. peacekeepers failed to prevent the 1994 genocide, the United States and Western allies have sought to shift more of the security burden on the African Union and individual nations.

Security issues

At his news conference concluding the summit, Obama announced additional funding and resources to bolster such African efforts such as a new security initiative "to help African countries continue to build strong professional security forces, to provide for their own security."

"We also agreed to make significant new investments in African peacekeeping," he said. "The United States will provide additional equipment to African peacekeepers in Somalia and the Central African Republic. We will support the African Union's efforts to strengthen its peacekeeping institutions. And most importantly, we're launching a new African peacekeeping rapid-response partnership, with the goal of quickly deploying African peacekeepers in support of U.N. or A.U. missions."

However, the summit also showed the difficulty that African leaders have getting a handle on the security issue. At a session Tuesday, the leaders of Tanzania and Tunisia initially argued over the scope of the problem.

"Africa is more secure today than it was many years ago," said Tanzanian President Jakaya Kikwete, at the same time acknowledging that troubles continue with al Qaeda-affiliated Al-Shabaab. "From time to time they will bomb this, ignite a bomb there."

Opinion: Africa and U.S.: Invest in human rights

"We still have huge problems"

His Tunisian counterpart, interim President Moncef Marzouki, took exception.

"I'm sorry. We still have huge problems in Central Africa," he interjected. "We still have huge problem in Sudan, you know, where people are starving. There is a terrible situation in Sudan. We have a terrible situation in the northern part of Mali."

Marzouki then agreed with Kikwete that Africa was "much more secure than before, but we are still facing a challenge, an important challenge on the matter of security, and we have to work together as Africa."

South African President Jacob Zuma, meanwhile, blamed insecurity in Libya and elsewhere in North Africa on the Arab Spring upheaval.

Promising African solutions to the continent's security challenges, Zuma summed up the most significant benefit the summit provided -- the chance for he and other leaders to represent their countries in such a prominent setting.

"Today I think we stand a better chance as countries in the continent to better ourselves," he said. "That is why we appreciate this opportunity, because we have been in a position to tell our own story rather than people telling the story on our behalf."

Opinion: What's missing from the Africa summit

@highlight

NEW: Obama announces new support for African peacekeeping

@highlight

President Obama's Africa summit promotes a continent ready for business

@highlight

The Ebola outbreak in West Africa undermines that message

@highlight

African leaders seek trade, not just aid; security issues remain a problem