Hong Kong (CNN) -- If there's one thing that would have struck a chord with seven million Hong Kongers this election season, it was U.S. President Barack Obama and his challenger Mitt Romney using China as a political punching bag during the recent televised debates.

America blames China for many of its economic woes, while Hong Kong has a more complex relationship with the mainland, one that is rooted in historical, cultural and political differences.

Beijing has long been accused by Washington of keeping its currency artificially low, giving Chinese exporters an advantage over their competitors. Last month, Romney accused China of manipulating its currency "for years and years," while taking American jobs. He even repeated his vow to declare Beijing a currency manipulator on his first day in office.

China rejects this. A recent report from the state-run Xinhua agency warned that this mud-slinging, if converted into policy, would trigger a trade war "catastrophic enough to both sides and the already groaning global economy."

This is a struggle that matters to Hong Kong, arguably Asia's leading financial center and a key bridge between China and the rest of the world.

For one thing, Hong Kong's currency is pegged to its American counterpart, so when the greenback weakens, the Hong Kong dollar is affected. This can force the Hong Kong government to intervene, often by selling or purchasing the local currency.

"Hong Kong is part of China so tensions between the two countries will obviously affect it," said Richard Hu, an associate professor and China specialist at The University of Hong Kong. "But there is particular concern about how Obama, or Romney if he's elected, handles the Chinese exchange rate issue because it will have a big impact here."

Yet the U.S. election razzmatazz hasn't exactly caught on at a grassroots level here -- most people are more concerned about issues closer to home. Unlike 2008 when Obama claimed his first election win, coverage has generally been more muted and kept to the "World" section of local newspapers, with China's own leadership change more likely to dominate front pages.

"People find America's election interesting, especially the debates between Obama and Romney, but they don't think too much about their policies because U.S. politics does not seem to bring much direct effect to our lives in Hong Kong," Vivian Kam, a local journalist, told CNN.

"Some wouldn't even know who Mitt Romney is," opined Tip Wan Mon Leung, a local teacher. "Most Hong Kongers are not that political, though they do get angry about Chinese interference or expensive house prices."

When the city was handed over to China by its former British colonial rulers in 1997, Hong Kong -- now a Special Administrative Region of the People's Republic of China -- retained many of its characteristics under the principle of "one country, two systems": its own currency, an independent judiciary and a separate border requiring a visa to travel between the two territories.

But 15 years on, many ordinary Hong Kongers have an uneasy relationship with Beijing, fearing a gradual loss of their civil liberties. They are fiercely proud of their Chinese heritage, but many would rather keep their mainland cousins at arm's length.

Hong Kong celebrates China's National Day and Chinese sporting achievements, but its citizens reject Chinese attempts to influence the city's affairs, as recent demonstrations against plans to integrate "patriotic" Chinese history into local schools showed.

In July, an estimated 90,000 people took to the streets to protest what critics described as an attempt to "brainwash" impressionable young minds with pro-mainland propaganda.

For all intents and purposes, Hong Kong enjoys the same freedoms Americans enjoy: free speech, a free press and a rule of law compatible with most democracies. However, Hong Kongers cannot vote for their leaders in a U.S.-style election. The city's most senior politician -- known as the chief executive -- is "voted" in by an electoral college of 1,200 influential but unelected figures in Hong Kong, with Beijing's approval.

Earlier this year, hundreds of thousands of protesters flooded Hong Kong's streets shortly after C.Y. Leung was sworn in as the latest chief executive during a ceremony with Chinese President Hu Jintao on the 15th anniversary of Hong Kong's return to Chinese sovereignty. They were demanding a say in who runs the city. Significantly, the ceremony was conducted in Mandarin rather than the local Cantonese language, viewed by many as another example of Chinese encroachment.

While China doesn't overtly decide who leads Hong Kong, it does have favored candidates and says the outcome should be "acceptable" to the city's people even though they have no say in the process.

These simmering tensions regularly expose fault-lines at a grassroots level with growing resentment against the influx of mainland visitors. Of the 41.9 million visitors to Hong Kong in 2011, the majority -- more than 28 million -- hailed from mainland China, according to the Hong Kong Tourism Board.

Earlier this year, a full-page advertisement decrying a so-called invasion of "locusts" from across the border appeared in a local newspaper. The ad in the Apple Daily asked if Hong Kongers approved of spending HK$1,000,000 (US$128,925) every 18 minutes to take care of children borne by mainland parents and declared that "Hong Kong people have had enough!"

It referred to the recent surge in the number of pregnant Chinese women crossing into Hong Kong to give birth, which has put a growing burden on the resources of local hospitals. In addition to the perception of better medical services, many mainland women choose to give birth in Hong Kong so their children have the right to stay here.

But Hong Kongers also lay the blame for many of the city's problems with their own government. It is frequently accused of not doing enough to address rocketing property prices, a growing wealth gap and worsening pollution.

"I feel terribly sad about the future of Hong Kong. Too many problems, too few right people to make the right decisions," added Leung, who teaches high-school students.

The city's famed skyline projects an image of wealth and prosperity, yet more than one million Hong Kongers live in poverty, according to the Hong Kong Council of Social Service (HKCSS). Hidden amid the city's multi-million dollar high-rise apartments and chic shopping malls are scores of tiny, unseen tenements -- some no bigger than cupboards -- that many people call home.

At the other end of the scale, Hong Kong is also one of the world's richest cities, with the world's highest concentration of U.S. dollar billionaire households relative to its small size, according to a report this year by the Boston Consulting Group. Analysts estimate the government also sits on a cash pile of about US$80 billion.

Yet Hong Kongers are choking on the city's success as the quality of the air at roadside level in Hong Kong deteriorates, often creating a haze that obscures one side of the city's Victoria Harbor from the other. According to research earlier this year from Hong Kong University, there are 3,200 avoidable deaths a year here due to air pollution -- more than three times higher than previous estimates.

The battle for the White House will hardly go unnoticed here but it's just one strand in a China-dominated narrative.

@highlight

China has been a key issue in the U.S. election campaign for both candidates

@highlight

U.S.-China relations important to Hong Kong, particularly in economic terms

@highlight

Hong Kong has uneasy relationship with China despite considerable autonomy

@highlight

Many Hong Kongers resent what they believe is Beijing's growing influence