(CNN) -- "What kind of coffee do you have?"

"Well, black, or with milk," comes the grumpy reply.

This is the delightfully retro Bambi bar, where the interior and the grumpiness of the service haven't changed for 50 years.

Nor has the coffee -- a drink that's always played a central role in Budapest life.

Through the communist years those shots of dark, bitter coffee in small glasses, served by scowling waitresses, were a staple start to the day.

While coffee's importance hasn't changed, a new wave of coffee bars -- where competitive baristas know their ristretto from their cortado -- is shaking up the scene.

The buzz word is "kezmuves" -- it roughly translates as handmade, or craft.

There are three keys to the new craft coffee bars -- talented staff (with the certificates to prove it), slick design and carefully chosen ingredients.

The coffee is sometimes described locally as "third wave," meaning it's fairly sourced and roasted on a smaller scale, giving it a lighter, less bitter taste than Italian beans.

"In new wave coffee you discover the real qualities of the coffee beans, like the fruity, citric qualities of African beans or the chocolate of Brazilian beans," says Peter Repka, manager of the Madal craft coffee bar.

Despite the interest in new wave, both old- and new-style coffee houses compete to deliver Budapest its caffeine kicks.

Here are some of the best:

New wave coffee

Madal

Indian philosopher Sri Chimnoy, whose childhood name was Madal, must have loved his coffee.

Inspired by his calmness, the friendly, capped baristas here earnestly go about their work, explaining the different beans and roasts available and serving beautifully presented cups.

They also bake their own sweet and savory croissants.

Madal, 3 Hollan Erno St.; +36 1 796 6287

Espresso Embassy

This is one of the largest and best designed craft coffee bars -- it's staffed by an array of award-winning baristas.

The brick-vaulted interior was done by the firm that designed two of the stations on the city's new metro line.

An excellent cake selection includes croissants, cheesecakes and brownies.

Espresso Embassy, 15 Arany Janos St.; + 36 30 864 9530

My Little Melbourne

Pioneer of the craft coffee movement, this minute coffee bar in the center of town is a busy breakfast place.

Inspired by the Australian travels of owners Dia and Peti, it serves some of Budapest's best coffee and pastries.

My Little Melbourne, 3, Madach Imre St.; +36 70 394 7002

Fekete

This one's even smaller than My Little Melbourne, but aficionados speak of Fekete with great respect.

With a couple of tables on the pavement in front, Fekete (meaning "black" in Hungarian) is all about coffee, and very little else.

Fekete, 5 Muzeum korut

Tamp & Pull

This is the smaller of the T&P shops, but it's the most central, down the road from the Central Market Hall.

The name refers to two moves in the barista's work -- tamp and pull -- which they do so well here they run courses on the art of coffee.

A board on the wall details the beans on offer each day -- where they were grown, who farmed them and at what altitude.

Tamp & Pull, 3 Czuczor St.; + 36 30 668 3051

Old wave coffee

Cafe Alibi

Breakfast is the best time to visit Cafe Alibi, a quietly hip square in the heart of Budapest.

It's often buzzing with the local students enjoying the superb coffee and freshly squeezed orange juice.

Cafe Alibi has its own roasting machine, offering customers a choice of beans and coffee type.

Cafe Alibi, 2 Egyetem ter; +36 1 317 4209

Cirkusz

At this large cafe/restaurant in the heart of Budapest's partying Seventh District, the baristas roast their own beans.

The coffee is superb, and so is the food -- after all those small coffee bars, you'll enjoy the space.

Cirkusz, 25 Dob St.; +36 1 786 4959

Coffee Cat

There's no craft coffee here, but the baristas in this busy breakfast joint know how to make an excellent brew.

There's also a great selection of baguettes, with fillings such as caponata, roasted squash or chicken salad, from the sandwich specialists at the Delibaba Workshop.

Coffee Cat, 44 O St.; +36 1 708 0170

Zokni

Zockni, or "Socks," isn't the obvious name for a cafe, particularly one placed across the road from one of Budapest's big tourist draws -- the magnificent Great Synagogue.

It was the owner's nickname in his taxi driving days.

More importantly, the baristas turn out top coffee and the cakes are delicious.

Zokni, 1/b Dohany St.; +36 1 785 6765

Bambi

Finally, across the Buda river to old Budapest, to the glorious Bambi.

No new coffee here.

No fancy baristas, either.

The retro feel hasn't been put together in a design studio -- it's always looked this way.

It's one of the great survivors of the past.

Here you can enjoy a strong black coffee in an old-style glass, sit on red plastic seats and watch old men playing cards.

Just don't ask for a cortado.

Bambi, 2-4 Frankel Leo St.

Charles Hebbert is an editor and Rough Guide author. He lived in Budapest for 10 years and has been visiting Hungary for more than 30 years.

CNN Travel's series often carry sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Budapest's brand of dark, bitter coffee was a staple during communist years and is still enjoyed by many

@highlight

A new breed of coffee shop selling barista-made creations is challenging the city's old guard

@highlight

Newer shops include Madal and Espresso Embassy, while older venues include Bambi and Coffee Cat