(CNN) -- The brutal murders of the U.S. ambassador to Libya and three American diplomatic staffers in Benghazi underscore the profound fragility of U.S. relations in the region. It is hard to recall a time when crises such as this and in the Middle East afflicted so many American interests simultaneously, nor one in which U.S. policies were so deeply at risk.

The tragic events in eastern Libya themselves represent the culmination of events that began and unfolded well outside the mainstream of Libyan life or the U.S. relationship with that country.

An obscure filmmaker in Los Angeles produced a slapdash video that was seized upon by an extremist group of Americans who have in the past distinguished themselves for the toxic cocktail of hate and stupidity that drives their actions.

Via the special contagion of the Internet, their vileness, which once would have been as hidden from view as it deserved to be, triggered protests at the U.S. consulate in Benghazi, Libya, and at the U.S. Embassy in Cairo.

Opinion: What terrorists want us to believe about Libya

U.S. sources told CNN on Wednesday that the Benghazi attack was planned in advance, and the attackers used the film protest outside the consulate as a diversion. The sources could not say whether the attackers instigated the protest or merely took advantage of it, and they say they don't believe ambassador Chris Stevens was specifically targeted.

But targeted or not, the victims were American diplomats who had willingly undertaken the risky mission of trying to assist the advent of democracy in that faraway place.

This violence underscores that deep hatreds lie just beneath the surface across the region, even in countries where relations with the United States have had important positive dimensions, either recently or over an extended period.

The problems run deep for the region and U.S. President Barack Obama's administration.

First, the riots and violence illustrate that the broader political circumstances in the countries of the Arab Spring remain unresolved and potentially vulnerable to serious disruption from even small opposition groups. The Morsi government, slow to condemn the Egypt attacks Tuesday, has itself been unsettled by violence across the country in the past couple of months.

Second, however, these are hardly the only tensions bubbling over in the greater Middle East and South Asia. The situation in Syria not only is worsening daily but is spilling over as refugees seek haven in Jordan and Turkey. The Iraqi government, increasingly undependable as a friend of the United States, has allowed Iranian aid flights to Damascus despite U.S. protests. Afghan allies are turning on U.S. troops with alarming regularity. The State Department just underscored the increasing threat from Pakistani extremist groups by finally citing the Taliban-affiliated Haqqani network as a terrorist group.

But perhaps the fault line of greatest concern to the Obama team, even as the bad news was filtering out of Benghazi, is the standoff with Iran regarding its nuclear program and the deterioration in the relationship between the United States and Israel, historically our closest ally in the region.

Libya, West react to killings, film controversy

The U.S.-Israeli relationship reached a new low on Tuesday with Prime Minister Benjamin Netanyahu angrily reacting to Secretary of State Hillary Clinton's assertion that Washington would not specify "red lines" regarding Iran's nuclear program; and then the Israelis leaking word that Obama refused to meet with him during the upcoming U.N. General Assembly meetings in New York. This resulted in a late-night call between Obama and Netanyahu that was ostensibly intended to show the allies were communicating and acting in tandem. But the White House denied the Israelis had even requested a meeting with Obama in New York, revealing the depth of the problem. When allies can't agree even on what they disagree about, the relationship is in trouble.

Both sides are scrambling to do damage control -- and behind the scenes are fuming. Neither feels like the other is behaving like a friend. That's because there are very real differences between the leadership groups in both countries, and this complicates a tough situation. Every sign of tension and every delay plays into Iran's hands and enables it to advance further with nuclear weapons development.

These deepening tensions keep the Obama team -- desperate to avoid an October surprise before November's elections -- scrambling with high-level meetings and planning high-level trips to the region, and reveal similar risks for the campaign of Republican nominee Mitt Romney.

Romney on Tuesday issued a prepared release condemning the Obama team's handling of the Egypt and Libya violence. It was almost instantly overtaken by the news of the deaths in Benghazi, making the Romney critique seem ugly. It was ill-considered and ill-timed, and underscores that in presidential campaigns, no candidate gets to pick the stories that drive the headlines -- and that foreign policy often crops up to complicate matters and test a candidate's real readiness. Romney, with his earlier comments on Russia and in Israel regarding Palestinians, reveal he needs more temperate counsel.

Headline-grabbing and statesmanship seldom go together, as demonstrated in the past 24 hours by the war of words between Israel and the U.S. and in Romney's misstep. In fragile times and when longer term interests are at stake, restraint goes a long way.

The best work is often done quietly, behind the scenes. It is done by people like Ambassador Chris Stevens, his colleagues who also died and those that remain on the ground in Libya and across the region.

They understood that they were taking on considerable risks, as did their government. They did so willingly, because they knew it was only through accepting those risks and making a long-term commitment to the region that progress could be achieved. That must be their legacy and it is a message that needs to be heard and understood by the American people before they overreact one way or another to each or any of the current crises. Indeed, it is in times like these we must emulate in our policies the best qualities of the lives they led.

@highlight

David Rothkopf: The murders at U.S. Embassy in Libya show fragility of U.S.-Mideast relations

@highlight

He says events show Arab Spring is unresolved and is vulnerable to small groups

@highlight

Rothkopf: Crisis comes as Israeli-U.S. tensions, Syria and Iran problems rise

@highlight

Rothkopf: Ambassador Chris Stevens and colleagues quietly tried to improve the world