Michael Douglas never had throat cancer, as he told the press in 2010.

The actor now says he had tongue cancer. Douglas said he hid the diagnosis at the urging of his doctor to protect his career.

"The surgeon said, 'Let's just say it's throat cancer,' " Douglas told fellow actor Samuel L. Jackson for a segment that ran on British television as a part of Male Cancer Awareness Week.

Douglas says that the doctor told him if they had to do surgery for tongue cancer, "it's not going to be pretty. You could lose part of your tongue and jaw."

When Douglas first talked about his cancer diagnosis in the summer of 2010, he was on a worldwide publicity tour for the movie "Wall Street: Money Never Sleeps."

Douglas and Jackson joked that could have been the end of his acting career.  Douglas said if he had surgery he could see the director saying, "What's your good side? I've got no side over here."

The lesson from Michael Douglas

"There really is no such thing as throat cancer per se," explained Brian Hill, an oral cancer survivor and the founder of the Oral Cancer Foundation. Douglas has taped a public service announcement to raise awareness about oral cancer for Hill's foundation.

"Throat" cancer and tongue cancer are both colloquial terms that fall under the oral cancer umbrella. Throat cancer usually refers to cancerous tumors that develop in your pharynx, voice box or tonsils. Tongue cancer refers to cancerous cells that develop on your tongue.

"The treatment up until just recently can be very brutal," Hill said of tongue cancer. "Your career as a leading man could be over. If you have signed a contract to promote a movie, you would have a strong motivation not to say ... 'Maybe in six months I won't have a tongue or lower jaw.' "

Douglas apparently did not need the potentially disfiguring surgery.  He told Jackson he was instead treated with an aggressive form of radiation and chemotherapy. The treatment, he said, lasted five months.

Yes, oral sex can lead to cancer

In June, Douglas kicked off an animated conversation about the cause of oral cancer when he told The Guardian that he got throat cancer after engaging in oral sex. Oral sex can expose individuals to the human papilloma virus, which can cause cancer.

Later, Douglas' publicist told CNN that Douglas did not blame HPV solely for his cancer; Douglas said he was also a smoker and a drinker.  Smoking and drinking, particularly when combined, are considered the most significant contributing factors to oral cancer, according to the Centers for Disease Control and Prevention. So is Douglas' gender. Men are twice as likely to develop oral cancer as women.

Oral cancers account for 2% to 4% of all cancer diagnoses in the United States. An oral cancer diagnosis is particularly serious; only half of the people diagnosed with oral cancer are still alive after five years, according to the CDC.  In large part, that's because of the late diagnoses of this disease.  Most signs of this cancer are difficult to detect and are often painless.

Douglas told Jackson that initially his doctors treated him with antibiotics.  Douglas had been complaining of a soreness at the back of his teeth.  Three months later when it still hurt, the doctor gave him another round of antibiotics.  Nine months later, after talking to a friend who was a cancer survivor, he went to the oncology department where a doctor did an initial exam and then a biopsy.  He was diagnosed with stage four oral cancer in 2010.

Michael Douglas has overcome throat cancer, he says

Douglas is not the first celebrity to misidentify the kind of cancer they have.

Actress Valerie Harper, who first came to fame on the TV show "Mary Tyler Moore," announced her cancer on the cover of People magazine in March. The story said she had little time left to live and was suffering from terminal brain cancer.  It turns out the "Dancing With the Stars" celebrity actually had lung cancer that had spread to the lining of her brain.

"I see a lot of people with 'brain cancer' who actually have... lung cancer or breast cancer or some other cancer (that spread) to the brain," Dr. Otis Brawley, the American Cancer Society's chief medical and science officer, told CNN. "We treat cancer according to its origin."

Harper's kind of cancer, leptomeningeal carcinomatosis, can be slowed but the cells are adaptable and can develop a resistance to treatment.  A complete remission is unlikely.

Douglas, on the other hand, has had regular check-ups since the diagnosis.  At his two-year mark, he told Jackson, his doctors said he was clear of the cancer.

"There is a 95% chance it's not coming back," he told Jackson.

@highlight

Actor Michael Douglas says he hid his tongue cancer at his doctor's urging

@highlight

Treatment can come with disfiguring surgery to remove the tongue or part of the jaw

@highlight

The CDC estimates only half of those diagnosed with oral cancer survive