As world powers are gathering in Vienna this week for a final round of nuclear talks with Iran, Western diplomats put their chances of a comprehensive deal at 50 percent at best and a breakthrough before the Nov. 24 deadline appears highly unlikely.

While an accord might not be met by next Monday's deadline, diplomats say it is possible to agree on the outline of a deal. They say an extension of the talks to resolve the remaining issues and work out the details is the most likely scenario.

Though nobody is talking publicly yet about the prospects for an extension, one senior administration official said a continuation of the talks was far preferable to a total collapse of the process.

"We are striving for a final deal, but if that doesn't happen, do we walk away and throw away all of the progress that has been made over these nine months," the official asked rhetorically. "We just can't do that."

The parties have been tight-lipped about the details of the negotiations, most of which are highly technical. While diplomatic sources say progress has been made on all issues, the main sticking points continue to center around Iran's uranium enrichment capacity and the pace at which decades long sanctions against Tehran would be lifted in exchange for intrusive inspections and curbs on its program.

A deal would help end decades of mutual mistrust between Iran and the West, paving the way for better relations and potential cooperation. But failure could lead to an unwanted military confrontation in a region already wracked by violence, instability and political chaos.

Negotiations are aimed at reconfiguring Iran's nuclear program in an effort to extend the time Iran would have enough fissile material for a nuclear weapon, otherwise known as the "breakout time." Experts say at present it could take Iran as little as three months. The six world powers want to extend that to at least a year, giving the international community time to intervene.

As the number of outstanding issues has dwindled, the differences over the remaining ones have grown sharper. Diplomats caution nothing is truly agreed to until everything is hammered out -- comparing the negotiations to a complex "Rubix Cube"-like puzzle.

Take Iran's enrichment program. A key component of extending Iran's breakout time centers around limiting the amount of enriched uranium Iran is able to produce and keep on hand.

The U.S. and its allies have demanded major cuts in the amount of centrifuges Iran can keep to enrich uranium. At the onset of negotiations, Iran demanded to keep all 19,000 of its centrifuges, while the US and its allies wanted to cut the number to as low as 1,500. Now diplomats say the six world powers are prepared to accept around 4,500 centrifuges. That's still far from the roughly 8 to 10,000 Iran seems prepared to accept.

But that magic number of centrifuges is also dependent on an agreement by Iran to reduce its stockpile of already-enriched uranium. Diplomats say Iran has indicated a willingness to ship much of its estimated 28,000 pounds of enriched uranium to Russia, where it would be converted into nuclear fuel for civilian usage. This would also help to extend Iran's breakout time and could unlock the stalemate over how many centrifuges Iran can keep.

Another goal is to prevent Iran from acquiring enough plutonium to give it a second route a nuclear bomb through its heavy water reactor at Arak. The reactor was under construction, but work stopped in this past January under the interim deal reached between Iran and the six world powers. If fully operational, the reactor could reprocess fuel into plutonium. Diplomats say proposals have been introduced to "modify" the plant to prevent plutonium from ever being produced. One option under discussion involves converting the plant into a light water reactor which could be used for civilian purposes.

Adding to doubts about a final deal are charges by the UN's nuclear watchdog that Iran has not handed over past research on the military dimension of its nuclear program. World powers want the International Atomic Energy Agency to conclusively rule on whether Iran has worked on designing an atomic bomb. Iran denies the charges, saying its nuclear program is solely for peaceful purposes.

But a recent IAEA report, obtained by CNN, said that Iran has failed to address the suspicions by explaining its activity on high explosives testing and other nuclear activity. Despite a pledge in May to Iran come clean with the IAEA about the activity, the report said Iran "has not provided any explanations that enable the agency to clarify" the outstanding questions.

Iran has demanded an immediate lifting of all sanctions once a deal is struck, while American and European diplomats want a gradual lifting of sanctions once Iran demonstrates it is adhering to its end of the deal. The duration of the deal is also in dispute -- Iran wants a settlement of all issues after five years, but world powers are calling for at least ten.

A senior U.S. administration official briefing reporters ahead of the talks predicted that neither Iran's supreme leader nor the six world powers would reveal their actual bottom line until the eleventh hour.

"We are at a very, very difficult point in this negotiation," she said. "We all knew that tough decisions -- the toughest decisions -- would not be taken 'til the end, and that is likely to be the case, if they can be taken at all."

While an accord might not be within reach by next Monday's deadline, diplomats say it is possible to agree on an outline.

President Barack Obama and Iranian President Hassan Rouhani face domestic political pressure to strike a deal. An extension could sharpen opposition both in the U.S. and in Iran.

Republicans take control of the Senate in January and lawmakers have threatened fresh sanctions on Iran if a deal is not reached. Although Obama has the power to veto, just the prospect of additional sanctions could drive Iran away from the table.

Rouhani and Foreign Minister Javad Zarif, the lead Iranian negotiator, are under fire from conservatives and lawmakers who were skeptical of the interim deal and have said a final agreement must be ratified by parliament. Earlier this month 200 Iranian members of parliament signed a statement demanding that Iranian negotiators "vigorously defend" the country's nuclear rights and ensure a "total lifting of sanctions".

As the clock ticks down, western diplomats say a deal will hinge on an Iranian political decision that needs to happen this week.

"We don't think any side wants to walk away," one Western diplomat said. "But we need to make the Iranians understand that, yes, we want a deal and we are prepared to work hard at getting one, but not at any cost. There are red lines we can't cross, and if there isn't enough progress by next week, what will change?"

Iran, too, is making clear it has red lines. Arriving in Vienna for the talks, Zarif said a deal hinged on the political will of the West, making clear Iran would "be resisting excessive demands" in the final negotiating sessions.

"We are here to find a solution that respects the Iranian nation's rights and removes the legitimate concerns of the international community," he said.

Despite the posturing on both sides, diplomats did not rule out the potential for a surprise eleventh hour deal, just as negotiators announced an interim deal to continue negotiations in the final hours of talks last year.

"Big rabbits got pulled of small hats last time," one Western diplomat said. "I would never say never."

@highlight

Talks between Western diplomats and Iran regarding its nuclear program are showing progress

@highlight

The talks have a deadline for a deal of Monday that appears unlikely to be met

@highlight

One issue remains is how many centrifuges is Iran allowed to keep

@highlight

Both the U.S. and Iran are facing political headwinds from home