(CNN) -- The deliberate policies of North Korean leader Kim Jong Un and his late father, Kim Jong Il, may have killed millions of North Koreans, either by starving them to death or sending them to die in a system of political prisoner concentration camps unlike any since the regimes of Hitler and Stalin.

For years, the world has been so fixated on the North's nuclear weapons that it has lost sight of reports of such systematic crimes. Yet they are the very reason we should care that North Korea could develop an effective nuclear arsenal. Indeed one of the very sites of this alleged brutality â€” Camp 16 -- lies right next to North Korea's nuclear test site.

A recent report by Amnesty International confronts us with more evidence of the Kim Jong Un regime's disregard for the lives of its own people and, by extension, our own.

We've long known that these camps were places of horror. Kang Chol Hwan, one of few survivors, published his memoir of Camp 15 more than a dozen years ago. One of us published the first satellite imagery of Camp 16 in 2007, finding what appeared to be its distinctive fence lines and guard posts right where defectors said they would be. But even in 2012, when this detailed imagery analysis of Camp 16 was published, there were still no eyewitness accounts. It was a place prisoners never left, dead or alive.

Still, we have accounts of what went on in the other camps. Witnesses had told about the building in Camp 22 where two parents breathed air into the lungs of their dying children before they perished together in the camp's experimental gas chamber, and about the two children who drowned when a guard kicked them into a waste pond. We have heard of the guest house at Camp 18 where, according to witness accounts, women prisoners were raped before the guards murdered them, and of the former athlete who was killed by a guard at Camp 14 after hunger drove him to eat part of the guard's leather whip. We read how guards at Camp 15 would allegedly make starving prisoners race along the side of a cliff for corn cakes, and laugh each time one fell to his death.

Amnesty International has since found the first known witness from Camp 16, who says that guards there forced prisoners to dig their own graves and then killed them with hammers. He reports that at Camp 16, too, guards raped and murdered women, whose names we'll never know. We add their fate to a long list of horrors, but at least, in some small way, they are mourned.

Until a year ago, we would have estimated that the total population of these camps was 200,000. Today, our estimate is closer to half of that. The "lucky" survivors of Camp 18 were apparently "released in place" when the fences around their camp were taken down, but the 30,000 prisoners of Camp 22 simply disappeared.

Local residents said that a few thousand survivors were loaded onto trains in the night and sent away, perhaps to Camp 16. The Amnesty report concluded that new construction at Camp 16 could not hold this many new prisoners. The fate of Camp 22's survivors -- if there were any -- remains unknown. New imagery shows that North Korea recently expanded three camps -- Camps 14, 16 and 25.

The prisoners in these camps, according to witness accounts, are condemned by nothing resembling a fair trial, for things we would not recognize as crimes â€” complaining about hardships in the "People's Paradise," escaping to find food, practicing religion, criticizing the ruling Kim family, or simply being related to such "offenders." (North Korea collectively punishes the children, spouses and parents of political prisoners.)

The world is belatedly awakening to evidence of North Korea's crimes against humanity. The U.N.'s creation of a commission of inquiry to investigate such crimes is an important start, but it is only that. As innocent North Koreans languish, starve and die in these camps, largely hidden from view, the world must open its eyes to this deplorable reality. The capacity for abstract sympathy is not just the mark of human civilization, it warns us of a growing danger to all of humanity.

Just as the world once united to condemn and isolate South Africa's apartheid regime, it must deny the Kim regime access to the global financial system until it closes these murderous camps forever.

The opinions expressed in this commentary are solely those of Joshua Stanton and Sung-Yoon Lee.

@highlight

Joshua Stanton, Sung-Yoon Lee: Recent Amnesty report shows North Korea prison horrors

@highlight

Witnesses tell of people imprisoned with little cause, beaten, tortured, raped, killed

@highlight

Two camps have apparently closed, their prisoners either freed or disappeared, they say

@highlight

Writers: World slowly waking up to this depravity. It must further cut off North Korea financially