(CNN) -- An Iranian-style theocratic regime in turbulent Egypt would be a nightmare for Washington and a dream for Tehran, but it's a no-go scenario for some scholars of the Middle East.

Some analysts doubt this vision because the Muslim Brotherhood -- the outlawed but popular militant Sunni Islamist opposition movement in Egypt -- appears to lack the clout and widespread support to seize power at present. Experts also say the movement is less extreme than the hardline clerics who rule Iran.

One analyst said the Egyptian military appears to be trying to reconsolidate its power and maintain what has been a "military dictatorship in civilian garb."

Just Friday, Iranian Supreme Leader Ayatollah Ali Khamenei praised the North African uprisings in Egypt and Tunisia and said they echo his country's revolution.

There is an easy parallel between the 1979 Islamic revolution in Iran that toppled the shah and the current uprising in Egypt: Both reflected popular discontent across the societies over hated and autocratic rule.

But other political factors deflate this scenario, analysts say.

Michael Singh, visiting fellow at the Washington Institute for Near East Policy, said that first and foremost, there is no figure in the Muslim Brotherhood who is equivalent to Ayatollah Ruhollah Khomeini, the Shiite cleric who led the toppling of the Iranian government.

"The Muslim Brotherhood is taking, so far, kind of a back seat," he said of its role in Egypt, which is predominantly Sunni. "They are late to the game."

Isobel Coleman, a senior fellow for U.S. foreign policy at the Council for Foreign Relations, agrees that there is no "charismatic and identifiable leader" of an Islamic opposition.

Khomeini, she said, was "such a threat" that he had been exiled to France.

Singh said that when Khomeini was in Paris, he said he didn't want to establish an Islamic republic, but that turned out to be a lie.

Coleman said the Iranian regime led by Khomeini murderously repressed and sold down the river many in the opposition who supported the uprising in the 1970s.

"The specter of that is very frightening to many Egyptians," she said. "Egyptians are very nervous about repeating what happened in Iran."

Mustafa Alani, director of the security and defense studies at the Dubai-based Gulf Research Center, sees the Muslim Brotherhood as a moderate force compared with a movement like al Qaeda.

He points to Jordan, where the new government has reached out to the Brotherhood's political wing, and envisions the group having a public role to play in a new Egypt.

At the same time, he doubts the Brotherhood would have influence over the army, and thinks the military would not allow them to seize power.

"I don't think it's a realistic assumption that they will seize power," he said.

Haim Malka, deputy director of the Middle East program at the Center for Strategic & International Studies, wrote in a commentary Friday that the "Egyptian military faces a range of challenges that defy easy resolution" and the "debate over the future role of the Muslim Brotherhood is a prime example."

"No representative system can take root in Egypt without the Brotherhood's participation. But, after spending the last half century battling Islamist political forces, the military leadership will have trouble overcoming its deep disdain for the Brotherhood," Malka said.

Singh points out that there's an impression among observers that the next Egypt will probably have a more anti-Western government and that the opposition leaders who will find their way into government could be less hospitable to U.S. interests.

In contrast, he said, there's not much fear of an Iranian-style theocracy at the moment.

He said Iran hasn't succeeded in exporting its revolution. Its neighbor Iraq, which like Iran is majority Shiite, hasn't evolved into a theocracy.

Coleman said Egyptians are wary of extremism and fear succumbing to the violence that raged last decade in Iraq. Also, the army plays a more moderating role.

She said one big difference between Iran and Egypt are their economies. Iran has a lot of oil, and it can afford to be "more reactionary and revolutionary."

Egypt is dependent on tourism, shipping through the Suez Canal and trade with neighboring countries.

"These types of things bind it to more moderate policies," Coleman said.

The calculation made by subsequently assassinated President Anwar Sadat in the 1970s to forge peace with Israel reflects this moderation.

Coleman said it has been a "cold peace" between Israel and Egypt, but leaders have concluded it serves Egypt better than conflict, instability and failure.

Singh says Sadat's "bold and risky move" was made to stop the endless state of war that began in the 1940s and help create prosperity.

Because of Egyptian repression, there are uncertainties about the Muslim Brotherhood.

Singh said it's unclear to what extent and why people have supported the Muslim Brotherhood in the past. Is that because it opposed Mubarak? Or is that because people philosophically support the group.

"I don't think we know right now," he said.

Could there be a future autocracy in Egypt, even if it doesn't resemble Iran's theocratic regime?

CNN's Fareed Zakaria, the foreign affairs expert who hosts an hour-long Sunday show on world affairs, says the military seems to have made a decision to try to maintain and reconsolidate power and it will sacrifice anyone to do that, even Hosni Mubarak.

He said it could be a "very unsatisfactory outcome."

"What is clear over the last three days is that they caused chaos and are now going to step in to restore order," he said of Egypt's military.

If that cycle plays out, he says, "the entire movement will have been in vain."

@highlight

The Iran template doesn't apply to Egypt, analysts say

@highlight

There's no charismatic figure in the Brotherhood like Khomeini

@highlight

Egypt's economic environment lends itself to moderate policies