(CNN) -- Nearly every day, Terri Shaver comes face to face with cancer and can't help but think about her life and how short it could be.

For more than four years, the 56-year-old photographer from Laingsburg, Michigan, has taken free portraits of people with terminal and life-threatening illnesses as part of the Oldham Project, the nonprofit she founded in 2008 after her husband's two sisters-in-law died from breast cancer.

Although the Oldham Project, named for the two sisters, provided photos for families and children, Shaver started Be Bold, Feel Beautiful, a campaign specifically aimed at women with cancer, in summer 2010.

"I'll never be the same," she said. "These women are already dealing with the choices of the things they want to accomplish or need to accomplish before their time here is over. They really see the things that are important."

The campaign began as a way to provide the women who lost their hair from cancer treatments photos in which they felt beautiful. Although she had already been taking photos of people with cancer, Shaver wanted to raise awareness, and from her extended family, knew what a powerful effect going bald had on women in particular.

"When they lose their hair, 99.9% of these women have said that they lose themselves," she said. "They lose their identity."

Shaver remembers one woman telling her that when her eyelashes and eyebrows fell out, she looked in the mirror and saw an alien. But when the women see their photos -- some somber and some lighthearted, posing with something significant to them -- they regain their self-image. Shaver said some have even told her that they stopped wearing their wigs after the session.

Since the campaign started in July 2010, Shaver has photographed about 100 women -- ages 20 to 82 -- who have had cancer, as well as partnering with a local spa to pamper them and try to make them feel gorgeous for a day. Although it began as a campaign planned to run until October, which is Breast Cancer Awareness Month, Shaver said the feedback from the women was overwhelming and she extended the campaign to be a permanent fixture of the Oldham Project.

"Your will has a lot to do with progress that you make when you're sick," Shaver said. "I firmly believe that if I can make women feel better about themselves, while they're undergoing this treatment and have no hair, their treatment will be much more successful."

Before starting a session, Shaver turns up the music in her studio and strives for an optimistic perspective, determined to make the day an uplifting experience for the woman, even though she knows this particular visit is likely a trip woven into a schedule of radiation treatments and countless doctor visits.

"You can't help putting yourself in these women's shoes as I talk to each and every one of them, thinking, 'What if that was me?'" Shaver said. "How would I react? How would I deal with that? Many times, I don't even have words."

If she didn't consciously take a more analytical approach to each woman's cancer, Shaver said, the project would be awful. It doesn't mean the emotions are absent, but Shaver, who used to be a nurse, knows she can't take on every burden she witnesses.

Toward the end of last fall when Be Bold, Feel Beautiful was in full swing, Shaver was scheduling sessions with up to 10 women a week and began to become physically and emotionally drained.

"I was sleeping three hours a night because I was thinking about the person I photographed yesterday or the woman I was going to," she said. "When you hear these people's stories, you spend a couple hours with them -- photographing them, interviewing them -- you become part of their lives."

She stepped back from updating the campaign's blog -- which was as often as she had a session -- and to her husband's relief, scheduled the portraits at a slower pace to give herself time.

Shaver said the only thing more difficult than a session is hearing the news that one of her photo subjects has died. The first was Denise Acker, 55, who died in August 2010 after fighting lung cancer, and was also the very first person to be photographed with Be Bold, Feel Beautiful. Shaver said five women have died since she began and it is devastating every time.

Dealing with the grief and looking mortality in the face has made Shaver live differently. She said she doesn't stress out about as many things because she has realized they simply don't matter. What gets her out of bed in the morning when she knows that the day's session will be tough is imagining that she has the ability to watch a woman overcome her insecurities and find peace in how she looks.

"It doesn't matter how bad my day is, I'll bet you their day is worse," Shaver said. "And I'm going to do all I can to make them look as good as I possibly can."

A little more than a year later, Shaver knows it sounds like an extraordinary statement, but she believes the ongoing campaign has the potential to save lives.

"If other women who are just newly diagnosed or haven't even been diagnosed yet see women like this who are strong, powerful, bold and feel good about themselves, they, too, will know that I can do this," she said. "They won't panic when they find a lump, they won't just stick their heads in the sand and hope it'll go away."

@highlight

Terri Shaver takes free portraits of people with terminal and life-threatening illnesses

@highlight

Be Bold, Feel Beautiful campaign aimed at women with cancer

@highlight

Sessions began to become physically and emotionally draining for Shaver