WASHINGTON (CNN) -- The Pentagon is portraying India as a major customer for U.S. military equipment, worth an estimated $6 billion in the past decade, even as U.S. companies are shut out of a multibillion dollar bid for fighter jets that India is starting this week.

In the newest edition of a congressionally mandated report, the Defense Department signaled that it was hoping to interest India in its top-of-the-line and most expensive weapon, the F-35 Joint Strike Fighter, still being tested.

Arms sales, as well as more frequent military exercises and exchanges, are seen as an important ways to cement ties between the two countries.

But India doesn't always buy American. Recently, India considered and then rejected a major purchase of U.S. F-16 and F-18 fighters, a expensive setback for U.S. arms sales and the U.S. aviation industry. That deal -- now between the Dassault Rafale and Eurofighter Typhoon -- is a reminder of the vast sums in play.

"With a potential contract price of US$9 billion to US$14 billion, this is the single biggest competition in the global defence aviation industry at the moment and offers both bidders a much-needed opportunity in a major market," said James Hardy, Asia Pacific Editor at IHS Jane's Defence Weekly said in a statement.

Arms sales, as well as more frequent military exercises and exchanges, are seen as an important ways to cement ties between the two countries.

The Defense Department downplayed any suggestion that arms sales and other contacts could backfire and that next-door Pakistan may feel new pressure both in its already-strained relationship with Washington and with its historical enemy, India.

"It's important that none of us think about relationships in this region as a zero-sum game," said Deputy Assistant Secretary of Defense Robert Scher at the Pentagon. "We have valuable relationships with Pakistan and valuable relationships with India and these things can co-exist."

Scher signaled that he hoped the relationship, and the arms sales would continue to grow.

"I think there is a great potential to do much more," Scher said in a briefing at the Pentagon. "India sees the U.S. as a reliable defense supplier and we have been able to provide some top-of-the-line equipment. Is there some potential for more? Certainly there is. That is for the government of India to decide"

Lisa Curtis of the Heritage Foundation, a long-time observer of U.S. and Indian affairs, said the report should be a catalyst to deepen defense ties and possibly lead to a loosening of present export and licensing controls.

"The Defense Department offer to provide India with information on the F-35 Joint Strike Fighter sends a clear signal that the U.S. considers India one of its most important future defense partners and is willing to consider co-production of some of its most sophisticated defense technology," Curtis told CNN.

The Pentagon's government-to-government program of foreign military sales to India have included C-17 and C-130 aircraft, radar systems, Harpoon weapons and specialized tactical equipment.

Any consideration of India's role in the region must include China and U.S. concerns about the Chinese modernization of its armed services especially its navy.

"The attention given to maritime security cooperation in the report should be seen in light of a series of maritime incidents in which Chinese naval vessels have challenged other countries' naval vessels in the South China Sea," Curtis said.

"It is clear that the U.S. views India as a leader in helping to maintain freedom of navigation in the Indian Ocean region and will likely look for ways to enhance India's involvement in maritime security endeavors throughout the Indo-Pacific in the future."

@highlight

The Pentagon tells Congress it hopes to interst India in its most expensive weapon

@highlight

The top-of-the-line F-35 Joint Strike Fighter is still being tested

@highlight

But India recently rejected purchase of other U.S.-built fightrers

@highlight

Arms sales are seen as a way to cement relations between the U.S. and India