(Health.com) -- Between puffs of his cigarette, Aristo Lizica explains why he's all for a smoking ban in public housing -- including his own housing project on the Upper West Side of Manhattan. "When you smoke indoors, it hurts everybody," the 59-year-old says, leaning against an iron fence outside his building. "It's better for me to just make myself sick."

Lizica would prefer to avoid making himself sick too, of course. "I want to quit," he adds. "I know cigarettes are bad for my health." Yet he remains unable to kick the habit.

Federal housing officials are trying to help people like Lizica -- and his neighbors -- by making public housing smoke-free. Full or partial smoking bans would reduce secondhand smoke drifting between apartments, prevent cigarette-related fires, and even help smokers quit, they argue.

"We see it as a win-win for both residents and housing authorities," says Donna White, a spokesperson for the U.S. Department of Housing and Urban Development, the federal agency that oversees public housing.

15 ways smoking ruins your looks

In a 2009 memo, the department highlighted the dangers that indoor smoking poses to the nation's 2.1 million public housing residents, and "strongly encouraged" local housing authorities to implement smoking restrictions. But doing so remains voluntary, and so far only about 4 percent of local authorities have taken the step. "Change is hard," White says.

Public health experts are hoping to light a fire under the cause. In a paper published today in the New England Journal of Medicine, a team of researchers and attorneys from Harvard University argue that the health and safety gains of a smoking ban in housing projects would far outweigh the losses, which some say would include the privacy rights of smokers.

Yet smokers like Lizica could prove to be the biggest winners, the authors suggest. "If federal officials and public housing authorities take this cue, we can expect to have large numbers of people quit smoking," says the lead author of the article, Jonathan Winickoff, M.D., a pediatrician and assistant professor at Harvard Medical School, in Boston. "That could be the single greatest health benefit."

Although the exact numbers of smokers in housing projects are unknown, about 30 percent of Americans living below the poverty line smoke tobacco, more than 1.5 times the rate of those who live above it.

70 years of menthol cigarette ads

The idea that the government can tell people what to do in their own homes is controversial, however. As Winickoff and his colleagues acknowledge, the smoking restrictions they support are "morally offensive to some" because the restrictions would be imposed on residents who are poor and unable to easily relocate if they disagree with them.

Indeed, not all residents of public housing support the idea. "I do want to quit, but at the end of the day, we shouldn't care what others do," says Esther Matos, 29, who lives and smokes in Lizica's housing project. "Don't bother me, and I won't bother them."

Even nonsmoker Lizzie Middleton, a 65-year-old survivor of lung and colon cancer, agrees. "It may be public housing, but people still pay rent and bills and buy their own cigarettes," she says. "They have the right to smoke in their own home."

But HUD officials and the Harvard researchers argue that smokers such as Matos are, in fact, bothering their neighbors and harming the health of those around them.

Secondhand smoke and third-hand smoke -- the toxic residue left behind on walls, carpets, and clothes long after a cigarette is extinguished -- are bad news, especially for children, pregnant women, people with chronic illnesses, and the elderly, Winickoff and his colleagues note. These vulnerable groups are disproportionately represented in public housing, they point out, and may be at increased risk for sudden infant death syndrome, asthma, respiratory infections, heart attacks, and cancer.

6 common smoking triggers -- and how to fight them

Just a few smokers can cause a big impact in a large apartment building, Winickoff says. "Tobacco smoke can stick around for weeks, months, even years," he explains. "Smoke doesn't know to stop at a doorway. It travels through air vents and cracks in walls, along ventilation and elevator shafts, and up stairways."

Smoking bans might also reduce the number of smokers and prevent young people from starting in the first place, says Michelle Mello, Ph.D., a professor of health policy and management at the Harvard School of Public Health, and one of Winickoff's co-authors.

"If we can remove the constant exposure to this behavior as well as to the smoke itself, we also stand a better chance of keeping at-risk youth from beginning to smoke," Mello says.

10 crazy ways smokers finally kicked the habit

Even proponents acknowledge that smoking restrictions could prove difficult to enforce, however. Mello believes that smoking could be regulated in public housing in the same way that drugs and alcohol are, but she and her co-authors note that penalties -- including eviction- may be hard to impose.

Although cities such as Boston, Seattle, and Denver have begun to roll out smoking bans in recent years, most of the cities and towns that have implemented restrictions to date are small and have relatively few housing projects.

Social, sneaky, or skinny? The 7 types of smokers

Milford, Connecticut, is one of the few cities that have responded to HUD's urging. In March, the city's public housing authority passed a nonsmoking ordinance that covers all 465 of its units. (Current tenants have until November 1 to comply.)

"We've had broad, positive support," says Anthony Vasiliou, executive director of the Milford Housing Authority. The day after the ordinance was passed, he says, a longtime smoker and public housing resident personally thanked him, and told him she believed the ban would give her the motivation to finally quit.

"Believe it or not," says Winickoff, "even some smokers want smoke-free housing."

Copyright Health Magazine 2011

@highlight

Federal housing officials argue that smoking bans would help smokers quit

@highlight

About 30 percent of Americans living below the poverty line smoke tobacco

@highlight

Expert: Just few smokers can cause a big impact in a large apartment