(CNN) -- While the likes of Roger Federer and Serena Williams strut their stuff at Wimbledon, spare a thought for the grass under their feet -- which will take a double pounding in the next two months.

Just 20 days after the men's final at the All England Club, the tennis competition at the 2012 London Olympics will begin -- and the team working on the famous courts are keeping their fingers crossed that this week's inclement weather does not cause any further delays.

Andy Newell from the Sports Turf Research Institute (STRI) gives Wimbledon head groundsman Eddie Seaward and his staff expert scientific advice on that preparation and admits that any delay into a third week would be a serious problem.

"They don't want to lose time because they are already on such a fine edge and even a day would mean you lose 5% of your preparation, and that could be crucial," he told CNN.

Ten of Wimbledon's courts will be used for the Olympics and it's going to prove Seaward's biggest challenge -- coming in his final year in the job, after more than two decades of involvement.

Preparation is the key, and the London Olympic Organizing Committee (LOCOG) insisted on a trial run at Wimbledon after the Games were awarded to the UK capital.

Trial run

"We worked on them just a couple of years ago to prove to LOCOG that we could do that within a short period of time, get the courts back in pristine condition," Seaward told CNN.

But trial run or not, it's still a daunting prospect with little room for error. The grass must be cut to an exact 8 millimeters for optimum performance, and Seaward and his team have to keep a wary eye on that unpredictable British weather -- ground temperature and humidity levels are constantly measured.

For this reason, the expertise of scientists and agronomists is so important.

STRI has been advising Wimbledon for over a decade. At its main testing center in a little corner of West Yorkshire, in northern England, its staff have recreated their own versions of Centre Court -- trialing different varieties of grass to provide the best and most resilient surface.

"We can test the grasses that they may use in the future here, " said Newell, STRI's head of turf grass biology.

"We can whittle them down, we can get rid of the chaff, hopefully keep the wheat for them."

Best grass

Over the years, Newell and his colleagues have come to the conclusion that perennial ryegrass provides the best surface, both in terms of wear and playing characteristics.

"In essence we've moved from one grass species which was inappropriate for Wimbledon, to one which was the best for Wimbledon," says STRI chief executive Gordon McKillop.

The company has grown to employ up to 85 people, and Wimbledon forms just part of their work.

The cricket pitches at Lord's, the fairways and greens of St. Andrews, the home of golf, and the football turf for Euro 2012 in Poland and Ukraine have all had their grass tried and tested at STRI's research center in Bingley.

When the pitch at the Euro 2012 game between France and the Ukraine dramatically flooded, experts from STRI were on hand to monitor its drying out.

They had advised using a vacuum pump system when the Donbass Arena in Donetsk was constructed, and it paid off.

Weather gods

The team working on Wimbledon and the Olympics had been keeping their fingers crossed for the perfect growing conditions at SW19 in July and August.

"Two weeks of wall-to-wall sunshine, not unbearably hot, with the odd contrast in conditions, perhaps a bit of rain, would make our job much easier," said Newell.

But true to form the British weather has misbehaved during the championships and the inevitable rain delays have left organizers with more than a few headaches.

For Newell the effect of such a varied climate on growing conditions is the bread and butter of his work.

He has installed micro weather stations at Wimbledon to aid his research, as well as digging a small hole on Centre Court to measure moisture levels.

"It's quite an important hole because it allows me to measure how much moisture there is at different depths," Newell said.

"Moisture is needed for the grass to grow, but it's also needed in the sense that we've got to dry it out to get the ball to bounce."

Surprise tactic

The playing characteristics of the courts at Wimbledon have been the subject of debate and no little controversy over the years, with claims it now favors baseline play rather than classic serve and volley.

Newell said the trend was more to do with the strength of the players, their rackets and the balls that are being used, rather than the surfaces being prepared.

"Players now use serve and volley as a surprise tactic rather than the norm," he said.

During Seaward's time at the All England Club, he has seen that change of tactics reflected on the worn parts of his courts.

"When I first started here, the players used to serve and run in to return the ball, they used to check and stop and wear the grass out and there's a patch in the middle there. That slowly but surely moved further back every year, until it's completely disappeared," he said.

Without the likes of Boris Becker and Pete Sampras charging forward to scuff up the grass in the middle of the court, the task of the groundsman has become rather easier, particularly with the tight Olympic deadline in mind.

Seaward and his team will begin their Olympic work even while play is still taking place on the show courts.

"We know the baseline is more worn than the rest of it, but by the time you get a bit of water on it, it starts to green up a bit," he said.

Nature's way

The secret is using pre-germinated, or pre-grown seed, which is sowed into the worn patches.

"We've got to try to get some grass back in there, in a very short space of time," Seaward said.

"Within a few days it will be up, hopefully, and we'll be preparing the courts."

And bearing this in mind, there is a plus side to the constant drizzle that is coming out of the cloudy skies of London in what has proved a pretty miserable summer.

"For growing grass, rain is a bonus," said Newell, adding that water from the sky falls more evenly than that supplied by artificial sprinklers.

Newell believes that the soil texture underneath the grass is just as important in determining the playing characteristics, but knows that when hosting the biggest sports show on earth, aesthetics are important.

"The idea is that we get the court to look the way it's going to look on the opening Monday of Wimbledon."

But he warned: "It all comes back to nature, and nature can't be rushed."

If the joint efforts of all those involved are ultimately successful, perhaps the International Olympic Committee could award a special gold medal to Seaward and his extended team -- because working around the clock, they may well have deserved it.

@highlight

Wimbledon is also hosting the 2012 Olympic Games tennis tournament

@highlight

Olympic competition starts just 20 days after the championships finish

@highlight

Groundsman Eddie Seaward is in charge of preparations for his final year

@highlight

Courts are tested at a special turf research facility in northern England