London (CNN) -- Margaret Thatcher was a giant in late 20th century British politics, in large part due to her revolutionary approach to the economy. It is no accident that her economic strategy and policies became known as "Thatcherism."

Her policies revolutionized the domestic economy and also had huge influence abroad -- not least of all in the countries of Central and Eastern Europe, freed from Soviet control in the early 1990s.

To get an idea of the enormity of her influence it is vital to understand the parlous state Britain was in the 1960s and 1970s.

OBITUARY: Britain's "Iron Lady" dies at 87

It was a country that, in the words of former U.S. Secretary of State Dean Acheson, had "lost an empire and has not yet found a role" and it was a country that was persistently underperforming its European neighbors.

Indeed it was the feeling that the six of the European Economic Communities (EEC) were leaving Britain behind economically that was one of the main reasons for its membership in 1973.

But, EEC membership did not solve Britain's problems. Britain's problems, including the appalling industrial relations, were only tackled when Thatcher became prime minister in 1979.

When I was a young civil servant in the 1970s in the Treasury, I was told that government in Britain was all about "managing decline." Defeatism was endemic.

Share your memories, tributes and thoughts on Thatcher's death on iReport

Both the major parties (Labour and Conservative) had adopted a quasi-consensus, Keynesian interventionist approach to the economy post WWII, in which large parts of the productive economy, including the utilities, were state monopolies.

Competition was a foreign, if not a dirty, word. And high taxes blunted entrepreneurial spirits and business activity. Under these circumstances it should have been of no surprise to anyone, that Britain's future was indeed was all about managing decline.

The image of an aristocratic family down on its luck, wearing threadbare jackets and scuffed shoes, comes to mind. Enterprise, profit, low taxes and risk-taking were concepts that were foreign (and especially American) in Britain.

It is absolutely no exaggeration to say that Thatcher changed the whole approach to the economy and business. "Managing decline" was not for her. She was determined to implement the policies, however uncomfortable and unpalatable they were at the time, to inject energy, enterprise and competition into business and into the economy.

Tinkering interventionism was out and union reform (long overdue), privatization, competition, sound public finances and low taxes were in.

All in all, her polices amounted to a "supply side" revolution. And it was a revolution. Businesses and entrepreneurs were now to be seen as the drivers of economic growth and not interfering governments. The default mechanism of post-war British economic policy was reset.

It was a staggering success. After a rocky start -- there was a nasty recession in the early 1980s from which parts of manufacturing did not recover -- the British economy began to perform significantly better.

Allied with canny policies to free up the City of London and attract inward investment, Britain became the number one destination for overseas investment. The sense of defeatism was consigned, at least at the time, to history.

In the late 1980s and early 1990s I well remember my Japanese colleagues' admiration for her and all that she had done for Britain's standing in the international business world, and their sheer bemusement when she was forced out of office.

Thatcher was a politician of enormous skill, determination, courage and, above all else, conviction. And she was ably assisted by, amongst others, Lord (Geoffrey) Howe, Lord (Nigel) Lawson, Lord (David) Young and Lord (Norman) Tebbit.

They helped her push through her vision against the most appalling opposition from the unions to the economics profession and the CBI.

Sadly, much of her excellent work was destroyed under the Tony Blair government when chancellor Gordon Brown's profligacy wrecked the public finances and his ill-advised changes to banking supervision severely damaged the financial system.

Speaking as one who saw the Thatcherite revolution "in action," I find it immensely saddening. We need a new Margaret Thatcher, one with the vision to correct the country's horrendous problems, as she did in the 1980s.

The opinions expressed in this commentary are solely those of Ruth Lea

@highlight

Thatcher was a giant in British politics, in large part due to her revolutionary approach to the economy

@highlight

Thatcher changed Britain's whole approach to the economy and business

@highlight

Thatcher was a politician of enormous skill and, above all else, conviction

@highlight

Lea argues we need a new Thatcher with the vision to correct the country's problems