Port-Au-Prince, Haiti (CNN) -- The confirmation of five cholera cases in Haiti's capital is a "very worrying development," a U.N. spokeswoman told CNN.

Public health officials are working to keep the country's cholera outbreak from spreading in Port-au-Prince, Haiti, where tens of thousands of people are still living in sprawling tent cities after January's devastating 7.0-magnitude earthquake.

The fast-moving outbreak has claimed at least 253 lives on the impoverished island nation, and another 3,015 cases have been reported, according to Haiti's health ministry.

Port-au-Prince could still be safe. The five patients were infected north of the capital, and those confirmed cases do not mean cholera has spread to Port-au-Prince, Imogen Wall, spokeswoman for the U.N. Office for the Coordination of Humanitarian Affairs in Haiti, told CNN.

"Our response system worked, but obviously this is a very worrying development," she said.

The five patients in Port-au-Prince were infected in Artibonite, north of the capital, Wall said. They traveled to the nation's main city, where health officials discovered them to be infected within the incubation period, she said.

The five have been isolated and are receiving treatment, she said.

But meanwhile, officials are stepping up sanitation efforts and setting up quarantine areas in Port-au-Prince. And authorities are bracing themselves for a possible larger outbreak nationwide.

"I think the only responsible thing we can do at the moment is prepare and plan for the worst case scenario," Wall said.

Wall said aid organizations are working on constructing facilities to treat patients and sending more doctors to the affected areas.

"We're all right for supplies ... but we're short on medical personnel," she said.

The cholera outbreak comes after recent heavy rains caused the banks of the Artibonite River to overflow and flood the area. The river was dammed in 1956 to create Lac de Peligre and  is Haiti's dominant drainage system.

On Friday, officials with the U.S. Centers for Disease Control and Prevention, and the U.S. Agency for International Development discussed the outbreak and efforts to work out a containment strategy.

The CDC will send an 11-member team to Haiti over the next few days to find out which antibiotics will be most effective in treating the cholera outbreak. USAID will provide supplies needed to set up treatment centers. The group has already prepositioned 300,000 oral re-hydration kits and are distributing water purification kits in affected areas.

Cholera is caused by a bacterial infection of the intestine and, in severe cases, is characterized by diarrhea, vomiting and leg cramps, according to the CDC. In such cases, rapid loss of body fluids can lead to dehydration and shock.

"Without treatment, death can occur within hours," the agency says.

A person can get cholera by drinking water or eating food contaminated with the bacteria. During epidemics, the source of the contamination is often the feces of an infected person, and infections can spread rapidly in areas where there is poor sewage treatment and a lack of clean drinking water.

All the reported cases in the Lower Artibonite involve severe diarrhea and vomiting, Wall said.

Ian Rawson, director of Hospital Albert Schweitzer Haiti near Verrettes, said patients began showing cholera-like symptoms on October 16. The pace picked up significantly Tuesday and beyond, though he said the situation was under control Friday at his 80-bed facility about 16 miles east of Saint Marc.

"So far, we've been able to manage it," Rawson said, noting that new patients were now coming in via pick-up trucks about every 10 minutes.

Temperatures in the mid-90s exacerbated the dual concerns about dehydration and people contracting cholera by drinking tainted water.

People lined roadsides in and around villages with  buckets, hoping that passersby might have clean water, said Eric Lotz, Haiti's  national director for the nonprofit Operation Blessing.

The U.N. mission in Haiti credited access to clean water and free medical facilities for preventing feared outbreaks of cholera and tuberculosis.

CNN's Paula Newton contributed to this report.

@highlight

NEW: Death toll rises across Haiti from cholera

@highlight

Authorities are bracing for a possible larger outbreak nationwide

@highlight

Five cases of cholera are confirmed in Port-au-Prince

@highlight

The outbreak has killed more than 250 people