(CNN) -- On the off chance you've never been to Iceland's version of the White House, here's what that's like, courtesy of Foreign Affairs deputy editor Stuart Reid:

"There was incredibly little security," Reid told me, describing a 2013 visit for an interview with the country's President. "I took a taxi to the residence, and the taxi pulled up and I was like, 'OK, now what do I do?' And the taxi driver said, 'Oh, I think you just knock on the door' ... I just go up and ring the doorbell. A butler lets me in.

"I think there was one of those metal check-point gates that can lift up -- that was on a road -- but if you really wanted to you could just drive around it on the grass."

Was there a fence? No.

Guards? No.

Guns? Nope.

And was the door locked?

"I'm not sure whether it was unlocked or locked."

At this point, you may be thinking Iceland's President is the most naive person in the universe, especially in light of the Secret Service scandal in the United States. But I don't see it that way, and neither does Reid. At a time when the U.S. Congress is lining up to take jabs at the Secret Service, which, among other legitimately scandalous things, failed to stop an intruder from making it into the White House East Room, Iceland's no-security state could be seen as a breath of fresh air -- a reminder, as Reid and others have put it, that the president is supposed to be one of the people.

"This is really what the White House is all about. It's the 'People's House,' " first lady Michelle Obama says in a statement on the White House website. "It's a place that is steeped in history, but it's also a place where everyone should feel welcome."

"Should" is the operative word here.

I worry such openness won't continue in the wake of this scandal.

A number of White House security "improvements" have been proposed by Congress, the news media and the public -- from making the fence around the residence taller to blocking off pedestrian traffic around the building. Currently, anyone can walk up to the White House's wrought iron fence and can see the building across a lawn. This is a popular spot both for tourist photos (I've taken them) and protests. Troublingly, 16 people are reported to have made it past the fence in the last five years, including one toddler.

"While the Secret Service considers creating new fences, large buffer zones and checkpoints around the grounds, they are overlooking a simple, cost-effective solution -- bringing in the United States military," Dan Emmett, a retired Secret Service agent, wrote in an op-ed for The Washington Post.

The concerns are real.

But militarize the White House?

I find that shockingly reactionary.

Perhaps I shouldn't, though. It is the history.

When Andrew Jackson was inaugurated as president in 1829, he famously "opened up the White House and basically let the rabble in," said Jeffrey Engel, director of the Center for Presidential History at Southern Methodist University. Thousands of "people trampled through and they didn't even have to wipe their feet. There were reports about how much dirt they had to sweep out afterward."

Since then, Engel told me, "there's no doubt that we have seen a steady increase in the limitations on public access. At this point (the White House) is a fortress."

There are valid reasons for that.

Assassination attempts and security breaches, like those seen this year, are, of course, cause for concern and precaution.

But I find it comforting that there are still countries -- including Iceland -- where the president is allowed to remain part of the people.

That's a sign of a healthy society.

Look, I'm not arguing that the no-one-has-a-gun-and-we-trust-everyone-not-to-shoot-the-president approach that Iceland takes would function in heavily armed America. It wouldn't.

Iceland is a country of 320,000 people, which makes it slightly more populous than Anchorage. Its violent crime rate is lower, and there likely are fewer people who would want to assassinate Ã“lafur Ragnar GrÃ­msson, the country's President. For one, he's super nice (he invited me for pancakes when I interviewed him in Maine in 2011). And he's not the most powerful person in the free world -- or arguably in his country.

But -- but! -- as our country investigates the White House security breaches, and demands change, it would be wise of us to remember the White House belongs to the American people. The first family should be made safe, but not by raising fences and creating no-go zones around the perimeter of the people's house.

I can imagine a dystopian future in which tourists peer through a thick window of yellowed glass -- like at Sea World or something -- to see the presidential residence from beyond a concrete barrier.

I certainly don't want to live in that country.

"In an open society, like the United States, or like Iceland, there's this idea that the president is one of the people. He comes from them and he is accountable to them," said Reid, the Foreign Affairs editor.

"It would be a shame, in my opinion, if the Secret Service scandal resulted in closing off more public space in D.C. If you actually wanted to protect the president to a totally 100% degree, you would keep expanding the secure zone around the White House evermore.

"But that would come at some cost to the fact that school kids can peer through the fence and see the White House and dream about being president."

Great point.

Lawmakers and the first family should keep those kids -- those dreamers standing at the White House fence -- at front of mind as they consider reforms.

@highlight

Iceland's presidential residence doesn't have a fence or apparent guards

@highlight

John Sutter talks with a magazine editor who visited the residence

@highlight

Sutter: The U.S. shouldn't turn the White House into a fortress

@highlight

Some have suggested making its fence taller or creating a secure perimeter