(CNN) -- On the night of February 26, Trayvon Martin was wearing a hoodie and had bought Skittles and an Arizona tea at a convenience store in Sanford, Florida. Some time after that, he was shot and killed by neighborhood watch member George Zimmerman.

But beyond those established facts about the shooting of the unarmed teenager in an Orlando suburb last month, much is in dispute about the case that has gripped the nation.

Of the two people directly involved, Martin will never be able to describe what happened, and Zimmerman has kept mum. His lawyer vows that, once all the facts surface, things will not appear as clear-cut as they are to many of Martin's supporters at the moment.

America will have to wait and see as State Attorney Angela Corey plunges deeper into a case charged with allegations of racism. Martin was African-American; Zimmerman is a Hispanic who, his family says, has been wrongly described as racist.

What's clear is that, as more is learned about this case, it becomes more complicated.

The little information that has surfaced has been through 911 tapes, what Zimmerman told police and the accounts of witnesses who helped paint a picture of the night Martin died.

George Zimmerman

Zimmerman was wearing a red jacket and blue jeans when he came across Martin on that night. He was a neighborhood watch member carrying a Kel-Tec 9 mm pistol, according to a police report.

He said he was on his way to a grocery store when he spotted Martin walking through the Retreat at Twin Lakes, according to the Orlando Sentinel, which pieced together an account of what happened based on leaked information from investigators.

Sanford police said the newspaper account "is consistent with the information provided to the State Attorney's office by the police department."

Martin was visiting his father's fiancee, who lived in the gated community in Sanford, a racially mixed northern suburb of Orlando.

Zimmerman called police to report a suspicious person. He described Martin as black and said he was acting strangely and could have been on drugs.

Zimmerman said he got out of his SUV and followed Martin on foot.

"Something's wrong with him," he told a 911 dispatcher, according to the contents of a call released by authorities. "Yep. He's coming to check me out. He's got something in his hands."

The teenager started to run, Zimmerman said. A 911 dispatcher asked Zimmerman whether he was following Martin, and Zimmerman said he was. The dispatcher said Zimmerman did not need to do that.

Zimmerman said he lost sight of Martin and began walking back to his SUV; Martin approached him, according to the Sentinel account.

Martin asked Zimmerman if he had a problem; Zimmerman said no and reached for his cell phone, he told police.

Martin said, "Well, you do now" or something similar and punched Zimmerman in the nose, Zimmerman said, according to the Sentinel.

Zimmerman said Martin pinned him to the ground and began slamming his head into the sidewalk. The police report described Zimmerman's back as wet and covered with grass, as though he had been lying on the ground.

Zimmerman was also bleeding from the nose and the back of his head, the police report said.

"I was yelling for someone to help me, but no one would help me," Zimmerman told police.

By the time police arrived on the scene, Martin was dead from a gunshot wound in the chest, according to Sanford Police Chief Bill Lee. The unarmed teenager was lying face-down.

Zimmerman told police that he shot Martin. And that he did it in self-defense.

911 calls

Residents of the gated community heard the gunshot.

Seven 911 calls released by authorities document their fear.

Someone screams, "help, help!" in the background.

"There were gunshots right outside my house. There's someone screaming. I just heard a guy shot," a neighbor says. "Hurry up, they are right outside my house."

Another man cries for help. Then the gunshot.

"Hurry, please. ... There's someone screaming outside," a neighbor whispers. "There's a gunshot. Hurry up. ... There's someone screaming. I just heard a gunshot."

In another call, a woman begs the dispatchers to send help, saying someone is "screaming and hollering" for help.

Moments later, she describes a light at the scene of the shooting.

"Oh, my God," she says. "There's still somebody out there walking with a flashlight."

Zimmerman's call to police was among the 911 tapes released by police. Some people hear what sounds like a possible racial slur. CNN enhanced the sound of the 911 call, and several members of CNN's editorial staff repeatedly reviewed the tape but could reach no consensus on whether Zimmerman used a slur.

Mary Cutcher and Selma Mora Lamilla

Mary Cutcher was in her kitchen making coffee that night with her roommate, Selma Mora Lamilla. The window was open, she said.

"We heard a whining. Not like a crying, boohoo, but like a whining, someone in distress, and then the gunshot," she said.

They looked out the window but saw nothing. It was dark.

They ran out the sliding glass door, and within seconds, they saw Zimmerman.

"Zimmerman was standing over the body with -- basically straddling the body with his hands on Trayvon's back," Cutcher said. "And it didn't seem to me that he was trying to help him in any way. I didn't hear any struggle prior to the gunshot.

"And I feel like it was Trayvon Martin that was crying out, because the minute that the gunshot went off, the whining stopped."

The two women said they could not see whether Zimmerman was bruised or hurt. It was too dark.

"Selma asked him three times, 'what's going on over there?' " Cutcher said. "He looks back and doesn't say anything. She asks him again, 'everything OK? What's going on?' Same thing: looked at us, looked back. Finally, the third time, he said, 'just call the police.' "

Anonymous witness

A witness who asked not to be identified, even by gender, told CNN's Anderson Cooper about hearing voices outside in an area where neighborhood residents often walk their dogs and wondering, "Oh, my gosh, who's out there walking their dog in the rain?"

Then the witness heard a "very loud, predominant voice" and opened the window.

"I couldn't hear the words, but it was like, OK, this is not a regular conversation. This is someone aggressively, you know, yelling at someone."

The witness recalled seeing two men on the grass, one on top of the other.

"And at that point, not looking out the window, I heard the yell for help, one yell for help, and then I heard another ... excruciating type of yell," the witness said. "It didn't almost sound like 'help.' It just sounded so painful. But I wasn't watching out the window during that. And then the next time I looked out the window, there's the same thing: two men on the grass, one on top of each other. I couldn't see a lot of movement. It was very dark, but I felt like they were scuffling. And then I heard the gunshots, which, to me, were more like pops than they were like a bang."

The witness recalled hearing more than one shot. "It definitely was more than one pop noise, so I don't know if it was an echo or anything else. But it definitely made more than one pop."

Then one of the men, who appeared to be Hispanic, started walking toward the witness' vantage point, the witness said. Zimmerman is Hispanic.

"He didn't appear hurt or anything else," the witness said.

Martin's girlfriend

Benjamin Crump, the Martin family lawyer, says Martin's girlfriend's account of what happened connects the dots and destroys Zimmerman's claims of self-defense.

The girl, who did not want to be identified, said she was on the phone with the teen before the shooting.

When Zimmerman got closer to Martin, she told her boyfriend to run, but Martin told her that he was not going to run, she said.

"What are you stopping me for?" Martin asked Zimmerman, according to the girl.

"What are you doing around here?" Zimmerman asked in response.

The girl said she then got the impression that an altercation was taking place and that someone had pushed Martin, because the headset fell out of his ear, and the phone shut off.

Zimmerman's friend

Joe Oliver said Zimmerman filled Oliver in on what happened between the time Martin came face to face with him and when the gun was fired -- the part that's not all clear.

Oliver said he could not divulge what Zimmerman said, just that the gun went off.

Corey, the state attorney, was asked whether that meant the shooting might have been accidental.

"We look into that in every shooting case," Corey said.

Oliver said Zimmerman was badly hurt that night. He went to a doctor the next day to be treated for a broken nose.

"He hasn't been back to his apartment, which is in that complex, ever since that happened, and he's being treated for post-traumatic stress disorder, for depression, for insomnia," Oliver said.

"He cried for days after this happened. The George Zimmerman I know is not here anymore, because he knows that he took someone else's life, and he's extremely remorseful."

Zimmerman has not been charged, sparking a firestorm of protest across America. Corey's homicide staff, meanwhile, continues to work around the clock.

@highlight

The case becomes more complicated as details emerge

@highlight

Witnesses have made seemingly contradictory statements

@highlight

Zimmerman told police Martin slammed his head on the sidewalk

@highlight

Martin's girlfriend says she believes he was pushed to the ground