BEIJING, China (CNN) -- For years, doctors and patients have been using DNA analysis to diagnose anything from paternity to predisposition to inherited disease. Now, Chinese scientists say genetic testing can identify inherent "talents" as well.

The results can reveal athletic or musical talents but cannot necessarily identify the next Yao Ming.

By examining the DNA from a simple cheek swab, scientists at Shanghai Biochip Co., one of China's largest biotechnology companies, say they can uncover a person's natural strengths and weaknesses with 99 percent accuracy.

They test eleven genes that they say correspond to memory, swiftness, thinking, comprehension, emotion, adventure, braveness, focus ability, perseverance, vigor and physical strength. According to the company, specific combinations of the genes can reveal whether someone is genetically predisposed to being highly intelligent, athletic, musical and more.

In the case of memory, the scientists examine the gene known as BDNF, the Brain Derived Neurotrophic Factor gene. Research by America's National Institute of Health suggests that different variants of the BDNF gene correspond to different competences in episodic memory (the ability to recall recent events) as well as different activity-levels in the hippocampus (the area of the brain that mediates memory).  See photos of the children's summer camp in China where such testing occurs »

Each person has one of three possible BDNF variants: AA, AG and GG. Each variant or base pair refers to the two gene components that make up each gene on the DNA's double helix.

Most people have the GG variant, which indicates "normal" memory. Fewer people have the AG base pair, which corresponds to "above average" memory. AA is the rarest and strongest type of memory gene variant.

"The AA genotype is the best in memory. (Someone with an AA pairing) will learn something easy and remember the result longer than others can," said Yang Yanqing, the lab's technical director.

Once lab technicians determine the base pairs for each of the eleven talent genes, specialists draw conclusions about a person's broader characteristics and even make career recommendations based a person's talent level in each of the eleven categories.

"This child is very thoughtful and focused," Shanghai Biochip's Healthcare Director Huang Xinhua explained while looking over a girl's test results. "I suggest she go into management."

Although the results can also reveal athletic or musical talents, genetic testing will not necessarily be able to identify the next Yao Ming or Yo-Yo Ma. DNA analysis only provides an indication of someone's talent potential, not their realized skill-level, the scientists say.

"It's not like genes decide everything. Genes just decide 30 to 60 percent. The rest is post-natal. A child's upbringing, nutrition, and education are all very much related," said Huang.

Still for many Chinese parents, it is worth knowing that extra 30 to 60 percent more about their child. The lab, which conducts many other types of DNA tests, has seen a surge in the demand for genetic talent tests, most of the requests come from parents on behalf of their children.

In a country where, by law, most couples can only have one child, parents seem to be turning to biotechnology to ensure their only child reaches his or her full potential.

@highlight

Scientists at Shanghai Biochip Co. say they can uncover a person's natural strengths

@highlight

They do so by examining the DNA from a simple cheek swab

@highlight

They test eleven genes that they say correspond to certain traits

@highlight

Specific combinations of the genes can reveal predispositions for certain skills