(CNN) -- One of the longest-lasting effects of conflict is one that is all too often hidden away, breaking down social fabric and affecting those it touches for the rest of their lives. Rape and sexual violence are easy to overlook -- private tragedies with public stigmas. According to a new report from Save the Children, children bear the brunt of this unseen crisis, enduring the unthinkable when they are most vulnerable.

And sexual violence against children is more common than we dare to think. More than half of the victims of sexual violence are children, according to our report. In places of active or past conflict, from Liberia to Colombia to Afghanistan, children -- both boys and girls -- have been afflicted by this horrendous crime. One study cited in the report shows that in post-conflict Liberia, a staggering 80% of victims of sexual violence were children, and the majority of those had been raped.

The time has come to change those horrific numbers, and we are glad to see that G8 leaders have taken a step in the right direction As chair of the G8, the government of the UK is making sexual violence a priority, pledging new funds dedicated to preventing rape in places of conflict, and to make sure that those who survive it are given the care and treatment they need and deserve.

Read more: G8 nations pledge action to halt sexual violence in war

The scale of the problem is staggering -- in so many conflicts, sexual violence is adding to an already terrifying situation for children. Earlier this week, I spoke to a working group for the U.N. Security Council about the threat of sexual violence facing Syrian children, who have already been uprooted by a bloody two-year old conflict. Save the Children spoke to girls from Mali who saw their friends raped and killed by armed men; children in the Congo subjected to vicious sexual attacks in recent fighting around Goma; and mothers in Colombia whose young children had been raped as the rule of law broke down around them. This problem is not isolated, something happening in just one corner of the world, but instead a troubling pattern that we have seen in too many places.

Male victims, often young boys, have been overlooked when it comes to sexual violence, despite evidence that attacks on them, especially in war zones, are significant -- and go unreported. We need to face the full scale of sexual violence so that all children, boys or girls, receive that protection and support.

Tackling this problem means shifting attitudes toward sexual violence in war. Where help is available, it is often geared toward the needs of adults. We know in any conflict, children are the most vulnerable, and their needs are unique. Our report cites the devastation -- physical and psychological -- that sexual violence inflicts on the young. With proper support, we can help them heal.

The problem is not an easy one to tackle, but it must be done. Funding for protection of children in conflict zones has been difficult to secure. It is not as easy to show as items like food and tents, things that donors can see and grasp easily. Child protection in humanitarian crises is consistently the least funded area of humanitarian response. This pledge will help it get the resources a problem of this magnitude deserves.

It is imperative that we continue to demand that this changes. Survivors are often too afraid or embarrassed to speak out on what they have been through, sometimes isolated from their communities and lacking confidence those who abused them will face justice. We must be vocal in insisting that their needs be met. Those needs won't be met overnight, but on Thursday, G8 leaders took a bold step to combat this grave violation of children's rights. Ensuring proper resources and attention are given this critical issue is the first step in fighting this widespread crime against children.

The opinions expressed in this commentary are soley those of Carolyn Miles.

@highlight

Sexual violence is often treated as a private tragedy with a public stigma, Carolyn Miles says

@highlight

A Save the Children report found that in post-conflict Syria, 80% of victims were children

@highlight

The G8 has pledged new funds dedicated to preventing sexual violence in places of conflict

@highlight

Giving proper resources to tackle the problem is a bold first step, Miles says