(CNN) -- A pea-sized seahorse, the world's longest insect, a "ghost slug" and the world's smallest snake were among the top 10 species discovered in 2008, a committee of scientists said Friday.

A tiny seahorse and the world's longest insect were among the top 10 new species discovered in 2008.

These unusual critters were among thousands of species found last year, many in remote or tropical regions of the planet, that hint at the breadth of the Earth's undiscovered biodiversity.

"Most people do not realize just how incomplete our knowledge of Earth's species is," said Quentin Wheeler, director of the International Institute for Species Exploration at Arizona State University, which announced the top 10 new species list.

"We are surrounded by such an exuberance of species diversity that we too often take it for granted," Wheeler added.

The ASU institute and an international committee of taxonomists -- scientists devoted to species exploration and classification -- compile the top 10 list of new species each year.

Also on the 2008 list are a caffeine-free coffee plant, a snail whose shell twists around four axes, a palm that flowers itself to death and microscopic bacteria that live in hairspray.   See photos of the new species »

Here's the complete list:

1. Pygmy seahorse: Classified by its Latin name, Hippocampus satomiae, this species measures about half an inch long and was found near Derawan Island off Kalimantan, Indonesia.

2. A plant that kills itself: Found in a small area of northwestern Madagascar, a rare genus of palm -- Tahina spectablilis -- produces huge, spectacular flowers and then dies and collapses. Fewer than 100 have been found.

3. Decaf, please: Known as Coffea charrieriana, this plant found in Cameroon is the first record of a caffeine-free coffee species from Central Africa.

4. Spray-on species: An extremophile bacteria, Microbacterium hatanonis, was discovered in hairspray by Japanese scientists.

5. A stick that moves: The world's longest insect, with a body length of 14 inches (22.3 inches including legs), Phobaeticus chani resembles a stick and was found in Borneo, Malaysia.

6. The Barbados Threadsnake: Leptotyphlops carlae measures only 4.1 inches long and is believed to be the world's smallest snake.

7. A pale "ghost slug": Selenochlamys ysbryda was a surprising find in the densely populated area of Cardiff, Wales.

8. A very limber snail: This unique species, Opisthostoma vermiculum, is found on a limestone hill in Malaysia and has a shell that twists around four axes.

9. Damsel in the deep blue sea: Chromis abyssus is a beautiful species of damselfish found in deep-reef habitat off the coast of Ngemelis Island, Palau.

10. Fossil mama: A fossilized fish, Materpiscis attenboroughi, is an extremely rare find from Western Australia and shows a mother giving birth 380 million years ago.

Scientists are still classifying species found around the globe in 2008, so final data for that year are not available. But on Friday, the taxonomists issued a State of Observed Species report card that states 18,516 species new to science -- about half of them insects -- were discovered and described in 2007.

The vast majority of the 18,516 species named in 2007 were invertebrate animals (75.6 percent), vascular plants (11.1 percent) and vertebrates (6.7 percent).

The report was compiled by ASU's International Institute for Species Exploration in partnership with other scientists.

"Charting the species of the world and their unique attributes are essential parts of understanding the history of life," Wheeler said. "It is in our own self-interest as we face the challenges of living on a rapidly changing planet."

According to Wheeler, a new generation of tools is coming online that will vastly accelerate the rate at which humans can discover and describe species.

The annual release of the top 10 new species list and State of Observed Species report commemorate the anniversary of the birth of Carolus Linnaeus, who initiated the modern system of plant and animal names and classifications.

An estimated 1.8 million species have been described since Linnaeus initiated the modern systems for naming plants and animals in the 18th century. Scientists estimate that there are between 2 million and 100 million species on Earth, though most set the number closer to 10 million, according to ASU.

"It is estimated that the approximately 1.8 million species named since 1758 represent no more than a fraction of the world's species," the report states.

"Rapid environmental changes around the world highlight the urgent need to accelerate our exploration of Earth's species," the report says. "Millions of species -- the majority not yet known to science -- face an uncertain future. Among these species are keys to understanding the history of the origin and diversification of life on our planet."

@highlight

A committee of scientists named the top 10 species discovered in 2008

@highlight

Among them are an Indonesian seahorse that measures about half an inch long

@highlight

The world's longest insect has a body length of 14 inches and resembles a stick

@highlight

A coffee plant from Cameroon is a rare caffeine-free coffee species