(CNN) -- Q: Sgt. Robert Bales has been accused of killing 16 Afghan civilians. He served three tours in Iraq before this and his lawyer says he may have been suffering from post-traumatic stress disorder or a traumatic brain injury. What's the link between violence and those disorders?

A: Psychiatrists understand some types of aberrant behavior pretty well and can do things to help resolve it. But, unfortunately, in other instances -- and often the most interesting ones -- we can only mumble generalities that require no special expertise and that offer no hope for a diagnosis or treatment.

Take the case of U.S. Army Sgt. Robert Bales, accused of massacring 16 Afghan men, women and children while they slept unprotected in their village.

The first thing a psychiatrist would want to know is whether the person who committed such a heinous act was psychotic at that time, meaning out of touch with agreed-upon human reality. Did he perform the killings as a result of deeply held false beliefs or in response to hearing voices commanding him to act? If yes, then although the tragedy remains, the psychiatric mystery is solved.

But at this point, although Bales has reportedly told his lawyer he remembers nothing about the night of the massacre, there is no evidence he was psychotic immediately before the killing spree. Nor do we have any evidence at this point that the killings were motivated by some larger political purpose, which might also explain, but certainly not justify, them.

So why would someone who had appeared normal to everyone around him suddenly commit such a hideous act?

Army reviewing PTSD evaluation program

Much has been made in the media about the fact that Bales was on his fourth deployment. Moreover, he had suffered mild traumatic brain injury in Iraq. Traumatic brain injury can cause a wide range of mental difficulties, from poor decision making and memory to increases in impulsive behavior, irritability, depression and personality change.

So how likely is it that Bales' traumatic brain injury explains the accusation that he massacred 16 Afghan villagers? The answer is: not very likely.

Why? Consider, as alternative possible explanation, mania. Mania is often characterized by the sudden onset of bizarre, agitated behavior in public and it is not necessarily related to traumatic brain injury.

Traumatic brain injury almost never causes otherwise solid citizens to ruthlessly massacre men, women and children.

Thousands upon thousands of people develop severe manic episodes every year. Thousands upon thousands of service men and women have been multiply deployed and have suffered various levels of traumatic brain injury, and yet there is only one Bales. That is why it doesn't fit very well. Mass murder is just about as rare in people with brain damage as in people without brain damage.

Note that I said "just about." In fact, organic brain damage can be a cause of mass violence. Probably the most classic example of this in American history was the case of Charles Whitman, who went on a shooting spree from atop the University of Texas tower that resulted in the death of 16 people. Although he was under multiple stressors at the time of the incident, he was found to have a brain tumor in the "rage area" of his brain (i.e. the amygdala) upon autopsy.

In the case of Bales, if he is guilty of the massacre, his actions may eventually be found to be related to a clearly causative organic factor. But my clinical experience tells me not to bet on this. It happens, but pretty rarely.

When people behave in unexpected ways for no good reason, it often turns out that when the full story of their lives is understood, the behavior no longer appears as unexpected. That which is neither clearly linked to either a medical or psychiatric illness is very likely intertwined in a person's longstanding personality.

So, I suspect that if 100 psychiatrists were told that a previously normal service person massacred 16 civilians and was neither medically impaired nor psychotic, the majority of them would immediately suspect that the person in question might not have been as normal across his life as initial reports suggested.

In fact, as more comes out about Bales this appears to be the case. It now appears that he was involved in fraudulent business dealings. What makes the case so strange, however, are the multiple contrasting reports of his remarkably caring and selfless behavior on numerous occasions and his status as something of a small town hero.

I seem to end many of my CNNhealth pieces with some type of comment about how unsatisfying our current level of psychiatric understanding is. This pieces, alas, is no different in this regard. Frankly, at this point nothing in Bales' actions makes psychiatric sense. On the other hand, how many highly admired, hard-working, patriotic, caring small-town heroes are embroiled in financial fraud or may have other dark behaviors in their backgrounds?

Maybe the fact that Bales himself may not make sense is the best place for us to start in our understanding of the horrible events in Afghanistan.

@highlight

A lawyer for Sgt. Robert Bales says the soldier may have been suffering from TBI, PTSD

@highlight

Sometimes our understanding of psychiatry is unsatisfying, Dr. Charles Raison says

@highlight

Raison: The backstory to someone's life is just as important as the current situation