This month, one of the least merciful presidents in the history of the United States granted 13 pardons and eight commutations of sentence. The grants moved President Barack Obama's overall mark past the administrations of John Adams (who served only one term), William H. Harrison (who died of pneumonia after serving only 30 days), James Garfield (who was fatally wounded by an assassin after serving only four months) and George Washington.

The New York Times complained that, when it came to the pardon power, there was just "no excuse" for Obama's "lack of compassion" and encouraged him to "do much more." The American Civil Liberties Union called the pardons "a step" and hoped the President would "continue to exercise his clemency powers." Meanwhile, the Cato Institute, a libertarian think tank, lamented the "drought" of pardons in the Obama administration and called the recent grants "mingy and belated." Conservative columnist Debra Saunders wrote that it was "about time" Obama acted, and even tossed out the possibility/hope that he might "do it again soon."

While it is true that Obama's grants included no one comparable to Scooter Libby, or Marc Rich, much less President Richard Nixon, the intensity and commonality of reactions is noteworthy. Political executives -- presidents and governors -- may not be quite aware of or in tune with it just yet, but the times, they are a-changing.

No one is clamoring for violent criminals to be yanked out of prisons and tossed into the streets to wreak havoc on society. No one is lusting for the considered judgment of judges and juries to be whimsically overturned by politicians leaving office and, in the process, sidestepping accountability.

But, increasingly, there is recognition that budgets are tight, and prisons are both overcrowded and expensive. The recidivism of those who spend time in prisons and exit without anything like serious rehabilitation is also costly. Congress' recent recognition of the failure (if not outright unjust nature) of sentencing laws appears, to many, as still yet another indicator that there is consensus regarding the status of the so-called war on drugs: It has not worked out very well.

Judges have complained loudly about mandatory minimum and three-strikes laws which have limited their ability to tailor punishments to fit crimes -- a basic notion of justice. Public opinion polls also suggest Americans are increasingly uncomfortable with over-criminalization in the law.

The pardon power will always carry an inherent political "risk," because no one can perfectly predict the future behavior of recipients and everyone's judgment can be second-guessed, if not mischaracterized. Informed persons know Mike Huckabee did not "pardon" Maurice Clemmons and Michael Dukakis did not "pardon" Willie Horton. But, of course, executives cannot always survive political storms with the support and encouragement of informed persons.

Nonetheless, the Founding Fathers considered the pardon power an integral part of our system of separation of powers and checks and balances. Its presence in the Constitution is premised on the notion that Congress and the Courts are not always perfect. Anyone care to disagree? It simply follows that, if the pardon power is being neglected or abused, then government is not doing what it was meant to do.

Alexander Hamilton furthermore noted, in the Federalist Papers, that the criminal codes of nations have an almost natural tendency toward over-severity. For that reason, he argued, there should be easy access to mercy. Yes, you read that right, "easy access," or, in other words, something very different than what is going on in the Obama administration.

The fortunate thing is, presidents and governors can very easily minimize the political "risk" of pardoning by granting pardons regularly, consistently, throughout terms, as opposed to, very questionably, at the "last minute."

While Christmas pardons may make some feel warm and fuzzy, they also send a message that is more counterproductive than anything. They seem to say mercy is an afterthought, or worse, a gift, that may or may not be deserved.

The fact of the matter is the majority of individual acts of executive clemency in our lifetime have been pardons, which simply restored the civil rights of the recipients. No one was sprung from jail. Violent criminals were not tossed into the streets. Judges and juries were not overturned. Recipients have typically committed minor offenses, many involving no incarceration whatsoever, and usually, many years if not decades before pardon. FBI background checks documented they had integrated back into society as law-abiding productive members. Their pardons were not "gifts" so much as they were well deserved recognition.

Have these pardons been high-wire maneuvers? Have they required presidents to spend precious political capital? Not at all. Obama has granted 52 pardons to date. There is a much better than average chance that readers cannot name a single recipient. George W. Bush granted almost 200.

So, why can't Obama restore the civil rights of more applicants? Why doesn't he? There is no obvious answer to that question, save lack of care and concern. Where is the President who said his religion teaches him the importance of redemption and second chances? Where is the hope?

@highlight

President Obama has granted 52 pardons to date; George W. Bush granted almost 200

@highlight

P.S. Ruckman: Obama is one of the least merciful presidents in U.S. history

@highlight

He says Christmas pardons may seem warm and fuzzy, but it makes them seem like a gift

@highlight

Ruckman: Instead of last minute pardons, politicians should grant pardons regularly