(CNN) -- In an exclusive interview with CNN's Matthew Chance, Citibank CEO Vikram Pandit has said the beleaguered bank, which has received $45 billion in bailout money from the U.S. government, is on its way to financial recovery.

Pandit: "We've made a lot of progress in a very short period of time."

MC: Vikrim Pandit, you've been named as one of the worst CEOs in America. There are calls for your resignation from Citi Group. Have you considered stepping down?

VP: I have a job to do and I haven't finished it. I'm going to keep doing the job. You know, we've gone through enormous change at Citi. The management team was brought in during the crisis to clean up what happened with the crisis. And, the leadership team, our people have done a wonderful job, we've made a lot of progress in a very short period of time. We have restored financial strength, we have restructured Citi, there's still more work to do but we have a clear strategy, and a clear focus on the future. I keep going back to how much we've accomplished in a very short period of time but really, all the credit goes to our people.

MC: But there have been such massive investor losses at Citi bank, losses which you did not anticipate. Shouldn't you be held ultimately accountable for that?

VP: I came into the job and from day one I've held myself accountable for restoring Citi to its right place. I've held myself accountable for getting Citi through this economy, through the crisis that we're in. Unfortunately, a lot of us inherited a lot of things. The new management team...came in with a lot of assets particularly focused on the U.S. consumer. And these are losses that we've had to take but we've also made a lot of progress. We've cut our cost structure by twenty-five percent, we've reduced our balance sheet also by about twenty-five percent. Our riskiest assets have been sold for a lot more than that. We've sold businesses, refocused the company and in the first quarter we did show a modest profit.

MC: But there's already word that federal authorities in the United States are putting out their feelers, looking for possible successors to your position. Do you believe that you still have the full confidence of the U.S. government, which after all, is now a major shareholder in Citi Group?

VP: You know speculation is only natural when we've had the kind of losses that you've talked about and until we've had sustainable profitability, that doesn't make it right. The most important part is that this management team and leadership team was brought in to address the issues at Citi and our people have done a wonderful job. What really counts is the confidence our people, our clients and our regulators around the world, including our primary regulators, have in the leadership of the company...and the strategy that's being laid out in order to restore Citi to its pre-eminence.

MC: Let's talk a little about that strategy and for instance, the money for the past year or so that Citi Group has taken -- billions of dollars, tens of billions of dollars in tax payer's money as a bail out. When will that money be given back? Can it ever be repaid?

VP: The government invested $45 billion in Citi. It has invested that amount in at least one other bank, it's invested a lot of money into a lot of banks. All due to what happened in the financial markets, post-Lehman brothers disappearing, and the lack of confidence that created. We, and I'm sure others are, thankful for the help we received and our goal is very clear, our goal is to repay every dollar as fast as we can with a great rate of return.

MC: What about the fact the government holds such a high percentage of stock? Do you see that as a long term situation or do you think that sometime in the future, very near, when the government will cease to become the major shareholder?

VP: A lot of extraordinary things have happened in this extraordinary market. Nobody, nobody believes that we've gone through something that is normal, by any means. The government ownership stake is a result of our converting preferred stock, investment of the government and the common stock. The goal is very straightforward, the goal is to manage the company, to sustain profitability, create a rate of return, so that we can repay the government with a great rate of return and thank the taxpayer for the support that we receive.

MC: As a result of this crisis there have been calls for greater regulation in the financial services industry. Do you think it is now inevitable?

VP: There is no question this has been an issue for governments through this entire crisis. And it is about the fact there was a large shadow banking system in the U.S. that was mostly not regulated, as an example, although that's not the only example. I do think for capital markets to work well we need good governance and good governance is not always about good regulation. Good governance goes up and down every organization. It's really about how countries come together to work together, so actually I'm looking forward to an environment where the governance structure is stronger than the ones we've gone through.

MC: Is there a fundamental problem with the ethics in this business? Has the pursuit of profit gone too far?

VP: It's all back to governance isn't it? And standards are part of governance as well and so when you think about the overall aspects of the government structure for the future, the market architecture for the national system for the future, you've got to keep coming back. You have to take a look at all of it. You have to look at it right from the fact that certain central banks didn't think financial stability was part of its mandate all the way through. What are the right incentives? And how do you think about compensating people? We have to look at all of that -- and we are. I must say that we've weathered the debate that we've seen. We are getting at the answers, but most importantly we are making sure that all the right questions are getting asked.

MC: So what specific measures would you suggest to try and fix some of these problems that have occurred in the financial industry?

VP: There are a lot of suggestions that have already been made. As a matter of fact we were the ones talking about how transparency is important. You have to attack market structure correctly, clearing houses, exchanges, have to have level playing fields on capital, accounting around the world. It's important to understand that I'm happy to have my 136 regulators around the world but we also need one overarching regulator, a systemic regulator that can actually help us and help the system aggregate what's going on. There are suggestions that are not original necessarily. We may have been one of the first ones to talk about them but those are generally the sort of answers people are looking at and more importantly I think we need to debate this a little more.

MC: When will this crisis be over? Do you see any signs, at this point, of a recovery?

VP: What you have to understand is that, this is a significant shock to the world economy. Just think about it, when you look at the last 5, 10 years there were two engines of growth. There was the U.S. consumer and credit creation. None of those are likely to be the engines of growth going forward. The world's looking for a new business model. It's about new engines of growth and it's not only about creating stability and saying that we're out of the crisis mode. But we all have work to do as we search for what the new business model is for the world. I am optimistic about the signs that we're seeing, suggesting that stability is arriving.

We still have more to look at, to see that it's here for sure, but I'm optimistic that we might start seeing stability in the financial markets, which I think is good, but that's stage one. Stage two is about what kind of world we want to have going forward, what's the new business model? And that's what we're really focused on at Citi. We are a global bank, and by the way, we have a very significant merging business heritage. Two things I'm sure of: the merging markets growth and globalization of trade and finance. We're squarely positioned against both of those. We've taken the harder steps...a lot of the world needs to do the same.

@highlight

Citibank CEO Pandit: "We have made a lot of progress in a short period of time"

@highlight

Pandit says bank has a "clear strategy" and is focused on future

@highlight

Citibank committed to paying back $45B government bailout, Pandit says