Minsk, Belarus (CNN)Four key leaders converged on Belarus' capital Wednesday with one official mission: bringing peace to Ukraine.

Whether they can achieve that is unsure, considering the violence, bitter divisions and failed negotiations. Still, the fact that French President Francois Hollande, German Chancellor Angela Merkel, Ukrainian President Petro Poroshenko and Russian President Vladimir Putin made the trip to Minsk to talk peace is notable.

The stakes are high. Not only has war raged for months in eastern Ukraine, where pro-Russian rebels angry about political upheaval in Kiev have declared their independence, but it's getting worse, threatening not only the lives of more civilians, but the stability of the region.

Speaking at a Cabinet meeting Wednesday before his arrival in Minsk, Poroshenko called the summit "the most important one so far I have had as a President," Ukraine's state-run Ukrinform news agency reported.

The President said he and Ukraine's lawmakers were ready to introduce martial law across the country if "further irresponsible actions" lead to more escalation of the conflict.

"It will depend on the results of the summit whether we stop the aggressor through diplomatic means or go to a totally different regime," he is quoted as saying.

Video showed Denis Pushilin of the self-proclaimed Donetsk People's Republic and Vladislav Deinego of the Luhansk People's Republic at the talks, speaking with reporters in Minsk on Tuesday night, putting to rest earlier doubts about their attendance.

Monitors from the Organization for Security and Cooperation in Europe also attended the preliminary meeting.

That set the stage for the main event involving Hollande, Merkel, Poroshenko and Putin that began Wednesday night in Belarus' Palace of Independence.

Russian Foreign Minister Sergei Lavrov said that a document would likely be signed Thursday, according to the semiofficial Russian news agency RIA Novosti. But it was unclear what such a document might say.

Will these talks yield a breakthrough? French and German officials sounded a note of caution about the prospects of finding consensus. And even if there is some sort of agreement, it's probably not wise to start celebrating right away -- given that there have been ceasefires before, none of which has lasted.

The main points of negotiations of the so-called Normandy group -- the leaders of France, Germany, Russia and Ukraine -- are expected to be the withdrawal of heavy weapons, the creation of a demilitarized zone and the future status of the Donbas area in Ukraine, which comprises Luhansk and Donetsk.

German Foreign Minister Frank-Walter Steinmeier said Tuesday that the talks were "another huge chance to take a big first step towards de-escalation, hopefully towards a silencing of the weapons.

"But I underline it again, nothing has been resolved yet. The taking place of the summit alone is not a guarantee of its success. Therefore I urge and expect Moscow and Kiev to take it seriously and in the face of imminent military conflict really seize this chance."

Likely sticking points include who will control Ukraine's border with Russia in the disputed territory, disarmament of the separatists and what degree of political autonomy is granted to the Donetsk and Luhansk regions.

Poroshenko has been invited to Brussels, Belgium, by European Council President Donald Tusk on Thursday to address European lawmakers and "coordinate future steps," Poroshenko's website said.

Meanwhile, the separatist leaders have been invited to Moscow, where they will brief Russian lawmakers on the outcome of the Minsk talks.

The conflict, which broke out in April, soon after Russia annexed Ukraine's southeastern Crimea region, has claimed more than 5,000 lives, many of them civilians.

There's been no let-up in the violence ahead of the peace talks; in fact, both sides appear to have stepped up their efforts to gain territory before the lines of the potential demilitarized zone are drawn.

Four people were killed and nine injured after a central bus station in Donetsk city was hit by shelling Wednesday morning, according to the official news agency of the Donetsk People's Republic, DAN.

The Donetsk city office website reported that two buses were hit and burst into flames.

In the past 24 hours, 19 Ukrainian soldiers have been killed and 78 injured in the conflict zone in eastern Ukraine, a spokesman for the Ukrainian military operation against the separatists, Vladislav Seleznyov, told reporters in Kiev on Wednesday.

Shelling in the town of Kramatorsk on Tuesday killed 12 civilians and injured 35, including children, with 29 military personnel also injured, according to the Kiev-backed Donetsk regional authority.

Kramatorsk, deep inside Ukrainian-held territory, is the location of the main base for the government's military operation against the separatists, which it calls the anti-terrorist operation, or ATO.

Ukraine's Foreign Ministry condemned what it said was "another bloody crime" by the separatists and said Russia, which it accuses of sending heavy weapons and troops across the border, should be held responsible.

The OSCE said its monitors saw evidence that cluster bombs had been used in Kramatorsk. Cluster bombs are banned by many states because of their deadly impact on civilians.

Fighting continues around the strategically important town of Debaltseve, which has been under siege by separatist forces for weeks.

Ukrainian Gen. Oleksandr Rozmaznin said the town remained under Ukrainian control despite a separatist bid to attack the police station there. He said there was no fighting in the streets.

A Ukrainian unit also launched an offensive Wednesday against the separatists near the city of Mariupol in the southeast.

Each side has accused the other of shelling civilian areas.

What's next in the conflict?

U.S. President Barack Obama called Putin on Tuesday and urged him to seize the opportunity for peace, the White House said.

"The President emphasized the importance of reaching and implementing a negotiated settlement underpinned by the commitments in the (prior) Minsk agreement. However, if Russia continues its aggressive actions in Ukraine, including by sending troops, weapons and financing to support the separatists, the costs for Russia will rise," the White House said.

Obama has not ruled out providing weapons to the Ukrainian military to help it defend against the separatists' advances.

A Kremlin readout of the call said it focused on finding a peaceful settlement of the crisis.

Russian Foreign Minister Sergey Lavrov, speaking alongside his Greek counterpart in Moscow on Wednesday, said there was "no military solution to the crisis" in Ukraine.

Peace can be achieved only through dialogue between Kiev and the people of eastern Ukraine, he said, adding: "The rights of all people who live there need to be respected."

Russian state news agency Sputnik reported that Lavrov would be traveling to Minsk for the talks.

The European Union's Foreign Affairs Council agreed on additional sanctions Monday against Russian and separatist interests but said their implementation would be delayed for a week to "give space for current diplomatic efforts."

Merkel in the middle of a U.S.-Russia standoff

The big challenge facing the leaders meeting Wednesday in Minsk is whether they can reach a peace agreement that will stick.

A previous peace deal was signed in September, also in Minsk. It called for a drawback of heavy weapons, self-rule in the eastern regions and a buffer zone along the Russia-Ukraine border.

The new plan envisions a much broader demilitarized zone to run along the current front lines.

The September agreement quickly disintegrated, and the violence continued.

Russia has steadfastly denied accusations that it is sending forces and weapons into Ukraine. But top Western and Ukrainian leaders have said there isn't any doubt that Russia is behind surging violence and separatists' efforts to take over territory in eastern Ukraine.

All the while, the crisis in Ukraine, which stemmed from a trade agreement, has forced more than 1.5 million people from their homes, according to the United Nations.

CNN's Nic Robertson reported from Minsk and Laura Smith-Spark wrote from London. CNN's Greg Botelho, Antonia Mortensen, Nick Paton Walsh, Alla Eshchenko, Frederik Pleitgen, Khushbu Shah, Laura Akhoun, Claudia Otto, Alexander Felton and journalist Victoria Butenko in Kiev, Ukraine, contributed to this report.

@highlight

Leaders of France, Germany, Russia and Ukraine meet in Belarus' capital

@highlight

Ukrainian President calls the meeting "the most important one" he has had thus far

@highlight

Violence between Ukrainian authorities and separatists has been raging for months