(CNN) -- The optics, as they say, were good. U.S. Secretary of State John Kerry and his Russian counterpart Sergei Lavrov smiled and joked at the Geneva news conference that wrapped up three days of talks on how to dismantle Syria's chemical weapons arsenal.

By their own acknowledgment, the framework agreed upon is very ambitious. It will involve ramping up the work of a little-known outfit called the Organization for the Prohibition of Chemical Weapons, an organization so little known that Kerry and Lavrov both called it the Organization for the Prevention of Chemical Weapons.

The two sides agreed that to keep up the momentum of the process, the normal timetable for the organization's work must be jettisoned. The framework notes that "the United States and the Russian Federation believe that these extraordinary procedures are necessitated by the prior use of these weapons in Syria," carefully not assigning blame for their use.

U.S., Russia agree to framework on Syria chemical weapons

So expedited is this process that the Syrian government is expected to provide a full list of its chemical weapons stocks within one week, including their "location and form of storage, production, and research and development facilities."

Further, "the elimination process must include the facilities for the development and production of these weapons," according to the agreement.

The Assad regime may argue that parts of some facilities (such as the Scientific Studies and Research Center in Damascus) have other purposes and would therefore be off-limits to inspectors. That was a regular source of friction between Saddam Hussein's government in Iraq and the UNSCOM inspectors deployed to flush out its weapons of mass destruction.

Read the framework of the agreement

One critical part of the deal is that the two sides say they now have a "shared assessment of the amount and type of chemical weapons involved," even though U.S. officials have in recent days given conflicting views on just how much Syria may have and where it may be. For the past few months both Israeli and U.S. sources have indicated that the Assad regime has been dispersing its chemical weapons stocks. But Kerry implied that the regime may have moved its chemical weapons into safer (and therefore more accessible) sites.

The two sides also agreed that a U.N. Security Council resolution will be drafted to give international blessing to the OPCW's mission. Kerry said: "We have committed to impose measures under Chapter VII in the U.N. Security Council." But no one expects any specific mention in that resolution of the possibility of military action. That option -- at least in a multilateral setting -- is a can being kicked down the road. Russia and the United States have agreed that "in the event of noncompliance, including unauthorized transfer, or any use of chemical weapons by anyone in Syria, the U.N. Security Council should impose measures under Chapter VII of the U.N. Charter."

"Measures" can take the form of sanctions as well as military action. The U.S. State Department has used the formula "consequences for noncompliance," and at the news conference Kerry said the response of the international community would have to be commensurate with any violation. Down the track, there may well be heated debate about what is "commensurate." Kerry stressed that President Obama still had the right as commander-in-chief to take unilateral action to protect U.S. interests, but said he would not be drawn on what the remedy "might be for circumstances we don't even know yet."

Keep up with the latest developments in Syria

The agreement insists on "the immediate and unfettered right to inspect any and all sites in Syria," but there are a multitude of ways to obstruct this. What if the regime drew rebel groups into a battle for a critical road artery that then became unusable to the OPCW teams? And who would protect the inspectors? The agreement notes the "primary responsibility of the Syrian government in this regard."

Other logistical headaches: What sort of transport would be required to move the arsenal out of Syria? Given the regional neighborhood and the fact that the regime is not in control of many border crossings, shipping the agents and equipment out by air may be the preferred option. Interestingly, the agreement specified the possibility "of consolidation and destruction in the coastal area of Syria," an area largely controlled by the government.

The greatest obstacle to the process agreed to in Geneva is events on the ground. OPCW inspectors are expected to complete their initial assessment, as well as the destruction of production equipment and mixing and filling equipment, by the end of November. The Kerry-Lavrov agreement aims for "removal of the largest amounts of weapons feasible, under OPCW supervision, and their destruction outside of Syria, if possible."

The chaotic battle-lines across Syria, and the need for inspectors to visit and secure perhaps as many as 50 sites across the country, may make that task formidable. Still to be established: Who would protect convoys carrying these chemical agents to a central location? Would rebel groups (hardly a coherent force) agree to a ceasefire where chemical weapons are being collected and moved? The rebels' military command has already rejected the idea of a truce.

The U.N. inspectors in Iraq spent seven years trying to uncover and destroy its weapons of mass destruction program. There were hundreds of inspectors and technicians on the ground, part of an organization that had backroom staff, the support of the U.N. Security Council and a substantial budget.

While Saddam's WMD arsenal was probably much greater than is Syria's, the UNSCOM inspectors were not working in the middle of a civil war. So the Russian-U.S. accord is perhaps understating the magnitude of the task at hand when it talks of "ambitious goals for the removal and destruction of all categories of chemical weapons-related materials and equipment with the objective of completing such removal and destruction in the first half of 2014."

The glaring "asterisk" in the framework agreement is close to the end where both sides "note that there are details in furtherance of the execution of this framework that need to be addressed on an expedited basis in the coming days."

But the Framework agreement and its annexes represent a remarkable and rapid advance in U.S.-Russian cooperation on Syria. Both Kerry and Lavrov stressed their constant contact on this and many other issues, with the Russian foreign minister pointing out that the agreement showed the United States and Russia could get results. If public appearances are any guide, they have a relaxed and collegial relationship. And both dared to suggest that this agreement might open the window toward an even more ambitious goal, creating the conditions for political negotiations between the Syrian government and opposition.

Kerry reiterated in his opening remarks that the Syrian conflict would only be solved by political negotiation. Both he and Lavrov spent time with U.N. envoy Lakhdar Brahimi while in Geneva, the man charged with the hitherto impossible task of bringing the Syrian government and rebels together.

McCain responds to Putin's op-ed, with his own

@highlight

U.S., Russia agrees the framework is ambitious

@highlight

Syria expected to provide a full list of its chemical weapons stocks in one week

@highlight

Method that will be used to transport chemical weapons is an issue

@highlight

Inspectors are to assess and destroy weapons by the end of November