(CNN)  -- The first-ever pictures of planets outside the solar system have been released in two studies.

The box shows a planet orbiting the star Fomalhaut. The dot shows the star's location.

Using the latest techniques in space technology, astronomers at NASA and the Lawrence Livermore National Laboratory used direct-imaging techniques to capture pictures of four newly discovered planets orbiting stars outside our solar system.

"After all these years, it's amazing to have a picture showing not one but three planets," said physicist Bruce Macintosh of the Lawrence Livermore National Laboratory in Livermore, California.

"The discovery of the HR8799 system is a crucial step on the road to the ultimate detection of another Earth," he said.

None of the planets is remotely habitable, scientists said.

Both sets of research findings were published Thursday in Science Express, a journal of the American Association for the Advancement of Science.

A team of American, British and Canadian astronomers and physicists, using the Gemini North and Keck telescopes on the Mauna Kea mountaintop in Hawaii, observed host star HR8799 to find three of the new planets.

Scientists estimate that HR8799, roughly 1.5 times the size of the sun, is 130 light years from Earth in the constellation of Pegasus. The individual planets in this planetary family are estimated to be seven to 10 times the mass of Jupiter.

Astronomers say the star is too faint to detect with the human eye, but observers could probably see it through binoculars or small telescopes.

"This discovery is the first time we have directly imaged a family of planets around a normal star outside of our solar system," said Christian Marois, the lead astronomer in the Lawrence Livermore lab study.

About the same time, NASA astronomers using the orbiting Hubble Space Telescope surprised the space community by locating a fourth planet.

NASA's newly discovered planet, Fomalhaut b, is estimated to be roughly three times Jupiter's mass and 10.7 billion miles from its host star, Fomalhaut. NASA's images show Fomalhaut b orbiting the bright southern star Fomalhaut, which is said to be 16 times brighter than our sun and 25 light years away in the constellation Piscis Australis (Southern Fish).

"Our Hubble observations were incredibly demanding. Fomalhaut b is 1 billion times fainter than the star," Hubble astronomer Paul Kalas said. "We began this program in 2001, and our persistence finally paid off."

Previous planet-hunting efforts have relied on the traditional Doppler, or "wobble," technique, which works by measuring the gravitational influence a planet exerts on its host, or parent, star. By studying these gravitational "tug-of-wars," astronomers have been able to study a star's velocity or brightness to infer the presence of a planet. iReport.com: Are you an aspiring astronomer? Share your photos of space

To determine whether the faint objects orbiting HR8799 were indeed planets and not other stars, astronomers studying the three newly discovered planets (HR8799b, HR8799c and HR8799d) compared images from studies conducted in different years.

In all the documented pictures, the three objects were found to be orbiting in a counter-clockwise direction around HR8799, proving that they were planets and not just background objects coincidentally aligned in the image.

According to the the Extrasolar Planets Encyclopedia, there have been 322 planets found outside our solar system. The latest findings bring that total to 326.

The extrasolar planets found have mostly been gaseous in their composition. Both studies indicate that direct-imaging techniques can only aid our efforts in one day finding an Earth-like planet.

@highlight

Astronomers have new images of four likely planets outside Earth's solar system

@highlight

Images were recorded by the Hubble Space Telescope and a telescope in Hawaii

@highlight

The planets are probably too faint to detect with the human eye

@highlight

Research findings published Thursday in the journal Science Express