Ithaca, New York (CNN) -- According to a recent report by the Pew Research Center, one of every seven new marriages in 2008 was interracial or interethnic -- the highest percentage in U.S. history. The media and blogosphere have been atwitter.

Finally, it seems, we have tangible evidence of America's entry into a new post-racial society, proof of growing racial tolerance. Intermarriage trends are being celebrated as a positive sign that we have come to think of all Americans as, well, Americans.

But others have an entirely different take -- a more ominous one. They see increasing interracial marriage rates as proof that the country is amalgamating racially.

To them, intermarriage is a putative threat to whites and America's essential character. Their concerns are heightened by recent Census Bureau projections that the U.S. will become a majority-minority society by the middle of the century.

My research with Ken Johnson, a demographer at the University of New Hampshire, indicates that for American's youngest residents, that future is now. Nearly half of U.S. births today are to minority women.

It's time for everyone -- on all sides of this issue -- to relax and take a deep breath. The reality is that racial boundaries remain firmly entrenched in American society. They are not likely to go away anytime soon.

We are still far from a melting pot where distinct racial and ethnic groups blend into a multi-ethnic stew.

Indeed, seemingly overlooked in the Pew Report is the finding that less than 5 percent of all married whites have a spouse of a different race or ethnicity. The vast majority of whites today -- as in the past -- marry other whites.

What is changing are marriage patterns among America's minorities, but in ways that are not easy to understand or summarize in short news releases.  (Pew used the categories of non-Hispanic whites, blacks, Asians, American Indians and Hispanics.)

For example, Pew reports that the share of newly married blacks with spouses of a different race increased threefold between 1980 and 2008. Media accounts have variously trumpeted this as good or bad news for America's future, depending on the presumptive beliefs and attitudes of their audiences about racial matters.

It is easy to forget the U.S. Supreme Court waited until 1967, in Loving v. Virginia, to outlaw state prohibitions against interracial marriage. Increases in black-white marriages, at least on a percentage basis, are large because baseline numbers are very small.

Romantics like to believe that love is blind. We embrace the idea that falling in love is a product of our emotions rather than rational deliberation. Of course, the empirical evidence suggests otherwise. Love may be blind, but it clearly is not color-blind.

Indeed, for all the hyperventilation, the demographic reality is that only about 15 percent of newly married blacks today became married to whites or other minorities. This is hardly a basis for celebrating a new racial tolerance in America or, if you prefer, for now believing that white identity is rapidly being lost to interracial intimacy and childbearing.

Unfortunately, most of the nation's headlines ignored Pew's observation that intermarriage rates with whites actually have declined among Asians and Hispanics since 1980. This is something new.

My research with Julie Carmalt and Zhenchao Qian, to be published in Sociological Forum, documents recent declines in intermarriage rates among U.S.-born Hispanics and Asians after decades-long increases. Declines in intermarriage have been largest among the second generation, the U.S.-born children of immigrant parents.

Among second-generation Hispanics, for example, intermarriages with whites declined by more than one-third between 1995 and 2008. Over the same period, they became more likely to marry Hispanic immigrants.

Since 1980, there has been a fivefold increase in the number of native-born Asian women marrying Asian immigrants.

One explanation is that substantial new immigration has simply expanded the marriage opportunities for native-born Hispanics and Asians. But it is also likely that the extraordinary recent growth of the immigrant population has reinforced a new sense of identity rooted in shared ethnicity and culture. This seems to have encouraged more in-marriage with co-ethnics at the expense of more out-marriage with whites.

Demographers sometimes consider intermarriage to be the final step in the assimilation process, or an indicator of racial boundaries or lack of them. The current retreat from intermarriage among America's non-black minorities raises new questions about racial and ethnic balkanization in America.

Issues of race and immigration are an important part of the public dialogue.

In today's highly charged political environment, it is easy to latch onto information that buttresses our own point of view and preconceptions.

Unfortunately, short headlines and easy-to-digest narratives about rising intermarriage rates tend to oversimplify or even distort a complicated statistical story that is still unfolding.

The opinions expressed in this commentary are solely those of Daniel T. Lichter.

@highlight

Daniel Lichter: 1 of 7 new 2008 marriages was interracial or interethnic, report says

@highlight

Lichter says racial boundaries are firm; vast majority of whites still marry whites

@highlight

Marriage patterns among minorities changing, he says, but in complex way

@highlight

Complicated statistical story is still unfolding and can be easily distorted, Lichter cautions