(CNN) -- Sugar lovers may have to face a bitter truth: The less sugar added to foods for typical people, the better are their blood-fat profiles and the lower are their cardiovascular risks, a study to be published Wednesday concludes.

"We found that the lower the amount of added sugar people ate, the better their good cholesterol and their blood triglyceride levels," said co-author Dr. Miriam B. Vos, assistant professor of pediatrics at Emory University in Atlanta, Georgia, and author of "The No-Diet Obesity Solution for Kids."

Unfortunately for dessert lovers, the converse is true. Increased sugars are associated with important cardiovascular disease risk factors, according to the report. The authors cited lower levels of HDL-C, which is sometimes referred to as the good cholesterol, and higher levels of triglycerides.

The study, to be published in the Journal of the American Medical Association, highlights a trend some nutritionists consider disturbing: In recent years, the typical American's diet has increasingly incorporated added sugars. The authors defined them as "caloric sweeteners used by the food industry and consumers as ingredients in processed or prepared foods to increase the desirability of those foods."

Data from the mid-1990s show that 15.8 percent of the typical American's diet was composed of added sugar -- 21.4 teaspoons or 359 calories per day. That's up from 10.6 percent in 1977-1978. Added sugars have been linked to obesity, diabetes and tooth decay.

The researchers studied 6,113 adults enrolled in the National Health and Nutrition Examination Survey. Interviewers called them and asked what they had eaten the previous day, then estimated the total added sugar in each person's diet.

Participants were then separated into groups: Those who got less than 5 percent of total calories from added sugar; 5 percent to less than 10 percent; 10 percent to less than 17.5 percent; 17.5 percent to less than 25 percent; and 25 percent or more.

Those in the highest-consuming added sugar group eat about 46 teaspoons of added sugar per day, the study said. Those who consumed more added sugar tended to be younger, non-Latino blacks with low income, it said.

The report says 18.5 percent of Americans get at least 25 percent of their calories from added sugar.

The strongest relationship between added sugar and blood fats was found in values for HDL-C, which fell from 58.7 mg/dl for those who ate the least added sugar to 47.7 mg/dl for those who ate the most. A higher HDL-C level is associated with a lower cardiovascular risk.

Among some blood fats linked to higher cardiovascular risk, the converse was true: Triglyceride levels went from 105 mg/dl in the group that ate the least sugar to 114 mg/dl in the group that ate the most. The so-called bad cholesterol, LDL-C, went from 116 mg/dl for women who ate the least sugar to 123 mg/dl for women who ate the most. There were no significant trends for LDL-C among men.

The authors concluded that their data support dietary guidelines that aim to cut consumption of added sugar.

But those guidelines are all over the map. The Institute of Medicine recommends no more than 25 percent of total energy from added sugars; the World Health Organization recommends less than 10 percent; and the American Heart Association has recently advised no more than 100 calories per day for women and 150 calories per day for men, which works out to about 5 percent.

"What it really means is we have to go back to things like whole grains and vegetables and fruit and eat things in moderation in order to be healthy," Vos said. "Plus, a good healthy dose of activity."

But the study compiled data based on a single day's consumption, and it was not clear whether that day was representative of other days, she said.

"We don't know that all of the people had their usual diet the day before," she said. "There are always some weaknesses in that kind of data."

Carbohydrates have been linked for decades to abnormal blood fat levels, "but a big contemporary issue is added sugars," said Dr. Frank Sacks, professor of nutrition at Harvard School of Public Health in Boston, Massachusetts. Vos' study "fills in a gap in the science base."

The study will likely be discussed next month when the American Heart Association takes up the matter of added sugars at its meeting in Washington, he said.

"We just overeat too damn much," he said. "What this study is saying is that, for some groups -- especially young people, black, poor -- sugar is just way too big a proportion of their intake."

"The real truth is that we're supposed to eat a balanced diet, less processed food," said Carla Wolper, a nutritionist at the Obesity Research Center at St. Luke's Hospital in New York and assistant professor at Columbia University's Eating Disorders Center. Wolper praised the study for its size and careful construction.

But Dr. Richard K. Bernstein, a diabetes specialist based in Mamaroneck, New York, was unimpressed.

"This is just one more study showing that carbohydrates create abnormal lipid profiles," he said.

@highlight

Added sugar is associated with cardiovascular disease risk factors, study finds

@highlight

Study: Lower added-sugar consumption linked to better levels of good cholesterol

@highlight

Study to be published in the Journal of the American Medical Association

@highlight

Those who ate more added sugar tended to be low-income, younger non-Latino blacks