(CNN) -- Despite recent wobbles in the BRICS economies, most economists agree that the majority of world economic growth in the coming years will come from emerging markets. The story of their rise to date has been one in which women have played a large and often unreported role. I believe that as the story unfolds, women's influence will rise further and emerging markets' path to gender equality may follow a very different route to that of most developed countries.

Let's consider the facts. More women now attend university than men in Brazil, China and Russia. And in those countries where they are not yet the majority like India, Indonesia and Mexico, they are catching up fast, according to last year's WEF Global Gender Gap report.

More women than men are now also entering the labor force, helping fuel the growth in emerging economies. In relative terms, they're more economically active in China and Russia than in the United States already, while in Mexico and Brazil they are entering the labor force faster than in the U.S.

And women are increasingly providing the skills that emerging market companies need to compete on a global stage. Like the U.S., Russia, Brazil, China and South Africa have more women than men in professional and technical positions such as teaching, medicine and finance. Even higher up the career ladder, in most major emerging markets, with the exception of China, women hold now more than a third of managerial roles.

So, what does this mean for the future of the more than 1 billion women living in these emerging markets? Will we see a world where these countries become world leaders on gender equality in the economy? The economic, political and social trends we are witnessing suggest this may be the case.

For one thing, the dynamism of emerging economies is helping tip the scale in favor of women. Fast-growth companies are much more likely to change the gender ratio than slow-growth ones: they're simply less beholden to the traditional hierarchies of today's Fortune 500 companies and, frankly, cannot afford to discriminate as they scale up fast.

While the rich world is trying to figure out how to create a more women-friendly culture in business, these countries are growing their own corporate cultures organically. And it's having an impact on wages. According to the World Economic Forum, women earn wages that are closer to those of men (for similar work) in Malaysia, the UAE, Nigeria, Indonesia and China in comparison to the United States.

It's also about political will. Emerging economies seem more able to embrace bold, progressive policies to integrate women into leadership roles than their counterparts in the developed world. For example, proposals to increase women on boards remain unpopular in the UK and unthinkable in the U.S. while India, the UAE and Malaysia have all recently proactively introduced quotas. These policies reflect the growing public acceptance of the need for visible female leadership -- something that took the developed world decades to achieve.

Perhaps most importantly, women's own expectations are changing, reminiscent of the transformations in 1960s America. A 2010 Harvard Kennedy School report found in Latin America, skilled women show a preference for work over marriage. In China, many high-skilled women are choosing to delay marriage and motherhood. In India, women's own aspirations have been transformed, as evident in the national conversation about respect that was sparked by the horrific 2012 rape of a Delhi physiotherapy intern. Women's changing aspirations are transforming the social fabric around them. For example, the lack of formal childcare systems is substituted by other solutions, such as domestic workers or relying on family members, often grandparents.

The rapid rise of luminary businesswomen in these nations could also create a virtuous circle by providing homegrown role models for younger generations. Maria das Gracas Silva Foster of Petrobras in Brazil and Karen Agustiawan of Pertamina in Indonesia run some of the largest state-owned enterprises in the world. Zhang Xin, CEO of SOHO, the Chinese real estate developer, is a feted role model with millions of followers on social media. Emerging market women leaders are vocal on gender issues, too. Guler Sabanci of Sabanci Holdings, for example, is one of the most powerful women in Turkey and is publicly committed to addressing gender parity in her country.

Emerging markets' ability to couple growth with unprecedented numbers of women in the workforce is good for women, good for their countries' economy and good for the world. While much still remains to be done to ensure that women's safety, rights, political empowerment and health are more fully secured in these countries, their economic progress to date indicates that change is possible and that economic empowerment can contribute to that change.

Ten years from now, rankings of the most economically competitive -- and the most gender equal -- countries in the world may look very different than they do today. Only time will tell, but closer competition on gender equality means that there are more winners all around.

For CNN's full coverage from Davos, click here.

The opinions expressed in this commentary are solely those of Saadia Zahidi.

@highlight

More women in BRICS labor force fueling growth, according to WEF data

@highlight

Russia, Brazil, China and South Africa have more women in professional, technical positions

@highlight

BRICS companies embrace workplace culture which integrates women