I'm sitting in the lounge car of a train and traveling at a fairly ordinary speed.

But this is no ordinary train: the back end of the carriage is a giant floor-to-ceiling window, like a flickering movie screen on which the passing landscapes are acting out their various parts.

There are volcanoes being majestic, and hills cloaked in forests of cypress trees and bamboo. There are rice fields shimmering with green and a shoreline of bays filled with boats and seaweed farms, which unravels as the train goes past.

Moreover, every landscape has at least a couple of people in it, waving.  At me.

I wave back -- when I remember -- but I'm a bit busy. My wine glass is being refilled.

Behind me, by the bar, a gifted violin-and-piano duo is tackling everything from Mozart to Guns 'n' Roses, and they're asking for requests.

And on the table in front of me is a selection of amuse-bouches either wrapped in leaves, or served on delicate porcelain or in bamboo boxes; mouthfuls of locally-sourced beef, wood-smoked fish, pungent sea urchin, plus of course fugu -- the fish that needs to be cooked by a highly trained and licensed chef, or you're dead.

Exclusive and luxurious

I'm in Japan, a country famous for its trains, but generally not the sort  that allow their passengers to savor their surroundings like this one does.

Shinkansen, the country's bullet trains, for example, have a fuselage-like interior which pays little heed to anything in its haste to get from one end of country to the other.

But now Japan Rail Kyushu have invested big money -- over $34 million -- into a special train with the deliberate aim of going slow.

This chocolate liveried locomotive chugs along the branch lines, truffling out local delicacies and hot springs, and giving locals cause to stop their planting and harvesting in order to stare and wave.

The "Seven Stars in Kyushu" is Japan's answer to the Orient Express, with its seven carriages having space for just 30 people in 14 suites; and it is very exclusive, with some 21 applications for every berth.

The interiors around me are examples of the best in Japanese craftsmanship: walls are of rosewood and maple, floors are made from walnut, window coverings are shoji paper screens, sliding glass doors are etched with flowers and birds.

Volcanoes and hot springs

Part of the train's purpose is to "introduce Kyushu to the world," according to the Seven Stars company, because Japan's third largest island is not a first-timer's destination.

Kyushu is the most southwesterly main island in the chain, which means it is the warmest and most tropically lush, with more than its fair share of volcanoes and spas.

So within a few hours of setting off from capital Fukuoka on our four-day itinerary, we've already got into hot water -- or more specifically, our feet have, into a mineral water footspa on the station platform at Yufuin, in a valley filled with plumes of rising steam.

The journey here has been up through hill country, ambushing rivers, clattering across iron bridges, scything through rice terracing spiced with hurricane lilies -- crimson wildflowers that look like splashes of blood amongst the yellowing harvest.

At the station, we are met by the Seven Stars luxury bus, which is to shadow us throughout our journey, ready to pounce whenever needed. This time it takes us to a tea-house in ornamental gardens where we try "plum pudding" -- actually a sort of sorbet with a plum at the center.

Fast forward a day, and the landscape has changed completely. The train has rumbled south to the coastal city of Kagoshima, where Mount Sakurajima looms, puffing out clouds of ash.

I can't believe how calm the locals are, living in the shadow of an active volcano.

This used to be samurai territory and the bus whisks us off to a clan center to learn about how Japan, dominated by shoguns, was almost completely cut off from the outside world until 1867.

Even now, it hasn't quite abandoned the old ways, for while our first night was spent slumbering in a rural siding on the train, for our second night the bus transfers us to the Gajyoen ryokan, a traditional travelers' inn in a hot springs resort an hour inland from Kagoshima.

This ryokan turns out to be a rustic collection of low-beamed cottages threaded by cobbled pathways, with dinner prepared over charcoal using ingredients from the garden.

My room has sweet-smelling tatami-matting floors, and I plan to sleep on the balcony overlooking the river until I return from dinner to find that the bed fairies have been at work, magicking a linen-covered futon out onto the sleeping room floor.

I don't ignore the balcony, however, because this is where I have my own personal onsen.

Luxuriating in my own floating world,  contemplating the evening light filtering through the trees, it is easy to see the sense in this change of scene away from the Seven Stars: the proper savoring of hot springs is a very Japanese experience, and not one that should be curtailed by the timetable of even the most handsome of trains.

Need to know info:

The Seven Stars offers two itineraries: a two-day option which stays around Fukuoka, or a four-day journey which does a loop of the island.

Both are hugely in demand, so the company selects applications by lottery. The starting price of $4,200 per person (based on two sharing) covers all accommodation, transport, sightseeing, food and drink.

Fukuoka airport has direct flights to Asian capitals such as Singapore, Hong Kong and Shanghai with carriers JAL, Cathay Pacific and ANA, and direct to Europe with KLM to Amsterdam.

For more information about the Onsen Island: Kyushu

Read more about this piece's author, Andrew Eames.

@highlight

Japan invested more than $34 million into Seven Stars train in Kyushu island

@highlight

The exclusive luxury train has seven carriages for 30 guests in 14 suites

@highlight

Kyushu, the most southwesterly of Japan's main islands, is the warmest and most tropically lush

@highlight

Guests on three-night trips will sleep two nights on the train and one night at a hot springs resort