Washington (CNN) -- The year 2013 started off with a fiercely emotional gun-control debate that dominated Washington for months, as both sides felt bolstered and more fervent than ever with the nation stunned by the mass shooting of first graders in Newtown, Connecticut.

But that's as far as it would go.

A year after the massacre at Sandy Hook elementary, there would be no expanded background checks or other substantial legislative changes in place at the national level.

There was yet another school shooting in suburban Denver on Friday, and advocates are still fighting for tougher firearms laws.

But attention has shifted to another common root of tragedies like Sandy Hook elementary, the 2011 attack on then-U.S. Rep. Gabrielle Giffords, and the Washington Navy Yard rampage -- a mental health system that many say desperately needs fixing.

An alternative route

The Senate Finance Committee approved bipartisan legislation on Thursday that would create pilot programs in 10 states to enhance access to mental health services.

The Senate measure, co-authored by Sen. Debbie Stabenow, D-Michigan, and Sen. Roy Blunt, R-Missouri, was one of at least three-dozen bills introduced or re-introduced in Congress this year that specifically focused on mental health issues.

In the previous two years, or the previous session, about 30 bills were introduced. But none passed the House or Senate.

On the other side of Capitol Hill Thursday, a Republican Congressman from Pennsylvania, Tim Murphy, became the latest lawmaker to introduce new legislation specifically tailored to mental health.

Murphy, who spent three decades as a psychologist before coming to Congress, said little has been done in the past few decades to get people the help they need.

"This nation has moved forward in knowledge of what it takes to help, but has moved backwards in getting that help done," he said this week. "And where there is no help, there is no hope."

The White House has also been highlighting mental health in the week leading up to the December 14 Newtown anniversary.

Vice President Joe Biden on Tuesday announced $100 million in new funding from the Obama administration to improve mental health facilities and community centers.

So what changed?

On April 18, a divided Senate rejected a measure that would expand background checks to cover purchases at gun shows and over the Internet. Of all the gun control proposals raised in Congress and at the White House, it was considered perhaps the most viable because it was the least aggressive.

In the same package, however, an amendment aimed at addressing mental health was backed overwhelmingly by the Senate, 95-2. Three senators voted present.

The country was again confronted with a mass shooting in September, this time at the Washington Navy Yard.

But the shooting by a lone gunman who killed 12 people hardly moved the dial in the halls of Congress just two miles from the massacre scene.

At a memorial service in Washington, Obama gave some of his most forceful remarks in favor of gun control, yet the speech barely made headlines.

Predictably, a few lawmakers argued the shooting marked another case for firearm restrictions.

But as more information came in out about the shooter's troubled past with mental illness, lawmakers started talking more about mental health.

Sen. Kelly Ayotte, R-New Hampshire, helped introduce the Senate amendment that received strong support back in April. She said Friday in a statement to CNN that she has called on Senate leaders to bring the measure for a vote "immediately."

"It's clear that this bill could pass with overwhelming bipartisan support," she said.

The legislation, which was introduced with Democratic Sens. Mark Begich of Alaska and Richard Blumenthal of Connecticut, would improve mental health training for teachers, emergency personnel, and others in the community. It would also renew suicide prevention programs.

States taking charge

Meanwhile, states have been taking on their own steps to boost mental health care all year.

State funding for mental health hit major setbacks during the recession. Between 2009 and 2012, states cut $4.35 billion from their budgets for such services, according to the National Alliance on Mental Illness.

But as the economy gradually got better in 2013, states were throwing money back into their mental health systems.

Texas allocated a $259 million increase this year; California added $143 million. South Carolina and Illinois also reversed cuts.

All told, 36 states and the District of Columbia increased their mental health budgets for fiscal year 2013-2014. Six saw a decrease in funding, while eight remained the same as the year before, according to a report issued by NAMI in late October.

State legislatures also passed other laws that centered around increased mental health screening services, especially for children and adolescents, trying to identify problems before they fully manifest, the report said.

Outgoing Virginia Gov. Bob McDonnell this past week announced an additional $38.3 million for mental health in his state for the next two years.

His announcement came less than a month after Democrat Creigh Deeds, his former rival in two statewide elections and a popular state senator, was stabbed repeatedly by his own son, who then shot and killed himself.

One day prior, officials said Deeds' son had essentially been turned away from a medical facility because it lacked enough psychiatric beds.

Well known in the Washington and Virginia political circles, Deeds' case seemed to resonate in the nation's capital. When Rep. Murphy introduced his new legislation on Thursday, he alluded to the situation.

"No more being 'told there are no more beds, take your son or daughter home' no matter how much they are at risk of hurting you or themselves," he said.

Will Obamacare make an impact?

Mental health advocates say the future also looks promising because of reforms from the Affordable Care Act.

With the expansion of Medicaid—the largest public coverage provider for mental health services—in about half the states, an estimated 2.7 million people with mental illnesses could qualify for insurance, according to the Substance Abuse and Mental Health Services Administration.

Another 2.6 million with mental illness could qualify for subsidies to buy private health insurance in the marketplaces under Obamacare.

Another part of the Affordable Care Act requires small group and individual health plans to cover mental health services at the same rate as general medical care, a practice that's already been in place for larger group plans since 2008.

Some critics, however, argue that Medicaid and Medicare are limited in its scope for mental health treatment. For example, certain mental health services will only be reimbursed for those under the age of 21 and older that 65—missing a huge bloc of people.

The bill introduced by Murphy on Thursday seeks to fight other policies that permit only one prescription drug per therapeutic class, meaning physicians can't prescribe all the medications they could for certain illnesses under the public programs.

Breaking down barriers

The past year has also seen continued efforts at reducing the stigma of mental illness.

At a White House conference on mental health this summer, Biden delivered a frank and emotional plea to those fighting mental illness.

"There is nothing, nothing to be ashamed of if you are struggling with mental issues or if your child is or your spouse or your friend," he said. "It's okay. It's okay to talk about it. It's okay to ask for help. It is okay to acknowledge that it is frightening."

The summit also featured celebrities who talked about their own experiences, and the Obama administration launched a new website—mentalhealth.gov—that educates readers on recognizing signs of mental illness and directing them on how to get help.

Breaking down the stigma of mental illness has been a White House mission for more than a decade.

In 1999, President Bill Clinton's administration held the first White House conference on mental health, and President George W. Bush continued the tradition.

"Mental illness is nothing to be ashamed of," Clinton said, when he first announced the conference. "But stigma and bias shame us all."

@highlight

Newtown massacre a year ago prompted hope among gun control advocates for action

@highlight

But Congress did not approve tougher measures, including expanded background checks

@highlight

Now, there is some movement on legislative proposals to bolster mental health services

@highlight

States are also acting on this issue, and gun control advocates are taking it up, too