Editor's note: CNN agreed not to use the last names of the Iraqi families in this story due to security concerns.

Safa'a had a 12-pound tumor that nearly took over all his body. Doctors in Iraq had given up on the boy.

AMMAN, Jordan (CNN)  -- Two-year-old Safa'a gently holds his mother's hand, a 12-pound tumor bulging from his frail body. The tumor is nearly as big as he is.

The Iraqi boy has come to Jordan for surgery with help from a most unlikely source: an 85-year-old liquor tycoon living on the other side of the world.

"There is a real chance that Safa'a may die during the operation," Dr. Iyad Sultan tells the boy's parents.

His mother, Manal, cradles her son's hand as she trembles inside the King Hussein Cancer Center. His father, Mohammed, struggles with his words.

"We are afraid," he says softly.  See photos of Iraqi children being saved at the Jordan facility »

Safa'a was diagnosed in Iraq with Wilms' tumor, the most common kidney tumor in children. If caught and treated early on, the cancer has a high survival rate. But by the time Safa'a arrived in Jordan, Sultan says, it was a miracle the boy was alive.

"The tumor is massive," Sultan says. "The liver, kidney, intestines are all squished to the sides. His lungs are very small. It's hard to believe he is able to breathe."  Watch Iraq baby gets second chance »

The tumor prevented him from developing like other children.

"Sometimes when we see other children play, he starts to cry," his father says. "I don't buy him certain toys like soccer balls. Because he looks at me and when he throws it far away, he can't go and get it. Even at his age, he understands."

Safa'a had received chemotherapy in Baghdad for a year, but the tumor kept growing, and doctors said there was nothing else they could do.

"You know, he is my first baby," Mohammed said from his modest Baghdad home at the time. "I used everything I have to rescue my baby. I tried to do something, but I can't."

The boy's treatment in Iraq became even more volatile as sectarian violence flared. The family is Sunni, and the hospital treating Safa'a fell under the control of the Mehdi Army, a Shiite militia loyal to radical cleric Muqtada al-Sadr.

Traveling to the facility for something as simple as picking up the child's medical records became impossible.  Watch the struggles of getting help inside Iraq »

About 6,000 miles away, in Boston, Massachusetts, Safa'a came to the attention of Ray Tye. A liquor distributor and philanthropist, Tye runs the Ray Tye Medical Aid Foundation with his wife, Eileen. Their motto: "We will never stop caring."

With the help of their friends, the couple formed the foundation five years ago after their son died of multiple myeloma, a cancer of the plasma cell that is incurable.

"I found out that all the money in the world couldn't save him, but I did realize that money could save lives," Tye says from Boston.

The foundation offered to foot the bill for Safa'a to travel to Jordan, even if the boy only had the slightest chance of survival. The foundation also is paying the medical expenses of at least three other Iraqis at the Amman cancer center.

"The mission is to bring people to hospitals who have life-threatening problems and don't have money. I don't care where they come from," Tye says.

The Iraqi family then began the journey to neighboring Jordan.

Safa'a is considered lucky to have a donor. Each month, about two dozen desperate Iraqis end up at the doors of the King Hussein Cancer Center with little or no money for treatment, officials say. See how you can make a difference

"The center is almost the only beacon of hope for patients seeking treatment for cancer," says Princess Dina, director-general of the hospital's foundation. "We said we cannot turn a blind eye to these patients. They are pleading, 'Please help.' So we cannot just ignore that. We don't have the millions to cover so many Iraqi patients, so we said let's try something else."

The scope of the crisis prompted the foundation to establish the Iraqi Goodwill Fund. It has raised more than $1 million and helped dozens of patients, but the need for such care far surpasses what the fund can do.

For many parents, the knowledge that their children didn't have to suffer so much is often too much to bear. Iraq's decrepit medical institutions can't deliver even the most basic health care, and the emigration of skilled medical professionals means that many curable diseases inside Iraq end in death.

"In many cases, children come with diseases who have just advanced to a level that you can't give any curable treatment," says Sultan, Safa'a's doctor. "If you saw the patients months earlier -- six, eight, 10 months earlier -- you can do many other things that now just aren't doable."

One patient is 2-year-old Mariam, who was born with an extreme and potentially fatal tumor on the side of her face. Her young mother, Rasha, 22, was deserted by her husband. She had to fight to get her daughter seen by a doctor in Iraq; the staff was too overwhelmed with the daily casualties.

"We tried to get her into a hospital in Iraq, and the doctor kicked us out," Rasha says. "There was shooting and firing outside. We fought with the doctor; we fought to get her in. I lost all hope."

The tumor grew to such a mass, it displaced Mariam's eye, broke her jaw and burst through her scalp. "I was watching my daughter die in front of me slowly, and there was nothing I could do," Rasha says.

U.S. troops discovered Mariam, and through a joint effort with the Jordanian government, she ended up in Amman. Now, little Mariam gurgles at her favorite nurse. Small smiles play across her deformed face as her mother tickles her.

Back in the operating room, Safa'a whimpers as his parents kiss him tearfully, fearing that it could be a final goodbye.

"We don't know what will happen when we open Safa'a's abdomen and we take this tumor out," the doctor says. "Safa'a has a chance of survival definitely, if he survives today. So today is the most critical day in Safa'a's life."

The surgery lasted five hours, and the doctors called it a success. The massive tumor was removed completely. Safa'a's parents could barely express their happiness and gratitude.

"I cannot put my happiness into words," his mother says, laughing.

The boy's father adds, "this is such a happy occasion. You brought happiness into the hearts of parents."

Safa'a has a lengthy recovery ahead of him, but his parents know he is lucky to have a chance at life, thanks to the kindness of strangers.

"I will tell you the truth. Tears come to your eyes. You're saving a life," Tye says after hearing about Safa'a's successful surgery.

"When you look at somebody that had a life-threatening problem and you could, with money, save that life, you've got to sit back and say you helped make this world just a little better, and that's what it's all about."

@highlight

An Iraqi boy, 2, travels to Jordan to have 12-pound tumor removed

@highlight

Liquor tycoon in U.S. comes to boy's aid, pays all his medical expenses

@highlight

"Tears come to your eyes," the boy's American donor says

@highlight

After surgery, the boy's mother says, "I cannot put my happiness into words"