Washington (CNN) -- President Barack Obama is expected to make a statement Thursday on the partisan standoff over how best to extend the expiring payroll tax cut, according to the White House.

Obama will be joined by "Americans who would see their taxes go up if the House Republicans fail to act," the White House said. Some of those people have participated in Obama's social media campaign highlighting what a $40 loss to a paycheck can mean to the average American.

Wednesday, the president called House Speaker John Boehner and Senate Majority Leader Harry Reid to discuss the impasse, the White House said.

A two-month extension passed overwhelmingly with bipartisan support by the Democratic-controlled Senate "is the only option to ensure that middle class families aren't hit with a tax hike in 10 days and gives both sides the time needed to work out a full year solution," White House Press Secretary Jay Carney told reporters.

Earlier in the day, Boehner, R-Ohio, and House GOP negotiators urged Democrats to restart talks on the matter, with the goal of an immediate one-year extension.

"We're here. We're ready to work," Boehner told reporters on Capitol Hill. "We can resolve these differences ... and give the American people a real Christmas present."

During their phone call, Boehner told Obama that House Republicans were "elected to change the way Washington does business and that we should not waste the next ten days simply because it is an inconvenient time of year," an aide to the speaker said.

At stake: A tax cut for 160 million Americans, as well as extended emergency federal unemployment benefits and the so-called "doc fix," a delay in significant scheduled pay cuts to Medicare physicians.

All three measures are currently scheduled to expire December 31.

Despite mounting pressure on House Republicans to give in and pass a short-term extension, a well- placed House GOP source indicated his side would not consider an end-game to the standoff until next week, just days before the deadline for taxes to go up.

White House: Congress inaction a threat to the economy

A growing number of political observers believe Democrats hold the political high ground in the struggle, and that Republicans are in the midst of squandering their long-held advantage on the tax issue. On Saturday, the Senate voted 89-10 to approve two additional months for all three programs. The idea, leaders have repeatedly said, is to buy more time to hammer out a longer-term deal.

The conservative House GOP caucus, however, revolted against that blueprint, calling it an inadequate patchwork plan that will create more economic instability and do little to create jobs. On Tuesday, the House voted 229-193 on a virtual party-line basis to express its disagreement with the Senate plan and call for the creation of a House-Senate conference committee to resolve the matter -- something already ruled out by Reid, D-Nevada.

The $33 billion "bipartisan compromise that was reached on Saturday is the only viable way to prevent a tax hike on January 1," Obama said after the House vote. "It's the only one."

The House also approved a separate resolution supporting a year-long extension of both the payroll tax cut and emergency unemployment benefits, along with a new, two-year doc fix. There is no indication, however, that congressional negotiators would be able to reach a bipartisan agreement by the end of the year.

Further complicating matters is the fact that the Senate has adjourned for the year. Most House members also left Washington after Tuesday's vote.

Dispute creates GOP split between House and Senate

Boehner released a public letter to Obama Tuesday urging him to order the Senate back from its holiday break to take part in further talks -- a gesture immediately rejected by the White House.

In a symbolic move, Maryland Rep. Chris Van Hollen, a member of the Democratic leadership, walked onto the floor of a virtually empty House chamber Wednesday morning to call for the House to hold a direct, up-or-down vote on the bipartisan Senate plan. Boehner prevented a direct vote on the Senate bill Tuesday, signaling that House GOP leaders may lack enough Republican support to defeat it in the face of unrelenting pressure from the White House, congressional Democrats and some Senate Republicans.

The Wall Street Journal -- always a critical sounding board for conservatives -- blasted Boehner and his House GOP colleagues in an editorial Wednesday, arguing that they had "achieved the small miracle of letting Mr. Obama position himself as an election-year tax cutter."

"At this stage, Republicans would do best to cut their losses and find a way to extend the payroll holiday quickly," the paper's editorial writers said. "Then go home and return in January with a united House-Senate strategy that forces Democrats to make specific policy choices that highlight the differences between the parties on spending, taxes and regulation. ... The alternative is more chaotic retreat and the return of all-Democratic rule."

Asked to respond to the editorial, Boehner insisted that the GOP remains "the party of lower taxes for the American people."

Boehner's response did not appear to stem a rising tide of criticism from his Senate counterparts.

"The House Republicans have painted themselves into a corner. They are on their own," a Senate Republican leadership aide told CNN Wednesday. "This is a lose-lose situation for us. (House Republicans) let the Democrats get the messaging advantage and, more specifically, we've turned one of our key issues on its head. The Republicans look like they are the ones blocking tax relief."

"When you are arguing process, you are losing, by definition," the aide said. "We are arguing process while they've got politics on their side."

A number of Republicans have said the party should have declared victory after winning an agreement by Obama -- as part of the payroll tax cut package -- to make a decision within the next 60 days on whether to proceed with the proposed Keystone XL oil pipeline from Canada to the Gulf of Mexico. Republicans and some Democratic union leaders say the controversial pipeline will create thousands of new jobs; critics question its environmental impact.

According to House Republican sources, their strategy is now to generate as much news coverage as possible of their eight appointed conferees in coming days to keep the pressure on Democrats to negotiate.

"We are going to try to remind people that we are still in town ready to work," one House GOP leadership aide said.

A failure to act could have major economic and political fallout. The payroll tax break alone is worth roughly $1,000 a year for an average family. Numerous observers believe Obama is preparing to parrot Harry Truman's 1948 campaign next year by running against an unpopular, dysfunctional Congress controlled partly by the GOP.

CNN's Ted Barrett, Dana Bash, Kate Bolduan, Lisa Desjardins, Matt Hoye, Xuan Thai, and Deirdre Walsh contributed to this report

@highlight

NEW: Obama to speak on impasse

@highlight

Obama calls Boehner, Reid to urge adoption of Senate's two-month extension

@highlight

Senate GOP aide says House Republicans have "painted themselves into a corner"

@highlight

Obama says the bipartisan compromise reached Saturday is the only viable option