(CNN) -- The shocking scenes that unfolded at Sandy Hook Elementary School on Friday have added another name to the list of respectable but otherwise unremarkable towns forever scarred by tragedy.

Communities like Aurora, Columbine and Newtown have found themselves on the front line of a deeply emotional debate about the right to bear arms -- something that is enshrined in America's constitution.

While some view the death of 20 children as proof that radical gun control reform in the U.S. is needed, others believe the solution to the problem of gun violence is not better regulations but more guns. The result is America often struggles to find a common voice that satisfies those who totally oppose guns and those who fundamentally believe in their right of self-defense.

Yet gun violence is not an exclusively American issue. From Scotland to Tasmania, communities not too dissimilar to Newtown have experienced the same unspeakable horrors. But in some cases, those massacres have been a catalyst for important changes in gun control laws.

We look at some of those experiences and their effects.

Britain

Despite relatively limited gun ownership and availability, Britain has experienced several mass shootings in the past 25 years.

On August 19, 1987, 27-year-old Michael Ryan went on a bloody rampage for several hours in the southern English town of Hungerford, Berkshire armed with a pistol, hand grenade and an automatic rifle. He murdered 16 people and wounded over a dozen others, before he shot himself after being tracked down in a college building in the town.

In the wake of the Hungerford massacre, Britain introduced new legislation -- Firearms (Amendment) Act 1988 -- making registration mandatory for owning shotguns and banning semi-automatic and pump-action weapons.

Nine years later, on March 13, 1996, 43-year-old Thomas Hamilton burst into a school in the picturesque town of Dunblane in central Scotland and embarked on a terrifying shooting spree that left 16 five and six-year-old children and their teacher dead. The former scoutmaster turned one of the four pistols he was carrying on himself.

The following year, a new law -- Firearms (Amendment) (No. 2) Act 1997 -- was passed effectively banning the private ownership of all handguns in the UK. This followed a highly successful public campaign in the months after Dunblane that included a petition being handed to the government with almost 750,000 signatures, according to British media reports.

Britain was shaken by another massacre in June 2010 when a lone gunman, named as Derrick Byrd, killed 12 people and injured almost 30 others after a near four-hour shooting spree in rural Cumbria, northern England. After a huge manhunt, the body of the 52-year-old taxi driver was found alongside two powerful rifles, one equipped with a telescopic sight. He had taken his own life. Police were investigating 30 crime scenes at one point.

The tragedy again raised questions about the effectiveness of Britain's gun laws after it was revealed Byrd was licensed to carry firearms. The licensing application process involves being vetted by police as well as the applicant's doctor to assess their fitness to own a weapon.

Finland

Finland enjoys a strong tradition of hunting and has a high proportion of gun ownership, with 1.5 million firearms owned in a nation of more than five million people, according to government figures.

Gun control has also been more relaxed here. Until recently anyone aged 15 and over was able to apply for a gun license if they offered a valid reason such as membership of a gun club.

Though gun crime is rare, the country has suffered two major incidents at schools in recent years.

On November 7, 2007, a teenager opened fire with a handgun at his high school in the southern Finnish town of Tuusula, killing eight people before fatally turning the gun on himself.

Police said all of 18-year-old Pekka-Eric Auvinen's victims had multiple gunshot wounds, most to the upper body and head. Some 69 shells and more than 320 unused bullets were found at the scene.

Auvinen, who had no criminal record, obtained a license for the weapon the previous month and regularly practiced sharp-shooting as a hobby at a local range, police said.

The authorities said Auvinen, who police later described as lonely and antisocial, had posted a series of videos on YouTube featuring guns, with some hinting at the massacre at Jokela High School itself.

The following year, on September 23, the country was numbed by news of another mass shooting. Over the course of 90 minutes, 10 people were fatally shot as Matti Juhani Saari, wearing a ski mask and black fatigues, rampaged through a campus at Kauhajoki city's School of Hospitality in southwestern Finland.

The 22-year-old later died in hospital from a self-inflicted gunshot wound to the head.

Chillingly, police revealed Saari had been questioned days before the shooting about a video posted on the internet showing him firing a gun, though no action was taken because he was licensed and had not broken the law.

In the wake of the shootings, the Finnish government moved to issue new guidelines on the use of firearms, particularly handguns and revolvers. New applicants for handgun licenses are now required to show they've been active members of a gun club for one year and be vetted by their doctor and police.

The minimum age for purchasing licenses of short barrel weapons has been raised to 20 -- 18 for hunting rifles. Permits are now valid for a period of five years before being reviewed.

Australia

In one of his first acts as leader, Prime Minister John Howard announced major reforms to Australia's gun control laws just 12 days after 35 people died at the hands of a lone gunman wielding a military-style semi-automatic rifle at a popular tourist spot in Tasmania on April 28, 1996.

In the wave of public revulsion against what became known as the Port Arthur massacre, the move for stricter gun controls was led by Howard, who had taken office just seven weeks earlier and who, in the first few hours after the tragedy, declared himself horrified "at this shocking and senseless act."

He took his anti-gun campaign around the country, at one stage addressing a hostile pro-gun rally wearing a bullet-proof vest. He also oversaw a successful gun "buy-back" scheme that took some 650,000 guns out of circulation.

Australia's eight states and territories got behind legislation that addressed mass shootings: High calibre rifles and shotguns were banned, licensing was tightened and remaining firearms were registered to uniform national standards -- an accomplishment regarded by many in the country as Howard's enduring legacy.

Australia has been compared to the United States for its "frontier mentality." But unlike the U.S., there is no constitutional right to bear arms, gun ownership is markedly lower and American-style gun culture has taken hold in only a few pockets of Australian society -- most notably among the crime gangs operating in the two biggest cities, Sydney and Melbourne.

Norway

July 22, 2011 will live long in the memory of all Norwegians after the carnage that unfolded that day.

After detonating a bomb outside the prime minister's office in Oslo, killing eight people, Anders Behring Breivik took a ferry to Utoya Island and embarked on a shooting spree that took the lives of another 69 people attending a youth camp.

Authorities said Breivik roamed the island shooting at campers, before members of an elite Norwegian police unit took him into custody.

In August this year, Breivik, who boasted of being an ultranationalist who killed his victims to fight multiculturalism in Norway, was judged to be sane at the time and sentenced to 21 years in prison after being charged with voluntary homicide and committing acts of terror.

An independent report into the worst atrocity on Norwegian soil since World War II blamed a series of intelligence and planning failures for delaying the police arrival on the island by 30 minutes.

Despite ownership and the type of ammunition permitted for use being tightly regulated, the report also criticized Norway's gun controls as "inadequate." It called for a total ban on semi-automatic weapons of the type Breivik purchased with relative ease.

Like Finland, Norway has a high number of guns in circulation with hunting a national pastime. According to the Small Arms Survey 2007: Guns and the City," there are almost 32 firearms per 100 people in Norway. This compares to 88.82 per 100 in the United States.

CNN's Richard Allen Greene and journalist Geoff Hiscock contributed to this report.

@highlight

Communities like Aurora, Columbine, Newtown on front line of gun control debate

@highlight

The right to bear arms is enshrined in the constitution of the United States

@highlight

Gun controls have been tightened across globe after massacres such as Dunblane

@highlight

Wave of public revulsion against Port Arthur massacre led to stricter controls in Australia