A nurse in Nigeria. A businessman in Saudi Arabia. A Spanish priest in Liberia.

With the World Health Organization announcing Wednesday that 932 deaths had been reported or confirmed as a result of Ebola hemorrhagic fever, Saudi Arabia joined the list of countries with suspected cases.

"This is the biggest and most complex Ebola outbreak in history," Dr. Tom Frieden, director of the U.S. Centers for Disease Control and Prevention, said.

Nearly all of those deaths have been in Liberia, Sierra Leone and Guinea, where more than 1,700 cases have been reported, according to WHO. The agency said 108 new cases were reported between Saturday and Monday in those countries and Nigeria.

Liberian President Ellen Johnson Sirleaf has declared a state of emergency for 90 days because of the deadly outbreak, her office announced Wednesday.

"The scope and scale of the epidemic, the virulence and deadliness of the virus now exceed the capacity and statutory responsibility of any one government agency or ministry," she said in a written statement. "The government and people of Liberia require extraordinary measures for the very survival of our state and for the protection of the lives of our people."

She said Ebola is a "clear and present danger."

Concerns about the spread of the deadly virus escalated with Saudi Arabia reporting that a man died, apparently of the virus, after a trip to Sierra Leone, and Nigeria reported that a nurse died after treating someone believed to have contracted Ebola in Liberia.

WHO did not immediately confirm the deaths, and its count of Ebola cases does not include the two.

The Saudi man died Wednesday at a specialized hospital in Jeddah, the Saudi Ministry of Health said.

He had been in intensive care since late Monday "after exhibiting symptoms of viral hemorrhagic fever following a business trip to Sierra Leone," the ministry said in a statement.

The nurse in Nigeria had helped care for Patrick Sawyer, a Liberian-American man, who died in Nigeria after traveling there from Liberia, Nigeria's Ministry of Health said Wednesday.

Read more about Patrick Sawyer's death

The news of the nurse's death came the same day that Nigeria confirmed another five cases of Ebola, the Health Ministry said.

Meanwhile, a Spanish priest who contracted the disease in Liberia will be flown to Madrid and become Europe's first patient from this outbreak, according to the Spanish government.

Spain's Ministry of Defense is using a medically equipped Airbus A310 to bring Brother Miguel Pajares to Madrid, where he will be treated at Madrid's La Paz hospital, Spanish officials said.

In the United States, two patients are being treated at Emory University Hospital in Atlanta: American doctor Kent Brantly and Nancy Writebol, who had been in Liberia. Emory is one of four U.S. institutions capable of providing such treatment.

Writebol arrived in Atlanta on Tuesday, just days after Brantly arrived.

"We were able to spend a few minutes with her to encourage her and be encouraged by her condition," Writebol's son, Jeremy, said in a statement.

A male patient at Mount Sinai Hospital in New York has tested negative for Ebola, the hospital announced Wednesday. The patient, who had a fever and gastrointestinal symptoms, is improving and is listed in stable condition, the hospital said in a written statement.

The man became ill after recently traveling to West Africa.  A specimen from the patient was delivered Tuesday to the Centers for Disease Control and Prevention in Atlanta, which confirmed he didn't have Ebola.

Is experimental drug helping?

Both Brantly and Writebol have been given the experimental drug ZMapp, which had not been tested on humans nor has it undergone any clinical trials.

Doctors say it's too early to tell whether ZMapp is effective.

The CDC says it's not likely the drug will become available for patients in West Africa.

"The product is still in an experimental stage, and the manufacturer reports that there is a very limited supply, so it cannot be purchased and is not available for general use," the CDC said.

President Barack Obama said Wednesday that "we've got to let the science guide us" on whether to make the experimental drug more widely available. "I don't think all the information is in on whether this drug is helpful," he added during a news conference at the U.S. Africa Leaders Summit in Washington.

Opinion: Make more Ebola drug and give it to Africans

The World Health Organization will convene a medical ethics panel early next week to answer questions about whom should receive ZMapp, given that it is in limited supply.

"We have a disease with a high fatality rate without any proven treatment or vaccine," said Dr. Marie-Paule Kieny, assistant director-general at WHO.

"We need to ask the medical ethicists to give us guidance on what the responsible thing to do is," she said.

9 questions about this new Ebola drug

'It won't be easy'

Frieden said putting an end to the Ebola outbreak will "take many months, and it won't be easy, but Ebola can be stopped," he said. "We know what needs to be done."

The United States is planning to send 50 health experts to West Africa to help contain the outbreak, which President Obama addressed in remarks Wednesday, saying citizens of the affected countries are in Americans' thoughts and prayers.

"What we have done is to make sure we're surging not just U.S. resources, but we have reached out to European partners and partners from other countries working with the WHO,"  Obama said. "Let's get all the health workers that we need on the ground. Let's help to bolster the systems that they already have in place."

Obama said the U.S. is focusing on a public health approach first, and he will seek information about new drugs later.

Frieden said the 50 experts from the CDC will work to combat the outbreak and help implement stronger systems to fight the disease.

The agency raised the activation level of its emergency operations center in Atlanta to its highest level, meaning more employees are working in the emergency center.

In Geneva, Switzerland, members of WHO's Emergency Committee of International Experts were receiving an briefing and trying to determine whether to recommend the outbreak is an international public health emergency.

The committee will release its findings on Friday.

What is Ebola?

The Ebola virus causes viral hemorrhagic fever, which affects multiple organ systems in the body and is often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

Ebola spreads through contact with organs and bodily fluids such as blood, saliva, urine and other secretions of infected people. It has no known cure. The most common treatment requires supporting organ functions and maintaining bodily fluids such as blood and water long enough for the body to fight off the infection.

5 reasons not to panic about Ebola in the U.S.

What is the risk of catching Ebola on a plane?

Experts: U.S. health care system well-prepared for Ebola

Ebola's frontline: Battling fear and deadly virus

@highlight

More than 900 people have died in West Africa because of the outbreak

@highlight

American Nancy Writebol's family ''encouraged by her condition''

@highlight

President Obama says U.S. concentrating on public health approach

@highlight

Spanish priest who contracted the disease in Liberia will be flown to Madrid