(CNN) -- Activists are organizing the first national gay blood drive Friday in an effort to combat the Food and Drug Administration's ban on blood donations from gay and bisexual men.

The FDA bans donations from men who have had sex with other men since 1977, saying there is an increased risk of exposure to and transmission of infectious diseases -- including HIV -- in male-to-male sexual encounters.

"FDA uses multiple layers of safeguards in its approach to ensuring blood safety," the government agency's website says. The FDA screens all potential blood donors based on risk factors and signs of infections.

Blood banks have been instructed to ask male donors if they have ever had sex with a man. If the potential donor responds "yes," he is instantly removed from the donor pool for life.

The policy started in the 1980s when people didn't know how the deadly virus that causes AIDS spread. At the time, there wasn't a good test to detect whether HIV was present in donated blood, and HIV was getting into the nation's blood supply. Scientists also knew that a disproportionate number of gay men were affected by the virus.

Ryan James Yezak, lead organizer of the blood drive, is making a documentary about discrimination based on sexual orientation. He said he wants to convey on a national level how much blood the gay community could potentially contribute to the blood supply if given a chance to donate.

"This ban is medically unwarranted, and this drive is the only way we can motion for change," he said. "The gay community shouldn't be written off as diseased."

Blood donations were down by 10% across the country in June, according to the American Red Cross, which received about 50,000 fewer donations than expected.

2012: Blood donations decline, U.S. ban on gay donors is examined

The ban is not discriminatory or based on any judgment concerning a donor's sexual orientation, according to the FDA. The policy statement is based on the documented increased risk of transmissible infections.

The American Medical Association voted in June to oppose the FDA ban.

"The lifetime ban on blood donation for men who have sex with men is discriminatory and not based on sound science," said AMA board member Dr. William Kobler.

The AMA is advocating for a new policy to ensure blood donation bans or deferrals are based on an individual's level of health risks instead of sexual orientation alone.

Yezak is urging gay and bisexual men on Friday to visit designated blood donation centers, where a mobile HIV testing center will be located. He's asking the men to get tested, and if their HIV results are negative, to try and donate blood.

The HIV test results will be collected and sent to the FDA to provide evidence of rejected willing and healthy donors in hopes of lifting the ban.

The blood drive will run from noon ET (9 a.m. PT) through 8 p.m. ET (5 p.m. PT) in 52 cities nationwide.

Parts of UK to lift lifetime ban on gay men donating blood

The FDA has said it is willing to change its policy if new approaches can guarantee that blood recipients aren't subject to an increased risk of transmittable diseases.

Yezak will use the results from the drive in his feature documentary, "Second Class Citizens."

Follow @CNNHealth on Twitter and Facebook.

@highlight

The FDA does not accept blood donations from men who have sex with men

@highlight

Blood donations down 10% across U.S. in June, American Red Cross says

@highlight

Blood drive organizer wants to show how much blood gay community can contribute

@highlight

AMA voted to oppose the donation ban the FDA implemented in the 1980s