(CNN) -- A U.S. diplomatic cable written five years ago concluded that the government of India condoned torture of suspects held in detention centers in Jammu and Kashmir, a region that has seen a long guerrilla war by Muslim separatists, many supported by Pakistan.

The cable, obtained by WikiLeaks and published by The Guardian newspaper in Britain, describes a confidential briefing from a representative of the International Committee of Red Cross. In interviews with nearly 1,500 detainees over a three-year period, it had received reports that included sexual abuse, stretching and the use of water and electricity.

"The continued ill-treatment of detainees, despite longstanding ICRC-GOI [Government of India] dialogue, have led the ICRC to conclude that the New Delhi condones torture," the cable says.

For the ICRC, such a briefing for U.S. diplomats appears to have been unusual. Previously it had limited itself to general comments on the human rights situation in Kashmir "in order to respect their confidentiality agreement with the GOI." However, the relationship had become strained, with ICRC representatives unable to gain regular access to senior officials.

The cable gives a detailed summary of the ICRC's interviews with detainees. "In 852 cases, detainees reported what ICRC refers to as "IT" (ill-treatment): 171 persons were beaten, the remaining 681 subjected to one or more of six forms of torture: electricity (498 cases), suspension from ceiling (381), "roller" (a round metal object put on the thighs of sitting person, which prison personnel then sit on, crushing muscles -- 294); stretching (legs split 180 degrees -- 181), water (various forms -- 234), or sexual (302)."

The ICRC acknowledged that the human rights situation in Kashmir had improved. Ten years previously, there were some 300 detention centers; now there are "a lot fewer." It also had meetings with the security forces. The cable noted one "bright spot." The Chief of the Indian Army Staff, Lieutenant-General Joginder Jaswant Singh, had made discipline a central theme of a recent conference and had stipulated that his officers should use "minimum force" and avoid "collateral damage" in their units in order to reverse declining standards in discipline.

But even though the ICRC has raised issues of abuse for more than 10 years, it continued.  "Detainees were rarely militants (they are routinely killed), but persons connected to or believed to have information about the insurgency." The ICRC representative had never been permitted access to the "Cargo Building," the most notorious detention center in Srinagar.

The cable concludes that ICRC data on "ill-treatment and torture in detention centers are very disturbing, because the practice continues unabated."

India's Ministry of External Affairs disputed those claims.

"India is an open and democratic nation, which adheres to the rule of law. If and when an aberration occurs, it is promptly and firmly dealt with under existing legal mechanisms in an effective and transparent manner," the ministry spokesman Vishnu Prakash. "In India, there's a healthy tradition of democratic debate and freedom of expression on all issues that concern the welfare of our citizens anywhere in our country."

The ICRC on Friday confirmed the meeting referred to in the cable took place and refrained from commenting "publicly on the content of such discussions."

"It must also be stressed that the ICRC cannot take responsibility for the content of the cables, which emanate from representatives of the U.S. authorities," the ICRC said.

ICRC said it and India signed an agreement providing for a framework for ICRC's detention activities. It said the "work is ongoing," findings are discussed confidentially, and the quality of discussions with India has "clearly improved."

As for sharing information with the United States, the ICRC says it "engages in a sustained dialogue with the concerned authorities of the countries where the ICRC works with the aim of addressing concrete humanitarian issues. In very specific instances this dialogue may be extended to third parties who may play a role in addressing humanitarian situations."

Another cable the following year acknowledged the security challenges India faced in Kashmir.

"Kashmiri terrorist groups made numerous attacks on elected Indian and Kashmiri politicians, targeted civilians in public areas, and attacked security forces, killing more than 500 civilians in 2005, most of whom were Kashmiri Muslims."

The same cable suggested that political violence in India was abating. "At a time when many nations appear to be losing ground to extremist movements, India's trendlines are pointing in the right direction, bolstered by strong indigenous traditions of communal co-habitation, non-violent political protest" and other factors.

However, the cable noted that in the absence of training and the collection of evidence "terrorism investigations and court cases tend to rely upon confessions, many of which are obtained under duress if not beatings, threats, or, in some cases, torture."

In 2007, the U.S. Embassy in New Delhi recommended denying a U.S. visa to a Kashmiri paramilitary leader, Usman Abdul Majid. A leaked cable said the group was "notorious for its use of torture, extra-judicial killing, rape, and extortion of Kashmiri civilians suspected of harboring or facilitating terrorists."

There was further unrest in Srinagar, the capital of Jammu and Kashmir, earlier this year, when the death of a student hit by a tear-gas grenade sparked widespread street protests. Tens of thousands of Indian security forces remain deployed in the region.

The ICRC has a policy of not sharing with the media its discussions with governments.

@highlight

The cable gives a detailed summary of the ICRC's interviews with detainees and allegations of torture

@highlight

Interviews include reports of sexual abuse, stretching and the use of water and electricity

@highlight

The ICRC acknowledges that the human rights situation in Kashmir has improved.