We sometimes liken the presidential campaign to an extended job interview, but it's certainly unlike any job any of us has ever applied for.

You've probably never gone into an interview where your prospective employer said, "Your résumé looks good, but of course we'll have to decide if we like your spouse, go through your tax returns, talk to your elementary school classmates, see how you react when crazy people ask you bizarre questions, and make sure the car you drive communicates the proper patriotism and ordinary-guy credibility." It isn't enough to know whether a candidate can do the job well or whether his agenda accords with ours; we need to gaze into the very depths of his soul.

This question becomes particularly acute for candidates who seem awkward or unskilled at the glad-handing part of politics, the requirement to forge deep emotional connections with voters in the span of a few seconds. Mitt Romney is only the latest to struggle with "authenticity" (as John Kerry and Al Gore did), and six months from election day voters and reporters are still trying to determine just what kind of person he is.

So it no doubt caused panic in the Romney camp when the Washington Post published an account of Romney's high school years at the elite Cranbrook school in suburban Detroit, detailing the young man's penchant for practical jokes and what he now calls "hijinks." The worst was an incident involving a socially awkward boy, suspected of being gay, who had dyed his hair blond.

"He can't look like that. That's wrong. Just look at him!" Romney told a friend, according to the Post. He then led a group that tracked the boy down, tackled him, and held him on the ground. As the boy cried and yelled for help, Romney reportedly clipped his hair with scissors.

When he was questioned about the story, Romney gave what has now become the politicians' standard response to the revelation of misbehavior from long ago: "I don't recall the incident myself, but I've seen the reports and I'm not going to argue with that. There's no question but that I did some stupid things when I was in high school and obviously if I hurt anyone by virtue of that, I would be very sorry for it and apologize for it."

You'd hardly expect any politician in his position to say anything different.

Perhaps Romney is being completely sincere. But the Post confirmed the story with five witnesses, four of whom described it on the record, so there seems little doubt about whether it occurred. They were deeply troubled by their participation in it, and recall it vividly to this day.

News: Romney's ex-classmate: 'It was assault.'

A candidate who has struggled with seeming human, as Mitt Romney has, could have done himself a favor by using this as an opportunity to show a little more of himself. He could have said: Yes, it happened. It was stupid and cruel. I wish I could go back and undo it. But part of growing up is realizing where you failed when you were young, and learning from your mistakes so you can become a better person.

Most importantly, Romney could have said something that indicated he had a conception of how horrible the assault must have been for John Lauber, the victim. His only mention of Lauber, who died in 2004, was to say "I had no idea what that individual's sexual orientation might be."

By referring to Lauber as "that individual" he makes Lauber a nameless figure, further distancing himself from the incident. Which is exactly the opposite of what he should have done. After all, it's the quality of empathy -- being able to see things from someone else's perspective and feel what they feel -- that Romney has had trouble convincing voters he possesses.

This problem comes up for Romney again and again, often in the form of "gaffes" that are usually taken out of context, but still reveal a tin ear for the lives people lead. To take just one example, when Romney said "I like being able to fire people that provide services to me," anyone who has ever been laid off recoiled in shock, whatever the context. Business owners and supervisors who have had to do the firing -- the humane ones, anyway -- know it can be a painful experience from the other side of the desk as well. It may be necessary at times, but you certainly wouldn't say you "like" it.

Perhaps Romney really doesn't remember the assault on John Lauber nearly a half-century ago, despite the fact that so many of the other people who were there have never forgotten it. Or perhaps he decided that claiming ignorance would be the safest course of crisis management. But what he said told people nothing about the man he is today and how he has changed and grown over that time. We're all different people than we were in our youth, and we all have regrets. The 17-year-old Mitt Romney may have been a privileged, entitled boy with a mean streak. The 65-year-old Mitt Romney missed an opportunity to convince us he's something different.

@highlight

Paul Waldman: Running for president means people will delve deep into your past

@highlight

He says Romney likely alarmed by article alleging he bullied a boy when he was a teen

@highlight

He says Romney said he didn't recall, expressed regret. For other boys there, it was vivid

@highlight

Waldman: Romney missed a chance to convince skeptical voters that he has empathy