(CNN)The desert and dun-colored cliffs around the town of Tataouine were once the backdrop for the movie "Star Wars," much of which was filmed in this neglected corner of Tunisia in 1976. This struggling town on the fringes of the Sahara still draws a few fans of the movie but now finds itself part of a real conflict, as a way-station for jihadists crossing the Libyan border 60 miles to the east.

Earlier this month, before the gun attack on the Bardo Museum in Tunis, three young men were arrested here as they allegedly made plans to cross into Libya to join a terrorist network. A local official told CNN they had since been taken to Tunis for questioning.

Two arms caches have also been found in the region this month, one of which included rocket-propelled grenade launchers and more than 20,000 rounds of ammunition, thought to have been removed from a Libyan armory in the aftermath of Moammar Gadhafi's ouster in 2011.

Driving near the border, it's quickly obvious why the Tunisian government is so anxious about Libya's implosion and the emergence there of an ISIS affiliate whose tentacles stretch half-way across the country. This open space is vast and sparsely populated. Smugglers' tracks criss-cross the endless scrub and steep, arid hills that run along the border. Gasoline, drugs and other contraband have long been smuggled across the frontier.

Near the town of Remada, south of Tataouine, a couple of soldiers manned a checkpoint. They wore protective jackets -- whether for show or because of the perceived threat from Islamist militants, it's hard to know. When we arrived, passports were requested and phone calls made. We were escorted into the town and politely but firmly told we could go no further without written authorization.

Exactly four years ago we had passed through Remada unchallenged. Tunisians had just launched the Arab Spring. There was a mood of heady optimism and the security apparatus of the Ben Ali regime had melted away. But already Libya was falling apart, as different groups of rebels fought to oust Gadhafi.

Thousands of foreign workers were then trying to escape the violence through the few official border crossings. Now Libya's descent into chaos means those crossings are sometimes closed, and it's foreign fighters using the smugglers' trails that Tunisia must worry about.

At the national guard building in Remada the officer in charge -- a burly figure in his mid-40s - was wearing a "New York 1999" sweatshirt and appeared to be one of many plainclothes security personnel in the town. He was happy to talk but didn't want his name reported.

Ignoring calls on his cell phone, he lamented the state of the Arab world and the expansion of Daesh, as ISIS is frequently called. Look at Iraq, Syria, Libya....of course Tunisia is threatened, he said.

The Tunisians are doing what they can, he said. There is now a 1.8-mile no-go zone inside the border, and the military has built fortified positions every couple of miles. The security presence has been boosted seven- to ten-fold, but even so there weren't enough men or equipment. The border, after all, is 380 miles long.

A much wider buffer zone -- 12 miles deep -- has also been created, which people can only enter with permission. This has not gone down well with local herders whose goats and sheep live off the desert scrub.

Other measures taken by the Tunisian authorities, according to the official in Remada, include a ban on men aged 18-35 from going to Libya unless they have residence papers and proof of employment there. Another source said the ban applied to men under 30.

Even so the two gunmen who stormed into the Bardo Museum last week -- both of them in their twenties -- had been able to cross illicitly into Libya in December, according to Tunisian State Security Minister Rafik Chelly. Chelly told a Tunisian network that the pair had received weapons training in the ISIS stronghold of Derna.

The mood among many Tunisians seems much harder and more pragmatic than it was four years ago. A shopkeeper in a small village between Tataouine and Remada said there needs to be a security crackdown. He said people in the area led simple lives -- but they knew each other and noticed strangers.

Bassim, a taxi driver on the island of Djerba, some 60 miles to the north of Tataouine, was of a similar view.

"The people need to be the third eye of the security forces" he said. "And we need to think of the safety of visitors like we think of the safety of our families."

Bassim and hundreds of thousands of other Tunisians have reason to be worried. They rely on tourism to make a living, and fear that ISIS will -- as it has threatened -- launch further attacks against foreigners visiting Libya. Bassim ferries tourists around Djerba, whose luxury hotels and beaches are a popular destination for French and German tourists. It took the tourist industry years to recover from a terror attack on a synagogue on the island in 2002 in which 21 people were killed. Bassim says he's heard all too many horror stories about events in Libya from the oil workers he took to Djerba's airport.

Others, mainly in the capital Tunis, are apprehensive that the democratic gains of four years ago may be eroded or lost in a new security clampdown. They point to new anti-terrorism legislation that strengthens detention powers and the right of the authorities to monitor suspects' phones and social media. The measure was being discussed in parliament Wednesday when the attack was launched on the adjacent museum.

Tunisians say their country is at a crossroads as it tries to fend off the jihadist contagion seeping across North Africa. Their democracy is young and vulnerable.

"We want to be the hope of the Arab world," said Bassim, "like we were four years ago."

"We still have hope, but now we have fear too."

@highlight

Tataouine, near "Star Wars" set, lies just 60 miles from the Libyan border

@highlight

Tunisian officials worry about the area because of its proximity to Libya, and ISIS