(CNN) -- Whenever the U.S. Transportation Security Administration changes the way it screens passengers, it's bound to cause a stir.

This time is no different.

The TSA's move this week to allow small pocket knives on airplanes has generated a storm of criticism and concern among aviation professionals and passengers alike. Critics are outraged by a new rule that will allow knives with very short blades onto aircraft. The agency says it believes knives cannot be used to hijack planes because of strengthened cockpit doors and more passenger awareness.

"This policy reversal is against the best interest of the security of crew and passengers in the aircraft cabin and we will stop at nothing to fight it," said the Flight Attendants Union Coalition, in a press statement issued Thursday announcing its campaign to reverse the TSA's decision.

The coalition represents nearly 90,000 unionized flight attendants at carriers across the country.

Former flight attendant Tiffany Hawk is "stupefied" by the TSA's decision to allow knives "especially since the process that turns checkpoints into maddening logjams -- removing shoes, liquids and computers -- remains unchanged," she wrote in an opinion column for CNN.

Under the new rules, knives with blades that are 2.36 inches (6 centimeters) or shorter and less than a 1/2 inch wide will be allowed in airline cabins as long as the blade is not fixed or does not lock into place. Razor blades and box cutters are still prohibited.

The rules also allow passengers to carry two golf clubs, toy bats or other sports sticks -- such as ski poles, hockey sticks, lacrosse sticks and pool cues -- aboard in carry-on luggage.

TSA chief John Pistole said the changes, which will take effect April 25 and will bring the United States into alignment with international rules, are in keeping with his "risk-based security" approach.

Putting less focus on these items will permit airport screeners to focus on looking for bomb components, which present a greater threat to aircraft.

New rule doesn't go far enough, former chief says

Sharp objects can no longer bring down aircraft, former TSA chief Kip Hawley told CNN, and the search for knives interferes with the search for objects that can threaten aircraft.

"They ought to let everything on that is sharp and pointy. Battle axes, machetes ... bring anything you want that is pointy and sharp because while you may be able to commit an act of violence, you will not be able to take over the plane. It is as simple as that," said Hawley, who oversaw the TSA from mid-2005 through early 2009.

Focusing on the wrong threat

Security expert Rafi Ron says the TSA should focus on risky people rather than risky objects.

"When you have someone like you or me who doesn't intend to attack a flight, whether we have a Swiss Army knife in our pocket or not doesn't make any difference," said Ron, president of Virginia-based New Age Security Solutions and former head of security of Ben-Gurion Airport near Tel Aviv, Israel.

"If you have somebody like one of the terrorists (who was involved in the 9/11 attacks) or a terrorist who is still out there, I'm not sure we'd want him to have even a Swiss Army knife," Ron said.

"Risk is not measured by the item, whether it is a knife or gun. It is measured by the person holding it. A bad guy with a Swiss Army knife can still cause a lot of damage to the crew and passengers in the cabin before the aircraft can land."

What's critical is to be able to apply a heightened level of search to potentially dangerous people beyond who's on the "No Fly" list, he said.

The shoe bomber and underwear bomber "are people who could have been identified as high risk passengers if we had bothered to screen them," he said, referring to Richard Reid's attempted airline attack in 2001 and an attempted attack in 2009 by Umar Farouk AbdulMutallab.

Some clues: "Both of them bought one-way tickets, paid in cash, both of them didn't check any baggage for a trans-Atlantic flight. They should have been subjected to a different level of search," Ron said.

Terrorism's ultimate goal

While he sympathizes with the concerns of flight attendants that knives and other objects could be used to hurt people, there are already objects in the cabin that mentally or emotionally disturbed people could use to inflict injury, said Richard Bloom, Embry-Riddle Aeronautical University's chief academic officer and director of terrorism, intelligence and security studies.

"That has nothing to do with terrorism," said Bloom. "Given that any organization, including the TSA, has only so many people and so much money, what they're trying to do is get less relevant things out of their attention and pay more attention to things that are more catastrophic."

An ever changing list of banned objects

The TSA's evolving list of banned objects has drawn mixed reaction from travelers.

"Let's allow knives on board, but you are not allowed a bottle of water, or a bottle of baby food," wrote one CNN.com reader.

Another seemed to take a more positive view: "I almost had my kids' safety scissors confiscated from their little activity kit. Yay for this sensible decision."

Commenter Jose L. Reynoso was more skeptical.

"Yeah sure one man against a bunch of others is no match but, what if ten men carrying knives and bats plot to take over? Wouldn't a massacre be obvious?" Reynoso wrote.

A more flexible aviation security system?

A country's security services need to be collecting intelligence on potential terrorists way before passengers board an aircraft, said Bloom. And any airport's security team needs to have flexible and layered screening in place to be able to adjust its processes for high-risk individuals.

"The threat is ever-changing."

CNN's Mike Ahlers contributed to this report

@highlight

The latest TSA move to allow some knives and sports equipment is causing a furor

@highlight

Flight attendants have created petitions demanding the TSA reverse its policy

@highlight

Security experts say the policy doesn't address the need to evaluate travelers, not things