Olympic Park, London (CNN) -- The Olympic ethos may be centered on the pursuit of athletic excellence, but performance-enhancing drugs offer a way for competitors to gain Games glory via unfair advantage.

To the frustration of many, the use of illegal substances has marred all recent Olympic Games, and London 2012 has been no different.

Two athletes, Albanian weightlifter Hysen Pulaku and Luiza Galiulina of Uzbekistan, have already been sent home from the British capital after testing positive for the steroid stanozolol and the diuretic furosemide respectively.

So what is the process of screening for banned substances and why, despite all the risks involved, do athletes try so hard to get away with using them?

The history of doping and the Olympic Games

According to UK Anti-Doping (UKAD) the practice of using "substances and artificial ways of enhancing performance" is as old as organized sport itself.

In Ancient Greece, athletes used special diets and stimulants to improve their chances of winning the athletics competitions, while Roman Emperor Nero allegedly drank a potion of wild boar's manure to aid his performance in the Games.

When Danish cyclist Knud Enemark Jensen died at the 1960 Olympics in Rome, his autopsy revealed traces of amphetamine, and the following outcry led to drug testing being adopted by the world cycling and football federations -- as well as the International Olympic Committee in time for Mexico '68.

Screening for drug cheats has been a crucial process in each Olympic Games since this time, and led to the IOC creating a prohibited list of substances

The system has uncovered state-sponsored doping programs, such as those employed by East Germany in the 1970s and '80s and China in the 1990s, as well as individual cases, such as the infamous Canadian 100-meter runner Ben Johnson and American sprinter Marion Jones.

Over the last five Olympics an average of 12 athletes per event have been found guilty of taking banned substances.

Technology has played a crucial role too -- with each advance in the screening process used by organizers, there is an advance by dope cheats in the complexity of drugs used to avoid detection.

World Anti-Doping Agency (WADA) director general David Howman told CNN the list of banned substances runs to 10-15 pages, with hundreds of drugs currently prohibited.

"The fight continues and the sophistication continues on both sides," he said. "You find that athletes and those that advise athletes are more sophisticated in what they do than they were 10 years ago."

What do the drugs do?

"Anabolic steroids provide muscle fiber and bulk, whereas a hormone like erythropoietin (EPO) brings more red blood cells to the system," says Dick Pound, former IOC vice president and former president of WADA.

"More red blood cells brings more oxygen to the muscles, so the athlete has more energy. That's why some athletes take blood transfusions before their races, to boost this count.

"Stimulants can increase heart rate, human growth hormone promotes muscle and bone growth and reduces body fat. It can help strength, power, stamina, improves recovery time so you can train harder and for longer. But archers may take drugs that have the opposite affects, to reduce the tremor in their hands," Pound told CNN.

"They say drugs can make 1% of a difference, but 1% over the distance of 100m is a tenth of a second, that's huge! You can imagine what it would do over a marathon.
"Because all these drugs are under the radar and their use is covert we don't have test groups to know what damage this does to the human body. But you could expect liver damage, high blood pressure, androgynization of females. If you take EPO your blood becomes like sludge, your heart can't pump this stuff through the system."

What is new for London 2012?

The London Games is the first to use a private company, in this case GlaxoSmithKline, to help provide logistics for drug screening. Professor David Cowan, director of King's College London's Drug Control Center and chief scientist for the Games, is in charge of the GSK lab.

"These laboratories are the most high-tech labs in the history of the Olympics, analyzing more samples than ever before," Cowan told CNN. "Across the range of instruments in the lab, we reckon we can pick up things you haven't even thought of and we can test retrospectively if new drugs are developed."

"I think we'll soon be away from the days where designer drugs beat the analyst. I'm hoping this will be the Games that actually prove that."

At London 2012, the athletes themselves seal the bottles and fill in the paperwork, in order to minimize the contamination risk, and only then are the samples opened by a specialist in the testing lab.

Which athletes are screened?

Screening operates in the following way:

-- Athletes are screened in the run-up to the Games and can face repeat tests after the competition period of July 27-August 12.

-- The first five finishers in every event are chaperoned immediately to give mandatory tests, with samples of both blood and urine taken, and then from another two athletes at random.

-- Samples are collected straight after the event at the relevant venue and split into two lots: "A" and "B."

-- There are also unannounced spot tests conducted at random, both inside the Olympic Village and at other athlete accommodation.

-- Test results are processed with the "A "sample (as depicted above) usually within 24 to 72 hours -- some substances, like the hormone EPO, can take longer to screen.

-- The "B" sample is retained for any further backup testing that might be needed.

-- IOC officials comment only when drug tests fail.

-- Any refusal to provide a sample will lead to expulsion, as was the case with Hungarian discus thrower Zoltan Kovago ahead of the opening ceremony.

What happens if an athlete tests positive?

If the "A" sample shows positive, the IOC will start its investigation procedure. The athlete in question has the opportunity to ask for the "B" sample to also be tested, and can be present when the sample is opened to verify there has been no contamination.

If this also returns a positive reading, the IOC and the involved sport's national association will hear the athlete's reasoning before deciding on whether a violation has been committed. For those found guilty, the IOC will recommend sanctions to the national body.

Is enough being done?

"The equipment and technology is better in London, and the knowledge is more extensive," Pounds says. "But if you're a sophisticated doper and you test positive, you fail two tests: a drugs test and an IQ test. You need programs that are randomly tested over long periods.
"We know we're not catching all the drug users. We're catching maybe 20% of the sophisticated users, it's a big problem. What's going on now is that athletes are taking advantage of the fact you are allowed four times the amount of normal levels of testosterone if you're competing.

"So now they can inject a pellet into their butt which will slow-release small doses of testosterone but won't go over the threshold. We have tests to find artificial testosterone, but the games (of catching them) go on. We're getting better, but we need to keep getting better -- and the labs need to test for everything on the list.

"You'd be pretty ambitious to say London 2012 was a clean Games. There are drugs we don't know about yet so we need to keep finding them and hunting down the distribution networks."

@highlight

Artificial ways of enhancing performance is as old as organized sport itself

@highlight

Dick Pound: "They say drugs can make 1% of a difference, but 1% is huge!"

@highlight

Drug company GlaxoSmithKline has provided logistics for London 2012 screening

@highlight

First five finishers in every event are taken immediately to give mandatory tests