(TIME.com) -- Talk about a longevity strategy no man wants to pursue. A recent study published in the journal Current Biology finds that Korean eunuchs â€” castrated men â€” lived 14 to 19 years longer than other men, suggesting that male sex hormones play a role in life span.

In the study, the researchers used a genealogy record called the Yang-Se-Gye-Bo that tracked eunuchs who worked in the Korean imperial court during the Chosun Dynasty, which ruled from the 14th to early 20th centuries.

Researchers were able to identify 81 eunuchs, who were castrated as boys, and determined that they lived to an average age of 70, significantly longer than other men of similar social status. Even kings didn't typically make it to age 50.

Three of the 81 eunuchs lived to 100, a centenarian rate that's far higher than would be expected in modern society. The current incidence of centenarians is 1 per 3,500 people in Japan, and 1 per 4,400 people in the United States, for instance; thus, the incidence of centenarians among Korean eunuchs was at least 130 times higher than that of present-day developed countries, according to the paper.

TIME.com: Want to live longer? Don't try caloric restriction

"Our study supports the idea that male sex hormones decrease the lifespan of men," the authors write.

Based on earlier research, the authors argue that one explanation for this could be that male sex hormones may negatively influence the immune system and "predispose men to adverse cardiovascular attacks." They note further that the theory helps explain why females -- in many species -- live longer than males.

But while animal studies have suggested that castration (which removes the testes, the source of male hormones) results in longer lives, studies in humans have been spotty. In one study of castrati singers, there was no difference in lifespan between them and non-castrated singers; in another study of institutionalized, mentally ill men, however, those who were castrated lived some 14 years longer than those who weren't.

And there are other reasons that women may outlive men, including for example the presence of estrogen, which may help enhance longevity. Also, as ABC News reports:

"Females may have an advantage in longevity because they have a back-up X chromosome, (Dr. L. Stephen Coles, a co-founder of the Los Angeles Gerontology Research Group,) said. A woman's body is a mixture of cells, half containing an active X chromosome from her mother and the other half from her father, he said. If there is a defect on one X chromosome, half of her cells will be unaffected."

TIME.com: Health checkup: How to live 100 years

Further, the longevity of the Korean eunuchs could be attributable to lifestyle factors the study didn't track, like diet, exercise and stress.

The authors think the men's long lives can't be chalked up solely to a privileged lifestyle, however. "Except for a few eunuchs, most lived outside the palace and spent time inside the palace only when they were on duty," study author Kyung-Jin Min of Inha University told Reuters. Meanwhile, they still tended to outlive other royalty who spent their whole lives inside the palace.

Obviously, the study authors don't advocate becoming a eunuch. There are more sensible and reliable ways to up your chances of a long, healthy life: don't smoke, eat a healthy diet, get plenty of exercise.

"For better health and longevity, stay away from stresses and learn what you can from women," the authors said in a statement.

TIME.com: Too good to be true? Anti-aging proteins not so potent after all

This article was originally published on TIME.com.

Do eunuchs really live longer?

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

A study analyzed the lifespan of Korean eunuchs during the Chosun Dynasty

@highlight

The eunuchs outlived the other men by 14 to 19 years

@highlight

The findings suggest male sex hormones play a role in life span