(CNN) -- A study released Thursday claims that troops who report suffering post-traumatic stress disorder as a result of sexual trauma -- namely for rape, assault or harassment -- are much less likely to get benefits than troops claiming to suffer from PTSD because of other causes.

The report from the Service Women's Action Network and the American Civil Liberties Union looked into what is called military sexual assault trauma. Specifically, how did troops (male or female) who claim to have experienced "sexual violence" fare in getting disability benefits?

Not well for many of them, the advocates claim, calling the "often unsuccessful" effort to get such benefits "an unfair fight."

"They face a broken bureaucracy, with protracted delays and inaccurate adjudications," the report's authors write. "And ... it is clear that veterans who survive in-service sexual trauma also face discrimination in seeking compensation."

They point to data, obtained following lawsuits from the Department of Veterans Affairs, that show a persistent gap in the success rate of those troops seeking benefits for PTSD tied to sexual trauma compared to those who say they got PTSD for other reasons.

The Department of Veterans Affairs responded in a statement, saying it is "committed to ensuring that veterans have access to military sexual trauma-related health care and disability benefits."

The ACLU/SWAN report goes through the 2012 fiscal year and does not include FY 2013, which ended September 30. Data for the more recent fiscal year, the VA points out, shows a 6-percentage point gap in benefits grant rates for those with sexual trauma PTSD claims and all PTSD claims

Even without this data, those claiming PTSD due to sexual trauma have had increasing success in getting benefits. The claims of 56.8% of them went through in fiscal year 2012, much higher than the 30% success rate in fiscal year 2008.

The report's authors point out approval rates for PTSD claims not related to sexual traumas went up as well: For FY2012, those were at 73.3%, up 20% from a few years earlier.

"The gap is really striking," said Anu Bhagwati, executive director of SWAN. "...The gap got even larger in 2011 and was large, as well, in 2012."

The VA, however, highlighted training and other efforts that have led to the significant increase in the number of troops claiming sexual trauma who have received disability benefits.

"The Under Secretary for Benefits (Allison Hickey) has spearheaded VA's efforts to ensure that these claims are adjudicated compassionately and fairly, with sensitivity to the unique circumstances presented by each individual claim," the department said. "... Hickey's efforts have dramatically improved VA's overall sensitivity."

Notably, claims tied to military sexual trauma represent a fraction of the PTSD claims overall that Veterans Affairs sees. Over the 2008 through 2012 fiscal years, for instance, there were 15,862 such claims out of 591,456 overall.

The report highlights significant differences among Veterans Affairs regional offices in benefit grants for sexual trauma. Co-author Kathryn Mammel, from the Veterans Legal Services Clinic at Yale, said that the variation between VA offices for all PTSD claims "is not nearly as widespread" as that for those specifically tabbed to sexual trauma.

The office with the lowest approval rate for sexual trauma claims in FY 2012 is in St. Paul, Minnesota, signing off on just 25.8% of requests. Offices in Detroit and St. Louis had similarly low rates, while offices in Nashville, Los Angeles and elsewhere showed significant upticks in recent years.

@highlight

ACLU, SWAN release a report about troops seeking benefits for sexual trauma

@highlight

They're less likely to get benefits than troops seeking PTSD benefits for other reasons

@highlight

VA notes efforts to "compassionately" deal with sex trauma claims, notes major uptick

@highlight

Sexual trauma victims are increasingly likely to get benefits; so are all PTSD sufferers