(CNN) -- "For the workers at Ford and their families absorbing this difficult news today, we will make sure that you are not left behind."

So tweeted the Australian premier Julia Gillard, as Ford Australia, the local subsidiary of the U.S. giant, this week confirmed the worst kept secret in Australian manufacturing.

More than 1,000 workers will lose their jobs when Ford closes two production facilities in the state of Victoria by October 2016.

The decision came after Ford Australia declared a A$141 million [$135.4 million] tax loss for the year 2012/13. The company has lost around A$600 million [$575 million] over the last five years, making it unviable, it says, to continue producing cars in Australia.

The decision is a blow not only to those who will lose their jobs. It's also bad news for the ruling Labor government, about to face an election it's tipped to lose.

It also comes amid concerns that while Australia's mining boom appears to have peaked, the country's manufacturing base is in decline.

Ford Australia president and chief executive Bob Graziano said the company had failed to "make the numbers work" when it modeled a number of different scenarios in an attempt to maintain its Australian production base.

A small and fragmented Australian market and uncompetitive cost structures are to blame, according to Graziano.

"There's been a significant change in terms of the total number of vehicles sold in the large car segment," he told a media conference. He added "costs are double that of Europe and nearly four times Ford in Asia."

The news, which will also impact the vehicle manufacturing supply chain across the country, comes despite attempts by the Australian government to prop up the industry.

In the past decade the Australian government has given the auto industry A$12 billion [$11.5 billion] in subsidies -- with Ford itself the beneficiary of A$2.5 billion of those subsidies.

But the automaker's decision to close manufacturing completely by 2016 is likely to add to the growing concerns that Australia is too reliant on its mining industry and resource exports to China in particular, whilst its manufacturing base has been in steady decline over more than four decades.

In the 1960s, manufacturing accounted for close to 30% of GDP. In 2012, it accounted 7.2%.

The Australian Industry Group, an employers organization, said manufacturers were doing it tough in a "high cost economy" while opposition leader Tony Abbott lamented a "black day for manufacturing in Australia."

But respected commentator Bernard Keane said the news was long overdue and unrepresentative of the state of Australian manufacturing.

"These aren't the numbers of a company suffering increased competition from a stronger currency, but a company that can't convince consumers to buy its flagship product any more, a company that has lost touch with consumers, as so often happens with protected industries," he wrote in news outlet Crikey.

"Nor is the closure representative of Australian manufacturing. For all the stories about high-profile manufacturers struggling, in the year to February the total manufacturing workforce fell by just 3,000, or a third of 1%, to 954,000 in trend terms -- the lowest fall in years."

But manufacturing, once Australia's largest employer, has seen its share of total employment eclipsed by the health, retail and construction sectors. Contrary to popular belief, the mining industry upon which Australia remains reliant is not the countries biggest employer, according to analysis published on Crikey.

George Megalogenis, economic commentator and author of "The Australian Moment," a book that tracks Australia's economic development said "all first world economies have roughly similar stories to tell on manufacturing.

"Manufacturing was the single biggest employer through till the 90s in some countries. But its share of employment and of GDP is declining. And it's quite a smooth line, which started in the 60s," he told CNN.

"But now we are at that point where societies are starting to ask themselves whether they let the trend continue to the point where they actually lose the know-how to make things."

He added: "China will see the same decline in 20 or 30 years time. They will replicate first world trends but with a lag."

Though it employs fewer Australians, and despite the boom appearing to have peaked, Australia's mining industry remains the headline act.

Profitable, it provides a significant percentage of company tax revenue to government, even if the tax on super profits imposed by the Gillard government has been a disappointment; the government's projections of a A$2 billion windfall delivered only A$127 million because the tax is structured to allow the miners to offset the value of their mines against the tax.

Former finance minister Lindsay Tanner has warned in the past that Australia needs to reduce its reliance on mining and focus its efforts on other export industries.

"Minerals are always going to be critical for Australia. There's no question about that," he told ABC radio.

However, the diversification of Australian exports had stagnated in the 90s, with growth in tourism, education and specialized manufacturing moving into reverse, he said.

"So it's not so much that there's one country that we're dependent on. It's that we have I think to some extent too many eggs in that basket," said Tanner.

For Megalogenis, Australia's economic reliance on mining would be more acceptable if it had the future firmly in sight.

"When mining crowds everything out and the economy makes room for that, to service China, knowing that it's a highly volatile global cycle, it becomes a question of what Australia does with the spoils," he told CNN. "Because there will be a bust," he added.

Megalogenis says historically, Australia has wisely invested the spoils. "We built Melbourne out of the gold boom," he said. "But we haven't really taken the cash from this mining boom and reinvested it in expanding the capacity of the rest of the economy."

The Gillard government has anticipated a second mining boom, he says, and allocated spending in anticipation.

"But the second chance has been denied us by Europe and the global financial crisis. We had a second crisis and Europe is still in recession. "

Even so, though mining profits are down because of lower commodity prices, profit margins remain high.

According to the Minerals Council of Australia, last year the industry paid in excess of $20 billion in company tax and royalties combined -- a four-fold increase on the $4 billion to $5 billion paid at the start of the boom.

What future exists for manufacturing in Australia when the countries finite resources are depleted is a question that no doubt will have to wait until after the September 14 poll.

@highlight

More than 1,000 workers will lose their jobs when Ford closes two production facilities

@highlight

The decision is a blow to those who will lose their jobs and bad news for Labor government

@highlight

It comes despite attempts to prop up the industry by the Australian government

@highlight

It raised questions over the structure of the Australian economy