Washington (CNN) -- The United States and Japan have agreed that about half the U.S. Marines on the Japanese island of Okinawa will soon leave, a transition that could ease a long-simmering resentment of the Americans' presence that has at times boiled over.

The news from a joint U.S.-Japanese committee comes as Japanese Prime Minister Yoshihiko Nodo prepares to meet Monday with President Barack Obama in Washington.

"I am very pleased that, after many years, we have reached this important agreement and plan of action," Secretary of Defense Leon Panetta said, noting the lengthy seesaw talks aimed at cutting the American presence on the island south of Tokyo.

About 9,000 Marines and their family members will leave Okinawa, the U.S.-Japan Security Consultative Committee said Thursday. About 5,000 will go to Guam as part of a much larger U.S. military build up in Asia, a realignment that comes amid China's rapid growth as a major economic and military power.

The U.S. military presence on Okinawa has caused considerable controversy. Some have complained about noise from the base, in an urban area. Many others were incensed by the misconduct of U.S. troops stationed there, including the 1995 rape of 12-year-old Japanese girl by three U.S. military personnel.

Opposition to the presence of U.S. troops in Okinawa runs so deep that it contributed to the resignation of former Prime Minister Yukio Hatoyama in 2010. He had promised to move the base but later announced that the base would stay, a decision he called "heartbreaking."

His critics said then that he gave in to U.S. pressure, and his government coalition broke up.

"Recognizing the strong desires of Okinawa residents, these relocations are to be completed as soon as possible while ensuring operational capability throughout the process," the U.S.-Japan Security Consultative Committee

Japan's foreign minister, Koichiro Genba, called the agreement satisfactory.

U.S. military personnel by country

"It's forward-looking and meaningful, one that can act upon the changing security environment as well as reducing the burden on Okinawa," Genba said Friday morning.

Of the Marines being transferred, about 2,700 will be sent to Hawaii and still others will rotate through a base in Darwin, Australia. The relocations are in line with President Barack Obama's goal to have the military have a geographically distributed presence in the Pacific.

The transfer leaves between 9,000 and 10,000 Marines belonging to the 3rd Marine Expeditionary Force on Okinawa.

"So, in the end, we are sustaining the same presence in the western Pacific that we've intended for some time," said a senior U.S. defense official, who spoke on condition of anonymity as a matter of routine during a briefing with reporters.

Okinawa was the site of the last major campaign for U.S. forces in the Pacific during World War II. The Battle of Okinawa lasted from March through June 1945. More than 100,000 civilians, 100,000 Japanese troops and 12,000 Americans were believed to have died in the fighting for the island chain, roughly 1,000 miles south of Tokyo.

After the United States defeated Japan in World War II, a U.S. occupation force remained in Okinawa and other parts of the country. Japan regained control of the islands in 1972.

During the Cold War, the United States military presence on Okinawa served as a bulwark against communism in a strategic location during the Vietnam War.

More recently, the United States has kept its forces in Okinawa and increased its military footprint across Asia as China rises as a major economic and military power. Much of the U.S. assistance to Japan after last year's earthquake was launched from Okinawa bases.

The friction between locals and military personnel has been exacerbated in recent years by cultural misunderstandings and the isolated criminal acts. It's hoped the reduction of forces on the island chain will reduce the animosity.

The call for the U.S. military to leave Okinawa escalated after the 1995 rape of the 12-year-old, a crime that outraged the Japanese and led to calls by many that American troops leave.

In 1996, spurred in part by Japanese anger on Okinawa, Washington and Tokyo signed an agreement to reduce the amount of land being occupied by U.S. forces.

About 40,000 U.S. personnel are based in Japan, and more than three-quarters of the military bases are on Okinawa. At its height, U.S. military operations on Okinawa accounted for about 20 percent of the land use on the island chain.

In 2006, the United States and Japan reached an agreement that would have relocated thousands of Marines off the island once the Marine Corps Air Station at Futenma was closed and moved to Camp Schwab on Okinawa. That plan stalled after widespread protests over the proposed location and costs for the new air base.

Futenma is not addressed under the agreement announced Thursday to move the Marines.

"I think what we've done with the agreement is ... to create the political space for the government of Japan to move this forward on its own timeline," the defense official said.

As part of the agreement, the United States will begin returning lands on Okinawa in phases as the Marines depart.

Part of the $8.6 billion cost to relocate the Marines from Okinawa to Guam will be picked up by Japan, which has agreed to pay $3.1 billion, the Security Committee statement said.

Bob Kovach reported from Washington, Chelsea J. Carter from Atlanta. CNN's Phil Gast, Greg Botelho and Yoko Wakatsuki contributed to this report.

@highlight

About 9,000 Marines will be moved off Okinawa, a U.S.-Japan committee says

@highlight

Japan's foreign minister calls the agreement "satisfactory"

@highlight

The agreement creates "political space" for Japan, a defense official says

@highlight

Tensions have sometimes been high on Okinawa between locals, U.S. personnel