(CNN) -- Whether it's a weekend barbecue or roasting marshmallows on a camping trip, cooking over an open fire is a novelty that many Americans enjoy.

But for nearly half the world's population, building and maintaining a fire is a daily -- and often deadly -- chore.

In remote villages and city slums, women tend to fires for hours on end, breathing in smoke that is the equivalent of smoking two packs of cigarettes a day, according to the World Health Organization. Many of these women have their children close by or strapped to their chest or back, and the dangerous pollutants from the smoke can result in severe damage to their lungs as well.

Nancy Hughes witnessed this firsthand while working with a medical team in Guatemala more than a decade ago.

"There were doctors on the medical team who could not put tubes down the babies' throats because the throats were so choked with creosote," said Hughes, a 70-year-old grandmother who lives in Eugene, Oregon. "Imagine you've got a new baby and you couldn't save that baby's life ... and it's because of cooking."

Inhaling this polluted air has also been linked to pneumonia, heart disease, lung cancer, low birth weight and respiratory infections, just to name a few.

Hughes spent years working with engineers to create the Ecocina, a stove that burns cleaner to make it safer for people and better for the environment. In 2008, she founded StoveTeam International, which she says has established factories that have produced more than 37,000 stoves and improved the lives of more than 280,000 people in Latin America.

"Cooking shouldn't kill," she said.

An estimated 4 million people each year die from exposure to cookstove smoke, according to the Global Alliance for Clean Cookstoves (PDF). But Hughes and her group are trying to help change that. By using a cleaner combustion process, the Ecocina stove reduces carbon emissions and particulate matter by 70%. The quick-cooking unit is also cost-efficient and portable, and it requires no installation or external chimney.

"It's kind of a little miracle," said Hughes, explaining that the "E" stands for environmental and "cocina" is the Spanish word for kitchen.

Hughes' stoves also provide an economic boost to the communities where she works, because they are all built by local laborers using local materials. In the last five years, her group has helped start six factories in five countries: El Salvador, Guatemala, Honduras, Mexico and Nicaragua.

"It not only employs the people in the factory, but obviously they're buying all their supplies locally. So anything they need, they're helping boost the local businesses," Hughes said. "Also, some of the individuals who buy stoves are starting their own catering businesses."

Today, 45 people are employed at the factories that her group has helped establish.

"On one of my recent visits, one of the guys came up to me and wanted to have a picture taken," Hughes said. "He said very proudly, 'Before I had this job, I was picking coconuts -- and now I am a welder!' "

It's an impressive accomplishment for Hughes, who didn't begin working in this area until a little more than 10 years ago.

She'd spent most of her life as a stay-at-home wife and mother, but after losing her husband to cancer in 2001, Hughes was looking for a change. Her inner "travel bug" kicked in, and when she heard about a local medical team that was planning to volunteer in Guatemala, she signed up to go as a cook.

"It's an awful situation down there," Hughes said. "The homes are made out of whatever material is around. Sometimes they're made out of plastic bags woven together with sticks. ... Rarely do they have windows or ventilation."

She was stunned to realize that women often spend more than 14 hours a day inside tending to an open fire, and she was horrified to see entire families suffering from chronic coughs and respiratory infections, not to mention burns.

One woman's story was a turning point for her.

Irma, 18, had fallen into an open fire as a toddler, and her hands were literally burned shut. The medical team treated Irma and was able to restore the use of her hands, but Hughes said she knew she needed to do more.

"I thought: 'This is crazy. So what can we do to prevent it?' " she said.

Hughes teamed up with rocket engineer Larry Winiarski, who created the original Ecocina design. Then she joined forces with Rotary Clubs around the world, and together they began partnering with local entrepreneurs to start factories.

Do you know a hero? Nominations are open for 2013 CNN Heroes

Not only are the stoves improving and saving people's lives -- they are also saving forests.

In much of the world, Hughes says, a household will use 50-100 pounds of wood to cook each day. The Ecocina requires 50% less wood than a traditional open fire, and twigs and fallen branches can be used to heat the stove.

Even the stove itself is designed to be environmentally friendly.

"We wanted it made out of local materials, biodegradable materials, so if anything happened to the stove or if someone abandoned it, the materials would just go back to nature," she said.

The stoves typically cost between $40 and $45 to make, including labor and materials, Hughes said, and they sell for $50-$60 depending on the factory site and their specific costs.

Orlando Flores Perez received a free Ecocina as part of a community grant in El Salvador. His daughter Mariella suffered from asthma so severe she was hospitalized often twice a week, but the Ecocina changed that.

Now, Mariella needs far fewer trips to the hospital and the entire family breathes easier.

"Mariella's health has improved dramatically since we've had the stove," Perez said. "The new stove has helped improve her health and the health of our family."

Hughes is not paid for her work, and occasionally she dips into her own her savings to contribute to the project. It's her passion -- or as she calls it, her obsession.

"If anyone told me I'd be doing all this at this age, I wouldn't have believed them," Hughes said.

But Hughes -- who plans to open new factories in Colombia and Mexico in the next year -- intends to spend the rest of her life doing this work. With 3 billion people, mostly women and children, facing health risks from open fires or leaky cookstoves every day, Hughes says there are just too many who need help.

"The best part of doing it is seeing the people who benefit," Hughes said. "Anybody can do this. You just have to have a purpose and a passion."

Want to get involved? Check out the StoveTeam International website and see how to help.

@highlight

Across the world, cooking smoke is killing an estimated 4 million people every year

@highlight

Nancy Hughes is trying to save lives through a portable stove that burns cleaner

@highlight

The stoves are built locally using local materials, so they also provide an economic boost

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes