(CNN) -- Mention Morocco and most would first think of the exotic markets of Marrakech, the desert dotted with ancient kasbahs and, of course, the classic 1942 wartime film "Casablanca."

But Casablanca, the main port city of Morocco, is among the places being tipped by experts as emerging future global financial centers.

As the gateway between Europe and Africa, Casablanca aims to take advantage of its geographical position and also act as a hub for North, West and Central Africa, said Hicham Zegrary, director of operations and institutional affairs at the Casablanca Finance City Authority (CFCA).

The CFCA is working hard to position Casablanca as an international financial center, he said, by building its technology infrastructure and improving the legal environment in which business is done. Zegrary added that due to Morocco's many partners throughout Europe, North America and Asia, for investors "it is easier to do business with African countries from Morocco."

Since its inception four years ago, the CFCA says it has attracted over 50 companies including BNP Paribas, AIG, Clifford Chance, Silk Invest and Boston Consulting Group to name a few.

While Casablanca's ranking is still relatively low overall (62 out of 83) in a recent Global Financial Center Index report, it's significant that it debuted on the list and it signals a larger growth in the region.

What's more, GFCI asked international financial services professionals which cities they believed will likely become more significant in the next few years: Casablanca was the name that came up most.

"They're putting a lot of work into it there," said Mark Yeandle, associate director of Z/Yen Group, the company who published the GFCI report earlier this year on global financial centers. "They have a sensible budget and a good team," he added.

Casablanca is building its infrastructure and rebranding itself as a hub for financial services needed in Morocco, Tunis, and even further away in Lagos, Nigeria. "It (Casablanca) will be as good as any," said Yeandle.

Another newcomer and fairly unknown city is Busan, South Korea, which has traditionally operated in Seoul's shadow. It ranks 27th on the GFCI report, just behind number 26 Qatar. But it ranks second only to Casablanca as a place tipped by finance professionals as likely become more significant.

Busan has the fifth busiest port in the world, not to mention the largest department store in the world, despite the fact that many people have never even heard of it.

"Busan are putting a great deal of money and promotional activity behind their growth as a financial center," said Yeandle. "They are building a dedicated area for the center and are publicizing their focus on maritime finance and derivatives trading."

Read this: How to start your own currency

For different reasons, another Asian future contender is Kuala Lumpur, Malaysia. While operating relatively quietly in comparison to its southern neighbor Singapore, what sets Kuala Lumpur apart from others, says Saif Malik, managing director and head of corporate and institutional clients for Standard Chartered Bank Malaysia, is that it's quickly becoming a leading financial center for Islamic banking, which operates with a different set of rules to traditional banking.

"There is clearly a plan," said Malik. "It's not an overnight journey, but the Malaysians have realized to compete with Singapore and other long-established financial centers, they have the niche in Islamic banking."

Islamic finance has seen recent growth two to three times faster than conventional banks, according to Ernst and Young in its World Islamic Banking Competitiveness Report. The global financial crisis and strong economic growth in countries with a large Muslim population are both reasons for such progress.

Unlike neighboring Jakarta, Indonesia, Kuala Lumpur stands out as having a more stable political and economic environment. Malik says the Malaysian government has made great efforts to attract a skilled workforce while at the same time working in a trusted legal environment originating from the British legal system.

In the 10 years to 2015, it is projected that the Malaysian banking industry will have an annual growth rate of approximately 9%, said Malik, and the government has stepped up with various initiatives to promote foreign direct investments into the country, including the InvestKL program which aims to attract talent and build Kuala Lumpur into a global city.

While the Middle East continues to grow, particularly Qatar and Dubai, so do cities in China, especially if mainland China's ongoing currency issues around the Renminbi become open and transparent, said Yeandle. "The wealth there has to go somewhere. It's almost inevitable," he said, mentioning Shenzhen, Dalian, Shanghai and Beijing, as current and future financial hubs.

In Latin America, massive growth is happening too, according to the GFCI report. Buenos Aires, Argentina, takes the clear lead, jumping 21 places to become 25th on the list despite the economic and political uncertainty in the country. Yeandle says that though Buenos Aires is unpredictable, "the long-term trend will probably be upward."

While the same can't be said for many continental European cities. Rome, for example, saw the biggest drop on the GFCI list, falling 19 places to number 54.

Paris, Milan, Madrid and Athens, have all seen enormous dips in their rankings since the decline of the Eurozone.

Luxembourg, however, is holding strong and tipped to grow due to more lenient tax schemes attractive to companies, said Yeandle, and Zurich continues its reign as a financial hub thanks to its independence from the Eurozone.

But one point overall, says Yeandle, despite any newcomers on the rise, there are certain ingredients which make cities successful in the rankings and will continue to do so. "If you look at the (current) top four (New York, London, Hong Kong and Singapore), they are all very cosmopolitan, welcoming to foreigners, they attract talented expats and they are successful cities and attractive cities," he said.

Perhaps a note for all cities hoping to climb in the ranks of future financial hubs: "You have to be a successful city in order to be a successful financial center," said Yeandle.

Read this: How to start your own currency

@highlight

Experts tip cities including Casablanca and Busan as emerging financial hubs

@highlight

The current growth in Asia means there is massive opportunity there

@highlight

Europe struggles while South America and the Middle East bounce ahead