We all know what makes a great beach bar.

Killer ocean views, sunset exposure and a creative menu from which, for once, you don't have to feel ashamed about drinks that come in coconut shells garnished with pink umbrellas.

In Hawaii, though, perfect beach drinkeries also have to be imbued with that distinctive mahalo spirit.

These 10 waterfront watering holes have all that, and then some.

The Edge of Waikiki (Oahu)

The Edge of Waikiki almost seems too obvious, with its prime Waikiki Beach location and unobstructed views of Diamond Head.

As the name suggests, it sits right on the edge of the Sheraton Waikiki's infinity pool -- happy souls occasionally float past you on orange bean bags.

Every morning between 10 a.m. and noon, bartenders serve $3 draft beers and $7 cocktails; in the afternoon, there's live acoustic music and umbrella-topped pina coladas.

For all the cliches, the bar remains quintessentially Waikiki, frequented by visitors and locals alike.

The Edge of Waikiki, 2255 Kalakaua Ave. on Waikiki Beach, Honolulu; +1 808 922 4422

Lava Lava Beach Club (Big Island)

Lava Lava might be your textbook Hawaiian beach bar -- tiki torches, swaying palms, hula dancing and a live band -- but its kitschy charm works.

The location helps -- it's on quiet Anaeho'omalu Bay on the Big Island's northwestern coast.

Though its decor can be described as casual, at best -- basic rattan chairs and tables on the sand -- the drinks are strong and cheap, with $5 cocktails during happy hour, and service is attentive and energetic.

Lava Lava Beach Club, 69-1081 Ku'uali'i Place on Anaeho'omalu Bay, Waikoloa Village, Big Island; +1 808 769 5282

Bumbye Beach Bar (Maui)

Though Bumbye is located just steps from low-key Mokapu Beach on Maui's southwest coast, it's not exactly what you'd call low key.

Its beechwood exteriors, surf-inspired art and artisan cocktails attract a largely young clientele, mainly guests at the Andaz Wailea.

But there's no attitude here: bartenders are chatty and easygoing and there's a solid local presence, particularly during football season when drinks are half-price during games.

The signature Honua'ula cocktail, a mix of Amaro, tequila, rum, pineapple and lime, is a crowd favorite.

Bumbye Beach Bar, 3550 Wailea Alanui Drive on Mokapu Beach, Wailea, Maui; +1 808 573 1234

House Without a Key (Oahu)

Sheltered beneath the sprawling branches of a century-old kiawe tree behind the Halekulani's orchid pool, House Without a Key feels tucked away despite its central Waikiki Beach address.

Each night on a small, oceanfront stage, live Hawaiian music is paired with traditional hula dancing performed by former Miss Hawaii winners as the sun sets over Waikiki.

The signature cocktail is a mai tai -- more than one call it the best on the island -- served over crushed ice and a sugarcane stick, and garnished with a mint leaf and a Vanda orchid.

House Without a Key, 2199 Kalia Road on Waikiki Beach, Honolulu; +1 808 923 2311

Nalu Kai (Kauai)

Quite possibly the only true beach bar on Kauai's north shore, Nalu Kai pairs barefoot appeal with strong drinks and views over Hanalei Bay, Pu'u Poa Beach and Bali Hai.

Though the bar is part of the St. Regis Princeville Resort, it's more minimalist than posh.

Its clientele skews young and moneyed.

Drinks are typically priced for a five-star resort bar -- $10 for a local beer, $16 for a margarita -- but cocktails are served with flair and made with the fresh juice of local fruit like lilikoi and lychee.

Nalu Kai; 5520 Ka Haku Road on Pu'u Poa Beach, Princeville, Kauai; +1 808 826 9644

Serenity Pool Bar (Maui)

Though the Serenity Pool Bar at the Four Seasons Maui is known more for its swim-up appeal -- it's on the edge of a 120-foot infinity pool -- it's also located beachfront, directly overlooking Wailea Beach.

An ocean-facing terrace with lounge chairs offers views over the West Maui mountain range and the island of Lanai.

The bar offers a substantial selection of local and organic beer and 18 cocktails, the most popular being the mai tai, which can be served in a pineapple upon request.

Serenity Pool Bar at Four Seasons Maui, 3900 Wailea Alanui Drive, Wailea, Maui; +1 808 874 8000

Mai Tai Bar (Oahu)

Heather Graham and Ellen DeGeneres (for whom a cocktail has been named) are said to frequent the Waikiki Beach institution that is the Mai Tai Bar.

Though the outdoor bar is encircled by a low barricade, the separation of bar and beach feels imperceptible thanks to the proximity of the sand -- you can reach over in your seat and grab a handful.

A contemporary Hawaiian musical trio plays six nights a week. Their sunset rendition of Israel Kamakawiwo'ole's "Over the Rainbow" is predictable but never tired.

Mai Tai Bar; 2259 Kalakaua Ave. on Waikiki Beach, Honolulu; +1 808 923 7311

Ohia Bar at Duke's Beach House (Maui)

Located on North Ka'anapali Beach, the lower-key Maui outpost of Duke's Waikiki is an easy stroll from Black Rock, but far enough away from the Whaler's Village beach bar crowds to feel somewhat secluded.

Its thatched umbrellas and tiki torches are proudly kitsch -- this is Duke's, after all.

Half-price happy hour kicks off at 3 p.m. and ends at sunset.

Local crooners hop on the mic shortly after to set the aloha vibe in full swing with renditions of "Aloha Oe" and "White Sandy Beach."

Ohia Bar at Duke's Beach House, 130 Kai Malina Parkway on North Ka'anapali Beach, Lahaina, Maui; +1 808 662 2900

Oasis on the Beach (Kauai)

Just 15 minutes from Lihue Airport, this Kapa'a coast bar is perfectly situated for a pre- or post-flight drink.

Its outdoor dining deck overlooks the long expanse of Waipouli Beach, and the bar menu is large and interesting.

Popular drinks include macadamia hot-buttered rum with cloves, and the spicy Thai martini.

On Wednesday evenings the entire bar menu is half price.

The small plates are made with 90% local ingredients.

Oasis on the Beach; 4820 Kuhio Highway at Waipouli Beach, Kapaa, Kauai; +1 808 822 9332

Beach Tree Bar (Big Island)

Located on the sands of Kumukea Beach on the Big Island's Kona-Kohala coast, the Beach Tree Bar is good for sunset cocktails and turtle-spotting -- sometimes simultaneously.

Though the thatched-roof bar has an informal vibe, it's got a sophisticated beer and wine menu (more than 60 wines by the glass) and 19 cocktails, including the popular limoncello-pear concoction that's the signature Beach Tree Smash.

Bartenders and wait staff avoid cheesy aloha shirts for casual blue tees and share local knowledge freely.

Beach Tree Bar at Four Seasons Resort Hualalai, 72-100 Kaupulehu Drive, Kaupulehu-Kona; +1 808 325 8000

@highlight

Edge of Waikiki borders the Sheraton hotel's infinity pool

@highlight

Live music and hula performed by former Miss Hawaii winners are featured at Honolulu's House Without a Key

@highlight

Maui's Serenity Pool Bar is a swim-up on the edge of a 120-foot infinity pool overlooking Wailea Beach