Washington (CNN) -- They are the numbers we've all been waiting for and House Republicans have unsuccessfully tried to get out of the Obama administration.

This week, the Department of Health and Human Services will reveal how many people purchased policies on the federal Obamacare exchange website.

Technical failures have plagued HealthCare.gov since its October 1 launch, although officials say it's slowly getting better.

White House spokesman Jay Carney says enrollment numbers "will be lower than we hoped and we anticipated."

Democrats losing patience with Obamacare

Just how low and what effect all of those online roadblocks had on enrollment remain to be seen.

But what will the numbers mean about the health of Obamacare?

Q: How many people need to enroll?

The nonpartisan Congressional Budget Office estimates that 24 million people will purchase insurance through an exchange by 2023, but just seven million will enroll during the initial sign-up window ending March 31.

CBO's estimate includes customers on both state-based and federally run insurance exchanges, but not individuals who enroll in Medicaid.

If that number is spread evenly over the course of the open enrollment period, 1.16 million people would need to purchase insurance each month in order for the administration to be on pace to reach the seven million figure in six months.

But officials both in and out of government are quick to point out that enrollment is unlikely to occur at an even pace.

Pro-Obamacare group raises $27 million for outreach

To make that case, President Barack Obama recently traveled to Massachusetts where then-Gov. Mitt Romney enacted similar health care reforms in 2006.

"Enrollment was extremely slow, within a month only about a hundred people had signed up," the President told a crowd in Boston in late October, recounting data from the state's first open-enrollment period. "But then, 2,000 had signed up, and then a few more thousand after that. And by the end of the year, 36,000 people had signed up."

On CNN the day after the President's trip, MIT economist Jon Gruber, a former health care adviser to both Romney and Obama, argued that the first month's numbers aren't that useful in estimating the pace of enrollment.

"The key deadline here is March 31, that's when people have to have insurance to avoid the individual mandate," Gruber said of the deadline for avoiding a financial penalty for not having any health coverage. "That's still months away."

A consumer behavior expert said the slow pace of enrollment early could be attributed to buying habits.

Michael McCall, consumer psychology professor at Ithaca College, compared it to paying rent or a mortgage when it's due, rather than before a bill is received. Until payment is submitted, the door remains open to back out or make changes.

"Once I pay, I've kind of made that commitment," McCall added.

Arguably more important than the overall enrollment number is the diversity of the new customer pool.

The administration is working to ensure that 40% of those on the new exchanges are relatively healthy between 18 and 35.

"Part of the challenge is to make sure that the exchanges are able to attract a broad cross section of people, sick people and healthier young people so that the coverage is affordable," said Drew Altman, president and CEO of the Kaiser Family Foundation.

An unbalanced insurance pool could cause insurers to increase monthly premiums or pull out of the exchanges altogether in future years.

Clinton: Obama should honor commitments on keeping health plans

What about Medicaid enrollees?

Customers whose income falls below a certain threshold are automatically referred to their state's Medicaid program. The Affordable Care Act offers subsidies to states to increase Medicaid qualification to 138% of the federal poverty level, and 25 states and the District of Columbia have taken up the federal offer so far.

If your state has opted to expand Medicaid, you'll likely be referred to your state's welfare agency if you make less than $15,800 and are seeking coverage as an individual, or $32,500 if you're seeking it for a family of four.

The CBO estimates that nine million people will enroll in Medicaid and its partner initiative for children, the Children's Health Insurance Program, by 2014. According to this estimate, that number will increase to 13 million by 2023.

Media report: Fewer than 50,000 signed up for Obamacare

What if my state didn't expand Medicaid?

The authors of the ACA intended Medicaid expansion to be mandatory, but a Supreme Court decision in 2010 ruled the federal government couldn't require expansion of a state-run program. This decision led 25 states to opt out.

If you make less than the federal poverty level, you will be referred to your state Medicaid agency to see if you qualify for benefits under the current law, regardless of whether your state has expanded Medicaid or not.

According to a study by the Kaiser Foundation, only four states that didn't expand Medicaid offer benefits to parents with incomes up to the federal poverty level, and only Wisconsin offers benefits to adults without children.

If your state chose not to expand its Medicaid program, you can still purchase insurance on the exchange, but you might not qualify for a premium subsidy.

Federal subsidies kick in for those with income above 100% of the federal poverty level.

Due to the Supreme Court decision and the structure of the law, a large group of low-income Americans won't qualify for Medicaid in their state, but will earn less than the federal poverty level, meaning they won't qualify for any federal subsidies. According to the Kaiser Family Foundation, roughly five million people will fall into this Medicaid coverage gap.

What does "enroll" mean, anyway?

Regardless of whether you're signing up on HealthCare.gov or one of the state-run exchanges, there are several steps in the enrollment process.

You must first create an account and enter in some personal information, including your Social Security number and an estimate of your annual income.

This information is then verified through the federal data hub with various government agencies, such as the Social Security Administration and the Internal Revenue Service.

Then you'll either be presented with the plans available in your coverage area and an estimate for what those plans will cost after any federal subsidy is factored in, or you'll be told you qualify for Medicaid and referred to your state's Medicaid agency.

If you're eligible to purchase a plan on the exchange, you can compare the plans available to find one that best fits your budget and coverage needs.

Many insurance companies and state-based exchanges don't classify customers as officially enrolled until they've paid their first premium. Others will count people as enrolled once they've selected a plan.

A spokeswoman for the Centers for Medicare and Medicaid Services confirmed Tuesday that the numbers the government plans to announce will reveal how many consumers have completed an application and selected a plan, not necessarily how many have paid.

Consumers have until December 15 to pay if they want coverage beginning on January 1, or until March 31 if they simply want to avoid paying the penalty for not having insurance.

According to CNN's tally, at least 54,700 people have paid for insurance on the state-based exchanges, but many more have made it partially through the process, completing an application and selecting a plan.

Various news outlets have reported that fewer than 50,000 people have signed up and paid for new private insurance plans through the federal marketplace, HealthCare.gov. Neither the Department of Health and Human Services nor officials at CMS would confirm those numbers.

@highlight

An unbalanced insurance pool could lead to higher premiums, insurers pulling out

@highlight

CBO estimates nine million people will enroll in Medicaid or partner program for children

@highlight

2010 Supreme Court decision overturned mandatory plan for states to expand Medicaid

@highlight

Many insurers and state-based exchanges don't consider customers enrolled until they pay first