(CNN)I've been in disaster management long enough to know that there is really no one right way to mark the anniversary of a tragic event. As the Boston Marathon runners begin and, hopefully, finish their exhausting run Monday, the lingering memories of the 2013 marathon blasts will be seen and felt in all sorts of ways.

More public safety officials throughout the route, a finish line area that prohibits large bags, National Guard members in full uniform giving some sense of security -- those are the most obvious, visible changes.  And there are less obvious ones too.

With the luxury of some time and healing, the city has moved on. And that is a blessing. In the midst of that weeklong tragedy -- the bombings, the manhunt, the lockdown and eventual capture or killing of the Tsarnaev brothers -- we thought we knew what was going on. But we were too much in the midst of our own situational awareness, the fog of war. Sometimes it takes years to determine what in fact occurred and to write a narrative that reflects a multitude of voices and opinions.

That narrative is just forming, and it's worth going back to highlight some of the more strategic lessons that came out of that week. As a former homeland security adviser for Massachusetts, I was intimately involved with the marathon planning; as a commentator for CNN, I saw the story evolve during that week.

Some of these lessons learned are informed by the luxury of time and hindsight, others by various after-action reports and assessments, and others by the trial of Dzhokhar Tsarnaev, in which a jury found him guilty of multiple counts. On Tuesday, the trial's sentencing phase will begin, determining whether he will receive the death penalty.

In national security circles, there is often a debate about whether the U.S. judicial system is well equipped for terrorism trials. Terrorism, the argument goes, is different from traditional crimes, and our system of evidence and cross-examination and the promise of counsel are not appropriate to transnational threats. Even if this argument were valid in some context -- where terrorists were picked up on battlegrounds abroad and evidence against them might be difficult to obtain -- the Boston Marathon trial made clear that the system does work.

What was amazing about a trial filled with so much emotion is that it was relatively unemotional. Prosecutors presented evidence. Defense attorneys challenged the witnesses. The defendant chose not to testify. A verdict was rendered.

Its simplicity not only vindicated the capacity of our constitutional system to handle these cases, but also took the mythology (maybe even the romanticism) of terrorism out of the case. It rendered Tsarnaev a common criminal. And that was a statement worth making.

Recent reports about the shootout in Watertown that Friday night in 2013 show a disorganized and often unnecessarily dangerous response during the manhunt. It is truly remarkable there were not more significant friendly fire casualties beyond the wounding of Massachusetts Transit Police Officer Richard Donohue as more and more police officials came to the town and failed to fall into place in what should ideally be a very delineated command structure.

Maybe it was adrenaline, maybe it was just the nature of the weapons. What is clear -- in Watertown and in so many other police departments -- is that our police officers are not adequately trained for the kind of weapons that they have now. That is a dangerous gap, and too many police departments are failing to address it.

We have a notion of "Boston Strong" coming from the attacks and the city's response. I never loved the term, mostly because it makes it seem that our ability to bounce back was because we have Puritan stock and a kick-ass attitude. That is only partially true. We risk believing that responses to tragedy are simply a matter of personal reflection and a "keep calm" persona. I have come to believe that what united us as a city was based on the competency of the response.

The quick decisions to move runners off Boylston Street, the ability of police officers to seal the large crime zone and to utilize the military to do so, the pivot of public health officials from tending to blisters and dehydration to forming makeshift triage centers. It is worth remembering that not a single person of the hundreds who were transported to hospitals died; the three fatalities occurred at the bombing site only.

One part of the response that doesn't get enough mention is the focus on family unification immediately after the attacks. Runners had no access to phones, and often had no identification. Family members of runners often didn't know where their loved ones were on the marathon route.

First responders, in particular the Boston police and the Red Cross, focused on getting families back together again by moving runners and spectators to Commonwealth Avenue, a few blocks from the finish line.

Once family members know that they are with loved ones, the trauma subsides. They often leave the scene, freeing up space and capacity so that public safety can focus on more immediate needs. Crisis planning must continue to focus on the one aspect that will matter most to those in a disaster: Is my family OK?

Obviously, there is so much more to learn. Could the bombing have been avoided? What would have happened if the FBI had shared information it had on the Tsarnaev family with local police?

What if family and friends had alerted authorities to the growing radicalization of the brothers? It's "woulda, coulda, shoulda" but still essential. One of the reasons it is crucial to go back and draw these lessons isn't simply for blame, but to get better for the next time. Analysis and criticism are necessary to make us stronger and more resilient.

But do not believe that we are done learning. Looking back can be risky; it's often called the "blinding clarity of hindsight" because everything looks so obvious in the rearview mirror. But I have no doubt that at future anniversaries, what we know today will be altered and reformed and a new narrative might be written. And maybe the best way to remember today is to commit to a constant willingness to learn from this tragedy in all the years ahead.

@highlight

Boston Marathon takes place Monday, two years after bombing, and sentencing phase of trial begins Tuesday

@highlight

Kayyem: It wasn't the Puritan ethic but good disaster response that kept the marathon bombing from being even worse