Washington (CNN) -- President Barack Obama signed legislation Friday temporarily restoring full funding to the Federal Aviation Administration, breaking a political impasse and allowing roughly 4,000 furloughed federal employees to return to work.

The measure also promises to restore tens of thousands of jobs in the construction industry and elsewhere tied to airport improvement projects put on hold as a result of the funding shortfall.

The bill took less than one minute to pass a nearly empty Senate chamber Friday morning.  It was cleared with a legislative maneuver known as "unanimous consent," which allows as few as two senators to approve a bill so long as no objections are filed.  Most members of Congress are currently away from Washington on their summer recess.

The president hailed the agreement, noting that it removed "the uncertainty hanging over the jobs of thousands of hardworking FAA employees."

"This impasse was an unnecessary strain on local economies across the country at a time when we can't allow politics to get in the way of our economic recovery," Obama said Friday.  "I'm glad that this stalemate has finally been resolved."

The political differences that led to the funding shortfall, however, have not been resolved.  Democrats and Republicans are still at sharp odds over whether to continue providing subsidies to smaller rural airports.  The two parties also differ over whether to make it easier for airline employees to unionize.

Congress will have to revisit the issue within six weeks to avoid another lapse in funding.

Outrage over Congress's decision to adjourn for the summer without providing adequate funding for the approximately 4,000 employees contributed to the push for at least a short-term resolution.  Transportation Secretary Ray LaHood repeatedly took to the airwaves over the past several days, cajoling lawmakers to come back from their break and reach an agreement.

For workers facing the possibility of lost wages for weeks to come, news of the breakthrough evoked an emotional response. Evelyn Martinez, an FAA inspector, cried when she learned of the deal.

The tears are "out of relief," Martinez said, adding that while her post-graduate education taught her how government works, "what we are experiencing is outside of any textbook."

"This is a tremendous victory for American workers everywhere," LaHood said in a statement Thursday.  "From construction workers to our FAA employees, they will have the security of knowing they are going to go back to work and get a paycheck -- and that's what we've been fighting for."

Since authorization for FAA funding expired in late July, the agency has also been unable to collect federal taxes on airline tickets -- leading to a revenue loss of approximately $30 million a day.  If the dispute had continued until Congress returned in September, the federal government would have lost over $1 billion in revenue.

Senate Majority Leader Harry Reid, D-Nevada, had been in talks this week with House Speaker John Boehner, R-Ohio, and administration officials about how to resolve the funding impasse, a Senate Democratic leadership aide told CNN.

Reid noted Thursday that the agreement "does not resolve the important differences that still remain."

"But I believe we should keep Americans working while Congress settles its differences, and this agreement will do exactly that," he said.

The agreement is the 21st short-term funding extension for the FAA.  The Republican-led House previously passed a short-term extension, but it included a number of changes opposed in the Democratic-controlled Senate.

One of the changes involves language in the House bill that would reduce or kill subsidies to rural airports, specifically targeting some in Nevada, Montana and New Mexico -- three states with influential Democratic senators.

The Senate ultimately agreed to pass the House bill, but as part of Thursday's agreement, LaHood will notify congressional leaders that he has the authority to grant waivers to affected community airports, which would exempt them from the subsidy cuts.

While no specific exemptions are required, LaHood's authority gives Democrats the assurance that the disputed language they opposed can be overridden, the leadership aide noted.

A larger dispute regarding the unionization of airline workers has not been addressed at all, however.

Republicans are livid over a recent ruling by the National Mediation Board that makes passage of a vote to unionize dependent only on getting more than 50% support from those actually voting.  For example, if a company has 1,000 workers but only 200 take part in the vote to unionize, the rule change would mean only 101 "yes" votes were needed for it to pass.

Under old rules, more than 50% of all workers eligible to vote -- or in this example 501 "yes" votes -- would have been required for it to pass.  Workers who didn't cast ballots were counted as having voted "no," making it more difficult for supporters to succeed.

It remains unclear what -- if anything -- the divided Congress will ultimately do in response to the change.

CNN's Kate Bolduan, Gloria Borger, Tom Cohen, Dan Lothian, and Alan Silverleib and contributed to this report

@highlight

NEW: Obama has signed a bill temporarily restoring full FAA funding

@highlight

The legislation will allow roughly 4,000 federal employees to return to work

@highlight

Democrats and Republicans remain divided over the unionization of airline employees

@highlight

The two parties also are split over federal funding for smaller rural airports