COLOMBO, Sri Lanka (CNN) -- Angered by what he perceived as the systemic discrimination of the minority Tamils by successive Sri Lankan governments, 18-year-old Velupillai Prabhakaran, armed with just a revolver, set out in 1972 to right the perceived wrongs by forming a militant group.

Sri Lanka's defense ministry says this handout photo shows troops with a captured Tamil Tiger craft.

That group eventually morphed into the Tamil Tigers, who have engaged in a brutal 25-year insurgency for an independent Tamil state that has left more than 70,000 dead.

Along the way, the group has been declared a terrorist organization in 32 countries, pioneered the use of women in suicide attacks and, according to the FBI, invented the suicide belt.

It was also behind the assassination of two world leaders -- the only terrorist organization to do so.

Over the weekend, the militants offered to "silence" their guns after an intense military offensive decimated their ranks, usurping them from their stronghold in the north and east of the country, and cornered the remaining rebels on a small stretch of land.  Watch more on the possible end to the conflict »

On Monday afternoon, the Sri Lankan government said it had killed Prabhakaran. If the rebels now follow through on their announcement, the action will potentially mark the end of the longest-running civil war in Asia.

Who are the Tamils?

The Tamils are an ethnic group that makes up about 12 percent of Sri Lanka's population of about 20 million. They mostly dominate the northern and eastern part of the country.

Tamils are mostly Hindu and speak Tamil.

That sets them apart from Sri Lanka's majority group, the Sinhalese, who make up 74 percent of the population. They are Buddhists and speak Sinhala.

The tension between the two ethnic groups date to the British colonization of the country -- an island in the Indian Ocean, south of India.

At the time, the country was known as Ceylon. Many Sri Lankans regarded the Tamils as British collaborators and resented the preferential treatment they received.

The tables turned when the country achieved independence in 1948 and the Sinhalese majority dominated government. It was the Tamils then who claimed they were being discriminated against in politics, employment and education.

By the 1970s Tamil politicians were demanding a separate Tamil state. It would be called Tamil Eelam.

In this climate Prabhakaran emerged with his militant group, formally known as the Liberation Tigers of Tamil Eelam.

Who is Prabhakaran?

Prabhakaran operated from a secret jungle base in the northeastern part of the country, granting few media interviews and remaining an elusive figure to even many Tigers.

He was reputed to wear a cyanide capsule around his neck -- to swallow rather than risk capture. And he reportedly expected the same dedication from his troops. As a result, few Tigers have been captured alive.

To Prabhakaran's supporters he was a hero fighting for the rights of his people. The Sri Lankan government deemed him a war criminal with disregard for civilian casualties. He was wanted by Interpol on charges including terrorism and organized crime.

In 1975, three years after forming his group, Prabhakaran was accused of fatally shooting the mayor of Jaffna, his birthplace.

Prabhakaran was also accused of masterminding the killing of then-Indian Prime Minister Rajiv Gandhi in 1991 in the Tamil-dominated Indian state of Tami Nadu. Sri Lankan authorities allege that Prabhakaran was avenging Gandhi's decision to send Indian peacekeepers to Sri Lanka.

Two years later, a Tigers' suicide bomber, allegedly acting under Prabhakaran's orders, detonated explosives that killed Sri Lanka's then-president, Ranasinghe Premadasa, during a rally.  Watch aid agencies fear for Sri Lanka »

Who are the Tamil Tigers?

The Tigers reportedly number about 10,000, recruited from villagers in Tamil-dominated areas and unemployed Tamil youths who think they were passed over for jobs because of their ethnicity.

Their armed struggle began in July 1983 when the Tigers killed 13 Sinhalese soldiers. It led to, what was until then, the largest outburst of violence in the island's history. Hundreds of Tamils were killed, thousands left homeless and more than 100,000 fled to south India.

Despite being vastly outnumbered, the Tigers have -- until now -- shown no signs of being overpowered by the Sri Lankan military.

The Tigers are infamous for suicide bombings, with men and women strapping on suicide vests for more than 200 attacks against Sri Lankan citizens and dozens of high-profile political leaders.

In addition to perpetrating the attacks that killed Gandhi and Premadasa, the rebels have carried out the assassinations of two lawmakers and four ministers. A suicide bomber targeted Sri Lankan then-President Chandrika Kumaratunga in December 1999 while she was campaigning for re-election. She was wounded but survived.

The Tigers, however, have refrained from targeting Western tourists out of fear that foreign governments would crack down on Tamil expatriates who raise money for them abroad, the U.S. State Department said.

Have there been peace talks?

Periodically fighting has briefly halted because of a handful of peace agreements.

By February 2002 the Tigers had dropped their demands for a separate homeland in exchange for a power-sharing deal with the government. Norway and some other countries agreed to monitor the ceasefire.

A year later the rebels dropped out of the negotiations, saying they were being marginalized. They launched a suicide bombing campaign soon after.

What led to renewed fighting?

In January 2008 the Sri Lankan government announced it was annulling the nearly six-year-old truce with the rebels, declaring that it would crush the rebels.

The fighting intensified with security forces driving the rebels from their strongholds in the east and north of the country.

The government asked the rebels to lay down arms; the rebels vowed to continue.

Caught in the crossfire were civilians, thousands of whom were displaced and hundreds killed.

International aid groups expressed concern that both the government and the rebels disregarded civilian safety even in no-fire zones and hospitals.

Both sides blamed the other for civilian casualties and exaggerated accounts of their victories. With journalists not allowed into the battle zones, their claims could not be independently confirmed.

On Sunday, the Tigers posted an "urgent statement" on a pro-rebel Web site, saying the battle had reached "its bitter end."

"We have decided to silence our guns," the statement said.

Euphoria gripped the war-wracked nation. And Sri Lanka's President Mahinda Rajapaksa readied to announce to Tuesday that military operations had ended.

But one last order of business awaited: The capture, dead or alive, of Prabhakaran. In the past, the Tigers have emerged from near-defeat. But if Prabhakaran's death is confirmed, the government is optimistic that it can write off the Tigers.

CNN's Melissa Gray contributed to this report, which includes information from various sources. They include the U.S. State Department, the FBI, Interpol, Human Rights Watch, the Council on Foreign Relations, the CIA Factbook, and previous CNN reports.

@highlight

25-year long insurgency has killed more than 70,000 people

@highlight

Tamil leader reportedly wore a cyanide capsule around his neck

@highlight

FBI says group pioneered use of suicide belts for bomb attacks