To those of us who have studied the largest wave of immigration in history from a single country to the United States -- the four-decade-long influx of millions of Mexicans -- it seemed inconceivable that it would ever come to a halt. Yet, as our new Pew Hispanic Center report has shown, it has.

Our analysis of Mexican and U.S. data sources indicates that at least as many Mexicans and their families are leaving the United States as are arriving in the United States from Mexico. As a result, the Mexican-born population in the United States decreased from 12.6 million in 2007 to 12 million in 2011. This appears to be the first sustained decline in the number of Mexican immigrants since the Great Depression, and it is entirely because of a reduction in illegal immigration -- more going home and fewer coming. Today, we estimate that 51% of all Mexican immigrants living in the United States are unauthorized.  In 2007, that figure was 56%.

Even with the recent decline, Mexicans are still by far the largest single immigrant group in the United States, accounting for 30% of the foreign-born. The population of Mexican immigrants in the United States is larger than that of most countries or states: 10% of Mexican-born people worldwide live in the United States. No other nation in the world has as many of its people living abroad as does Mexico.

What caused the big immigration wave to stop? We think that many factors were at work, on both sides of the border. We cannot say how much of a role each of them played in tamping down migration to the United States and setting up the large reverse flows, but they all seem to have had an impact.

The sharp decline began about five years ago, around the time  the U.S. housing market collapsed. Many construction jobs held by Mexican immigrants vanished. The continued weakness in the overall U.S. economy made it harder to find other jobs as well. Although the Great Recession has officially ended, the job market is not back to what it was.

During these same years, U.S. officials have heightened enforcement of immigration laws along the border and elsewhere. Unauthorized border-crossers have faced harsher penalties, and deportations have risen. We estimate that anywhere from 5% to 35% of the Mexicans who went home over the past five years did so involuntarily.

Six states, including Arizona, have passed laws intended to reduce unauthorized immigration. For these and other reasons, it has become more dangerous to try to cross the border from Mexico.

Developments on the Mexican side of the border also could be affecting migration flows. Mexico's economy, like that in the United States, fell into a deep recession from 2007 to 2009. But in 2010 and 2011, the Gross Domestic Product there grew at higher rates than the U.S. GDP, so Mexicans enjoyed a somewhat stronger recovery that may have encouraged some to stay home and others to return.

Another change in Mexico that is just beginning to affect migration streams is a steep decline in birth rates. In 1960, the fertility rate in Mexico was 7.3 -- meaning, on average, a Mexican woman could expect to have seven children in her lifetime. In 2009, it had dropped to 2.4. Declining birth rates have pushed up the median age of the Mexican population. This has meant that the age group in the prime years for emigration, 15- to 39-year-olds, is a shrinking share of Mexico's population.

Will the net standstill in migration from Mexico continue? We do not know, in part because of uncertainties about economic trends in both nations and future trends in enforcement policies. The decline in Mexican birth rates, however, does appear to be a long-term change that will limit the size of the pool of young people who are the most likely to emigrate.

But even if Mexican immigration does begin to rise again, consider how far it has fallen. From 1995 through 2000, we estimate that 3 million Mexicans moved to the United States, and nearly 700,000, including family members born in the United States, went home. From 2005 through 2010, we estimate that about 1.4 million Mexicans arrived, and the same number,  including U.S.-born children, left. Considering everything, a return to the migration levels of the late 1990s now seems inconceivable.

@highlight

Researchers: As many Mexicans are leaving the U.S. as they are arriving from Mexico

@highlight

This is first sustained decline in Mexican immigrants since the Great Depression, they say

@highlight

Writers: Reasons might be jobs are now fewer in U.S. and Mexican birth rate is declining

@highlight

Writers: Harsher penalities for border crossers, more deportations may be at play