(CNN) -- As Occupy Wall Street demonstrations spread to cities across the U.S., protesters, bystanders and interested people almost everywhere are using mobile devices to share and follow events on the ground.

How have mobile organizing tools evolved over the past few years, and where might they go from here?

Media technologist Deanna Zandt (author of "Share This! How You Will Change the World with Social Networking") attended the protests In New York's Zucotti Park last week. This led her to reflect on her experience at the 2004 Republican National Convention protests in New York.

"2004 was well before Facebook and Twitter. The tools we had were great for mobile communication among protesters and organizers, or for uploading media to places like Flickr, where you hoped people might see it. But you could go to another part of the city where no protests were happening, and people there would have no idea that anything was going on," she said.

That situation has completely flipped. Today, communicating from and about the Occupy Wall Street protests is primarily a social phenomenon.

"This week, all my apolitical friends who were not really involved or interested in the protests were still commenting about it on Facebook. It even generated a hilarious spoof meme, #OccupySesameStreet," Zandt said. "It's on everyone's radar now."

In 2004, text messaging was the primary mobile tool for protest coordination.

"Most mobile social media tools didn't exist, so we were rolling our own," said open source software developer Nathan Freitas. In 2004, he helped the Ruckus Society build a text alert service, which transmitted tactical messages from organizers to more than 10,000 protesters on the scene.

Frietas thinks this relatively closed communication channel may in some ways have had more impact on protests than the more open social media channels that are common today.

He said the 2004 text-alert system "was more powerful because there was less noise and competition. Our goal was to organize people using their phones; social media is more about spreading news and opinion. Notice that what we heard about how Twitter was used in Egypt this spring was mostly not about organizing people on the ground; it was about getting the word out to the rest of the world."

In a later project, the Ruckus Society helped the Service Employees International Union and MoveOn.org mobilize their "get out the vote" campaign. It expanded the text alert system it had created for the RNC '04 protests to use a distributed technique similar to how SETI@Home works.

In that project, people across the nation volunteered their home computers' spare processing capacity to send out text messages to subscribers utilizing SMS gateway technology. This minimized the otherwise high cost of transmitting lots of text messages.

Furthermore, distributed text message broadcasts helped ensure that the messages got delivered. Wireless carriers tend to block text messages when they're generated in volume from a single phone number. But when many volunteers were transmitting alerts in small batches, it bypassed carrier blocking.

After 2004, looking at protest and dissent movements around the world, Freitas and others realized that in some countries, people may risk their lives by protesting. These activists need mobile communication tools that shield their identities, their current locations and other crucial information.

So Frietas helped create the Guardian Project, which makes easy-to-use apps and other mobile software as well as customized mobile phones "that can be used and deployed around the world, by any person looking to protect their communications and personal data from unjust intrusion and monitoring."

Freitas observed that the Occupy Wall Street protesters seem more interested in transparency than secrecy. "With the Occupy protests -- at least so far -- law enforcement doesn't seem highly interested in surveilling or arresting protesters."

Today, Freitas teaches a course at New York University called "social activism using mobile technology." He's been sending his students out to the Occupy Wall Street protests. In addition to seeing mobile devices being used to create a great deal of citizen journalism there, they've noted innovative approaches, such as the curation tool Vibe, an iPhone and Android app that allows users to connect with people based on proximity. While it's not completely anonymous, it provides more privacy than popular social media services.

"With Vibe, you don't have to follow someone; you can just talk to people in your local area, within a radius of your location," Freitas explained. But since Vibe connects via the internet, "that means it could be shut down if they turned off cell towers, like BART did in San Francisco recently."

Freitas noted that other mobile communication apps are emerging that are "peer to peer" or "mesh networks," meaning mobile devices communicate directly with each other, not via the internet. These tools are in their infancy, but Frietas expects them to develop rapidly. Common mobile technologies like Bluetooth or emerging ones like near-field communication could play a roll in this evolution.

Zandt also noted that mobile media have the ability to engage the attention -- if not always the participation -- of bystanders.

"Approximately every other person walking by on the streets was pulling out a phone to check online to see what the protest was about. They were tweeting about it and checking whether the subway was still running, things like that," she said. "That's a huge ripple effect of awareness and education."

Zandt noted that in the past, bystanders would have to walk up to a cop or a protester to ask what was going on, something that can seem daunting or even risky to bystanders.

But last week, "Most bystanders were taking photos with their phones. Some were posting photos to social media or sending them around to their friends. You could see them texting and tweeting," Zandt said. "I saw some women wearing janitorial uniforms, speaking an Eastern European language, doing that, too. Workers of the world, unite!"

Still, the proliferation of mobile media at the recent protests isn't always a good thing.

"I get frustrated with 'protest porn': people waiting to see the police do something wrong, and then they whip out their cameras," Zandt said.

"At a big demonstration, there are lots of interesting things to document. For instance, I loved seeing that lots of different kinds of people -- people of color, minorities, etc. -- who hadn't been well-represented in in earlier media coverage of the Occupy Wall Street protests are now getting coverage," she said.

"With mobile tools, we should do our best to represent the full picture of what's happening. We shouldn't just be waiting for something to go horribly wrong."

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Communicating from and about the Occupy Wall Street protests is a social phenomenon

@highlight

In 2004, text messaging was the primary mobile tool

@highlight

Distributed text message broadcasts help ensure that the messages got delivered