(CNN) -- We found him in the foggy mountains of central Chile, near the town of Aguila Sur, conducting a ritual at dusk with two assistants.

Dr. Milton Flores, 58, is not the leader of a religious sect or underground cult. He's a psychiatrist who's unusual in many respects. But in this South American country, it's his crusade to legalize marijuana that has earned him notoriety.

When asked to describe marijuana, he says it's "a tool and a medicine." Flores has used cannabis for years to treat patients with different conditions, including depression and anxiety.

He also admits he has smoked pot since he was 14.

Flores is Chile's main advocate for the legalization of marijuana and similar drugs including peyote, ayahuasca and San Pedro. Flores and other experts call these drugs entheogens. They're all psychoactive plants that were used in Latin America by shamans and healers in religious ceremonies well before the arrival of European conquerors in the 16th century.

Flores' main contention with these drugs' illegal status is that the state gains nothing by criminalizing individuals who use them for medicinal or spiritual purposes the way he does.

"Cannabis is neither good nor bad," he says. "Its use can be appropriate or inappropriate. It's a tool that can have very significant effects."

Throughout his career, the psychiatrist has spoken publicly about his position regarding these drugs. He's gone to great lengths to make his point.

His property has been raided twice by Chilean authorities.

In March, police confiscated several marijuana plants at his mountain retreat. His case went all the way up to the Chilean Supreme Court, but it was dismissed on a technicality. More recently, Flores was found guilty of growing 116 plants of marijuana on his property in Aguila Sur; he was sentenced last week to 541 days, or more than 18 months, of probation.

"There's no willingness to hear the pleas of a citizen who decides to exercise his freedom of conscience and his freedom to grow what is sacred to care for his life," Flores told CNN. "This to me is the most serious violation that has become evident [by this ruling]."

Not surprisingly, Flores has a significant number of fans among young Chileans, including Oscar Bustamante, a 27-year-old student at the University of Chile in Santiago.

"Consuming marijuana, whatever the reason, is totally and absolutely a personal choice and should not be banned as long as the individual doesn't harm anybody else," Bustamante says.

Some Chilean politicians are sympathetic to Flores' cause.

A few years ago, a government minister acknowledged he smoked marijuana. Some senators and representatives followed suit. And even though smoking marijuana no longer has the stigma it once had, and smoking it is rarely prosecuted, the country still bans the production, sale, distribution and large-scale possession of marijuana.

The Chilean government is getting pressure from two sides.

Unintentional marijuana exposures up in Colorado kids

On the one hand, countries such as the United States and Colombia favor a tough, law-enforcement approach on drugs. On the other hand, liberal politicians advocate making a distinction between public health and national security when it comes to dealing with drugs.

It's a debate that leaders in the United States and other South American countries know well.

Uruguayan legislators have been arguing for nearly a year over a bill that would legalize marijuana. The bill would give the Uruguayan government the power to regulate the production, sale and distribution of marijuana. Leftist President Jose Mujica is said to favor the legislation.

Former Latin American presidents Fernando Henrique Cardoso of Brazil, Cesar Gaviria of Colombia and Vicente Fox of Mexico have all publicly spoken in favor of legalizing not only marijuana, but several other drugs. The war on drugs, Fox told CNN in November, "costs a lot of money. It costs a lot of lives and blood; it costs a lot of foreign investment lost, a lot of tourism that we have lost in Mexico."

Its effectiveness, the former president says, is questionable at best and countries should take a public health approach to the drug problem.

Patricio Navia, a Chilean-born professor of liberal studies at New York University, says a growing number of legislators in his country favor the idea of decriminalizing marijuana so law enforcement can concentrate efforts on more addictive drugs such as crack.

"The drug problem in Chile has to do with crack," Navia says. "Among the low-income population, crack is the biggest problem that's associated with crime. People who smoke marijuana don't go and assault other people in order to get more money to keep on smoking marijuana."

Flores' biggest fan is, perhaps, his own daughter.

Carola Flores-Fernandez, a 33-year-old anthropology doctoral student at the University of California-Santa Barbara, says her father's crusade has opened an important national debate on drugs -- a topic that used to be taboo.

"I'm very proud, and I think it's something that is slowly changing the perspective of many people in different levels in this country," Flores-Fernandez says.

Back at his mountain retreat near Aguila Sur, Flores says he's no longer growing marijuana, although he keeps small plants of San Pedro and ayahuasca.

His hope is that his crusade will allow him to grow and consume these drugs without fear in the near future.

Scheme to reel in pot at county jail hits a snag

@highlight

Dr. Milton Flores has gained notoriety in Chile for his crusade to legalize marijuana

@highlight

Flores was recently convicted of growing 116 plants of marijuana on his property

@highlight

Some Chilean politicians are sympathetic to Flores' cause

@highlight

Others favor a tough law-enforcement approach on drugs